-- MySQL dump 10.19  Distrib 10.3.30-MariaDB, for Linux (x86_64)
--
-- Host: localhost    Database: frontend_d8_luxestate
-- ------------------------------------------------------
-- Server version	10.3.30-MariaDB

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `batch`
--

DROP TABLE IF EXISTS `batch`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `batch` (
  `bid` int(10) unsigned NOT NULL COMMENT 'Primary Key: Unique batch ID.',
  `token` varchar(64) CHARACTER SET ascii NOT NULL COMMENT 'A string token generated against the current user''s session id and the batch id, used to ensure that only the user who submitted the batch can effectively access it.',
  `timestamp` int(11) NOT NULL COMMENT 'A Unix timestamp indicating when this batch was submitted for processing. Stale batches are purged at cron time.',
  `batch` longblob DEFAULT NULL COMMENT 'A serialized array containing the processing data for the batch.',
  PRIMARY KEY (`bid`),
  KEY `token` (`token`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Stores details about batches (processes that run in…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `batch`
--

LOCK TABLES `batch` WRITE;
/*!40000 ALTER TABLE `batch` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `batch` VALUES (48,'Chsehx4RlVxORjKO-wzRvQH92ahOk-ybDc626ZEx4eM',1636009405,'a:11:{s:4:\"sets\";a:1:{i:0;a:14:{s:7:\"sandbox\";a:0:{}s:7:\"results\";a:0:{}s:7:\"success\";b:0;s:5:\"start\";i:0;s:7:\"elapsed\";i:0;s:12:\"init_message\";s:40:\"Preparing to update your site<br/>&nbsp;\";s:8:\"finished\";s:38:\"update_authorize_update_batch_finished\";s:4:\"file\";s:40:\"core/modules/update/update.authorize.inc\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Processing\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:16:\"progress_message\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Completed @current of @total.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"error_message\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"An error has occurred.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"total\";i:1;s:5:\"count\";i:1;s:5:\"queue\";a:2:{s:4:\"name\";s:17:\"drupal_batch:48:0\";s:5:\"class\";s:23:\"Drupal\\Core\\Queue\\Batch\";}}}s:16:\"has_form_submits\";b:0;s:11:\"current_set\";i:0;s:11:\"progressive\";b:1;s:3:\"url\";O:15:\"Drupal\\Core\\Url\":12:{s:15:\"\0*\0urlGenerator\";N;s:15:\"\0*\0urlAssembler\";N;s:16:\"\0*\0accessManager\";N;s:12:\"\0*\0routeName\";N;s:18:\"\0*\0routeParameters\";a:0:{}s:10:\"\0*\0options\";a:1:{s:5:\"query\";a:1:{s:5:\"batch\";s:1:\"1\";}}s:11:\"\0*\0external\";b:0;s:11:\"\0*\0unrouted\";b:1;s:6:\"\0*\0uri\";s:23:\"base:core/authorize.php\";s:15:\"\0*\0internalPath\";N;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}}s:10:\"source_url\";O:15:\"Drupal\\Core\\Url\":12:{s:15:\"\0*\0urlGenerator\";N;s:15:\"\0*\0urlAssembler\";N;s:16:\"\0*\0accessManager\";N;s:12:\"\0*\0routeName\";s:24:\"update.confirmation_page\";s:18:\"\0*\0routeParameters\";a:0:{}s:10:\"\0*\0options\";a:1:{s:5:\"query\";a:0:{}}s:11:\"\0*\0external\";b:0;s:11:\"\0*\0unrouted\";b:0;s:6:\"\0*\0uri\";N;s:15:\"\0*\0internalPath\";N;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}}s:14:\"batch_redirect\";s:66:\"http://luxestate-d8.frontend.local2.weebpal.com/core/authorize.php\";s:5:\"theme\";s:5:\"seven\";s:17:\"redirect_callback\";N;s:2:\"id\";s:2:\"48\";s:13:\"error_message\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:58:\"Please continue to <a href=\":error_url\">the error page</a>\";s:12:\"\0*\0arguments\";a:1:{s:10:\":error_url\";s:45:\"/core/authorize.php?batch=1&id=48&op=finished\";}s:10:\"\0*\0options\";a:0:{}}}');
/*!40000 ALTER TABLE `batch` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `block_content`
--

DROP TABLE IF EXISTS `block_content`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `block_content` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `revision_id` int(10) unsigned DEFAULT NULL,
  `type` varchar(32) CHARACTER SET ascii NOT NULL COMMENT 'The ID of the target entity.',
  `uuid` varchar(128) CHARACTER SET ascii NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `block_content_field__uuid__value` (`uuid`),
  UNIQUE KEY `block_content__revision_id` (`revision_id`),
  KEY `block_content_field__type__target_id` (`type`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COMMENT='The base table for block_content entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `block_content`
--

LOCK TABLES `block_content` WRITE;
/*!40000 ALTER TABLE `block_content` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `block_content` VALUES (1,1,'basic','3740ba50-c010-4c70-b600-b0caeb076315','en'),(2,2,'basic','b7be088a-40ae-4f2f-9614-8e1bae7b453d','en'),(3,3,'basic','f714da14-65b4-4919-8791-25debf49859d','en'),(4,4,'basic','d077ed59-d2a0-42b7-afc6-ed94b9621584','en'),(5,5,'basic','caaeb8df-fb22-4075-bc78-ecb39e4c711e','en'),(6,6,'basic','b0c92726-50bb-4afe-8a60-e078803c0753','en');
/*!40000 ALTER TABLE `block_content` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `block_content__body`
--

DROP TABLE IF EXISTS `block_content__body`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `block_content__body` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `body_value` longtext NOT NULL,
  `body_summary` longtext DEFAULT NULL,
  `body_format` varchar(255) CHARACTER SET ascii DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `body_format` (`body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for block_content field body.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `block_content__body`
--

LOCK TABLES `block_content__body` WRITE;
/*!40000 ALTER TABLE `block_content__body` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `block_content__body` VALUES ('basic',0,1,1,'en',0,'<h1>Blog</h1>\r\n\r\n<p>“It is a long established fact that a reader will be distracted by the readable content of a page when looking”</p>\r\n\r\n<p><img alt=\"Blog banner\" data-entity-type=\"file\" data-entity-uuid=\"0f463478-2cf0-411c-be5b-5de0bf6c1a30\" src=\"/drupal8/luxestate/sites/default/files/inline-images/photo-1463171379579-3fdfb86d6285.jpg\" /></p>\r\n','','full_html'),('basic',0,2,2,'en',0,'<p>The generated Lorem Ipsum is therefore always free from repetition, injected humour, or non-characteristic words etc.</p>\r\n\r\n<address><span>1-800-123-HELLO</span> <a href=\"mailto:help@travelo.com\" title=\"help@travelo.com\">help@travelo.com</a></address>\r\n\r\n<div class=\"social-wrap\">\r\n<ul class=\"list-inline social-list\">\r\n	<li><a href=\"#\" title=\"Twitter\"><span class=\"fa fa-twitter\" aria-hidden=\"true\">Twitter</span></a></li>\r\n	<li><a href=\"#\" title=\"Google\"><span class=\"fa fa-google-plus\" aria-hidden=\"true\">Google</span></a></li>\r\n	<li><a href=\"#\" title=\"Facebook\"><span class=\"fa fa-facebook\" aria-hidden=\"true\">Facebook</span></a></li>\r\n	<li><a href=\"#\" title=\"linkkedin\"><span class=\"fa fa-linkedin-square\" aria-hidden=\"true\">linkkedin</span></a></li>\r\n	<li><a href=\"#\" title=\"vimeo\"><span class=\"fa fa-vimeo\" aria-hidden=\"true\">vimeo</span></a></li>\r\n	<li><a href=\"#\" title=\"dribble\"><span class=\"fa fa-dribbble\" aria-hidden=\"true\">dribble</span></a></li>\r\n	<li><a href=\"#\" title=\"flick\"><span class=\"fa fa-flickr\" aria-hidden=\"true\">flick</span></a></li>\r\n</ul>\r\n</div>\r\n','','full_html'),('basic',0,3,3,'en',0,'<p><iframe allowfullscreen=\"\" frameborder=\"0\" height=\"450\" src=\"https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d2602.60221421756!2d-123.09266048482965!3d49.28393427860376!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x54867173da8b1743%3A0x8ece0eab301a9dea!2sAlexander+St%2C+Vancouver%2C+BC+V6A+1E1%2C+Canada!5e0!3m2!1svi!2s!4v1462868905751\" style=\"border:0\" width=\"600\"></iframe></p>\r\n','','full_html'),('basic',0,4,4,'en',0,'Design by <a href=\"https://weebpal.com/\" target=\"_blank\">WeebPal </a>- Drupal Development Company','','full_html'),('basic',0,5,5,'en',0,'<div class=\"social-wrap\">\r\n                  <ul class=\"list-inline social-list\">\r\n                    <li>\r\n                      <a href=\"#\" title=\"Twitter\"><i class=\"nc-icon-glyph socials-1_logo-twitter\"></i></a>\r\n                    </li>\r\n                    <li>\r\n                      <a href=\"#\" title=\"Google\"><i class=\"nc-icon-glyph socials-1_logo-google-plus\"></i></a>\r\n                    </li>\r\n                    <li>\r\n                      <a href=\"#\" title=\"Facebook\"><i class=\"nc-icon-glyph socials-1_logo-fb-simple\"></i></a>\r\n                    </li>\r\n                    <li>\r\n                      <a href=\"#\" title=\"linkkedin\"><i class=\"nc-icon-glyph socials-1_logo-linkedin\"></i></a>\r\n                    </li>\r\n                    <li>\r\n                      <a href=\"#\" title=\"vimeo\"><i class=\"nc-icon-glyph socials-1_logo-vimeo\"></i></a>\r\n                    </li>\r\n                    <li>\r\n                      <a href=\"#\" title=\"dribble\"><i class=\"nc-icon-glyph socials-1_logo-dribbble\"></i></a>\r\n                    </li>\r\n                    <li>\r\n                      <a href=\"#\" title=\"flick\"><i class=\"nc-icon-glyph socials-1_logo-flickr\"></i></a>\r\n                    </li>\r\n                  </ul>\r\n                </div>','','full_html'),('basic',0,6,6,'en',0,'<p>We respect your privacy</p>\r\n','','full_html');
/*!40000 ALTER TABLE `block_content__body` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `block_content_field_data`
--

DROP TABLE IF EXISTS `block_content_field_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `block_content_field_data` (
  `id` int(10) unsigned NOT NULL,
  `revision_id` int(10) unsigned NOT NULL,
  `type` varchar(32) CHARACTER SET ascii NOT NULL COMMENT 'The ID of the target entity.',
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  `info` varchar(255) DEFAULT NULL,
  `changed` int(11) DEFAULT NULL,
  `revision_translation_affected` tinyint(4) DEFAULT NULL,
  `default_langcode` tinyint(4) NOT NULL,
  `status` tinyint(4) NOT NULL,
  `reusable` tinyint(4) DEFAULT NULL,
  PRIMARY KEY (`id`,`langcode`),
  KEY `block_content_field__type__target_id` (`type`),
  KEY `block_content__id__default_langcode__langcode` (`id`,`default_langcode`,`langcode`),
  KEY `block_content__revision_id` (`revision_id`),
  KEY `block_content__status_type` (`status`,`type`,`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='The data table for block_content entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `block_content_field_data`
--

LOCK TABLES `block_content_field_data` WRITE;
/*!40000 ALTER TABLE `block_content_field_data` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `block_content_field_data` VALUES (1,1,'basic','en','Blog',1469170236,1,1,1,1),(2,2,'basic','en','Contact us',1474267054,1,1,1,1),(3,3,'basic','en','Our location',1469616247,1,1,1,1),(4,4,'basic','en','Copyright by Weebpal',1592193119,1,1,1,1),(5,5,'basic','en','Social icon',1470124283,1,1,1,1),(6,6,'basic','en','Newsletter block',1472093764,1,1,1,1);
/*!40000 ALTER TABLE `block_content_field_data` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `block_content_field_revision`
--

DROP TABLE IF EXISTS `block_content_field_revision`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `block_content_field_revision` (
  `id` int(10) unsigned NOT NULL,
  `revision_id` int(10) unsigned NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  `info` varchar(255) DEFAULT NULL,
  `changed` int(11) DEFAULT NULL,
  `revision_translation_affected` tinyint(4) DEFAULT NULL,
  `default_langcode` tinyint(4) NOT NULL,
  `status` tinyint(4) NOT NULL,
  PRIMARY KEY (`revision_id`,`langcode`),
  KEY `block_content__id__default_langcode__langcode` (`id`,`default_langcode`,`langcode`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='The revision data table for block_content entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `block_content_field_revision`
--

LOCK TABLES `block_content_field_revision` WRITE;
/*!40000 ALTER TABLE `block_content_field_revision` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `block_content_field_revision` VALUES (1,1,'en','Blog',1469170236,1,1,1),(2,2,'en','Contact us',1474267054,1,1,1),(3,3,'en','Our location',1469616247,1,1,1),(4,4,'en','Copyright by Weebpal',1592193119,1,1,1),(5,5,'en','Social icon',1470124283,1,1,1),(6,6,'en','Newsletter block',1472093764,1,1,1);
/*!40000 ALTER TABLE `block_content_field_revision` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `block_content_revision`
--

DROP TABLE IF EXISTS `block_content_revision`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `block_content_revision` (
  `id` int(10) unsigned NOT NULL,
  `revision_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  `revision_log` longtext DEFAULT NULL,
  `revision_created` int(11) DEFAULT NULL,
  `revision_user` int(10) unsigned DEFAULT NULL COMMENT 'The ID of the target entity.',
  `revision_default` tinyint(4) DEFAULT NULL,
  PRIMARY KEY (`revision_id`),
  KEY `block_content_field__revision_user__target_id` (`revision_user`),
  KEY `block_content__id` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COMMENT='The revision table for block_content entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `block_content_revision`
--

LOCK TABLES `block_content_revision` WRITE;
/*!40000 ALTER TABLE `block_content_revision` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `block_content_revision` VALUES (1,1,'en',NULL,NULL,NULL,1),(2,2,'en',NULL,NULL,NULL,1),(3,3,'en',NULL,NULL,NULL,1),(4,4,'en',NULL,NULL,NULL,1),(5,5,'en',NULL,NULL,NULL,1),(6,6,'en',NULL,NULL,NULL,1);
/*!40000 ALTER TABLE `block_content_revision` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `block_content_revision__body`
--

DROP TABLE IF EXISTS `block_content_revision__body`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `block_content_revision__body` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `body_value` longtext NOT NULL,
  `body_summary` longtext DEFAULT NULL,
  `body_format` varchar(255) CHARACTER SET ascii DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `body_format` (`body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for block_content field body.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `block_content_revision__body`
--

LOCK TABLES `block_content_revision__body` WRITE;
/*!40000 ALTER TABLE `block_content_revision__body` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `block_content_revision__body` VALUES ('basic',0,1,1,'en',0,'<h1>Blog</h1>\r\n\r\n<p>“It is a long established fact that a reader will be distracted by the readable content of a page when looking”</p>\r\n\r\n<p><img alt=\"Blog banner\" data-entity-type=\"file\" data-entity-uuid=\"0f463478-2cf0-411c-be5b-5de0bf6c1a30\" src=\"/drupal8/luxestate/sites/default/files/inline-images/photo-1463171379579-3fdfb86d6285.jpg\" /></p>\r\n','','full_html'),('basic',0,2,2,'en',0,'<p>The generated Lorem Ipsum is therefore always free from repetition, injected humour, or non-characteristic words etc.</p>\r\n\r\n<address><span>1-800-123-HELLO</span> <a href=\"mailto:help@travelo.com\" title=\"help@travelo.com\">help@travelo.com</a></address>\r\n\r\n<div class=\"social-wrap\">\r\n<ul class=\"list-inline social-list\">\r\n	<li><a href=\"#\" title=\"Twitter\"><span class=\"fa fa-twitter\" aria-hidden=\"true\">Twitter</span></a></li>\r\n	<li><a href=\"#\" title=\"Google\"><span class=\"fa fa-google-plus\" aria-hidden=\"true\">Google</span></a></li>\r\n	<li><a href=\"#\" title=\"Facebook\"><span class=\"fa fa-facebook\" aria-hidden=\"true\">Facebook</span></a></li>\r\n	<li><a href=\"#\" title=\"linkkedin\"><span class=\"fa fa-linkedin-square\" aria-hidden=\"true\">linkkedin</span></a></li>\r\n	<li><a href=\"#\" title=\"vimeo\"><span class=\"fa fa-vimeo\" aria-hidden=\"true\">vimeo</span></a></li>\r\n	<li><a href=\"#\" title=\"dribble\"><span class=\"fa fa-dribbble\" aria-hidden=\"true\">dribble</span></a></li>\r\n	<li><a href=\"#\" title=\"flick\"><span class=\"fa fa-flickr\" aria-hidden=\"true\">flick</span></a></li>\r\n</ul>\r\n</div>\r\n','','full_html'),('basic',0,3,3,'en',0,'<p><iframe allowfullscreen=\"\" frameborder=\"0\" height=\"450\" src=\"https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d2602.60221421756!2d-123.09266048482965!3d49.28393427860376!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x54867173da8b1743%3A0x8ece0eab301a9dea!2sAlexander+St%2C+Vancouver%2C+BC+V6A+1E1%2C+Canada!5e0!3m2!1svi!2s!4v1462868905751\" style=\"border:0\" width=\"600\"></iframe></p>\r\n','','full_html'),('basic',0,4,4,'en',0,'Design by <a href=\"https://weebpal.com/\" target=\"_blank\">WeebPal </a>- Drupal Development Company','','full_html'),('basic',0,5,5,'en',0,'<div class=\"social-wrap\">\r\n                  <ul class=\"list-inline social-list\">\r\n                    <li>\r\n                      <a href=\"#\" title=\"Twitter\"><i class=\"nc-icon-glyph socials-1_logo-twitter\"></i></a>\r\n                    </li>\r\n                    <li>\r\n                      <a href=\"#\" title=\"Google\"><i class=\"nc-icon-glyph socials-1_logo-google-plus\"></i></a>\r\n                    </li>\r\n                    <li>\r\n                      <a href=\"#\" title=\"Facebook\"><i class=\"nc-icon-glyph socials-1_logo-fb-simple\"></i></a>\r\n                    </li>\r\n                    <li>\r\n                      <a href=\"#\" title=\"linkkedin\"><i class=\"nc-icon-glyph socials-1_logo-linkedin\"></i></a>\r\n                    </li>\r\n                    <li>\r\n                      <a href=\"#\" title=\"vimeo\"><i class=\"nc-icon-glyph socials-1_logo-vimeo\"></i></a>\r\n                    </li>\r\n                    <li>\r\n                      <a href=\"#\" title=\"dribble\"><i class=\"nc-icon-glyph socials-1_logo-dribbble\"></i></a>\r\n                    </li>\r\n                    <li>\r\n                      <a href=\"#\" title=\"flick\"><i class=\"nc-icon-glyph socials-1_logo-flickr\"></i></a>\r\n                    </li>\r\n                  </ul>\r\n                </div>','','full_html'),('basic',0,6,6,'en',0,'<p>We respect your privacy</p>\r\n','','full_html');
/*!40000 ALTER TABLE `block_content_revision__body` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_bootstrap`
--

DROP TABLE IF EXISTS `cache_bootstrap`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_bootstrap` (
  `cid` varchar(255) CHARACTER SET ascii COLLATE ascii_bin NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob DEFAULT NULL COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT 0 COMMENT 'A Unix timestamp indicating when the cache entry should expire, or -1 for never.',
  `created` decimal(14,3) NOT NULL DEFAULT 0.000 COMMENT 'A timestamp with millisecond precision indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT 0 COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  `tags` longtext DEFAULT NULL COMMENT 'Space-separated list of cache tags for this entry.',
  `checksum` varchar(255) CHARACTER SET ascii NOT NULL COMMENT 'The tag invalidation checksum when this entry was saved.',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`),
  KEY `created` (`created`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Storage for the cache API.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_bootstrap`
--

LOCK TABLES `cache_bootstrap` WRITE;
/*!40000 ALTER TABLE `cache_bootstrap` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `cache_bootstrap` VALUES ('block_content_uuid','a:3:{s:36:\"b7be088a-40ae-4f2f-9614-8e1bae7b453d\";s:1:\"2\";s:36:\"d077ed59-d2a0-42b7-afc6-ed94b9621584\";s:1:\"4\";s:36:\"b0c92726-50bb-4afe-8a60-e078803c0753\";s:1:\"6\";}',-1,1636709609.350,1,'','0'),('hook_info','a:42:{s:10:\"token_info\";a:1:{s:5:\"group\";s:6:\"tokens\";}s:16:\"token_info_alter\";a:1:{s:5:\"group\";s:6:\"tokens\";}s:6:\"tokens\";a:1:{s:5:\"group\";s:6:\"tokens\";}s:12:\"tokens_alter\";a:1:{s:5:\"group\";s:6:\"tokens\";}s:22:\"pathauto_pattern_alter\";a:1:{s:5:\"group\";s:8:\"pathauto\";}s:20:\"pathauto_alias_alter\";a:1:{s:5:\"group\";s:8:\"pathauto\";}s:26:\"pathauto_is_alias_reserved\";a:1:{s:5:\"group\";s:8:\"pathauto\";}s:10:\"views_data\";a:1:{s:5:\"group\";s:5:\"views\";}s:16:\"views_data_alter\";a:1:{s:5:\"group\";s:5:\"views\";}s:13:\"views_analyze\";a:1:{s:5:\"group\";s:5:\"views\";}s:22:\"views_invalidate_cache\";a:1:{s:5:\"group\";s:5:\"views\";}s:26:\"views_plugins_access_alter\";a:1:{s:5:\"group\";s:5:\"views\";}s:24:\"views_plugins_area_alter\";a:1:{s:5:\"group\";s:5:\"views\";}s:28:\"views_plugins_argument_alter\";a:1:{s:5:\"group\";s:5:\"views\";}s:36:\"views_plugins_argument_default_alter\";a:1:{s:5:\"group\";s:5:\"views\";}s:38:\"views_plugins_argument_validator_alter\";a:1:{s:5:\"group\";s:5:\"views\";}s:25:\"views_plugins_cache_alter\";a:1:{s:5:\"group\";s:5:\"views\";}s:36:\"views_plugins_display_extender_alter\";a:1:{s:5:\"group\";s:5:\"views\";}s:27:\"views_plugins_display_alter\";a:1:{s:5:\"group\";s:5:\"views\";}s:32:\"views_plugins_exposed_form_alter\";a:1:{s:5:\"group\";s:5:\"views\";}s:25:\"views_plugins_field_alter\";a:1:{s:5:\"group\";s:5:\"views\";}s:26:\"views_plugins_filter_alter\";a:1:{s:5:\"group\";s:5:\"views\";}s:24:\"views_plugins_join_alter\";a:1:{s:5:\"group\";s:5:\"views\";}s:25:\"views_plugins_pager_alter\";a:1:{s:5:\"group\";s:5:\"views\";}s:25:\"views_plugins_query_alter\";a:1:{s:5:\"group\";s:5:\"views\";}s:32:\"views_plugins_relationship_alter\";a:1:{s:5:\"group\";s:5:\"views\";}s:23:\"views_plugins_row_alter\";a:1:{s:5:\"group\";s:5:\"views\";}s:24:\"views_plugins_sort_alter\";a:1:{s:5:\"group\";s:5:\"views\";}s:25:\"views_plugins_style_alter\";a:1:{s:5:\"group\";s:5:\"views\";}s:26:\"views_plugins_wizard_alter\";a:1:{s:5:\"group\";s:5:\"views\";}s:25:\"views_query_substitutions\";a:1:{s:5:\"group\";s:15:\"views_execution\";}s:24:\"views_form_substitutions\";a:1:{s:5:\"group\";s:15:\"views_execution\";}s:14:\"views_pre_view\";a:1:{s:5:\"group\";s:15:\"views_execution\";}s:15:\"views_pre_build\";a:1:{s:5:\"group\";s:15:\"views_execution\";}s:16:\"views_post_build\";a:1:{s:5:\"group\";s:15:\"views_execution\";}s:17:\"views_pre_execute\";a:1:{s:5:\"group\";s:15:\"views_execution\";}s:18:\"views_post_execute\";a:1:{s:5:\"group\";s:15:\"views_execution\";}s:16:\"views_pre_render\";a:1:{s:5:\"group\";s:15:\"views_execution\";}s:17:\"views_post_render\";a:1:{s:5:\"group\";s:15:\"views_execution\";}s:17:\"views_query_alter\";a:1:{s:5:\"group\";s:15:\"views_execution\";}s:16:\"field_views_data\";a:1:{s:5:\"group\";s:5:\"views\";}s:22:\"field_views_data_alter\";a:1:{s:5:\"group\";s:5:\"views\";}}',-1,1636011225.590,1,'','0'),('module_implements','a:349:{s:23:\"module_implements_alter\";a:2:{s:19:\"content_translation\";b:0;s:5:\"token\";b:0;}s:11:\"entity_load\";a:0:{}s:9:\"view_load\";a:0:{}s:19:\"language_types_info\";a:0:{}s:25:\"language_types_info_alter\";a:2:{s:19:\"content_translation\";b:0;s:8:\"language\";b:0;}s:20:\"element_plugin_alter\";a:0:{}s:16:\"date_format_load\";a:0:{}s:18:\"element_info_alter\";a:5:{s:19:\"content_translation\";b:0;s:6:\"editor\";b:0;s:8:\"language\";b:0;s:6:\"system\";b:0;s:4:\"user\";b:0;}s:14:\"views_pre_view\";a:0:{}s:25:\"views_plugins_field_alter\";a:0:{}s:19:\"entity_field_access\";a:1:{s:8:\"language\";b:0;}s:25:\"entity_field_access_alter\";a:0:{}s:24:\"views_plugins_sort_alter\";a:0:{}s:26:\"views_plugins_filter_alter\";a:0:{}s:24:\"views_plugins_area_alter\";a:0:{}s:25:\"views_plugins_pager_alter\";a:0:{}s:15:\"views_pre_build\";a:0:{}s:25:\"views_plugins_query_alter\";a:0:{}s:17:\"views_query_alter\";a:0:{}s:25:\"views_query_substitutions\";a:3:{s:4:\"node\";s:15:\"views_execution\";s:4:\"user\";s:15:\"views_execution\";s:5:\"views\";s:15:\"views_execution\";}s:16:\"views_post_build\";a:0:{}s:17:\"views_pre_execute\";a:0:{}s:25:\"views_plugins_cache_alter\";a:0:{}s:11:\"query_alter\";a:0:{}s:17:\"query_views_alter\";a:1:{s:5:\"views\";b:0;}s:27:\"query_views_frontpage_alter\";a:0:{}s:11:\"node_grants\";a:0:{}s:23:\"query_node_access_alter\";a:1:{s:4:\"node\";b:0;}s:14:\"entity_preload\";a:0:{}s:30:\"query_node_load_multiple_alter\";a:0:{}s:19:\"entity_storage_load\";a:1:{s:7:\"comment\";b:0;}s:17:\"node_storage_load\";a:0:{}s:9:\"node_load\";a:0:{}s:18:\"views_post_execute\";a:0:{}s:32:\"views_plugins_exposed_form_alter\";a:0:{}s:16:\"views_pre_render\";a:2:{s:5:\"dblog\";b:0;s:5:\"views\";s:15:\"views_execution\";}s:5:\"theme\";a:32:{s:5:\"block\";b:0;s:13:\"block_content\";b:0;s:8:\"ckeditor\";b:0;s:5:\"color\";b:0;s:8:\"colorbox\";b:0;s:7:\"comment\";b:0;s:18:\"config_translation\";b:0;s:6:\"ctools\";b:0;s:8:\"field_ui\";b:0;s:4:\"file\";b:0;s:6:\"filter\";b:0;s:4:\"help\";b:0;s:5:\"image\";b:0;s:8:\"language\";b:0;s:4:\"link\";b:0;s:6:\"locale\";b:0;s:4:\"node\";b:0;s:3:\"rdf\";b:0;s:16:\"responsive_image\";b:0;s:6:\"search\";b:0;s:9:\"sharethis\";b:0;s:10:\"simplenews\";b:0;s:6:\"system\";b:0;s:8:\"taxonomy\";b:0;s:5:\"token\";b:0;s:7:\"toolbar\";b:0;s:6:\"update\";b:0;s:4:\"user\";b:0;s:17:\"video_embed_field\";b:0;s:8:\"views_ui\";b:0;s:11:\"we_megamenu\";b:0;s:5:\"views\";b:0;}s:20:\"theme_registry_alter\";a:0:{}s:34:\"theme_suggestions_views_view_field\";a:0:{}s:23:\"theme_suggestions_alter\";a:0:{}s:40:\"theme_suggestions_views_view_field_alter\";a:0:{}s:43:\"template_preprocess_default_variables_alter\";a:1:{s:4:\"user\";b:0;}s:26:\"entity_view_display_create\";a:0:{}s:13:\"entity_create\";a:0:{}s:21:\"field_info_max_weight\";a:0:{}s:26:\"field_formatter_info_alter\";a:3:{s:6:\"editor\";b:0;s:9:\"quickedit\";b:0;s:10:\"simplenews\";b:0;}s:26:\"entity_display_build_alter\";a:0:{}s:10:\"link_alter\";a:0:{}s:18:\"filter_format_load\";a:0:{}s:17:\"filter_info_alter\";a:0:{}s:30:\"query_user_load_multiple_alter\";a:0:{}s:17:\"user_storage_load\";a:0:{}s:9:\"user_load\";a:0:{}s:17:\"views_post_render\";a:0:{}s:28:\"theme_suggestions_views_view\";a:0:{}s:34:\"theme_suggestions_views_view_alter\";a:0:{}s:33:\"theme_suggestions_views_view_grid\";a:0:{}s:39:\"theme_suggestions_views_view_grid_alter\";a:0:{}s:35:\"theme_suggestions_views_view_fields\";a:0:{}s:41:\"theme_suggestions_views_view_fields_alter\";a:0:{}s:27:\"theme_suggestions_feed_icon\";a:0:{}s:33:\"theme_suggestions_feed_icon_alter\";a:0:{}s:27:\"theme_suggestions_container\";a:0:{}s:33:\"theme_suggestions_container_alter\";a:1:{s:5:\"views\";b:0;}s:28:\"display_variant_plugin_alter\";a:0:{}s:10:\"block_load\";a:0:{}s:13:\"entity_access\";a:0:{}s:12:\"block_access\";a:0:{}s:20:\"condition_info_alter\";a:1:{s:6:\"ctools\";b:0;}s:24:\"query_entity_query_alter\";a:0:{}s:38:\"query_entity_query_block_content_alter\";a:0:{}s:39:\"query_block_content_load_multiple_alter\";a:0:{}s:26:\"block_content_storage_load\";a:0:{}s:18:\"block_content_load\";a:0:{}s:9:\"menu_load\";a:0:{}s:28:\"views_plugins_argument_alter\";a:0:{}s:38:\"views_plugins_argument_validator_alter\";a:2:{s:8:\"taxonomy\";s:5:\"views\";s:4:\"user\";s:5:\"views\";}s:11:\"block_alter\";a:0:{}s:32:\"query_block_content_access_alter\";a:0:{}s:20:\"block_content_access\";a:0:{}s:17:\"block_build_alter\";a:0:{}s:39:\"block_build_system_branding_block_alter\";a:0:{}s:29:\"block_build_views_block_alter\";a:0:{}s:35:\"block_build_we_megamenu_block_alter\";a:0:{}s:35:\"block_build_system_menu_block_alter\";a:0:{}s:39:\"block_build_system_messages_block_alter\";a:0:{}s:28:\"block_build_help_block_alter\";a:0:{}s:37:\"block_build_local_actions_block_alter\";a:0:{}s:34:\"block_build_page_title_block_alter\";a:0:{}s:16:\"block_view_alter\";a:1:{s:5:\"token\";b:0;}s:33:\"block_view_page_title_block_alter\";a:0:{}s:35:\"block_build_local_tasks_block_alter\";a:0:{}s:35:\"block_build_system_main_block_alter\";a:0:{}s:34:\"block_view_system_main_block_alter\";a:1:{s:6:\"system\";b:0;}s:47:\"block_build_simplenews_subscription_block_alter\";a:0:{}s:31:\"block_build_block_content_alter\";a:0:{}s:41:\"block_build_system_breadcrumb_block_alter\";a:0:{}s:16:\"page_attachments\";a:4:{s:19:\"content_translation\";b:0;s:10:\"contextual\";b:0;s:9:\"quickedit\";b:0;s:6:\"system\";b:0;}s:14:\"file_url_alter\";a:0:{}s:22:\"page_attachments_alter\";a:1:{s:8:\"taxonomy\";b:0;}s:8:\"page_top\";a:4:{s:5:\"block\";b:0;s:4:\"node\";b:0;s:7:\"toolbar\";b:0;s:6:\"update\";b:0;}s:11:\"page_bottom\";a:1:{s:4:\"tour\";b:0;}s:22:\"theme_suggestions_html\";a:1:{s:6:\"system\";b:0;}s:28:\"theme_suggestions_html_alter\";a:0:{}s:14:\"rdf_namespaces\";a:1:{s:3:\"rdf\";b:0;}s:17:\"breakpoints_alter\";a:0:{}s:7:\"toolbar\";a:6:{s:19:\"admin_toolbar_tools\";b:0;s:10:\"contextual\";b:0;s:8:\"shortcut\";b:0;s:7:\"toolbar\";b:0;s:4:\"tour\";b:0;s:4:\"user\";b:0;}s:20:\"shortcut_default_set\";a:0:{}s:17:\"shortcut_set_load\";a:0:{}s:22:\"theme_suggestions_menu\";a:0:{}s:28:\"theme_suggestions_menu_alter\";a:0:{}s:22:\"user_format_name_alter\";a:0:{}s:13:\"toolbar_alter\";a:2:{s:13:\"admin_toolbar\";b:0;s:20:\"admin_toolbar_search\";b:0;}s:25:\"theme_suggestions_toolbar\";a:0:{}s:31:\"theme_suggestions_toolbar_alter\";a:0:{}s:23:\"theme_suggestions_input\";a:0:{}s:29:\"theme_suggestions_input_alter\";a:0:{}s:30:\"theme_suggestions_form_element\";a:0:{}s:36:\"theme_suggestions_form_element_alter\";a:0:{}s:22:\"theme_suggestions_page\";a:1:{s:6:\"system\";b:0;}s:28:\"theme_suggestions_page_alter\";a:0:{}s:34:\"block_view_system_menu_block_alter\";a:1:{s:7:\"menu_ui\";b:0;}s:23:\"theme_suggestions_block\";a:1:{s:5:\"block\";b:0;}s:29:\"theme_suggestions_block_alter\";a:0:{}s:24:\"theme_suggestions_region\";a:1:{s:6:\"system\";b:0;}s:30:\"theme_suggestions_region_alter\";a:0:{}s:38:\"block_view_system_branding_block_alter\";a:1:{s:5:\"color\";b:0;}s:34:\"block_view_we_megamenu_block_alter\";a:1:{s:11:\"we_megamenu\";b:0;}s:38:\"theme_suggestions_we_megamenu_frontend\";a:0:{}s:44:\"theme_suggestions_we_megamenu_frontend_alter\";a:0:{}s:43:\"query_menu_link_content_load_multiple_alter\";a:0:{}s:30:\"menu_link_content_storage_load\";a:0:{}s:22:\"menu_link_content_load\";a:0:{}s:32:\"theme_suggestions_we_megamenu_ul\";a:0:{}s:38:\"theme_suggestions_we_megamenu_ul_alter\";a:0:{}s:32:\"theme_suggestions_we_megamenu_li\";a:0:{}s:38:\"theme_suggestions_we_megamenu_li_alter\";a:0:{}s:37:\"theme_suggestions_we_megamenu_submenu\";a:0:{}s:43:\"theme_suggestions_we_megamenu_submenu_alter\";a:0:{}s:33:\"theme_suggestions_we_megamenu_row\";a:0:{}s:39:\"theme_suggestions_we_megamenu_row_alter\";a:0:{}s:33:\"theme_suggestions_we_megamenu_col\";a:0:{}s:39:\"theme_suggestions_we_megamenu_col_alter\";a:0:{}s:35:\"theme_suggestions_we_megamenu_subul\";a:0:{}s:41:\"theme_suggestions_we_megamenu_subul_alter\";a:0:{}s:28:\"block_view_views_block_alter\";a:0:{}s:24:\"views_plugins_join_alter\";a:0:{}s:27:\"query_views_slideshow_alter\";a:0:{}s:46:\"language_fallback_candidates_entity_view_alter\";a:1:{s:19:\"content_translation\";b:0;}s:34:\"language_fallback_candidates_alter\";a:0:{}s:30:\"language_content_settings_load\";a:0:{}s:30:\"query_file_load_multiple_alter\";a:0:{}s:24:\"entity_bundle_field_info\";a:1:{s:5:\"field\";b:0;}s:30:\"entity_bundle_field_info_alter\";a:0:{}s:17:\"file_storage_load\";a:0:{}s:9:\"file_load\";a:0:{}s:16:\"image_style_load\";a:0:{}s:33:\"theme_suggestions_image_formatter\";a:0:{}s:39:\"theme_suggestions_image_formatter_alter\";a:0:{}s:29:\"theme_suggestions_image_style\";a:0:{}s:35:\"theme_suggestions_image_style_alter\";a:0:{}s:23:\"image_effect_info_alter\";a:0:{}s:23:\"theme_suggestions_image\";a:0:{}s:29:\"theme_suggestions_image_alter\";a:0:{}s:40:\"theme_suggestions_views_view_unformatted\";a:0:{}s:46:\"theme_suggestions_views_view_unformatted_alter\";a:0:{}s:38:\"block_view_system_messages_block_alter\";a:0:{}s:27:\"block_view_help_block_alter\";a:1:{s:4:\"help\";b:0;}s:4:\"help\";a:57:{s:13:\"admin_toolbar\";b:0;s:20:\"admin_toolbar_search\";b:0;s:19:\"admin_toolbar_tools\";b:0;s:14:\"automated_cron\";b:0;s:5:\"block\";b:0;s:11:\"block_class\";b:0;s:13:\"block_content\";b:0;s:10:\"breakpoint\";b:0;s:8:\"ckeditor\";b:0;s:5:\"color\";b:0;s:8:\"colorbox\";b:0;s:7:\"comment\";b:0;s:6:\"config\";b:0;s:18:\"config_translation\";b:0;s:7:\"contact\";b:0;s:19:\"content_translation\";b:0;s:10:\"contextual\";b:0;s:6:\"ctools\";b:0;s:8:\"datetime\";b:0;s:5:\"dblog\";b:0;s:18:\"dynamic_page_cache\";b:0;s:6:\"editor\";b:0;s:5:\"field\";b:0;s:8:\"field_ui\";b:0;s:4:\"file\";b:0;s:6:\"filter\";b:0;s:4:\"help\";b:0;s:7:\"history\";b:0;s:5:\"image\";b:0;s:8:\"language\";b:0;s:4:\"link\";b:0;s:6:\"locale\";b:0;s:7:\"menu_ui\";b:0;s:4:\"node\";b:0;s:7:\"options\";b:0;s:10:\"page_cache\";b:0;s:4:\"path\";b:0;s:9:\"quickedit\";b:0;s:3:\"rdf\";b:0;s:16:\"responsive_image\";b:0;s:6:\"search\";b:0;s:9:\"sharethis\";b:0;s:8:\"shortcut\";b:0;s:10:\"simplenews\";b:0;s:6:\"system\";b:0;s:8:\"taxonomy\";b:0;s:4:\"text\";b:0;s:5:\"token\";b:0;s:7:\"toolbar\";b:0;s:4:\"tour\";b:0;s:6:\"update\";b:0;s:4:\"user\";b:0;s:17:\"video_embed_field\";b:0;s:8:\"views_ui\";b:0;s:17:\"menu_link_content\";b:0;s:8:\"pathauto\";b:0;s:5:\"views\";b:0;}s:36:\"block_view_local_actions_block_alter\";a:0:{}s:14:\"node_type_load\";a:0:{}s:24:\"menu_local_actions_alter\";a:0:{}s:28:\"theme_suggestions_page_title\";a:0:{}s:34:\"theme_suggestions_page_title_alter\";a:0:{}s:34:\"block_view_local_tasks_block_alter\";a:0:{}s:21:\"entity_form_mode_load\";a:0:{}s:27:\"entity_form_mode_info_alter\";a:0:{}s:21:\"entity_view_mode_load\";a:0:{}s:27:\"entity_view_mode_info_alter\";a:0:{}s:16:\"search_page_load\";a:0:{}s:17:\"local_tasks_alter\";a:3:{s:8:\"field_ui\";b:0;s:8:\"pathauto\";b:0;s:5:\"views\";b:0;}s:22:\"menu_local_tasks_alter\";a:1:{s:7:\"contact\";b:0;}s:26:\"query_views_about_us_alter\";a:0:{}s:27:\"query_views_portfolio_alter\";a:0:{}s:23:\"colorbox_settings_alter\";a:0:{}s:36:\"theme_suggestions_colorbox_formatter\";a:0:{}s:42:\"theme_suggestions_colorbox_formatter_alter\";a:0:{}s:27:\"query_views_blog_page_alter\";a:0:{}s:11:\"user_access\";a:0:{}s:39:\"query_taxonomy_term_load_multiple_alter\";a:0:{}s:24:\"base_field_override_load\";a:0:{}s:26:\"taxonomy_term_storage_load\";a:0:{}s:18:\"taxonomy_term_load\";a:0:{}s:20:\"taxonomy_term_access\";a:0:{}s:29:\"query_entity_query_file_alter\";a:0:{}s:30:\"query_views_our_partners_alter\";a:0:{}s:46:\"block_view_simplenews_subscription_block_alter\";a:0:{}s:26:\"simplenews_newsletter_load\";a:0:{}s:46:\"query_entity_query_simplenews_subscriber_alter\";a:0:{}s:32:\"language_content_settings_create\";a:0:{}s:39:\"simplenews_subscriber_field_values_init\";a:0:{}s:24:\"entity_field_values_init\";a:0:{}s:23:\"query_user_access_alter\";a:0:{}s:29:\"query_entity_query_user_alter\";a:0:{}s:28:\"simplenews_subscriber_create\";a:0:{}s:23:\"entity_extra_field_info\";a:7:{s:7:\"comment\";b:0;s:7:\"contact\";b:0;s:19:\"content_translation\";b:0;s:4:\"node\";b:0;s:9:\"sharethis\";b:0;s:10:\"simplenews\";b:0;s:4:\"user\";b:0;}s:17:\"comment_type_load\";a:0:{}s:29:\"entity_extra_field_info_alter\";a:0:{}s:24:\"entity_form_display_load\";a:0:{}s:25:\"entity_form_display_alter\";a:0:{}s:19:\"entity_prepare_form\";a:0:{}s:34:\"simplenews_subscriber_prepare_form\";a:0:{}s:23:\"field_widget_info_alter\";a:3:{s:4:\"file\";b:0;s:10:\"simplenews\";b:0;s:8:\"pathauto\";b:0;}s:23:\"field_widget_form_alter\";a:1:{s:4:\"path\";b:0;}s:37:\"field_widget_email_default_form_alter\";a:0:{}s:34:\"field_widget_multivalue_form_alter\";a:0:{}s:48:\"field_widget_multivalue_email_default_form_alter\";a:0:{}s:54:\"field_widget_simplenews_subscription_select_form_alter\";a:0:{}s:65:\"field_widget_multivalue_simplenews_subscription_select_form_alter\";a:0:{}s:10:\"form_alter\";a:3:{s:19:\"content_translation\";b:0;s:8:\"language\";b:0;s:6:\"system\";b:0;}s:37:\"form_simplenews_subscriber_form_alter\";a:0:{}s:78:\"form_simplenews_subscriptions_block_2e7f7bdc-7622-4ced-9848-99a362a0e07e_alter\";a:0:{}s:22:\"theme_suggestions_form\";a:0:{}s:28:\"theme_suggestions_form_alter\";a:0:{}s:30:\"block_view_block_content_alter\";a:0:{}s:22:\"entity_view_mode_alter\";a:0:{}s:34:\"block_content_build_defaults_alter\";a:0:{}s:27:\"entity_build_defaults_alter\";a:0:{}s:24:\"entity_view_display_load\";a:0:{}s:25:\"entity_view_display_alter\";a:1:{s:4:\"node\";b:0;}s:19:\"entity_prepare_view\";a:1:{s:3:\"rdf\";b:0;}s:18:\"rdf_mapping_create\";a:0:{}s:18:\"block_content_view\";a:0:{}s:11:\"entity_view\";a:1:{s:7:\"comment\";b:0;}s:24:\"block_content_view_alter\";a:0:{}s:17:\"entity_view_alter\";a:1:{s:9:\"quickedit\";b:0;}s:23:\"theme_suggestions_field\";a:1:{s:6:\"system\";b:0;}s:29:\"theme_suggestions_field_alter\";a:0:{}s:41:\"theme_suggestions_off_canvas_page_wrapper\";a:0:{}s:47:\"theme_suggestions_off_canvas_page_wrapper_alter\";a:0:{}s:23:\"theme_suggestions_links\";a:0:{}s:29:\"theme_suggestions_links_alter\";a:0:{}s:33:\"query_entity_query_shortcut_alter\";a:0:{}s:34:\"query_shortcut_load_multiple_alter\";a:0:{}s:21:\"shortcut_storage_load\";a:0:{}s:13:\"shortcut_load\";a:0:{}s:18:\"library_info_alter\";a:5:{s:8:\"ckeditor\";b:0;s:5:\"color\";b:0;s:6:\"locale\";b:0;s:9:\"quickedit\";b:0;s:16:\"responsive_image\";b:0;}s:9:\"css_alter\";a:0:{}s:8:\"js_alter\";a:1:{s:6:\"locale\";b:0;}s:17:\"js_settings_build\";a:1:{s:6:\"system\";b:0;}s:17:\"js_settings_alter\";a:3:{s:6:\"locale\";b:0;s:6:\"system\";b:0;s:4:\"user\";b:0;}s:30:\"contextual_links_plugins_alter\";a:0:{}s:24:\"config_schema_info_alter\";a:1:{s:18:\"config_translation\";b:0;}s:22:\"contextual_links_alter\";a:0:{}s:11:\"menu_access\";a:0:{}s:27:\"contextual_links_view_alter\";a:2:{s:10:\"contextual\";b:0;s:8:\"views_ui\";b:0;}s:11:\"view_access\";a:0:{}s:20:\"filter_format_access\";a:0:{}s:11:\"editor_load\";a:0:{}s:26:\"ckeditor_plugin_info_alter\";a:0:{}s:18:\"ckeditor_css_alter\";a:1:{s:8:\"ckeditor\";b:0;}s:24:\"editor_js_settings_alter\";a:0:{}s:17:\"ajax_render_alter\";a:0:{}s:17:\"system_info_alter\";a:1:{s:6:\"system\";b:0;}s:24:\"taxonomy_vocabulary_load\";a:0:{}s:25:\"form_system_modules_alter\";a:1:{s:6:\"update\";b:0;}s:36:\"theme_suggestions_form_element_label\";a:0:{}s:42:\"theme_suggestions_form_element_label_alter\";a:0:{}s:40:\"theme_suggestions_system_modules_details\";a:0:{}s:46:\"theme_suggestions_system_modules_details_alter\";a:0:{}s:27:\"theme_suggestions_item_list\";a:0:{}s:33:\"theme_suggestions_item_list_alter\";a:0:{}s:25:\"theme_suggestions_details\";a:0:{}s:31:\"theme_suggestions_details_alter\";a:0:{}s:21:\"update_projects_alter\";a:0:{}s:19:\"update_status_alter\";a:0:{}s:34:\"theme_suggestions_menu_local_tasks\";a:0:{}s:40:\"theme_suggestions_menu_local_tasks_alter\";a:0:{}s:33:\"theme_suggestions_menu_local_task\";a:0:{}s:39:\"theme_suggestions_menu_local_task_alter\";a:0:{}s:40:\"block_view_system_breadcrumb_block_alter\";a:0:{}s:23:\"system_breadcrumb_alter\";a:1:{s:7:\"menu_ui\";b:0;}s:28:\"theme_suggestions_breadcrumb\";a:0:{}s:34:\"theme_suggestions_breadcrumb_alter\";a:0:{}s:35:\"theme_suggestions_menu_local_action\";a:0:{}s:41:\"theme_suggestions_menu_local_action_alter\";a:0:{}s:33:\"theme_suggestions_status_messages\";a:0:{}s:39:\"theme_suggestions_status_messages_alter\";a:0:{}s:25:\"field_storage_config_load\";a:0:{}s:32:\"query_entity_query_comment_alter\";a:0:{}s:42:\"query_entity_query_menu_link_content_alter\";a:0:{}s:29:\"query_entity_query_node_alter\";a:0:{}s:38:\"query_entity_query_taxonomy_term_alter\";a:0:{}s:35:\"form_system_modules_uninstall_alter\";a:0:{}s:42:\"theme_suggestions_system_modules_uninstall\";a:0:{}s:48:\"theme_suggestions_system_modules_uninstall_alter\";a:0:{}s:35:\"theme_suggestions_update_last_check\";a:0:{}s:41:\"theme_suggestions_update_last_check_alter\";a:0:{}s:37:\"form_update_manager_update_form_alter\";a:0:{}s:23:\"theme_suggestions_table\";a:0:{}s:29:\"theme_suggestions_table_alter\";a:0:{}s:14:\"user_role_load\";a:0:{}s:26:\"form_user_login_form_alter\";a:0:{}s:11:\"node_access\";a:2:{s:4:\"node\";b:0;s:10:\"simplenews\";b:0;}s:43:\"theme_suggestions_field_multiple_value_form\";a:0:{}s:49:\"theme_suggestions_field_multiple_value_form_alter\";a:0:{}s:25:\"user_build_defaults_alter\";a:0:{}s:16:\"rdf_mapping_load\";a:0:{}s:9:\"user_view\";a:2:{s:10:\"simplenews\";b:0;s:4:\"user\";b:0;}s:15:\"user_view_alter\";a:1:{s:4:\"user\";b:0;}s:22:\"theme_suggestions_user\";a:0:{}s:28:\"theme_suggestions_user_alter\";a:0:{}s:12:\"requirements\";a:13:{s:5:\"color\";b:0;s:8:\"colorbox\";b:0;s:7:\"comment\";b:0;s:4:\"file\";b:0;s:5:\"image\";b:0;s:6:\"locale\";b:0;s:4:\"node\";b:0;s:6:\"search\";b:0;s:6:\"system\";b:0;s:8:\"taxonomy\";b:0;s:5:\"token\";b:0;s:6:\"update\";b:0;s:17:\"menu_link_content\";b:0;}s:17:\"entity_type_build\";a:4:{s:8:\"field_ui\";b:0;s:7:\"menu_ui\";b:0;s:6:\"system\";b:0;s:8:\"views_ui\";b:0;}s:17:\"entity_type_alter\";a:8:{s:13:\"block_content\";b:0;s:18:\"config_translation\";b:0;s:7:\"contact\";b:0;s:4:\"path\";b:0;s:8:\"taxonomy\";b:0;s:5:\"token\";b:0;s:17:\"menu_link_content\";b:0;s:19:\"content_translation\";b:0;}s:22:\"entity_base_field_info\";a:5:{s:19:\"content_translation\";b:0;s:10:\"node_class\";b:0;s:4:\"path\";b:0;s:5:\"token\";b:0;s:8:\"pathauto\";b:0;}s:28:\"entity_base_field_info_alter\";a:2:{s:8:\"language\";b:0;s:4:\"path\";b:0;}s:25:\"entity_field_storage_info\";a:1:{s:5:\"field\";b:0;}s:31:\"entity_field_storage_info_alter\";a:0:{}s:10:\"token_info\";a:11:{s:5:\"token\";s:6:\"tokens\";s:7:\"comment\";s:6:\"tokens\";s:4:\"file\";b:0;s:7:\"menu_ui\";b:1;s:4:\"node\";s:6:\"tokens\";s:10:\"simplenews\";s:6:\"tokens\";s:6:\"system\";s:6:\"tokens\";s:8:\"taxonomy\";s:6:\"tokens\";s:4:\"user\";s:6:\"tokens\";s:8:\"pathauto\";s:6:\"tokens\";s:5:\"views\";s:6:\"tokens\";}s:16:\"token_info_alter\";a:2:{s:5:\"token\";s:6:\"tokens\";s:5:\"field\";b:1;}s:26:\"token_entity_mapping_alter\";a:0:{}s:28:\"theme_suggestions_admin_page\";a:0:{}s:34:\"theme_suggestions_admin_page_alter\";a:0:{}s:29:\"theme_suggestions_admin_block\";a:0:{}s:35:\"theme_suggestions_admin_block_alter\";a:0:{}s:37:\"theme_suggestions_admin_block_content\";a:0:{}s:43:\"theme_suggestions_admin_block_content_alter\";a:0:{}s:25:\"user_cancel_methods_alter\";a:0:{}s:30:\"form_user_admin_settings_alter\";a:2:{s:7:\"contact\";b:0;s:5:\"token\";b:0;}s:36:\"theme_suggestions_system_config_form\";a:0:{}s:42:\"theme_suggestions_system_config_form_alter\";a:0:{}s:24:\"theme_suggestions_select\";a:0:{}s:30:\"theme_suggestions_select_alter\";a:0:{}s:24:\"theme_suggestions_radios\";a:0:{}s:30:\"theme_suggestions_radios_alter\";a:0:{}s:26:\"theme_suggestions_fieldset\";a:0:{}s:32:\"theme_suggestions_fieldset_alter\";a:0:{}s:26:\"theme_suggestions_textarea\";a:0:{}s:32:\"theme_suggestions_textarea_alter\";a:0:{}s:33:\"theme_suggestions_token_tree_link\";a:0:{}s:39:\"theme_suggestions_token_tree_link_alter\";a:0:{}s:31:\"theme_suggestions_vertical_tabs\";a:0:{}s:37:\"theme_suggestions_vertical_tabs_alter\";a:0:{}s:17:\"user_role_presave\";a:0:{}s:14:\"entity_presave\";a:3:{s:19:\"content_translation\";b:0;s:5:\"image\";b:0;s:11:\"we_megamenu\";b:0;}s:16:\"user_role_update\";a:0:{}s:13:\"entity_update\";a:3:{s:19:\"admin_toolbar_tools\";b:0;s:6:\"editor\";b:0;s:8:\"pathauto\";b:0;}s:43:\"form_system_site_information_settings_alter\";a:0:{}}',-1,1637057262.228,1,'','0'),('path_alias_whitelist','a:39:{s:5:\"admin\";b:0;s:8:\"run-cron\";b:0;s:14:\"block-category\";N;s:5:\"block\";b:0;s:7:\"comment\";N;s:8:\"comments\";N;s:7:\"contact\";b:0;s:4:\"user\";b:0;s:10:\"contextual\";N;s:6:\"editor\";N;s:4:\"file\";N;s:6:\"filter\";N;s:7:\"history\";N;s:5:\"sites\";N;s:6:\"system\";N;s:9:\"quickedit\";N;s:4:\"node\";b:1;s:6:\"search\";N;s:10:\"newsletter\";N;s:4:\"cron\";N;s:12:\"machine_name\";N;s:0:\"\";N;s:9:\"<current>\";N;s:5:\"batch\";N;s:10:\"update.php\";N;s:29:\"entity_reference_autocomplete\";N;s:7:\"session\";N;s:8:\"taxonomy\";b:1;s:5:\"token\";b:0;s:7:\"toolbar\";N;s:11:\".well-known\";N;s:12:\"we-mega-menu\";N;s:4:\"blog\";b:0;s:12:\"blog_default\";b:0;s:7:\"rss.xml\";b:0;s:9:\"portfolio\";b:0;s:15:\"portfolio_4_col\";b:0;s:17:\"portfolio_masonry\";b:0;s:5:\"views\";N;}',-1,1637057237.661,1,'','0'),('routing.non_admin_routes','a:135:{i:0;s:22:\"admin_toolbar.run.cron\";i:1;s:27:\"block.category_autocomplete\";i:2;s:22:\"block_content.add_page\";i:3;s:22:\"block_content.add_form\";i:4;s:30:\"entity.block_content.canonical\";i:5;s:30:\"entity.block_content.edit_form\";i:6;s:32:\"entity.block_content.delete_form\";i:7;s:24:\"entity.comment.edit_form\";i:8;s:15:\"comment.approve\";i:9;s:24:\"entity.comment.canonical\";i:10;s:26:\"entity.comment.delete_form\";i:11;s:13:\"comment.reply\";i:12;s:31:\"comment.new_comments_node_links\";i:13;s:21:\"comment.node_redirect\";i:14;s:17:\"contact.site_page\";i:15;s:29:\"entity.contact_form.canonical\";i:16;s:24:\"entity.user.contact_form\";i:17;s:17:\"contextual.render\";i:18;s:17:\"editor.filter_xss\";i:19;s:31:\"editor.field_untransformed_text\";i:20;s:19:\"editor.image_dialog\";i:21;s:18:\"editor.link_dialog\";i:22;s:18:\"file.ajax_progress\";i:23;s:15:\"filter.tips_all\";i:24;s:11:\"filter.tips\";i:25;s:26:\"history.get_last_node_view\";i:26;s:17:\"history.read_node\";i:27;s:18:\"image.style_public\";i:28;s:19:\"image.style_private\";i:29;s:12:\"image.upload\";i:30;s:10:\"image.info\";i:31;s:13:\"node.add_page\";i:32;s:8:\"node.add\";i:33;s:19:\"entity.node.preview\";i:34;s:27:\"entity.node.version_history\";i:35;s:20:\"entity.node.revision\";i:36;s:28:\"node.revision_revert_confirm\";i:37;s:40:\"node.revision_revert_translation_confirm\";i:38;s:28:\"node.revision_delete_confirm\";i:39;s:18:\"quickedit.metadata\";i:40;s:21:\"quickedit.attachments\";i:41;s:20:\"quickedit.field_form\";i:42;s:21:\"quickedit.entity_save\";i:43;s:11:\"search.view\";i:44;s:23:\"search.view_node_search\";i:45;s:23:\"search.help_node_search\";i:46;s:23:\"search.view_user_search\";i:47;s:23:\"search.help_user_search\";i:48;s:19:\"shortcut.set_switch\";i:49;s:35:\"simplenews.newsletter_subscriptions\";i:50;s:45:\"simplenews.newsletter_subscriptions_arguments\";i:51;s:40:\"simplenews.newsletter_subscriptions_user\";i:52;s:38:\"simplenews.newsletter_confirm_combined\";i:53;s:42:\"simplenews.newsletter_confirm_subscription\";i:54;s:48:\"simplenews.newsletter_confirm_combined_immediate\";i:55;s:52:\"simplenews.newsletter_confirm_subscription_immediate\";i:56;s:19:\"simplenews.node_tab\";i:57;s:10:\"system.401\";i:58;s:10:\"system.403\";i:59;s:10:\"system.404\";i:60;s:10:\"system.4xx\";i:61;s:11:\"system.cron\";i:62;s:33:\"system.machine_name_transliterate\";i:63;s:12:\"system.files\";i:64;s:28:\"system.private_file_download\";i:65;s:16:\"system.temporary\";i:66;s:7:\"<front>\";i:67;s:6:\"<none>\";i:68;s:8:\"<nolink>\";i:69;s:8:\"<button>\";i:70;s:9:\"<current>\";i:71;s:15:\"system.timezone\";i:72;s:22:\"system.batch_page.html\";i:73;s:16:\"system.db_update\";i:74;s:26:\"system.entity_autocomplete\";i:75;s:16:\"system.csrftoken\";i:76;s:30:\"entity.taxonomy_term.edit_form\";i:77;s:32:\"entity.taxonomy_term.delete_form\";i:78;s:10:\"token.tree\";i:79;s:18:\"token.autocomplete\";i:80;s:16:\"toolbar.subtrees\";i:81;s:13:\"user.register\";i:82;s:11:\"user.logout\";i:83;s:9:\"user.pass\";i:84;s:9:\"user.page\";i:85;s:10:\"user.login\";i:86;s:19:\"user.cancel_confirm\";i:87;s:16:\"user.reset.login\";i:88;s:10:\"user.reset\";i:89;s:15:\"user.reset.form\";i:90;s:31:\"user.well-known.change_password\";i:91;s:23:\"we_megamenu.renderblock\";i:92;s:20:\"we_megamenu.geticons\";i:93;s:21:\"view.blog_page.page_1\";i:94;s:21:\"view.blog_page.page_2\";i:95;s:21:\"view.frontpage.feed_1\";i:96;s:21:\"view.frontpage.page_1\";i:97;s:21:\"view.portfolio.page_1\";i:98;s:21:\"view.portfolio.page_2\";i:99;s:21:\"view.portfolio.page_3\";i:100;s:25:\"view.taxonomy_term.feed_1\";i:101;s:25:\"view.taxonomy_term.page_1\";i:102;s:10:\"views.ajax\";i:103;s:21:\"entity.node.canonical\";i:104;s:23:\"entity.node.delete_form\";i:105;s:21:\"entity.node.edit_form\";i:106;s:21:\"entity.user.canonical\";i:107;s:21:\"entity.user.edit_form\";i:108;s:23:\"entity.user.cancel_form\";i:109;s:14:\"path.admin_add\";i:110;s:15:\"path.admin_edit\";i:111;s:11:\"path.delete\";i:112;s:19:\"path.admin_overview\";i:113;s:26:\"path.admin_overview_filter\";i:114;s:30:\"entity.taxonomy_term.canonical\";i:115;s:49:\"entity.block_content.content_translation_overview\";i:116;s:44:\"entity.block_content.content_translation_add\";i:117;s:45:\"entity.block_content.content_translation_edit\";i:118;s:47:\"entity.block_content.content_translation_delete\";i:119;s:43:\"entity.comment.content_translation_overview\";i:120;s:38:\"entity.comment.content_translation_add\";i:121;s:39:\"entity.comment.content_translation_edit\";i:122;s:41:\"entity.comment.content_translation_delete\";i:123;s:40:\"entity.node.content_translation_overview\";i:124;s:35:\"entity.node.content_translation_add\";i:125;s:36:\"entity.node.content_translation_edit\";i:126;s:38:\"entity.node.content_translation_delete\";i:127;s:49:\"entity.taxonomy_term.content_translation_overview\";i:128;s:44:\"entity.taxonomy_term.content_translation_add\";i:129;s:45:\"entity.taxonomy_term.content_translation_edit\";i:130;s:47:\"entity.taxonomy_term.content_translation_delete\";i:131;s:40:\"entity.user.content_translation_overview\";i:132;s:35:\"entity.user.content_translation_add\";i:133;s:36:\"entity.user.content_translation_edit\";i:134;s:38:\"entity.user.content_translation_delete\";}',-1,1636012247.258,1,'routes','58'),('theme.active_theme.luxestate','O:29:\"Drupal\\Core\\Theme\\ActiveTheme\":13:{s:7:\"\0*\0name\";s:9:\"luxestate\";s:7:\"\0*\0logo\";s:25:\"themes/luxestate/logo.svg\";s:7:\"\0*\0path\";s:16:\"themes/luxestate\";s:9:\"\0*\0engine\";s:4:\"twig\";s:8:\"\0*\0owner\";s:36:\"core/themes/engines/twig/twig.engine\";s:13:\"\0*\0baseThemes\";N;s:22:\"\0*\0baseThemeExtensions\";a:2:{s:6:\"classy\";O:31:\"Drupal\\Core\\Extension\\Extension\":18:{s:7:\"\0*\0type\";s:5:\"theme\";s:11:\"\0*\0pathname\";s:34:\"core/themes/classy/classy.info.yml\";s:11:\"\0*\0filename\";s:12:\"classy.theme\";s:7:\"subpath\";s:13:\"themes/classy\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:22:{s:4:\"name\";s:6:\"Classy\";s:4:\"type\";s:5:\"theme\";s:10:\"base theme\";s:6:\"stable\";s:11:\"description\";s:176:\"A base theme with sensible default CSS classes added. Learn how to use Classy as a base theme in the <a href=\"https://www.drupal.org/docs/8/theming\">Drupal 8 Theming Guide</a>.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:6:\"hidden\";b:1;s:9:\"libraries\";a:3:{i:0;s:11:\"classy/base\";i:1;s:15:\"classy/messages\";i:2;s:14:\"core/normalize\";}s:16:\"libraries-extend\";a:8:{s:16:\"user/drupal.user\";a:1:{i:0;s:11:\"classy/user\";}s:22:\"core/drupal.dropbutton\";a:1:{i:0;s:17:\"classy/dropbutton\";}s:18:\"core/drupal.dialog\";a:1:{i:0;s:13:\"classy/dialog\";}s:16:\"file/drupal.file\";a:1:{i:0;s:11:\"classy/file\";}s:20:\"core/drupal.progress\";a:1:{i:0;s:15:\"classy/progress\";}s:32:\"media/media_embed_ckeditor_theme\";a:1:{i:0;s:33:\"classy/media_embed_ckeditor_theme\";}s:18:\"media_library/view\";a:1:{i:0;s:20:\"classy/media_library\";}s:20:\"media_library/widget\";a:1:{i:0;s:20:\"classy/media_library\";}}s:20:\"ckeditor_stylesheets\";a:1:{i:0;s:36:\"css/components/media-embed-error.css\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:6:\"engine\";s:4:\"twig\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:12:\"primary_menu\";s:12:\"Primary menu\";s:14:\"secondary_menu\";s:14:\"Secondary menu\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:10:\"breadcrumb\";s:10:\"Breadcrumb\";}s:8:\"features\";a:5:{i:0;s:7:\"favicon\";i:1;s:4:\"logo\";i:2;s:17:\"node_user_picture\";i:3;s:20:\"comment_user_picture\";i:4;s:25:\"comment_user_verification\";}s:10:\"screenshot\";s:33:\"core/themes/classy/screenshot.png\";s:3:\"php\";s:5:\"7.0.8\";s:16:\"libraries_extend\";a:0:{}s:18:\"libraries_override\";a:0:{}s:12:\"dependencies\";a:1:{i:0;s:6:\"stable\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}}s:5:\"owner\";s:36:\"core/themes/engines/twig/twig.engine\";s:6:\"prefix\";s:4:\"twig\";s:6:\"status\";i:1;s:11:\"required_by\";a:4:{s:5:\"claro\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:6:\"classy\";s:10:\"\0*\0project\";s:0:\"\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:6:\"bartik\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:6:\"classy\";s:10:\"\0*\0project\";s:0:\"\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:5:\"seven\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:6:\"classy\";s:10:\"\0*\0project\";s:0:\"\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:9:\"luxestate\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:6:\"classy\";s:10:\"\0*\0project\";s:0:\"\";s:19:\"\0*\0constraintString\";s:0:\"\";}}s:8:\"requires\";a:1:{s:6:\"stable\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:6:\"stable\";s:10:\"\0*\0project\";s:0:\"\";s:19:\"\0*\0constraintString\";s:0:\"\";}}s:4:\"sort\";i:-1;s:10:\"sub_themes\";a:4:{s:6:\"bartik\";s:6:\"Bartik\";s:5:\"claro\";s:5:\"Claro\";s:5:\"seven\";s:5:\"Seven\";s:9:\"luxestate\";s:9:\"Luxestate\";}s:11:\"base_themes\";a:1:{s:6:\"stable\";s:6:\"Stable\";}s:19:\"module_dependencies\";a:0:{}s:9:\"libraries\";a:3:{i:0;s:11:\"classy/base\";i:1;s:15:\"classy/messages\";i:2;s:14:\"core/normalize\";}s:6:\"engine\";s:4:\"twig\";s:10:\"base_theme\";s:6:\"stable\";}s:6:\"stable\";O:31:\"Drupal\\Core\\Extension\\Extension\":15:{s:7:\"\0*\0type\";s:5:\"theme\";s:11:\"\0*\0pathname\";s:34:\"core/themes/stable/stable.info.yml\";s:11:\"\0*\0filename\";s:12:\"stable.theme\";s:7:\"subpath\";s:13:\"themes/stable\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:21:{s:4:\"name\";s:6:\"Stable\";s:4:\"type\";s:5:\"theme\";s:11:\"description\";s:62:\"A default base theme using Drupal 8.0.0\'s core markup and CSS.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:6:\"hidden\";b:1;s:18:\"libraries-override\";a:52:{s:24:\"block/drupal.block.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:19:\"css/block.admin.css\";s:25:\"css/block/block.admin.css\";}}}s:24:\"ckeditor/drupal.ckeditor\";a:1:{s:3:\"css\";a:1:{s:5:\"state\";a:1:{s:16:\"css/ckeditor.css\";s:25:\"css/ckeditor/ckeditor.css\";}}}s:51:\"ckeditor/drupal.ckeditor.plugins.drupalimagecaption\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:62:\"css/plugins/drupalimagecaption/ckeditor.drupalimagecaption.css\";s:71:\"css/ckeditor/plugins/drupalimagecaption/ckeditor.drupalimagecaption.css\";}}}s:41:\"ckeditor/drupal.ckeditor.plugins.language\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:42:\"css/plugins/language/ckeditor.language.css\";s:51:\"css/ckeditor/plugins/language/ckeditor.language.css\";}}}s:30:\"ckeditor/drupal.ckeditor.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:22:\"css/ckeditor.admin.css\";s:31:\"css/ckeditor/ckeditor.admin.css\";}}}s:11:\"color/admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:19:\"css/color.admin.css\";s:25:\"css/color/color.admin.css\";}}}s:50:\"config_translation/drupal.config_translation.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:32:\"css/config_translation.admin.css\";s:51:\"css/config_translation/config_translation.admin.css\";}}}s:52:\"content_translation/drupal.content_translation.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:33:\"css/content_translation.admin.css\";s:53:\"css/content_translation/content_translation.admin.css\";}}}s:37:\"content_moderation/content_moderation\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:1:{s:33:\"css/content_moderation.module.css\";s:52:\"css/content_moderation/content_moderation.module.css\";}s:5:\"theme\";a:1:{s:32:\"css/content_moderation.theme.css\";s:51:\"css/content_moderation/content_moderation.theme.css\";}}}s:34:\"contextual/drupal.contextual-links\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:1:{s:25:\"css/contextual.module.css\";s:36:\"css/contextual/contextual.module.css\";}s:5:\"theme\";a:2:{s:24:\"css/contextual.theme.css\";s:35:\"css/contextual/contextual.theme.css\";s:30:\"css/contextual.icons.theme.css\";s:41:\"css/contextual/contextual.icons.theme.css\";}}}s:36:\"contextual/drupal.contextual-toolbar\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:26:\"css/contextual.toolbar.css\";s:37:\"css/contextual/contextual.toolbar.css\";}}}s:29:\"core/drupal.dialog.off_canvas\";a:1:{s:3:\"css\";a:2:{s:4:\"base\";a:4:{s:32:\"misc/dialog/off-canvas.reset.css\";s:36:\"css/core/dialog/off-canvas.reset.css\";s:31:\"misc/dialog/off-canvas.base.css\";s:35:\"css/core/dialog/off-canvas.base.css\";s:26:\"misc/dialog/off-canvas.css\";s:30:\"css/core/dialog/off-canvas.css\";s:32:\"misc/dialog/off-canvas.theme.css\";s:36:\"css/core/dialog/off-canvas.theme.css\";}s:9:\"component\";a:8:{s:33:\"misc/dialog/off-canvas.motion.css\";s:37:\"css/core/dialog/off-canvas.motion.css\";s:33:\"misc/dialog/off-canvas.button.css\";s:37:\"css/core/dialog/off-canvas.button.css\";s:31:\"misc/dialog/off-canvas.form.css\";s:35:\"css/core/dialog/off-canvas.form.css\";s:32:\"misc/dialog/off-canvas.table.css\";s:36:\"css/core/dialog/off-canvas.table.css\";s:34:\"misc/dialog/off-canvas.details.css\";s:38:\"css/core/dialog/off-canvas.details.css\";s:36:\"misc/dialog/off-canvas.tabledrag.css\";s:40:\"css/core/dialog/off-canvas.tabledrag.css\";s:37:\"misc/dialog/off-canvas.dropbutton.css\";s:41:\"css/core/dialog/off-canvas.dropbutton.css\";s:33:\"misc/dialog/off-canvas.layout.css\";s:37:\"css/core/dialog/off-canvas.layout.css\";}}}s:22:\"core/drupal.dropbutton\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:30:\"misc/dropbutton/dropbutton.css\";s:34:\"css/core/dropbutton/dropbutton.css\";}}}s:25:\"core/drupal.vertical-tabs\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:22:\"misc/vertical-tabs.css\";s:26:\"css/core/vertical-tabs.css\";}}}s:18:\"dblog/drupal.dblog\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:20:\"css/dblog.module.css\";s:26:\"css/dblog/dblog.module.css\";}}}s:24:\"field_ui/drupal.field_ui\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:22:\"css/field_ui.admin.css\";s:31:\"css/field_ui/field_ui.admin.css\";}}}s:16:\"file/drupal.file\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:18:\"css/file.admin.css\";s:23:\"css/file/file.admin.css\";}}}s:26:\"filter/drupal.filter.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:20:\"css/filter.admin.css\";s:27:\"css/filter/filter.admin.css\";}}}s:20:\"filter/drupal.filter\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:20:\"css/filter.admin.css\";s:27:\"css/filter/filter.admin.css\";}}}s:14:\"filter/caption\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:22:\"css/filter.caption.css\";s:29:\"css/filter/filter.caption.css\";}}}s:11:\"image/admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:19:\"css/image.admin.css\";s:25:\"css/image/image.admin.css\";}}}s:35:\"image/quickedit.inPlaceEditor.image\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:1:{s:21:\"css/editors/image.css\";s:27:\"css/image/editors/image.css\";}s:5:\"theme\";a:1:{s:27:\"css/editors/image.theme.css\";s:33:\"css/image/editors/image.theme.css\";}}}s:30:\"language/drupal.language.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:22:\"css/language.admin.css\";s:31:\"css/language/language.admin.css\";}}}s:36:\"layout_builder/drupal.layout_builder\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:22:\"css/layout-builder.css\";s:37:\"css/layout_builder/layout-builder.css\";}}}s:26:\"locale/drupal.locale.admin\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:20:\"css/locale.admin.css\";s:27:\"css/locale/locale.admin.css\";}}}s:20:\"media/filter.caption\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:22:\"css/filter.caption.css\";s:28:\"css/media/filter.caption.css\";}}}s:22:\"media/oembed.formatter\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:24:\"css/oembed.formatter.css\";s:30:\"css/media/oembed.formatter.css\";}}}s:18:\"media/oembed.frame\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:20:\"css/oembed.frame.css\";s:26:\"css/media/oembed.frame.css\";}}}s:33:\"menu_ui/drupal.menu_ui.adminforms\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:21:\"css/menu_ui.admin.css\";s:29:\"css/menu_ui/menu_ui.admin.css\";}}}s:22:\"migrate_drupal_ui/base\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:49:\"css/components/upgrade-analysis-report-tables.css\";s:67:\"css/migrate_drupal_ui/components/upgrade-analysis-report-tables.css\";}}}s:16:\"node/drupal.node\";a:1:{s:3:\"css\";a:1:{s:6:\"layout\";a:1:{s:19:\"css/node.module.css\";s:24:\"css/node/node.module.css\";}}}s:24:\"node/drupal.node.preview\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:20:\"css/node.preview.css\";s:25:\"css/node/node.preview.css\";}}}s:9:\"node/form\";a:1:{s:3:\"css\";a:1:{s:6:\"layout\";a:1:{s:19:\"css/node.module.css\";s:24:\"css/node/node.module.css\";}}}s:22:\"node/drupal.node.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:18:\"css/node.admin.css\";s:23:\"css/node/node.admin.css\";}}}s:19:\"quickedit/quickedit\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:1:{s:24:\"css/quickedit.module.css\";s:34:\"css/quickedit/quickedit.module.css\";}s:5:\"theme\";a:2:{s:23:\"css/quickedit.theme.css\";s:33:\"css/quickedit/quickedit.theme.css\";s:29:\"css/quickedit.icons.theme.css\";s:39:\"css/quickedit/quickedit.icons.theme.css\";}}}s:34:\"settings_tray/drupal.settings_tray\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:3:{s:28:\"css/settings_tray.module.css\";s:42:\"css/settings_tray/settings_tray.module.css\";s:28:\"css/settings_tray.motion.css\";s:42:\"css/settings_tray/settings_tray.motion.css\";s:29:\"css/settings_tray.toolbar.css\";s:43:\"css/settings_tray/settings_tray.toolbar.css\";}s:5:\"theme\";a:1:{s:27:\"css/settings_tray.theme.css\";s:41:\"css/settings_tray/settings_tray.theme.css\";}}}s:24:\"shortcut/drupal.shortcut\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:2:{s:22:\"css/shortcut.theme.css\";s:31:\"css/shortcut/shortcut.theme.css\";s:28:\"css/shortcut.icons.theme.css\";s:37:\"css/shortcut/shortcut.icons.theme.css\";}}}s:28:\"simpletest/drupal.simpletest\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:25:\"css/simpletest.module.css\";s:36:\"css/simpletest/simpletest.module.css\";}}}s:11:\"system/base\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:22:{s:39:\"css/components/ajax-progress.module.css\";s:46:\"css/system/components/ajax-progress.module.css\";s:31:\"css/components/align.module.css\";s:38:\"css/system/components/align.module.css\";s:46:\"css/components/autocomplete-loading.module.css\";s:53:\"css/system/components/autocomplete-loading.module.css\";s:36:\"css/components/fieldgroup.module.css\";s:43:\"css/system/components/fieldgroup.module.css\";s:42:\"css/components/container-inline.module.css\";s:49:\"css/system/components/container-inline.module.css\";s:34:\"css/components/clearfix.module.css\";s:41:\"css/system/components/clearfix.module.css\";s:33:\"css/components/details.module.css\";s:40:\"css/system/components/details.module.css\";s:32:\"css/components/hidden.module.css\";s:39:\"css/system/components/hidden.module.css\";s:35:\"css/components/item-list.module.css\";s:42:\"css/system/components/item-list.module.css\";s:28:\"css/components/js.module.css\";s:35:\"css/system/components/js.module.css\";s:32:\"css/components/nowrap.module.css\";s:39:\"css/system/components/nowrap.module.css\";s:44:\"css/components/position-container.module.css\";s:51:\"css/system/components/position-container.module.css\";s:34:\"css/components/progress.module.css\";s:41:\"css/system/components/progress.module.css\";s:42:\"css/components/reset-appearance.module.css\";s:49:\"css/system/components/reset-appearance.module.css\";s:32:\"css/components/resize.module.css\";s:39:\"css/system/components/resize.module.css\";s:39:\"css/components/sticky-header.module.css\";s:46:\"css/system/components/sticky-header.module.css\";s:40:\"css/components/system-status-counter.css\";s:47:\"css/system/components/system-status-counter.css\";s:48:\"css/components/system-status-report-counters.css\";s:55:\"css/system/components/system-status-report-counters.css\";s:52:\"css/components/system-status-report-general-info.css\";s:59:\"css/system/components/system-status-report-general-info.css\";s:35:\"css/components/tabledrag.module.css\";s:42:\"css/system/components/tabledrag.module.css\";s:35:\"css/components/tablesort.module.css\";s:42:\"css/system/components/tablesort.module.css\";s:36:\"css/components/tree-child.module.css\";s:43:\"css/system/components/tree-child.module.css\";}}}s:12:\"system/admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:20:\"css/system.admin.css\";s:27:\"css/system/system.admin.css\";}}}s:18:\"system/maintenance\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:26:\"css/system.maintenance.css\";s:33:\"css/system/system.maintenance.css\";}}}s:11:\"system/diff\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:19:\"css/system.diff.css\";s:26:\"css/system/system.diff.css\";}}}s:24:\"taxonomy/drupal.taxonomy\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:22:\"css/taxonomy.theme.css\";s:31:\"css/taxonomy/taxonomy.theme.css\";}}}s:15:\"toolbar/toolbar\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:1:{s:22:\"css/toolbar.module.css\";s:30:\"css/toolbar/toolbar.module.css\";}s:5:\"theme\";a:2:{s:21:\"css/toolbar.theme.css\";s:29:\"css/toolbar/toolbar.theme.css\";s:27:\"css/toolbar.icons.theme.css\";s:35:\"css/toolbar/toolbar.icons.theme.css\";}}}s:20:\"toolbar/toolbar.menu\";a:1:{s:3:\"css\";a:1:{s:5:\"state\";a:1:{s:20:\"css/toolbar.menu.css\";s:28:\"css/toolbar/toolbar.menu.css\";}}}s:17:\"tour/tour-styling\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:19:\"css/tour.module.css\";s:24:\"css/tour/tour.module.css\";}}}s:26:\"update/drupal.update.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:26:\"css/update.admin.theme.css\";s:33:\"css/update/update.admin.theme.css\";}}}s:16:\"user/drupal.user\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:19:\"css/user.module.css\";s:24:\"css/user/user.module.css\";}}}s:22:\"user/drupal.user.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:18:\"css/user.admin.css\";s:23:\"css/user/user.admin.css\";}}}s:22:\"user/drupal.user.icons\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:24:\"css/user.icons.admin.css\";s:29:\"css/user/user.icons.admin.css\";}}}s:18:\"views/views.module\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:20:\"css/views.module.css\";s:26:\"css/views/views.module.css\";}}}s:22:\"views_ui/admin.styling\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:1:{s:22:\"css/views_ui.admin.css\";s:31:\"css/views_ui/views_ui.admin.css\";}s:5:\"theme\";a:2:{s:28:\"css/views_ui.admin.theme.css\";s:37:\"css/views_ui/views_ui.admin.theme.css\";s:27:\"css/views_ui.contextual.css\";s:36:\"css/views_ui/views_ui.contextual.css\";}}}}s:16:\"libraries-extend\";a:2:{s:16:\"core/drupal.ajax\";a:1:{i:0;s:18:\"stable/drupal.ajax\";}s:16:\"user/drupal.user\";a:1:{i:0;s:18:\"stable/drupal.user\";}}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:6:\"engine\";s:4:\"twig\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:12:\"primary_menu\";s:12:\"Primary menu\";s:14:\"secondary_menu\";s:14:\"Secondary menu\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:10:\"breadcrumb\";s:10:\"Breadcrumb\";}s:8:\"features\";a:5:{i:0;s:7:\"favicon\";i:1;s:4:\"logo\";i:2;s:17:\"node_user_picture\";i:3;s:20:\"comment_user_picture\";i:4;s:25:\"comment_user_verification\";}s:10:\"screenshot\";s:33:\"core/themes/stable/screenshot.png\";s:3:\"php\";s:5:\"7.0.8\";s:9:\"libraries\";a:0:{}s:16:\"libraries_extend\";a:0:{}s:18:\"libraries_override\";a:0:{}s:12:\"dependencies\";a:0:{}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}}s:5:\"owner\";s:36:\"core/themes/engines/twig/twig.engine\";s:6:\"prefix\";s:4:\"twig\";s:6:\"status\";i:1;s:11:\"required_by\";a:5:{s:6:\"classy\";r:99;s:5:\"claro\";r:99;s:6:\"bartik\";r:99;s:5:\"seven\";r:99;s:9:\"luxestate\";r:99;}s:8:\"requires\";a:0:{}s:4:\"sort\";i:0;s:10:\"sub_themes\";a:5:{s:6:\"bartik\";s:6:\"Bartik\";s:5:\"claro\";s:5:\"Claro\";s:6:\"classy\";s:6:\"Classy\";s:5:\"seven\";s:5:\"Seven\";s:9:\"luxestate\";s:9:\"Luxestate\";}s:19:\"module_dependencies\";a:0:{}s:6:\"engine\";s:4:\"twig\";}}s:12:\"\0*\0extension\";O:31:\"Drupal\\Core\\Extension\\Extension\":17:{s:7:\"\0*\0type\";s:5:\"theme\";s:11:\"\0*\0pathname\";s:35:\"themes/luxestate/luxestate.info.yml\";s:11:\"\0*\0filename\";s:15:\"luxestate.theme\";s:7:\"subpath\";s:16:\"themes/luxestate\";s:6:\"origin\";s:0:\"\";s:4:\"info\";a:20:{s:4:\"name\";s:9:\"Luxestate\";s:4:\"type\";s:5:\"theme\";s:10:\"base theme\";s:6:\"classy\";s:11:\"description\";s:86:\"A flexible, recolorable theme with many regions and a responsive, mobile-first layout.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:9:\"libraries\";a:2:{i:0;s:24:\"luxestate/global-styling\";i:1;s:20:\"luxestate/corescript\";}s:20:\"ckeditor_stylesheets\";a:1:{i:0;s:30:\"assets/css/ckeditor-iframe.css\";}s:7:\"regions\";a:29:{s:8:\"headline\";s:8:\"Headline\";s:6:\"header\";s:6:\"Header\";s:9:\"slideshow\";s:9:\"Slideshow\";s:12:\"primary_menu\";s:12:\"Primary menu\";s:10:\"page_title\";s:10:\"Page title\";s:14:\"secondary_menu\";s:14:\"Secondary menu\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:11:\"highlighted\";s:11:\"Highlighted\";s:6:\"banner\";s:6:\"Banner\";s:11:\"panel_first\";s:11:\"Panel first\";s:7:\"content\";s:7:\"Content\";s:14:\"content_bottom\";s:14:\"Content bottom\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:14:\"triptych_first\";s:14:\"Triptych first\";s:15:\"triptych_middle\";s:15:\"Triptych middle\";s:13:\"triptych_last\";s:13:\"Triptych last\";s:12:\"panel_second\";s:12:\"Panel second\";s:11:\"panel_third\";s:11:\"Panel third\";s:12:\"panel_fourth\";s:12:\"Panel fourth\";s:11:\"panel_fifth\";s:11:\"Panel fifth\";s:18:\"footer_firstcolumn\";s:19:\"Footer first column\";s:19:\"footer_secondcolumn\";s:20:\"Footer second column\";s:18:\"footer_thirdcolumn\";s:19:\"Footer third column\";s:19:\"footer_fourthcolumn\";s:20:\"Footer fourth column\";s:10:\"breadcrumb\";s:10:\"breadcrumb\";s:6:\"footer\";s:6:\"Footer\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1558337061;s:6:\"engine\";s:4:\"twig\";s:8:\"features\";a:5:{i:0;s:7:\"favicon\";i:1;s:4:\"logo\";i:2;s:17:\"node_user_picture\";i:3;s:20:\"comment_user_picture\";i:4;s:25:\"comment_user_verification\";}s:10:\"screenshot\";s:31:\"themes/luxestate/screenshot.png\";s:3:\"php\";s:5:\"7.0.8\";s:16:\"libraries_extend\";a:0:{}s:18:\"libraries_override\";a:0:{}s:12:\"dependencies\";a:1:{i:0;s:6:\"classy\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}}s:5:\"owner\";s:36:\"core/themes/engines/twig/twig.engine\";s:6:\"prefix\";s:4:\"twig\";s:6:\"status\";i:1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:2:{s:6:\"classy\";r:94;s:6:\"stable\";r:99;}s:4:\"sort\";i:-5;s:11:\"base_themes\";a:2:{s:6:\"stable\";s:6:\"Stable\";s:6:\"classy\";s:6:\"Classy\";}s:19:\"module_dependencies\";a:0:{}s:9:\"libraries\";a:2:{i:0;s:24:\"luxestate/global-styling\";i:1;s:20:\"luxestate/corescript\";}s:6:\"engine\";s:4:\"twig\";s:10:\"base_theme\";s:6:\"classy\";}s:20:\"\0*\0styleSheetsRemove\";a:0:{}s:12:\"\0*\0libraries\";a:5:{i:0;s:11:\"classy/base\";i:1;s:15:\"classy/messages\";i:2;s:14:\"core/normalize\";i:3;s:24:\"luxestate/global-styling\";i:4;s:20:\"luxestate/corescript\";}s:10:\"\0*\0regions\";a:29:{s:8:\"headline\";s:8:\"Headline\";s:6:\"header\";s:6:\"Header\";s:9:\"slideshow\";s:9:\"Slideshow\";s:12:\"primary_menu\";s:12:\"Primary menu\";s:10:\"page_title\";s:10:\"Page title\";s:14:\"secondary_menu\";s:14:\"Secondary menu\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:11:\"highlighted\";s:11:\"Highlighted\";s:6:\"banner\";s:6:\"Banner\";s:11:\"panel_first\";s:11:\"Panel first\";s:7:\"content\";s:7:\"Content\";s:14:\"content_bottom\";s:14:\"Content bottom\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:14:\"triptych_first\";s:14:\"Triptych first\";s:15:\"triptych_middle\";s:15:\"Triptych middle\";s:13:\"triptych_last\";s:13:\"Triptych last\";s:12:\"panel_second\";s:12:\"Panel second\";s:11:\"panel_third\";s:11:\"Panel third\";s:12:\"panel_fourth\";s:12:\"Panel fourth\";s:11:\"panel_fifth\";s:11:\"Panel fifth\";s:18:\"footer_firstcolumn\";s:19:\"Footer first column\";s:19:\"footer_secondcolumn\";s:20:\"Footer second column\";s:18:\"footer_thirdcolumn\";s:19:\"Footer third column\";s:19:\"footer_fourthcolumn\";s:20:\"Footer fourth column\";s:10:\"breadcrumb\";s:10:\"breadcrumb\";s:6:\"footer\";s:6:\"Footer\";}s:20:\"\0*\0librariesOverride\";a:1:{s:18:\"core/themes/stable\";a:52:{s:24:\"block/drupal.block.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:19:\"css/block.admin.css\";s:25:\"css/block/block.admin.css\";}}}s:24:\"ckeditor/drupal.ckeditor\";a:1:{s:3:\"css\";a:1:{s:5:\"state\";a:1:{s:16:\"css/ckeditor.css\";s:25:\"css/ckeditor/ckeditor.css\";}}}s:51:\"ckeditor/drupal.ckeditor.plugins.drupalimagecaption\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:62:\"css/plugins/drupalimagecaption/ckeditor.drupalimagecaption.css\";s:71:\"css/ckeditor/plugins/drupalimagecaption/ckeditor.drupalimagecaption.css\";}}}s:41:\"ckeditor/drupal.ckeditor.plugins.language\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:42:\"css/plugins/language/ckeditor.language.css\";s:51:\"css/ckeditor/plugins/language/ckeditor.language.css\";}}}s:30:\"ckeditor/drupal.ckeditor.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:22:\"css/ckeditor.admin.css\";s:31:\"css/ckeditor/ckeditor.admin.css\";}}}s:11:\"color/admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:19:\"css/color.admin.css\";s:25:\"css/color/color.admin.css\";}}}s:50:\"config_translation/drupal.config_translation.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:32:\"css/config_translation.admin.css\";s:51:\"css/config_translation/config_translation.admin.css\";}}}s:52:\"content_translation/drupal.content_translation.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:33:\"css/content_translation.admin.css\";s:53:\"css/content_translation/content_translation.admin.css\";}}}s:37:\"content_moderation/content_moderation\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:1:{s:33:\"css/content_moderation.module.css\";s:52:\"css/content_moderation/content_moderation.module.css\";}s:5:\"theme\";a:1:{s:32:\"css/content_moderation.theme.css\";s:51:\"css/content_moderation/content_moderation.theme.css\";}}}s:34:\"contextual/drupal.contextual-links\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:1:{s:25:\"css/contextual.module.css\";s:36:\"css/contextual/contextual.module.css\";}s:5:\"theme\";a:2:{s:24:\"css/contextual.theme.css\";s:35:\"css/contextual/contextual.theme.css\";s:30:\"css/contextual.icons.theme.css\";s:41:\"css/contextual/contextual.icons.theme.css\";}}}s:36:\"contextual/drupal.contextual-toolbar\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:26:\"css/contextual.toolbar.css\";s:37:\"css/contextual/contextual.toolbar.css\";}}}s:29:\"core/drupal.dialog.off_canvas\";a:1:{s:3:\"css\";a:2:{s:4:\"base\";a:4:{s:32:\"misc/dialog/off-canvas.reset.css\";s:36:\"css/core/dialog/off-canvas.reset.css\";s:31:\"misc/dialog/off-canvas.base.css\";s:35:\"css/core/dialog/off-canvas.base.css\";s:26:\"misc/dialog/off-canvas.css\";s:30:\"css/core/dialog/off-canvas.css\";s:32:\"misc/dialog/off-canvas.theme.css\";s:36:\"css/core/dialog/off-canvas.theme.css\";}s:9:\"component\";a:8:{s:33:\"misc/dialog/off-canvas.motion.css\";s:37:\"css/core/dialog/off-canvas.motion.css\";s:33:\"misc/dialog/off-canvas.button.css\";s:37:\"css/core/dialog/off-canvas.button.css\";s:31:\"misc/dialog/off-canvas.form.css\";s:35:\"css/core/dialog/off-canvas.form.css\";s:32:\"misc/dialog/off-canvas.table.css\";s:36:\"css/core/dialog/off-canvas.table.css\";s:34:\"misc/dialog/off-canvas.details.css\";s:38:\"css/core/dialog/off-canvas.details.css\";s:36:\"misc/dialog/off-canvas.tabledrag.css\";s:40:\"css/core/dialog/off-canvas.tabledrag.css\";s:37:\"misc/dialog/off-canvas.dropbutton.css\";s:41:\"css/core/dialog/off-canvas.dropbutton.css\";s:33:\"misc/dialog/off-canvas.layout.css\";s:37:\"css/core/dialog/off-canvas.layout.css\";}}}s:22:\"core/drupal.dropbutton\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:30:\"misc/dropbutton/dropbutton.css\";s:34:\"css/core/dropbutton/dropbutton.css\";}}}s:25:\"core/drupal.vertical-tabs\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:22:\"misc/vertical-tabs.css\";s:26:\"css/core/vertical-tabs.css\";}}}s:18:\"dblog/drupal.dblog\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:20:\"css/dblog.module.css\";s:26:\"css/dblog/dblog.module.css\";}}}s:24:\"field_ui/drupal.field_ui\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:22:\"css/field_ui.admin.css\";s:31:\"css/field_ui/field_ui.admin.css\";}}}s:16:\"file/drupal.file\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:18:\"css/file.admin.css\";s:23:\"css/file/file.admin.css\";}}}s:26:\"filter/drupal.filter.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:20:\"css/filter.admin.css\";s:27:\"css/filter/filter.admin.css\";}}}s:20:\"filter/drupal.filter\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:20:\"css/filter.admin.css\";s:27:\"css/filter/filter.admin.css\";}}}s:14:\"filter/caption\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:22:\"css/filter.caption.css\";s:29:\"css/filter/filter.caption.css\";}}}s:11:\"image/admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:19:\"css/image.admin.css\";s:25:\"css/image/image.admin.css\";}}}s:35:\"image/quickedit.inPlaceEditor.image\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:1:{s:21:\"css/editors/image.css\";s:27:\"css/image/editors/image.css\";}s:5:\"theme\";a:1:{s:27:\"css/editors/image.theme.css\";s:33:\"css/image/editors/image.theme.css\";}}}s:30:\"language/drupal.language.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:22:\"css/language.admin.css\";s:31:\"css/language/language.admin.css\";}}}s:36:\"layout_builder/drupal.layout_builder\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:22:\"css/layout-builder.css\";s:37:\"css/layout_builder/layout-builder.css\";}}}s:26:\"locale/drupal.locale.admin\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:20:\"css/locale.admin.css\";s:27:\"css/locale/locale.admin.css\";}}}s:20:\"media/filter.caption\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:22:\"css/filter.caption.css\";s:28:\"css/media/filter.caption.css\";}}}s:22:\"media/oembed.formatter\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:24:\"css/oembed.formatter.css\";s:30:\"css/media/oembed.formatter.css\";}}}s:18:\"media/oembed.frame\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:20:\"css/oembed.frame.css\";s:26:\"css/media/oembed.frame.css\";}}}s:33:\"menu_ui/drupal.menu_ui.adminforms\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:21:\"css/menu_ui.admin.css\";s:29:\"css/menu_ui/menu_ui.admin.css\";}}}s:22:\"migrate_drupal_ui/base\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:49:\"css/components/upgrade-analysis-report-tables.css\";s:67:\"css/migrate_drupal_ui/components/upgrade-analysis-report-tables.css\";}}}s:16:\"node/drupal.node\";a:1:{s:3:\"css\";a:1:{s:6:\"layout\";a:1:{s:19:\"css/node.module.css\";s:24:\"css/node/node.module.css\";}}}s:24:\"node/drupal.node.preview\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:20:\"css/node.preview.css\";s:25:\"css/node/node.preview.css\";}}}s:9:\"node/form\";a:1:{s:3:\"css\";a:1:{s:6:\"layout\";a:1:{s:19:\"css/node.module.css\";s:24:\"css/node/node.module.css\";}}}s:22:\"node/drupal.node.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:18:\"css/node.admin.css\";s:23:\"css/node/node.admin.css\";}}}s:19:\"quickedit/quickedit\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:1:{s:24:\"css/quickedit.module.css\";s:34:\"css/quickedit/quickedit.module.css\";}s:5:\"theme\";a:2:{s:23:\"css/quickedit.theme.css\";s:33:\"css/quickedit/quickedit.theme.css\";s:29:\"css/quickedit.icons.theme.css\";s:39:\"css/quickedit/quickedit.icons.theme.css\";}}}s:34:\"settings_tray/drupal.settings_tray\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:3:{s:28:\"css/settings_tray.module.css\";s:42:\"css/settings_tray/settings_tray.module.css\";s:28:\"css/settings_tray.motion.css\";s:42:\"css/settings_tray/settings_tray.motion.css\";s:29:\"css/settings_tray.toolbar.css\";s:43:\"css/settings_tray/settings_tray.toolbar.css\";}s:5:\"theme\";a:1:{s:27:\"css/settings_tray.theme.css\";s:41:\"css/settings_tray/settings_tray.theme.css\";}}}s:24:\"shortcut/drupal.shortcut\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:2:{s:22:\"css/shortcut.theme.css\";s:31:\"css/shortcut/shortcut.theme.css\";s:28:\"css/shortcut.icons.theme.css\";s:37:\"css/shortcut/shortcut.icons.theme.css\";}}}s:28:\"simpletest/drupal.simpletest\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:25:\"css/simpletest.module.css\";s:36:\"css/simpletest/simpletest.module.css\";}}}s:11:\"system/base\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:22:{s:39:\"css/components/ajax-progress.module.css\";s:46:\"css/system/components/ajax-progress.module.css\";s:31:\"css/components/align.module.css\";s:38:\"css/system/components/align.module.css\";s:46:\"css/components/autocomplete-loading.module.css\";s:53:\"css/system/components/autocomplete-loading.module.css\";s:36:\"css/components/fieldgroup.module.css\";s:43:\"css/system/components/fieldgroup.module.css\";s:42:\"css/components/container-inline.module.css\";s:49:\"css/system/components/container-inline.module.css\";s:34:\"css/components/clearfix.module.css\";s:41:\"css/system/components/clearfix.module.css\";s:33:\"css/components/details.module.css\";s:40:\"css/system/components/details.module.css\";s:32:\"css/components/hidden.module.css\";s:39:\"css/system/components/hidden.module.css\";s:35:\"css/components/item-list.module.css\";s:42:\"css/system/components/item-list.module.css\";s:28:\"css/components/js.module.css\";s:35:\"css/system/components/js.module.css\";s:32:\"css/components/nowrap.module.css\";s:39:\"css/system/components/nowrap.module.css\";s:44:\"css/components/position-container.module.css\";s:51:\"css/system/components/position-container.module.css\";s:34:\"css/components/progress.module.css\";s:41:\"css/system/components/progress.module.css\";s:42:\"css/components/reset-appearance.module.css\";s:49:\"css/system/components/reset-appearance.module.css\";s:32:\"css/components/resize.module.css\";s:39:\"css/system/components/resize.module.css\";s:39:\"css/components/sticky-header.module.css\";s:46:\"css/system/components/sticky-header.module.css\";s:40:\"css/components/system-status-counter.css\";s:47:\"css/system/components/system-status-counter.css\";s:48:\"css/components/system-status-report-counters.css\";s:55:\"css/system/components/system-status-report-counters.css\";s:52:\"css/components/system-status-report-general-info.css\";s:59:\"css/system/components/system-status-report-general-info.css\";s:35:\"css/components/tabledrag.module.css\";s:42:\"css/system/components/tabledrag.module.css\";s:35:\"css/components/tablesort.module.css\";s:42:\"css/system/components/tablesort.module.css\";s:36:\"css/components/tree-child.module.css\";s:43:\"css/system/components/tree-child.module.css\";}}}s:12:\"system/admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:20:\"css/system.admin.css\";s:27:\"css/system/system.admin.css\";}}}s:18:\"system/maintenance\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:26:\"css/system.maintenance.css\";s:33:\"css/system/system.maintenance.css\";}}}s:11:\"system/diff\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:19:\"css/system.diff.css\";s:26:\"css/system/system.diff.css\";}}}s:24:\"taxonomy/drupal.taxonomy\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:22:\"css/taxonomy.theme.css\";s:31:\"css/taxonomy/taxonomy.theme.css\";}}}s:15:\"toolbar/toolbar\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:1:{s:22:\"css/toolbar.module.css\";s:30:\"css/toolbar/toolbar.module.css\";}s:5:\"theme\";a:2:{s:21:\"css/toolbar.theme.css\";s:29:\"css/toolbar/toolbar.theme.css\";s:27:\"css/toolbar.icons.theme.css\";s:35:\"css/toolbar/toolbar.icons.theme.css\";}}}s:20:\"toolbar/toolbar.menu\";a:1:{s:3:\"css\";a:1:{s:5:\"state\";a:1:{s:20:\"css/toolbar.menu.css\";s:28:\"css/toolbar/toolbar.menu.css\";}}}s:17:\"tour/tour-styling\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:19:\"css/tour.module.css\";s:24:\"css/tour/tour.module.css\";}}}s:26:\"update/drupal.update.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:26:\"css/update.admin.theme.css\";s:33:\"css/update/update.admin.theme.css\";}}}s:16:\"user/drupal.user\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:19:\"css/user.module.css\";s:24:\"css/user/user.module.css\";}}}s:22:\"user/drupal.user.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:18:\"css/user.admin.css\";s:23:\"css/user/user.admin.css\";}}}s:22:\"user/drupal.user.icons\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:24:\"css/user.icons.admin.css\";s:29:\"css/user/user.icons.admin.css\";}}}s:18:\"views/views.module\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:20:\"css/views.module.css\";s:26:\"css/views/views.module.css\";}}}s:22:\"views_ui/admin.styling\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:1:{s:22:\"css/views_ui.admin.css\";s:31:\"css/views_ui/views_ui.admin.css\";}s:5:\"theme\";a:2:{s:28:\"css/views_ui.admin.theme.css\";s:37:\"css/views_ui/views_ui.admin.theme.css\";s:27:\"css/views_ui.contextual.css\";s:36:\"css/views_ui/views_ui.contextual.css\";}}}}}s:18:\"\0*\0librariesExtend\";a:9:{s:16:\"user/drupal.user\";a:2:{i:0;s:11:\"classy/user\";i:1;s:18:\"stable/drupal.user\";}s:22:\"core/drupal.dropbutton\";a:1:{i:0;s:17:\"classy/dropbutton\";}s:18:\"core/drupal.dialog\";a:1:{i:0;s:13:\"classy/dialog\";}s:16:\"file/drupal.file\";a:1:{i:0;s:11:\"classy/file\";}s:20:\"core/drupal.progress\";a:1:{i:0;s:15:\"classy/progress\";}s:32:\"media/media_embed_ckeditor_theme\";a:1:{i:0;s:33:\"classy/media_embed_ckeditor_theme\";}s:18:\"media_library/view\";a:1:{i:0;s:20:\"classy/media_library\";}s:20:\"media_library/widget\";a:1:{i:0;s:20:\"classy/media_library\";}s:16:\"core/drupal.ajax\";a:1:{i:0;s:18:\"stable/drupal.ajax\";}}}',-1,1636012247.334,1,'','0'),('theme.active_theme.seven','O:29:\"Drupal\\Core\\Theme\\ActiveTheme\":13:{s:7:\"\0*\0name\";s:5:\"seven\";s:7:\"\0*\0logo\";s:26:\"core/themes/seven/logo.svg\";s:7:\"\0*\0path\";s:17:\"core/themes/seven\";s:9:\"\0*\0engine\";s:4:\"twig\";s:8:\"\0*\0owner\";s:36:\"core/themes/engines/twig/twig.engine\";s:13:\"\0*\0baseThemes\";N;s:22:\"\0*\0baseThemeExtensions\";a:2:{s:6:\"classy\";O:31:\"Drupal\\Core\\Extension\\Extension\":18:{s:7:\"\0*\0type\";s:5:\"theme\";s:11:\"\0*\0pathname\";s:34:\"core/themes/classy/classy.info.yml\";s:11:\"\0*\0filename\";s:12:\"classy.theme\";s:7:\"subpath\";s:13:\"themes/classy\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:22:{s:4:\"name\";s:6:\"Classy\";s:4:\"type\";s:5:\"theme\";s:10:\"base theme\";s:6:\"stable\";s:11:\"description\";s:176:\"A base theme with sensible default CSS classes added. Learn how to use Classy as a base theme in the <a href=\"https://www.drupal.org/docs/8/theming\">Drupal 8 Theming Guide</a>.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:6:\"hidden\";b:1;s:9:\"libraries\";a:3:{i:0;s:11:\"classy/base\";i:1;s:15:\"classy/messages\";i:2;s:14:\"core/normalize\";}s:16:\"libraries-extend\";a:8:{s:16:\"user/drupal.user\";a:1:{i:0;s:11:\"classy/user\";}s:22:\"core/drupal.dropbutton\";a:1:{i:0;s:17:\"classy/dropbutton\";}s:18:\"core/drupal.dialog\";a:1:{i:0;s:13:\"classy/dialog\";}s:16:\"file/drupal.file\";a:1:{i:0;s:11:\"classy/file\";}s:20:\"core/drupal.progress\";a:1:{i:0;s:15:\"classy/progress\";}s:32:\"media/media_embed_ckeditor_theme\";a:1:{i:0;s:33:\"classy/media_embed_ckeditor_theme\";}s:18:\"media_library/view\";a:1:{i:0;s:20:\"classy/media_library\";}s:20:\"media_library/widget\";a:1:{i:0;s:20:\"classy/media_library\";}}s:20:\"ckeditor_stylesheets\";a:1:{i:0;s:36:\"css/components/media-embed-error.css\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:6:\"engine\";s:4:\"twig\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:12:\"primary_menu\";s:12:\"Primary menu\";s:14:\"secondary_menu\";s:14:\"Secondary menu\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:10:\"breadcrumb\";s:10:\"Breadcrumb\";}s:8:\"features\";a:5:{i:0;s:7:\"favicon\";i:1;s:4:\"logo\";i:2;s:17:\"node_user_picture\";i:3;s:20:\"comment_user_picture\";i:4;s:25:\"comment_user_verification\";}s:10:\"screenshot\";s:33:\"core/themes/classy/screenshot.png\";s:3:\"php\";s:5:\"7.0.8\";s:16:\"libraries_extend\";a:0:{}s:18:\"libraries_override\";a:0:{}s:12:\"dependencies\";a:1:{i:0;s:6:\"stable\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}}s:5:\"owner\";s:36:\"core/themes/engines/twig/twig.engine\";s:6:\"prefix\";s:4:\"twig\";s:6:\"status\";i:1;s:11:\"required_by\";a:4:{s:5:\"claro\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:6:\"classy\";s:10:\"\0*\0project\";s:0:\"\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:6:\"bartik\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:6:\"classy\";s:10:\"\0*\0project\";s:0:\"\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:5:\"seven\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:6:\"classy\";s:10:\"\0*\0project\";s:0:\"\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:9:\"luxestate\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:6:\"classy\";s:10:\"\0*\0project\";s:0:\"\";s:19:\"\0*\0constraintString\";s:0:\"\";}}s:8:\"requires\";a:1:{s:6:\"stable\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:6:\"stable\";s:10:\"\0*\0project\";s:0:\"\";s:19:\"\0*\0constraintString\";s:0:\"\";}}s:4:\"sort\";i:-1;s:10:\"sub_themes\";a:4:{s:6:\"bartik\";s:6:\"Bartik\";s:5:\"claro\";s:5:\"Claro\";s:5:\"seven\";s:5:\"Seven\";s:9:\"luxestate\";s:9:\"Luxestate\";}s:11:\"base_themes\";a:1:{s:6:\"stable\";s:6:\"Stable\";}s:19:\"module_dependencies\";a:0:{}s:9:\"libraries\";a:3:{i:0;s:11:\"classy/base\";i:1;s:15:\"classy/messages\";i:2;s:14:\"core/normalize\";}s:6:\"engine\";s:4:\"twig\";s:10:\"base_theme\";s:6:\"stable\";}s:6:\"stable\";O:31:\"Drupal\\Core\\Extension\\Extension\":15:{s:7:\"\0*\0type\";s:5:\"theme\";s:11:\"\0*\0pathname\";s:34:\"core/themes/stable/stable.info.yml\";s:11:\"\0*\0filename\";s:12:\"stable.theme\";s:7:\"subpath\";s:13:\"themes/stable\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:21:{s:4:\"name\";s:6:\"Stable\";s:4:\"type\";s:5:\"theme\";s:11:\"description\";s:62:\"A default base theme using Drupal 8.0.0\'s core markup and CSS.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:6:\"hidden\";b:1;s:18:\"libraries-override\";a:52:{s:24:\"block/drupal.block.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:19:\"css/block.admin.css\";s:25:\"css/block/block.admin.css\";}}}s:24:\"ckeditor/drupal.ckeditor\";a:1:{s:3:\"css\";a:1:{s:5:\"state\";a:1:{s:16:\"css/ckeditor.css\";s:25:\"css/ckeditor/ckeditor.css\";}}}s:51:\"ckeditor/drupal.ckeditor.plugins.drupalimagecaption\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:62:\"css/plugins/drupalimagecaption/ckeditor.drupalimagecaption.css\";s:71:\"css/ckeditor/plugins/drupalimagecaption/ckeditor.drupalimagecaption.css\";}}}s:41:\"ckeditor/drupal.ckeditor.plugins.language\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:42:\"css/plugins/language/ckeditor.language.css\";s:51:\"css/ckeditor/plugins/language/ckeditor.language.css\";}}}s:30:\"ckeditor/drupal.ckeditor.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:22:\"css/ckeditor.admin.css\";s:31:\"css/ckeditor/ckeditor.admin.css\";}}}s:11:\"color/admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:19:\"css/color.admin.css\";s:25:\"css/color/color.admin.css\";}}}s:50:\"config_translation/drupal.config_translation.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:32:\"css/config_translation.admin.css\";s:51:\"css/config_translation/config_translation.admin.css\";}}}s:52:\"content_translation/drupal.content_translation.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:33:\"css/content_translation.admin.css\";s:53:\"css/content_translation/content_translation.admin.css\";}}}s:37:\"content_moderation/content_moderation\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:1:{s:33:\"css/content_moderation.module.css\";s:52:\"css/content_moderation/content_moderation.module.css\";}s:5:\"theme\";a:1:{s:32:\"css/content_moderation.theme.css\";s:51:\"css/content_moderation/content_moderation.theme.css\";}}}s:34:\"contextual/drupal.contextual-links\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:1:{s:25:\"css/contextual.module.css\";s:36:\"css/contextual/contextual.module.css\";}s:5:\"theme\";a:2:{s:24:\"css/contextual.theme.css\";s:35:\"css/contextual/contextual.theme.css\";s:30:\"css/contextual.icons.theme.css\";s:41:\"css/contextual/contextual.icons.theme.css\";}}}s:36:\"contextual/drupal.contextual-toolbar\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:26:\"css/contextual.toolbar.css\";s:37:\"css/contextual/contextual.toolbar.css\";}}}s:29:\"core/drupal.dialog.off_canvas\";a:1:{s:3:\"css\";a:2:{s:4:\"base\";a:4:{s:32:\"misc/dialog/off-canvas.reset.css\";s:36:\"css/core/dialog/off-canvas.reset.css\";s:31:\"misc/dialog/off-canvas.base.css\";s:35:\"css/core/dialog/off-canvas.base.css\";s:26:\"misc/dialog/off-canvas.css\";s:30:\"css/core/dialog/off-canvas.css\";s:32:\"misc/dialog/off-canvas.theme.css\";s:36:\"css/core/dialog/off-canvas.theme.css\";}s:9:\"component\";a:8:{s:33:\"misc/dialog/off-canvas.motion.css\";s:37:\"css/core/dialog/off-canvas.motion.css\";s:33:\"misc/dialog/off-canvas.button.css\";s:37:\"css/core/dialog/off-canvas.button.css\";s:31:\"misc/dialog/off-canvas.form.css\";s:35:\"css/core/dialog/off-canvas.form.css\";s:32:\"misc/dialog/off-canvas.table.css\";s:36:\"css/core/dialog/off-canvas.table.css\";s:34:\"misc/dialog/off-canvas.details.css\";s:38:\"css/core/dialog/off-canvas.details.css\";s:36:\"misc/dialog/off-canvas.tabledrag.css\";s:40:\"css/core/dialog/off-canvas.tabledrag.css\";s:37:\"misc/dialog/off-canvas.dropbutton.css\";s:41:\"css/core/dialog/off-canvas.dropbutton.css\";s:33:\"misc/dialog/off-canvas.layout.css\";s:37:\"css/core/dialog/off-canvas.layout.css\";}}}s:22:\"core/drupal.dropbutton\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:30:\"misc/dropbutton/dropbutton.css\";s:34:\"css/core/dropbutton/dropbutton.css\";}}}s:25:\"core/drupal.vertical-tabs\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:22:\"misc/vertical-tabs.css\";s:26:\"css/core/vertical-tabs.css\";}}}s:18:\"dblog/drupal.dblog\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:20:\"css/dblog.module.css\";s:26:\"css/dblog/dblog.module.css\";}}}s:24:\"field_ui/drupal.field_ui\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:22:\"css/field_ui.admin.css\";s:31:\"css/field_ui/field_ui.admin.css\";}}}s:16:\"file/drupal.file\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:18:\"css/file.admin.css\";s:23:\"css/file/file.admin.css\";}}}s:26:\"filter/drupal.filter.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:20:\"css/filter.admin.css\";s:27:\"css/filter/filter.admin.css\";}}}s:20:\"filter/drupal.filter\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:20:\"css/filter.admin.css\";s:27:\"css/filter/filter.admin.css\";}}}s:14:\"filter/caption\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:22:\"css/filter.caption.css\";s:29:\"css/filter/filter.caption.css\";}}}s:11:\"image/admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:19:\"css/image.admin.css\";s:25:\"css/image/image.admin.css\";}}}s:35:\"image/quickedit.inPlaceEditor.image\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:1:{s:21:\"css/editors/image.css\";s:27:\"css/image/editors/image.css\";}s:5:\"theme\";a:1:{s:27:\"css/editors/image.theme.css\";s:33:\"css/image/editors/image.theme.css\";}}}s:30:\"language/drupal.language.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:22:\"css/language.admin.css\";s:31:\"css/language/language.admin.css\";}}}s:36:\"layout_builder/drupal.layout_builder\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:22:\"css/layout-builder.css\";s:37:\"css/layout_builder/layout-builder.css\";}}}s:26:\"locale/drupal.locale.admin\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:20:\"css/locale.admin.css\";s:27:\"css/locale/locale.admin.css\";}}}s:20:\"media/filter.caption\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:22:\"css/filter.caption.css\";s:28:\"css/media/filter.caption.css\";}}}s:22:\"media/oembed.formatter\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:24:\"css/oembed.formatter.css\";s:30:\"css/media/oembed.formatter.css\";}}}s:18:\"media/oembed.frame\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:20:\"css/oembed.frame.css\";s:26:\"css/media/oembed.frame.css\";}}}s:33:\"menu_ui/drupal.menu_ui.adminforms\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:21:\"css/menu_ui.admin.css\";s:29:\"css/menu_ui/menu_ui.admin.css\";}}}s:22:\"migrate_drupal_ui/base\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:49:\"css/components/upgrade-analysis-report-tables.css\";s:67:\"css/migrate_drupal_ui/components/upgrade-analysis-report-tables.css\";}}}s:16:\"node/drupal.node\";a:1:{s:3:\"css\";a:1:{s:6:\"layout\";a:1:{s:19:\"css/node.module.css\";s:24:\"css/node/node.module.css\";}}}s:24:\"node/drupal.node.preview\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:20:\"css/node.preview.css\";s:25:\"css/node/node.preview.css\";}}}s:9:\"node/form\";a:1:{s:3:\"css\";a:1:{s:6:\"layout\";a:1:{s:19:\"css/node.module.css\";s:24:\"css/node/node.module.css\";}}}s:22:\"node/drupal.node.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:18:\"css/node.admin.css\";s:23:\"css/node/node.admin.css\";}}}s:19:\"quickedit/quickedit\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:1:{s:24:\"css/quickedit.module.css\";s:34:\"css/quickedit/quickedit.module.css\";}s:5:\"theme\";a:2:{s:23:\"css/quickedit.theme.css\";s:33:\"css/quickedit/quickedit.theme.css\";s:29:\"css/quickedit.icons.theme.css\";s:39:\"css/quickedit/quickedit.icons.theme.css\";}}}s:34:\"settings_tray/drupal.settings_tray\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:3:{s:28:\"css/settings_tray.module.css\";s:42:\"css/settings_tray/settings_tray.module.css\";s:28:\"css/settings_tray.motion.css\";s:42:\"css/settings_tray/settings_tray.motion.css\";s:29:\"css/settings_tray.toolbar.css\";s:43:\"css/settings_tray/settings_tray.toolbar.css\";}s:5:\"theme\";a:1:{s:27:\"css/settings_tray.theme.css\";s:41:\"css/settings_tray/settings_tray.theme.css\";}}}s:24:\"shortcut/drupal.shortcut\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:2:{s:22:\"css/shortcut.theme.css\";s:31:\"css/shortcut/shortcut.theme.css\";s:28:\"css/shortcut.icons.theme.css\";s:37:\"css/shortcut/shortcut.icons.theme.css\";}}}s:28:\"simpletest/drupal.simpletest\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:25:\"css/simpletest.module.css\";s:36:\"css/simpletest/simpletest.module.css\";}}}s:11:\"system/base\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:22:{s:39:\"css/components/ajax-progress.module.css\";s:46:\"css/system/components/ajax-progress.module.css\";s:31:\"css/components/align.module.css\";s:38:\"css/system/components/align.module.css\";s:46:\"css/components/autocomplete-loading.module.css\";s:53:\"css/system/components/autocomplete-loading.module.css\";s:36:\"css/components/fieldgroup.module.css\";s:43:\"css/system/components/fieldgroup.module.css\";s:42:\"css/components/container-inline.module.css\";s:49:\"css/system/components/container-inline.module.css\";s:34:\"css/components/clearfix.module.css\";s:41:\"css/system/components/clearfix.module.css\";s:33:\"css/components/details.module.css\";s:40:\"css/system/components/details.module.css\";s:32:\"css/components/hidden.module.css\";s:39:\"css/system/components/hidden.module.css\";s:35:\"css/components/item-list.module.css\";s:42:\"css/system/components/item-list.module.css\";s:28:\"css/components/js.module.css\";s:35:\"css/system/components/js.module.css\";s:32:\"css/components/nowrap.module.css\";s:39:\"css/system/components/nowrap.module.css\";s:44:\"css/components/position-container.module.css\";s:51:\"css/system/components/position-container.module.css\";s:34:\"css/components/progress.module.css\";s:41:\"css/system/components/progress.module.css\";s:42:\"css/components/reset-appearance.module.css\";s:49:\"css/system/components/reset-appearance.module.css\";s:32:\"css/components/resize.module.css\";s:39:\"css/system/components/resize.module.css\";s:39:\"css/components/sticky-header.module.css\";s:46:\"css/system/components/sticky-header.module.css\";s:40:\"css/components/system-status-counter.css\";s:47:\"css/system/components/system-status-counter.css\";s:48:\"css/components/system-status-report-counters.css\";s:55:\"css/system/components/system-status-report-counters.css\";s:52:\"css/components/system-status-report-general-info.css\";s:59:\"css/system/components/system-status-report-general-info.css\";s:35:\"css/components/tabledrag.module.css\";s:42:\"css/system/components/tabledrag.module.css\";s:35:\"css/components/tablesort.module.css\";s:42:\"css/system/components/tablesort.module.css\";s:36:\"css/components/tree-child.module.css\";s:43:\"css/system/components/tree-child.module.css\";}}}s:12:\"system/admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:20:\"css/system.admin.css\";s:27:\"css/system/system.admin.css\";}}}s:18:\"system/maintenance\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:26:\"css/system.maintenance.css\";s:33:\"css/system/system.maintenance.css\";}}}s:11:\"system/diff\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:19:\"css/system.diff.css\";s:26:\"css/system/system.diff.css\";}}}s:24:\"taxonomy/drupal.taxonomy\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:22:\"css/taxonomy.theme.css\";s:31:\"css/taxonomy/taxonomy.theme.css\";}}}s:15:\"toolbar/toolbar\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:1:{s:22:\"css/toolbar.module.css\";s:30:\"css/toolbar/toolbar.module.css\";}s:5:\"theme\";a:2:{s:21:\"css/toolbar.theme.css\";s:29:\"css/toolbar/toolbar.theme.css\";s:27:\"css/toolbar.icons.theme.css\";s:35:\"css/toolbar/toolbar.icons.theme.css\";}}}s:20:\"toolbar/toolbar.menu\";a:1:{s:3:\"css\";a:1:{s:5:\"state\";a:1:{s:20:\"css/toolbar.menu.css\";s:28:\"css/toolbar/toolbar.menu.css\";}}}s:17:\"tour/tour-styling\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:19:\"css/tour.module.css\";s:24:\"css/tour/tour.module.css\";}}}s:26:\"update/drupal.update.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:26:\"css/update.admin.theme.css\";s:33:\"css/update/update.admin.theme.css\";}}}s:16:\"user/drupal.user\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:19:\"css/user.module.css\";s:24:\"css/user/user.module.css\";}}}s:22:\"user/drupal.user.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:18:\"css/user.admin.css\";s:23:\"css/user/user.admin.css\";}}}s:22:\"user/drupal.user.icons\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:24:\"css/user.icons.admin.css\";s:29:\"css/user/user.icons.admin.css\";}}}s:18:\"views/views.module\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:20:\"css/views.module.css\";s:26:\"css/views/views.module.css\";}}}s:22:\"views_ui/admin.styling\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:1:{s:22:\"css/views_ui.admin.css\";s:31:\"css/views_ui/views_ui.admin.css\";}s:5:\"theme\";a:2:{s:28:\"css/views_ui.admin.theme.css\";s:37:\"css/views_ui/views_ui.admin.theme.css\";s:27:\"css/views_ui.contextual.css\";s:36:\"css/views_ui/views_ui.contextual.css\";}}}}s:16:\"libraries-extend\";a:2:{s:16:\"core/drupal.ajax\";a:1:{i:0;s:18:\"stable/drupal.ajax\";}s:16:\"user/drupal.user\";a:1:{i:0;s:18:\"stable/drupal.user\";}}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:6:\"engine\";s:4:\"twig\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:12:\"primary_menu\";s:12:\"Primary menu\";s:14:\"secondary_menu\";s:14:\"Secondary menu\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:10:\"breadcrumb\";s:10:\"Breadcrumb\";}s:8:\"features\";a:5:{i:0;s:7:\"favicon\";i:1;s:4:\"logo\";i:2;s:17:\"node_user_picture\";i:3;s:20:\"comment_user_picture\";i:4;s:25:\"comment_user_verification\";}s:10:\"screenshot\";s:33:\"core/themes/stable/screenshot.png\";s:3:\"php\";s:5:\"7.0.8\";s:9:\"libraries\";a:0:{}s:16:\"libraries_extend\";a:0:{}s:18:\"libraries_override\";a:0:{}s:12:\"dependencies\";a:0:{}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}}s:5:\"owner\";s:36:\"core/themes/engines/twig/twig.engine\";s:6:\"prefix\";s:4:\"twig\";s:6:\"status\";i:1;s:11:\"required_by\";a:5:{s:6:\"classy\";r:99;s:5:\"claro\";r:99;s:6:\"bartik\";r:99;s:5:\"seven\";r:99;s:9:\"luxestate\";r:99;}s:8:\"requires\";a:0:{}s:4:\"sort\";i:0;s:10:\"sub_themes\";a:5:{s:6:\"bartik\";s:6:\"Bartik\";s:5:\"claro\";s:5:\"Claro\";s:6:\"classy\";s:6:\"Classy\";s:5:\"seven\";s:5:\"Seven\";s:9:\"luxestate\";s:9:\"Luxestate\";}s:19:\"module_dependencies\";a:0:{}s:6:\"engine\";s:4:\"twig\";}}s:12:\"\0*\0extension\";O:31:\"Drupal\\Core\\Extension\\Extension\":17:{s:7:\"\0*\0type\";s:5:\"theme\";s:11:\"\0*\0pathname\";s:32:\"core/themes/seven/seven.info.yml\";s:11:\"\0*\0filename\";s:11:\"seven.theme\";s:7:\"subpath\";s:12:\"themes/seven\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:24:{s:4:\"name\";s:5:\"Seven\";s:4:\"type\";s:5:\"theme\";s:10:\"base theme\";s:6:\"classy\";s:11:\"description\";s:153:\"The default administration theme for Drupal 8 was designed with clean lines, simple blocks, and sans-serif font to emphasize the tools and tasks at hand.\";s:8:\"alt text\";s:77:\"Default administration theme for Drupal 8 with simple blocks and clean lines.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:9:\"libraries\";a:1:{i:0;s:20:\"seven/global-styling\";}s:18:\"libraries-override\";a:20:{s:11:\"system/base\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:3:{s:67:\"/core/themes/stable/css/system/components/system-status-counter.css\";s:40:\"css/components/system-status-counter.css\";s:75:\"/core/themes/stable/css/system/components/system-status-report-counters.css\";s:48:\"css/components/system-status-report-counters.css\";s:79:\"/core/themes/stable/css/system/components/system-status-report-general-info.css\";s:52:\"css/components/system-status-report-general-info.css\";}}}s:25:\"core/drupal.vertical-tabs\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:46:\"/core/themes/stable/css/core/vertical-tabs.css\";b:0;}}}s:14:\"core/jquery.ui\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:45:\"assets/vendor/jquery.ui/themes/base/theme.css\";b:0;}}}s:21:\"core/jquery.ui.dialog\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:46:\"assets/vendor/jquery.ui/themes/base/dialog.css\";b:0;}}}s:13:\"classy/dialog\";s:25:\"seven/seven.drupal.dialog\";s:11:\"classy/base\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:23:{s:31:\"css/components/action-links.css\";s:38:\"css/classy/components/action-links.css\";s:29:\"css/components/breadcrumb.css\";s:36:\"css/classy/components/breadcrumb.css\";s:25:\"css/components/button.css\";s:32:\"css/classy/components/button.css\";s:37:\"css/components/collapse-processed.css\";s:44:\"css/classy/components/collapse-processed.css\";s:35:\"css/components/container-inline.css\";s:42:\"css/classy/components/container-inline.css\";s:26:\"css/components/details.css\";b:0;s:34:\"css/components/exposed-filters.css\";s:41:\"css/classy/components/exposed-filters.css\";s:24:\"css/components/field.css\";s:31:\"css/classy/components/field.css\";s:23:\"css/components/form.css\";s:30:\"css/classy/components/form.css\";s:24:\"css/components/icons.css\";s:31:\"css/classy/components/icons.css\";s:30:\"css/components/inline-form.css\";s:37:\"css/classy/components/inline-form.css\";s:28:\"css/components/item-list.css\";s:35:\"css/classy/components/item-list.css\";s:23:\"css/components/link.css\";s:30:\"css/classy/components/link.css\";s:24:\"css/components/links.css\";s:31:\"css/classy/components/links.css\";s:23:\"css/components/menu.css\";s:30:\"css/classy/components/menu.css\";s:28:\"css/components/more-link.css\";s:35:\"css/classy/components/more-link.css\";s:24:\"css/components/pager.css\";s:31:\"css/classy/components/pager.css\";s:28:\"css/components/tabledrag.css\";s:35:\"css/classy/components/tabledrag.css\";s:30:\"css/components/tableselect.css\";s:37:\"css/classy/components/tableselect.css\";s:28:\"css/components/tablesort.css\";s:35:\"css/classy/components/tablesort.css\";s:23:\"css/components/tabs.css\";s:30:\"css/classy/components/tabs.css\";s:27:\"css/components/textarea.css\";s:34:\"css/classy/components/textarea.css\";s:28:\"css/components/ui-dialog.css\";s:35:\"css/classy/components/ui-dialog.css\";}}}s:20:\"classy/media_library\";a:1:{s:3:\"css\";a:1:{s:6:\"layout\";a:1:{s:28:\"css/layout/media-library.css\";b:0;}}}s:22:\"classy/book-navigation\";s:28:\"seven/classy.book-navigation\";s:17:\"classy/dropbutton\";s:23:\"seven/classy.dropbutton\";s:11:\"classy/file\";s:17:\"seven/classy.file\";s:12:\"classy/forum\";s:18:\"seven/classy.forum\";s:19:\"classy/image-widget\";s:25:\"seven/classy.image-widget\";s:15:\"classy/indented\";s:21:\"seven/classy.indented\";s:33:\"classy/media_embed_ckeditor_theme\";s:39:\"seven/classy.media_embed_ckeditor_theme\";s:24:\"classy/media_embed_error\";s:30:\"seven/classy.media_embed_error\";s:15:\"classy/messages\";s:21:\"seven/classy.messages\";s:11:\"classy/node\";s:17:\"seven/classy.node\";s:15:\"classy/progress\";s:21:\"seven/classy.progress\";s:21:\"classy/search-results\";s:27:\"seven/classy.search-results\";s:11:\"classy/user\";s:17:\"seven/classy.user\";}s:16:\"libraries-extend\";a:12:{s:13:\"core/ckeditor\";a:1:{i:0;s:21:\"seven/ckeditor-dialog\";}s:18:\"core/drupal.dialog\";a:1:{i:0;s:25:\"seven/seven.drupal.dialog\";}s:22:\"core/drupal.dropbutton\";a:1:{i:0;s:23:\"seven/classy.dropbutton\";}s:20:\"core/drupal.progress\";a:1:{i:0;s:21:\"seven/classy.progress\";}s:25:\"core/drupal.vertical-tabs\";a:1:{i:0;s:19:\"seven/vertical-tabs\";}s:14:\"core/jquery.ui\";a:1:{i:0;s:21:\"seven/seven.jquery.ui\";}s:16:\"file/drupal.file\";a:1:{i:0;s:17:\"seven/classy.file\";}s:32:\"media/media_embed_ckeditor_theme\";a:1:{i:0;s:39:\"seven/classy.media_embed_ckeditor_theme\";}s:18:\"media_library/view\";a:1:{i:0;s:19:\"seven/media_library\";}s:20:\"media_library/widget\";a:1:{i:0;s:19:\"seven/media_library\";}s:17:\"tour/tour-styling\";a:1:{i:0;s:18:\"seven/tour-styling\";}s:16:\"user/drupal.user\";a:1:{i:0;s:17:\"seven/classy.user\";}}s:21:\"quickedit_stylesheets\";a:1:{i:0;s:28:\"css/components/quickedit.css\";}s:7:\"regions\";a:9:{s:6:\"header\";s:6:\"Header\";s:11:\"pre_content\";s:11:\"Pre-content\";s:10:\"breadcrumb\";s:10:\"Breadcrumb\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:7:\"content\";s:7:\"Content\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:13:\"sidebar_first\";s:13:\"First sidebar\";}s:14:\"regions_hidden\";a:3:{i:0;s:13:\"sidebar_first\";i:1;s:8:\"page_top\";i:2;s:11:\"page_bottom\";}s:20:\"ckeditor_stylesheets\";a:1:{i:0;s:43:\"css/classy/components/media-embed-error.css\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:6:\"engine\";s:4:\"twig\";s:8:\"features\";a:5:{i:0;s:7:\"favicon\";i:1;s:4:\"logo\";i:2;s:17:\"node_user_picture\";i:3;s:20:\"comment_user_picture\";i:4;s:25:\"comment_user_verification\";}s:10:\"screenshot\";s:32:\"core/themes/seven/screenshot.png\";s:3:\"php\";s:5:\"7.0.8\";s:16:\"libraries_extend\";a:0:{}s:18:\"libraries_override\";a:0:{}s:12:\"dependencies\";a:1:{i:0;s:6:\"classy\";}}s:5:\"owner\";s:36:\"core/themes/engines/twig/twig.engine\";s:6:\"prefix\";s:4:\"twig\";s:6:\"status\";i:1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:2:{s:6:\"classy\";r:90;s:6:\"stable\";r:99;}s:4:\"sort\";i:-4;s:11:\"base_themes\";a:2:{s:6:\"stable\";s:6:\"Stable\";s:6:\"classy\";s:6:\"Classy\";}s:19:\"module_dependencies\";a:0:{}s:9:\"libraries\";a:1:{i:0;s:20:\"seven/global-styling\";}s:6:\"engine\";s:4:\"twig\";s:10:\"base_theme\";s:6:\"classy\";}s:20:\"\0*\0styleSheetsRemove\";a:0:{}s:12:\"\0*\0libraries\";a:4:{i:0;s:11:\"classy/base\";i:1;s:15:\"classy/messages\";i:2;s:14:\"core/normalize\";i:3;s:20:\"seven/global-styling\";}s:10:\"\0*\0regions\";a:9:{s:6:\"header\";s:6:\"Header\";s:11:\"pre_content\";s:11:\"Pre-content\";s:10:\"breadcrumb\";s:10:\"Breadcrumb\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:7:\"content\";s:7:\"Content\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:13:\"sidebar_first\";s:13:\"First sidebar\";}s:20:\"\0*\0librariesOverride\";a:2:{s:18:\"core/themes/stable\";a:52:{s:24:\"block/drupal.block.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:19:\"css/block.admin.css\";s:25:\"css/block/block.admin.css\";}}}s:24:\"ckeditor/drupal.ckeditor\";a:1:{s:3:\"css\";a:1:{s:5:\"state\";a:1:{s:16:\"css/ckeditor.css\";s:25:\"css/ckeditor/ckeditor.css\";}}}s:51:\"ckeditor/drupal.ckeditor.plugins.drupalimagecaption\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:62:\"css/plugins/drupalimagecaption/ckeditor.drupalimagecaption.css\";s:71:\"css/ckeditor/plugins/drupalimagecaption/ckeditor.drupalimagecaption.css\";}}}s:41:\"ckeditor/drupal.ckeditor.plugins.language\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:42:\"css/plugins/language/ckeditor.language.css\";s:51:\"css/ckeditor/plugins/language/ckeditor.language.css\";}}}s:30:\"ckeditor/drupal.ckeditor.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:22:\"css/ckeditor.admin.css\";s:31:\"css/ckeditor/ckeditor.admin.css\";}}}s:11:\"color/admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:19:\"css/color.admin.css\";s:25:\"css/color/color.admin.css\";}}}s:50:\"config_translation/drupal.config_translation.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:32:\"css/config_translation.admin.css\";s:51:\"css/config_translation/config_translation.admin.css\";}}}s:52:\"content_translation/drupal.content_translation.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:33:\"css/content_translation.admin.css\";s:53:\"css/content_translation/content_translation.admin.css\";}}}s:37:\"content_moderation/content_moderation\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:1:{s:33:\"css/content_moderation.module.css\";s:52:\"css/content_moderation/content_moderation.module.css\";}s:5:\"theme\";a:1:{s:32:\"css/content_moderation.theme.css\";s:51:\"css/content_moderation/content_moderation.theme.css\";}}}s:34:\"contextual/drupal.contextual-links\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:1:{s:25:\"css/contextual.module.css\";s:36:\"css/contextual/contextual.module.css\";}s:5:\"theme\";a:2:{s:24:\"css/contextual.theme.css\";s:35:\"css/contextual/contextual.theme.css\";s:30:\"css/contextual.icons.theme.css\";s:41:\"css/contextual/contextual.icons.theme.css\";}}}s:36:\"contextual/drupal.contextual-toolbar\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:26:\"css/contextual.toolbar.css\";s:37:\"css/contextual/contextual.toolbar.css\";}}}s:29:\"core/drupal.dialog.off_canvas\";a:1:{s:3:\"css\";a:2:{s:4:\"base\";a:4:{s:32:\"misc/dialog/off-canvas.reset.css\";s:36:\"css/core/dialog/off-canvas.reset.css\";s:31:\"misc/dialog/off-canvas.base.css\";s:35:\"css/core/dialog/off-canvas.base.css\";s:26:\"misc/dialog/off-canvas.css\";s:30:\"css/core/dialog/off-canvas.css\";s:32:\"misc/dialog/off-canvas.theme.css\";s:36:\"css/core/dialog/off-canvas.theme.css\";}s:9:\"component\";a:8:{s:33:\"misc/dialog/off-canvas.motion.css\";s:37:\"css/core/dialog/off-canvas.motion.css\";s:33:\"misc/dialog/off-canvas.button.css\";s:37:\"css/core/dialog/off-canvas.button.css\";s:31:\"misc/dialog/off-canvas.form.css\";s:35:\"css/core/dialog/off-canvas.form.css\";s:32:\"misc/dialog/off-canvas.table.css\";s:36:\"css/core/dialog/off-canvas.table.css\";s:34:\"misc/dialog/off-canvas.details.css\";s:38:\"css/core/dialog/off-canvas.details.css\";s:36:\"misc/dialog/off-canvas.tabledrag.css\";s:40:\"css/core/dialog/off-canvas.tabledrag.css\";s:37:\"misc/dialog/off-canvas.dropbutton.css\";s:41:\"css/core/dialog/off-canvas.dropbutton.css\";s:33:\"misc/dialog/off-canvas.layout.css\";s:37:\"css/core/dialog/off-canvas.layout.css\";}}}s:22:\"core/drupal.dropbutton\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:30:\"misc/dropbutton/dropbutton.css\";s:34:\"css/core/dropbutton/dropbutton.css\";}}}s:25:\"core/drupal.vertical-tabs\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:22:\"misc/vertical-tabs.css\";s:26:\"css/core/vertical-tabs.css\";}}}s:18:\"dblog/drupal.dblog\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:20:\"css/dblog.module.css\";s:26:\"css/dblog/dblog.module.css\";}}}s:24:\"field_ui/drupal.field_ui\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:22:\"css/field_ui.admin.css\";s:31:\"css/field_ui/field_ui.admin.css\";}}}s:16:\"file/drupal.file\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:18:\"css/file.admin.css\";s:23:\"css/file/file.admin.css\";}}}s:26:\"filter/drupal.filter.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:20:\"css/filter.admin.css\";s:27:\"css/filter/filter.admin.css\";}}}s:20:\"filter/drupal.filter\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:20:\"css/filter.admin.css\";s:27:\"css/filter/filter.admin.css\";}}}s:14:\"filter/caption\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:22:\"css/filter.caption.css\";s:29:\"css/filter/filter.caption.css\";}}}s:11:\"image/admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:19:\"css/image.admin.css\";s:25:\"css/image/image.admin.css\";}}}s:35:\"image/quickedit.inPlaceEditor.image\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:1:{s:21:\"css/editors/image.css\";s:27:\"css/image/editors/image.css\";}s:5:\"theme\";a:1:{s:27:\"css/editors/image.theme.css\";s:33:\"css/image/editors/image.theme.css\";}}}s:30:\"language/drupal.language.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:22:\"css/language.admin.css\";s:31:\"css/language/language.admin.css\";}}}s:36:\"layout_builder/drupal.layout_builder\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:22:\"css/layout-builder.css\";s:37:\"css/layout_builder/layout-builder.css\";}}}s:26:\"locale/drupal.locale.admin\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:20:\"css/locale.admin.css\";s:27:\"css/locale/locale.admin.css\";}}}s:20:\"media/filter.caption\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:22:\"css/filter.caption.css\";s:28:\"css/media/filter.caption.css\";}}}s:22:\"media/oembed.formatter\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:24:\"css/oembed.formatter.css\";s:30:\"css/media/oembed.formatter.css\";}}}s:18:\"media/oembed.frame\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:20:\"css/oembed.frame.css\";s:26:\"css/media/oembed.frame.css\";}}}s:33:\"menu_ui/drupal.menu_ui.adminforms\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:21:\"css/menu_ui.admin.css\";s:29:\"css/menu_ui/menu_ui.admin.css\";}}}s:22:\"migrate_drupal_ui/base\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:49:\"css/components/upgrade-analysis-report-tables.css\";s:67:\"css/migrate_drupal_ui/components/upgrade-analysis-report-tables.css\";}}}s:16:\"node/drupal.node\";a:1:{s:3:\"css\";a:1:{s:6:\"layout\";a:1:{s:19:\"css/node.module.css\";s:24:\"css/node/node.module.css\";}}}s:24:\"node/drupal.node.preview\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:20:\"css/node.preview.css\";s:25:\"css/node/node.preview.css\";}}}s:9:\"node/form\";a:1:{s:3:\"css\";a:1:{s:6:\"layout\";a:1:{s:19:\"css/node.module.css\";s:24:\"css/node/node.module.css\";}}}s:22:\"node/drupal.node.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:18:\"css/node.admin.css\";s:23:\"css/node/node.admin.css\";}}}s:19:\"quickedit/quickedit\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:1:{s:24:\"css/quickedit.module.css\";s:34:\"css/quickedit/quickedit.module.css\";}s:5:\"theme\";a:2:{s:23:\"css/quickedit.theme.css\";s:33:\"css/quickedit/quickedit.theme.css\";s:29:\"css/quickedit.icons.theme.css\";s:39:\"css/quickedit/quickedit.icons.theme.css\";}}}s:34:\"settings_tray/drupal.settings_tray\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:3:{s:28:\"css/settings_tray.module.css\";s:42:\"css/settings_tray/settings_tray.module.css\";s:28:\"css/settings_tray.motion.css\";s:42:\"css/settings_tray/settings_tray.motion.css\";s:29:\"css/settings_tray.toolbar.css\";s:43:\"css/settings_tray/settings_tray.toolbar.css\";}s:5:\"theme\";a:1:{s:27:\"css/settings_tray.theme.css\";s:41:\"css/settings_tray/settings_tray.theme.css\";}}}s:24:\"shortcut/drupal.shortcut\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:2:{s:22:\"css/shortcut.theme.css\";s:31:\"css/shortcut/shortcut.theme.css\";s:28:\"css/shortcut.icons.theme.css\";s:37:\"css/shortcut/shortcut.icons.theme.css\";}}}s:28:\"simpletest/drupal.simpletest\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:25:\"css/simpletest.module.css\";s:36:\"css/simpletest/simpletest.module.css\";}}}s:11:\"system/base\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:22:{s:39:\"css/components/ajax-progress.module.css\";s:46:\"css/system/components/ajax-progress.module.css\";s:31:\"css/components/align.module.css\";s:38:\"css/system/components/align.module.css\";s:46:\"css/components/autocomplete-loading.module.css\";s:53:\"css/system/components/autocomplete-loading.module.css\";s:36:\"css/components/fieldgroup.module.css\";s:43:\"css/system/components/fieldgroup.module.css\";s:42:\"css/components/container-inline.module.css\";s:49:\"css/system/components/container-inline.module.css\";s:34:\"css/components/clearfix.module.css\";s:41:\"css/system/components/clearfix.module.css\";s:33:\"css/components/details.module.css\";s:40:\"css/system/components/details.module.css\";s:32:\"css/components/hidden.module.css\";s:39:\"css/system/components/hidden.module.css\";s:35:\"css/components/item-list.module.css\";s:42:\"css/system/components/item-list.module.css\";s:28:\"css/components/js.module.css\";s:35:\"css/system/components/js.module.css\";s:32:\"css/components/nowrap.module.css\";s:39:\"css/system/components/nowrap.module.css\";s:44:\"css/components/position-container.module.css\";s:51:\"css/system/components/position-container.module.css\";s:34:\"css/components/progress.module.css\";s:41:\"css/system/components/progress.module.css\";s:42:\"css/components/reset-appearance.module.css\";s:49:\"css/system/components/reset-appearance.module.css\";s:32:\"css/components/resize.module.css\";s:39:\"css/system/components/resize.module.css\";s:39:\"css/components/sticky-header.module.css\";s:46:\"css/system/components/sticky-header.module.css\";s:40:\"css/components/system-status-counter.css\";s:47:\"css/system/components/system-status-counter.css\";s:48:\"css/components/system-status-report-counters.css\";s:55:\"css/system/components/system-status-report-counters.css\";s:52:\"css/components/system-status-report-general-info.css\";s:59:\"css/system/components/system-status-report-general-info.css\";s:35:\"css/components/tabledrag.module.css\";s:42:\"css/system/components/tabledrag.module.css\";s:35:\"css/components/tablesort.module.css\";s:42:\"css/system/components/tablesort.module.css\";s:36:\"css/components/tree-child.module.css\";s:43:\"css/system/components/tree-child.module.css\";}}}s:12:\"system/admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:20:\"css/system.admin.css\";s:27:\"css/system/system.admin.css\";}}}s:18:\"system/maintenance\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:26:\"css/system.maintenance.css\";s:33:\"css/system/system.maintenance.css\";}}}s:11:\"system/diff\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:19:\"css/system.diff.css\";s:26:\"css/system/system.diff.css\";}}}s:24:\"taxonomy/drupal.taxonomy\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:22:\"css/taxonomy.theme.css\";s:31:\"css/taxonomy/taxonomy.theme.css\";}}}s:15:\"toolbar/toolbar\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:1:{s:22:\"css/toolbar.module.css\";s:30:\"css/toolbar/toolbar.module.css\";}s:5:\"theme\";a:2:{s:21:\"css/toolbar.theme.css\";s:29:\"css/toolbar/toolbar.theme.css\";s:27:\"css/toolbar.icons.theme.css\";s:35:\"css/toolbar/toolbar.icons.theme.css\";}}}s:20:\"toolbar/toolbar.menu\";a:1:{s:3:\"css\";a:1:{s:5:\"state\";a:1:{s:20:\"css/toolbar.menu.css\";s:28:\"css/toolbar/toolbar.menu.css\";}}}s:17:\"tour/tour-styling\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:19:\"css/tour.module.css\";s:24:\"css/tour/tour.module.css\";}}}s:26:\"update/drupal.update.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:26:\"css/update.admin.theme.css\";s:33:\"css/update/update.admin.theme.css\";}}}s:16:\"user/drupal.user\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:19:\"css/user.module.css\";s:24:\"css/user/user.module.css\";}}}s:22:\"user/drupal.user.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:18:\"css/user.admin.css\";s:23:\"css/user/user.admin.css\";}}}s:22:\"user/drupal.user.icons\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:24:\"css/user.icons.admin.css\";s:29:\"css/user/user.icons.admin.css\";}}}s:18:\"views/views.module\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:20:\"css/views.module.css\";s:26:\"css/views/views.module.css\";}}}s:22:\"views_ui/admin.styling\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:1:{s:22:\"css/views_ui.admin.css\";s:31:\"css/views_ui/views_ui.admin.css\";}s:5:\"theme\";a:2:{s:28:\"css/views_ui.admin.theme.css\";s:37:\"css/views_ui/views_ui.admin.theme.css\";s:27:\"css/views_ui.contextual.css\";s:36:\"css/views_ui/views_ui.contextual.css\";}}}}s:17:\"core/themes/seven\";a:20:{s:11:\"system/base\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:3:{s:67:\"/core/themes/stable/css/system/components/system-status-counter.css\";s:40:\"css/components/system-status-counter.css\";s:75:\"/core/themes/stable/css/system/components/system-status-report-counters.css\";s:48:\"css/components/system-status-report-counters.css\";s:79:\"/core/themes/stable/css/system/components/system-status-report-general-info.css\";s:52:\"css/components/system-status-report-general-info.css\";}}}s:25:\"core/drupal.vertical-tabs\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:46:\"/core/themes/stable/css/core/vertical-tabs.css\";b:0;}}}s:14:\"core/jquery.ui\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:45:\"assets/vendor/jquery.ui/themes/base/theme.css\";b:0;}}}s:21:\"core/jquery.ui.dialog\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:46:\"assets/vendor/jquery.ui/themes/base/dialog.css\";b:0;}}}s:13:\"classy/dialog\";s:25:\"seven/seven.drupal.dialog\";s:11:\"classy/base\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:23:{s:31:\"css/components/action-links.css\";s:38:\"css/classy/components/action-links.css\";s:29:\"css/components/breadcrumb.css\";s:36:\"css/classy/components/breadcrumb.css\";s:25:\"css/components/button.css\";s:32:\"css/classy/components/button.css\";s:37:\"css/components/collapse-processed.css\";s:44:\"css/classy/components/collapse-processed.css\";s:35:\"css/components/container-inline.css\";s:42:\"css/classy/components/container-inline.css\";s:26:\"css/components/details.css\";b:0;s:34:\"css/components/exposed-filters.css\";s:41:\"css/classy/components/exposed-filters.css\";s:24:\"css/components/field.css\";s:31:\"css/classy/components/field.css\";s:23:\"css/components/form.css\";s:30:\"css/classy/components/form.css\";s:24:\"css/components/icons.css\";s:31:\"css/classy/components/icons.css\";s:30:\"css/components/inline-form.css\";s:37:\"css/classy/components/inline-form.css\";s:28:\"css/components/item-list.css\";s:35:\"css/classy/components/item-list.css\";s:23:\"css/components/link.css\";s:30:\"css/classy/components/link.css\";s:24:\"css/components/links.css\";s:31:\"css/classy/components/links.css\";s:23:\"css/components/menu.css\";s:30:\"css/classy/components/menu.css\";s:28:\"css/components/more-link.css\";s:35:\"css/classy/components/more-link.css\";s:24:\"css/components/pager.css\";s:31:\"css/classy/components/pager.css\";s:28:\"css/components/tabledrag.css\";s:35:\"css/classy/components/tabledrag.css\";s:30:\"css/components/tableselect.css\";s:37:\"css/classy/components/tableselect.css\";s:28:\"css/components/tablesort.css\";s:35:\"css/classy/components/tablesort.css\";s:23:\"css/components/tabs.css\";s:30:\"css/classy/components/tabs.css\";s:27:\"css/components/textarea.css\";s:34:\"css/classy/components/textarea.css\";s:28:\"css/components/ui-dialog.css\";s:35:\"css/classy/components/ui-dialog.css\";}}}s:20:\"classy/media_library\";a:1:{s:3:\"css\";a:1:{s:6:\"layout\";a:1:{s:28:\"css/layout/media-library.css\";b:0;}}}s:22:\"classy/book-navigation\";s:28:\"seven/classy.book-navigation\";s:17:\"classy/dropbutton\";s:23:\"seven/classy.dropbutton\";s:11:\"classy/file\";s:17:\"seven/classy.file\";s:12:\"classy/forum\";s:18:\"seven/classy.forum\";s:19:\"classy/image-widget\";s:25:\"seven/classy.image-widget\";s:15:\"classy/indented\";s:21:\"seven/classy.indented\";s:33:\"classy/media_embed_ckeditor_theme\";s:39:\"seven/classy.media_embed_ckeditor_theme\";s:24:\"classy/media_embed_error\";s:30:\"seven/classy.media_embed_error\";s:15:\"classy/messages\";s:21:\"seven/classy.messages\";s:11:\"classy/node\";s:17:\"seven/classy.node\";s:15:\"classy/progress\";s:21:\"seven/classy.progress\";s:21:\"classy/search-results\";s:27:\"seven/classy.search-results\";s:11:\"classy/user\";s:17:\"seven/classy.user\";}}s:18:\"\0*\0librariesExtend\";a:13:{s:16:\"user/drupal.user\";a:3:{i:0;s:11:\"classy/user\";i:1;s:18:\"stable/drupal.user\";i:2;s:17:\"seven/classy.user\";}s:22:\"core/drupal.dropbutton\";a:2:{i:0;s:17:\"classy/dropbutton\";i:1;s:23:\"seven/classy.dropbutton\";}s:18:\"core/drupal.dialog\";a:2:{i:0;s:13:\"classy/dialog\";i:1;s:25:\"seven/seven.drupal.dialog\";}s:16:\"file/drupal.file\";a:2:{i:0;s:11:\"classy/file\";i:1;s:17:\"seven/classy.file\";}s:20:\"core/drupal.progress\";a:2:{i:0;s:15:\"classy/progress\";i:1;s:21:\"seven/classy.progress\";}s:32:\"media/media_embed_ckeditor_theme\";a:2:{i:0;s:33:\"classy/media_embed_ckeditor_theme\";i:1;s:39:\"seven/classy.media_embed_ckeditor_theme\";}s:18:\"media_library/view\";a:2:{i:0;s:20:\"classy/media_library\";i:1;s:19:\"seven/media_library\";}s:20:\"media_library/widget\";a:2:{i:0;s:20:\"classy/media_library\";i:1;s:19:\"seven/media_library\";}s:16:\"core/drupal.ajax\";a:1:{i:0;s:18:\"stable/drupal.ajax\";}s:13:\"core/ckeditor\";a:1:{i:0;s:21:\"seven/ckeditor-dialog\";}s:25:\"core/drupal.vertical-tabs\";a:1:{i:0;s:19:\"seven/vertical-tabs\";}s:14:\"core/jquery.ui\";a:1:{i:0;s:21:\"seven/seven.jquery.ui\";}s:17:\"tour/tour-styling\";a:1:{i:0;s:18:\"seven/tour-styling\";}}}',-1,1636012332.373,1,'','0'),('theme_registry:runtime:luxestate','a:179:{s:5:\"block\";a:6:{s:14:\"render element\";s:8:\"elements\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:16:\"themes/luxestate\";s:8:\"template\";s:5:\"block\";s:4:\"path\";s:33:\"themes/luxestate/templates/system\";s:20:\"preprocess functions\";a:14:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_block\";i:2;s:28:\"block_class_preprocess_block\";i:3;s:24:\"comment_preprocess_block\";i:4;s:21:\"contextual_preprocess\";i:5;s:21:\"help_preprocess_block\";i:6;s:25:\"language_preprocess_block\";i:7;s:24:\"menu_ui_preprocess_block\";i:8;s:21:\"node_preprocess_block\";i:9;s:23:\"search_preprocess_block\";i:10;s:25:\"shortcut_preprocess_block\";i:11;s:23:\"system_preprocess_block\";i:12;s:21:\"user_preprocess_block\";i:104;s:26:\"luxestate_preprocess_block\";}}s:22:\"block_content_add_list\";N;s:25:\"ckeditor_settings_toolbar\";N;s:17:\"color_scheme_form\";N;s:18:\"colorbox_formatter\";a:8:{s:9:\"variables\";a:4:{s:4:\"item\";N;s:15:\"item_attributes\";N;s:6:\"entity\";N;s:8:\"settings\";N;}s:4:\"file\";s:18:\"colorbox.theme.inc\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:16:\"modules/colorbox\";s:8:\"includes\";a:1:{i:0;s:35:\"modules/colorbox/colorbox.theme.inc\";}s:8:\"template\";s:18:\"colorbox-formatter\";s:4:\"path\";s:26:\"modules/colorbox/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:38:\"template_preprocess_colorbox_formatter\";i:2;s:21:\"contextual_preprocess\";}}s:7:\"comment\";N;s:14:\"field__comment\";N;s:38:\"config_translation_manage_form_element\";N;s:19:\"ctools_wizard_trail\";N;s:25:\"ctools_wizard_trail_links\";N;s:14:\"field_ui_table\";N;s:9:\"file_link\";N;s:17:\"file_managed_file\";N;s:10:\"file_audio\";N;s:10:\"file_video\";N;s:20:\"file_widget_multiple\";N;s:16:\"file_upload_help\";N;s:11:\"filter_tips\";N;s:19:\"text_format_wrapper\";N;s:17:\"filter_guidelines\";N;s:14:\"filter_caption\";N;s:12:\"help_section\";N;s:11:\"image_style\";a:6:{s:9:\"variables\";a:7:{s:10:\"style_name\";N;s:3:\"uri\";N;s:5:\"width\";N;s:6:\"height\";N;s:3:\"alt\";s:0:\"\";s:5:\"title\";N;s:10:\"attributes\";a:0:{}}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:11:\"image-style\";s:4:\"path\";s:34:\"core/themes/classy/templates/field\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:31:\"template_preprocess_image_style\";i:2;s:21:\"contextual_preprocess\";}}s:19:\"image_style_preview\";N;s:12:\"image_anchor\";N;s:20:\"image_resize_summary\";N;s:19:\"image_scale_summary\";N;s:18:\"image_crop_summary\";N;s:28:\"image_scale_and_crop_summary\";N;s:20:\"image_rotate_summary\";N;s:12:\"image_widget\";N;s:15:\"image_formatter\";a:8:{s:9:\"variables\";a:4:{s:4:\"item\";N;s:15:\"item_attributes\";N;s:3:\"url\";N;s:11:\"image_style\";N;}s:4:\"file\";s:15:\"image.field.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"includes\";a:4:{i:0;s:34:\"core/modules/image/image.field.inc\";i:1;s:34:\"core/modules/image/image.field.inc\";i:2;s:34:\"core/modules/image/image.field.inc\";i:3;s:34:\"core/modules/image/image.field.inc\";}s:8:\"template\";s:15:\"image-formatter\";s:4:\"path\";s:34:\"core/themes/classy/templates/field\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:35:\"template_preprocess_image_formatter\";i:2;s:21:\"contextual_preprocess\";}}s:35:\"language_negotiation_configure_form\";N;s:31:\"language_content_settings_table\";N;s:28:\"link_formatter_link_separate\";N;s:29:\"locale_translation_last_check\";N;s:30:\"locale_translation_update_info\";N;s:4:\"node\";N;s:13:\"node_add_list\";N;s:14:\"node_edit_form\";N;s:18:\"field__node__title\";N;s:16:\"field__node__uid\";N;s:20:\"field__node__created\";N;s:11:\"rdf_wrapper\";N;s:12:\"rdf_metadata\";N;s:16:\"responsive_image\";N;s:26:\"responsive_image_formatter\";N;s:13:\"search_result\";N;s:15:\"sharethis_block\";N;s:26:\"simplenews_newsletter_body\";N;s:4:\"html\";a:6:{s:14:\"render element\";s:4:\"html\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:16:\"themes/luxestate\";s:8:\"template\";s:4:\"html\";s:4:\"path\";s:31:\"themes/luxestate/templates/page\";s:20:\"preprocess functions\";a:9:{i:0;s:19:\"template_preprocess\";i:1;s:24:\"template_preprocess_html\";i:2;s:35:\"admin_toolbar_tools_preprocess_html\";i:3;s:21:\"contextual_preprocess\";i:4;s:20:\"node_preprocess_html\";i:5;s:19:\"rdf_preprocess_html\";i:6;s:23:\"toolbar_preprocess_html\";i:7;s:27:\"we_megamenu_preprocess_html\";i:64;s:25:\"luxestate_preprocess_html\";}}s:4:\"page\";a:6:{s:14:\"render element\";s:4:\"page\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:16:\"themes/luxestate\";s:8:\"template\";s:4:\"page\";s:4:\"path\";s:31:\"themes/luxestate/templates/page\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:24:\"template_preprocess_page\";i:2;s:21:\"contextual_preprocess\";i:24;s:25:\"luxestate_preprocess_page\";}}s:10:\"page_title\";a:6:{s:9:\"variables\";a:1:{s:5:\"title\";N;}s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:16:\"themes/luxestate\";s:8:\"template\";s:10:\"page-title\";s:4:\"path\";s:31:\"themes/luxestate/templates/page\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";i:2;s:31:\"quickedit_preprocess_page_title\";i:3;s:30:\"shortcut_preprocess_page_title\";}}s:6:\"region\";a:6:{s:14:\"render element\";s:8:\"elements\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:6:\"region\";s:4:\"path\";s:35:\"core/themes/classy/templates/layout\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:26:\"template_preprocess_region\";i:2;s:21:\"contextual_preprocess\";}}s:4:\"time\";N;s:13:\"datetime_form\";N;s:16:\"datetime_wrapper\";N;s:15:\"status_messages\";N;s:5:\"links\";a:6:{s:9:\"variables\";a:4:{s:5:\"links\";a:0:{}s:10:\"attributes\";a:1:{s:5:\"class\";a:4:{i:0;s:5:\"links\";i:1;s:5:\"links\";i:2;s:5:\"links\";i:3;s:5:\"links\";}}s:7:\"heading\";a:0:{}s:16:\"set_active_class\";b:0;}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:5:\"links\";s:4:\"path\";s:39:\"core/themes/classy/templates/navigation\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_links\";i:2;s:21:\"contextual_preprocess\";i:6;s:23:\"stable_preprocess_links\";}}s:18:\"dropbutton_wrapper\";N;s:5:\"image\";a:6:{s:9:\"variables\";a:9:{s:3:\"uri\";N;s:5:\"width\";N;s:6:\"height\";N;s:3:\"alt\";s:0:\"\";s:5:\"title\";N;s:10:\"attributes\";a:0:{}s:5:\"sizes\";N;s:6:\"srcset\";a:0:{}s:10:\"style_name\";N;}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:5:\"image\";s:4:\"path\";s:34:\"core/themes/classy/templates/field\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_image\";i:2;s:21:\"contextual_preprocess\";i:3;s:20:\"rdf_preprocess_image\";}}s:10:\"breadcrumb\";N;s:5:\"table\";N;s:19:\"tablesort_indicator\";N;s:4:\"mark\";N;s:9:\"item_list\";N;s:9:\"feed_icon\";a:6:{s:9:\"variables\";a:2:{s:3:\"url\";N;s:5:\"title\";N;}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"template\";s:9:\"feed-icon\";s:4:\"path\";s:33:\"core/themes/stable/templates/misc\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:12:\"progress_bar\";N;s:11:\"indentation\";N;s:16:\"maintenance_page\";N;s:12:\"install_page\";N;s:21:\"maintenance_task_list\";N;s:16:\"authorize_report\";N;s:5:\"pager\";N;s:4:\"menu\";a:6:{s:9:\"variables\";a:3:{s:9:\"menu_name\";N;s:5:\"items\";a:0:{}s:10:\"attributes\";a:0:{}}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:16:\"themes/luxestate\";s:8:\"template\";s:4:\"menu\";s:4:\"path\";s:39:\"core/themes/classy/templates/navigation\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";i:2;s:36:\"menu_link_attributes_preprocess_menu\";i:12;s:25:\"luxestate_preprocess_menu\";}}s:15:\"menu_local_task\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:15:\"menu-local-task\";s:4:\"path\";s:39:\"core/themes/classy/templates/navigation\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:35:\"template_preprocess_menu_local_task\";i:2;s:21:\"contextual_preprocess\";}}s:17:\"menu_local_action\";N;s:16:\"menu_local_tasks\";a:6:{s:9:\"variables\";a:2:{s:7:\"primary\";a:0:{}s:9:\"secondary\";a:0:{}}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:16:\"menu-local-tasks\";s:4:\"path\";s:39:\"core/themes/classy/templates/navigation\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:5:\"input\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:5:\"input\";s:4:\"path\";s:33:\"core/themes/classy/templates/form\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_input\";i:2;s:21:\"contextual_preprocess\";}}s:6:\"select\";N;s:8:\"fieldset\";N;s:7:\"details\";N;s:6:\"radios\";N;s:10:\"checkboxes\";N;s:4:\"form\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:4:\"form\";s:4:\"path\";s:33:\"core/themes/classy/templates/form\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:24:\"template_preprocess_form\";i:2;s:21:\"contextual_preprocess\";}}s:8:\"textarea\";N;s:12:\"form_element\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:12:\"form-element\";s:4:\"path\";s:33:\"core/themes/classy/templates/form\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:32:\"template_preprocess_form_element\";i:2;s:21:\"contextual_preprocess\";}}s:18:\"form_element_label\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:18:\"form-element-label\";s:4:\"path\";s:33:\"core/themes/classy/templates/form\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:38:\"template_preprocess_form_element_label\";i:2;s:21:\"contextual_preprocess\";}}s:13:\"vertical_tabs\";N;s:9:\"container\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:9:\"container\";s:4:\"path\";s:33:\"core/themes/classy/templates/form\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:29:\"template_preprocess_container\";i:2;s:21:\"contextual_preprocess\";}}s:5:\"field\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:5:\"field\";s:4:\"path\";s:34:\"core/themes/classy/templates/field\";s:20:\"preprocess functions\";a:5:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_field\";i:2;s:24:\"comment_preprocess_field\";i:3;s:21:\"contextual_preprocess\";i:4;s:26:\"quickedit_preprocess_field\";}}s:25:\"field_multiple_value_form\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:25:\"field-multiple-value-form\";s:4:\"path\";s:33:\"core/themes/classy/templates/form\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:45:\"template_preprocess_field_multiple_value_form\";i:2;s:21:\"contextual_preprocess\";}}s:28:\"block__system_branding_block\";a:7:{s:14:\"render element\";s:8:\"elements\";s:9:\"base hook\";s:5:\"block\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:16:\"themes/luxestate\";s:8:\"template\";s:28:\"block--system-branding-block\";s:4:\"path\";s:33:\"themes/luxestate/templates/system\";s:20:\"preprocess functions\";a:14:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_block\";i:2;s:28:\"block_class_preprocess_block\";i:3;s:24:\"comment_preprocess_block\";i:4;s:21:\"contextual_preprocess\";i:5;s:21:\"help_preprocess_block\";i:6;s:25:\"language_preprocess_block\";i:7;s:24:\"menu_ui_preprocess_block\";i:8;s:21:\"node_preprocess_block\";i:9;s:23:\"search_preprocess_block\";i:10;s:25:\"shortcut_preprocess_block\";i:11;s:23:\"system_preprocess_block\";i:12;s:21:\"user_preprocess_block\";i:13;s:26:\"luxestate_preprocess_block\";}}s:28:\"block__system_messages_block\";a:7:{s:9:\"base hook\";s:5:\"block\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"template\";s:28:\"block--system-messages-block\";s:4:\"path\";s:34:\"core/themes/stable/templates/block\";s:20:\"preprocess functions\";a:14:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_block\";i:2;s:28:\"block_class_preprocess_block\";i:3;s:24:\"comment_preprocess_block\";i:4;s:21:\"contextual_preprocess\";i:5;s:21:\"help_preprocess_block\";i:6;s:25:\"language_preprocess_block\";i:7;s:24:\"menu_ui_preprocess_block\";i:8;s:21:\"node_preprocess_block\";i:9;s:23:\"search_preprocess_block\";i:10;s:25:\"shortcut_preprocess_block\";i:11;s:23:\"system_preprocess_block\";i:12;s:21:\"user_preprocess_block\";i:13;s:26:\"luxestate_preprocess_block\";}s:14:\"render element\";s:8:\"elements\";}s:24:\"block__system_menu_block\";a:7:{s:14:\"render element\";s:8:\"elements\";s:9:\"base hook\";s:5:\"block\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:24:\"block--system-menu-block\";s:4:\"path\";s:34:\"core/themes/classy/templates/block\";s:20:\"preprocess functions\";a:14:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_block\";i:2;s:28:\"block_class_preprocess_block\";i:3;s:24:\"comment_preprocess_block\";i:4;s:21:\"contextual_preprocess\";i:5;s:21:\"help_preprocess_block\";i:6;s:25:\"language_preprocess_block\";i:7;s:24:\"menu_ui_preprocess_block\";i:8;s:21:\"node_preprocess_block\";i:9;s:23:\"search_preprocess_block\";i:10;s:25:\"shortcut_preprocess_block\";i:11;s:23:\"system_preprocess_block\";i:12;s:21:\"user_preprocess_block\";i:13;s:26:\"luxestate_preprocess_block\";}}s:18:\"system_themes_page\";N;s:18:\"system_config_form\";N;s:12:\"confirm_form\";N;s:22:\"system_modules_details\";N;s:24:\"system_modules_uninstall\";N;s:18:\"status_report_page\";N;s:13:\"status_report\";N;s:21:\"status_report_grouped\";N;s:21:\"status_report_counter\";N;s:26:\"status_report_general_info\";N;s:10:\"admin_page\";N;s:11:\"admin_block\";N;s:19:\"admin_block_content\";N;s:18:\"system_admin_index\";N;s:15:\"entity_add_list\";N;s:23:\"off_canvas_page_wrapper\";a:6:{s:9:\"variables\";a:1:{s:8:\"children\";N;}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"template\";s:23:\"off-canvas-page-wrapper\";s:4:\"path\";s:36:\"core/themes/stable/templates/content\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:13:\"taxonomy_term\";N;s:15:\"token_tree_link\";N;s:7:\"toolbar\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:7:\"toolbar\";s:4:\"path\";s:39:\"core/themes/classy/templates/navigation\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:27:\"template_preprocess_toolbar\";i:2;s:21:\"contextual_preprocess\";}}s:13:\"menu__toolbar\";a:7:{s:9:\"base hook\";s:4:\"menu\";s:9:\"variables\";a:3:{s:5:\"items\";a:0:{}s:10:\"attributes\";a:0:{}s:9:\"menu_name\";N;}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"template\";s:13:\"menu--toolbar\";s:4:\"path\";s:39:\"core/themes/stable/templates/navigation\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";i:2;s:36:\"menu_link_attributes_preprocess_menu\";i:3;s:25:\"luxestate_preprocess_menu\";}}s:17:\"update_last_check\";N;s:13:\"update_report\";N;s:21:\"update_project_status\";N;s:14:\"update_version\";N;s:4:\"user\";a:6:{s:14:\"render element\";s:8:\"elements\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:4:\"user\";s:4:\"path\";s:33:\"core/themes/classy/templates/user\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:24:\"template_preprocess_user\";i:2;s:21:\"contextual_preprocess\";i:3;s:19:\"rdf_preprocess_user\";}}s:8:\"username\";N;s:18:\"video_embed_iframe\";N;s:34:\"video_embed_field_missing_provider\";N;s:28:\"views_ui_display_tab_setting\";N;s:27:\"views_ui_display_tab_bucket\";N;s:30:\"views_ui_rearrange_filter_form\";N;s:27:\"views_ui_expose_filter_form\";N;s:18:\"views_ui_view_info\";N;s:28:\"views_ui_views_listing_table\";N;s:27:\"views_ui_view_displays_list\";N;s:32:\"views_ui_build_group_filter_form\";N;s:27:\"views_ui_style_plugin_table\";N;s:29:\"views_ui_view_preview_section\";N;s:18:\"views_ui_container\";N;s:19:\"we_megamenu_backend\";N;s:20:\"we_megamenu_frontend\";a:6:{s:9:\"variables\";a:7:{s:9:\"menu_name\";N;s:7:\"content\";N;s:7:\"section\";s:0:\"\";s:6:\"blocks\";N;s:11:\"block_theme\";N;s:11:\"data_config\";N;s:5:\"trail\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"modules/we_megamenu\";s:8:\"template\";s:20:\"we-megamenu-frontend\";s:4:\"path\";s:29:\"modules/we_megamenu/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:40:\"template_preprocess_we_megamenu_frontend\";i:2;s:21:\"contextual_preprocess\";}}s:14:\"we_megamenu_ul\";a:6:{s:9:\"variables\";a:8:{s:9:\"menu_name\";N;s:7:\"content\";N;s:7:\"section\";s:8:\"frontend\";s:5:\"items\";N;s:7:\"subtree\";N;s:11:\"data_config\";N;s:11:\"block_theme\";N;s:5:\"trail\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"modules/we_megamenu\";s:8:\"template\";s:14:\"we-megamenu-ul\";s:4:\"path\";s:29:\"modules/we_megamenu/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:34:\"template_preprocess_we_megamenu_ul\";i:2;s:21:\"contextual_preprocess\";}}s:14:\"we_megamenu_li\";a:6:{s:9:\"variables\";a:10:{s:9:\"menu_name\";N;s:7:\"content\";N;s:7:\"section\";s:8:\"frontend\";s:5:\"title\";N;s:7:\"subtree\";N;s:5:\"items\";N;s:4:\"item\";N;s:11:\"data_config\";N;s:11:\"block_theme\";N;s:5:\"trail\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"modules/we_megamenu\";s:8:\"template\";s:14:\"we-megamenu-li\";s:4:\"path\";s:29:\"modules/we_megamenu/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:34:\"template_preprocess_we_megamenu_li\";i:2;s:21:\"contextual_preprocess\";}}s:19:\"we_megamenu_submenu\";a:6:{s:9:\"variables\";a:10:{s:9:\"menu_name\";N;s:7:\"content\";N;s:7:\"section\";s:8:\"frontend\";s:5:\"title\";N;s:7:\"subtree\";N;s:5:\"items\";N;s:11:\"data_config\";N;s:11:\"item_config\";N;s:11:\"block_theme\";N;s:5:\"trail\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"modules/we_megamenu\";s:8:\"template\";s:19:\"we-megamenu-submenu\";s:4:\"path\";s:29:\"modules/we_megamenu/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:39:\"template_preprocess_we_megamenu_submenu\";i:2;s:21:\"contextual_preprocess\";}}s:17:\"we_megamenu_block\";N;s:15:\"we_megamenu_row\";a:6:{s:9:\"variables\";a:10:{s:9:\"menu_name\";N;s:7:\"content\";N;s:7:\"section\";s:8:\"frontend\";s:5:\"title\";N;s:7:\"subtree\";N;s:5:\"items\";N;s:11:\"data_config\";N;s:11:\"item_config\";N;s:11:\"block_theme\";N;s:5:\"trail\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"modules/we_megamenu\";s:8:\"template\";s:15:\"we-megamenu-row\";s:4:\"path\";s:29:\"modules/we_megamenu/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:35:\"template_preprocess_we_megamenu_row\";i:2;s:21:\"contextual_preprocess\";}}s:15:\"we_megamenu_col\";a:6:{s:9:\"variables\";a:10:{s:9:\"menu_name\";N;s:7:\"content\";N;s:7:\"section\";s:8:\"frontend\";s:5:\"title\";N;s:7:\"subtree\";N;s:5:\"items\";N;s:11:\"data_config\";N;s:11:\"item_config\";N;s:11:\"block_theme\";N;s:5:\"trail\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"modules/we_megamenu\";s:8:\"template\";s:15:\"we-megamenu-col\";s:4:\"path\";s:29:\"modules/we_megamenu/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:35:\"template_preprocess_we_megamenu_col\";i:2;s:21:\"contextual_preprocess\";}}s:17:\"we_megamenu_subul\";a:6:{s:9:\"variables\";a:9:{s:9:\"menu_name\";N;s:7:\"content\";N;s:7:\"section\";s:8:\"frontend\";s:5:\"items\";N;s:7:\"subtree\";N;s:11:\"data_config\";N;s:11:\"item_config\";N;s:11:\"block_theme\";N;s:5:\"trail\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"modules/we_megamenu\";s:8:\"template\";s:17:\"we-megamenu-subul\";s:4:\"path\";s:29:\"modules/we_megamenu/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:37:\"template_preprocess_we_megamenu_subul\";i:2;s:21:\"contextual_preprocess\";}}s:16:\"views_mini_pager\";N;s:16:\"views_view_field\";a:8:{s:4:\"file\";s:15:\"views.theme.inc\";s:9:\"variables\";a:3:{s:4:\"view\";N;s:5:\"field\";N;s:3:\"row\";N;}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:34:\"core/modules/views/views.theme.inc\";i:1;s:34:\"core/modules/views/views.theme.inc\";}s:8:\"template\";s:16:\"views-view-field\";s:4:\"path\";s:34:\"core/themes/stable/templates/views\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:36:\"template_preprocess_views_view_field\";i:2;s:21:\"contextual_preprocess\";}}s:19:\"views_view_grouping\";N;s:10:\"views_view\";a:7:{s:9:\"variables\";a:13:{s:10:\"view_array\";a:0:{}s:4:\"view\";N;s:4:\"rows\";a:0:{}s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:7:\"exposed\";a:0:{}s:4:\"more\";a:0:{}s:10:\"feed_icons\";a:0:{}s:5:\"pager\";a:0:{}s:5:\"title\";s:0:\"\";s:17:\"attachment_before\";a:0:{}s:16:\"attachment_after\";a:0:{}}s:4:\"path\";s:34:\"core/themes/classy/templates/views\";s:8:\"includes\";a:4:{i:0;s:34:\"core/modules/views/views.theme.inc\";i:1;s:34:\"core/modules/views/views.theme.inc\";i:2;s:34:\"core/modules/views/views.theme.inc\";i:3;s:34:\"core/modules/views/views.theme.inc\";}s:8:\"template\";s:10:\"views-view\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:30:\"template_preprocess_views_view\";i:2;s:21:\"contextual_preprocess\";i:3;s:30:\"views_ui_preprocess_views_view\";}}s:17:\"views_view_fields\";a:7:{s:9:\"variables\";a:4:{s:4:\"view\";N;s:7:\"options\";N;s:3:\"row\";N;s:11:\"field_alias\";N;}s:4:\"path\";s:34:\"core/themes/stable/templates/views\";s:8:\"includes\";a:2:{i:0;s:34:\"core/modules/views/views.theme.inc\";i:1;s:34:\"core/modules/views/views.theme.inc\";}s:8:\"template\";s:17:\"views-view-fields\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:37:\"template_preprocess_views_view_fields\";i:2;s:21:\"contextual_preprocess\";}}s:18:\"views_view_row_rss\";N;s:19:\"views_view_row_opml\";N;s:14:\"views_view_rss\";N;s:15:\"views_view_grid\";a:7:{s:9:\"variables\";a:4:{s:4:\"view\";N;s:7:\"options\";N;s:4:\"rows\";N;s:5:\"title\";N;}s:4:\"path\";s:34:\"core/themes/classy/templates/views\";s:8:\"includes\";a:4:{i:0;s:34:\"core/modules/views/views.theme.inc\";i:1;s:34:\"core/modules/views/views.theme.inc\";i:2;s:34:\"core/modules/views/views.theme.inc\";i:3;s:34:\"core/modules/views/views.theme.inc\";}s:8:\"template\";s:15:\"views-view-grid\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:35:\"template_preprocess_views_view_grid\";i:2;s:21:\"contextual_preprocess\";}}s:16:\"views_view_table\";N;s:15:\"views_view_opml\";N;s:22:\"views_view_unformatted\";a:7:{s:9:\"variables\";a:4:{s:4:\"view\";N;s:7:\"options\";N;s:4:\"rows\";N;s:5:\"title\";N;}s:4:\"path\";s:34:\"core/themes/classy/templates/views\";s:8:\"includes\";a:4:{i:0;s:34:\"core/modules/views/views.theme.inc\";i:1;s:34:\"core/modules/views/views.theme.inc\";i:2;s:34:\"core/modules/views/views.theme.inc\";i:3;s:34:\"core/modules/views/views.theme.inc\";}s:8:\"template\";s:22:\"views-view-unformatted\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:16:\"themes/luxestate\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:42:\"template_preprocess_views_view_unformatted\";i:2;s:21:\"contextual_preprocess\";i:12;s:43:\"luxestate_preprocess_views_view_unformatted\";}}s:18:\"views_view_summary\";N;s:15:\"views_view_list\";N;s:30:\"views_view_summary_unformatted\";N;s:21:\"views_form_views_form\";N;s:18:\"views_exposed_form\";N;s:26:\"block__local_actions_block\";N;s:24:\"block__local_tasks_block\";a:7:{s:8:\"template\";s:24:\"block--local-tasks-block\";s:4:\"path\";s:34:\"core/themes/classy/templates/block\";s:14:\"render element\";s:8:\"elements\";s:9:\"base hook\";s:5:\"block\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:20:\"preprocess functions\";a:14:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_block\";i:2;s:28:\"block_class_preprocess_block\";i:3;s:24:\"comment_preprocess_block\";i:4;s:21:\"contextual_preprocess\";i:5;s:21:\"help_preprocess_block\";i:6;s:25:\"language_preprocess_block\";i:7;s:24:\"menu_ui_preprocess_block\";i:8;s:21:\"node_preprocess_block\";i:9;s:23:\"search_preprocess_block\";i:10;s:25:\"shortcut_preprocess_block\";i:11;s:23:\"system_preprocess_block\";i:12;s:21:\"user_preprocess_block\";i:13;s:26:\"luxestate_preprocess_block\";}}s:24:\"block__search_form_block\";N;s:25:\"links__media_library_menu\";N;s:11:\"links__node\";N;s:25:\"item_list__search_results\";N;s:32:\"container__media_library_content\";N;s:41:\"container__media_library_widget_selection\";N;s:24:\"field__text_with_summary\";a:7:{s:8:\"template\";s:24:\"field--text-with-summary\";s:4:\"path\";s:34:\"core/themes/classy/templates/field\";s:14:\"render element\";s:7:\"element\";s:9:\"base hook\";s:5:\"field\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:20:\"preprocess functions\";a:5:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_field\";i:2;s:24:\"comment_preprocess_field\";i:3;s:21:\"contextual_preprocess\";i:4;s:26:\"quickedit_preprocess_field\";}}s:11:\"field__text\";a:7:{s:8:\"template\";s:11:\"field--text\";s:4:\"path\";s:34:\"core/themes/classy/templates/field\";s:14:\"render element\";s:7:\"element\";s:9:\"base hook\";s:5:\"field\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:20:\"preprocess functions\";a:5:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_field\";i:2;s:24:\"comment_preprocess_field\";i:3;s:21:\"contextual_preprocess\";i:4;s:26:\"quickedit_preprocess_field\";}}s:16:\"field__text_long\";N;s:37:\"views_view_unformatted__media_library\";N;s:13:\"node__article\";N;s:8:\"node__30\";N;s:14:\"region__header\";a:7:{s:8:\"template\";s:14:\"region--header\";s:4:\"path\";s:33:\"themes/luxestate/templates/system\";s:14:\"render element\";s:8:\"elements\";s:9:\"base hook\";s:6:\"region\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:16:\"themes/luxestate\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:26:\"template_preprocess_region\";i:2;s:21:\"contextual_preprocess\";}}s:36:\"views_view_unformatted__our_partners\";a:8:{s:8:\"template\";s:36:\"views-view-unformatted--our_partners\";s:4:\"path\";s:31:\"themes/luxestate/templates/view\";s:9:\"variables\";a:4:{s:4:\"view\";N;s:7:\"options\";N;s:4:\"rows\";N;s:5:\"title\";N;}s:9:\"base hook\";s:22:\"views_view_unformatted\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:16:\"themes/luxestate\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:42:\"template_preprocess_views_view_unformatted\";i:2;s:21:\"contextual_preprocess\";i:3;s:43:\"luxestate_preprocess_views_view_unformatted\";}s:8:\"includes\";a:4:{i:0;s:34:\"core/modules/views/views.theme.inc\";i:1;s:34:\"core/modules/views/views.theme.inc\";i:2;s:34:\"core/modules/views/views.theme.inc\";i:3;s:34:\"core/modules/views/views.theme.inc\";}}s:30:\"views_view_unformatted__page_3\";N;s:46:\"views_view_unformatted__why_choose_us__block_2\";N;s:46:\"views_view_unformatted__why_choose_us__block_1\";N;}',-1,1636711422.638,1,'theme_registry','5'),('theme_registry:runtime:seven','a:177:{s:5:\"block\";a:6:{s:14:\"render element\";s:8:\"elements\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:5:\"block\";s:4:\"path\";s:40:\"core/themes/seven/templates/classy/block\";s:20:\"preprocess functions\";a:14:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_block\";i:2;s:28:\"block_class_preprocess_block\";i:3;s:24:\"comment_preprocess_block\";i:4;s:21:\"contextual_preprocess\";i:5;s:21:\"help_preprocess_block\";i:6;s:25:\"language_preprocess_block\";i:7;s:24:\"menu_ui_preprocess_block\";i:8;s:21:\"node_preprocess_block\";i:9;s:23:\"search_preprocess_block\";i:10;s:25:\"shortcut_preprocess_block\";i:11;s:23:\"system_preprocess_block\";i:12;s:21:\"user_preprocess_block\";i:104;s:22:\"seven_preprocess_block\";}}s:22:\"block_content_add_list\";N;s:25:\"ckeditor_settings_toolbar\";N;s:17:\"color_scheme_form\";N;s:18:\"colorbox_formatter\";N;s:7:\"comment\";N;s:14:\"field__comment\";N;s:38:\"config_translation_manage_form_element\";N;s:19:\"ctools_wizard_trail\";N;s:25:\"ctools_wizard_trail_links\";N;s:14:\"field_ui_table\";N;s:9:\"file_link\";N;s:17:\"file_managed_file\";N;s:10:\"file_audio\";N;s:10:\"file_video\";N;s:20:\"file_widget_multiple\";N;s:16:\"file_upload_help\";N;s:11:\"filter_tips\";N;s:19:\"text_format_wrapper\";N;s:17:\"filter_guidelines\";N;s:14:\"filter_caption\";N;s:12:\"help_section\";N;s:11:\"image_style\";N;s:19:\"image_style_preview\";N;s:12:\"image_anchor\";N;s:20:\"image_resize_summary\";N;s:19:\"image_scale_summary\";N;s:18:\"image_crop_summary\";N;s:28:\"image_scale_and_crop_summary\";N;s:20:\"image_rotate_summary\";N;s:12:\"image_widget\";N;s:15:\"image_formatter\";N;s:35:\"language_negotiation_configure_form\";N;s:31:\"language_content_settings_table\";N;s:28:\"link_formatter_link_separate\";N;s:29:\"locale_translation_last_check\";N;s:30:\"locale_translation_update_info\";N;s:4:\"node\";N;s:13:\"node_add_list\";N;s:14:\"node_edit_form\";N;s:18:\"field__node__title\";N;s:16:\"field__node__uid\";N;s:20:\"field__node__created\";N;s:11:\"rdf_wrapper\";N;s:12:\"rdf_metadata\";N;s:16:\"responsive_image\";N;s:26:\"responsive_image_formatter\";N;s:13:\"search_result\";N;s:15:\"sharethis_block\";N;s:26:\"simplenews_newsletter_body\";N;s:4:\"html\";a:6:{s:14:\"render element\";s:4:\"html\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:4:\"html\";s:4:\"path\";s:41:\"core/themes/seven/templates/classy/layout\";s:20:\"preprocess functions\";a:9:{i:0;s:19:\"template_preprocess\";i:1;s:24:\"template_preprocess_html\";i:2;s:35:\"admin_toolbar_tools_preprocess_html\";i:3;s:21:\"contextual_preprocess\";i:4;s:20:\"node_preprocess_html\";i:5;s:19:\"rdf_preprocess_html\";i:6;s:23:\"toolbar_preprocess_html\";i:7;s:27:\"we_megamenu_preprocess_html\";i:64;s:21:\"seven_preprocess_html\";}}s:4:\"page\";a:6:{s:14:\"render element\";s:4:\"page\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:4:\"page\";s:4:\"path\";s:27:\"core/themes/seven/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:24:\"template_preprocess_page\";i:2;s:21:\"contextual_preprocess\";}}s:10:\"page_title\";a:6:{s:9:\"variables\";a:1:{s:5:\"title\";N;}s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:10:\"page-title\";s:4:\"path\";s:42:\"core/themes/seven/templates/classy/content\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";i:2;s:31:\"quickedit_preprocess_page_title\";i:3;s:30:\"shortcut_preprocess_page_title\";}}s:6:\"region\";a:6:{s:14:\"render element\";s:8:\"elements\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:6:\"region\";s:4:\"path\";s:41:\"core/themes/seven/templates/classy/layout\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:26:\"template_preprocess_region\";i:2;s:21:\"contextual_preprocess\";}}s:4:\"time\";N;s:13:\"datetime_form\";N;s:16:\"datetime_wrapper\";N;s:15:\"status_messages\";a:6:{s:9:\"variables\";a:2:{s:15:\"status_headings\";a:0:{}s:12:\"message_list\";N;}s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:15:\"status-messages\";s:4:\"path\";s:39:\"core/themes/seven/templates/classy/misc\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:5:\"links\";a:6:{s:9:\"variables\";a:4:{s:5:\"links\";a:0:{}s:10:\"attributes\";a:1:{s:5:\"class\";a:4:{i:0;s:5:\"links\";i:1;s:5:\"links\";i:2;s:5:\"links\";i:3;s:5:\"links\";}}s:7:\"heading\";a:0:{}s:16:\"set_active_class\";b:0;}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:5:\"links\";s:4:\"path\";s:39:\"core/themes/classy/templates/navigation\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_links\";i:2;s:21:\"contextual_preprocess\";i:6;s:23:\"stable_preprocess_links\";}}s:18:\"dropbutton_wrapper\";N;s:5:\"image\";N;s:10:\"breadcrumb\";a:6:{s:9:\"variables\";a:1:{s:5:\"links\";a:0:{}}s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:10:\"breadcrumb\";s:4:\"path\";s:45:\"core/themes/seven/templates/classy/navigation\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:30:\"template_preprocess_breadcrumb\";i:2;s:21:\"contextual_preprocess\";}}s:5:\"table\";a:6:{s:9:\"variables\";a:9:{s:6:\"header\";N;s:4:\"rows\";N;s:6:\"footer\";N;s:10:\"attributes\";a:0:{}s:7:\"caption\";N;s:9:\"colgroups\";a:0:{}s:6:\"sticky\";b:0;s:10:\"responsive\";b:1;s:5:\"empty\";s:0:\"\";}s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:5:\"table\";s:4:\"path\";s:42:\"core/themes/seven/templates/classy/dataset\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_table\";i:2;s:21:\"contextual_preprocess\";}}s:19:\"tablesort_indicator\";N;s:4:\"mark\";N;s:9:\"item_list\";a:6:{s:9:\"variables\";a:7:{s:5:\"items\";a:0:{}s:5:\"title\";s:0:\"\";s:9:\"list_type\";s:2:\"ul\";s:18:\"wrapper_attributes\";a:0:{}s:10:\"attributes\";a:0:{}s:5:\"empty\";N;s:7:\"context\";a:0:{}}s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:9:\"item-list\";s:4:\"path\";s:42:\"core/themes/seven/templates/classy/dataset\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:29:\"template_preprocess_item_list\";i:2;s:21:\"contextual_preprocess\";}}s:9:\"feed_icon\";N;s:12:\"progress_bar\";N;s:11:\"indentation\";N;s:16:\"maintenance_page\";N;s:12:\"install_page\";N;s:21:\"maintenance_task_list\";N;s:16:\"authorize_report\";N;s:5:\"pager\";N;s:4:\"menu\";a:6:{s:9:\"variables\";a:3:{s:9:\"menu_name\";N;s:5:\"items\";a:0:{}s:10:\"attributes\";a:0:{}}s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:4:\"menu\";s:4:\"path\";s:45:\"core/themes/seven/templates/classy/navigation\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";i:2;s:36:\"menu_link_attributes_preprocess_menu\";}}s:15:\"menu_local_task\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:15:\"menu-local-task\";s:4:\"path\";s:45:\"core/themes/seven/templates/classy/navigation\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:35:\"template_preprocess_menu_local_task\";i:2;s:21:\"contextual_preprocess\";i:24;s:32:\"seven_preprocess_menu_local_task\";}}s:17:\"menu_local_action\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:17:\"menu-local-action\";s:4:\"path\";s:39:\"core/themes/classy/templates/navigation\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:37:\"template_preprocess_menu_local_action\";i:2;s:21:\"contextual_preprocess\";i:12;s:34:\"seven_preprocess_menu_local_action\";}}s:16:\"menu_local_tasks\";a:6:{s:9:\"variables\";a:2:{s:7:\"primary\";a:0:{}s:9:\"secondary\";a:0:{}}s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:16:\"menu-local-tasks\";s:4:\"path\";s:27:\"core/themes/seven/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";i:16;s:33:\"seven_preprocess_menu_local_tasks\";}}s:5:\"input\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:5:\"input\";s:4:\"path\";s:33:\"core/themes/classy/templates/form\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_input\";i:2;s:21:\"contextual_preprocess\";}}s:6:\"select\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:6:\"select\";s:4:\"path\";s:33:\"core/themes/classy/templates/form\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:26:\"template_preprocess_select\";i:2;s:21:\"contextual_preprocess\";}}s:8:\"fieldset\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:8:\"fieldset\";s:4:\"path\";s:39:\"core/themes/seven/templates/classy/form\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:28:\"template_preprocess_fieldset\";i:2;s:21:\"contextual_preprocess\";}}s:7:\"details\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:7:\"details\";s:4:\"path\";s:27:\"core/themes/seven/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:27:\"template_preprocess_details\";i:2;s:21:\"contextual_preprocess\";}}s:6:\"radios\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:6:\"radios\";s:4:\"path\";s:39:\"core/themes/seven/templates/classy/form\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:26:\"template_preprocess_radios\";i:2;s:21:\"contextual_preprocess\";}}s:10:\"checkboxes\";N;s:4:\"form\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:4:\"form\";s:4:\"path\";s:33:\"core/themes/classy/templates/form\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:24:\"template_preprocess_form\";i:2;s:21:\"contextual_preprocess\";}}s:8:\"textarea\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:8:\"textarea\";s:4:\"path\";s:39:\"core/themes/seven/templates/classy/form\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:28:\"template_preprocess_textarea\";i:2;s:21:\"contextual_preprocess\";}}s:12:\"form_element\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:12:\"form-element\";s:4:\"path\";s:39:\"core/themes/seven/templates/classy/form\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:32:\"template_preprocess_form_element\";i:2;s:21:\"contextual_preprocess\";}}s:18:\"form_element_label\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:18:\"form-element-label\";s:4:\"path\";s:39:\"core/themes/seven/templates/classy/form\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:38:\"template_preprocess_form_element_label\";i:2;s:21:\"contextual_preprocess\";}}s:13:\"vertical_tabs\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:13:\"vertical-tabs\";s:4:\"path\";s:39:\"core/themes/classy/templates/navigation\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:33:\"template_preprocess_vertical_tabs\";i:2;s:21:\"contextual_preprocess\";}}s:9:\"container\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:9:\"container\";s:4:\"path\";s:33:\"core/themes/classy/templates/form\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:29:\"template_preprocess_container\";i:2;s:21:\"contextual_preprocess\";}}s:5:\"field\";N;s:25:\"field_multiple_value_form\";N;s:28:\"block__system_branding_block\";N;s:28:\"block__system_messages_block\";a:7:{s:9:\"base hook\";s:5:\"block\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"template\";s:28:\"block--system-messages-block\";s:4:\"path\";s:34:\"core/themes/stable/templates/block\";s:20:\"preprocess functions\";a:14:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_block\";i:2;s:28:\"block_class_preprocess_block\";i:3;s:24:\"comment_preprocess_block\";i:4;s:21:\"contextual_preprocess\";i:5;s:21:\"help_preprocess_block\";i:6;s:25:\"language_preprocess_block\";i:7;s:24:\"menu_ui_preprocess_block\";i:8;s:21:\"node_preprocess_block\";i:9;s:23:\"search_preprocess_block\";i:10;s:25:\"shortcut_preprocess_block\";i:11;s:23:\"system_preprocess_block\";i:12;s:21:\"user_preprocess_block\";i:13;s:22:\"seven_preprocess_block\";}s:14:\"render element\";s:8:\"elements\";}s:24:\"block__system_menu_block\";N;s:18:\"system_themes_page\";N;s:18:\"system_config_form\";a:6:{s:14:\"render element\";s:4:\"form\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"template\";s:18:\"system-config-form\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:12:\"confirm_form\";N;s:22:\"system_modules_details\";a:8:{s:14:\"render element\";s:4:\"form\";s:4:\"file\";s:16:\"system.admin.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:36:\"core/modules/system/system.admin.inc\";i:1;s:36:\"core/modules/system/system.admin.inc\";}s:8:\"template\";s:22:\"system-modules-details\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:42:\"template_preprocess_system_modules_details\";i:2;s:21:\"contextual_preprocess\";}}s:24:\"system_modules_uninstall\";a:8:{s:14:\"render element\";s:4:\"form\";s:4:\"file\";s:16:\"system.admin.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:36:\"core/modules/system/system.admin.inc\";i:1;s:36:\"core/modules/system/system.admin.inc\";}s:8:\"template\";s:24:\"system-modules-uninstall\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:44:\"template_preprocess_system_modules_uninstall\";i:2;s:21:\"contextual_preprocess\";}}s:18:\"status_report_page\";N;s:13:\"status_report\";N;s:21:\"status_report_grouped\";N;s:21:\"status_report_counter\";N;s:26:\"status_report_general_info\";N;s:10:\"admin_page\";a:8:{s:9:\"variables\";a:1:{s:6:\"blocks\";N;}s:4:\"file\";s:16:\"system.admin.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:36:\"core/modules/system/system.admin.inc\";i:1;s:36:\"core/modules/system/system.admin.inc\";}s:8:\"template\";s:10:\"admin-page\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:30:\"template_preprocess_admin_page\";i:2;s:21:\"contextual_preprocess\";}}s:11:\"admin_block\";a:8:{s:9:\"variables\";a:2:{s:5:\"block\";N;s:10:\"attributes\";a:0:{}}s:4:\"file\";s:16:\"system.admin.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:36:\"core/modules/system/system.admin.inc\";i:1;s:36:\"core/modules/system/system.admin.inc\";}s:8:\"template\";s:11:\"admin-block\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:19:\"admin_block_content\";a:8:{s:9:\"variables\";a:1:{s:7:\"content\";N;}s:4:\"file\";s:16:\"system.admin.inc\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"includes\";a:4:{i:0;s:36:\"core/modules/system/system.admin.inc\";i:1;s:36:\"core/modules/system/system.admin.inc\";i:2;s:36:\"core/modules/system/system.admin.inc\";i:3;s:36:\"core/modules/system/system.admin.inc\";}s:8:\"template\";s:19:\"admin-block-content\";s:4:\"path\";s:27:\"core/themes/seven/templates\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:39:\"template_preprocess_admin_block_content\";i:2;s:21:\"contextual_preprocess\";i:12;s:36:\"seven_preprocess_admin_block_content\";}}s:18:\"system_admin_index\";N;s:15:\"entity_add_list\";N;s:23:\"off_canvas_page_wrapper\";a:6:{s:9:\"variables\";a:1:{s:8:\"children\";N;}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"template\";s:23:\"off-canvas-page-wrapper\";s:4:\"path\";s:36:\"core/themes/stable/templates/content\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:13:\"taxonomy_term\";N;s:15:\"token_tree_link\";a:8:{s:9:\"variables\";a:8:{s:11:\"token_types\";a:0:{}s:12:\"global_types\";b:1;s:12:\"click_insert\";b:1;s:15:\"show_restricted\";b:0;s:11:\"show_nested\";b:0;s:15:\"recursion_limit\";i:3;s:4:\"text\";N;s:7:\"options\";a:0:{}}s:4:\"file\";s:15:\"token.pages.inc\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:13:\"modules/token\";s:8:\"includes\";a:1:{i:0;s:29:\"modules/token/token.pages.inc\";}s:8:\"template\";s:15:\"token-tree-link\";s:4:\"path\";s:23:\"modules/token/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:35:\"template_preprocess_token_tree_link\";i:2;s:21:\"contextual_preprocess\";}}s:7:\"toolbar\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:7:\"toolbar\";s:4:\"path\";s:45:\"core/themes/seven/templates/classy/navigation\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:27:\"template_preprocess_toolbar\";i:2;s:21:\"contextual_preprocess\";}}s:13:\"menu__toolbar\";a:7:{s:9:\"base hook\";s:4:\"menu\";s:9:\"variables\";a:3:{s:5:\"items\";a:0:{}s:10:\"attributes\";a:0:{}s:9:\"menu_name\";N;}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"template\";s:13:\"menu--toolbar\";s:4:\"path\";s:39:\"core/themes/stable/templates/navigation\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";i:2;s:36:\"menu_link_attributes_preprocess_menu\";}}s:17:\"update_last_check\";a:6:{s:9:\"variables\";a:1:{s:4:\"last\";i:0;}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"template\";s:17:\"update-last-check\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:37:\"template_preprocess_update_last_check\";i:2;s:21:\"contextual_preprocess\";}}s:13:\"update_report\";N;s:21:\"update_project_status\";N;s:14:\"update_version\";N;s:4:\"user\";N;s:8:\"username\";N;s:18:\"video_embed_iframe\";N;s:34:\"video_embed_field_missing_provider\";N;s:28:\"views_ui_display_tab_setting\";N;s:27:\"views_ui_display_tab_bucket\";N;s:30:\"views_ui_rearrange_filter_form\";N;s:27:\"views_ui_expose_filter_form\";N;s:18:\"views_ui_view_info\";N;s:28:\"views_ui_views_listing_table\";N;s:27:\"views_ui_view_displays_list\";N;s:32:\"views_ui_build_group_filter_form\";N;s:27:\"views_ui_style_plugin_table\";N;s:29:\"views_ui_view_preview_section\";N;s:18:\"views_ui_container\";N;s:19:\"we_megamenu_backend\";N;s:20:\"we_megamenu_frontend\";N;s:14:\"we_megamenu_ul\";N;s:14:\"we_megamenu_li\";N;s:19:\"we_megamenu_submenu\";N;s:17:\"we_megamenu_block\";N;s:15:\"we_megamenu_row\";N;s:15:\"we_megamenu_col\";N;s:17:\"we_megamenu_subul\";N;s:16:\"views_mini_pager\";N;s:16:\"views_view_field\";N;s:19:\"views_view_grouping\";N;s:10:\"views_view\";N;s:17:\"views_view_fields\";N;s:18:\"views_view_row_rss\";N;s:19:\"views_view_row_opml\";N;s:14:\"views_view_rss\";N;s:15:\"views_view_grid\";N;s:16:\"views_view_table\";N;s:15:\"views_view_opml\";N;s:22:\"views_view_unformatted\";N;s:18:\"views_view_summary\";N;s:15:\"views_view_list\";N;s:30:\"views_view_summary_unformatted\";N;s:21:\"views_form_views_form\";N;s:18:\"views_exposed_form\";N;s:26:\"block__local_actions_block\";a:7:{s:8:\"template\";s:26:\"block--local-actions-block\";s:4:\"path\";s:27:\"core/themes/seven/templates\";s:14:\"render element\";s:8:\"elements\";s:9:\"base hook\";s:5:\"block\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:20:\"preprocess functions\";a:14:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_block\";i:2;s:28:\"block_class_preprocess_block\";i:3;s:24:\"comment_preprocess_block\";i:4;s:21:\"contextual_preprocess\";i:5;s:21:\"help_preprocess_block\";i:6;s:25:\"language_preprocess_block\";i:7;s:24:\"menu_ui_preprocess_block\";i:8;s:21:\"node_preprocess_block\";i:9;s:23:\"search_preprocess_block\";i:10;s:25:\"shortcut_preprocess_block\";i:11;s:23:\"system_preprocess_block\";i:12;s:21:\"user_preprocess_block\";i:13;s:22:\"seven_preprocess_block\";}}s:24:\"block__local_tasks_block\";a:7:{s:8:\"template\";s:24:\"block--local-tasks-block\";s:4:\"path\";s:40:\"core/themes/seven/templates/classy/block\";s:14:\"render element\";s:8:\"elements\";s:9:\"base hook\";s:5:\"block\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:20:\"preprocess functions\";a:14:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_block\";i:2;s:28:\"block_class_preprocess_block\";i:3;s:24:\"comment_preprocess_block\";i:4;s:21:\"contextual_preprocess\";i:5;s:21:\"help_preprocess_block\";i:6;s:25:\"language_preprocess_block\";i:7;s:24:\"menu_ui_preprocess_block\";i:8;s:21:\"node_preprocess_block\";i:9;s:23:\"search_preprocess_block\";i:10;s:25:\"shortcut_preprocess_block\";i:11;s:23:\"system_preprocess_block\";i:12;s:21:\"user_preprocess_block\";i:13;s:22:\"seven_preprocess_block\";}}s:24:\"block__search_form_block\";N;s:25:\"links__media_library_menu\";N;s:11:\"links__node\";N;s:25:\"item_list__search_results\";N;s:32:\"container__media_library_content\";N;s:41:\"container__media_library_widget_selection\";N;s:24:\"field__text_with_summary\";N;s:11:\"field__text\";N;s:16:\"field__text_long\";N;s:37:\"views_view_unformatted__media_library\";N;s:44:\"item_list__media_library_add_form_media_list\";N;s:30:\"fieldset__media_library_widget\";N;s:46:\"details__media_library_add_form_selected_media\";N;s:25:\"views_view__media_library\";N;s:32:\"views_view_fields__media_library\";N;}',-1,1637057237.636,1,'theme_registry','5'),('user_permissions_hash:anonymous','9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b',-1,1636709607.591,0,'config:user.role.anonymous','2');
/*!40000 ALTER TABLE `cache_bootstrap` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_config`
--

DROP TABLE IF EXISTS `cache_config`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_config` (
  `cid` varchar(255) CHARACTER SET ascii COLLATE ascii_bin NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob DEFAULT NULL COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT 0 COMMENT 'A Unix timestamp indicating when the cache entry should expire, or -1 for never.',
  `created` decimal(14,3) NOT NULL DEFAULT 0.000 COMMENT 'A timestamp with millisecond precision indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT 0 COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  `tags` longtext DEFAULT NULL COMMENT 'Space-separated list of cache tags for this entry.',
  `checksum` varchar(255) CHARACTER SET ascii NOT NULL COMMENT 'The tag invalidation checksum when this entry was saved.',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`),
  KEY `created` (`created`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Storage for the cache API.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_config`
--

LOCK TABLES `cache_config` WRITE;
/*!40000 ALTER TABLE `cache_config` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `cache_config` VALUES ('automated_cron.settings','a:2:{s:8:\"interval\";i:10800;s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"fUksROt4FfkAU9BV4hV2XvhTBSS2nTNrZS4U7S-tKrs\";}}',-1,1636012252.108,1,'','0'),('block.block.bartik_account_menu','a:13:{s:4:\"uuid\";s:36:\"05ad0efb-df48-45a8-8fdd-02f5f99b2e2b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:19:\"system.menu.account\";}s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"DweBpscQZdG0-fHkSpUzdYucrNH45G_KF7Z82V-oyQM\";}s:2:\"id\";s:19:\"bartik_account_menu\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:14:\"secondary_menu\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:25:\"system_menu_block:account\";s:8:\"settings\";a:7:{s:2:\"id\";s:25:\"system_menu_block:account\";s:5:\"label\";s:17:\"User account menu\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";s:5:\"level\";i:1;s:5:\"depth\";i:1;s:16:\"expand_all_items\";b:0;}s:10:\"visibility\";a:0:{}}',-1,1636011225.751,1,'','0'),('block.block.bartik_branding','a:13:{s:4:\"uuid\";s:36:\"0b15030f-d01a-4381-a992-d5e5f579bcd3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"NDwadleLD3YVSbDUaakxyYZyINYtkFtOVGShfq4kWy8\";}s:2:\"id\";s:15:\"bartik_branding\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:6:\"header\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:21:\"system_branding_block\";s:8:\"settings\";a:7:{s:2:\"id\";s:21:\"system_branding_block\";s:5:\"label\";s:13:\"Site branding\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";s:13:\"use_site_logo\";b:1;s:13:\"use_site_name\";b:1;s:15:\"use_site_slogan\";b:1;}s:10:\"visibility\";a:0:{}}',-1,1636011225.751,1,'','0'),('block.block.bartik_breadcrumbs','a:13:{s:4:\"uuid\";s:36:\"9da5a1e7-9b2e-4871-826d-b144ffbb9a50\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"oXUb3JZR2WW5VOdw4HrhRicCsq51mCgLfRyvheG68ck\";}s:2:\"id\";s:18:\"bartik_breadcrumbs\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:10:\"breadcrumb\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:23:\"system_breadcrumb_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:23:\"system_breadcrumb_block\";s:5:\"label\";s:11:\"Breadcrumbs\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}',-1,1636011225.751,1,'','0'),('block.block.bartik_content','a:13:{s:4:\"uuid\";s:36:\"524c8164-c841-4aa9-80e2-d5fa420b6b99\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"9EoWV2Lot6FVSr50t4hoKgiz1LIXYWNG-IIPYsWxBqo\";}s:2:\"id\";s:14:\"bartik_content\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:17:\"system_main_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:17:\"system_main_block\";s:5:\"label\";s:17:\"Main page content\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}',-1,1636011225.751,1,'','0'),('block.block.bartik_footer','a:13:{s:4:\"uuid\";s:36:\"a0b0daed-e8ce-4606-89cc-0287f20e6aa8\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:18:\"system.menu.footer\";}s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"kkISXE1LT2FJEoYnqCrCpeFB-2pmGmMxMklVk7rQcfg\";}s:2:\"id\";s:13:\"bartik_footer\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:12:\"footer_fifth\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:24:\"system_menu_block:footer\";s:8:\"settings\";a:7:{s:2:\"id\";s:24:\"system_menu_block:footer\";s:5:\"label\";s:11:\"Footer menu\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";s:5:\"level\";i:1;s:5:\"depth\";i:0;s:16:\"expand_all_items\";b:0;}s:10:\"visibility\";a:0:{}}',-1,1636011225.751,1,'','0'),('block.block.bartik_help','a:13:{s:4:\"uuid\";s:36:\"7f4a9b19-b797-45e1-9d8a-1d2bffa74e40\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:4:\"help\";}s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"8I8iACSa0sKO3k3jlvUG1ge52rfcKX7USJAQYnzuBgg\";}s:2:\"id\";s:11:\"bartik_help\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:-30;s:8:\"provider\";N;s:6:\"plugin\";s:10:\"help_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:10:\"help_block\";s:5:\"label\";s:4:\"Help\";s:8:\"provider\";s:4:\"help\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}',-1,1636011225.751,1,'','0'),('block.block.bartik_local_actions','a:13:{s:4:\"uuid\";s:36:\"82797529-f064-4ac7-8b87-c8eb161fbeda\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"13GQpeITIJsp1kyPniXtWZfyFH87vb1xxJCHifL4UeE\";}s:2:\"id\";s:20:\"bartik_local_actions\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:-20;s:8:\"provider\";N;s:6:\"plugin\";s:19:\"local_actions_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:19:\"local_actions_block\";s:5:\"label\";s:21:\"Primary admin actions\";s:8:\"provider\";s:4:\"core\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}',-1,1636011225.751,1,'','0'),('block.block.bartik_local_tasks','a:13:{s:4:\"uuid\";s:36:\"b5a8d5d0-8602-45a3-b247-e38fab322e20\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"X9I1OB0W3WlWtrK-CNcg6hNWwa8wficanpH8pYnDZDE\";}s:2:\"id\";s:18:\"bartik_local_tasks\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:-40;s:8:\"provider\";N;s:6:\"plugin\";s:17:\"local_tasks_block\";s:8:\"settings\";a:6:{s:2:\"id\";s:17:\"local_tasks_block\";s:5:\"label\";s:4:\"Tabs\";s:8:\"provider\";s:4:\"core\";s:13:\"label_display\";s:1:\"0\";s:7:\"primary\";b:1;s:9:\"secondary\";b:1;}s:10:\"visibility\";a:0:{}}',-1,1636011225.751,1,'','0'),('block.block.bartik_main_menu','a:13:{s:4:\"uuid\";s:36:\"1e204480-f964-4428-a728-3edbcef2a6b3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:16:\"system.menu.main\";}s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"rx9IrdDv7Ldc4kpalZAxdhIPZfYIeOMh1N-qKoQZwHo\";}s:2:\"id\";s:16:\"bartik_main_menu\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:12:\"primary_menu\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:22:\"system_menu_block:main\";s:8:\"settings\";a:7:{s:2:\"id\";s:22:\"system_menu_block:main\";s:5:\"label\";s:15:\"Main navigation\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";s:5:\"level\";i:1;s:5:\"depth\";i:1;s:16:\"expand_all_items\";b:0;}s:10:\"visibility\";a:0:{}}',-1,1636011225.751,1,'','0'),('block.block.bartik_messages','a:13:{s:4:\"uuid\";s:36:\"1b9ab4d1-ad75-4e83-b06a-68d103ea375b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"KHQIJ7Vfl25lTjzIc7qIvnuistt-Mw2O0kG4jCofmkI\";}s:2:\"id\";s:15:\"bartik_messages\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:11:\"highlighted\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:21:\"system_messages_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:21:\"system_messages_block\";s:5:\"label\";s:15:\"Status messages\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}',-1,1636011225.751,1,'','0'),('block.block.bartik_page_title','a:13:{s:4:\"uuid\";s:36:\"14d65fdc-e501-4a0e-a1c2-91b9ddaf883d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"7rR9chwXvdM2H8OYMAYx9Zj3GGlPMrZp_M3ZA4thYTk\";}s:2:\"id\";s:17:\"bartik_page_title\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:-50;s:8:\"provider\";N;s:6:\"plugin\";s:16:\"page_title_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:16:\"page_title_block\";s:5:\"label\";s:10:\"Page title\";s:8:\"provider\";s:4:\"core\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}',-1,1636011225.751,1,'','0'),('block.block.bartik_powered','a:13:{s:4:\"uuid\";s:36:\"ea087a6a-3200-471b-ada0-2c044b1a5c4b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"jQQUUWN2Uxr5qZtc9zcJKBCxpKY8orN1u2HPqYYRQDI\";}s:2:\"id\";s:14:\"bartik_powered\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:12:\"footer_fifth\";s:6:\"weight\";i:10;s:8:\"provider\";N;s:6:\"plugin\";s:23:\"system_powered_by_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:23:\"system_powered_by_block\";s:5:\"label\";s:17:\"Powered by Drupal\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}',-1,1636011225.751,1,'','0'),('block.block.bartik_search','a:13:{s:4:\"uuid\";s:36:\"123d7e2e-70ec-472d-8bc7-18089d4b1448\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"search\";}s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"za-39d5WDUg6XvbyqSnuVYEeq6QM4qKJxW8MnoAha5A\";}s:2:\"id\";s:13:\"bartik_search\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:13:\"sidebar_first\";s:6:\"weight\";i:-1;s:8:\"provider\";N;s:6:\"plugin\";s:17:\"search_form_block\";s:8:\"settings\";a:5:{s:2:\"id\";s:17:\"search_form_block\";s:5:\"label\";s:6:\"Search\";s:8:\"provider\";s:6:\"search\";s:13:\"label_display\";s:7:\"visible\";s:7:\"page_id\";s:0:\"\";}s:10:\"visibility\";a:0:{}}',-1,1636011225.751,1,'','0'),('block.block.bartik_tools','a:13:{s:4:\"uuid\";s:36:\"a18097dc-09a4-4728-bed4-492c98fbd181\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:17:\"system.menu.tools\";}s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"NeHSoqm4XFqA7_0bDmR429ZZQt3LRbZMNRJTMsFyOfI\";}s:2:\"id\";s:12:\"bartik_tools\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:13:\"sidebar_first\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:23:\"system_menu_block:tools\";s:8:\"settings\";a:7:{s:2:\"id\";s:23:\"system_menu_block:tools\";s:5:\"label\";s:5:\"Tools\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:7:\"visible\";s:5:\"level\";i:1;s:5:\"depth\";i:0;s:16:\"expand_all_items\";b:0;}s:10:\"visibility\";a:0:{}}',-1,1636011225.751,1,'','0'),('block.block.blog','a:13:{s:4:\"uuid\";s:36:\"9bd8bd30-5981-4e15-9126-5d99b17adb56\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:3:{s:7:\"content\";a:1:{i:0;s:56:\"block_content:basic:3740ba50-c010-4c70-b600-b0caeb076315\";}s:6:\"module\";a:3:{i:0;s:11:\"block_class\";i:1;s:13:\"block_content\";i:2;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:11:\"blog-banner\";}}s:2:\"id\";s:4:\"blog\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:8:\"headline\";s:6:\"weight\";i:-22;s:8:\"provider\";N;s:6:\"plugin\";s:50:\"block_content:3740ba50-c010-4c70-b600-b0caeb076315\";s:8:\"settings\";a:7:{s:2:\"id\";s:50:\"block_content:3740ba50-c010-4c70-b600-b0caeb076315\";s:5:\"label\";s:4:\"Blog\";s:8:\"provider\";s:13:\"block_content\";s:13:\"label_display\";s:1:\"0\";s:6:\"status\";b:1;s:4:\"info\";s:0:\"\";s:9:\"view_mode\";s:4:\"full\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:7:\"/blog/*\";s:6:\"negate\";b:0;s:15:\"context_mapping\";a:0:{}}}}',-1,1636011225.784,1,'','0'),('block.block.breadcrumbs','a:13:{s:4:\"uuid\";s:36:\"dbee2165-ea59-4a34-9fc8-f230c237936a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:3:{i:0;s:11:\"block_class\";i:1;s:6:\"ctools\";i:2;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:0:\"\";}}s:2:\"id\";s:11:\"breadcrumbs\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:-22;s:8:\"provider\";N;s:6:\"plugin\";s:23:\"system_breadcrumb_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:23:\"system_breadcrumb_block\";s:5:\"label\";s:11:\"Breadcrumbs\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:2:{s:31:\"entity_bundle:menu_link_content\";a:4:{s:2:\"id\";s:31:\"entity_bundle:menu_link_content\";s:7:\"bundles\";a:1:{s:17:\"menu_link_content\";s:17:\"menu_link_content\";}s:6:\"negate\";b:0;s:15:\"context_mapping\";a:0:{}}s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:7:\"<front>\";s:6:\"negate\";b:1;s:15:\"context_mapping\";a:0:{}}}}',-1,1636011225.784,1,'','0'),('block.block.contactus','a:13:{s:4:\"uuid\";s:36:\"59f9e433-ab1f-4d03-812d-a4130361bed9\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:7:\"content\";a:1:{i:0;s:56:\"block_content:basic:b7be088a-40ae-4f2f-9614-8e1bae7b453d\";}s:6:\"module\";a:2:{i:0;s:11:\"block_class\";i:1;s:13:\"block_content\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:21:\"contact-us-block-info\";}}s:2:\"id\";s:9:\"contactus\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:19:\"footer_fourthcolumn\";s:6:\"weight\";i:-16;s:8:\"provider\";N;s:6:\"plugin\";s:50:\"block_content:b7be088a-40ae-4f2f-9614-8e1bae7b453d\";s:8:\"settings\";a:7:{s:2:\"id\";s:50:\"block_content:b7be088a-40ae-4f2f-9614-8e1bae7b453d\";s:5:\"label\";s:10:\"Contact us\";s:8:\"provider\";s:13:\"block_content\";s:13:\"label_display\";s:7:\"visible\";s:6:\"status\";b:1;s:4:\"info\";s:0:\"\";s:9:\"view_mode\";s:4:\"full\";}s:10:\"visibility\";a:0:{}}',-1,1636011225.784,1,'','0'),('block.block.copyrightbyweebpal','a:13:{s:4:\"uuid\";s:36:\"98a6c337-730b-4a53-8a9a-f03621e6fb96\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:7:\"content\";a:1:{i:0;s:56:\"block_content:basic:d077ed59-d2a0-42b7-afc6-ed94b9621584\";}s:6:\"module\";a:2:{i:0;s:11:\"block_class\";i:1;s:13:\"block_content\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:0:\"\";}}s:2:\"id\";s:18:\"copyrightbyweebpal\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:6:\"footer\";s:6:\"weight\";i:-21;s:8:\"provider\";N;s:6:\"plugin\";s:50:\"block_content:d077ed59-d2a0-42b7-afc6-ed94b9621584\";s:8:\"settings\";a:7:{s:2:\"id\";s:50:\"block_content:d077ed59-d2a0-42b7-afc6-ed94b9621584\";s:5:\"label\";s:20:\"Copyright by Weebpal\";s:8:\"provider\";s:13:\"block_content\";s:13:\"label_display\";s:1:\"0\";s:6:\"status\";b:1;s:4:\"info\";s:0:\"\";s:9:\"view_mode\";s:4:\"full\";}s:10:\"visibility\";a:0:{}}',-1,1636011225.784,1,'','0'),('block.block.luxestate_account_menu','a:13:{s:4:\"uuid\";s:36:\"35b5c009-e15f-4fb0-a1eb-a53cd12afcf0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:19:\"system.menu.account\";}s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"DweBpscQZdG0-fHkSpUzdYucrNH45G_KF7Z82V-oyQM\";}s:2:\"id\";s:22:\"luxestate_account_menu\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:14:\"secondary_menu\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:25:\"system_menu_block:account\";s:8:\"settings\";a:7:{s:2:\"id\";s:25:\"system_menu_block:account\";s:5:\"label\";s:17:\"User account menu\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";s:5:\"level\";i:1;s:5:\"depth\";i:1;s:16:\"expand_all_items\";b:0;}s:10:\"visibility\";a:0:{}}',-1,1636011225.784,1,'','0'),('block.block.luxestate_branding','a:14:{s:4:\"uuid\";s:36:\"5afb6e2c-d5f9-46e6-aa4f-c96ebaaf6651\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:2:{i:0;s:11:\"block_class\";i:1;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:0:\"\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"NDwadleLD3YVSbDUaakxyYZyINYtkFtOVGShfq4kWy8\";}s:2:\"id\";s:18:\"luxestate_branding\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:6:\"header\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:21:\"system_branding_block\";s:8:\"settings\";a:7:{s:2:\"id\";s:21:\"system_branding_block\";s:5:\"label\";s:13:\"Site branding\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";s:13:\"use_site_logo\";b:1;s:13:\"use_site_name\";b:1;s:15:\"use_site_slogan\";b:1;}s:10:\"visibility\";a:0:{}}',-1,1636011225.784,1,'','0'),('block.block.luxestate_breadcrumbs','a:13:{s:4:\"uuid\";s:36:\"d1d6b8ed-8fda-47ad-abbf-57e7cc7bd3c5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"oXUb3JZR2WW5VOdw4HrhRicCsq51mCgLfRyvheG68ck\";}s:2:\"id\";s:21:\"luxestate_breadcrumbs\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:10:\"breadcrumb\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:23:\"system_breadcrumb_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:23:\"system_breadcrumb_block\";s:5:\"label\";s:11:\"Breadcrumbs\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}',-1,1636011225.784,1,'','0'),('block.block.luxestate_content','a:13:{s:4:\"uuid\";s:36:\"0d108db3-6ac7-44fd-b666-c0408758add7\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"9EoWV2Lot6FVSr50t4hoKgiz1LIXYWNG-IIPYsWxBqo\";}s:2:\"id\";s:17:\"luxestate_content\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:-16;s:8:\"provider\";N;s:6:\"plugin\";s:17:\"system_main_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:17:\"system_main_block\";s:5:\"label\";s:17:\"Main page content\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}',-1,1636011225.784,1,'','0'),('block.block.luxestate_footer','a:13:{s:4:\"uuid\";s:36:\"46466991-b794-4562-a678-9b83bcde6f16\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:18:\"system.menu.footer\";}s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"kkISXE1LT2FJEoYnqCrCpeFB-2pmGmMxMklVk7rQcfg\";}s:2:\"id\";s:16:\"luxestate_footer\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:8:\"headline\";s:6:\"weight\";i:-21;s:8:\"provider\";N;s:6:\"plugin\";s:24:\"system_menu_block:footer\";s:8:\"settings\";a:7:{s:2:\"id\";s:24:\"system_menu_block:footer\";s:5:\"label\";s:11:\"Footer menu\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";s:5:\"level\";i:1;s:5:\"depth\";i:0;s:16:\"expand_all_items\";b:0;}s:10:\"visibility\";a:0:{}}',-1,1636011225.784,1,'','0'),('block.block.luxestate_help','a:13:{s:4:\"uuid\";s:36:\"247f7463-1949-43c8-ac7e-e62c195b59ab\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:4:\"help\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"8I8iACSa0sKO3k3jlvUG1ge52rfcKX7USJAQYnzuBgg\";}s:2:\"id\";s:14:\"luxestate_help\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:-20;s:8:\"provider\";N;s:6:\"plugin\";s:10:\"help_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:10:\"help_block\";s:5:\"label\";s:4:\"Help\";s:8:\"provider\";s:4:\"help\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}',-1,1636011225.784,1,'','0'),('block.block.luxestate_local_actions','a:13:{s:4:\"uuid\";s:36:\"3b4cd89a-b17f-4257-8acb-a4e2af15feed\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"13GQpeITIJsp1kyPniXtWZfyFH87vb1xxJCHifL4UeE\";}s:2:\"id\";s:23:\"luxestate_local_actions\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:-19;s:8:\"provider\";N;s:6:\"plugin\";s:19:\"local_actions_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:19:\"local_actions_block\";s:5:\"label\";s:21:\"Primary admin actions\";s:8:\"provider\";s:4:\"core\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}',-1,1636011225.784,1,'','0'),('block.block.luxestate_local_tasks','a:13:{s:4:\"uuid\";s:36:\"f10bcc3c-098e-468c-9923-46e70ed89a31\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"X9I1OB0W3WlWtrK-CNcg6hNWwa8wficanpH8pYnDZDE\";}s:2:\"id\";s:21:\"luxestate_local_tasks\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:-17;s:8:\"provider\";N;s:6:\"plugin\";s:17:\"local_tasks_block\";s:8:\"settings\";a:6:{s:2:\"id\";s:17:\"local_tasks_block\";s:5:\"label\";s:4:\"Tabs\";s:8:\"provider\";s:4:\"core\";s:13:\"label_display\";s:1:\"0\";s:7:\"primary\";b:1;s:9:\"secondary\";b:1;}s:10:\"visibility\";a:0:{}}',-1,1636011225.784,1,'','0'),('block.block.luxestate_messages','a:13:{s:4:\"uuid\";s:36:\"e58b5379-763b-41b2-b3d3-de9abe8a64db\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"KHQIJ7Vfl25lTjzIc7qIvnuistt-Mw2O0kG4jCofmkI\";}s:2:\"id\";s:18:\"luxestate_messages\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:11:\"highlighted\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:21:\"system_messages_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:21:\"system_messages_block\";s:5:\"label\";s:15:\"Status messages\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}',-1,1636011225.784,1,'','0'),('block.block.luxestate_page_title','a:14:{s:4:\"uuid\";s:36:\"463b0385-ce78-4597-a4c2-ca479b3fa8c2\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:2:{i:0;s:11:\"block_class\";i:1;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:0:\"\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"7rR9chwXvdM2H8OYMAYx9Zj3GGlPMrZp_M3ZA4thYTk\";}s:2:\"id\";s:20:\"luxestate_page_title\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:-18;s:8:\"provider\";N;s:6:\"plugin\";s:16:\"page_title_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:16:\"page_title_block\";s:5:\"label\";s:10:\"Page title\";s:8:\"provider\";s:4:\"core\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:70:\"/blog\r\n/portfolio\r\n/portfolio_masonry\r\n/portfolio_4_col\r\n/blog_default\";s:6:\"negate\";b:1;s:15:\"context_mapping\";a:0:{}}}}',-1,1636011225.784,1,'','0'),('block.block.luxestate_powered','a:13:{s:4:\"uuid\";s:36:\"d94c59cc-e5d4-4a6a-bd41-82b51303099a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"jQQUUWN2Uxr5qZtc9zcJKBCxpKY8orN1u2HPqYYRQDI\";}s:2:\"id\";s:17:\"luxestate_powered\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:8:\"headline\";s:6:\"weight\";i:-19;s:8:\"provider\";N;s:6:\"plugin\";s:23:\"system_powered_by_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:23:\"system_powered_by_block\";s:5:\"label\";s:17:\"Powered by Drupal\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}',-1,1636011225.784,1,'','0'),('block.block.luxestate_search','a:13:{s:4:\"uuid\";s:36:\"3bd68868-5850-4eec-8065-82aae90d9a54\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:3:{i:0;s:11:\"block_class\";i:1;s:6:\"search\";i:2;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"za-39d5WDUg6XvbyqSnuVYEeq6QM4qKJxW8MnoAha5A\";}s:2:\"id\";s:16:\"luxestate_search\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:13:\"sidebar_first\";s:6:\"weight\";i:-11;s:8:\"provider\";N;s:6:\"plugin\";s:17:\"search_form_block\";s:8:\"settings\";a:5:{s:2:\"id\";s:17:\"search_form_block\";s:5:\"label\";s:6:\"Search\";s:8:\"provider\";s:6:\"search\";s:13:\"label_display\";s:1:\"0\";s:7:\"page_id\";s:0:\"\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:29:\"/blog/*\r\n/blog\r\n/blog_default\";s:6:\"negate\";b:0;s:15:\"context_mapping\";a:0:{}}}}',-1,1636011225.784,1,'','0'),('block.block.luxestate_tools','a:13:{s:4:\"uuid\";s:36:\"4c105b7c-288e-4e78-9b59-7b844259c685\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:17:\"system.menu.tools\";}s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"NeHSoqm4XFqA7_0bDmR429ZZQt3LRbZMNRJTMsFyOfI\";}s:2:\"id\";s:15:\"luxestate_tools\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:8:\"headline\";s:6:\"weight\";i:-18;s:8:\"provider\";N;s:6:\"plugin\";s:23:\"system_menu_block:tools\";s:8:\"settings\";a:7:{s:2:\"id\";s:23:\"system_menu_block:tools\";s:5:\"label\";s:5:\"Tools\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:7:\"visible\";s:5:\"level\";i:1;s:5:\"depth\";i:0;s:16:\"expand_all_items\";b:0;}s:10:\"visibility\";a:0:{}}',-1,1636011225.784,1,'','0'),('block.block.mainnavigation','a:13:{s:4:\"uuid\";s:36:\"f51ffd01-503a-4f00-b3c2-3baafeb230f9\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:16:\"system.menu.main\";}s:6:\"module\";a:2:{i:0;s:11:\"block_class\";i:1;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:16:\"main-menu-footer\";}}s:2:\"id\";s:14:\"mainnavigation\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:18:\"footer_firstcolumn\";s:6:\"weight\";i:-21;s:8:\"provider\";N;s:6:\"plugin\";s:22:\"system_menu_block:main\";s:8:\"settings\";a:7:{s:2:\"id\";s:22:\"system_menu_block:main\";s:5:\"label\";s:15:\"Main navigation\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";s:5:\"level\";i:1;s:5:\"depth\";i:0;s:16:\"expand_all_items\";b:0;}s:10:\"visibility\";a:0:{}}',-1,1636011225.784,1,'','0'),('block.block.mainnavigation_2','a:13:{s:4:\"uuid\";s:36:\"4649d7ab-1769-4af0-a737-9fa4516e7cbd\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:2:{i:0;s:11:\"block_class\";i:1;s:11:\"we_megamenu\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:0:\"\";}}s:2:\"id\";s:16:\"mainnavigation_2\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:12:\"primary_menu\";s:6:\"weight\";i:-23;s:8:\"provider\";N;s:6:\"plugin\";s:22:\"we_megamenu_block:main\";s:8:\"settings\";a:4:{s:2:\"id\";s:22:\"we_megamenu_block:main\";s:5:\"label\";s:15:\"Main navigation\";s:8:\"provider\";s:11:\"we_megamenu\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}',-1,1636011225.784,1,'','0'),('block.block.newsletterblock','a:13:{s:4:\"uuid\";s:36:\"b5b44fb2-4da4-4f6a-a351-cda526e7d3b3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:7:\"content\";a:1:{i:0;s:56:\"block_content:basic:b0c92726-50bb-4afe-8a60-e078803c0753\";}s:6:\"module\";a:3:{i:0;s:11:\"block_class\";i:1;s:13:\"block_content\";i:2;s:4:\"user\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:0:\"\";}}s:2:\"id\";s:15:\"newsletterblock\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:18:\"footer_thirdcolumn\";s:6:\"weight\";i:-21;s:8:\"provider\";N;s:6:\"plugin\";s:50:\"block_content:b0c92726-50bb-4afe-8a60-e078803c0753\";s:8:\"settings\";a:7:{s:2:\"id\";s:50:\"block_content:b0c92726-50bb-4afe-8a60-e078803c0753\";s:5:\"label\";s:16:\"Newsletter block\";s:8:\"provider\";s:13:\"block_content\";s:13:\"label_display\";s:1:\"0\";s:6:\"status\";b:1;s:4:\"info\";s:0:\"\";s:9:\"view_mode\";s:4:\"full\";}s:10:\"visibility\";a:1:{s:9:\"user_role\";a:4:{s:2:\"id\";s:9:\"user_role\";s:5:\"roles\";a:1:{s:9:\"anonymous\";s:9:\"anonymous\";}s:6:\"negate\";b:0;s:15:\"context_mapping\";a:1:{s:4:\"user\";s:39:\"@user.current_user_context:current_user\";}}}}',-1,1636011225.784,1,'','0'),('block.block.ourlocation','a:13:{s:4:\"uuid\";s:36:\"91abbd9a-b992-498c-8784-66b126c66985\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:7:\"content\";a:1:{i:0;s:56:\"block_content:basic:f714da14-65b4-4919-8791-25debf49859d\";}s:6:\"module\";a:3:{i:0;s:11:\"block_class\";i:1;s:13:\"block_content\";i:2;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:0:\"\";}}s:2:\"id\";s:11:\"ourlocation\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:12:\"panel_second\";s:6:\"weight\";i:-17;s:8:\"provider\";N;s:6:\"plugin\";s:50:\"block_content:f714da14-65b4-4919-8791-25debf49859d\";s:8:\"settings\";a:7:{s:2:\"id\";s:50:\"block_content:f714da14-65b4-4919-8791-25debf49859d\";s:5:\"label\";s:12:\"Our location\";s:8:\"provider\";s:13:\"block_content\";s:13:\"label_display\";s:1:\"0\";s:6:\"status\";b:1;s:4:\"info\";s:0:\"\";s:9:\"view_mode\";s:4:\"full\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:8:\"/contact\";s:6:\"negate\";b:0;s:15:\"context_mapping\";a:0:{}}}}',-1,1636011225.784,1,'','0'),('block.block.pagetitle','a:13:{s:4:\"uuid\";s:36:\"777cd0f6-f75b-42fc-93cb-19d4ee26c25d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:2:{s:6:\"module\";a:2:{i:0;s:11:\"block_class\";i:1;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:0:\"\";}}s:2:\"id\";s:9:\"pagetitle\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:8:\"headline\";s:6:\"weight\";i:-20;s:8:\"provider\";N;s:6:\"plugin\";s:16:\"page_title_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:16:\"page_title_block\";s:5:\"label\";s:10:\"Page title\";s:8:\"provider\";s:4:\"core\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:9:\"/services\";s:6:\"negate\";b:0;s:15:\"context_mapping\";a:0:{}}}}',-1,1636011225.784,1,'','0'),('block.block.quicklinks','a:12:{s:4:\"uuid\";s:36:\"a27c34c1-6da0-48f0-aca6-b016b44553ee\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:17:\"system.menu.quick\";}s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:2:\"id\";s:10:\"quicklinks\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:18:\"footer_firstcolumn\";s:6:\"weight\";i:-22;s:8:\"provider\";N;s:6:\"plugin\";s:23:\"system_menu_block:quick\";s:8:\"settings\";a:7:{s:2:\"id\";s:23:\"system_menu_block:quick\";s:5:\"label\";s:11:\"Quick links\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:7:\"visible\";s:5:\"level\";i:1;s:5:\"depth\";i:0;s:16:\"expand_all_items\";b:0;}s:10:\"visibility\";a:0:{}}',-1,1636011225.784,1,'','0'),('block.block.seven_breadcrumbs','a:13:{s:4:\"uuid\";s:36:\"f453a16b-9058-4027-883e-3bde1fd9f07e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:5:\"seven\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"WWu2OQswgCztl9OeXjD1stexIEMZsSgPMYIdC-JHx9c\";}s:2:\"id\";s:17:\"seven_breadcrumbs\";s:5:\"theme\";s:5:\"seven\";s:6:\"region\";s:10:\"breadcrumb\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:23:\"system_breadcrumb_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:23:\"system_breadcrumb_block\";s:5:\"label\";s:11:\"Breadcrumbs\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}',-1,1636011225.765,1,'','0'),('block.block.seven_content','a:13:{s:4:\"uuid\";s:36:\"9d0f0343-beec-47c4-ba30-186b9f81b8c0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:5:\"seven\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"YRY68JWkaUiGeZlWMv1nzeIgDm0ZZwXYgpqUpLFzwAY\";}s:2:\"id\";s:13:\"seven_content\";s:5:\"theme\";s:5:\"seven\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:17:\"system_main_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:17:\"system_main_block\";s:5:\"label\";s:17:\"Main page content\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}',-1,1636011225.765,1,'','0'),('block.block.seven_help','a:13:{s:4:\"uuid\";s:36:\"f5f7debb-442f-4f84-a672-3a0660a4df66\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:4:\"help\";}s:5:\"theme\";a:1:{i:0;s:5:\"seven\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"NU5A_49mwLHfs5xFzMFrZ850w9pgUolxMS9NNF3vv4c\";}s:2:\"id\";s:10:\"seven_help\";s:5:\"theme\";s:5:\"seven\";s:6:\"region\";s:4:\"help\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:10:\"help_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:10:\"help_block\";s:5:\"label\";s:4:\"Help\";s:8:\"provider\";s:4:\"help\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}',-1,1636011225.765,1,'','0'),('block.block.seven_local_actions','a:13:{s:4:\"uuid\";s:36:\"6409e469-0a6b-46ef-9808-02d09a55e463\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:5:\"theme\";a:1:{i:0;s:5:\"seven\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"HHryZVJbeKi9WnuBGC8FOhBZmBnk2G1H6KxFuy-rC9A\";}s:2:\"id\";s:19:\"seven_local_actions\";s:5:\"theme\";s:5:\"seven\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:-10;s:8:\"provider\";N;s:6:\"plugin\";s:19:\"local_actions_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:19:\"local_actions_block\";s:5:\"label\";s:21:\"Primary admin actions\";s:8:\"provider\";s:4:\"core\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}',-1,1636011225.765,1,'','0'),('block.block.seven_login','a:13:{s:4:\"uuid\";s:36:\"067d7b51-7e59-4378-9675-9505841dca91\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}s:5:\"theme\";a:1:{i:0;s:5:\"seven\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"IItlF4SKHgxduIysVQdvirDJ_v3HGuAviOkidAOJYRE\";}s:2:\"id\";s:11:\"seven_login\";s:5:\"theme\";s:5:\"seven\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:10;s:8:\"provider\";N;s:6:\"plugin\";s:16:\"user_login_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:16:\"user_login_block\";s:5:\"label\";s:10:\"User login\";s:8:\"provider\";s:4:\"user\";s:13:\"label_display\";s:7:\"visible\";}s:10:\"visibility\";a:0:{}}',-1,1636011225.765,1,'','0'),('block.block.seven_messages','a:13:{s:4:\"uuid\";s:36:\"93566e58-5841-48d0-b92b-37e576c8a558\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:5:\"seven\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"XJqWwLt1LDCnazcEN6QkJmCLjk4R0__-8s0OO9xeNjg\";}s:2:\"id\";s:14:\"seven_messages\";s:5:\"theme\";s:5:\"seven\";s:6:\"region\";s:11:\"highlighted\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:21:\"system_messages_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:21:\"system_messages_block\";s:5:\"label\";s:15:\"Status messages\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}',-1,1636011225.765,1,'','0'),('block.block.seven_page_title','a:13:{s:4:\"uuid\";s:36:\"53057242-7cdb-46df-88f7-374f3976c45a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:5:\"theme\";a:1:{i:0;s:5:\"seven\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"ZSpc3IoSaLd0PkB02nxjVPBMztIdsTdHek9SiGaqZ_c\";}s:2:\"id\";s:16:\"seven_page_title\";s:5:\"theme\";s:5:\"seven\";s:6:\"region\";s:6:\"header\";s:6:\"weight\";i:-30;s:8:\"provider\";N;s:6:\"plugin\";s:16:\"page_title_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:16:\"page_title_block\";s:5:\"label\";s:10:\"Page title\";s:8:\"provider\";s:4:\"core\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}',-1,1636011225.765,1,'','0'),('block.block.seven_primary_local_tasks','a:13:{s:4:\"uuid\";s:36:\"67ee53bf-f406-4bbc-b758-08f474f0774c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:5:\"theme\";a:1:{i:0;s:5:\"seven\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"ddy1OsBbWxjwEI8VL1viD4I69qcLHOkul4BxbTqLBTs\";}s:2:\"id\";s:25:\"seven_primary_local_tasks\";s:5:\"theme\";s:5:\"seven\";s:6:\"region\";s:6:\"header\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:17:\"local_tasks_block\";s:8:\"settings\";a:6:{s:2:\"id\";s:17:\"local_tasks_block\";s:5:\"label\";s:12:\"Primary tabs\";s:8:\"provider\";s:4:\"core\";s:13:\"label_display\";s:1:\"0\";s:7:\"primary\";b:1;s:9:\"secondary\";b:0;}s:10:\"visibility\";a:0:{}}',-1,1636011225.765,1,'','0'),('block.block.seven_secondary_local_tasks','a:13:{s:4:\"uuid\";s:36:\"d38bebd8-09a4-4808-a5c2-6226e963e777\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:5:\"theme\";a:1:{i:0;s:5:\"seven\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"QeZBeCilQfeET3GeW6ZtJkEiwROADTZktFgKWwPieD4\";}s:2:\"id\";s:27:\"seven_secondary_local_tasks\";s:5:\"theme\";s:5:\"seven\";s:6:\"region\";s:11:\"pre_content\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:17:\"local_tasks_block\";s:8:\"settings\";a:6:{s:2:\"id\";s:17:\"local_tasks_block\";s:5:\"label\";s:14:\"Secondary tabs\";s:8:\"provider\";s:4:\"core\";s:13:\"label_display\";s:1:\"0\";s:7:\"primary\";b:0;s:9:\"secondary\";b:1;}s:10:\"visibility\";a:0:{}}',-1,1636011225.765,1,'','0'),('block.block.simplenewssubscription','a:13:{s:4:\"uuid\";s:36:\"1dc39fed-9056-4b00-9641-b842b7ea760c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:2:{i:0;s:11:\"block_class\";i:1;s:10:\"simplenews\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:0:\"\";}}s:2:\"id\";s:22:\"simplenewssubscription\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:18:\"footer_thirdcolumn\";s:6:\"weight\";i:-22;s:8:\"provider\";N;s:6:\"plugin\";s:29:\"simplenews_subscription_block\";s:8:\"settings\";a:7:{s:2:\"id\";s:29:\"simplenews_subscription_block\";s:5:\"label\";s:10:\"Newsletter\";s:8:\"provider\";s:10:\"simplenews\";s:13:\"label_display\";s:7:\"visible\";s:11:\"newsletters\";a:1:{s:7:\"default\";s:7:\"default\";}s:7:\"message\";s:57:\"Sign up for our mailing to get latest updates and offers.\";s:9:\"unique_id\";s:36:\"2e7f7bdc-7622-4ced-9848-99a362a0e07e\";}s:10:\"visibility\";a:0:{}}',-1,1636011225.784,1,'','0'),('block.block.views_block__about_us_block_1','a:13:{s:4:\"uuid\";s:36:\"b10cfdf4-0bc8-40ee-9d32-d7b900b9a7f9\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:19:\"views.view.about_us\";}s:6:\"module\";a:3:{i:0;s:11:\"block_class\";i:1;s:6:\"system\";i:2;s:5:\"views\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:0:\"\";}}s:2:\"id\";s:29:\"views_block__about_us_block_1\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:12:\"panel_second\";s:6:\"weight\";i:-18;s:8:\"provider\";N;s:6:\"plugin\";s:28:\"views_block:about_us-block_1\";s:8:\"settings\";a:6:{s:2:\"id\";s:28:\"views_block:about_us-block_1\";s:5:\"label\";s:0:\"\";s:8:\"provider\";s:5:\"views\";s:13:\"label_display\";s:1:\"0\";s:11:\"views_label\";s:0:\"\";s:14:\"items_per_page\";s:4:\"none\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:7:\"<front>\";s:6:\"negate\";b:0;s:15:\"context_mapping\";a:0:{}}}}',-1,1636011225.784,1,'','0'),('block.block.views_block__banner_block_1','a:13:{s:4:\"uuid\";s:36:\"a4939ac5-7f92-4f64-b224-627d89b86f8a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:17:\"views.view.banner\";}s:6:\"module\";a:3:{i:0;s:11:\"block_class\";i:1;s:6:\"system\";i:2;s:5:\"views\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:16:\"view-blog-banner\";}}s:2:\"id\";s:27:\"views_block__banner_block_1\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:6:\"banner\";s:6:\"weight\";i:-15;s:8:\"provider\";N;s:6:\"plugin\";s:26:\"views_block:banner-block_1\";s:8:\"settings\";a:6:{s:2:\"id\";s:26:\"views_block:banner-block_1\";s:5:\"label\";s:0:\"\";s:8:\"provider\";s:5:\"views\";s:13:\"label_display\";s:1:\"0\";s:11:\"views_label\";s:0:\"\";s:14:\"items_per_page\";s:4:\"none\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:7:\"/blog/*\";s:6:\"negate\";b:0;s:15:\"context_mapping\";a:0:{}}}}',-1,1636011225.784,1,'','0'),('block.block.views_block__banner_block_2','a:13:{s:4:\"uuid\";s:36:\"ab90aeec-2619-4b81-b79f-c584f2c0e8e6\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:17:\"views.view.banner\";}s:6:\"module\";a:3:{i:0;s:11:\"block_class\";i:1;s:6:\"system\";i:2;s:5:\"views\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:0:\"\";}}s:2:\"id\";s:27:\"views_block__banner_block_2\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:6:\"banner\";s:6:\"weight\";i:-13;s:8:\"provider\";N;s:6:\"plugin\";s:26:\"views_block:banner-block_2\";s:8:\"settings\";a:6:{s:2:\"id\";s:26:\"views_block:banner-block_2\";s:5:\"label\";s:0:\"\";s:8:\"provider\";s:5:\"views\";s:13:\"label_display\";s:1:\"0\";s:11:\"views_label\";s:0:\"\";s:14:\"items_per_page\";s:4:\"none\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:50:\"/portfolio\r\n/portfolio_4_col\r\n/portfolio_masonry\r\n\";s:6:\"negate\";b:0;s:15:\"context_mapping\";a:0:{}}}}',-1,1636011225.784,1,'','0'),('block.block.views_block__banner_block_3','a:13:{s:4:\"uuid\";s:36:\"a93ad700-47bd-4c72-bde7-873a7609bc32\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:17:\"views.view.banner\";}s:6:\"module\";a:3:{i:0;s:11:\"block_class\";i:1;s:6:\"system\";i:2;s:5:\"views\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:0:\"\";}}s:2:\"id\";s:27:\"views_block__banner_block_3\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:6:\"banner\";s:6:\"weight\";i:-14;s:8:\"provider\";N;s:6:\"plugin\";s:26:\"views_block:banner-block_3\";s:8:\"settings\";a:6:{s:2:\"id\";s:26:\"views_block:banner-block_3\";s:5:\"label\";s:0:\"\";s:8:\"provider\";s:5:\"views\";s:13:\"label_display\";s:1:\"0\";s:11:\"views_label\";s:0:\"\";s:14:\"items_per_page\";s:4:\"none\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:20:\"/blog\r\n/blog_default\";s:6:\"negate\";b:0;s:15:\"context_mapping\";a:0:{}}}}',-1,1636011225.784,1,'','0'),('block.block.views_block__banner_block_4','a:13:{s:4:\"uuid\";s:36:\"eeab3648-832b-44bf-9a31-8f3ec87d92db\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:17:\"views.view.banner\";}s:6:\"module\";a:3:{i:0;s:11:\"block_class\";i:1;s:6:\"system\";i:2;s:5:\"views\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:0:\"\";}}s:2:\"id\";s:27:\"views_block__banner_block_4\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:6:\"banner\";s:6:\"weight\";i:-16;s:8:\"provider\";N;s:6:\"plugin\";s:26:\"views_block:banner-block_4\";s:8:\"settings\";a:6:{s:2:\"id\";s:26:\"views_block:banner-block_4\";s:5:\"label\";s:0:\"\";s:8:\"provider\";s:5:\"views\";s:13:\"label_display\";s:1:\"0\";s:11:\"views_label\";s:0:\"\";s:14:\"items_per_page\";s:4:\"none\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:9:\"/about-us\";s:6:\"negate\";b:0;s:15:\"context_mapping\";a:0:{}}}}',-1,1636011225.784,1,'','0'),('block.block.views_block__banner_block_5','a:13:{s:4:\"uuid\";s:36:\"4ea627d8-f6f4-49d6-b20b-da8ed689fcfa\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:17:\"views.view.banner\";}s:6:\"module\";a:3:{i:0;s:11:\"block_class\";i:1;s:6:\"system\";i:2;s:5:\"views\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:0:\"\";}}s:2:\"id\";s:27:\"views_block__banner_block_5\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:6:\"banner\";s:6:\"weight\";i:-21;s:8:\"provider\";N;s:6:\"plugin\";s:26:\"views_block:banner-block_5\";s:8:\"settings\";a:6:{s:2:\"id\";s:26:\"views_block:banner-block_5\";s:5:\"label\";s:0:\"\";s:8:\"provider\";s:5:\"views\";s:13:\"label_display\";s:1:\"0\";s:11:\"views_label\";s:0:\"\";s:14:\"items_per_page\";s:4:\"none\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:9:\"/services\";s:6:\"negate\";b:0;s:15:\"context_mapping\";a:0:{}}}}',-1,1636011225.784,1,'','0'),('block.block.views_block__banner_block_6','a:13:{s:4:\"uuid\";s:36:\"02fecbf4-9dc0-497d-8275-4004aca97142\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:17:\"views.view.banner\";}s:6:\"module\";a:3:{i:0;s:11:\"block_class\";i:1;s:6:\"system\";i:2;s:5:\"views\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:0:\"\";}}s:2:\"id\";s:27:\"views_block__banner_block_6\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:6:\"banner\";s:6:\"weight\";i:-22;s:8:\"provider\";N;s:6:\"plugin\";s:26:\"views_block:banner-block_6\";s:8:\"settings\";a:6:{s:2:\"id\";s:26:\"views_block:banner-block_6\";s:5:\"label\";s:0:\"\";s:8:\"provider\";s:5:\"views\";s:13:\"label_display\";s:1:\"0\";s:11:\"views_label\";s:0:\"\";s:14:\"items_per_page\";s:4:\"none\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:8:\"/contact\";s:6:\"negate\";b:0;s:15:\"context_mapping\";a:0:{}}}}',-1,1636011225.784,1,'','0'),('block.block.views_block__banner_block_7','a:13:{s:4:\"uuid\";s:36:\"2a7804a5-19b9-4f53-a519-d5c7536084d9\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:17:\"views.view.banner\";}s:6:\"module\";a:3:{i:0;s:11:\"block_class\";i:1;s:6:\"system\";i:2;s:5:\"views\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:0:\"\";}}s:2:\"id\";s:27:\"views_block__banner_block_7\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:8:\"headline\";s:6:\"weight\";i:-23;s:8:\"provider\";N;s:6:\"plugin\";s:26:\"views_block:banner-block_7\";s:8:\"settings\";a:6:{s:2:\"id\";s:26:\"views_block:banner-block_7\";s:5:\"label\";s:0:\"\";s:8:\"provider\";s:5:\"views\";s:13:\"label_display\";s:1:\"0\";s:11:\"views_label\";s:0:\"\";s:14:\"items_per_page\";s:4:\"none\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:21:\"/user/*\r\n~/user/login\";s:6:\"negate\";b:0;s:15:\"context_mapping\";a:0:{}}}}',-1,1636011225.784,1,'','0'),('block.block.views_block__blog_details_block_1','a:13:{s:4:\"uuid\";s:36:\"00cefbc2-9642-41a1-83b7-988a50cecc14\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:23:\"views.view.blog_details\";}s:6:\"module\";a:3:{i:0;s:11:\"block_class\";i:1;s:6:\"system\";i:2;s:5:\"views\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:0:\"\";}}s:2:\"id\";s:33:\"views_block__blog_details_block_1\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:11:\"panel_first\";s:6:\"weight\";i:-21;s:8:\"provider\";N;s:6:\"plugin\";s:32:\"views_block:blog_details-block_1\";s:8:\"settings\";a:6:{s:2:\"id\";s:32:\"views_block:blog_details-block_1\";s:5:\"label\";s:0:\"\";s:8:\"provider\";s:5:\"views\";s:13:\"label_display\";s:1:\"0\";s:11:\"views_label\";s:0:\"\";s:14:\"items_per_page\";s:4:\"none\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:7:\"/blog/*\";s:6:\"negate\";b:0;s:15:\"context_mapping\";a:0:{}}}}',-1,1636011225.784,1,'','0'),('block.block.views_block__blog_details_block_3','a:13:{s:4:\"uuid\";s:36:\"8a5f9a82-3a4a-402f-8990-54159c7d973b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:23:\"views.view.blog_details\";}s:6:\"module\";a:3:{i:0;s:11:\"block_class\";i:1;s:6:\"system\";i:2;s:5:\"views\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:0:\"\";}}s:2:\"id\";s:33:\"views_block__blog_details_block_3\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:-21;s:8:\"provider\";N;s:6:\"plugin\";s:32:\"views_block:blog_details-block_3\";s:8:\"settings\";a:6:{s:2:\"id\";s:32:\"views_block:blog_details-block_3\";s:5:\"label\";s:0:\"\";s:8:\"provider\";s:5:\"views\";s:13:\"label_display\";s:1:\"0\";s:11:\"views_label\";s:0:\"\";s:14:\"items_per_page\";s:4:\"none\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:7:\"/blog/*\";s:6:\"negate\";b:0;s:15:\"context_mapping\";a:0:{}}}}',-1,1636011225.784,1,'','0'),('block.block.views_block__blog_page_block_1','a:13:{s:4:\"uuid\";s:36:\"28333d3c-53c0-414c-b9aa-2c0d3cdbc6af\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:20:\"views.view.blog_page\";}s:6:\"module\";a:3:{i:0;s:11:\"block_class\";i:1;s:6:\"system\";i:2;s:5:\"views\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:0:\"\";}}s:2:\"id\";s:30:\"views_block__blog_page_block_1\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:13:\"sidebar_first\";s:6:\"weight\";i:-10;s:8:\"provider\";N;s:6:\"plugin\";s:29:\"views_block:blog_page-block_1\";s:8:\"settings\";a:6:{s:2:\"id\";s:29:\"views_block:blog_page-block_1\";s:5:\"label\";s:0:\"\";s:8:\"provider\";s:5:\"views\";s:13:\"label_display\";s:7:\"visible\";s:11:\"views_label\";s:0:\"\";s:14:\"items_per_page\";s:4:\"none\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:29:\"/blog/*\r\n/blog\r\n/blog_default\";s:6:\"negate\";b:0;s:15:\"context_mapping\";a:0:{}}}}',-1,1636011225.784,1,'','0'),('block.block.views_block__blog_page_block_2','a:13:{s:4:\"uuid\";s:36:\"d3cebbbb-4518-4651-b930-814519d61bea\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:20:\"views.view.blog_page\";}s:6:\"module\";a:3:{i:0;s:11:\"block_class\";i:1;s:6:\"system\";i:2;s:5:\"views\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:0:\"\";}}s:2:\"id\";s:30:\"views_block__blog_page_block_2\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:12:\"panel_fourth\";s:6:\"weight\";i:-13;s:8:\"provider\";N;s:6:\"plugin\";s:29:\"views_block:blog_page-block_2\";s:8:\"settings\";a:6:{s:2:\"id\";s:29:\"views_block:blog_page-block_2\";s:5:\"label\";s:0:\"\";s:8:\"provider\";s:5:\"views\";s:13:\"label_display\";s:7:\"visible\";s:11:\"views_label\";s:0:\"\";s:14:\"items_per_page\";s:4:\"none\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:7:\"<front>\";s:6:\"negate\";b:0;s:15:\"context_mapping\";a:0:{}}}}',-1,1636011225.784,1,'','0'),('block.block.views_block__blog_page_block_3','a:13:{s:4:\"uuid\";s:36:\"5e54cc7d-0bb7-4b10-b641-3c7dd297aaae\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:20:\"views.view.blog_page\";}s:6:\"module\";a:2:{i:0;s:11:\"block_class\";i:1;s:5:\"views\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:0:\"\";}}s:2:\"id\";s:30:\"views_block__blog_page_block_3\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:19:\"footer_secondcolumn\";s:6:\"weight\";i:-13;s:8:\"provider\";N;s:6:\"plugin\";s:29:\"views_block:blog_page-block_3\";s:8:\"settings\";a:6:{s:2:\"id\";s:29:\"views_block:blog_page-block_3\";s:5:\"label\";s:0:\"\";s:8:\"provider\";s:5:\"views\";s:13:\"label_display\";s:7:\"visible\";s:11:\"views_label\";s:0:\"\";s:14:\"items_per_page\";s:4:\"none\";}s:10:\"visibility\";a:0:{}}',-1,1636011225.784,1,'','0'),('block.block.views_block__frontpage_block_1','a:13:{s:4:\"uuid\";s:36:\"fc04f2f2-f09f-4ff5-aaa3-8d26c2027c0f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:20:\"views.view.frontpage\";}s:6:\"module\";a:3:{i:0;s:11:\"block_class\";i:1;s:6:\"system\";i:2;s:5:\"views\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:0:\"\";}}s:2:\"id\";s:30:\"views_block__frontpage_block_1\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:12:\"panel_fourth\";s:6:\"weight\";i:-18;s:8:\"provider\";N;s:6:\"plugin\";s:29:\"views_block:frontpage-block_1\";s:8:\"settings\";a:6:{s:2:\"id\";s:29:\"views_block:frontpage-block_1\";s:5:\"label\";s:0:\"\";s:8:\"provider\";s:5:\"views\";s:13:\"label_display\";s:1:\"0\";s:11:\"views_label\";s:0:\"\";s:14:\"items_per_page\";s:1:\"5\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:9:\"/about-us\";s:6:\"negate\";b:0;s:15:\"context_mapping\";a:0:{}}}}',-1,1636011225.784,1,'','0'),('block.block.views_block__our_mission_block_1','a:13:{s:4:\"uuid\";s:36:\"5b4ce356-61d4-4575-9dd8-4a04f2ca23c4\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:22:\"views.view.our_mission\";}s:6:\"module\";a:3:{i:0;s:11:\"block_class\";i:1;s:6:\"system\";i:2;s:5:\"views\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:0:\"\";}}s:2:\"id\";s:32:\"views_block__our_mission_block_1\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:14:\"content_bottom\";s:6:\"weight\";i:-19;s:8:\"provider\";N;s:6:\"plugin\";s:31:\"views_block:our_mission-block_1\";s:8:\"settings\";a:6:{s:2:\"id\";s:31:\"views_block:our_mission-block_1\";s:5:\"label\";s:0:\"\";s:8:\"provider\";s:5:\"views\";s:13:\"label_display\";s:7:\"visible\";s:11:\"views_label\";s:0:\"\";s:14:\"items_per_page\";s:4:\"none\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:9:\"/about-us\";s:6:\"negate\";b:0;s:15:\"context_mapping\";a:0:{}}}}',-1,1636011225.784,1,'','0'),('block.block.views_block__our_partners_block_1','a:12:{s:4:\"uuid\";s:36:\"d307cace-b623-42f4-a2b4-a94e054d16b3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:23:\"views.view.our_partners\";}s:6:\"module\";a:1:{i:0;s:5:\"views\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:2:\"id\";s:33:\"views_block__our_partners_block_1\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:11:\"panel_fifth\";s:6:\"weight\";i:-8;s:8:\"provider\";N;s:6:\"plugin\";s:32:\"views_block:our_partners-block_1\";s:8:\"settings\";a:6:{s:2:\"id\";s:32:\"views_block:our_partners-block_1\";s:5:\"label\";s:0:\"\";s:8:\"provider\";s:5:\"views\";s:13:\"label_display\";s:7:\"visible\";s:11:\"views_label\";s:0:\"\";s:14:\"items_per_page\";s:4:\"none\";}s:10:\"visibility\";a:0:{}}',-1,1636011225.784,1,'','0'),('block.block.views_block__our_services_block_1','a:13:{s:4:\"uuid\";s:36:\"2bf0dffb-1c03-4067-aaee-c5e303892373\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:23:\"views.view.our_services\";}s:6:\"module\";a:3:{i:0;s:11:\"block_class\";i:1;s:6:\"system\";i:2;s:5:\"views\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:0:\"\";}}s:2:\"id\";s:33:\"views_block__our_services_block_1\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:11:\"panel_third\";s:6:\"weight\";i:-19;s:8:\"provider\";N;s:6:\"plugin\";s:32:\"views_block:our_services-block_1\";s:8:\"settings\";a:6:{s:2:\"id\";s:32:\"views_block:our_services-block_1\";s:5:\"label\";s:0:\"\";s:8:\"provider\";s:5:\"views\";s:13:\"label_display\";s:7:\"visible\";s:11:\"views_label\";s:0:\"\";s:14:\"items_per_page\";s:4:\"none\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:9:\"/about-us\";s:6:\"negate\";b:0;s:15:\"context_mapping\";a:0:{}}}}',-1,1636011225.784,1,'','0'),('block.block.views_block__portfolio_block_1','a:13:{s:4:\"uuid\";s:36:\"e8a6ae54-70d7-434c-b7d6-b9d5fe9c8626\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:20:\"views.view.portfolio\";}s:6:\"module\";a:3:{i:0;s:11:\"block_class\";i:1;s:6:\"system\";i:2;s:5:\"views\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:0:\"\";}}s:2:\"id\";s:30:\"views_block__portfolio_block_1\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:11:\"panel_third\";s:6:\"weight\";i:-17;s:8:\"provider\";N;s:6:\"plugin\";s:29:\"views_block:portfolio-block_1\";s:8:\"settings\";a:6:{s:2:\"id\";s:29:\"views_block:portfolio-block_1\";s:5:\"label\";s:0:\"\";s:8:\"provider\";s:5:\"views\";s:13:\"label_display\";s:7:\"visible\";s:11:\"views_label\";s:0:\"\";s:14:\"items_per_page\";s:4:\"none\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:7:\"<front>\";s:6:\"negate\";b:0;s:15:\"context_mapping\";a:0:{}}}}',-1,1636011225.784,1,'','0'),('block.block.views_block__slideshow_block_1','a:13:{s:4:\"uuid\";s:36:\"74498e76-c24e-4da8-8c85-2d799f799dca\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:20:\"views.view.slideshow\";}s:6:\"module\";a:3:{i:0;s:11:\"block_class\";i:1;s:6:\"system\";i:2;s:5:\"views\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:0:\"\";}}s:2:\"id\";s:30:\"views_block__slideshow_block_1\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:9:\"slideshow\";s:6:\"weight\";i:-14;s:8:\"provider\";N;s:6:\"plugin\";s:29:\"views_block:slideshow-block_1\";s:8:\"settings\";a:6:{s:2:\"id\";s:29:\"views_block:slideshow-block_1\";s:5:\"label\";s:0:\"\";s:8:\"provider\";s:5:\"views\";s:13:\"label_display\";s:1:\"0\";s:11:\"views_label\";s:0:\"\";s:14:\"items_per_page\";s:4:\"none\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:7:\"<front>\";s:6:\"negate\";b:0;s:15:\"context_mapping\";a:0:{}}}}',-1,1636011225.784,1,'','0'),('block.block.views_block__tags_block_1','a:13:{s:4:\"uuid\";s:36:\"933d36c2-424e-47c9-b44f-63fc857c2fff\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:15:\"views.view.tags\";}s:6:\"module\";a:3:{i:0;s:11:\"block_class\";i:1;s:6:\"system\";i:2;s:5:\"views\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:0:\"\";}}s:2:\"id\";s:25:\"views_block__tags_block_1\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:13:\"sidebar_first\";s:6:\"weight\";i:-9;s:8:\"provider\";N;s:6:\"plugin\";s:24:\"views_block:tags-block_1\";s:8:\"settings\";a:6:{s:2:\"id\";s:24:\"views_block:tags-block_1\";s:5:\"label\";s:0:\"\";s:8:\"provider\";s:5:\"views\";s:13:\"label_display\";s:7:\"visible\";s:11:\"views_label\";s:0:\"\";s:14:\"items_per_page\";s:4:\"none\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:29:\"/blog/*\r\n/blog\r\n/blog_default\";s:6:\"negate\";b:0;s:15:\"context_mapping\";a:0:{}}}}',-1,1636011225.784,1,'','0'),('block.block.views_block__why_choose_us_block_1','a:13:{s:4:\"uuid\";s:36:\"acd97cc9-63d4-4ef0-9828-50c84366fd54\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:24:\"views.view.why_choose_us\";}s:6:\"module\";a:3:{i:0;s:11:\"block_class\";i:1;s:6:\"system\";i:2;s:5:\"views\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:0:\"\";}}s:2:\"id\";s:34:\"views_block__why_choose_us_block_1\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:11:\"panel_third\";s:6:\"weight\";i:-18;s:8:\"provider\";N;s:6:\"plugin\";s:33:\"views_block:why_choose_us-block_1\";s:8:\"settings\";a:6:{s:2:\"id\";s:33:\"views_block:why_choose_us-block_1\";s:5:\"label\";s:0:\"\";s:8:\"provider\";s:5:\"views\";s:13:\"label_display\";s:7:\"visible\";s:11:\"views_label\";s:0:\"\";s:14:\"items_per_page\";s:4:\"none\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:9:\"/about-us\";s:6:\"negate\";b:0;s:15:\"context_mapping\";a:0:{}}}}',-1,1636011225.784,1,'','0'),('block.block.views_block__why_choose_us_block_2','a:13:{s:4:\"uuid\";s:36:\"5fa90933-4a5a-4af5-9006-05fc186dddd4\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:24:\"views.view.why_choose_us\";}s:6:\"module\";a:3:{i:0;s:11:\"block_class\";i:1;s:6:\"system\";i:2;s:5:\"views\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:0:\"\";}}s:2:\"id\";s:34:\"views_block__why_choose_us_block_2\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:11:\"panel_third\";s:6:\"weight\";i:-20;s:8:\"provider\";N;s:6:\"plugin\";s:33:\"views_block:why_choose_us-block_2\";s:8:\"settings\";a:6:{s:2:\"id\";s:33:\"views_block:why_choose_us-block_2\";s:5:\"label\";s:0:\"\";s:8:\"provider\";s:5:\"views\";s:13:\"label_display\";s:7:\"visible\";s:11:\"views_label\";s:0:\"\";s:14:\"items_per_page\";s:4:\"none\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:9:\"/services\";s:6:\"negate\";b:0;s:15:\"context_mapping\";a:0:{}}}}',-1,1636011225.784,1,'','0'),('block_content.type.basic','a:9:{s:4:\"uuid\";s:36:\"77607f3b-980c-4cfa-9a24-5735ae708e46\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"zglzjmYxi0G0ag9MZ02y0LSJOdpWRwJxyP_OvFojFyo\";}s:2:\"id\";s:5:\"basic\";s:5:\"label\";s:11:\"Basic block\";s:8:\"revision\";i:0;s:11:\"description\";s:42:\"A basic block contains a title and a body.\";}',-1,1636011226.360,1,'','0'),('color.theme.classy','b:0;',-1,1636012251.431,1,'','0'),('color.theme.luxestate','b:0;',-1,1636012249.529,1,'','0'),('color.theme.seven','b:0;',-1,1636012333.368,1,'','0'),('color.theme.stable','b:0;',-1,1636012251.416,1,'','0'),('colorbox.settings','a:3:{s:6:\"custom\";a:17:{s:5:\"style\";s:7:\"default\";s:8:\"activate\";i:0;s:15:\"transition_type\";s:7:\"elastic\";s:16:\"transition_speed\";i:350;s:7:\"opacity\";d:0.85;s:12:\"text_current\";s:20:\"{current} of {total}\";s:13:\"text_previous\";s:7:\"« Prev\";s:9:\"text_next\";s:7:\"Next »\";s:10:\"text_close\";s:5:\"Close\";s:8:\"maxwidth\";s:3:\"98%\";s:9:\"maxheight\";s:3:\"98%\";s:12:\"initialwidth\";s:3:\"300\";s:13:\"initialheight\";s:3:\"250\";s:12:\"overlayclose\";b:1;s:5:\"fixed\";b:1;s:9:\"scrolling\";b:1;s:9:\"slideshow\";a:5:{s:9:\"slideshow\";i:0;s:4:\"auto\";b:1;s:5:\"speed\";i:2500;s:10:\"text_start\";s:15:\"start slideshow\";s:9:\"text_stop\";s:14:\"stop slideshow\";}}s:8:\"advanced\";a:6:{s:12:\"unique_token\";i:1;s:13:\"mobile_detect\";i:1;s:19:\"mobile_device_width\";s:5:\"480px\";s:12:\"caption_trim\";i:0;s:19:\"caption_trim_length\";i:75;s:16:\"compression_type\";s:8:\"minified\";}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"pGLVIx7btzLB_RbaJGrS9lLls2p8GixZdvheuN7QcjU\";}}',-1,1636012250.241,1,'','0'),('comment.type.comment','a:9:{s:4:\"uuid\";s:36:\"df90402f-7483-4652-8958-f2c2555f18b3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"bqZsN31T2n0UjcbyCpOPi9D2iO0sAOHR7FnEs9qMvaA\";}s:2:\"id\";s:7:\"comment\";s:5:\"label\";s:16:\"Default comments\";s:21:\"target_entity_type_id\";s:4:\"node\";s:11:\"description\";s:28:\"Allows commenting on content\";}',-1,1636011226.369,1,'','0'),('contact.form.feedback','a:12:{s:4:\"uuid\";s:36:\"2a769dee-6c36-492e-af95-2ded668b944a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"c4zaT5cyPxuTXI6JOWt3qRtMvICT9tHB6d9a5VG-CmQ\";}s:2:\"id\";s:8:\"feedback\";s:5:\"label\";s:16:\"Website feedback\";s:10:\"recipients\";a:1:{i:0;s:13:\"admin@lvh.com\";}s:5:\"reply\";s:0:\"\";s:6:\"weight\";i:0;s:7:\"message\";s:27:\"Your message has been sent.\";s:8:\"redirect\";s:0:\"\";}',-1,1636011226.377,1,'','0'),('contact.form.personal','a:12:{s:4:\"uuid\";s:36:\"0a89f02e-d2f8-4c7b-83f0-b78772c367ad\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"4w1vDIuPlVqNIiynysHZHU-9sBCpx5uiEIPlo4SW1tw\";}s:2:\"id\";s:8:\"personal\";s:5:\"label\";s:21:\"Personal contact form\";s:10:\"recipients\";a:0:{}s:5:\"reply\";s:0:\"\";s:6:\"weight\";i:0;s:7:\"message\";s:27:\"Your message has been sent.\";s:8:\"redirect\";s:0:\"\";}',-1,1636011226.377,1,'','0'),('contact.settings','a:4:{s:12:\"default_form\";s:8:\"feedback\";s:5:\"flood\";a:2:{s:5:\"limit\";i:5;s:8:\"interval\";i:3600;}s:20:\"user_default_enabled\";b:1;s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"U69DBeuvXuNVOC15rVNaBjDPK2fWFbo9v4takdYSSO8\";}}',-1,1637057251.217,1,'','0'),('core.base_field_override.block_content.basic.changed','a:16:{s:4:\"uuid\";s:36:\"0888b0af-dbb3-4b71-abaa-90394adaef39\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:24:\"block_content.type.basic\";}}s:2:\"id\";s:27:\"block_content.basic.changed\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";s:5:\"basic\";s:5:\"label\";s:7:\"Changed\";s:11:\"description\";s:47:\"The time that the custom block was last edited.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"changed\";}',-1,1636011226.940,1,'','0'),('core.base_field_override.block_content.basic.default_langcode','b:0;',-1,1636011226.940,1,'','0'),('core.base_field_override.block_content.basic.id','b:0;',-1,1636011226.940,1,'','0'),('core.base_field_override.block_content.basic.info','a:16:{s:4:\"uuid\";s:36:\"18bc6ab1-fdd2-4936-8aa5-e27b18bb0b02\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:24:\"block_content.type.basic\";}}s:2:\"id\";s:24:\"block_content.basic.info\";s:10:\"field_name\";s:4:\"info\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";s:5:\"basic\";s:5:\"label\";s:17:\"Block description\";s:11:\"description\";s:34:\"A brief description of your block.\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}',-1,1636011226.940,1,'','0'),('core.base_field_override.block_content.basic.langcode','b:0;',-1,1636011226.940,1,'','0'),('core.base_field_override.block_content.basic.reusable','b:0;',-1,1636011226.940,1,'','0'),('core.base_field_override.block_content.basic.revision_created','b:0;',-1,1636011226.940,1,'','0'),('core.base_field_override.block_content.basic.revision_default','b:0;',-1,1636011226.940,1,'','0'),('core.base_field_override.block_content.basic.revision_id','b:0;',-1,1636011226.940,1,'','0'),('core.base_field_override.block_content.basic.revision_log','b:0;',-1,1636011226.940,1,'','0'),('core.base_field_override.block_content.basic.revision_translation_affected','b:0;',-1,1636011226.940,1,'','0'),('core.base_field_override.block_content.basic.revision_user','b:0;',-1,1636011226.940,1,'','0'),('core.base_field_override.block_content.basic.status','b:0;',-1,1636011226.940,1,'','0'),('core.base_field_override.block_content.basic.type','b:0;',-1,1636011226.940,1,'','0'),('core.base_field_override.block_content.basic.uuid','b:0;',-1,1636011226.940,1,'','0'),('core.base_field_override.comment.comment.changed','a:16:{s:4:\"uuid\";s:36:\"998839ab-612e-4fea-8154-f1ea85492f8a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:20:\"comment.type.comment\";}}s:2:\"id\";s:23:\"comment.comment.changed\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:7:\"comment\";s:5:\"label\";s:7:\"Changed\";s:11:\"description\";s:42:\"The time that the comment was last edited.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"changed\";}',-1,1636011226.961,1,'','0'),('core.base_field_override.comment.comment.cid','b:0;',-1,1636011226.961,1,'','0'),('core.base_field_override.comment.comment.comment_type','b:0;',-1,1636011226.961,1,'','0'),('core.base_field_override.comment.comment.created','a:16:{s:4:\"uuid\";s:36:\"452b5a60-9b36-4c1b-969d-ca3ec80d8f05\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:20:\"comment.type.comment\";}}s:2:\"id\";s:23:\"comment.comment.created\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:7:\"comment\";s:5:\"label\";s:7:\"Created\";s:11:\"description\";s:38:\"The time that the comment was created.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"created\";}',-1,1636011226.961,1,'','0'),('core.base_field_override.comment.comment.default_langcode','b:0;',-1,1636011226.962,1,'','0'),('core.base_field_override.comment.comment.entity_id','b:0;',-1,1636011226.961,1,'','0'),('core.base_field_override.comment.comment.entity_type','b:0;',-1,1636011226.961,1,'','0'),('core.base_field_override.comment.comment.field_name','b:0;',-1,1636011226.961,1,'','0'),('core.base_field_override.comment.comment.homepage','a:16:{s:4:\"uuid\";s:36:\"26471f53-b64c-47c7-b472-3420407e1022\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:20:\"comment.type.comment\";}}s:2:\"id\";s:24:\"comment.comment.homepage\";s:10:\"field_name\";s:8:\"homepage\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:7:\"comment\";s:5:\"label\";s:8:\"Homepage\";s:11:\"description\";s:39:\"The comment author\'s home page address.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:3:\"uri\";}',-1,1636011226.961,1,'','0'),('core.base_field_override.comment.comment.hostname','a:16:{s:4:\"uuid\";s:36:\"470f6eb9-33d7-4dd5-a755-7a002ae82f36\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:20:\"comment.type.comment\";}}s:2:\"id\";s:24:\"comment.comment.hostname\";s:10:\"field_name\";s:8:\"hostname\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:7:\"comment\";s:5:\"label\";s:8:\"Hostname\";s:11:\"description\";s:30:\"The comment author\'s hostname.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}',-1,1636011226.961,1,'','0'),('core.base_field_override.comment.comment.langcode','b:0;',-1,1636011226.961,1,'','0'),('core.base_field_override.comment.comment.mail','a:16:{s:4:\"uuid\";s:36:\"8c5f47a9-627b-4cb5-b23e-b3959664f40b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:20:\"comment.type.comment\";}}s:2:\"id\";s:20:\"comment.comment.mail\";s:10:\"field_name\";s:4:\"mail\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:7:\"comment\";s:5:\"label\";s:5:\"Email\";s:11:\"description\";s:35:\"The comment author\'s email address.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:5:\"email\";}',-1,1636011226.961,1,'','0'),('core.base_field_override.comment.comment.name','a:16:{s:4:\"uuid\";s:36:\"5ad9bc80-cd2f-4631-90bc-a7e34096603a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:20:\"comment.type.comment\";}}s:2:\"id\";s:20:\"comment.comment.name\";s:10:\"field_name\";s:4:\"name\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:7:\"comment\";s:5:\"label\";s:4:\"Name\";s:11:\"description\";s:26:\"The comment author\'s name.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:0:\"\";}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}',-1,1636011226.961,1,'','0'),('core.base_field_override.comment.comment.pid','b:0;',-1,1636011226.961,1,'','0'),('core.base_field_override.comment.comment.status','a:16:{s:4:\"uuid\";s:36:\"9d25da66-fbf5-4c9f-9e8b-0497951dbdf1\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:20:\"comment.type.comment\";}}s:2:\"id\";s:22:\"comment.comment.status\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:7:\"comment\";s:5:\"label\";s:17:\"Publishing status\";s:11:\"description\";s:54:\"A boolean indicating whether the comment is published.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:1;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}',-1,1636011226.961,1,'','0'),('core.base_field_override.comment.comment.subject','a:16:{s:4:\"uuid\";s:36:\"5037bb2a-67ff-453c-b3d7-04434719a5bc\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:20:\"comment.type.comment\";}}s:2:\"id\";s:23:\"comment.comment.subject\";s:10:\"field_name\";s:7:\"subject\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:7:\"comment\";s:5:\"label\";s:7:\"Subject\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}',-1,1636011226.961,1,'','0'),('core.base_field_override.comment.comment.thread','b:0;',-1,1636011226.961,1,'','0'),('core.base_field_override.comment.comment.uid','a:16:{s:4:\"uuid\";s:36:\"56886831-90f5-4917-9d74-1b57755cfe84\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:20:\"comment.type.comment\";}}s:2:\"id\";s:19:\"comment.comment.uid\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:7:\"comment\";s:5:\"label\";s:7:\"User ID\";s:11:\"description\";s:34:\"The user ID of the comment author.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:9:\"target_id\";s:1:\"0\";}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}s:10:\"field_type\";s:16:\"entity_reference\";}',-1,1636011226.961,1,'','0'),('core.base_field_override.comment.comment.uuid','b:0;',-1,1636011226.961,1,'','0'),('core.base_field_override.contact_message.feedback.contact_form','b:0;',-1,1637057230.673,1,'','0'),('core.base_field_override.contact_message.feedback.copy','b:0;',-1,1637057230.673,1,'','0'),('core.base_field_override.contact_message.feedback.langcode','b:0;',-1,1637057230.673,1,'','0'),('core.base_field_override.contact_message.feedback.mail','b:0;',-1,1637057230.673,1,'','0'),('core.base_field_override.contact_message.feedback.message','b:0;',-1,1637057230.673,1,'','0'),('core.base_field_override.contact_message.feedback.name','b:0;',-1,1637057230.673,1,'','0'),('core.base_field_override.contact_message.feedback.recipient','b:0;',-1,1637057230.673,1,'','0'),('core.base_field_override.contact_message.feedback.subject','b:0;',-1,1637057230.673,1,'','0'),('core.base_field_override.contact_message.feedback.uuid','b:0;',-1,1637057230.673,1,'','0'),('core.base_field_override.contact_message.personal.contact_form','b:0;',-1,1637057230.682,1,'','0'),('core.base_field_override.contact_message.personal.copy','b:0;',-1,1637057230.682,1,'','0'),('core.base_field_override.contact_message.personal.langcode','b:0;',-1,1637057230.682,1,'','0'),('core.base_field_override.contact_message.personal.mail','b:0;',-1,1637057230.682,1,'','0'),('core.base_field_override.contact_message.personal.message','b:0;',-1,1637057230.682,1,'','0'),('core.base_field_override.contact_message.personal.name','b:0;',-1,1637057230.682,1,'','0'),('core.base_field_override.contact_message.personal.recipient','b:0;',-1,1637057230.682,1,'','0'),('core.base_field_override.contact_message.personal.subject','b:0;',-1,1637057230.682,1,'','0'),('core.base_field_override.contact_message.personal.uuid','b:0;',-1,1637057230.682,1,'','0'),('core.base_field_override.file.file.changed','b:0;',-1,1636012249.758,1,'','0'),('core.base_field_override.file.file.created','b:0;',-1,1636012249.758,1,'','0'),('core.base_field_override.file.file.fid','b:0;',-1,1636012249.758,1,'','0'),('core.base_field_override.file.file.filemime','b:0;',-1,1636012249.758,1,'','0'),('core.base_field_override.file.file.filename','b:0;',-1,1636012249.758,1,'','0'),('core.base_field_override.file.file.filesize','b:0;',-1,1636012249.758,1,'','0'),('core.base_field_override.file.file.langcode','b:0;',-1,1636012249.758,1,'','0'),('core.base_field_override.file.file.status','b:0;',-1,1636012249.758,1,'','0'),('core.base_field_override.file.file.uid','b:0;',-1,1636012249.758,1,'','0'),('core.base_field_override.file.file.uri','b:0;',-1,1636012249.758,1,'','0'),('core.base_field_override.file.file.uuid','b:0;',-1,1636012249.758,1,'','0'),('core.base_field_override.menu_link_content.menu_link_content.bundle','b:0;',-1,1636011228.215,1,'','0'),('core.base_field_override.menu_link_content.menu_link_content.changed','a:16:{s:4:\"uuid\";s:36:\"be96a82e-4241-478e-8c65-7c7051a3e35f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"menu_link_content\";}}s:2:\"id\";s:43:\"menu_link_content.menu_link_content.changed\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";s:17:\"menu_link_content\";s:5:\"label\";s:7:\"Changed\";s:11:\"description\";s:44:\"The time that the menu link was last edited.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"changed\";}',-1,1636011228.215,1,'','0'),('core.base_field_override.menu_link_content.menu_link_content.default_langcode','b:0;',-1,1636011228.215,1,'','0'),('core.base_field_override.menu_link_content.menu_link_content.description','a:16:{s:4:\"uuid\";s:36:\"3b2dc857-4d58-4731-8643-9154cde95748\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"menu_link_content\";}}s:2:\"id\";s:47:\"menu_link_content.menu_link_content.description\";s:10:\"field_name\";s:11:\"description\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";s:17:\"menu_link_content\";s:5:\"label\";s:11:\"Description\";s:11:\"description\";s:39:\"Shown when hovering over the menu link.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}',-1,1636011228.215,1,'','0'),('core.base_field_override.menu_link_content.menu_link_content.enabled','b:0;',-1,1636011228.215,1,'','0'),('core.base_field_override.menu_link_content.menu_link_content.expanded','b:0;',-1,1636011228.215,1,'','0'),('core.base_field_override.menu_link_content.menu_link_content.external','b:0;',-1,1636011228.215,1,'','0'),('core.base_field_override.menu_link_content.menu_link_content.id','b:0;',-1,1636011228.215,1,'','0'),('core.base_field_override.menu_link_content.menu_link_content.langcode','b:0;',-1,1636011228.215,1,'','0'),('core.base_field_override.menu_link_content.menu_link_content.link','b:0;',-1,1636011228.215,1,'','0'),('core.base_field_override.menu_link_content.menu_link_content.menu_name','b:0;',-1,1636011228.215,1,'','0'),('core.base_field_override.menu_link_content.menu_link_content.parent','b:0;',-1,1636011228.215,1,'','0'),('core.base_field_override.menu_link_content.menu_link_content.rediscover','b:0;',-1,1636011228.215,1,'','0'),('core.base_field_override.menu_link_content.menu_link_content.revision_created','b:0;',-1,1636011228.215,1,'','0'),('core.base_field_override.menu_link_content.menu_link_content.revision_default','b:0;',-1,1636011228.215,1,'','0'),('core.base_field_override.menu_link_content.menu_link_content.revision_id','b:0;',-1,1636011228.215,1,'','0'),('core.base_field_override.menu_link_content.menu_link_content.revision_log_message','b:0;',-1,1636011228.215,1,'','0'),('core.base_field_override.menu_link_content.menu_link_content.revision_translation_affected','b:0;',-1,1636011228.215,1,'','0'),('core.base_field_override.menu_link_content.menu_link_content.revision_user','b:0;',-1,1636011228.215,1,'','0'),('core.base_field_override.menu_link_content.menu_link_content.title','a:16:{s:4:\"uuid\";s:36:\"72d3717c-caa5-4c4d-a4cc-4561fcace5b2\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"menu_link_content\";}}s:2:\"id\";s:41:\"menu_link_content.menu_link_content.title\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";s:17:\"menu_link_content\";s:5:\"label\";s:15:\"Menu link title\";s:11:\"description\";s:46:\"The text to be used for this link in the menu.\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}',-1,1636011228.215,1,'','0'),('core.base_field_override.menu_link_content.menu_link_content.uuid','b:0;',-1,1636011228.215,1,'','0'),('core.base_field_override.menu_link_content.menu_link_content.weight','b:0;',-1,1636011228.215,1,'','0'),('core.base_field_override.node.article.changed','b:0;',-1,1636011227.081,1,'','0'),('core.base_field_override.node.article.content_translation_outdated','b:0;',-1,1636011227.081,1,'','0'),('core.base_field_override.node.article.content_translation_source','b:0;',-1,1636011227.081,1,'','0'),('core.base_field_override.node.article.created','b:0;',-1,1636011227.081,1,'','0'),('core.base_field_override.node.article.default_langcode','b:0;',-1,1636011227.081,1,'','0'),('core.base_field_override.node.article.langcode','b:0;',-1,1636011227.081,1,'','0'),('core.base_field_override.node.article.menu_link','b:0;',-1,1636011227.081,1,'','0'),('core.base_field_override.node.article.mymodule_text','b:0;',-1,1636011227.081,1,'','0'),('core.base_field_override.node.article.nid','b:0;',-1,1636011227.081,1,'','0'),('core.base_field_override.node.article.node_class','b:0;',-1,1636011227.081,1,'','0'),('core.base_field_override.node.article.path','b:0;',-1,1636011227.081,1,'','0'),('core.base_field_override.node.article.promote','b:0;',-1,1636011227.081,1,'','0'),('core.base_field_override.node.article.revision_default','b:0;',-1,1636011227.081,1,'','0'),('core.base_field_override.node.article.revision_log','b:0;',-1,1636011227.081,1,'','0'),('core.base_field_override.node.article.revision_timestamp','b:0;',-1,1636011227.081,1,'','0'),('core.base_field_override.node.article.revision_translation_affected','b:0;',-1,1636011227.081,1,'','0'),('core.base_field_override.node.article.revision_uid','b:0;',-1,1636011227.081,1,'','0'),('core.base_field_override.node.article.status','b:0;',-1,1636011227.081,1,'','0'),('core.base_field_override.node.article.sticky','b:0;',-1,1636011227.081,1,'','0'),('core.base_field_override.node.article.title','b:0;',-1,1636011227.081,1,'','0'),('core.base_field_override.node.article.type','b:0;',-1,1636011227.081,1,'','0'),('core.base_field_override.node.article.uid','b:0;',-1,1636011227.081,1,'','0'),('core.base_field_override.node.article.uuid','b:0;',-1,1636011227.081,1,'','0'),('core.base_field_override.node.article.vid','b:0;',-1,1636011227.081,1,'','0'),('core.base_field_override.node.banner.changed','a:16:{s:4:\"uuid\";s:36:\"7b729932-c723-44eb-badd-753875f0c626\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:16:\"node.type.banner\";}}s:2:\"id\";s:19:\"node.banner.changed\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:6:\"banner\";s:5:\"label\";s:7:\"Changed\";s:11:\"description\";s:39:\"The time that the node was last edited.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"changed\";}',-1,1636011227.098,1,'','0'),('core.base_field_override.node.banner.content_translation_outdated','b:0;',-1,1636011227.098,1,'','0'),('core.base_field_override.node.banner.content_translation_source','b:0;',-1,1636011227.098,1,'','0'),('core.base_field_override.node.banner.created','a:16:{s:4:\"uuid\";s:36:\"20d9bf7f-bba7-47ac-9ac5-55474739d526\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:16:\"node.type.banner\";}}s:2:\"id\";s:19:\"node.banner.created\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:6:\"banner\";s:5:\"label\";s:11:\"Authored on\";s:11:\"description\";s:35:\"The time that the node was created.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"created\";}',-1,1636011227.098,1,'','0'),('core.base_field_override.node.banner.default_langcode','b:0;',-1,1636011227.098,1,'','0'),('core.base_field_override.node.banner.langcode','b:0;',-1,1636011227.098,1,'','0'),('core.base_field_override.node.banner.menu_link','b:0;',-1,1636011227.098,1,'','0'),('core.base_field_override.node.banner.mymodule_text','b:0;',-1,1636011227.098,1,'','0'),('core.base_field_override.node.banner.nid','b:0;',-1,1636011227.098,1,'','0'),('core.base_field_override.node.banner.node_class','b:0;',-1,1636011227.098,1,'','0'),('core.base_field_override.node.banner.path','b:0;',-1,1636011227.098,1,'','0'),('core.base_field_override.node.banner.promote','a:16:{s:4:\"uuid\";s:36:\"98ba52dc-faf3-4775-b80c-f6f50b94fdb7\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:16:\"node.type.banner\";}}s:2:\"id\";s:19:\"node.banner.promote\";s:10:\"field_name\";s:7:\"promote\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:6:\"banner\";s:5:\"label\";s:22:\"Promoted to front page\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}',-1,1636011227.098,1,'','0'),('core.base_field_override.node.banner.revision_default','b:0;',-1,1636011227.098,1,'','0'),('core.base_field_override.node.banner.revision_log','b:0;',-1,1636011227.098,1,'','0'),('core.base_field_override.node.banner.revision_timestamp','b:0;',-1,1636011227.098,1,'','0'),('core.base_field_override.node.banner.revision_translation_affected','b:0;',-1,1636011227.098,1,'','0'),('core.base_field_override.node.banner.revision_uid','b:0;',-1,1636011227.098,1,'','0'),('core.base_field_override.node.banner.status','a:16:{s:4:\"uuid\";s:36:\"03df651f-1fc3-40c9-8281-10b78dcb759b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:16:\"node.type.banner\";}}s:2:\"id\";s:18:\"node.banner.status\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:6:\"banner\";s:5:\"label\";s:17:\"Publishing status\";s:11:\"description\";s:51:\"A boolean indicating whether the node is published.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:1;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}',-1,1636011227.098,1,'','0'),('core.base_field_override.node.banner.sticky','a:16:{s:4:\"uuid\";s:36:\"993f418a-f71d-48cf-b4c3-f43e7796eb7b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:16:\"node.type.banner\";}}s:2:\"id\";s:18:\"node.banner.sticky\";s:10:\"field_name\";s:6:\"sticky\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:6:\"banner\";s:5:\"label\";s:22:\"Sticky at top of lists\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}',-1,1636011227.098,1,'','0'),('core.base_field_override.node.banner.title','a:16:{s:4:\"uuid\";s:36:\"bd27b94b-ae12-4cf4-90f8-b3df3d5a99e1\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:16:\"node.type.banner\";}}s:2:\"id\";s:17:\"node.banner.title\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:6:\"banner\";s:5:\"label\";s:5:\"Title\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}',-1,1636011227.098,1,'','0'),('core.base_field_override.node.banner.type','b:0;',-1,1636011227.098,1,'','0'),('core.base_field_override.node.banner.uid','a:16:{s:4:\"uuid\";s:36:\"88fbb663-a777-4ac7-b6a1-2a95c007e5a5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:16:\"node.type.banner\";}}s:2:\"id\";s:15:\"node.banner.uid\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:6:\"banner\";s:5:\"label\";s:11:\"Authored by\";s:11:\"description\";s:35:\"The username of the content author.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:41:\"Drupal\\node\\Entity\\Node::getCurrentUserId\";s:8:\"settings\";a:2:{s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}s:10:\"field_type\";s:16:\"entity_reference\";}',-1,1636011227.098,1,'','0'),('core.base_field_override.node.banner.uuid','b:0;',-1,1636011227.098,1,'','0'),('core.base_field_override.node.banner.vid','b:0;',-1,1636011227.098,1,'','0'),('core.base_field_override.node.blog.changed','a:16:{s:4:\"uuid\";s:36:\"a67e5619-a7de-4ef2-898e-70b8359f01a8\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.blog\";}}s:2:\"id\";s:17:\"node.blog.changed\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"blog\";s:5:\"label\";s:7:\"Changed\";s:11:\"description\";s:39:\"The time that the node was last edited.\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"changed\";}',-1,1636011227.120,1,'','0'),('core.base_field_override.node.blog.content_translation_outdated','b:0;',-1,1636011227.120,1,'','0'),('core.base_field_override.node.blog.content_translation_source','b:0;',-1,1636011227.120,1,'','0'),('core.base_field_override.node.blog.created','a:16:{s:4:\"uuid\";s:36:\"5e4a4be8-3a2b-4023-8ff1-ccec77207856\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.blog\";}}s:2:\"id\";s:17:\"node.blog.created\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"blog\";s:5:\"label\";s:11:\"Authored on\";s:11:\"description\";s:35:\"The time that the node was created.\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"created\";}',-1,1636011227.120,1,'','0'),('core.base_field_override.node.blog.default_langcode','b:0;',-1,1636011227.120,1,'','0'),('core.base_field_override.node.blog.langcode','b:0;',-1,1636011227.120,1,'','0'),('core.base_field_override.node.blog.menu_link','b:0;',-1,1636011227.120,1,'','0'),('core.base_field_override.node.blog.mymodule_text','b:0;',-1,1636011227.120,1,'','0'),('core.base_field_override.node.blog.nid','b:0;',-1,1636011227.120,1,'','0'),('core.base_field_override.node.blog.node_class','b:0;',-1,1636011227.120,1,'','0'),('core.base_field_override.node.blog.path','b:0;',-1,1636011227.120,1,'','0'),('core.base_field_override.node.blog.promote','a:16:{s:4:\"uuid\";s:36:\"94a806fc-d0c2-4b13-afc8-e43b7bda082b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.blog\";}}s:2:\"id\";s:17:\"node.blog.promote\";s:10:\"field_name\";s:7:\"promote\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"blog\";s:5:\"label\";s:22:\"Promoted to front page\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}',-1,1636011227.120,1,'','0'),('core.base_field_override.node.blog.revision_default','b:0;',-1,1636011227.120,1,'','0'),('core.base_field_override.node.blog.revision_log','b:0;',-1,1636011227.120,1,'','0'),('core.base_field_override.node.blog.revision_timestamp','b:0;',-1,1636011227.120,1,'','0'),('core.base_field_override.node.blog.revision_translation_affected','b:0;',-1,1636011227.120,1,'','0'),('core.base_field_override.node.blog.revision_uid','b:0;',-1,1636011227.120,1,'','0'),('core.base_field_override.node.blog.status','a:16:{s:4:\"uuid\";s:36:\"c6327e7a-dc6e-46ec-952f-1b9efe453cac\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.blog\";}}s:2:\"id\";s:16:\"node.blog.status\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"blog\";s:5:\"label\";s:17:\"Publishing status\";s:11:\"description\";s:51:\"A boolean indicating whether the node is published.\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:1;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}',-1,1636011227.120,1,'','0'),('core.base_field_override.node.blog.sticky','a:16:{s:4:\"uuid\";s:36:\"4b8de43f-a246-46cc-86a8-d32b187bfb75\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.blog\";}}s:2:\"id\";s:16:\"node.blog.sticky\";s:10:\"field_name\";s:6:\"sticky\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"blog\";s:5:\"label\";s:22:\"Sticky at top of lists\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}',-1,1636011227.120,1,'','0'),('core.base_field_override.node.blog.title','a:16:{s:4:\"uuid\";s:36:\"a44832a3-1c61-499d-809f-36628b926d57\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.blog\";}}s:2:\"id\";s:15:\"node.blog.title\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"blog\";s:5:\"label\";s:5:\"Title\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:1;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}',-1,1636011227.120,1,'','0'),('core.base_field_override.node.blog.type','b:0;',-1,1636011227.120,1,'','0'),('core.base_field_override.node.blog.uid','a:16:{s:4:\"uuid\";s:36:\"aee566d9-3688-4510-bfe7-373fd364993b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.blog\";}}s:2:\"id\";s:13:\"node.blog.uid\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"blog\";s:5:\"label\";s:11:\"Authored by\";s:11:\"description\";s:35:\"The username of the content author.\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:41:\"Drupal\\node\\Entity\\Node::getCurrentUserId\";s:8:\"settings\";a:2:{s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}s:10:\"field_type\";s:16:\"entity_reference\";}',-1,1636011227.120,1,'','0'),('core.base_field_override.node.blog.uuid','b:0;',-1,1636011227.120,1,'','0'),('core.base_field_override.node.blog.vid','b:0;',-1,1636011227.120,1,'','0'),('core.base_field_override.node.our_mission.changed','a:16:{s:4:\"uuid\";s:36:\"f3806e33-b7fe-4011-bc41-f59a39be0252\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:21:\"node.type.our_mission\";}}s:2:\"id\";s:24:\"node.our_mission.changed\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:11:\"our_mission\";s:5:\"label\";s:7:\"Changed\";s:11:\"description\";s:39:\"The time that the node was last edited.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"changed\";}',-1,1636011227.149,1,'','0'),('core.base_field_override.node.our_mission.content_translation_outdated','b:0;',-1,1636011227.149,1,'','0'),('core.base_field_override.node.our_mission.content_translation_source','b:0;',-1,1636011227.149,1,'','0'),('core.base_field_override.node.our_mission.created','a:16:{s:4:\"uuid\";s:36:\"eb1914e0-af7f-415a-b962-0f332bb2e4fe\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:21:\"node.type.our_mission\";}}s:2:\"id\";s:24:\"node.our_mission.created\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:11:\"our_mission\";s:5:\"label\";s:11:\"Authored on\";s:11:\"description\";s:35:\"The time that the node was created.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"created\";}',-1,1636011227.149,1,'','0'),('core.base_field_override.node.our_mission.default_langcode','b:0;',-1,1636011227.149,1,'','0'),('core.base_field_override.node.our_mission.langcode','b:0;',-1,1636011227.149,1,'','0'),('core.base_field_override.node.our_mission.menu_link','b:0;',-1,1636011227.149,1,'','0'),('core.base_field_override.node.our_mission.mymodule_text','b:0;',-1,1636011227.149,1,'','0'),('core.base_field_override.node.our_mission.nid','b:0;',-1,1636011227.149,1,'','0'),('core.base_field_override.node.our_mission.node_class','b:0;',-1,1636011227.149,1,'','0'),('core.base_field_override.node.our_mission.path','b:0;',-1,1636011227.149,1,'','0'),('core.base_field_override.node.our_mission.promote','a:16:{s:4:\"uuid\";s:36:\"6447bdd5-518b-4163-896e-503fbd73dda9\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:21:\"node.type.our_mission\";}}s:2:\"id\";s:24:\"node.our_mission.promote\";s:10:\"field_name\";s:7:\"promote\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:11:\"our_mission\";s:5:\"label\";s:22:\"Promoted to front page\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}',-1,1636011227.149,1,'','0'),('core.base_field_override.node.our_mission.revision_default','b:0;',-1,1636011227.149,1,'','0'),('core.base_field_override.node.our_mission.revision_log','b:0;',-1,1636011227.149,1,'','0'),('core.base_field_override.node.our_mission.revision_timestamp','b:0;',-1,1636011227.149,1,'','0'),('core.base_field_override.node.our_mission.revision_translation_affected','b:0;',-1,1636011227.149,1,'','0'),('core.base_field_override.node.our_mission.revision_uid','b:0;',-1,1636011227.149,1,'','0'),('core.base_field_override.node.our_mission.status','a:16:{s:4:\"uuid\";s:36:\"820324ae-317e-45a1-ab2b-d9f1556549b3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:21:\"node.type.our_mission\";}}s:2:\"id\";s:23:\"node.our_mission.status\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:11:\"our_mission\";s:5:\"label\";s:17:\"Publishing status\";s:11:\"description\";s:51:\"A boolean indicating whether the node is published.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:1;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}',-1,1636011227.149,1,'','0'),('core.base_field_override.node.our_mission.sticky','a:16:{s:4:\"uuid\";s:36:\"83f2334e-4108-437e-81ac-702049da7a59\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:21:\"node.type.our_mission\";}}s:2:\"id\";s:23:\"node.our_mission.sticky\";s:10:\"field_name\";s:6:\"sticky\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:11:\"our_mission\";s:5:\"label\";s:22:\"Sticky at top of lists\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}',-1,1636011227.149,1,'','0'),('core.base_field_override.node.our_mission.title','a:16:{s:4:\"uuid\";s:36:\"2aaf4966-7f64-43b4-a9b2-c251869c5773\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:21:\"node.type.our_mission\";}}s:2:\"id\";s:22:\"node.our_mission.title\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:11:\"our_mission\";s:5:\"label\";s:5:\"Title\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}',-1,1636011227.149,1,'','0'),('core.base_field_override.node.our_mission.type','b:0;',-1,1636011227.149,1,'','0'),('core.base_field_override.node.our_mission.uid','a:16:{s:4:\"uuid\";s:36:\"e037941a-1e3e-43bd-a2aa-a99136df4a72\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:21:\"node.type.our_mission\";}}s:2:\"id\";s:20:\"node.our_mission.uid\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:11:\"our_mission\";s:5:\"label\";s:11:\"Authored by\";s:11:\"description\";s:35:\"The username of the content author.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:41:\"Drupal\\node\\Entity\\Node::getCurrentUserId\";s:8:\"settings\";a:2:{s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}s:10:\"field_type\";s:16:\"entity_reference\";}',-1,1636011227.149,1,'','0'),('core.base_field_override.node.our_mission.uuid','b:0;',-1,1636011227.149,1,'','0'),('core.base_field_override.node.our_mission.vid','b:0;',-1,1636011227.149,1,'','0'),('core.base_field_override.node.our_services.changed','a:16:{s:4:\"uuid\";s:36:\"09c8cb9e-3d03-44ab-9c07-584fe0b7617d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:22:\"node.type.our_services\";}}s:2:\"id\";s:25:\"node.our_services.changed\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:12:\"our_services\";s:5:\"label\";s:7:\"Changed\";s:11:\"description\";s:39:\"The time that the node was last edited.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"changed\";}',-1,1636011227.180,1,'','0'),('core.base_field_override.node.our_services.content_translation_outdated','b:0;',-1,1636011227.180,1,'','0'),('core.base_field_override.node.our_services.content_translation_source','b:0;',-1,1636011227.180,1,'','0'),('core.base_field_override.node.our_services.created','a:16:{s:4:\"uuid\";s:36:\"512cce3f-52d0-4937-958d-b06316a71941\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:22:\"node.type.our_services\";}}s:2:\"id\";s:25:\"node.our_services.created\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:12:\"our_services\";s:5:\"label\";s:11:\"Authored on\";s:11:\"description\";s:35:\"The time that the node was created.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"created\";}',-1,1636011227.180,1,'','0'),('core.base_field_override.node.our_services.default_langcode','b:0;',-1,1636011227.180,1,'','0'),('core.base_field_override.node.our_services.langcode','b:0;',-1,1636011227.180,1,'','0'),('core.base_field_override.node.our_services.menu_link','b:0;',-1,1636011227.180,1,'','0'),('core.base_field_override.node.our_services.mymodule_text','b:0;',-1,1636011227.180,1,'','0'),('core.base_field_override.node.our_services.nid','b:0;',-1,1636011227.180,1,'','0'),('core.base_field_override.node.our_services.node_class','b:0;',-1,1636011227.180,1,'','0'),('core.base_field_override.node.our_services.path','b:0;',-1,1636011227.180,1,'','0'),('core.base_field_override.node.our_services.promote','a:16:{s:4:\"uuid\";s:36:\"1892cc9a-a91d-484e-adfd-17c7b1993b6a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:22:\"node.type.our_services\";}}s:2:\"id\";s:25:\"node.our_services.promote\";s:10:\"field_name\";s:7:\"promote\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:12:\"our_services\";s:5:\"label\";s:22:\"Promoted to front page\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}',-1,1636011227.180,1,'','0'),('core.base_field_override.node.our_services.revision_default','b:0;',-1,1636011227.180,1,'','0'),('core.base_field_override.node.our_services.revision_log','b:0;',-1,1636011227.180,1,'','0'),('core.base_field_override.node.our_services.revision_timestamp','b:0;',-1,1636011227.180,1,'','0'),('core.base_field_override.node.our_services.revision_translation_affected','b:0;',-1,1636011227.180,1,'','0'),('core.base_field_override.node.our_services.revision_uid','b:0;',-1,1636011227.180,1,'','0'),('core.base_field_override.node.our_services.status','a:16:{s:4:\"uuid\";s:36:\"a396116f-1305-4222-b6be-7524cba2aa07\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:22:\"node.type.our_services\";}}s:2:\"id\";s:24:\"node.our_services.status\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:12:\"our_services\";s:5:\"label\";s:17:\"Publishing status\";s:11:\"description\";s:51:\"A boolean indicating whether the node is published.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:1;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}',-1,1636011227.180,1,'','0'),('core.base_field_override.node.our_services.sticky','a:16:{s:4:\"uuid\";s:36:\"144dc4e1-f407-4aeb-af22-a7cb792f7a4f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:22:\"node.type.our_services\";}}s:2:\"id\";s:24:\"node.our_services.sticky\";s:10:\"field_name\";s:6:\"sticky\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:12:\"our_services\";s:5:\"label\";s:22:\"Sticky at top of lists\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}',-1,1636011227.180,1,'','0'),('core.base_field_override.node.our_services.title','a:16:{s:4:\"uuid\";s:36:\"5e24793b-e933-46cc-93f5-83b7d9b9c554\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:22:\"node.type.our_services\";}}s:2:\"id\";s:23:\"node.our_services.title\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:12:\"our_services\";s:5:\"label\";s:5:\"Title\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}',-1,1636011227.180,1,'','0'),('core.base_field_override.node.our_services.type','b:0;',-1,1636011227.180,1,'','0'),('core.base_field_override.node.our_services.uid','a:16:{s:4:\"uuid\";s:36:\"95dae5b0-d6fe-4444-96a2-84243b5c6300\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:22:\"node.type.our_services\";}}s:2:\"id\";s:21:\"node.our_services.uid\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:12:\"our_services\";s:5:\"label\";s:11:\"Authored by\";s:11:\"description\";s:35:\"The username of the content author.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:41:\"Drupal\\node\\Entity\\Node::getCurrentUserId\";s:8:\"settings\";a:2:{s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}s:10:\"field_type\";s:16:\"entity_reference\";}',-1,1636011227.180,1,'','0'),('core.base_field_override.node.our_services.uuid','b:0;',-1,1636011227.180,1,'','0'),('core.base_field_override.node.our_services.vid','b:0;',-1,1636011227.180,1,'','0'),('core.base_field_override.node.page.changed','a:16:{s:4:\"uuid\";s:36:\"ff00964f-4802-4583-b887-0c4924be50e0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}}s:2:\"id\";s:17:\"node.page.changed\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"page\";s:5:\"label\";s:7:\"Changed\";s:11:\"description\";s:39:\"The time that the node was last edited.\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"changed\";}',-1,1636011227.210,1,'','0'),('core.base_field_override.node.page.content_translation_outdated','b:0;',-1,1636011227.210,1,'','0'),('core.base_field_override.node.page.content_translation_source','b:0;',-1,1636011227.210,1,'','0'),('core.base_field_override.node.page.created','a:16:{s:4:\"uuid\";s:36:\"d7f0ea97-0b7a-44ac-8963-754b00c381ee\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}}s:2:\"id\";s:17:\"node.page.created\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"page\";s:5:\"label\";s:11:\"Authored on\";s:11:\"description\";s:35:\"The time that the node was created.\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"created\";}',-1,1636011227.210,1,'','0'),('core.base_field_override.node.page.default_langcode','b:0;',-1,1636011227.210,1,'','0'),('core.base_field_override.node.page.langcode','b:0;',-1,1636011227.210,1,'','0'),('core.base_field_override.node.page.menu_link','b:0;',-1,1636011227.210,1,'','0'),('core.base_field_override.node.page.mymodule_text','b:0;',-1,1636011227.210,1,'','0'),('core.base_field_override.node.page.nid','b:0;',-1,1636011227.210,1,'','0'),('core.base_field_override.node.page.node_class','b:0;',-1,1636011227.210,1,'','0'),('core.base_field_override.node.page.path','b:0;',-1,1636011227.210,1,'','0'),('core.base_field_override.node.page.promote','a:17:{s:4:\"uuid\";s:36:\"df5d2528-7fff-4e75-b489-d98f3417fced\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"fPUEnm4T5zfZRr3ttDUqq7yCDd2uW3clWD-pvos4tlQ\";}s:2:\"id\";s:17:\"node.page.promote\";s:10:\"field_name\";s:7:\"promote\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"page\";s:5:\"label\";s:22:\"Promoted to front page\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}',-1,1636011227.210,1,'','0'),('core.base_field_override.node.page.revision_default','b:0;',-1,1636011227.210,1,'','0'),('core.base_field_override.node.page.revision_log','b:0;',-1,1636011227.210,1,'','0'),('core.base_field_override.node.page.revision_timestamp','b:0;',-1,1636011227.210,1,'','0'),('core.base_field_override.node.page.revision_translation_affected','b:0;',-1,1636011227.210,1,'','0'),('core.base_field_override.node.page.revision_uid','b:0;',-1,1636011227.210,1,'','0'),('core.base_field_override.node.page.status','a:16:{s:4:\"uuid\";s:36:\"d3ae6269-253d-43cf-8b3a-ced54dd4d946\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}}s:2:\"id\";s:16:\"node.page.status\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"page\";s:5:\"label\";s:17:\"Publishing status\";s:11:\"description\";s:51:\"A boolean indicating whether the node is published.\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:1;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}',-1,1636011227.210,1,'','0'),('core.base_field_override.node.page.sticky','a:16:{s:4:\"uuid\";s:36:\"a8d5bea5-4d19-456b-857e-462a23ec7357\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}}s:2:\"id\";s:16:\"node.page.sticky\";s:10:\"field_name\";s:6:\"sticky\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"page\";s:5:\"label\";s:22:\"Sticky at top of lists\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}',-1,1636011227.210,1,'','0'),('core.base_field_override.node.page.title','a:16:{s:4:\"uuid\";s:36:\"494bf3f7-0fc0-490e-9889-ed23d9ce2f84\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}}s:2:\"id\";s:15:\"node.page.title\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"page\";s:5:\"label\";s:5:\"Title\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:1;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}',-1,1636011227.210,1,'','0'),('core.base_field_override.node.page.type','b:0;',-1,1636011227.210,1,'','0'),('core.base_field_override.node.page.uid','a:16:{s:4:\"uuid\";s:36:\"9dfefbb4-e0c9-4afe-bdb3-4c082847d856\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}}s:2:\"id\";s:13:\"node.page.uid\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"page\";s:5:\"label\";s:11:\"Authored by\";s:11:\"description\";s:35:\"The username of the content author.\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:41:\"Drupal\\node\\Entity\\Node::getCurrentUserId\";s:8:\"settings\";a:2:{s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}s:10:\"field_type\";s:16:\"entity_reference\";}',-1,1636011227.210,1,'','0'),('core.base_field_override.node.page.uuid','b:0;',-1,1636011227.210,1,'','0'),('core.base_field_override.node.page.vid','b:0;',-1,1636011227.210,1,'','0'),('core.base_field_override.node.partners.changed','a:16:{s:4:\"uuid\";s:36:\"5a091269-d0bf-4ebd-8657-cefb8b598a35\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:18:\"node.type.partners\";}}s:2:\"id\";s:21:\"node.partners.changed\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:8:\"partners\";s:5:\"label\";s:7:\"Changed\";s:11:\"description\";s:39:\"The time that the node was last edited.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"changed\";}',-1,1636011227.233,1,'','0'),('core.base_field_override.node.partners.content_translation_outdated','b:0;',-1,1636011227.233,1,'','0'),('core.base_field_override.node.partners.content_translation_source','b:0;',-1,1636011227.233,1,'','0'),('core.base_field_override.node.partners.created','a:16:{s:4:\"uuid\";s:36:\"4719b7ba-5e2c-44bd-94bc-1906043dc38b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:18:\"node.type.partners\";}}s:2:\"id\";s:21:\"node.partners.created\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:8:\"partners\";s:5:\"label\";s:11:\"Authored on\";s:11:\"description\";s:35:\"The time that the node was created.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"created\";}',-1,1636011227.233,1,'','0'),('core.base_field_override.node.partners.default_langcode','b:0;',-1,1636011227.233,1,'','0'),('core.base_field_override.node.partners.langcode','b:0;',-1,1636011227.233,1,'','0'),('core.base_field_override.node.partners.menu_link','b:0;',-1,1636011227.233,1,'','0'),('core.base_field_override.node.partners.mymodule_text','b:0;',-1,1636011227.233,1,'','0'),('core.base_field_override.node.partners.nid','b:0;',-1,1636011227.233,1,'','0'),('core.base_field_override.node.partners.node_class','b:0;',-1,1636011227.233,1,'','0'),('core.base_field_override.node.partners.path','b:0;',-1,1636011227.233,1,'','0'),('core.base_field_override.node.partners.promote','a:16:{s:4:\"uuid\";s:36:\"d051456e-ffc7-4ed6-ba3d-c438daa34819\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:18:\"node.type.partners\";}}s:2:\"id\";s:21:\"node.partners.promote\";s:10:\"field_name\";s:7:\"promote\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:8:\"partners\";s:5:\"label\";s:22:\"Promoted to front page\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}',-1,1636011227.233,1,'','0'),('core.base_field_override.node.partners.revision_default','b:0;',-1,1636011227.233,1,'','0'),('core.base_field_override.node.partners.revision_log','b:0;',-1,1636011227.233,1,'','0'),('core.base_field_override.node.partners.revision_timestamp','b:0;',-1,1636011227.233,1,'','0'),('core.base_field_override.node.partners.revision_translation_affected','b:0;',-1,1636011227.233,1,'','0'),('core.base_field_override.node.partners.revision_uid','b:0;',-1,1636011227.233,1,'','0'),('core.base_field_override.node.partners.status','a:16:{s:4:\"uuid\";s:36:\"b23fcdf9-291c-4109-9307-32001b3c05a0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:18:\"node.type.partners\";}}s:2:\"id\";s:20:\"node.partners.status\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:8:\"partners\";s:5:\"label\";s:17:\"Publishing status\";s:11:\"description\";s:51:\"A boolean indicating whether the node is published.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:1;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}',-1,1636011227.233,1,'','0'),('core.base_field_override.node.partners.sticky','a:16:{s:4:\"uuid\";s:36:\"9d5e6c2b-8d66-4604-a0be-ded3febec41f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:18:\"node.type.partners\";}}s:2:\"id\";s:20:\"node.partners.sticky\";s:10:\"field_name\";s:6:\"sticky\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:8:\"partners\";s:5:\"label\";s:22:\"Sticky at top of lists\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}',-1,1636011227.233,1,'','0'),('core.base_field_override.node.partners.title','a:16:{s:4:\"uuid\";s:36:\"0f9bf904-d747-45fc-bfe1-45903aa49fcc\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:18:\"node.type.partners\";}}s:2:\"id\";s:19:\"node.partners.title\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:8:\"partners\";s:5:\"label\";s:5:\"Title\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}',-1,1636011227.233,1,'','0'),('core.base_field_override.node.partners.type','b:0;',-1,1636011227.233,1,'','0'),('core.base_field_override.node.partners.uid','a:16:{s:4:\"uuid\";s:36:\"4348f9ec-1813-458e-916f-eacc7b064b95\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:18:\"node.type.partners\";}}s:2:\"id\";s:17:\"node.partners.uid\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:8:\"partners\";s:5:\"label\";s:11:\"Authored by\";s:11:\"description\";s:35:\"The username of the content author.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:41:\"Drupal\\node\\Entity\\Node::getCurrentUserId\";s:8:\"settings\";a:2:{s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}s:10:\"field_type\";s:16:\"entity_reference\";}',-1,1636011227.233,1,'','0'),('core.base_field_override.node.partners.uuid','b:0;',-1,1636011227.233,1,'','0'),('core.base_field_override.node.partners.vid','b:0;',-1,1636011227.233,1,'','0'),('core.base_field_override.node.portfolio.changed','a:16:{s:4:\"uuid\";s:36:\"f7353d61-a93d-44d4-a647-3b94ddbe2e0e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:19:\"node.type.portfolio\";}}s:2:\"id\";s:22:\"node.portfolio.changed\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:9:\"portfolio\";s:5:\"label\";s:7:\"Changed\";s:11:\"description\";s:39:\"The time that the node was last edited.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"changed\";}',-1,1636011227.255,1,'','0'),('core.base_field_override.node.portfolio.content_translation_outdated','b:0;',-1,1636011227.255,1,'','0'),('core.base_field_override.node.portfolio.content_translation_source','b:0;',-1,1636011227.255,1,'','0'),('core.base_field_override.node.portfolio.created','a:16:{s:4:\"uuid\";s:36:\"27f6e62d-370e-4499-b867-ca02d28c6db4\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:19:\"node.type.portfolio\";}}s:2:\"id\";s:22:\"node.portfolio.created\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:9:\"portfolio\";s:5:\"label\";s:11:\"Authored on\";s:11:\"description\";s:35:\"The time that the node was created.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"created\";}',-1,1636011227.255,1,'','0'),('core.base_field_override.node.portfolio.default_langcode','b:0;',-1,1636011227.255,1,'','0'),('core.base_field_override.node.portfolio.langcode','b:0;',-1,1636011227.255,1,'','0'),('core.base_field_override.node.portfolio.menu_link','b:0;',-1,1636011227.255,1,'','0'),('core.base_field_override.node.portfolio.mymodule_text','b:0;',-1,1636011227.255,1,'','0'),('core.base_field_override.node.portfolio.nid','b:0;',-1,1636011227.255,1,'','0'),('core.base_field_override.node.portfolio.node_class','b:0;',-1,1636011227.255,1,'','0'),('core.base_field_override.node.portfolio.path','b:0;',-1,1636011227.255,1,'','0'),('core.base_field_override.node.portfolio.promote','a:16:{s:4:\"uuid\";s:36:\"0c9f04e7-e524-42ac-afe1-b67961334758\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:19:\"node.type.portfolio\";}}s:2:\"id\";s:22:\"node.portfolio.promote\";s:10:\"field_name\";s:7:\"promote\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:9:\"portfolio\";s:5:\"label\";s:22:\"Promoted to front page\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}',-1,1636011227.255,1,'','0'),('core.base_field_override.node.portfolio.revision_default','b:0;',-1,1636011227.255,1,'','0'),('core.base_field_override.node.portfolio.revision_log','b:0;',-1,1636011227.255,1,'','0'),('core.base_field_override.node.portfolio.revision_timestamp','b:0;',-1,1636011227.255,1,'','0'),('core.base_field_override.node.portfolio.revision_translation_affected','b:0;',-1,1636011227.255,1,'','0'),('core.base_field_override.node.portfolio.revision_uid','b:0;',-1,1636011227.255,1,'','0'),('core.base_field_override.node.portfolio.status','a:16:{s:4:\"uuid\";s:36:\"b5ee00c5-6460-4848-9011-16a2a3d1ef2b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:19:\"node.type.portfolio\";}}s:2:\"id\";s:21:\"node.portfolio.status\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:9:\"portfolio\";s:5:\"label\";s:17:\"Publishing status\";s:11:\"description\";s:51:\"A boolean indicating whether the node is published.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:1;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}',-1,1636011227.255,1,'','0'),('core.base_field_override.node.portfolio.sticky','a:16:{s:4:\"uuid\";s:36:\"0ea9d636-cf2f-4621-9698-46835575d05e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:19:\"node.type.portfolio\";}}s:2:\"id\";s:21:\"node.portfolio.sticky\";s:10:\"field_name\";s:6:\"sticky\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:9:\"portfolio\";s:5:\"label\";s:22:\"Sticky at top of lists\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}',-1,1636011227.255,1,'','0'),('core.base_field_override.node.portfolio.title','a:16:{s:4:\"uuid\";s:36:\"feb08c84-0493-4ef5-b6d8-7e8bd147ee47\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:19:\"node.type.portfolio\";}}s:2:\"id\";s:20:\"node.portfolio.title\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:9:\"portfolio\";s:5:\"label\";s:5:\"Title\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}',-1,1636011227.255,1,'','0'),('core.base_field_override.node.portfolio.type','b:0;',-1,1636011227.255,1,'','0'),('core.base_field_override.node.portfolio.uid','a:16:{s:4:\"uuid\";s:36:\"f23385cb-1248-4d2f-8576-f8557e18fe92\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:19:\"node.type.portfolio\";}}s:2:\"id\";s:18:\"node.portfolio.uid\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:9:\"portfolio\";s:5:\"label\";s:11:\"Authored by\";s:11:\"description\";s:35:\"The username of the content author.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:41:\"Drupal\\node\\Entity\\Node::getCurrentUserId\";s:8:\"settings\";a:2:{s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}s:10:\"field_type\";s:16:\"entity_reference\";}',-1,1636011227.255,1,'','0'),('core.base_field_override.node.portfolio.uuid','b:0;',-1,1636011227.255,1,'','0'),('core.base_field_override.node.portfolio.vid','b:0;',-1,1636011227.255,1,'','0'),('core.base_field_override.node.simplenews_issue.changed','a:16:{s:4:\"uuid\";s:36:\"cc0f115f-6b29-44f5-b41b-33526e018e6b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:26:\"node.type.simplenews_issue\";}}s:2:\"id\";s:29:\"node.simplenews_issue.changed\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:16:\"simplenews_issue\";s:5:\"label\";s:7:\"Changed\";s:11:\"description\";s:39:\"The time that the node was last edited.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"changed\";}',-1,1636011227.277,1,'','0'),('core.base_field_override.node.simplenews_issue.content_translation_outdated','b:0;',-1,1636011227.277,1,'','0'),('core.base_field_override.node.simplenews_issue.content_translation_source','b:0;',-1,1636011227.277,1,'','0'),('core.base_field_override.node.simplenews_issue.created','a:16:{s:4:\"uuid\";s:36:\"ac0c39ac-2fcf-412a-8924-b3449703a7ab\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:26:\"node.type.simplenews_issue\";}}s:2:\"id\";s:29:\"node.simplenews_issue.created\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:16:\"simplenews_issue\";s:5:\"label\";s:11:\"Authored on\";s:11:\"description\";s:35:\"The time that the node was created.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"created\";}',-1,1636011227.277,1,'','0'),('core.base_field_override.node.simplenews_issue.default_langcode','b:0;',-1,1636011227.277,1,'','0'),('core.base_field_override.node.simplenews_issue.langcode','b:0;',-1,1636011227.277,1,'','0'),('core.base_field_override.node.simplenews_issue.menu_link','b:0;',-1,1636011227.277,1,'','0'),('core.base_field_override.node.simplenews_issue.mymodule_text','b:0;',-1,1636011227.277,1,'','0'),('core.base_field_override.node.simplenews_issue.nid','b:0;',-1,1636011227.277,1,'','0'),('core.base_field_override.node.simplenews_issue.node_class','b:0;',-1,1636011227.277,1,'','0'),('core.base_field_override.node.simplenews_issue.path','b:0;',-1,1636011227.277,1,'','0'),('core.base_field_override.node.simplenews_issue.promote','a:16:{s:4:\"uuid\";s:36:\"39c095f6-2005-42d3-abf8-a223a16a6927\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:26:\"node.type.simplenews_issue\";}}s:2:\"id\";s:29:\"node.simplenews_issue.promote\";s:10:\"field_name\";s:7:\"promote\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:16:\"simplenews_issue\";s:5:\"label\";s:22:\"Promoted to front page\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:1;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}',-1,1636011227.277,1,'','0'),('core.base_field_override.node.simplenews_issue.revision_default','b:0;',-1,1636011227.277,1,'','0'),('core.base_field_override.node.simplenews_issue.revision_log','b:0;',-1,1636011227.277,1,'','0'),('core.base_field_override.node.simplenews_issue.revision_timestamp','b:0;',-1,1636011227.277,1,'','0'),('core.base_field_override.node.simplenews_issue.revision_translation_affected','b:0;',-1,1636011227.277,1,'','0'),('core.base_field_override.node.simplenews_issue.revision_uid','b:0;',-1,1636011227.277,1,'','0'),('core.base_field_override.node.simplenews_issue.status','a:16:{s:4:\"uuid\";s:36:\"f7b0e40e-d1de-483c-b777-d4c1fdfe3347\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:26:\"node.type.simplenews_issue\";}}s:2:\"id\";s:28:\"node.simplenews_issue.status\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:16:\"simplenews_issue\";s:5:\"label\";s:17:\"Publishing status\";s:11:\"description\";s:51:\"A boolean indicating whether the node is published.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:1;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}',-1,1636011227.277,1,'','0'),('core.base_field_override.node.simplenews_issue.sticky','a:16:{s:4:\"uuid\";s:36:\"18db0e37-4602-42a4-9b14-81b0f079ac99\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:26:\"node.type.simplenews_issue\";}}s:2:\"id\";s:28:\"node.simplenews_issue.sticky\";s:10:\"field_name\";s:6:\"sticky\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:16:\"simplenews_issue\";s:5:\"label\";s:22:\"Sticky at top of lists\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}',-1,1636011227.277,1,'','0'),('core.base_field_override.node.simplenews_issue.title','a:16:{s:4:\"uuid\";s:36:\"94d28040-185d-4c39-a002-72d974e3cdcf\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:26:\"node.type.simplenews_issue\";}}s:2:\"id\";s:27:\"node.simplenews_issue.title\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:16:\"simplenews_issue\";s:5:\"label\";s:5:\"Title\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}',-1,1636011227.277,1,'','0'),('core.base_field_override.node.simplenews_issue.type','b:0;',-1,1636011227.277,1,'','0'),('core.base_field_override.node.simplenews_issue.uid','a:16:{s:4:\"uuid\";s:36:\"ab6f4ac7-245d-455e-8cad-5abb502430bc\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:26:\"node.type.simplenews_issue\";}}s:2:\"id\";s:25:\"node.simplenews_issue.uid\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:16:\"simplenews_issue\";s:5:\"label\";s:11:\"Authored by\";s:11:\"description\";s:35:\"The username of the content author.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:41:\"Drupal\\node\\Entity\\Node::getCurrentUserId\";s:8:\"settings\";a:2:{s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}s:10:\"field_type\";s:16:\"entity_reference\";}',-1,1636011227.277,1,'','0'),('core.base_field_override.node.simplenews_issue.uuid','b:0;',-1,1636011227.277,1,'','0'),('core.base_field_override.node.simplenews_issue.vid','b:0;',-1,1636011227.277,1,'','0'),('core.base_field_override.node.why_us.changed','a:16:{s:4:\"uuid\";s:36:\"3208534b-0f12-45e8-b744-404c9c4052e7\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:16:\"node.type.why_us\";}}s:2:\"id\";s:19:\"node.why_us.changed\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:6:\"why_us\";s:5:\"label\";s:7:\"Changed\";s:11:\"description\";s:39:\"The time that the node was last edited.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"changed\";}',-1,1636011227.306,1,'','0'),('core.base_field_override.node.why_us.content_translation_outdated','b:0;',-1,1636011227.306,1,'','0'),('core.base_field_override.node.why_us.content_translation_source','b:0;',-1,1636011227.306,1,'','0'),('core.base_field_override.node.why_us.created','a:16:{s:4:\"uuid\";s:36:\"a44b1ba8-4d31-414c-b124-22a457ea04f8\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:16:\"node.type.why_us\";}}s:2:\"id\";s:19:\"node.why_us.created\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:6:\"why_us\";s:5:\"label\";s:11:\"Authored on\";s:11:\"description\";s:35:\"The time that the node was created.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"created\";}',-1,1636011227.306,1,'','0'),('core.base_field_override.node.why_us.default_langcode','b:0;',-1,1636011227.306,1,'','0'),('core.base_field_override.node.why_us.langcode','b:0;',-1,1636011227.306,1,'','0'),('core.base_field_override.node.why_us.menu_link','b:0;',-1,1636011227.306,1,'','0'),('core.base_field_override.node.why_us.mymodule_text','b:0;',-1,1636011227.306,1,'','0'),('core.base_field_override.node.why_us.nid','b:0;',-1,1636011227.306,1,'','0'),('core.base_field_override.node.why_us.node_class','b:0;',-1,1636011227.306,1,'','0'),('core.base_field_override.node.why_us.path','b:0;',-1,1636011227.306,1,'','0'),('core.base_field_override.node.why_us.promote','a:16:{s:4:\"uuid\";s:36:\"afbb8f85-68a6-4409-8fc9-424bd4605322\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:16:\"node.type.why_us\";}}s:2:\"id\";s:19:\"node.why_us.promote\";s:10:\"field_name\";s:7:\"promote\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:6:\"why_us\";s:5:\"label\";s:22:\"Promoted to front page\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}',-1,1636011227.306,1,'','0'),('core.base_field_override.node.why_us.revision_default','b:0;',-1,1636011227.306,1,'','0'),('core.base_field_override.node.why_us.revision_log','b:0;',-1,1636011227.306,1,'','0'),('core.base_field_override.node.why_us.revision_timestamp','b:0;',-1,1636011227.306,1,'','0'),('core.base_field_override.node.why_us.revision_translation_affected','b:0;',-1,1636011227.306,1,'','0'),('core.base_field_override.node.why_us.revision_uid','b:0;',-1,1636011227.306,1,'','0'),('core.base_field_override.node.why_us.status','a:16:{s:4:\"uuid\";s:36:\"757f0ddf-1683-43af-a414-252bddd4b3a5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:16:\"node.type.why_us\";}}s:2:\"id\";s:18:\"node.why_us.status\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:6:\"why_us\";s:5:\"label\";s:17:\"Publishing status\";s:11:\"description\";s:51:\"A boolean indicating whether the node is published.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:1;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}',-1,1636011227.306,1,'','0'),('core.base_field_override.node.why_us.sticky','a:16:{s:4:\"uuid\";s:36:\"710974ed-5fc2-4622-92cb-124fd5083329\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:16:\"node.type.why_us\";}}s:2:\"id\";s:18:\"node.why_us.sticky\";s:10:\"field_name\";s:6:\"sticky\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:6:\"why_us\";s:5:\"label\";s:22:\"Sticky at top of lists\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}',-1,1636011227.306,1,'','0'),('core.base_field_override.node.why_us.title','a:16:{s:4:\"uuid\";s:36:\"bd8a3c37-84f9-46a2-b167-7aa2b9981eda\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:16:\"node.type.why_us\";}}s:2:\"id\";s:17:\"node.why_us.title\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:6:\"why_us\";s:5:\"label\";s:5:\"Title\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}',-1,1636011227.306,1,'','0'),('core.base_field_override.node.why_us.type','b:0;',-1,1636011227.306,1,'','0'),('core.base_field_override.node.why_us.uid','a:16:{s:4:\"uuid\";s:36:\"423d924b-3328-47c7-8b6a-2864237ce911\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:16:\"node.type.why_us\";}}s:2:\"id\";s:15:\"node.why_us.uid\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:6:\"why_us\";s:5:\"label\";s:11:\"Authored by\";s:11:\"description\";s:35:\"The username of the content author.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:41:\"Drupal\\node\\Entity\\Node::getCurrentUserId\";s:8:\"settings\";a:2:{s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}s:10:\"field_type\";s:16:\"entity_reference\";}',-1,1636011227.306,1,'','0'),('core.base_field_override.node.why_us.uuid','b:0;',-1,1636011227.306,1,'','0'),('core.base_field_override.node.why_us.vid','b:0;',-1,1636011227.306,1,'','0'),('core.base_field_override.path_alias.path_alias.alias','b:0;',-1,1637057230.716,1,'','0'),('core.base_field_override.path_alias.path_alias.id','b:0;',-1,1637057230.716,1,'','0'),('core.base_field_override.path_alias.path_alias.langcode','b:0;',-1,1637057230.716,1,'','0'),('core.base_field_override.path_alias.path_alias.path','b:0;',-1,1637057230.716,1,'','0'),('core.base_field_override.path_alias.path_alias.revision_default','b:0;',-1,1637057230.716,1,'','0'),('core.base_field_override.path_alias.path_alias.revision_id','b:0;',-1,1637057230.716,1,'','0'),('core.base_field_override.path_alias.path_alias.status','b:0;',-1,1637057230.716,1,'','0'),('core.base_field_override.path_alias.path_alias.uuid','b:0;',-1,1637057230.716,1,'','0'),('core.base_field_override.shortcut.default.default_langcode','b:0;',-1,1636012251.336,1,'','0'),('core.base_field_override.shortcut.default.id','b:0;',-1,1636012251.336,1,'','0'),('core.base_field_override.shortcut.default.langcode','b:0;',-1,1636012251.336,1,'','0'),('core.base_field_override.shortcut.default.link','b:0;',-1,1636012251.336,1,'','0'),('core.base_field_override.shortcut.default.shortcut_set','b:0;',-1,1636012251.336,1,'','0'),('core.base_field_override.shortcut.default.title','a:16:{s:4:\"uuid\";s:36:\"55acaedf-540d-4c74-b615-5ecbed395f55\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:20:\"shortcut.set.default\";}}s:2:\"id\";s:22:\"shortcut.default.title\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:8:\"shortcut\";s:6:\"bundle\";s:7:\"default\";s:5:\"label\";s:4:\"Name\";s:11:\"description\";s:25:\"The name of the shortcut.\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}',-1,1636012251.336,1,'','0'),('core.base_field_override.shortcut.default.uuid','b:0;',-1,1636012251.336,1,'','0'),('core.base_field_override.shortcut.default.weight','b:0;',-1,1636012251.336,1,'','0'),('core.base_field_override.simplenews_subscriber.simplenews_subscriber.changes','b:0;',-1,1636011227.358,1,'','0'),('core.base_field_override.simplenews_subscriber.simplenews_subscriber.created','b:0;',-1,1636011227.358,1,'','0'),('core.base_field_override.simplenews_subscriber.simplenews_subscriber.id','b:0;',-1,1636011227.358,1,'','0'),('core.base_field_override.simplenews_subscriber.simplenews_subscriber.langcode','b:0;',-1,1636011227.358,1,'','0'),('core.base_field_override.simplenews_subscriber.simplenews_subscriber.mail','b:0;',-1,1636011227.358,1,'','0'),('core.base_field_override.simplenews_subscriber.simplenews_subscriber.status','b:0;',-1,1636011227.358,1,'','0'),('core.base_field_override.simplenews_subscriber.simplenews_subscriber.uid','b:0;',-1,1636011227.358,1,'','0'),('core.base_field_override.simplenews_subscriber.simplenews_subscriber.uuid','b:0;',-1,1636011227.358,1,'','0'),('core.base_field_override.taxonomy_term.tags.changed','a:16:{s:4:\"uuid\";s:36:\"545e7ab9-c952-4998-9005-9bb50fc12285\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:24:\"taxonomy.vocabulary.tags\";}}s:2:\"id\";s:26:\"taxonomy_term.tags.changed\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:4:\"tags\";s:5:\"label\";s:7:\"Changed\";s:11:\"description\";s:39:\"The time that the term was last edited.\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"changed\";}',-1,1636012250.618,1,'','0'),('core.base_field_override.taxonomy_term.tags.content_translation_created','b:0;',-1,1636012250.618,1,'','0'),('core.base_field_override.taxonomy_term.tags.content_translation_outdated','b:0;',-1,1636012250.618,1,'','0'),('core.base_field_override.taxonomy_term.tags.content_translation_source','b:0;',-1,1636012250.618,1,'','0'),('core.base_field_override.taxonomy_term.tags.content_translation_uid','b:0;',-1,1636012250.618,1,'','0'),('core.base_field_override.taxonomy_term.tags.default_langcode','b:0;',-1,1636012250.618,1,'','0'),('core.base_field_override.taxonomy_term.tags.description','a:16:{s:4:\"uuid\";s:36:\"3532f61e-0afc-429c-89c7-f5a8976725d4\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:24:\"taxonomy.vocabulary.tags\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:30:\"taxonomy_term.tags.description\";s:10:\"field_name\";s:11:\"description\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:4:\"tags\";s:5:\"label\";s:11:\"Description\";s:11:\"description\";s:26:\"A description of the term.\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:9:\"text_long\";}',-1,1636012250.618,1,'','0'),('core.base_field_override.taxonomy_term.tags.langcode','b:0;',-1,1636012250.618,1,'','0'),('core.base_field_override.taxonomy_term.tags.name','a:16:{s:4:\"uuid\";s:36:\"e11c2191-a1f9-4355-9c67-454f314df5c0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:24:\"taxonomy.vocabulary.tags\";}}s:2:\"id\";s:23:\"taxonomy_term.tags.name\";s:10:\"field_name\";s:4:\"name\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:4:\"tags\";s:5:\"label\";s:4:\"Name\";s:11:\"description\";s:14:\"The term name.\";s:8:\"required\";b:1;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}',-1,1636012250.618,1,'','0'),('core.base_field_override.taxonomy_term.tags.parent','b:0;',-1,1636012250.618,1,'','0'),('core.base_field_override.taxonomy_term.tags.path','b:0;',-1,1636012250.618,1,'','0'),('core.base_field_override.taxonomy_term.tags.revision_created','b:0;',-1,1636012250.618,1,'','0'),('core.base_field_override.taxonomy_term.tags.revision_default','b:0;',-1,1636012250.618,1,'','0'),('core.base_field_override.taxonomy_term.tags.revision_id','b:0;',-1,1636012250.618,1,'','0'),('core.base_field_override.taxonomy_term.tags.revision_log_message','b:0;',-1,1636012250.618,1,'','0'),('core.base_field_override.taxonomy_term.tags.revision_translation_affected','b:0;',-1,1636012250.618,1,'','0'),('core.base_field_override.taxonomy_term.tags.revision_user','b:0;',-1,1636012250.618,1,'','0'),('core.base_field_override.taxonomy_term.tags.status','b:0;',-1,1636012250.618,1,'','0'),('core.base_field_override.taxonomy_term.tags.tid','b:0;',-1,1636012250.618,1,'','0'),('core.base_field_override.taxonomy_term.tags.uuid','b:0;',-1,1636012250.618,1,'','0'),('core.base_field_override.taxonomy_term.tags.vid','b:0;',-1,1636012250.618,1,'','0'),('core.base_field_override.taxonomy_term.tags.weight','b:0;',-1,1636012250.618,1,'','0'),('core.base_field_override.user.user.access','b:0;',-1,1636011227.381,1,'','0'),('core.base_field_override.user.user.changed','a:16:{s:4:\"uuid\";s:36:\"139c11a6-0611-41fc-9f1c-949fd6220904\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:2:\"id\";s:17:\"user.user.changed\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";s:4:\"user\";s:5:\"label\";s:7:\"Changed\";s:11:\"description\";s:39:\"The time that the user was last edited.\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"changed\";}',-1,1636011227.381,1,'','0'),('core.base_field_override.user.user.content_translation_created','b:0;',-1,1636011227.381,1,'','0'),('core.base_field_override.user.user.content_translation_outdated','b:0;',-1,1636011227.381,1,'','0'),('core.base_field_override.user.user.content_translation_source','b:0;',-1,1636011227.381,1,'','0'),('core.base_field_override.user.user.content_translation_status','b:0;',-1,1636011227.381,1,'','0'),('core.base_field_override.user.user.content_translation_uid','b:0;',-1,1636011227.381,1,'','0'),('core.base_field_override.user.user.created','b:0;',-1,1636011227.381,1,'','0'),('core.base_field_override.user.user.default_langcode','b:0;',-1,1636011227.381,1,'','0'),('core.base_field_override.user.user.init','b:0;',-1,1636011227.381,1,'','0'),('core.base_field_override.user.user.langcode','b:0;',-1,1636011227.381,1,'','0'),('core.base_field_override.user.user.login','b:0;',-1,1636011227.381,1,'','0'),('core.base_field_override.user.user.mail','b:0;',-1,1636011227.381,1,'','0'),('core.base_field_override.user.user.name','b:0;',-1,1636011227.381,1,'','0'),('core.base_field_override.user.user.pass','b:0;',-1,1636011227.381,1,'','0'),('core.base_field_override.user.user.path','b:0;',-1,1636011227.381,1,'','0'),('core.base_field_override.user.user.preferred_admin_langcode','b:0;',-1,1636011227.381,1,'','0'),('core.base_field_override.user.user.preferred_langcode','b:0;',-1,1636011227.381,1,'','0'),('core.base_field_override.user.user.roles','b:0;',-1,1636011227.381,1,'','0'),('core.base_field_override.user.user.status','b:0;',-1,1636011227.381,1,'','0'),('core.base_field_override.user.user.timezone','b:0;',-1,1636011227.381,1,'','0'),('core.base_field_override.user.user.uid','b:0;',-1,1636011227.381,1,'','0'),('core.base_field_override.user.user.uuid','b:0;',-1,1636011227.381,1,'','0'),('core.date_format.fallback','a:9:{s:4:\"uuid\";s:36:\"e12e1db5-d60a-43c6-af74-8b6aaf76a519\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"7klS5IWXrwzVaPpYZFAs6wcx8U2FF1X73OfrtTsvuvE\";}s:2:\"id\";s:8:\"fallback\";s:5:\"label\";s:20:\"Fallback date format\";s:6:\"locked\";b:1;s:7:\"pattern\";s:14:\"D, m/d/Y - H:i\";}',-1,1637057230.623,1,'','0'),('core.date_format.html_date','a:9:{s:4:\"uuid\";s:36:\"2b8717b7-0999-49e7-8cf9-053e08c0e277\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"EOQltUQPmgc6UQ2rcJ4Xi_leCEJj5ui0TR-12duS-Tk\";}s:2:\"id\";s:9:\"html_date\";s:5:\"label\";s:9:\"HTML Date\";s:6:\"locked\";b:1;s:7:\"pattern\";s:5:\"Y-m-d\";}',-1,1636012247.431,1,'','0'),('core.date_format.html_datetime','a:9:{s:4:\"uuid\";s:36:\"72370129-04a1-4bdd-9e9e-8aa371f66a99\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"jxfClwZIRXIdcvMrE--WkcZxDGUVoOIE3Sm2NRZlFuE\";}s:2:\"id\";s:13:\"html_datetime\";s:5:\"label\";s:13:\"HTML Datetime\";s:6:\"locked\";b:1;s:7:\"pattern\";s:13:\"Y-m-d\\TH:i:sO\";}',-1,1637057230.623,1,'','0'),('core.date_format.html_month','a:9:{s:4:\"uuid\";s:36:\"0aa59391-30b0-49be-8ed0-d27d1dfc78f0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"Z7KuCUwM_WdTNvLcoltuX3_8d-s-8FZkTN6KgNwF0eM\";}s:2:\"id\";s:10:\"html_month\";s:5:\"label\";s:10:\"HTML Month\";s:6:\"locked\";b:1;s:7:\"pattern\";s:3:\"Y-m\";}',-1,1637057230.623,1,'','0'),('core.date_format.html_time','a:9:{s:4:\"uuid\";s:36:\"41b088c0-5599-48eb-b470-1acf6d00f8eb\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"M7yqicYkU36hRy5p9drAaGBBihhUD1OyujFrAaQ93ZE\";}s:2:\"id\";s:9:\"html_time\";s:5:\"label\";s:9:\"HTML Time\";s:6:\"locked\";b:1;s:7:\"pattern\";s:5:\"H:i:s\";}',-1,1636012247.439,1,'','0'),('core.date_format.html_week','a:9:{s:4:\"uuid\";s:36:\"5aa6ef52-030d-4a94-af8b-4eaa64aa03d9\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"wKD4WsoV_wFgv2vgI4mcAAFSIzrye17ykzdwrnApkfY\";}s:2:\"id\";s:9:\"html_week\";s:5:\"label\";s:9:\"HTML Week\";s:6:\"locked\";b:1;s:7:\"pattern\";s:5:\"Y-\\WW\";}',-1,1637057230.623,1,'','0'),('core.date_format.html_year','a:9:{s:4:\"uuid\";s:36:\"d380a6b3-e833-4413-a215-7e8ae29234f6\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"OjekiQuX9RbVQ2_8jOHBL94RgYLePqX7wpfNGgcQzrk\";}s:2:\"id\";s:9:\"html_year\";s:5:\"label\";s:9:\"HTML Year\";s:6:\"locked\";b:1;s:7:\"pattern\";s:1:\"Y\";}',-1,1637057230.623,1,'','0'),('core.date_format.html_yearless_date','a:9:{s:4:\"uuid\";s:36:\"b3b10235-c0b6-41e7-bd83-e669af051647\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"5VpawMrKPEPCkoO4YpPa0TDFO2dgiIHfTziJtwlmUxc\";}s:2:\"id\";s:18:\"html_yearless_date\";s:5:\"label\";s:18:\"HTML Yearless date\";s:6:\"locked\";b:1;s:7:\"pattern\";s:3:\"m-d\";}',-1,1637057230.623,1,'','0'),('core.date_format.long','a:9:{s:4:\"uuid\";s:36:\"37d87aca-405f-4157-bb7f-e4ec5b8c130c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"og8sWXhBuHbLMw3CoiBEZjgqSyhFBFmcbUW_wLcfNbo\";}s:2:\"id\";s:4:\"long\";s:5:\"label\";s:17:\"Default long date\";s:6:\"locked\";b:0;s:7:\"pattern\";s:15:\"l, F j, Y - H:i\";}',-1,1637057230.614,1,'','0'),('core.date_format.medium','a:9:{s:4:\"uuid\";s:36:\"ffac6d2f-f986-4864-b323-9207dffa5745\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"nzL5d024NjXIX_8TlT6uFAu973lmfkmHklJC-2i9rAE\";}s:2:\"id\";s:6:\"medium\";s:5:\"label\";s:19:\"Default medium date\";s:6:\"locked\";b:0;s:7:\"pattern\";s:14:\"D, m/d/Y - H:i\";}',-1,1637057230.606,1,'','0'),('core.date_format.short','a:9:{s:4:\"uuid\";s:36:\"e3f4b66f-9575-4ed2-88d1-7da077eeed83\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"AlzeyytA8InBgxIG9H2UDJYs3CG98Zj6yRsDKmlbZwA\";}s:2:\"id\";s:5:\"short\";s:5:\"label\";s:18:\"Default short date\";s:6:\"locked\";b:0;s:7:\"pattern\";s:11:\"m/d/Y - H:i\";}',-1,1637057230.598,1,'','0'),('core.entity_form_display.simplenews_subscriber.simplenews_subscriber.block','b:0;',-1,1636012251.185,1,'','0'),('core.entity_form_display.simplenews_subscriber.simplenews_subscriber.default','a:11:{s:4:\"uuid\";s:36:\"7808a8ec-c485-4e88-a6dc-713c2db8f831\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:69:\"field.field.simplenews_subscriber.simplenews_subscriber.subscriptions\";}s:6:\"module\";a:1:{i:0;s:10:\"simplenews\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"pxNnkOchZljVErGC7uuVjmPpbp0Wy2CiK-pllIxNLK0\";}s:2:\"id\";s:51:\"simplenews_subscriber.simplenews_subscriber.default\";s:16:\"targetEntityType\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";s:21:\"simplenews_subscriber\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:2:{s:4:\"mail\";a:5:{s:4:\"type\";s:13:\"email_default\";s:6:\"weight\";i:5;s:8:\"settings\";a:1:{s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:13:\"subscriptions\";a:5:{s:4:\"type\";s:30:\"simplenews_subscription_select\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:1:{s:3:\"uid\";b:1;}}',-1,1636012251.185,1,'','0'),('core.entity_form_mode.simplenews_subscriber.account','a:9:{s:4:\"uuid\";s:36:\"3d9fe5e6-0bfe-469f-aa07-70c715e88cdd\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:10:\"simplenews\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"3Ly1xMx90SxhhhBmZjDhcBCQ4kyR4u7tS5vLgA84B2M\";}s:2:\"id\";s:29:\"simplenews_subscriber.account\";s:5:\"label\";s:7:\"Account\";s:16:\"targetEntityType\";s:21:\"simplenews_subscriber\";s:5:\"cache\";b:1;}',-1,1636012250.048,1,'','0'),('core.entity_form_mode.simplenews_subscriber.block','a:9:{s:4:\"uuid\";s:36:\"01473263-9e4a-4cb1-9d49-578c9fc816a3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:10:\"simplenews\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"7EIO8InzdeUlS1NCs5hq23QRzWmqAKGjeSqd3hQP62s\";}s:2:\"id\";s:27:\"simplenews_subscriber.block\";s:5:\"label\";s:5:\"Block\";s:16:\"targetEntityType\";s:21:\"simplenews_subscriber\";s:5:\"cache\";b:1;}',-1,1636012250.048,1,'','0'),('core.entity_form_mode.simplenews_subscriber.page','a:9:{s:4:\"uuid\";s:36:\"45aa92b8-6a12-44a0-aa54-8d9932eae7f9\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:10:\"simplenews\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"ZNiTMgBURMLUyp3dwxIn7Zz_hREzPRpyF2M-Dm3e1BI\";}s:2:\"id\";s:26:\"simplenews_subscriber.page\";s:5:\"label\";s:4:\"Page\";s:16:\"targetEntityType\";s:21:\"simplenews_subscriber\";s:5:\"cache\";b:1;}',-1,1636012250.048,1,'','0'),('core.entity_form_mode.user.register','a:9:{s:4:\"uuid\";s:36:\"970e7df6-6557-4734-aca7-2e59c0b28555\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"flXhTcp55yLcyy7ZLOhPGKGZobZQJdkAFVWV3LseiuI\";}s:2:\"id\";s:13:\"user.register\";s:5:\"label\";s:8:\"Register\";s:16:\"targetEntityType\";s:4:\"user\";s:5:\"cache\";b:1;}',-1,1636012250.048,1,'','0'),('core.entity_view_display.block_content.basic.default','a:11:{s:4:\"uuid\";s:36:\"ac510f9a-d9bd-49cb-89e1-958d8c7e5eb4\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:24:\"block_content.type.basic\";i:1;s:36:\"field.field.block_content.basic.body\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"zCrrHAjrsQgWjBXBsshAZjND21czBy8sH_L5v_xDKSA\";}s:2:\"id\";s:27:\"block_content.basic.default\";s:16:\"targetEntityType\";s:13:\"block_content\";s:6:\"bundle\";s:5:\"basic\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:1:{s:4:\"body\";a:6:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:1:{s:8:\"langcode\";b:1;}}',-1,1636012251.258,1,'','0'),('core.entity_view_display.block_content.basic.full','b:0;',-1,1636012251.258,1,'','0'),('core.entity_view_display.user.user.default','a:11:{s:4:\"uuid\";s:36:\"74bbebb3-0409-4e81-a772-accf6ad18d9f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:34:\"field.field.user.user.user_picture\";i:1;s:21:\"image.style.thumbnail\";}s:6:\"module\";a:2:{i:0;s:5:\"image\";i:1;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"L2mtwGWH_7wDRCMIR4r_Iu_jmvQ10DV1L8ht8iNZ5qY\";}s:2:\"id\";s:17:\"user.user.default\";s:16:\"targetEntityType\";s:4:\"user\";s:6:\"bundle\";s:4:\"user\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:2:{s:10:\"member_for\";a:4:{s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:12:\"user_picture\";a:6:{s:4:\"type\";s:5:\"image\";s:6:\"weight\";i:0;s:8:\"settings\";a:2:{s:11:\"image_style\";s:9:\"thumbnail\";s:10:\"image_link\";s:7:\"content\";}s:20:\"third_party_settings\";a:0:{}s:5:\"label\";s:6:\"hidden\";s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:2:{s:8:\"langcode\";b:1;s:10:\"simplenews\";b:1;}}',-1,1636711420.761,1,'','0'),('core.entity_view_display.user.user.full','b:0;',-1,1636711420.761,1,'','0'),('core.entity_view_mode.block.token','a:8:{s:4:\"uuid\";s:36:\"21310d1e-472a-4623-8336-ae04a450c9b6\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:5:\"block\";}}s:2:\"id\";s:11:\"block.token\";s:5:\"label\";s:5:\"Token\";s:16:\"targetEntityType\";s:5:\"block\";s:5:\"cache\";b:1;}',-1,1636012250.066,1,'','0'),('core.entity_view_mode.block_content.full','a:9:{s:4:\"uuid\";s:36:\"a4ac9bda-198f-43bc-a947-1a2f4058351c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:13:\"block_content\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"4tedlMuvQjDOdvHdw86_e-2Rt78aR7TGFMfOK8Ejppg\";}s:2:\"id\";s:18:\"block_content.full\";s:5:\"label\";s:4:\"Full\";s:16:\"targetEntityType\";s:13:\"block_content\";s:5:\"cache\";b:1;}',-1,1636012250.066,1,'','0'),('core.entity_view_mode.block_content.token','a:8:{s:4:\"uuid\";s:36:\"1e28e7b1-2b2e-4714-b87a-ba8517c6505c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:13:\"block_content\";}}s:2:\"id\";s:19:\"block_content.token\";s:5:\"label\";s:5:\"Token\";s:16:\"targetEntityType\";s:13:\"block_content\";s:5:\"cache\";b:1;}',-1,1636012250.066,1,'','0'),('core.entity_view_mode.comment.full','a:9:{s:4:\"uuid\";s:36:\"e7b2fc96-4cfc-4145-8384-f0593aceaf63\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:7:\"comment\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"K7eNlfU7NEUajz01wItywZklr2oaPgL6s1_97fmDXLA\";}s:2:\"id\";s:12:\"comment.full\";s:5:\"label\";s:12:\"Full comment\";s:16:\"targetEntityType\";s:7:\"comment\";s:5:\"cache\";b:1;}',-1,1636012250.066,1,'','0'),('core.entity_view_mode.comment.token','a:8:{s:4:\"uuid\";s:36:\"1e63c648-ea0c-4c85-9b8d-7cba9ed36d08\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:7:\"comment\";}}s:2:\"id\";s:13:\"comment.token\";s:5:\"label\";s:5:\"Token\";s:16:\"targetEntityType\";s:7:\"comment\";s:5:\"cache\";b:1;}',-1,1636012250.066,1,'','0'),('core.entity_view_mode.contact_message.token','a:8:{s:4:\"uuid\";s:36:\"ff589cba-3995-4b9f-ae88-f0ea4eff90ff\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:7:\"contact\";}}s:2:\"id\";s:21:\"contact_message.token\";s:5:\"label\";s:5:\"Token\";s:16:\"targetEntityType\";s:15:\"contact_message\";s:5:\"cache\";b:1;}',-1,1636012250.066,1,'','0'),('core.entity_view_mode.file.token','a:8:{s:4:\"uuid\";s:36:\"79a84e8c-7d6d-4910-a4ba-f548fece6d24\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"file\";}}s:2:\"id\";s:10:\"file.token\";s:5:\"label\";s:5:\"Token\";s:16:\"targetEntityType\";s:4:\"file\";s:5:\"cache\";b:1;}',-1,1636012250.066,1,'','0'),('core.entity_view_mode.menu_link_content.token','a:8:{s:4:\"uuid\";s:36:\"37d1a394-5d96-4872-a4e8-8d4d2d085f0e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"menu_link_content\";}}s:2:\"id\";s:23:\"menu_link_content.token\";s:5:\"label\";s:5:\"Token\";s:16:\"targetEntityType\";s:17:\"menu_link_content\";s:5:\"cache\";b:1;}',-1,1636012250.066,1,'','0'),('core.entity_view_mode.node.email_html','a:9:{s:4:\"uuid\";s:36:\"b240fc1f-30f7-4d0d-876c-cf5c44e4dbf5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:2:{s:8:\"enforced\";a:1:{s:6:\"module\";a:1:{i:0;s:10:\"simplenews\";}}s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"iQNOEsNlbBFbVMOoSwtfUd8YC0XpRLzTjXv48HYfxwE\";}s:2:\"id\";s:15:\"node.email_html\";s:5:\"label\";s:11:\"Email: HTML\";s:16:\"targetEntityType\";s:4:\"node\";s:5:\"cache\";b:1;}',-1,1636012250.066,1,'','0'),('core.entity_view_mode.node.email_plain','a:9:{s:4:\"uuid\";s:36:\"6c74b1f8-f113-4940-a6c1-58332c377bd6\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:2:{s:8:\"enforced\";a:1:{s:6:\"module\";a:1:{i:0;s:10:\"simplenews\";}}s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"rCDGCl6pMFu6zZuErLQggKvmawfFDysFcZNCDL72U4M\";}s:2:\"id\";s:16:\"node.email_plain\";s:5:\"label\";s:12:\"Email: Plain\";s:16:\"targetEntityType\";s:4:\"node\";s:5:\"cache\";b:1;}',-1,1636012250.066,1,'','0'),('core.entity_view_mode.node.email_textalt','a:9:{s:4:\"uuid\";s:36:\"b7c20b42-33c6-43a4-96fe-8619f28fd96a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:2:{s:8:\"enforced\";a:1:{s:6:\"module\";a:1:{i:0;s:10:\"simplenews\";}}s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"3VUPDEGmxWyAGCr0U_RTGoPS3xmNiOj3NU0wy4vxgwI\";}s:2:\"id\";s:18:\"node.email_textalt\";s:5:\"label\";s:28:\"Email: HTML text alternative\";s:16:\"targetEntityType\";s:4:\"node\";s:5:\"cache\";b:1;}',-1,1636012250.066,1,'','0'),('core.entity_view_mode.node.full','a:9:{s:4:\"uuid\";s:36:\"651b023b-49de-4c40-9cf2-71170d3cd709\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"ElrtInxGjZd7GaapJ5O9n-ugi2hG2IxFivtgn0tHOsk\";}s:2:\"id\";s:9:\"node.full\";s:5:\"label\";s:12:\"Full content\";s:16:\"targetEntityType\";s:4:\"node\";s:5:\"cache\";b:1;}',-1,1636012250.066,1,'','0'),('core.entity_view_mode.node.rss','a:9:{s:4:\"uuid\";s:36:\"ab44ddff-9f3b-4b89-9f6f-8601dacc16f0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"vlYzr-rp2f9NMp-Qlr4sFjlqRq-90mco5-afLNGwCrU\";}s:2:\"id\";s:8:\"node.rss\";s:5:\"label\";s:3:\"RSS\";s:16:\"targetEntityType\";s:4:\"node\";s:5:\"cache\";b:1;}',-1,1636012250.066,1,'','0'),('core.entity_view_mode.node.search_index','a:9:{s:4:\"uuid\";s:36:\"34d350ab-2db4-480d-a608-2536c67ba343\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"fVFfJv_GzBRE-wpRHbfD5a3VjnhbEOXG6lvRd3uaccY\";}s:2:\"id\";s:17:\"node.search_index\";s:5:\"label\";s:12:\"Search index\";s:16:\"targetEntityType\";s:4:\"node\";s:5:\"cache\";b:1;}',-1,1636012250.066,1,'','0'),('core.entity_view_mode.node.search_result','a:9:{s:4:\"uuid\";s:36:\"322e223e-e9da-4f41-8de1-02492ebd3cb8\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"6GCOQ-jP2RbdbHA5YWQ6bT8CfGbqrBYKOSC_XY4E3ZM\";}s:2:\"id\";s:18:\"node.search_result\";s:5:\"label\";s:32:\"Search result highlighting input\";s:16:\"targetEntityType\";s:4:\"node\";s:5:\"cache\";b:1;}',-1,1636012250.066,1,'','0'),('core.entity_view_mode.node.teaser','a:9:{s:4:\"uuid\";s:36:\"026a8761-bc16-4de5-bff7-37e0c0c7be8e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"Mz9qWr1kUYK0mjRAGDsr5XS6PvtZ24en_7ndt-pyWe4\";}s:2:\"id\";s:11:\"node.teaser\";s:5:\"label\";s:6:\"Teaser\";s:16:\"targetEntityType\";s:4:\"node\";s:5:\"cache\";b:1;}',-1,1636012250.066,1,'','0'),('core.entity_view_mode.node.token','a:8:{s:4:\"uuid\";s:36:\"4fc3c08f-567d-415a-be2d-b84db5f7283c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:10:\"node.token\";s:5:\"label\";s:5:\"Token\";s:16:\"targetEntityType\";s:4:\"node\";s:5:\"cache\";b:1;}',-1,1636012250.066,1,'','0'),('core.entity_view_mode.shortcut.token','a:8:{s:4:\"uuid\";s:36:\"170950bf-7d2d-44a7-9b71-4356798ade52\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:8:\"shortcut\";}}s:2:\"id\";s:14:\"shortcut.token\";s:5:\"label\";s:5:\"Token\";s:16:\"targetEntityType\";s:8:\"shortcut\";s:5:\"cache\";b:1;}',-1,1636012250.066,1,'','0'),('core.entity_view_mode.taxonomy_term.full','a:9:{s:4:\"uuid\";s:36:\"9cce7646-9f8c-4000-9317-81242a77e183\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:8:\"taxonomy\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"-PPKjsNQPvoIDjOuUAvlLocYD976MNjb9Zpgyz5_BWE\";}s:2:\"id\";s:18:\"taxonomy_term.full\";s:5:\"label\";s:18:\"Taxonomy term page\";s:16:\"targetEntityType\";s:13:\"taxonomy_term\";s:5:\"cache\";b:1;}',-1,1636012250.066,1,'','0'),('core.entity_view_mode.taxonomy_term.token','a:8:{s:4:\"uuid\";s:36:\"4b62e7f3-e70b-4de4-bfd9-f77daa493d80\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:8:\"taxonomy\";}}s:2:\"id\";s:19:\"taxonomy_term.token\";s:5:\"label\";s:5:\"Token\";s:16:\"targetEntityType\";s:13:\"taxonomy_term\";s:5:\"cache\";b:1;}',-1,1636012250.066,1,'','0'),('core.entity_view_mode.tour.token','a:8:{s:4:\"uuid\";s:36:\"3371dda6-434b-411f-a6ed-1d0d88529d67\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"tour\";}}s:2:\"id\";s:10:\"tour.token\";s:5:\"label\";s:5:\"Token\";s:16:\"targetEntityType\";s:4:\"tour\";s:5:\"cache\";b:1;}',-1,1636012250.066,1,'','0'),('core.entity_view_mode.user.compact','a:9:{s:4:\"uuid\";s:36:\"79198018-bf67-4ae7-a786-86e30e0fc2fd\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"71CSAr_LNPcgu6D6jI4INl1KATkahmeyUFBETAWya8g\";}s:2:\"id\";s:12:\"user.compact\";s:5:\"label\";s:7:\"Compact\";s:16:\"targetEntityType\";s:4:\"user\";s:5:\"cache\";b:1;}',-1,1636012250.066,1,'','0'),('core.entity_view_mode.user.full','a:9:{s:4:\"uuid\";s:36:\"99237fee-d81d-423f-bcc0-7ac477f27595\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"mQIF_foYjmnVSr9MpcD4CTaJE_FpO1AyDd_DskztGhM\";}s:2:\"id\";s:9:\"user.full\";s:5:\"label\";s:12:\"User account\";s:16:\"targetEntityType\";s:4:\"user\";s:5:\"cache\";b:1;}',-1,1636012250.066,1,'','0'),('core.entity_view_mode.user.token','a:8:{s:4:\"uuid\";s:36:\"9d4a4f31-0332-4f48-89e6-d1a0de7951f4\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:2:\"id\";s:10:\"user.token\";s:5:\"label\";s:5:\"Token\";s:16:\"targetEntityType\";s:4:\"user\";s:5:\"cache\";b:1;}',-1,1636012250.066,1,'','0'),('core.extension','a:4:{s:6:\"module\";a:63:{s:13:\"admin_toolbar\";i:0;s:20:\"admin_toolbar_search\";i:0;s:19:\"admin_toolbar_tools\";i:0;s:14:\"automated_cron\";i:0;s:5:\"block\";i:0;s:11:\"block_class\";i:0;s:13:\"block_content\";i:0;s:10:\"breakpoint\";i:0;s:8:\"ckeditor\";i:0;s:5:\"color\";i:0;s:8:\"colorbox\";i:0;s:7:\"comment\";i:0;s:6:\"config\";i:0;s:18:\"config_translation\";i:0;s:7:\"contact\";i:0;s:19:\"content_translation\";i:0;s:10:\"contextual\";i:0;s:6:\"ctools\";i:0;s:8:\"datetime\";i:0;s:5:\"dblog\";i:0;s:18:\"dynamic_page_cache\";i:0;s:6:\"editor\";i:0;s:5:\"field\";i:0;s:8:\"field_ui\";i:0;s:4:\"file\";i:0;s:6:\"filter\";i:0;s:4:\"help\";i:0;s:7:\"history\";i:0;s:5:\"image\";i:0;s:8:\"language\";i:0;s:9:\"libraries\";i:0;s:4:\"link\";i:0;s:6:\"locale\";i:0;s:20:\"menu_link_attributes\";i:0;s:7:\"menu_ui\";i:0;s:4:\"node\";i:0;s:10:\"node_class\";i:0;s:7:\"options\";i:0;s:10:\"page_cache\";i:0;s:4:\"path\";i:0;s:10:\"path_alias\";i:0;s:9:\"quickedit\";i:0;s:3:\"rdf\";i:0;s:16:\"responsive_image\";i:0;s:6:\"search\";i:0;s:9:\"sharethis\";i:0;s:8:\"shortcut\";i:0;s:10:\"simplenews\";i:0;s:6:\"system\";i:0;s:8:\"taxonomy\";i:0;s:4:\"text\";i:0;s:5:\"token\";i:0;s:7:\"toolbar\";i:0;s:4:\"tour\";i:0;s:6:\"update\";i:0;s:4:\"user\";i:0;s:17:\"video_embed_field\";i:0;s:8:\"views_ui\";i:0;s:11:\"we_megamenu\";i:0;s:17:\"menu_link_content\";i:1;s:8:\"pathauto\";i:1;s:5:\"views\";i:10;s:8:\"standard\";i:1000;}s:5:\"theme\";a:5:{s:6:\"stable\";i:0;s:6:\"classy\";i:0;s:6:\"bartik\";i:0;s:5:\"seven\";i:0;s:9:\"luxestate\";i:0;}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"m2GVq11UAOVuNgj8x0t5fMOPujpvQQ_zxLoaly1BMEU\";}s:7:\"profile\";s:8:\"standard\";}',-1,1636011224.706,1,'','0'),('core.menu.static_menu_link_overrides','a:2:{s:11:\"definitions\";a:3:{s:18:\"contact__site_page\";a:5:{s:7:\"enabled\";b:1;s:9:\"menu_name\";s:6:\"footer\";s:6:\"parent\";s:0:\"\";s:6:\"weight\";i:0;s:8:\"expanded\";b:0;}s:20:\"standard__front_page\";a:5:{s:6:\"weight\";i:-50;s:9:\"menu_name\";s:4:\"main\";s:6:\"parent\";s:0:\"\";s:8:\"expanded\";b:0;s:7:\"enabled\";b:1;}s:10:\"user__page\";a:5:{s:9:\"menu_name\";s:7:\"account\";s:6:\"parent\";s:0:\"\";s:6:\"weight\";i:-10;s:8:\"expanded\";b:0;s:7:\"enabled\";b:1;}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"jdY7AU0tU-QsjmiOw3W8vwpYMb-By--_MSFgbqKUTYM\";}}',-1,1636011228.293,1,'','0'),('dblog.settings','a:2:{s:9:\"row_limit\";i:1000;s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"e883aGsrt1wFrsydlYU584PZONCSfRy0DtkZ9KzHb58\";}}',-1,1636709609.426,1,'','0'),('editor.editor.basic_html','a:9:{s:4:\"uuid\";s:36:\"6f9461fb-2138-4a10-9f44-c84e13b13495\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:24:\"filter.format.basic_html\";}s:6:\"module\";a:1:{i:0;s:8:\"ckeditor\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"AqlPmO16LvJI4D0Ih6u4GFQIzqr5OnLgAUSjcUGWk2g\";}s:6:\"format\";s:10:\"basic_html\";s:6:\"editor\";s:8:\"ckeditor\";s:8:\"settings\";a:2:{s:7:\"toolbar\";a:1:{s:4:\"rows\";a:1:{i:0;a:6:{i:0;a:2:{s:4:\"name\";s:10:\"Formatting\";s:5:\"items\";a:2:{i:0;s:4:\"Bold\";i:1;s:6:\"Italic\";}}i:1;a:2:{s:4:\"name\";s:7:\"Linking\";s:5:\"items\";a:2:{i:0;s:10:\"DrupalLink\";i:1;s:12:\"DrupalUnlink\";}}i:2;a:2:{s:4:\"name\";s:5:\"Lists\";s:5:\"items\";a:2:{i:0;s:12:\"BulletedList\";i:1;s:12:\"NumberedList\";}}i:3;a:2:{s:4:\"name\";s:5:\"Media\";s:5:\"items\";a:2:{i:0;s:10:\"Blockquote\";i:1;s:11:\"DrupalImage\";}}i:4;a:2:{s:4:\"name\";s:16:\"Block Formatting\";s:5:\"items\";a:1:{i:0;s:6:\"Format\";}}i:5;a:2:{s:4:\"name\";s:5:\"Tools\";s:5:\"items\";a:1:{i:0;s:6:\"Source\";}}}}}s:7:\"plugins\";a:1:{s:11:\"stylescombo\";a:1:{s:6:\"styles\";s:0:\"\";}}}s:12:\"image_upload\";a:5:{s:6:\"status\";b:1;s:6:\"scheme\";s:6:\"public\";s:9:\"directory\";s:13:\"inline-images\";s:8:\"max_size\";s:0:\"\";s:14:\"max_dimensions\";a:2:{s:5:\"width\";i:0;s:6:\"height\";i:0;}}}',-1,1636012254.732,1,'','0'),('editor.editor.full_html','a:9:{s:4:\"uuid\";s:36:\"bf57c16d-4f10-4dda-ba52-74d3d163e2be\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:23:\"filter.format.full_html\";}s:6:\"module\";a:1:{i:0;s:8:\"ckeditor\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"967ijj7p6i7rwrYl7r08WQFeCY_c23YAh0h8u-w_CXM\";}s:6:\"format\";s:9:\"full_html\";s:6:\"editor\";s:8:\"ckeditor\";s:8:\"settings\";a:2:{s:7:\"toolbar\";a:1:{s:4:\"rows\";a:1:{i:0;a:6:{i:0;a:2:{s:4:\"name\";s:10:\"Formatting\";s:5:\"items\";a:7:{i:0;s:4:\"Bold\";i:1;s:6:\"Italic\";i:2;s:6:\"Strike\";i:3;s:11:\"Superscript\";i:4;s:9:\"Subscript\";i:5;s:1:\"-\";i:6;s:12:\"RemoveFormat\";}}i:1;a:2:{s:4:\"name\";s:7:\"Linking\";s:5:\"items\";a:2:{i:0;s:10:\"DrupalLink\";i:1;s:12:\"DrupalUnlink\";}}i:2;a:2:{s:4:\"name\";s:5:\"Lists\";s:5:\"items\";a:2:{i:0;s:12:\"BulletedList\";i:1;s:12:\"NumberedList\";}}i:3;a:2:{s:4:\"name\";s:5:\"Media\";s:5:\"items\";a:4:{i:0;s:10:\"Blockquote\";i:1;s:11:\"DrupalImage\";i:2;s:5:\"Table\";i:3;s:14:\"HorizontalRule\";}}i:4;a:2:{s:4:\"name\";s:16:\"Block Formatting\";s:5:\"items\";a:1:{i:0;s:6:\"Format\";}}i:5;a:2:{s:4:\"name\";s:5:\"Tools\";s:5:\"items\";a:2:{i:0;s:10:\"ShowBlocks\";i:1;s:6:\"Source\";}}}}}s:7:\"plugins\";a:2:{s:8:\"language\";a:1:{s:13:\"language_list\";s:2:\"un\";}s:11:\"stylescombo\";a:1:{s:6:\"styles\";s:0:\"\";}}}s:12:\"image_upload\";a:5:{s:6:\"status\";b:1;s:6:\"scheme\";s:6:\"public\";s:9:\"directory\";s:13:\"inline-images\";s:8:\"max_size\";s:0:\"\";s:14:\"max_dimensions\";a:2:{s:5:\"width\";N;s:6:\"height\";N;}}}',-1,1636012254.732,1,'','0'),('field.field.block_content.basic.body','a:17:{s:4:\"uuid\";s:36:\"617fc148-b825-49eb-a0f8-1c795ecd7ea6\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:24:\"block_content.type.basic\";i:1;s:32:\"field.storage.block_content.body\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"R__6wc-rMfFMO8d7jcgqnqiA92j8spKhcc5MiqecrMc\";}s:2:\"id\";s:24:\"block_content.basic.body\";s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";s:5:\"basic\";s:5:\"label\";s:4:\"Body\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:15:\"display_summary\";b:0;s:16:\"required_summary\";b:0;}s:10:\"field_type\";s:17:\"text_with_summary\";}',-1,1636011226.931,1,'','0'),('field.field.comment.comment.comment_body','a:17:{s:4:\"uuid\";s:36:\"963c436d-85aa-4b14-97bc-05d7813594bc\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:20:\"comment.type.comment\";i:1;s:34:\"field.storage.comment.comment_body\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"TmAKjNrJ7RR60YpqvJq_QqEewYe_S8Kd23n8VRCqiWs\";}s:2:\"id\";s:28:\"comment.comment.comment_body\";s:10:\"field_name\";s:12:\"comment_body\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:7:\"comment\";s:5:\"label\";s:7:\"Comment\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:9:\"text_long\";}',-1,1636011226.953,1,'','0'),('field.field.node.article.body','a:17:{s:4:\"uuid\";s:36:\"8535255e-3824-4bb3-9164-fba7825bdb3b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:23:\"field.storage.node.body\";i:1;s:17:\"node.type.article\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"Ay3b2hq42cpQTFB_lNu8S2ZxuVIY6-dlBsc7vLeJ-YY\";}s:2:\"id\";s:17:\"node.article.body\";s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:7:\"article\";s:5:\"label\";s:4:\"Body\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:15:\"display_summary\";b:1;s:16:\"required_summary\";b:0;}s:10:\"field_type\";s:17:\"text_with_summary\";}',-1,1636011226.987,1,'','0'),('field.field.node.article.comment','a:17:{s:4:\"uuid\";s:36:\"d022d48f-52dc-4609-8898-515da38879ec\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:26:\"field.storage.node.comment\";i:1;s:17:\"node.type.article\";}s:6:\"module\";a:1:{i:0;s:7:\"comment\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"szSOp-8eNsMcuh8usDre1x76RhDKaPhNUuwzRX5cgv4\";}s:2:\"id\";s:20:\"node.article.comment\";s:10:\"field_name\";s:7:\"comment\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:7:\"article\";s:5:\"label\";s:8:\"Comments\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:1;s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:6:{s:6:\"status\";i:2;s:3:\"cid\";i:0;s:17:\"last_comment_name\";N;s:22:\"last_comment_timestamp\";i:0;s:16:\"last_comment_uid\";i:0;s:13:\"comment_count\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:5:{s:12:\"default_mode\";i:1;s:8:\"per_page\";i:50;s:13:\"form_location\";b:1;s:9:\"anonymous\";i:0;s:7:\"preview\";i:1;}s:10:\"field_type\";s:7:\"comment\";}',-1,1636011227.085,1,'','0'),('field.field.node.article.field_banner','a:17:{s:4:\"uuid\";s:36:\"0d775f34-813a-4f1b-832e-e3ff7f10e6e0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:31:\"field.storage.node.field_banner\";i:1;s:17:\"node.type.article\";}s:6:\"module\";a:2:{i:0;s:19:\"content_translation\";i:1;s:5:\"image\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:16:\"translation_sync\";a:3:{s:3:\"alt\";s:3:\"alt\";s:5:\"title\";s:5:\"title\";s:4:\"file\";s:1:\"0\";}}}s:2:\"id\";s:25:\"node.article.field_banner\";s:10:\"field_name\";s:12:\"field_banner\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:7:\"article\";s:5:\"label\";s:6:\"Banner\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:12:{s:14:\"file_directory\";s:12:\"field/banner\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:18:\"alt_field_required\";b:0;s:11:\"title_field\";b:1;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}}s:10:\"field_type\";s:5:\"image\";}',-1,1636011227.085,1,'','0'),('field.field.node.article.field_image','a:18:{s:4:\"uuid\";s:36:\"5cd96fc2-a268-4565-acbb-47d1d7a661dc\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:30:\"field.storage.node.field_image\";i:1;s:17:\"node.type.article\";}s:6:\"module\";a:2:{i:0;s:19:\"content_translation\";i:1;s:5:\"image\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:16:\"translation_sync\";a:3:{s:3:\"alt\";s:3:\"alt\";s:5:\"title\";s:5:\"title\";s:4:\"file\";s:1:\"0\";}}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"tgJzhA7Swh4M_gWU5FwFe5lPxPj5rebpMbvhpdNrERs\";}s:2:\"id\";s:24:\"node.article.field_image\";s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:7:\"article\";s:5:\"label\";s:5:\"Image\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:12:{s:14:\"file_directory\";s:31:\"[date:custom:Y]-[date:custom:m]\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:11:\"title_field\";b:0;s:18:\"alt_field_required\";b:1;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";N;s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}}s:10:\"field_type\";s:5:\"image\";}',-1,1636011227.085,1,'','0'),('field.field.node.article.field_su','a:16:{s:4:\"uuid\";s:36:\"838268ab-2a51-4c16-8fda-aea368e2c03b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:27:\"field.storage.node.field_su\";i:1;s:17:\"node.type.article\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:21:\"node.article.field_su\";s:10:\"field_name\";s:8:\"field_su\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:7:\"article\";s:5:\"label\";s:7:\"Summary\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:9:\"text_long\";}',-1,1636011227.085,1,'','0'),('field.field.node.article.field_tags','a:17:{s:4:\"uuid\";s:36:\"2db5574a-d8e5-4f25-89f8-bad82b3f89a4\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:3:{i:0;s:29:\"field.storage.node.field_tags\";i:1;s:17:\"node.type.article\";i:2;s:24:\"taxonomy.vocabulary.tags\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"QdUgf_beeoaPiyKorFv0q1fcJpWH_uZTqe_xoVJacrw\";}s:2:\"id\";s:23:\"node.article.field_tags\";s:10:\"field_name\";s:10:\"field_tags\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:7:\"article\";s:5:\"label\";s:4:\"Tags\";s:11:\"description\";s:84:\"Enter a comma-separated list. For example: Amsterdam, Mexico City, \"Cleveland, Ohio\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:7:\"handler\";s:21:\"default:taxonomy_term\";s:16:\"handler_settings\";a:3:{s:14:\"target_bundles\";a:1:{s:4:\"tags\";s:4:\"tags\";}s:4:\"sort\";a:1:{s:5:\"field\";s:5:\"_none\";}s:11:\"auto_create\";b:1;}}s:10:\"field_type\";s:16:\"entity_reference\";}',-1,1636011227.085,1,'','0'),('field.field.node.banner.body','a:16:{s:4:\"uuid\";s:36:\"7ebb332b-5502-40e1-b3e7-69a45afe4b84\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:23:\"field.storage.node.body\";i:1;s:16:\"node.type.banner\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:16:\"node.banner.body\";s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:6:\"banner\";s:5:\"label\";s:17:\"Short description\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:15:\"display_summary\";b:1;s:16:\"required_summary\";b:0;}s:10:\"field_type\";s:17:\"text_with_summary\";}',-1,1636011227.032,1,'','0'),('field.field.node.banner.field_banner_title','a:16:{s:4:\"uuid\";s:36:\"3c51716a-2a87-4c86-baaf-bb758019980d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:2:{i:0;s:37:\"field.storage.node.field_banner_title\";i:1;s:16:\"node.type.banner\";}}s:2:\"id\";s:30:\"node.banner.field_banner_title\";s:10:\"field_name\";s:18:\"field_banner_title\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:6:\"banner\";s:5:\"label\";s:12:\"Banner title\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:11:\"string_long\";}',-1,1636011227.108,1,'','0'),('field.field.node.banner.field_image','a:16:{s:4:\"uuid\";s:36:\"8099a257-5265-484c-90c8-eb10f94e5104\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:30:\"field.storage.node.field_image\";i:1;s:16:\"node.type.banner\";}s:6:\"module\";a:1:{i:0;s:5:\"image\";}}s:2:\"id\";s:23:\"node.banner.field_image\";s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:6:\"banner\";s:5:\"label\";s:6:\"Banner\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:12:{s:14:\"file_directory\";s:12:\"field/banner\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:18:\"alt_field_required\";b:0;s:11:\"title_field\";b:1;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}}s:10:\"field_type\";s:5:\"image\";}',-1,1636011227.108,1,'','0'),('field.field.node.banner.field_type','a:16:{s:4:\"uuid\";s:36:\"f7f01996-237c-46f7-b3dc-8f5acec7245d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:29:\"field.storage.node.field_type\";i:1;s:16:\"node.type.banner\";}s:6:\"module\";a:1:{i:0;s:7:\"options\";}}s:2:\"id\";s:22:\"node.banner.field_type\";s:10:\"field_name\";s:10:\"field_type\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:6:\"banner\";s:5:\"label\";s:4:\"Type\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:11:\"list_string\";}',-1,1636011227.108,1,'','0'),('field.field.node.blog.body','a:16:{s:4:\"uuid\";s:36:\"f88faf78-0644-43b4-91fc-77f58f3a76b0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:23:\"field.storage.node.body\";i:1;s:14:\"node.type.blog\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:14:\"node.blog.body\";s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"blog\";s:5:\"label\";s:4:\"Body\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:15:\"display_summary\";b:1;s:16:\"required_summary\";b:0;}s:10:\"field_type\";s:17:\"text_with_summary\";}',-1,1636011227.020,1,'','0'),('field.field.node.blog.comment','a:16:{s:4:\"uuid\";s:36:\"23ecfb1a-3ea9-4143-afca-bfabb30ea05e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:26:\"field.storage.node.comment\";i:1;s:14:\"node.type.blog\";}s:6:\"module\";a:1:{i:0;s:7:\"comment\";}}s:2:\"id\";s:17:\"node.blog.comment\";s:10:\"field_name\";s:7:\"comment\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"blog\";s:5:\"label\";s:8:\"Comments\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:6:{s:6:\"status\";i:2;s:3:\"cid\";i:0;s:22:\"last_comment_timestamp\";i:0;s:17:\"last_comment_name\";N;s:16:\"last_comment_uid\";i:0;s:13:\"comment_count\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:5:{s:12:\"default_mode\";i:1;s:8:\"per_page\";i:50;s:9:\"anonymous\";i:0;s:13:\"form_location\";b:1;s:7:\"preview\";i:1;}s:10:\"field_type\";s:7:\"comment\";}',-1,1636011227.131,1,'','0'),('field.field.node.blog.field_image','a:17:{s:4:\"uuid\";s:36:\"f3cc3618-60b4-4e4c-aabe-fbcd3a2d6d90\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:30:\"field.storage.node.field_image\";i:1;s:14:\"node.type.blog\";}s:6:\"module\";a:2:{i:0;s:19:\"content_translation\";i:1;s:5:\"image\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:16:\"translation_sync\";a:3:{s:3:\"alt\";s:3:\"alt\";s:5:\"title\";s:5:\"title\";s:4:\"file\";s:1:\"0\";}}}s:2:\"id\";s:21:\"node.blog.field_image\";s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"blog\";s:5:\"label\";s:5:\"Image\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:12:{s:14:\"file_directory\";s:10:\"field/blog\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:18:\"alt_field_required\";b:0;s:11:\"title_field\";b:1;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}}s:10:\"field_type\";s:5:\"image\";}',-1,1636011227.131,1,'','0'),('field.field.node.blog.field_slideshow','a:17:{s:4:\"uuid\";s:36:\"29727e2e-df46-488a-a810-f11ea23511e5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:34:\"field.storage.node.field_slideshow\";i:1;s:14:\"node.type.blog\";}s:6:\"module\";a:2:{i:0;s:19:\"content_translation\";i:1;s:5:\"image\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:16:\"translation_sync\";a:3:{s:3:\"alt\";s:3:\"alt\";s:5:\"title\";s:5:\"title\";s:4:\"file\";s:1:\"0\";}}}s:2:\"id\";s:25:\"node.blog.field_slideshow\";s:10:\"field_name\";s:15:\"field_slideshow\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"blog\";s:5:\"label\";s:9:\"Slideshow\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:12:{s:14:\"file_directory\";s:15:\"field/slideshow\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:18:\"alt_field_required\";b:0;s:11:\"title_field\";b:1;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}}s:10:\"field_type\";s:5:\"image\";}',-1,1636011227.131,1,'','0'),('field.field.node.blog.field_tags','a:16:{s:4:\"uuid\";s:36:\"328b7f74-1b58-4d96-a5ca-97070084fa91\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:3:{i:0;s:29:\"field.storage.node.field_tags\";i:1;s:14:\"node.type.blog\";i:2;s:24:\"taxonomy.vocabulary.tags\";}}s:2:\"id\";s:20:\"node.blog.field_tags\";s:10:\"field_name\";s:10:\"field_tags\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"blog\";s:5:\"label\";s:4:\"Tags\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:7:\"handler\";s:21:\"default:taxonomy_term\";s:16:\"handler_settings\";a:4:{s:14:\"target_bundles\";a:1:{s:4:\"tags\";s:4:\"tags\";}s:4:\"sort\";a:1:{s:5:\"field\";s:5:\"_none\";}s:11:\"auto_create\";b:0;s:18:\"auto_create_bundle\";s:0:\"\";}}s:10:\"field_type\";s:16:\"entity_reference\";}',-1,1636011227.131,1,'','0'),('field.field.node.blog.field_video','a:16:{s:4:\"uuid\";s:36:\"02c3e309-16ad-4a27-b424-3379ed09e32f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:30:\"field.storage.node.field_video\";i:1;s:14:\"node.type.blog\";}s:6:\"module\";a:1:{i:0;s:17:\"video_embed_field\";}}s:2:\"id\";s:21:\"node.blog.field_video\";s:10:\"field_name\";s:11:\"field_video\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"blog\";s:5:\"label\";s:5:\"Video\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:1:{s:17:\"allowed_providers\";a:3:{s:5:\"vimeo\";s:5:\"vimeo\";s:7:\"youtube\";s:7:\"youtube\";s:16:\"youtube_playlist\";s:1:\"0\";}}s:10:\"field_type\";s:17:\"video_embed_field\";}',-1,1636011227.131,1,'','0'),('field.field.node.our_mission.body','a:16:{s:4:\"uuid\";s:36:\"40793a2c-16a2-4f41-9b28-6d1b631497bf\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:23:\"field.storage.node.body\";i:1;s:21:\"node.type.our_mission\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:21:\"node.our_mission.body\";s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:11:\"our_mission\";s:5:\"label\";s:4:\"Body\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:15:\"display_summary\";b:1;s:16:\"required_summary\";b:0;}s:10:\"field_type\";s:17:\"text_with_summary\";}',-1,1636011227.054,1,'','0'),('field.field.node.our_mission.field_image','a:16:{s:4:\"uuid\";s:36:\"51baa96d-12fb-45f4-8e4c-889896ac394d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:30:\"field.storage.node.field_image\";i:1;s:21:\"node.type.our_mission\";}s:6:\"module\";a:1:{i:0;s:5:\"image\";}}s:2:\"id\";s:28:\"node.our_mission.field_image\";s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:11:\"our_mission\";s:5:\"label\";s:5:\"Image\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:12:{s:14:\"file_directory\";s:17:\"field/our_mission\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:18:\"alt_field_required\";b:0;s:11:\"title_field\";b:1;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}}s:10:\"field_type\";s:5:\"image\";}',-1,1636011227.162,1,'','0'),('field.field.node.our_services.body','a:16:{s:4:\"uuid\";s:36:\"9e0a03ef-8ad0-4c36-b505-bf6f9a56dcab\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:23:\"field.storage.node.body\";i:1;s:22:\"node.type.our_services\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:22:\"node.our_services.body\";s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:12:\"our_services\";s:5:\"label\";s:4:\"Body\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:15:\"display_summary\";b:1;s:16:\"required_summary\";b:0;}s:10:\"field_type\";s:17:\"text_with_summary\";}',-1,1636011227.072,1,'','0'),('field.field.node.our_services.field_percent','a:16:{s:4:\"uuid\";s:36:\"fbfdc492-6233-4ca9-a11a-38b7957e4257\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:2:{i:0;s:32:\"field.storage.node.field_percent\";i:1;s:22:\"node.type.our_services\";}}s:2:\"id\";s:31:\"node.our_services.field_percent\";s:10:\"field_name\";s:13:\"field_percent\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:12:\"our_services\";s:5:\"label\";s:7:\"Percent\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:4:{s:3:\"min\";d:0;s:3:\"max\";d:100;s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:1:\"%\";}s:10:\"field_type\";s:5:\"float\";}',-1,1636011227.193,1,'','0'),('field.field.node.page.body','a:17:{s:4:\"uuid\";s:36:\"5afd535f-4955-4738-b95d-c9eccf70e2d0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:23:\"field.storage.node.body\";i:1;s:14:\"node.type.page\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"rUop-8b6hvxxDYbv-KobTfNIBNbPY9qOPl8f6kBNSpw\";}s:2:\"id\";s:14:\"node.page.body\";s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"page\";s:5:\"label\";s:4:\"Body\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:15:\"display_summary\";b:1;s:16:\"required_summary\";b:0;}s:10:\"field_type\";s:17:\"text_with_summary\";}',-1,1636011226.976,1,'','0'),('field.field.node.page.field_icon_class','a:16:{s:4:\"uuid\";s:36:\"5eab01ba-0567-43cf-9dbc-864792008222\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:2:{i:0;s:35:\"field.storage.node.field_icon_class\";i:1;s:14:\"node.type.page\";}}s:2:\"id\";s:26:\"node.page.field_icon_class\";s:10:\"field_name\";s:16:\"field_icon_class\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"page\";s:5:\"label\";s:10:\"Icon class\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}',-1,1636011227.220,1,'','0'),('field.field.node.partners.body','a:16:{s:4:\"uuid\";s:36:\"2d693a5a-f25e-47fc-be01-15b07589ebd5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:23:\"field.storage.node.body\";i:1;s:18:\"node.type.partners\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:18:\"node.partners.body\";s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:8:\"partners\";s:5:\"label\";s:4:\"Body\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:15:\"display_summary\";b:1;s:16:\"required_summary\";b:0;}s:10:\"field_type\";s:17:\"text_with_summary\";}',-1,1636011226.998,1,'','0'),('field.field.node.partners.field_link','a:16:{s:4:\"uuid\";s:36:\"1b46fda6-bf86-4cb4-b5e8-3bdb73899123\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:29:\"field.storage.node.field_link\";i:1;s:18:\"node.type.partners\";}s:6:\"module\";a:1:{i:0;s:4:\"link\";}}s:2:\"id\";s:24:\"node.partners.field_link\";s:10:\"field_name\";s:10:\"field_link\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:8:\"partners\";s:5:\"label\";s:4:\"Link\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:9:\"link_type\";i:17;s:5:\"title\";i:1;}s:10:\"field_type\";s:4:\"link\";}',-1,1636011227.242,1,'','0'),('field.field.node.partners.field_partners','a:16:{s:4:\"uuid\";s:36:\"c5c621d8-c239-44fa-8585-9625710009f3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:33:\"field.storage.node.field_partners\";i:1;s:18:\"node.type.partners\";}s:6:\"module\";a:1:{i:0;s:5:\"image\";}}s:2:\"id\";s:28:\"node.partners.field_partners\";s:10:\"field_name\";s:14:\"field_partners\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:8:\"partners\";s:5:\"label\";s:8:\"Partners\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:12:{s:14:\"file_directory\";s:14:\"field/partners\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:18:\"alt_field_required\";b:0;s:11:\"title_field\";b:1;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}}s:10:\"field_type\";s:5:\"image\";}',-1,1636011227.242,1,'','0'),('field.field.node.portfolio.body','a:16:{s:4:\"uuid\";s:36:\"64091b85-f7dc-4af0-a67b-d5412e5617c5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:23:\"field.storage.node.body\";i:1;s:19:\"node.type.portfolio\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:19:\"node.portfolio.body\";s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:9:\"portfolio\";s:5:\"label\";s:4:\"Body\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:15:\"display_summary\";b:1;s:16:\"required_summary\";b:0;}s:10:\"field_type\";s:17:\"text_with_summary\";}',-1,1636011227.009,1,'','0'),('field.field.node.portfolio.field_gallery','a:16:{s:4:\"uuid\";s:36:\"b59f96e5-9c60-4b17-be0b-1d9507ee63e6\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:32:\"field.storage.node.field_gallery\";i:1;s:19:\"node.type.portfolio\";}s:6:\"module\";a:1:{i:0;s:5:\"image\";}}s:2:\"id\";s:28:\"node.portfolio.field_gallery\";s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:9:\"portfolio\";s:5:\"label\";s:7:\"Gallery\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:12:{s:14:\"file_directory\";s:13:\"field/gallery\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:18:\"alt_field_required\";b:0;s:11:\"title_field\";b:1;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}}s:10:\"field_type\";s:5:\"image\";}',-1,1636011227.264,1,'','0'),('field.field.node.simplenews_issue.body','a:17:{s:4:\"uuid\";s:36:\"fa08d833-71d4-4634-be81-deb833e6be3e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:23:\"field.storage.node.body\";i:1;s:26:\"node.type.simplenews_issue\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"WmXguLYedqjDlEM-2yau5wACNAMvrbCVHXQUn4GQEDA\";}s:2:\"id\";s:26:\"node.simplenews_issue.body\";s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:16:\"simplenews_issue\";s:5:\"label\";s:4:\"Body\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:15:\"display_summary\";b:0;s:16:\"required_summary\";b:0;}s:10:\"field_type\";s:17:\"text_with_summary\";}',-1,1636011227.043,1,'','0'),('field.field.node.simplenews_issue.simplenews_issue','a:17:{s:4:\"uuid\";s:36:\"767f9d7a-6ee4-4a54-bc98-d5419bd53a6d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:35:\"field.storage.node.simplenews_issue\";i:1;s:26:\"node.type.simplenews_issue\";}s:6:\"module\";a:1:{i:0;s:10:\"simplenews\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"7I8TFo87YOgsZYmlZeFxbC-uebIhSy0RGoSxIem8zUQ\";}s:2:\"id\";s:38:\"node.simplenews_issue.simplenews_issue\";s:10:\"field_name\";s:16:\"simplenews_issue\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:16:\"simplenews_issue\";s:5:\"label\";s:10:\"Newsletter\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:6:{s:9:\"target_id\";s:7:\"default\";s:7:\"handler\";s:14:\"simplenews_all\";s:16:\"handler_settings\";a:0:{}s:6:\"status\";i:0;s:10:\"sent_count\";i:0;s:11:\"subscribers\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:7:\"handler\";s:29:\"default:simplenews_newsletter\";s:16:\"handler_settings\";a:1:{s:14:\"target_bundles\";N;}}s:10:\"field_type\";s:16:\"simplenews_issue\";}',-1,1636011227.289,1,'','0'),('field.field.node.why_us.body','a:16:{s:4:\"uuid\";s:36:\"a54538db-ea2c-485a-bcec-dc37d879c449\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:23:\"field.storage.node.body\";i:1;s:16:\"node.type.why_us\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:16:\"node.why_us.body\";s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:6:\"why_us\";s:5:\"label\";s:4:\"Body\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:15:\"display_summary\";b:1;s:16:\"required_summary\";b:0;}s:10:\"field_type\";s:17:\"text_with_summary\";}',-1,1636011227.065,1,'','0'),('field.field.node.why_us.field_why_us_type','a:16:{s:4:\"uuid\";s:36:\"c9aaa05c-1a36-4433-b956-719da4bd2794\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:36:\"field.storage.node.field_why_us_type\";i:1;s:16:\"node.type.why_us\";}s:6:\"module\";a:1:{i:0;s:7:\"options\";}}s:2:\"id\";s:29:\"node.why_us.field_why_us_type\";s:10:\"field_name\";s:17:\"field_why_us_type\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:6:\"why_us\";s:5:\"label\";s:11:\"Why us type\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:11:\"list_string\";}',-1,1636011227.319,1,'','0'),('field.field.simplenews_subscriber.simplenews_subscriber.subscriptions','a:17:{s:4:\"uuid\";s:36:\"c266e9df-f450-4123-87ae-affd53fe6357\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:49:\"field.storage.simplenews_subscriber.subscriptions\";}s:6:\"module\";a:1:{i:0;s:10:\"simplenews\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"-FGoXJQMTtfhnYhAdYmmB815lFLwEn09sI0nyn2EbKM\";}s:2:\"id\";s:57:\"simplenews_subscriber.simplenews_subscriber.subscriptions\";s:10:\"field_name\";s:13:\"subscriptions\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";s:21:\"simplenews_subscriber\";s:5:\"label\";s:13:\"Subscriptions\";s:11:\"description\";s:24:\"We respect your privacy.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:7:\"handler\";s:29:\"default:simplenews_newsletter\";s:16:\"handler_settings\";a:2:{s:14:\"target_bundles\";N;s:11:\"auto_create\";b:0;}}s:10:\"field_type\";s:23:\"simplenews_subscription\";}',-1,1636011227.347,1,'','0'),('field.field.user.user.user_picture','a:18:{s:4:\"uuid\";s:36:\"e41371ef-0349-4e25-afc6-9bf888b580b4\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:31:\"field.storage.user.user_picture\";}s:6:\"module\";a:3:{i:0;s:19:\"content_translation\";i:1;s:5:\"image\";i:2;s:4:\"user\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:16:\"translation_sync\";a:3:{s:3:\"alt\";s:3:\"alt\";s:5:\"title\";s:5:\"title\";s:4:\"file\";s:1:\"0\";}}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"cL7i1kgJvlJa6H00f0E_fZ2KdD1ag0ASpLts0K-KNII\";}s:2:\"id\";s:22:\"user.user.user_picture\";s:10:\"field_name\";s:12:\"user_picture\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";s:4:\"user\";s:5:\"label\";s:7:\"Picture\";s:11:\"description\";s:29:\"Your virtual face or picture.\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:12:{s:14:\"file_directory\";s:40:\"pictures/[date:custom:Y]-[date:custom:m]\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:5:\"30 KB\";s:14:\"max_resolution\";s:7:\"250x250\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:0;s:18:\"alt_field_required\";b:0;s:11:\"title_field\";b:0;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}}s:10:\"field_type\";s:5:\"image\";}',-1,1636011227.370,1,'','0'),('field.settings','a:2:{s:16:\"purge_batch_size\";i:50;s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"nJk0TAQBzlNo52ehiHI7bIEPLGi0BYqZvPdEn7Chfu0\";}}',-1,1636709609.447,1,'','0'),('field.storage.block_content.body','a:17:{s:4:\"uuid\";s:36:\"376513d3-9d75-4403-b578-ad97f71231fa\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:13:\"block_content\";i:1;s:4:\"text\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"eS0snV_L3dx9shtWRTzm5eblwOJ7qKWC9IE-4GMTDFc\";}s:2:\"id\";s:18:\"block_content.body\";s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:13:\"block_content\";s:4:\"type\";s:17:\"text_with_summary\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:1;s:14:\"custom_storage\";b:0;}',-1,1636011226.656,1,'','0'),('field.storage.comment.comment_body','a:17:{s:4:\"uuid\";s:36:\"9b748097-7a4f-464f-96c4-4aa975cb0c86\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:7:\"comment\";i:1;s:4:\"text\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"swYoCch_hY8QO5uwr4FURplfnUCUlpPB4idF8WGVCpw\";}s:2:\"id\";s:20:\"comment.comment_body\";s:10:\"field_name\";s:12:\"comment_body\";s:11:\"entity_type\";s:7:\"comment\";s:4:\"type\";s:9:\"text_long\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:1;s:14:\"custom_storage\";b:0;}',-1,1636011226.714,1,'','0'),('field.storage.node.body','a:17:{s:4:\"uuid\";s:36:\"5b4f7200-9ce1-47fd-8771-3f4f0fe45388\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:4:\"text\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"EBUo7qOWqaiZaQ_RC9sLY5IoDKphS34v77VIHSACmVY\";}s:2:\"id\";s:9:\"node.body\";s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:17:\"text_with_summary\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:1;s:14:\"custom_storage\";b:0;}',-1,1636011226.841,1,'','0'),('field.storage.node.comment','a:17:{s:4:\"uuid\";s:36:\"2664db21-7715-460e-85f4-70b5c70ba1bc\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:7:\"comment\";i:1;s:4:\"node\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"ktCna9xmWvYZIUfOCUyDQvedn5RtnS4CRmEIwNmvYjc\";}s:2:\"id\";s:12:\"node.comment\";s:10:\"field_name\";s:7:\"comment\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:7:\"comment\";s:8:\"settings\";a:1:{s:12:\"comment_type\";s:7:\"comment\";}s:6:\"module\";s:7:\"comment\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1636011226.841,1,'','0'),('field.storage.node.field_banner','a:16:{s:4:\"uuid\";s:36:\"c66cc57d-76b7-4dc9-994b-f68c4bcf6e0d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:4:\"file\";i:1;s:5:\"image\";i:2;s:4:\"node\";}}s:2:\"id\";s:17:\"node.field_banner\";s:10:\"field_name\";s:12:\"field_banner\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1636011226.841,1,'','0'),('field.storage.node.field_banner_title','a:16:{s:4:\"uuid\";s:36:\"5a5cb1c4-0b64-4ad6-931e-858dafc0789f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:23:\"node.field_banner_title\";s:10:\"field_name\";s:18:\"field_banner_title\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:11:\"string_long\";s:8:\"settings\";a:1:{s:14:\"case_sensitive\";b:0;}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1636011226.841,1,'','0'),('field.storage.node.field_gallery','a:16:{s:4:\"uuid\";s:36:\"1517bdc8-d091-4e0f-8a1c-d287bd383250\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:4:\"file\";i:1;s:5:\"image\";i:2;s:4:\"node\";}}s:2:\"id\";s:18:\"node.field_gallery\";s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1636011226.841,1,'','0'),('field.storage.node.field_icon_class','a:16:{s:4:\"uuid\";s:36:\"7779bda3-6dd2-4c89-ad2a-3b07a9adc912\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:21:\"node.field_icon_class\";s:10:\"field_name\";s:16:\"field_icon_class\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1636011226.841,1,'','0'),('field.storage.node.field_image','a:17:{s:4:\"uuid\";s:36:\"99270b75-d166-44ea-adc5-35245a8806e2\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:4:\"file\";i:1;s:5:\"image\";i:2;s:4:\"node\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"SkXIPKZYiIMMtnBmfnxk58RYfbZ8cHSw5NZPY_JByME\";}s:2:\"id\";s:16:\"node.field_image\";s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";N;s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1636011226.841,1,'','0'),('field.storage.node.field_link','a:16:{s:4:\"uuid\";s:36:\"53c02de5-9554-4167-89f9-66e39fb7652a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"link\";i:1;s:4:\"node\";}}s:2:\"id\";s:15:\"node.field_link\";s:10:\"field_name\";s:10:\"field_link\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:4:\"link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"link\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1636011226.841,1,'','0'),('field.storage.node.field_partners','a:16:{s:4:\"uuid\";s:36:\"631deb2f-20f7-4e93-9457-e3bfe1c8cd19\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:4:\"file\";i:1;s:5:\"image\";i:2;s:4:\"node\";}}s:2:\"id\";s:19:\"node.field_partners\";s:10:\"field_name\";s:14:\"field_partners\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1636011226.841,1,'','0'),('field.storage.node.field_percent','a:16:{s:4:\"uuid\";s:36:\"cab51041-9a45-4c8f-a921-be60ddfa27ce\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:18:\"node.field_percent\";s:10:\"field_name\";s:13:\"field_percent\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:5:\"float\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1636011226.841,1,'','0'),('field.storage.node.field_slideshow','a:16:{s:4:\"uuid\";s:36:\"de75d22f-44ac-4dd0-a92b-10683cfca971\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:4:\"file\";i:1;s:5:\"image\";i:2;s:4:\"node\";}}s:2:\"id\";s:20:\"node.field_slideshow\";s:10:\"field_name\";s:15:\"field_slideshow\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1636011226.841,1,'','0'),('field.storage.node.field_su','a:16:{s:4:\"uuid\";s:36:\"51ea101f-de2d-4147-92f2-a1aa27aa9be8\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:4:\"text\";}}s:2:\"id\";s:13:\"node.field_su\";s:10:\"field_name\";s:8:\"field_su\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:9:\"text_long\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1636011226.841,1,'','0'),('field.storage.node.field_tags','a:17:{s:4:\"uuid\";s:36:\"b12e67cb-3bac-442c-b039-65ce91937ca5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:8:\"taxonomy\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"WpOE_bs8Bs_HY2ns7n2r__de-xno0-Bxkqep5-MsHAs\";}s:2:\"id\";s:15:\"node.field_tags\";s:10:\"field_name\";s:10:\"field_tags\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:13:\"taxonomy_term\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1636011226.841,1,'','0'),('field.storage.node.field_type','a:16:{s:4:\"uuid\";s:36:\"77a6aad6-0a3f-4c7a-914d-cfc651a97328\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:7:\"options\";}}s:2:\"id\";s:15:\"node.field_type\";s:10:\"field_name\";s:10:\"field_type\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:11:\"list_string\";s:8:\"settings\";a:2:{s:14:\"allowed_values\";a:8:{i:0;a:2:{s:5:\"value\";s:1:\"1\";s:5:\"label\";s:12:\"Blog details\";}i:1;a:2:{s:5:\"value\";s:1:\"2\";s:5:\"label\";s:9:\"Blog page\";}i:2;a:2:{s:5:\"value\";s:1:\"3\";s:5:\"label\";s:17:\"Portfolio details\";}i:3;a:2:{s:5:\"value\";s:1:\"4\";s:5:\"label\";s:14:\"Portfolio page\";}i:4;a:2:{s:5:\"value\";s:1:\"5\";s:5:\"label\";s:8:\"About us\";}i:5;a:2:{s:5:\"value\";s:1:\"6\";s:5:\"label\";s:7:\"Service\";}i:6;a:2:{s:5:\"value\";s:1:\"7\";s:5:\"label\";s:7:\"Contact\";}i:7;a:2:{s:5:\"value\";s:1:\"8\";s:5:\"label\";s:14:\"Userlogin page\";}}s:23:\"allowed_values_function\";s:0:\"\";}s:6:\"module\";s:7:\"options\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1636011226.841,1,'','0'),('field.storage.node.field_video','a:16:{s:4:\"uuid\";s:36:\"9b3c12ca-5601-4aa1-9786-aa727082ca17\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:17:\"video_embed_field\";}}s:2:\"id\";s:16:\"node.field_video\";s:10:\"field_name\";s:11:\"field_video\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:17:\"video_embed_field\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"video_embed_field\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1636011226.841,1,'','0'),('field.storage.node.field_why_us_type','a:16:{s:4:\"uuid\";s:36:\"a50b1fb6-85ee-4dd7-bd60-1d1b3f59bffa\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:7:\"options\";}}s:2:\"id\";s:22:\"node.field_why_us_type\";s:10:\"field_name\";s:17:\"field_why_us_type\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:11:\"list_string\";s:8:\"settings\";a:2:{s:14:\"allowed_values\";a:2:{i:0;a:2:{s:5:\"value\";s:1:\"1\";s:5:\"label\";s:8:\"About us\";}i:1;a:2:{s:5:\"value\";s:1:\"2\";s:5:\"label\";s:8:\"Services\";}}s:23:\"allowed_values_function\";s:0:\"\";}s:6:\"module\";s:7:\"options\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1636011226.841,1,'','0'),('field.storage.node.simplenews_issue','a:17:{s:4:\"uuid\";s:36:\"1b245196-bf51-4c0b-b807-66f1b282e695\";s:8:\"langcode\";s:3:\"und\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:10:\"simplenews\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"WH-ddyUo4oWNnk6HaulK2RLdPTM4CV0xBZSj5HFqAnQ\";}s:2:\"id\";s:21:\"node.simplenews_issue\";s:10:\"field_name\";s:16:\"simplenews_issue\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:16:\"simplenews_issue\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:21:\"simplenews_newsletter\";}s:6:\"module\";s:10:\"simplenews\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1636011226.841,1,'','0'),('field.storage.simplenews_subscriber.subscriptions','a:17:{s:4:\"uuid\";s:36:\"c7e7a770-0ad8-43e0-a3dd-f26ab3f0870b\";s:8:\"langcode\";s:3:\"und\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:10:\"simplenews\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"wPBNO4_O9cizdnYp2mpq2Dd3O163g-2v5v6_yazR4MA\";}s:2:\"id\";s:35:\"simplenews_subscriber.subscriptions\";s:10:\"field_name\";s:13:\"subscriptions\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:4:\"type\";s:23:\"simplenews_subscription\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:21:\"simplenews_newsletter\";}s:6:\"module\";s:10:\"simplenews\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1636011226.872,1,'','0'),('field.storage.user.user_picture','a:17:{s:4:\"uuid\";s:36:\"e64d8313-b823-473d-b7c5-f51613cc8e75\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:4:\"file\";i:1;s:5:\"image\";i:2;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"6k-VBFilDLuzgSOT-77CFgHFlcd5D-kqRixtH89EShU\";}s:2:\"id\";s:17:\"user.user_picture\";s:10:\"field_name\";s:12:\"user_picture\";s:11:\"entity_type\";s:4:\"user\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";N;s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}',-1,1636011226.899,1,'','0'),('filter.format.basic_html','a:9:{s:4:\"uuid\";s:36:\"d4ada579-3847-4caf-9811-f9e7a8227242\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:6:\"editor\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"P8ddpAIKtawJDi5SzOwCzVnnNYqONewSTJ6Xn0dW_aQ\";}s:4:\"name\";s:10:\"Basic HTML\";s:6:\"format\";s:10:\"basic_html\";s:6:\"weight\";i:-9;s:7:\"filters\";a:5:{s:11:\"filter_html\";a:5:{s:2:\"id\";s:11:\"filter_html\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:-10;s:8:\"settings\";a:3:{s:12:\"allowed_html\";s:250:\"<a href hreflang> <em> <strong> <cite> <blockquote cite> <code> <ul type> <ol start type> <li> <dl> <dt> <dd> <h2 id> <h3 id> <h4 id> <h5 id> <h6 id> <p> <br> <span> <img src alt height width data-entity-type data-entity-uuid data-align data-caption>\";s:16:\"filter_html_help\";b:0;s:20:\"filter_html_nofollow\";b:0;}}s:12:\"filter_align\";a:5:{s:2:\"id\";s:12:\"filter_align\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:7;s:8:\"settings\";a:0:{}}s:14:\"filter_caption\";a:5:{s:2:\"id\";s:14:\"filter_caption\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:8;s:8:\"settings\";a:0:{}}s:24:\"filter_html_image_secure\";a:5:{s:2:\"id\";s:24:\"filter_html_image_secure\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:9;s:8:\"settings\";a:0:{}}s:21:\"editor_file_reference\";a:5:{s:2:\"id\";s:21:\"editor_file_reference\";s:8:\"provider\";s:6:\"editor\";s:6:\"status\";b:1;s:6:\"weight\";i:11;s:8:\"settings\";a:0:{}}}}',-1,1636012255.452,1,'','0'),('filter.format.full_html','a:9:{s:4:\"uuid\";s:36:\"efe20ac4-44c8-461d-9471-f88c6e15a634\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:6:\"editor\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"hewPmBgni9jlDK_IjLxUx1HsTbinK-hdl0lOwjbteIY\";}s:4:\"name\";s:9:\"Full HTML\";s:6:\"format\";s:9:\"full_html\";s:6:\"weight\";i:-10;s:7:\"filters\";a:6:{s:12:\"filter_align\";a:5:{s:2:\"id\";s:12:\"filter_align\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:8;s:8:\"settings\";a:0:{}}s:14:\"filter_caption\";a:5:{s:2:\"id\";s:14:\"filter_caption\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:9;s:8:\"settings\";a:0:{}}s:20:\"filter_htmlcorrector\";a:5:{s:2:\"id\";s:20:\"filter_htmlcorrector\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:10;s:8:\"settings\";a:0:{}}s:21:\"editor_file_reference\";a:5:{s:2:\"id\";s:21:\"editor_file_reference\";s:8:\"provider\";s:6:\"editor\";s:6:\"status\";b:1;s:6:\"weight\";i:11;s:8:\"settings\";a:0:{}}s:12:\"filter_autop\";a:5:{s:2:\"id\";s:12:\"filter_autop\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}}s:11:\"filter_html\";a:5:{s:2:\"id\";s:11:\"filter_html\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:0;s:6:\"weight\";i:-10;s:8:\"settings\";a:3:{s:12:\"allowed_html\";s:314:\"<a hreflang href> <em> <strong> <cite> <blockquote cite> <code> <ul type> <ol type start> <li> <dl> <dt> <dd> <h2 id> <h3 id> <h4 id> <h5 id> <h6 id> <s> <sup> <sub> <img src alt data-entity-type data-entity-uuid data-align data-caption> <table> <caption> <tbody> <thead> <tfoot> <th> <td> <tr> <hr> <p> <h1> <pre>\";s:16:\"filter_html_help\";b:1;s:20:\"filter_html_nofollow\";b:0;}}}}',-1,1636012247.873,1,'','0'),('filter.format.plain_text','a:9:{s:4:\"uuid\";s:36:\"8c494b7c-79fe-4492-99e6-de6eb17099c5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"NIKBt6kw_uPhNI0qtR2DnRf7mSOgAQdx7Q94SKMjXbQ\";}s:4:\"name\";s:10:\"Plain text\";s:6:\"format\";s:10:\"plain_text\";s:6:\"weight\";i:-7;s:7:\"filters\";a:3:{s:18:\"filter_html_escape\";a:5:{s:2:\"id\";s:18:\"filter_html_escape\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:-10;s:8:\"settings\";a:0:{}}s:10:\"filter_url\";a:5:{s:2:\"id\";s:10:\"filter_url\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:0;s:8:\"settings\";a:1:{s:17:\"filter_url_length\";i:72;}}s:12:\"filter_autop\";a:5:{s:2:\"id\";s:12:\"filter_autop\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}}}}',-1,1636012255.452,1,'','0'),('filter.format.restricted_html','a:9:{s:4:\"uuid\";s:36:\"99b1b028-071c-47e7-8d86-cb4db3563de2\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"KUjJ8Ti_ZJSlhGM88E_mhJP-8mmQRNUB6RFof615Kt0\";}s:4:\"name\";s:15:\"Restricted HTML\";s:6:\"format\";s:15:\"restricted_html\";s:6:\"weight\";i:-8;s:7:\"filters\";a:3:{s:11:\"filter_html\";a:5:{s:2:\"id\";s:11:\"filter_html\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:-10;s:8:\"settings\";a:3:{s:12:\"allowed_html\";s:149:\"<a href hreflang> <em> <strong> <cite> <blockquote cite> <code> <ul type> <ol start type> <li> <dl> <dt> <dd> <h2 id> <h3 id> <h4 id> <h5 id> <h6 id>\";s:16:\"filter_html_help\";b:1;s:20:\"filter_html_nofollow\";b:0;}}s:12:\"filter_autop\";a:5:{s:2:\"id\";s:12:\"filter_autop\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}}s:10:\"filter_url\";a:5:{s:2:\"id\";s:10:\"filter_url\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:0;s:8:\"settings\";a:1:{s:17:\"filter_url_length\";i:72;}}}}',-1,1636012255.452,1,'','0'),('filter.settings','a:3:{s:15:\"fallback_format\";s:10:\"plain_text\";s:27:\"always_show_fallback_choice\";b:0;s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"FiPjM3WdB__ruFA7B6TLwni_UcZbmek5G4b2dxQItxA\";}}',-1,1636012255.475,1,'','0'),('image.settings','a:4:{s:13:\"preview_image\";s:29:\"core/modules/image/sample.png\";s:26:\"allow_insecure_derivatives\";b:0;s:20:\"suppress_itok_output\";b:0;s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"k-yDFHbqNfpe-Srg4sdCSqaosCl2D8uwyEY5esF8gEw\";}}',-1,1636012249.839,1,'','0'),('image.style.image_1400_700','a:7:{s:4:\"uuid\";s:36:\"50658240-178b-4df6-a403-684bfcfe1fd7\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:14:\"image_1400_700\";s:5:\"label\";s:15:\"Image(1170_700)\";s:7:\"effects\";a:1:{s:36:\"e2e3c15d-6142-47f4-a306-bc7d2c036484\";a:4:{s:4:\"uuid\";s:36:\"e2e3c15d-6142-47f4-a306-bc7d2c036484\";s:2:\"id\";s:20:\"image_scale_and_crop\";s:6:\"weight\";i:1;s:4:\"data\";a:3:{s:5:\"width\";i:1170;s:6:\"height\";i:700;s:6:\"anchor\";s:13:\"center-center\";}}}}',-1,1637057230.699,1,'','0'),('image.style.image_1920_1280','a:7:{s:4:\"uuid\";s:36:\"912d7362-50b4-422c-8e86-e876769c48d8\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:15:\"image_1920_1280\";s:5:\"label\";s:16:\"Image(1920_1280)\";s:7:\"effects\";a:1:{s:36:\"58d9c5a7-c483-4818-abeb-158efd079d63\";a:4:{s:4:\"uuid\";s:36:\"58d9c5a7-c483-4818-abeb-158efd079d63\";s:2:\"id\";s:20:\"image_scale_and_crop\";s:6:\"weight\";i:1;s:4:\"data\";a:3:{s:5:\"width\";i:1920;s:6:\"height\";i:1280;s:6:\"anchor\";s:13:\"center-center\";}}}}',-1,1637057230.699,1,'','0'),('image.style.image_1920_595','a:7:{s:4:\"uuid\";s:36:\"a6d7fecd-7a17-451a-ad2e-1860552e2f6c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:14:\"image_1920_595\";s:5:\"label\";s:15:\"Image(1920_830)\";s:7:\"effects\";a:1:{s:36:\"04a7389a-0b3b-4ac6-bd2c-94eeb7d50653\";a:4:{s:4:\"uuid\";s:36:\"04a7389a-0b3b-4ac6-bd2c-94eeb7d50653\";s:2:\"id\";s:20:\"image_scale_and_crop\";s:6:\"weight\";i:1;s:4:\"data\";a:3:{s:5:\"width\";i:1920;s:6:\"height\";i:830;s:6:\"anchor\";s:13:\"center-center\";}}}}',-1,1637057230.699,1,'','0'),('image.style.image_1920_700','a:7:{s:4:\"uuid\";s:36:\"8747f947-e3d1-4ac3-8b57-05062b7bd107\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:14:\"image_1920_700\";s:5:\"label\";s:15:\"Image(1920_700)\";s:7:\"effects\";a:1:{s:36:\"a73a559f-fd27-4ce4-b2f9-d3c9b623c384\";a:4:{s:4:\"uuid\";s:36:\"a73a559f-fd27-4ce4-b2f9-d3c9b623c384\";s:2:\"id\";s:20:\"image_scale_and_crop\";s:6:\"weight\";i:1;s:4:\"data\";a:3:{s:5:\"width\";i:1920;s:6:\"height\";i:700;s:6:\"anchor\";s:13:\"center-center\";}}}}',-1,1636012250.160,1,'','0'),('image.style.image_1920_845','a:7:{s:4:\"uuid\";s:36:\"808ad9d0-05ff-47f4-9449-4ec291def08b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:14:\"image_1920_845\";s:5:\"label\";s:15:\"Image(1920_845)\";s:7:\"effects\";a:1:{s:36:\"6a50f49b-cd27-4440-8388-bcf0caab827b\";a:4:{s:4:\"uuid\";s:36:\"6a50f49b-cd27-4440-8388-bcf0caab827b\";s:2:\"id\";s:20:\"image_scale_and_crop\";s:6:\"weight\";i:1;s:4:\"data\";a:3:{s:5:\"width\";i:1920;s:6:\"height\";i:845;s:6:\"anchor\";s:13:\"center-center\";}}}}',-1,1636012249.782,1,'','0'),('image.style.image_1921_685_','a:7:{s:4:\"uuid\";s:36:\"c83cebb2-9bd6-4e72-996a-4529efaec5cd\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:15:\"image_1921_685_\";s:5:\"label\";s:15:\"Image(1921_685)\";s:7:\"effects\";a:1:{s:36:\"7e7065fa-1d67-4a57-a1d1-8d2e88c33f55\";a:4:{s:4:\"uuid\";s:36:\"7e7065fa-1d67-4a57-a1d1-8d2e88c33f55\";s:2:\"id\";s:20:\"image_scale_and_crop\";s:6:\"weight\";i:1;s:4:\"data\";a:3:{s:5:\"width\";i:1921;s:6:\"height\";i:685;s:6:\"anchor\";s:13:\"center-center\";}}}}',-1,1637057230.699,1,'','0'),('image.style.image_270_270','a:7:{s:4:\"uuid\";s:36:\"5e2ea4f8-a090-46d8-bc78-100996c31979\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:13:\"image_270_270\";s:5:\"label\";s:14:\"Image(270_270)\";s:7:\"effects\";a:1:{s:36:\"b37656fe-2437-4150-93fc-e831aedacb64\";a:4:{s:4:\"uuid\";s:36:\"b37656fe-2437-4150-93fc-e831aedacb64\";s:2:\"id\";s:20:\"image_scale_and_crop\";s:6:\"weight\";i:1;s:4:\"data\";a:3:{s:5:\"width\";i:270;s:6:\"height\";i:270;s:6:\"anchor\";s:13:\"center-center\";}}}}',-1,1637057230.699,1,'','0'),('image.style.image_360_360_','a:7:{s:4:\"uuid\";s:36:\"ca4435dd-2293-4e94-b103-f5d186e78462\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:14:\"image_360_360_\";s:5:\"label\";s:14:\"Image(360_360)\";s:7:\"effects\";a:1:{s:36:\"61952412-7c6d-4c05-a92f-d67f96375cda\";a:4:{s:4:\"uuid\";s:36:\"61952412-7c6d-4c05-a92f-d67f96375cda\";s:2:\"id\";s:20:\"image_scale_and_crop\";s:6:\"weight\";i:1;s:4:\"data\";a:3:{s:5:\"width\";i:360;s:6:\"height\";i:360;s:6:\"anchor\";s:13:\"center-center\";}}}}',-1,1637057230.699,1,'','0'),('image.style.image_370_350','a:7:{s:4:\"uuid\";s:36:\"123875a2-e242-4edb-ac32-84c93ed47e04\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:13:\"image_370_350\";s:5:\"label\";s:14:\"Image(370_221)\";s:7:\"effects\";a:1:{s:36:\"8606d402-2d3d-4a81-a4a2-81f5c293b062\";a:4:{s:4:\"uuid\";s:36:\"8606d402-2d3d-4a81-a4a2-81f5c293b062\";s:2:\"id\";s:20:\"image_scale_and_crop\";s:6:\"weight\";i:1;s:4:\"data\";a:3:{s:5:\"width\";i:370;s:6:\"height\";i:221;s:6:\"anchor\";s:13:\"center-center\";}}}}',-1,1637057230.699,1,'','0'),('image.style.image_370_370','a:7:{s:4:\"uuid\";s:36:\"a7b3f6fd-e128-4e63-9ff2-79dfa57fcd3e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:13:\"image_370_370\";s:5:\"label\";s:14:\"Image(370_370)\";s:7:\"effects\";a:1:{s:36:\"a842684e-ab38-481a-94d0-bae0b3a3584f\";a:4:{s:4:\"uuid\";s:36:\"a842684e-ab38-481a-94d0-bae0b3a3584f\";s:2:\"id\";s:20:\"image_scale_and_crop\";s:6:\"weight\";i:1;s:4:\"data\";a:3:{s:5:\"width\";i:370;s:6:\"height\";i:370;s:6:\"anchor\";s:13:\"center-center\";}}}}',-1,1637057230.699,1,'','0'),('image.style.image_380_224','a:7:{s:4:\"uuid\";s:36:\"2d810af2-1a84-4621-9b95-f62043d7b9f5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:13:\"image_380_224\";s:5:\"label\";s:14:\"Image(380_224)\";s:7:\"effects\";a:1:{s:36:\"8d6c52a1-495c-4833-89c7-2a4cb28cee7b\";a:4:{s:4:\"uuid\";s:36:\"8d6c52a1-495c-4833-89c7-2a4cb28cee7b\";s:2:\"id\";s:20:\"image_scale_and_crop\";s:6:\"weight\";i:1;s:4:\"data\";a:3:{s:5:\"width\";i:380;s:6:\"height\";i:224;s:6:\"anchor\";s:13:\"center-center\";}}}}',-1,1636012250.855,1,'','0'),('image.style.image_513_251_','a:7:{s:4:\"uuid\";s:36:\"8c34ceb0-3238-4bdc-96ff-9686ed86eba2\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:14:\"image_513_251_\";s:5:\"label\";s:14:\"Image(513_251)\";s:7:\"effects\";a:1:{s:36:\"8f86a171-5aab-48cf-aaef-bb93014dbd43\";a:4:{s:4:\"uuid\";s:36:\"8f86a171-5aab-48cf-aaef-bb93014dbd43\";s:2:\"id\";s:20:\"image_scale_and_crop\";s:6:\"weight\";i:1;s:4:\"data\";a:3:{s:5:\"width\";i:513;s:6:\"height\";i:251;s:6:\"anchor\";s:13:\"center-center\";}}}}',-1,1637057230.699,1,'','0'),('image.style.image_551_372','a:7:{s:4:\"uuid\";s:36:\"ba89ba3e-6c23-48ca-a750-030125738327\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:13:\"image_551_372\";s:5:\"label\";s:14:\"Image(551_372)\";s:7:\"effects\";a:1:{s:36:\"ef914078-d791-44db-bb8e-756a00f9a88c\";a:4:{s:4:\"uuid\";s:36:\"ef914078-d791-44db-bb8e-756a00f9a88c\";s:2:\"id\";s:20:\"image_scale_and_crop\";s:6:\"weight\";i:1;s:4:\"data\";a:3:{s:5:\"width\";i:551;s:6:\"height\";i:372;s:6:\"anchor\";s:13:\"center-center\";}}}}',-1,1636012250.588,1,'','0'),('image.style.image_63_63','a:7:{s:4:\"uuid\";s:36:\"0b26d8b3-8975-43c6-ab92-a8ff667fcb5c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:11:\"image_63_63\";s:5:\"label\";s:12:\"Image(63_63)\";s:7:\"effects\";a:1:{s:36:\"818f426a-6794-4483-ad9d-e0d3b24a577e\";a:4:{s:4:\"uuid\";s:36:\"818f426a-6794-4483-ad9d-e0d3b24a577e\";s:2:\"id\";s:20:\"image_scale_and_crop\";s:6:\"weight\";i:1;s:4:\"data\";a:3:{s:5:\"width\";i:63;s:6:\"height\";i:63;s:6:\"anchor\";s:13:\"center-center\";}}}}',-1,1636012251.079,1,'','0'),('image.style.image_640_363_','a:7:{s:4:\"uuid\";s:36:\"a50d2f53-0c6b-497d-a5a7-710713c60791\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:14:\"image_640_363_\";s:5:\"label\";s:14:\"Image(640_363)\";s:7:\"effects\";a:1:{s:36:\"3e9b4634-dc5b-40ac-93e8-d29ce09da738\";a:4:{s:4:\"uuid\";s:36:\"3e9b4634-dc5b-40ac-93e8-d29ce09da738\";s:2:\"id\";s:20:\"image_scale_and_crop\";s:6:\"weight\";i:1;s:4:\"data\";a:3:{s:5:\"width\";i:640;s:6:\"height\";i:363;s:6:\"anchor\";s:13:\"center-center\";}}}}',-1,1637057230.699,1,'','0'),('image.style.large','a:8:{s:4:\"uuid\";s:36:\"b11f113b-644f-4597-8f38-39d1315e039f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"J2n0RpFzS0-bgSyxjs6rSdgxB1rb-bTAgqywNx_964M\";}s:4:\"name\";s:5:\"large\";s:5:\"label\";s:16:\"Large (480×480)\";s:7:\"effects\";a:1:{s:36:\"ddd73aa7-4bd6-4c85-b600-bdf2b1628d1d\";a:4:{s:4:\"uuid\";s:36:\"ddd73aa7-4bd6-4c85-b600-bdf2b1628d1d\";s:2:\"id\";s:11:\"image_scale\";s:6:\"weight\";i:0;s:4:\"data\";a:3:{s:5:\"width\";i:480;s:6:\"height\";i:480;s:7:\"upscale\";b:0;}}}}',-1,1637057230.699,1,'','0'),('image.style.max_1300x1300','a:8:{s:4:\"uuid\";s:36:\"5ac58f87-c9b6-4610-a374-e2e08ff0d56a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:8:\"enforced\";a:1:{s:6:\"module\";a:1:{i:0;s:16:\"responsive_image\";}}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"xW1ApqbWjK7oCBCl8jVHA42u2MekQDq4gry3xfZzdWY\";}s:4:\"name\";s:13:\"max_1300x1300\";s:5:\"label\";s:13:\"Max 1300x1300\";s:7:\"effects\";a:1:{s:36:\"04caae9a-fa3e-4ea6-ae09-9c26aec7d308\";a:4:{s:4:\"uuid\";s:36:\"04caae9a-fa3e-4ea6-ae09-9c26aec7d308\";s:2:\"id\";s:11:\"image_scale\";s:6:\"weight\";i:1;s:4:\"data\";a:3:{s:5:\"width\";i:1300;s:6:\"height\";i:1300;s:7:\"upscale\";b:0;}}}}',-1,1637057230.699,1,'','0'),('image.style.max_2600x2600','a:8:{s:4:\"uuid\";s:36:\"0b6dc3fc-6dd9-4c7d-be24-0bb5a256bba5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:8:\"enforced\";a:1:{s:6:\"module\";a:1:{i:0;s:16:\"responsive_image\";}}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"M-7xzqSFQjuAiL0BP9rHC3DbUi2HnaoD538wlFWsoc4\";}s:4:\"name\";s:13:\"max_2600x2600\";s:5:\"label\";s:13:\"Max 2600x2600\";s:7:\"effects\";a:1:{s:36:\"9b311dd1-0351-45a1-9500-cd069e4670cb\";a:4:{s:4:\"uuid\";s:36:\"9b311dd1-0351-45a1-9500-cd069e4670cb\";s:2:\"id\";s:11:\"image_scale\";s:6:\"weight\";i:3;s:4:\"data\";a:3:{s:5:\"width\";i:2600;s:6:\"height\";i:2600;s:7:\"upscale\";b:0;}}}}',-1,1637057230.699,1,'','0'),('image.style.max_325x325','a:8:{s:4:\"uuid\";s:36:\"0fef7669-37f2-4884-9fde-a69904a27889\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:8:\"enforced\";a:1:{s:6:\"module\";a:1:{i:0;s:16:\"responsive_image\";}}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"YbP9GLqlo6fjA8GIfiC8CzCOjkUm0Cf3A0_aRw8vHhE\";}s:4:\"name\";s:11:\"max_325x325\";s:5:\"label\";s:11:\"Max 325x325\";s:7:\"effects\";a:1:{s:36:\"cb842cc8-682f-42a6-bd05-5a1ac726f0d8\";a:4:{s:4:\"uuid\";s:36:\"cb842cc8-682f-42a6-bd05-5a1ac726f0d8\";s:2:\"id\";s:11:\"image_scale\";s:6:\"weight\";i:1;s:4:\"data\";a:3:{s:5:\"width\";i:325;s:6:\"height\";i:325;s:7:\"upscale\";b:0;}}}}',-1,1637057230.699,1,'','0'),('image.style.max_650x650','a:8:{s:4:\"uuid\";s:36:\"fa9e75bc-ad30-4a07-833d-aaacaaf31e44\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:8:\"enforced\";a:1:{s:6:\"module\";a:1:{i:0;s:16:\"responsive_image\";}}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"MIWUEhKenWK-3vEZNN_FJwpmqggIZtfJ9LOLYryTqHI\";}s:4:\"name\";s:11:\"max_650x650\";s:5:\"label\";s:11:\"Max 650x650\";s:7:\"effects\";a:1:{s:36:\"949c201a-77f5-48f6-ba00-be91eb1aad47\";a:4:{s:4:\"uuid\";s:36:\"949c201a-77f5-48f6-ba00-be91eb1aad47\";s:2:\"id\";s:11:\"image_scale\";s:6:\"weight\";i:1;s:4:\"data\";a:3:{s:5:\"width\";i:650;s:6:\"height\";i:650;s:7:\"upscale\";b:0;}}}}',-1,1637057230.699,1,'','0'),('image.style.medium','a:8:{s:4:\"uuid\";s:36:\"8d08329f-ca57-418e-9b67-1ec66bf27bc3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"Y9NmnZHQq20ASSyTNA6JnwtWrJJiSajOehGDtmUFdM0\";}s:4:\"name\";s:6:\"medium\";s:5:\"label\";s:17:\"Medium (220×220)\";s:7:\"effects\";a:1:{s:36:\"bddf0d06-42f9-4c75-a700-a33cafa25ea0\";a:4:{s:4:\"uuid\";s:36:\"bddf0d06-42f9-4c75-a700-a33cafa25ea0\";s:2:\"id\";s:11:\"image_scale\";s:6:\"weight\";i:0;s:4:\"data\";a:3:{s:5:\"width\";i:220;s:6:\"height\";i:220;s:7:\"upscale\";b:0;}}}}',-1,1637057230.699,1,'','0'),('image.style.thumbnail','a:8:{s:4:\"uuid\";s:36:\"13f80893-dd02-4139-b69c-9ed488efd94c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"cCiWdBHgLwj5omG35lsKc4LkW4MBdmcctkVop4ol5x0\";}s:4:\"name\";s:9:\"thumbnail\";s:5:\"label\";s:20:\"Thumbnail (100×100)\";s:7:\"effects\";a:1:{s:36:\"1cfec298-8620-4749-b100-ccb6c4500779\";a:4:{s:4:\"uuid\";s:36:\"1cfec298-8620-4749-b100-ccb6c4500779\";s:2:\"id\";s:11:\"image_scale\";s:6:\"weight\";i:0;s:4:\"data\";a:3:{s:5:\"width\";i:100;s:6:\"height\";i:100;s:7:\"upscale\";b:0;}}}}',-1,1637057230.699,1,'','0'),('language.ar:contact.settings','b:0;',-1,1637057251.234,1,'','0'),('language.ar:system.site','a:1:{s:4:\"name\";s:12:\"دروبال\";}',-1,1637057251.111,1,'','0'),('language.ar:user.mail','a:1:{s:22:\"register_admin_created\";a:1:{s:7:\"subject\";s:48:\"أنشأ مدير حساب لك في [site:name]\";}}',-1,1637057251.081,1,'','0'),('language.ar:user.role.administrator','b:0;',-1,1637057251.140,1,'','0'),('language.ar:user.settings','a:1:{s:9:\"anonymous\";s:10:\"مجهول\";}',-1,1637057250.553,1,'','0'),('language.content_settings.block_content.basic','a:10:{s:4:\"uuid\";s:36:\"bbffcffb-4b6e-4947-bd70-d35d7e0572ba\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:24:\"block_content.type.basic\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:19:\"block_content.basic\";s:21:\"target_entity_type_id\";s:13:\"block_content\";s:13:\"target_bundle\";s:5:\"basic\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}',-1,1636011226.432,1,'','0'),('language.content_settings.comment.comment','a:10:{s:4:\"uuid\";s:36:\"f5163600-bf2d-49af-b54e-5993f0c61ff4\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:20:\"comment.type.comment\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:15:\"comment.comment\";s:21:\"target_entity_type_id\";s:7:\"comment\";s:13:\"target_bundle\";s:7:\"comment\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}',-1,1636011226.449,1,'','0'),('language.content_settings.menu_link_content.menu_link_content','a:10:{s:4:\"uuid\";s:36:\"d1cbbb2a-c9e1-4a37-9b8d-012aade5f139\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:19:\"content_translation\";i:1;s:17:\"menu_link_content\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:35:\"menu_link_content.menu_link_content\";s:21:\"target_entity_type_id\";s:17:\"menu_link_content\";s:13:\"target_bundle\";s:17:\"menu_link_content\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}',-1,1636011226.584,1,'','0'),('language.content_settings.node.article','a:10:{s:4:\"uuid\";s:36:\"d25a2638-b735-421b-a035-008b6c45444c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:17:\"node.type.article\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:1;}}s:2:\"id\";s:12:\"node.article\";s:21:\"target_entity_type_id\";s:4:\"node\";s:13:\"target_bundle\";s:7:\"article\";s:16:\"default_langcode\";s:17:\"current_interface\";s:18:\"language_alterable\";b:1;}',-1,1636011226.461,1,'','0'),('language.content_settings.node.banner','a:10:{s:4:\"uuid\";s:36:\"d2b01ce3-8acc-43d7-a421-4974512f290a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:16:\"node.type.banner\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:11:\"node.banner\";s:21:\"target_entity_type_id\";s:4:\"node\";s:13:\"target_bundle\";s:6:\"banner\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}',-1,1636011226.469,1,'','0'),('language.content_settings.node.blog','a:10:{s:4:\"uuid\";s:36:\"e55376b8-9057-4a7c-bf4e-f2db42cd221a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.blog\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:1;}}s:2:\"id\";s:9:\"node.blog\";s:21:\"target_entity_type_id\";s:4:\"node\";s:13:\"target_bundle\";s:4:\"blog\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:1;}',-1,1636011226.477,1,'','0'),('language.content_settings.node.our_mission','a:10:{s:4:\"uuid\";s:36:\"974ae65a-376d-47ed-9619-c2fbbbe73209\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:21:\"node.type.our_mission\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:16:\"node.our_mission\";s:21:\"target_entity_type_id\";s:4:\"node\";s:13:\"target_bundle\";s:11:\"our_mission\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}',-1,1636011226.485,1,'','0'),('language.content_settings.node.our_services','a:10:{s:4:\"uuid\";s:36:\"c0dead90-54e0-4ea5-9e53-d29ff6dff17a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:22:\"node.type.our_services\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:17:\"node.our_services\";s:21:\"target_entity_type_id\";s:4:\"node\";s:13:\"target_bundle\";s:12:\"our_services\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}',-1,1636011226.493,1,'','0'),('language.content_settings.node.page','a:10:{s:4:\"uuid\";s:36:\"f9a4bc02-0492-4620-8439-3b678951bc15\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:1;}}s:2:\"id\";s:9:\"node.page\";s:21:\"target_entity_type_id\";s:4:\"node\";s:13:\"target_bundle\";s:4:\"page\";s:16:\"default_langcode\";s:17:\"current_interface\";s:18:\"language_alterable\";b:1;}',-1,1636011226.500,1,'','0'),('language.content_settings.node.partners','a:10:{s:4:\"uuid\";s:36:\"bae870e5-dba2-4e8a-b6e0-6a2bffc87572\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:18:\"node.type.partners\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:13:\"node.partners\";s:21:\"target_entity_type_id\";s:4:\"node\";s:13:\"target_bundle\";s:8:\"partners\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}',-1,1636011226.508,1,'','0'),('language.content_settings.node.portfolio','a:10:{s:4:\"uuid\";s:36:\"fab72d4a-f379-4052-8c6a-d3042e0f72f4\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:19:\"node.type.portfolio\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:14:\"node.portfolio\";s:21:\"target_entity_type_id\";s:4:\"node\";s:13:\"target_bundle\";s:9:\"portfolio\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}',-1,1636011226.516,1,'','0'),('language.content_settings.node.simplenews_issue','a:10:{s:4:\"uuid\";s:36:\"28bb0bb6-88b7-4a14-894a-00a74d8493ab\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:26:\"node.type.simplenews_issue\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:21:\"node.simplenews_issue\";s:21:\"target_entity_type_id\";s:4:\"node\";s:13:\"target_bundle\";s:16:\"simplenews_issue\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}',-1,1636011226.524,1,'','0'),('language.content_settings.node.why_us','a:10:{s:4:\"uuid\";s:36:\"b5bcd5ad-88b7-4299-933e-d52a67860ad3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:16:\"node.type.why_us\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:11:\"node.why_us\";s:21:\"target_entity_type_id\";s:4:\"node\";s:13:\"target_bundle\";s:6:\"why_us\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}',-1,1636011226.535,1,'','0'),('language.content_settings.shortcut.default','a:10:{s:4:\"uuid\";s:36:\"a12eb571-35e6-4c9f-912b-4a554a6843f3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:20:\"shortcut.set.default\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:16:\"shortcut.default\";s:21:\"target_entity_type_id\";s:8:\"shortcut\";s:13:\"target_bundle\";s:7:\"default\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}',-1,1636011226.546,1,'','0'),('language.content_settings.simplenews_subscriber.simplenews_subscriber','b:0;',-1,1636012251.165,1,'','0'),('language.content_settings.taxonomy_term.tags','a:10:{s:4:\"uuid\";s:36:\"a59aafbd-a7d8-4977-9481-1c62ddd6d672\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:24:\"taxonomy.vocabulary.tags\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:1;}}s:2:\"id\";s:18:\"taxonomy_term.tags\";s:21:\"target_entity_type_id\";s:13:\"taxonomy_term\";s:13:\"target_bundle\";s:4:\"tags\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:1;}',-1,1636011226.557,1,'','0'),('language.content_settings.user.user','a:10:{s:4:\"uuid\";s:36:\"0633eecb-ed52-445e-845e-5be41b3c87fa\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:19:\"content_translation\";i:1;s:4:\"user\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:1;}}s:2:\"id\";s:9:\"user.user\";s:21:\"target_entity_type_id\";s:4:\"user\";s:13:\"target_bundle\";s:4:\"user\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:1;}',-1,1636011226.568,1,'','0'),('language.en:automated_cron.settings','b:0;',-1,1636012252.112,1,'','0'),('language.en:block.block.bartik_account_menu','b:0;',-1,1636011225.757,1,'','0'),('language.en:block.block.bartik_branding','b:0;',-1,1636011225.757,1,'','0'),('language.en:block.block.bartik_breadcrumbs','b:0;',-1,1636011225.757,1,'','0'),('language.en:block.block.bartik_content','b:0;',-1,1636011225.757,1,'','0'),('language.en:block.block.bartik_footer','b:0;',-1,1636011225.757,1,'','0'),('language.en:block.block.bartik_help','b:0;',-1,1636011225.757,1,'','0'),('language.en:block.block.bartik_local_actions','b:0;',-1,1636011225.757,1,'','0'),('language.en:block.block.bartik_local_tasks','b:0;',-1,1636011225.757,1,'','0'),('language.en:block.block.bartik_main_menu','b:0;',-1,1636011225.757,1,'','0'),('language.en:block.block.bartik_messages','b:0;',-1,1636011225.757,1,'','0'),('language.en:block.block.bartik_page_title','b:0;',-1,1636011225.757,1,'','0'),('language.en:block.block.bartik_powered','b:0;',-1,1636011225.757,1,'','0'),('language.en:block.block.bartik_search','b:0;',-1,1636011225.757,1,'','0'),('language.en:block.block.bartik_tools','b:0;',-1,1636011225.757,1,'','0'),('language.en:block.block.blog','b:0;',-1,1636011225.822,1,'','0'),('language.en:block.block.breadcrumbs','b:0;',-1,1636011225.822,1,'','0'),('language.en:block.block.contactus','b:0;',-1,1636011225.822,1,'','0'),('language.en:block.block.copyrightbyweebpal','b:0;',-1,1636011225.822,1,'','0'),('language.en:block.block.luxestate_account_menu','b:0;',-1,1636011225.821,1,'','0'),('language.en:block.block.luxestate_branding','b:0;',-1,1636011225.821,1,'','0'),('language.en:block.block.luxestate_breadcrumbs','b:0;',-1,1636011225.821,1,'','0'),('language.en:block.block.luxestate_content','b:0;',-1,1636011225.821,1,'','0'),('language.en:block.block.luxestate_footer','b:0;',-1,1636011225.821,1,'','0'),('language.en:block.block.luxestate_help','b:0;',-1,1636011225.822,1,'','0'),('language.en:block.block.luxestate_local_actions','b:0;',-1,1636011225.822,1,'','0'),('language.en:block.block.luxestate_local_tasks','b:0;',-1,1636011225.822,1,'','0'),('language.en:block.block.luxestate_messages','b:0;',-1,1636011225.822,1,'','0'),('language.en:block.block.luxestate_page_title','b:0;',-1,1636011225.822,1,'','0'),('language.en:block.block.luxestate_powered','b:0;',-1,1636011225.822,1,'','0'),('language.en:block.block.luxestate_search','b:0;',-1,1636011225.822,1,'','0'),('language.en:block.block.luxestate_tools','b:0;',-1,1636011225.822,1,'','0'),('language.en:block.block.mainnavigation','b:0;',-1,1636011225.822,1,'','0'),('language.en:block.block.mainnavigation_2','b:0;',-1,1636011225.822,1,'','0'),('language.en:block.block.newsletterblock','b:0;',-1,1636011225.822,1,'','0'),('language.en:block.block.ourlocation','b:0;',-1,1636011225.822,1,'','0'),('language.en:block.block.pagetitle','b:0;',-1,1636011225.822,1,'','0'),('language.en:block.block.quicklinks','b:0;',-1,1636011225.822,1,'','0'),('language.en:block.block.seven_breadcrumbs','b:0;',-1,1636011225.776,1,'','0'),('language.en:block.block.seven_content','b:0;',-1,1636011225.776,1,'','0'),('language.en:block.block.seven_help','b:0;',-1,1636011225.776,1,'','0'),('language.en:block.block.seven_local_actions','b:0;',-1,1636011225.776,1,'','0'),('language.en:block.block.seven_login','b:0;',-1,1636011225.776,1,'','0'),('language.en:block.block.seven_messages','b:0;',-1,1636011225.776,1,'','0'),('language.en:block.block.seven_page_title','b:0;',-1,1636011225.776,1,'','0'),('language.en:block.block.seven_primary_local_tasks','b:0;',-1,1636011225.776,1,'','0'),('language.en:block.block.seven_secondary_local_tasks','b:0;',-1,1636011225.776,1,'','0'),('language.en:block.block.simplenewssubscription','b:0;',-1,1636011225.822,1,'','0'),('language.en:block.block.views_block__about_us_block_1','b:0;',-1,1636011225.822,1,'','0'),('language.en:block.block.views_block__banner_block_1','b:0;',-1,1636011225.822,1,'','0'),('language.en:block.block.views_block__banner_block_2','b:0;',-1,1636011225.822,1,'','0'),('language.en:block.block.views_block__banner_block_3','b:0;',-1,1636011225.822,1,'','0'),('language.en:block.block.views_block__banner_block_4','b:0;',-1,1636011225.822,1,'','0'),('language.en:block.block.views_block__banner_block_5','b:0;',-1,1636011225.822,1,'','0'),('language.en:block.block.views_block__banner_block_6','b:0;',-1,1636011225.822,1,'','0'),('language.en:block.block.views_block__banner_block_7','b:0;',-1,1636011225.822,1,'','0'),('language.en:block.block.views_block__blog_details_block_1','b:0;',-1,1636011225.822,1,'','0'),('language.en:block.block.views_block__blog_details_block_3','b:0;',-1,1636011225.822,1,'','0'),('language.en:block.block.views_block__blog_page_block_1','b:0;',-1,1636011225.822,1,'','0'),('language.en:block.block.views_block__blog_page_block_2','b:0;',-1,1636011225.822,1,'','0'),('language.en:block.block.views_block__blog_page_block_3','b:0;',-1,1636011225.822,1,'','0'),('language.en:block.block.views_block__frontpage_block_1','b:0;',-1,1636011225.822,1,'','0'),('language.en:block.block.views_block__our_mission_block_1','b:0;',-1,1636011225.822,1,'','0'),('language.en:block.block.views_block__our_partners_block_1','b:0;',-1,1636011225.822,1,'','0'),('language.en:block.block.views_block__our_services_block_1','b:0;',-1,1636011225.822,1,'','0'),('language.en:block.block.views_block__portfolio_block_1','b:0;',-1,1636011225.822,1,'','0'),('language.en:block.block.views_block__slideshow_block_1','b:0;',-1,1636011225.822,1,'','0'),('language.en:block.block.views_block__tags_block_1','b:0;',-1,1636011225.822,1,'','0'),('language.en:block.block.views_block__why_choose_us_block_1','b:0;',-1,1636011225.822,1,'','0'),('language.en:block.block.views_block__why_choose_us_block_2','b:0;',-1,1636011225.822,1,'','0'),('language.en:block_content.type.basic','b:0;',-1,1636011226.364,1,'','0'),('language.en:color.theme.classy','b:0;',-1,1636012251.436,1,'','0'),('language.en:color.theme.luxestate','b:0;',-1,1636012249.533,1,'','0'),('language.en:color.theme.seven','b:0;',-1,1636012333.374,1,'','0'),('language.en:color.theme.stable','b:0;',-1,1636012251.422,1,'','0'),('language.en:colorbox.settings','b:0;',-1,1636012250.247,1,'','0'),('language.en:comment.type.comment','b:0;',-1,1636011226.372,1,'','0'),('language.en:contact.form.feedback','b:0;',-1,1636011226.382,1,'','0'),('language.en:contact.form.personal','b:0;',-1,1636011226.382,1,'','0'),('language.en:contact.settings','b:0;',-1,1637057251.228,1,'','0'),('language.en:core.base_field_override.block_content.basic.changed','b:0;',-1,1636011226.944,1,'','0'),('language.en:core.base_field_override.block_content.basic.default_langcode','b:0;',-1,1636011226.944,1,'','0'),('language.en:core.base_field_override.block_content.basic.id','b:0;',-1,1636011226.944,1,'','0'),('language.en:core.base_field_override.block_content.basic.info','b:0;',-1,1636011226.944,1,'','0'),('language.en:core.base_field_override.block_content.basic.langcode','b:0;',-1,1636011226.944,1,'','0'),('language.en:core.base_field_override.block_content.basic.reusable','b:0;',-1,1636011226.944,1,'','0'),('language.en:core.base_field_override.block_content.basic.revision_created','b:0;',-1,1636011226.944,1,'','0'),('language.en:core.base_field_override.block_content.basic.revision_default','b:0;',-1,1636011226.944,1,'','0'),('language.en:core.base_field_override.block_content.basic.revision_id','b:0;',-1,1636011226.944,1,'','0'),('language.en:core.base_field_override.block_content.basic.revision_log','b:0;',-1,1636011226.944,1,'','0'),('language.en:core.base_field_override.block_content.basic.revision_translation_affected','b:0;',-1,1636011226.944,1,'','0'),('language.en:core.base_field_override.block_content.basic.revision_user','b:0;',-1,1636011226.944,1,'','0'),('language.en:core.base_field_override.block_content.basic.status','b:0;',-1,1636011226.944,1,'','0'),('language.en:core.base_field_override.block_content.basic.type','b:0;',-1,1636011226.944,1,'','0'),('language.en:core.base_field_override.block_content.basic.uuid','b:0;',-1,1636011226.944,1,'','0'),('language.en:core.base_field_override.comment.comment.changed','b:0;',-1,1636011226.966,1,'','0'),('language.en:core.base_field_override.comment.comment.cid','b:0;',-1,1636011226.966,1,'','0'),('language.en:core.base_field_override.comment.comment.comment_type','b:0;',-1,1636011226.966,1,'','0'),('language.en:core.base_field_override.comment.comment.created','b:0;',-1,1636011226.966,1,'','0'),('language.en:core.base_field_override.comment.comment.default_langcode','b:0;',-1,1636011226.966,1,'','0'),('language.en:core.base_field_override.comment.comment.entity_id','b:0;',-1,1636011226.966,1,'','0'),('language.en:core.base_field_override.comment.comment.entity_type','b:0;',-1,1636011226.966,1,'','0'),('language.en:core.base_field_override.comment.comment.field_name','b:0;',-1,1636011226.966,1,'','0'),('language.en:core.base_field_override.comment.comment.homepage','b:0;',-1,1636011226.966,1,'','0'),('language.en:core.base_field_override.comment.comment.hostname','b:0;',-1,1636011226.966,1,'','0'),('language.en:core.base_field_override.comment.comment.langcode','b:0;',-1,1636011226.966,1,'','0'),('language.en:core.base_field_override.comment.comment.mail','b:0;',-1,1636011226.966,1,'','0'),('language.en:core.base_field_override.comment.comment.name','b:0;',-1,1636011226.966,1,'','0'),('language.en:core.base_field_override.comment.comment.pid','b:0;',-1,1636011226.966,1,'','0'),('language.en:core.base_field_override.comment.comment.status','b:0;',-1,1636011226.966,1,'','0'),('language.en:core.base_field_override.comment.comment.subject','b:0;',-1,1636011226.966,1,'','0'),('language.en:core.base_field_override.comment.comment.thread','b:0;',-1,1636011226.966,1,'','0'),('language.en:core.base_field_override.comment.comment.uid','b:0;',-1,1636011226.966,1,'','0'),('language.en:core.base_field_override.comment.comment.uuid','b:0;',-1,1636011226.966,1,'','0'),('language.en:core.base_field_override.menu_link_content.menu_link_content.bundle','b:0;',-1,1636011228.216,1,'','0'),('language.en:core.base_field_override.menu_link_content.menu_link_content.changed','b:0;',-1,1636011228.216,1,'','0'),('language.en:core.base_field_override.menu_link_content.menu_link_content.default_langcode','b:0;',-1,1636011228.216,1,'','0'),('language.en:core.base_field_override.menu_link_content.menu_link_content.description','b:0;',-1,1636011228.216,1,'','0'),('language.en:core.base_field_override.menu_link_content.menu_link_content.enabled','b:0;',-1,1636011228.216,1,'','0'),('language.en:core.base_field_override.menu_link_content.menu_link_content.expanded','b:0;',-1,1636011228.216,1,'','0'),('language.en:core.base_field_override.menu_link_content.menu_link_content.external','b:0;',-1,1636011228.216,1,'','0'),('language.en:core.base_field_override.menu_link_content.menu_link_content.id','b:0;',-1,1636011228.216,1,'','0'),('language.en:core.base_field_override.menu_link_content.menu_link_content.langcode','b:0;',-1,1636011228.216,1,'','0'),('language.en:core.base_field_override.menu_link_content.menu_link_content.link','b:0;',-1,1636011228.216,1,'','0'),('language.en:core.base_field_override.menu_link_content.menu_link_content.menu_name','b:0;',-1,1636011228.216,1,'','0'),('language.en:core.base_field_override.menu_link_content.menu_link_content.parent','b:0;',-1,1636011228.216,1,'','0'),('language.en:core.base_field_override.menu_link_content.menu_link_content.rediscover','b:0;',-1,1636011228.216,1,'','0'),('language.en:core.base_field_override.menu_link_content.menu_link_content.revision_created','b:0;',-1,1636011228.216,1,'','0'),('language.en:core.base_field_override.menu_link_content.menu_link_content.revision_default','b:0;',-1,1636011228.216,1,'','0'),('language.en:core.base_field_override.menu_link_content.menu_link_content.revision_id','b:0;',-1,1636011228.216,1,'','0'),('language.en:core.base_field_override.menu_link_content.menu_link_content.revision_log_message','b:0;',-1,1636011228.216,1,'','0'),('language.en:core.base_field_override.menu_link_content.menu_link_content.revision_translation_affected','b:0;',-1,1636011228.216,1,'','0'),('language.en:core.base_field_override.menu_link_content.menu_link_content.revision_user','b:0;',-1,1636011228.216,1,'','0'),('language.en:core.base_field_override.menu_link_content.menu_link_content.title','b:0;',-1,1636011228.216,1,'','0'),('language.en:core.base_field_override.menu_link_content.menu_link_content.uuid','b:0;',-1,1636011228.216,1,'','0'),('language.en:core.base_field_override.menu_link_content.menu_link_content.weight','b:0;',-1,1636011228.216,1,'','0'),('language.en:core.base_field_override.node.banner.changed','b:0;',-1,1636011227.103,1,'','0'),('language.en:core.base_field_override.node.banner.content_translation_outdated','b:0;',-1,1636011227.103,1,'','0'),('language.en:core.base_field_override.node.banner.content_translation_source','b:0;',-1,1636011227.103,1,'','0'),('language.en:core.base_field_override.node.banner.created','b:0;',-1,1636011227.103,1,'','0'),('language.en:core.base_field_override.node.banner.default_langcode','b:0;',-1,1636011227.103,1,'','0'),('language.en:core.base_field_override.node.banner.langcode','b:0;',-1,1636011227.103,1,'','0'),('language.en:core.base_field_override.node.banner.menu_link','b:0;',-1,1636011227.103,1,'','0'),('language.en:core.base_field_override.node.banner.mymodule_text','b:0;',-1,1636011227.103,1,'','0'),('language.en:core.base_field_override.node.banner.nid','b:0;',-1,1636011227.103,1,'','0'),('language.en:core.base_field_override.node.banner.node_class','b:0;',-1,1636011227.103,1,'','0'),('language.en:core.base_field_override.node.banner.path','b:0;',-1,1636011227.103,1,'','0'),('language.en:core.base_field_override.node.banner.promote','b:0;',-1,1636011227.103,1,'','0'),('language.en:core.base_field_override.node.banner.revision_default','b:0;',-1,1636011227.103,1,'','0'),('language.en:core.base_field_override.node.banner.revision_log','b:0;',-1,1636011227.103,1,'','0'),('language.en:core.base_field_override.node.banner.revision_timestamp','b:0;',-1,1636011227.103,1,'','0'),('language.en:core.base_field_override.node.banner.revision_translation_affected','b:0;',-1,1636011227.103,1,'','0'),('language.en:core.base_field_override.node.banner.revision_uid','b:0;',-1,1636011227.103,1,'','0'),('language.en:core.base_field_override.node.banner.status','b:0;',-1,1636011227.103,1,'','0'),('language.en:core.base_field_override.node.banner.sticky','b:0;',-1,1636011227.103,1,'','0'),('language.en:core.base_field_override.node.banner.title','b:0;',-1,1636011227.103,1,'','0'),('language.en:core.base_field_override.node.banner.type','b:0;',-1,1636011227.103,1,'','0'),('language.en:core.base_field_override.node.banner.uid','b:0;',-1,1636011227.103,1,'','0'),('language.en:core.base_field_override.node.banner.uuid','b:0;',-1,1636011227.103,1,'','0'),('language.en:core.base_field_override.node.banner.vid','b:0;',-1,1636011227.103,1,'','0'),('language.en:core.base_field_override.node.blog.changed','b:0;',-1,1636011227.125,1,'','0'),('language.en:core.base_field_override.node.blog.content_translation_outdated','b:0;',-1,1636011227.125,1,'','0'),('language.en:core.base_field_override.node.blog.content_translation_source','b:0;',-1,1636011227.125,1,'','0'),('language.en:core.base_field_override.node.blog.created','b:0;',-1,1636011227.125,1,'','0'),('language.en:core.base_field_override.node.blog.default_langcode','b:0;',-1,1636011227.125,1,'','0'),('language.en:core.base_field_override.node.blog.langcode','b:0;',-1,1636011227.125,1,'','0'),('language.en:core.base_field_override.node.blog.menu_link','b:0;',-1,1636011227.125,1,'','0'),('language.en:core.base_field_override.node.blog.mymodule_text','b:0;',-1,1636011227.125,1,'','0'),('language.en:core.base_field_override.node.blog.nid','b:0;',-1,1636011227.125,1,'','0'),('language.en:core.base_field_override.node.blog.node_class','b:0;',-1,1636011227.125,1,'','0'),('language.en:core.base_field_override.node.blog.path','b:0;',-1,1636011227.125,1,'','0'),('language.en:core.base_field_override.node.blog.promote','b:0;',-1,1636011227.125,1,'','0'),('language.en:core.base_field_override.node.blog.revision_default','b:0;',-1,1636011227.125,1,'','0'),('language.en:core.base_field_override.node.blog.revision_log','b:0;',-1,1636011227.125,1,'','0'),('language.en:core.base_field_override.node.blog.revision_timestamp','b:0;',-1,1636011227.125,1,'','0'),('language.en:core.base_field_override.node.blog.revision_translation_affected','b:0;',-1,1636011227.125,1,'','0'),('language.en:core.base_field_override.node.blog.revision_uid','b:0;',-1,1636011227.125,1,'','0'),('language.en:core.base_field_override.node.blog.status','b:0;',-1,1636011227.125,1,'','0'),('language.en:core.base_field_override.node.blog.sticky','b:0;',-1,1636011227.125,1,'','0'),('language.en:core.base_field_override.node.blog.title','b:0;',-1,1636011227.125,1,'','0'),('language.en:core.base_field_override.node.blog.type','b:0;',-1,1636011227.125,1,'','0'),('language.en:core.base_field_override.node.blog.uid','b:0;',-1,1636011227.125,1,'','0'),('language.en:core.base_field_override.node.blog.uuid','b:0;',-1,1636011227.125,1,'','0'),('language.en:core.base_field_override.node.blog.vid','b:0;',-1,1636011227.125,1,'','0'),('language.en:core.base_field_override.node.our_mission.changed','b:0;',-1,1636011227.156,1,'','0'),('language.en:core.base_field_override.node.our_mission.content_translation_outdated','b:0;',-1,1636011227.156,1,'','0'),('language.en:core.base_field_override.node.our_mission.content_translation_source','b:0;',-1,1636011227.156,1,'','0'),('language.en:core.base_field_override.node.our_mission.created','b:0;',-1,1636011227.156,1,'','0'),('language.en:core.base_field_override.node.our_mission.default_langcode','b:0;',-1,1636011227.156,1,'','0'),('language.en:core.base_field_override.node.our_mission.langcode','b:0;',-1,1636011227.156,1,'','0'),('language.en:core.base_field_override.node.our_mission.menu_link','b:0;',-1,1636011227.156,1,'','0'),('language.en:core.base_field_override.node.our_mission.mymodule_text','b:0;',-1,1636011227.156,1,'','0'),('language.en:core.base_field_override.node.our_mission.nid','b:0;',-1,1636011227.156,1,'','0'),('language.en:core.base_field_override.node.our_mission.node_class','b:0;',-1,1636011227.156,1,'','0'),('language.en:core.base_field_override.node.our_mission.path','b:0;',-1,1636011227.156,1,'','0'),('language.en:core.base_field_override.node.our_mission.promote','b:0;',-1,1636011227.156,1,'','0'),('language.en:core.base_field_override.node.our_mission.revision_default','b:0;',-1,1636011227.156,1,'','0'),('language.en:core.base_field_override.node.our_mission.revision_log','b:0;',-1,1636011227.156,1,'','0'),('language.en:core.base_field_override.node.our_mission.revision_timestamp','b:0;',-1,1636011227.156,1,'','0'),('language.en:core.base_field_override.node.our_mission.revision_translation_affected','b:0;',-1,1636011227.156,1,'','0'),('language.en:core.base_field_override.node.our_mission.revision_uid','b:0;',-1,1636011227.156,1,'','0'),('language.en:core.base_field_override.node.our_mission.status','b:0;',-1,1636011227.156,1,'','0'),('language.en:core.base_field_override.node.our_mission.sticky','b:0;',-1,1636011227.156,1,'','0'),('language.en:core.base_field_override.node.our_mission.title','b:0;',-1,1636011227.156,1,'','0'),('language.en:core.base_field_override.node.our_mission.type','b:0;',-1,1636011227.156,1,'','0'),('language.en:core.base_field_override.node.our_mission.uid','b:0;',-1,1636011227.156,1,'','0'),('language.en:core.base_field_override.node.our_mission.uuid','b:0;',-1,1636011227.156,1,'','0'),('language.en:core.base_field_override.node.our_mission.vid','b:0;',-1,1636011227.156,1,'','0'),('language.en:core.base_field_override.node.our_services.changed','b:0;',-1,1636011227.186,1,'','0'),('language.en:core.base_field_override.node.our_services.content_translation_outdated','b:0;',-1,1636011227.186,1,'','0'),('language.en:core.base_field_override.node.our_services.content_translation_source','b:0;',-1,1636011227.186,1,'','0'),('language.en:core.base_field_override.node.our_services.created','b:0;',-1,1636011227.186,1,'','0'),('language.en:core.base_field_override.node.our_services.default_langcode','b:0;',-1,1636011227.186,1,'','0'),('language.en:core.base_field_override.node.our_services.langcode','b:0;',-1,1636011227.186,1,'','0'),('language.en:core.base_field_override.node.our_services.menu_link','b:0;',-1,1636011227.186,1,'','0'),('language.en:core.base_field_override.node.our_services.mymodule_text','b:0;',-1,1636011227.186,1,'','0'),('language.en:core.base_field_override.node.our_services.nid','b:0;',-1,1636011227.186,1,'','0'),('language.en:core.base_field_override.node.our_services.node_class','b:0;',-1,1636011227.186,1,'','0'),('language.en:core.base_field_override.node.our_services.path','b:0;',-1,1636011227.186,1,'','0'),('language.en:core.base_field_override.node.our_services.promote','b:0;',-1,1636011227.186,1,'','0'),('language.en:core.base_field_override.node.our_services.revision_default','b:0;',-1,1636011227.186,1,'','0'),('language.en:core.base_field_override.node.our_services.revision_log','b:0;',-1,1636011227.186,1,'','0'),('language.en:core.base_field_override.node.our_services.revision_timestamp','b:0;',-1,1636011227.186,1,'','0'),('language.en:core.base_field_override.node.our_services.revision_translation_affected','b:0;',-1,1636011227.186,1,'','0'),('language.en:core.base_field_override.node.our_services.revision_uid','b:0;',-1,1636011227.186,1,'','0'),('language.en:core.base_field_override.node.our_services.status','b:0;',-1,1636011227.186,1,'','0'),('language.en:core.base_field_override.node.our_services.sticky','b:0;',-1,1636011227.186,1,'','0'),('language.en:core.base_field_override.node.our_services.title','b:0;',-1,1636011227.186,1,'','0'),('language.en:core.base_field_override.node.our_services.type','b:0;',-1,1636011227.186,1,'','0'),('language.en:core.base_field_override.node.our_services.uid','b:0;',-1,1636011227.186,1,'','0'),('language.en:core.base_field_override.node.our_services.uuid','b:0;',-1,1636011227.186,1,'','0'),('language.en:core.base_field_override.node.our_services.vid','b:0;',-1,1636011227.186,1,'','0'),('language.en:core.base_field_override.node.page.changed','b:0;',-1,1636011227.216,1,'','0'),('language.en:core.base_field_override.node.page.content_translation_outdated','b:0;',-1,1636011227.216,1,'','0'),('language.en:core.base_field_override.node.page.content_translation_source','b:0;',-1,1636011227.216,1,'','0'),('language.en:core.base_field_override.node.page.created','b:0;',-1,1636011227.216,1,'','0'),('language.en:core.base_field_override.node.page.default_langcode','b:0;',-1,1636011227.216,1,'','0'),('language.en:core.base_field_override.node.page.langcode','b:0;',-1,1636011227.216,1,'','0'),('language.en:core.base_field_override.node.page.menu_link','b:0;',-1,1636011227.216,1,'','0'),('language.en:core.base_field_override.node.page.mymodule_text','b:0;',-1,1636011227.216,1,'','0'),('language.en:core.base_field_override.node.page.nid','b:0;',-1,1636011227.216,1,'','0'),('language.en:core.base_field_override.node.page.node_class','b:0;',-1,1636011227.216,1,'','0'),('language.en:core.base_field_override.node.page.path','b:0;',-1,1636011227.216,1,'','0'),('language.en:core.base_field_override.node.page.promote','b:0;',-1,1636011227.216,1,'','0'),('language.en:core.base_field_override.node.page.revision_default','b:0;',-1,1636011227.216,1,'','0'),('language.en:core.base_field_override.node.page.revision_log','b:0;',-1,1636011227.216,1,'','0'),('language.en:core.base_field_override.node.page.revision_timestamp','b:0;',-1,1636011227.216,1,'','0'),('language.en:core.base_field_override.node.page.revision_translation_affected','b:0;',-1,1636011227.216,1,'','0'),('language.en:core.base_field_override.node.page.revision_uid','b:0;',-1,1636011227.216,1,'','0'),('language.en:core.base_field_override.node.page.status','b:0;',-1,1636011227.216,1,'','0'),('language.en:core.base_field_override.node.page.sticky','b:0;',-1,1636011227.216,1,'','0'),('language.en:core.base_field_override.node.page.title','b:0;',-1,1636011227.216,1,'','0'),('language.en:core.base_field_override.node.page.type','b:0;',-1,1636011227.216,1,'','0'),('language.en:core.base_field_override.node.page.uid','b:0;',-1,1636011227.216,1,'','0'),('language.en:core.base_field_override.node.page.uuid','b:0;',-1,1636011227.216,1,'','0'),('language.en:core.base_field_override.node.page.vid','b:0;',-1,1636011227.216,1,'','0'),('language.en:core.base_field_override.node.partners.changed','b:0;',-1,1636011227.238,1,'','0'),('language.en:core.base_field_override.node.partners.content_translation_outdated','b:0;',-1,1636011227.238,1,'','0'),('language.en:core.base_field_override.node.partners.content_translation_source','b:0;',-1,1636011227.238,1,'','0'),('language.en:core.base_field_override.node.partners.created','b:0;',-1,1636011227.238,1,'','0'),('language.en:core.base_field_override.node.partners.default_langcode','b:0;',-1,1636011227.238,1,'','0'),('language.en:core.base_field_override.node.partners.langcode','b:0;',-1,1636011227.237,1,'','0'),('language.en:core.base_field_override.node.partners.menu_link','b:0;',-1,1636011227.238,1,'','0'),('language.en:core.base_field_override.node.partners.mymodule_text','b:0;',-1,1636011227.238,1,'','0'),('language.en:core.base_field_override.node.partners.nid','b:0;',-1,1636011227.237,1,'','0'),('language.en:core.base_field_override.node.partners.node_class','b:0;',-1,1636011227.238,1,'','0'),('language.en:core.base_field_override.node.partners.path','b:0;',-1,1636011227.238,1,'','0'),('language.en:core.base_field_override.node.partners.promote','b:0;',-1,1636011227.238,1,'','0'),('language.en:core.base_field_override.node.partners.revision_default','b:0;',-1,1636011227.238,1,'','0'),('language.en:core.base_field_override.node.partners.revision_log','b:0;',-1,1636011227.238,1,'','0'),('language.en:core.base_field_override.node.partners.revision_timestamp','b:0;',-1,1636011227.238,1,'','0'),('language.en:core.base_field_override.node.partners.revision_translation_affected','b:0;',-1,1636011227.238,1,'','0'),('language.en:core.base_field_override.node.partners.revision_uid','b:0;',-1,1636011227.238,1,'','0'),('language.en:core.base_field_override.node.partners.status','b:0;',-1,1636011227.238,1,'','0'),('language.en:core.base_field_override.node.partners.sticky','b:0;',-1,1636011227.238,1,'','0'),('language.en:core.base_field_override.node.partners.title','b:0;',-1,1636011227.238,1,'','0'),('language.en:core.base_field_override.node.partners.type','b:0;',-1,1636011227.237,1,'','0'),('language.en:core.base_field_override.node.partners.uid','b:0;',-1,1636011227.238,1,'','0'),('language.en:core.base_field_override.node.partners.uuid','b:0;',-1,1636011227.237,1,'','0'),('language.en:core.base_field_override.node.partners.vid','b:0;',-1,1636011227.237,1,'','0'),('language.en:core.base_field_override.node.portfolio.changed','b:0;',-1,1636011227.260,1,'','0'),('language.en:core.base_field_override.node.portfolio.content_translation_outdated','b:0;',-1,1636011227.260,1,'','0'),('language.en:core.base_field_override.node.portfolio.content_translation_source','b:0;',-1,1636011227.260,1,'','0'),('language.en:core.base_field_override.node.portfolio.created','b:0;',-1,1636011227.260,1,'','0'),('language.en:core.base_field_override.node.portfolio.default_langcode','b:0;',-1,1636011227.260,1,'','0'),('language.en:core.base_field_override.node.portfolio.langcode','b:0;',-1,1636011227.260,1,'','0'),('language.en:core.base_field_override.node.portfolio.menu_link','b:0;',-1,1636011227.260,1,'','0'),('language.en:core.base_field_override.node.portfolio.mymodule_text','b:0;',-1,1636011227.260,1,'','0'),('language.en:core.base_field_override.node.portfolio.nid','b:0;',-1,1636011227.260,1,'','0'),('language.en:core.base_field_override.node.portfolio.node_class','b:0;',-1,1636011227.260,1,'','0'),('language.en:core.base_field_override.node.portfolio.path','b:0;',-1,1636011227.260,1,'','0'),('language.en:core.base_field_override.node.portfolio.promote','b:0;',-1,1636011227.260,1,'','0'),('language.en:core.base_field_override.node.portfolio.revision_default','b:0;',-1,1636011227.260,1,'','0'),('language.en:core.base_field_override.node.portfolio.revision_log','b:0;',-1,1636011227.260,1,'','0'),('language.en:core.base_field_override.node.portfolio.revision_timestamp','b:0;',-1,1636011227.260,1,'','0'),('language.en:core.base_field_override.node.portfolio.revision_translation_affected','b:0;',-1,1636011227.260,1,'','0'),('language.en:core.base_field_override.node.portfolio.revision_uid','b:0;',-1,1636011227.260,1,'','0'),('language.en:core.base_field_override.node.portfolio.status','b:0;',-1,1636011227.260,1,'','0'),('language.en:core.base_field_override.node.portfolio.sticky','b:0;',-1,1636011227.260,1,'','0'),('language.en:core.base_field_override.node.portfolio.title','b:0;',-1,1636011227.260,1,'','0'),('language.en:core.base_field_override.node.portfolio.type','b:0;',-1,1636011227.260,1,'','0'),('language.en:core.base_field_override.node.portfolio.uid','b:0;',-1,1636011227.260,1,'','0'),('language.en:core.base_field_override.node.portfolio.uuid','b:0;',-1,1636011227.260,1,'','0'),('language.en:core.base_field_override.node.portfolio.vid','b:0;',-1,1636011227.260,1,'','0'),('language.en:core.base_field_override.node.simplenews_issue.changed','b:0;',-1,1636011227.282,1,'','0'),('language.en:core.base_field_override.node.simplenews_issue.content_translation_outdated','b:0;',-1,1636011227.282,1,'','0'),('language.en:core.base_field_override.node.simplenews_issue.content_translation_source','b:0;',-1,1636011227.282,1,'','0'),('language.en:core.base_field_override.node.simplenews_issue.created','b:0;',-1,1636011227.282,1,'','0'),('language.en:core.base_field_override.node.simplenews_issue.default_langcode','b:0;',-1,1636011227.282,1,'','0'),('language.en:core.base_field_override.node.simplenews_issue.langcode','b:0;',-1,1636011227.282,1,'','0'),('language.en:core.base_field_override.node.simplenews_issue.menu_link','b:0;',-1,1636011227.282,1,'','0'),('language.en:core.base_field_override.node.simplenews_issue.mymodule_text','b:0;',-1,1636011227.282,1,'','0'),('language.en:core.base_field_override.node.simplenews_issue.nid','b:0;',-1,1636011227.282,1,'','0'),('language.en:core.base_field_override.node.simplenews_issue.node_class','b:0;',-1,1636011227.282,1,'','0'),('language.en:core.base_field_override.node.simplenews_issue.path','b:0;',-1,1636011227.282,1,'','0'),('language.en:core.base_field_override.node.simplenews_issue.promote','b:0;',-1,1636011227.282,1,'','0'),('language.en:core.base_field_override.node.simplenews_issue.revision_default','b:0;',-1,1636011227.282,1,'','0'),('language.en:core.base_field_override.node.simplenews_issue.revision_log','b:0;',-1,1636011227.282,1,'','0'),('language.en:core.base_field_override.node.simplenews_issue.revision_timestamp','b:0;',-1,1636011227.282,1,'','0'),('language.en:core.base_field_override.node.simplenews_issue.revision_translation_affected','b:0;',-1,1636011227.282,1,'','0'),('language.en:core.base_field_override.node.simplenews_issue.revision_uid','b:0;',-1,1636011227.282,1,'','0'),('language.en:core.base_field_override.node.simplenews_issue.status','b:0;',-1,1636011227.282,1,'','0'),('language.en:core.base_field_override.node.simplenews_issue.sticky','b:0;',-1,1636011227.282,1,'','0'),('language.en:core.base_field_override.node.simplenews_issue.title','b:0;',-1,1636011227.282,1,'','0'),('language.en:core.base_field_override.node.simplenews_issue.type','b:0;',-1,1636011227.282,1,'','0'),('language.en:core.base_field_override.node.simplenews_issue.uid','b:0;',-1,1636011227.282,1,'','0'),('language.en:core.base_field_override.node.simplenews_issue.uuid','b:0;',-1,1636011227.282,1,'','0'),('language.en:core.base_field_override.node.simplenews_issue.vid','b:0;',-1,1636011227.282,1,'','0'),('language.en:core.base_field_override.node.why_us.changed','b:0;',-1,1636011227.313,1,'','0'),('language.en:core.base_field_override.node.why_us.content_translation_outdated','b:0;',-1,1636011227.313,1,'','0'),('language.en:core.base_field_override.node.why_us.content_translation_source','b:0;',-1,1636011227.313,1,'','0'),('language.en:core.base_field_override.node.why_us.created','b:0;',-1,1636011227.313,1,'','0'),('language.en:core.base_field_override.node.why_us.default_langcode','b:0;',-1,1636011227.313,1,'','0'),('language.en:core.base_field_override.node.why_us.langcode','b:0;',-1,1636011227.313,1,'','0'),('language.en:core.base_field_override.node.why_us.menu_link','b:0;',-1,1636011227.313,1,'','0'),('language.en:core.base_field_override.node.why_us.mymodule_text','b:0;',-1,1636011227.313,1,'','0'),('language.en:core.base_field_override.node.why_us.nid','b:0;',-1,1636011227.313,1,'','0'),('language.en:core.base_field_override.node.why_us.node_class','b:0;',-1,1636011227.313,1,'','0'),('language.en:core.base_field_override.node.why_us.path','b:0;',-1,1636011227.313,1,'','0'),('language.en:core.base_field_override.node.why_us.promote','b:0;',-1,1636011227.313,1,'','0'),('language.en:core.base_field_override.node.why_us.revision_default','b:0;',-1,1636011227.313,1,'','0'),('language.en:core.base_field_override.node.why_us.revision_log','b:0;',-1,1636011227.313,1,'','0'),('language.en:core.base_field_override.node.why_us.revision_timestamp','b:0;',-1,1636011227.313,1,'','0'),('language.en:core.base_field_override.node.why_us.revision_translation_affected','b:0;',-1,1636011227.313,1,'','0'),('language.en:core.base_field_override.node.why_us.revision_uid','b:0;',-1,1636011227.313,1,'','0'),('language.en:core.base_field_override.node.why_us.status','b:0;',-1,1636011227.313,1,'','0'),('language.en:core.base_field_override.node.why_us.sticky','b:0;',-1,1636011227.313,1,'','0'),('language.en:core.base_field_override.node.why_us.title','b:0;',-1,1636011227.313,1,'','0'),('language.en:core.base_field_override.node.why_us.type','b:0;',-1,1636011227.313,1,'','0'),('language.en:core.base_field_override.node.why_us.uid','b:0;',-1,1636011227.313,1,'','0'),('language.en:core.base_field_override.node.why_us.uuid','b:0;',-1,1636011227.313,1,'','0'),('language.en:core.base_field_override.node.why_us.vid','b:0;',-1,1636011227.313,1,'','0'),('language.en:core.base_field_override.shortcut.default.default_langcode','b:0;',-1,1636012251.340,1,'','0'),('language.en:core.base_field_override.shortcut.default.id','b:0;',-1,1636012251.340,1,'','0'),('language.en:core.base_field_override.shortcut.default.langcode','b:0;',-1,1636012251.340,1,'','0'),('language.en:core.base_field_override.shortcut.default.link','b:0;',-1,1636012251.340,1,'','0'),('language.en:core.base_field_override.shortcut.default.shortcut_set','b:0;',-1,1636012251.340,1,'','0'),('language.en:core.base_field_override.shortcut.default.title','b:0;',-1,1636012251.340,1,'','0'),('language.en:core.base_field_override.shortcut.default.uuid','b:0;',-1,1636012251.340,1,'','0'),('language.en:core.base_field_override.shortcut.default.weight','b:0;',-1,1636012251.340,1,'','0'),('language.en:core.base_field_override.taxonomy_term.tags.changed','b:0;',-1,1636012250.624,1,'','0'),('language.en:core.base_field_override.taxonomy_term.tags.content_translation_created','b:0;',-1,1636012250.624,1,'','0'),('language.en:core.base_field_override.taxonomy_term.tags.content_translation_outdated','b:0;',-1,1636012250.624,1,'','0'),('language.en:core.base_field_override.taxonomy_term.tags.content_translation_source','b:0;',-1,1636012250.624,1,'','0'),('language.en:core.base_field_override.taxonomy_term.tags.content_translation_uid','b:0;',-1,1636012250.624,1,'','0'),('language.en:core.base_field_override.taxonomy_term.tags.default_langcode','b:0;',-1,1636012250.624,1,'','0'),('language.en:core.base_field_override.taxonomy_term.tags.description','b:0;',-1,1636012250.624,1,'','0'),('language.en:core.base_field_override.taxonomy_term.tags.langcode','b:0;',-1,1636012250.624,1,'','0'),('language.en:core.base_field_override.taxonomy_term.tags.name','b:0;',-1,1636012250.624,1,'','0'),('language.en:core.base_field_override.taxonomy_term.tags.parent','b:0;',-1,1636012250.624,1,'','0'),('language.en:core.base_field_override.taxonomy_term.tags.path','b:0;',-1,1636012250.624,1,'','0'),('language.en:core.base_field_override.taxonomy_term.tags.revision_created','b:0;',-1,1636012250.624,1,'','0'),('language.en:core.base_field_override.taxonomy_term.tags.revision_default','b:0;',-1,1636012250.624,1,'','0'),('language.en:core.base_field_override.taxonomy_term.tags.revision_id','b:0;',-1,1636012250.624,1,'','0'),('language.en:core.base_field_override.taxonomy_term.tags.revision_log_message','b:0;',-1,1636012250.624,1,'','0'),('language.en:core.base_field_override.taxonomy_term.tags.revision_translation_affected','b:0;',-1,1636012250.624,1,'','0'),('language.en:core.base_field_override.taxonomy_term.tags.revision_user','b:0;',-1,1636012250.624,1,'','0'),('language.en:core.base_field_override.taxonomy_term.tags.status','b:0;',-1,1636012250.624,1,'','0'),('language.en:core.base_field_override.taxonomy_term.tags.tid','b:0;',-1,1636012250.624,1,'','0'),('language.en:core.base_field_override.taxonomy_term.tags.uuid','b:0;',-1,1636012250.624,1,'','0'),('language.en:core.base_field_override.taxonomy_term.tags.vid','b:0;',-1,1636012250.624,1,'','0'),('language.en:core.base_field_override.taxonomy_term.tags.weight','b:0;',-1,1636012250.624,1,'','0'),('language.en:core.base_field_override.user.user.access','b:0;',-1,1636011227.385,1,'','0'),('language.en:core.base_field_override.user.user.changed','b:0;',-1,1636011227.385,1,'','0'),('language.en:core.base_field_override.user.user.content_translation_created','b:0;',-1,1636011227.385,1,'','0'),('language.en:core.base_field_override.user.user.content_translation_outdated','b:0;',-1,1636011227.385,1,'','0'),('language.en:core.base_field_override.user.user.content_translation_source','b:0;',-1,1636011227.385,1,'','0'),('language.en:core.base_field_override.user.user.content_translation_status','b:0;',-1,1636011227.385,1,'','0'),('language.en:core.base_field_override.user.user.content_translation_uid','b:0;',-1,1636011227.385,1,'','0'),('language.en:core.base_field_override.user.user.created','b:0;',-1,1636011227.385,1,'','0'),('language.en:core.base_field_override.user.user.default_langcode','b:0;',-1,1636011227.385,1,'','0'),('language.en:core.base_field_override.user.user.init','b:0;',-1,1636011227.385,1,'','0'),('language.en:core.base_field_override.user.user.langcode','b:0;',-1,1636011227.385,1,'','0'),('language.en:core.base_field_override.user.user.login','b:0;',-1,1636011227.385,1,'','0'),('language.en:core.base_field_override.user.user.mail','b:0;',-1,1636011227.385,1,'','0'),('language.en:core.base_field_override.user.user.name','b:0;',-1,1636011227.385,1,'','0'),('language.en:core.base_field_override.user.user.pass','b:0;',-1,1636011227.385,1,'','0'),('language.en:core.base_field_override.user.user.path','b:0;',-1,1636011227.385,1,'','0'),('language.en:core.base_field_override.user.user.preferred_admin_langcode','b:0;',-1,1636011227.385,1,'','0'),('language.en:core.base_field_override.user.user.preferred_langcode','b:0;',-1,1636011227.385,1,'','0'),('language.en:core.base_field_override.user.user.roles','b:0;',-1,1636011227.385,1,'','0'),('language.en:core.base_field_override.user.user.status','b:0;',-1,1636011227.385,1,'','0'),('language.en:core.base_field_override.user.user.timezone','b:0;',-1,1636011227.385,1,'','0'),('language.en:core.base_field_override.user.user.uid','b:0;',-1,1636011227.385,1,'','0'),('language.en:core.base_field_override.user.user.uuid','b:0;',-1,1636011227.385,1,'','0'),('language.en:core.date_format.fallback','b:0;',-1,1637057230.627,1,'','0'),('language.en:core.date_format.html_date','b:0;',-1,1636012247.435,1,'','0'),('language.en:core.date_format.html_datetime','b:0;',-1,1637057230.627,1,'','0'),('language.en:core.date_format.html_month','b:0;',-1,1637057230.627,1,'','0'),('language.en:core.date_format.html_time','b:0;',-1,1636012247.443,1,'','0'),('language.en:core.date_format.html_week','b:0;',-1,1637057230.627,1,'','0'),('language.en:core.date_format.html_year','b:0;',-1,1637057230.627,1,'','0'),('language.en:core.date_format.html_yearless_date','b:0;',-1,1637057230.627,1,'','0'),('language.en:core.date_format.long','b:0;',-1,1637057230.618,1,'','0'),('language.en:core.date_format.medium','b:0;',-1,1637057230.610,1,'','0'),('language.en:core.date_format.short','b:0;',-1,1637057230.602,1,'','0'),('language.en:core.entity_form_display.simplenews_subscriber.simplenews_subscriber.block','b:0;',-1,1636012251.190,1,'','0'),('language.en:core.entity_form_display.simplenews_subscriber.simplenews_subscriber.default','b:0;',-1,1636012251.190,1,'','0'),('language.en:core.entity_form_mode.simplenews_subscriber.account','b:0;',-1,1636012250.054,1,'','0'),('language.en:core.entity_form_mode.simplenews_subscriber.block','b:0;',-1,1636012250.054,1,'','0'),('language.en:core.entity_form_mode.simplenews_subscriber.page','b:0;',-1,1636012250.054,1,'','0'),('language.en:core.entity_form_mode.user.register','b:0;',-1,1636012250.054,1,'','0'),('language.en:core.entity_view_display.block_content.basic.default','b:0;',-1,1636012251.263,1,'','0'),('language.en:core.entity_view_display.block_content.basic.full','b:0;',-1,1636012251.263,1,'','0'),('language.en:core.entity_view_display.user.user.default','b:0;',-1,1636711420.768,1,'','0'),('language.en:core.entity_view_display.user.user.full','b:0;',-1,1636711420.768,1,'','0'),('language.en:core.entity_view_mode.block.token','b:0;',-1,1636012250.073,1,'','0'),('language.en:core.entity_view_mode.block_content.full','b:0;',-1,1636012250.073,1,'','0'),('language.en:core.entity_view_mode.block_content.token','b:0;',-1,1636012250.073,1,'','0'),('language.en:core.entity_view_mode.comment.full','b:0;',-1,1636012250.073,1,'','0'),('language.en:core.entity_view_mode.comment.token','b:0;',-1,1636012250.073,1,'','0'),('language.en:core.entity_view_mode.contact_message.token','b:0;',-1,1636012250.073,1,'','0'),('language.en:core.entity_view_mode.file.token','b:0;',-1,1636012250.073,1,'','0'),('language.en:core.entity_view_mode.menu_link_content.token','b:0;',-1,1636012250.073,1,'','0'),('language.en:core.entity_view_mode.node.email_html','b:0;',-1,1636012250.073,1,'','0'),('language.en:core.entity_view_mode.node.email_plain','b:0;',-1,1636012250.073,1,'','0'),('language.en:core.entity_view_mode.node.email_textalt','b:0;',-1,1636012250.073,1,'','0'),('language.en:core.entity_view_mode.node.full','b:0;',-1,1636012250.073,1,'','0'),('language.en:core.entity_view_mode.node.rss','b:0;',-1,1636012250.073,1,'','0'),('language.en:core.entity_view_mode.node.search_index','b:0;',-1,1636012250.073,1,'','0'),('language.en:core.entity_view_mode.node.search_result','b:0;',-1,1636012250.073,1,'','0'),('language.en:core.entity_view_mode.node.teaser','b:0;',-1,1636012250.073,1,'','0'),('language.en:core.entity_view_mode.node.token','b:0;',-1,1636012250.073,1,'','0'),('language.en:core.entity_view_mode.shortcut.token','b:0;',-1,1636012250.073,1,'','0'),('language.en:core.entity_view_mode.taxonomy_term.full','b:0;',-1,1636012250.073,1,'','0'),('language.en:core.entity_view_mode.taxonomy_term.token','b:0;',-1,1636012250.073,1,'','0'),('language.en:core.entity_view_mode.tour.token','b:0;',-1,1636012250.073,1,'','0'),('language.en:core.entity_view_mode.user.compact','b:0;',-1,1636012250.073,1,'','0'),('language.en:core.entity_view_mode.user.full','b:0;',-1,1636012250.073,1,'','0'),('language.en:core.entity_view_mode.user.token','b:0;',-1,1636012250.073,1,'','0'),('language.en:core.extension','b:0;',-1,1636011224.710,1,'','0'),('language.en:dblog.settings','b:0;',-1,1636709609.432,1,'','0'),('language.en:editor.editor.basic_html','b:0;',-1,1636012254.736,1,'','0'),('language.en:editor.editor.full_html','b:0;',-1,1636012254.736,1,'','0'),('language.en:field.field.block_content.basic.body','b:0;',-1,1636011226.935,1,'','0'),('language.en:field.field.comment.comment.comment_body','b:0;',-1,1636011226.957,1,'','0'),('language.en:field.field.node.article.body','b:0;',-1,1636011226.992,1,'','0'),('language.en:field.field.node.article.comment','b:0;',-1,1636011227.089,1,'','0'),('language.en:field.field.node.article.field_banner','b:0;',-1,1636011227.089,1,'','0'),('language.en:field.field.node.article.field_image','b:0;',-1,1636011227.089,1,'','0'),('language.en:field.field.node.article.field_su','b:0;',-1,1636011227.089,1,'','0'),('language.en:field.field.node.article.field_tags','b:0;',-1,1636011227.089,1,'','0'),('language.en:field.field.node.banner.body','b:0;',-1,1636011227.037,1,'','0'),('language.en:field.field.node.banner.field_banner_title','b:0;',-1,1636011227.112,1,'','0'),('language.en:field.field.node.banner.field_image','b:0;',-1,1636011227.112,1,'','0'),('language.en:field.field.node.banner.field_type','b:0;',-1,1636011227.112,1,'','0'),('language.en:field.field.node.blog.body','b:0;',-1,1636011227.026,1,'','0'),('language.en:field.field.node.blog.comment','b:0;',-1,1636011227.137,1,'','0'),('language.en:field.field.node.blog.field_image','b:0;',-1,1636011227.137,1,'','0'),('language.en:field.field.node.blog.field_slideshow','b:0;',-1,1636011227.137,1,'','0'),('language.en:field.field.node.blog.field_tags','b:0;',-1,1636011227.137,1,'','0'),('language.en:field.field.node.blog.field_video','b:0;',-1,1636011227.137,1,'','0'),('language.en:field.field.node.our_mission.body','b:0;',-1,1636011227.060,1,'','0'),('language.en:field.field.node.our_mission.field_image','b:0;',-1,1636011227.168,1,'','0'),('language.en:field.field.node.our_services.body','b:0;',-1,1636011227.076,1,'','0'),('language.en:field.field.node.our_services.field_percent','b:0;',-1,1636011227.198,1,'','0'),('language.en:field.field.node.page.body','b:0;',-1,1636011226.981,1,'','0'),('language.en:field.field.node.page.field_icon_class','b:0;',-1,1636011227.224,1,'','0'),('language.en:field.field.node.partners.body','b:0;',-1,1636011227.003,1,'','0'),('language.en:field.field.node.partners.field_link','b:0;',-1,1636011227.246,1,'','0'),('language.en:field.field.node.partners.field_partners','b:0;',-1,1636011227.246,1,'','0'),('language.en:field.field.node.portfolio.body','b:0;',-1,1636011227.015,1,'','0'),('language.en:field.field.node.portfolio.field_gallery','b:0;',-1,1636011227.268,1,'','0'),('language.en:field.field.node.simplenews_issue.body','b:0;',-1,1636011227.049,1,'','0'),('language.en:field.field.node.simplenews_issue.simplenews_issue','b:0;',-1,1636011227.294,1,'','0'),('language.en:field.field.node.why_us.body','b:0;',-1,1636011227.068,1,'','0'),('language.en:field.field.node.why_us.field_why_us_type','b:0;',-1,1636011227.325,1,'','0'),('language.en:field.field.simplenews_subscriber.simplenews_subscriber.subscriptions','b:0;',-1,1636011227.352,1,'','0'),('language.en:field.field.user.user.user_picture','b:0;',-1,1636011227.375,1,'','0'),('language.en:field.settings','b:0;',-1,1636709609.453,1,'','0'),('language.en:field.storage.block_content.body','b:0;',-1,1636011226.659,1,'','0'),('language.en:field.storage.comment.comment_body','b:0;',-1,1636011226.720,1,'','0'),('language.en:field.storage.node.body','b:0;',-1,1636011226.847,1,'','0'),('language.en:field.storage.node.comment','b:0;',-1,1636011226.847,1,'','0'),('language.en:field.storage.node.field_banner','b:0;',-1,1636011226.847,1,'','0'),('language.en:field.storage.node.field_banner_title','b:0;',-1,1636011226.847,1,'','0'),('language.en:field.storage.node.field_gallery','b:0;',-1,1636011226.847,1,'','0'),('language.en:field.storage.node.field_icon_class','b:0;',-1,1636011226.847,1,'','0'),('language.en:field.storage.node.field_image','b:0;',-1,1636011226.847,1,'','0'),('language.en:field.storage.node.field_link','b:0;',-1,1636011226.847,1,'','0'),('language.en:field.storage.node.field_partners','b:0;',-1,1636011226.847,1,'','0'),('language.en:field.storage.node.field_percent','b:0;',-1,1636011226.847,1,'','0'),('language.en:field.storage.node.field_slideshow','b:0;',-1,1636011226.847,1,'','0'),('language.en:field.storage.node.field_su','b:0;',-1,1636011226.847,1,'','0'),('language.en:field.storage.node.field_tags','b:0;',-1,1636011226.847,1,'','0'),('language.en:field.storage.node.field_type','b:0;',-1,1636011226.847,1,'','0'),('language.en:field.storage.node.field_video','b:0;',-1,1636011226.847,1,'','0'),('language.en:field.storage.node.field_why_us_type','b:0;',-1,1636011226.847,1,'','0'),('language.en:field.storage.node.simplenews_issue','b:0;',-1,1636011226.847,1,'','0'),('language.en:field.storage.simplenews_subscriber.subscriptions','b:0;',-1,1636011226.878,1,'','0'),('language.en:field.storage.user.user_picture','b:0;',-1,1636011226.904,1,'','0'),('language.en:filter.format.basic_html','b:0;',-1,1636012255.457,1,'','0'),('language.en:filter.format.full_html','b:0;',-1,1636012247.878,1,'','0'),('language.en:filter.format.plain_text','b:0;',-1,1636012255.457,1,'','0'),('language.en:filter.format.restricted_html','b:0;',-1,1636012255.457,1,'','0'),('language.en:filter.settings','b:0;',-1,1636012255.480,1,'','0'),('language.en:image.settings','b:0;',-1,1636012249.845,1,'','0'),('language.en:image.style.image_1400_700','b:0;',-1,1637057230.706,1,'','0'),('language.en:image.style.image_1920_1280','b:0;',-1,1637057230.706,1,'','0'),('language.en:image.style.image_1920_595','b:0;',-1,1637057230.706,1,'','0'),('language.en:image.style.image_1920_700','b:0;',-1,1636012250.164,1,'','0'),('language.en:image.style.image_1920_845','b:0;',-1,1636012249.787,1,'','0'),('language.en:image.style.image_1921_685_','b:0;',-1,1637057230.706,1,'','0'),('language.en:image.style.image_270_270','b:0;',-1,1637057230.706,1,'','0'),('language.en:image.style.image_360_360_','b:0;',-1,1637057230.706,1,'','0'),('language.en:image.style.image_370_350','b:0;',-1,1637057230.706,1,'','0'),('language.en:image.style.image_370_370','b:0;',-1,1637057230.706,1,'','0'),('language.en:image.style.image_380_224','b:0;',-1,1636012250.859,1,'','0'),('language.en:image.style.image_513_251_','b:0;',-1,1637057230.706,1,'','0'),('language.en:image.style.image_551_372','b:0;',-1,1636012250.594,1,'','0'),('language.en:image.style.image_63_63','b:0;',-1,1636012251.083,1,'','0'),('language.en:image.style.image_640_363_','b:0;',-1,1637057230.706,1,'','0'),('language.en:image.style.large','b:0;',-1,1637057230.706,1,'','0'),('language.en:image.style.max_1300x1300','b:0;',-1,1637057230.706,1,'','0'),('language.en:image.style.max_2600x2600','b:0;',-1,1637057230.706,1,'','0'),('language.en:image.style.max_325x325','b:0;',-1,1637057230.706,1,'','0'),('language.en:image.style.max_650x650','b:0;',-1,1637057230.706,1,'','0'),('language.en:image.style.medium','b:0;',-1,1637057230.706,1,'','0'),('language.en:image.style.thumbnail','b:0;',-1,1637057230.706,1,'','0'),('language.en:language.content_settings.block_content.basic','b:0;',-1,1636011226.443,1,'','0'),('language.en:language.content_settings.comment.comment','b:0;',-1,1636011226.455,1,'','0'),('language.en:language.content_settings.menu_link_content.menu_link_content','b:0;',-1,1636011226.594,1,'','0'),('language.en:language.content_settings.node.article','b:0;',-1,1636011226.465,1,'','0'),('language.en:language.content_settings.node.banner','b:0;',-1,1636011226.473,1,'','0'),('language.en:language.content_settings.node.blog','b:0;',-1,1636011226.481,1,'','0'),('language.en:language.content_settings.node.our_mission','b:0;',-1,1636011226.489,1,'','0'),('language.en:language.content_settings.node.our_services','b:0;',-1,1636011226.496,1,'','0'),('language.en:language.content_settings.node.page','b:0;',-1,1636011226.504,1,'','0'),('language.en:language.content_settings.node.partners','b:0;',-1,1636011226.512,1,'','0'),('language.en:language.content_settings.node.portfolio','b:0;',-1,1636011226.520,1,'','0'),('language.en:language.content_settings.node.simplenews_issue','b:0;',-1,1636011226.529,1,'','0'),('language.en:language.content_settings.node.why_us','b:0;',-1,1636011226.540,1,'','0'),('language.en:language.content_settings.shortcut.default','b:0;',-1,1636011226.552,1,'','0'),('language.en:language.content_settings.taxonomy_term.tags','b:0;',-1,1636011226.563,1,'','0'),('language.en:language.content_settings.user.user','b:0;',-1,1636011226.574,1,'','0'),('language.en:language.entity.ar','b:0;',-1,1636011225.524,1,'','0'),('language.en:language.entity.en','b:0;',-1,1636011225.524,1,'','0'),('language.en:language.entity.und','b:0;',-1,1636011225.524,1,'','0'),('language.en:language.entity.zxx','b:0;',-1,1636011225.524,1,'','0'),('language.en:language.mappings','b:0;',-1,1636012255.527,1,'','0'),('language.en:language.negotiation','b:0;',-1,1636011225.614,1,'','0'),('language.en:language.types','b:0;',-1,1636011225.565,1,'','0'),('language.en:locale.settings','b:0;',-1,1636011226.349,1,'','0'),('language.en:luxestate.settings','b:0;',-1,1636012248.374,1,'','0'),('language.en:node.settings','b:0;',-1,1636011227.873,1,'','0'),('language.en:node.type.article','b:0;',-1,1636011226.394,1,'','0'),('language.en:node.type.banner','b:0;',-1,1636011226.394,1,'','0'),('language.en:node.type.blog','b:0;',-1,1636011226.394,1,'','0'),('language.en:node.type.our_mission','b:0;',-1,1636011226.394,1,'','0'),('language.en:node.type.our_services','b:0;',-1,1636011226.394,1,'','0'),('language.en:node.type.page','b:0;',-1,1636011226.394,1,'','0'),('language.en:node.type.partners','b:0;',-1,1636011226.394,1,'','0'),('language.en:node.type.portfolio','b:0;',-1,1636011226.394,1,'','0'),('language.en:node.type.simplenews_issue','b:0;',-1,1636011226.394,1,'','0'),('language.en:node.type.why_us','b:0;',-1,1636011226.394,1,'','0'),('language.en:pathauto.settings','b:0;',-1,1636011226.643,1,'','0'),('language.en:rdf.mapping.user.user','b:0;',-1,1636711421.290,1,'','0'),('language.en:search.page.node_search','b:0;',-1,1636011226.050,1,'','0'),('language.en:search.page.user_search','b:0;',-1,1636011226.050,1,'','0'),('language.en:search.settings','b:0;',-1,1636011226.061,1,'','0'),('language.en:seven.settings','b:0;',-1,1636012332.711,1,'','0'),('language.en:sharethis.settings','b:0;',-1,1636012251.218,1,'','0'),('language.en:shortcut.set.default','b:0;',-1,1636011226.406,1,'','0'),('language.en:simplenews.newsletter.default','b:0;',-1,1636012251.156,1,'','0'),('language.en:simplenews.settings','b:0;',-1,1636012251.178,1,'','0'),('language.en:system.action.comment_delete_action','b:0;',-1,1636011226.292,1,'','0'),('language.en:system.action.comment_publish_action','b:0;',-1,1636011226.292,1,'','0'),('language.en:system.action.comment_save_action','b:0;',-1,1636011226.292,1,'','0'),('language.en:system.action.comment_unpublish_action','b:0;',-1,1636011226.292,1,'','0'),('language.en:system.action.node_delete_action','b:0;',-1,1636011226.292,1,'','0'),('language.en:system.action.node_make_sticky_action','b:0;',-1,1636011226.292,1,'','0'),('language.en:system.action.node_make_unsticky_action','b:0;',-1,1636011226.292,1,'','0'),('language.en:system.action.node_promote_action','b:0;',-1,1636011226.292,1,'','0'),('language.en:system.action.node_publish_action','b:0;',-1,1636011226.292,1,'','0'),('language.en:system.action.node_save_action','b:0;',-1,1636011226.292,1,'','0'),('language.en:system.action.node_unpromote_action','b:0;',-1,1636011226.292,1,'','0'),('language.en:system.action.node_unpublish_action','b:0;',-1,1636011226.292,1,'','0'),('language.en:system.action.pathauto_update_alias_node','b:0;',-1,1636011226.292,1,'','0'),('language.en:system.action.pathauto_update_alias_user','b:0;',-1,1636011226.292,1,'','0'),('language.en:system.action.simplenews_send_action','b:0;',-1,1636011226.292,1,'','0'),('language.en:system.action.simplenews_stop_action','b:0;',-1,1636011226.292,1,'','0'),('language.en:system.action.user_add_role_action.administrator','b:0;',-1,1636011226.292,1,'','0'),('language.en:system.action.user_block_user_action','b:0;',-1,1636011226.292,1,'','0'),('language.en:system.action.user_cancel_user_action','b:0;',-1,1636011226.292,1,'','0'),('language.en:system.action.user_remove_role_action.administrator','b:0;',-1,1636011226.292,1,'','0'),('language.en:system.action.user_unblock_user_action','b:0;',-1,1636011226.292,1,'','0'),('language.en:system.cron','b:0;',-1,1636709609.397,1,'','0'),('language.en:system.date','b:0;',-1,1636012247.198,1,'','0'),('language.en:system.file','b:0;',-1,1636012249.734,1,'','0'),('language.en:system.image','b:0;',-1,1636012249.817,1,'','0'),('language.en:system.logging','b:0;',-1,1636012249.910,1,'','0'),('language.en:system.mail','b:0;',-1,1636709612.782,1,'','0'),('language.en:system.menu.account','b:0;',-1,1636011228.208,1,'','0'),('language.en:system.menu.admin','b:0;',-1,1636011228.208,1,'','0'),('language.en:system.menu.footer','b:0;',-1,1636011228.208,1,'','0'),('language.en:system.menu.main','b:0;',-1,1636011228.208,1,'','0'),('language.en:system.menu.quick','b:0;',-1,1636011228.208,1,'','0'),('language.en:system.menu.tools','b:0;',-1,1636011228.208,1,'','0'),('language.en:system.performance','b:0;',-1,1636012247.221,1,'','0'),('language.en:system.site','b:0;',-1,1636012247.242,1,'','0'),('language.en:system.theme','b:0;',-1,1636011228.209,1,'','0'),('language.en:system.theme.global','b:0;',-1,1636012248.366,1,'','0'),('language.en:taxonomy.vocabulary.tags','b:0;',-1,1636011226.422,1,'','0'),('language.en:update.settings','b:0;',-1,1636012332.724,1,'','0'),('language.en:user.mail','b:0;',-1,1637057237.406,1,'','0'),('language.en:user.role.administrator','b:0;',-1,1636011228.206,1,'','0'),('language.en:user.role.anonymous','b:0;',-1,1636011228.206,1,'','0'),('language.en:user.role.authenticated','b:0;',-1,1636011228.206,1,'','0'),('language.en:user.settings','b:0;',-1,1636011226.756,1,'','0'),('language.en:views.settings','b:0;',-1,1636011225.836,1,'','0'),('language.en:views.view.about_us','b:0;',-1,1636011226.229,1,'','0'),('language.en:views.view.archive','b:0;',-1,1636011226.229,1,'','0'),('language.en:views.view.banner','b:0;',-1,1636011226.229,1,'','0'),('language.en:views.view.block_content','b:0;',-1,1636011226.229,1,'','0'),('language.en:views.view.blog_details','b:0;',-1,1636011226.229,1,'','0'),('language.en:views.view.blog_page','b:0;',-1,1636011226.229,1,'','0'),('language.en:views.view.comment','b:0;',-1,1636011226.229,1,'','0'),('language.en:views.view.comment_block','b:0;',-1,1636011226.229,1,'','0'),('language.en:views.view.comments_recent','b:0;',-1,1636011226.229,1,'','0'),('language.en:views.view.content','b:0;',-1,1636011226.229,1,'','0'),('language.en:views.view.content_recent','b:0;',-1,1636011226.229,1,'','0'),('language.en:views.view.files','b:0;',-1,1636011226.229,1,'','0'),('language.en:views.view.frontpage','b:0;',-1,1636011226.229,1,'','0'),('language.en:views.view.glossary','b:0;',-1,1636011226.229,1,'','0'),('language.en:views.view.our_mission','b:0;',-1,1636011226.230,1,'','0'),('language.en:views.view.our_partners','b:0;',-1,1636011226.230,1,'','0'),('language.en:views.view.our_services','b:0;',-1,1636011226.230,1,'','0'),('language.en:views.view.portfolio','b:0;',-1,1636011226.230,1,'','0'),('language.en:views.view.simplenews_newsletters','b:0;',-1,1636011226.230,1,'','0'),('language.en:views.view.simplenews_subscribers','b:0;',-1,1636011226.230,1,'','0'),('language.en:views.view.slideshow','b:0;',-1,1636011226.230,1,'','0'),('language.en:views.view.tags','b:0;',-1,1636011226.230,1,'','0'),('language.en:views.view.taxonomy_term','b:0;',-1,1636011226.230,1,'','0'),('language.en:views.view.user_admin_people','b:0;',-1,1636011226.230,1,'','0'),('language.en:views.view.user_page_banner','b:0;',-1,1636011226.230,1,'','0'),('language.en:views.view.watchdog','b:0;',-1,1636011226.230,1,'','0'),('language.en:views.view.who_s_new','b:0;',-1,1636011226.230,1,'','0'),('language.en:views.view.who_s_online','b:0;',-1,1636011226.230,1,'','0'),('language.en:views.view.why_choose_us','b:0;',-1,1636011226.230,1,'','0'),('language.entity.ar','a:9:{s:4:\"uuid\";s:36:\"2ef9f621-64f0-452e-9619-62c95c733e04\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:2:\"ar\";s:5:\"label\";s:6:\"Arabic\";s:9:\"direction\";s:3:\"rtl\";s:6:\"weight\";i:1;s:6:\"locked\";b:0;}',-1,1636011225.517,1,'','0'),('language.entity.en','a:10:{s:4:\"uuid\";s:36:\"6c55d020-3f44-46ed-8985-c57be1afdd4c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"lBXDpdDPXQtrfTJQhr6MjRJJEEyYSoRJ0acdvHLsWeA\";}s:2:\"id\";s:2:\"en\";s:5:\"label\";s:7:\"English\";s:9:\"direction\";s:3:\"ltr\";s:6:\"weight\";i:0;s:6:\"locked\";b:0;}',-1,1636011225.517,1,'','0'),('language.entity.und','a:10:{s:4:\"uuid\";s:36:\"635dd98b-f2a0-4d9b-b4e1-983aa020d48b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"eNX6lLCKDaY83nCMh20My---y03KbiFlv802DKCCpvg\";}s:2:\"id\";s:3:\"und\";s:5:\"label\";s:13:\"Not specified\";s:9:\"direction\";s:3:\"ltr\";s:6:\"weight\";i:2;s:6:\"locked\";b:1;}',-1,1636011225.517,1,'','0'),('language.entity.zxx','a:10:{s:4:\"uuid\";s:36:\"acf95ace-379e-4ced-8dbc-d33ebdea3dcb\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"35CefWbnzaiytcg3acexxz_GTvuwIjYd_ZTcmmR-tXA\";}s:2:\"id\";s:3:\"zxx\";s:5:\"label\";s:14:\"Not applicable\";s:9:\"direction\";s:3:\"ltr\";s:6:\"weight\";i:3;s:6:\"locked\";b:1;}',-1,1636011225.517,1,'','0'),('language.mappings','a:2:{s:3:\"map\";a:10:{s:2:\"no\";s:2:\"nb\";s:2:\"pt\";s:5:\"pt-pt\";s:2:\"zh\";s:7:\"zh-hans\";s:5:\"zh-tw\";s:7:\"zh-hant\";s:5:\"zh-hk\";s:7:\"zh-hant\";s:5:\"zh-mo\";s:7:\"zh-hant\";s:6:\"zh-cht\";s:7:\"zh-hant\";s:5:\"zh-cn\";s:7:\"zh-hans\";s:5:\"zh-sg\";s:7:\"zh-hans\";s:6:\"zh-chs\";s:7:\"zh-hans\";}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"EMWe7Yu4Q5eD-NUfNuQAWGBvYUNZPIinztEtONSmsDc\";}}',-1,1636012255.523,1,'','0'),('language.negotiation','a:4:{s:7:\"session\";a:1:{s:9:\"parameter\";s:8:\"language\";}s:3:\"url\";a:3:{s:6:\"source\";s:11:\"path_prefix\";s:8:\"prefixes\";a:2:{s:2:\"en\";s:0:\"\";s:2:\"ar\";s:2:\"ar\";}s:7:\"domains\";a:2:{s:2:\"en\";s:0:\"\";s:2:\"ar\";s:0:\"\";}}s:17:\"selected_langcode\";s:12:\"site_default\";s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"uEePITI9tV6WqzmsTb7MfPCi5yPWXSxAN1xeLcYFQbM\";}}',-1,1636011225.609,1,'','0'),('language.types','a:4:{s:3:\"all\";a:3:{i:0;s:18:\"language_interface\";i:1;s:16:\"language_content\";i:2;s:12:\"language_url\";}s:12:\"configurable\";a:1:{i:0;s:18:\"language_interface\";}s:11:\"negotiation\";a:3:{s:16:\"language_content\";a:1:{s:7:\"enabled\";a:1:{s:18:\"language-interface\";i:0;}}s:12:\"language_url\";a:1:{s:7:\"enabled\";a:2:{s:12:\"language-url\";i:0;s:21:\"language-url-fallback\";i:1;}}s:18:\"language_interface\";a:1:{s:7:\"enabled\";a:1:{s:12:\"language-url\";i:0;}}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"dqouFqVseNJNvEjsoYKxbinFOITuCxYhi4y2OTNQP_8\";}}',-1,1636011225.531,1,'','0'),('locale.settings','a:5:{s:13:\"cache_strings\";b:1;s:17:\"translate_english\";b:0;s:10:\"javascript\";a:1:{s:9:\"directory\";s:9:\"languages\";}s:11:\"translation\";a:8:{s:10:\"use_source\";s:16:\"remote_and_local\";s:16:\"default_filename\";s:30:\"%project-%version.%language.po\";s:22:\"default_server_pattern\";s:87:\"https://ftp.drupal.org/files/translations/%core/%project/%project-%version.%language.po\";s:20:\"overwrite_customized\";b:0;s:24:\"overwrite_not_customized\";b:1;s:20:\"update_interval_days\";i:0;s:4:\"path\";s:32:\"sites/default/files/translations\";s:14:\"import_enabled\";b:1;}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"Lqw8pAQIfr4sRSts2RRWG97eNG6vRT7FhqF_b5COPGk\";}}',-1,1636011226.345,1,'','0'),('luxestate.settings','a:9:{s:17:\"luxestate_version\";s:3:\"1.0\";s:6:\"layout\";s:14:\"layout-default\";s:12:\"layout_width\";s:4:\"1200\";s:10:\"background\";s:10:\"bg-default\";s:8:\"features\";a:4:{s:17:\"node_user_picture\";i:1;s:20:\"comment_user_picture\";i:1;s:25:\"comment_user_verification\";i:1;s:7:\"favicon\";i:1;}s:15:\"show_skins_menu\";i:1;s:12:\"loading_page\";i:0;s:4:\"logo\";a:1:{s:11:\"use_default\";i:1;}s:7:\"favicon\";a:1:{s:11:\"use_default\";i:1;}}',-1,1636012248.370,1,'','0'),('node.settings','a:2:{s:15:\"use_admin_theme\";b:1;s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"2OMXCScXUOLSYID9-phjO4q36nnnaMWNUlDxEqZzG1U\";}}',-1,1636011227.867,1,'','0'),('node.type.article','a:13:{s:4:\"uuid\";s:36:\"4101228b-5bde-42f6-bb0f-bc2a7da297a5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:7:\"menu_ui\";}}s:20:\"third_party_settings\";a:1:{s:7:\"menu_ui\";a:2:{s:15:\"available_menus\";a:1:{i:0;s:4:\"main\";}s:6:\"parent\";s:5:\"main:\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"i4OVV5qrD7abstl4SKS8v5Ee7PuxrL548iZVSty1HRg\";}s:4:\"name\";s:7:\"Article\";s:4:\"type\";s:7:\"article\";s:11:\"description\";s:89:\"Use <em>articles</em> for time-sensitive content like news, press releases or blog posts.\";s:4:\"help\";s:0:\"\";s:12:\"new_revision\";b:0;s:12:\"preview_mode\";i:1;s:17:\"display_submitted\";b:0;}',-1,1636011226.388,1,'','0'),('node.type.banner','a:12:{s:4:\"uuid\";s:36:\"59ee7222-5870-4e97-a44c-e2bcb40b3cf5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:7:\"menu_ui\";}}s:20:\"third_party_settings\";a:1:{s:7:\"menu_ui\";a:2:{s:15:\"available_menus\";a:1:{i:0;s:4:\"main\";}s:6:\"parent\";s:5:\"main:\";}}s:4:\"name\";s:6:\"Banner\";s:4:\"type\";s:6:\"banner\";s:11:\"description\";s:0:\"\";s:4:\"help\";s:0:\"\";s:12:\"new_revision\";b:0;s:12:\"preview_mode\";i:1;s:17:\"display_submitted\";b:0;}',-1,1636011226.388,1,'','0'),('node.type.blog','a:12:{s:4:\"uuid\";s:36:\"1d4c8d45-4921-4533-bc81-6d341b7dd16c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:7:\"menu_ui\";}}s:20:\"third_party_settings\";a:1:{s:7:\"menu_ui\";a:2:{s:15:\"available_menus\";a:1:{i:0;s:4:\"main\";}s:6:\"parent\";s:5:\"main:\";}}s:4:\"name\";s:4:\"Blog\";s:4:\"type\";s:4:\"blog\";s:11:\"description\";s:0:\"\";s:4:\"help\";s:0:\"\";s:12:\"new_revision\";b:0;s:12:\"preview_mode\";i:1;s:17:\"display_submitted\";b:0;}',-1,1636011226.388,1,'','0'),('node.type.our_mission','a:12:{s:4:\"uuid\";s:36:\"199c35bf-5c32-49e3-8f2d-50b5f50b7f1e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:7:\"menu_ui\";}}s:20:\"third_party_settings\";a:1:{s:7:\"menu_ui\";a:2:{s:15:\"available_menus\";a:1:{i:0;s:4:\"main\";}s:6:\"parent\";s:5:\"main:\";}}s:4:\"name\";s:11:\"Our mission\";s:4:\"type\";s:11:\"our_mission\";s:11:\"description\";s:0:\"\";s:4:\"help\";s:0:\"\";s:12:\"new_revision\";b:0;s:12:\"preview_mode\";i:1;s:17:\"display_submitted\";b:0;}',-1,1636011226.388,1,'','0'),('node.type.our_services','a:12:{s:4:\"uuid\";s:36:\"5cd74c2f-55e9-42ff-bd47-5f63ad48f8d2\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:7:\"menu_ui\";}}s:20:\"third_party_settings\";a:1:{s:7:\"menu_ui\";a:2:{s:15:\"available_menus\";a:1:{i:0;s:4:\"main\";}s:6:\"parent\";s:5:\"main:\";}}s:4:\"name\";s:12:\"Our services\";s:4:\"type\";s:12:\"our_services\";s:11:\"description\";s:0:\"\";s:4:\"help\";s:0:\"\";s:12:\"new_revision\";b:0;s:12:\"preview_mode\";i:1;s:17:\"display_submitted\";b:0;}',-1,1636011226.388,1,'','0'),('node.type.page','a:12:{s:4:\"uuid\";s:36:\"552ce646-2fb9-45cd-ae84-807ee8d41f23\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"zhtPXoRcC6REiepM0k16zw__FDW5YOXDR6U2WlldTrs\";}s:4:\"name\";s:10:\"Basic page\";s:4:\"type\";s:4:\"page\";s:11:\"description\";s:77:\"Use <em>basic pages</em> for your static content, such as an \'About us\' page.\";s:4:\"help\";s:0:\"\";s:12:\"new_revision\";b:0;s:12:\"preview_mode\";i:1;s:17:\"display_submitted\";b:0;}',-1,1636011226.388,1,'','0'),('node.type.partners','a:12:{s:4:\"uuid\";s:36:\"09a33451-a6ec-4c3d-9fc1-abd5fbece254\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:7:\"menu_ui\";}}s:20:\"third_party_settings\";a:1:{s:7:\"menu_ui\";a:2:{s:15:\"available_menus\";a:1:{i:0;s:4:\"main\";}s:6:\"parent\";s:5:\"main:\";}}s:4:\"name\";s:8:\"Partners\";s:4:\"type\";s:8:\"partners\";s:11:\"description\";s:0:\"\";s:4:\"help\";s:0:\"\";s:12:\"new_revision\";b:0;s:12:\"preview_mode\";i:1;s:17:\"display_submitted\";b:0;}',-1,1636011226.388,1,'','0'),('node.type.portfolio','a:12:{s:4:\"uuid\";s:36:\"6ac71c33-032d-4cd0-b37b-e56ca659feb6\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:7:\"menu_ui\";}}s:20:\"third_party_settings\";a:1:{s:7:\"menu_ui\";a:2:{s:15:\"available_menus\";a:1:{i:0;s:4:\"main\";}s:6:\"parent\";s:5:\"main:\";}}s:4:\"name\";s:9:\"Portfolio\";s:4:\"type\";s:9:\"portfolio\";s:11:\"description\";s:0:\"\";s:4:\"help\";s:0:\"\";s:12:\"new_revision\";b:0;s:12:\"preview_mode\";i:1;s:17:\"display_submitted\";b:0;}',-1,1636011226.388,1,'','0'),('node.type.simplenews_issue','a:12:{s:4:\"uuid\";s:36:\"3a7f92de-9c25-41b3-848d-5d04bf2fe017\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"3BiX0lHzQ8EyHRnO56OziilMZPNxJImXpSAQUTuALLU\";}s:4:\"name\";s:16:\"Newsletter Issue\";s:4:\"type\";s:16:\"simplenews_issue\";s:11:\"description\";s:46:\"Use <em>Newsletter Issue</em> for newsletters.\";s:4:\"help\";s:0:\"\";s:12:\"new_revision\";b:0;s:12:\"preview_mode\";i:1;s:17:\"display_submitted\";b:0;}',-1,1636011226.388,1,'','0'),('node.type.why_us','a:12:{s:4:\"uuid\";s:36:\"f597cad7-5989-49c2-b769-3d401ec2d9e4\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:7:\"menu_ui\";}}s:20:\"third_party_settings\";a:1:{s:7:\"menu_ui\";a:2:{s:15:\"available_menus\";a:1:{i:0;s:4:\"main\";}s:6:\"parent\";s:5:\"main:\";}}s:4:\"name\";s:6:\"Why us\";s:4:\"type\";s:6:\"why_us\";s:11:\"description\";s:0:\"\";s:4:\"help\";s:0:\"\";s:12:\"new_revision\";b:0;s:12:\"preview_mode\";i:1;s:17:\"display_submitted\";b:0;}',-1,1636011226.388,1,'','0'),('pathauto.settings','a:13:{s:11:\"punctuation\";a:1:{s:6:\"hyphen\";i:1;}s:7:\"verbose\";b:0;s:9:\"separator\";s:1:\"-\";s:10:\"max_length\";i:100;s:20:\"max_component_length\";i:100;s:13:\"transliterate\";b:1;s:12:\"reduce_ascii\";b:0;s:4:\"case\";b:1;s:12:\"ignore_words\";s:134:\"a, an, as, at, before, but, by, for, from, is, in, into, like, of, off, on, onto, per, since, than, the, this, that, to, up, via, with\";s:13:\"update_action\";i:2;s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"YrQtUD-tjwXmWch1oNpPqr3qb5S17-dXdlKwqhiHjNI\";}s:20:\"enabled_entity_types\";a:1:{i:0;s:4:\"user\";}s:11:\"safe_tokens\";a:7:{i:0;s:5:\"alias\";i:1;s:5:\"alias\";i:2;s:4:\"path\";i:3;s:9:\"join-path\";i:4;s:9:\"login-url\";i:5;s:3:\"url\";i:6;s:9:\"url-brief\";}}',-1,1636011226.639,1,'','0'),('rdf.mapping.block_content.basic','b:0;',-1,1636012251.272,1,'','0'),('rdf.mapping.user.user','a:10:{s:4:\"uuid\";s:36:\"b4d473de-992f-481f-8550-3dc53154719a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"TGTlmpYAtXxjtYMFA_A0vosE2c4R5MCQwLviIA5HUM0\";}s:2:\"id\";s:9:\"user.user\";s:16:\"targetEntityType\";s:4:\"user\";s:6:\"bundle\";s:4:\"user\";s:5:\"types\";a:1:{i:0;s:13:\"schema:Person\";}s:13:\"fieldMappings\";a:1:{s:4:\"name\";a:1:{s:10:\"properties\";a:1:{i:0;s:11:\"schema:name\";}}}}',-1,1636711421.286,1,'','0'),('search.page.node_search','a:11:{s:4:\"uuid\";s:36:\"0d4c7aba-c879-4ad2-8cde-f1dedce20c79\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"97tvtzGOa8_flb22CzSjgtm_YkiGMHvEBO-6q2K9V_U\";}s:2:\"id\";s:11:\"node_search\";s:5:\"label\";s:7:\"Content\";s:4:\"path\";s:4:\"node\";s:6:\"weight\";i:-10;s:6:\"plugin\";s:11:\"node_search\";s:13:\"configuration\";a:1:{s:8:\"rankings\";a:0:{}}}',-1,1636011226.046,1,'','0'),('search.page.user_search','a:11:{s:4:\"uuid\";s:36:\"86a112ee-d335-4343-8e7d-cdd2fdd728ca\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"k3aUaZXGDuhkek2TZIee0PApOPTvYZLadziekdyHA5A\";}s:2:\"id\";s:11:\"user_search\";s:5:\"label\";s:5:\"Users\";s:4:\"path\";s:4:\"user\";s:6:\"weight\";i:0;s:6:\"plugin\";s:11:\"user_search\";s:13:\"configuration\";a:0:{}}',-1,1636011226.046,1,'','0'),('search.settings','a:5:{s:12:\"and_or_limit\";i:7;s:12:\"default_page\";s:11:\"node_search\";s:5:\"index\";a:4:{s:10:\"cron_limit\";i:100;s:11:\"overlap_cjk\";b:1;s:17:\"minimum_word_size\";i:3;s:11:\"tag_weights\";a:12:{s:2:\"h1\";i:25;s:2:\"h2\";i:18;s:2:\"h3\";i:15;s:2:\"h4\";i:14;s:2:\"h5\";i:9;s:2:\"h6\";i:6;s:1:\"u\";i:3;s:1:\"b\";i:3;s:1:\"i\";i:3;s:6:\"strong\";i:3;s:2:\"em\";i:3;s:1:\"a\";i:10;}}s:7:\"logging\";b:0;s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"hvVxL1G-ZCxaq32IZws0YsfuhvaDiQE_np-0g35KjUk\";}}',-1,1636011226.056,1,'','0'),('seven.settings','a:1:{s:20:\"third_party_settings\";a:1:{s:8:\"shortcut\";a:1:{s:11:\"module_link\";b:1;}}}',-1,1636012332.707,1,'','0'),('sharethis.settings','a:21:{s:13:\"button_option\";s:5:\"stbc_\";s:8:\"comments\";i:0;s:9:\"late_load\";i:0;s:8:\"location\";s:5:\"block\";s:10:\"node_types\";a:10:{s:7:\"article\";s:7:\"article\";s:4:\"page\";s:4:\"page\";s:6:\"banner\";N;s:4:\"blog\";N;s:11:\"our_mission\";N;s:12:\"our_services\";N;s:8:\"partners\";N;s:9:\"portfolio\";N;s:16:\"simplenews_issue\";N;s:6:\"why_us\";N;}s:13:\"option_extras\";a:2:{s:23:\"Google Plus One:plusone\";s:1:\"0\";s:20:\"Facebook Like:fblike\";s:1:\"0\";}s:16:\"option_neworzero\";i:0;s:14:\"option_onhover\";i:1;s:14:\"option_shorten\";i:1;s:14:\"service_option\";s:59:\"\'Facebook:facebook\',\'Twitter:twitter\',\'Google +:googleplus\'\";s:14:\"twitter_handle\";s:0:\"\";s:18:\"twitter_recommends\";s:0:\"\";s:14:\"twitter_suffix\";s:0:\"\";s:15:\"webform_options\";s:0:\"\";s:6:\"weight\";i:10;s:13:\"widget_option\";s:8:\"st_multi\";s:3:\"cns\";a:2:{s:9:\"donotcopy\";N;s:11:\"hashaddress\";N;}s:14:\"sharethisnodes\";a:10:{s:7:\"article\";a:9:{s:4:\"full\";s:4:\"full\";s:10:\"email_html\";s:1:\"0\";s:11:\"email_plain\";s:1:\"0\";s:13:\"email_textalt\";s:1:\"0\";s:3:\"rss\";s:1:\"0\";s:12:\"search_index\";s:1:\"0\";s:13:\"search_result\";s:1:\"0\";s:6:\"teaser\";s:1:\"0\";s:5:\"token\";s:1:\"0\";}s:4:\"page\";a:9:{s:4:\"full\";s:4:\"full\";s:10:\"email_html\";s:1:\"0\";s:11:\"email_plain\";s:1:\"0\";s:13:\"email_textalt\";s:1:\"0\";s:3:\"rss\";s:1:\"0\";s:12:\"search_index\";s:1:\"0\";s:13:\"search_result\";s:1:\"0\";s:6:\"teaser\";s:1:\"0\";s:5:\"token\";s:1:\"0\";}s:6:\"banner\";a:9:{s:10:\"email_html\";s:1:\"0\";s:11:\"email_plain\";s:1:\"0\";s:13:\"email_textalt\";s:1:\"0\";s:4:\"full\";s:1:\"0\";s:3:\"rss\";s:1:\"0\";s:12:\"search_index\";s:1:\"0\";s:13:\"search_result\";s:1:\"0\";s:6:\"teaser\";s:1:\"0\";s:5:\"token\";s:1:\"0\";}s:4:\"blog\";a:9:{s:10:\"email_html\";s:1:\"0\";s:11:\"email_plain\";s:1:\"0\";s:13:\"email_textalt\";s:1:\"0\";s:4:\"full\";s:1:\"0\";s:3:\"rss\";s:1:\"0\";s:12:\"search_index\";s:1:\"0\";s:13:\"search_result\";s:1:\"0\";s:6:\"teaser\";s:1:\"0\";s:5:\"token\";s:1:\"0\";}s:11:\"our_mission\";a:9:{s:10:\"email_html\";s:1:\"0\";s:11:\"email_plain\";s:1:\"0\";s:13:\"email_textalt\";s:1:\"0\";s:4:\"full\";s:1:\"0\";s:3:\"rss\";s:1:\"0\";s:12:\"search_index\";s:1:\"0\";s:13:\"search_result\";s:1:\"0\";s:6:\"teaser\";s:1:\"0\";s:5:\"token\";s:1:\"0\";}s:8:\"partners\";a:9:{s:10:\"email_html\";s:1:\"0\";s:11:\"email_plain\";s:1:\"0\";s:13:\"email_textalt\";s:1:\"0\";s:4:\"full\";s:1:\"0\";s:3:\"rss\";s:1:\"0\";s:12:\"search_index\";s:1:\"0\";s:13:\"search_result\";s:1:\"0\";s:6:\"teaser\";s:1:\"0\";s:5:\"token\";s:1:\"0\";}s:9:\"portfolio\";a:9:{s:10:\"email_html\";s:1:\"0\";s:11:\"email_plain\";s:1:\"0\";s:13:\"email_textalt\";s:1:\"0\";s:4:\"full\";s:1:\"0\";s:3:\"rss\";s:1:\"0\";s:12:\"search_index\";s:1:\"0\";s:13:\"search_result\";s:1:\"0\";s:6:\"teaser\";s:1:\"0\";s:5:\"token\";s:1:\"0\";}s:16:\"simplenews_issue\";a:9:{s:10:\"email_html\";s:1:\"0\";s:11:\"email_plain\";s:1:\"0\";s:13:\"email_textalt\";s:1:\"0\";s:4:\"full\";s:1:\"0\";s:3:\"rss\";s:1:\"0\";s:12:\"search_index\";s:1:\"0\";s:13:\"search_result\";s:1:\"0\";s:6:\"teaser\";s:1:\"0\";s:5:\"token\";s:1:\"0\";}s:12:\"our_services\";a:9:{s:10:\"email_html\";s:1:\"0\";s:11:\"email_plain\";s:1:\"0\";s:13:\"email_textalt\";s:1:\"0\";s:4:\"full\";s:1:\"0\";s:3:\"rss\";s:1:\"0\";s:12:\"search_index\";s:1:\"0\";s:13:\"search_result\";s:1:\"0\";s:6:\"teaser\";s:1:\"0\";s:5:\"token\";s:1:\"0\";}s:6:\"why_us\";a:9:{s:10:\"email_html\";s:1:\"0\";s:11:\"email_plain\";s:1:\"0\";s:13:\"email_textalt\";s:1:\"0\";s:4:\"full\";s:1:\"0\";s:3:\"rss\";s:1:\"0\";s:12:\"search_index\";s:1:\"0\";s:13:\"search_result\";s:1:\"0\";s:6:\"teaser\";s:1:\"0\";s:5:\"token\";s:1:\"0\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"OUePCWmQ_tUOCD4VF7-AP0maPJi2Y18f0JvNTgThhRQ\";}s:11:\"publisherID\";s:39:\"dr-2a8c716b-1c81-232e-c99b-e7dfa79de96c\";s:7:\"callesi\";s:1:\"0\";}',-1,1636012251.212,1,'','0'),('shortcut.set.default','a:7:{s:4:\"uuid\";s:36:\"a01d13da-088c-4ce3-9924-4c1f180975d1\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"U5VlGjd_SfV0Qm_EfnaynOfc549cNscFAx48JfYoMRI\";}s:2:\"id\";s:7:\"default\";s:5:\"label\";s:7:\"Default\";}',-1,1636011226.401,1,'','0'),('simplenews.newsletter.default','a:18:{s:4:\"uuid\";s:36:\"02d3288a-b749-42a0-bcb8-5464db90c83a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"hj6zGNwndnW_J6lKfFcg-tY5e5YqWfgXyt0qioGtXL8\";}s:4:\"name\";s:18:\"Default newsletter\";s:2:\"id\";s:7:\"default\";s:11:\"description\";s:41:\"This is an example newsletter. Change it.\";s:6:\"format\";s:5:\"plain\";s:8:\"priority\";i:0;s:7:\"receipt\";b:1;s:9:\"from_name\";s:9:\"Luxestate\";s:7:\"subject\";s:43:\"[[simplenews-newsletter:name]] [node:title]\";s:12:\"from_address\";s:13:\"admin@lvh.com\";s:10:\"hyperlinks\";b:0;s:11:\"new_account\";s:4:\"none\";s:9:\"opt_inout\";s:6:\"double\";s:6:\"weight\";i:0;}',-1,1636012251.150,1,'','0'),('simplenews.settings','a:6:{s:15:\"hash_expiration\";i:86400;s:10:\"newsletter\";a:5:{s:6:\"format\";s:5:\"plain\";s:8:\"priority\";i:0;s:7:\"receipt\";b:1;s:12:\"from_address\";s:13:\"admin@lvh.com\";s:9:\"from_name\";s:9:\"Luxestate\";}s:10:\"subscriber\";a:1:{s:11:\"sync_fields\";b:1;}s:12:\"subscription\";a:15:{s:12:\"use_combined\";s:8:\"multiple\";s:25:\"confirm_subscribe_subject\";s:62:\"Confirmation for [simplenews-newsletter:name] from [site:name]\";s:30:\"confirm_subscribe_unsubscribed\";s:232:\"We have received a request to subscribe [simplenews-subscriber:mail] to the [simplenews-newsletter:name] newsletter on [site:name] website at [site:url]. To confirm please use the link below. \n\n [simplenews-subscriber:subscribe-url]\";s:28:\"confirm_subscribe_subscribed\";s:281:\"We have received a request to subscribe [simplenews-subscriber:mail] to the [simplenews-newsletter:name]  newsletter on [site:name] website at [site:url]. However, this email is already subscribed to this newsletter. If you intended to unsubscribe please visit our site: [site:url]\";s:30:\"confirm_unsubscribe_subscribed\";s:239:\"We have received a request to remove the [simplenews-subscriber:mail] from the [simplenews-newsletter:name] mailing list on [site:name] website at [site:url]. To confirm please use the link below.\r\n\r\n[simplenews-subscriber:unsubscribe-url]\";s:32:\"confirm_unsubscribe_unsubscribed\";s:283:\"We have received a request to remove the [simplenews-subscriber:mail] from the [simplenews-newsletter:name] mailing list on [site:name] website at [site:url]. However, this email is not subscribed to this mailing list. If you intended to subscribe please visit our site at [site:url]\";s:24:\"confirm_combined_subject\";s:28:\"Confirmation for [site:name]\";s:21:\"confirm_combined_body\";s:212:\"We have received a request for the following subscription changes for [simplenews-subscriber:mail] at [site:url]:\r\n\r\n[changes-list]\r\n\r\nTo confirm please use the link below.\r\n\r\n[simplenews-subscriber:combined-url]\";s:31:\"confirm_combined_body_unchanged\";s:215:\"We have received a request for the following subscription changes for [simplenews-subscriber:mail] at [site:url]:\r\n\r\n[changes-list]\r\n\r\nNo confirmation necessary because all requested changes equal the current state.\";s:44:\"confirm_combined_line_subscribe_unsubscribed\";s:41:\"Subscribe to [simplenews-newsletter:name]\";s:42:\"confirm_combined_line_subscribe_subscribed\";s:50:\"Already subscribed to [simplenews-newsletter:name]\";s:44:\"confirm_combined_line_unsubscribe_subscribed\";s:45:\"Unsubscribe from [simplenews-newsletter:name]\";s:46:\"confirm_combined_line_unsubscribe_unsubscribed\";s:54:\"Already unsubscribed from [simplenews-newsletter:name]\";s:22:\"confirm_subscribe_page\";s:0:\"\";s:24:\"confirm_unsubscribe_page\";s:0:\"\";}s:4:\"mail\";a:5:{s:8:\"use_cron\";b:1;s:8:\"throttle\";i:20;s:25:\"spool_progress_expiration\";i:3600;s:12:\"spool_expire\";i:0;s:5:\"debug\";b:0;}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"cy-hJPYCnfCsuUZA7VDoAwssKhRJCa8N88iJTaWiims\";}}',-1,1636012251.172,1,'','0'),('system.action.comment_delete_action','a:9:{s:4:\"uuid\";s:36:\"b67fb1c2-f5d0-45e8-9e6f-96545040c384\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:7:\"comment\";}}s:2:\"id\";s:21:\"comment_delete_action\";s:5:\"label\";s:14:\"Delete comment\";s:4:\"type\";s:7:\"comment\";s:6:\"plugin\";s:28:\"entity:delete_action:comment\";s:13:\"configuration\";a:0:{}}',-1,1636011226.287,1,'','0'),('system.action.comment_publish_action','a:10:{s:4:\"uuid\";s:36:\"a23fa41e-1cf3-42ea-949f-54c96024d927\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:7:\"comment\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"f6w_Pd30AyyDIoMkD4QpPMM2-I8FTEHICchFVOpjiCI\";}s:2:\"id\";s:22:\"comment_publish_action\";s:5:\"label\";s:15:\"Publish comment\";s:4:\"type\";s:7:\"comment\";s:6:\"plugin\";s:29:\"entity:publish_action:comment\";s:13:\"configuration\";a:0:{}}',-1,1636011226.287,1,'','0'),('system.action.comment_save_action','a:10:{s:4:\"uuid\";s:36:\"f3c6a2b8-e8d4-4879-9186-6f06f9bf5dab\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:7:\"comment\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"TSkg_gUZvk-39yXFrIFnKjsxuEzO0qBH82TdDxOMMr4\";}s:2:\"id\";s:19:\"comment_save_action\";s:5:\"label\";s:12:\"Save comment\";s:4:\"type\";s:7:\"comment\";s:6:\"plugin\";s:26:\"entity:save_action:comment\";s:13:\"configuration\";a:0:{}}',-1,1636011226.287,1,'','0'),('system.action.comment_unpublish_action','a:10:{s:4:\"uuid\";s:36:\"6ec6a4c8-a2f5-4bce-9923-a28f15685063\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:7:\"comment\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"MLin6S_PsJ7Oo480DxS46D46IM8tqFkkWOLyH7TGByI\";}s:2:\"id\";s:24:\"comment_unpublish_action\";s:5:\"label\";s:17:\"Unpublish comment\";s:4:\"type\";s:7:\"comment\";s:6:\"plugin\";s:31:\"entity:unpublish_action:comment\";s:13:\"configuration\";a:0:{}}',-1,1636011226.287,1,'','0'),('system.action.node_delete_action','a:10:{s:4:\"uuid\";s:36:\"e6e122be-8bfb-45d0-847a-9f41952efeba\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"Zx0jD1Klh5tZaGJy8uOeR_2MCu9FDM4xg7TaUJUEbkI\";}s:2:\"id\";s:18:\"node_delete_action\";s:5:\"label\";s:14:\"Delete content\";s:4:\"type\";s:4:\"node\";s:6:\"plugin\";s:25:\"entity:delete_action:node\";s:13:\"configuration\";a:0:{}}',-1,1636011226.287,1,'','0'),('system.action.node_make_sticky_action','a:10:{s:4:\"uuid\";s:36:\"7a0bd181-183f-41cc-9243-24aa2af6d096\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"sOb26JSy3fGpWkvR0WYN6_hMqj_6d1rvbvrkzp1yya0\";}s:2:\"id\";s:23:\"node_make_sticky_action\";s:5:\"label\";s:19:\"Make content sticky\";s:4:\"type\";s:4:\"node\";s:6:\"plugin\";s:23:\"node_make_sticky_action\";s:13:\"configuration\";a:0:{}}',-1,1636011226.287,1,'','0'),('system.action.node_make_unsticky_action','a:10:{s:4:\"uuid\";s:36:\"244a3215-a24c-4fb1-b822-44757cc1b24b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"lDM9mvIGAu8Sw8rt-uCO4Sr7yX5VPrDPxYcawkbKd6k\";}s:2:\"id\";s:25:\"node_make_unsticky_action\";s:5:\"label\";s:21:\"Make content unsticky\";s:4:\"type\";s:4:\"node\";s:6:\"plugin\";s:25:\"node_make_unsticky_action\";s:13:\"configuration\";a:0:{}}',-1,1636011226.287,1,'','0'),('system.action.node_promote_action','a:10:{s:4:\"uuid\";s:36:\"51548d5b-2db0-4765-9d94-11b7057d49df\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"N0RDBTqiK4dKoN4p4oW2j0SGWycdHyALUe9M-Ofp89U\";}s:2:\"id\";s:19:\"node_promote_action\";s:5:\"label\";s:29:\"Promote content to front page\";s:4:\"type\";s:4:\"node\";s:6:\"plugin\";s:19:\"node_promote_action\";s:13:\"configuration\";a:0:{}}',-1,1636011226.287,1,'','0'),('system.action.node_publish_action','a:10:{s:4:\"uuid\";s:36:\"7cce743d-5bea-47aa-b3b6-b9986ecd6fc8\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"lsQkbo4njZ-Q_oGKCPGXGWFjWF1I7QpgA6m-t9rcRoA\";}s:2:\"id\";s:19:\"node_publish_action\";s:5:\"label\";s:15:\"Publish content\";s:4:\"type\";s:4:\"node\";s:6:\"plugin\";s:26:\"entity:publish_action:node\";s:13:\"configuration\";a:0:{}}',-1,1636011226.287,1,'','0'),('system.action.node_save_action','a:10:{s:4:\"uuid\";s:36:\"b01b6536-4728-469d-adbb-5e015936e29c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"U9HspszLxcw6pZmRacFa6yDbbheyMN-We4fPbrWWHGg\";}s:2:\"id\";s:16:\"node_save_action\";s:5:\"label\";s:12:\"Save content\";s:4:\"type\";s:4:\"node\";s:6:\"plugin\";s:23:\"entity:save_action:node\";s:13:\"configuration\";a:0:{}}',-1,1636011226.287,1,'','0'),('system.action.node_unpromote_action','a:10:{s:4:\"uuid\";s:36:\"306dffb4-b40e-427e-be75-fa7f2ee2c2f5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"JBptjnfuOMtsdKygklXxoOgeOCTMtQxlkymjnnj-cC0\";}s:2:\"id\";s:21:\"node_unpromote_action\";s:5:\"label\";s:30:\"Remove content from front page\";s:4:\"type\";s:4:\"node\";s:6:\"plugin\";s:21:\"node_unpromote_action\";s:13:\"configuration\";a:0:{}}',-1,1636011226.287,1,'','0'),('system.action.node_unpublish_action','a:10:{s:4:\"uuid\";s:36:\"b90e4cc9-fca0-4f15-a927-c6d097d42203\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"gGQXiSspwGl0lyOS6w_HCPpvGAPDciqDNLFwWOydVtI\";}s:2:\"id\";s:21:\"node_unpublish_action\";s:5:\"label\";s:17:\"Unpublish content\";s:4:\"type\";s:4:\"node\";s:6:\"plugin\";s:28:\"entity:unpublish_action:node\";s:13:\"configuration\";a:0:{}}',-1,1636011226.287,1,'','0'),('system.action.pathauto_update_alias_node','a:10:{s:4:\"uuid\";s:36:\"240ddbc5-722e-4234-964d-e32a4690d1b3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:8:\"pathauto\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"-SdRoSbsl_FULjbX8mgESZdeoEOjgi7rDhHNdLOJ8n8\";}s:2:\"id\";s:26:\"pathauto_update_alias_node\";s:5:\"label\";s:16:\"Update URL alias\";s:4:\"type\";s:4:\"node\";s:6:\"plugin\";s:21:\"pathauto_update_alias\";s:13:\"configuration\";a:0:{}}',-1,1636011226.287,1,'','0'),('system.action.pathauto_update_alias_user','a:10:{s:4:\"uuid\";s:36:\"3865a05d-7ad8-40a3-b42a-78afe2b1ee47\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:8:\"pathauto\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"fWszFHPeJ_dhZ8kJEEWo4w-FQH_etR4AxTQkQCW9OLk\";}s:2:\"id\";s:26:\"pathauto_update_alias_user\";s:5:\"label\";s:16:\"Update URL alias\";s:4:\"type\";s:4:\"user\";s:6:\"plugin\";s:21:\"pathauto_update_alias\";s:13:\"configuration\";a:0:{}}',-1,1636011226.287,1,'','0'),('system.action.simplenews_send_action','a:10:{s:4:\"uuid\";s:36:\"762bd699-f185-4848-9db0-bd84ec81b60b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:10:\"simplenews\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"_80qceRjNVCStX2wbyle-6zMazNn3VsvHpwLRV3Gr5M\";}s:2:\"id\";s:22:\"simplenews_send_action\";s:5:\"label\";s:21:\"Send newsletter issue\";s:4:\"type\";s:4:\"node\";s:6:\"plugin\";s:22:\"simplenews_send_action\";s:13:\"configuration\";a:0:{}}',-1,1636011226.287,1,'','0'),('system.action.simplenews_stop_action','a:10:{s:4:\"uuid\";s:36:\"3472bcda-9e81-4e29-b564-1fa291deb905\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:10:\"simplenews\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"03Ao5qcJ1Dn0biP58cSBcKu_JNkpvt9n8tHLi5SToJ4\";}s:2:\"id\";s:22:\"simplenews_stop_action\";s:5:\"label\";s:12:\"Stop sending\";s:4:\"type\";s:4:\"node\";s:6:\"plugin\";s:22:\"simplenews_stop_action\";s:13:\"configuration\";a:0:{}}',-1,1636011226.287,1,'','0'),('system.action.user_add_role_action.administrator','a:9:{s:4:\"uuid\";s:36:\"f056d54f-dbc3-4a83-b9e5-dcdd835eda30\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:23:\"user.role.administrator\";}s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:2:\"id\";s:34:\"user_add_role_action.administrator\";s:5:\"label\";s:48:\"Add the Administrator role to the selected users\";s:4:\"type\";s:4:\"user\";s:6:\"plugin\";s:20:\"user_add_role_action\";s:13:\"configuration\";a:1:{s:3:\"rid\";s:13:\"administrator\";}}',-1,1636011226.287,1,'','0'),('system.action.user_block_user_action','a:10:{s:4:\"uuid\";s:36:\"325131db-66dd-4bd2-8136-3fbe8563820d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"DyypzTfThX10FFQw-399qPfEbLLyrhXgQrKPVsmAoJ4\";}s:2:\"id\";s:22:\"user_block_user_action\";s:5:\"label\";s:26:\"Block the selected user(s)\";s:4:\"type\";s:4:\"user\";s:6:\"plugin\";s:22:\"user_block_user_action\";s:13:\"configuration\";a:0:{}}',-1,1636011226.287,1,'','0'),('system.action.user_cancel_user_action','a:10:{s:4:\"uuid\";s:36:\"e0639a78-ee8a-43df-b820-3e90ea123232\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"nvrL9bFilzBvm2bjO9rQnFDpBA7dBBUjShSSt6NS-DU\";}s:2:\"id\";s:23:\"user_cancel_user_action\";s:5:\"label\";s:35:\"Cancel the selected user account(s)\";s:4:\"type\";s:4:\"user\";s:6:\"plugin\";s:23:\"user_cancel_user_action\";s:13:\"configuration\";a:0:{}}',-1,1636011226.287,1,'','0'),('system.action.user_remove_role_action.administrator','a:9:{s:4:\"uuid\";s:36:\"841831b0-2443-4eba-9e1f-925c6612d584\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:23:\"user.role.administrator\";}s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:2:\"id\";s:37:\"user_remove_role_action.administrator\";s:5:\"label\";s:53:\"Remove the Administrator role from the selected users\";s:4:\"type\";s:4:\"user\";s:6:\"plugin\";s:23:\"user_remove_role_action\";s:13:\"configuration\";a:1:{s:3:\"rid\";s:13:\"administrator\";}}',-1,1636011226.287,1,'','0'),('system.action.user_unblock_user_action','a:10:{s:4:\"uuid\";s:36:\"7a6e1e7a-c5d2-4b90-8feb-35f8429a3e6e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"SPsUXsR3Rc8d1y3gewzaAKWa1ncea_ywXX3f7LTn7k0\";}s:2:\"id\";s:24:\"user_unblock_user_action\";s:5:\"label\";s:28:\"Unblock the selected user(s)\";s:4:\"type\";s:4:\"user\";s:6:\"plugin\";s:24:\"user_unblock_user_action\";s:13:\"configuration\";a:0:{}}',-1,1636011226.287,1,'','0'),('system.cron','a:3:{s:9:\"threshold\";a:2:{s:20:\"requirements_warning\";i:172800;s:18:\"requirements_error\";i:1209600;}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"05U0n1_8zHYzxEFSWjyHCWuJyhdez2a6Z_aTIXin04E\";}s:7:\"logging\";i:1;}',-1,1636709609.391,1,'','0'),('system.date','a:4:{s:7:\"country\";a:1:{s:7:\"default\";s:0:\"\";}s:9:\"first_day\";i:0;s:8:\"timezone\";a:2:{s:7:\"default\";s:12:\"Europe/Paris\";s:4:\"user\";a:3:{s:12:\"configurable\";b:1;s:4:\"warn\";b:0;s:7:\"default\";i:0;}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"V9UurX2GPT05NWKG9f2GWQqFG2TRG8vczidwjpy7Woo\";}}',-1,1636012247.192,1,'','0'),('system.file','a:5:{s:22:\"allow_insecure_uploads\";b:0;s:14:\"default_scheme\";s:6:\"public\";s:4:\"path\";a:0:{}s:21:\"temporary_maximum_age\";i:21600;s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"t48gCU9DzYfjb3bAOIqHLzhL0ChBlXh6_5B5Pyo9t8g\";}}',-1,1636012249.730,1,'','0'),('system.image','a:2:{s:7:\"toolkit\";s:2:\"gd\";s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"durWHaKeBaq4d9Wpi4RqwADj1OufDepcnJuhVLmKN24\";}}',-1,1636012249.811,1,'','0'),('system.logging','a:2:{s:11:\"error_level\";s:4:\"hide\";s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"u3-njszl92FaxjrCMiq0yDcjAfcdx72w1zT1O9dx6aA\";}}',-1,1636012249.906,1,'','0'),('system.mail','a:2:{s:9:\"interface\";a:1:{s:7:\"default\";s:8:\"php_mail\";}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"rYgt7uhPafP2ngaN_ZUPFuyI4KdE0zU868zLNSlzKoE\";}}',-1,1636709612.779,1,'','0'),('system.menu.account','a:9:{s:4:\"uuid\";s:36:\"7cd78d5c-9bb7-43cb-a76d-4cbd18e0784f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"M_Bh81osDyUQ4wV0GgU_NdBNqkzM87sLxjaCdFj9mnw\";}s:2:\"id\";s:7:\"account\";s:5:\"label\";s:17:\"User account menu\";s:11:\"description\";s:40:\"Links related to the active user account\";s:6:\"locked\";b:1;}',-1,1636011228.208,1,'','0'),('system.menu.admin','a:9:{s:4:\"uuid\";s:36:\"41a24b73-ad3d-443d-9755-16b8255c1bc3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"sapEi2YDGoI9yQIT_WgIV2vUdQ6DScH0V3fAyTadAL0\";}s:2:\"id\";s:5:\"admin\";s:5:\"label\";s:14:\"Administration\";s:11:\"description\";s:25:\"Administrative task links\";s:6:\"locked\";b:1;}',-1,1636011228.208,1,'','0'),('system.menu.footer','a:9:{s:4:\"uuid\";s:36:\"3ba80657-c212-49ed-9083-572dea4463f5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"7yrlW5z9zdg2eBucB2GPqXKSMQfH9lSRSO4DbWF7AFc\";}s:2:\"id\";s:6:\"footer\";s:5:\"label\";s:6:\"Footer\";s:11:\"description\";s:22:\"Site information links\";s:6:\"locked\";b:1;}',-1,1636011228.208,1,'','0'),('system.menu.main','a:9:{s:4:\"uuid\";s:36:\"0ff1c93b-64b4-4d9e-84bf-6b826257e135\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"Q2Ra3jfoIVk0f3SjxJX61byRQFVBAbpzYDQOiY-kno8\";}s:2:\"id\";s:4:\"main\";s:5:\"label\";s:15:\"Main navigation\";s:11:\"description\";s:18:\"Site section links\";s:6:\"locked\";b:1;}',-1,1636011228.208,1,'','0'),('system.menu.quick','a:8:{s:4:\"uuid\";s:36:\"3066309e-2f3f-43d4-af34-d0ee2d11621b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:5:\"quick\";s:5:\"label\";s:11:\"Quick links\";s:11:\"description\";s:0:\"\";s:6:\"locked\";b:0;}',-1,1636011228.208,1,'','0'),('system.menu.tools','a:9:{s:4:\"uuid\";s:36:\"e737a044-65be-4d0d-8396-c6dbc31f2e9e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"BCM-vV1zzRaLHN18dqAR_CuGOj8AFJvTx7BKl_8Gcxc\";}s:2:\"id\";s:5:\"tools\";s:5:\"label\";s:5:\"Tools\";s:11:\"description\";s:39:\"User tool links, often added by modules\";s:6:\"locked\";b:1;}',-1,1636011228.208,1,'','0'),('system.performance','a:6:{s:5:\"cache\";a:1:{s:4:\"page\";a:1:{s:7:\"max_age\";i:0;}}s:3:\"css\";a:2:{s:10:\"preprocess\";b:0;s:4:\"gzip\";b:1;}s:8:\"fast_404\";a:4:{s:7:\"enabled\";b:1;s:5:\"paths\";s:69:\"/\\.(?:txt|png|gif|jpe?g|css|js|ico|swf|flv|cgi|bat|pl|dll|exe|asp)$/i\";s:13:\"exclude_paths\";s:27:\"/\\/(?:styles|imagecache)\\//\";s:4:\"html\";s:162:\"<!DOCTYPE html><html><head><title>404 Not Found</title></head><body><h1>Not Found</h1><p>The requested URL \"@path\" was not found on this server.</p></body></html>\";}s:2:\"js\";a:2:{s:10:\"preprocess\";b:0;s:4:\"gzip\";b:1;}s:20:\"stale_file_threshold\";i:2592000;s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"b2cssrj-lOmATIbdehfCqfCFgVR0qCdxxWhwqa2KBVQ\";}}',-1,1636012247.216,1,'','0'),('system.site','a:11:{s:4:\"uuid\";s:36:\"88f25917-f5fc-4c5a-8711-82b5982d4ded\";s:4:\"name\";s:9:\"Luxestate\";s:4:\"mail\";s:13:\"admin@lvh.com\";s:6:\"slogan\";s:77:\"Luxestate is open source software has long been a natural choice for schools \";s:4:\"page\";a:3:{i:403;s:0:\"\";i:404;s:0:\"\";s:5:\"front\";s:5:\"/node\";}s:18:\"admin_compact_mode\";b:0;s:17:\"weight_select_max\";i:100;s:8:\"langcode\";s:2:\"en\";s:16:\"default_langcode\";s:2:\"en\";s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"yXadRE77Va-G6dxhd2kPYapAvbnSvTF6hO4oXiOEynI\";}s:17:\"mail_notification\";s:0:\"\";}',-1,1637057251.103,1,'','0'),('system.theme','a:3:{s:5:\"admin\";s:5:\"seven\";s:7:\"default\";s:9:\"luxestate\";s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"fOjer9hADYYnbCJVZMFZIIM1azTFWyg84ZkFDHfAbUg\";}}',-1,1636011228.209,1,'','0'),('system.theme.global','a:4:{s:7:\"favicon\";a:4:{s:8:\"mimetype\";s:24:\"image/vnd.microsoft.icon\";s:4:\"path\";s:0:\"\";s:3:\"url\";s:0:\"\";s:11:\"use_default\";b:1;}s:8:\"features\";a:4:{s:20:\"comment_user_picture\";b:1;s:25:\"comment_user_verification\";b:1;s:7:\"favicon\";b:1;s:17:\"node_user_picture\";b:1;}s:4:\"logo\";a:3:{s:4:\"path\";s:0:\"\";s:3:\"url\";s:0:\"\";s:11:\"use_default\";b:1;}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"9rAU4Pku7eMBQxauQqAgjzlcicFZ2As6zEa6zvTlCB8\";}}',-1,1636012248.362,1,'','0'),('taxonomy.vocabulary.tags','a:9:{s:4:\"uuid\";s:36:\"fa86c821-577e-4938-9b46-ac79edb47f56\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"lO5ziR5dVI1PpEeHZsSOfQ-Y7NWihSDKW8-MMf6uoms\";}s:4:\"name\";s:4:\"Tags\";s:3:\"vid\";s:4:\"tags\";s:11:\"description\";s:61:\"Use tags to group articles on similar topics into categories.\";s:6:\"weight\";i:0;}',-1,1636011226.412,1,'','0'),('update.settings','a:4:{s:5:\"check\";a:2:{s:19:\"disabled_extensions\";b:0;s:13:\"interval_days\";i:1;}s:5:\"fetch\";a:3:{s:3:\"url\";s:0:\"\";s:12:\"max_attempts\";i:2;s:7:\"timeout\";i:30;}s:12:\"notification\";a:2:{s:6:\"emails\";a:1:{i:0;s:13:\"admin@lvh.com\";}s:9:\"threshold\";s:3:\"all\";}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"2QzULf0zovJQx3J06Y9rufzzfi-CY2CTTlEfJJh2Qyw\";}}',-1,1636012332.720,1,'','0'),('user.mail','a:11:{s:14:\"cancel_confirm\";a:2:{s:4:\"body\";s:389:\"[user:display-name],\r\n\r\nA request to cancel your account has been made at [site:name].\r\n\r\nYou may now cancel your account on [site:url-brief] by clicking this link or copying and pasting it into your browser:\r\n\r\n[user:cancel-url]\r\n\r\nNOTE: The cancellation of your account is not reversible.\r\n\r\nThis link expires in one day and nothing will happen if it is not used.\r\n\r\n--  [site:name] team\";s:7:\"subject\";s:67:\"Account cancellation request for [user:display-name] at [site:name]\";}s:14:\"password_reset\";a:2:{s:4:\"body\";s:417:\"[user:display-name],\r\n\r\nA request to reset the password for your account has been made at [site:name].\r\n\r\nYou may now log in by clicking this link or copying and pasting it into your browser:\r\n\r\n[user:one-time-login-url]\r\n\r\nThis link can only be used once to log in and will lead you to a page where you can set your password. It expires after one day and nothing will happen if it\'s not used.\r\n\r\n--  [site:name] team\";s:7:\"subject\";s:68:\"Replacement login information for [user:display-name] at [site:name]\";}s:22:\"register_admin_created\";a:2:{s:4:\"body\";s:486:\"[user:display-name],\r\n\r\nA site administrator at [site:name] has created an account for you. You may now log in by clicking this link or copying and pasting it into your browser:\r\n\r\n[user:one-time-login-url]\r\n\r\nThis link can only be used once to log in and will lead you to a page where you can set your password.\r\n\r\nAfter setting your password, you will be able to log in at [site:login-url] in the future using:\r\n\r\nusername: [user:name]\r\npassword: Your password\r\n\r\n--  [site:name] team\";s:7:\"subject\";s:58:\"An administrator created an account for you at [site:name]\";}s:29:\"register_no_approval_required\";a:2:{s:4:\"body\";s:460:\"[user:display-name],\r\n\r\nThank you for registering at [site:name]. You may now log in by clicking this link or copying and pasting it into your browser:\r\n\r\n[user:one-time-login-url]\r\n\r\nThis link can only be used once to log in and will lead you to a page where you can set your password.\r\n\r\nAfter setting your password, you will be able to log in at [site:login-url] in the future using:\r\n\r\nusername: [user:name]\r\npassword: Your password\r\n\r\n--  [site:name] team\";s:7:\"subject\";s:54:\"Account details for [user:display-name] at [site:name]\";}s:25:\"register_pending_approval\";a:2:{s:4:\"body\";s:294:\"[user:display-name],\r\n\r\nThank you for registering at [site:name]. Your application for an account is currently pending approval. Once it has been approved, you will receive another email containing information about how to log in, set your password, and other details.\r\n\r\n\r\n--  [site:name] team\";s:7:\"subject\";s:79:\"Account details for [user:display-name] at [site:name] (pending admin approval)\";}s:31:\"register_pending_approval_admin\";a:2:{s:4:\"body\";s:66:\"[user:display-name] has applied for an account.\r\n\r\n[user:edit-url]\";s:7:\"subject\";s:79:\"Account details for [user:display-name] at [site:name] (pending admin approval)\";}s:16:\"status_activated\";a:2:{s:4:\"body\";s:477:\"[user:display-name],\r\n\r\nYour account at [site:name] has been activated.\r\n\r\nYou may now log in by clicking this link or copying and pasting it into your browser:\r\n\r\n[user:one-time-login-url]\r\n\r\nThis link can only be used once to log in and will lead you to a page where you can set your password.\r\n\r\nAfter setting your password, you will be able to log in at [site:login-url] in the future using:\r\n\r\nusername: [user:account-name]\r\npassword: Your password\r\n\r\n--  [site:name] team\";s:7:\"subject\";s:65:\"Account details for [user:display-name] at [site:name] (approved)\";}s:14:\"status_blocked\";a:2:{s:4:\"body\";s:93:\"[user:display-name],\r\n\r\nYour account on [site:name] has been blocked.\r\n\r\n--  [site:name] team\";s:7:\"subject\";s:64:\"Account details for [user:display-name] at [site:name] (blocked)\";}s:15:\"status_canceled\";a:2:{s:4:\"body\";s:94:\"[user:display-name],\r\n\r\nYour account on [site:name] has been canceled.\r\n\r\n--  [site:name] team\";s:7:\"subject\";s:65:\"Account details for [user:display-name] at [site:name] (canceled)\";}s:8:\"langcode\";s:2:\"en\";s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"m4J3ROov32OEquRYGLbx3SpdDGuqx9l_zJtNvihqdCg\";}}',-1,1637057251.072,1,'','0'),('user.role.administrator','a:10:{s:4:\"uuid\";s:36:\"43779bef-811e-4c05-9be4-1c4272c9ef9a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"Om6FEO7vZZMkPIbVvfxtdkWerQ2PvQM4sWUd6Q3ZnfI\";}s:2:\"id\";s:13:\"administrator\";s:5:\"label\";s:13:\"Administrator\";s:6:\"weight\";i:2;s:8:\"is_admin\";b:1;s:11:\"permissions\";a:0:{}}',-1,1637057251.210,1,'','0'),('user.role.anonymous','a:10:{s:4:\"uuid\";s:36:\"25fc56b7-90d9-4320-a2e0-e71268bf2122\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"j5zLMOdJBqC0bMvSdth5UebkprJB8g_2FXHqhfpJzow\";}s:2:\"id\";s:9:\"anonymous\";s:5:\"label\";s:14:\"Anonymous user\";s:6:\"weight\";i:0;s:8:\"is_admin\";b:0;s:11:\"permissions\";a:6:{i:0;s:15:\"access comments\";i:1;s:14:\"access content\";i:2;s:29:\"access site-wide contact form\";i:3;s:14:\"search content\";i:4;s:24:\"subscribe to newsletters\";i:5;s:31:\"use text format restricted_html\";}}',-1,1636011228.206,1,'','0'),('user.role.authenticated','a:10:{s:4:\"uuid\";s:36:\"2fd21ec0-6a19-49a0-8e8b-e81513c68ef0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"dJ0L2DNSj5q6XVZAGsuVDpJTh5UeYkIPwKrUOOpr8YI\";}s:2:\"id\";s:13:\"authenticated\";s:5:\"label\";s:18:\"Authenticated user\";s:6:\"weight\";i:1;s:8:\"is_admin\";b:0;s:11:\"permissions\";a:10:{i:0;s:15:\"access comments\";i:1;s:14:\"access content\";i:2;s:16:\"access shortcuts\";i:3;s:29:\"access site-wide contact form\";i:4;s:13:\"post comments\";i:5;s:14:\"search content\";i:6;s:21:\"skip comment approval\";i:7;s:24:\"subscribe to newsletters\";i:8;s:26:\"use text format basic_html\";i:9;s:25:\"use text format full_html\";}}',-1,1636011228.206,1,'','0'),('user.settings','a:9:{s:9:\"anonymous\";s:9:\"Anonymous\";s:11:\"verify_mail\";b:1;s:6:\"notify\";a:8:{s:14:\"cancel_confirm\";b:1;s:14:\"password_reset\";b:1;s:16:\"status_activated\";b:1;s:14:\"status_blocked\";b:0;s:15:\"status_canceled\";b:0;s:22:\"register_admin_created\";b:1;s:29:\"register_no_approval_required\";b:1;s:25:\"register_pending_approval\";b:1;}s:8:\"register\";s:10:\"admin_only\";s:13:\"cancel_method\";s:17:\"user_cancel_block\";s:22:\"password_reset_timeout\";i:86400;s:17:\"password_strength\";b:1;s:8:\"langcode\";s:2:\"en\";s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"r4kwhOM0IWXVMUZDz744Yc16EOh37ZhYbA8kGOhSmLk\";}}',-1,1637057250.513,1,'','0'),('views.settings','a:6:{s:17:\"display_extenders\";a:0:{}s:10:\"skip_cache\";b:0;s:13:\"sql_signature\";b:0;s:2:\"ui\";a:3:{s:4:\"show\";a:7:{s:18:\"additional_queries\";b:0;s:15:\"advanced_column\";b:0;s:14:\"master_display\";b:0;s:22:\"performance_statistics\";b:0;s:19:\"preview_information\";b:1;s:9:\"sql_query\";a:2:{s:7:\"enabled\";b:0;s:5:\"where\";s:5:\"above\";}s:13:\"display_embed\";b:0;}s:19:\"always_live_preview\";b:1;s:24:\"exposed_filter_any_label\";s:7:\"old_any\";}s:22:\"field_rewrite_elements\";a:29:{s:3:\"div\";s:3:\"DIV\";s:4:\"span\";s:4:\"SPAN\";s:2:\"h1\";s:2:\"H1\";s:2:\"h2\";s:2:\"H2\";s:2:\"h3\";s:2:\"H3\";s:2:\"h4\";s:2:\"H4\";s:2:\"h5\";s:2:\"H5\";s:2:\"h6\";s:2:\"H6\";s:1:\"p\";s:1:\"P\";s:6:\"header\";s:6:\"HEADER\";s:6:\"footer\";s:6:\"FOOTER\";s:7:\"article\";s:7:\"ARTICLE\";s:7:\"section\";s:7:\"SECTION\";s:5:\"aside\";s:5:\"ASIDE\";s:7:\"details\";s:7:\"DETAILS\";s:10:\"blockquote\";s:10:\"BLOCKQUOTE\";s:6:\"figure\";s:6:\"FIGURE\";s:7:\"address\";s:7:\"ADDRESS\";s:4:\"code\";s:4:\"CODE\";s:3:\"pre\";s:3:\"PRE\";s:3:\"var\";s:3:\"VAR\";s:4:\"samp\";s:4:\"SAMP\";s:3:\"kbd\";s:3:\"KBD\";s:6:\"strong\";s:6:\"STRONG\";s:2:\"em\";s:2:\"EM\";s:3:\"del\";s:3:\"DEL\";s:3:\"ins\";s:3:\"INS\";s:1:\"q\";s:1:\"Q\";s:1:\"s\";s:1:\"S\";}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"RaRd9EIcwA4u3qCSRLL8EnCicbda1kV__ASmVbyehvQ\";}}',-1,1636011225.832,1,'','0'),('views.view.about_us','a:12:{s:4:\"uuid\";s:36:\"af24948e-2a3a-4fc2-8f7f-ae031b27d12f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:4:{i:0;s:31:\"field.storage.node.field_banner\";i:1;s:27:\"field.storage.node.field_su\";i:2;s:26:\"image.style.image_1920_700\";i:3;s:17:\"node.type.article\";}s:6:\"module\";a:4:{i:0;s:5:\"image\";i:1;s:4:\"node\";i:2;s:4:\"text\";i:3;s:4:\"user\";}}s:2:\"id\";s:8:\"about_us\";s:5:\"label\";s:8:\"About us\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:17:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:5;s:6:\"offset\";i:0;}}s:5:\"style\";a:1:{s:4:\"type\";s:7:\"default\";}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:6:\"fields\";a:5:{s:4:\"path\";a:25:{s:2:\"id\";s:4:\"path\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"absolute\";b:0;s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:11:\"entity_link\";s:18:\"output_url_as_text\";b:1;}s:12:\"field_banner\";a:35:{s:2:\"id\";s:12:\"field_banner\";s:5:\"table\";s:18:\"node__field_banner\";s:5:\"field\";s:12:\"field_banner\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:14:\"image_1920_700\";s:10:\"image_link\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:5:\"title\";a:35:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:8:\"field_su\";a:35:{s:2:\"id\";s:8:\"field_su\";s:5:\"table\";s:14:\"node__field_su\";s:5:\"field\";s:8:\"field_su\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:7:\"nothing\";a:22:{s:2:\"id\";s:7:\"nothing\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"nothing\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:96:\"<div class=\"views-field wp-views-field-view-node\">\n		<a href=\"{{ path }}\">Read more</a> 	\n</div>\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:0;s:9:\"plugin_id\";s:6:\"custom\";}}s:7:\"filters\";a:4:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:7:\"article\";s:7:\"article\";}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:3:\"nid\";a:16:{s:2:\"id\";s:3:\"nid\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:3:\"nid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";a:3:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:1:\"4\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:15:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:11:\"placeholder\";s:0:\"\";s:15:\"min_placeholder\";s:0:\"\";s:15:\"max_placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:3:\"nid\";s:9:\"plugin_id\";s:7:\"numeric\";}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:33:\"***LANGUAGE_language_interface***\";s:33:\"***LANGUAGE_language_interface***\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";}}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";}}s:5:\"title\";s:8:\"About us\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:9:\"arguments\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:2:{i:0;s:38:\"config:field.storage.node.field_banner\";i:1;s:34:\"config:field.storage.node.field_su\";}}}s:7:\"block_1\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_1\";s:13:\"display_title\";s:8:\"About us\";s:8:\"position\";i:1;s:15:\"display_options\";a:3:{s:17:\"display_extenders\";a:0:{}s:19:\"display_description\";s:0:\"\";s:18:\"rendering_language\";s:33:\"***LANGUAGE_language_interface***\";}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:21:\"user.node_grants:view\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:2:{i:0;s:38:\"config:field.storage.node.field_banner\";i:1;s:34:\"config:field.storage.node.field_su\";}}}}}',-1,1636011226.085,1,'','0'),('views.view.archive','a:13:{s:4:\"uuid\";s:36:\"659f915c-ecb1-43bb-90d1-ce4960694ebb\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:33:\"core.entity_view_mode.node.teaser\";}s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"Ea3cxQo9FjYVScZDVackg-6ID_GgTkdKORm_APgV-5I\";}s:2:\"id\";s:7:\"archive\";s:5:\"label\";s:7:\"Archive\";s:6:\"module\";s:4:\"node\";s:11:\"description\";s:22:\"All content, by month.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:3:{s:7:\"default\";a:6:{s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:14:\"display_plugin\";s:7:\"default\";s:8:\"position\";i:0;s:15:\"display_options\";a:17:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:13:\"query_comment\";s:0:\"\";s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:10:\"query_tags\";a:0:{}}}s:5:\"title\";s:15:\"Monthly archive\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:6:{s:14:\"items_per_page\";i:10;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";i:0;s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:4:\"tags\";a:2:{s:8:\"previous\";s:6:\"‹‹\";s:4:\"next\";s:6:\"››\";}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";s:9:\"plugin_id\";s:4:\"date\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";}}s:9:\"arguments\";a:1:{s:18:\"created_year_month\";a:13:{s:2:\"id\";s:18:\"created_year_month\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:18:\"created_year_month\";s:14:\"default_action\";s:7:\"summary\";s:9:\"exception\";a:1:{s:12:\"title_enable\";b:1;}s:12:\"title_enable\";b:1;s:5:\"title\";s:34:\"{{ arguments.created_year_month }}\";s:21:\"default_argument_type\";s:5:\"fixed\";s:7:\"summary\";a:2:{s:10:\"sort_order\";s:4:\"desc\";s:6:\"format\";s:15:\"default_summary\";}s:15:\"summary_options\";a:2:{s:8:\"override\";b:1;s:14:\"items_per_page\";i:30;}s:18:\"specify_validation\";b:1;s:9:\"plugin_id\";s:15:\"date_year_month\";s:11:\"entity_type\";s:4:\"node\";}}s:7:\"filters\";a:2:{s:6:\"status\";a:9:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:0;s:6:\"expose\";a:3:{s:8:\"operator\";s:1:\"0\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:31:\"***LANGUAGE_language_content***\";s:31:\"***LANGUAGE_language_content***\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:8:\"language\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:8:\"langcode\";}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:4:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:11:\"uses_fields\";b:0;}}s:3:\"row\";a:2:{s:4:\"type\";s:11:\"entity:node\";s:7:\"options\";a:1:{s:9:\"view_mode\";s:6:\"teaser\";}}s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:5:{i:0;s:28:\"languages:language_interface\";i:1;s:3:\"url\";i:2;s:14:\"url.query_args\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}s:7:\"block_1\";a:6:{s:2:\"id\";s:7:\"block_1\";s:13:\"display_title\";s:5:\"Block\";s:14:\"display_plugin\";s:5:\"block\";s:8:\"position\";i:1;s:15:\"display_options\";a:4:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:8:\"defaults\";a:1:{s:9:\"arguments\";b:0;}s:9:\"arguments\";a:1:{s:18:\"created_year_month\";a:13:{s:2:\"id\";s:18:\"created_year_month\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:18:\"created_year_month\";s:14:\"default_action\";s:7:\"summary\";s:9:\"exception\";a:1:{s:12:\"title_enable\";b:1;}s:12:\"title_enable\";b:1;s:5:\"title\";s:34:\"{{ arguments.created_year_month }}\";s:21:\"default_argument_type\";s:5:\"fixed\";s:7:\"summary\";a:1:{s:6:\"format\";s:15:\"default_summary\";}s:15:\"summary_options\";a:1:{s:14:\"items_per_page\";i:30;}s:18:\"specify_validation\";b:1;s:9:\"plugin_id\";s:15:\"date_year_month\";s:11:\"entity_type\";s:4:\"node\";}}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:5:{i:0;s:28:\"languages:language_interface\";i:1;s:3:\"url\";i:2;s:14:\"url.query_args\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}s:6:\"page_1\";a:6:{s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:4:\"Page\";s:14:\"display_plugin\";s:4:\"page\";s:8:\"position\";i:2;s:15:\"display_options\";a:3:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:7:\"archive\";s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:5:{i:0;s:28:\"languages:language_interface\";i:1;s:3:\"url\";i:2;s:14:\"url.query_args\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}}}',-1,1636011226.085,1,'','0'),('views.view.banner','a:12:{s:4:\"uuid\";s:36:\"8ac920a0-95e6-44ec-a34f-3f37a5d251ef\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:5:{i:0;s:23:\"field.storage.node.body\";i:1;s:37:\"field.storage.node.field_banner_title\";i:2;s:30:\"field.storage.node.field_image\";i:3;s:26:\"image.style.image_1920_595\";i:4;s:16:\"node.type.banner\";}s:6:\"module\";a:5:{i:0;s:5:\"image\";i:1;s:4:\"node\";i:2;s:7:\"options\";i:3;s:4:\"text\";i:4;s:4:\"user\";}}s:2:\"id\";s:6:\"banner\";s:5:\"label\";s:6:\"Banner\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:8:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:17:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:1;s:6:\"offset\";i:0;}}s:5:\"style\";a:1:{s:4:\"type\";s:7:\"default\";}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:6:\"fields\";a:5:{s:18:\"field_banner_title\";a:35:{s:2:\"id\";s:18:\"field_banner_title\";s:5:\"table\";s:24:\"node__field_banner_title\";s:5:\"field\";s:18:\"field_banner_title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"basic_string\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:5:\"title\";a:35:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:4:\"body\";a:35:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:10:\"node__body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:7:\"summary\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:11:\"field_image\";a:35:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:17:\"node__field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:14:\"image_1920_595\";s:10:\"image_link\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:7:\"nothing\";a:22:{s:2:\"id\";s:7:\"nothing\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"nothing\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:212:\"<div class=\"views-inner\">\n	<div class=\"views-field wp-views-field-banner-title\">\n    <span>\n		{{ field_banner_title }}\n	<span>\n	</div>\n	<div class=\"views-field wp-views-field-body\">\n		{{ body }}	\n	</div>	\n</div>\n\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:0;s:9:\"plugin_id\";s:6:\"custom\";}}s:7:\"filters\";a:3:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:6:\"banner\";s:6:\"banner\";}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:16:\"field_type_value\";a:15:{s:2:\"id\";s:16:\"field_type_value\";s:5:\"table\";s:16:\"node__field_type\";s:5:\"field\";s:16:\"field_type_value\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:1:{i:1;s:1:\"1\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";b:0;s:9:\"plugin_id\";s:10:\"list_field\";}}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";}}s:5:\"title\";s:11:\"Blog Banner\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:9:\"arguments\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:3:{i:0;s:30:\"config:field.storage.node.body\";i:1;s:44:\"config:field.storage.node.field_banner_title\";i:2;s:37:\"config:field.storage.node.field_image\";}}}s:7:\"block_1\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_1\";s:13:\"display_title\";s:11:\"Blog banner\";s:8:\"position\";i:1;s:15:\"display_options\";a:2:{s:17:\"display_extenders\";a:0:{}s:19:\"display_description\";s:0:\"\";}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:3:{i:0;s:30:\"config:field.storage.node.body\";i:1;s:44:\"config:field.storage.node.field_banner_title\";i:2;s:37:\"config:field.storage.node.field_image\";}}}s:7:\"block_2\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_2\";s:13:\"display_title\";s:15:\"Porfolio banner\";s:8:\"position\";i:1;s:15:\"display_options\";a:6:{s:17:\"display_extenders\";a:0:{}s:19:\"display_description\";s:0:\"\";s:7:\"filters\";a:3:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:6:\"banner\";s:6:\"banner\";}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:16:\"field_type_value\";a:15:{s:2:\"id\";s:16:\"field_type_value\";s:5:\"table\";s:16:\"node__field_type\";s:5:\"field\";s:16:\"field_type_value\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:1:{i:4;s:1:\"4\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";b:0;s:9:\"plugin_id\";s:10:\"list_field\";}}s:8:\"defaults\";a:3:{s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;s:5:\"title\";b:0;}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:5:\"title\";s:15:\"Porfolio Banner\";}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:3:{i:0;s:30:\"config:field.storage.node.body\";i:1;s:44:\"config:field.storage.node.field_banner_title\";i:2;s:37:\"config:field.storage.node.field_image\";}}}s:7:\"block_3\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_3\";s:13:\"display_title\";s:16:\"Blog page banner\";s:8:\"position\";i:1;s:15:\"display_options\";a:6:{s:17:\"display_extenders\";a:0:{}s:19:\"display_description\";s:0:\"\";s:7:\"filters\";a:3:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:6:\"banner\";s:6:\"banner\";}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:16:\"field_type_value\";a:15:{s:2:\"id\";s:16:\"field_type_value\";s:5:\"table\";s:16:\"node__field_type\";s:5:\"field\";s:16:\"field_type_value\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:1:{i:2;s:1:\"2\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";b:0;s:9:\"plugin_id\";s:10:\"list_field\";}}s:8:\"defaults\";a:3:{s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;s:5:\"title\";b:0;}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:5:\"title\";s:16:\"Blog page Banner\";}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:3:{i:0;s:30:\"config:field.storage.node.body\";i:1;s:44:\"config:field.storage.node.field_banner_title\";i:2;s:37:\"config:field.storage.node.field_image\";}}}s:7:\"block_4\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_4\";s:13:\"display_title\";s:20:\"About us page banner\";s:8:\"position\";i:1;s:15:\"display_options\";a:8:{s:17:\"display_extenders\";a:0:{}s:19:\"display_description\";s:0:\"\";s:7:\"filters\";a:3:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:6:\"banner\";s:6:\"banner\";}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:16:\"field_type_value\";a:15:{s:2:\"id\";s:16:\"field_type_value\";s:5:\"table\";s:16:\"node__field_type\";s:5:\"field\";s:16:\"field_type_value\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:1:{i:5;s:1:\"5\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";b:0;s:9:\"plugin_id\";s:10:\"list_field\";}}s:8:\"defaults\";a:5:{s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;s:5:\"title\";b:0;s:6:\"fields\";b:0;s:9:\"css_class\";b:0;}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:5:\"title\";s:20:\"About us page Banner\";s:6:\"fields\";a:5:{s:18:\"field_banner_title\";a:35:{s:2:\"id\";s:18:\"field_banner_title\";s:5:\"table\";s:24:\"node__field_banner_title\";s:5:\"field\";s:18:\"field_banner_title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"basic_string\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:5:\"title\";a:35:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:4:\"body\";a:35:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:10:\"node__body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:7:\"summary\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:11:\"field_image\";a:35:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:17:\"node__field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:14:\"image_1920_595\";s:10:\"image_link\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:7:\"nothing\";a:22:{s:2:\"id\";s:7:\"nothing\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"nothing\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:212:\"<div class=\"views-inner\">\n	<div class=\"views-field wp-views-field-banner-title\">\n    <span>\n		{{ field_banner_title }}\n	<span>\n	</div>\n	<div class=\"views-field wp-views-field-body\">\n		{{ body }}	\n	</div>	\n</div>\n\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:0;s:9:\"plugin_id\";s:6:\"custom\";}}s:9:\"css_class\";s:16:\"view-type-banner\";}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:3:{i:0;s:30:\"config:field.storage.node.body\";i:1;s:44:\"config:field.storage.node.field_banner_title\";i:2;s:37:\"config:field.storage.node.field_image\";}}}s:7:\"block_5\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_5\";s:13:\"display_title\";s:20:\"Services page banner\";s:8:\"position\";i:1;s:15:\"display_options\";a:6:{s:17:\"display_extenders\";a:0:{}s:19:\"display_description\";s:0:\"\";s:7:\"filters\";a:3:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:6:\"banner\";s:6:\"banner\";}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:16:\"field_type_value\";a:15:{s:2:\"id\";s:16:\"field_type_value\";s:5:\"table\";s:16:\"node__field_type\";s:5:\"field\";s:16:\"field_type_value\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:1:{i:6;s:1:\"6\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";b:0;s:9:\"plugin_id\";s:10:\"list_field\";}}s:8:\"defaults\";a:3:{s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;s:5:\"title\";b:0;}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:5:\"title\";s:20:\"Services page Banner\";}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:3:{i:0;s:30:\"config:field.storage.node.body\";i:1;s:44:\"config:field.storage.node.field_banner_title\";i:2;s:37:\"config:field.storage.node.field_image\";}}}s:7:\"block_6\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_6\";s:13:\"display_title\";s:19:\"Contact page banner\";s:8:\"position\";i:1;s:15:\"display_options\";a:6:{s:17:\"display_extenders\";a:0:{}s:19:\"display_description\";s:0:\"\";s:7:\"filters\";a:3:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:6:\"banner\";s:6:\"banner\";}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:16:\"field_type_value\";a:15:{s:2:\"id\";s:16:\"field_type_value\";s:5:\"table\";s:16:\"node__field_type\";s:5:\"field\";s:16:\"field_type_value\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:1:{i:7;s:1:\"7\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";b:0;s:9:\"plugin_id\";s:10:\"list_field\";}}s:8:\"defaults\";a:3:{s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;s:5:\"title\";b:0;}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:5:\"title\";s:19:\"Contact page Banner\";}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:3:{i:0;s:30:\"config:field.storage.node.body\";i:1;s:44:\"config:field.storage.node.field_banner_title\";i:2;s:37:\"config:field.storage.node.field_image\";}}}s:7:\"block_7\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_7\";s:13:\"display_title\";s:16:\"User page banner\";s:8:\"position\";i:1;s:15:\"display_options\";a:9:{s:17:\"display_extenders\";a:0:{}s:19:\"display_description\";s:0:\"\";s:7:\"filters\";a:3:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:6:\"banner\";s:6:\"banner\";}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:16:\"field_type_value\";a:15:{s:2:\"id\";s:16:\"field_type_value\";s:5:\"table\";s:16:\"node__field_type\";s:5:\"field\";s:16:\"field_type_value\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:1:{i:8;s:1:\"8\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";b:0;s:9:\"plugin_id\";s:10:\"list_field\";}}s:8:\"defaults\";a:6:{s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;s:5:\"title\";b:0;s:13:\"relationships\";b:0;s:6:\"fields\";b:0;s:9:\"arguments\";b:0;}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:5:\"title\";s:16:\"User page Banner\";s:13:\"relationships\";a:1:{s:3:\"uid\";a:10:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:19:\"node_field_revision\";s:5:\"field\";s:3:\"uid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:4:\"User\";s:8:\"required\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:3:\"uid\";s:9:\"plugin_id\";s:8:\"standard\";}}s:6:\"fields\";a:6:{s:18:\"field_banner_title\";a:35:{s:2:\"id\";s:18:\"field_banner_title\";s:5:\"table\";s:24:\"node__field_banner_title\";s:5:\"field\";s:18:\"field_banner_title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"basic_string\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:5:\"title\";a:35:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:4:\"name\";a:37:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:3:\"uid\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"user_name\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:5:\"field\";}s:4:\"body\";a:35:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:10:\"node__body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:7:\"summary\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:11:\"field_image\";a:35:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:17:\"node__field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:14:\"image_1920_595\";s:10:\"image_link\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:7:\"nothing\";a:22:{s:2:\"id\";s:7:\"nothing\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"nothing\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:198:\"<div class=\"views-inner\">\n	<div class=\"views-field wp-views-field-banner-title\">\n    <span>\n		{{ name }}\n	<span>\n	</div>\n	<div class=\"views-field wp-views-field-body\">\n		{{ body }}	\n	</div>	\n</div>\n\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:0;s:9:\"plugin_id\";s:6:\"custom\";}}s:9:\"arguments\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:3:{i:0;s:30:\"config:field.storage.node.body\";i:1;s:44:\"config:field.storage.node.field_banner_title\";i:2;s:37:\"config:field.storage.node.field_image\";}}}}}',-1,1636011226.085,1,'','0'),('views.view.block_content','a:13:{s:4:\"uuid\";s:36:\"587526db-3e89-4daf-85f6-bb8b742a38dd\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:13:\"block_content\";i:1;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"msYnighLW1IbiBfyQbwbQwb2cU-5LECiFryt60k0Nfk\";}s:2:\"id\";s:13:\"block_content\";s:5:\"label\";s:20:\"Custom block library\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:30:\"Find and manage custom blocks.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:24:\"block_content_field_data\";s:10:\"base_field\";s:2:\"id\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:17:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:17:\"administer blocks\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:6:{s:14:\"items_per_page\";i:50;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";N;s:4:\"tags\";a:2:{s:8:\"previous\";s:12:\"‹ Previous\";s:4:\"next\";s:8:\"Next ›\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}}}s:5:\"style\";a:2:{s:4:\"type\";s:5:\"table\";s:7:\"options\";a:12:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:8:\"override\";b:1;s:6:\"sticky\";b:0;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";s:11:\"description\";s:0:\"\";s:7:\"columns\";a:4:{s:4:\"info\";s:4:\"info\";s:4:\"type\";s:4:\"type\";s:7:\"changed\";s:7:\"changed\";s:10:\"operations\";s:10:\"operations\";}s:4:\"info\";a:4:{s:4:\"info\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:4:\"type\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:7:\"changed\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:10:\"operations\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}}s:7:\"default\";s:7:\"changed\";s:11:\"empty_table\";b:1;}}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:6:\"fields\";a:4:{s:4:\"info\";a:37:{s:2:\"id\";s:4:\"info\";s:5:\"table\";s:24:\"block_content_field_data\";s:5:\"field\";s:4:\"info\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:17:\"Block description\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";N;s:12:\"entity_field\";s:4:\"info\";s:9:\"plugin_id\";s:5:\"field\";}s:4:\"type\";a:37:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:24:\"block_content_field_data\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:10:\"Block type\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:22:\"entity_reference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:0;}s:12:\"group_column\";s:9:\"target_id\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:13:\"block_content\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:5:\"field\";}s:7:\"changed\";a:26:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:24:\"block_content_field_data\";s:5:\"field\";s:7:\"changed\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:7:\"Updated\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"entity_type\";s:13:\"block_content\";s:12:\"entity_field\";s:7:\"changed\";s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:5:\"short\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";}s:9:\"plugin_id\";s:5:\"field\";}s:10:\"operations\";a:24:{s:2:\"id\";s:10:\"operations\";s:5:\"table\";s:13:\"block_content\";s:5:\"field\";s:10:\"operations\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:10:\"Operations\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"destination\";b:1;s:11:\"entity_type\";s:13:\"block_content\";s:9:\"plugin_id\";s:17:\"entity_operations\";}}s:7:\"filters\";a:3:{s:4:\"info\";a:16:{s:2:\"id\";s:4:\"info\";s:5:\"table\";s:24:\"block_content_field_data\";s:5:\"field\";s:4:\"info\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:8:\"contains\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:7:\"info_op\";s:5:\"label\";s:17:\"Block description\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:7:\"info_op\";s:10:\"identifier\";s:4:\"info\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:13:\"block_content\";s:12:\"entity_field\";s:4:\"info\";s:9:\"plugin_id\";s:6:\"string\";}s:4:\"type\";a:16:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:24:\"block_content_field_data\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:7:\"type_op\";s:5:\"label\";s:10:\"Block type\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:7:\"type_op\";s:10:\"identifier\";s:4:\"type\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:13:\"block_content\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";}s:8:\"reusable\";a:16:{s:2:\"id\";s:8:\"reusable\";s:5:\"table\";s:24:\"block_content_field_data\";s:5:\"field\";s:8:\"reusable\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:11:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:13:\"block_content\";s:12:\"entity_field\";s:8:\"reusable\";s:9:\"plugin_id\";s:7:\"boolean\";}}s:5:\"sorts\";a:0:{}s:5:\"title\";s:20:\"Custom block library\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:2:{s:16:\"area_text_custom\";a:10:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:1;s:8:\"tokenize\";b:0;s:7:\"content\";s:38:\"There are no custom blocks available. \";s:9:\"plugin_id\";s:11:\"text_custom\";}s:27:\"block_content_listing_empty\";a:10:{s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:1;s:5:\"field\";s:27:\"block_content_listing_empty\";s:10:\"group_type\";s:5:\"group\";s:2:\"id\";s:27:\"block_content_listing_empty\";s:5:\"label\";s:0:\"\";s:12:\"relationship\";s:4:\"none\";s:5:\"table\";s:13:\"block_content\";s:9:\"plugin_id\";s:27:\"block_content_listing_empty\";s:11:\"entity_type\";s:13:\"block_content\";}}s:13:\"relationships\";a:0:{}s:9:\"arguments\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}s:6:\"page_1\";a:6:{s:14:\"display_plugin\";s:4:\"page\";s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:4:\"Page\";s:8:\"position\";i:1;s:15:\"display_options\";a:3:{s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:35:\"admin/structure/block/block-content\";s:4:\"menu\";a:7:{s:4:\"type\";s:3:\"tab\";s:5:\"title\";s:20:\"Custom block library\";s:11:\"description\";s:0:\"\";s:6:\"parent\";s:19:\"block.admin_display\";s:6:\"weight\";i:0;s:7:\"context\";s:1:\"0\";s:9:\"menu_name\";s:5:\"admin\";}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}}}',-1,1636011226.085,1,'','0'),('views.view.blog_details','a:12:{s:4:\"uuid\";s:36:\"8e8c4b50-cf64-4bb8-a8a6-6199d120cf8c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:4:{i:0;s:30:\"field.storage.node.field_image\";i:1;s:30:\"field.storage.node.field_video\";i:2;s:26:\"image.style.image_1400_700\";i:3;s:14:\"node.type.blog\";}s:6:\"module\";a:4:{i:0;s:5:\"image\";i:1;s:4:\"node\";i:2;s:4:\"user\";i:3;s:17:\"video_embed_field\";}}s:2:\"id\";s:12:\"blog_details\";s:5:\"label\";s:12:\"Blog details\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:3:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:17:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:1;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:5;s:6:\"offset\";i:0;}}s:5:\"style\";a:1:{s:4:\"type\";s:7:\"default\";}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:6:\"fields\";a:2:{s:11:\"field_image\";a:35:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:17:\"node__field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:14:\"image_1400_700\";s:10:\"image_link\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:11:\"field_video\";a:35:{s:2:\"id\";s:11:\"field_video\";s:5:\"table\";s:17:\"node__field_video\";s:5:\"field\";s:11:\"field_video\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:16:\"{{field_image}} \";s:10:\"hide_empty\";b:1;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:23:\"video_embed_field_video\";s:8:\"settings\";a:4:{s:8:\"autoplay\";b:1;s:10:\"responsive\";b:1;s:5:\"width\";i:854;s:6:\"height\";i:480;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}}s:7:\"filters\";a:3:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:4:\"blog\";s:4:\"blog\";}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:33:\"***LANGUAGE_language_interface***\";s:33:\"***LANGUAGE_language_interface***\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";}}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";}}s:5:\"title\";s:12:\"Blog details\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:9:\"arguments\";a:1:{s:3:\"nid\";a:23:{s:2:\"id\";s:3:\"nid\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:3:\"nid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:14:\"default_action\";s:7:\"default\";s:9:\"exception\";a:3:{s:5:\"value\";s:3:\"all\";s:12:\"title_enable\";b:0;s:5:\"title\";s:3:\"All\";}s:12:\"title_enable\";b:0;s:5:\"title\";s:0:\"\";s:21:\"default_argument_type\";s:4:\"node\";s:24:\"default_argument_options\";a:0:{}s:25:\"default_argument_skip_url\";b:0;s:15:\"summary_options\";a:4:{s:9:\"base_path\";s:0:\"\";s:5:\"count\";b:1;s:14:\"items_per_page\";i:25;s:8:\"override\";b:0;}s:7:\"summary\";a:3:{s:10:\"sort_order\";s:3:\"asc\";s:17:\"number_of_records\";i:0;s:6:\"format\";s:15:\"default_summary\";}s:18:\"specify_validation\";b:0;s:8:\"validate\";a:2:{s:4:\"type\";s:4:\"none\";s:4:\"fail\";s:9:\"not found\";}s:16:\"validate_options\";a:0:{}s:12:\"break_phrase\";b:0;s:3:\"not\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:3:\"nid\";s:9:\"plugin_id\";s:8:\"node_nid\";}}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:2:{i:0;s:37:\"config:field.storage.node.field_image\";i:1;s:37:\"config:field.storage.node.field_video\";}}}s:7:\"block_1\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_1\";s:13:\"display_title\";s:10:\"Blog Image\";s:8:\"position\";i:1;s:15:\"display_options\";a:5:{s:17:\"display_extenders\";a:0:{}s:19:\"display_description\";s:0:\"\";s:9:\"css_class\";s:17:\"view-type-details\";s:8:\"defaults\";a:1:{s:9:\"css_class\";b:0;}s:18:\"rendering_language\";s:33:\"***LANGUAGE_language_interface***\";}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:3:\"url\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:2:{i:0;s:37:\"config:field.storage.node.field_image\";i:1;s:37:\"config:field.storage.node.field_video\";}}}s:7:\"block_3\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_3\";s:13:\"display_title\";s:9:\"Blog time\";s:8:\"position\";i:3;s:15:\"display_options\";a:5:{s:17:\"display_extenders\";a:0:{}s:19:\"display_description\";s:0:\"\";s:5:\"title\";s:9:\"Blog time\";s:8:\"defaults\";a:2:{s:5:\"title\";b:0;s:6:\"fields\";b:0;}s:6:\"fields\";a:3:{s:7:\"created\";a:37:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:19:\"node_field_revision\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:6:\"custom\";s:18:\"custom_date_format\";s:1:\"M\";s:8:\"timezone\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:5:\"field\";}s:9:\"created_1\";a:37:{s:2:\"id\";s:9:\"created_1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:6:\"custom\";s:18:\"custom_date_format\";s:1:\"d\";s:8:\"timezone\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:5:\"field\";}s:7:\"nothing\";a:22:{s:2:\"id\";s:7:\"nothing\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"nothing\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:202:\"<div class=\"views-info\">\n  		<div class=\"views-field wp-views-field-created\">\n  			{{ created }}\n  		</div>\n  		<div class=\"views-field wp-views-field-created-1\">\n  			{{ created_1 }}\n  		</div>\n	</div>\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:0;s:9:\"plugin_id\";s:6:\"custom\";}}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}}}',-1,1636011226.085,1,'','0'),('views.view.blog_page','a:12:{s:4:\"uuid\";s:36:\"f8a69985-b991-45a8-87e2-bc593b731377\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:8:{i:0;s:23:\"field.storage.node.body\";i:1;s:30:\"field.storage.node.field_image\";i:2;s:29:\"field.storage.node.field_tags\";i:3;s:25:\"image.style.image_370_350\";i:4;s:25:\"image.style.image_551_372\";i:5;s:23:\"image.style.image_63_63\";i:6;s:26:\"image.style.image_640_363_\";i:7;s:14:\"node.type.blog\";}s:6:\"module\";a:4:{i:0;s:5:\"image\";i:1;s:4:\"node\";i:2;s:4:\"text\";i:3;s:4:\"user\";}}s:2:\"id\";s:9:\"blog_page\";s:5:\"label\";s:9:\"Blog page\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:6:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:17:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:6:{s:14:\"items_per_page\";i:10;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";N;s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:4:\"tags\";a:2:{s:8:\"previous\";s:6:\"‹‹\";s:4:\"next\";s:6:\"››\";}}}s:5:\"style\";a:1:{s:4:\"type\";s:7:\"default\";}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:4:{s:22:\"default_field_elements\";b:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";b:0;}}s:6:\"fields\";a:1:{s:5:\"title\";a:37:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";b:0;s:9:\"make_link\";b:0;s:8:\"absolute\";b:0;s:4:\"trim\";b:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:10:\"strip_tags\";b:0;s:4:\"html\";b:0;}s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:9:\"plugin_id\";s:5:\"field\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exclude\";b:0;s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}}s:7:\"filters\";a:3:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:4:\"blog\";s:4:\"blog\";}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:33:\"***LANGUAGE_language_interface***\";s:33:\"***LANGUAGE_language_interface***\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";}}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";}}s:5:\"title\";s:9:\"Blog page\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:9:\"arguments\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:14:\"url.query_args\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}s:7:\"block_1\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_1\";s:13:\"display_title\";s:12:\"Recent posts\";s:8:\"position\";i:2;s:15:\"display_options\";a:8:{s:17:\"display_extenders\";a:0:{}s:5:\"title\";s:12:\"Recent posts\";s:8:\"defaults\";a:5:{s:5:\"title\";b:0;s:5:\"style\";b:0;s:3:\"row\";b:0;s:5:\"pager\";b:0;s:6:\"fields\";b:0;}s:5:\"style\";a:1:{s:4:\"type\";s:7:\"default\";}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:5;s:6:\"offset\";i:0;}}s:6:\"fields\";a:1:{s:5:\"title\";a:35:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:9:\"plugin_id\";s:5:\"field\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}}s:19:\"display_description\";s:0:\"\";}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}s:7:\"block_2\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_2\";s:13:\"display_title\";s:9:\"Blog news\";s:8:\"position\";i:1;s:15:\"display_options\";a:13:{s:17:\"display_extenders\";a:0:{}s:6:\"fields\";a:7:{s:4:\"path\";a:25:{s:2:\"id\";s:4:\"path\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"absolute\";b:0;s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:11:\"entity_link\";s:18:\"output_url_as_text\";b:1;}s:11:\"field_image\";a:35:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:17:\"node__field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:13:\"image_551_372\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:5:\"title\";a:37:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:9:\"plugin_id\";s:5:\"field\";}s:7:\"created\";a:37:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:6:\"custom\";s:18:\"custom_date_format\";s:6:\"F d, Y\";s:8:\"timezone\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:5:\"field\";}s:3:\"uid\";a:37:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:3:\"uid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:13:\"by {{ uid }} \";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:22:\"entity_reference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:1;}s:12:\"group_column\";s:9:\"target_id\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:3:\"uid\";s:9:\"plugin_id\";s:5:\"field\";}s:10:\"field_tags\";a:35:{s:2:\"id\";s:10:\"field_tags\";s:5:\"table\";s:16:\"node__field_tags\";s:5:\"field\";s:10:\"field_tags\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:19:\"in {{ field_tags }}\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:22:\"entity_reference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:1;}s:12:\"group_column\";s:9:\"target_id\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:1;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:0:\"\";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:4:\"body\";a:35:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:10:\"node__body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:200;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:1;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_trimmed\";s:8:\"settings\";a:1:{s:11:\"trim_length\";i:150;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}}s:8:\"defaults\";a:10:{s:6:\"fields\";b:0;s:5:\"pager\";b:0;s:5:\"title\";b:0;s:6:\"header\";b:0;s:5:\"style\";b:0;s:3:\"row\";b:0;s:9:\"css_class\";b:0;s:6:\"access\";b:0;s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:3;s:6:\"offset\";i:0;}}s:19:\"display_description\";s:0:\"\";s:5:\"title\";s:11:\"latest news\";s:6:\"header\";a:1:{s:4:\"area\";a:10:{s:2:\"id\";s:4:\"area\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:4:\"area\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:0;s:8:\"tokenize\";b:0;s:7:\"content\";a:2:{s:5:\"value\";s:126:\"Lorem ipsum dolor sit amet, consectetur adipiscing elit.\nPraesent facilisis massa nellyary eget magna semper,  dolor sit amet.\";s:6:\"format\";s:9:\"full_html\";}s:9:\"plugin_id\";s:4:\"text\";}}s:5:\"style\";a:2:{s:4:\"type\";s:4:\"grid\";s:7:\"options\";a:8:{s:8:\"grouping\";a:0:{}s:7:\"columns\";i:3;s:15:\"automatic_width\";b:1;s:9:\"alignment\";s:10:\"horizontal\";s:17:\"col_class_default\";b:1;s:16:\"col_class_custom\";s:0:\"\";s:17:\"row_class_default\";b:1;s:16:\"row_class_custom\";s:0:\"\";}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:4:{s:22:\"default_field_elements\";b:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";b:0;}}s:9:\"css_class\";s:14:\"view-type-grid\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:7:\"filters\";a:3:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:4:\"blog\";s:4:\"blog\";}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:33:\"***LANGUAGE_language_interface***\";s:33:\"***LANGUAGE_language_interface***\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";}}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:3:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";}s:4:\"tags\";a:3:{i:0;s:30:\"config:field.storage.node.body\";i:1;s:37:\"config:field.storage.node.field_image\";i:2;s:36:\"config:field.storage.node.field_tags\";}}}s:7:\"block_3\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_3\";s:13:\"display_title\";s:11:\"Latest news\";s:8:\"position\";i:1;s:15:\"display_options\";a:8:{s:17:\"display_extenders\";a:0:{}s:6:\"fields\";a:5:{s:11:\"field_image\";a:35:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:17:\"node__field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:11:\"image_63_63\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:5:\"title\";a:37:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:9:\"plugin_id\";s:5:\"field\";}s:4:\"body\";a:35:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:10:\"node__body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:50;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:1;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:7:\"created\";a:37:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:6:\"custom\";s:18:\"custom_date_format\";s:5:\"d M,Y\";s:8:\"timezone\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:5:\"field\";}s:7:\"nothing\";a:22:{s:2:\"id\";s:7:\"nothing\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"nothing\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:338:\"<div class=\"views-field wp-views-field-img\">\n	{{ field_image }} 	\n</div>\n<div class=\"views-inner views-fieldset\">\n	<div class=\"views-field wp-views-field-title\">\n		{{ title }}	\n	</div>\n	<div class=\"views-field wp-views-field-body\">\n		{{ body }} 	\n	</div>\n	<div class=\"views-field wp-views-field-created\">\n		{{ created }}		\n	</div>\n</div>\n\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:0;s:9:\"plugin_id\";s:6:\"custom\";}}s:8:\"defaults\";a:5:{s:6:\"fields\";b:0;s:5:\"pager\";b:0;s:5:\"title\";b:0;s:6:\"header\";b:0;s:9:\"css_class\";b:0;}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:2;s:6:\"offset\";i:0;}}s:19:\"display_description\";s:0:\"\";s:5:\"title\";s:11:\"Latest news\";s:6:\"header\";a:1:{s:4:\"area\";a:10:{s:2:\"id\";s:4:\"area\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:4:\"area\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:0;s:8:\"tokenize\";b:0;s:7:\"content\";a:2:{s:5:\"value\";s:126:\"Lorem ipsum dolor sit amet, consectetur adipiscing elit.\nPraesent facilisis massa nellyary eget magna semper,  dolor sit amet.\";s:6:\"format\";s:9:\"full_html\";}s:9:\"plugin_id\";s:4:\"text\";}}s:9:\"css_class\";s:14:\"view-type-list\";}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:2:{i:0;s:30:\"config:field.storage.node.body\";i:1;s:37:\"config:field.storage.node.field_image\";}}}s:6:\"page_1\";a:6:{s:14:\"display_plugin\";s:4:\"page\";s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:4:\"Page\";s:8:\"position\";i:1;s:15:\"display_options\";a:6:{s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:4:\"blog\";s:6:\"fields\";a:8:{s:4:\"path\";a:25:{s:2:\"id\";s:4:\"path\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"absolute\";b:0;s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:11:\"entity_link\";s:18:\"output_url_as_text\";b:1;}s:11:\"field_image\";a:35:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:17:\"node__field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:14:\"image_640_363_\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:5:\"title\";a:37:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:9:\"plugin_id\";s:5:\"field\";}s:7:\"created\";a:37:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:6:\"custom\";s:18:\"custom_date_format\";s:1:\"M\";s:8:\"timezone\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:5:\"field\";}s:9:\"created_1\";a:37:{s:2:\"id\";s:9:\"created_1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:6:\"custom\";s:18:\"custom_date_format\";s:1:\"d\";s:8:\"timezone\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:5:\"field\";}s:4:\"body\";a:35:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:10:\"node__body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:200;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:1;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:9:\"view_node\";a:26:{s:2:\"id\";s:9:\"view_node\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:1;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"text\";s:9:\"Read more\";s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:11:\"entity_link\";s:18:\"output_url_as_text\";b:0;s:8:\"absolute\";b:0;}s:7:\"nothing\";a:22:{s:2:\"id\";s:7:\"nothing\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"nothing\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:564:\"<div class=\"views-field wp-views-field-img\">\n      {{ field_image }}\n</div>\n<div class=\"views-inner\">\n  	<div class=\"views-info\">\n  		<div class=\"views-field wp-views-field-created\">\n  			{{ created }}\n  		</div>\n  		<div class=\"views-field wp-views-field-created-1\">\n  			{{ created_1 }}\n  		</div>\n	</div>\n	<div class=\"views-field wp-views-field-title\">\n		{{ title }}\n	</div>\n	<div class=\"views-field wp-views-field-body\">\n		{{ body }} 	\n	</div>\n	<div class=\"views-field wp-views-field-view-node\">\n		<a href=\"{{ path }}\">Read more</a> 	\n	</div>\n         \n</div>\n\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:0;s:9:\"plugin_id\";s:6:\"custom\";}}s:8:\"defaults\";a:3:{s:6:\"fields\";b:0;s:5:\"pager\";b:0;s:9:\"css_class\";b:0;}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:14:\"items_per_page\";i:5;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";N;s:4:\"tags\";a:4:{s:8:\"previous\";s:6:\"‹‹\";s:4:\"next\";s:6:\"››\";s:5:\"first\";s:8:\"« First\";s:4:\"last\";s:7:\"Last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:8:\"quantity\";i:9;}}s:9:\"css_class\";s:14:\"view-type-list\";}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:14:\"url.query_args\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:2:{i:0;s:30:\"config:field.storage.node.body\";i:1;s:37:\"config:field.storage.node.field_image\";}}}s:6:\"page_2\";a:6:{s:14:\"display_plugin\";s:4:\"page\";s:2:\"id\";s:6:\"page_2\";s:13:\"display_title\";s:12:\"Page default\";s:8:\"position\";i:1;s:15:\"display_options\";a:7:{s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:12:\"blog_default\";s:6:\"fields\";a:7:{s:4:\"path\";a:25:{s:2:\"id\";s:4:\"path\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"absolute\";b:0;s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:11:\"entity_link\";s:18:\"output_url_as_text\";b:1;}s:11:\"field_image\";a:35:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:17:\"node__field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:13:\"image_370_350\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:5:\"title\";a:37:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:9:\"plugin_id\";s:5:\"field\";}s:7:\"created\";a:37:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:6:\"custom\";s:18:\"custom_date_format\";s:3:\"M d\";s:8:\"timezone\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:5:\"field\";}s:4:\"body\";a:35:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:10:\"node__body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:200;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:1;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:9:\"view_node\";a:26:{s:2:\"id\";s:9:\"view_node\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:1;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"text\";s:9:\"Read more\";s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:11:\"entity_link\";s:18:\"output_url_as_text\";b:0;s:8:\"absolute\";b:0;}s:7:\"nothing\";a:22:{s:2:\"id\";s:7:\"nothing\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"nothing\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:96:\"<div class=\"views-field wp-views-field-view-node\">\n  <a href=\"{{ path }}\">Read more</a> 	\n</div>\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:0;s:9:\"plugin_id\";s:6:\"custom\";}}s:8:\"defaults\";a:3:{s:6:\"fields\";b:0;s:5:\"pager\";b:0;s:5:\"title\";b:0;}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:14:\"items_per_page\";i:5;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";N;s:4:\"tags\";a:4:{s:8:\"previous\";s:6:\"‹‹\";s:4:\"next\";s:6:\"››\";s:5:\"first\";s:8:\"« First\";s:4:\"last\";s:7:\"Last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:8:\"quantity\";i:9;}}s:19:\"display_description\";s:0:\"\";s:5:\"title\";s:12:\"Blog default\";}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:14:\"url.query_args\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:2:{i:0;s:30:\"config:field.storage.node.body\";i:1;s:37:\"config:field.storage.node.field_image\";}}}}}',-1,1636011226.085,1,'','0'),('views.view.comment','a:12:{s:4:\"uuid\";s:36:\"091dbd98-dd78-4296-ab15-0a431e23e244\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:7:\"comment\";i:1;s:4:\"user\";}}s:2:\"id\";s:7:\"comment\";s:5:\"label\";s:8:\"Comments\";s:6:\"module\";s:7:\"comment\";s:11:\"description\";s:25:\"Find and manage comments.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:18:\"comment_field_data\";s:10:\"base_field\";s:3:\"cid\";s:7:\"display\";a:3:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:26:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:19:\"administer comments\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:14:\"items_per_page\";i:50;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";N;s:4:\"tags\";a:4:{s:8:\"previous\";s:12:\"‹ previous\";s:4:\"next\";s:8:\"next ›\";s:5:\"first\";s:8:\"« first\";s:4:\"last\";s:7:\"last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:8:\"quantity\";i:9;}}s:5:\"style\";a:2:{s:4:\"type\";s:5:\"table\";s:7:\"options\";a:12:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:8:\"override\";b:1;s:6:\"sticky\";b:1;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";s:11:\"description\";s:0:\"\";s:7:\"columns\";a:6:{s:17:\"comment_bulk_form\";s:17:\"comment_bulk_form\";s:7:\"subject\";s:7:\"subject\";s:3:\"uid\";s:3:\"uid\";s:9:\"entity_id\";s:9:\"entity_id\";s:7:\"changed\";s:7:\"changed\";s:10:\"operations\";s:10:\"operations\";}s:4:\"info\";a:6:{s:17:\"comment_bulk_form\";a:4:{s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:7:\"subject\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:3:\"uid\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:9:\"entity_id\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:7:\"changed\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:10:\"operations\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}}s:7:\"default\";s:7:\"changed\";s:11:\"empty_table\";b:1;}}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:6:\"fields\";a:8:{s:17:\"comment_bulk_form\";a:26:{s:2:\"id\";s:17:\"comment_bulk_form\";s:5:\"table\";s:7:\"comment\";s:5:\"field\";s:17:\"comment_bulk_form\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:12:\"action_title\";s:6:\"Action\";s:15:\"include_exclude\";s:7:\"include\";s:16:\"selected_actions\";a:2:{i:0;s:21:\"comment_delete_action\";i:1;s:24:\"comment_unpublish_action\";}s:9:\"plugin_id\";s:17:\"comment_bulk_form\";s:11:\"entity_type\";s:7:\"comment\";}s:7:\"subject\";a:37:{s:2:\"id\";s:7:\"subject\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"subject\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:7:\"Subject\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:17:\"comment_permalink\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"subject\";s:9:\"plugin_id\";s:5:\"field\";}s:3:\"uid\";a:37:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:3:\"uid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:22:\"entity_reference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:1;}s:12:\"group_column\";s:9:\"target_id\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:3:\"uid\";s:9:\"plugin_id\";s:5:\"field\";}s:4:\"name\";a:37:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:6:\"Author\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:9:\"{{ uid }}\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:16:\"comment_username\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:5:\"field\";}s:9:\"entity_id\";a:37:{s:2:\"id\";s:9:\"entity_id\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:9:\"entity_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:9:\"Posted in\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:22:\"entity_reference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:1;}s:12:\"group_column\";s:9:\"target_id\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:9:\"entity_id\";s:9:\"plugin_id\";s:16:\"commented_entity\";}s:7:\"changed\";a:37:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"changed\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:7:\"Updated\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:5:\"short\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"changed\";s:9:\"plugin_id\";s:5:\"field\";}s:10:\"operations\";a:24:{s:2:\"id\";s:10:\"operations\";s:5:\"table\";s:7:\"comment\";s:5:\"field\";s:10:\"operations\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:10:\"Operations\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"destination\";b:1;s:11:\"entity_type\";s:7:\"comment\";s:9:\"plugin_id\";s:17:\"entity_operations\";}s:6:\"name_1\";a:37:{s:2:\"id\";s:6:\"name_1\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:3:\"uid\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"user_name\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:5:\"field\";}}s:7:\"filters\";a:4:{s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";}s:7:\"subject\";a:16:{s:2:\"id\";s:7:\"subject\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"subject\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:8:\"contains\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:10:\"subject_op\";s:5:\"label\";s:7:\"Subject\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:10:\"subject_op\";s:10:\"identifier\";s:7:\"subject\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"subject\";s:9:\"plugin_id\";s:6:\"string\";}s:7:\"combine\";a:15:{s:2:\"id\";s:7:\"combine\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"combine\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:8:\"contains\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:10:\"combine_op\";s:5:\"label\";s:11:\"Author name\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:10:\"combine_op\";s:10:\"identifier\";s:11:\"author_name\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:6:\"fields\";a:2:{s:4:\"name\";s:4:\"name\";s:6:\"name_1\";s:6:\"name_1\";}s:9:\"plugin_id\";s:7:\"combine\";}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:11:\"langcode_op\";s:5:\"label\";s:8:\"Language\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:11:\"langcode_op\";s:10:\"identifier\";s:8:\"langcode\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";}}s:5:\"sorts\";a:1:{s:7:\"changed\";a:13:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"changed\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"order\";s:4:\"DESC\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"changed\";s:9:\"plugin_id\";s:4:\"date\";}}s:5:\"title\";s:8:\"Comments\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:1:{s:16:\"area_text_custom\";a:10:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:1;s:8:\"tokenize\";b:0;s:7:\"content\";s:22:\"No comments available.\";s:9:\"plugin_id\";s:11:\"text_custom\";}}s:9:\"arguments\";a:0:{}s:17:\"display_extenders\";a:0:{}s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"group_by\";b:0;s:9:\"css_class\";s:0:\"\";s:13:\"relationships\";a:1:{s:3:\"uid\";a:10:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:3:\"uid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:6:\"author\";s:8:\"required\";b:0;s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:3:\"uid\";s:9:\"plugin_id\";s:8:\"standard\";}}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}}s:14:\"cache_metadata\";a:4:{s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:9:\"cacheable\";b:0;s:7:\"max-age\";i:0;s:4:\"tags\";a:0:{}}}s:14:\"page_published\";a:6:{s:14:\"display_plugin\";s:4:\"page\";s:2:\"id\";s:14:\"page_published\";s:13:\"display_title\";s:18:\"Published comments\";s:8:\"position\";i:1;s:15:\"display_options\";a:6:{s:4:\"path\";s:21:\"admin/content/comment\";s:4:\"menu\";a:7:{s:4:\"type\";s:3:\"tab\";s:5:\"title\";s:8:\"Comments\";s:11:\"description\";s:18:\"Comments published\";s:6:\"parent\";s:0:\"\";s:6:\"weight\";i:0;s:7:\"context\";s:1:\"0\";s:9:\"menu_name\";s:5:\"admin\";}s:19:\"display_description\";s:30:\"The approved comments listing.\";s:17:\"display_extenders\";a:0:{}s:13:\"exposed_block\";b:0;s:15:\"display_comment\";s:0:\"\";}s:14:\"cache_metadata\";a:4:{s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:9:\"cacheable\";b:0;s:7:\"max-age\";i:0;s:4:\"tags\";a:0:{}}}s:15:\"page_unapproved\";a:6:{s:14:\"display_plugin\";s:4:\"page\";s:2:\"id\";s:15:\"page_unapproved\";s:13:\"display_title\";s:19:\"Unapproved comments\";s:8:\"position\";i:2;s:15:\"display_options\";a:8:{s:4:\"path\";s:30:\"admin/content/comment/approval\";s:4:\"menu\";a:7:{s:4:\"type\";s:3:\"tab\";s:5:\"title\";s:19:\"Unapproved comments\";s:11:\"description\";s:19:\"Comments unapproved\";s:6:\"parent\";s:0:\"\";s:6:\"weight\";i:1;s:7:\"context\";s:1:\"0\";s:9:\"menu_name\";s:5:\"admin\";}s:19:\"display_description\";s:32:\"The unapproved comments listing.\";s:7:\"filters\";a:4:{s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"0\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";}s:7:\"subject\";a:16:{s:2:\"id\";s:7:\"subject\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"subject\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:8:\"contains\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:10:\"subject_op\";s:5:\"label\";s:7:\"Subject\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:10:\"subject_op\";s:10:\"identifier\";s:7:\"subject\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"subject\";s:9:\"plugin_id\";s:6:\"string\";}s:7:\"combine\";a:15:{s:2:\"id\";s:7:\"combine\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"combine\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:8:\"contains\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:10:\"combine_op\";s:5:\"label\";s:11:\"Author Name\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:10:\"combine_op\";s:10:\"identifier\";s:11:\"author_name\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:6:\"fields\";a:2:{s:4:\"name\";s:4:\"name\";s:6:\"name_1\";s:6:\"name_1\";}s:9:\"plugin_id\";s:7:\"combine\";}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:11:\"langcode_op\";s:5:\"label\";s:8:\"Language\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:11:\"langcode_op\";s:10:\"identifier\";s:8:\"langcode\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";}}s:8:\"defaults\";a:3:{s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;s:6:\"fields\";b:0;}s:17:\"display_extenders\";a:0:{}s:6:\"fields\";a:8:{s:17:\"comment_bulk_form\";a:26:{s:2:\"id\";s:17:\"comment_bulk_form\";s:5:\"table\";s:7:\"comment\";s:5:\"field\";s:17:\"comment_bulk_form\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:12:\"action_title\";s:6:\"Action\";s:15:\"include_exclude\";s:7:\"include\";s:16:\"selected_actions\";a:2:{i:0;s:21:\"comment_delete_action\";i:1;s:22:\"comment_publish_action\";}s:9:\"plugin_id\";s:17:\"comment_bulk_form\";s:11:\"entity_type\";s:7:\"comment\";}s:7:\"subject\";a:37:{s:2:\"id\";s:7:\"subject\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"subject\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:7:\"Subject\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:17:\"comment_permalink\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"subject\";s:9:\"plugin_id\";s:5:\"field\";}s:3:\"uid\";a:37:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:3:\"uid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:22:\"entity_reference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:1;}s:12:\"group_column\";s:9:\"target_id\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:3:\"uid\";s:9:\"plugin_id\";s:5:\"field\";}s:4:\"name\";a:37:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:6:\"Author\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:9:\"{{ uid }}\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:16:\"comment_username\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:5:\"field\";}s:9:\"entity_id\";a:37:{s:2:\"id\";s:9:\"entity_id\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:9:\"entity_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:9:\"Posted in\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:22:\"entity_reference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:1;}s:12:\"group_column\";s:9:\"target_id\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:9:\"entity_id\";s:9:\"plugin_id\";s:16:\"commented_entity\";}s:7:\"changed\";a:37:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"changed\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:7:\"Updated\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:5:\"short\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"changed\";s:9:\"plugin_id\";s:5:\"field\";}s:10:\"operations\";a:24:{s:2:\"id\";s:10:\"operations\";s:5:\"table\";s:7:\"comment\";s:5:\"field\";s:10:\"operations\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:10:\"Operations\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"destination\";b:1;s:11:\"entity_type\";s:7:\"comment\";s:9:\"plugin_id\";s:17:\"entity_operations\";}s:6:\"name_1\";a:37:{s:2:\"id\";s:6:\"name_1\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:3:\"uid\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"user_name\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:5:\"field\";}}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}}s:14:\"cache_metadata\";a:4:{s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:9:\"cacheable\";b:0;s:7:\"max-age\";i:0;s:4:\"tags\";a:0:{}}}}}',-1,1636011226.086,1,'','0'),('views.view.comment_block','a:12:{s:4:\"uuid\";s:36:\"d7f381fe-14db-4772-a3f0-41842a94610c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:20:\"comment.type.comment\";}s:6:\"module\";a:3:{i:0;s:7:\"comment\";i:1;s:4:\"node\";i:2;s:4:\"user\";}}s:2:\"id\";s:13:\"comment_block\";s:5:\"label\";s:13:\"Comment block\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:10:\"base_table\";s:18:\"comment_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:17:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:15:\"access comments\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:5;s:6:\"offset\";i:0;}}s:5:\"style\";a:1:{s:4:\"type\";s:7:\"default\";}s:3:\"row\";a:1:{s:4:\"type\";s:14:\"entity:comment\";}s:13:\"relationships\";a:1:{s:4:\"node\";a:9:{s:2:\"id\";s:4:\"node\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:4:\"node\";s:11:\"entity_type\";s:18:\"comment_field_data\";s:8:\"required\";b:1;s:9:\"plugin_id\";s:8:\"standard\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:7:\"Content\";}}s:6:\"fields\";a:1:{s:7:\"subject\";a:37:{s:2:\"id\";s:7:\"subject\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"subject\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"subject\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";b:0;s:9:\"make_link\";b:0;s:8:\"absolute\";b:0;s:4:\"trim\";b:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:10:\"strip_tags\";b:0;s:4:\"html\";b:0;}s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:9:\"plugin_id\";s:5:\"field\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exclude\";b:0;s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}}s:7:\"filters\";a:3:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:11:\"status_node\";a:10:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:12:\"relationship\";s:4:\"node\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:11:\"status_node\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:12:\"comment_type\";a:8:{s:2:\"id\";s:12:\"comment_type\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:12:\"comment_type\";s:5:\"value\";a:1:{s:7:\"comment\";s:7:\"comment\";}s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:12:\"comment_type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}}s:5:\"sorts\";a:0:{}s:5:\"title\";s:13:\"Comment block\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:9:\"arguments\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:3:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}s:7:\"block_1\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_1\";s:13:\"display_title\";s:5:\"Block\";s:8:\"position\";i:1;s:15:\"display_options\";a:1:{s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:3:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}}}',-1,1636011226.086,1,'','0'),('views.view.comments_recent','a:13:{s:4:\"uuid\";s:36:\"d28d778f-6d2b-4b3d-836a-630e3367c1cf\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:7:\"comment\";i:1;s:4:\"node\";i:2;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"jmfZ73IDUpneecqVXUK3whGzTcvwLBBll9U3ZTCzndo\";}s:2:\"id\";s:15:\"comments_recent\";s:5:\"label\";s:15:\"Recent comments\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:16:\"Recent comments.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:18:\"comment_field_data\";s:10:\"base_field\";s:3:\"cid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:14:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:15:\"access comments\";}}s:5:\"cache\";a:1:{s:4:\"type\";s:3:\"tag\";}s:5:\"query\";a:1:{s:4:\"type\";s:11:\"views_query\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:10;s:6:\"offset\";i:0;}}s:5:\"style\";a:2:{s:4:\"type\";s:9:\"html_list\";s:7:\"options\";a:6:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:4:\"type\";s:2:\"ul\";s:13:\"wrapper_class\";s:9:\"item-list\";s:5:\"class\";s:0:\"\";}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:4:{s:22:\"default_field_elements\";b:1;s:6:\"inline\";a:2:{s:7:\"subject\";s:7:\"subject\";s:7:\"changed\";s:7:\"changed\";}s:9:\"separator\";s:1:\" \";s:10:\"hide_empty\";b:0;}}s:13:\"relationships\";a:1:{s:4:\"node\";a:5:{s:5:\"field\";s:4:\"node\";s:2:\"id\";s:4:\"node\";s:5:\"table\";s:18:\"comment_field_data\";s:8:\"required\";b:1;s:9:\"plugin_id\";s:8:\"standard\";}}s:6:\"fields\";a:2:{s:7:\"subject\";a:26:{s:2:\"id\";s:7:\"subject\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"subject\";s:12:\"relationship\";s:4:\"none\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:9:\"plugin_id\";s:5:\"field\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"subject\";}s:7:\"changed\";a:26:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"changed\";s:12:\"relationship\";s:4:\"none\";s:9:\"plugin_id\";s:5:\"field\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:13:\"timestamp_ago\";s:8:\"settings\";a:3:{s:13:\"future_format\";s:15:\"@interval hence\";s:11:\"past_format\";s:13:\"@interval ago\";s:11:\"granularity\";i:2;}s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"changed\";}}s:7:\"filters\";a:2:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:6:\"status\";}s:11:\"status_node\";a:10:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"node\";s:2:\"id\";s:11:\"status_node\";s:9:\"plugin_id\";s:7:\"boolean\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";}}s:5:\"sorts\";a:2:{s:7:\"created\";a:12:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"order\";s:4:\"DESC\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:9:\"plugin_id\";s:4:\"date\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"created\";}s:3:\"cid\";a:11:{s:2:\"id\";s:3:\"cid\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:3:\"cid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"order\";s:4:\"DESC\";s:7:\"exposed\";b:0;s:9:\"plugin_id\";s:5:\"field\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:3:\"cid\";}}s:5:\"title\";s:15:\"Recent comments\";s:5:\"empty\";a:1:{s:16:\"area_text_custom\";a:11:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:5:\"empty\";b:1;s:7:\"content\";s:22:\"No comments available.\";s:8:\"tokenize\";b:0;s:9:\"plugin_id\";s:11:\"text_custom\";}}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:3:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}s:7:\"block_1\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_1\";s:13:\"display_title\";s:5:\"Block\";s:8:\"position\";i:1;s:15:\"display_options\";a:4:{s:17:\"block_description\";s:15:\"Recent comments\";s:14:\"block_category\";s:13:\"Lists (Views)\";s:5:\"allow\";a:1:{s:14:\"items_per_page\";b:1;}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:3:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}}}',-1,1636011226.086,1,'','0'),('views.view.content','a:13:{s:4:\"uuid\";s:36:\"50eda1e2-2616-4d12-afd2-6d04dedf7d15\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"YIwhIF9MSP1E_HMam6MrYeti_UqMXQiLDMjDsPFKK8s\";}s:2:\"id\";s:7:\"content\";s:5:\"label\";s:7:\"Content\";s:6:\"module\";s:4:\"node\";s:11:\"description\";s:24:\"Find and manage content.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:15:\"display_options\";a:17:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:23:\"access content overview\";}}s:5:\"cache\";a:1:{s:4:\"type\";s:3:\"tag\";}s:5:\"query\";a:1:{s:4:\"type\";s:11:\"views_query\";}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:6:\"Filter\";s:12:\"reset_button\";b:1;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:50;s:4:\"tags\";a:4:{s:8:\"previous\";s:12:\"‹ Previous\";s:4:\"next\";s:8:\"Next ›\";s:5:\"first\";s:8:\"« First\";s:4:\"last\";s:7:\"Last »\";}}}s:5:\"style\";a:2:{s:4:\"type\";s:5:\"table\";s:7:\"options\";a:12:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:8:\"override\";b:1;s:6:\"sticky\";b:1;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";s:11:\"description\";s:0:\"\";s:7:\"columns\";a:10:{s:14:\"node_bulk_form\";s:14:\"node_bulk_form\";s:5:\"title\";s:5:\"title\";s:4:\"type\";s:4:\"type\";s:4:\"name\";s:4:\"name\";s:6:\"status\";s:6:\"status\";s:7:\"changed\";s:7:\"changed\";s:9:\"edit_node\";s:9:\"edit_node\";s:11:\"delete_node\";s:11:\"delete_node\";s:10:\"dropbutton\";s:10:\"dropbutton\";s:9:\"timestamp\";s:5:\"title\";}s:4:\"info\";a:10:{s:14:\"node_bulk_form\";a:4:{s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:5:\"title\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:4:\"type\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:4:\"name\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:6:\"status\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:7:\"changed\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:9:\"edit_node\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:11:\"delete_node\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:10:\"dropbutton\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:9:\"timestamp\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}}s:7:\"default\";s:7:\"changed\";s:11:\"empty_table\";b:1;}}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:6:\"fields\";a:8:{s:14:\"node_bulk_form\";a:14:{s:2:\"id\";s:14:\"node_bulk_form\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:14:\"node_bulk_form\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:1:{s:10:\"alter_text\";b:0;}s:13:\"element_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:9:\"plugin_id\";s:14:\"node_bulk_form\";s:11:\"entity_type\";s:4:\"node\";}s:5:\"title\";a:17:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:5:\"Title\";s:7:\"exclude\";b:0;s:5:\"alter\";a:1:{s:10:\"alter_text\";b:0;}s:13:\"element_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:9:\"plugin_id\";s:5:\"field\";}s:4:\"type\";a:37:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:12:\"Content type\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:22:\"entity_reference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:0;}s:12:\"group_column\";s:9:\"target_id\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:5:\"field\";}s:4:\"name\";a:17:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:3:\"uid\";s:5:\"label\";s:6:\"Author\";s:7:\"exclude\";b:0;s:5:\"alter\";a:1:{s:10:\"alter_text\";b:0;}s:13:\"element_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:9:\"plugin_id\";s:5:\"field\";s:4:\"type\";s:9:\"user_name\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"name\";}s:6:\"status\";a:17:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:5:\"label\";s:6:\"Status\";s:7:\"exclude\";b:0;s:5:\"alter\";a:1:{s:10:\"alter_text\";b:0;}s:13:\"element_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:7:\"boolean\";s:8:\"settings\";a:3:{s:6:\"format\";s:6:\"custom\";s:18:\"format_custom_true\";s:9:\"Published\";s:19:\"format_custom_false\";s:11:\"Unpublished\";}s:9:\"plugin_id\";s:5:\"field\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";}s:7:\"changed\";a:17:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"changed\";s:5:\"label\";s:7:\"Updated\";s:7:\"exclude\";b:0;s:5:\"alter\";a:1:{s:10:\"alter_text\";b:0;}s:13:\"element_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:5:\"short\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";}s:9:\"plugin_id\";s:5:\"field\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"changed\";}s:10:\"operations\";a:23:{s:2:\"id\";s:10:\"operations\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:10:\"operations\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:10:\"Operations\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"destination\";b:1;s:9:\"plugin_id\";s:17:\"entity_operations\";}s:8:\"langcode\";a:37:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:8:\"Language\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:8:\"language\";s:8:\"settings\";a:2:{s:14:\"link_to_entity\";b:0;s:15:\"native_language\";b:0;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:5:\"field\";}}s:7:\"filters\";a:6:{s:12:\"status_extra\";a:9:{s:2:\"id\";s:12:\"status_extra\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:12:\"status_extra\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";b:0;s:9:\"plugin_id\";s:11:\"node_status\";s:5:\"group\";i:1;s:11:\"entity_type\";s:4:\"node\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:6:\"Status\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:9:\"status_op\";s:10:\"identifier\";s:6:\"status\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:1;s:10:\"group_info\";a:10:{s:5:\"label\";s:16:\"Published status\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:6:\"status\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:2:{i:1;a:3:{s:5:\"title\";s:9:\"Published\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";}i:2;a:3:{s:5:\"title\";s:11:\"Unpublished\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"0\";}}}s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";}s:4:\"type\";a:16:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:7:\"type_op\";s:5:\"label\";s:12:\"Content type\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:7:\"type_op\";s:10:\"identifier\";s:4:\"type\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:6:\"bundle\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";}s:5:\"title\";a:16:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:8:\"contains\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:8:\"title_op\";s:5:\"label\";s:5:\"Title\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:8:\"title_op\";s:10:\"identifier\";s:5:\"title\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:6:\"string\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:11:\"langcode_op\";s:5:\"label\";s:8:\"Language\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:11:\"langcode_op\";s:10:\"identifier\";s:8:\"langcode\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:8:\"language\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:8:\"langcode\";}s:10:\"langcode_1\";a:16:{s:2:\"id\";s:10:\"langcode_1\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:3:\"uid\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:33:\"***LANGUAGE_language_interface***\";s:33:\"***LANGUAGE_language_interface***\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";}}s:5:\"sorts\";a:0:{}s:5:\"title\";s:7:\"Content\";s:5:\"empty\";a:1:{s:16:\"area_text_custom\";a:6:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:5:\"empty\";b:1;s:7:\"content\";s:21:\"No content available.\";s:9:\"plugin_id\";s:11:\"text_custom\";}}s:9:\"arguments\";a:0:{}s:13:\"relationships\";a:1:{s:3:\"uid\";a:6:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:3:\"uid\";s:11:\"admin_label\";s:6:\"author\";s:8:\"required\";b:1;s:9:\"plugin_id\";s:8:\"standard\";}}s:16:\"show_admin_links\";b:0;s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:17:\"display_extenders\";a:0:{}}s:14:\"display_plugin\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:2:\"id\";s:7:\"default\";s:8:\"position\";i:0;s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:7:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:4:\"user\";i:5;s:21:\"user.node_grants:view\";i:6;s:16:\"user.permissions\";}s:7:\"max-age\";i:0;s:4:\"tags\";a:0:{}}}s:6:\"page_1\";a:6:{s:15:\"display_options\";a:4:{s:4:\"path\";s:18:\"admin/content/node\";s:4:\"menu\";a:6:{s:4:\"type\";s:11:\"default tab\";s:5:\"title\";s:7:\"Content\";s:11:\"description\";s:0:\"\";s:9:\"menu_name\";s:5:\"admin\";s:6:\"weight\";i:-10;s:7:\"context\";s:0:\"\";}s:11:\"tab_options\";a:5:{s:4:\"type\";s:6:\"normal\";s:5:\"title\";s:7:\"Content\";s:11:\"description\";s:23:\"Find and manage content\";s:9:\"menu_name\";s:5:\"admin\";s:6:\"weight\";i:-10;}s:17:\"display_extenders\";a:0:{}}s:14:\"display_plugin\";s:4:\"page\";s:13:\"display_title\";s:4:\"Page\";s:2:\"id\";s:6:\"page_1\";s:8:\"position\";i:1;s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:7:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:4:\"user\";i:5;s:21:\"user.node_grants:view\";i:6;s:16:\"user.permissions\";}s:7:\"max-age\";i:0;s:4:\"tags\";a:0:{}}}}}',-1,1636011226.086,1,'','0'),('views.view.content_recent','a:13:{s:4:\"uuid\";s:36:\"87985971-f189-42cc-ba4e-6a4ad23d4c3c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"tDcmzGfShE0XJbfwJzyA6lJTUYC6X4iVu887dgoFfDg\";}s:2:\"id\";s:14:\"content_recent\";s:5:\"label\";s:14:\"Recent content\";s:6:\"module\";s:4:\"node\";s:11:\"description\";s:15:\"Recent content.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:22:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:10;s:6:\"offset\";i:0;}}s:5:\"style\";a:2:{s:4:\"type\";s:9:\"html_list\";s:7:\"options\";a:6:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:4:\"type\";s:2:\"ul\";s:13:\"wrapper_class\";s:9:\"item-list\";s:5:\"class\";s:0:\"\";}}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:6:\"fields\";a:2:{s:5:\"title\";a:26:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:8:{s:10:\"alter_text\";b:0;s:9:\"make_link\";b:0;s:8:\"absolute\";b:0;s:4:\"trim\";b:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:10:\"strip_tags\";b:0;s:4:\"html\";b:0;}s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:9:\"plugin_id\";s:5:\"field\";}s:7:\"changed\";a:37:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"changed\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:13:\"timestamp_ago\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"changed\";s:9:\"plugin_id\";s:5:\"field\";}}s:7:\"filters\";a:2:{s:12:\"status_extra\";a:15:{s:2:\"id\";s:12:\"status_extra\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:12:\"status_extra\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";b:0;s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:11:\"node_status\";}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:31:\"***LANGUAGE_language_content***\";s:31:\"***LANGUAGE_language_content***\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";}}s:5:\"sorts\";a:1:{s:7:\"changed\";a:13:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"changed\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"order\";s:4:\"DESC\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"changed\";s:9:\"plugin_id\";s:4:\"date\";}}s:5:\"title\";s:14:\"Recent content\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:1:{s:16:\"area_text_custom\";a:10:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:1;s:8:\"tokenize\";b:0;s:7:\"content\";s:21:\"No content available.\";s:9:\"plugin_id\";s:11:\"text_custom\";}}s:13:\"relationships\";a:1:{s:3:\"uid\";a:10:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:3:\"uid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:6:\"author\";s:8:\"required\";b:1;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:3:\"uid\";s:9:\"plugin_id\";s:8:\"standard\";}}s:9:\"arguments\";a:0:{}s:17:\"display_extenders\";a:0:{}s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:0;s:13:\"use_more_text\";s:4:\"More\";s:8:\"link_url\";s:0:\"\";s:12:\"link_display\";s:1:\"0\";}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:4:\"user\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}s:7:\"block_1\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_1\";s:13:\"display_title\";s:5:\"Block\";s:8:\"position\";i:1;s:15:\"display_options\";a:1:{s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:4:\"user\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}}}',-1,1636011226.086,1,'','0'),('views.view.files','a:13:{s:4:\"uuid\";s:36:\"d546fe82-e0d3-4b56-99b5-7523c3b5a73f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"file\";i:1;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"rRWxAX-IQkJ5viACQRovRkC784EyCl9493GU_G23n2Q\";}s:2:\"id\";s:5:\"files\";s:5:\"label\";s:5:\"Files\";s:6:\"module\";s:4:\"file\";s:11:\"description\";s:22:\"Find and manage files.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:12:\"file_managed\";s:10:\"base_field\";s:3:\"fid\";s:7:\"display\";a:3:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:19:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:21:\"access files overview\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:6:\"Filter\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:6:{s:14:\"items_per_page\";i:50;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";i:0;s:4:\"tags\";a:2:{s:8:\"previous\";s:12:\"‹ Previous\";s:4:\"next\";s:8:\"Next ›\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}}}s:5:\"style\";a:2:{s:4:\"type\";s:5:\"table\";s:7:\"options\";a:12:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:8:\"override\";b:1;s:6:\"sticky\";b:0;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";s:11:\"description\";s:0:\"\";s:7:\"columns\";a:8:{s:3:\"fid\";s:3:\"fid\";s:8:\"filename\";s:8:\"filename\";s:8:\"filemime\";s:8:\"filemime\";s:8:\"filesize\";s:8:\"filesize\";s:6:\"status\";s:6:\"status\";s:7:\"created\";s:7:\"created\";s:7:\"changed\";s:7:\"changed\";s:5:\"count\";s:5:\"count\";}s:4:\"info\";a:8:{s:3:\"fid\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:8:\"filename\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:8:\"filemime\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:15:\"priority-medium\";}s:8:\"filesize\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:6:\"status\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:7:\"created\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:7:\"changed\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:5:\"count\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:15:\"priority-medium\";}}s:7:\"default\";s:7:\"changed\";s:11:\"empty_table\";b:1;}}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:6:\"fields\";a:8:{s:3:\"fid\";a:24:{s:2:\"id\";s:3:\"fid\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:3:\"fid\";s:5:\"alter\";a:8:{s:10:\"alter_text\";b:0;s:9:\"make_link\";b:0;s:8:\"absolute\";b:0;s:4:\"trim\";b:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:10:\"strip_tags\";b:0;s:4:\"html\";b:0;}s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:3:\"Fid\";s:7:\"exclude\";b:1;s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:16:\"hide_alter_empty\";b:1;s:9:\"plugin_id\";s:5:\"field\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:3:\"fid\";}s:8:\"filename\";a:36:{s:2:\"id\";s:8:\"filename\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:8:\"filename\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:4:\"Name\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"file_link\";s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:8:\"filename\";}s:8:\"filemime\";a:25:{s:2:\"id\";s:8:\"filemime\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:8:\"filemime\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:9:\"MIME type\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:13:\"file_filemime\";s:9:\"plugin_id\";s:5:\"field\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:8:\"filemime\";}s:8:\"filesize\";a:25:{s:2:\"id\";s:8:\"filesize\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:8:\"filesize\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:4:\"Size\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:9:\"file_size\";s:9:\"plugin_id\";s:5:\"field\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:8:\"filesize\";}s:6:\"status\";a:26:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:6:\"Status\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:7:\"boolean\";s:8:\"settings\";a:3:{s:6:\"format\";s:6:\"custom\";s:19:\"format_custom_false\";s:9:\"Temporary\";s:18:\"format_custom_true\";s:9:\"Permanent\";}s:9:\"plugin_id\";s:5:\"field\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:6:\"status\";}s:7:\"created\";a:26:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:11:\"Upload date\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:6:\"medium\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";}s:9:\"plugin_id\";s:5:\"field\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:7:\"created\";}s:7:\"changed\";a:26:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:7:\"changed\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:12:\"Changed date\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:6:\"medium\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";}s:9:\"plugin_id\";s:5:\"field\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:7:\"changed\";}s:5:\"count\";a:30:{s:2:\"id\";s:5:\"count\";s:5:\"table\";s:10:\"file_usage\";s:5:\"field\";s:5:\"count\";s:12:\"relationship\";s:3:\"fid\";s:10:\"group_type\";s:3:\"sum\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:7:\"Used in\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:1;s:4:\"path\";s:35:\"admin/content/files/usage/{{ fid }}\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:13:\"set_precision\";b:0;s:9:\"precision\";i:0;s:7:\"decimal\";s:1:\".\";s:9:\"separator\";s:1:\",\";s:13:\"format_plural\";b:1;s:20:\"format_plural_string\";s:21:\"1 place@count places\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:9:\"plugin_id\";s:7:\"numeric\";}}s:7:\"filters\";a:3:{s:8:\"filename\";a:16:{s:2:\"id\";s:8:\"filename\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:8:\"filename\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:4:\"word\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:11:\"filemime_op\";s:5:\"label\";s:8:\"Filename\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:11:\"filename_op\";s:10:\"identifier\";s:8:\"filename\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:6:\"string\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:8:\"filename\";}s:8:\"filemime\";a:16:{s:2:\"id\";s:8:\"filemime\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:8:\"filemime\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:4:\"word\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:11:\"filemime_op\";s:5:\"label\";s:9:\"MIME type\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:11:\"filemime_op\";s:10:\"identifier\";s:8:\"filemime\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:6:\"string\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:8:\"filemime\";}s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:9:\"status_op\";s:5:\"label\";s:6:\"Status\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:9:\"status_op\";s:10:\"identifier\";s:6:\"status\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:11:\"file_status\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:6:\"status\";}}s:5:\"sorts\";a:0:{}s:5:\"title\";s:5:\"Files\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:1:{s:16:\"area_text_custom\";a:6:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:5:\"empty\";b:1;s:7:\"content\";s:19:\"No files available.\";s:9:\"plugin_id\";s:11:\"text_custom\";}}s:13:\"relationships\";a:1:{s:3:\"fid\";a:7:{s:2:\"id\";s:3:\"fid\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:3:\"fid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:10:\"File usage\";s:8:\"required\";b:1;}}s:9:\"arguments\";a:0:{}s:8:\"group_by\";b:1;s:16:\"show_admin_links\";b:1;s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}s:6:\"page_1\";a:6:{s:14:\"display_plugin\";s:4:\"page\";s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:14:\"Files overview\";s:8:\"position\";i:1;s:15:\"display_options\";a:6:{s:4:\"path\";s:19:\"admin/content/files\";s:4:\"menu\";a:6:{s:4:\"type\";s:3:\"tab\";s:5:\"title\";s:5:\"Files\";s:11:\"description\";s:0:\"\";s:9:\"menu_name\";s:5:\"admin\";s:6:\"weight\";i:0;s:7:\"context\";s:0:\"\";}s:19:\"display_description\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"pager\";b:1;s:13:\"relationships\";b:0;}s:13:\"relationships\";a:1:{s:3:\"fid\";a:7:{s:2:\"id\";s:3:\"fid\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:3:\"fid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:10:\"File usage\";s:8:\"required\";b:0;}}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}s:6:\"page_2\";a:6:{s:14:\"display_plugin\";s:4:\"page\";s:2:\"id\";s:6:\"page_2\";s:13:\"display_title\";s:10:\"File usage\";s:8:\"position\";i:2;s:15:\"display_options\";a:15:{s:19:\"display_description\";s:0:\"\";s:4:\"path\";s:27:\"admin/content/files/usage/%\";s:5:\"empty\";a:0:{}s:8:\"defaults\";a:11:{s:5:\"empty\";b:0;s:5:\"pager\";b:0;s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;s:6:\"fields\";b:0;s:8:\"group_by\";b:0;s:5:\"title\";b:0;s:9:\"arguments\";b:0;s:5:\"style\";b:0;s:3:\"row\";b:0;s:13:\"relationships\";b:0;}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:6:{s:14:\"items_per_page\";i:10;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";i:0;s:4:\"tags\";a:2:{s:8:\"previous\";s:12:\"‹ Previous\";s:4:\"next\";s:8:\"Next ›\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}}}s:7:\"filters\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:0:{}}s:6:\"fields\";a:4:{s:12:\"entity_label\";a:23:{s:2:\"id\";s:12:\"entity_label\";s:5:\"table\";s:10:\"file_usage\";s:5:\"field\";s:12:\"entity_label\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:6:\"Entity\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:14:\"link_to_entity\";b:1;s:9:\"plugin_id\";s:12:\"entity_label\";}s:4:\"type\";a:22:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:10:\"file_usage\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:11:\"Entity type\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:9:\"plugin_id\";s:8:\"standard\";}s:6:\"module\";a:22:{s:2:\"id\";s:6:\"module\";s:5:\"table\";s:10:\"file_usage\";s:5:\"field\";s:6:\"module\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:18:\"Registering module\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:9:\"plugin_id\";s:8:\"standard\";}s:5:\"count\";a:30:{s:2:\"id\";s:5:\"count\";s:5:\"table\";s:10:\"file_usage\";s:5:\"field\";s:5:\"count\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:9:\"Use count\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:13:\"set_precision\";b:0;s:9:\"precision\";i:0;s:7:\"decimal\";s:1:\".\";s:9:\"separator\";s:1:\",\";s:13:\"format_plural\";b:0;s:20:\"format_plural_string\";s:8:\"1@count\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:9:\"plugin_id\";s:7:\"numeric\";}}s:8:\"group_by\";b:0;s:5:\"title\";s:10:\"File usage\";s:9:\"arguments\";a:1:{s:3:\"fid\";a:23:{s:2:\"id\";s:3:\"fid\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:3:\"fid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:14:\"default_action\";s:9:\"not found\";s:9:\"exception\";a:3:{s:5:\"value\";s:3:\"all\";s:12:\"title_enable\";b:0;s:5:\"title\";s:3:\"All\";}s:12:\"title_enable\";b:1;s:5:\"title\";s:46:\"File usage information for {{ arguments.fid }}\";s:21:\"default_argument_type\";s:5:\"fixed\";s:24:\"default_argument_options\";a:1:{s:8:\"argument\";s:0:\"\";}s:25:\"default_argument_skip_url\";b:0;s:15:\"summary_options\";a:4:{s:9:\"base_path\";s:0:\"\";s:5:\"count\";b:1;s:14:\"items_per_page\";i:25;s:8:\"override\";b:0;}s:7:\"summary\";a:3:{s:10:\"sort_order\";s:3:\"asc\";s:17:\"number_of_records\";i:0;s:6:\"format\";s:15:\"default_summary\";}s:18:\"specify_validation\";b:0;s:8:\"validate\";a:2:{s:4:\"type\";s:4:\"none\";s:4:\"fail\";s:9:\"not found\";}s:16:\"validate_options\";a:0:{}s:12:\"break_phrase\";b:0;s:3:\"not\";b:0;s:9:\"plugin_id\";s:8:\"file_fid\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:3:\"fid\";}}s:5:\"style\";a:2:{s:4:\"type\";s:5:\"table\";s:7:\"options\";a:12:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:8:\"override\";b:1;s:6:\"sticky\";b:0;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";s:11:\"description\";s:0:\"\";s:7:\"columns\";a:4:{s:12:\"entity_label\";s:12:\"entity_label\";s:4:\"type\";s:4:\"type\";s:6:\"module\";s:6:\"module\";s:5:\"count\";s:5:\"count\";}s:4:\"info\";a:4:{s:12:\"entity_label\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:4:\"type\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:15:\"priority-medium\";}s:6:\"module\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:5:\"count\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}}s:7:\"default\";s:12:\"entity_label\";s:11:\"empty_table\";b:1;}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"relationships\";a:1:{s:3:\"fid\";a:7:{s:2:\"id\";s:3:\"fid\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:3:\"fid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:10:\"File usage\";s:8:\"required\";b:1;}}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:3:\"url\";i:2;s:14:\"url.query_args\";i:3;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}}}',-1,1636011226.086,1,'','0'),('views.view.frontpage','a:13:{s:4:\"uuid\";s:36:\"0a97407f-cb1e-48d5-833d-0db56ad931c1\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:5:{i:0;s:30:\"core.entity_view_mode.node.rss\";i:1;s:23:\"field.storage.node.body\";i:2;s:35:\"field.storage.node.field_icon_class\";i:3;s:14:\"node.type.blog\";i:4;s:14:\"node.type.page\";}s:6:\"module\";a:3:{i:0;s:4:\"node\";i:1;s:4:\"text\";i:2;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"rwRoOr3DiobxwoWSmtUcna1LQz5_HxHvS7H5dl7_-Uo\";}s:2:\"id\";s:9:\"frontpage\";s:5:\"label\";s:9:\"Frontpage\";s:6:\"module\";s:4:\"node\";s:11:\"description\";s:39:\"All content promoted to the front page.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:4:{s:7:\"default\";a:6:{s:15:\"display_options\";a:18:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"empty\";a:3:{s:16:\"area_text_custom\";a:11:{s:11:\"admin_label\";s:0:\"\";s:7:\"content\";s:43:\"No front page content has been created yet.\";s:5:\"empty\";b:1;s:5:\"field\";s:16:\"area_text_custom\";s:10:\"group_type\";s:5:\"group\";s:2:\"id\";s:16:\"area_text_custom\";s:5:\"label\";s:0:\"\";s:12:\"relationship\";s:4:\"none\";s:5:\"table\";s:5:\"views\";s:8:\"tokenize\";b:0;s:9:\"plugin_id\";s:11:\"text_custom\";}s:18:\"node_listing_empty\";a:10:{s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:1;s:5:\"field\";s:18:\"node_listing_empty\";s:10:\"group_type\";s:5:\"group\";s:2:\"id\";s:18:\"node_listing_empty\";s:5:\"label\";s:0:\"\";s:12:\"relationship\";s:4:\"none\";s:5:\"table\";s:4:\"node\";s:9:\"plugin_id\";s:18:\"node_listing_empty\";s:11:\"entity_type\";s:4:\"node\";}s:5:\"title\";a:10:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:5:\"empty\";b:1;s:5:\"title\";s:22:\"Welcome to [site:name]\";s:9:\"plugin_id\";s:5:\"title\";}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:7:\"filters\";a:3:{s:7:\"promote\";a:16:{s:11:\"admin_label\";s:0:\"\";s:6:\"expose\";a:12:{s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:5:\"label\";s:0:\"\";s:8:\"multiple\";b:0;s:8:\"operator\";s:0:\"\";s:11:\"operator_id\";s:0:\"\";s:8:\"remember\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:8:\"required\";b:0;s:12:\"use_operator\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:7:\"exposed\";b:0;s:5:\"field\";s:7:\"promote\";s:5:\"group\";i:1;s:10:\"group_info\";a:10:{s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"description\";s:0:\"\";s:11:\"group_items\";a:0:{}s:10:\"identifier\";s:0:\"\";s:5:\"label\";s:0:\"\";s:8:\"multiple\";b:0;s:8:\"optional\";b:1;s:8:\"remember\";b:0;s:6:\"widget\";s:6:\"select\";}s:10:\"group_type\";s:5:\"group\";s:2:\"id\";s:7:\"promote\";s:10:\"is_grouped\";b:0;s:8:\"operator\";s:1:\"=\";s:12:\"relationship\";s:4:\"none\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"value\";s:1:\"1\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"promote\";}s:6:\"status\";a:9:{s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"field\";s:6:\"status\";s:5:\"group\";i:1;s:2:\"id\";s:6:\"status\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"value\";s:1:\"1\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";}s:4:\"type\";a:16:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:4:\"page\";s:4:\"page\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:14:\"items_per_page\";i:10;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";i:0;s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:4:\"tags\";a:4:{s:8:\"previous\";s:12:\"‹ Previous\";s:4:\"next\";s:8:\"Next ›\";s:5:\"first\";s:8:\"« First\";s:4:\"last\";s:7:\"Last »\";}s:8:\"quantity\";i:9;}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:4:{s:22:\"default_field_elements\";b:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";b:0;}}s:5:\"sorts\";a:2:{s:6:\"sticky\";a:12:{s:11:\"admin_label\";s:0:\"\";s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:7:\"exposed\";b:0;s:5:\"field\";s:6:\"sticky\";s:10:\"group_type\";s:5:\"group\";s:2:\"id\";s:6:\"sticky\";s:5:\"order\";s:4:\"DESC\";s:12:\"relationship\";s:4:\"none\";s:5:\"table\";s:15:\"node_field_data\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"sticky\";}s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"order\";s:3:\"ASC\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";s:9:\"plugin_id\";s:4:\"date\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:4:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:11:\"uses_fields\";b:0;}}s:5:\"title\";s:0:\"\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:4:{s:16:\"field_icon_class\";a:35:{s:2:\"id\";s:16:\"field_icon_class\";s:5:\"table\";s:22:\"node__field_icon_class\";s:5:\"field\";s:16:\"field_icon_class\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:52:\"<i class=\"nc-icon-glyph {{ field_icon_class }}\"></i>\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:16:\"nc-icon-outline \";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:5:\"title\";a:37:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:9:\"plugin_id\";s:5:\"field\";}s:4:\"body\";a:35:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:10:\"node__body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:200;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:9:\"view_node\";a:26:{s:2:\"id\";s:9:\"view_node\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"text\";s:9:\"Read more\";s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:11:\"entity_link\";s:18:\"output_url_as_text\";b:0;s:8:\"absolute\";b:0;}}s:9:\"arguments\";a:0:{}s:17:\"display_extenders\";a:0:{}s:9:\"css_class\";s:17:\"view-blog-summary\";}s:14:\"display_plugin\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:2:\"id\";s:7:\"default\";s:8:\"position\";i:0;s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:14:\"url.query_args\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:2:{i:0;s:30:\"config:field.storage.node.body\";i:1;s:42:\"config:field.storage.node.field_icon_class\";}}}s:7:\"block_1\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_1\";s:13:\"display_title\";s:5:\"Block\";s:8:\"position\";i:1;s:15:\"display_options\";a:5:{s:17:\"display_extenders\";a:0:{}s:5:\"style\";a:2:{s:4:\"type\";s:4:\"grid\";s:7:\"options\";a:8:{s:8:\"grouping\";a:0:{}s:7:\"columns\";i:3;s:15:\"automatic_width\";b:1;s:9:\"alignment\";s:10:\"horizontal\";s:17:\"col_class_default\";b:1;s:16:\"col_class_custom\";s:0:\"\";s:17:\"row_class_default\";b:1;s:16:\"row_class_custom\";s:0:\"\";}}s:8:\"defaults\";a:3:{s:5:\"style\";b:0;s:3:\"row\";b:0;s:6:\"fields\";b:0;}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:4:{s:22:\"default_field_elements\";b:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";b:0;}}s:6:\"fields\";a:4:{s:16:\"field_icon_class\";a:35:{s:2:\"id\";s:16:\"field_icon_class\";s:5:\"table\";s:22:\"node__field_icon_class\";s:5:\"field\";s:16:\"field_icon_class\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:52:\"<i class=\"nc-icon-glyph {{ field_icon_class }}\"></i>\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:16:\"nc-icon-outline \";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:5:\"title\";a:37:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:9:\"plugin_id\";s:5:\"field\";}s:4:\"body\";a:35:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:10:\"node__body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:120;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:9:\"view_node\";a:26:{s:2:\"id\";s:9:\"view_node\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"text\";s:9:\"Read more\";s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:11:\"entity_link\";s:18:\"output_url_as_text\";b:0;s:8:\"absolute\";b:0;}}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:14:\"url.query_args\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:2:{i:0;s:30:\"config:field.storage.node.body\";i:1;s:42:\"config:field.storage.node.field_icon_class\";}}}s:6:\"feed_1\";a:6:{s:14:\"display_plugin\";s:4:\"feed\";s:2:\"id\";s:6:\"feed_1\";s:13:\"display_title\";s:4:\"Feed\";s:8:\"position\";i:2;s:15:\"display_options\";a:7:{s:14:\"sitename_title\";b:1;s:4:\"path\";s:7:\"rss.xml\";s:8:\"displays\";a:2:{s:6:\"page_1\";s:6:\"page_1\";s:7:\"default\";s:0:\"\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:10;s:6:\"offset\";i:0;}}s:5:\"style\";a:2:{s:4:\"type\";s:3:\"rss\";s:7:\"options\";a:3:{s:11:\"description\";s:0:\"\";s:8:\"grouping\";a:0:{}s:11:\"uses_fields\";b:0;}}s:3:\"row\";a:2:{s:4:\"type\";s:8:\"node_rss\";s:7:\"options\";a:2:{s:12:\"relationship\";s:4:\"none\";s:9:\"view_mode\";s:3:\"rss\";}}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:2:{i:0;s:30:\"config:field.storage.node.body\";i:1;s:42:\"config:field.storage.node.field_icon_class\";}}}s:6:\"page_1\";a:6:{s:15:\"display_options\";a:10:{s:4:\"path\";s:4:\"node\";s:17:\"display_extenders\";a:0:{}s:5:\"style\";a:2:{s:4:\"type\";s:4:\"grid\";s:7:\"options\";a:8:{s:8:\"grouping\";a:0:{}s:7:\"columns\";i:3;s:15:\"automatic_width\";b:1;s:9:\"alignment\";s:10:\"horizontal\";s:17:\"col_class_default\";b:1;s:16:\"col_class_custom\";s:0:\"\";s:17:\"row_class_default\";b:1;s:16:\"row_class_custom\";s:0:\"\";}}s:8:\"defaults\";a:7:{s:5:\"style\";b:0;s:3:\"row\";b:0;s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;s:5:\"pager\";b:0;s:6:\"fields\";b:0;s:9:\"css_class\";b:0;}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:4:{s:22:\"default_field_elements\";b:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";b:0;}}s:7:\"filters\";a:3:{s:6:\"status\";a:9:{s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"field\";s:6:\"status\";s:5:\"group\";i:1;s:2:\"id\";s:6:\"status\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"value\";s:1:\"1\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";}s:4:\"type\";a:16:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:4:\"blog\";s:4:\"blog\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";}s:5:\"title\";a:16:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:11:\"shorterthan\";s:5:\"value\";s:2:\"17\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:11:\"placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:9:\"plugin_id\";s:6:\"string\";}}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:3;s:6:\"offset\";i:0;}}s:6:\"fields\";a:4:{s:5:\"title\";a:37:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:15;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:9:\"plugin_id\";s:5:\"field\";}s:4:\"body\";a:35:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:10:\"node__body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:120;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:9:\"view_node\";a:26:{s:2:\"id\";s:9:\"view_node\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"text\";s:9:\"Read more\";s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:11:\"entity_link\";s:18:\"output_url_as_text\";b:0;s:8:\"absolute\";b:0;}s:7:\"nothing\";a:4:{s:2:\"id\";s:7:\"nothing\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"nothing\";s:9:\"plugin_id\";s:6:\"custom\";}}s:9:\"css_class\";s:17:\"view-blog-summary\";}s:14:\"display_plugin\";s:4:\"page\";s:13:\"display_title\";s:4:\"Page\";s:2:\"id\";s:6:\"page_1\";s:8:\"position\";i:1;s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:1:{i:0;s:30:\"config:field.storage.node.body\";}}}}}',-1,1636011226.086,1,'','0'),('views.view.glossary','a:13:{s:4:\"uuid\";s:36:\"709fdfa6-8127-435f-962e-33bdcf74868b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:16:\"system.menu.main\";}s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"-pCFOVfbt__jaohFffTLnVavh4OBC6CjREAnchiRomQ\";}s:2:\"id\";s:8:\"glossary\";s:5:\"label\";s:8:\"Glossary\";s:6:\"module\";s:4:\"node\";s:11:\"description\";s:23:\"All content, by letter.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:3:{s:7:\"default\";a:6:{s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:14:\"display_plugin\";s:7:\"default\";s:8:\"position\";i:0;s:15:\"display_options\";a:17:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:13:\"query_comment\";s:0:\"\";s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:10:\"query_tags\";a:0:{}}}s:8:\"use_ajax\";b:1;s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:6:{s:14:\"items_per_page\";i:36;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";i:0;s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:4:\"tags\";a:2:{s:8:\"previous\";s:6:\"‹‹\";s:4:\"next\";s:6:\"››\";}}}s:6:\"fields\";a:3:{s:5:\"title\";a:24:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:9:\"plugin_id\";s:5:\"field\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:5:\"Title\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";}s:4:\"name\";a:25:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"name\";s:5:\"label\";s:6:\"Author\";s:12:\"relationship\";s:3:\"uid\";s:9:\"plugin_id\";s:5:\"field\";s:4:\"type\";s:9:\"user_name\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"name\";}s:7:\"changed\";a:26:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"changed\";s:5:\"label\";s:11:\"Last update\";s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:4:\"long\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";}s:9:\"plugin_id\";s:5:\"field\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"changed\";}}s:9:\"arguments\";a:1:{s:5:\"title\";a:27:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:14:\"default_action\";s:7:\"default\";s:9:\"exception\";a:1:{s:12:\"title_enable\";b:1;}s:21:\"default_argument_type\";s:5:\"fixed\";s:24:\"default_argument_options\";a:1:{s:8:\"argument\";s:1:\"a\";}s:7:\"summary\";a:1:{s:6:\"format\";s:15:\"default_summary\";}s:18:\"specify_validation\";b:1;s:8:\"glossary\";b:1;s:5:\"limit\";i:1;s:4:\"case\";s:5:\"upper\";s:9:\"path_case\";s:5:\"lower\";s:14:\"transform_dash\";b:0;s:9:\"plugin_id\";s:6:\"string\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:12:\"title_enable\";b:0;s:5:\"title\";s:0:\"\";s:25:\"default_argument_skip_url\";b:0;s:15:\"summary_options\";a:0:{}s:8:\"validate\";a:2:{s:4:\"type\";s:4:\"none\";s:4:\"fail\";s:9:\"not found\";}s:16:\"validate_options\";a:0:{}s:12:\"break_phrase\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";}}s:13:\"relationships\";a:1:{s:3:\"uid\";a:8:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:3:\"uid\";s:9:\"plugin_id\";s:8:\"standard\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:6:\"author\";s:8:\"required\";b:0;}}s:5:\"style\";a:2:{s:4:\"type\";s:5:\"table\";s:7:\"options\";a:12:{s:7:\"columns\";a:3:{s:5:\"title\";s:5:\"title\";s:4:\"name\";s:4:\"name\";s:7:\"changed\";s:7:\"changed\";}s:7:\"default\";s:5:\"title\";s:4:\"info\";a:3:{s:5:\"title\";a:2:{s:8:\"sortable\";b:1;s:9:\"separator\";s:0:\"\";}s:4:\"name\";a:2:{s:8:\"sortable\";b:1;s:9:\"separator\";s:0:\"\";}s:7:\"changed\";a:2:{s:8:\"sortable\";b:1;s:9:\"separator\";s:0:\"\";}}s:8:\"override\";b:1;s:6:\"sticky\";b:0;s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:11:\"uses_fields\";b:0;s:5:\"order\";s:3:\"asc\";s:7:\"summary\";s:0:\"\";s:11:\"empty_table\";b:0;}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:4:{s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";b:0;s:22:\"default_field_elements\";b:1;}}s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:5:\"sorts\";a:0:{}s:7:\"filters\";a:2:{s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:31:\"***LANGUAGE_language_content***\";s:31:\"***LANGUAGE_language_content***\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:8:\"language\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:8:\"langcode\";}s:6:\"status\";a:9:{s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"field\";s:6:\"status\";s:5:\"group\";i:1;s:2:\"id\";s:6:\"status\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"value\";s:1:\"1\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";}}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:6:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:21:\"user.node_grants:view\";i:5;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}s:12:\"attachment_1\";a:6:{s:2:\"id\";s:12:\"attachment_1\";s:13:\"display_title\";s:10:\"Attachment\";s:14:\"display_plugin\";s:10:\"attachment\";s:8:\"position\";i:2;s:15:\"display_options\";a:7:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:2:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:0;}}s:8:\"defaults\";a:1:{s:9:\"arguments\";b:0;}s:9:\"arguments\";a:1:{s:5:\"title\";a:27:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:14:\"default_action\";s:7:\"summary\";s:9:\"exception\";a:1:{s:12:\"title_enable\";b:1;}s:21:\"default_argument_type\";s:5:\"fixed\";s:24:\"default_argument_options\";a:1:{s:8:\"argument\";s:1:\"a\";}s:7:\"summary\";a:1:{s:6:\"format\";s:19:\"unformatted_summary\";}s:15:\"summary_options\";a:3:{s:14:\"items_per_page\";i:25;s:6:\"inline\";b:1;s:9:\"separator\";s:3:\" | \";}s:18:\"specify_validation\";b:1;s:8:\"glossary\";b:1;s:5:\"limit\";i:1;s:4:\"case\";s:5:\"upper\";s:9:\"path_case\";s:5:\"lower\";s:14:\"transform_dash\";b:0;s:9:\"plugin_id\";s:6:\"string\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:12:\"title_enable\";b:0;s:5:\"title\";s:0:\"\";s:25:\"default_argument_skip_url\";b:0;s:8:\"validate\";a:2:{s:4:\"type\";s:4:\"none\";s:4:\"fail\";s:9:\"not found\";}s:16:\"validate_options\";a:0:{}s:12:\"break_phrase\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";}}s:8:\"displays\";a:2:{s:7:\"default\";s:7:\"default\";s:6:\"page_1\";s:6:\"page_1\";}s:17:\"inherit_arguments\";b:0;s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:6:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:21:\"user.node_grants:view\";i:5;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}s:6:\"page_1\";a:6:{s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:4:\"Page\";s:14:\"display_plugin\";s:4:\"page\";s:8:\"position\";i:1;s:15:\"display_options\";a:4:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:8:\"glossary\";s:4:\"menu\";a:5:{s:4:\"type\";s:6:\"normal\";s:5:\"title\";s:8:\"Glossary\";s:6:\"weight\";i:0;s:9:\"menu_name\";s:4:\"main\";s:6:\"parent\";s:0:\"\";}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:6:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:21:\"user.node_grants:view\";i:5;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}}}',-1,1636011226.086,1,'','0'),('views.view.our_mission','a:12:{s:4:\"uuid\";s:36:\"bdb3f319-873f-4cc0-81b3-b787143ae677\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:4:{i:0;s:23:\"field.storage.node.body\";i:1;s:30:\"field.storage.node.field_image\";i:2;s:25:\"image.style.image_551_372\";i:3;s:21:\"node.type.our_mission\";}s:6:\"module\";a:5:{i:0;s:5:\"image\";i:1;s:4:\"node\";i:2;s:9:\"sharethis\";i:3;s:4:\"text\";i:4;s:4:\"user\";}}s:2:\"id\";s:11:\"our_mission\";s:5:\"label\";s:11:\"Our mission\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:18:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:3;s:6:\"offset\";i:0;}}s:5:\"style\";a:2:{s:4:\"type\";s:4:\"grid\";s:7:\"options\";a:8:{s:8:\"grouping\";a:0:{}s:7:\"columns\";i:3;s:15:\"automatic_width\";b:1;s:9:\"alignment\";s:10:\"horizontal\";s:17:\"col_class_default\";b:1;s:16:\"col_class_custom\";s:0:\"\";s:17:\"row_class_default\";b:1;s:16:\"row_class_custom\";s:0:\"\";}}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:6:\"fields\";a:4:{s:11:\"field_image\";a:35:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:17:\"node__field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:13:\"image_551_372\";s:10:\"image_link\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:5:\"title\";a:35:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:4:\"body\";a:35:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:10:\"node__body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:100;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:14:\"sharethis_node\";a:23:{s:2:\"id\";s:14:\"sharethis_node\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:14:\"sharethis_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:14:\"sharethis_node\";}}s:7:\"filters\";a:2:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:11:\"our_mission\";s:11:\"our_mission\";}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";}}s:5:\"title\";s:11:\"Our mission\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:9:\"arguments\";a:0:{}s:17:\"display_extenders\";a:0:{}s:9:\"css_class\";s:14:\"view-type-grid\";}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:2:{i:0;s:30:\"config:field.storage.node.body\";i:1;s:37:\"config:field.storage.node.field_image\";}}}s:7:\"block_1\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_1\";s:13:\"display_title\";s:11:\"Our mission\";s:8:\"position\";i:1;s:15:\"display_options\";a:2:{s:17:\"display_extenders\";a:0:{}s:19:\"display_description\";s:0:\"\";}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:2:{i:0;s:30:\"config:field.storage.node.body\";i:1;s:37:\"config:field.storage.node.field_image\";}}}}}',-1,1636011226.086,1,'','0'),('views.view.our_partners','a:12:{s:4:\"uuid\";s:36:\"681f5a9b-5973-460f-9d36-3a7904261bfe\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:4:{i:0;s:29:\"field.storage.node.field_link\";i:1;s:33:\"field.storage.node.field_partners\";i:2;s:25:\"image.style.image_380_224\";i:3;s:18:\"node.type.partners\";}s:6:\"module\";a:4:{i:0;s:5:\"image\";i:1;s:4:\"link\";i:2;s:4:\"node\";i:3;s:4:\"user\";}}s:2:\"id\";s:12:\"our_partners\";s:5:\"label\";s:12:\"Our partners\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:18:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:6;s:6:\"offset\";i:0;}}s:5:\"style\";a:1:{s:4:\"type\";s:7:\"default\";}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:6:\"fields\";a:3:{s:5:\"title\";a:35:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:10:\"field_link\";a:35:{s:2:\"id\";s:10:\"field_link\";s:5:\"table\";s:16:\"node__field_link\";s:5:\"field\";s:10:\"field_link\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:71:\"<a href=\"{{ field_link__uri }} \"><img src=\"{{ field_partners }}\"></</a>\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:3:\"uri\";s:4:\"type\";s:4:\"link\";s:8:\"settings\";a:5:{s:11:\"trim_length\";i:80;s:8:\"url_only\";b:1;s:9:\"url_plain\";b:0;s:3:\"rel\";s:1:\"0\";s:6:\"target\";s:6:\"_blank\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:14:\"field_partners\";a:35:{s:2:\"id\";s:14:\"field_partners\";s:5:\"table\";s:20:\"node__field_partners\";s:5:\"field\";s:14:\"field_partners\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:64:\"<a href=\"{{ field_link }}\"><img src=\"{{ field_partners }}\"/></a>\";s:9:\"make_link\";b:1;s:4:\"path\";s:16:\"{{ field_link }}\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:6:\"_blank\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:13:\"image_380_224\";s:10:\"image_link\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}}s:7:\"filters\";a:2:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:8:\"partners\";s:8:\"partners\";}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";}}s:5:\"title\";s:12:\"Our partners\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:9:\"arguments\";a:0:{}s:17:\"display_extenders\";a:0:{}s:9:\"css_class\";s:17:\"view-our-partners\";}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:2:{i:0;s:36:\"config:field.storage.node.field_link\";i:1;s:40:\"config:field.storage.node.field_partners\";}}}s:7:\"block_1\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_1\";s:13:\"display_title\";s:12:\"Our partners\";s:8:\"position\";i:1;s:15:\"display_options\";a:3:{s:17:\"display_extenders\";a:0:{}s:19:\"display_description\";s:0:\"\";s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:2:{i:0;s:36:\"config:field.storage.node.field_link\";i:1;s:40:\"config:field.storage.node.field_partners\";}}}}}',-1,1636011226.086,1,'','0'),('views.view.our_services','a:12:{s:4:\"uuid\";s:36:\"ca8dfcb7-7a82-4258-9666-401f76d41a30\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:32:\"field.storage.node.field_percent\";i:1;s:22:\"node.type.our_services\";}s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:4:\"user\";}}s:2:\"id\";s:12:\"our_services\";s:5:\"label\";s:12:\"Our services\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:17:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:6;s:6:\"offset\";i:0;}}s:5:\"style\";a:1:{s:4:\"type\";s:7:\"default\";}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:6:\"fields\";a:4:{s:15:\"field_percent_1\";a:35:{s:2:\"id\";s:15:\"field_percent_1\";s:5:\"table\";s:19:\"node__field_percent\";s:5:\"field\";s:13:\"field_percent\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:14:\"number_decimal\";s:8:\"settings\";a:4:{s:18:\"thousand_separator\";s:0:\"\";s:13:\"prefix_suffix\";b:1;s:17:\"decimal_separator\";s:1:\".\";s:5:\"scale\";i:0;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:5:\"title\";a:37:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:9:\"plugin_id\";s:5:\"field\";}s:13:\"field_percent\";a:35:{s:2:\"id\";s:13:\"field_percent\";s:5:\"table\";s:19:\"node__field_percent\";s:5:\"field\";s:13:\"field_percent\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:14:\"number_decimal\";s:8:\"settings\";a:4:{s:18:\"thousand_separator\";s:0:\"\";s:13:\"prefix_suffix\";b:0;s:17:\"decimal_separator\";s:1:\".\";s:5:\"scale\";i:0;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:7:\"nothing\";a:22:{s:2:\"id\";s:7:\"nothing\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"nothing\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:259:\" <div class=\"progress\">\n  <div class=\"progress-bar\" role=\"progressbar\" aria-valuenow=\"{{ field_percent }}\"  aria-valuemin=\"0\" aria-valuemax=\"100\" style=\"width:{{ field_percent }}\">\n    <span class=\"sr-only\">{{ field_percent }}  Complete</span>\n  </div>\n</div>\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:0;s:9:\"plugin_id\";s:6:\"custom\";}}s:7:\"filters\";a:2:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:12:\"our_services\";s:12:\"our_services\";}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"order\";s:3:\"ASC\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";}}s:5:\"title\";s:12:\"Our services\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:9:\"arguments\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:1:{i:0;s:39:\"config:field.storage.node.field_percent\";}}}s:7:\"block_1\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_1\";s:13:\"display_title\";s:5:\"Block\";s:8:\"position\";i:1;s:15:\"display_options\";a:1:{s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:1:{i:0;s:39:\"config:field.storage.node.field_percent\";}}}}}',-1,1636011226.086,1,'','0'),('views.view.portfolio','a:12:{s:4:\"uuid\";s:36:\"f843166f-993a-492c-b328-bbe5f329d3f0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:4:{i:0;s:32:\"field.storage.node.field_gallery\";i:1;s:26:\"image.style.image_360_360_\";i:2;s:25:\"image.style.image_370_370\";i:3;s:19:\"node.type.portfolio\";}s:6:\"module\";a:3:{i:0;s:8:\"colorbox\";i:1;s:4:\"node\";i:2;s:4:\"user\";}}s:2:\"id\";s:9:\"portfolio\";s:5:\"label\";s:9:\"Portfolio\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:5:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:17:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:1;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:14:\"items_per_page\";i:12;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";N;s:4:\"tags\";a:4:{s:8:\"previous\";s:6:\"‹‹\";s:4:\"next\";s:6:\"››\";s:5:\"first\";s:8:\"« First\";s:4:\"last\";s:7:\"Last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:8:\"quantity\";i:9;}}s:5:\"style\";a:2:{s:4:\"type\";s:4:\"grid\";s:7:\"options\";a:8:{s:8:\"grouping\";a:0:{}s:7:\"columns\";i:4;s:15:\"automatic_width\";b:1;s:9:\"alignment\";s:10:\"horizontal\";s:17:\"col_class_default\";b:1;s:16:\"col_class_custom\";s:0:\"\";s:17:\"row_class_default\";b:1;s:16:\"row_class_custom\";s:0:\"\";}}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:6:\"fields\";a:1:{s:13:\"field_gallery\";a:35:{s:2:\"id\";s:13:\"field_gallery\";s:5:\"table\";s:19:\"node__field_gallery\";s:5:\"field\";s:13:\"field_gallery\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:8:\"colorbox\";s:8:\"settings\";a:7:{s:19:\"colorbox_node_style\";s:13:\"image_370_370\";s:25:\"colorbox_node_style_first\";s:0:\"\";s:20:\"colorbox_image_style\";s:0:\"\";s:16:\"colorbox_gallery\";s:4:\"page\";s:23:\"colorbox_gallery_custom\";s:7:\"gallery\";s:16:\"colorbox_caption\";s:5:\"title\";s:23:\"colorbox_caption_custom\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:0;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:2:\"ul\";s:9:\"separator\";s:0:\"\";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}}s:7:\"filters\";a:3:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:9:\"portfolio\";s:9:\"portfolio\";}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:23:\"field_gallery_target_id\";a:14:{s:2:\"id\";s:23:\"field_gallery_target_id\";s:5:\"table\";s:19:\"node__field_gallery\";s:5:\"field\";s:23:\"field_gallery_target_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:9:\"not empty\";s:5:\"value\";a:3:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:0:\"\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:15:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:11:\"placeholder\";s:0:\"\";s:15:\"min_placeholder\";s:0:\"\";s:15:\"max_placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:7:\"numeric\";}}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";}}s:5:\"title\";s:9:\"Portfolio\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:9:\"arguments\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:14:\"url.query_args\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:1:{i:0;s:39:\"config:field.storage.node.field_gallery\";}}}s:7:\"block_1\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_1\";s:13:\"display_title\";s:19:\"Porfolio front page\";s:8:\"position\";i:1;s:15:\"display_options\";a:10:{s:17:\"display_extenders\";a:0:{}s:6:\"fields\";a:1:{s:13:\"field_gallery\";a:35:{s:2:\"id\";s:13:\"field_gallery\";s:5:\"table\";s:19:\"node__field_gallery\";s:5:\"field\";s:13:\"field_gallery\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:17:\"portfolio-gallery\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:8:\"colorbox\";s:8:\"settings\";a:7:{s:19:\"colorbox_node_style\";s:0:\"\";s:25:\"colorbox_node_style_first\";s:0:\"\";s:20:\"colorbox_image_style\";s:0:\"\";s:16:\"colorbox_gallery\";s:4:\"page\";s:23:\"colorbox_gallery_custom\";s:7:\"gallery\";s:16:\"colorbox_caption\";s:5:\"title\";s:23:\"colorbox_caption_custom\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:0;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:2:\"ul\";s:9:\"separator\";s:0:\"\";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}}s:8:\"defaults\";a:7:{s:6:\"fields\";b:0;s:5:\"style\";b:0;s:3:\"row\";b:0;s:9:\"css_class\";b:0;s:5:\"pager\";b:0;s:6:\"header\";b:0;s:6:\"footer\";b:0;}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:3:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:0;}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:10;s:6:\"offset\";i:0;}}s:6:\"header\";a:1:{s:4:\"area\";a:10:{s:2:\"id\";s:4:\"area\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:4:\"area\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:0;s:8:\"tokenize\";b:0;s:7:\"content\";a:2:{s:5:\"value\";s:352:\"“There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which don\'t look even slightly believable. If you are going to use a passage of Lorem Ipsum, you need to be sure there isn\'t anything embarrassing hidden.”\n\n										   -- Lorem Ipsum --\";s:6:\"format\";s:9:\"full_html\";}s:9:\"plugin_id\";s:4:\"text\";}}s:6:\"footer\";a:1:{s:4:\"area\";a:10:{s:2:\"id\";s:4:\"area\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:4:\"area\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:0;s:8:\"tokenize\";b:0;s:7:\"content\";a:2:{s:5:\"value\";s:163:\"“If you are going to use a passage of Lorem Ipsum, you need to be sure there isn\'t anything embarrassing hidden in the middle of text.”\n\n						-- H. Rackham --\";s:6:\"format\";s:9:\"full_html\";}s:9:\"plugin_id\";s:4:\"text\";}}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:1:{i:0;s:39:\"config:field.storage.node.field_gallery\";}}}s:6:\"page_1\";a:6:{s:14:\"display_plugin\";s:4:\"page\";s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:4:\"Page\";s:8:\"position\";i:1;s:15:\"display_options\";a:6:{s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:9:\"portfolio\";s:5:\"style\";a:2:{s:4:\"type\";s:4:\"grid\";s:7:\"options\";a:8:{s:8:\"grouping\";a:0:{}s:7:\"columns\";i:3;s:15:\"automatic_width\";b:1;s:9:\"alignment\";s:10:\"horizontal\";s:17:\"col_class_default\";b:1;s:16:\"col_class_custom\";s:0:\"\";s:17:\"row_class_default\";b:1;s:16:\"row_class_custom\";s:0:\"\";}}s:8:\"defaults\";a:3:{s:5:\"style\";b:0;s:3:\"row\";b:0;s:5:\"pager\";b:0;}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:14:\"items_per_page\";i:12;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";N;s:4:\"tags\";a:4:{s:8:\"previous\";s:6:\"‹‹\";s:4:\"next\";s:6:\"››\";s:5:\"first\";s:8:\"« First\";s:4:\"last\";s:7:\"Last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:8:\"quantity\";i:9;}}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:14:\"url.query_args\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:1:{i:0;s:39:\"config:field.storage.node.field_gallery\";}}}s:6:\"page_2\";a:6:{s:14:\"display_plugin\";s:4:\"page\";s:2:\"id\";s:6:\"page_2\";s:13:\"display_title\";s:4:\"Page\";s:8:\"position\";i:1;s:15:\"display_options\";a:4:{s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:15:\"portfolio_4_col\";s:6:\"fields\";a:1:{s:13:\"field_gallery\";a:35:{s:2:\"id\";s:13:\"field_gallery\";s:5:\"table\";s:19:\"node__field_gallery\";s:5:\"field\";s:13:\"field_gallery\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:8:\"colorbox\";s:8:\"settings\";a:7:{s:19:\"colorbox_node_style\";s:14:\"image_360_360_\";s:25:\"colorbox_node_style_first\";s:0:\"\";s:20:\"colorbox_image_style\";s:0:\"\";s:16:\"colorbox_gallery\";s:4:\"page\";s:23:\"colorbox_gallery_custom\";s:7:\"gallery\";s:16:\"colorbox_caption\";s:5:\"title\";s:23:\"colorbox_caption_custom\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:0;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:2:\"ul\";s:9:\"separator\";s:0:\"\";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}}s:8:\"defaults\";a:1:{s:6:\"fields\";b:0;}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:14:\"url.query_args\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:1:{i:0;s:39:\"config:field.storage.node.field_gallery\";}}}s:6:\"page_3\";a:6:{s:14:\"display_plugin\";s:4:\"page\";s:2:\"id\";s:6:\"page_3\";s:13:\"display_title\";s:4:\"Page\";s:8:\"position\";i:1;s:15:\"display_options\";a:9:{s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:17:\"portfolio_masonry\";s:6:\"fields\";a:1:{s:13:\"field_gallery\";a:35:{s:2:\"id\";s:13:\"field_gallery\";s:5:\"table\";s:19:\"node__field_gallery\";s:5:\"field\";s:13:\"field_gallery\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:8:\"colorbox\";s:8:\"settings\";a:7:{s:19:\"colorbox_node_style\";s:0:\"\";s:25:\"colorbox_node_style_first\";s:0:\"\";s:20:\"colorbox_image_style\";s:0:\"\";s:16:\"colorbox_gallery\";s:4:\"page\";s:23:\"colorbox_gallery_custom\";s:7:\"gallery\";s:16:\"colorbox_caption\";s:5:\"title\";s:23:\"colorbox_caption_custom\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:0;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:2:\"ul\";s:9:\"separator\";s:0:\"\";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}}s:8:\"defaults\";a:6:{s:6:\"fields\";b:0;s:5:\"style\";b:0;s:3:\"row\";b:0;s:9:\"css_class\";b:0;s:6:\"header\";b:0;s:5:\"pager\";b:0;}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:3:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:0;}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:9:\"css_class\";s:21:\"view-porfolio-masonry\";s:6:\"header\";a:1:{s:4:\"area\";a:10:{s:2:\"id\";s:4:\"area\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:4:\"area\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:0;s:8:\"tokenize\";b:0;s:7:\"content\";a:2:{s:5:\"value\";s:371:\"<h2>Masonery</h2>\n<p>“There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which don\'t look even slightly believable. If you are going to use a passage of Lorem Ipsum, you need to be sure there isn\'t anything embarrassing hidden.”</p>\n<p> -- Lorem Ipsum --</p>\";s:6:\"format\";s:9:\"full_html\";}s:9:\"plugin_id\";s:4:\"text\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:12;s:6:\"offset\";i:0;}}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:1:{i:0;s:39:\"config:field.storage.node.field_gallery\";}}}}}',-1,1636011226.086,1,'','0'),('views.view.simplenews_newsletters','a:13:{s:4:\"uuid\";s:36:\"24d4baa7-7935-4c5c-8cc1-4aae6db3e210\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:35:\"field.storage.node.simplenews_issue\";}s:6:\"module\";a:3:{i:0;s:4:\"node\";i:1;s:10:\"simplenews\";i:2;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"HuVRq8jAJW0fd2D6rM4IFSjVVl0zaXy3GRZMHpgstik\";}s:2:\"id\";s:22:\"simplenews_newsletters\";s:5:\"label\";s:11:\"Newsletters\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:17:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:15:\"send newsletter\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:14:\"items_per_page\";i:10;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";N;s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:4:\"tags\";a:4:{s:8:\"previous\";s:12:\"‹ previous\";s:4:\"next\";s:8:\"next ›\";s:5:\"first\";s:8:\"« first\";s:4:\"last\";s:7:\"last »\";}s:8:\"quantity\";i:9;}}s:5:\"style\";a:1:{s:4:\"type\";s:5:\"table\";}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:6:\"fields\";a:7:{s:14:\"node_bulk_form\";a:26:{s:2:\"id\";s:14:\"node_bulk_form\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:14:\"node_bulk_form\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:25:\"Node operations bulk form\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:12:\"action_title\";s:14:\"With selection\";s:15:\"include_exclude\";s:7:\"include\";s:16:\"selected_actions\";a:2:{i:0;s:22:\"simplenews_send_action\";i:1;s:22:\"simplenews_stop_action\";}s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:14:\"node_bulk_form\";}s:5:\"title\";a:25:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:5:\"Issue\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:12:\"link_to_node\";b:1;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:9:\"plugin_id\";s:4:\"node\";}s:16:\"simplenews_issue\";a:35:{s:2:\"id\";s:16:\"simplenews_issue\";s:5:\"table\";s:22:\"node__simplenews_issue\";s:5:\"field\";s:16:\"simplenews_issue\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:10:\"Newsletter\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:22:\"entity_reference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:1;}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:6:\"status\";a:37:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:9:\"Published\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:7:\"boolean\";s:8:\"settings\";a:3:{s:6:\"format\";s:14:\"unicode-yes-no\";s:18:\"format_custom_true\";s:0:\"\";s:19:\"format_custom_false\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:5:\"field\";}s:7:\"created\";a:27:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:7:\"Updated\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"date_format\";s:5:\"short\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";}s:11:\"send_status\";a:23:{s:2:\"id\";s:11:\"send_status\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:11:\"send_status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:11:\"Send status\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:22:\"simplenews_send_status\";}s:10:\"operations\";a:24:{s:2:\"id\";s:10:\"operations\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:10:\"operations\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:16:\"Operations links\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"destination\";b:1;s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:17:\"entity_operations\";}}s:7:\"filters\";a:2:{s:26:\"simplenews_issue_target_id\";a:14:{s:2:\"id\";s:26:\"simplenews_issue_target_id\";s:5:\"table\";s:22:\"node__simplenews_issue\";s:5:\"field\";s:26:\"simplenews_issue_target_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:9:\"not empty\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:11:\"in_operator\";}s:28:\"simplenews_issue_target_id_1\";a:14:{s:2:\"id\";s:28:\"simplenews_issue_target_id_1\";s:5:\"table\";s:22:\"node__simplenews_issue\";s:5:\"field\";s:26:\"simplenews_issue_target_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:31:\"simplenews_issue_target_id_1_op\";s:5:\"label\";s:10:\"Newsletter\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:31:\"simplenews_issue_target_id_1_op\";s:10:\"identifier\";s:28:\"simplenews_issue_target_id_1\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:11:\"in_operator\";}}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";}}s:5:\"title\";s:11:\"Newsletters\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:1:{s:4:\"area\";a:10:{s:2:\"id\";s:4:\"area\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:4:\"area\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:1;s:8:\"tokenize\";b:0;s:7:\"content\";a:2:{s:5:\"value\";s:27:\"No newsletter issues found.\";s:6:\"format\";s:10:\"basic_html\";}s:9:\"plugin_id\";s:4:\"text\";}}s:13:\"relationships\";a:0:{}s:9:\"arguments\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:4:{s:8:\"contexts\";a:6:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:21:\"user.node_grants:view\";i:5;s:16:\"user.permissions\";}s:9:\"cacheable\";b:0;s:7:\"max-age\";i:0;s:4:\"tags\";a:1:{i:0;s:42:\"config:field.storage.node.simplenews_issue\";}}}s:6:\"page_1\";a:6:{s:14:\"display_plugin\";s:4:\"page\";s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:4:\"Page\";s:8:\"position\";i:1;s:15:\"display_options\";a:3:{s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:24:\"admin/content/simplenews\";s:4:\"menu\";a:7:{s:4:\"type\";s:3:\"tab\";s:5:\"title\";s:17:\"Newsletter issues\";s:11:\"description\";s:0:\"\";s:6:\"parent\";s:20:\"system.admin_content\";s:6:\"weight\";i:0;s:7:\"context\";s:1:\"0\";s:9:\"menu_name\";s:5:\"admin\";}}s:14:\"cache_metadata\";a:4:{s:8:\"contexts\";a:6:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:21:\"user.node_grants:view\";i:5;s:16:\"user.permissions\";}s:9:\"cacheable\";b:0;s:7:\"max-age\";i:0;s:4:\"tags\";a:1:{i:0;s:42:\"config:field.storage.node.simplenews_issue\";}}}}}',-1,1636011226.086,1,'','0'),('views.view.simplenews_subscribers','a:13:{s:4:\"uuid\";s:36:\"3384fb9f-a6e9-49ba-b4b9-32124f9904a6\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:49:\"field.storage.simplenews_subscriber.subscriptions\";}s:6:\"module\";a:2:{i:0;s:10:\"simplenews\";i:1;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"c6m5U7h0PQWxcZ9jfbUnHAeaIU-V9Wyipt7BmEiv9rk\";}s:2:\"id\";s:22:\"simplenews_subscribers\";s:5:\"label\";s:11:\"Subscribers\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:10:\"base_table\";s:21:\"simplenews_subscriber\";s:10:\"base_field\";s:2:\"id\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:17:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:35:\"administer simplenews subscriptions\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:1;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:14:\"items_per_page\";i:30;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";N;s:4:\"tags\";a:4:{s:8:\"previous\";s:12:\"‹ previous\";s:4:\"next\";s:8:\"next ›\";s:5:\"first\";s:8:\"« first\";s:4:\"last\";s:7:\"last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:8:\"quantity\";i:9;}}s:5:\"style\";a:1:{s:4:\"type\";s:5:\"table\";}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:6:\"fields\";a:6:{s:4:\"mail\";a:24:{s:5:\"table\";s:21:\"simplenews_subscriber\";s:5:\"field\";s:4:\"mail\";s:2:\"id\";s:4:\"mail\";s:11:\"entity_type\";N;s:12:\"entity_field\";s:4:\"mail\";s:9:\"plugin_id\";s:8:\"standard\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:5:\"Email\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;}s:9:\"user_name\";a:23:{s:2:\"id\";s:9:\"user_name\";s:5:\"table\";s:21:\"simplenews_subscriber\";s:5:\"field\";s:9:\"user_name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:8:\"Username\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:9:\"plugin_id\";s:20:\"simplenews_user_name\";}s:13:\"subscriptions\";a:34:{s:2:\"id\";s:13:\"subscriptions\";s:5:\"table\";s:36:\"simplenews_subscriber__subscriptions\";s:5:\"field\";s:13:\"subscriptions\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:13:\"Subscriptions\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:30:\"simplenews_subscription_status\";s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:2:\"ul\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:6:\"status\";a:28:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:21:\"simplenews_subscriber\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:6:\"Active\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:7:\"boolean\";s:16:\"type_custom_true\";s:0:\"\";s:17:\"type_custom_false\";s:0:\"\";s:3:\"not\";b:0;s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";}s:7:\"created\";a:27:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:21:\"simplenews_subscriber\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:7:\"Created\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"date_format\";s:8:\"fallback\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";}s:10:\"operations\";a:24:{s:2:\"id\";s:10:\"operations\";s:5:\"table\";s:21:\"simplenews_subscriber\";s:5:\"field\";s:10:\"operations\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:10:\"Operations\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"destination\";b:1;s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:9:\"plugin_id\";s:17:\"entity_operations\";}}s:7:\"filters\";a:4:{s:4:\"mail\";a:16:{s:2:\"id\";s:4:\"mail\";s:5:\"table\";s:21:\"simplenews_subscriber\";s:5:\"field\";s:4:\"mail\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:8:\"contains\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:7:\"mail_op\";s:5:\"label\";s:5:\"Email\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:7:\"mail_op\";s:10:\"identifier\";s:4:\"mail\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:12:\"entity_field\";s:4:\"mail\";s:9:\"plugin_id\";s:6:\"string\";}s:23:\"subscriptions_target_id\";a:14:{s:2:\"id\";s:23:\"subscriptions_target_id\";s:5:\"table\";s:36:\"simplenews_subscriber__subscriptions\";s:5:\"field\";s:23:\"subscriptions_target_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:26:\"subscriptions_target_id_op\";s:5:\"label\";s:11:\"Newsletters\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:26:\"subscriptions_target_id_op\";s:10:\"identifier\";s:23:\"subscriptions_target_id\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:11:\"in_operator\";}s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:21:\"simplenews_subscriber\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:6:\"Active\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:9:\"status_op\";s:10:\"identifier\";s:6:\"status\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";}s:20:\"subscriptions_status\";a:14:{s:2:\"id\";s:20:\"subscriptions_status\";s:5:\"table\";s:36:\"simplenews_subscriber__subscriptions\";s:5:\"field\";s:20:\"subscriptions_status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{i:1;s:1:\"1\";}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:23:\"subscriptions_status_op\";s:5:\"label\";s:6:\"Status\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:23:\"subscriptions_status_op\";s:10:\"identifier\";s:20:\"subscriptions_status\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:11:\"in_operator\";}}s:5:\"sorts\";a:0:{}s:5:\"title\";s:11:\"Subscribers\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:1:{s:4:\"area\";a:10:{s:2:\"id\";s:4:\"area\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:4:\"area\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:1;s:8:\"tokenize\";b:0;s:7:\"content\";a:2:{s:5:\"value\";s:21:\"No subscribers found.\";s:6:\"format\";s:10:\"basic_html\";}s:9:\"plugin_id\";s:4:\"text\";}}s:13:\"relationships\";a:0:{}s:9:\"arguments\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:4:{s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:9:\"cacheable\";b:0;s:7:\"max-age\";i:-1;s:4:\"tags\";a:1:{i:0;s:56:\"config:field.storage.simplenews_subscriber.subscriptions\";}}}s:6:\"page_1\";a:6:{s:14:\"display_plugin\";s:4:\"page\";s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:4:\"Page\";s:8:\"position\";i:1;s:15:\"display_options\";a:3:{s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:23:\"admin/people/simplenews\";s:4:\"menu\";a:7:{s:4:\"type\";s:3:\"tab\";s:5:\"title\";s:11:\"Subscribers\";s:11:\"description\";s:0:\"\";s:6:\"parent\";s:16:\"user.admin_index\";s:6:\"weight\";i:11;s:7:\"context\";s:1:\"0\";s:9:\"menu_name\";s:5:\"admin\";}}s:14:\"cache_metadata\";a:4:{s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:9:\"cacheable\";b:0;s:7:\"max-age\";i:-1;s:4:\"tags\";a:1:{i:0;s:56:\"config:field.storage.simplenews_subscriber.subscriptions\";}}}}}',-1,1636011226.086,1,'','0'),('views.view.slideshow','a:12:{s:4:\"uuid\";s:36:\"d2ef335f-402f-43cf-9509-2d4d3b576983\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:3:{i:0;s:34:\"field.storage.node.field_slideshow\";i:1;s:26:\"image.style.image_1920_845\";i:2;s:14:\"node.type.blog\";}s:6:\"module\";a:3:{i:0;s:5:\"image\";i:1;s:4:\"node\";i:2;s:4:\"user\";}}s:2:\"id\";s:9:\"slideshow\";s:5:\"label\";s:9:\"Slideshow\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:18:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:5;s:6:\"offset\";i:0;}}s:5:\"style\";a:1:{s:4:\"type\";s:7:\"default\";}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:6:\"fields\";a:1:{s:15:\"field_slideshow\";a:35:{s:2:\"id\";s:15:\"field_slideshow\";s:5:\"table\";s:21:\"node__field_slideshow\";s:5:\"field\";s:15:\"field_slideshow\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:14:\"image_1920_845\";s:10:\"image_link\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}}s:7:\"filters\";a:3:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:4:\"blog\";s:4:\"blog\";}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:25:\"field_slideshow_target_id\";a:14:{s:2:\"id\";s:25:\"field_slideshow_target_id\";s:5:\"table\";s:21:\"node__field_slideshow\";s:5:\"field\";s:25:\"field_slideshow_target_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:9:\"not empty\";s:5:\"value\";a:3:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:0:\"\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:15:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:11:\"placeholder\";s:0:\"\";s:15:\"min_placeholder\";s:0:\"\";s:15:\"max_placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:7:\"numeric\";}}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";}}s:5:\"title\";s:9:\"Slideshow\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:9:\"arguments\";a:0:{}s:17:\"display_extenders\";a:0:{}s:9:\"css_class\";s:9:\"slideshow\";}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:1:{i:0;s:41:\"config:field.storage.node.field_slideshow\";}}}s:7:\"block_1\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_1\";s:13:\"display_title\";s:5:\"Block\";s:8:\"position\";i:1;s:15:\"display_options\";a:1:{s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:1:{i:0;s:41:\"config:field.storage.node.field_slideshow\";}}}}}',-1,1636011226.086,1,'','0'),('views.view.tags','a:12:{s:4:\"uuid\";s:36:\"c96e6168-8398-4987-8982-6245a1e68183\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:24:\"taxonomy.vocabulary.tags\";}s:6:\"module\";a:3:{i:0;s:4:\"node\";i:1;s:8:\"taxonomy\";i:2;s:4:\"user\";}}s:2:\"id\";s:4:\"tags\";s:5:\"label\";s:4:\"Tags\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:10:\"base_table\";s:24:\"taxonomy_term_field_data\";s:10:\"base_field\";s:3:\"tid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:19:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:10;s:6:\"offset\";i:0;}}s:5:\"style\";a:2:{s:4:\"type\";s:9:\"html_list\";s:7:\"options\";a:6:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:4:\"type\";s:2:\"ul\";s:13:\"wrapper_class\";s:9:\"item-list\";s:5:\"class\";s:0:\"\";}}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:6:\"fields\";a:2:{s:4:\"name\";a:38:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:24:\"taxonomy_term_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:14:\"convert_spaces\";b:0;s:11:\"entity_type\";s:13:\"taxonomy_term\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:9:\"term_name\";}s:6:\"name_1\";a:45:{s:2:\"id\";s:6:\"name_1\";s:5:\"table\";s:24:\"taxonomy_term_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"count\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:13:\"set_precision\";b:0;s:9:\"precision\";i:0;s:7:\"decimal\";s:1:\".\";s:9:\"separator\";s:1:\",\";s:13:\"format_plural\";i:0;s:20:\"format_plural_string\";s:8:\"1@count\";s:6:\"prefix\";s:1:\"(\";s:6:\"suffix\";s:1:\")\";s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:17:\"field_api_classes\";b:0;s:14:\"convert_spaces\";b:0;s:11:\"entity_type\";s:13:\"taxonomy_term\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:9:\"term_name\";}}s:7:\"filters\";a:3:{s:3:\"vid\";a:8:{s:2:\"id\";s:3:\"vid\";s:5:\"table\";s:24:\"taxonomy_term_field_data\";s:5:\"field\";s:3:\"vid\";s:5:\"value\";a:1:{s:4:\"tags\";s:4:\"tags\";}s:11:\"entity_type\";s:13:\"taxonomy_term\";s:12:\"entity_field\";s:3:\"vid\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:24:\"taxonomy_term_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:33:\"***LANGUAGE_language_interface***\";s:33:\"***LANGUAGE_language_interface***\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:13:\"taxonomy_term\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";}s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:24:\"taxonomy_term_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:13:\"taxonomy_term\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";}}s:5:\"sorts\";a:0:{}s:5:\"title\";s:4:\"Tags\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:1:{s:3:\"nid\";a:8:{s:2:\"id\";s:3:\"nid\";s:5:\"table\";s:14:\"taxonomy_index\";s:5:\"field\";s:3:\"nid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:4:\"node\";s:8:\"required\";b:1;s:9:\"plugin_id\";s:8:\"standard\";}}s:9:\"arguments\";a:0:{}s:17:\"display_extenders\";a:0:{}s:8:\"group_by\";b:1;s:9:\"css_class\";s:14:\"view-type-tags\";}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:3:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}s:7:\"block_1\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_1\";s:13:\"display_title\";s:4:\"Tags\";s:8:\"position\";i:1;s:15:\"display_options\";a:5:{s:17:\"display_extenders\";a:0:{}s:19:\"display_description\";s:0:\"\";s:6:\"fields\";a:0:{}s:5:\"sorts\";a:0:{}s:7:\"filters\";a:1:{s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:24:\"taxonomy_term_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:13:\"taxonomy_term\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";}}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:3:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}}}',-1,1636011226.086,1,'','0'),('views.view.taxonomy_term','a:13:{s:4:\"uuid\";s:36:\"30a13caa-0585-4851-ae29-98b5e3ba70c6\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:23:\"field.storage.node.body\";}s:6:\"module\";a:4:{i:0;s:4:\"node\";i:1;s:8:\"taxonomy\";i:2;s:4:\"text\";i:3;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"YY-QIsPmXCITvYjAnlCzaqASCB1Telev3U0IKOztZkc\";}s:2:\"id\";s:13:\"taxonomy_term\";s:5:\"label\";s:13:\"Taxonomy term\";s:6:\"module\";s:8:\"taxonomy\";s:11:\"description\";s:45:\"Content belonging to a certain taxonomy term.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:3:{s:7:\"default\";a:6:{s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:14:\"display_plugin\";s:7:\"default\";s:8:\"position\";i:0;s:15:\"display_options\";a:18:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:13:\"query_comment\";s:0:\"\";s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:10:\"query_tags\";a:0:{}}}s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:6:{s:14:\"items_per_page\";i:10;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";i:0;s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:4:\"tags\";a:2:{s:8:\"previous\";s:6:\"‹‹\";s:4:\"next\";s:6:\"››\";}}}s:5:\"sorts\";a:2:{s:6:\"sticky\";a:10:{s:2:\"id\";s:6:\"sticky\";s:5:\"table\";s:14:\"taxonomy_index\";s:5:\"field\";s:6:\"sticky\";s:5:\"order\";s:4:\"DESC\";s:9:\"plugin_id\";s:8:\"standard\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}}s:7:\"created\";a:11:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:14:\"taxonomy_index\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";s:9:\"plugin_id\";s:4:\"date\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";}}s:9:\"arguments\";a:1:{s:3:\"tid\";a:23:{s:2:\"id\";s:3:\"tid\";s:5:\"table\";s:14:\"taxonomy_index\";s:5:\"field\";s:3:\"tid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:14:\"default_action\";s:9:\"not found\";s:9:\"exception\";a:3:{s:5:\"value\";s:0:\"\";s:12:\"title_enable\";b:0;s:5:\"title\";s:3:\"All\";}s:12:\"title_enable\";b:1;s:5:\"title\";s:19:\"{{ arguments.tid }}\";s:21:\"default_argument_type\";s:5:\"fixed\";s:24:\"default_argument_options\";a:1:{s:8:\"argument\";s:0:\"\";}s:25:\"default_argument_skip_url\";b:0;s:15:\"summary_options\";a:4:{s:9:\"base_path\";s:0:\"\";s:5:\"count\";b:1;s:14:\"items_per_page\";i:25;s:8:\"override\";b:0;}s:7:\"summary\";a:3:{s:10:\"sort_order\";s:3:\"asc\";s:17:\"number_of_records\";i:0;s:6:\"format\";s:15:\"default_summary\";}s:18:\"specify_validation\";b:1;s:8:\"validate\";a:2:{s:4:\"type\";s:20:\"entity:taxonomy_term\";s:4:\"fail\";s:9:\"not found\";}s:16:\"validate_options\";a:4:{s:6:\"access\";b:1;s:9:\"operation\";s:4:\"view\";s:8:\"multiple\";i:0;s:7:\"bundles\";a:0:{}}s:12:\"break_phrase\";b:0;s:9:\"add_table\";b:0;s:13:\"require_value\";b:0;s:17:\"reduce_duplicates\";b:0;s:9:\"plugin_id\";s:18:\"taxonomy_index_tid\";}}s:7:\"filters\";a:2:{s:6:\"status\";a:14:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:14:\"taxonomy_index\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:7:\"boolean\";}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:33:\"***LANGUAGE_language_interface***\";s:33:\"***LANGUAGE_language_interface***\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";}}s:5:\"style\";a:2:{s:4:\"type\";s:4:\"grid\";s:7:\"options\";a:8:{s:8:\"grouping\";a:0:{}s:7:\"columns\";i:3;s:15:\"automatic_width\";b:1;s:9:\"alignment\";s:10:\"horizontal\";s:17:\"col_class_default\";b:1;s:16:\"col_class_custom\";s:0:\"\";s:17:\"row_class_default\";b:1;s:16:\"row_class_custom\";s:0:\"\";}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:4:{s:22:\"default_field_elements\";b:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";b:0;}}s:6:\"header\";a:1:{s:20:\"entity_taxonomy_term\";a:12:{s:2:\"id\";s:20:\"entity_taxonomy_term\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:20:\"entity_taxonomy_term\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:1;s:8:\"tokenize\";b:1;s:6:\"target\";s:23:\"{{ raw_arguments.tid }}\";s:9:\"view_mode\";s:4:\"full\";s:13:\"bypass_access\";b:0;s:9:\"plugin_id\";s:6:\"entity\";}}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:4:{s:4:\"path\";a:25:{s:2:\"id\";s:4:\"path\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"absolute\";b:0;s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:11:\"entity_link\";s:18:\"output_url_as_text\";b:1;}s:5:\"title\";a:37:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:9:\"plugin_id\";s:5:\"field\";}s:4:\"body\";a:35:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:10:\"node__body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:200;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:7:\"nothing\";a:22:{s:2:\"id\";s:7:\"nothing\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"nothing\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:98:\"	<div class=\"views-field wp-views-field-view-node\">\n		<a href=\"{{ path }}\">Read more</a> 	\n	</div>\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:0;s:9:\"plugin_id\";s:6:\"custom\";}}s:17:\"display_extenders\";a:0:{}s:8:\"link_url\";s:0:\"\";s:12:\"link_display\";s:6:\"page_1\";}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:6:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:21:\"user.node_grants:view\";i:5;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:1:{i:0;s:30:\"config:field.storage.node.body\";}}}s:6:\"feed_1\";a:6:{s:2:\"id\";s:6:\"feed_1\";s:13:\"display_title\";s:4:\"Feed\";s:14:\"display_plugin\";s:4:\"feed\";s:8:\"position\";i:2;s:15:\"display_options\";a:7:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:10;s:6:\"offset\";i:0;}}s:4:\"path\";s:20:\"taxonomy/term/%/feed\";s:8:\"displays\";a:2:{s:6:\"page_1\";s:6:\"page_1\";s:7:\"default\";s:1:\"0\";}s:5:\"style\";a:2:{s:4:\"type\";s:3:\"rss\";s:7:\"options\";a:3:{s:11:\"description\";s:0:\"\";s:8:\"grouping\";a:0:{}s:11:\"uses_fields\";b:0;}}s:3:\"row\";a:2:{s:4:\"type\";s:8:\"node_rss\";s:7:\"options\";a:2:{s:12:\"relationship\";s:4:\"none\";s:9:\"view_mode\";s:7:\"default\";}}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:1:{i:0;s:30:\"config:field.storage.node.body\";}}}s:6:\"page_1\";a:6:{s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:4:\"Page\";s:14:\"display_plugin\";s:4:\"page\";s:8:\"position\";i:1;s:15:\"display_options\";a:3:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:15:\"taxonomy/term/%\";s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:6:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:21:\"user.node_grants:view\";i:5;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:1:{i:0;s:30:\"config:field.storage.node.body\";}}}}}',-1,1636011226.086,1,'','0'),('views.view.user_admin_people','a:13:{s:4:\"uuid\";s:36:\"b252cf52-f026-4c75-b27e-04282bef7925\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"queuLjhKGUQ_b-lNh_TkhCvOPrVunfJopvVGOf3cjAo\";}s:2:\"id\";s:17:\"user_admin_people\";s:5:\"label\";s:6:\"People\";s:6:\"module\";s:4:\"user\";s:11:\"description\";s:50:\"Find and manage people interacting with your site.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:16:\"users_field_data\";s:10:\"base_field\";s:3:\"uid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:25:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:16:\"administer users\";}}s:5:\"cache\";a:1:{s:4:\"type\";s:3:\"tag\";}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:6:\"Filter\";s:12:\"reset_button\";b:1;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:14:\"items_per_page\";i:50;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";i:0;s:4:\"tags\";a:4:{s:8:\"previous\";s:12:\"‹ Previous\";s:4:\"next\";s:8:\"Next ›\";s:5:\"first\";s:8:\"« First\";s:4:\"last\";s:7:\"Last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:8:\"quantity\";i:9;}}s:5:\"style\";a:2:{s:4:\"type\";s:5:\"table\";s:7:\"options\";a:10:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:8:\"override\";b:1;s:6:\"sticky\";b:0;s:7:\"summary\";s:0:\"\";s:7:\"columns\";a:8:{s:14:\"user_bulk_form\";s:14:\"user_bulk_form\";s:4:\"name\";s:4:\"name\";s:6:\"status\";s:6:\"status\";s:3:\"rid\";s:3:\"rid\";s:7:\"created\";s:7:\"created\";s:6:\"access\";s:6:\"access\";s:9:\"edit_node\";s:9:\"edit_node\";s:10:\"dropbutton\";s:10:\"dropbutton\";}s:4:\"info\";a:8:{s:14:\"user_bulk_form\";a:4:{s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:4:\"name\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:6:\"status\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:3:\"rid\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:7:\"created\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:6:\"access\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:9:\"edit_node\";a:4:{s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:10:\"dropbutton\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}}s:7:\"default\";s:7:\"created\";s:11:\"empty_table\";b:1;}}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:6:\"fields\";a:8:{s:14:\"user_bulk_form\";a:23:{s:2:\"id\";s:14:\"user_bulk_form\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:14:\"user_bulk_form\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:11:\"Bulk update\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:9:\"plugin_id\";s:14:\"user_bulk_form\";s:11:\"entity_type\";s:4:\"user\";}s:4:\"name\";a:25:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:8:\"Username\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:9:\"plugin_id\";s:5:\"field\";s:4:\"type\";s:9:\"user_name\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"name\";}s:6:\"status\";a:26:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:6:\"Status\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:9:\"plugin_id\";s:5:\"field\";s:4:\"type\";s:7:\"boolean\";s:8:\"settings\";a:3:{s:6:\"format\";s:6:\"custom\";s:18:\"format_custom_true\";s:6:\"Active\";s:19:\"format_custom_false\";s:7:\"Blocked\";}s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:6:\"status\";}s:15:\"roles_target_id\";a:24:{s:2:\"id\";s:15:\"roles_target_id\";s:5:\"table\";s:11:\"user__roles\";s:5:\"field\";s:15:\"roles_target_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:5:\"Roles\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:2:\"ul\";s:9:\"separator\";s:2:\", \";s:9:\"plugin_id\";s:10:\"user_roles\";}s:7:\"created\";a:26:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:10:\"Member for\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:13:\"timestamp_ago\";s:8:\"settings\";a:3:{s:13:\"future_format\";s:9:\"@interval\";s:11:\"past_format\";s:9:\"@interval\";s:11:\"granularity\";i:2;}s:9:\"plugin_id\";s:5:\"field\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:7:\"created\";}s:6:\"access\";a:26:{s:2:\"id\";s:6:\"access\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:6:\"access\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:11:\"Last access\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:13:\"timestamp_ago\";s:8:\"settings\";a:3:{s:13:\"future_format\";s:15:\"@interval hence\";s:11:\"past_format\";s:13:\"@interval ago\";s:11:\"granularity\";i:2;}s:9:\"plugin_id\";s:5:\"field\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:6:\"access\";}s:10:\"operations\";a:24:{s:2:\"id\";s:10:\"operations\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:10:\"operations\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:10:\"Operations\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"destination\";b:1;s:11:\"entity_type\";s:4:\"user\";s:9:\"plugin_id\";s:17:\"entity_operations\";}s:4:\"mail\";a:37:{s:2:\"id\";s:4:\"mail\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"mail\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"basic_string\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"mail\";}}s:7:\"filters\";a:6:{s:7:\"combine\";a:15:{s:2:\"id\";s:7:\"combine\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"combine\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:8:\"contains\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:10:\"combine_op\";s:5:\"label\";s:22:\"Name or email contains\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:10:\"combine_op\";s:10:\"identifier\";s:4:\"user\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:6:\"fields\";a:2:{s:4:\"name\";s:4:\"name\";s:4:\"mail\";s:4:\"mail\";}s:9:\"plugin_id\";s:7:\"combine\";}s:15:\"roles_target_id\";a:15:{s:2:\"id\";s:15:\"roles_target_id\";s:5:\"table\";s:11:\"user__roles\";s:5:\"field\";s:15:\"roles_target_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:18:\"roles_target_id_op\";s:5:\"label\";s:4:\"Role\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:18:\"roles_target_id_op\";s:10:\"identifier\";s:4:\"role\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";b:0;s:9:\"plugin_id\";s:10:\"user_roles\";}s:10:\"permission\";a:15:{s:2:\"id\";s:10:\"permission\";s:5:\"table\";s:11:\"user__roles\";s:5:\"field\";s:10:\"permission\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:13:\"permission_op\";s:5:\"label\";s:10:\"Permission\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:13:\"permission_op\";s:10:\"identifier\";s:10:\"permission\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";b:0;s:9:\"plugin_id\";s:16:\"user_permissions\";}s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:9:\"status_op\";s:10:\"identifier\";s:6:\"status\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:1;s:10:\"group_info\";a:10:{s:5:\"label\";s:6:\"Status\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:6:\"status\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:2:{i:1;a:3:{s:5:\"title\";s:6:\"Active\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";}i:2;a:3:{s:5:\"title\";s:7:\"Blocked\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"0\";}}}s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:6:\"status\";}s:16:\"default_langcode\";a:16:{s:2:\"id\";s:16:\"default_langcode\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:16:\"default_langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:16:\"default_langcode\";s:9:\"plugin_id\";s:7:\"boolean\";}s:7:\"uid_raw\";a:15:{s:2:\"id\";s:7:\"uid_raw\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:7:\"uid_raw\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"!=\";s:5:\"value\";a:3:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:1:\"0\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:15:{s:11:\"operator_id\";s:1:\"0\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:11:\"placeholder\";s:0:\"\";s:15:\"min_placeholder\";s:0:\"\";s:15:\"max_placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:7:\"numeric\";s:11:\"entity_type\";s:4:\"user\";}}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"order\";s:4:\"DESC\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";s:9:\"plugin_id\";s:4:\"date\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:7:\"created\";}}s:5:\"title\";s:6:\"People\";s:5:\"empty\";a:1:{s:16:\"area_text_custom\";a:10:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:1;s:8:\"tokenize\";b:0;s:7:\"content\";s:20:\"No people available.\";s:9:\"plugin_id\";s:11:\"text_custom\";}}s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:0;s:13:\"use_more_text\";s:4:\"more\";s:15:\"display_comment\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"group_by\";b:0;s:8:\"link_url\";s:0:\"\";s:12:\"link_display\";s:6:\"page_1\";s:9:\"css_class\";s:0:\"\";s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:7:\"max-age\";i:0;s:4:\"tags\";a:0:{}}}s:6:\"page_1\";a:6:{s:14:\"display_plugin\";s:4:\"page\";s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:4:\"Page\";s:8:\"position\";i:1;s:15:\"display_options\";a:6:{s:4:\"path\";s:17:\"admin/people/list\";s:16:\"show_admin_links\";b:0;s:4:\"menu\";a:6:{s:4:\"type\";s:11:\"default tab\";s:5:\"title\";s:4:\"List\";s:11:\"description\";s:50:\"Find and manage people interacting with your site.\";s:9:\"menu_name\";s:5:\"admin\";s:6:\"weight\";i:-10;s:7:\"context\";s:0:\"\";}s:11:\"tab_options\";a:5:{s:4:\"type\";s:6:\"normal\";s:5:\"title\";s:6:\"People\";s:11:\"description\";s:45:\"Manage user accounts, roles, and permissions.\";s:9:\"menu_name\";s:5:\"admin\";s:6:\"weight\";i:0;}s:8:\"defaults\";a:1:{s:16:\"show_admin_links\";b:0;}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:7:\"max-age\";i:0;s:4:\"tags\";a:0:{}}}}}',-1,1636011226.086,1,'','0'),('views.view.user_page_banner','a:12:{s:4:\"uuid\";s:36:\"1fbd0a5c-be0f-4461-88e5-486f97429775\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:2:\"id\";s:16:\"user_page_banner\";s:5:\"label\";s:16:\"User Page Banner\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:10:\"base_table\";s:16:\"users_field_data\";s:10:\"base_field\";s:3:\"uid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:17:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:20:\"access user profiles\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:5;s:6:\"offset\";i:0;}}s:5:\"style\";a:1:{s:4:\"type\";s:7:\"default\";}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:6:\"fields\";a:1:{s:4:\"name\";a:37:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"name\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"name\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";b:0;s:9:\"make_link\";b:0;s:8:\"absolute\";b:0;s:4:\"trim\";b:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:10:\"strip_tags\";b:0;s:4:\"html\";b:0;}s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:9:\"plugin_id\";s:5:\"field\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exclude\";b:0;s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"user_name\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}}s:7:\"filters\";a:1:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}}s:5:\"sorts\";a:0:{}s:5:\"title\";s:16:\"User Page Banner\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:9:\"arguments\";a:1:{s:3:\"uid\";a:23:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:3:\"uid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:14:\"default_action\";s:7:\"default\";s:9:\"exception\";a:3:{s:5:\"value\";s:3:\"all\";s:12:\"title_enable\";b:0;s:5:\"title\";s:3:\"All\";}s:12:\"title_enable\";b:0;s:5:\"title\";s:0:\"\";s:21:\"default_argument_type\";s:12:\"current_user\";s:24:\"default_argument_options\";a:0:{}s:25:\"default_argument_skip_url\";b:0;s:15:\"summary_options\";a:4:{s:9:\"base_path\";s:0:\"\";s:5:\"count\";b:1;s:14:\"items_per_page\";i:25;s:8:\"override\";b:0;}s:7:\"summary\";a:3:{s:10:\"sort_order\";s:3:\"asc\";s:17:\"number_of_records\";i:0;s:6:\"format\";s:15:\"default_summary\";}s:18:\"specify_validation\";b:0;s:8:\"validate\";a:2:{s:4:\"type\";s:4:\"none\";s:4:\"fail\";s:9:\"not found\";}s:16:\"validate_options\";a:0:{}s:12:\"break_phrase\";b:0;s:3:\"not\";b:0;s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:3:\"uid\";s:9:\"plugin_id\";s:8:\"user_uid\";}}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:4:\"user\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}s:7:\"block_1\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_1\";s:13:\"display_title\";s:5:\"Block\";s:8:\"position\";i:1;s:15:\"display_options\";a:1:{s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:4:\"user\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}}}',-1,1636011226.086,1,'','0'),('views.view.watchdog','a:12:{s:4:\"uuid\";s:36:\"fead2258-6a23-4deb-aa9c-fd4e75a5b8ba\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:5:\"dblog\";i:1;s:4:\"user\";}}s:2:\"id\";s:8:\"watchdog\";s:5:\"label\";s:8:\"Watchdog\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:19:\"Recent log messages\";s:3:\"tag\";s:0:\"\";s:10:\"base_table\";s:8:\"watchdog\";s:10:\"base_field\";s:3:\"wid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:19:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:19:\"access site reports\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:6:\"Filter\";s:12:\"reset_button\";b:1;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:0;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:6:{s:14:\"items_per_page\";i:50;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";N;s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:4:\"tags\";a:2:{s:8:\"previous\";s:6:\"‹‹\";s:4:\"next\";s:6:\"››\";}}}s:5:\"style\";a:2:{s:4:\"type\";s:5:\"table\";s:7:\"options\";a:12:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:25:\"{{ type }} {{ severity }}\";s:17:\"default_row_class\";b:1;s:8:\"override\";b:1;s:6:\"sticky\";b:0;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";s:11:\"description\";s:0:\"\";s:7:\"columns\";a:8:{s:7:\"nothing\";s:7:\"nothing\";s:3:\"wid\";s:3:\"wid\";s:8:\"severity\";s:8:\"severity\";s:4:\"type\";s:4:\"type\";s:9:\"timestamp\";s:9:\"timestamp\";s:7:\"message\";s:7:\"message\";s:4:\"name\";s:4:\"name\";s:4:\"link\";s:4:\"link\";}s:4:\"info\";a:8:{s:7:\"nothing\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:15:\"priority-medium\";}s:3:\"wid\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:8:\"severity\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:4:\"type\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:15:\"priority-medium\";}s:9:\"timestamp\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:7:\"message\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:4:\"name\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:15:\"priority-medium\";}s:4:\"link\";a:4:{s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}}s:7:\"default\";s:3:\"wid\";s:11:\"empty_table\";b:0;}}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:6:\"fields\";a:8:{s:7:\"nothing\";a:22:{s:2:\"id\";s:7:\"nothing\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"nothing\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:4:\"Icon\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:4:\"icon\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:0;s:9:\"plugin_id\";s:6:\"custom\";}s:3:\"wid\";a:22:{s:2:\"id\";s:3:\"wid\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:3:\"wid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:3:\"WID\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:9:\"plugin_id\";s:8:\"standard\";}s:8:\"severity\";a:23:{s:2:\"id\";s:8:\"severity\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:8:\"severity\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:8:\"Severity\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:12:\"machine_name\";b:0;s:9:\"plugin_id\";s:12:\"machine_name\";}s:4:\"type\";a:22:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:4:\"Type\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:9:\"plugin_id\";s:8:\"standard\";}s:9:\"timestamp\";a:25:{s:2:\"id\";s:9:\"timestamp\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:9:\"timestamp\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:4:\"Date\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"date_format\";s:5:\"short\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";s:9:\"plugin_id\";s:4:\"date\";}s:7:\"message\";a:23:{s:2:\"id\";s:7:\"message\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:7:\"message\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:7:\"Message\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:1;s:4:\"path\";s:35:\"admin/reports/dblog/event/{{ wid }}\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:13:\"{{ message }}\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:56;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:1;s:4:\"trim\";b:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"replace_variables\";b:1;s:9:\"plugin_id\";s:13:\"dblog_message\";}s:4:\"name\";a:37:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:3:\"uid\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:4:\"User\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"user_name\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:5:\"field\";}s:4:\"link\";a:22:{s:2:\"id\";s:4:\"link\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:4:\"link\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:10:\"Operations\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:9:\"plugin_id\";s:16:\"dblog_operations\";}}s:7:\"filters\";a:2:{s:4:\"type\";a:14:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:7:\"type_op\";s:5:\"label\";s:4:\"Type\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:7:\"type_op\";s:10:\"identifier\";s:4:\"type\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:1;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:11:\"dblog_types\";}s:8:\"severity\";a:14:{s:2:\"id\";s:8:\"severity\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:8:\"severity\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:11:\"severity_op\";s:5:\"label\";s:8:\"Severity\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:11:\"severity_op\";s:10:\"identifier\";s:8:\"severity\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:1;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:11:\"in_operator\";}}s:5:\"sorts\";a:1:{s:3:\"wid\";a:10:{s:2:\"id\";s:3:\"wid\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:3:\"wid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"order\";s:4:\"DESC\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:9:\"plugin_id\";s:8:\"standard\";}}s:5:\"title\";s:19:\"Recent log messages\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:1:{s:4:\"area\";a:10:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:26:\"No log messages available.\";s:5:\"empty\";b:1;s:8:\"tokenize\";b:0;s:7:\"content\";s:26:\"No log messages available.\";s:9:\"plugin_id\";s:11:\"text_custom\";}}s:13:\"relationships\";a:1:{s:3:\"uid\";a:8:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:3:\"uid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:4:\"User\";s:8:\"required\";b:0;s:9:\"plugin_id\";s:8:\"standard\";}}s:9:\"arguments\";a:0:{}s:17:\"display_extenders\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:9:\"css_class\";s:11:\"admin-dblog\";}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}s:4:\"page\";a:6:{s:14:\"display_plugin\";s:4:\"page\";s:2:\"id\";s:4:\"page\";s:13:\"display_title\";s:4:\"Page\";s:8:\"position\";i:1;s:15:\"display_options\";a:2:{s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:19:\"admin/reports/dblog\";}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}}}',-1,1636011226.086,1,'','0'),('views.view.who_s_new','a:13:{s:4:\"uuid\";s:36:\"c93f19dd-25ca-48f0-bc01-38933cdeae88\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"B2M6BoNVm-hHVnH2ILCpbhCZV71T6zLNs8Ag5QH-oNE\";}s:2:\"id\";s:9:\"who_s_new\";s:5:\"label\";s:9:\"Who\'s new\";s:6:\"module\";s:4:\"user\";s:11:\"description\";s:53:\"Shows a list of the newest user accounts on the site.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:16:\"users_field_data\";s:10:\"base_field\";s:3:\"uid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:17:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:5;s:6:\"offset\";i:0;}}s:5:\"style\";a:1:{s:4:\"type\";s:9:\"html_list\";}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:6:\"fields\";a:1:{s:4:\"name\";a:25:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"name\";s:5:\"label\";s:0:\"\";s:9:\"plugin_id\";s:5:\"field\";s:4:\"type\";s:9:\"user_name\";s:5:\"alter\";a:8:{s:10:\"alter_text\";b:0;s:9:\"make_link\";b:0;s:8:\"absolute\";b:0;s:4:\"trim\";b:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:10:\"strip_tags\";b:0;s:4:\"html\";b:0;}s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exclude\";b:0;s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:16:\"hide_alter_empty\";b:1;s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"name\";}}s:7:\"filters\";a:2:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:1:\"0\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:6:\"status\";}s:6:\"access\";a:16:{s:2:\"id\";s:6:\"access\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:6:\"access\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:1:\">\";s:5:\"value\";a:4:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:10:\"1970-01-01\";s:4:\"type\";s:4:\"date\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:15:{s:11:\"operator_id\";s:1:\"0\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:11:\"placeholder\";s:0:\"\";s:15:\"min_placeholder\";s:0:\"\";s:15:\"max_placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:4:\"date\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:6:\"access\";}}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"order\";s:4:\"DESC\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";s:9:\"plugin_id\";s:4:\"date\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:7:\"created\";}}s:5:\"title\";s:9:\"Who\'s new\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:9:\"arguments\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:3:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}s:7:\"block_1\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_1\";s:13:\"display_title\";s:9:\"Who\'s new\";s:8:\"position\";i:1;s:15:\"display_options\";a:4:{s:19:\"display_description\";s:19:\"A list of new users\";s:17:\"block_description\";s:9:\"Who\'s new\";s:14:\"block_category\";s:4:\"User\";s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:3:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}}}',-1,1636011226.086,1,'','0'),('views.view.who_s_online','a:13:{s:4:\"uuid\";s:36:\"103d19fc-13a8-4331-af03-ca768b4a35cc\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"DWLCIpl8ku4NbiI9t3GgDeuW13KSOy2l1zho7ReP_Bg\";}s:2:\"id\";s:12:\"who_s_online\";s:5:\"label\";s:18:\"Who\'s online block\";s:6:\"module\";s:4:\"user\";s:11:\"description\";s:93:\"Shows the user names of the most recently active users, and the total number of active users.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:16:\"users_field_data\";s:10:\"base_field\";s:3:\"uid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:17:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:20:\"access user profiles\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:10;s:6:\"offset\";i:0;}}s:5:\"style\";a:2:{s:4:\"type\";s:9:\"html_list\";s:7:\"options\";a:6:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:4:\"type\";s:2:\"ul\";s:13:\"wrapper_class\";s:9:\"item-list\";s:5:\"class\";s:0:\"\";}}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:6:\"fields\";a:1:{s:4:\"name\";a:25:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"name\";s:5:\"label\";s:0:\"\";s:9:\"plugin_id\";s:5:\"field\";s:4:\"type\";s:9:\"user_name\";s:5:\"alter\";a:8:{s:10:\"alter_text\";b:0;s:9:\"make_link\";b:0;s:8:\"absolute\";b:0;s:4:\"trim\";b:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:10:\"strip_tags\";b:0;s:4:\"html\";b:0;}s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exclude\";b:0;s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:16:\"hide_alter_empty\";b:1;s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"name\";}}s:7:\"filters\";a:2:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:1:\"0\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:6:\"status\";}s:6:\"access\";a:16:{s:2:\"id\";s:6:\"access\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:6:\"access\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\">=\";s:5:\"value\";a:4:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:11:\"-15 minutes\";s:4:\"type\";s:6:\"offset\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:15:{s:11:\"operator_id\";s:9:\"access_op\";s:5:\"label\";s:11:\"Last access\";s:11:\"description\";s:77:\"A user is considered online for this long after they have last viewed a page.\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:9:\"access_op\";s:10:\"identifier\";s:6:\"access\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";s:15:\"min_placeholder\";s:0:\"\";s:15:\"max_placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:4:\"date\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:6:\"access\";}}s:5:\"sorts\";a:1:{s:6:\"access\";a:13:{s:2:\"id\";s:6:\"access\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:6:\"access\";s:5:\"order\";s:4:\"DESC\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";s:9:\"plugin_id\";s:4:\"date\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:6:\"access\";}}s:5:\"title\";s:12:\"Who\'s online\";s:6:\"header\";a:1:{s:6:\"result\";a:9:{s:2:\"id\";s:6:\"result\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:6:\"result\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:0;s:7:\"content\";s:40:\"There are currently @total users online.\";s:9:\"plugin_id\";s:6:\"result\";}}s:6:\"footer\";a:0:{}s:5:\"empty\";a:1:{s:16:\"area_text_custom\";a:10:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:1;s:8:\"tokenize\";b:0;s:7:\"content\";s:35:\"There are currently 0 users online.\";s:9:\"plugin_id\";s:11:\"text_custom\";}}s:13:\"relationships\";a:0:{}s:9:\"arguments\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:3:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}s:18:\"who_s_online_block\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:18:\"who_s_online_block\";s:13:\"display_title\";s:12:\"Who\'s online\";s:8:\"position\";i:1;s:15:\"display_options\";a:3:{s:17:\"block_description\";s:12:\"Who\'s online\";s:19:\"display_description\";s:45:\"A list of users that are currently logged in.\";s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:3:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}}}',-1,1636011226.086,1,'','0'),('views.view.why_choose_us','a:12:{s:4:\"uuid\";s:36:\"bc828e13-4376-4661-bcf6-6da499621a1f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:23:\"field.storage.node.body\";i:1;s:16:\"node.type.why_us\";}s:6:\"module\";a:4:{i:0;s:4:\"node\";i:1;s:7:\"options\";i:2;s:4:\"text\";i:3;s:4:\"user\";}}s:2:\"id\";s:13:\"why_choose_us\";s:5:\"label\";s:13:\"Why choose us\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:3:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:18:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:5;s:6:\"offset\";i:0;}}s:5:\"style\";a:1:{s:4:\"type\";s:7:\"default\";}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:6:\"fields\";a:3:{s:7:\"counter\";a:23:{s:2:\"id\";s:7:\"counter\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"counter\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:13:\"counter_start\";i:0;s:9:\"plugin_id\";s:7:\"counter\";}s:5:\"title\";a:35:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:1;s:4:\"path\";s:20:\"#whyus-{{ counter }}\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:9:\"collapsed\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:2:\"h4\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:4:\"body\";a:35:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:10:\"node__body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}}s:7:\"filters\";a:3:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:6:\"why_us\";s:6:\"why_us\";}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:23:\"field_why_us_type_value\";a:15:{s:2:\"id\";s:23:\"field_why_us_type_value\";s:5:\"table\";s:23:\"node__field_why_us_type\";s:5:\"field\";s:23:\"field_why_us_type_value\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:1:{i:2;s:1:\"2\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";b:0;s:9:\"plugin_id\";s:10:\"list_field\";}}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";}}s:5:\"title\";s:13:\"Why choose us\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:9:\"arguments\";a:0:{}s:17:\"display_extenders\";a:0:{}s:9:\"css_class\";s:12:\"why-us-block\";}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:1:{i:0;s:30:\"config:field.storage.node.body\";}}}s:7:\"block_1\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_1\";s:13:\"display_title\";s:13:\"Why choose us\";s:8:\"position\";i:1;s:15:\"display_options\";a:5:{s:17:\"display_extenders\";a:0:{}s:19:\"display_description\";s:0:\"\";s:7:\"filters\";a:3:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:6:\"why_us\";s:6:\"why_us\";}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:23:\"field_why_us_type_value\";a:15:{s:2:\"id\";s:23:\"field_why_us_type_value\";s:5:\"table\";s:23:\"node__field_why_us_type\";s:5:\"field\";s:23:\"field_why_us_type_value\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:1:{i:1;s:1:\"1\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";b:0;s:9:\"plugin_id\";s:10:\"list_field\";}}s:8:\"defaults\";a:2:{s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:1:{i:0;s:30:\"config:field.storage.node.body\";}}}s:7:\"block_2\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_2\";s:13:\"display_title\";s:20:\"OUR AMAZING FEATURES\";s:8:\"position\";i:1;s:15:\"display_options\";a:5:{s:17:\"display_extenders\";a:0:{}s:19:\"display_description\";s:0:\"\";s:5:\"title\";s:20:\"Our amazing features\";s:8:\"defaults\";a:2:{s:5:\"title\";b:0;s:6:\"fields\";b:0;}s:6:\"fields\";a:3:{s:7:\"counter\";a:23:{s:2:\"id\";s:7:\"counter\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"counter\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:13:\"counter_start\";i:0;s:9:\"plugin_id\";s:7:\"counter\";}s:5:\"title\";a:35:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:1;s:4:\"path\";s:20:\"#whyus-{{ counter }}\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:9:\"collapsed\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:2:\"h4\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:4:\"body\";a:35:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:10:\"node__body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:44:\"{{ body }}\n<div class=\"ad-arrow\">Arrow</div>\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:1:{i:0;s:30:\"config:field.storage.node.body\";}}}}}',-1,1636011226.086,1,'','0');
/*!40000 ALTER TABLE `cache_config` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_container`
--

DROP TABLE IF EXISTS `cache_container`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_container` (
  `cid` varchar(255) CHARACTER SET ascii COLLATE ascii_bin NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob DEFAULT NULL COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT 0 COMMENT 'A Unix timestamp indicating when the cache entry should expire, or -1 for never.',
  `created` decimal(14,3) NOT NULL DEFAULT 0.000 COMMENT 'A timestamp with millisecond precision indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT 0 COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  `tags` longtext DEFAULT NULL COMMENT 'Space-separated list of cache tags for this entry.',
  `checksum` varchar(255) CHARACTER SET ascii NOT NULL COMMENT 'The tag invalidation checksum when this entry was saved.',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Storage for the cache API.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_container`
--

LOCK TABLES `cache_container` WRITE;
/*!40000 ALTER TABLE `cache_container` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `cache_container` VALUES ('service_container:prod:8.9.19::Linux:a:1:{i:0;s:59:\"/home/frontend/drupal8/luxestate/sites/default/services.yml\";}','a:5:{s:7:\"aliases\";a:6:{s:32:\"Psr\\Container\\ContainerInterface\";s:17:\"service_container\";s:56:\"Symfony\\Component\\DependencyInjection\\ContainerInterface\";s:17:\"service_container\";s:19:\"config.storage.sync\";s:22:\"config.storage.staging\";s:20:\"path.alias_whitelist\";s:20:\"path_alias.whitelist\";s:15:\"session_handler\";s:26:\"session_handler.write_safe\";s:12:\"element_info\";s:27:\"plugin.manager.element_info\";}s:10:\"parameters\";a:22:{s:18:\"kernel.environment\";s:4:\"prod\";s:17:\"container.modules\";a:63:{s:13:\"admin_toolbar\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:44:\"modules/admin_toolbar/admin_toolbar.info.yml\";s:8:\"filename\";s:20:\"admin_toolbar.module\";}s:20:\"admin_toolbar_search\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:72:\"modules/admin_toolbar/admin_toolbar_search/admin_toolbar_search.info.yml\";s:8:\"filename\";s:27:\"admin_toolbar_search.module\";}s:19:\"admin_toolbar_tools\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:70:\"modules/admin_toolbar/admin_toolbar_tools/admin_toolbar_tools.info.yml\";s:8:\"filename\";s:26:\"admin_toolbar_tools.module\";}s:14:\"automated_cron\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:51:\"core/modules/automated_cron/automated_cron.info.yml\";s:8:\"filename\";s:21:\"automated_cron.module\";}s:5:\"block\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:33:\"core/modules/block/block.info.yml\";s:8:\"filename\";s:12:\"block.module\";}s:11:\"block_class\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:40:\"modules/block_class/block_class.info.yml\";s:8:\"filename\";s:18:\"block_class.module\";}s:13:\"block_content\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:49:\"core/modules/block_content/block_content.info.yml\";s:8:\"filename\";s:20:\"block_content.module\";}s:10:\"breakpoint\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:43:\"core/modules/breakpoint/breakpoint.info.yml\";s:8:\"filename\";s:17:\"breakpoint.module\";}s:8:\"ckeditor\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:39:\"core/modules/ckeditor/ckeditor.info.yml\";s:8:\"filename\";s:15:\"ckeditor.module\";}s:5:\"color\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:33:\"core/modules/color/color.info.yml\";s:8:\"filename\";s:12:\"color.module\";}s:8:\"colorbox\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:34:\"modules/colorbox/colorbox.info.yml\";s:8:\"filename\";s:15:\"colorbox.module\";}s:7:\"comment\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:37:\"core/modules/comment/comment.info.yml\";s:8:\"filename\";s:14:\"comment.module\";}s:6:\"config\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:35:\"core/modules/config/config.info.yml\";s:8:\"filename\";s:13:\"config.module\";}s:18:\"config_translation\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:59:\"core/modules/config_translation/config_translation.info.yml\";s:8:\"filename\";s:25:\"config_translation.module\";}s:7:\"contact\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:37:\"core/modules/contact/contact.info.yml\";s:8:\"filename\";s:14:\"contact.module\";}s:19:\"content_translation\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:61:\"core/modules/content_translation/content_translation.info.yml\";s:8:\"filename\";s:26:\"content_translation.module\";}s:10:\"contextual\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:43:\"core/modules/contextual/contextual.info.yml\";s:8:\"filename\";s:17:\"contextual.module\";}s:6:\"ctools\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:30:\"modules/ctools/ctools.info.yml\";s:8:\"filename\";s:13:\"ctools.module\";}s:8:\"datetime\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:39:\"core/modules/datetime/datetime.info.yml\";s:8:\"filename\";s:15:\"datetime.module\";}s:5:\"dblog\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:33:\"core/modules/dblog/dblog.info.yml\";s:8:\"filename\";s:12:\"dblog.module\";}s:18:\"dynamic_page_cache\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:59:\"core/modules/dynamic_page_cache/dynamic_page_cache.info.yml\";s:8:\"filename\";s:25:\"dynamic_page_cache.module\";}s:6:\"editor\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:35:\"core/modules/editor/editor.info.yml\";s:8:\"filename\";s:13:\"editor.module\";}s:5:\"field\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:33:\"core/modules/field/field.info.yml\";s:8:\"filename\";s:12:\"field.module\";}s:8:\"field_ui\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:39:\"core/modules/field_ui/field_ui.info.yml\";s:8:\"filename\";s:15:\"field_ui.module\";}s:4:\"file\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:31:\"core/modules/file/file.info.yml\";s:8:\"filename\";s:11:\"file.module\";}s:6:\"filter\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:35:\"core/modules/filter/filter.info.yml\";s:8:\"filename\";s:13:\"filter.module\";}s:4:\"help\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:31:\"core/modules/help/help.info.yml\";s:8:\"filename\";s:11:\"help.module\";}s:7:\"history\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:37:\"core/modules/history/history.info.yml\";s:8:\"filename\";s:14:\"history.module\";}s:5:\"image\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:33:\"core/modules/image/image.info.yml\";s:8:\"filename\";s:12:\"image.module\";}s:8:\"language\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:39:\"core/modules/language/language.info.yml\";s:8:\"filename\";s:15:\"language.module\";}s:9:\"libraries\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:36:\"modules/libraries/libraries.info.yml\";s:8:\"filename\";s:16:\"libraries.module\";}s:4:\"link\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:31:\"core/modules/link/link.info.yml\";s:8:\"filename\";s:11:\"link.module\";}s:6:\"locale\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:35:\"core/modules/locale/locale.info.yml\";s:8:\"filename\";s:13:\"locale.module\";}s:20:\"menu_link_attributes\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:58:\"modules/menu_link_attributes/menu_link_attributes.info.yml\";s:8:\"filename\";s:27:\"menu_link_attributes.module\";}s:7:\"menu_ui\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:37:\"core/modules/menu_ui/menu_ui.info.yml\";s:8:\"filename\";s:14:\"menu_ui.module\";}s:4:\"node\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:31:\"core/modules/node/node.info.yml\";s:8:\"filename\";s:11:\"node.module\";}s:10:\"node_class\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:38:\"modules/node_class/node_class.info.yml\";s:8:\"filename\";s:17:\"node_class.module\";}s:7:\"options\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:37:\"core/modules/options/options.info.yml\";s:8:\"filename\";s:14:\"options.module\";}s:10:\"page_cache\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:43:\"core/modules/page_cache/page_cache.info.yml\";s:8:\"filename\";s:17:\"page_cache.module\";}s:4:\"path\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:31:\"core/modules/path/path.info.yml\";s:8:\"filename\";s:11:\"path.module\";}s:10:\"path_alias\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:43:\"core/modules/path_alias/path_alias.info.yml\";s:8:\"filename\";N;}s:9:\"quickedit\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:41:\"core/modules/quickedit/quickedit.info.yml\";s:8:\"filename\";s:16:\"quickedit.module\";}s:3:\"rdf\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:29:\"core/modules/rdf/rdf.info.yml\";s:8:\"filename\";s:10:\"rdf.module\";}s:16:\"responsive_image\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:55:\"core/modules/responsive_image/responsive_image.info.yml\";s:8:\"filename\";s:23:\"responsive_image.module\";}s:6:\"search\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:35:\"core/modules/search/search.info.yml\";s:8:\"filename\";s:13:\"search.module\";}s:9:\"sharethis\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:36:\"modules/sharethis/sharethis.info.yml\";s:8:\"filename\";s:16:\"sharethis.module\";}s:8:\"shortcut\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:39:\"core/modules/shortcut/shortcut.info.yml\";s:8:\"filename\";s:15:\"shortcut.module\";}s:10:\"simplenews\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:38:\"modules/simplenews/simplenews.info.yml\";s:8:\"filename\";s:17:\"simplenews.module\";}s:6:\"system\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:35:\"core/modules/system/system.info.yml\";s:8:\"filename\";s:13:\"system.module\";}s:8:\"taxonomy\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:39:\"core/modules/taxonomy/taxonomy.info.yml\";s:8:\"filename\";s:15:\"taxonomy.module\";}s:4:\"text\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:31:\"core/modules/text/text.info.yml\";s:8:\"filename\";s:11:\"text.module\";}s:5:\"token\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:28:\"modules/token/token.info.yml\";s:8:\"filename\";s:12:\"token.module\";}s:7:\"toolbar\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:37:\"core/modules/toolbar/toolbar.info.yml\";s:8:\"filename\";s:14:\"toolbar.module\";}s:4:\"tour\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:31:\"core/modules/tour/tour.info.yml\";s:8:\"filename\";s:11:\"tour.module\";}s:6:\"update\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:35:\"core/modules/update/update.info.yml\";s:8:\"filename\";s:13:\"update.module\";}s:4:\"user\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:31:\"core/modules/user/user.info.yml\";s:8:\"filename\";s:11:\"user.module\";}s:17:\"video_embed_field\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:52:\"modules/video_embed_field/video_embed_field.info.yml\";s:8:\"filename\";s:24:\"video_embed_field.module\";}s:8:\"views_ui\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:39:\"core/modules/views_ui/views_ui.info.yml\";s:8:\"filename\";s:15:\"views_ui.module\";}s:11:\"we_megamenu\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:40:\"modules/we_megamenu/we_megamenu.info.yml\";s:8:\"filename\";s:18:\"we_megamenu.module\";}s:17:\"menu_link_content\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:57:\"core/modules/menu_link_content/menu_link_content.info.yml\";s:8:\"filename\";s:24:\"menu_link_content.module\";}s:8:\"pathauto\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:34:\"modules/pathauto/pathauto.info.yml\";s:8:\"filename\";s:15:\"pathauto.module\";}s:5:\"views\";a:3:{s:4:\"type\";s:6:\"module\";s:8:\"pathname\";s:33:\"core/modules/views/views.info.yml\";s:8:\"filename\";s:12:\"views.module\";}s:8:\"standard\";a:3:{s:4:\"type\";s:7:\"profile\";s:8:\"pathname\";s:40:\"core/profiles/standard/standard.info.yml\";s:8:\"filename\";s:16:\"standard.profile\";}}s:15:\"install_profile\";s:8:\"standard\";s:20:\"container.namespaces\";a:78:{s:20:\"Drupal\\admin_toolbar\";s:25:\"modules/admin_toolbar/src\";s:27:\"Drupal\\admin_toolbar_search\";s:46:\"modules/admin_toolbar/admin_toolbar_search/src\";s:26:\"Drupal\\admin_toolbar_tools\";s:45:\"modules/admin_toolbar/admin_toolbar_tools/src\";s:21:\"Drupal\\automated_cron\";s:31:\"core/modules/automated_cron/src\";s:12:\"Drupal\\block\";s:22:\"core/modules/block/src\";s:18:\"Drupal\\block_class\";s:23:\"modules/block_class/src\";s:20:\"Drupal\\block_content\";s:30:\"core/modules/block_content/src\";s:17:\"Drupal\\breakpoint\";s:27:\"core/modules/breakpoint/src\";s:15:\"Drupal\\ckeditor\";s:25:\"core/modules/ckeditor/src\";s:12:\"Drupal\\color\";s:22:\"core/modules/color/src\";s:15:\"Drupal\\colorbox\";s:20:\"modules/colorbox/src\";s:14:\"Drupal\\comment\";s:24:\"core/modules/comment/src\";s:13:\"Drupal\\config\";s:23:\"core/modules/config/src\";s:25:\"Drupal\\config_translation\";s:35:\"core/modules/config_translation/src\";s:14:\"Drupal\\contact\";s:24:\"core/modules/contact/src\";s:26:\"Drupal\\content_translation\";s:36:\"core/modules/content_translation/src\";s:17:\"Drupal\\contextual\";s:27:\"core/modules/contextual/src\";s:13:\"Drupal\\ctools\";s:18:\"modules/ctools/src\";s:15:\"Drupal\\datetime\";s:25:\"core/modules/datetime/src\";s:12:\"Drupal\\dblog\";s:22:\"core/modules/dblog/src\";s:25:\"Drupal\\dynamic_page_cache\";s:35:\"core/modules/dynamic_page_cache/src\";s:13:\"Drupal\\editor\";s:23:\"core/modules/editor/src\";s:12:\"Drupal\\field\";s:22:\"core/modules/field/src\";s:15:\"Drupal\\field_ui\";s:25:\"core/modules/field_ui/src\";s:11:\"Drupal\\file\";s:21:\"core/modules/file/src\";s:13:\"Drupal\\filter\";s:23:\"core/modules/filter/src\";s:11:\"Drupal\\help\";s:21:\"core/modules/help/src\";s:14:\"Drupal\\history\";s:24:\"core/modules/history/src\";s:12:\"Drupal\\image\";s:22:\"core/modules/image/src\";s:15:\"Drupal\\language\";s:25:\"core/modules/language/src\";s:16:\"Drupal\\libraries\";s:21:\"modules/libraries/src\";s:11:\"Drupal\\link\";s:21:\"core/modules/link/src\";s:13:\"Drupal\\locale\";s:23:\"core/modules/locale/src\";s:27:\"Drupal\\menu_link_attributes\";s:32:\"modules/menu_link_attributes/src\";s:14:\"Drupal\\menu_ui\";s:24:\"core/modules/menu_ui/src\";s:11:\"Drupal\\node\";s:21:\"core/modules/node/src\";s:17:\"Drupal\\node_class\";s:22:\"modules/node_class/src\";s:14:\"Drupal\\options\";s:24:\"core/modules/options/src\";s:17:\"Drupal\\page_cache\";s:27:\"core/modules/page_cache/src\";s:11:\"Drupal\\path\";s:21:\"core/modules/path/src\";s:17:\"Drupal\\path_alias\";s:27:\"core/modules/path_alias/src\";s:16:\"Drupal\\quickedit\";s:26:\"core/modules/quickedit/src\";s:10:\"Drupal\\rdf\";s:20:\"core/modules/rdf/src\";s:23:\"Drupal\\responsive_image\";s:33:\"core/modules/responsive_image/src\";s:13:\"Drupal\\search\";s:23:\"core/modules/search/src\";s:16:\"Drupal\\sharethis\";s:21:\"modules/sharethis/src\";s:15:\"Drupal\\shortcut\";s:25:\"core/modules/shortcut/src\";s:17:\"Drupal\\simplenews\";s:22:\"modules/simplenews/src\";s:13:\"Drupal\\system\";s:23:\"core/modules/system/src\";s:15:\"Drupal\\taxonomy\";s:25:\"core/modules/taxonomy/src\";s:11:\"Drupal\\text\";s:21:\"core/modules/text/src\";s:12:\"Drupal\\token\";s:17:\"modules/token/src\";s:14:\"Drupal\\toolbar\";s:24:\"core/modules/toolbar/src\";s:11:\"Drupal\\tour\";s:21:\"core/modules/tour/src\";s:13:\"Drupal\\update\";s:23:\"core/modules/update/src\";s:11:\"Drupal\\user\";s:21:\"core/modules/user/src\";s:24:\"Drupal\\video_embed_field\";s:29:\"modules/video_embed_field/src\";s:15:\"Drupal\\views_ui\";s:25:\"core/modules/views_ui/src\";s:18:\"Drupal\\we_megamenu\";s:23:\"modules/we_megamenu/src\";s:24:\"Drupal\\menu_link_content\";s:34:\"core/modules/menu_link_content/src\";s:15:\"Drupal\\pathauto\";s:20:\"modules/pathauto/src\";s:12:\"Drupal\\views\";s:22:\"core/modules/views/src\";s:15:\"Drupal\\standard\";s:26:\"core/profiles/standard/src\";s:16:\"Drupal\\Core\\Mail\";s:25:\"core/lib/Drupal/Core/Mail\";s:22:\"Drupal\\Core\\ProxyClass\";s:31:\"core/lib/Drupal/Core/ProxyClass\";s:18:\"Drupal\\Core\\Action\";s:27:\"core/lib/Drupal/Core/Action\";s:20:\"Drupal\\Core\\Datetime\";s:29:\"core/lib/Drupal/Core/Datetime\";s:17:\"Drupal\\Core\\Block\";s:26:\"core/lib/Drupal/Core/Block\";s:18:\"Drupal\\Core\\Config\";s:27:\"core/lib/Drupal/Core/Config\";s:18:\"Drupal\\Core\\Entity\";s:27:\"core/lib/Drupal/Core/Entity\";s:16:\"Drupal\\Core\\Menu\";s:25:\"core/lib/Drupal/Core/Menu\";s:17:\"Drupal\\Core\\Field\";s:26:\"core/lib/Drupal/Core/Field\";s:22:\"Drupal\\Core\\Validation\";s:31:\"core/lib/Drupal/Core/Validation\";s:18:\"Drupal\\Core\\Render\";s:27:\"core/lib/Drupal/Core/Render\";s:16:\"Drupal\\Core\\Path\";s:25:\"core/lib/Drupal/Core/Path\";s:21:\"Drupal\\Core\\TempStore\";s:30:\"core/lib/Drupal/Core/TempStore\";s:21:\"Drupal\\Core\\TypedData\";s:30:\"core/lib/Drupal/Core/TypedData\";s:27:\"Drupal\\Component\\Annotation\";s:36:\"core/lib/Drupal/Component/Annotation\";}s:23:\"language.default_values\";a:10:{s:4:\"uuid\";s:36:\"6c55d020-3f44-46ed-8985-c57be1afdd4c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"lBXDpdDPXQtrfTJQhr6MjRJJEEyYSoRJ0acdvHLsWeA\";}s:2:\"id\";s:2:\"en\";s:5:\"label\";s:7:\"English\";s:9:\"direction\";s:3:\"ltr\";s:6:\"weight\";i:0;s:6:\"locked\";b:0;}s:23:\"session.storage.options\";a:4:{s:14:\"gc_probability\";i:1;s:10:\"gc_divisor\";i:100;s:14:\"gc_maxlifetime\";i:200000;s:15:\"cookie_lifetime\";i:2000000;}s:11:\"twig.config\";a:3:{s:5:\"debug\";b:0;s:11:\"auto_reload\";N;s:5:\"cache\";b:1;}s:15:\"renderer.config\";a:2:{s:23:\"required_cache_contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:27:\"auto_placeholder_conditions\";a:3:{s:7:\"max-age\";i:0;s:8:\"contexts\";a:2:{i:0;s:7:\"session\";i:1;s:4:\"user\";}s:4:\"tags\";a:0:{}}}s:16:\"factory.keyvalue\";a:0:{}s:40:\"http.response.debug_cacheability_headers\";b:0;s:26:\"factory.keyvalue.expirable\";a:0:{}s:16:\"filter_protocols\";a:13:{i:0;s:4:\"http\";i:1;s:5:\"https\";i:2;s:3:\"ftp\";i:3;s:4:\"news\";i:4;s:4:\"nntp\";i:5;s:3:\"tel\";i:6;s:6:\"telnet\";i:7;s:6:\"mailto\";i:8;s:3:\"irc\";i:9;s:3:\"ssh\";i:10;s:4:\"sftp\";i:11;s:6:\"webcal\";i:12;s:4:\"rtsp\";}s:11:\"cors.config\";a:7:{s:7:\"enabled\";b:0;s:14:\"allowedHeaders\";a:0:{}s:14:\"allowedMethods\";a:0:{}s:14:\"allowedOrigins\";a:1:{i:0;s:1:\"*\";}s:14:\"exposedHeaders\";b:0;s:6:\"maxAge\";b:0;s:19:\"supportsCredentials\";b:0;}s:16:\"tempstore.expire\";i:604800;s:11:\"persist_ids\";a:4:{i:0;s:12:\"class_loader\";i:1;s:6:\"kernel\";i:2;s:13:\"request_stack\";i:3;s:22:\"router.request_context\";}s:21:\"user.tempstore.expire\";i:604800;s:22:\"main_content_renderers\";a:7:{s:4:\"html\";s:26:\"main_content_renderer.html\";s:11:\"drupal_ajax\";s:26:\"main_content_renderer.ajax\";s:12:\"iframeupload\";s:26:\"main_content_renderer.ajax\";s:13:\"drupal_dialog\";s:28:\"main_content_renderer.dialog\";s:24:\"drupal_dialog.off_canvas\";s:32:\"main_content_renderer.off_canvas\";s:28:\"drupal_dialog.off_canvas_top\";s:36:\"main_content_renderer.off_canvas_top\";s:12:\"drupal_modal\";s:27:\"main_content_renderer.modal\";}s:19:\"twig_extension_hash\";s:43:\"gpShZ9ulVxmydbitwj-o3u6x18HoBhDJvTBpLMgOczw\";s:10:\"cache_bins\";a:13:{s:12:\"cache.static\";s:6:\"static\";s:15:\"cache.bootstrap\";s:9:\"bootstrap\";s:12:\"cache.config\";s:6:\"config\";s:13:\"cache.default\";s:7:\"default\";s:12:\"cache.entity\";s:6:\"entity\";s:10:\"cache.menu\";s:4:\"menu\";s:12:\"cache.render\";s:6:\"render\";s:10:\"cache.data\";s:4:\"data\";s:15:\"cache.discovery\";s:9:\"discovery\";s:24:\"cache.dynamic_page_cache\";s:18:\"dynamic_page_cache\";s:15:\"cache.libraries\";s:9:\"libraries\";s:10:\"cache.page\";s:4:\"page\";s:13:\"cache.toolbar\";s:7:\"toolbar\";}s:26:\"cache_default_bin_backends\";a:4:{s:6:\"static\";s:20:\"cache.backend.memory\";s:9:\"bootstrap\";s:25:\"cache.backend.chainedfast\";s:6:\"config\";s:25:\"cache.backend.chainedfast\";s:9:\"discovery\";s:25:\"cache.backend.chainedfast\";}s:14:\"cache_contexts\";a:25:{i:0;s:7:\"cookies\";i:1;s:7:\"headers\";i:2;s:2:\"ip\";i:3;s:9:\"languages\";i:4;s:16:\"protocol_version\";i:5;s:14:\"request_format\";i:6;s:5:\"route\";i:7;s:24:\"route.menu_active_trails\";i:8;s:10:\"route.name\";i:9;s:7:\"session\";i:10;s:14:\"session.exists\";i:11;s:5:\"theme\";i:12;s:8:\"timezone\";i:13;s:3:\"url\";i:14;s:8:\"url.path\";i:15;s:17:\"url.path.is_front\";i:16;s:15:\"url.path.parent\";i:17;s:14:\"url.query_args\";i:18;s:21:\"url.query_args.pagers\";i:19;s:8:\"url.site\";i:20;s:4:\"user\";i:21;s:18:\"user.is_super_user\";i:22;s:16:\"user.node_grants\";i:23;s:16:\"user.permissions\";i:24;s:10:\"user.roles\";}s:24:\"authentication_providers\";a:1:{s:6:\"cookie\";s:4:\"user\";}}s:8:\"services\";a:612:{s:17:\"service_container\";s:196:\"a:4:{s:5:\"class\";s:56:\"Symfony\\Component\\DependencyInjection\\ContainerInterface\";s:9:\"synthetic\";b:1;s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:17:\"service_container\";}}\";s:12:\"class_loader\";s:115:\"a:3:{s:9:\"synthetic\";b:1;s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:12:\"class_loader\";}}\";s:6:\"kernel\";s:172:\"a:4:{s:5:\"class\";s:44:\"Symfony\\Component\\HttpKernel\\KernelInterface\";s:9:\"synthetic\";b:1;s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:6:\"kernel\";}}\";s:16:\"cache_context.ip\";s:364:\"a:4:{s:5:\"class\";s:40:\"Drupal\\Core\\Cache\\Context\\IpCacheContext\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:16:\"cache_context.ip\";}}\";s:30:\"cache_context.protocol_version\";s:391:\"a:4:{s:5:\"class\";s:53:\"Drupal\\Core\\Cache\\Context\\ProtocolVersionCacheContext\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:30:\"cache_context.protocol_version\";}}\";s:21:\"cache_context.headers\";s:374:\"a:4:{s:5:\"class\";s:45:\"Drupal\\Core\\Cache\\Context\\HeadersCacheContext\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:21:\"cache_context.headers\";}}\";s:21:\"cache_context.cookies\";s:374:\"a:4:{s:5:\"class\";s:45:\"Drupal\\Core\\Cache\\Context\\CookiesCacheContext\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:21:\"cache_context.cookies\";}}\";s:21:\"cache_context.session\";s:374:\"a:4:{s:5:\"class\";s:45:\"Drupal\\Core\\Cache\\Context\\SessionCacheContext\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:21:\"cache_context.session\";}}\";s:28:\"cache_context.session.exists\";s:500:\"a:4:{s:5:\"class\";s:51:\"Drupal\\Core\\Cache\\Context\\SessionExistsCacheContext\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"session_configuration\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:28:\"cache_context.session.exists\";}}\";s:28:\"cache_context.request_format\";s:387:\"a:4:{s:5:\"class\";s:51:\"Drupal\\Core\\Cache\\Context\\RequestFormatCacheContext\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:28:\"cache_context.request_format\";}}\";s:17:\"cache_context.url\";s:366:\"a:4:{s:5:\"class\";s:41:\"Drupal\\Core\\Cache\\Context\\UrlCacheContext\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:17:\"cache_context.url\";}}\";s:22:\"cache_context.url.site\";s:372:\"a:4:{s:5:\"class\";s:42:\"Drupal\\Core\\Cache\\Context\\SiteCacheContext\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:22:\"cache_context.url.site\";}}\";s:22:\"cache_context.url.path\";s:372:\"a:4:{s:5:\"class\";s:42:\"Drupal\\Core\\Cache\\Context\\PathCacheContext\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:22:\"cache_context.url.path\";}}\";s:29:\"cache_context.url.path.parent\";s:385:\"a:4:{s:5:\"class\";s:48:\"Drupal\\Core\\Cache\\Context\\PathParentCacheContext\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:29:\"cache_context.url.path.parent\";}}\";s:31:\"cache_context.url.path.is_front\";s:387:\"a:4:{s:5:\"class\";s:49:\"Drupal\\Core\\Cache\\Context\\IsFrontPathCacheContext\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"path.matcher\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:31:\"cache_context.url.path.is_front\";}}\";s:28:\"cache_context.url.query_args\";s:383:\"a:4:{s:5:\"class\";s:47:\"Drupal\\Core\\Cache\\Context\\QueryArgsCacheContext\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:28:\"cache_context.url.query_args\";}}\";s:35:\"cache_context.url.query_args.pagers\";s:390:\"a:4:{s:5:\"class\";s:44:\"Drupal\\Core\\Cache\\Context\\PagersCacheContext\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"pager.parameters\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:35:\"cache_context.url.query_args.pagers\";}}\";s:19:\"cache_context.route\";s:376:\"a:4:{s:5:\"class\";s:43:\"Drupal\\Core\\Cache\\Context\\RouteCacheContext\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"current_route_match\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:19:\"cache_context.route\";}}\";s:24:\"cache_context.route.name\";s:385:\"a:4:{s:5:\"class\";s:47:\"Drupal\\Core\\Cache\\Context\\RouteNameCacheContext\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"current_route_match\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:24:\"cache_context.route.name\";}}\";s:38:\"cache_context.route.menu_active_trails\";s:444:\"a:4:{s:5:\"class\";s:54:\"Drupal\\Core\\Cache\\Context\\MenuActiveTrailsCacheContext\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:38:\"cache_context.route.menu_active_trails\";}s:5:\"calls\";a:1:{i:0;a:2:{i:0;s:12:\"setContainer\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}}}\";s:18:\"cache_context.user\";s:367:\"a:4:{s:5:\"class\";s:42:\"Drupal\\Core\\Cache\\Context\\UserCacheContext\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:18:\"cache_context.user\";}}\";s:30:\"cache_context.user.permissions\";s:516:\"a:4:{s:5:\"class\";s:56:\"Drupal\\Core\\Cache\\Context\\AccountPermissionsCacheContext\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:31:\"user_permissions_hash_generator\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:30:\"cache_context.user.permissions\";}}\";s:24:\"cache_context.user.roles\";s:378:\"a:4:{s:5:\"class\";s:47:\"Drupal\\Core\\Cache\\Context\\UserRolesCacheContext\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:24:\"cache_context.user.roles\";}}\";s:32:\"cache_context.user.is_super_user\";s:388:\"a:4:{s:5:\"class\";s:49:\"Drupal\\Core\\Cache\\Context\\IsSuperUserCacheContext\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:32:\"cache_context.user.is_super_user\";}}\";s:23:\"cache_context.languages\";s:381:\"a:4:{s:5:\"class\";s:47:\"Drupal\\Core\\Cache\\Context\\LanguagesCacheContext\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:23:\"cache_context.languages\";}}\";s:19:\"cache_context.theme\";s:370:\"a:4:{s:5:\"class\";s:43:\"Drupal\\Core\\Cache\\Context\\ThemeCacheContext\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"theme.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:19:\"cache_context.theme\";}}\";s:22:\"cache_context.timezone\";s:171:\"a:3:{s:5:\"class\";s:46:\"Drupal\\Core\\Cache\\Context\\TimeZoneCacheContext\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:22:\"cache_context.timezone\";}}\";s:13:\"cache_factory\";s:689:\"a:5:{s:5:\"class\";s:30:\"Drupal\\Core\\Cache\\CacheFactory\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"settings\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":2:{s:4:\"type\";s:9:\"parameter\";s:4:\"name\";s:26:\"cache_default_bin_backends\";}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:13:\"cache_factory\";}s:5:\"calls\";a:1:{i:0;a:2:{i:0;s:12:\"setContainer\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}}}\";s:22:\"cache_contexts_manager\";s:463:\"a:4:{s:5:\"class\";s:46:\"Drupal\\Core\\Cache\\Context\\CacheContextsManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":2:{s:4:\"type\";s:9:\"parameter\";s:4:\"name\";s:14:\"cache_contexts\";}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:22:\"cache_contexts_manager\";}}\";s:22:\"cache_tags.invalidator\";s:890:\"a:4:{s:5:\"class\";s:38:\"Drupal\\Core\\Cache\\CacheTagsInvalidator\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:22:\"cache_tags.invalidator\";}s:5:\"calls\";a:3:{i:0;a:2:{i:0;s:12:\"setContainer\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:1;a:2:{i:0;s:12:\"setContainer\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:2;a:2:{i:0;s:14:\"addInvalidator\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:31:\"cache_tags.invalidator.checksum\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}}}\";s:31:\"cache_tags.invalidator.checksum\";s:376:\"a:4:{s:5:\"class\";s:43:\"Drupal\\Core\\Cache\\DatabaseCacheTagsChecksum\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:31:\"cache_tags.invalidator.checksum\";}}\";s:25:\"cache.backend.chainedfast\";s:619:\"a:5:{s:5:\"class\";s:43:\"Drupal\\Core\\Cache\\ChainedFastBackendFactory\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"settings\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:25:\"cache.backend.chainedfast\";}s:5:\"calls\";a:1:{i:0;a:2:{i:0;s:12:\"setContainer\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}}}\";s:22:\"cache.backend.database\";s:586:\"a:4:{s:5:\"class\";s:40:\"Drupal\\Core\\Cache\\DatabaseBackendFactory\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:31:\"cache_tags.invalidator.checksum\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"settings\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:22:\"cache.backend.database\";}}\";s:18:\"cache.backend.apcu\";s:579:\"a:4:{s:5:\"class\";s:36:\"Drupal\\Core\\Cache\\ApcuBackendFactory\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"app.root\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:9:\"site.path\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:31:\"cache_tags.invalidator.checksum\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:18:\"cache.backend.apcu\";}}\";s:17:\"cache.backend.php\";s:378:\"a:4:{s:5:\"class\";s:35:\"Drupal\\Core\\Cache\\PhpBackendFactory\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:31:\"cache_tags.invalidator.checksum\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:17:\"cache.backend.php\";}}\";s:20:\"cache.backend.memory\";s:161:\"a:3:{s:5:\"class\";s:38:\"Drupal\\Core\\Cache\\MemoryBackendFactory\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:20:\"cache.backend.memory\";}}\";s:12:\"cache.static\";s:332:\"a:5:{s:5:\"class\";s:39:\"Drupal\\Core\\Cache\\CacheBackendInterface\";s:9:\"arguments\";a:1:{i:0;s:6:\"static\";}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:12:\"cache.static\";}s:7:\"factory\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"cache_factory\";s:15:\"invalidBehavior\";i:1;}i:1;s:3:\"get\";}}\";s:15:\"cache.bootstrap\";s:338:\"a:5:{s:5:\"class\";s:39:\"Drupal\\Core\\Cache\\CacheBackendInterface\";s:9:\"arguments\";a:1:{i:0;s:9:\"bootstrap\";}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:15:\"cache.bootstrap\";}s:7:\"factory\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"cache_factory\";s:15:\"invalidBehavior\";i:1;}i:1;s:3:\"get\";}}\";s:12:\"cache.config\";s:332:\"a:5:{s:5:\"class\";s:39:\"Drupal\\Core\\Cache\\CacheBackendInterface\";s:9:\"arguments\";a:1:{i:0;s:6:\"config\";}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:12:\"cache.config\";}s:7:\"factory\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"cache_factory\";s:15:\"invalidBehavior\";i:1;}i:1;s:3:\"get\";}}\";s:13:\"cache.default\";s:334:\"a:5:{s:5:\"class\";s:39:\"Drupal\\Core\\Cache\\CacheBackendInterface\";s:9:\"arguments\";a:1:{i:0;s:7:\"default\";}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:13:\"cache.default\";}s:7:\"factory\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"cache_factory\";s:15:\"invalidBehavior\";i:1;}i:1;s:3:\"get\";}}\";s:12:\"cache.entity\";s:332:\"a:5:{s:5:\"class\";s:39:\"Drupal\\Core\\Cache\\CacheBackendInterface\";s:9:\"arguments\";a:1:{i:0;s:6:\"entity\";}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:12:\"cache.entity\";}s:7:\"factory\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"cache_factory\";s:15:\"invalidBehavior\";i:1;}i:1;s:3:\"get\";}}\";s:10:\"cache.menu\";s:328:\"a:5:{s:5:\"class\";s:39:\"Drupal\\Core\\Cache\\CacheBackendInterface\";s:9:\"arguments\";a:1:{i:0;s:4:\"menu\";}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:10:\"cache.menu\";}s:7:\"factory\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"cache_factory\";s:15:\"invalidBehavior\";i:1;}i:1;s:3:\"get\";}}\";s:12:\"cache.render\";s:332:\"a:5:{s:5:\"class\";s:39:\"Drupal\\Core\\Cache\\CacheBackendInterface\";s:9:\"arguments\";a:1:{i:0;s:6:\"render\";}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:12:\"cache.render\";}s:7:\"factory\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"cache_factory\";s:15:\"invalidBehavior\";i:1;}i:1;s:3:\"get\";}}\";s:10:\"cache.data\";s:328:\"a:5:{s:5:\"class\";s:39:\"Drupal\\Core\\Cache\\CacheBackendInterface\";s:9:\"arguments\";a:1:{i:0;s:4:\"data\";}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:10:\"cache.data\";}s:7:\"factory\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"cache_factory\";s:15:\"invalidBehavior\";i:1;}i:1;s:3:\"get\";}}\";s:15:\"cache.discovery\";s:338:\"a:5:{s:5:\"class\";s:39:\"Drupal\\Core\\Cache\\CacheBackendInterface\";s:9:\"arguments\";a:1:{i:0;s:9:\"discovery\";}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:15:\"cache.discovery\";}s:7:\"factory\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"cache_factory\";s:15:\"invalidBehavior\";i:1;}i:1;s:3:\"get\";}}\";s:31:\"cache_router_rebuild_subscriber\";s:190:\"a:3:{s:5:\"class\";s:56:\"Drupal\\Core\\EventSubscriber\\CacheRouterRebuildSubscriber\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:31:\"cache_router_rebuild_subscriber\";}}\";s:25:\"page_cache_request_policy\";s:663:\"a:5:{s:5:\"class\";s:42:\"Drupal\\Core\\PageCache\\DefaultRequestPolicy\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"session_configuration\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:25:\"page_cache_request_policy\";}s:5:\"calls\";a:1:{i:0;a:2:{i:0;s:9:\"addPolicy\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:52:\"toolbar.page_cache_request_policy.allow_toolbar_path\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}}}\";s:26:\"page_cache_response_policy\";s:458:\"a:4:{s:5:\"class\";s:52:\"Drupal\\Core\\ProxyClass\\PageCache\\ChainResponsePolicy\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;s:56:\"drupal.proxy_original_service.page_cache_response_policy\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:26:\"page_cache_response_policy\";}}\";s:22:\"page_cache_kill_switch\";s:172:\"a:3:{s:5:\"class\";s:47:\"Drupal\\Core\\PageCache\\ResponsePolicy\\KillSwitch\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:22:\"page_cache_kill_switch\";}}\";s:14:\"config.manager\";s:1003:\"a:4:{s:5:\"class\";s:32:\"Drupal\\Core\\Config\\ConfigManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:7:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"config.typed\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"string_translation\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.storage\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"event_dispatcher\";s:15:\"invalidBehavior\";i:1;}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"entity.repository\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:7;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:14:\"config.manager\";}}\";s:14:\"config.factory\";s:830:\"a:5:{s:5:\"class\";s:32:\"Drupal\\Core\\Config\\ConfigFactory\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.storage\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"event_dispatcher\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"config.typed\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:14:\"config.factory\";}s:5:\"calls\";a:1:{i:0;a:2:{i:0;s:11:\"addOverride\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:32:\"language.config_factory_override\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}}}\";s:26:\"config.importer_subscriber\";s:186:\"a:3:{s:5:\"class\";s:57:\"Drupal\\Core\\Config\\Importer\\FinalMissingContentSubscriber\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:26:\"config.importer_subscriber\";}}\";s:16:\"config.installer\";s:431:\"a:4:{s:5:\"class\";s:45:\"Drupal\\Core\\ProxyClass\\Config\\ConfigInstaller\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;s:46:\"drupal.proxy_original_service.config.installer\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:16:\"config.installer\";}}\";s:14:\"config.storage\";s:828:\"a:4:{s:5:\"class\";s:32:\"Drupal\\Core\\Config\\CachedStorage\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:52:\"private__iippmE3zvNM7poZWNLe9KCo1TBvrcSIYWA79dl3VOK4\";s:5:\"value\";a:4:{s:5:\"class\";s:34:\"Drupal\\Core\\Config\\DatabaseStorage\";s:6:\"public\";b:0;s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}i:1;s:6:\"config\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}s:6:\"shared\";b:0;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"cache.config\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:14:\"config.storage\";}}\";s:25:\"config.import_transformer\";s:680:\"a:4:{s:5:\"class\";s:43:\"Drupal\\Core\\Config\\ImportStorageTransformer\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"event_dispatcher\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:4:\"lock\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"lock.persistent\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:25:\"config.import_transformer\";}}\";s:21:\"config.storage.export\";s:1029:\"a:4:{s:5:\"class\";s:33:\"Drupal\\Core\\Config\\ManagedStorage\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:52:\"private__5EBCzeeBo8IOl_3fl-LbLaVxGnKihlnDb1Olt-VZsNY\";s:5:\"value\";a:4:{s:5:\"class\";s:39:\"Drupal\\Core\\Config\\ExportStorageManager\";s:6:\"public\";b:0;s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.storage\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"event_dispatcher\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:4:\"lock\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}s:6:\"shared\";b:0;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:21:\"config.storage.export\";}}\";s:22:\"config.storage.staging\";s:242:\"a:4:{s:5:\"class\";s:30:\"Drupal\\Core\\Config\\FileStorage\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:22:\"config.storage.staging\";}s:7:\"factory\";a:2:{i:0;s:37:\"Drupal\\Core\\Config\\FileStorageFactory\";i:1;s:7:\"getSync\";}}\";s:23:\"config.storage.snapshot\";s:386:\"a:4:{s:5:\"class\";s:34:\"Drupal\\Core\\Config\\DatabaseStorage\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}i:1;s:15:\"config_snapshot\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:23:\"config.storage.snapshot\";}}\";s:21:\"config.storage.schema\";s:435:\"a:4:{s:5:\"class\";s:42:\"Drupal\\Core\\Config\\ExtensionInstallStorage\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.storage\";s:15:\"invalidBehavior\";i:1;}i:1;s:13:\"config/schema\";i:2;s:0:\"\";i:3;b:1;i:4;s:8:\"standard\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:21:\"config.storage.schema\";}}\";s:12:\"config.typed\";s:1061:\"a:5:{s:5:\"class\";s:37:\"Drupal\\Core\\Config\\TypedConfigManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.storage\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"config.storage.schema\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"class_resolver\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:12:\"config.typed\";}s:5:\"calls\";a:1:{i:0;a:2:{i:0;s:30:\"setValidationConstraintManager\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"validation.constraint\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}}}\";s:15:\"context.handler\";s:159:\"a:3:{s:5:\"class\";s:41:\"Drupal\\Core\\Plugin\\Context\\ContextHandler\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:15:\"context.handler\";}}\";s:18:\"context.repository\";s:505:\"a:4:{s:5:\"class\";s:48:\"Drupal\\Core\\Plugin\\Context\\LazyContextRepository\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;a:3:{i:0;s:33:\"language.current_language_context\";i:1;s:23:\"node.node_route_context\";i:2;s:25:\"user.current_user_context\";}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:18:\"context.repository\";}}\";s:4:\"cron\";s:388:\"a:4:{s:5:\"class\";s:27:\"Drupal\\Core\\ProxyClass\\Cron\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;s:34:\"drupal.proxy_original_service.cron\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:4:\"cron\";}}\";s:14:\"diff.formatter\";s:353:\"a:4:{s:5:\"class\";s:30:\"Drupal\\Core\\Diff\\DiffFormatter\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:14:\"diff.formatter\";}}\";s:8:\"database\";s:267:\"a:5:{s:5:\"class\";s:31:\"Drupal\\Core\\Database\\Connection\";s:9:\"arguments\";a:1:{i:0;s:7:\"default\";}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:8:\"database\";}s:7:\"factory\";a:2:{i:0;s:29:\"Drupal\\Core\\Database\\Database\";i:1;s:13:\"getConnection\";}}\";s:16:\"database.replica\";s:276:\"a:5:{s:5:\"class\";s:31:\"Drupal\\Core\\Database\\Connection\";s:9:\"arguments\";a:1:{i:0;s:7:\"replica\";}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:16:\"database.replica\";}s:7:\"factory\";a:2:{i:0;s:29:\"Drupal\\Core\\Database\\Database\";i:1;s:13:\"getConnection\";}}\";s:28:\"database.replica_kill_switch\";s:571:\"a:4:{s:5:\"class\";s:38:\"Drupal\\Core\\Database\\ReplicaKillSwitch\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"settings\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"datetime.time\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:7:\"session\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:28:\"database.replica_kill_switch\";}}\";s:13:\"datetime.time\";s:351:\"a:4:{s:5:\"class\";s:30:\"Drupal\\Component\\Datetime\\Time\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:13:\"datetime.time\";}}\";s:11:\"file_system\";s:565:\"a:4:{s:5:\"class\";s:27:\"Drupal\\Core\\File\\FileSystem\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"stream_wrapper_manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"settings\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"logger.channel.file\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:11:\"file_system\";}}\";s:12:\"form_builder\";s:2413:\"a:4:{s:5:\"class\";s:28:\"Drupal\\Core\\Form\\FormBuilder\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:10:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"form_validator\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"form_submitter\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:52:\"private__PD3YmWYK-ozn4oUDwsLM6JbLqdgT2Qz4ywy4C3BTrxI\";s:5:\"value\";a:4:{s:5:\"class\";s:26:\"Drupal\\Core\\Form\\FormCache\";s:6:\"public\";b:0;s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:8:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"app.root\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"keyvalue.expirable\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:10:\"csrf_token\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"logger.channel.form\";s:15:\"invalidBehavior\";i:1;}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}i:7;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:25:\"page_cache_request_policy\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:8;}s:6:\"shared\";b:0;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"event_dispatcher\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"class_resolver\";s:15:\"invalidBehavior\";i:1;}i:7;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:27:\"plugin.manager.element_info\";s:15:\"invalidBehavior\";i:1;}i:8;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"theme.manager\";s:15:\"invalidBehavior\";i:1;}i:9;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:10:\"csrf_token\";s:15:\"invalidBehavior\";i:3;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:10;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:12:\"form_builder\";}}\";s:14:\"form_validator\";s:785:\"a:4:{s:5:\"class\";s:30:\"Drupal\\Core\\Form\\FormValidator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"string_translation\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:10:\"csrf_token\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"logger.channel.form\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"form_error_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:14:\"form_validator\";}}\";s:14:\"form_submitter\";s:457:\"a:4:{s:5:\"class\";s:30:\"Drupal\\Core\\Form\\FormSubmitter\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"url_generator\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:14:\"form_submitter\";}}\";s:18:\"form_error_handler\";s:154:\"a:3:{s:5:\"class\";s:33:\"Drupal\\Core\\Form\\FormErrorHandler\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:18:\"form_error_handler\";}}\";s:8:\"keyvalue\";s:370:\"a:4:{s:5:\"class\";s:41:\"Drupal\\Core\\KeyValueStore\\KeyValueFactory\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;a:0:{}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:8:\"keyvalue\";}}\";s:17:\"keyvalue.database\";s:486:\"a:4:{s:5:\"class\";s:49:\"Drupal\\Core\\KeyValueStore\\KeyValueDatabaseFactory\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:26:\"serialization.phpserialize\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:17:\"keyvalue.database\";}}\";s:18:\"keyvalue.expirable\";s:390:\"a:4:{s:5:\"class\";s:50:\"Drupal\\Core\\KeyValueStore\\KeyValueExpirableFactory\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;a:0:{}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:18:\"keyvalue.expirable\";}}\";s:27:\"keyvalue.expirable.database\";s:505:\"a:4:{s:5:\"class\";s:58:\"Drupal\\Core\\KeyValueStore\\KeyValueDatabaseExpirableFactory\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:26:\"serialization.phpserialize\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:27:\"keyvalue.expirable.database\";}}\";s:14:\"logger.factory\";s:635:\"a:4:{s:5:\"class\";s:39:\"Drupal\\Core\\Logger\\LoggerChannelFactory\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:14:\"logger.factory\";}s:5:\"calls\";a:2:{i:0;a:2:{i:0;s:12:\"setContainer\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:1;a:2:{i:0;s:9:\"addLogger\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"logger.dblog\";s:15:\"invalidBehavior\";i:1;}i:1;i:0;}s:7:\"resolve\";b:1;}}}}\";s:22:\"logger.channel.default\";s:336:\"a:5:{s:5:\"class\";s:32:\"Drupal\\Core\\Logger\\LoggerChannel\";s:9:\"arguments\";a:1:{i:0;s:6:\"system\";}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:22:\"logger.channel.default\";}s:7:\"factory\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"logger.factory\";s:15:\"invalidBehavior\";i:1;}i:1;s:3:\"get\";}}\";s:18:\"logger.channel.php\";s:329:\"a:5:{s:5:\"class\";s:32:\"Drupal\\Core\\Logger\\LoggerChannel\";s:9:\"arguments\";a:1:{i:0;s:3:\"php\";}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:18:\"logger.channel.php\";}s:7:\"factory\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"logger.factory\";s:15:\"invalidBehavior\";i:1;}i:1;s:3:\"get\";}}\";s:20:\"logger.channel.image\";s:333:\"a:5:{s:5:\"class\";s:32:\"Drupal\\Core\\Logger\\LoggerChannel\";s:9:\"arguments\";a:1:{i:0;s:5:\"image\";}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:20:\"logger.channel.image\";}s:7:\"factory\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"logger.factory\";s:15:\"invalidBehavior\";i:1;}i:1;s:3:\"get\";}}\";s:19:\"logger.channel.cron\";s:331:\"a:5:{s:5:\"class\";s:32:\"Drupal\\Core\\Logger\\LoggerChannel\";s:9:\"arguments\";a:1:{i:0;s:4:\"cron\";}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:19:\"logger.channel.cron\";}s:7:\"factory\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"logger.factory\";s:15:\"invalidBehavior\";i:1;}i:1;s:3:\"get\";}}\";s:19:\"logger.channel.file\";s:331:\"a:5:{s:5:\"class\";s:32:\"Drupal\\Core\\Logger\\LoggerChannel\";s:9:\"arguments\";a:1:{i:0;s:4:\"file\";}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:19:\"logger.channel.file\";}s:7:\"factory\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"logger.factory\";s:15:\"invalidBehavior\";i:1;}i:1;s:3:\"get\";}}\";s:19:\"logger.channel.form\";s:331:\"a:5:{s:5:\"class\";s:32:\"Drupal\\Core\\Logger\\LoggerChannel\";s:9:\"arguments\";a:1:{i:0;s:4:\"form\";}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:19:\"logger.channel.form\";}s:7:\"factory\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"logger.factory\";s:15:\"invalidBehavior\";i:1;}i:1;s:3:\"get\";}}\";s:23:\"logger.channel.security\";s:339:\"a:5:{s:5:\"class\";s:32:\"Drupal\\Core\\Logger\\LoggerChannel\";s:9:\"arguments\";a:1:{i:0;s:8:\"security\";}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:23:\"logger.channel.security\";}s:7:\"factory\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"logger.factory\";s:15:\"invalidBehavior\";i:1;}i:1;s:3:\"get\";}}\";s:25:\"logger.log_message_parser\";s:163:\"a:3:{s:5:\"class\";s:35:\"Drupal\\Core\\Logger\\LogMessageParser\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:25:\"logger.log_message_parser\";}}\";s:18:\"serialization.json\";s:156:\"a:3:{s:5:\"class\";s:35:\"Drupal\\Component\\Serialization\\Json\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:18:\"serialization.json\";}}\";s:26:\"serialization.phpserialize\";s:172:\"a:3:{s:5:\"class\";s:43:\"Drupal\\Component\\Serialization\\PhpSerialize\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:26:\"serialization.phpserialize\";}}\";s:18:\"serialization.yaml\";s:156:\"a:3:{s:5:\"class\";s:35:\"Drupal\\Component\\Serialization\\Yaml\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:18:\"serialization.yaml\";}}\";s:8:\"settings\";s:215:\"a:4:{s:5:\"class\";s:25:\"Drupal\\Core\\Site\\Settings\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:8:\"settings\";}s:7:\"factory\";a:2:{i:0;s:25:\"Drupal\\Core\\Site\\Settings\";i:1;s:11:\"getInstance\";}}\";s:5:\"state\";s:329:\"a:4:{s:5:\"class\";s:23:\"Drupal\\Core\\State\\State\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"keyvalue\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:5:\"state\";}}\";s:5:\"queue\";s:585:\"a:5:{s:5:\"class\";s:30:\"Drupal\\Core\\Queue\\QueueFactory\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"settings\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:5:\"queue\";}s:5:\"calls\";a:1:{i:0;a:2:{i:0;s:12:\"setContainer\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}}}\";s:14:\"queue.database\";s:354:\"a:4:{s:5:\"class\";s:38:\"Drupal\\Core\\Queue\\QueueDatabaseFactory\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:14:\"queue.database\";}}\";s:18:\"path.alias_manager\";s:685:\"a:4:{s:5:\"class\";s:29:\"Drupal\\Core\\Path\\AliasManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"path_alias.repository\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"path_alias.whitelist\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:10:\"cache.data\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:18:\"path.alias_manager\";}}\";s:12:\"path.current\";s:353:\"a:4:{s:5:\"class\";s:33:\"Drupal\\Core\\Path\\CurrentPathStack\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:12:\"path.current\";}}\";s:11:\"http_client\";s:285:\"a:4:{s:5:\"class\";s:17:\"GuzzleHttp\\Client\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:11:\"http_client\";}s:7:\"factory\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"http_client_factory\";s:15:\"invalidBehavior\";i:1;}i:1;s:11:\"fromOptions\";}}\";s:19:\"http_client_factory\";s:1103:\"a:4:{s:5:\"class\";s:30:\"Drupal\\Core\\Http\\ClientFactory\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:52:\"private__2i5FjkeRC6Vc7PWR5LdG3PRuCttDvRDyMUY6XsHzapc\";s:5:\"value\";a:5:{s:5:\"class\";s:23:\"GuzzleHttp\\HandlerStack\";s:6:\"public\";b:0;s:15:\"arguments_count\";i:0;s:7:\"factory\";a:2:{i:0;s:23:\"GuzzleHttp\\HandlerStack\";i:1;s:6:\"create\";}s:12:\"configurator\";a:2:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:52:\"private__WjN_c7oQM_lsfryd4mPfbEhm7nV93eUSgEmLNALMX84\";s:5:\"value\";a:4:{s:5:\"class\";s:41:\"Drupal\\Core\\Http\\HandlerStackConfigurator\";s:6:\"public\";b:0;s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;a:0:{}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}s:6:\"shared\";b:0;}i:1;s:9:\"configure\";}}s:6:\"shared\";b:0;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:19:\"http_client_factory\";}}\";s:33:\"plugin.manager.link_relation_type\";s:589:\"a:4:{s:5:\"class\";s:41:\"\\Drupal\\Core\\Http\\LinkRelationTypeManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"app.root\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:33:\"plugin.manager.link_relation_type\";}}\";s:16:\"theme.negotiator\";s:728:\"a:4:{s:5:\"class\";s:33:\"Drupal\\Core\\Theme\\ThemeNegotiator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"access_check.theme\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"class_resolver\";s:15:\"invalidBehavior\";i:1;}i:2;a:6:{i:0;s:31:\"theme.negotiator.ajax_base_page\";i:1;s:33:\"theme.negotiator.block.admin_demo\";i:2;s:29:\"theme.negotiator.system.batch\";i:3;s:33:\"theme.negotiator.system.db_update\";i:4;s:28:\"theme.negotiator.admin_theme\";i:5;s:24:\"theme.negotiator.default\";}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:16:\"theme.negotiator\";}}\";s:24:\"theme.negotiator.default\";s:368:\"a:4:{s:5:\"class\";s:35:\"Drupal\\Core\\Theme\\DefaultNegotiator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:24:\"theme.negotiator.default\";}}\";s:31:\"theme.negotiator.ajax_base_page\";s:587:\"a:4:{s:5:\"class\";s:40:\"Drupal\\Core\\Theme\\AjaxBasePageNegotiator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:10:\"csrf_token\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:31:\"theme.negotiator.ajax_base_page\";}}\";s:20:\"container.namespaces\";s:323:\"a:4:{s:5:\"class\";s:11:\"ArrayObject\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:9:\"parameter\";s:4:\"name\";s:20:\"container.namespaces\";}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:20:\"container.namespaces\";}}\";s:14:\"module_handler\";s:544:\"a:4:{s:5:\"class\";s:35:\"Drupal\\Core\\Extension\\ModuleHandler\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"app.root\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":2:{s:4:\"type\";s:9:\"parameter\";s:4:\"name\";s:17:\"container.modules\";}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.bootstrap\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:14:\"module_handler\";}}\";s:16:\"module_installer\";s:434:\"a:4:{s:5:\"class\";s:48:\"Drupal\\Core\\ProxyClass\\Extension\\ModuleInstaller\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;s:46:\"drupal.proxy_original_service.module_installer\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:16:\"module_installer\";}}\";s:21:\"extension.list.module\";s:1118:\"a:4:{s:5:\"class\";s:41:\"Drupal\\Core\\Extension\\ModuleExtensionList\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:10:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"app.root\";s:15:\"invalidBehavior\";i:1;}i:1;s:6:\"module\";i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"cache.default\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:11:\"info_parser\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"state\";s:15:\"invalidBehavior\";i:1;}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:7;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"extension.list.profile\";s:15:\"invalidBehavior\";i:1;}i:8;s:8:\"standard\";i:9;O:8:\"stdClass\":2:{s:4:\"type\";s:9:\"parameter\";s:4:\"name\";s:17:\"container.modules\";}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:10;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:21:\"extension.list.module\";}}\";s:22:\"extension.list.profile\";s:813:\"a:4:{s:5:\"class\";s:42:\"Drupal\\Core\\Extension\\ProfileExtensionList\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:7:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"app.root\";s:15:\"invalidBehavior\";i:1;}i:1;s:7:\"profile\";i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"cache.default\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:11:\"info_parser\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"state\";s:15:\"invalidBehavior\";i:1;}i:6;s:8:\"standard\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:7;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:22:\"extension.list.profile\";}}\";s:20:\"extension.list.theme\";s:1032:\"a:4:{s:5:\"class\";s:40:\"Drupal\\Core\\Extension\\ThemeExtensionList\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:9:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"app.root\";s:15:\"invalidBehavior\";i:1;}i:1;s:5:\"theme\";i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"cache.default\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:11:\"info_parser\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"state\";s:15:\"invalidBehavior\";i:1;}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:7;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:27:\"extension.list.theme_engine\";s:15:\"invalidBehavior\";i:1;}i:8;s:8:\"standard\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:9;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:20:\"extension.list.theme\";}}\";s:27:\"extension.list.theme_engine\";s:828:\"a:4:{s:5:\"class\";s:46:\"Drupal\\Core\\Extension\\ThemeEngineExtensionList\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:7:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"app.root\";s:15:\"invalidBehavior\";i:1;}i:1;s:12:\"theme_engine\";i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"cache.default\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:11:\"info_parser\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"state\";s:15:\"invalidBehavior\";i:1;}i:6;s:8:\"standard\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:7;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:27:\"extension.list.theme_engine\";}}\";s:27:\"content_uninstall_validator\";s:463:\"a:4:{s:5:\"class\";s:55:\"Drupal\\Core\\ProxyClass\\Entity\\ContentUninstallValidator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;s:57:\"drupal.proxy_original_service.content_uninstall_validator\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:27:\"content_uninstall_validator\";}}\";s:35:\"required_module_uninstall_validator\";s:489:\"a:4:{s:5:\"class\";s:65:\"Drupal\\Core\\ProxyClass\\Extension\\RequiredModuleUninstallValidator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;s:65:\"drupal.proxy_original_service.required_module_uninstall_validator\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:35:\"required_module_uninstall_validator\";}}\";s:45:\"module_required_by_themes_uninstall_validator\";s:517:\"a:4:{s:5:\"class\";s:73:\"Drupal\\Core\\ProxyClass\\Extension\\ModuleRequiredByThemesUninstallValidator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;s:75:\"drupal.proxy_original_service.module_required_by_themes_uninstall_validator\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:45:\"module_required_by_themes_uninstall_validator\";}}\";s:13:\"theme_handler\";s:567:\"a:4:{s:5:\"class\";s:34:\"Drupal\\Core\\Extension\\ThemeHandler\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"app.root\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"extension.list.theme\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:13:\"theme_handler\";}}\";s:15:\"theme_installer\";s:1338:\"a:4:{s:5:\"class\";s:36:\"Drupal\\Core\\Extension\\ThemeInstaller\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:10:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"theme_handler\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"config.installer\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.manager\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:30:\"asset.css.collection_optimizer\";s:15:\"invalidBehavior\";i:1;}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"router.builder\";s:15:\"invalidBehavior\";i:1;}i:7;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"logger.channel.default\";s:15:\"invalidBehavior\";i:1;}i:8;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"state\";s:15:\"invalidBehavior\";i:1;}i:9;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"extension.list.module\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:10;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:15:\"theme_installer\";}}\";s:14:\"entity.manager\";s:398:\"a:4:{s:5:\"class\";s:32:\"Drupal\\Core\\Entity\\EntityManager\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:14:\"entity.manager\";}s:5:\"calls\";a:1:{i:0;a:2:{i:0;s:12:\"setContainer\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}}}\";s:19:\"entity.memory_cache\";s:163:\"a:3:{s:5:\"class\";s:41:\"Drupal\\Core\\Cache\\MemoryCache\\MemoryCache\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:19:\"entity.memory_cache\";}}\";s:19:\"entity_type.manager\";s:1179:\"a:5:{s:5:\"class\";s:36:\"Drupal\\Core\\Entity\\EntityTypeManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:6:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"string_translation\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"class_resolver\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:39:\"entity.last_installed_schema.repository\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:6;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:19:\"entity_type.manager\";}s:5:\"calls\";a:1:{i:0;a:2:{i:0;s:12:\"setContainer\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}}}\";s:22:\"entity_type.repository\";s:375:\"a:4:{s:5:\"class\";s:39:\"Drupal\\Core\\Entity\\EntityTypeRepository\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:22:\"entity_type.repository\";}}\";s:23:\"entity_type.bundle.info\";s:807:\"a:4:{s:5:\"class\";s:39:\"Drupal\\Core\\Entity\\EntityTypeBundleInfo\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"typed_data_manager\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:23:\"entity_type.bundle.info\";}}\";s:17:\"entity.repository\";s:584:\"a:4:{s:5:\"class\";s:35:\"Drupal\\Core\\Entity\\EntityRepository\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"context.repository\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:17:\"entity.repository\";}}\";s:25:\"entity_display.repository\";s:702:\"a:4:{s:5:\"class\";s:42:\"Drupal\\Core\\Entity\\EntityDisplayRepository\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:25:\"entity_display.repository\";}}\";s:20:\"entity_field.manager\";s:1133:\"a:4:{s:5:\"class\";s:37:\"Drupal\\Core\\Entity\\EntityFieldManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:8:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:23:\"entity_type.bundle.info\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:25:\"entity_display.repository\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"typed_data_manager\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"keyvalue\";s:15:\"invalidBehavior\";i:1;}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:7;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:8;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:20:\"entity_field.manager\";}}\";s:20:\"entity_type.listener\";s:722:\"a:4:{s:5:\"class\";s:37:\"Drupal\\Core\\Entity\\EntityTypeListener\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"entity_field.manager\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"event_dispatcher\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:39:\"entity.last_installed_schema.repository\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:20:\"entity_type.listener\";}}\";s:22:\"entity_bundle.listener\";s:708:\"a:4:{s:5:\"class\";s:39:\"Drupal\\Core\\Entity\\EntityBundleListener\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:23:\"entity_type.bundle.info\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"entity_field.manager\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:22:\"entity_bundle.listener\";}}\";s:23:\"entity_route_subscriber\";s:394:\"a:4:{s:5:\"class\";s:57:\"Drupal\\Core\\EventSubscriber\\EntityRouteProviderSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:23:\"entity_route_subscriber\";}}\";s:32:\"entity.definition_update_manager\";s:874:\"a:4:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\EntityDefinitionUpdateManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:39:\"entity.last_installed_schema.repository\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"entity_field.manager\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"entity_type.listener\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:33:\"field_storage_definition.listener\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:32:\"entity.definition_update_manager\";}}\";s:39:\"entity.last_installed_schema.repository\";s:395:\"a:4:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\EntityLastInstalledSchemaRepository\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"keyvalue\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:39:\"entity.last_installed_schema.repository\";}}\";s:38:\"entity_field.deleted_fields_repository\";s:378:\"a:4:{s:5:\"class\";s:41:\"Drupal\\Core\\Field\\DeletedFieldsRepository\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"state\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:38:\"entity_field.deleted_fields_repository\";}}\";s:33:\"field_storage_definition.listener\";s:876:\"a:4:{s:5:\"class\";s:48:\"Drupal\\Core\\Field\\FieldStorageDefinitionListener\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"event_dispatcher\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:39:\"entity.last_installed_schema.repository\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"entity_field.manager\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:38:\"entity_field.deleted_fields_repository\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:33:\"field_storage_definition.listener\";}}\";s:25:\"field_definition.listener\";s:698:\"a:4:{s:5:\"class\";s:41:\"Drupal\\Core\\Field\\FieldDefinitionListener\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"entity_field.manager\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"keyvalue\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:25:\"field_definition.listener\";}}\";s:19:\"entity.form_builder\";s:473:\"a:4:{s:5:\"class\";s:36:\"Drupal\\Core\\Entity\\EntityFormBuilder\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"form_builder\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:19:\"entity.form_builder\";}}\";s:37:\"entity.bundle_config_import_validator\";s:508:\"a:4:{s:5:\"class\";s:51:\"Drupal\\Core\\Entity\\Event\\BundleConfigImportValidate\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:37:\"entity.bundle_config_import_validator\";}}\";s:27:\"entity.autocomplete_matcher\";s:407:\"a:4:{s:5:\"class\";s:44:\"Drupal\\Core\\Entity\\EntityAutocompleteMatcher\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:41:\"plugin.manager.entity_reference_selection\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:27:\"entity.autocomplete_matcher\";}}\";s:19:\"plugin_form.factory\";s:364:\"a:4:{s:5:\"class\";s:36:\"Drupal\\Core\\Plugin\\PluginFormFactory\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"class_resolver\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:19:\"plugin_form.factory\";}}\";s:41:\"plugin.manager.entity_reference_selection\";s:635:\"a:4:{s:5:\"class\";s:66:\"Drupal\\Core\\Entity\\EntityReferenceSelection\\SelectionPluginManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:41:\"plugin.manager.entity_reference_selection\";}}\";s:20:\"plugin.manager.block\";s:692:\"a:4:{s:5:\"class\";s:30:\"Drupal\\Core\\Block\\BlockManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"logger.channel.default\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:20:\"plugin.manager.block\";}}\";s:31:\"plugin.manager.field.field_type\";s:709:\"a:4:{s:5:\"class\";s:40:\"Drupal\\Core\\Field\\FieldTypePluginManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"typed_data_manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:31:\"plugin.manager.field.field_type\";}}\";s:27:\"plugin.manager.field.widget\";s:715:\"a:4:{s:5:\"class\";s:37:\"Drupal\\Core\\Field\\WidgetPluginManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:31:\"plugin.manager.field.field_type\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:27:\"plugin.manager.field.widget\";}}\";s:30:\"plugin.manager.field.formatter\";s:721:\"a:4:{s:5:\"class\";s:40:\"Drupal\\Core\\Field\\FormatterPluginManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:31:\"plugin.manager.field.field_type\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:30:\"plugin.manager.field.formatter\";}}\";s:23:\"plugin.manager.archiver\";s:690:\"a:4:{s:5:\"class\";s:36:\"Drupal\\Core\\Archiver\\ArchiverManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:11:\"file_system\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:23:\"plugin.manager.archiver\";}}\";s:21:\"plugin.manager.action\";s:581:\"a:4:{s:5:\"class\";s:32:\"Drupal\\Core\\Action\\ActionManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:21:\"plugin.manager.action\";}}\";s:24:\"plugin.manager.menu.link\";s:1140:\"a:4:{s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:17:\"menu.tree_storage\";s:5:\"value\";a:4:{s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuTreeStorage\";s:6:\"public\";b:0;s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:10:\"cache.menu\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"cache_tags.invalidator\";s:15:\"invalidBehavior\";i:1;}i:3;s:9:\"menu_tree\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}s:6:\"shared\";b:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:26:\"menu_link.static.overrides\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:24:\"plugin.manager.menu.link\";}}\";s:14:\"menu.link_tree\";s:1352:\"a:4:{s:5:\"class\";s:29:\"Drupal\\Core\\Menu\\MenuLinkTree\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:17:\"menu.tree_storage\";s:5:\"value\";a:4:{s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuTreeStorage\";s:6:\"public\";b:0;s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:10:\"cache.menu\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"cache_tags.invalidator\";s:15:\"invalidBehavior\";i:1;}i:3;s:9:\"menu_tree\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}s:6:\"shared\";b:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:24:\"plugin.manager.menu.link\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"router.route_provider\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"menu.active_trail\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"controller_resolver\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:14:\"menu.link_tree\";}}\";s:30:\"menu.default_tree_manipulators\";s:602:\"a:4:{s:5:\"class\";s:48:\"Drupal\\Core\\Menu\\DefaultMenuLinkTreeManipulators\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"access_manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:30:\"menu.default_tree_manipulators\";}}\";s:17:\"menu.active_trail\";s:676:\"a:4:{s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuActiveTrail\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:24:\"plugin.manager.menu.link\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"current_route_match\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:10:\"cache.menu\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:4:\"lock\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:17:\"menu.active_trail\";}}\";s:25:\"menu.parent_form_selector\";s:594:\"a:4:{s:5:\"class\";s:39:\"Drupal\\Core\\Menu\\MenuParentFormSelector\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"menu.link_tree\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"string_translation\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:25:\"menu.parent_form_selector\";}}\";s:32:\"plugin.manager.menu.local_action\";s:1262:\"a:4:{s:5:\"class\";s:35:\"Drupal\\Core\\Menu\\LocalActionManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:9:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:40:\"http_kernel.controller.argument_resolver\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"current_route_match\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"router.route_provider\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}i:7;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"access_manager\";s:15:\"invalidBehavior\";i:1;}i:8;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:9;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:32:\"plugin.manager.menu.local_action\";}}\";s:30:\"plugin.manager.menu.local_task\";s:1258:\"a:4:{s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:9:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:40:\"http_kernel.controller.argument_resolver\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"current_route_match\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"router.route_provider\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}i:7;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"access_manager\";s:15:\"invalidBehavior\";i:1;}i:8;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:9;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:30:\"plugin.manager.menu.local_task\";}}\";s:35:\"plugin.manager.menu.contextual_link\";s:1023:\"a:4:{s:5:\"class\";s:38:\"Drupal\\Core\\Menu\\ContextualLinkManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:7:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"controller_resolver\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"access_manager\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:7;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:35:\"plugin.manager.menu.contextual_link\";}}\";s:30:\"plugin.manager.display_variant\";s:592:\"a:4:{s:5:\"class\";s:34:\"Drupal\\Core\\Display\\VariantManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:30:\"plugin.manager.display_variant\";}}\";s:27:\"plugin.manager.queue_worker\";s:591:\"a:4:{s:5:\"class\";s:36:\"Drupal\\Core\\Queue\\QueueWorkerManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:27:\"plugin.manager.queue_worker\";}}\";s:20:\"plugin.cache_clearer\";s:14904:\"a:5:{s:5:\"class\";s:52:\"Drupal\\Core\\ProxyClass\\Plugin\\CachedDiscoveryClearer\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;s:50:\"drupal.proxy_original_service.plugin.cache_clearer\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:20:\"plugin.cache_clearer\";}s:5:\"calls\";a:58:{i:0;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"config.typed\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:1;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:33:\"plugin.manager.link_relation_type\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:2;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:3;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:41:\"plugin.manager.entity_reference_selection\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:4;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"plugin.manager.block\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:5;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:31:\"plugin.manager.field.field_type\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:6;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:27:\"plugin.manager.field.widget\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:7;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:30:\"plugin.manager.field.formatter\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:8;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:23:\"plugin.manager.archiver\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:9;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"plugin.manager.action\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:10;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:32:\"plugin.manager.menu.local_action\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:11;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:30:\"plugin.manager.menu.local_task\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:12;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:35:\"plugin.manager.menu.contextual_link\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:13;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:30:\"plugin.manager.display_variant\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:14;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:27:\"plugin.manager.queue_worker\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:15;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"typed_data_manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:16;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"validation.constraint\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:17;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"plugin.manager.mail\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:18;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:24:\"plugin.manager.condition\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:19;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:27:\"plugin.manager.element_info\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:20;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"image.toolkit.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:21;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:31:\"image.toolkit.operation.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:22;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"breakpoint.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:23;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:30:\"plugin.manager.ckeditor.plugin\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:24;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:40:\"plugin.manager.config_translation.mapper\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:25;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:34:\"plugin.manager.ctools.relationship\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:26;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"plugin.manager.editor\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:27;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"plugin.manager.filter\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:28;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:27:\"plugin.manager.help_section\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:29;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:27:\"plugin.manager.image.effect\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:30;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:42:\"plugin.manager.language_negotiation_method\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:31;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:37:\"plugin.manager.libraries.library_type\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:32;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:32:\"plugin.manager.libraries.locator\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:33;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:41:\"plugin.manager.libraries.version_detector\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:34;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:31:\"plugin.manager.quickedit.editor\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:35;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"plugin.manager.search\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:36;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:43:\"plugin.manager.simplenews_recipient_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:37;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:23:\"plugin.manager.tour.tip\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:38;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:25:\"plugin.manager.alias_type\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:39;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:27:\"plugin.manager.views.access\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:40;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:25:\"plugin.manager.views.area\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:41;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:29:\"plugin.manager.views.argument\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:42;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:37:\"plugin.manager.views.argument_default\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:43;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:39:\"plugin.manager.views.argument_validator\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:44;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:26:\"plugin.manager.views.cache\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:45;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:37:\"plugin.manager.views.display_extender\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:46;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:28:\"plugin.manager.views.display\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:47;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:33:\"plugin.manager.views.exposed_form\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:48;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:26:\"plugin.manager.views.field\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:49;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:27:\"plugin.manager.views.filter\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:50;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:25:\"plugin.manager.views.join\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:51;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:26:\"plugin.manager.views.pager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:52;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:26:\"plugin.manager.views.query\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:53;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:33:\"plugin.manager.views.relationship\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:54;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:24:\"plugin.manager.views.row\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:55;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:25:\"plugin.manager.views.sort\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:56;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:26:\"plugin.manager.views.style\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:57;a:2:{i:0;s:18:\"addCachedDiscovery\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:27:\"plugin.manager.views.wizard\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}}}\";s:24:\"paramconverter.menu_link\";s:463:\"a:4:{s:5:\"class\";s:61:\"Drupal\\Core\\ProxyClass\\ParamConverter\\MenuLinkPluginConverter\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;s:54:\"drupal.proxy_original_service.paramconverter.menu_link\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:24:\"paramconverter.menu_link\";}}\";s:26:\"menu_link.static.overrides\";s:375:\"a:4:{s:5:\"class\";s:40:\"Drupal\\Core\\Menu\\StaticMenuLinkOverrides\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:26:\"menu_link.static.overrides\";}}\";s:13:\"request_stack\";s:161:\"a:3:{s:5:\"class\";s:45:\"Symfony\\Component\\HttpFoundation\\RequestStack\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:13:\"request_stack\";}}\";s:19:\"current_route_match\";s:364:\"a:4:{s:5:\"class\";s:37:\"Drupal\\Core\\Routing\\CurrentRouteMatch\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:19:\"current_route_match\";}}\";s:16:\"event_dispatcher\";s:13725:\"a:4:{s:5:\"class\";s:62:\"Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;a:29:{s:22:\"routing.route_finished\";a:4:{i:200;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:31:\"cache_router_rebuild_subscriber\";i:1;s:16:\"onRouterFinished\";}}}i:100;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:23:\"menu.rebuild_subscriber\";i:1;s:15:\"onRouterRebuild\";}}}i:0;a:4:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:21:\"router.route_provider\";i:1;s:5:\"reset\";}}i:1;a:1:{s:7:\"service\";a:2:{i:0;s:22:\"router.route_preloader\";i:1;s:16:\"onFinishedRoutes\";}}i:2;a:1:{s:7:\"service\";a:2:{i:0;s:28:\"router.path_roots_subscriber\";i:1;s:15:\"onRouteFinished\";}}i:3;a:1:{s:7:\"service\";a:2:{i:0;s:22:\"views.route_subscriber\";i:1;s:20:\"routeRebuildFinished\";}}}i:-3000;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:34:\"router.route_provider.lazy_builder\";i:1;s:21:\"routerRebuildFinished\";}}}}s:11:\"config.save\";a:4:{i:255;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:14:\"config.factory\";i:1;s:12:\"onConfigSave\";}}}i:128;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:19:\"entity.query.config\";i:1;s:12:\"onConfigSave\";}}}i:20;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:32:\"language.config_factory_override\";i:1;s:12:\"onConfigSave\";}}}i:0;a:9:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:30:\"color.config_cache_invalidator\";i:1;s:8:\"onChange\";}}i:1;a:1:{s:7:\"service\";a:2:{i:0;s:26:\"language.config_subscriber\";i:1;s:12:\"onConfigSave\";}}i:2;a:1:{s:7:\"service\";a:2:{i:0;s:27:\"libraries.config_subscriber\";i:1;s:12:\"onConfigSave\";}}i:3;a:1:{s:7:\"service\";a:2:{i:0;s:24:\"locale.config_subscriber\";i:1;s:12:\"onConfigSave\";}}i:4;a:1:{s:7:\"service\";a:2:{i:0;s:32:\"node.admin_path.route_subscriber\";i:1;s:12:\"onConfigSave\";}}i:5;a:1:{s:7:\"service\";a:2:{i:0;s:24:\"system.config_subscriber\";i:1;s:12:\"onConfigSave\";}}i:6;a:1:{s:7:\"service\";a:2:{i:0;s:23:\"system.config_cache_tag\";i:1;s:6:\"onSave\";}}i:7;a:1:{s:7:\"service\";a:2:{i:0;s:24:\"system.timezone_resolver\";i:1;s:12:\"onConfigSave\";}}i:8;a:1:{s:7:\"service\";a:2:{i:0;s:27:\"pathauto.settings_cache_tag\";i:1;s:6:\"onSave\";}}}}s:13:\"config.delete\";a:4:{i:255;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:14:\"config.factory\";i:1;s:14:\"onConfigDelete\";}}}i:128;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:19:\"entity.query.config\";i:1;s:14:\"onConfigDelete\";}}}i:20;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:32:\"language.config_factory_override\";i:1;s:14:\"onConfigDelete\";}}}i:0;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:30:\"color.config_cache_invalidator\";i:1;s:8:\"onChange\";}}}}s:31:\"config.importer.missing_content\";a:1:{i:-1024;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:26:\"config.importer_subscriber\";i:1;s:16:\"onMissingContent\";}}}}s:14:\"kernel.request\";a:10:{i:1000;a:2:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:24:\"options_request_listener\";i:1;s:9:\"onRequest\";}}i:1;a:1:{s:7:\"service\";a:2:{i:0;s:35:\"redirect_leading_slashes_subscriber\";i:1;s:8:\"redirect\";}}}i:300;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:25:\"authentication_subscriber\";i:1;s:27:\"onKernelRequestAuthenticate\";}}}i:299;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:24:\"system.timezone_resolver\";i:1;s:18:\"setDefaultTimeZone\";}}}i:255;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:27:\"language_request_subscriber\";i:1;s:23:\"onKernelRequestLanguage\";}}}i:50;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:24:\"ajax_response.subscriber\";i:1;s:9:\"onRequest\";}}}i:32;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:15:\"router_listener\";i:1;s:15:\"onKernelRequest\";}}}i:31;a:2:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:25:\"authentication_subscriber\";i:1;s:29:\"onKernelRequestFilterProvider\";}}i:1;a:1:{s:7:\"service\";a:2:{i:0;s:32:\"user_maintenance_mode_subscriber\";i:1;s:26:\"onKernelRequestMaintenance\";}}}i:30;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:27:\"maintenance_mode_subscriber\";i:1;s:26:\"onKernelRequestMaintenance\";}}}i:27;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:29:\"dynamic_page_cache_subscriber\";i:1;s:9:\"onRequest\";}}}i:0;a:2:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:28:\"database.replica_kill_switch\";i:1;s:18:\"checkReplicaServer\";}}i:1;a:1:{s:7:\"service\";a:2:{i:0;s:22:\"router.route_preloader\";i:1;s:9:\"onRequest\";}}}}s:21:\"routing.route_dynamic\";a:2:{i:3000;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:34:\"router.route_provider.lazy_builder\";i:1;s:16:\"routerRebuilding\";}}}i:0;a:2:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:23:\"entity_route_subscriber\";i:1;s:19:\"onDynamicRouteEvent\";}}i:1;a:1:{s:7:\"service\";a:2:{i:0;s:24:\"path.route_subscriber_bc\";i:1;s:19:\"onDynamicRouteEvent\";}}}}s:24:\"config.importer.validate\";a:3:{i:512;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:24:\"system.config_subscriber\";i:1;s:32:\"onConfigImporterValidateNotEmpty\";}}}i:256;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:24:\"system.config_subscriber\";i:1;s:32:\"onConfigImporterValidateSiteUUID\";}}}i:20;a:3:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:37:\"entity.bundle_config_import_validator\";i:1;s:24:\"onConfigImporterValidate\";}}i:1;a:1:{s:7:\"service\";a:2:{i:0;s:24:\"config_import_subscriber\";i:1;s:24:\"onConfigImporterValidate\";}}i:2;a:1:{s:7:\"service\";a:2:{i:0;s:24:\"config.config_subscriber\";i:1;s:24:\"onConfigImporterValidate\";}}}}s:19:\"routing.route_alter\";a:11:{i:5000;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:28:\"route_http_method_subscriber\";i:1;s:15:\"onRouteBuilding\";}}}i:100;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:22:\"token.route_subscriber\";i:1;s:13:\"onAlterRoutes\";}}}i:0;a:4:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:23:\"route_subscriber.module\";i:1;s:13:\"onAlterRoutes\";}}i:1;a:1:{s:7:\"service\";a:2:{i:0;s:35:\"route_special_attributes_subscriber\";i:1;s:13:\"onAlterRoutes\";}}i:2;a:1:{s:7:\"service\";a:2:{i:0;s:21:\"node.route_subscriber\";i:1;s:13:\"onAlterRoutes\";}}i:3;a:1:{s:7:\"service\";a:2:{i:0;s:32:\"node.admin_path.route_subscriber\";i:1;s:13:\"onAlterRoutes\";}}}i:-100;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:19:\"field_ui.subscriber\";i:1;s:13:\"onAlterRoutes\";}}}i:-110;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:35:\"config_translation.route_subscriber\";i:1;s:13:\"onAlterRoutes\";}}}i:-150;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:23:\"route_subscriber.entity\";i:1;s:26:\"onRoutingRouteAlterSetType\";}}}i:-175;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:22:\"views.route_subscriber\";i:1;s:13:\"onAlterRoutes\";}}}i:-200;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:34:\"system.admin_path.route_subscriber\";i:1;s:13:\"onAlterRoutes\";}}}i:-210;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:30:\"content_translation.subscriber\";i:1;s:13:\"onAlterRoutes\";}}}i:-220;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:25:\"paramconverter_subscriber\";i:1;s:41:\"onRoutingRouteAlterSetParameterConverters\";}}}i:-1024;a:2:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:22:\"router.route_preloader\";i:1;s:13:\"onAlterRoutes\";}}i:1;a:1:{s:7:\"service\";a:2:{i:0;s:28:\"router.path_roots_subscriber\";i:1;s:12:\"onRouteAlter\";}}}}s:15:\"kernel.response\";a:8:{i:128;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:32:\"exception.enforced_form_response\";i:1;s:16:\"onKernelResponse\";}}}i:100;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:29:\"dynamic_page_cache_subscriber\";i:1;s:10:\"onResponse\";}}}i:16;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:26:\"finish_response_subscriber\";i:1;s:13:\"onAllResponds\";}}}i:10;a:2:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:32:\"route_access_response_subscriber\";i:1;s:9:\"onRespond\";}}i:1;a:1:{s:7:\"service\";a:2:{i:0;s:32:\"client_error_response_subscriber\";i:1;s:9:\"onRespond\";}}}i:5;a:2:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:34:\"anonymous_user_response_subscriber\";i:1;s:9:\"onRespond\";}}i:1;a:1:{s:7:\"service\";a:2:{i:0;s:45:\"html_response.placeholder_strategy_subscriber\";i:1;s:9:\"onRespond\";}}}i:0;a:4:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:24:\"html_response.subscriber\";i:1;s:9:\"onRespond\";}}i:1;a:1:{s:7:\"service\";a:2:{i:0;s:26:\"finish_response_subscriber\";i:1;s:9:\"onRespond\";}}i:2;a:1:{s:7:\"service\";a:2:{i:0;s:29:\"response_generator_subscriber\";i:1;s:9:\"onRespond\";}}i:3;a:1:{s:7:\"service\";a:2:{i:0;s:28:\"redirect_response_subscriber\";i:1;s:16:\"checkRedirectUrl\";}}}i:-100;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:24:\"ajax_response.subscriber\";i:1;s:10:\"onResponse\";}}}i:-512;a:2:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:27:\"response_filter.active_link\";i:1;s:10:\"onResponse\";}}i:1;a:1:{s:7:\"service\";a:2:{i:0;s:32:\"response_filter.rss.relative_url\";i:1;s:10:\"onResponse\";}}}}s:16:\"kernel.exception\";a:14:{i:200;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:23:\"exception.fast_404_html\";i:1;s:11:\"onException\";}}}i:128;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:32:\"exception.enforced_form_response\";i:1;s:17:\"onKernelException\";}}}i:100;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:25:\"exception.needs_installer\";i:1;s:11:\"onException\";}}}i:80;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:25:\"authentication_subscriber\";i:1;s:23:\"onExceptionAccessDenied\";}}}i:75;a:3:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:31:\"route_enhancer.param_conversion\";i:1;s:11:\"onException\";}}i:1;a:1:{s:7:\"service\";a:2:{i:0;s:25:\"authentication_subscriber\";i:1;s:24:\"onExceptionSendChallenge\";}}i:2;a:1:{s:7:\"service\";a:2:{i:0;s:29:\"user_access_denied_subscriber\";i:1;s:11:\"onException\";}}}i:51;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:20:\"form_ajax_subscriber\";i:1;s:11:\"onException\";}}}i:50;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:16:\"exception.logger\";i:1;s:11:\"onException\";}}}i:3;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:19:\"exception.test_site\";i:1;s:11:\"onException\";}}}i:0;a:2:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:27:\"maintenance_mode_subscriber\";i:1;s:26:\"onKernelRequestMaintenance\";}}i:1;a:1:{s:7:\"service\";a:2:{i:0;s:31:\"node.node_translation_exception\";i:1;s:11:\"onException\";}}}i:-50;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:26:\"exception.custom_page_html\";i:1;s:11:\"onException\";}}}i:-64;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:15:\"router_listener\";i:1;s:17:\"onKernelException\";}}}i:-75;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:22:\"exception.default_json\";i:1;s:11:\"onException\";}}}i:-128;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:22:\"exception.default_html\";i:1;s:11:\"onException\";}}}i:-256;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:15:\"exception.final\";i:1;s:11:\"onException\";}}}}s:11:\"kernel.view\";a:3:{i:1;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:20:\"form_ajax_subscriber\";i:1;s:6:\"onView\";}}}i:0;a:2:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:28:\"psr_response_view_subscriber\";i:1;s:12:\"onKernelView\";}}i:1;a:1:{s:7:\"service\";a:2:{i:0;s:28:\"main_content_view_subscriber\";i:1;s:17:\"onViewRenderArray\";}}}i:-10;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:17:\"renderer_non_html\";i:1;s:9:\"onRespond\";}}}}s:21:\"kernel.finish_request\";a:1:{i:0;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:15:\"router_listener\";i:1;s:21:\"onKernelFinishRequest\";}}}}s:16:\"kernel.terminate\";a:3:{i:300;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:27:\"user_last_access_subscriber\";i:1;s:17:\"onKernelTerminate\";}}}i:200;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:21:\"path_alias.subscriber\";i:1;s:17:\"onKernelTerminate\";}}}i:100;a:3:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:24:\"request_close_subscriber\";i:1;s:11:\"onTerminate\";}}i:1;a:1:{s:7:\"service\";a:2:{i:0;s:26:\"kernel_destruct_subscriber\";i:1;s:17:\"onKernelTerminate\";}}i:2;a:1:{s:7:\"service\";a:2:{i:0;s:25:\"automated_cron.subscriber\";i:1;s:11:\"onTerminate\";}}}}s:22:\"config.importer.import\";a:1:{i:40;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:26:\"config_snapshot_subscriber\";i:1;s:22:\"onConfigImporterImport\";}}}}s:23:\"config.transform.import\";a:1:{i:-500;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:33:\"config_exclude_modules_subscriber\";i:1;s:23:\"onConfigTransformImport\";}}}}s:23:\"config.transform.export\";a:1:{i:500;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:33:\"config_exclude_modules_subscriber\";i:1;s:23:\"onConfigTransformExport\";}}}}s:17:\"kernel.controller\";a:2:{i:200;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:21:\"path_alias.subscriber\";i:1;s:18:\"onKernelController\";}}}i:0;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:45:\"early_rendering_controller_wrapper_subscriber\";i:1;s:12:\"onController\";}}}}s:34:\"render.page_display_variant.select\";a:1:{i:0;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:37:\"block.page_display_variant_subscriber\";i:1;s:26:\"onSelectPageDisplayVariant\";}}}}s:34:\"config_translation.populate_mapper\";a:1:{i:0;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:43:\"editor.config_translation_mapper_subscriber\";i:1;s:14:\"addConfigNames\";}}}}s:22:\"config.collection_info\";a:1:{i:0;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:32:\"language.config_factory_override\";i:1;s:14:\"addCollections\";}}}}s:13:\"config.rename\";a:1:{i:20;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:32:\"language.config_factory_override\";i:1;s:14:\"onConfigRename\";}}}}s:22:\"language.save_override\";a:1:{i:0;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:24:\"locale.config_subscriber\";i:1;s:16:\"onOverrideChange\";}}}}s:24:\"language.delete_override\";a:1:{i:0;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:24:\"locale.config_subscriber\";i:1;s:16:\"onOverrideChange\";}}}}s:23:\"locale.save_translation\";a:1:{i:0;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:35:\"locale.locale_translation_cache_tag\";i:1;s:15:\"saveTranslation\";}}}}s:11:\"account.set\";a:1:{i:0;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:24:\"system.timezone_resolver\";i:1;s:18:\"setDefaultTimeZone\";}}}}s:29:\"entity_type.definition.create\";a:1:{i:100;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:30:\"views.entity_schema_subscriber\";i:1;s:17:\"onEntityTypeEvent\";}}}}s:29:\"entity_type.definition.update\";a:1:{i:100;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:30:\"views.entity_schema_subscriber\";i:1;s:17:\"onEntityTypeEvent\";}}}}s:29:\"entity_type.definition.delete\";a:1:{i:100;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:30:\"views.entity_schema_subscriber\";i:1;s:17:\"onEntityTypeEvent\";}}}}s:55:\"kernel.container.finish_container_initialize_subrequest\";a:1:{i:255;a:1:{i:0;a:1:{s:7:\"service\";a:2:{i:0;s:27:\"language_request_subscriber\";i:1;s:39:\"onContainerInitializeSubrequestFinished\";}}}}}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:16:\"event_dispatcher\";}}\";s:8:\"app.root\";s:543:\"a:3:{s:5:\"class\";s:9:\"SplString\";s:15:\"arguments_count\";i:0;s:7:\"factory\";a:2:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:52:\"private__Zsw1Sj4oDjvzkmxM28DwWfx9Nnh9vi4D2mcS7WCJLbg\";s:5:\"value\";a:4:{s:5:\"class\";s:26:\"Drupal\\Core\\AppRootFactory\";s:6:\"public\";b:0;s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:6:\"kernel\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}s:6:\"shared\";b:0;}i:1;s:3:\"get\";}}\";s:9:\"site.path\";s:544:\"a:3:{s:5:\"class\";s:9:\"SplString\";s:15:\"arguments_count\";i:0;s:7:\"factory\";a:2:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:52:\"private__q7FBVi7mHs7UOJnYi5kAkY_Xr2APp9Ue5a9KP7FyvMA\";s:5:\"value\";a:4:{s:5:\"class\";s:27:\"Drupal\\Core\\SitePathFactory\";s:6:\"public\";b:0;s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:6:\"kernel\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}s:6:\"shared\";b:0;}i:1;s:3:\"get\";}}\";s:19:\"controller_resolver\";s:486:\"a:4:{s:5:\"class\";s:41:\"Drupal\\Core\\Controller\\ControllerResolver\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:25:\"psr7.http_message_factory\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"class_resolver\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:19:\"controller_resolver\";}}\";s:14:\"class_resolver\";s:411:\"a:4:{s:5:\"class\";s:45:\"Drupal\\Core\\DependencyInjection\\ClassResolver\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:14:\"class_resolver\";}s:5:\"calls\";a:1:{i:0;a:2:{i:0;s:12:\"setContainer\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}}}\";s:14:\"title_resolver\";s:606:\"a:4:{s:5:\"class\";s:36:\"Drupal\\Core\\Controller\\TitleResolver\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"controller_resolver\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"string_translation\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:40:\"http_kernel.controller.argument_resolver\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:14:\"title_resolver\";}}\";s:11:\"http_kernel\";s:1151:\"a:4:{s:5:\"class\";s:23:\"Stack\\StackedHttpKernel\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:27:\"http_middleware.negotiation\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:6:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:27:\"http_middleware.negotiation\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:29:\"http_middleware.reverse_proxy\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:26:\"http_middleware.page_cache\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:33:\"http_middleware.kernel_pre_handle\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:23:\"http_middleware.session\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"http_kernel.basic\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:11:\"http_kernel\";}}\";s:17:\"http_kernel.basic\";s:730:\"a:5:{s:5:\"class\";s:39:\"Symfony\\Component\\HttpKernel\\HttpKernel\";s:4:\"lazy\";b:1;s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"event_dispatcher\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"controller_resolver\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:40:\"http_kernel.controller.argument_resolver\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:17:\"http_kernel.basic\";}}\";s:40:\"http_kernel.controller.argument_resolver\";s:2392:\"a:4:{s:5:\"class\";s:56:\"Symfony\\Component\\HttpKernel\\Controller\\ArgumentResolver\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:52:\"private__aVVgmTsbLy2mehkCW1XkPCxoNfAe-gToi9ed1epV65A\";s:5:\"value\";a:3:{s:5:\"class\";s:71:\"Symfony\\Component\\HttpKernel\\ControllerMetadata\\ArgumentMetadataFactory\";s:6:\"public\";b:0;s:15:\"arguments_count\";i:0;}s:6:\"shared\";b:0;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:52:\"private__4paxHwrBqZgLMOLaRrJsmOfZ3q3b8GmysfCJVR59dww\";s:5:\"value\";a:3:{s:5:\"class\";s:86:\"Symfony\\Component\\HttpKernel\\Controller\\ArgumentResolver\\RequestAttributeValueResolver\";s:6:\"public\";b:0;s:15:\"arguments_count\";i:0;}s:6:\"shared\";b:0;}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:52:\"private__s9WvKxAAioSxnrbszotBL4p3vALnLB-MHJQxkpMqIAU\";s:5:\"value\";a:3:{s:5:\"class\";s:77:\"Symfony\\Component\\HttpKernel\\Controller\\ArgumentResolver\\RequestValueResolver\";s:6:\"public\";b:0;s:15:\"arguments_count\";i:0;}s:6:\"shared\";b:0;}i:2;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:52:\"private__eDpbPL4wwnQyhPmwwLlalHD-HQzju54CeEhnePoq77M\";s:5:\"value\";a:4:{s:5:\"class\";s:64:\"Drupal\\Core\\Controller\\ArgumentResolver\\Psr7RequestValueResolver\";s:6:\"public\";b:0;s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:25:\"psr7.http_message_factory\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}s:6:\"shared\";b:0;}i:3;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:52:\"private__jmHlQ8DenPOz2Y1rQPf6wcbGV3XZvwuMnC6wCu8cgXM\";s:5:\"value\";a:3:{s:5:\"class\";s:63:\"Drupal\\Core\\Controller\\ArgumentResolver\\RouteMatchValueResolver\";s:6:\"public\";b:0;s:15:\"arguments_count\";i:0;}s:6:\"shared\";b:0;}i:4;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:52:\"private__E5RB7EPjMp2Q_miXb0vh6M0K5wUh779hDQkqBCZjB2g\";s:5:\"value\";a:3:{s:5:\"class\";s:77:\"Symfony\\Component\\HttpKernel\\Controller\\ArgumentResolver\\DefaultValueResolver\";s:6:\"public\";b:0;s:15:\"arguments_count\";i:0;}s:6:\"shared\";b:0;}}s:7:\"resolve\";b:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:40:\"http_kernel.controller.argument_resolver\";}}\";s:27:\"http_middleware.negotiation\";s:524:\"a:5:{s:5:\"class\";s:49:\"Drupal\\Core\\StackMiddleware\\NegotiationMiddleware\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:29:\"http_middleware.reverse_proxy\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:27:\"http_middleware.negotiation\";}s:5:\"calls\";a:1:{i:0;a:2:{i:0;s:14:\"registerFormat\";i:1;a:2:{i:0;s:3:\"bin\";i:1;a:1:{i:0;s:24:\"application/octet-stream\";}}}}}\";s:29:\"http_middleware.reverse_proxy\";s:499:\"a:4:{s:5:\"class\";s:50:\"Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:26:\"http_middleware.page_cache\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"settings\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:29:\"http_middleware.reverse_proxy\";}}\";s:33:\"http_middleware.kernel_pre_handle\";s:506:\"a:5:{s:5:\"class\";s:43:\"Drupal\\Core\\StackMiddleware\\KernelPreHandle\";s:4:\"lazy\";b:1;s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:23:\"http_middleware.session\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:6:\"kernel\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:33:\"http_middleware.kernel_pre_handle\";}}\";s:23:\"http_middleware.session\";s:634:\"a:6:{s:5:\"class\";s:35:\"Drupal\\Core\\StackMiddleware\\Session\";s:4:\"lazy\";b:1;s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"http_kernel.basic\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:23:\"http_middleware.session\";}s:5:\"calls\";a:1:{i:0;a:2:{i:0;s:12:\"setContainer\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}}}\";s:28:\"psr7.http_foundation_factory\";s:190:\"a:3:{s:5:\"class\";s:59:\"Symfony\\Bridge\\PsrHttpMessage\\Factory\\HttpFoundationFactory\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:28:\"psr7.http_foundation_factory\";}}\";s:25:\"psr7.http_message_factory\";s:182:\"a:3:{s:5:\"class\";s:54:\"Symfony\\Bridge\\PsrHttpMessage\\Factory\\DiactorosFactory\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:25:\"psr7.http_message_factory\";}}\";s:16:\"language_manager\";s:811:\"a:4:{s:5:\"class\";s:43:\"Drupal\\language\\ConfigurableLanguageManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language.default\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:32:\"language.config_factory_override\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:16:\"language_manager\";}}\";s:33:\"language.current_language_context\";s:403:\"a:4:{s:5:\"class\";s:59:\"Drupal\\Core\\Language\\ContextProvider\\CurrentLanguageContext\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:33:\"language.current_language_context\";}}\";s:16:\"language.default\";s:347:\"a:4:{s:5:\"class\";s:36:\"Drupal\\Core\\Language\\LanguageDefault\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:9:\"parameter\";s:4:\"name\";s:23:\"language.default_values\";}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:16:\"language.default\";}}\";s:32:\"string_translator.custom_strings\";s:388:\"a:4:{s:5:\"class\";s:54:\"Drupal\\Core\\StringTranslation\\Translator\\CustomStrings\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"settings\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:32:\"string_translator.custom_strings\";}}\";s:18:\"string_translation\";s:905:\"a:5:{s:5:\"class\";s:48:\"Drupal\\Core\\StringTranslation\\TranslationManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language.default\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:18:\"string_translation\";}s:5:\"calls\";a:2:{i:0;a:2:{i:0;s:13:\"addTranslator\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:32:\"string_translator.custom_strings\";s:15:\"invalidBehavior\";i:1;}i:1;i:30;}s:7:\"resolve\";b:1;}}i:1;a:2:{i:0;s:13:\"addTranslator\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:31:\"string_translator.locale.lookup\";s:15:\"invalidBehavior\";i:1;}i:1;i:0;}s:7:\"resolve\";b:1;}}}}\";s:18:\"typed_data_manager\";s:961:\"a:5:{s:5:\"class\";s:38:\"Drupal\\Core\\TypedData\\TypedDataManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"class_resolver\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:18:\"typed_data_manager\";}s:5:\"calls\";a:1:{i:0;a:2:{i:0;s:30:\"setValidationConstraintManager\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"validation.constraint\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}}}\";s:21:\"validation.constraint\";s:589:\"a:4:{s:5:\"class\";s:40:\"Drupal\\Core\\Validation\\ConstraintManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:21:\"validation.constraint\";}}\";s:4:\"lock\";s:408:\"a:4:{s:5:\"class\";s:47:\"Drupal\\Core\\ProxyClass\\Lock\\DatabaseLockBackend\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;s:34:\"drupal.proxy_original_service.lock\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:4:\"lock\";}}\";s:15:\"lock.persistent\";s:441:\"a:4:{s:5:\"class\";s:57:\"Drupal\\Core\\ProxyClass\\Lock\\PersistentDatabaseLockBackend\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;s:45:\"drupal.proxy_original_service.lock.persistent\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:15:\"lock.persistent\";}}\";s:22:\"router.request_context\";s:408:\"a:4:{s:5:\"class\";s:34:\"Drupal\\Core\\Routing\\RequestContext\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:22:\"router.request_context\";}s:5:\"calls\";a:1:{i:0;a:2:{i:0;s:16:\"fromRequestStack\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}}}\";s:20:\"router.admin_context\";s:366:\"a:4:{s:5:\"class\";s:32:\"Drupal\\Core\\Routing\\AdminContext\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"current_route_match\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:20:\"router.admin_context\";}}\";s:21:\"router.route_provider\";s:1011:\"a:4:{s:5:\"class\";s:33:\"Drupal\\Core\\Routing\\RouteProvider\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:8:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"state\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"path.current\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:10:\"cache.data\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"path_processor_manager\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"cache_tags.invalidator\";s:15:\"invalidBehavior\";i:1;}i:6;s:6:\"router\";i:7;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:8;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:21:\"router.route_provider\";}}\";s:34:\"router.route_provider.lazy_builder\";s:500:\"a:4:{s:5:\"class\";s:44:\"Drupal\\Core\\Routing\\RouteProviderLazyBuilder\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"router.route_provider\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"router.builder\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:34:\"router.route_provider.lazy_builder\";}}\";s:22:\"router.route_preloader\";s:575:\"a:4:{s:5:\"class\";s:34:\"Drupal\\Core\\Routing\\RoutePreloader\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"router.route_provider\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"state\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.bootstrap\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:22:\"router.route_preloader\";}}\";s:28:\"router.matcher.final_matcher\";s:365:\"a:4:{s:5:\"class\";s:30:\"Drupal\\Core\\Routing\\UrlMatcher\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"path.current\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:28:\"router.matcher.final_matcher\";}}\";s:14:\"router.matcher\";s:650:\"a:5:{s:5:\"class\";s:57:\"Symfony\\Cmf\\Component\\Routing\\NestedMatcher\\NestedMatcher\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"router.route_provider\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:14:\"router.matcher\";}s:5:\"calls\";a:1:{i:0;a:2:{i:0;s:15:\"setFinalMatcher\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:28:\"router.matcher.final_matcher\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}}}\";s:13:\"url_generator\";s:1755:\"a:5:{s:5:\"class\";s:47:\"Drupal\\Core\\Render\\MetadataBubblingUrlGenerator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:52:\"private__zpo0hTnDUvjD5VJF99cYFfEg3efThaha5qz1wHgNfRA\";s:5:\"value\";a:5:{s:5:\"class\";s:32:\"Drupal\\Core\\Routing\\UrlGenerator\";s:6:\"public\";b:0;s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"router.route_provider\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"path_processor_manager\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:23:\"route_processor_manager\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":2:{s:4:\"type\";s:9:\"parameter\";s:4:\"name\";s:16:\"filter_protocols\";}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;s:5:\"calls\";a:1:{i:0;a:2:{i:0;s:10:\"setContext\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"router.request_context\";s:15:\"invalidBehavior\";i:3;}}s:7:\"resolve\";b:1;}}}}s:6:\"shared\";b:0;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"renderer\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:13:\"url_generator\";}s:5:\"calls\";a:1:{i:0;a:2:{i:0;s:10:\"setContext\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"router.request_context\";s:15:\"invalidBehavior\";i:3;}}s:7:\"resolve\";b:1;}}}}\";s:20:\"redirect.destination\";s:472:\"a:4:{s:5:\"class\";s:39:\"Drupal\\Core\\Routing\\RedirectDestination\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"url_generator\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:20:\"redirect.destination\";}}\";s:22:\"unrouted_url_assembler\";s:569:\"a:4:{s:5:\"class\";s:40:\"Drupal\\Core\\Utility\\UnroutedUrlAssembler\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"path_processor_manager\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":2:{s:4:\"type\";s:9:\"parameter\";s:4:\"name\";s:16:\"filter_protocols\";}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:22:\"unrouted_url_assembler\";}}\";s:14:\"link_generator\";s:560:\"a:4:{s:5:\"class\";s:33:\"Drupal\\Core\\Utility\\LinkGenerator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"url_generator\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"renderer\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:14:\"link_generator\";}}\";s:6:\"router\";s:570:\"a:4:{s:5:\"class\";s:37:\"Drupal\\Core\\Routing\\AccessAwareRouter\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:23:\"router.no_access_checks\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"access_manager\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:6:\"router\";}}\";s:14:\"router.dynamic\";s:585:\"a:4:{s:5:\"class\";s:43:\"Symfony\\Cmf\\Component\\Routing\\DynamicRouter\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"router.request_context\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"router.matcher\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"url_generator\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:14:\"router.dynamic\";}}\";s:23:\"router.no_access_checks\";s:2997:\"a:5:{s:5:\"class\";s:27:\"\\Drupal\\Core\\Routing\\Router\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"router.route_provider\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"path.current\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"url_generator\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:23:\"router.no_access_checks\";}s:5:\"calls\";a:10:{i:0;a:2:{i:0;s:10:\"setContext\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"router.request_context\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:1;a:2:{i:0;s:16:\"addRouteEnhancer\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:31:\"route_enhancer.param_conversion\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:2;a:2:{i:0;s:16:\"addRouteEnhancer\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"route_enhancer.entity\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:3;a:2:{i:0;s:16:\"addRouteEnhancer\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"route_enhancer.form\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:4;a:2:{i:0;s:16:\"addRouteEnhancer\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:30:\"route_enhancer.entity_revision\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:5;a:2:{i:0;s:16:\"addRouteEnhancer\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"ctools.wizard_enhancer\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:6;a:2:{i:0;s:16:\"addRouteEnhancer\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:23:\"field_ui.route_enhancer\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:7;a:2:{i:0;s:14:\"addRouteFilter\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"method_filter\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:8;a:2:{i:0;s:14:\"addRouteFilter\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:27:\"content_type_header_matcher\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:9;a:2:{i:0;s:14:\"addRouteFilter\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:27:\"request_format_route_filter\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}}}\";s:28:\"router.path_roots_subscriber\";s:374:\"a:4:{s:5:\"class\";s:47:\"Drupal\\Core\\EventSubscriber\\PathRootsSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"state\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:28:\"router.path_roots_subscriber\";}}\";s:12:\"entity.query\";s:612:\"a:5:{s:5:\"class\";s:37:\"Drupal\\Core\\Entity\\Query\\QueryFactory\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:12:\"entity.query\";}s:5:\"calls\";a:1:{i:0;a:2:{i:0;s:12:\"setContainer\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}}}\";s:19:\"entity.query.config\";s:577:\"a:4:{s:5:\"class\";s:44:\"Drupal\\Core\\Config\\Entity\\Query\\QueryFactory\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"keyvalue\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:19:\"entity.query.config\";}}\";s:16:\"entity.query.sql\";s:359:\"a:4:{s:5:\"class\";s:41:\"Drupal\\Core\\Entity\\Query\\Sql\\QueryFactory\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:16:\"entity.query.sql\";}}\";s:22:\"pgsql.entity.query.sql\";s:371:\"a:4:{s:5:\"class\";s:47:\"Drupal\\Core\\Entity\\Query\\Sql\\pgsql\\QueryFactory\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:22:\"pgsql.entity.query.sql\";}}\";s:17:\"entity.query.null\";s:162:\"a:3:{s:5:\"class\";s:42:\"Drupal\\Core\\Entity\\Query\\Null\\QueryFactory\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:17:\"entity.query.null\";}}\";s:21:\"entity.query.keyvalue\";s:374:\"a:4:{s:5:\"class\";s:51:\"Drupal\\Core\\Entity\\KeyValueStore\\Query\\QueryFactory\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"keyvalue\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:21:\"entity.query.keyvalue\";}}\";s:13:\"router.dumper\";s:424:\"a:4:{s:5:\"class\";s:44:\"Drupal\\Core\\ProxyClass\\Routing\\MatcherDumper\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;s:43:\"drupal.proxy_original_service.router.dumper\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:13:\"router.dumper\";}}\";s:14:\"router.builder\";s:425:\"a:4:{s:5:\"class\";s:43:\"Drupal\\Core\\ProxyClass\\Routing\\RouteBuilder\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;s:44:\"drupal.proxy_original_service.router.builder\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:14:\"router.builder\";}}\";s:23:\"menu.rebuild_subscriber\";s:711:\"a:4:{s:5:\"class\";s:55:\"Drupal\\Core\\EventSubscriber\\MenuRouterRebuildSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:4:\"lock\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:24:\"plugin.manager.menu.link\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:28:\"database.replica_kill_switch\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:23:\"menu.rebuild_subscriber\";}}\";s:18:\"path.alias_storage\";s:566:\"a:4:{s:5:\"class\";s:29:\"Drupal\\Core\\Path\\AliasStorage\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:18:\"path.alias_storage\";}}\";s:12:\"path.matcher\";s:460:\"a:4:{s:5:\"class\";s:28:\"Drupal\\Core\\Path\\PathMatcher\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"current_route_match\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:12:\"path.matcher\";}}\";s:14:\"path.validator\";s:677:\"a:4:{s:5:\"class\";s:30:\"Drupal\\Core\\Path\\PathValidator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:6:\"router\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:23:\"router.no_access_checks\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"path_processor_manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:14:\"path.validator\";}}\";s:8:\"password\";s:182:\"a:4:{s:5:\"class\";s:41:\"Drupal\\Core\\Password\\PhpassHashedPassword\";s:9:\"arguments\";a:1:{i:0;i:16;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:8:\"password\";}}\";s:27:\"request_format_route_filter\";s:174:\"a:3:{s:5:\"class\";s:44:\"Drupal\\Core\\Routing\\RequestFormatRouteFilter\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:27:\"request_format_route_filter\";}}\";s:13:\"method_filter\";s:148:\"a:3:{s:5:\"class\";s:32:\"Drupal\\Core\\Routing\\MethodFilter\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:13:\"method_filter\";}}\";s:27:\"content_type_header_matcher\";s:174:\"a:3:{s:5:\"class\";s:44:\"Drupal\\Core\\Routing\\ContentTypeHeaderMatcher\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:27:\"content_type_header_matcher\";}}\";s:22:\"paramconverter_manager\";s:2683:\"a:4:{s:5:\"class\";s:48:\"Drupal\\Core\\ParamConverter\\ParamConverterManager\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:22:\"paramconverter_manager\";}s:5:\"calls\";a:8:{i:0;a:2:{i:0;s:12:\"addConverter\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:53:\"drupal.proxy_original_service.paramconverter.views_ui\";s:15:\"invalidBehavior\";i:1;}i:1;s:53:\"drupal.proxy_original_service.paramconverter.views_ui\";}s:7:\"resolve\";b:1;}}i:1;a:2:{i:0;s:12:\"addConverter\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";s:15:\"invalidBehavior\";i:1;}i:1;s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:7:\"resolve\";b:1;}}i:2;a:2:{i:0;s:12:\"addConverter\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"paramconverter.entity\";s:15:\"invalidBehavior\";i:1;}i:1;s:21:\"paramconverter.entity\";}s:7:\"resolve\";b:1;}}i:3;a:2:{i:0;s:12:\"addConverter\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:30:\"paramconverter.entity_revision\";s:15:\"invalidBehavior\";i:1;}i:1;s:30:\"paramconverter.entity_revision\";}s:7:\"resolve\";b:1;}}i:4;a:2:{i:0;s:12:\"addConverter\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:31:\"ctools.paramconverter.tempstore\";s:15:\"invalidBehavior\";i:1;}i:1;s:31:\"ctools.paramconverter.tempstore\";}s:7:\"resolve\";b:1;}}i:5;a:2:{i:0;s:12:\"addConverter\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:54:\"drupal.proxy_original_service.paramconverter.menu_link\";s:15:\"invalidBehavior\";i:1;}i:1;s:54:\"drupal.proxy_original_service.paramconverter.menu_link\";}s:7:\"resolve\";b:1;}}i:6;a:2:{i:0;s:12:\"addConverter\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:48:\"drupal.proxy_original_service.language_converter\";s:15:\"invalidBehavior\";i:1;}i:1;s:48:\"drupal.proxy_original_service.language_converter\";}s:7:\"resolve\";b:1;}}i:7;a:2:{i:0;s:12:\"addConverter\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:42:\"drupal.proxy_original_service.node_preview\";s:15:\"invalidBehavior\";i:1;}i:1;s:42:\"drupal.proxy_original_service.node_preview\";}s:7:\"resolve\";b:1;}}}}\";s:25:\"paramconverter_subscriber\";s:394:\"a:4:{s:5:\"class\";s:52:\"Drupal\\Core\\EventSubscriber\\ParamConverterSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"paramconverter_manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:25:\"paramconverter_subscriber\";}}\";s:21:\"paramconverter.entity\";s:486:\"a:4:{s:5:\"class\";s:42:\"Drupal\\Core\\ParamConverter\\EntityConverter\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"entity.repository\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:21:\"paramconverter.entity\";}}\";s:30:\"paramconverter.entity_revision\";s:508:\"a:4:{s:5:\"class\";s:55:\"Drupal\\Core\\ParamConverter\\EntityRevisionParamConverter\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"entity.repository\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:30:\"paramconverter.entity_revision\";}}\";s:33:\"paramconverter.configentity_admin\";s:488:\"a:4:{s:5:\"class\";s:68:\"Drupal\\Core\\ProxyClass\\ParamConverter\\AdminPathConfigEntityConverter\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:33:\"paramconverter.configentity_admin\";}}\";s:23:\"route_subscriber.module\";s:381:\"a:4:{s:5:\"class\";s:49:\"Drupal\\Core\\EventSubscriber\\ModuleRouteSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:23:\"route_subscriber.module\";}}\";s:23:\"resolver_manager.entity\";s:483:\"a:4:{s:5:\"class\";s:40:\"Drupal\\Core\\Entity\\EntityResolverManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"class_resolver\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:23:\"resolver_manager.entity\";}}\";s:23:\"route_subscriber.entity\";s:395:\"a:4:{s:5:\"class\";s:54:\"Drupal\\Core\\EventSubscriber\\EntityRouteAlterSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:23:\"resolver_manager.entity\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:23:\"route_subscriber.entity\";}}\";s:24:\"ajax_response.subscriber\";s:404:\"a:4:{s:5:\"class\";s:50:\"Drupal\\Core\\EventSubscriber\\AjaxResponseSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:35:\"ajax_response.attachments_processor\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:24:\"ajax_response.subscriber\";}}\";s:20:\"form_ajax_subscriber\";s:602:\"a:4:{s:5:\"class\";s:51:\"Drupal\\Core\\Form\\EventSubscriber\\FormAjaxSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:26:\"form_ajax_response_builder\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"string_translation\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:9:\"messenger\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:20:\"form_ajax_subscriber\";}}\";s:31:\"route_enhancer.param_conversion\";s:400:\"a:4:{s:5:\"class\";s:52:\"Drupal\\Core\\Routing\\Enhancer\\ParamConversionEnhancer\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"paramconverter_manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:31:\"route_enhancer.param_conversion\";}}\";s:19:\"route_enhancer.form\";s:168:\"a:3:{s:5:\"class\";s:46:\"Drupal\\Core\\Routing\\Enhancer\\FormRouteEnhancer\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:19:\"route_enhancer.form\";}}\";s:21:\"route_enhancer.entity\";s:171:\"a:3:{s:5:\"class\";s:47:\"Drupal\\Core\\Entity\\Enhancer\\EntityRouteEnhancer\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:21:\"route_enhancer.entity\";}}\";s:30:\"route_enhancer.entity_revision\";s:189:\"a:3:{s:5:\"class\";s:56:\"Drupal\\Core\\Routing\\Enhancer\\EntityRevisionRouteEnhancer\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:30:\"route_enhancer.entity_revision\";}}\";s:35:\"route_special_attributes_subscriber\";s:198:\"a:3:{s:5:\"class\";s:60:\"Drupal\\Core\\EventSubscriber\\SpecialAttributesRouteSubscriber\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:35:\"route_special_attributes_subscriber\";}}\";s:28:\"route_http_method_subscriber\";s:180:\"a:3:{s:5:\"class\";s:49:\"Drupal\\Core\\EventSubscriber\\RouteMethodSubscriber\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:28:\"route_http_method_subscriber\";}}\";s:28:\"psr_response_view_subscriber\";s:400:\"a:4:{s:5:\"class\";s:49:\"Drupal\\Core\\EventSubscriber\\PsrResponseSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:28:\"psr7.http_foundation_factory\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:28:\"psr_response_view_subscriber\";}}\";s:28:\"main_content_view_subscriber\";s:592:\"a:4:{s:5:\"class\";s:53:\"Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"class_resolver\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"current_route_match\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":2:{s:4:\"type\";s:9:\"parameter\";s:4:\"name\";s:22:\"main_content_renderers\";}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:28:\"main_content_view_subscriber\";}}\";s:17:\"renderer_non_html\";s:176:\"a:3:{s:5:\"class\";s:56:\"Drupal\\Core\\EventSubscriber\\RenderArrayNonHtmlSubscriber\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:17:\"renderer_non_html\";}}\";s:26:\"main_content_renderer.html\";s:1001:\"a:4:{s:5:\"class\";s:43:\"Drupal\\Core\\Render\\MainContent\\HtmlRenderer\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:7:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"title_resolver\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:30:\"plugin.manager.display_variant\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"event_dispatcher\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"renderer\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"render_cache\";s:15:\"invalidBehavior\";i:1;}i:6;O:8:\"stdClass\":2:{s:4:\"type\";s:9:\"parameter\";s:4:\"name\";s:15:\"renderer.config\";}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:7;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:26:\"main_content_renderer.html\";}}\";s:26:\"main_content_renderer.ajax\";s:490:\"a:4:{s:5:\"class\";s:43:\"Drupal\\Core\\Render\\MainContent\\AjaxRenderer\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:27:\"plugin.manager.element_info\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"renderer\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:26:\"main_content_renderer.ajax\";}}\";s:28:\"main_content_renderer.dialog\";s:481:\"a:4:{s:5:\"class\";s:45:\"Drupal\\Core\\Render\\MainContent\\DialogRenderer\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"title_resolver\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"renderer\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:28:\"main_content_renderer.dialog\";}}\";s:32:\"main_content_renderer.off_canvas\";s:488:\"a:4:{s:5:\"class\";s:48:\"Drupal\\Core\\Render\\MainContent\\OffCanvasRenderer\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"title_resolver\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"renderer\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:32:\"main_content_renderer.off_canvas\";}}\";s:36:\"main_content_renderer.off_canvas_top\";s:506:\"a:4:{s:5:\"class\";s:48:\"Drupal\\Core\\Render\\MainContent\\OffCanvasRenderer\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"title_resolver\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"renderer\";s:15:\"invalidBehavior\";i:1;}i:2;s:3:\"top\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:36:\"main_content_renderer.off_canvas_top\";}}\";s:27:\"main_content_renderer.modal\";s:479:\"a:4:{s:5:\"class\";s:44:\"Drupal\\Core\\Render\\MainContent\\ModalRenderer\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"title_resolver\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"renderer\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:27:\"main_content_renderer.modal\";}}\";s:15:\"controller.form\";s:601:\"a:4:{s:5:\"class\";s:41:\"Drupal\\Core\\Controller\\HtmlFormController\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:40:\"http_kernel.controller.argument_resolver\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"form_builder\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"class_resolver\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:15:\"controller.form\";}}\";s:22:\"controller.entity_form\";s:615:\"a:4:{s:5:\"class\";s:43:\"Drupal\\Core\\Entity\\HtmlEntityFormController\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:40:\"http_kernel.controller.argument_resolver\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"form_builder\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:22:\"controller.entity_form\";}}\";s:26:\"form_ajax_response_builder\";s:498:\"a:4:{s:5:\"class\";s:40:\"Drupal\\Core\\Form\\FormAjaxResponseBuilder\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:26:\"main_content_renderer.ajax\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"current_route_match\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:26:\"form_ajax_response_builder\";}}\";s:15:\"router_listener\";s:597:\"a:4:{s:5:\"class\";s:57:\"Symfony\\Component\\HttpKernel\\EventListener\\RouterListener\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:6:\"router\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"router.request_context\";s:15:\"invalidBehavior\";i:1;}i:3;N;}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:15:\"router_listener\";}}\";s:24:\"options_request_listener\";s:392:\"a:4:{s:5:\"class\";s:52:\"Drupal\\Core\\EventSubscriber\\OptionsRequestSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"router.route_provider\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:24:\"options_request_listener\";}}\";s:23:\"bare_html_page_renderer\";s:450:\"a:4:{s:5:\"class\";s:50:\"Drupal\\Core\\ProxyClass\\Render\\BareHtmlPageRenderer\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;s:53:\"drupal.proxy_original_service.bare_html_page_renderer\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:23:\"bare_html_page_renderer\";}}\";s:11:\"private_key\";s:332:\"a:4:{s:5:\"class\";s:22:\"Drupal\\Core\\PrivateKey\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"state\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:11:\"private_key\";}}\";s:10:\"csrf_token\";s:473:\"a:4:{s:5:\"class\";s:37:\"Drupal\\Core\\Access\\CsrfTokenGenerator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:11:\"private_key\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:28:\"session_manager.metadata_bag\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:10:\"csrf_token\";}}\";s:33:\"access_arguments_resolver_factory\";s:185:\"a:3:{s:5:\"class\";s:49:\"Drupal\\Core\\Access\\AccessArgumentsResolverFactory\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:33:\"access_arguments_resolver_factory\";}}\";s:14:\"access_manager\";s:5779:\"a:4:{s:5:\"class\";s:32:\"Drupal\\Core\\Access\\AccessManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"router.route_provider\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"paramconverter_manager\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:33:\"access_arguments_resolver_factory\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:29:\"access_manager.check_provider\";s:5:\"value\";a:4:{s:5:\"class\";s:32:\"Drupal\\Core\\Access\\CheckProvider\";s:6:\"public\";b:0;s:15:\"arguments_count\";i:0;s:5:\"calls\";a:31:{i:0;a:2:{i:0;s:12:\"setContainer\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:1;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:20:\"access_check.default\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:7:\"_access\";}i:3;b:0;}}i:2;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:19:\"access_check.entity\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:14:\"_entity_access\";}i:3;b:0;}}i:3;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:27:\"access_check.entity_bundles\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:15:\"_entity_bundles\";}i:3;b:0;}}i:4;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:26:\"access_check.entity_create\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:21:\"_entity_create_access\";}i:3;b:0;}}i:5;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:30:\"access_check.entity_create_any\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:25:\"_entity_create_any_access\";}i:3;b:0;}}i:6;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:35:\"access_check.entity_delete_multiple\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:30:\"_entity_delete_multiple_access\";}i:3;b:0;}}i:7;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:18:\"access_check.theme\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:13:\"_access_theme\";}i:3;b:0;}}i:8;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:19:\"access_check.custom\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:14:\"_custom_access\";}i:3;b:0;}}i:9;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:17:\"access_check.csrf\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:11:\"_csrf_token\";}i:3;b:1;}}i:10;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:24:\"access_check.header.csrf\";i:1;s:6:\"access\";i:2;a:0:{}i:3;b:1;}}i:11;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:34:\"config_translation.access.overview\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:35:\"_config_translation_overview_access\";}i:3;b:0;}}i:12;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:30:\"config_translation.access.form\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:31:\"_config_translation_form_access\";}i:3;b:0;}}i:13;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:29:\"access_check.contact_personal\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:28:\"_access_contact_personal_tab\";}i:3;b:0;}}i:14;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:33:\"content_translation.delete_access\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:34:\"_access_content_translation_delete\";}i:3;b:0;}}i:15;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:35:\"content_translation.overview_access\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:36:\"_access_content_translation_overview\";}i:3;b:0;}}i:16;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:33:\"content_translation.manage_access\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:34:\"_access_content_translation_manage\";}i:3;b:0;}}i:17;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:13:\"ctools.access\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:14:\"_ctools_access\";}i:3;b:0;}}i:18;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:31:\"access_check.field_ui.view_mode\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:26:\"_field_ui_view_mode_access\";}i:3;b:0;}}i:19;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:31:\"access_check.field_ui.form_mode\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:26:\"_field_ui_form_mode_access\";}i:3;b:0;}}i:20;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:26:\"access_check.node.revision\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:21:\"_access_node_revision\";}i:3;b:0;}}i:21;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:21:\"access_check.node.add\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:16:\"_node_add_access\";}i:3;b:0;}}i:22;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:25:\"access_check.node.preview\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:20:\"_node_preview_access\";}i:3;b:0;}}i:23;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:35:\"access_check.quickedit.entity_field\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:30:\"_access_quickedit_entity_field\";}i:3;b:0;}}i:24;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:17:\"access_check.cron\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:19:\"_access_system_cron\";}i:3;b:0;}}i:25;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:22:\"access_check.db_update\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:21:\"_access_system_update\";}i:3;b:0;}}i:26;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:34:\"access_check.update.manager_access\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:22:\"_access_update_manager\";}i:3;b:0;}}i:27;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:23:\"access_check.permission\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:11:\"_permission\";}i:3;b:0;}}i:28;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:26:\"access_check.user.register\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:21:\"_access_user_register\";}i:3;b:0;}}i:29;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:22:\"access_check.user.role\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:5:\"_role\";}i:3;b:0;}}i:30;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:30:\"access_check.user.login_status\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:18:\"_user_is_logged_in\";}i:3;b:0;}}}}s:6:\"shared\";b:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:14:\"access_manager\";}}\";s:20:\"access_check.default\";s:160:\"a:3:{s:5:\"class\";s:37:\"Drupal\\Core\\Access\\DefaultAccessCheck\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:20:\"access_check.default\";}}\";s:19:\"access_check.entity\";s:158:\"a:3:{s:5:\"class\";s:36:\"Drupal\\Core\\Entity\\EntityAccessCheck\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:19:\"access_check.entity\";}}\";s:27:\"access_check.entity_bundles\";s:172:\"a:3:{s:5:\"class\";s:42:\"Drupal\\Core\\Entity\\EntityBundleAccessCheck\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:27:\"access_check.entity_bundles\";}}\";s:26:\"access_check.entity_create\";s:382:\"a:4:{s:5:\"class\";s:42:\"Drupal\\Core\\Entity\\EntityCreateAccessCheck\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:26:\"access_check.entity_create\";}}\";s:30:\"access_check.entity_create_any\";s:504:\"a:4:{s:5:\"class\";s:45:\"Drupal\\Core\\Entity\\EntityCreateAnyAccessCheck\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:23:\"entity_type.bundle.info\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:30:\"access_check.entity_create_any\";}}\";s:35:\"access_check.entity_delete_multiple\";s:613:\"a:4:{s:5:\"class\";s:50:\"Drupal\\Core\\Entity\\EntityDeleteMultipleAccessCheck\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"tempstore.private\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:35:\"access_check.entity_delete_multiple\";}}\";s:18:\"access_check.theme\";s:360:\"a:4:{s:5:\"class\";s:34:\"Drupal\\Core\\Theme\\ThemeAccessCheck\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"theme_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:18:\"access_check.theme\";}}\";s:19:\"access_check.custom\";s:494:\"a:4:{s:5:\"class\";s:36:\"Drupal\\Core\\Access\\CustomAccessCheck\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"controller_resolver\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:33:\"access_arguments_resolver_factory\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:19:\"access_check.custom\";}}\";s:17:\"access_check.csrf\";s:356:\"a:4:{s:5:\"class\";s:34:\"Drupal\\Core\\Access\\CsrfAccessCheck\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:10:\"csrf_token\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:17:\"access_check.csrf\";}}\";s:24:\"access_check.header.csrf\";s:489:\"a:4:{s:5:\"class\";s:47:\"Drupal\\Core\\Access\\CsrfRequestHeaderAccessCheck\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"session_configuration\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:10:\"csrf_token\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:24:\"access_check.header.csrf\";}}\";s:16:\"maintenance_mode\";s:347:\"a:4:{s:5:\"class\";s:32:\"Drupal\\Core\\Site\\MaintenanceMode\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"state\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:16:\"maintenance_mode\";}}\";s:27:\"maintenance_mode_subscriber\";s:1031:\"a:4:{s:5:\"class\";s:53:\"Drupal\\Core\\EventSubscriber\\MaintenanceModeSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:7:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"maintenance_mode\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"string_translation\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"url_generator\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:23:\"bare_html_page_renderer\";s:15:\"invalidBehavior\";i:1;}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:9:\"messenger\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:7;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:27:\"maintenance_mode_subscriber\";}}\";s:15:\"path_subscriber\";s:474:\"a:4:{s:5:\"class\";s:42:\"Drupal\\Core\\EventSubscriber\\PathSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"path_alias.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"path.current\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:15:\"path_subscriber\";}}\";s:32:\"route_access_response_subscriber\";s:192:\"a:3:{s:5:\"class\";s:57:\"Drupal\\Core\\EventSubscriber\\RouteAccessResponseSubscriber\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:32:\"route_access_response_subscriber\";}}\";s:32:\"client_error_response_subscriber\";s:192:\"a:3:{s:5:\"class\";s:57:\"Drupal\\Core\\EventSubscriber\\ClientErrorResponseSubscriber\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:32:\"client_error_response_subscriber\";}}\";s:34:\"anonymous_user_response_subscriber\";s:400:\"a:4:{s:5:\"class\";s:59:\"Drupal\\Core\\EventSubscriber\\AnonymousUserResponseSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:34:\"anonymous_user_response_subscriber\";}}\";s:35:\"ajax_response.attachments_processor\";s:1050:\"a:4:{s:5:\"class\";s:49:\"Drupal\\Core\\Ajax\\AjaxResponseAttachmentsProcessor\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:7:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"asset.resolver\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:29:\"asset.css.collection_renderer\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:28:\"asset.js.collection_renderer\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"renderer\";s:15:\"invalidBehavior\";i:1;}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:7;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:35:\"ajax_response.attachments_processor\";}}\";s:35:\"html_response.attachments_processor\";s:1052:\"a:4:{s:5:\"class\";s:51:\"Drupal\\Core\\Render\\HtmlResponseAttachmentsProcessor\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:7:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"asset.resolver\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:29:\"asset.css.collection_renderer\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:28:\"asset.js.collection_renderer\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"renderer\";s:15:\"invalidBehavior\";i:1;}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:7;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:35:\"html_response.attachments_processor\";}}\";s:24:\"html_response.subscriber\";s:404:\"a:4:{s:5:\"class\";s:50:\"Drupal\\Core\\EventSubscriber\\HtmlResponseSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:35:\"html_response.attachments_processor\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:24:\"html_response.subscriber\";}}\";s:26:\"finish_response_subscriber\";s:852:\"a:4:{s:5:\"class\";s:52:\"Drupal\\Core\\EventSubscriber\\FinishResponseSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:6:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:25:\"page_cache_request_policy\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:26:\"page_cache_response_policy\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"cache_contexts_manager\";s:15:\"invalidBehavior\";i:1;}i:5;b:0;}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:6;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:26:\"finish_response_subscriber\";}}\";s:29:\"response_generator_subscriber\";s:187:\"a:3:{s:5:\"class\";s:55:\"Drupal\\Core\\EventSubscriber\\ResponseGeneratorSubscriber\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:29:\"response_generator_subscriber\";}}\";s:28:\"redirect_response_subscriber\";s:513:\"a:4:{s:5:\"class\";s:54:\"Drupal\\Core\\EventSubscriber\\RedirectResponseSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"unrouted_url_assembler\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"router.request_context\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:28:\"redirect_response_subscriber\";}}\";s:35:\"redirect_leading_slashes_subscriber\";s:198:\"a:3:{s:5:\"class\";s:60:\"Drupal\\Core\\EventSubscriber\\RedirectLeadingSlashesSubscriber\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:35:\"redirect_leading_slashes_subscriber\";}}\";s:24:\"request_close_subscriber\";s:383:\"a:4:{s:5:\"class\";s:50:\"Drupal\\Core\\EventSubscriber\\RequestCloseSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:24:\"request_close_subscriber\";}}\";s:24:\"config_import_subscriber\";s:495:\"a:4:{s:5:\"class\";s:50:\"Drupal\\Core\\EventSubscriber\\ConfigImportSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"theme_handler\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"extension.list.module\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:24:\"config_import_subscriber\";}}\";s:26:\"config_snapshot_subscriber\";s:608:\"a:4:{s:5:\"class\";s:52:\"Drupal\\Core\\EventSubscriber\\ConfigSnapshotSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.storage\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:23:\"config.storage.snapshot\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:26:\"config_snapshot_subscriber\";}}\";s:33:\"config_exclude_modules_subscriber\";s:605:\"a:4:{s:5:\"class\";s:58:\"Drupal\\Core\\EventSubscriber\\ExcludedModulesEventSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.storage\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"settings\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:33:\"config_exclude_modules_subscriber\";}}\";s:25:\"exception.needs_installer\";s:392:\"a:4:{s:5:\"class\";s:65:\"Drupal\\Core\\EventSubscriber\\ExceptionDetectNeedsInstallSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:25:\"exception.needs_installer\";}}\";s:22:\"exception.default_json\";s:176:\"a:3:{s:5:\"class\";s:51:\"Drupal\\Core\\EventSubscriber\\ExceptionJsonSubscriber\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:22:\"exception.default_json\";}}\";s:22:\"exception.default_html\";s:723:\"a:4:{s:5:\"class\";s:58:\"Drupal\\Core\\EventSubscriber\\DefaultExceptionHtmlSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:11:\"http_kernel\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"logger.channel.php\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"redirect.destination\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:23:\"router.no_access_checks\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:22:\"exception.default_html\";}}\";s:15:\"exception.final\";s:376:\"a:4:{s:5:\"class\";s:52:\"Drupal\\Core\\EventSubscriber\\FinalExceptionSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:15:\"exception.final\";}}\";s:16:\"exception.logger\";s:379:\"a:4:{s:5:\"class\";s:54:\"Drupal\\Core\\EventSubscriber\\ExceptionLoggingSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"logger.factory\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:16:\"exception.logger\";}}\";s:26:\"exception.custom_page_html\";s:942:\"a:4:{s:5:\"class\";s:61:\"Drupal\\Core\\EventSubscriber\\CustomPageExceptionHtmlSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:6:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:11:\"http_kernel\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"logger.channel.php\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"redirect.destination\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:23:\"router.no_access_checks\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"access_manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:6;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:26:\"exception.custom_page_html\";}}\";s:23:\"exception.fast_404_html\";s:493:\"a:4:{s:5:\"class\";s:58:\"Drupal\\Core\\EventSubscriber\\Fast404ExceptionHtmlSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:11:\"http_kernel\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:23:\"exception.fast_404_html\";}}\";s:19:\"exception.test_site\";s:177:\"a:3:{s:5:\"class\";s:55:\"Drupal\\Core\\EventSubscriber\\ExceptionTestSiteSubscriber\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:19:\"exception.test_site\";}}\";s:32:\"exception.enforced_form_response\";s:193:\"a:3:{s:5:\"class\";s:58:\"Drupal\\Core\\EventSubscriber\\EnforcedFormResponseSubscriber\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:32:\"exception.enforced_form_response\";}}\";s:23:\"route_processor_manager\";s:923:\"a:4:{s:5:\"class\";s:48:\"Drupal\\Core\\RouteProcessor\\RouteProcessorManager\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:23:\"route_processor_manager\";}s:5:\"calls\";a:3:{i:0;a:2:{i:0;s:11:\"addOutbound\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:23:\"route_processor_current\";s:15:\"invalidBehavior\";i:1;}i:1;i:200;}s:7:\"resolve\";b:1;}}i:1;a:2:{i:0;s:11:\"addOutbound\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"route_processor_csrf\";s:15:\"invalidBehavior\";i:1;}i:1;i:0;}s:7:\"resolve\";b:1;}}i:2;a:2:{i:0;s:11:\"addOutbound\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:23:\"path.route_processor_bc\";s:15:\"invalidBehavior\";i:1;}i:1;i:0;}s:7:\"resolve\";b:1;}}}}\";s:22:\"path_processor_manager\";s:2395:\"a:4:{s:5:\"class\";s:46:\"Drupal\\Core\\PathProcessor\\PathProcessorManager\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:22:\"path_processor_manager\";}s:5:\"calls\";a:9:{i:0;a:2:{i:0;s:10:\"addInbound\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"path_processor_decode\";s:15:\"invalidBehavior\";i:1;}i:1;i:1000;}s:7:\"resolve\";b:1;}}i:1;a:2:{i:0;s:10:\"addInbound\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:27:\"path_processor.image_styles\";s:15:\"invalidBehavior\";i:1;}i:1;i:300;}s:7:\"resolve\";b:1;}}i:2;a:2:{i:0;s:10:\"addInbound\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:23:\"path_processor_language\";s:15:\"invalidBehavior\";i:1;}i:1;i:300;}s:7:\"resolve\";b:1;}}i:3;a:2:{i:0;s:10:\"addInbound\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"path_processor_front\";s:15:\"invalidBehavior\";i:1;}i:1;i:200;}s:7:\"resolve\";b:1;}}i:4;a:2:{i:0;s:10:\"addInbound\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"path_processor.files\";s:15:\"invalidBehavior\";i:1;}i:1;i:200;}s:7:\"resolve\";b:1;}}i:5;a:2:{i:0;s:10:\"addInbound\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:25:\"path_alias.path_processor\";s:15:\"invalidBehavior\";i:1;}i:1;i:100;}s:7:\"resolve\";b:1;}}i:6;a:2:{i:0;s:11:\"addOutbound\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:25:\"path_alias.path_processor\";s:15:\"invalidBehavior\";i:1;}i:1;i:300;}s:7:\"resolve\";b:1;}}i:7;a:2:{i:0;s:11:\"addOutbound\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"path_processor_front\";s:15:\"invalidBehavior\";i:1;}i:1;i:200;}s:7:\"resolve\";b:1;}}i:8;a:2:{i:0;s:11:\"addOutbound\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:23:\"path_processor_language\";s:15:\"invalidBehavior\";i:1;}i:1;i:100;}s:7:\"resolve\";b:1;}}}}\";s:21:\"path_processor_decode\";s:169:\"a:3:{s:5:\"class\";s:45:\"Drupal\\Core\\PathProcessor\\PathProcessorDecode\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:21:\"path_processor_decode\";}}\";s:20:\"path_processor_front\";s:373:\"a:4:{s:5:\"class\";s:44:\"Drupal\\Core\\PathProcessor\\PathProcessorFront\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:20:\"path_processor_front\";}}\";s:23:\"route_processor_current\";s:385:\"a:4:{s:5:\"class\";s:48:\"Drupal\\Core\\RouteProcessor\\RouteProcessorCurrent\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"current_route_match\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:23:\"route_processor_current\";}}\";s:20:\"path_processor_alias\";s:377:\"a:4:{s:5:\"class\";s:44:\"Drupal\\Core\\PathProcessor\\PathProcessorAlias\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"path_alias.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:20:\"path_processor_alias\";}}\";s:20:\"route_processor_csrf\";s:362:\"a:4:{s:5:\"class\";s:37:\"Drupal\\Core\\Access\\RouteProcessorCsrf\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:10:\"csrf_token\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:20:\"route_processor_csrf\";}}\";s:15:\"transliteration\";s:376:\"a:4:{s:5:\"class\";s:46:\"Drupal\\Core\\Transliteration\\PhpTransliteration\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;N;i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:15:\"transliteration\";}}\";s:5:\"flood\";s:444:\"a:4:{s:5:\"class\";s:33:\"Drupal\\Core\\Flood\\DatabaseBackend\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:5:\"flood\";}}\";s:19:\"plugin.manager.mail\";s:996:\"a:4:{s:5:\"class\";s:28:\"Drupal\\Core\\Mail\\MailManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:7:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"logger.factory\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"string_translation\";s:15:\"invalidBehavior\";i:1;}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"renderer\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:7;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:19:\"plugin.manager.mail\";}}\";s:24:\"plugin.manager.condition\";s:590:\"a:4:{s:5:\"class\";s:38:\"Drupal\\Core\\Condition\\ConditionManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:24:\"plugin.manager.condition\";}}\";s:27:\"plugin.manager.element_info\";s:811:\"a:4:{s:5:\"class\";s:37:\"Drupal\\Core\\Render\\ElementInfoManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"cache_tags.invalidator\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"theme.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:27:\"plugin.manager.element_info\";}}\";s:22:\"stream_wrapper_manager\";s:1432:\"a:4:{s:5:\"class\";s:46:\"Drupal\\Core\\StreamWrapper\\StreamWrapperManager\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:22:\"stream_wrapper_manager\";}s:5:\"calls\";a:7:{i:0;a:2:{i:0;s:12:\"setContainer\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:1;a:2:{i:0;s:16:\"addStreamWrapper\";i:1;a:3:{i:0;s:21:\"stream_wrapper.public\";i:1;s:38:\"Drupal\\Core\\StreamWrapper\\PublicStream\";i:2;s:6:\"public\";}}i:2;a:2:{i:0;s:16:\"addStreamWrapper\";i:1;a:3:{i:0;s:24:\"stream_wrapper.temporary\";i:1;s:41:\"Drupal\\Core\\StreamWrapper\\TemporaryStream\";i:2;s:9:\"temporary\";}}i:3;a:2:{i:0;s:16:\"addStreamWrapper\";i:1;a:3:{i:0;s:34:\"stream_wrapper.library_definitions\";i:1;s:55:\"Drupal\\libraries\\StreamWrapper\\LibraryDefinitionsStream\";i:2;s:19:\"library-definitions\";}}i:4;a:2:{i:0;s:16:\"addStreamWrapper\";i:1;a:3:{i:0;s:30:\"stream_wrapper.asset_libraries\";i:1;s:51:\"Drupal\\libraries\\StreamWrapper\\AssetLibrariesStream\";i:2;s:5:\"asset\";}}i:5;a:2:{i:0;s:16:\"addStreamWrapper\";i:1;a:3:{i:0;s:33:\"stream_wrapper.php_file_libraries\";i:1;s:53:\"Drupal\\libraries\\StreamWrapper\\PhpFileLibrariesStream\";i:2;s:8:\"php-file\";}}i:6;a:2:{i:0;s:16:\"addStreamWrapper\";i:1;a:3:{i:0;s:27:\"stream_wrapper.translations\";i:1;s:46:\"Drupal\\locale\\StreamWrapper\\TranslationsStream\";i:2;s:12:\"translations\";}}}}\";s:21:\"stream_wrapper.public\";s:162:\"a:3:{s:5:\"class\";s:38:\"Drupal\\Core\\StreamWrapper\\PublicStream\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:21:\"stream_wrapper.public\";}}\";s:24:\"stream_wrapper.temporary\";s:168:\"a:3:{s:5:\"class\";s:41:\"Drupal\\Core\\StreamWrapper\\TemporaryStream\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:24:\"stream_wrapper.temporary\";}}\";s:26:\"kernel_destruct_subscriber\";s:1114:\"a:4:{s:5:\"class\";s:55:\"Drupal\\Core\\EventSubscriber\\KernelDestructionSubscriber\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:26:\"kernel_destruct_subscriber\";}s:5:\"calls\";a:9:{i:0;a:2:{i:0;s:12:\"setContainer\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:1;a:2:{i:0;s:15:\"registerService\";i:1;a:1:{i:0;s:17:\"menu.active_trail\";}}i:2;a:2:{i:0;s:15:\"registerService\";i:1;a:1:{i:0;s:14:\"theme.registry\";}}i:3;a:2:{i:0;s:15:\"registerService\";i:1;a:1:{i:0;s:27:\"library.discovery.collector\";}}i:4;a:2:{i:0;s:15:\"registerService\";i:1;a:1:{i:0;s:25:\"block_content.uuid_lookup\";}}i:5;a:2:{i:0;s:15:\"registerService\";i:1;a:1:{i:0;s:31:\"string_translator.locale.lookup\";}}i:6;a:2:{i:0;s:15:\"registerService\";i:1;a:1:{i:0;s:20:\"path_alias.whitelist\";}}i:7;a:2:{i:0;s:15:\"registerService\";i:1;a:1:{i:0;s:31:\"simplenews.subscription_manager\";}}i:8;a:2:{i:0;s:15:\"registerService\";i:1;a:1:{i:0;s:44:\"drupal.proxy_original_service.router.builder\";}}}}\";s:21:\"image.toolkit.manager\";s:699:\"a:4:{s:5:\"class\";s:44:\"Drupal\\Core\\ImageToolkit\\ImageToolkitManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:21:\"image.toolkit.manager\";}}\";s:31:\"image.toolkit.operation.manager\";s:837:\"a:4:{s:5:\"class\";s:53:\"Drupal\\Core\\ImageToolkit\\ImageToolkitOperationManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"logger.channel.image\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"image.toolkit.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:31:\"image.toolkit.operation.manager\";}}\";s:13:\"image.factory\";s:359:\"a:4:{s:5:\"class\";s:30:\"Drupal\\Core\\Image\\ImageFactory\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"image.toolkit.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:13:\"image.factory\";}}\";s:10:\"breadcrumb\";s:1109:\"a:5:{s:5:\"class\";s:40:\"Drupal\\Core\\Breadcrumb\\BreadcrumbManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:10:\"breadcrumb\";}s:5:\"calls\";a:3:{i:0;a:2:{i:0;s:10:\"addBuilder\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:24:\"taxonomy_term.breadcrumb\";s:15:\"invalidBehavior\";i:1;}i:1;i:1002;}s:7:\"resolve\";b:1;}}i:1;a:2:{i:0;s:10:\"addBuilder\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"comment.breadcrumb\";s:15:\"invalidBehavior\";i:1;}i:1;i:100;}s:7:\"resolve\";b:1;}}i:2;a:2:{i:0;s:10:\"addBuilder\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:25:\"system.breadcrumb.default\";s:15:\"invalidBehavior\";i:1;}i:1;i:0;}s:7:\"resolve\";b:1;}}}}\";s:5:\"token\";s:758:\"a:4:{s:5:\"class\";s:19:\"\\Drupal\\token\\Token\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"cache.default\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"cache_tags.invalidator\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"renderer\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:5:\"token\";}}\";s:13:\"batch.storage\";s:421:\"a:4:{s:5:\"class\";s:41:\"Drupal\\Core\\ProxyClass\\Batch\\BatchStorage\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;s:43:\"drupal.proxy_original_service.batch.storage\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:13:\"batch.storage\";}}\";s:15:\"country_manager\";s:357:\"a:4:{s:5:\"class\";s:33:\"Drupal\\Core\\Locale\\CountryManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:15:\"country_manager\";}}\";s:14:\"date.formatter\";s:791:\"a:4:{s:5:\"class\";s:34:\"Drupal\\Core\\Datetime\\DateFormatter\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"string_translation\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:14:\"date.formatter\";}}\";s:18:\"feed.bridge.reader\";s:573:\"a:5:{s:5:\"class\";s:53:\"Drupal\\Component\\Bridge\\ZfExtensionManagerSfContainer\";s:9:\"arguments\";a:1:{i:0;s:12:\"feed.reader.\";}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:18:\"feed.bridge.reader\";}s:5:\"calls\";a:2:{i:0;a:2:{i:0;s:12:\"setContainer\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:1;a:2:{i:0;s:13:\"setStandalone\";i:1;a:1:{i:0;s:47:\"\\Laminas\\Feed\\Reader\\StandaloneExtensionManager\";}}}}\";s:18:\"feed.bridge.writer\";s:573:\"a:5:{s:5:\"class\";s:53:\"Drupal\\Component\\Bridge\\ZfExtensionManagerSfContainer\";s:9:\"arguments\";a:1:{i:0;s:12:\"feed.writer.\";}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:18:\"feed.bridge.writer\";}s:5:\"calls\";a:2:{i:0;a:2:{i:0;s:12:\"setContainer\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:1;a:2:{i:0;s:13:\"setStandalone\";i:1;a:1:{i:0;s:47:\"\\Laminas\\Feed\\Writer\\StandaloneExtensionManager\";}}}}\";s:27:\"feed.reader.dublincoreentry\";s:193:\"a:4:{s:5:\"class\";s:46:\"Laminas\\Feed\\Reader\\Extension\\DublinCore\\Entry\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:27:\"feed.reader.dublincoreentry\";}s:6:\"shared\";b:0;}\";s:26:\"feed.reader.dublincorefeed\";s:191:\"a:4:{s:5:\"class\";s:45:\"Laminas\\Feed\\Reader\\Extension\\DublinCore\\Feed\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:26:\"feed.reader.dublincorefeed\";}s:6:\"shared\";b:0;}\";s:24:\"feed.reader.contententry\";s:187:\"a:4:{s:5:\"class\";s:43:\"Laminas\\Feed\\Reader\\Extension\\Content\\Entry\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:24:\"feed.reader.contententry\";}s:6:\"shared\";b:0;}\";s:21:\"feed.reader.atomentry\";s:181:\"a:4:{s:5:\"class\";s:40:\"Laminas\\Feed\\Reader\\Extension\\Atom\\Entry\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:21:\"feed.reader.atomentry\";}s:6:\"shared\";b:0;}\";s:20:\"feed.reader.atomfeed\";s:179:\"a:4:{s:5:\"class\";s:39:\"Laminas\\Feed\\Reader\\Extension\\Atom\\Feed\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:20:\"feed.reader.atomfeed\";}s:6:\"shared\";b:0;}\";s:22:\"feed.reader.slashentry\";s:183:\"a:4:{s:5:\"class\";s:41:\"Laminas\\Feed\\Reader\\Extension\\Slash\\Entry\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:22:\"feed.reader.slashentry\";}s:6:\"shared\";b:0;}\";s:30:\"feed.reader.wellformedwebentry\";s:199:\"a:4:{s:5:\"class\";s:49:\"Laminas\\Feed\\Reader\\Extension\\WellFormedWeb\\Entry\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:30:\"feed.reader.wellformedwebentry\";}s:6:\"shared\";b:0;}\";s:23:\"feed.reader.threadentry\";s:185:\"a:4:{s:5:\"class\";s:42:\"Laminas\\Feed\\Reader\\Extension\\Thread\\Entry\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:23:\"feed.reader.threadentry\";}s:6:\"shared\";b:0;}\";s:24:\"feed.reader.podcastentry\";s:187:\"a:4:{s:5:\"class\";s:43:\"Laminas\\Feed\\Reader\\Extension\\Podcast\\Entry\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:24:\"feed.reader.podcastentry\";}s:6:\"shared\";b:0;}\";s:23:\"feed.reader.podcastfeed\";s:185:\"a:4:{s:5:\"class\";s:42:\"Laminas\\Feed\\Reader\\Extension\\Podcast\\Feed\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:23:\"feed.reader.podcastfeed\";}s:6:\"shared\";b:0;}\";s:28:\"feed.writer.atomrendererfeed\";s:196:\"a:4:{s:5:\"class\";s:48:\"Laminas\\Feed\\Writer\\Extension\\Atom\\Renderer\\Feed\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:28:\"feed.writer.atomrendererfeed\";}s:6:\"shared\";b:0;}\";s:32:\"feed.writer.contentrendererentry\";s:204:\"a:4:{s:5:\"class\";s:52:\"Laminas\\Feed\\Writer\\Extension\\Content\\Renderer\\Entry\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:32:\"feed.writer.contentrendererentry\";}s:6:\"shared\";b:0;}\";s:35:\"feed.writer.dublincorerendererentry\";s:210:\"a:4:{s:5:\"class\";s:55:\"Laminas\\Feed\\Writer\\Extension\\DublinCore\\Renderer\\Entry\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:35:\"feed.writer.dublincorerendererentry\";}s:6:\"shared\";b:0;}\";s:34:\"feed.writer.dublincorerendererfeed\";s:208:\"a:4:{s:5:\"class\";s:54:\"Laminas\\Feed\\Writer\\Extension\\DublinCore\\Renderer\\Feed\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:34:\"feed.writer.dublincorerendererfeed\";}s:6:\"shared\";b:0;}\";s:23:\"feed.writer.itunesentry\";s:185:\"a:4:{s:5:\"class\";s:42:\"Laminas\\Feed\\Writer\\Extension\\ITunes\\Entry\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:23:\"feed.writer.itunesentry\";}s:6:\"shared\";b:0;}\";s:22:\"feed.writer.itunesfeed\";s:183:\"a:4:{s:5:\"class\";s:41:\"Laminas\\Feed\\Writer\\Extension\\ITunes\\Feed\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:22:\"feed.writer.itunesfeed\";}s:6:\"shared\";b:0;}\";s:31:\"feed.writer.itunesrendererentry\";s:202:\"a:4:{s:5:\"class\";s:51:\"Laminas\\Feed\\Writer\\Extension\\ITunes\\Renderer\\Entry\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:31:\"feed.writer.itunesrendererentry\";}s:6:\"shared\";b:0;}\";s:30:\"feed.writer.itunesrendererfeed\";s:200:\"a:4:{s:5:\"class\";s:50:\"Laminas\\Feed\\Writer\\Extension\\ITunes\\Renderer\\Feed\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:30:\"feed.writer.itunesrendererfeed\";}s:6:\"shared\";b:0;}\";s:30:\"feed.writer.slashrendererentry\";s:200:\"a:4:{s:5:\"class\";s:50:\"Laminas\\Feed\\Writer\\Extension\\Slash\\Renderer\\Entry\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:30:\"feed.writer.slashrendererentry\";}s:6:\"shared\";b:0;}\";s:34:\"feed.writer.threadingrendererentry\";s:208:\"a:4:{s:5:\"class\";s:54:\"Laminas\\Feed\\Writer\\Extension\\Threading\\Renderer\\Entry\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:34:\"feed.writer.threadingrendererentry\";}s:6:\"shared\";b:0;}\";s:38:\"feed.writer.wellformedwebrendererentry\";s:216:\"a:4:{s:5:\"class\";s:58:\"Laminas\\Feed\\Writer\\Extension\\WellFormedWeb\\Renderer\\Entry\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:38:\"feed.writer.wellformedwebrendererentry\";}s:6:\"shared\";b:0;}\";s:13:\"theme.manager\";s:921:\"a:5:{s:5:\"class\";s:30:\"Drupal\\Core\\Theme\\ThemeManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"app.root\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"theme.negotiator\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"theme.initialization\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:13:\"theme.manager\";}s:5:\"calls\";a:1:{i:0;a:2:{i:0;s:16:\"setThemeRegistry\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"theme.registry\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}}}\";s:20:\"theme.initialization\";s:677:\"a:4:{s:5:\"class\";s:37:\"Drupal\\Core\\Theme\\ThemeInitialization\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"app.root\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"theme_handler\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.bootstrap\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:20:\"theme.initialization\";}}\";s:14:\"theme.registry\";s:1226:\"a:5:{s:5:\"class\";s:26:\"Drupal\\Core\\Theme\\Registry\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:8:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"app.root\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"cache.default\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:4:\"lock\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"theme_handler\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"theme.initialization\";s:15:\"invalidBehavior\";i:1;}i:6;N;i:7;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.bootstrap\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:8;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:14:\"theme.registry\";}s:5:\"calls\";a:1:{i:0;a:2:{i:0;s:15:\"setThemeManager\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"theme.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}}}\";s:14:\"authentication\";s:381:\"a:4:{s:5:\"class\";s:48:\"Drupal\\Core\\Authentication\\AuthenticationManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:24:\"authentication_collector\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:14:\"authentication\";}}\";s:24:\"authentication_collector\";s:467:\"a:4:{s:5:\"class\";s:50:\"Drupal\\Core\\Authentication\\AuthenticationCollector\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:24:\"authentication_collector\";}s:5:\"calls\";a:1:{i:0;a:2:{i:0;s:11:\"addProvider\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:26:\"user.authentication.cookie\";s:15:\"invalidBehavior\";i:1;}i:1;s:6:\"cookie\";i:2;i:0;i:3;b:1;}s:7:\"resolve\";b:1;}}}}\";s:25:\"authentication_subscriber\";s:490:\"a:4:{s:5:\"class\";s:52:\"Drupal\\Core\\EventSubscriber\\AuthenticationSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"authentication\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:25:\"authentication_subscriber\";}}\";s:16:\"account_switcher\";s:476:\"a:4:{s:5:\"class\";s:35:\"Drupal\\Core\\Session\\AccountSwitcher\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:26:\"session_handler.write_safe\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:16:\"account_switcher\";}}\";s:31:\"user_permissions_hash_generator\";s:592:\"a:4:{s:5:\"class\";s:44:\"Drupal\\Core\\Session\\PermissionsHashGenerator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:11:\"private_key\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.bootstrap\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"cache.static\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:31:\"user_permissions_hash_generator\";}}\";s:12:\"current_user\";s:355:\"a:4:{s:5:\"class\";s:32:\"Drupal\\Core\\Session\\AccountProxy\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"event_dispatcher\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:12:\"current_user\";}}\";s:21:\"session_configuration\";s:356:\"a:4:{s:5:\"class\";s:40:\"Drupal\\Core\\Session\\SessionConfiguration\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:9:\"parameter\";s:4:\"name\";s:23:\"session.storage.options\";}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:21:\"session_configuration\";}}\";s:7:\"session\";s:897:\"a:4:{s:5:\"class\";s:48:\"Symfony\\Component\\HttpFoundation\\Session\\Session\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"session_manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:52:\"private__g9uAg6Wct6g4hzpSWnSSQC4s0UIIVnnc9tWJB9kq-_A\";s:5:\"value\";a:3:{s:5:\"class\";s:63:\"Symfony\\Component\\HttpFoundation\\Session\\Attribute\\AttributeBag\";s:6:\"public\";b:0;s:15:\"arguments_count\";i:0;}s:6:\"shared\";b:0;}i:2;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:17:\"session.flash_bag\";s:5:\"value\";a:3:{s:5:\"class\";s:55:\"Symfony\\Component\\HttpFoundation\\Session\\Flash\\FlashBag\";s:6:\"public\";b:0;s:15:\"arguments_count\";i:0;}s:6:\"shared\";b:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:7:\"session\";}}\";s:23:\"session_handler.storage\";s:464:\"a:4:{s:5:\"class\";s:34:\"Drupal\\Core\\Session\\SessionHandler\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:23:\"session_handler.storage\";}}\";s:26:\"session_handler.write_safe\";s:387:\"a:4:{s:5:\"class\";s:43:\"Drupal\\Core\\Session\\WriteSafeSessionHandler\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:23:\"session_handler.storage\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:26:\"session_handler.write_safe\";}}\";s:15:\"session_manager\";s:1072:\"a:5:{s:5:\"class\";s:34:\"Drupal\\Core\\Session\\SessionManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:28:\"session_manager.metadata_bag\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"session_configuration\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:26:\"session_handler.write_safe\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:15:\"session_manager\";}s:5:\"calls\";a:1:{i:0;a:2:{i:0;s:19:\"setWriteSafeHandler\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:26:\"session_handler.write_safe\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}}}\";s:28:\"session_manager.metadata_bag\";s:361:\"a:4:{s:5:\"class\";s:31:\"Drupal\\Core\\Session\\MetadataBag\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"settings\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:28:\"session_manager.metadata_bag\";}}\";s:29:\"asset.css.collection_renderer\";s:367:\"a:4:{s:5:\"class\";s:39:\"Drupal\\Core\\Asset\\CssCollectionRenderer\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"state\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:29:\"asset.css.collection_renderer\";}}\";s:30:\"asset.css.collection_optimizer\";s:811:\"a:4:{s:5:\"class\";s:40:\"Drupal\\Core\\Asset\\CssCollectionOptimizer\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:28:\"asset.css.collection_grouper\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"asset.css.optimizer\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"asset.css.dumper\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"state\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:11:\"file_system\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:30:\"asset.css.collection_optimizer\";}}\";s:19:\"asset.css.optimizer\";s:152:\"a:3:{s:5:\"class\";s:30:\"Drupal\\Core\\Asset\\CssOptimizer\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:19:\"asset.css.optimizer\";}}\";s:28:\"asset.css.collection_grouper\";s:169:\"a:3:{s:5:\"class\";s:38:\"Drupal\\Core\\Asset\\CssCollectionGrouper\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:28:\"asset.css.collection_grouper\";}}\";s:16:\"asset.css.dumper\";s:351:\"a:4:{s:5:\"class\";s:29:\"Drupal\\Core\\Asset\\AssetDumper\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:11:\"file_system\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:16:\"asset.css.dumper\";}}\";s:28:\"asset.js.collection_renderer\";s:365:\"a:4:{s:5:\"class\";s:38:\"Drupal\\Core\\Asset\\JsCollectionRenderer\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"state\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:28:\"asset.js.collection_renderer\";}}\";s:29:\"asset.js.collection_optimizer\";s:806:\"a:4:{s:5:\"class\";s:39:\"Drupal\\Core\\Asset\\JsCollectionOptimizer\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:27:\"asset.js.collection_grouper\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"asset.js.optimizer\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"asset.js.dumper\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"state\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:11:\"file_system\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:29:\"asset.js.collection_optimizer\";}}\";s:18:\"asset.js.optimizer\";s:150:\"a:3:{s:5:\"class\";s:29:\"Drupal\\Core\\Asset\\JsOptimizer\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:18:\"asset.js.optimizer\";}}\";s:27:\"asset.js.collection_grouper\";s:167:\"a:3:{s:5:\"class\";s:37:\"Drupal\\Core\\Asset\\JsCollectionGrouper\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:27:\"asset.js.collection_grouper\";}}\";s:15:\"asset.js.dumper\";s:350:\"a:4:{s:5:\"class\";s:29:\"Drupal\\Core\\Asset\\AssetDumper\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:11:\"file_system\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:15:\"asset.js.dumper\";}}\";s:17:\"library.discovery\";s:373:\"a:4:{s:5:\"class\";s:34:\"Drupal\\Core\\Asset\\LibraryDiscovery\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:27:\"library.discovery.collector\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:17:\"library.discovery\";}}\";s:27:\"library.discovery.collector\";s:696:\"a:4:{s:5:\"class\";s:43:\"Drupal\\Core\\Asset\\LibraryDiscoveryCollector\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:4:\"lock\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:24:\"library.discovery.parser\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"theme.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:27:\"library.discovery.collector\";}}\";s:24:\"library.discovery.parser\";s:822:\"a:4:{s:5:\"class\";s:40:\"Drupal\\Core\\Asset\\LibraryDiscoveryParser\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"app.root\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"theme.manager\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"stream_wrapper_manager\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:39:\"library.libraries_directory_file_finder\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:24:\"library.discovery.parser\";}}\";s:39:\"library.libraries_directory_file_finder\";s:620:\"a:4:{s:5:\"class\";s:46:\"Drupal\\Core\\Asset\\LibrariesDirectoryFileFinder\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"app.root\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:9:\"site.path\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"extension.list.profile\";s:15:\"invalidBehavior\";i:1;}i:3;s:8:\"standard\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:39:\"library.libraries_directory_file_finder\";}}\";s:27:\"library.dependency_resolver\";s:382:\"a:4:{s:5:\"class\";s:43:\"Drupal\\Core\\Asset\\LibraryDependencyResolver\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"library.discovery\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:27:\"library.dependency_resolver\";}}\";s:14:\"asset.resolver\";s:897:\"a:4:{s:5:\"class\";s:31:\"Drupal\\Core\\Asset\\AssetResolver\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:6:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"library.discovery\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:27:\"library.dependency_resolver\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"theme.manager\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:10:\"cache.data\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:6;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:14:\"asset.resolver\";}}\";s:11:\"info_parser\";s:345:\"a:4:{s:5:\"class\";s:32:\"Drupal\\Core\\Extension\\InfoParser\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"app.root\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:11:\"info_parser\";}}\";s:4:\"twig\";s:2113:\"a:5:{s:5:\"class\";s:36:\"Drupal\\Core\\Template\\TwigEnvironment\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:6:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"app.root\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"cache.default\";s:15:\"invalidBehavior\";i:1;}i:2;s:43:\"gpShZ9ulVxmydbitwj-o3u6x18HoBhDJvTBpLMgOczw\";i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"state\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:52:\"private__J8C_Uy0ugquAvYtQrfWiecSnkvzRPt5tbhbj878y7lQ\";s:5:\"value\";a:4:{s:5:\"class\";s:17:\"Twig_Loader_Chain\";s:6:\"public\";b:0;s:15:\"arguments_count\";i:0;s:5:\"calls\";a:3:{i:0;a:2:{i:0;s:9:\"addLoader\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"twig.loader.filesystem\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:1;a:2:{i:0;s:9:\"addLoader\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:26:\"twig.loader.theme_registry\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:2;a:2:{i:0;s:9:\"addLoader\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"twig.loader.string\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}}}s:6:\"shared\";b:0;}i:5;O:8:\"stdClass\":2:{s:4:\"type\";s:9:\"parameter\";s:4:\"name\";s:11:\"twig.config\";}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:6;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:4:\"twig\";}s:5:\"calls\";a:2:{i:0;a:2:{i:0;s:12:\"addExtension\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"twig.extension\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:1;a:2:{i:0;s:12:\"addExtension\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"twig.extension.debug\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}}}\";s:14:\"twig.extension\";s:666:\"a:4:{s:5:\"class\";s:34:\"Drupal\\Core\\Template\\TwigExtension\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"renderer\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"url_generator\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"theme.manager\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"date.formatter\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:14:\"twig.extension\";}}\";s:20:\"twig.extension.debug\";s:143:\"a:3:{s:5:\"class\";s:20:\"Twig_Extension_Debug\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:20:\"twig.extension.debug\";}}\";s:22:\"twig.loader.filesystem\";s:492:\"a:4:{s:5:\"class\";s:44:\"Drupal\\Core\\Template\\Loader\\FilesystemLoader\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;s:1:\".\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"theme_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:22:\"twig.loader.filesystem\";}}\";s:26:\"twig.loader.theme_registry\";s:382:\"a:4:{s:5:\"class\";s:47:\"Drupal\\Core\\Template\\Loader\\ThemeRegistryLoader\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"theme.registry\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:26:\"twig.loader.theme_registry\";}}\";s:18:\"twig.loader.string\";s:161:\"a:3:{s:5:\"class\";s:40:\"Drupal\\Core\\Template\\Loader\\StringLoader\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:18:\"twig.loader.string\";}}\";s:20:\"file.htaccess_writer\";s:483:\"a:4:{s:5:\"class\";s:31:\"Drupal\\Core\\File\\HtaccessWriter\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:23:\"logger.channel.security\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"stream_wrapper_manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:20:\"file.htaccess_writer\";}}\";s:22:\"file.mime_type.guesser\";s:450:\"a:4:{s:5:\"class\";s:52:\"Drupal\\Core\\ProxyClass\\File\\MimeType\\MimeTypeGuesser\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;s:52:\"drupal.proxy_original_service.file.mime_type.guesser\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:22:\"file.mime_type.guesser\";}}\";s:32:\"file.mime_type.guesser.extension\";s:479:\"a:4:{s:5:\"class\";s:61:\"Drupal\\Core\\ProxyClass\\File\\MimeType\\ExtensionMimeTypeGuesser\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;s:62:\"drupal.proxy_original_service.file.mime_type.guesser.extension\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:32:\"file.mime_type.guesser.extension\";}}\";s:28:\"render_placeholder_generator\";s:354:\"a:4:{s:5:\"class\";s:39:\"Drupal\\Core\\Render\\PlaceholderGenerator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":2:{s:4:\"type\";s:9:\"parameter\";s:4:\"name\";s:15:\"renderer.config\";}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:28:\"render_placeholder_generator\";}}\";s:12:\"render_cache\";s:703:\"a:4:{s:5:\"class\";s:44:\"Drupal\\Core\\Render\\PlaceholderingRenderCache\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"cache_factory\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"cache_contexts_manager\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:28:\"render_placeholder_generator\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:12:\"render_cache\";}}\";s:8:\"renderer\";s:985:\"a:4:{s:5:\"class\";s:27:\"Drupal\\Core\\Render\\Renderer\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:7:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"controller_resolver\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"theme.manager\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:27:\"plugin.manager.element_info\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:28:\"render_placeholder_generator\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"render_cache\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}i:6;O:8:\"stdClass\":2:{s:4:\"type\";s:9:\"parameter\";s:4:\"name\";s:15:\"renderer.config\";}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:7;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:8:\"renderer\";}}\";s:45:\"early_rendering_controller_wrapper_subscriber\";s:548:\"a:4:{s:5:\"class\";s:69:\"Drupal\\Core\\EventSubscriber\\EarlyRenderingControllerWrapperSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:40:\"http_kernel.controller.argument_resolver\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"renderer\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:45:\"early_rendering_controller_wrapper_subscriber\";}}\";s:45:\"html_response.placeholder_strategy_subscriber\";s:429:\"a:4:{s:5:\"class\";s:69:\"Drupal\\Core\\EventSubscriber\\HtmlResponsePlaceholderStrategySubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"placeholder_strategy\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:45:\"html_response.placeholder_strategy_subscriber\";}}\";s:20:\"placeholder_strategy\";s:455:\"a:4:{s:5:\"class\";s:57:\"Drupal\\Core\\Render\\Placeholder\\ChainedPlaceholderStrategy\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:20:\"placeholder_strategy\";}s:5:\"calls\";a:1:{i:0;a:2:{i:0;s:22:\"addPlaceholderStrategy\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:33:\"placeholder_strategy.single_flush\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}}}\";s:33:\"placeholder_strategy.single_flush\";s:186:\"a:3:{s:5:\"class\";s:50:\"Drupal\\Core\\Render\\Placeholder\\SingleFlushStrategy\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:33:\"placeholder_strategy.single_flush\";}}\";s:15:\"email.validator\";s:157:\"a:3:{s:5:\"class\";s:39:\"Drupal\\Component\\Utility\\EmailValidator\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:15:\"email.validator\";}}\";s:27:\"update.post_update_registry\";s:327:\"a:4:{s:5:\"class\";s:33:\"Drupal\\Core\\Update\\UpdateRegistry\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:27:\"update.post_update_registry\";}s:7:\"factory\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:35:\"update.post_update_registry_factory\";s:15:\"invalidBehavior\";i:1;}i:1;s:6:\"create\";}}\";s:35:\"update.post_update_registry_factory\";s:427:\"a:4:{s:5:\"class\";s:40:\"Drupal\\Core\\Update\\UpdateRegistryFactory\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:35:\"update.post_update_registry_factory\";}s:5:\"calls\";a:1:{i:0;a:2:{i:0;s:12:\"setContainer\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}}}\";s:4:\"uuid\";s:131:\"a:3:{s:5:\"class\";s:25:\"Drupal\\Component\\Uuid\\Php\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:4:\"uuid\";}}\";s:27:\"response_filter.active_link\";s:702:\"a:4:{s:5:\"class\";s:52:\"Drupal\\Core\\EventSubscriber\\ActiveLinkResponseFilter\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"path.current\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"path.matcher\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:27:\"response_filter.active_link\";}}\";s:32:\"response_filter.rss.relative_url\";s:191:\"a:3:{s:5:\"class\";s:56:\"Drupal\\Core\\EventSubscriber\\RssResponseRelativeUrlFilter\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:32:\"response_filter.rss.relative_url\";}}\";s:9:\"messenger\";s:601:\"a:4:{s:5:\"class\";s:31:\"Drupal\\Core\\Messenger\\Messenger\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:17:\"session.flash_bag\";s:5:\"value\";a:3:{s:5:\"class\";s:55:\"Symfony\\Component\\HttpFoundation\\Session\\Flash\\FlashBag\";s:6:\"public\";b:0;s:15:\"arguments_count\";i:0;}s:6:\"shared\";b:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"page_cache_kill_switch\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:9:\"messenger\";}}\";s:17:\"tempstore.private\";s:692:\"a:4:{s:5:\"class\";s:45:\"Drupal\\Core\\TempStore\\PrivateTempStoreFactory\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"keyvalue.expirable\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:4:\"lock\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}i:4;i:604800;}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:17:\"tempstore.private\";}}\";s:16:\"tempstore.shared\";s:586:\"a:4:{s:5:\"class\";s:44:\"Drupal\\Core\\TempStore\\SharedTempStoreFactory\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"keyvalue.expirable\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:4:\"lock\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}i:3;i:604800;}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:16:\"tempstore.shared\";}}\";s:13:\"pager.manager\";s:354:\"a:4:{s:5:\"class\";s:30:\"Drupal\\Core\\Pager\\PagerManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"pager.parameters\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:13:\"pager.manager\";}}\";s:16:\"pager.parameters\";s:357:\"a:4:{s:5:\"class\";s:33:\"Drupal\\Core\\Pager\\PagerParameters\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:16:\"pager.parameters\";}}\";s:33:\"admin_toolbar_search.search_links\";s:824:\"a:4:{s:5:\"class\";s:39:\"Drupal\\admin_toolbar_search\\SearchLinks\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"router.route_provider\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"cache_contexts_manager\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"cache.toolbar\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:33:\"admin_toolbar_search.search_links\";}}\";s:26:\"admin_toolbar_tools.helper\";s:390:\"a:4:{s:5:\"class\";s:50:\"Drupal\\admin_toolbar_tools\\AdminToolbarToolsHelper\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:26:\"admin_toolbar_tools.helper\";}}\";s:25:\"automated_cron.subscriber\";s:576:\"a:4:{s:5:\"class\";s:51:\"Drupal\\automated_cron\\EventSubscriber\\AutomatedCron\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:4:\"cron\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"state\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:25:\"automated_cron.subscriber\";}}\";s:33:\"theme.negotiator.block.admin_demo\";s:174:\"a:3:{s:5:\"class\";s:38:\"Drupal\\block\\Theme\\AdminDemoNegotiator\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:33:\"theme.negotiator.block.admin_demo\";}}\";s:37:\"block.page_display_variant_subscriber\";s:202:\"a:3:{s:5:\"class\";s:62:\"Drupal\\block\\EventSubscriber\\BlockPageDisplayVariantSubscriber\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:37:\"block.page_display_variant_subscriber\";}}\";s:16:\"block.repository\";s:570:\"a:4:{s:5:\"class\";s:28:\"Drupal\\block\\BlockRepository\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"theme.manager\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"context.handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:16:\"block.repository\";}}\";s:25:\"block_content.uuid_lookup\";s:585:\"a:4:{s:5:\"class\";s:44:\"\\Drupal\\block_content\\BlockContentUuidLookup\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.bootstrap\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:4:\"lock\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:25:\"block_content.uuid_lookup\";}}\";s:18:\"breakpoint.manager\";s:684:\"a:4:{s:5:\"class\";s:35:\"Drupal\\breakpoint\\BreakpointManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"theme_handler\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"string_translation\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:18:\"breakpoint.manager\";}}\";s:30:\"plugin.manager.ckeditor.plugin\";s:595:\"a:4:{s:5:\"class\";s:37:\"Drupal\\ckeditor\\CKEditorPluginManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:30:\"plugin.manager.ckeditor.plugin\";}}\";s:30:\"color.config_cache_invalidator\";s:403:\"a:4:{s:5:\"class\";s:56:\"Drupal\\color\\EventSubscriber\\ColorConfigCacheInvalidator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"cache_tags.invalidator\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:30:\"color.config_cache_invalidator\";}}\";s:25:\"colorbox.activation_check\";s:470:\"a:4:{s:5:\"class\";s:31:\"Drupal\\colorbox\\ActivationCheck\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:25:\"colorbox.activation_check\";}}\";s:19:\"colorbox.attachment\";s:585:\"a:4:{s:5:\"class\";s:34:\"Drupal\\colorbox\\ColorboxAttachment\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:25:\"colorbox.activation_check\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:19:\"colorbox.attachment\";}}\";s:29:\"colorbox.gallery_id_generator\";s:465:\"a:4:{s:5:\"class\";s:31:\"Drupal\\colorbox\\GalleryIdHelper\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"token\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:29:\"colorbox.gallery_id_generator\";}}\";s:18:\"comment.breadcrumb\";s:371:\"a:4:{s:5:\"class\";s:39:\"Drupal\\comment\\CommentBreadcrumbBuilder\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:18:\"comment.breadcrumb\";}}\";s:15:\"comment.manager\";s:1013:\"a:4:{s:5:\"class\";s:29:\"Drupal\\comment\\CommentManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:7:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"string_translation\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"entity_field.manager\";s:15:\"invalidBehavior\";i:1;}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:25:\"entity_display.repository\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:7;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:15:\"comment.manager\";}}\";s:18:\"comment.statistics\";s:771:\"a:4:{s:5:\"class\";s:32:\"Drupal\\comment\\CommentStatistics\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"state\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"database.replica\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:18:\"comment.statistics\";}}\";s:21:\"comment.lazy_builders\";s:896:\"a:4:{s:5:\"class\";s:34:\"Drupal\\comment\\CommentLazyBuilders\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:6:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity.form_builder\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"comment.manager\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"renderer\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:6;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:21:\"comment.lazy_builders\";}}\";s:20:\"comment.link_builder\";s:794:\"a:4:{s:5:\"class\";s:33:\"Drupal\\comment\\CommentLinkBuilder\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"comment.manager\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"string_translation\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:20:\"comment.link_builder\";}}\";s:24:\"config.config_subscriber\";s:157:\"a:3:{s:5:\"class\";s:30:\"Drupal\\config\\ConfigSubscriber\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:24:\"config.config_subscriber\";}}\";s:35:\"config_translation.route_subscriber\";s:419:\"a:4:{s:5:\"class\";s:49:\"Drupal\\config_translation\\Routing\\RouteSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:40:\"plugin.manager.config_translation.mapper\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:35:\"config_translation.route_subscriber\";}}\";s:34:\"config_translation.access.overview\";s:541:\"a:4:{s:5:\"class\";s:64:\"Drupal\\config_translation\\Access\\ConfigTranslationOverviewAccess\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:40:\"plugin.manager.config_translation.mapper\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:34:\"config_translation.access.overview\";}}\";s:30:\"config_translation.access.form\";s:533:\"a:4:{s:5:\"class\";s:60:\"Drupal\\config_translation\\Access\\ConfigTranslationFormAccess\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:40:\"plugin.manager.config_translation.mapper\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:30:\"config_translation.access.form\";}}\";s:40:\"plugin.manager.config_translation.mapper\";s:818:\"a:4:{s:5:\"class\";s:45:\"Drupal\\config_translation\\ConfigMapperManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"config.typed\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"theme_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:40:\"plugin.manager.config_translation.mapper\";}}\";s:29:\"access_check.contact_personal\";s:477:\"a:4:{s:5:\"class\";s:39:\"Drupal\\contact\\Access\\ContactPageAccess\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:9:\"user.data\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:29:\"access_check.contact_personal\";}}\";s:20:\"contact.mail_handler\";s:803:\"a:4:{s:5:\"class\";s:26:\"Drupal\\contact\\MailHandler\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"plugin.manager.mail\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"logger.channel.contact\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"string_translation\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:20:\"contact.mail_handler\";}}\";s:22:\"logger.channel.contact\";s:337:\"a:5:{s:5:\"class\";s:32:\"Drupal\\Core\\Logger\\LoggerChannel\";s:9:\"arguments\";a:1:{i:0;s:7:\"contact\";}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:22:\"logger.channel.contact\";}s:7:\"factory\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"logger.factory\";s:15:\"invalidBehavior\";i:1;}i:1;s:3:\"get\";}}\";s:32:\"content_translation.synchronizer\";s:524:\"a:4:{s:5:\"class\";s:55:\"Drupal\\content_translation\\FieldTranslationSynchronizer\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:31:\"plugin.manager.field.field_type\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:32:\"content_translation.synchronizer\";}}\";s:30:\"content_translation.subscriber\";s:420:\"a:4:{s:5:\"class\";s:68:\"Drupal\\content_translation\\Routing\\ContentTranslationRouteSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:27:\"content_translation.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:30:\"content_translation.subscriber\";}}\";s:33:\"content_translation.delete_access\";s:530:\"a:4:{s:5:\"class\";s:64:\"Drupal\\content_translation\\Access\\ContentTranslationDeleteAccess\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:27:\"content_translation.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:33:\"content_translation.delete_access\";}}\";s:35:\"content_translation.overview_access\";s:415:\"a:4:{s:5:\"class\";s:66:\"Drupal\\content_translation\\Access\\ContentTranslationOverviewAccess\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:35:\"content_translation.overview_access\";}}\";s:33:\"content_translation.manage_access\";s:524:\"a:4:{s:5:\"class\";s:69:\"Drupal\\content_translation\\Access\\ContentTranslationManageAccessCheck\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:33:\"content_translation.manage_access\";}}\";s:27:\"content_translation.manager\";s:508:\"a:4:{s:5:\"class\";s:52:\"Drupal\\content_translation\\ContentTranslationManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:23:\"entity_type.bundle.info\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:27:\"content_translation.manager\";}}\";s:35:\"content_translation.updates_manager\";s:775:\"a:4:{s:5:\"class\";s:59:\"Drupal\\content_translation\\ContentTranslationUpdatesManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:32:\"entity.definition_update_manager\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"entity_field.manager\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:39:\"entity.last_installed_schema.repository\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:35:\"content_translation.updates_manager\";}}\";s:18:\"ctools.wizard.form\";s:615:\"a:4:{s:5:\"class\";s:45:\"Drupal\\ctools\\Controller\\WizardFormController\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:40:\"http_kernel.controller.argument_resolver\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"form_builder\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"ctools.wizard.factory\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:18:\"ctools.wizard.form\";}}\";s:25:\"ctools.wizard.entity.form\";s:739:\"a:4:{s:5:\"class\";s:51:\"Drupal\\ctools\\Controller\\WizardEntityFormController\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:40:\"http_kernel.controller.argument_resolver\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"form_builder\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"ctools.wizard.factory\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:25:\"ctools.wizard.entity.form\";}}\";s:22:\"ctools.wizard_enhancer\";s:170:\"a:3:{s:5:\"class\";s:45:\"Drupal\\ctools\\Routing\\Enhancer\\WizardEnhancer\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:22:\"ctools.wizard_enhancer\";}}\";s:21:\"ctools.wizard.factory\";s:569:\"a:4:{s:5:\"class\";s:34:\"Drupal\\ctools\\Wizard\\WizardFactory\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"form_builder\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"event_dispatcher\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"renderer\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:21:\"ctools.wizard.factory\";}}\";s:31:\"ctools.paramconverter.tempstore\";s:500:\"a:4:{s:5:\"class\";s:47:\"Drupal\\ctools\\ParamConverter\\TempstoreConverter\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"tempstore.shared\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:31:\"ctools.paramconverter.tempstore\";}}\";s:26:\"ctools.typed_data.resolver\";s:480:\"a:4:{s:5:\"class\";s:31:\"Drupal\\ctools\\TypedDataResolver\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"typed_data_manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"string_translation\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:26:\"ctools.typed_data.resolver\";}}\";s:13:\"ctools.access\";s:360:\"a:4:{s:5:\"class\";s:36:\"Drupal\\ctools\\Access\\TempstoreAccess\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"tempstore.shared\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:13:\"ctools.access\";}}\";s:34:\"plugin.manager.ctools.relationship\";s:602:\"a:4:{s:5:\"class\";s:40:\"Drupal\\ctools\\Plugin\\RelationshipManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:34:\"plugin.manager.ctools.relationship\";}}\";s:21:\"ctools.context_mapper\";s:360:\"a:4:{s:5:\"class\";s:27:\"Drupal\\ctools\\ContextMapper\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"entity.repository\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:21:\"ctools.context_mapper\";}}\";s:37:\"ctools.serializable.tempstore.factory\";s:709:\"a:4:{s:5:\"class\";s:42:\"Drupal\\ctools\\SerializableTempstoreFactory\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"keyvalue.expirable\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:4:\"lock\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}i:3;i:604800;i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:37:\"ctools.serializable.tempstore.factory\";}}\";s:12:\"logger.dblog\";s:456:\"a:4:{s:5:\"class\";s:25:\"Drupal\\dblog\\Logger\\DbLog\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:25:\"logger.log_message_parser\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:12:\"logger.dblog\";}}\";s:24:\"cache.dynamic_page_cache\";s:357:\"a:5:{s:5:\"class\";s:39:\"Drupal\\Core\\Cache\\CacheBackendInterface\";s:9:\"arguments\";a:1:{i:0;s:18:\"dynamic_page_cache\";}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:24:\"cache.dynamic_page_cache\";}s:7:\"factory\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"cache_factory\";s:15:\"invalidBehavior\";i:1;}i:1;s:3:\"get\";}}\";s:29:\"dynamic_page_cache_subscriber\";s:739:\"a:4:{s:5:\"class\";s:68:\"Drupal\\dynamic_page_cache\\EventSubscriber\\DynamicPageCacheSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:33:\"dynamic_page_cache_request_policy\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:34:\"dynamic_page_cache_response_policy\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"render_cache\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":2:{s:4:\"type\";s:9:\"parameter\";s:4:\"name\";s:15:\"renderer.config\";}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:29:\"dynamic_page_cache_subscriber\";}}\";s:33:\"dynamic_page_cache_request_policy\";s:206:\"a:3:{s:5:\"class\";s:70:\"Drupal\\dynamic_page_cache\\PageCache\\RequestPolicy\\DefaultRequestPolicy\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:33:\"dynamic_page_cache_request_policy\";}}\";s:34:\"dynamic_page_cache_response_policy\";s:474:\"a:4:{s:5:\"class\";s:52:\"Drupal\\Core\\ProxyClass\\PageCache\\ChainResponsePolicy\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;s:64:\"drupal.proxy_original_service.dynamic_page_cache_response_policy\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:34:\"dynamic_page_cache_response_policy\";}}\";s:21:\"plugin.manager.editor\";s:583:\"a:4:{s:5:\"class\";s:34:\"Drupal\\editor\\Plugin\\EditorManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:21:\"plugin.manager.editor\";}}\";s:14:\"element.editor\";s:351:\"a:4:{s:5:\"class\";s:21:\"Drupal\\editor\\Element\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"plugin.manager.editor\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:14:\"element.editor\";}}\";s:43:\"editor.config_translation_mapper_subscriber\";s:415:\"a:4:{s:5:\"class\";s:63:\"Drupal\\editor\\EventSubscriber\\EditorConfigTranslationSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:43:\"editor.config_translation_mapper_subscriber\";}}\";s:25:\"field.uninstall_validator\";s:451:\"a:4:{s:5:\"class\";s:47:\"Drupal\\field\\ProxyClass\\FieldUninstallValidator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;s:55:\"drupal.proxy_original_service.field.uninstall_validator\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:25:\"field.uninstall_validator\";}}\";s:19:\"field_ui.subscriber\";s:372:\"a:4:{s:5:\"class\";s:39:\"Drupal\\field_ui\\Routing\\RouteSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:19:\"field_ui.subscriber\";}}\";s:23:\"field_ui.route_enhancer\";s:381:\"a:4:{s:5:\"class\";s:44:\"Drupal\\field_ui\\Routing\\FieldUiRouteEnhancer\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:23:\"field_ui.route_enhancer\";}}\";s:31:\"access_check.field_ui.view_mode\";s:387:\"a:4:{s:5:\"class\";s:42:\"Drupal\\field_ui\\Access\\ViewModeAccessCheck\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:31:\"access_check.field_ui.view_mode\";}}\";s:31:\"access_check.field_ui.form_mode\";s:387:\"a:4:{s:5:\"class\";s:42:\"Drupal\\field_ui\\Access\\FormModeAccessCheck\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:31:\"access_check.field_ui.form_mode\";}}\";s:10:\"file.usage\";s:486:\"a:4:{s:5:\"class\";s:46:\"Drupal\\file\\FileUsage\\DatabaseFileUsageBackend\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}i:2;s:10:\"file_usage\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:10:\"file.usage\";}}\";s:21:\"plugin.manager.filter\";s:582:\"a:4:{s:5:\"class\";s:33:\"Drupal\\filter\\FilterPluginManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:21:\"plugin.manager.filter\";}}\";s:26:\"filter.uninstall_validator\";s:455:\"a:4:{s:5:\"class\";s:49:\"Drupal\\filter\\ProxyClass\\FilterUninstallValidator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;s:56:\"drupal.proxy_original_service.filter.uninstall_validator\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:26:\"filter.uninstall_validator\";}}\";s:27:\"plugin.manager.help_section\";s:585:\"a:4:{s:5:\"class\";s:30:\"Drupal\\help\\HelpSectionManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:27:\"plugin.manager.help_section\";}}\";s:27:\"path_processor.image_styles\";s:395:\"a:4:{s:5:\"class\";s:51:\"Drupal\\image\\PathProcessor\\PathProcessorImageStyles\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"stream_wrapper_manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:27:\"path_processor.image_styles\";}}\";s:27:\"plugin.manager.image.effect\";s:586:\"a:4:{s:5:\"class\";s:31:\"Drupal\\image\\ImageEffectManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:27:\"plugin.manager.image.effect\";}}\";s:42:\"plugin.manager.language_negotiation_method\";s:618:\"a:4:{s:5:\"class\";s:48:\"Drupal\\language\\LanguageNegotiationMethodManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:42:\"plugin.manager.language_negotiation_method\";}}\";s:19:\"language_negotiator\";s:877:\"a:5:{s:5:\"class\";s:34:\"Drupal\\language\\LanguageNegotiator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:42:\"plugin.manager.language_negotiation_method\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"settings\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:19:\"language_negotiator\";}s:5:\"calls\";a:1:{i:0;a:2:{i:0;s:19:\"initLanguageManager\";i:1;a:0:{}}}}\";s:26:\"language.config_subscriber\";s:710:\"a:4:{s:5:\"class\";s:48:\"Drupal\\language\\EventSubscriber\\ConfigSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language.default\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"language_negotiator\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:26:\"language.config_subscriber\";}}\";s:32:\"language.config_factory_override\";s:713:\"a:4:{s:5:\"class\";s:52:\"Drupal\\language\\Config\\LanguageConfigFactoryOverride\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.storage\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"event_dispatcher\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"config.typed\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language.default\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:32:\"language.config_factory_override\";}}\";s:18:\"language_converter\";s:434:\"a:4:{s:5:\"class\";s:44:\"Drupal\\language\\ProxyClass\\LanguageConverter\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;s:48:\"drupal.proxy_original_service.language_converter\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:18:\"language_converter\";}}\";s:17:\"libraries.manager\";s:518:\"a:4:{s:5:\"class\";s:47:\"Drupal\\libraries\\ExternalLibrary\\LibraryManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:30:\"libraries.definition.discovery\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:37:\"plugin.manager.libraries.library_type\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:17:\"libraries.manager\";}}\";s:30:\"libraries.definition.discovery\";s:369:\"a:4:{s:5:\"class\";s:72:\"Drupal\\libraries\\ExternalLibrary\\Definition\\DefinitionDiscoveryInterface\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:30:\"libraries.definition.discovery\";}s:7:\"factory\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:38:\"libraries.definition.discovery.factory\";s:15:\"invalidBehavior\";i:1;}i:1;s:3:\"get\";}}\";s:38:\"libraries.definition.discovery.factory\";s:740:\"a:4:{s:5:\"class\";s:70:\"Drupal\\libraries\\ExternalLibrary\\Definition\\DefinitionDiscoveryFactory\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"serialization.json\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:11:\"http_client\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"serialization.json\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:38:\"libraries.definition.discovery.factory\";}}\";s:37:\"plugin.manager.libraries.library_type\";s:621:\"a:4:{s:5:\"class\";s:56:\"Drupal\\libraries\\ExternalLibrary\\Type\\LibraryTypeFactory\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:37:\"plugin.manager.libraries.library_type\";}}\";s:32:\"plugin.manager.libraries.locator\";s:613:\"a:4:{s:5:\"class\";s:53:\"Drupal\\libraries\\ExternalLibrary\\Local\\LocatorManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:32:\"plugin.manager.libraries.locator\";}}\";s:41:\"plugin.manager.libraries.version_detector\";s:632:\"a:4:{s:5:\"class\";s:63:\"Drupal\\libraries\\ExternalLibrary\\Version\\VersionDetectorManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:41:\"plugin.manager.libraries.version_detector\";}}\";s:27:\"libraries.config_subscriber\";s:388:\"a:4:{s:5:\"class\";s:49:\"Drupal\\libraries\\Config\\LibrariesConfigSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:27:\"libraries.config_subscriber\";}}\";s:25:\"libraries.php_file_loader\";s:185:\"a:3:{s:5:\"class\";s:57:\"Drupal\\libraries\\ExternalLibrary\\PhpFile\\PhpRequireLoader\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:25:\"libraries.php_file_loader\";}}\";s:34:\"stream_wrapper.library_definitions\";s:398:\"a:4:{s:5:\"class\";s:55:\"Drupal\\libraries\\StreamWrapper\\LibraryDefinitionsStream\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:34:\"stream_wrapper.library_definitions\";}}\";s:30:\"stream_wrapper.asset_libraries\";s:184:\"a:3:{s:5:\"class\";s:51:\"Drupal\\libraries\\StreamWrapper\\AssetLibrariesStream\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:30:\"stream_wrapper.asset_libraries\";}}\";s:33:\"stream_wrapper.php_file_libraries\";s:189:\"a:3:{s:5:\"class\";s:53:\"Drupal\\libraries\\StreamWrapper\\PhpFileLibrariesStream\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:33:\"stream_wrapper.php_file_libraries\";}}\";s:15:\"cache.libraries\";s:336:\"a:5:{s:5:\"class\";s:39:\"Drupal\\Core\\Cache\\CacheBackendInterface\";s:9:\"arguments\";a:1:{i:0;s:7:\"library\";}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:15:\"cache.libraries\";}s:7:\"factory\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"cache_factory\";s:15:\"invalidBehavior\";i:1;}i:1;s:3:\"get\";}}\";s:21:\"locale.config_manager\";s:1491:\"a:4:{s:5:\"class\";s:33:\"Drupal\\locale\\LocaleConfigManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:7:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.storage\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"locale.storage\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"config.typed\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:52:\"private__YhlVDCROPjEsVMwZ107mF8NZYp3f0CnlPOEIIbZ5p54\";s:5:\"value\";a:4:{s:5:\"class\";s:40:\"Drupal\\locale\\LocaleDefaultConfigStorage\";s:6:\"public\";b:0;s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.storage\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}i:2;s:8:\"standard\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;}s:6:\"shared\";b:0;}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:7;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:21:\"locale.config_manager\";}}\";s:14:\"locale.storage\";s:351:\"a:4:{s:5:\"class\";s:35:\"Drupal\\locale\\StringDatabaseStorage\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:14:\"locale.storage\";}}\";s:14:\"locale.project\";s:350:\"a:4:{s:5:\"class\";s:34:\"Drupal\\locale\\LocaleProjectStorage\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"keyvalue\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:14:\"locale.project\";}}\";s:21:\"locale.plural.formula\";s:455:\"a:4:{s:5:\"class\";s:27:\"Drupal\\locale\\PluralFormula\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"state\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:21:\"locale.plural.formula\";}}\";s:31:\"string_translator.locale.lookup\";s:890:\"a:4:{s:5:\"class\";s:31:\"Drupal\\locale\\LocaleTranslation\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:6:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"locale.storage\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"cache.default\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:4:\"lock\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:6;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:31:\"string_translator.locale.lookup\";}}\";s:27:\"stream_wrapper.translations\";s:176:\"a:3:{s:5:\"class\";s:46:\"Drupal\\locale\\StreamWrapper\\TranslationsStream\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:27:\"stream_wrapper.translations\";}}\";s:24:\"locale.config_subscriber\";s:482:\"a:4:{s:5:\"class\";s:36:\"Drupal\\locale\\LocaleConfigSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"locale.config_manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:24:\"locale.config_subscriber\";}}\";s:35:\"locale.locale_translation_cache_tag\";s:407:\"a:4:{s:5:\"class\";s:55:\"Drupal\\locale\\EventSubscriber\\LocaleTranslationCacheTag\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"cache_tags.invalidator\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:35:\"locale.locale_translation_cache_tag\";}}\";s:21:\"node.route_subscriber\";s:159:\"a:3:{s:5:\"class\";s:35:\"Drupal\\node\\Routing\\RouteSubscriber\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:21:\"node.route_subscriber\";}}\";s:18:\"node.grant_storage\";s:570:\"a:4:{s:5:\"class\";s:36:\"Drupal\\node\\NodeGrantDatabaseStorage\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:18:\"node.grant_storage\";}}\";s:26:\"access_check.node.revision\";s:382:\"a:4:{s:5:\"class\";s:42:\"Drupal\\node\\Access\\NodeRevisionAccessCheck\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:26:\"access_check.node.revision\";}}\";s:21:\"access_check.node.add\";s:372:\"a:4:{s:5:\"class\";s:37:\"Drupal\\node\\Access\\NodeAddAccessCheck\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:21:\"access_check.node.add\";}}\";s:25:\"access_check.node.preview\";s:380:\"a:4:{s:5:\"class\";s:41:\"Drupal\\node\\Access\\NodePreviewAccessCheck\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:25:\"access_check.node.preview\";}}\";s:32:\"node.admin_path.route_subscriber\";s:499:\"a:4:{s:5:\"class\";s:52:\"Drupal\\node\\EventSubscriber\\NodeAdminRouteSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"router.builder\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:32:\"node.admin_path.route_subscriber\";}}\";s:12:\"node_preview\";s:436:\"a:4:{s:5:\"class\";s:58:\"Drupal\\node\\ProxyClass\\ParamConverter\\NodePreviewConverter\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;s:42:\"drupal.proxy_original_service.node_preview\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:12:\"node_preview\";}}\";s:30:\"cache_context.user.node_grants\";s:383:\"a:4:{s:5:\"class\";s:46:\"Drupal\\node\\Cache\\NodeAccessGrantsCacheContext\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:30:\"cache_context.user.node_grants\";}}\";s:23:\"node.node_route_context\";s:381:\"a:4:{s:5:\"class\";s:44:\"Drupal\\node\\ContextProvider\\NodeRouteContext\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"current_route_match\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:23:\"node.node_route_context\";}}\";s:26:\"http_middleware.page_cache\";s:734:\"a:4:{s:5:\"class\";s:43:\"Drupal\\page_cache\\StackMiddleware\\PageCache\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:33:\"http_middleware.kernel_pre_handle\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:10:\"cache.page\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:25:\"page_cache_request_policy\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:26:\"page_cache_response_policy\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:26:\"http_middleware.page_cache\";}}\";s:10:\"cache.page\";s:328:\"a:5:{s:5:\"class\";s:39:\"Drupal\\Core\\Cache\\CacheBackendInterface\";s:9:\"arguments\";a:1:{i:0;s:4:\"page\";}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:10:\"cache.page\";}s:7:\"factory\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"cache_factory\";s:15:\"invalidBehavior\";i:1;}i:1;s:3:\"get\";}}\";s:24:\"path.route_subscriber_bc\";s:162:\"a:3:{s:5:\"class\";s:35:\"Drupal\\path\\Routing\\RouteSubscriber\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:24:\"path.route_subscriber_bc\";}}\";s:23:\"path.route_processor_bc\";s:373:\"a:4:{s:5:\"class\";s:34:\"Drupal\\path\\Routing\\RouteProcessor\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"router.route_provider\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:23:\"path.route_processor_bc\";}}\";s:21:\"path_alias.subscriber\";s:491:\"a:4:{s:5:\"class\";s:53:\"Drupal\\path_alias\\EventSubscriber\\PathAliasSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"path_alias.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"path.current\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:21:\"path_alias.subscriber\";}}\";s:25:\"path_alias.path_processor\";s:388:\"a:4:{s:5:\"class\";s:50:\"Drupal\\path_alias\\PathProcessor\\AliasPathProcessor\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"path_alias.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:25:\"path_alias.path_processor\";}}\";s:18:\"path_alias.manager\";s:686:\"a:4:{s:5:\"class\";s:30:\"Drupal\\path_alias\\AliasManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"path_alias.repository\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"path_alias.whitelist\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:10:\"cache.data\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:18:\"path_alias.manager\";}}\";s:21:\"path_alias.repository\";s:356:\"a:4:{s:5:\"class\";s:33:\"Drupal\\path_alias\\AliasRepository\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:21:\"path_alias.repository\";}}\";s:20:\"path_alias.whitelist\";s:698:\"a:4:{s:5:\"class\";s:32:\"Drupal\\path_alias\\AliasWhitelist\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;s:20:\"path_alias_whitelist\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.bootstrap\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:4:\"lock\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"state\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"path_alias.repository\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:20:\"path_alias.whitelist\";}}\";s:31:\"plugin.manager.quickedit.editor\";s:603:\"a:4:{s:5:\"class\";s:44:\"Drupal\\quickedit\\Plugin\\InPlaceEditorManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:31:\"plugin.manager.quickedit.editor\";}}\";s:35:\"access_check.quickedit.entity_field\";s:193:\"a:3:{s:5:\"class\";s:55:\"Drupal\\quickedit\\Access\\QuickEditEntityFieldAccessCheck\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:35:\"access_check.quickedit.entity_field\";}}\";s:25:\"quickedit.editor.selector\";s:504:\"a:4:{s:5:\"class\";s:31:\"Drupal\\quickedit\\EditorSelector\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:31:\"plugin.manager.quickedit.editor\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:30:\"plugin.manager.field.formatter\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:25:\"quickedit.editor.selector\";}}\";s:28:\"quickedit.metadata.generator\";s:632:\"a:4:{s:5:\"class\";s:34:\"Drupal\\quickedit\\MetadataGenerator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:35:\"access_check.quickedit.entity_field\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:25:\"quickedit.editor.selector\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:31:\"plugin.manager.quickedit.editor\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:28:\"quickedit.metadata.generator\";}}\";s:21:\"plugin.manager.search\";s:582:\"a:4:{s:5:\"class\";s:33:\"Drupal\\search\\SearchPluginManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:21:\"plugin.manager.search\";}}\";s:29:\"search.search_page_repository\";s:483:\"a:4:{s:5:\"class\";s:34:\"Drupal\\search\\SearchPageRepository\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:29:\"search.search_page_repository\";}}\";s:12:\"search.index\";s:667:\"a:4:{s:5:\"class\";s:25:\"Drupal\\search\\SearchIndex\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"database.replica\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"cache_tags.invalidator\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:12:\"search.index\";}}\";s:17:\"sharethis.manager\";s:681:\"a:4:{s:5:\"class\";s:33:\"Drupal\\sharethis\\SharethisManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"title_resolver\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"current_route_match\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:17:\"sharethis.manager\";}}\";s:22:\"shortcut.lazy_builders\";s:360:\"a:4:{s:5:\"class\";s:36:\"Drupal\\shortcut\\ShortcutLazyBuilders\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"renderer\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:22:\"shortcut.lazy_builders\";}}\";s:43:\"plugin.manager.simplenews_recipient_handler\";s:629:\"a:4:{s:5:\"class\";s:58:\"Drupal\\simplenews\\RecipientHandler\\RecipientHandlerManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:43:\"plugin.manager.simplenews_recipient_handler\";}}\";s:24:\"simplenews.spool_storage\";s:669:\"a:4:{s:5:\"class\";s:36:\"Drupal\\simplenews\\Spool\\SpoolStorage\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:4:\"lock\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:24:\"simplenews.spool_storage\";}}\";s:25:\"logger.channel.simplenews\";s:344:\"a:5:{s:5:\"class\";s:32:\"Drupal\\Core\\Logger\\LoggerChannel\";s:9:\"arguments\";a:1:{i:0;s:10:\"simplenews\";}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:25:\"logger.channel.simplenews\";}s:7:\"factory\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"logger.factory\";s:15:\"invalidBehavior\";i:1;}i:1;s:3:\"get\";}}\";s:17:\"simplenews.mailer\";s:998:\"a:4:{s:5:\"class\";s:29:\"Drupal\\simplenews\\Mail\\Mailer\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:7:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:24:\"simplenews.spool_storage\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"plugin.manager.mail\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"state\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:25:\"logger.channel.simplenews\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"account_switcher\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:4:\"lock\";s:15:\"invalidBehavior\";i:1;}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:7;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:17:\"simplenews.mailer\";}}\";s:23:\"simplenews.mail_builder\";s:585:\"a:4:{s:5:\"class\";s:34:\"Drupal\\simplenews\\Mail\\MailBuilder\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"token\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:31:\"simplenews.subscription_manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:23:\"simplenews.mail_builder\";}}\";s:31:\"simplenews.subscription_manager\";s:924:\"a:4:{s:5:\"class\";s:50:\"Drupal\\simplenews\\Subscription\\SubscriptionManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:6:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"simplenews.mailer\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"token\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:25:\"logger.channel.simplenews\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:6;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:31:\"simplenews.subscription_manager\";}}\";s:21:\"simplenews.mail_cache\";s:161:\"a:3:{s:5:\"class\";s:37:\"Drupal\\simplenews\\Mail\\MailCacheBuild\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:21:\"simplenews.mail_cache\";}}\";s:31:\"simplenews.migration_subscriber\";s:399:\"a:4:{s:5:\"class\";s:53:\"Drupal\\simplenews\\EventSubscriber\\MigrationSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"entity_field.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:31:\"simplenews.migration_subscriber\";}}\";s:17:\"access_check.cron\";s:156:\"a:3:{s:5:\"class\";s:36:\"Drupal\\system\\Access\\CronAccessCheck\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:17:\"access_check.cron\";}}\";s:22:\"access_check.db_update\";s:165:\"a:3:{s:5:\"class\";s:40:\"Drupal\\system\\Access\\DbUpdateAccessCheck\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:22:\"access_check.db_update\";}}\";s:14:\"system.manager\";s:676:\"a:4:{s:5:\"class\";s:27:\"Drupal\\system\\SystemManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:1;N;i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"menu.link_tree\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"menu.active_trail\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:14:\"system.manager\";}}\";s:25:\"system.breadcrumb.default\";s:1223:\"a:4:{s:5:\"class\";s:40:\"Drupal\\system\\PathBasedBreadcrumbBuilder\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:9:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"router.request_context\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"access_manager\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:6:\"router\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"path_processor_manager\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"title_resolver\";s:15:\"invalidBehavior\";i:1;}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}i:7;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"path.current\";s:15:\"invalidBehavior\";i:1;}i:8;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"path.matcher\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:9;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:25:\"system.breadcrumb.default\";}}\";s:20:\"path_processor.files\";s:169:\"a:3:{s:5:\"class\";s:46:\"Drupal\\system\\PathProcessor\\PathProcessorFiles\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:20:\"path_processor.files\";}}\";s:34:\"system.admin_path.route_subscriber\";s:187:\"a:3:{s:5:\"class\";s:50:\"Drupal\\system\\EventSubscriber\\AdminRouteSubscriber\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:34:\"system.admin_path.route_subscriber\";}}\";s:29:\"theme.negotiator.system.batch\";s:477:\"a:4:{s:5:\"class\";s:35:\"Drupal\\system\\Theme\\BatchNegotiator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"batch.storage\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:29:\"theme.negotiator.system.batch\";}}\";s:33:\"theme.negotiator.system.db_update\";s:380:\"a:4:{s:5:\"class\";s:38:\"Drupal\\system\\Theme\\DbUpdateNegotiator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:33:\"theme.negotiator.system.db_update\";}}\";s:24:\"system.config_subscriber\";s:369:\"a:4:{s:5:\"class\";s:36:\"Drupal\\system\\SystemConfigSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"router.builder\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:24:\"system.config_subscriber\";}}\";s:23:\"system.config_cache_tag\";s:489:\"a:4:{s:5:\"class\";s:44:\"Drupal\\system\\EventSubscriber\\ConfigCacheTag\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"theme_handler\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"cache_tags.invalidator\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:23:\"system.config_cache_tag\";}}\";s:24:\"system.timezone_resolver\";s:467:\"a:4:{s:5:\"class\";s:30:\"Drupal\\system\\TimeZoneResolver\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:24:\"system.timezone_resolver\";}}\";s:24:\"taxonomy_term.breadcrumb\";s:484:\"a:4:{s:5:\"class\";s:37:\"Drupal\\taxonomy\\TermBreadcrumbBuilder\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"entity.repository\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:24:\"taxonomy_term.breadcrumb\";}}\";s:19:\"token.entity_mapper\";s:469:\"a:4:{s:5:\"class\";s:30:\"Drupal\\token\\TokenEntityMapper\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:19:\"token.entity_mapper\";}}\";s:18:\"token.tree_builder\";s:662:\"a:4:{s:5:\"class\";s:24:\"Drupal\\token\\TreeBuilder\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"token\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"token.entity_mapper\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:10:\"cache.data\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:18:\"token.tree_builder\";}}\";s:22:\"token.route_subscriber\";s:478:\"a:4:{s:5:\"class\";s:36:\"Drupal\\token\\Routing\\RouteSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:22:\"token.route_subscriber\";}}\";s:13:\"cache.toolbar\";s:334:\"a:5:{s:5:\"class\";s:39:\"Drupal\\Core\\Cache\\CacheBackendInterface\";s:9:\"arguments\";a:1:{i:0;s:7:\"toolbar\";}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:13:\"cache.toolbar\";}s:7:\"factory\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"cache_factory\";s:15:\"invalidBehavior\";i:1;}i:1;s:3:\"get\";}}\";s:52:\"toolbar.page_cache_request_policy.allow_toolbar_path\";s:196:\"a:3:{s:5:\"class\";s:41:\"Drupal\\toolbar\\PageCache\\AllowToolbarPath\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:52:\"toolbar.page_cache_request_policy.allow_toolbar_path\";}}\";s:17:\"toolbar.menu_tree\";s:1365:\"a:4:{s:5:\"class\";s:39:\"Drupal\\toolbar\\Menu\\ToolbarMenuLinkTree\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:17:\"menu.tree_storage\";s:5:\"value\";a:4:{s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuTreeStorage\";s:6:\"public\";b:0;s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:10:\"cache.menu\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"cache_tags.invalidator\";s:15:\"invalidBehavior\";i:1;}i:3;s:9:\"menu_tree\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;}s:6:\"shared\";b:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:24:\"plugin.manager.menu.link\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"router.route_provider\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"menu.active_trail\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"controller_resolver\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:17:\"toolbar.menu_tree\";}}\";s:23:\"plugin.manager.tour.tip\";s:579:\"a:4:{s:5:\"class\";s:28:\"Drupal\\tour\\TipPluginManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:23:\"plugin.manager.tour.tip\";}}\";s:34:\"access_check.update.manager_access\";s:381:\"a:4:{s:5:\"class\";s:45:\"Drupal\\update\\Access\\UpdateManagerAccessCheck\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"settings\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:34:\"access_check.update.manager_access\";}}\";s:14:\"update.manager\";s:1002:\"a:4:{s:5:\"class\";s:27:\"Drupal\\update\\UpdateManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:7:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"update.processor\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"string_translation\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"keyvalue.expirable\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"theme_handler\";s:15:\"invalidBehavior\";i:1;}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"extension.list.module\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:7;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:14:\"update.manager\";}}\";s:16:\"update.processor\";s:964:\"a:4:{s:5:\"class\";s:29:\"Drupal\\update\\UpdateProcessor\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:7:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"queue\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"update.fetcher\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"state\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:11:\"private_key\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"keyvalue\";s:15:\"invalidBehavior\";i:1;}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"keyvalue.expirable\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:7;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:16:\"update.processor\";}}\";s:14:\"update.fetcher\";s:453:\"a:4:{s:5:\"class\";s:27:\"Drupal\\update\\UpdateFetcher\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:11:\"http_client\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:14:\"update.fetcher\";}}\";s:11:\"update.root\";s:653:\"a:3:{s:5:\"class\";s:9:\"SplString\";s:15:\"arguments_count\";i:0;s:7:\"factory\";a:2:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:52:\"private__bMLhoCgZQoyy4RMydJYnVYuoywhbXV-jZ8BeVGwyepM\";s:5:\"value\";a:4:{s:5:\"class\";s:31:\"Drupal\\update\\UpdateRootFactory\";s:6:\"public\";b:0;s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:6:\"kernel\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;}s:6:\"shared\";b:0;}i:1;s:3:\"get\";}}\";s:23:\"access_check.permission\";s:166:\"a:3:{s:5:\"class\";s:40:\"Drupal\\user\\Access\\PermissionAccessCheck\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:23:\"access_check.permission\";}}\";s:26:\"access_check.user.register\";s:167:\"a:3:{s:5:\"class\";s:38:\"Drupal\\user\\Access\\RegisterAccessCheck\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:26:\"access_check.user.register\";}}\";s:22:\"access_check.user.role\";s:159:\"a:3:{s:5:\"class\";s:34:\"Drupal\\user\\Access\\RoleAccessCheck\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:22:\"access_check.user.role\";}}\";s:30:\"access_check.user.login_status\";s:168:\"a:3:{s:5:\"class\";s:35:\"Drupal\\user\\Access\\LoginStatusCheck\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:30:\"access_check.user.login_status\";}}\";s:26:\"user.authentication.cookie\";s:483:\"a:4:{s:5:\"class\";s:42:\"Drupal\\user\\Authentication\\Provider\\Cookie\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"session_configuration\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:26:\"user.authentication.cookie\";}}\";s:9:\"user.data\";s:330:\"a:4:{s:5:\"class\";s:20:\"Drupal\\user\\UserData\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:9:\"user.data\";}}\";s:32:\"user_maintenance_mode_subscriber\";s:500:\"a:4:{s:5:\"class\";s:53:\"Drupal\\user\\EventSubscriber\\MaintenanceModeSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"maintenance_mode\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:32:\"user_maintenance_mode_subscriber\";}}\";s:29:\"user_access_denied_subscriber\";s:386:\"a:4:{s:5:\"class\";s:50:\"Drupal\\user\\EventSubscriber\\AccessDeniedSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:29:\"user_access_denied_subscriber\";}}\";s:27:\"user_last_access_subscriber\";s:494:\"a:4:{s:5:\"class\";s:49:\"Drupal\\user\\EventSubscriber\\UserRequestSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:27:\"user_last_access_subscriber\";}}\";s:28:\"theme.negotiator.admin_theme\";s:697:\"a:4:{s:5:\"class\";s:33:\"Drupal\\user\\Theme\\AdminNegotiator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"router.admin_context\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:28:\"theme.negotiator.admin_theme\";}}\";s:9:\"user.auth\";s:441:\"a:4:{s:5:\"class\";s:20:\"Drupal\\user\\UserAuth\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"password\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:9:\"user.auth\";}}\";s:22:\"user.private_tempstore\";s:687:\"a:4:{s:5:\"class\";s:35:\"Drupal\\user\\PrivateTempStoreFactory\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"keyvalue.expirable\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:4:\"lock\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}i:4;i:604800;}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:22:\"user.private_tempstore\";}}\";s:21:\"user.shared_tempstore\";s:581:\"a:4:{s:5:\"class\";s:34:\"Drupal\\user\\SharedTempStoreFactory\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"keyvalue.expirable\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:4:\"lock\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}i:3;i:604800;}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:21:\"user.shared_tempstore\";}}\";s:16:\"user.permissions\";s:575:\"a:4:{s:5:\"class\";s:29:\"Drupal\\user\\PermissionHandler\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"string_translation\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"controller_resolver\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:16:\"user.permissions\";}}\";s:25:\"user.current_user_context\";s:489:\"a:4:{s:5:\"class\";s:46:\"Drupal\\user\\ContextProvider\\CurrentUserContext\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:25:\"user.current_user_context\";}}\";s:25:\"user.toolbar_link_builder\";s:362:\"a:4:{s:5:\"class\";s:30:\"Drupal\\user\\ToolbarLinkBuilder\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:25:\"user.toolbar_link_builder\";}}\";s:34:\"video_embed_field.provider_manager\";s:602:\"a:4:{s:5:\"class\";s:40:\"Drupal\\video_embed_field\\ProviderManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:34:\"video_embed_field.provider_manager\";}}\";s:23:\"paramconverter.views_ui\";s:457:\"a:4:{s:5:\"class\";s:57:\"Drupal\\views_ui\\ProxyClass\\ParamConverter\\ViewUIConverter\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}i:1;s:53:\"drupal.proxy_original_service.paramconverter.views_ui\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:23:\"paramconverter.views_ui\";}}\";s:18:\"pathauto.generator\";s:1484:\"a:4:{s:5:\"class\";s:33:\"Drupal\\pathauto\\PathautoGenerator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:11:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"token\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"pathauto.alias_cleaner\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:29:\"pathauto.alias_storage_helper\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:25:\"pathauto.alias_uniquifier\";s:15:\"invalidBehavior\";i:1;}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:26:\"pathauto.verbose_messenger\";s:15:\"invalidBehavior\";i:1;}i:7;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"string_translation\";s:15:\"invalidBehavior\";i:1;}i:8;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"token.entity_mapper\";s:15:\"invalidBehavior\";i:1;}i:9;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:10;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:25:\"plugin.manager.alias_type\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:11;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:18:\"pathauto.generator\";}}\";s:22:\"pathauto.alias_cleaner\";s:908:\"a:4:{s:5:\"class\";s:28:\"Drupal\\pathauto\\AliasCleaner\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:6:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:29:\"pathauto.alias_storage_helper\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"transliteration\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:6;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:22:\"pathauto.alias_cleaner\";}}\";s:29:\"pathauto.alias_storage_helper\";s:923:\"a:4:{s:5:\"class\";s:34:\"Drupal\\pathauto\\AliasStorageHelper\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:6:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"path_alias.repository\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:26:\"pathauto.verbose_messenger\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"string_translation\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:6;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:29:\"pathauto.alias_storage_helper\";}}\";s:25:\"pathauto.alias_uniquifier\";s:815:\"a:4:{s:5:\"class\";s:31:\"Drupal\\pathauto\\AliasUniquifier\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:29:\"pathauto.alias_storage_helper\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"router.route_provider\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"path_alias.manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:25:\"pathauto.alias_uniquifier\";}}\";s:26:\"pathauto.verbose_messenger\";s:571:\"a:4:{s:5:\"class\";s:32:\"Drupal\\pathauto\\VerboseMessenger\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:9:\"messenger\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:26:\"pathauto.verbose_messenger\";}}\";s:25:\"plugin.manager.alias_type\";s:585:\"a:4:{s:5:\"class\";s:32:\"Drupal\\pathauto\\AliasTypeManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:25:\"plugin.manager.alias_type\";}}\";s:27:\"pathauto.settings_cache_tag\";s:515:\"a:4:{s:5:\"class\";s:56:\"Drupal\\pathauto\\EventSubscriber\\PathautoSettingsCacheTag\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"entity_field.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:25:\"plugin.manager.alias_type\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:27:\"pathauto.settings_cache_tag\";}}\";s:27:\"plugin.manager.views.access\";s:610:\"a:4:{s:5:\"class\";s:38:\"Drupal\\views\\Plugin\\ViewsPluginManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;s:6:\"access\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:27:\"plugin.manager.views.access\";}}\";s:25:\"plugin.manager.views.area\";s:715:\"a:4:{s:5:\"class\";s:39:\"Drupal\\views\\Plugin\\ViewsHandlerManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;s:4:\"area\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"views.views_data\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:25:\"plugin.manager.views.area\";}}\";s:29:\"plugin.manager.views.argument\";s:723:\"a:4:{s:5:\"class\";s:39:\"Drupal\\views\\Plugin\\ViewsHandlerManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;s:8:\"argument\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"views.views_data\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:29:\"plugin.manager.views.argument\";}}\";s:37:\"plugin.manager.views.argument_default\";s:631:\"a:4:{s:5:\"class\";s:38:\"Drupal\\views\\Plugin\\ViewsPluginManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;s:16:\"argument_default\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:37:\"plugin.manager.views.argument_default\";}}\";s:39:\"plugin.manager.views.argument_validator\";s:635:\"a:4:{s:5:\"class\";s:38:\"Drupal\\views\\Plugin\\ViewsPluginManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;s:18:\"argument_validator\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:39:\"plugin.manager.views.argument_validator\";}}\";s:26:\"plugin.manager.views.cache\";s:608:\"a:4:{s:5:\"class\";s:38:\"Drupal\\views\\Plugin\\ViewsPluginManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;s:5:\"cache\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:26:\"plugin.manager.views.cache\";}}\";s:37:\"plugin.manager.views.display_extender\";s:631:\"a:4:{s:5:\"class\";s:38:\"Drupal\\views\\Plugin\\ViewsPluginManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;s:16:\"display_extender\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:37:\"plugin.manager.views.display_extender\";}}\";s:28:\"plugin.manager.views.display\";s:612:\"a:4:{s:5:\"class\";s:38:\"Drupal\\views\\Plugin\\ViewsPluginManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;s:7:\"display\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:28:\"plugin.manager.views.display\";}}\";s:33:\"plugin.manager.views.exposed_form\";s:623:\"a:4:{s:5:\"class\";s:38:\"Drupal\\views\\Plugin\\ViewsPluginManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;s:12:\"exposed_form\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:33:\"plugin.manager.views.exposed_form\";}}\";s:26:\"plugin.manager.views.field\";s:717:\"a:4:{s:5:\"class\";s:39:\"Drupal\\views\\Plugin\\ViewsHandlerManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;s:5:\"field\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"views.views_data\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:26:\"plugin.manager.views.field\";}}\";s:27:\"plugin.manager.views.filter\";s:719:\"a:4:{s:5:\"class\";s:39:\"Drupal\\views\\Plugin\\ViewsHandlerManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;s:6:\"filter\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"views.views_data\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:27:\"plugin.manager.views.filter\";}}\";s:25:\"plugin.manager.views.join\";s:715:\"a:4:{s:5:\"class\";s:39:\"Drupal\\views\\Plugin\\ViewsHandlerManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;s:4:\"join\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"views.views_data\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:25:\"plugin.manager.views.join\";}}\";s:26:\"plugin.manager.views.pager\";s:608:\"a:4:{s:5:\"class\";s:38:\"Drupal\\views\\Plugin\\ViewsPluginManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;s:5:\"pager\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:26:\"plugin.manager.views.pager\";}}\";s:26:\"plugin.manager.views.query\";s:608:\"a:4:{s:5:\"class\";s:38:\"Drupal\\views\\Plugin\\ViewsPluginManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;s:5:\"query\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:26:\"plugin.manager.views.query\";}}\";s:33:\"plugin.manager.views.relationship\";s:732:\"a:4:{s:5:\"class\";s:39:\"Drupal\\views\\Plugin\\ViewsHandlerManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;s:12:\"relationship\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"views.views_data\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:33:\"plugin.manager.views.relationship\";}}\";s:24:\"plugin.manager.views.row\";s:604:\"a:4:{s:5:\"class\";s:38:\"Drupal\\views\\Plugin\\ViewsPluginManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;s:3:\"row\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:24:\"plugin.manager.views.row\";}}\";s:25:\"plugin.manager.views.sort\";s:715:\"a:4:{s:5:\"class\";s:39:\"Drupal\\views\\Plugin\\ViewsHandlerManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;s:4:\"sort\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"views.views_data\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:25:\"plugin.manager.views.sort\";}}\";s:26:\"plugin.manager.views.style\";s:608:\"a:4:{s:5:\"class\";s:38:\"Drupal\\views\\Plugin\\ViewsPluginManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;s:5:\"style\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:26:\"plugin.manager.views.style\";}}\";s:27:\"plugin.manager.views.wizard\";s:610:\"a:4:{s:5:\"class\";s:38:\"Drupal\\views\\Plugin\\ViewsPluginManager\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;s:6:\"wizard\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"container.namespaces\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:15:\"cache.discovery\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:27:\"plugin.manager.views.wizard\";}}\";s:16:\"views.views_data\";s:666:\"a:4:{s:5:\"class\";s:22:\"Drupal\\views\\ViewsData\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"cache.default\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:16:\"views.views_data\";}}\";s:23:\"views.views_data_helper\";s:362:\"a:4:{s:5:\"class\";s:28:\"Drupal\\views\\ViewsDataHelper\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"views.views_data\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:23:\"views.views_data_helper\";}}\";s:16:\"views.executable\";s:683:\"a:4:{s:5:\"class\";s:34:\"Drupal\\views\\ViewExecutableFactory\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"request_stack\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"views.views_data\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"router.route_provider\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:16:\"views.executable\";}}\";s:14:\"views.analyzer\";s:344:\"a:4:{s:5:\"class\";s:21:\"Drupal\\views\\Analyzer\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:14:\"views.analyzer\";}}\";s:22:\"views.route_subscriber\";s:476:\"a:4:{s:5:\"class\";s:44:\"Drupal\\views\\EventSubscriber\\RouteSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"state\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:22:\"views.route_subscriber\";}}\";s:24:\"views.exposed_form_cache\";s:156:\"a:3:{s:5:\"class\";s:29:\"Drupal\\views\\ExposedFormCache\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:24:\"views.exposed_form_cache\";}}\";s:30:\"views.entity_schema_subscriber\";s:514:\"a:4:{s:5:\"class\";s:56:\"Drupal\\views\\EventSubscriber\\ViewsEntitySchemaSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"logger.channel.default\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:30:\"views.entity_schema_subscriber\";}}\";s:14:\"views.date_sql\";s:360:\"a:4:{s:5:\"class\";s:44:\"Drupal\\views\\Plugin\\views\\query\\MysqlDateSql\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:14:\"views.date_sql\";}}\";s:27:\"language_request_subscriber\";s:720:\"a:4:{s:5:\"class\";s:57:\"Drupal\\language\\EventSubscriber\\LanguageRequestSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"language_negotiator\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"string_translation\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:27:\"language_request_subscriber\";}}\";s:23:\"path_processor_language\";s:891:\"a:5:{s:5:\"class\";s:48:\"Drupal\\language\\HttpKernel\\PathProcessorLanguage\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"language_negotiator\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"current_user\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:26:\"language.config_subscriber\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:23:\"path_processor_language\";}s:5:\"calls\";a:1:{i:0;a:2:{i:0;s:20:\"initConfigSubscriber\";i:1;a:0:{}}}}\";s:31:\"node.node_translation_exception\";s:704:\"a:4:{s:5:\"class\";s:62:\"Drupal\\node\\EventSubscriber\\NodeTranslationExceptionSubscriber\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"keyvalue\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"url_generator\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"state\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:31:\"node.node_translation_exception\";}}\";s:56:\"drupal.proxy_original_service.page_cache_response_policy\";s:2596:\"a:4:{s:5:\"class\";s:41:\"Drupal\\Core\\PageCache\\ChainResponsePolicy\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:56:\"drupal.proxy_original_service.page_cache_response_policy\";}s:5:\"calls\";a:5:{i:0;a:2:{i:0;s:9:\"addPolicy\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"page_cache_kill_switch\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:1;a:2:{i:0;s:9:\"addPolicy\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:26:\"page_cache_no_cache_routes\";s:5:\"value\";a:4:{s:5:\"class\";s:54:\"Drupal\\Core\\PageCache\\ResponsePolicy\\DenyNoCacheRoutes\";s:6:\"public\";b:0;s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"current_route_match\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}s:6:\"shared\";b:1;}}s:7:\"resolve\";b:1;}}i:2;a:2:{i:0;s:9:\"addPolicy\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:26:\"page_cache_no_server_error\";s:5:\"value\";a:3:{s:5:\"class\";s:50:\"Drupal\\Core\\PageCache\\ResponsePolicy\\NoServerError\";s:6:\"public\";b:0;s:15:\"arguments_count\";i:0;}s:6:\"shared\";b:1;}}s:7:\"resolve\";b:1;}}i:3;a:2:{i:0;s:9:\"addPolicy\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:52:\"private__F1OS6M_fMxC2jDEfVZbGJ1Es-a5S2P1N1kq2aotUsfs\";s:5:\"value\";a:4:{s:5:\"class\";s:52:\"Drupal\\image\\PageCache\\DenyPrivateImageStyleDownload\";s:6:\"public\";b:0;s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"current_route_match\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}s:6:\"shared\";b:0;}}s:7:\"resolve\";b:1;}}i:4;a:2:{i:0;s:9:\"addPolicy\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:52:\"private__tVbzWPF79c92deQsZtUrs_BreTwTssDglbNjnau7aZk\";s:5:\"value\";a:4:{s:5:\"class\";s:37:\"Drupal\\node\\PageCache\\DenyNodePreview\";s:6:\"public\";b:0;s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"current_route_match\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}s:6:\"shared\";b:0;}}s:7:\"resolve\";b:1;}}}}\";s:46:\"drupal.proxy_original_service.config.installer\";s:832:\"a:4:{s:5:\"class\";s:34:\"Drupal\\Core\\Config\\ConfigInstaller\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:6:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.storage\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:12:\"config.typed\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.manager\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"event_dispatcher\";s:15:\"invalidBehavior\";i:1;}i:5;s:8:\"standard\";}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:6;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:46:\"drupal.proxy_original_service.config.installer\";}}\";s:34:\"drupal.proxy_original_service.cron\";s:1089:\"a:4:{s:5:\"class\";s:16:\"Drupal\\Core\\Cron\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:8:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:4:\"lock\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"queue\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"state\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"account_switcher\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"logger.channel.cron\";s:15:\"invalidBehavior\";i:1;}i:6;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:27:\"plugin.manager.queue_worker\";s:15:\"invalidBehavior\";i:1;}i:7;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"datetime.time\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:8;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:34:\"drupal.proxy_original_service.cron\";}}\";s:46:\"drupal.proxy_original_service.module_installer\";s:2029:\"a:5:{s:5:\"class\";s:37:\"Drupal\\Core\\Extension\\ModuleInstaller\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"app.root\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:6:\"kernel\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:46:\"drupal.proxy_original_service.module_installer\";}s:5:\"calls\";a:5:{i:0;a:2:{i:0;s:21:\"addUninstallValidator\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:57:\"drupal.proxy_original_service.content_uninstall_validator\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:1;a:2:{i:0;s:21:\"addUninstallValidator\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:65:\"drupal.proxy_original_service.required_module_uninstall_validator\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:2;a:2:{i:0;s:21:\"addUninstallValidator\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:75:\"drupal.proxy_original_service.module_required_by_themes_uninstall_validator\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:3;a:2:{i:0;s:21:\"addUninstallValidator\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:55:\"drupal.proxy_original_service.field.uninstall_validator\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:4;a:2:{i:0;s:21:\"addUninstallValidator\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:56:\"drupal.proxy_original_service.filter.uninstall_validator\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}}}\";s:57:\"drupal.proxy_original_service.content_uninstall_validator\";s:525:\"a:4:{s:5:\"class\";s:44:\"Drupal\\Core\\Entity\\ContentUninstallValidator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"string_translation\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:57:\"drupal.proxy_original_service.content_uninstall_validator\";}}\";s:65:\"drupal.proxy_original_service.required_module_uninstall_validator\";s:545:\"a:4:{s:5:\"class\";s:54:\"Drupal\\Core\\Extension\\RequiredModuleUninstallValidator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"string_translation\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"extension.list.module\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:65:\"drupal.proxy_original_service.required_module_uninstall_validator\";}}\";s:75:\"drupal.proxy_original_service.module_required_by_themes_uninstall_validator\";s:675:\"a:4:{s:5:\"class\";s:62:\"Drupal\\Core\\Extension\\ModuleRequiredByThemesUninstallValidator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"string_translation\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"extension.list.module\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"extension.list.theme\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:75:\"drupal.proxy_original_service.module_required_by_themes_uninstall_validator\";}}\";s:50:\"drupal.proxy_original_service.plugin.cache_clearer\";s:194:\"a:3:{s:5:\"class\";s:41:\"Drupal\\Core\\Plugin\\CachedDiscoveryClearer\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:50:\"drupal.proxy_original_service.plugin.cache_clearer\";}}\";s:54:\"drupal.proxy_original_service.paramconverter.menu_link\";s:423:\"a:4:{s:5:\"class\";s:50:\"Drupal\\Core\\ParamConverter\\MenuLinkPluginConverter\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:24:\"plugin.manager.menu.link\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:54:\"drupal.proxy_original_service.paramconverter.menu_link\";}}\";s:34:\"drupal.proxy_original_service.lock\";s:372:\"a:4:{s:5:\"class\";s:36:\"Drupal\\Core\\Lock\\DatabaseLockBackend\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:34:\"drupal.proxy_original_service.lock\";}}\";s:45:\"drupal.proxy_original_service.lock.persistent\";s:393:\"a:4:{s:5:\"class\";s:46:\"Drupal\\Core\\Lock\\PersistentDatabaseLockBackend\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:45:\"drupal.proxy_original_service.lock.persistent\";}}\";s:43:\"drupal.proxy_original_service.router.dumper\";s:474:\"a:4:{s:5:\"class\";s:33:\"Drupal\\Core\\Routing\\MatcherDumper\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:5:\"state\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:43:\"drupal.proxy_original_service.router.dumper\";}}\";s:44:\"drupal.proxy_original_service.router.builder\";s:5878:\"a:4:{s:5:\"class\";s:32:\"Drupal\\Core\\Routing\\RouteBuilder\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:6:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:13:\"router.dumper\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:4:\"lock\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"event_dispatcher\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"controller_resolver\";s:15:\"invalidBehavior\";i:1;}i:5;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:29:\"access_manager.check_provider\";s:5:\"value\";a:4:{s:5:\"class\";s:32:\"Drupal\\Core\\Access\\CheckProvider\";s:6:\"public\";b:0;s:15:\"arguments_count\";i:0;s:5:\"calls\";a:31:{i:0;a:2:{i:0;s:12:\"setContainer\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"service_container\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:1;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:20:\"access_check.default\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:7:\"_access\";}i:3;b:0;}}i:2;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:19:\"access_check.entity\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:14:\"_entity_access\";}i:3;b:0;}}i:3;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:27:\"access_check.entity_bundles\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:15:\"_entity_bundles\";}i:3;b:0;}}i:4;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:26:\"access_check.entity_create\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:21:\"_entity_create_access\";}i:3;b:0;}}i:5;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:30:\"access_check.entity_create_any\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:25:\"_entity_create_any_access\";}i:3;b:0;}}i:6;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:35:\"access_check.entity_delete_multiple\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:30:\"_entity_delete_multiple_access\";}i:3;b:0;}}i:7;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:18:\"access_check.theme\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:13:\"_access_theme\";}i:3;b:0;}}i:8;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:19:\"access_check.custom\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:14:\"_custom_access\";}i:3;b:0;}}i:9;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:17:\"access_check.csrf\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:11:\"_csrf_token\";}i:3;b:1;}}i:10;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:24:\"access_check.header.csrf\";i:1;s:6:\"access\";i:2;a:0:{}i:3;b:1;}}i:11;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:34:\"config_translation.access.overview\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:35:\"_config_translation_overview_access\";}i:3;b:0;}}i:12;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:30:\"config_translation.access.form\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:31:\"_config_translation_form_access\";}i:3;b:0;}}i:13;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:29:\"access_check.contact_personal\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:28:\"_access_contact_personal_tab\";}i:3;b:0;}}i:14;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:33:\"content_translation.delete_access\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:34:\"_access_content_translation_delete\";}i:3;b:0;}}i:15;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:35:\"content_translation.overview_access\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:36:\"_access_content_translation_overview\";}i:3;b:0;}}i:16;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:33:\"content_translation.manage_access\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:34:\"_access_content_translation_manage\";}i:3;b:0;}}i:17;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:13:\"ctools.access\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:14:\"_ctools_access\";}i:3;b:0;}}i:18;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:31:\"access_check.field_ui.view_mode\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:26:\"_field_ui_view_mode_access\";}i:3;b:0;}}i:19;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:31:\"access_check.field_ui.form_mode\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:26:\"_field_ui_form_mode_access\";}i:3;b:0;}}i:20;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:26:\"access_check.node.revision\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:21:\"_access_node_revision\";}i:3;b:0;}}i:21;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:21:\"access_check.node.add\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:16:\"_node_add_access\";}i:3;b:0;}}i:22;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:25:\"access_check.node.preview\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:20:\"_node_preview_access\";}i:3;b:0;}}i:23;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:35:\"access_check.quickedit.entity_field\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:30:\"_access_quickedit_entity_field\";}i:3;b:0;}}i:24;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:17:\"access_check.cron\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:19:\"_access_system_cron\";}i:3;b:0;}}i:25;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:22:\"access_check.db_update\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:21:\"_access_system_update\";}i:3;b:0;}}i:26;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:34:\"access_check.update.manager_access\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:22:\"_access_update_manager\";}i:3;b:0;}}i:27;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:23:\"access_check.permission\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:11:\"_permission\";}i:3;b:0;}}i:28;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:26:\"access_check.user.register\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:21:\"_access_user_register\";}i:3;b:0;}}i:29;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:22:\"access_check.user.role\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:5:\"_role\";}i:3;b:0;}}i:30;a:2:{i:0;s:15:\"addCheckService\";i:1;a:4:{i:0;s:30:\"access_check.user.login_status\";i:1;s:6:\"access\";i:2;a:1:{i:0;s:18:\"_user_is_logged_in\";}i:3;b:0;}}}}s:6:\"shared\";b:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:6;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:44:\"drupal.proxy_original_service.router.builder\";}}\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";s:761:\"a:4:{s:5:\"class\";s:57:\"Drupal\\Core\\ParamConverter\\AdminPathConfigEntityConverter\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:4:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"router.admin_context\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"entity.repository\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:4;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}\";s:53:\"drupal.proxy_original_service.bare_html_page_renderer\";s:521:\"a:4:{s:5:\"class\";s:39:\"Drupal\\Core\\Render\\BareHtmlPageRenderer\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"renderer\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:35:\"html_response.attachments_processor\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:2;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:53:\"drupal.proxy_original_service.bare_html_page_renderer\";}}\";s:43:\"drupal.proxy_original_service.batch.storage\";s:575:\"a:4:{s:5:\"class\";s:30:\"Drupal\\Core\\Batch\\BatchStorage\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:8:\"database\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:7:\"session\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:10:\"csrf_token\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:43:\"drupal.proxy_original_service.batch.storage\";}}\";s:52:\"drupal.proxy_original_service.file.mime_type.guesser\";s:710:\"a:5:{s:5:\"class\";s:41:\"Drupal\\Core\\File\\MimeType\\MimeTypeGuesser\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"stream_wrapper_manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:52:\"drupal.proxy_original_service.file.mime_type.guesser\";}s:5:\"calls\";a:1:{i:0;a:2:{i:0;s:10:\"addGuesser\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:2:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:62:\"drupal.proxy_original_service.file.mime_type.guesser.extension\";s:15:\"invalidBehavior\";i:1;}i:1;i:0;}s:7:\"resolve\";b:1;}}}}\";s:62:\"drupal.proxy_original_service.file.mime_type.guesser.extension\";s:421:\"a:4:{s:5:\"class\";s:50:\"Drupal\\Core\\File\\MimeType\\ExtensionMimeTypeGuesser\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"module_handler\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:62:\"drupal.proxy_original_service.file.mime_type.guesser.extension\";}}\";s:64:\"drupal.proxy_original_service.dynamic_page_cache_response_policy\";s:2027:\"a:4:{s:5:\"class\";s:41:\"Drupal\\Core\\PageCache\\ChainResponsePolicy\";s:15:\"arguments_count\";i:0;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:64:\"drupal.proxy_original_service.dynamic_page_cache_response_policy\";}s:5:\"calls\";a:4:{i:0;a:2:{i:0;s:9:\"addPolicy\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:22:\"page_cache_kill_switch\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}}i:1;a:2:{i:0;s:9:\"addPolicy\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:26:\"page_cache_no_cache_routes\";s:5:\"value\";a:4:{s:5:\"class\";s:54:\"Drupal\\Core\\PageCache\\ResponsePolicy\\DenyNoCacheRoutes\";s:6:\"public\";b:0;s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"current_route_match\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}s:6:\"shared\";b:1;}}s:7:\"resolve\";b:1;}}i:2;a:2:{i:0;s:9:\"addPolicy\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:26:\"page_cache_no_server_error\";s:5:\"value\";a:3:{s:5:\"class\";s:50:\"Drupal\\Core\\PageCache\\ResponsePolicy\\NoServerError\";s:6:\"public\";b:0;s:15:\"arguments_count\";i:0;}s:6:\"shared\";b:1;}}s:7:\"resolve\";b:1;}}i:3;a:2:{i:0;s:9:\"addPolicy\";i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":4:{s:4:\"type\";s:15:\"private_service\";s:2:\"id\";s:52:\"private__HX5I7sfEFqcrtchl5GWkd90OTCfJaL7qil0Yyt1WSDA\";s:5:\"value\";a:4:{s:5:\"class\";s:66:\"Drupal\\dynamic_page_cache\\PageCache\\ResponsePolicy\\DenyAdminRoutes\";s:6:\"public\";b:0;s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"current_route_match\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;}s:6:\"shared\";b:0;}}s:7:\"resolve\";b:1;}}}}\";s:55:\"drupal.proxy_original_service.field.uninstall_validator\";s:638:\"a:4:{s:5:\"class\";s:36:\"Drupal\\field\\FieldUninstallValidator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"string_translation\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:31:\"plugin.manager.field.field_type\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:55:\"drupal.proxy_original_service.field.uninstall_validator\";}}\";s:56:\"drupal.proxy_original_service.filter.uninstall_validator\";s:631:\"a:4:{s:5:\"class\";s:38:\"Drupal\\filter\\FilterUninstallValidator\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:3:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:21:\"plugin.manager.filter\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:18:\"string_translation\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:3;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:56:\"drupal.proxy_original_service.filter.uninstall_validator\";}}\";s:48:\"drupal.proxy_original_service.language_converter\";s:392:\"a:4:{s:5:\"class\";s:33:\"Drupal\\language\\LanguageConverter\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"language_manager\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:48:\"drupal.proxy_original_service.language_converter\";}}\";s:42:\"drupal.proxy_original_service.node_preview\";s:401:\"a:4:{s:5:\"class\";s:47:\"Drupal\\node\\ParamConverter\\NodePreviewConverter\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:1:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"tempstore.private\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:1;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:42:\"drupal.proxy_original_service.node_preview\";}}\";s:53:\"drupal.proxy_original_service.paramconverter.views_ui\";s:848:\"a:4:{s:5:\"class\";s:46:\"Drupal\\views_ui\\ParamConverter\\ViewUIConverter\";s:9:\"arguments\";O:8:\"stdClass\":3:{s:4:\"type\";s:10:\"collection\";s:5:\"value\";a:5:{i:0;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:19:\"entity_type.manager\";s:15:\"invalidBehavior\";i:1;}i:1;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:16:\"tempstore.shared\";s:15:\"invalidBehavior\";i:1;}i:2;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:14:\"config.factory\";s:15:\"invalidBehavior\";i:1;}i:3;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:20:\"router.admin_context\";s:15:\"invalidBehavior\";i:1;}i:4;O:8:\"stdClass\":3:{s:4:\"type\";s:7:\"service\";s:2:\"id\";s:17:\"entity.repository\";s:15:\"invalidBehavior\";i:1;}}s:7:\"resolve\";b:1;}s:15:\"arguments_count\";i:5;s:10:\"properties\";a:1:{s:10:\"_serviceId\";s:53:\"drupal.proxy_original_service.paramconverter.views_ui\";}}\";}s:6:\"frozen\";b:1;s:14:\"machine_format\";b:1;}',-1,1636011225.620,1,'','0');
/*!40000 ALTER TABLE `cache_container` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_data`
--

DROP TABLE IF EXISTS `cache_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_data` (
  `cid` varchar(255) CHARACTER SET ascii COLLATE ascii_bin NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob DEFAULT NULL COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT 0 COMMENT 'A Unix timestamp indicating when the cache entry should expire, or -1 for never.',
  `created` decimal(14,3) NOT NULL DEFAULT 0.000 COMMENT 'A timestamp with millisecond precision indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT 0 COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  `tags` longtext DEFAULT NULL COMMENT 'Space-separated list of cache tags for this entry.',
  `checksum` varchar(255) CHARACTER SET ascii NOT NULL COMMENT 'The tag invalidation checksum when this entry was saved.',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`),
  KEY `created` (`created`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Storage for the cache API.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_data`
--

LOCK TABLES `cache_data` WRITE;
/*!40000 ALTER TABLE `cache_data` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `cache_data` VALUES ('about_us:block_1:results:5c1a5404be77f980fa6255db9ad6028a2fcaff0f01e5c8e511bc80d814d59927','a:3:{s:6:\"result\";a:1:{i:0;O:22:\"Drupal\\views\\ResultRow\":5:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:0;s:23:\"node_field_data_created\";s:10:\"1468922276\";s:3:\"nid\";s:1:\"4\";}}s:10:\"total_rows\";i:0;s:12:\"current_page\";N;}',-1,1636012250.146,1,'config:views.view.about_us node:4 node_list','5'),('about_us:block_1:results:e8d97022a25621b385e2a136d7205b0712fe4d75f02272cf4f4dd7ea71a8cf82','a:3:{s:6:\"result\";a:1:{i:0;O:22:\"Drupal\\views\\ResultRow\":5:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:0;s:23:\"node_field_data_created\";s:10:\"1468922276\";s:3:\"nid\";s:1:\"4\";}}s:10:\"total_rows\";i:0;s:12:\"current_page\";N;}',-1,1636711429.989,1,'config:views.view.about_us node:4 node_list','5'),('blog_page:block_2:results:03cd70b37873ffac40ecd1973eaa0d5f46e87c9f5c73c6f28fbde23b659d269f','a:3:{s:6:\"result\";a:3:{i:0;O:22:\"Drupal\\views\\ResultRow\":6:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:0;s:24:\"node_field_data_langcode\";s:2:\"en\";s:23:\"node_field_data_created\";s:10:\"1469422582\";s:3:\"nid\";s:2:\"16\";}i:1;O:22:\"Drupal\\views\\ResultRow\":6:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:1;s:24:\"node_field_data_langcode\";s:2:\"en\";s:23:\"node_field_data_created\";s:10:\"1452238367\";s:3:\"nid\";s:2:\"11\";}i:2;O:22:\"Drupal\\views\\ResultRow\":6:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:2;s:24:\"node_field_data_langcode\";s:2:\"en\";s:23:\"node_field_data_created\";s:10:\"1450761893\";s:3:\"nid\";s:2:\"15\";}}s:10:\"total_rows\";i:0;s:12:\"current_page\";N;}',-1,1636711430.330,1,'config:views.view.blog_page node:11 node:15 node:16 node_list','5'),('blog_page:block_2:results:605f5fec9fe47050f7ee43d1a6cf48b0c709a8ef74bf600aa01777c342f5b839','a:3:{s:6:\"result\";a:3:{i:0;O:22:\"Drupal\\views\\ResultRow\":6:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:0;s:24:\"node_field_data_langcode\";s:2:\"en\";s:23:\"node_field_data_created\";s:10:\"1469422582\";s:3:\"nid\";s:2:\"16\";}i:1;O:22:\"Drupal\\views\\ResultRow\":6:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:1;s:24:\"node_field_data_langcode\";s:2:\"en\";s:23:\"node_field_data_created\";s:10:\"1452238367\";s:3:\"nid\";s:2:\"11\";}i:2;O:22:\"Drupal\\views\\ResultRow\":6:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:2;s:24:\"node_field_data_langcode\";s:2:\"en\";s:23:\"node_field_data_created\";s:10:\"1450761893\";s:3:\"nid\";s:2:\"15\";}}s:10:\"total_rows\";i:0;s:12:\"current_page\";N;}',-1,1636012250.558,1,'config:views.view.blog_page node:11 node:15 node:16 node_list','5'),('blog_page:block_3:results:3af8fb2c386ba0fa32fb719ae2906c6bb0a714b99677580c48af80a1a677b8e9','a:3:{s:6:\"result\";a:2:{i:0;O:22:\"Drupal\\views\\ResultRow\":6:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:0;s:24:\"node_field_data_langcode\";s:2:\"en\";s:23:\"node_field_data_created\";s:10:\"1469422582\";s:3:\"nid\";s:2:\"16\";}i:1;O:22:\"Drupal\\views\\ResultRow\":6:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:1;s:24:\"node_field_data_langcode\";s:2:\"en\";s:23:\"node_field_data_created\";s:10:\"1452238367\";s:3:\"nid\";s:2:\"11\";}}s:10:\"total_rows\";i:0;s:12:\"current_page\";N;}',-1,1636709608.680,1,'config:views.view.blog_page node:11 node:16 node_list','5'),('blog_page:block_3:results:af568813612f2bb30bbc2e5ad3540a4c1e2b17e4fbc18921336ac86eb922b1a9','a:3:{s:6:\"result\";a:2:{i:0;O:22:\"Drupal\\views\\ResultRow\":6:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:0;s:24:\"node_field_data_langcode\";s:2:\"en\";s:23:\"node_field_data_created\";s:10:\"1469422582\";s:3:\"nid\";s:2:\"16\";}i:1;O:22:\"Drupal\\views\\ResultRow\":6:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:1;s:24:\"node_field_data_langcode\";s:2:\"en\";s:23:\"node_field_data_created\";s:10:\"1452238367\";s:3:\"nid\";s:2:\"11\";}}s:10:\"total_rows\";i:0;s:12:\"current_page\";N;}',-1,1636012251.074,1,'config:views.view.blog_page node:11 node:16 node_list','5'),('css:luxestate:4bC2Oe2VY6b4DsEeYwjfKG_Mf_T_x3suiRMwau5I16I0','a:3:{s:48:\"core/themes/stable/css/filter/filter.caption.css\";a:8:{s:6:\"weight\";d:0.001;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/stable/css/filter/filter.caption.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:90:\"core/themes/stable/css/ckeditor/plugins/drupalimagecaption/ckeditor.drupalimagecaption.css\";a:8:{s:6:\"weight\";d:0.002;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:90:\"core/themes/stable/css/ckeditor/plugins/drupalimagecaption/ckeditor.drupalimagecaption.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:44:\"core/themes/stable/css/ckeditor/ckeditor.css\";a:8:{s:6:\"weight\";i:100;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:44:\"core/themes/stable/css/ckeditor/ckeditor.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}}',-1,1636012255.597,1,'library_info','0'),('css:luxestate:7H_90aSq-7G-X3sJHKmmUXtfpWAX2ah8R3n1MsCTGDw0','a:87:{s:46:\"core/assets/vendor/normalize-css/normalize.css\";a:8:{s:6:\"weight\";d:-219.938;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/assets/vendor/normalize-css/normalize.css\";s:7:\"version\";s:5:\"3.0.3\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:29:\"core/misc/normalize-fixes.css\";a:8:{s:6:\"weight\";d:-218.937;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:29:\"core/misc/normalize-fixes.css\";s:7:\"version\";s:5:\"3.0.3\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:65:\"core/themes/stable/css/system/components/ajax-progress.module.css\";a:8:{s:6:\"weight\";d:-9.984;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:65:\"core/themes/stable/css/system/components/ajax-progress.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:57:\"core/themes/stable/css/system/components/align.module.css\";a:8:{s:6:\"weight\";d:-9.983;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/themes/stable/css/system/components/align.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:72:\"core/themes/stable/css/system/components/autocomplete-loading.module.css\";a:8:{s:6:\"weight\";d:-9.982;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:72:\"core/themes/stable/css/system/components/autocomplete-loading.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:62:\"core/themes/stable/css/system/components/fieldgroup.module.css\";a:8:{s:6:\"weight\";d:-9.981;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:62:\"core/themes/stable/css/system/components/fieldgroup.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:68:\"core/themes/stable/css/system/components/container-inline.module.css\";a:8:{s:6:\"weight\";d:-9.98;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:68:\"core/themes/stable/css/system/components/container-inline.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:60:\"core/themes/stable/css/system/components/clearfix.module.css\";a:8:{s:6:\"weight\";d:-9.979;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:60:\"core/themes/stable/css/system/components/clearfix.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:59:\"core/themes/stable/css/system/components/details.module.css\";a:8:{s:6:\"weight\";d:-9.978;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:59:\"core/themes/stable/css/system/components/details.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:58:\"core/themes/stable/css/system/components/hidden.module.css\";a:8:{s:6:\"weight\";d:-9.977;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/themes/stable/css/system/components/hidden.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:61:\"core/themes/stable/css/system/components/item-list.module.css\";a:8:{s:6:\"weight\";d:-9.976;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:61:\"core/themes/stable/css/system/components/item-list.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:54:\"core/themes/stable/css/system/components/js.module.css\";a:8:{s:6:\"weight\";d:-9.975;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/themes/stable/css/system/components/js.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:58:\"core/themes/stable/css/system/components/nowrap.module.css\";a:8:{s:6:\"weight\";d:-9.974;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/themes/stable/css/system/components/nowrap.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:70:\"core/themes/stable/css/system/components/position-container.module.css\";a:8:{s:6:\"weight\";d:-9.973;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:70:\"core/themes/stable/css/system/components/position-container.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:60:\"core/themes/stable/css/system/components/progress.module.css\";a:8:{s:6:\"weight\";d:-9.972;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:60:\"core/themes/stable/css/system/components/progress.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:68:\"core/themes/stable/css/system/components/reset-appearance.module.css\";a:8:{s:6:\"weight\";d:-9.971;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:68:\"core/themes/stable/css/system/components/reset-appearance.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:58:\"core/themes/stable/css/system/components/resize.module.css\";a:8:{s:6:\"weight\";d:-9.97;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/themes/stable/css/system/components/resize.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:65:\"core/themes/stable/css/system/components/sticky-header.module.css\";a:8:{s:6:\"weight\";d:-9.969;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:65:\"core/themes/stable/css/system/components/sticky-header.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:66:\"core/themes/stable/css/system/components/system-status-counter.css\";a:8:{s:6:\"weight\";d:-9.968;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:66:\"core/themes/stable/css/system/components/system-status-counter.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:74:\"core/themes/stable/css/system/components/system-status-report-counters.css\";a:8:{s:6:\"weight\";d:-9.967;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:74:\"core/themes/stable/css/system/components/system-status-report-counters.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:78:\"core/themes/stable/css/system/components/system-status-report-general-info.css\";a:8:{s:6:\"weight\";d:-9.966;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:78:\"core/themes/stable/css/system/components/system-status-report-general-info.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:61:\"core/themes/stable/css/system/components/tabledrag.module.css\";a:8:{s:6:\"weight\";d:-9.965;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:61:\"core/themes/stable/css/system/components/tabledrag.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:61:\"core/themes/stable/css/system/components/tablesort.module.css\";a:8:{s:6:\"weight\";d:-9.964;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:61:\"core/themes/stable/css/system/components/tablesort.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:62:\"core/themes/stable/css/system/components/tree-child.module.css\";a:8:{s:6:\"weight\";d:-9.963;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:62:\"core/themes/stable/css/system/components/tree-child.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:55:\"core/themes/stable/css/contextual/contextual.module.css\";a:8:{s:6:\"weight\";d:0.001;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/themes/stable/css/contextual/contextual.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/assets/vendor/jquery.ui/themes/base/core.css\";a:8:{s:6:\"weight\";d:0.004;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/assets/vendor/jquery.ui/themes/base/core.css\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:58:\"core/assets/vendor/jquery.ui/themes/base/checkboxradio.css\";a:8:{s:6:\"weight\";d:0.006;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/assets/vendor/jquery.ui/themes/base/checkboxradio.css\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:57:\"core/assets/vendor/jquery.ui/themes/base/controlgroup.css\";a:8:{s:6:\"weight\";d:0.008;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/assets/vendor/jquery.ui/themes/base/controlgroup.css\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:54:\"core/assets/vendor/jquery.ui/themes/base/resizable.css\";a:8:{s:6:\"weight\";d:0.009;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/assets/vendor/jquery.ui/themes/base/resizable.css\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:51:\"core/assets/vendor/jquery.ui/themes/base/button.css\";a:8:{s:6:\"weight\";d:0.009;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:51:\"core/assets/vendor/jquery.ui/themes/base/button.css\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:51:\"core/assets/vendor/jquery.ui/themes/base/dialog.css\";a:8:{s:6:\"weight\";d:0.01;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:51:\"core/assets/vendor/jquery.ui/themes/base/dialog.css\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:53:\"core/themes/stable/css/quickedit/quickedit.module.css\";a:8:{s:6:\"weight\";d:0.012;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/themes/stable/css/quickedit/quickedit.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:45:\"core/themes/stable/css/views/views.module.css\";a:8:{s:6:\"weight\";d:0.069;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/themes/stable/css/views/views.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/themes/stable/css/toolbar/toolbar.module.css\";a:8:{s:6:\"weight\";d:0.074;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/themes/stable/css/toolbar/toolbar.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/assets/vendor/jquery.ui/themes/base/menu.css\";a:8:{s:6:\"weight\";d:0.077;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/assets/vendor/jquery.ui/themes/base/menu.css\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:57:\"core/assets/vendor/jquery.ui/themes/base/autocomplete.css\";a:8:{s:6:\"weight\";d:0.078;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/assets/vendor/jquery.ui/themes/base/autocomplete.css\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:43:\"core/themes/stable/css/tour/tour.module.css\";a:8:{s:5:\"media\";s:6:\"screen\";s:6:\"weight\";d:0.081;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/themes/stable/css/tour/tour.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:56:\"core/themes/stable/css/contextual/contextual.toolbar.css\";a:8:{s:6:\"weight\";d:0.082;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/themes/stable/css/contextual/contextual.toolbar.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:47:\"core/themes/stable/css/toolbar/toolbar.menu.css\";a:8:{s:6:\"weight\";d:100.073;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/stable/css/toolbar/toolbar.menu.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:54:\"core/themes/stable/css/contextual/contextual.theme.css\";a:8:{s:6:\"weight\";d:200.002;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/themes/stable/css/contextual/contextual.theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:60:\"core/themes/stable/css/contextual/contextual.icons.theme.css\";a:8:{s:6:\"weight\";d:200.003;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:60:\"core/themes/stable/css/contextual/contextual.icons.theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:50:\"core/assets/vendor/jquery.ui/themes/base/theme.css\";a:8:{s:6:\"weight\";d:200.005;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:50:\"core/assets/vendor/jquery.ui/themes/base/theme.css\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:46:\"core/themes/seven/css/components/quickedit.css\";a:8:{s:6:\"weight\";d:200.013;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/themes/seven/css/components/quickedit.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:52:\"core/themes/stable/css/quickedit/quickedit.theme.css\";a:8:{s:6:\"weight\";d:200.014;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/themes/stable/css/quickedit/quickedit.theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:58:\"core/themes/stable/css/quickedit/quickedit.icons.theme.css\";a:8:{s:6:\"weight\";d:200.015;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/themes/stable/css/quickedit/quickedit.icons.theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:50:\"modules/colorbox/styles/default/colorbox_style.css\";a:8:{s:6:\"weight\";d:200.07;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:50:\"modules/colorbox/styles/default/colorbox_style.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:67:\"modules/we_megamenu/assets/includes/bootstrap/css/bootstrap.min.css\";a:8:{s:6:\"weight\";d:200.071;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:67:\"modules/we_megamenu/assets/includes/bootstrap/css/bootstrap.min.css\";s:7:\"version\";d:1;s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:54:\"modules/we_megamenu/assets/css/we_megamenu_backend.css\";a:8:{s:6:\"weight\";d:200.072;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"modules/we_megamenu/assets/css/we_megamenu_backend.css\";s:7:\"version\";d:1;s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:48:\"core/themes/stable/css/toolbar/toolbar.theme.css\";a:8:{s:6:\"weight\";d:200.075;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/stable/css/toolbar/toolbar.theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:54:\"core/themes/stable/css/toolbar/toolbar.icons.theme.css\";a:8:{s:6:\"weight\";d:200.076;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/themes/stable/css/toolbar/toolbar.icons.theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:71:\"modules/admin_toolbar/admin_toolbar_search/css/admin.toolbar_search.css\";a:8:{s:6:\"weight\";d:200.079;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:71:\"modules/admin_toolbar/admin_toolbar_search/css/admin.toolbar_search.css\";s:7:\"version\";i:-1;s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:48:\"core/themes/stable/css/user/user.icons.admin.css\";a:8:{s:6:\"weight\";d:200.08;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/stable/css/user/user.icons.admin.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:55:\"modules/admin_toolbar/admin_toolbar_tools/css/tools.css\";a:8:{s:6:\"weight\";d:200.083;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"modules/admin_toolbar/admin_toolbar_tools/css/tools.css\";s:7:\"version\";i:-1;s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:50:\"core/themes/stable/css/shortcut/shortcut.theme.css\";a:8:{s:6:\"weight\";d:200.084;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:50:\"core/themes/stable/css/shortcut/shortcut.theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:56:\"core/themes/stable/css/shortcut/shortcut.icons.theme.css\";a:8:{s:6:\"weight\";d:200.085;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/themes/stable/css/shortcut/shortcut.icons.theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:43:\"modules/admin_toolbar/css/admin.toolbar.css\";a:8:{s:6:\"weight\";d:200.086;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"modules/admin_toolbar/css/admin.toolbar.css\";s:7:\"version\";i:-1;s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:46:\"core/themes/classy/css/components/progress.css\";a:8:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/themes/classy/css/components/progress.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:44:\"core/themes/classy/css/components/dialog.css\";a:8:{s:6:\"weight\";d:-9.989;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:44:\"core/themes/classy/css/components/dialog.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:50:\"core/themes/classy/css/components/action-links.css\";a:8:{s:6:\"weight\";d:-9.962;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:50:\"core/themes/classy/css/components/action-links.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:48:\"core/themes/classy/css/components/breadcrumb.css\";a:8:{s:6:\"weight\";d:-9.961;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/classy/css/components/breadcrumb.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:44:\"core/themes/classy/css/components/button.css\";a:8:{s:6:\"weight\";d:-9.96;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:44:\"core/themes/classy/css/components/button.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:56:\"core/themes/classy/css/components/collapse-processed.css\";a:8:{s:6:\"weight\";d:-9.959;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/themes/classy/css/components/collapse-processed.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:54:\"core/themes/classy/css/components/container-inline.css\";a:8:{s:6:\"weight\";d:-9.958;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/themes/classy/css/components/container-inline.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:45:\"core/themes/classy/css/components/details.css\";a:8:{s:6:\"weight\";d:-9.957;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/themes/classy/css/components/details.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:53:\"core/themes/classy/css/components/exposed-filters.css\";a:8:{s:6:\"weight\";d:-9.956;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/themes/classy/css/components/exposed-filters.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:43:\"core/themes/classy/css/components/field.css\";a:8:{s:6:\"weight\";d:-9.955;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/themes/classy/css/components/field.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:42:\"core/themes/classy/css/components/form.css\";a:8:{s:6:\"weight\";d:-9.954;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:42:\"core/themes/classy/css/components/form.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:43:\"core/themes/classy/css/components/icons.css\";a:8:{s:6:\"weight\";d:-9.953;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/themes/classy/css/components/icons.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/themes/classy/css/components/inline-form.css\";a:8:{s:6:\"weight\";d:-9.952;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/themes/classy/css/components/inline-form.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:47:\"core/themes/classy/css/components/item-list.css\";a:8:{s:6:\"weight\";d:-9.951;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/classy/css/components/item-list.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:42:\"core/themes/classy/css/components/link.css\";a:8:{s:6:\"weight\";d:-9.95;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:42:\"core/themes/classy/css/components/link.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:43:\"core/themes/classy/css/components/links.css\";a:8:{s:6:\"weight\";d:-9.949;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/themes/classy/css/components/links.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:42:\"core/themes/classy/css/components/menu.css\";a:8:{s:6:\"weight\";d:-9.948;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:42:\"core/themes/classy/css/components/menu.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:47:\"core/themes/classy/css/components/more-link.css\";a:8:{s:6:\"weight\";d:-9.947;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/classy/css/components/more-link.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:43:\"core/themes/classy/css/components/pager.css\";a:8:{s:6:\"weight\";d:-9.946;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/themes/classy/css/components/pager.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:47:\"core/themes/classy/css/components/tabledrag.css\";a:8:{s:6:\"weight\";d:-9.945;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/classy/css/components/tabledrag.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/themes/classy/css/components/tableselect.css\";a:8:{s:6:\"weight\";d:-9.944;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/themes/classy/css/components/tableselect.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:47:\"core/themes/classy/css/components/tablesort.css\";a:8:{s:6:\"weight\";d:-9.943;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/classy/css/components/tablesort.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:42:\"core/themes/classy/css/components/tabs.css\";a:8:{s:6:\"weight\";d:-9.942;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:42:\"core/themes/classy/css/components/tabs.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:46:\"core/themes/classy/css/components/textarea.css\";a:8:{s:6:\"weight\";d:-9.941;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/themes/classy/css/components/textarea.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:47:\"core/themes/classy/css/components/ui-dialog.css\";a:8:{s:6:\"weight\";d:-9.94;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/classy/css/components/ui-dialog.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:46:\"core/themes/classy/css/components/messages.css\";a:8:{s:6:\"weight\";d:-9.939;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/themes/classy/css/components/messages.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:62:\"themes/luxestate/assets/includes/owl-carousel/owl.carousel.css\";a:8:{s:6:\"weight\";d:200.064;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:62:\"themes/luxestate/assets/includes/owl-carousel/owl.carousel.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:54:\"themes/luxestate/assets/includes/slick/slick/slick.css\";a:8:{s:6:\"weight\";d:200.065;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"themes/luxestate/assets/includes/slick/slick/slick.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:52:\"themes/luxestate/assets/includes/slick/css/style.css\";a:8:{s:6:\"weight\";d:200.066;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"themes/luxestate/assets/includes/slick/css/style.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:37:\"themes/luxestate/assets/css/style.css\";a:8:{s:6:\"weight\";d:200.067;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:37:\"themes/luxestate/assets/css/style.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:41:\"themes/luxestate/assets/css/style-rtl.css\";a:8:{s:6:\"weight\";d:200.068;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"themes/luxestate/assets/css/style-rtl.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}}',-1,1636012251.469,1,'library_info','0'),('css:luxestate:GOaxv4yuDzHwHnrSgtjY0uVCxq_DUBTXW3QayyHctfU0','a:56:{s:46:\"core/assets/vendor/normalize-css/normalize.css\";a:8:{s:6:\"weight\";d:-219.954;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/assets/vendor/normalize-css/normalize.css\";s:7:\"version\";s:5:\"3.0.3\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:29:\"core/misc/normalize-fixes.css\";a:8:{s:6:\"weight\";d:-218.953;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:29:\"core/misc/normalize-fixes.css\";s:7:\"version\";s:5:\"3.0.3\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:65:\"core/themes/stable/css/system/components/ajax-progress.module.css\";a:8:{s:6:\"weight\";i:-10;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:65:\"core/themes/stable/css/system/components/ajax-progress.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:57:\"core/themes/stable/css/system/components/align.module.css\";a:8:{s:6:\"weight\";d:-9.999;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/themes/stable/css/system/components/align.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:72:\"core/themes/stable/css/system/components/autocomplete-loading.module.css\";a:8:{s:6:\"weight\";d:-9.998;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:72:\"core/themes/stable/css/system/components/autocomplete-loading.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:62:\"core/themes/stable/css/system/components/fieldgroup.module.css\";a:8:{s:6:\"weight\";d:-9.997;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:62:\"core/themes/stable/css/system/components/fieldgroup.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:68:\"core/themes/stable/css/system/components/container-inline.module.css\";a:8:{s:6:\"weight\";d:-9.996;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:68:\"core/themes/stable/css/system/components/container-inline.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:60:\"core/themes/stable/css/system/components/clearfix.module.css\";a:8:{s:6:\"weight\";d:-9.995;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:60:\"core/themes/stable/css/system/components/clearfix.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:59:\"core/themes/stable/css/system/components/details.module.css\";a:8:{s:6:\"weight\";d:-9.994;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:59:\"core/themes/stable/css/system/components/details.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:58:\"core/themes/stable/css/system/components/hidden.module.css\";a:8:{s:6:\"weight\";d:-9.993;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/themes/stable/css/system/components/hidden.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:61:\"core/themes/stable/css/system/components/item-list.module.css\";a:8:{s:6:\"weight\";d:-9.992;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:61:\"core/themes/stable/css/system/components/item-list.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:54:\"core/themes/stable/css/system/components/js.module.css\";a:8:{s:6:\"weight\";d:-9.991;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/themes/stable/css/system/components/js.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:58:\"core/themes/stable/css/system/components/nowrap.module.css\";a:8:{s:6:\"weight\";d:-9.99;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/themes/stable/css/system/components/nowrap.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:70:\"core/themes/stable/css/system/components/position-container.module.css\";a:8:{s:6:\"weight\";d:-9.989;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:70:\"core/themes/stable/css/system/components/position-container.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:60:\"core/themes/stable/css/system/components/progress.module.css\";a:8:{s:6:\"weight\";d:-9.988;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:60:\"core/themes/stable/css/system/components/progress.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:68:\"core/themes/stable/css/system/components/reset-appearance.module.css\";a:8:{s:6:\"weight\";d:-9.987;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:68:\"core/themes/stable/css/system/components/reset-appearance.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:58:\"core/themes/stable/css/system/components/resize.module.css\";a:8:{s:6:\"weight\";d:-9.986;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/themes/stable/css/system/components/resize.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:65:\"core/themes/stable/css/system/components/sticky-header.module.css\";a:8:{s:6:\"weight\";d:-9.985;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:65:\"core/themes/stable/css/system/components/sticky-header.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:66:\"core/themes/stable/css/system/components/system-status-counter.css\";a:8:{s:6:\"weight\";d:-9.984;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:66:\"core/themes/stable/css/system/components/system-status-counter.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:74:\"core/themes/stable/css/system/components/system-status-report-counters.css\";a:8:{s:6:\"weight\";d:-9.983;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:74:\"core/themes/stable/css/system/components/system-status-report-counters.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:78:\"core/themes/stable/css/system/components/system-status-report-general-info.css\";a:8:{s:6:\"weight\";d:-9.982;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:78:\"core/themes/stable/css/system/components/system-status-report-general-info.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:61:\"core/themes/stable/css/system/components/tabledrag.module.css\";a:8:{s:6:\"weight\";d:-9.981;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:61:\"core/themes/stable/css/system/components/tabledrag.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:61:\"core/themes/stable/css/system/components/tablesort.module.css\";a:8:{s:6:\"weight\";d:-9.98;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:61:\"core/themes/stable/css/system/components/tablesort.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:62:\"core/themes/stable/css/system/components/tree-child.module.css\";a:8:{s:6:\"weight\";d:-9.979;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:62:\"core/themes/stable/css/system/components/tree-child.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:45:\"core/themes/stable/css/views/views.module.css\";a:8:{s:6:\"weight\";d:0.053;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/themes/stable/css/views/views.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:67:\"modules/we_megamenu/assets/includes/bootstrap/css/bootstrap.min.css\";a:8:{s:6:\"weight\";d:200.054;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:67:\"modules/we_megamenu/assets/includes/bootstrap/css/bootstrap.min.css\";s:7:\"version\";d:1;s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:54:\"modules/we_megamenu/assets/css/we_megamenu_backend.css\";a:8:{s:6:\"weight\";d:200.055;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"modules/we_megamenu/assets/css/we_megamenu_backend.css\";s:7:\"version\";d:1;s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:50:\"core/themes/classy/css/components/action-links.css\";a:8:{s:6:\"weight\";d:-9.978;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:50:\"core/themes/classy/css/components/action-links.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:48:\"core/themes/classy/css/components/breadcrumb.css\";a:8:{s:6:\"weight\";d:-9.977;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/classy/css/components/breadcrumb.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:44:\"core/themes/classy/css/components/button.css\";a:8:{s:6:\"weight\";d:-9.976;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:44:\"core/themes/classy/css/components/button.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:56:\"core/themes/classy/css/components/collapse-processed.css\";a:8:{s:6:\"weight\";d:-9.975;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/themes/classy/css/components/collapse-processed.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:54:\"core/themes/classy/css/components/container-inline.css\";a:8:{s:6:\"weight\";d:-9.974;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/themes/classy/css/components/container-inline.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:45:\"core/themes/classy/css/components/details.css\";a:8:{s:6:\"weight\";d:-9.973;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/themes/classy/css/components/details.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:53:\"core/themes/classy/css/components/exposed-filters.css\";a:8:{s:6:\"weight\";d:-9.972;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/themes/classy/css/components/exposed-filters.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:43:\"core/themes/classy/css/components/field.css\";a:8:{s:6:\"weight\";d:-9.971;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/themes/classy/css/components/field.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:42:\"core/themes/classy/css/components/form.css\";a:8:{s:6:\"weight\";d:-9.97;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:42:\"core/themes/classy/css/components/form.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:43:\"core/themes/classy/css/components/icons.css\";a:8:{s:6:\"weight\";d:-9.969;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/themes/classy/css/components/icons.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/themes/classy/css/components/inline-form.css\";a:8:{s:6:\"weight\";d:-9.968;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/themes/classy/css/components/inline-form.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:47:\"core/themes/classy/css/components/item-list.css\";a:8:{s:6:\"weight\";d:-9.967;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/classy/css/components/item-list.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:42:\"core/themes/classy/css/components/link.css\";a:8:{s:6:\"weight\";d:-9.966;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:42:\"core/themes/classy/css/components/link.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:43:\"core/themes/classy/css/components/links.css\";a:8:{s:6:\"weight\";d:-9.965;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/themes/classy/css/components/links.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:42:\"core/themes/classy/css/components/menu.css\";a:8:{s:6:\"weight\";d:-9.964;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:42:\"core/themes/classy/css/components/menu.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:47:\"core/themes/classy/css/components/more-link.css\";a:8:{s:6:\"weight\";d:-9.963;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/classy/css/components/more-link.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:43:\"core/themes/classy/css/components/pager.css\";a:8:{s:6:\"weight\";d:-9.962;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/themes/classy/css/components/pager.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:47:\"core/themes/classy/css/components/tabledrag.css\";a:8:{s:6:\"weight\";d:-9.961;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/classy/css/components/tabledrag.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/themes/classy/css/components/tableselect.css\";a:8:{s:6:\"weight\";d:-9.96;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/themes/classy/css/components/tableselect.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:47:\"core/themes/classy/css/components/tablesort.css\";a:8:{s:6:\"weight\";d:-9.959;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/classy/css/components/tablesort.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:42:\"core/themes/classy/css/components/tabs.css\";a:8:{s:6:\"weight\";d:-9.958;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:42:\"core/themes/classy/css/components/tabs.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:46:\"core/themes/classy/css/components/textarea.css\";a:8:{s:6:\"weight\";d:-9.957;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/themes/classy/css/components/textarea.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:47:\"core/themes/classy/css/components/ui-dialog.css\";a:8:{s:6:\"weight\";d:-9.956;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/classy/css/components/ui-dialog.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:46:\"core/themes/classy/css/components/messages.css\";a:8:{s:6:\"weight\";d:-9.955;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/themes/classy/css/components/messages.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:62:\"themes/luxestate/assets/includes/owl-carousel/owl.carousel.css\";a:8:{s:6:\"weight\";d:200.048;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:62:\"themes/luxestate/assets/includes/owl-carousel/owl.carousel.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:54:\"themes/luxestate/assets/includes/slick/slick/slick.css\";a:8:{s:6:\"weight\";d:200.049;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"themes/luxestate/assets/includes/slick/slick/slick.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:52:\"themes/luxestate/assets/includes/slick/css/style.css\";a:8:{s:6:\"weight\";d:200.05;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"themes/luxestate/assets/includes/slick/css/style.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:37:\"themes/luxestate/assets/css/style.css\";a:8:{s:6:\"weight\";d:200.051;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:37:\"themes/luxestate/assets/css/style.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:41:\"themes/luxestate/assets/css/style-rtl.css\";a:8:{s:6:\"weight\";d:200.052;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"themes/luxestate/assets/css/style-rtl.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}}',-1,1636709609.215,1,'library_info','0'),('css:luxestate:S6IiK5OPPD_KaC8G87SOhHAXfOpR-fZgJ46QNl65P5k0','a:57:{s:46:\"core/assets/vendor/normalize-css/normalize.css\";a:8:{s:6:\"weight\";d:-219.954;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/assets/vendor/normalize-css/normalize.css\";s:7:\"version\";s:5:\"3.0.3\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:29:\"core/misc/normalize-fixes.css\";a:8:{s:6:\"weight\";d:-218.953;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:29:\"core/misc/normalize-fixes.css\";s:7:\"version\";s:5:\"3.0.3\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:65:\"core/themes/stable/css/system/components/ajax-progress.module.css\";a:8:{s:6:\"weight\";i:-10;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:65:\"core/themes/stable/css/system/components/ajax-progress.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:57:\"core/themes/stable/css/system/components/align.module.css\";a:8:{s:6:\"weight\";d:-9.999;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/themes/stable/css/system/components/align.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:72:\"core/themes/stable/css/system/components/autocomplete-loading.module.css\";a:8:{s:6:\"weight\";d:-9.998;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:72:\"core/themes/stable/css/system/components/autocomplete-loading.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:62:\"core/themes/stable/css/system/components/fieldgroup.module.css\";a:8:{s:6:\"weight\";d:-9.997;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:62:\"core/themes/stable/css/system/components/fieldgroup.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:68:\"core/themes/stable/css/system/components/container-inline.module.css\";a:8:{s:6:\"weight\";d:-9.996;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:68:\"core/themes/stable/css/system/components/container-inline.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:60:\"core/themes/stable/css/system/components/clearfix.module.css\";a:8:{s:6:\"weight\";d:-9.995;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:60:\"core/themes/stable/css/system/components/clearfix.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:59:\"core/themes/stable/css/system/components/details.module.css\";a:8:{s:6:\"weight\";d:-9.994;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:59:\"core/themes/stable/css/system/components/details.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:58:\"core/themes/stable/css/system/components/hidden.module.css\";a:8:{s:6:\"weight\";d:-9.993;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/themes/stable/css/system/components/hidden.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:61:\"core/themes/stable/css/system/components/item-list.module.css\";a:8:{s:6:\"weight\";d:-9.992;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:61:\"core/themes/stable/css/system/components/item-list.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:54:\"core/themes/stable/css/system/components/js.module.css\";a:8:{s:6:\"weight\";d:-9.991;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/themes/stable/css/system/components/js.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:58:\"core/themes/stable/css/system/components/nowrap.module.css\";a:8:{s:6:\"weight\";d:-9.99;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/themes/stable/css/system/components/nowrap.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:70:\"core/themes/stable/css/system/components/position-container.module.css\";a:8:{s:6:\"weight\";d:-9.989;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:70:\"core/themes/stable/css/system/components/position-container.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:60:\"core/themes/stable/css/system/components/progress.module.css\";a:8:{s:6:\"weight\";d:-9.988;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:60:\"core/themes/stable/css/system/components/progress.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:68:\"core/themes/stable/css/system/components/reset-appearance.module.css\";a:8:{s:6:\"weight\";d:-9.987;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:68:\"core/themes/stable/css/system/components/reset-appearance.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:58:\"core/themes/stable/css/system/components/resize.module.css\";a:8:{s:6:\"weight\";d:-9.986;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/themes/stable/css/system/components/resize.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:65:\"core/themes/stable/css/system/components/sticky-header.module.css\";a:8:{s:6:\"weight\";d:-9.985;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:65:\"core/themes/stable/css/system/components/sticky-header.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:66:\"core/themes/stable/css/system/components/system-status-counter.css\";a:8:{s:6:\"weight\";d:-9.984;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:66:\"core/themes/stable/css/system/components/system-status-counter.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:74:\"core/themes/stable/css/system/components/system-status-report-counters.css\";a:8:{s:6:\"weight\";d:-9.983;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:74:\"core/themes/stable/css/system/components/system-status-report-counters.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:78:\"core/themes/stable/css/system/components/system-status-report-general-info.css\";a:8:{s:6:\"weight\";d:-9.982;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:78:\"core/themes/stable/css/system/components/system-status-report-general-info.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:61:\"core/themes/stable/css/system/components/tabledrag.module.css\";a:8:{s:6:\"weight\";d:-9.981;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:61:\"core/themes/stable/css/system/components/tabledrag.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:61:\"core/themes/stable/css/system/components/tablesort.module.css\";a:8:{s:6:\"weight\";d:-9.98;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:61:\"core/themes/stable/css/system/components/tablesort.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:62:\"core/themes/stable/css/system/components/tree-child.module.css\";a:8:{s:6:\"weight\";d:-9.979;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:62:\"core/themes/stable/css/system/components/tree-child.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:45:\"core/themes/stable/css/views/views.module.css\";a:8:{s:6:\"weight\";d:0.053;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/themes/stable/css/views/views.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:50:\"modules/colorbox/styles/default/colorbox_style.css\";a:8:{s:6:\"weight\";d:200.054;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:50:\"modules/colorbox/styles/default/colorbox_style.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:67:\"modules/we_megamenu/assets/includes/bootstrap/css/bootstrap.min.css\";a:8:{s:6:\"weight\";d:200.055;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:67:\"modules/we_megamenu/assets/includes/bootstrap/css/bootstrap.min.css\";s:7:\"version\";d:1;s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:54:\"modules/we_megamenu/assets/css/we_megamenu_backend.css\";a:8:{s:6:\"weight\";d:200.056;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"modules/we_megamenu/assets/css/we_megamenu_backend.css\";s:7:\"version\";d:1;s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:50:\"core/themes/classy/css/components/action-links.css\";a:8:{s:6:\"weight\";d:-9.978;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:50:\"core/themes/classy/css/components/action-links.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:48:\"core/themes/classy/css/components/breadcrumb.css\";a:8:{s:6:\"weight\";d:-9.977;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/classy/css/components/breadcrumb.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:44:\"core/themes/classy/css/components/button.css\";a:8:{s:6:\"weight\";d:-9.976;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:44:\"core/themes/classy/css/components/button.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:56:\"core/themes/classy/css/components/collapse-processed.css\";a:8:{s:6:\"weight\";d:-9.975;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/themes/classy/css/components/collapse-processed.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:54:\"core/themes/classy/css/components/container-inline.css\";a:8:{s:6:\"weight\";d:-9.974;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/themes/classy/css/components/container-inline.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:45:\"core/themes/classy/css/components/details.css\";a:8:{s:6:\"weight\";d:-9.973;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/themes/classy/css/components/details.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:53:\"core/themes/classy/css/components/exposed-filters.css\";a:8:{s:6:\"weight\";d:-9.972;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/themes/classy/css/components/exposed-filters.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:43:\"core/themes/classy/css/components/field.css\";a:8:{s:6:\"weight\";d:-9.971;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/themes/classy/css/components/field.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:42:\"core/themes/classy/css/components/form.css\";a:8:{s:6:\"weight\";d:-9.97;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:42:\"core/themes/classy/css/components/form.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:43:\"core/themes/classy/css/components/icons.css\";a:8:{s:6:\"weight\";d:-9.969;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/themes/classy/css/components/icons.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/themes/classy/css/components/inline-form.css\";a:8:{s:6:\"weight\";d:-9.968;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/themes/classy/css/components/inline-form.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:47:\"core/themes/classy/css/components/item-list.css\";a:8:{s:6:\"weight\";d:-9.967;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/classy/css/components/item-list.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:42:\"core/themes/classy/css/components/link.css\";a:8:{s:6:\"weight\";d:-9.966;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:42:\"core/themes/classy/css/components/link.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:43:\"core/themes/classy/css/components/links.css\";a:8:{s:6:\"weight\";d:-9.965;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/themes/classy/css/components/links.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:42:\"core/themes/classy/css/components/menu.css\";a:8:{s:6:\"weight\";d:-9.964;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:42:\"core/themes/classy/css/components/menu.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:47:\"core/themes/classy/css/components/more-link.css\";a:8:{s:6:\"weight\";d:-9.963;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/classy/css/components/more-link.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:43:\"core/themes/classy/css/components/pager.css\";a:8:{s:6:\"weight\";d:-9.962;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/themes/classy/css/components/pager.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:47:\"core/themes/classy/css/components/tabledrag.css\";a:8:{s:6:\"weight\";d:-9.961;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/classy/css/components/tabledrag.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/themes/classy/css/components/tableselect.css\";a:8:{s:6:\"weight\";d:-9.96;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/themes/classy/css/components/tableselect.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:47:\"core/themes/classy/css/components/tablesort.css\";a:8:{s:6:\"weight\";d:-9.959;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/classy/css/components/tablesort.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:42:\"core/themes/classy/css/components/tabs.css\";a:8:{s:6:\"weight\";d:-9.958;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:42:\"core/themes/classy/css/components/tabs.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:46:\"core/themes/classy/css/components/textarea.css\";a:8:{s:6:\"weight\";d:-9.957;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/themes/classy/css/components/textarea.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:47:\"core/themes/classy/css/components/ui-dialog.css\";a:8:{s:6:\"weight\";d:-9.956;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/classy/css/components/ui-dialog.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:46:\"core/themes/classy/css/components/messages.css\";a:8:{s:6:\"weight\";d:-9.955;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/themes/classy/css/components/messages.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:62:\"themes/luxestate/assets/includes/owl-carousel/owl.carousel.css\";a:8:{s:6:\"weight\";d:200.048;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:62:\"themes/luxestate/assets/includes/owl-carousel/owl.carousel.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:54:\"themes/luxestate/assets/includes/slick/slick/slick.css\";a:8:{s:6:\"weight\";d:200.049;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"themes/luxestate/assets/includes/slick/slick/slick.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:52:\"themes/luxestate/assets/includes/slick/css/style.css\";a:8:{s:6:\"weight\";d:200.05;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"themes/luxestate/assets/includes/slick/css/style.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:37:\"themes/luxestate/assets/css/style.css\";a:8:{s:6:\"weight\";d:200.051;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:37:\"themes/luxestate/assets/css/style.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:41:\"themes/luxestate/assets/css/style-rtl.css\";a:8:{s:6:\"weight\";d:200.052;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"themes/luxestate/assets/css/style-rtl.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}}',-1,1636711430.610,1,'library_info','0'),('css:luxestate:sRXdoWjbqij11-yw3LtclOTWFbw6lUdzb3IA6zC2TJM0','a:86:{s:46:\"core/assets/vendor/normalize-css/normalize.css\";a:8:{s:6:\"weight\";d:-219.938;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/assets/vendor/normalize-css/normalize.css\";s:7:\"version\";s:5:\"3.0.3\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:29:\"core/misc/normalize-fixes.css\";a:8:{s:6:\"weight\";d:-218.937;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:29:\"core/misc/normalize-fixes.css\";s:7:\"version\";s:5:\"3.0.3\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:65:\"core/themes/stable/css/system/components/ajax-progress.module.css\";a:8:{s:6:\"weight\";d:-9.984;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:65:\"core/themes/stable/css/system/components/ajax-progress.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:57:\"core/themes/stable/css/system/components/align.module.css\";a:8:{s:6:\"weight\";d:-9.983;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/themes/stable/css/system/components/align.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:72:\"core/themes/stable/css/system/components/autocomplete-loading.module.css\";a:8:{s:6:\"weight\";d:-9.982;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:72:\"core/themes/stable/css/system/components/autocomplete-loading.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:62:\"core/themes/stable/css/system/components/fieldgroup.module.css\";a:8:{s:6:\"weight\";d:-9.981;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:62:\"core/themes/stable/css/system/components/fieldgroup.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:68:\"core/themes/stable/css/system/components/container-inline.module.css\";a:8:{s:6:\"weight\";d:-9.98;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:68:\"core/themes/stable/css/system/components/container-inline.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:60:\"core/themes/stable/css/system/components/clearfix.module.css\";a:8:{s:6:\"weight\";d:-9.979;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:60:\"core/themes/stable/css/system/components/clearfix.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:59:\"core/themes/stable/css/system/components/details.module.css\";a:8:{s:6:\"weight\";d:-9.978;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:59:\"core/themes/stable/css/system/components/details.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:58:\"core/themes/stable/css/system/components/hidden.module.css\";a:8:{s:6:\"weight\";d:-9.977;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/themes/stable/css/system/components/hidden.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:61:\"core/themes/stable/css/system/components/item-list.module.css\";a:8:{s:6:\"weight\";d:-9.976;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:61:\"core/themes/stable/css/system/components/item-list.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:54:\"core/themes/stable/css/system/components/js.module.css\";a:8:{s:6:\"weight\";d:-9.975;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/themes/stable/css/system/components/js.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:58:\"core/themes/stable/css/system/components/nowrap.module.css\";a:8:{s:6:\"weight\";d:-9.974;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/themes/stable/css/system/components/nowrap.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:70:\"core/themes/stable/css/system/components/position-container.module.css\";a:8:{s:6:\"weight\";d:-9.973;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:70:\"core/themes/stable/css/system/components/position-container.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:60:\"core/themes/stable/css/system/components/progress.module.css\";a:8:{s:6:\"weight\";d:-9.972;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:60:\"core/themes/stable/css/system/components/progress.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:68:\"core/themes/stable/css/system/components/reset-appearance.module.css\";a:8:{s:6:\"weight\";d:-9.971;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:68:\"core/themes/stable/css/system/components/reset-appearance.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:58:\"core/themes/stable/css/system/components/resize.module.css\";a:8:{s:6:\"weight\";d:-9.97;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/themes/stable/css/system/components/resize.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:65:\"core/themes/stable/css/system/components/sticky-header.module.css\";a:8:{s:6:\"weight\";d:-9.969;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:65:\"core/themes/stable/css/system/components/sticky-header.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:66:\"core/themes/stable/css/system/components/system-status-counter.css\";a:8:{s:6:\"weight\";d:-9.968;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:66:\"core/themes/stable/css/system/components/system-status-counter.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:74:\"core/themes/stable/css/system/components/system-status-report-counters.css\";a:8:{s:6:\"weight\";d:-9.967;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:74:\"core/themes/stable/css/system/components/system-status-report-counters.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:78:\"core/themes/stable/css/system/components/system-status-report-general-info.css\";a:8:{s:6:\"weight\";d:-9.966;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:78:\"core/themes/stable/css/system/components/system-status-report-general-info.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:61:\"core/themes/stable/css/system/components/tabledrag.module.css\";a:8:{s:6:\"weight\";d:-9.965;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:61:\"core/themes/stable/css/system/components/tabledrag.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:61:\"core/themes/stable/css/system/components/tablesort.module.css\";a:8:{s:6:\"weight\";d:-9.964;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:61:\"core/themes/stable/css/system/components/tablesort.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:62:\"core/themes/stable/css/system/components/tree-child.module.css\";a:8:{s:6:\"weight\";d:-9.963;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:62:\"core/themes/stable/css/system/components/tree-child.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:55:\"core/themes/stable/css/contextual/contextual.module.css\";a:8:{s:6:\"weight\";d:0.001;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/themes/stable/css/contextual/contextual.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/assets/vendor/jquery.ui/themes/base/core.css\";a:8:{s:6:\"weight\";d:0.004;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/assets/vendor/jquery.ui/themes/base/core.css\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:58:\"core/assets/vendor/jquery.ui/themes/base/checkboxradio.css\";a:8:{s:6:\"weight\";d:0.006;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/assets/vendor/jquery.ui/themes/base/checkboxradio.css\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:57:\"core/assets/vendor/jquery.ui/themes/base/controlgroup.css\";a:8:{s:6:\"weight\";d:0.008;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/assets/vendor/jquery.ui/themes/base/controlgroup.css\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:51:\"core/assets/vendor/jquery.ui/themes/base/button.css\";a:8:{s:6:\"weight\";d:0.009;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:51:\"core/assets/vendor/jquery.ui/themes/base/button.css\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:54:\"core/assets/vendor/jquery.ui/themes/base/resizable.css\";a:8:{s:6:\"weight\";d:0.009;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/assets/vendor/jquery.ui/themes/base/resizable.css\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:51:\"core/assets/vendor/jquery.ui/themes/base/dialog.css\";a:8:{s:6:\"weight\";d:0.01;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:51:\"core/assets/vendor/jquery.ui/themes/base/dialog.css\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:53:\"core/themes/stable/css/quickedit/quickedit.module.css\";a:8:{s:6:\"weight\";d:0.012;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/themes/stable/css/quickedit/quickedit.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:45:\"core/themes/stable/css/views/views.module.css\";a:8:{s:6:\"weight\";d:0.069;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/themes/stable/css/views/views.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/themes/stable/css/toolbar/toolbar.module.css\";a:8:{s:6:\"weight\";d:0.073;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/themes/stable/css/toolbar/toolbar.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/assets/vendor/jquery.ui/themes/base/menu.css\";a:8:{s:6:\"weight\";d:0.076;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/assets/vendor/jquery.ui/themes/base/menu.css\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:57:\"core/assets/vendor/jquery.ui/themes/base/autocomplete.css\";a:8:{s:6:\"weight\";d:0.077;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/assets/vendor/jquery.ui/themes/base/autocomplete.css\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:43:\"core/themes/stable/css/tour/tour.module.css\";a:8:{s:5:\"media\";s:6:\"screen\";s:6:\"weight\";d:0.08;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/themes/stable/css/tour/tour.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:56:\"core/themes/stable/css/contextual/contextual.toolbar.css\";a:8:{s:6:\"weight\";d:0.081;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/themes/stable/css/contextual/contextual.toolbar.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:47:\"core/themes/stable/css/toolbar/toolbar.menu.css\";a:8:{s:6:\"weight\";d:100.072;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/stable/css/toolbar/toolbar.menu.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:54:\"core/themes/stable/css/contextual/contextual.theme.css\";a:8:{s:6:\"weight\";d:200.002;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/themes/stable/css/contextual/contextual.theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:60:\"core/themes/stable/css/contextual/contextual.icons.theme.css\";a:8:{s:6:\"weight\";d:200.003;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:60:\"core/themes/stable/css/contextual/contextual.icons.theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:50:\"core/assets/vendor/jquery.ui/themes/base/theme.css\";a:8:{s:6:\"weight\";d:200.005;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:50:\"core/assets/vendor/jquery.ui/themes/base/theme.css\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:46:\"core/themes/seven/css/components/quickedit.css\";a:8:{s:6:\"weight\";d:200.013;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/themes/seven/css/components/quickedit.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:52:\"core/themes/stable/css/quickedit/quickedit.theme.css\";a:8:{s:6:\"weight\";d:200.014;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/themes/stable/css/quickedit/quickedit.theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:58:\"core/themes/stable/css/quickedit/quickedit.icons.theme.css\";a:8:{s:6:\"weight\";d:200.015;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/themes/stable/css/quickedit/quickedit.icons.theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:67:\"modules/we_megamenu/assets/includes/bootstrap/css/bootstrap.min.css\";a:8:{s:6:\"weight\";d:200.07;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:67:\"modules/we_megamenu/assets/includes/bootstrap/css/bootstrap.min.css\";s:7:\"version\";d:1;s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:54:\"modules/we_megamenu/assets/css/we_megamenu_backend.css\";a:8:{s:6:\"weight\";d:200.071;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"modules/we_megamenu/assets/css/we_megamenu_backend.css\";s:7:\"version\";d:1;s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:48:\"core/themes/stable/css/toolbar/toolbar.theme.css\";a:8:{s:6:\"weight\";d:200.074;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/stable/css/toolbar/toolbar.theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:54:\"core/themes/stable/css/toolbar/toolbar.icons.theme.css\";a:8:{s:6:\"weight\";d:200.075;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/themes/stable/css/toolbar/toolbar.icons.theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:71:\"modules/admin_toolbar/admin_toolbar_search/css/admin.toolbar_search.css\";a:8:{s:6:\"weight\";d:200.078;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:71:\"modules/admin_toolbar/admin_toolbar_search/css/admin.toolbar_search.css\";s:7:\"version\";i:-1;s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:48:\"core/themes/stable/css/user/user.icons.admin.css\";a:8:{s:6:\"weight\";d:200.079;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/stable/css/user/user.icons.admin.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:55:\"modules/admin_toolbar/admin_toolbar_tools/css/tools.css\";a:8:{s:6:\"weight\";d:200.082;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"modules/admin_toolbar/admin_toolbar_tools/css/tools.css\";s:7:\"version\";i:-1;s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:50:\"core/themes/stable/css/shortcut/shortcut.theme.css\";a:8:{s:6:\"weight\";d:200.083;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:50:\"core/themes/stable/css/shortcut/shortcut.theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:56:\"core/themes/stable/css/shortcut/shortcut.icons.theme.css\";a:8:{s:6:\"weight\";d:200.084;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/themes/stable/css/shortcut/shortcut.icons.theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:43:\"modules/admin_toolbar/css/admin.toolbar.css\";a:8:{s:6:\"weight\";d:200.085;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"modules/admin_toolbar/css/admin.toolbar.css\";s:7:\"version\";i:-1;s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:46:\"core/themes/classy/css/components/progress.css\";a:8:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/themes/classy/css/components/progress.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:44:\"core/themes/classy/css/components/dialog.css\";a:8:{s:6:\"weight\";d:-9.989;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:44:\"core/themes/classy/css/components/dialog.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:50:\"core/themes/classy/css/components/action-links.css\";a:8:{s:6:\"weight\";d:-9.962;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:50:\"core/themes/classy/css/components/action-links.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:48:\"core/themes/classy/css/components/breadcrumb.css\";a:8:{s:6:\"weight\";d:-9.961;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/classy/css/components/breadcrumb.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:44:\"core/themes/classy/css/components/button.css\";a:8:{s:6:\"weight\";d:-9.96;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:44:\"core/themes/classy/css/components/button.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:56:\"core/themes/classy/css/components/collapse-processed.css\";a:8:{s:6:\"weight\";d:-9.959;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/themes/classy/css/components/collapse-processed.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:54:\"core/themes/classy/css/components/container-inline.css\";a:8:{s:6:\"weight\";d:-9.958;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/themes/classy/css/components/container-inline.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:45:\"core/themes/classy/css/components/details.css\";a:8:{s:6:\"weight\";d:-9.957;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/themes/classy/css/components/details.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:53:\"core/themes/classy/css/components/exposed-filters.css\";a:8:{s:6:\"weight\";d:-9.956;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/themes/classy/css/components/exposed-filters.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:43:\"core/themes/classy/css/components/field.css\";a:8:{s:6:\"weight\";d:-9.955;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/themes/classy/css/components/field.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:42:\"core/themes/classy/css/components/form.css\";a:8:{s:6:\"weight\";d:-9.954;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:42:\"core/themes/classy/css/components/form.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:43:\"core/themes/classy/css/components/icons.css\";a:8:{s:6:\"weight\";d:-9.953;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/themes/classy/css/components/icons.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/themes/classy/css/components/inline-form.css\";a:8:{s:6:\"weight\";d:-9.952;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/themes/classy/css/components/inline-form.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:47:\"core/themes/classy/css/components/item-list.css\";a:8:{s:6:\"weight\";d:-9.951;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/classy/css/components/item-list.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:42:\"core/themes/classy/css/components/link.css\";a:8:{s:6:\"weight\";d:-9.95;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:42:\"core/themes/classy/css/components/link.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:43:\"core/themes/classy/css/components/links.css\";a:8:{s:6:\"weight\";d:-9.949;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/themes/classy/css/components/links.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:42:\"core/themes/classy/css/components/menu.css\";a:8:{s:6:\"weight\";d:-9.948;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:42:\"core/themes/classy/css/components/menu.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:47:\"core/themes/classy/css/components/more-link.css\";a:8:{s:6:\"weight\";d:-9.947;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/classy/css/components/more-link.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:43:\"core/themes/classy/css/components/pager.css\";a:8:{s:6:\"weight\";d:-9.946;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/themes/classy/css/components/pager.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:47:\"core/themes/classy/css/components/tabledrag.css\";a:8:{s:6:\"weight\";d:-9.945;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/classy/css/components/tabledrag.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/themes/classy/css/components/tableselect.css\";a:8:{s:6:\"weight\";d:-9.944;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/themes/classy/css/components/tableselect.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:47:\"core/themes/classy/css/components/tablesort.css\";a:8:{s:6:\"weight\";d:-9.943;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/classy/css/components/tablesort.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:42:\"core/themes/classy/css/components/tabs.css\";a:8:{s:6:\"weight\";d:-9.942;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:42:\"core/themes/classy/css/components/tabs.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:46:\"core/themes/classy/css/components/textarea.css\";a:8:{s:6:\"weight\";d:-9.941;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/themes/classy/css/components/textarea.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:47:\"core/themes/classy/css/components/ui-dialog.css\";a:8:{s:6:\"weight\";d:-9.94;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/classy/css/components/ui-dialog.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:46:\"core/themes/classy/css/components/messages.css\";a:8:{s:6:\"weight\";d:-9.939;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/themes/classy/css/components/messages.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:62:\"themes/luxestate/assets/includes/owl-carousel/owl.carousel.css\";a:8:{s:6:\"weight\";d:200.064;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:62:\"themes/luxestate/assets/includes/owl-carousel/owl.carousel.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:54:\"themes/luxestate/assets/includes/slick/slick/slick.css\";a:8:{s:6:\"weight\";d:200.065;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"themes/luxestate/assets/includes/slick/slick/slick.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:52:\"themes/luxestate/assets/includes/slick/css/style.css\";a:8:{s:6:\"weight\";d:200.066;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"themes/luxestate/assets/includes/slick/css/style.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:37:\"themes/luxestate/assets/css/style.css\";a:8:{s:6:\"weight\";d:200.067;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:37:\"themes/luxestate/assets/css/style.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:41:\"themes/luxestate/assets/css/style-rtl.css\";a:8:{s:6:\"weight\";d:200.068;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"themes/luxestate/assets/css/style-rtl.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}}',-1,1636711422.565,1,'library_info','0'),('css:seven:0mzip0HMuJAojU3P7hhEBrJdICljQJRC3p2_tXyhZvY0','a:100:{s:46:\"core/assets/vendor/normalize-css/normalize.css\";a:8:{s:6:\"weight\";d:-219.95;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/assets/vendor/normalize-css/normalize.css\";s:7:\"version\";s:5:\"3.0.3\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:29:\"core/misc/normalize-fixes.css\";a:8:{s:6:\"weight\";d:-218.949;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:29:\"core/misc/normalize-fixes.css\";s:7:\"version\";s:5:\"3.0.3\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:65:\"core/themes/stable/css/system/components/ajax-progress.module.css\";a:8:{s:6:\"weight\";d:-9.996;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:65:\"core/themes/stable/css/system/components/ajax-progress.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:57:\"core/themes/stable/css/system/components/align.module.css\";a:8:{s:6:\"weight\";d:-9.995;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/themes/stable/css/system/components/align.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:72:\"core/themes/stable/css/system/components/autocomplete-loading.module.css\";a:8:{s:6:\"weight\";d:-9.994;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:72:\"core/themes/stable/css/system/components/autocomplete-loading.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:62:\"core/themes/stable/css/system/components/fieldgroup.module.css\";a:8:{s:6:\"weight\";d:-9.993;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:62:\"core/themes/stable/css/system/components/fieldgroup.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:68:\"core/themes/stable/css/system/components/container-inline.module.css\";a:8:{s:6:\"weight\";d:-9.992;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:68:\"core/themes/stable/css/system/components/container-inline.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:60:\"core/themes/stable/css/system/components/clearfix.module.css\";a:8:{s:6:\"weight\";d:-9.991;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:60:\"core/themes/stable/css/system/components/clearfix.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:59:\"core/themes/stable/css/system/components/details.module.css\";a:8:{s:6:\"weight\";d:-9.99;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:59:\"core/themes/stable/css/system/components/details.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:58:\"core/themes/stable/css/system/components/hidden.module.css\";a:8:{s:6:\"weight\";d:-9.989;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/themes/stable/css/system/components/hidden.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:61:\"core/themes/stable/css/system/components/item-list.module.css\";a:8:{s:6:\"weight\";d:-9.988;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:61:\"core/themes/stable/css/system/components/item-list.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:54:\"core/themes/stable/css/system/components/js.module.css\";a:8:{s:6:\"weight\";d:-9.987;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/themes/stable/css/system/components/js.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:58:\"core/themes/stable/css/system/components/nowrap.module.css\";a:8:{s:6:\"weight\";d:-9.986;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/themes/stable/css/system/components/nowrap.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:70:\"core/themes/stable/css/system/components/position-container.module.css\";a:8:{s:6:\"weight\";d:-9.985;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:70:\"core/themes/stable/css/system/components/position-container.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:60:\"core/themes/stable/css/system/components/progress.module.css\";a:8:{s:6:\"weight\";d:-9.984;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:60:\"core/themes/stable/css/system/components/progress.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:68:\"core/themes/stable/css/system/components/reset-appearance.module.css\";a:8:{s:6:\"weight\";d:-9.983;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:68:\"core/themes/stable/css/system/components/reset-appearance.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:58:\"core/themes/stable/css/system/components/resize.module.css\";a:8:{s:6:\"weight\";d:-9.982;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/themes/stable/css/system/components/resize.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:65:\"core/themes/stable/css/system/components/sticky-header.module.css\";a:8:{s:6:\"weight\";d:-9.981;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:65:\"core/themes/stable/css/system/components/sticky-header.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:61:\"core/themes/stable/css/system/components/tabledrag.module.css\";a:8:{s:6:\"weight\";d:-9.98;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:61:\"core/themes/stable/css/system/components/tabledrag.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:61:\"core/themes/stable/css/system/components/tablesort.module.css\";a:8:{s:6:\"weight\";d:-9.979;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:61:\"core/themes/stable/css/system/components/tablesort.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:62:\"core/themes/stable/css/system/components/tree-child.module.css\";a:8:{s:6:\"weight\";d:-9.978;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:62:\"core/themes/stable/css/system/components/tree-child.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:55:\"core/themes/stable/css/contextual/contextual.module.css\";a:8:{s:6:\"weight\";d:0.001;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/themes/stable/css/contextual/contextual.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/themes/stable/css/toolbar/toolbar.module.css\";a:8:{s:6:\"weight\";d:0.086;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/themes/stable/css/toolbar/toolbar.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/assets/vendor/jquery.ui/themes/base/core.css\";a:8:{s:6:\"weight\";d:0.089;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/assets/vendor/jquery.ui/themes/base/core.css\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/assets/vendor/jquery.ui/themes/base/menu.css\";a:8:{s:6:\"weight\";d:0.091;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/assets/vendor/jquery.ui/themes/base/menu.css\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:57:\"core/assets/vendor/jquery.ui/themes/base/autocomplete.css\";a:8:{s:6:\"weight\";d:0.092;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/assets/vendor/jquery.ui/themes/base/autocomplete.css\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:43:\"core/themes/stable/css/tour/tour.module.css\";a:8:{s:5:\"media\";s:6:\"screen\";s:6:\"weight\";d:0.095;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/themes/stable/css/tour/tour.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:56:\"core/themes/stable/css/contextual/contextual.toolbar.css\";a:8:{s:6:\"weight\";d:0.097;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/themes/stable/css/contextual/contextual.toolbar.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:47:\"core/themes/stable/css/toolbar/toolbar.menu.css\";a:8:{s:6:\"weight\";d:100.085;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/stable/css/toolbar/toolbar.menu.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:46:\"core/themes/stable/css/system/system.admin.css\";a:8:{s:6:\"weight\";d:190.026;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/themes/stable/css/system/system.admin.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:54:\"core/themes/stable/css/contextual/contextual.theme.css\";a:8:{s:6:\"weight\";d:200.002;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/themes/stable/css/contextual/contextual.theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:60:\"core/themes/stable/css/contextual/contextual.icons.theme.css\";a:8:{s:6:\"weight\";d:200.003;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:60:\"core/themes/stable/css/contextual/contextual.icons.theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:50:\"core/themes/stable/css/shortcut/shortcut.theme.css\";a:8:{s:6:\"weight\";d:200.083;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:50:\"core/themes/stable/css/shortcut/shortcut.theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:56:\"core/themes/stable/css/shortcut/shortcut.icons.theme.css\";a:8:{s:6:\"weight\";d:200.084;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/themes/stable/css/shortcut/shortcut.icons.theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:48:\"core/themes/stable/css/toolbar/toolbar.theme.css\";a:8:{s:6:\"weight\";d:200.087;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/stable/css/toolbar/toolbar.theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:54:\"core/themes/stable/css/toolbar/toolbar.icons.theme.css\";a:8:{s:6:\"weight\";d:200.088;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/themes/stable/css/toolbar/toolbar.icons.theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:71:\"modules/admin_toolbar/admin_toolbar_search/css/admin.toolbar_search.css\";a:8:{s:6:\"weight\";d:200.093;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:71:\"modules/admin_toolbar/admin_toolbar_search/css/admin.toolbar_search.css\";s:7:\"version\";i:-1;s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:48:\"core/themes/stable/css/user/user.icons.admin.css\";a:8:{s:6:\"weight\";d:200.094;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/stable/css/user/user.icons.admin.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:55:\"modules/admin_toolbar/admin_toolbar_tools/css/tools.css\";a:8:{s:6:\"weight\";d:200.098;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"modules/admin_toolbar/admin_toolbar_tools/css/tools.css\";s:7:\"version\";i:-1;s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:43:\"modules/admin_toolbar/css/admin.toolbar.css\";a:8:{s:6:\"weight\";d:200.099;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"modules/admin_toolbar/css/admin.toolbar.css\";s:7:\"version\";i:-1;s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:39:\"core/themes/seven/css/base/elements.css\";a:8:{s:6:\"weight\";d:-199.948;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:39:\"core/themes/seven/css/base/elements.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:41:\"core/themes/seven/css/base/typography.css\";a:8:{s:6:\"weight\";d:-199.947;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"core/themes/seven/css/base/typography.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:36:\"core/themes/seven/css/base/print.css\";a:8:{s:6:\"weight\";d:-199.946;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:36:\"core/themes/seven/css/base/print.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:39:\"core/themes/seven/css/layout/layout.css\";a:8:{s:6:\"weight\";d:-99.918;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:39:\"core/themes/seven/css/layout/layout.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:52:\"core/themes/seven/css/classy/components/progress.css\";a:8:{s:6:\"weight\";d:-9.999;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/themes/seven/css/classy/components/progress.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:56:\"core/themes/seven/css/classy/components/action-links.css\";a:8:{s:6:\"weight\";d:-9.973;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/themes/seven/css/classy/components/action-links.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:54:\"core/themes/seven/css/classy/components/breadcrumb.css\";a:8:{s:6:\"weight\";d:-9.972;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/themes/seven/css/classy/components/breadcrumb.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:50:\"core/themes/seven/css/classy/components/button.css\";a:8:{s:6:\"weight\";d:-9.971;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:50:\"core/themes/seven/css/classy/components/button.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:62:\"core/themes/seven/css/classy/components/collapse-processed.css\";a:8:{s:6:\"weight\";d:-9.97;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:62:\"core/themes/seven/css/classy/components/collapse-processed.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:60:\"core/themes/seven/css/classy/components/container-inline.css\";a:8:{s:6:\"weight\";d:-9.969;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:60:\"core/themes/seven/css/classy/components/container-inline.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:59:\"core/themes/seven/css/classy/components/exposed-filters.css\";a:8:{s:6:\"weight\";d:-9.968;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:59:\"core/themes/seven/css/classy/components/exposed-filters.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/themes/seven/css/classy/components/field.css\";a:8:{s:6:\"weight\";d:-9.967;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/themes/seven/css/classy/components/field.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:48:\"core/themes/seven/css/classy/components/form.css\";a:8:{s:6:\"weight\";d:-9.966;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/seven/css/classy/components/form.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/themes/seven/css/classy/components/icons.css\";a:8:{s:6:\"weight\";d:-9.965;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/themes/seven/css/classy/components/icons.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:55:\"core/themes/seven/css/classy/components/inline-form.css\";a:8:{s:6:\"weight\";d:-9.964;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/themes/seven/css/classy/components/inline-form.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:53:\"core/themes/seven/css/classy/components/item-list.css\";a:8:{s:6:\"weight\";d:-9.963;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/themes/seven/css/classy/components/item-list.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:48:\"core/themes/seven/css/classy/components/link.css\";a:8:{s:6:\"weight\";d:-9.962;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/seven/css/classy/components/link.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/themes/seven/css/classy/components/links.css\";a:8:{s:6:\"weight\";d:-9.961;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/themes/seven/css/classy/components/links.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:48:\"core/themes/seven/css/classy/components/menu.css\";a:8:{s:6:\"weight\";d:-9.96;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/seven/css/classy/components/menu.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:53:\"core/themes/seven/css/classy/components/more-link.css\";a:8:{s:6:\"weight\";d:-9.959;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/themes/seven/css/classy/components/more-link.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/themes/seven/css/classy/components/pager.css\";a:8:{s:6:\"weight\";d:-9.958;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/themes/seven/css/classy/components/pager.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:53:\"core/themes/seven/css/classy/components/tabledrag.css\";a:8:{s:6:\"weight\";d:-9.957;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/themes/seven/css/classy/components/tabledrag.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:55:\"core/themes/seven/css/classy/components/tableselect.css\";a:8:{s:6:\"weight\";d:-9.956;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/themes/seven/css/classy/components/tableselect.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:53:\"core/themes/seven/css/classy/components/tablesort.css\";a:8:{s:6:\"weight\";d:-9.955;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/themes/seven/css/classy/components/tablesort.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:48:\"core/themes/seven/css/classy/components/tabs.css\";a:8:{s:6:\"weight\";d:-9.954;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/seven/css/classy/components/tabs.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:52:\"core/themes/seven/css/classy/components/textarea.css\";a:8:{s:6:\"weight\";d:-9.953;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/themes/seven/css/classy/components/textarea.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:53:\"core/themes/seven/css/classy/components/ui-dialog.css\";a:8:{s:6:\"weight\";d:-9.952;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/themes/seven/css/classy/components/ui-dialog.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:52:\"core/themes/seven/css/classy/components/messages.css\";a:8:{s:6:\"weight\";d:-9.951;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/themes/seven/css/classy/components/messages.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:52:\"core/themes/seven/css/components/jquery.ui/theme.css\";a:8:{s:6:\"weight\";d:-0.91;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/themes/seven/css/components/jquery.ui/theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:47:\"core/themes/seven/css/components/admin-list.css\";a:8:{s:6:\"weight\";d:0.055;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/seven/css/components/admin-list.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:51:\"core/themes/seven/css/components/content-header.css\";a:8:{s:6:\"weight\";d:0.056;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:51:\"core/themes/seven/css/components/content-header.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:53:\"core/themes/seven/css/components/container-inline.css\";a:8:{s:6:\"weight\";d:0.057;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/themes/seven/css/components/container-inline.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:60:\"core/themes/seven/css/components/container-inline.module.css\";a:8:{s:6:\"weight\";d:0.058;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:60:\"core/themes/seven/css/components/container-inline.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:47:\"core/themes/seven/css/components/breadcrumb.css\";a:8:{s:6:\"weight\";d:0.059;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/seven/css/components/breadcrumb.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:44:\"core/themes/seven/css/components/buttons.css\";a:8:{s:6:\"weight\";d:0.06;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:44:\"core/themes/seven/css/components/buttons.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:44:\"core/themes/seven/css/components/details.css\";a:8:{s:6:\"weight\";d:0.061;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:44:\"core/themes/seven/css/components/details.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:45:\"core/themes/seven/css/components/messages.css\";a:8:{s:6:\"weight\";d:0.062;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/themes/seven/css/components/messages.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:57:\"core/themes/seven/css/components/dropbutton.component.css\";a:8:{s:6:\"weight\";d:0.063;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/themes/seven/css/components/dropbutton.component.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:48:\"core/themes/seven/css/components/entity-meta.css\";a:8:{s:6:\"weight\";d:0.064;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/seven/css/components/entity-meta.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:45:\"core/themes/seven/css/components/field-ui.css\";a:8:{s:6:\"weight\";d:0.065;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/themes/seven/css/components/field-ui.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:41:\"core/themes/seven/css/components/form.css\";a:8:{s:6:\"weight\";d:0.066;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"core/themes/seven/css/components/form.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:41:\"core/themes/seven/css/components/help.css\";a:8:{s:6:\"weight\";d:0.067;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"core/themes/seven/css/components/help.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:52:\"core/themes/seven/css/components/menus-and-lists.css\";a:8:{s:6:\"weight\";d:0.068;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/themes/seven/css/components/menus-and-lists.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/themes/seven/css/components/modules-page.css\";a:8:{s:6:\"weight\";d:0.069;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/themes/seven/css/components/modules-page.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:41:\"core/themes/seven/css/components/node.css\";a:8:{s:6:\"weight\";d:0.07;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"core/themes/seven/css/components/node.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:47:\"core/themes/seven/css/components/page-title.css\";a:8:{s:6:\"weight\";d:0.071;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/seven/css/components/page-title.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:42:\"core/themes/seven/css/components/pager.css\";a:8:{s:6:\"weight\";d:0.072;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:42:\"core/themes/seven/css/components/pager.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:42:\"core/themes/seven/css/components/panel.css\";a:8:{s:6:\"weight\";d:0.073;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:42:\"core/themes/seven/css/components/panel.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:46:\"core/themes/seven/css/components/skip-link.css\";a:8:{s:6:\"weight\";d:0.074;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/themes/seven/css/components/skip-link.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:43:\"core/themes/seven/css/components/tables.css\";a:8:{s:6:\"weight\";d:0.075;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/themes/seven/css/components/tables.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:58:\"core/themes/seven/css/components/search-admin-settings.css\";a:8:{s:6:\"weight\";d:0.076;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/themes/seven/css/components/search-admin-settings.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:56:\"core/themes/seven/css/components/tablesort-indicator.css\";a:8:{s:6:\"weight\";d:0.077;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/themes/seven/css/components/tablesort-indicator.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:57:\"core/themes/seven/css/components/system-status-report.css\";a:8:{s:6:\"weight\";d:0.078;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/themes/seven/css/components/system-status-report.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:70:\"core/themes/seven/css/components/system-status-report-general-info.css\";a:8:{s:6:\"weight\";d:0.078;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:70:\"core/themes/seven/css/components/system-status-report-general-info.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:66:\"core/themes/seven/css/components/system-status-report-counters.css\";a:8:{s:6:\"weight\";d:0.079;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:66:\"core/themes/seven/css/components/system-status-report-counters.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:58:\"core/themes/seven/css/components/system-status-counter.css\";a:8:{s:6:\"weight\";d:0.079;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/themes/seven/css/components/system-status-counter.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:41:\"core/themes/seven/css/components/tabs.css\";a:8:{s:6:\"weight\";d:0.079;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"core/themes/seven/css/components/tabs.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:45:\"core/themes/seven/css/components/views-ui.css\";a:8:{s:6:\"weight\";d:0.08;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/themes/seven/css/components/views-ui.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:38:\"core/themes/seven/css/theme/colors.css\";a:8:{s:6:\"weight\";d:200.081;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:38:\"core/themes/seven/css/theme/colors.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:47:\"core/themes/seven/css/components/tour.theme.css\";a:8:{s:6:\"weight\";d:200.096;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/seven/css/components/tour.theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}}',-1,1636012333.396,1,'library_info','0'),('css:seven:HyQOeVBWtonsQS_8a-dwlLBmF_bX8oOAg1KsUgM7Ypo0','a:100:{s:46:\"core/assets/vendor/normalize-css/normalize.css\";a:8:{s:6:\"weight\";d:-219.95;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/assets/vendor/normalize-css/normalize.css\";s:7:\"version\";s:5:\"3.0.3\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:29:\"core/misc/normalize-fixes.css\";a:8:{s:6:\"weight\";d:-218.949;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:29:\"core/misc/normalize-fixes.css\";s:7:\"version\";s:5:\"3.0.3\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:65:\"core/themes/stable/css/system/components/ajax-progress.module.css\";a:8:{s:6:\"weight\";d:-9.996;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:65:\"core/themes/stable/css/system/components/ajax-progress.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:57:\"core/themes/stable/css/system/components/align.module.css\";a:8:{s:6:\"weight\";d:-9.995;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/themes/stable/css/system/components/align.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:72:\"core/themes/stable/css/system/components/autocomplete-loading.module.css\";a:8:{s:6:\"weight\";d:-9.994;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:72:\"core/themes/stable/css/system/components/autocomplete-loading.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:62:\"core/themes/stable/css/system/components/fieldgroup.module.css\";a:8:{s:6:\"weight\";d:-9.993;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:62:\"core/themes/stable/css/system/components/fieldgroup.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:68:\"core/themes/stable/css/system/components/container-inline.module.css\";a:8:{s:6:\"weight\";d:-9.992;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:68:\"core/themes/stable/css/system/components/container-inline.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:60:\"core/themes/stable/css/system/components/clearfix.module.css\";a:8:{s:6:\"weight\";d:-9.991;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:60:\"core/themes/stable/css/system/components/clearfix.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:59:\"core/themes/stable/css/system/components/details.module.css\";a:8:{s:6:\"weight\";d:-9.99;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:59:\"core/themes/stable/css/system/components/details.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:58:\"core/themes/stable/css/system/components/hidden.module.css\";a:8:{s:6:\"weight\";d:-9.989;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/themes/stable/css/system/components/hidden.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:61:\"core/themes/stable/css/system/components/item-list.module.css\";a:8:{s:6:\"weight\";d:-9.988;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:61:\"core/themes/stable/css/system/components/item-list.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:54:\"core/themes/stable/css/system/components/js.module.css\";a:8:{s:6:\"weight\";d:-9.987;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/themes/stable/css/system/components/js.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:58:\"core/themes/stable/css/system/components/nowrap.module.css\";a:8:{s:6:\"weight\";d:-9.986;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/themes/stable/css/system/components/nowrap.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:70:\"core/themes/stable/css/system/components/position-container.module.css\";a:8:{s:6:\"weight\";d:-9.985;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:70:\"core/themes/stable/css/system/components/position-container.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:60:\"core/themes/stable/css/system/components/progress.module.css\";a:8:{s:6:\"weight\";d:-9.984;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:60:\"core/themes/stable/css/system/components/progress.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:68:\"core/themes/stable/css/system/components/reset-appearance.module.css\";a:8:{s:6:\"weight\";d:-9.983;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:68:\"core/themes/stable/css/system/components/reset-appearance.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:58:\"core/themes/stable/css/system/components/resize.module.css\";a:8:{s:6:\"weight\";d:-9.982;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/themes/stable/css/system/components/resize.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:65:\"core/themes/stable/css/system/components/sticky-header.module.css\";a:8:{s:6:\"weight\";d:-9.981;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:65:\"core/themes/stable/css/system/components/sticky-header.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:61:\"core/themes/stable/css/system/components/tabledrag.module.css\";a:8:{s:6:\"weight\";d:-9.98;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:61:\"core/themes/stable/css/system/components/tabledrag.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:61:\"core/themes/stable/css/system/components/tablesort.module.css\";a:8:{s:6:\"weight\";d:-9.979;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:61:\"core/themes/stable/css/system/components/tablesort.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:62:\"core/themes/stable/css/system/components/tree-child.module.css\";a:8:{s:6:\"weight\";d:-9.978;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:62:\"core/themes/stable/css/system/components/tree-child.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:55:\"core/themes/stable/css/contextual/contextual.module.css\";a:8:{s:6:\"weight\";d:0.001;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/themes/stable/css/contextual/contextual.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/themes/stable/css/toolbar/toolbar.module.css\";a:8:{s:6:\"weight\";d:0.086;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/themes/stable/css/toolbar/toolbar.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/assets/vendor/jquery.ui/themes/base/core.css\";a:8:{s:6:\"weight\";d:0.089;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/assets/vendor/jquery.ui/themes/base/core.css\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/assets/vendor/jquery.ui/themes/base/menu.css\";a:8:{s:6:\"weight\";d:0.091;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/assets/vendor/jquery.ui/themes/base/menu.css\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:57:\"core/assets/vendor/jquery.ui/themes/base/autocomplete.css\";a:8:{s:6:\"weight\";d:0.092;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/assets/vendor/jquery.ui/themes/base/autocomplete.css\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:43:\"core/themes/stable/css/tour/tour.module.css\";a:8:{s:5:\"media\";s:6:\"screen\";s:6:\"weight\";d:0.095;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/themes/stable/css/tour/tour.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:56:\"core/themes/stable/css/contextual/contextual.toolbar.css\";a:8:{s:6:\"weight\";d:0.097;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/themes/stable/css/contextual/contextual.toolbar.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:47:\"core/themes/stable/css/toolbar/toolbar.menu.css\";a:8:{s:6:\"weight\";d:100.085;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/stable/css/toolbar/toolbar.menu.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:46:\"core/themes/stable/css/system/system.admin.css\";a:8:{s:6:\"weight\";d:190.026;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/themes/stable/css/system/system.admin.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:54:\"core/themes/stable/css/contextual/contextual.theme.css\";a:8:{s:6:\"weight\";d:200.002;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/themes/stable/css/contextual/contextual.theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:60:\"core/themes/stable/css/contextual/contextual.icons.theme.css\";a:8:{s:6:\"weight\";d:200.003;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:60:\"core/themes/stable/css/contextual/contextual.icons.theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:50:\"core/themes/stable/css/shortcut/shortcut.theme.css\";a:8:{s:6:\"weight\";d:200.083;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:50:\"core/themes/stable/css/shortcut/shortcut.theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:56:\"core/themes/stable/css/shortcut/shortcut.icons.theme.css\";a:8:{s:6:\"weight\";d:200.084;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/themes/stable/css/shortcut/shortcut.icons.theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:48:\"core/themes/stable/css/toolbar/toolbar.theme.css\";a:8:{s:6:\"weight\";d:200.087;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/stable/css/toolbar/toolbar.theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:54:\"core/themes/stable/css/toolbar/toolbar.icons.theme.css\";a:8:{s:6:\"weight\";d:200.088;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/themes/stable/css/toolbar/toolbar.icons.theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:71:\"modules/admin_toolbar/admin_toolbar_search/css/admin.toolbar_search.css\";a:8:{s:6:\"weight\";d:200.093;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:71:\"modules/admin_toolbar/admin_toolbar_search/css/admin.toolbar_search.css\";s:7:\"version\";i:-1;s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:48:\"core/themes/stable/css/user/user.icons.admin.css\";a:8:{s:6:\"weight\";d:200.094;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/stable/css/user/user.icons.admin.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:55:\"modules/admin_toolbar/admin_toolbar_tools/css/tools.css\";a:8:{s:6:\"weight\";d:200.098;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"modules/admin_toolbar/admin_toolbar_tools/css/tools.css\";s:7:\"version\";i:-1;s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:43:\"modules/admin_toolbar/css/admin.toolbar.css\";a:8:{s:6:\"weight\";d:200.099;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"modules/admin_toolbar/css/admin.toolbar.css\";s:7:\"version\";i:-1;s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:39:\"core/themes/seven/css/base/elements.css\";a:8:{s:6:\"weight\";d:-199.948;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:39:\"core/themes/seven/css/base/elements.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:41:\"core/themes/seven/css/base/typography.css\";a:8:{s:6:\"weight\";d:-199.947;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"core/themes/seven/css/base/typography.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:36:\"core/themes/seven/css/base/print.css\";a:8:{s:6:\"weight\";d:-199.946;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:36:\"core/themes/seven/css/base/print.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:39:\"core/themes/seven/css/layout/layout.css\";a:8:{s:6:\"weight\";d:-99.918;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:39:\"core/themes/seven/css/layout/layout.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:52:\"core/themes/seven/css/classy/components/progress.css\";a:8:{s:6:\"weight\";d:-9.999;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/themes/seven/css/classy/components/progress.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:56:\"core/themes/seven/css/classy/components/action-links.css\";a:8:{s:6:\"weight\";d:-9.973;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/themes/seven/css/classy/components/action-links.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:54:\"core/themes/seven/css/classy/components/breadcrumb.css\";a:8:{s:6:\"weight\";d:-9.972;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/themes/seven/css/classy/components/breadcrumb.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:50:\"core/themes/seven/css/classy/components/button.css\";a:8:{s:6:\"weight\";d:-9.971;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:50:\"core/themes/seven/css/classy/components/button.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:62:\"core/themes/seven/css/classy/components/collapse-processed.css\";a:8:{s:6:\"weight\";d:-9.97;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:62:\"core/themes/seven/css/classy/components/collapse-processed.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:60:\"core/themes/seven/css/classy/components/container-inline.css\";a:8:{s:6:\"weight\";d:-9.969;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:60:\"core/themes/seven/css/classy/components/container-inline.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:59:\"core/themes/seven/css/classy/components/exposed-filters.css\";a:8:{s:6:\"weight\";d:-9.968;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:59:\"core/themes/seven/css/classy/components/exposed-filters.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/themes/seven/css/classy/components/field.css\";a:8:{s:6:\"weight\";d:-9.967;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/themes/seven/css/classy/components/field.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:48:\"core/themes/seven/css/classy/components/form.css\";a:8:{s:6:\"weight\";d:-9.966;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/seven/css/classy/components/form.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/themes/seven/css/classy/components/icons.css\";a:8:{s:6:\"weight\";d:-9.965;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/themes/seven/css/classy/components/icons.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:55:\"core/themes/seven/css/classy/components/inline-form.css\";a:8:{s:6:\"weight\";d:-9.964;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/themes/seven/css/classy/components/inline-form.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:53:\"core/themes/seven/css/classy/components/item-list.css\";a:8:{s:6:\"weight\";d:-9.963;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/themes/seven/css/classy/components/item-list.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:48:\"core/themes/seven/css/classy/components/link.css\";a:8:{s:6:\"weight\";d:-9.962;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/seven/css/classy/components/link.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/themes/seven/css/classy/components/links.css\";a:8:{s:6:\"weight\";d:-9.961;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/themes/seven/css/classy/components/links.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:48:\"core/themes/seven/css/classy/components/menu.css\";a:8:{s:6:\"weight\";d:-9.96;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/seven/css/classy/components/menu.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:53:\"core/themes/seven/css/classy/components/more-link.css\";a:8:{s:6:\"weight\";d:-9.959;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/themes/seven/css/classy/components/more-link.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/themes/seven/css/classy/components/pager.css\";a:8:{s:6:\"weight\";d:-9.958;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/themes/seven/css/classy/components/pager.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:53:\"core/themes/seven/css/classy/components/tabledrag.css\";a:8:{s:6:\"weight\";d:-9.957;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/themes/seven/css/classy/components/tabledrag.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:55:\"core/themes/seven/css/classy/components/tableselect.css\";a:8:{s:6:\"weight\";d:-9.956;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/themes/seven/css/classy/components/tableselect.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:53:\"core/themes/seven/css/classy/components/tablesort.css\";a:8:{s:6:\"weight\";d:-9.955;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/themes/seven/css/classy/components/tablesort.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:48:\"core/themes/seven/css/classy/components/tabs.css\";a:8:{s:6:\"weight\";d:-9.954;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/seven/css/classy/components/tabs.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:52:\"core/themes/seven/css/classy/components/textarea.css\";a:8:{s:6:\"weight\";d:-9.953;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/themes/seven/css/classy/components/textarea.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:53:\"core/themes/seven/css/classy/components/ui-dialog.css\";a:8:{s:6:\"weight\";d:-9.952;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/themes/seven/css/classy/components/ui-dialog.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:52:\"core/themes/seven/css/classy/components/messages.css\";a:8:{s:6:\"weight\";d:-9.951;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/themes/seven/css/classy/components/messages.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:52:\"core/themes/seven/css/components/jquery.ui/theme.css\";a:8:{s:6:\"weight\";d:-0.91;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/themes/seven/css/components/jquery.ui/theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:47:\"core/themes/seven/css/components/admin-list.css\";a:8:{s:6:\"weight\";d:0.055;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/seven/css/components/admin-list.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:51:\"core/themes/seven/css/components/content-header.css\";a:8:{s:6:\"weight\";d:0.056;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:51:\"core/themes/seven/css/components/content-header.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:53:\"core/themes/seven/css/components/container-inline.css\";a:8:{s:6:\"weight\";d:0.057;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/themes/seven/css/components/container-inline.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:60:\"core/themes/seven/css/components/container-inline.module.css\";a:8:{s:6:\"weight\";d:0.058;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:60:\"core/themes/seven/css/components/container-inline.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:47:\"core/themes/seven/css/components/breadcrumb.css\";a:8:{s:6:\"weight\";d:0.059;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/seven/css/components/breadcrumb.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:44:\"core/themes/seven/css/components/buttons.css\";a:8:{s:6:\"weight\";d:0.06;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:44:\"core/themes/seven/css/components/buttons.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:44:\"core/themes/seven/css/components/details.css\";a:8:{s:6:\"weight\";d:0.061;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:44:\"core/themes/seven/css/components/details.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:45:\"core/themes/seven/css/components/messages.css\";a:8:{s:6:\"weight\";d:0.062;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/themes/seven/css/components/messages.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:57:\"core/themes/seven/css/components/dropbutton.component.css\";a:8:{s:6:\"weight\";d:0.063;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/themes/seven/css/components/dropbutton.component.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:48:\"core/themes/seven/css/components/entity-meta.css\";a:8:{s:6:\"weight\";d:0.064;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/seven/css/components/entity-meta.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:45:\"core/themes/seven/css/components/field-ui.css\";a:8:{s:6:\"weight\";d:0.065;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/themes/seven/css/components/field-ui.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:41:\"core/themes/seven/css/components/form.css\";a:8:{s:6:\"weight\";d:0.066;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"core/themes/seven/css/components/form.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:41:\"core/themes/seven/css/components/help.css\";a:8:{s:6:\"weight\";d:0.067;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"core/themes/seven/css/components/help.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:52:\"core/themes/seven/css/components/menus-and-lists.css\";a:8:{s:6:\"weight\";d:0.068;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/themes/seven/css/components/menus-and-lists.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/themes/seven/css/components/modules-page.css\";a:8:{s:6:\"weight\";d:0.069;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/themes/seven/css/components/modules-page.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:41:\"core/themes/seven/css/components/node.css\";a:8:{s:6:\"weight\";d:0.07;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"core/themes/seven/css/components/node.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:47:\"core/themes/seven/css/components/page-title.css\";a:8:{s:6:\"weight\";d:0.071;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/seven/css/components/page-title.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:42:\"core/themes/seven/css/components/pager.css\";a:8:{s:6:\"weight\";d:0.072;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:42:\"core/themes/seven/css/components/pager.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:42:\"core/themes/seven/css/components/panel.css\";a:8:{s:6:\"weight\";d:0.073;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:42:\"core/themes/seven/css/components/panel.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:46:\"core/themes/seven/css/components/skip-link.css\";a:8:{s:6:\"weight\";d:0.074;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/themes/seven/css/components/skip-link.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:43:\"core/themes/seven/css/components/tables.css\";a:8:{s:6:\"weight\";d:0.075;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/themes/seven/css/components/tables.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:58:\"core/themes/seven/css/components/search-admin-settings.css\";a:8:{s:6:\"weight\";d:0.076;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/themes/seven/css/components/search-admin-settings.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:56:\"core/themes/seven/css/components/tablesort-indicator.css\";a:8:{s:6:\"weight\";d:0.077;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/themes/seven/css/components/tablesort-indicator.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:57:\"core/themes/seven/css/components/system-status-report.css\";a:8:{s:6:\"weight\";d:0.078;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/themes/seven/css/components/system-status-report.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:70:\"core/themes/seven/css/components/system-status-report-general-info.css\";a:8:{s:6:\"weight\";d:0.078;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:70:\"core/themes/seven/css/components/system-status-report-general-info.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:66:\"core/themes/seven/css/components/system-status-report-counters.css\";a:8:{s:6:\"weight\";d:0.079;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:66:\"core/themes/seven/css/components/system-status-report-counters.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:58:\"core/themes/seven/css/components/system-status-counter.css\";a:8:{s:6:\"weight\";d:0.079;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/themes/seven/css/components/system-status-counter.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:41:\"core/themes/seven/css/components/tabs.css\";a:8:{s:6:\"weight\";d:0.079;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"core/themes/seven/css/components/tabs.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:45:\"core/themes/seven/css/components/views-ui.css\";a:8:{s:6:\"weight\";d:0.08;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/themes/seven/css/components/views-ui.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:38:\"core/themes/seven/css/theme/colors.css\";a:8:{s:6:\"weight\";d:200.081;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:38:\"core/themes/seven/css/theme/colors.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:47:\"core/themes/seven/css/components/tour.theme.css\";a:8:{s:6:\"weight\";d:200.096;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/seven/css/components/tour.theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}}',-1,1637057231.099,1,'library_info','0'),('css:seven:K4GBPIYoa2XrmHEsuKB5yiFJV1JDTBWWYJjPl4L5b7U0','a:100:{s:46:\"core/assets/vendor/normalize-css/normalize.css\";a:8:{s:6:\"weight\";d:-219.95;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/assets/vendor/normalize-css/normalize.css\";s:7:\"version\";s:5:\"3.0.3\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:29:\"core/misc/normalize-fixes.css\";a:8:{s:6:\"weight\";d:-218.949;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:29:\"core/misc/normalize-fixes.css\";s:7:\"version\";s:5:\"3.0.3\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:65:\"core/themes/stable/css/system/components/ajax-progress.module.css\";a:8:{s:6:\"weight\";d:-9.996;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:65:\"core/themes/stable/css/system/components/ajax-progress.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:57:\"core/themes/stable/css/system/components/align.module.css\";a:8:{s:6:\"weight\";d:-9.995;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/themes/stable/css/system/components/align.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:72:\"core/themes/stable/css/system/components/autocomplete-loading.module.css\";a:8:{s:6:\"weight\";d:-9.994;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:72:\"core/themes/stable/css/system/components/autocomplete-loading.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:62:\"core/themes/stable/css/system/components/fieldgroup.module.css\";a:8:{s:6:\"weight\";d:-9.993;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:62:\"core/themes/stable/css/system/components/fieldgroup.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:68:\"core/themes/stable/css/system/components/container-inline.module.css\";a:8:{s:6:\"weight\";d:-9.992;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:68:\"core/themes/stable/css/system/components/container-inline.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:60:\"core/themes/stable/css/system/components/clearfix.module.css\";a:8:{s:6:\"weight\";d:-9.991;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:60:\"core/themes/stable/css/system/components/clearfix.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:59:\"core/themes/stable/css/system/components/details.module.css\";a:8:{s:6:\"weight\";d:-9.99;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:59:\"core/themes/stable/css/system/components/details.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:58:\"core/themes/stable/css/system/components/hidden.module.css\";a:8:{s:6:\"weight\";d:-9.989;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/themes/stable/css/system/components/hidden.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:61:\"core/themes/stable/css/system/components/item-list.module.css\";a:8:{s:6:\"weight\";d:-9.988;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:61:\"core/themes/stable/css/system/components/item-list.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:54:\"core/themes/stable/css/system/components/js.module.css\";a:8:{s:6:\"weight\";d:-9.987;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/themes/stable/css/system/components/js.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:58:\"core/themes/stable/css/system/components/nowrap.module.css\";a:8:{s:6:\"weight\";d:-9.986;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/themes/stable/css/system/components/nowrap.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:70:\"core/themes/stable/css/system/components/position-container.module.css\";a:8:{s:6:\"weight\";d:-9.985;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:70:\"core/themes/stable/css/system/components/position-container.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:60:\"core/themes/stable/css/system/components/progress.module.css\";a:8:{s:6:\"weight\";d:-9.984;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:60:\"core/themes/stable/css/system/components/progress.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:68:\"core/themes/stable/css/system/components/reset-appearance.module.css\";a:8:{s:6:\"weight\";d:-9.983;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:68:\"core/themes/stable/css/system/components/reset-appearance.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:58:\"core/themes/stable/css/system/components/resize.module.css\";a:8:{s:6:\"weight\";d:-9.982;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/themes/stable/css/system/components/resize.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:65:\"core/themes/stable/css/system/components/sticky-header.module.css\";a:8:{s:6:\"weight\";d:-9.981;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:65:\"core/themes/stable/css/system/components/sticky-header.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:61:\"core/themes/stable/css/system/components/tabledrag.module.css\";a:8:{s:6:\"weight\";d:-9.98;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:61:\"core/themes/stable/css/system/components/tabledrag.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:61:\"core/themes/stable/css/system/components/tablesort.module.css\";a:8:{s:6:\"weight\";d:-9.979;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:61:\"core/themes/stable/css/system/components/tablesort.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:62:\"core/themes/stable/css/system/components/tree-child.module.css\";a:8:{s:6:\"weight\";d:-9.978;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:62:\"core/themes/stable/css/system/components/tree-child.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:55:\"core/themes/stable/css/contextual/contextual.module.css\";a:8:{s:6:\"weight\";d:0.001;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/themes/stable/css/contextual/contextual.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/themes/stable/css/toolbar/toolbar.module.css\";a:8:{s:6:\"weight\";d:0.086;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/themes/stable/css/toolbar/toolbar.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/assets/vendor/jquery.ui/themes/base/core.css\";a:8:{s:6:\"weight\";d:0.089;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/assets/vendor/jquery.ui/themes/base/core.css\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/assets/vendor/jquery.ui/themes/base/menu.css\";a:8:{s:6:\"weight\";d:0.091;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/assets/vendor/jquery.ui/themes/base/menu.css\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:57:\"core/assets/vendor/jquery.ui/themes/base/autocomplete.css\";a:8:{s:6:\"weight\";d:0.092;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/assets/vendor/jquery.ui/themes/base/autocomplete.css\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:43:\"core/themes/stable/css/tour/tour.module.css\";a:8:{s:5:\"media\";s:6:\"screen\";s:6:\"weight\";d:0.095;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/themes/stable/css/tour/tour.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:56:\"core/themes/stable/css/contextual/contextual.toolbar.css\";a:8:{s:6:\"weight\";d:0.097;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/themes/stable/css/contextual/contextual.toolbar.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:47:\"core/themes/stable/css/toolbar/toolbar.menu.css\";a:8:{s:6:\"weight\";d:100.085;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/stable/css/toolbar/toolbar.menu.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:46:\"core/themes/stable/css/system/system.admin.css\";a:8:{s:6:\"weight\";d:190.026;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/themes/stable/css/system/system.admin.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:54:\"core/themes/stable/css/contextual/contextual.theme.css\";a:8:{s:6:\"weight\";d:200.002;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/themes/stable/css/contextual/contextual.theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:60:\"core/themes/stable/css/contextual/contextual.icons.theme.css\";a:8:{s:6:\"weight\";d:200.003;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:60:\"core/themes/stable/css/contextual/contextual.icons.theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:50:\"core/themes/stable/css/shortcut/shortcut.theme.css\";a:8:{s:6:\"weight\";d:200.083;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:50:\"core/themes/stable/css/shortcut/shortcut.theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:56:\"core/themes/stable/css/shortcut/shortcut.icons.theme.css\";a:8:{s:6:\"weight\";d:200.084;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/themes/stable/css/shortcut/shortcut.icons.theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:48:\"core/themes/stable/css/toolbar/toolbar.theme.css\";a:8:{s:6:\"weight\";d:200.087;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/stable/css/toolbar/toolbar.theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:54:\"core/themes/stable/css/toolbar/toolbar.icons.theme.css\";a:8:{s:6:\"weight\";d:200.088;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/themes/stable/css/toolbar/toolbar.icons.theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:71:\"modules/admin_toolbar/admin_toolbar_search/css/admin.toolbar_search.css\";a:8:{s:6:\"weight\";d:200.093;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:71:\"modules/admin_toolbar/admin_toolbar_search/css/admin.toolbar_search.css\";s:7:\"version\";i:-1;s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:48:\"core/themes/stable/css/user/user.icons.admin.css\";a:8:{s:6:\"weight\";d:200.094;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/stable/css/user/user.icons.admin.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:55:\"modules/admin_toolbar/admin_toolbar_tools/css/tools.css\";a:8:{s:6:\"weight\";d:200.098;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"modules/admin_toolbar/admin_toolbar_tools/css/tools.css\";s:7:\"version\";i:-1;s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:43:\"modules/admin_toolbar/css/admin.toolbar.css\";a:8:{s:6:\"weight\";d:200.099;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"modules/admin_toolbar/css/admin.toolbar.css\";s:7:\"version\";i:-1;s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:39:\"core/themes/seven/css/base/elements.css\";a:8:{s:6:\"weight\";d:-199.948;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:39:\"core/themes/seven/css/base/elements.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:41:\"core/themes/seven/css/base/typography.css\";a:8:{s:6:\"weight\";d:-199.947;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"core/themes/seven/css/base/typography.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:36:\"core/themes/seven/css/base/print.css\";a:8:{s:6:\"weight\";d:-199.946;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:36:\"core/themes/seven/css/base/print.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:39:\"core/themes/seven/css/layout/layout.css\";a:8:{s:6:\"weight\";d:-99.918;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:39:\"core/themes/seven/css/layout/layout.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:52:\"core/themes/seven/css/classy/components/progress.css\";a:8:{s:6:\"weight\";d:-9.999;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/themes/seven/css/classy/components/progress.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:56:\"core/themes/seven/css/classy/components/action-links.css\";a:8:{s:6:\"weight\";d:-9.973;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/themes/seven/css/classy/components/action-links.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:54:\"core/themes/seven/css/classy/components/breadcrumb.css\";a:8:{s:6:\"weight\";d:-9.972;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/themes/seven/css/classy/components/breadcrumb.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:50:\"core/themes/seven/css/classy/components/button.css\";a:8:{s:6:\"weight\";d:-9.971;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:50:\"core/themes/seven/css/classy/components/button.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:62:\"core/themes/seven/css/classy/components/collapse-processed.css\";a:8:{s:6:\"weight\";d:-9.97;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:62:\"core/themes/seven/css/classy/components/collapse-processed.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:60:\"core/themes/seven/css/classy/components/container-inline.css\";a:8:{s:6:\"weight\";d:-9.969;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:60:\"core/themes/seven/css/classy/components/container-inline.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:59:\"core/themes/seven/css/classy/components/exposed-filters.css\";a:8:{s:6:\"weight\";d:-9.968;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:59:\"core/themes/seven/css/classy/components/exposed-filters.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/themes/seven/css/classy/components/field.css\";a:8:{s:6:\"weight\";d:-9.967;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/themes/seven/css/classy/components/field.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:48:\"core/themes/seven/css/classy/components/form.css\";a:8:{s:6:\"weight\";d:-9.966;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/seven/css/classy/components/form.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/themes/seven/css/classy/components/icons.css\";a:8:{s:6:\"weight\";d:-9.965;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/themes/seven/css/classy/components/icons.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:55:\"core/themes/seven/css/classy/components/inline-form.css\";a:8:{s:6:\"weight\";d:-9.964;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/themes/seven/css/classy/components/inline-form.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:53:\"core/themes/seven/css/classy/components/item-list.css\";a:8:{s:6:\"weight\";d:-9.963;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/themes/seven/css/classy/components/item-list.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:48:\"core/themes/seven/css/classy/components/link.css\";a:8:{s:6:\"weight\";d:-9.962;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/seven/css/classy/components/link.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/themes/seven/css/classy/components/links.css\";a:8:{s:6:\"weight\";d:-9.961;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/themes/seven/css/classy/components/links.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:48:\"core/themes/seven/css/classy/components/menu.css\";a:8:{s:6:\"weight\";d:-9.96;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/seven/css/classy/components/menu.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:53:\"core/themes/seven/css/classy/components/more-link.css\";a:8:{s:6:\"weight\";d:-9.959;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/themes/seven/css/classy/components/more-link.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/themes/seven/css/classy/components/pager.css\";a:8:{s:6:\"weight\";d:-9.958;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/themes/seven/css/classy/components/pager.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:53:\"core/themes/seven/css/classy/components/tabledrag.css\";a:8:{s:6:\"weight\";d:-9.957;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/themes/seven/css/classy/components/tabledrag.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:55:\"core/themes/seven/css/classy/components/tableselect.css\";a:8:{s:6:\"weight\";d:-9.956;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/themes/seven/css/classy/components/tableselect.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:53:\"core/themes/seven/css/classy/components/tablesort.css\";a:8:{s:6:\"weight\";d:-9.955;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/themes/seven/css/classy/components/tablesort.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:48:\"core/themes/seven/css/classy/components/tabs.css\";a:8:{s:6:\"weight\";d:-9.954;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/seven/css/classy/components/tabs.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:52:\"core/themes/seven/css/classy/components/textarea.css\";a:8:{s:6:\"weight\";d:-9.953;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/themes/seven/css/classy/components/textarea.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:53:\"core/themes/seven/css/classy/components/ui-dialog.css\";a:8:{s:6:\"weight\";d:-9.952;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/themes/seven/css/classy/components/ui-dialog.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:52:\"core/themes/seven/css/classy/components/messages.css\";a:8:{s:6:\"weight\";d:-9.951;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/themes/seven/css/classy/components/messages.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:52:\"core/themes/seven/css/components/jquery.ui/theme.css\";a:8:{s:6:\"weight\";d:-0.91;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/themes/seven/css/components/jquery.ui/theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:47:\"core/themes/seven/css/components/admin-list.css\";a:8:{s:6:\"weight\";d:0.055;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/seven/css/components/admin-list.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:51:\"core/themes/seven/css/components/content-header.css\";a:8:{s:6:\"weight\";d:0.056;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:51:\"core/themes/seven/css/components/content-header.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:53:\"core/themes/seven/css/components/container-inline.css\";a:8:{s:6:\"weight\";d:0.057;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/themes/seven/css/components/container-inline.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:60:\"core/themes/seven/css/components/container-inline.module.css\";a:8:{s:6:\"weight\";d:0.058;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:60:\"core/themes/seven/css/components/container-inline.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:47:\"core/themes/seven/css/components/breadcrumb.css\";a:8:{s:6:\"weight\";d:0.059;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/seven/css/components/breadcrumb.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:44:\"core/themes/seven/css/components/buttons.css\";a:8:{s:6:\"weight\";d:0.06;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:44:\"core/themes/seven/css/components/buttons.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:44:\"core/themes/seven/css/components/details.css\";a:8:{s:6:\"weight\";d:0.061;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:44:\"core/themes/seven/css/components/details.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:45:\"core/themes/seven/css/components/messages.css\";a:8:{s:6:\"weight\";d:0.062;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/themes/seven/css/components/messages.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:57:\"core/themes/seven/css/components/dropbutton.component.css\";a:8:{s:6:\"weight\";d:0.063;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/themes/seven/css/components/dropbutton.component.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:48:\"core/themes/seven/css/components/entity-meta.css\";a:8:{s:6:\"weight\";d:0.064;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/seven/css/components/entity-meta.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:45:\"core/themes/seven/css/components/field-ui.css\";a:8:{s:6:\"weight\";d:0.065;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/themes/seven/css/components/field-ui.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:41:\"core/themes/seven/css/components/form.css\";a:8:{s:6:\"weight\";d:0.066;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"core/themes/seven/css/components/form.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:41:\"core/themes/seven/css/components/help.css\";a:8:{s:6:\"weight\";d:0.067;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"core/themes/seven/css/components/help.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:52:\"core/themes/seven/css/components/menus-and-lists.css\";a:8:{s:6:\"weight\";d:0.068;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/themes/seven/css/components/menus-and-lists.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/themes/seven/css/components/modules-page.css\";a:8:{s:6:\"weight\";d:0.069;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/themes/seven/css/components/modules-page.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:41:\"core/themes/seven/css/components/node.css\";a:8:{s:6:\"weight\";d:0.07;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"core/themes/seven/css/components/node.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:47:\"core/themes/seven/css/components/page-title.css\";a:8:{s:6:\"weight\";d:0.071;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/seven/css/components/page-title.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:42:\"core/themes/seven/css/components/pager.css\";a:8:{s:6:\"weight\";d:0.072;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:42:\"core/themes/seven/css/components/pager.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:42:\"core/themes/seven/css/components/panel.css\";a:8:{s:6:\"weight\";d:0.073;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:42:\"core/themes/seven/css/components/panel.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:46:\"core/themes/seven/css/components/skip-link.css\";a:8:{s:6:\"weight\";d:0.074;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/themes/seven/css/components/skip-link.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:43:\"core/themes/seven/css/components/tables.css\";a:8:{s:6:\"weight\";d:0.075;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/themes/seven/css/components/tables.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:58:\"core/themes/seven/css/components/search-admin-settings.css\";a:8:{s:6:\"weight\";d:0.076;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/themes/seven/css/components/search-admin-settings.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:56:\"core/themes/seven/css/components/tablesort-indicator.css\";a:8:{s:6:\"weight\";d:0.077;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/themes/seven/css/components/tablesort-indicator.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:57:\"core/themes/seven/css/components/system-status-report.css\";a:8:{s:6:\"weight\";d:0.078;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/themes/seven/css/components/system-status-report.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:70:\"core/themes/seven/css/components/system-status-report-general-info.css\";a:8:{s:6:\"weight\";d:0.078;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:70:\"core/themes/seven/css/components/system-status-report-general-info.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:66:\"core/themes/seven/css/components/system-status-report-counters.css\";a:8:{s:6:\"weight\";d:0.079;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:66:\"core/themes/seven/css/components/system-status-report-counters.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:58:\"core/themes/seven/css/components/system-status-counter.css\";a:8:{s:6:\"weight\";d:0.079;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/themes/seven/css/components/system-status-counter.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:41:\"core/themes/seven/css/components/tabs.css\";a:8:{s:6:\"weight\";d:0.079;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"core/themes/seven/css/components/tabs.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:45:\"core/themes/seven/css/components/views-ui.css\";a:8:{s:6:\"weight\";d:0.08;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/themes/seven/css/components/views-ui.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:38:\"core/themes/seven/css/theme/colors.css\";a:8:{s:6:\"weight\";d:200.081;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:38:\"core/themes/seven/css/theme/colors.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:47:\"core/themes/seven/css/components/tour.theme.css\";a:8:{s:6:\"weight\";d:200.096;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/seven/css/components/tour.theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}}',-1,1636012338.163,1,'library_info','0'),('css:seven:RS2KYVmBrhZ_q0uXjKGhL4kEv_7wMmCyiZqXbepkeAc0','a:101:{s:46:\"core/assets/vendor/normalize-css/normalize.css\";a:8:{s:6:\"weight\";d:-219.95;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/assets/vendor/normalize-css/normalize.css\";s:7:\"version\";s:5:\"3.0.3\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:29:\"core/misc/normalize-fixes.css\";a:8:{s:6:\"weight\";d:-218.949;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:29:\"core/misc/normalize-fixes.css\";s:7:\"version\";s:5:\"3.0.3\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:65:\"core/themes/stable/css/system/components/ajax-progress.module.css\";a:8:{s:6:\"weight\";d:-9.996;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:65:\"core/themes/stable/css/system/components/ajax-progress.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:57:\"core/themes/stable/css/system/components/align.module.css\";a:8:{s:6:\"weight\";d:-9.995;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/themes/stable/css/system/components/align.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:72:\"core/themes/stable/css/system/components/autocomplete-loading.module.css\";a:8:{s:6:\"weight\";d:-9.994;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:72:\"core/themes/stable/css/system/components/autocomplete-loading.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:62:\"core/themes/stable/css/system/components/fieldgroup.module.css\";a:8:{s:6:\"weight\";d:-9.993;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:62:\"core/themes/stable/css/system/components/fieldgroup.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:68:\"core/themes/stable/css/system/components/container-inline.module.css\";a:8:{s:6:\"weight\";d:-9.992;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:68:\"core/themes/stable/css/system/components/container-inline.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:60:\"core/themes/stable/css/system/components/clearfix.module.css\";a:8:{s:6:\"weight\";d:-9.991;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:60:\"core/themes/stable/css/system/components/clearfix.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:59:\"core/themes/stable/css/system/components/details.module.css\";a:8:{s:6:\"weight\";d:-9.99;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:59:\"core/themes/stable/css/system/components/details.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:58:\"core/themes/stable/css/system/components/hidden.module.css\";a:8:{s:6:\"weight\";d:-9.989;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/themes/stable/css/system/components/hidden.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:61:\"core/themes/stable/css/system/components/item-list.module.css\";a:8:{s:6:\"weight\";d:-9.988;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:61:\"core/themes/stable/css/system/components/item-list.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:54:\"core/themes/stable/css/system/components/js.module.css\";a:8:{s:6:\"weight\";d:-9.987;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/themes/stable/css/system/components/js.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:58:\"core/themes/stable/css/system/components/nowrap.module.css\";a:8:{s:6:\"weight\";d:-9.986;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/themes/stable/css/system/components/nowrap.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:70:\"core/themes/stable/css/system/components/position-container.module.css\";a:8:{s:6:\"weight\";d:-9.985;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:70:\"core/themes/stable/css/system/components/position-container.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:60:\"core/themes/stable/css/system/components/progress.module.css\";a:8:{s:6:\"weight\";d:-9.984;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:60:\"core/themes/stable/css/system/components/progress.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:68:\"core/themes/stable/css/system/components/reset-appearance.module.css\";a:8:{s:6:\"weight\";d:-9.983;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:68:\"core/themes/stable/css/system/components/reset-appearance.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:58:\"core/themes/stable/css/system/components/resize.module.css\";a:8:{s:6:\"weight\";d:-9.982;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/themes/stable/css/system/components/resize.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:65:\"core/themes/stable/css/system/components/sticky-header.module.css\";a:8:{s:6:\"weight\";d:-9.981;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:65:\"core/themes/stable/css/system/components/sticky-header.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:61:\"core/themes/stable/css/system/components/tabledrag.module.css\";a:8:{s:6:\"weight\";d:-9.98;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:61:\"core/themes/stable/css/system/components/tabledrag.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:61:\"core/themes/stable/css/system/components/tablesort.module.css\";a:8:{s:6:\"weight\";d:-9.979;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:61:\"core/themes/stable/css/system/components/tablesort.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:62:\"core/themes/stable/css/system/components/tree-child.module.css\";a:8:{s:6:\"weight\";d:-9.978;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:62:\"core/themes/stable/css/system/components/tree-child.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:55:\"core/themes/stable/css/contextual/contextual.module.css\";a:8:{s:6:\"weight\";d:0.001;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/themes/stable/css/contextual/contextual.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/themes/stable/css/toolbar/toolbar.module.css\";a:8:{s:6:\"weight\";d:0.087;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/themes/stable/css/toolbar/toolbar.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/assets/vendor/jquery.ui/themes/base/core.css\";a:8:{s:6:\"weight\";d:0.09;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/assets/vendor/jquery.ui/themes/base/core.css\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/assets/vendor/jquery.ui/themes/base/menu.css\";a:8:{s:6:\"weight\";d:0.092;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/assets/vendor/jquery.ui/themes/base/menu.css\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:57:\"core/assets/vendor/jquery.ui/themes/base/autocomplete.css\";a:8:{s:6:\"weight\";d:0.093;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/assets/vendor/jquery.ui/themes/base/autocomplete.css\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:43:\"core/themes/stable/css/tour/tour.module.css\";a:8:{s:5:\"media\";s:6:\"screen\";s:6:\"weight\";d:0.096;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/themes/stable/css/tour/tour.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:56:\"core/themes/stable/css/contextual/contextual.toolbar.css\";a:8:{s:6:\"weight\";d:0.098;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/themes/stable/css/contextual/contextual.toolbar.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:47:\"core/themes/stable/css/toolbar/toolbar.menu.css\";a:8:{s:6:\"weight\";d:100.086;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/stable/css/toolbar/toolbar.menu.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:46:\"core/themes/stable/css/system/system.admin.css\";a:8:{s:6:\"weight\";d:190.026;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/themes/stable/css/system/system.admin.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:54:\"core/themes/stable/css/contextual/contextual.theme.css\";a:8:{s:6:\"weight\";d:200.002;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/themes/stable/css/contextual/contextual.theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:60:\"core/themes/stable/css/contextual/contextual.icons.theme.css\";a:8:{s:6:\"weight\";d:200.003;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:60:\"core/themes/stable/css/contextual/contextual.icons.theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:52:\"core/themes/stable/css/update/update.admin.theme.css\";a:8:{s:6:\"weight\";d:200.083;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/themes/stable/css/update/update.admin.theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:50:\"core/themes/stable/css/shortcut/shortcut.theme.css\";a:8:{s:6:\"weight\";d:200.084;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:50:\"core/themes/stable/css/shortcut/shortcut.theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:56:\"core/themes/stable/css/shortcut/shortcut.icons.theme.css\";a:8:{s:6:\"weight\";d:200.085;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/themes/stable/css/shortcut/shortcut.icons.theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:48:\"core/themes/stable/css/toolbar/toolbar.theme.css\";a:8:{s:6:\"weight\";d:200.088;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/stable/css/toolbar/toolbar.theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:54:\"core/themes/stable/css/toolbar/toolbar.icons.theme.css\";a:8:{s:6:\"weight\";d:200.089;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/themes/stable/css/toolbar/toolbar.icons.theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:71:\"modules/admin_toolbar/admin_toolbar_search/css/admin.toolbar_search.css\";a:8:{s:6:\"weight\";d:200.094;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:71:\"modules/admin_toolbar/admin_toolbar_search/css/admin.toolbar_search.css\";s:7:\"version\";i:-1;s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:48:\"core/themes/stable/css/user/user.icons.admin.css\";a:8:{s:6:\"weight\";d:200.095;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/stable/css/user/user.icons.admin.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:55:\"modules/admin_toolbar/admin_toolbar_tools/css/tools.css\";a:8:{s:6:\"weight\";d:200.099;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"modules/admin_toolbar/admin_toolbar_tools/css/tools.css\";s:7:\"version\";i:-1;s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:43:\"modules/admin_toolbar/css/admin.toolbar.css\";a:8:{s:6:\"weight\";d:200.1;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"modules/admin_toolbar/css/admin.toolbar.css\";s:7:\"version\";i:-1;s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:39:\"core/themes/seven/css/base/elements.css\";a:8:{s:6:\"weight\";d:-199.948;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:39:\"core/themes/seven/css/base/elements.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:41:\"core/themes/seven/css/base/typography.css\";a:8:{s:6:\"weight\";d:-199.947;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"core/themes/seven/css/base/typography.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:36:\"core/themes/seven/css/base/print.css\";a:8:{s:6:\"weight\";d:-199.946;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:36:\"core/themes/seven/css/base/print.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:39:\"core/themes/seven/css/layout/layout.css\";a:8:{s:6:\"weight\";d:-99.918;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:39:\"core/themes/seven/css/layout/layout.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:52:\"core/themes/seven/css/classy/components/progress.css\";a:8:{s:6:\"weight\";d:-9.999;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/themes/seven/css/classy/components/progress.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:56:\"core/themes/seven/css/classy/components/action-links.css\";a:8:{s:6:\"weight\";d:-9.973;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/themes/seven/css/classy/components/action-links.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:54:\"core/themes/seven/css/classy/components/breadcrumb.css\";a:8:{s:6:\"weight\";d:-9.972;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/themes/seven/css/classy/components/breadcrumb.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:50:\"core/themes/seven/css/classy/components/button.css\";a:8:{s:6:\"weight\";d:-9.971;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:50:\"core/themes/seven/css/classy/components/button.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:62:\"core/themes/seven/css/classy/components/collapse-processed.css\";a:8:{s:6:\"weight\";d:-9.97;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:62:\"core/themes/seven/css/classy/components/collapse-processed.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:60:\"core/themes/seven/css/classy/components/container-inline.css\";a:8:{s:6:\"weight\";d:-9.969;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:60:\"core/themes/seven/css/classy/components/container-inline.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:59:\"core/themes/seven/css/classy/components/exposed-filters.css\";a:8:{s:6:\"weight\";d:-9.968;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:59:\"core/themes/seven/css/classy/components/exposed-filters.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/themes/seven/css/classy/components/field.css\";a:8:{s:6:\"weight\";d:-9.967;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/themes/seven/css/classy/components/field.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:48:\"core/themes/seven/css/classy/components/form.css\";a:8:{s:6:\"weight\";d:-9.966;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/seven/css/classy/components/form.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/themes/seven/css/classy/components/icons.css\";a:8:{s:6:\"weight\";d:-9.965;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/themes/seven/css/classy/components/icons.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:55:\"core/themes/seven/css/classy/components/inline-form.css\";a:8:{s:6:\"weight\";d:-9.964;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/themes/seven/css/classy/components/inline-form.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:53:\"core/themes/seven/css/classy/components/item-list.css\";a:8:{s:6:\"weight\";d:-9.963;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/themes/seven/css/classy/components/item-list.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:48:\"core/themes/seven/css/classy/components/link.css\";a:8:{s:6:\"weight\";d:-9.962;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/seven/css/classy/components/link.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/themes/seven/css/classy/components/links.css\";a:8:{s:6:\"weight\";d:-9.961;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/themes/seven/css/classy/components/links.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:48:\"core/themes/seven/css/classy/components/menu.css\";a:8:{s:6:\"weight\";d:-9.96;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/seven/css/classy/components/menu.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:53:\"core/themes/seven/css/classy/components/more-link.css\";a:8:{s:6:\"weight\";d:-9.959;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/themes/seven/css/classy/components/more-link.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/themes/seven/css/classy/components/pager.css\";a:8:{s:6:\"weight\";d:-9.958;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/themes/seven/css/classy/components/pager.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:53:\"core/themes/seven/css/classy/components/tabledrag.css\";a:8:{s:6:\"weight\";d:-9.957;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/themes/seven/css/classy/components/tabledrag.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:55:\"core/themes/seven/css/classy/components/tableselect.css\";a:8:{s:6:\"weight\";d:-9.956;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/themes/seven/css/classy/components/tableselect.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:53:\"core/themes/seven/css/classy/components/tablesort.css\";a:8:{s:6:\"weight\";d:-9.955;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/themes/seven/css/classy/components/tablesort.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:48:\"core/themes/seven/css/classy/components/tabs.css\";a:8:{s:6:\"weight\";d:-9.954;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/seven/css/classy/components/tabs.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:52:\"core/themes/seven/css/classy/components/textarea.css\";a:8:{s:6:\"weight\";d:-9.953;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/themes/seven/css/classy/components/textarea.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:53:\"core/themes/seven/css/classy/components/ui-dialog.css\";a:8:{s:6:\"weight\";d:-9.952;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/themes/seven/css/classy/components/ui-dialog.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:52:\"core/themes/seven/css/classy/components/messages.css\";a:8:{s:6:\"weight\";d:-9.951;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/themes/seven/css/classy/components/messages.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:52:\"core/themes/seven/css/components/jquery.ui/theme.css\";a:8:{s:6:\"weight\";d:-0.909;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/themes/seven/css/components/jquery.ui/theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:47:\"core/themes/seven/css/components/admin-list.css\";a:8:{s:6:\"weight\";d:0.055;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/seven/css/components/admin-list.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:51:\"core/themes/seven/css/components/content-header.css\";a:8:{s:6:\"weight\";d:0.056;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:51:\"core/themes/seven/css/components/content-header.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:53:\"core/themes/seven/css/components/container-inline.css\";a:8:{s:6:\"weight\";d:0.057;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/themes/seven/css/components/container-inline.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:60:\"core/themes/seven/css/components/container-inline.module.css\";a:8:{s:6:\"weight\";d:0.058;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:60:\"core/themes/seven/css/components/container-inline.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:47:\"core/themes/seven/css/components/breadcrumb.css\";a:8:{s:6:\"weight\";d:0.059;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/seven/css/components/breadcrumb.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:44:\"core/themes/seven/css/components/buttons.css\";a:8:{s:6:\"weight\";d:0.06;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:44:\"core/themes/seven/css/components/buttons.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:44:\"core/themes/seven/css/components/details.css\";a:8:{s:6:\"weight\";d:0.061;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:44:\"core/themes/seven/css/components/details.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:45:\"core/themes/seven/css/components/messages.css\";a:8:{s:6:\"weight\";d:0.062;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/themes/seven/css/components/messages.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:57:\"core/themes/seven/css/components/dropbutton.component.css\";a:8:{s:6:\"weight\";d:0.063;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/themes/seven/css/components/dropbutton.component.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:48:\"core/themes/seven/css/components/entity-meta.css\";a:8:{s:6:\"weight\";d:0.064;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/seven/css/components/entity-meta.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:45:\"core/themes/seven/css/components/field-ui.css\";a:8:{s:6:\"weight\";d:0.065;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/themes/seven/css/components/field-ui.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:41:\"core/themes/seven/css/components/form.css\";a:8:{s:6:\"weight\";d:0.066;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"core/themes/seven/css/components/form.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:41:\"core/themes/seven/css/components/help.css\";a:8:{s:6:\"weight\";d:0.067;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"core/themes/seven/css/components/help.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:52:\"core/themes/seven/css/components/menus-and-lists.css\";a:8:{s:6:\"weight\";d:0.068;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/themes/seven/css/components/menus-and-lists.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/themes/seven/css/components/modules-page.css\";a:8:{s:6:\"weight\";d:0.069;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/themes/seven/css/components/modules-page.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:41:\"core/themes/seven/css/components/node.css\";a:8:{s:6:\"weight\";d:0.07;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"core/themes/seven/css/components/node.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:47:\"core/themes/seven/css/components/page-title.css\";a:8:{s:6:\"weight\";d:0.071;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/seven/css/components/page-title.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:42:\"core/themes/seven/css/components/pager.css\";a:8:{s:6:\"weight\";d:0.072;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:42:\"core/themes/seven/css/components/pager.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:42:\"core/themes/seven/css/components/panel.css\";a:8:{s:6:\"weight\";d:0.073;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:42:\"core/themes/seven/css/components/panel.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:46:\"core/themes/seven/css/components/skip-link.css\";a:8:{s:6:\"weight\";d:0.074;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/themes/seven/css/components/skip-link.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:43:\"core/themes/seven/css/components/tables.css\";a:8:{s:6:\"weight\";d:0.075;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/themes/seven/css/components/tables.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:58:\"core/themes/seven/css/components/search-admin-settings.css\";a:8:{s:6:\"weight\";d:0.076;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/themes/seven/css/components/search-admin-settings.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:56:\"core/themes/seven/css/components/tablesort-indicator.css\";a:8:{s:6:\"weight\";d:0.077;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/themes/seven/css/components/tablesort-indicator.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:57:\"core/themes/seven/css/components/system-status-report.css\";a:8:{s:6:\"weight\";d:0.078;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/themes/seven/css/components/system-status-report.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:70:\"core/themes/seven/css/components/system-status-report-general-info.css\";a:8:{s:6:\"weight\";d:0.078;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:70:\"core/themes/seven/css/components/system-status-report-general-info.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:41:\"core/themes/seven/css/components/tabs.css\";a:8:{s:6:\"weight\";d:0.079;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"core/themes/seven/css/components/tabs.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:66:\"core/themes/seven/css/components/system-status-report-counters.css\";a:8:{s:6:\"weight\";d:0.079;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:66:\"core/themes/seven/css/components/system-status-report-counters.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:58:\"core/themes/seven/css/components/system-status-counter.css\";a:8:{s:6:\"weight\";d:0.079;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/themes/seven/css/components/system-status-counter.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:45:\"core/themes/seven/css/components/views-ui.css\";a:8:{s:6:\"weight\";d:0.08;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/themes/seven/css/components/views-ui.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:38:\"core/themes/seven/css/theme/colors.css\";a:8:{s:6:\"weight\";d:200.081;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:38:\"core/themes/seven/css/theme/colors.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:47:\"core/themes/seven/css/components/tour.theme.css\";a:8:{s:6:\"weight\";d:200.097;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/seven/css/components/tour.theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}}',-1,1636012340.365,1,'library_info','0'),('css:seven:blbG1ghUDh9sa9UVmrq5l5SfFoIWJ60V6CjG1dZ9hrM0','a:108:{s:46:\"core/assets/vendor/normalize-css/normalize.css\";a:8:{s:6:\"weight\";d:-219.95;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/assets/vendor/normalize-css/normalize.css\";s:7:\"version\";s:5:\"3.0.3\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:29:\"core/misc/normalize-fixes.css\";a:8:{s:6:\"weight\";d:-218.949;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:29:\"core/misc/normalize-fixes.css\";s:7:\"version\";s:5:\"3.0.3\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:65:\"core/themes/stable/css/system/components/ajax-progress.module.css\";a:8:{s:6:\"weight\";d:-9.996;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:65:\"core/themes/stable/css/system/components/ajax-progress.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:57:\"core/themes/stable/css/system/components/align.module.css\";a:8:{s:6:\"weight\";d:-9.995;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/themes/stable/css/system/components/align.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:72:\"core/themes/stable/css/system/components/autocomplete-loading.module.css\";a:8:{s:6:\"weight\";d:-9.994;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:72:\"core/themes/stable/css/system/components/autocomplete-loading.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:62:\"core/themes/stable/css/system/components/fieldgroup.module.css\";a:8:{s:6:\"weight\";d:-9.993;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:62:\"core/themes/stable/css/system/components/fieldgroup.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:68:\"core/themes/stable/css/system/components/container-inline.module.css\";a:8:{s:6:\"weight\";d:-9.992;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:68:\"core/themes/stable/css/system/components/container-inline.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:60:\"core/themes/stable/css/system/components/clearfix.module.css\";a:8:{s:6:\"weight\";d:-9.991;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:60:\"core/themes/stable/css/system/components/clearfix.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:59:\"core/themes/stable/css/system/components/details.module.css\";a:8:{s:6:\"weight\";d:-9.99;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:59:\"core/themes/stable/css/system/components/details.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:58:\"core/themes/stable/css/system/components/hidden.module.css\";a:8:{s:6:\"weight\";d:-9.989;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/themes/stable/css/system/components/hidden.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:61:\"core/themes/stable/css/system/components/item-list.module.css\";a:8:{s:6:\"weight\";d:-9.988;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:61:\"core/themes/stable/css/system/components/item-list.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:54:\"core/themes/stable/css/system/components/js.module.css\";a:8:{s:6:\"weight\";d:-9.987;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/themes/stable/css/system/components/js.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:58:\"core/themes/stable/css/system/components/nowrap.module.css\";a:8:{s:6:\"weight\";d:-9.986;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/themes/stable/css/system/components/nowrap.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:70:\"core/themes/stable/css/system/components/position-container.module.css\";a:8:{s:6:\"weight\";d:-9.985;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:70:\"core/themes/stable/css/system/components/position-container.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:60:\"core/themes/stable/css/system/components/progress.module.css\";a:8:{s:6:\"weight\";d:-9.984;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:60:\"core/themes/stable/css/system/components/progress.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:68:\"core/themes/stable/css/system/components/reset-appearance.module.css\";a:8:{s:6:\"weight\";d:-9.983;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:68:\"core/themes/stable/css/system/components/reset-appearance.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:58:\"core/themes/stable/css/system/components/resize.module.css\";a:8:{s:6:\"weight\";d:-9.982;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/themes/stable/css/system/components/resize.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:65:\"core/themes/stable/css/system/components/sticky-header.module.css\";a:8:{s:6:\"weight\";d:-9.981;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:65:\"core/themes/stable/css/system/components/sticky-header.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:61:\"core/themes/stable/css/system/components/tabledrag.module.css\";a:8:{s:6:\"weight\";d:-9.98;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:61:\"core/themes/stable/css/system/components/tabledrag.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:61:\"core/themes/stable/css/system/components/tablesort.module.css\";a:8:{s:6:\"weight\";d:-9.979;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:61:\"core/themes/stable/css/system/components/tablesort.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:62:\"core/themes/stable/css/system/components/tree-child.module.css\";a:8:{s:6:\"weight\";d:-9.978;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:62:\"core/themes/stable/css/system/components/tree-child.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:55:\"core/themes/stable/css/contextual/contextual.module.css\";a:8:{s:6:\"weight\";d:0.001;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/themes/stable/css/contextual/contextual.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/assets/vendor/jquery.ui/themes/base/core.css\";a:8:{s:6:\"weight\";d:0.085;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/assets/vendor/jquery.ui/themes/base/core.css\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:58:\"core/assets/vendor/jquery.ui/themes/base/checkboxradio.css\";a:8:{s:6:\"weight\";d:0.087;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/assets/vendor/jquery.ui/themes/base/checkboxradio.css\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:57:\"core/assets/vendor/jquery.ui/themes/base/controlgroup.css\";a:8:{s:6:\"weight\";d:0.089;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/assets/vendor/jquery.ui/themes/base/controlgroup.css\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:51:\"core/assets/vendor/jquery.ui/themes/base/button.css\";a:8:{s:6:\"weight\";d:0.09;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:51:\"core/assets/vendor/jquery.ui/themes/base/button.css\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:54:\"core/assets/vendor/jquery.ui/themes/base/resizable.css\";a:8:{s:6:\"weight\";d:0.09;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/assets/vendor/jquery.ui/themes/base/resizable.css\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:27:\"modules/token/css/token.css\";a:8:{s:6:\"weight\";d:0.092;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:27:\"modules/token/css/token.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/themes/stable/css/toolbar/toolbar.module.css\";a:8:{s:6:\"weight\";d:0.096;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/themes/stable/css/toolbar/toolbar.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/assets/vendor/jquery.ui/themes/base/menu.css\";a:8:{s:6:\"weight\";d:0.099;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/assets/vendor/jquery.ui/themes/base/menu.css\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:57:\"core/assets/vendor/jquery.ui/themes/base/autocomplete.css\";a:8:{s:6:\"weight\";d:0.1;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/assets/vendor/jquery.ui/themes/base/autocomplete.css\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:43:\"core/themes/stable/css/tour/tour.module.css\";a:8:{s:5:\"media\";s:6:\"screen\";s:6:\"weight\";d:0.103;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/themes/stable/css/tour/tour.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:56:\"core/themes/stable/css/contextual/contextual.toolbar.css\";a:8:{s:6:\"weight\";d:0.105;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/themes/stable/css/contextual/contextual.toolbar.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:47:\"core/themes/stable/css/toolbar/toolbar.menu.css\";a:8:{s:6:\"weight\";d:100.095;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/stable/css/toolbar/toolbar.menu.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:46:\"core/themes/stable/css/system/system.admin.css\";a:8:{s:6:\"weight\";d:190.026;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/themes/stable/css/system/system.admin.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:54:\"core/themes/stable/css/contextual/contextual.theme.css\";a:8:{s:6:\"weight\";d:200.002;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/themes/stable/css/contextual/contextual.theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:60:\"core/themes/stable/css/contextual/contextual.icons.theme.css\";a:8:{s:6:\"weight\";d:200.003;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:60:\"core/themes/stable/css/contextual/contextual.icons.theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:42:\"core/themes/stable/css/user/user.admin.css\";a:8:{s:6:\"weight\";d:200.083;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:42:\"core/themes/stable/css/user/user.admin.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:50:\"core/themes/stable/css/shortcut/shortcut.theme.css\";a:8:{s:6:\"weight\";d:200.093;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:50:\"core/themes/stable/css/shortcut/shortcut.theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:56:\"core/themes/stable/css/shortcut/shortcut.icons.theme.css\";a:8:{s:6:\"weight\";d:200.094;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/themes/stable/css/shortcut/shortcut.icons.theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:48:\"core/themes/stable/css/toolbar/toolbar.theme.css\";a:8:{s:6:\"weight\";d:200.097;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/stable/css/toolbar/toolbar.theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:54:\"core/themes/stable/css/toolbar/toolbar.icons.theme.css\";a:8:{s:6:\"weight\";d:200.098;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/themes/stable/css/toolbar/toolbar.icons.theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:71:\"modules/admin_toolbar/admin_toolbar_search/css/admin.toolbar_search.css\";a:8:{s:6:\"weight\";d:200.101;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:71:\"modules/admin_toolbar/admin_toolbar_search/css/admin.toolbar_search.css\";s:7:\"version\";i:-1;s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:48:\"core/themes/stable/css/user/user.icons.admin.css\";a:8:{s:6:\"weight\";d:200.102;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/stable/css/user/user.icons.admin.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:55:\"modules/admin_toolbar/admin_toolbar_tools/css/tools.css\";a:8:{s:6:\"weight\";d:200.106;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"modules/admin_toolbar/admin_toolbar_tools/css/tools.css\";s:7:\"version\";i:-1;s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:43:\"modules/admin_toolbar/css/admin.toolbar.css\";a:8:{s:6:\"weight\";d:200.107;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"modules/admin_toolbar/css/admin.toolbar.css\";s:7:\"version\";i:-1;s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:39:\"core/themes/seven/css/base/elements.css\";a:8:{s:6:\"weight\";d:-199.948;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:39:\"core/themes/seven/css/base/elements.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:41:\"core/themes/seven/css/base/typography.css\";a:8:{s:6:\"weight\";d:-199.947;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"core/themes/seven/css/base/typography.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:36:\"core/themes/seven/css/base/print.css\";a:8:{s:6:\"weight\";d:-199.946;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:36:\"core/themes/seven/css/base/print.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:39:\"core/themes/seven/css/layout/layout.css\";a:8:{s:6:\"weight\";d:-99.918;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:39:\"core/themes/seven/css/layout/layout.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:52:\"core/themes/seven/css/classy/components/progress.css\";a:8:{s:6:\"weight\";d:-9.999;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/themes/seven/css/classy/components/progress.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:56:\"core/themes/seven/css/classy/components/action-links.css\";a:8:{s:6:\"weight\";d:-9.973;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/themes/seven/css/classy/components/action-links.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:54:\"core/themes/seven/css/classy/components/breadcrumb.css\";a:8:{s:6:\"weight\";d:-9.972;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/themes/seven/css/classy/components/breadcrumb.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:50:\"core/themes/seven/css/classy/components/button.css\";a:8:{s:6:\"weight\";d:-9.971;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:50:\"core/themes/seven/css/classy/components/button.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:62:\"core/themes/seven/css/classy/components/collapse-processed.css\";a:8:{s:6:\"weight\";d:-9.97;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:62:\"core/themes/seven/css/classy/components/collapse-processed.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:60:\"core/themes/seven/css/classy/components/container-inline.css\";a:8:{s:6:\"weight\";d:-9.969;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:60:\"core/themes/seven/css/classy/components/container-inline.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:59:\"core/themes/seven/css/classy/components/exposed-filters.css\";a:8:{s:6:\"weight\";d:-9.968;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:59:\"core/themes/seven/css/classy/components/exposed-filters.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/themes/seven/css/classy/components/field.css\";a:8:{s:6:\"weight\";d:-9.967;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/themes/seven/css/classy/components/field.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:48:\"core/themes/seven/css/classy/components/form.css\";a:8:{s:6:\"weight\";d:-9.966;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/seven/css/classy/components/form.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/themes/seven/css/classy/components/icons.css\";a:8:{s:6:\"weight\";d:-9.965;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/themes/seven/css/classy/components/icons.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:55:\"core/themes/seven/css/classy/components/inline-form.css\";a:8:{s:6:\"weight\";d:-9.964;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/themes/seven/css/classy/components/inline-form.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:53:\"core/themes/seven/css/classy/components/item-list.css\";a:8:{s:6:\"weight\";d:-9.963;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/themes/seven/css/classy/components/item-list.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:48:\"core/themes/seven/css/classy/components/link.css\";a:8:{s:6:\"weight\";d:-9.962;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/seven/css/classy/components/link.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/themes/seven/css/classy/components/links.css\";a:8:{s:6:\"weight\";d:-9.961;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/themes/seven/css/classy/components/links.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:48:\"core/themes/seven/css/classy/components/menu.css\";a:8:{s:6:\"weight\";d:-9.96;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/seven/css/classy/components/menu.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:53:\"core/themes/seven/css/classy/components/more-link.css\";a:8:{s:6:\"weight\";d:-9.959;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/themes/seven/css/classy/components/more-link.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/themes/seven/css/classy/components/pager.css\";a:8:{s:6:\"weight\";d:-9.958;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/themes/seven/css/classy/components/pager.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:53:\"core/themes/seven/css/classy/components/tabledrag.css\";a:8:{s:6:\"weight\";d:-9.957;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/themes/seven/css/classy/components/tabledrag.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:55:\"core/themes/seven/css/classy/components/tableselect.css\";a:8:{s:6:\"weight\";d:-9.956;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/themes/seven/css/classy/components/tableselect.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:53:\"core/themes/seven/css/classy/components/tablesort.css\";a:8:{s:6:\"weight\";d:-9.955;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/themes/seven/css/classy/components/tablesort.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:48:\"core/themes/seven/css/classy/components/tabs.css\";a:8:{s:6:\"weight\";d:-9.954;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/seven/css/classy/components/tabs.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:52:\"core/themes/seven/css/classy/components/textarea.css\";a:8:{s:6:\"weight\";d:-9.953;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/themes/seven/css/classy/components/textarea.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:53:\"core/themes/seven/css/classy/components/ui-dialog.css\";a:8:{s:6:\"weight\";d:-9.952;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/themes/seven/css/classy/components/ui-dialog.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:52:\"core/themes/seven/css/classy/components/messages.css\";a:8:{s:6:\"weight\";d:-9.951;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/themes/seven/css/classy/components/messages.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:52:\"core/themes/seven/css/components/jquery.ui/theme.css\";a:8:{s:6:\"weight\";d:-0.914;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/themes/seven/css/components/jquery.ui/theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:47:\"core/themes/seven/css/components/admin-list.css\";a:8:{s:6:\"weight\";d:0.055;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/seven/css/components/admin-list.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:51:\"core/themes/seven/css/components/content-header.css\";a:8:{s:6:\"weight\";d:0.056;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:51:\"core/themes/seven/css/components/content-header.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:53:\"core/themes/seven/css/components/container-inline.css\";a:8:{s:6:\"weight\";d:0.057;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/themes/seven/css/components/container-inline.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:60:\"core/themes/seven/css/components/container-inline.module.css\";a:8:{s:6:\"weight\";d:0.058;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:60:\"core/themes/seven/css/components/container-inline.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:47:\"core/themes/seven/css/components/breadcrumb.css\";a:8:{s:6:\"weight\";d:0.059;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/seven/css/components/breadcrumb.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:44:\"core/themes/seven/css/components/buttons.css\";a:8:{s:6:\"weight\";d:0.06;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:44:\"core/themes/seven/css/components/buttons.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:44:\"core/themes/seven/css/components/details.css\";a:8:{s:6:\"weight\";d:0.061;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:44:\"core/themes/seven/css/components/details.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:45:\"core/themes/seven/css/components/messages.css\";a:8:{s:6:\"weight\";d:0.062;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/themes/seven/css/components/messages.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:57:\"core/themes/seven/css/components/dropbutton.component.css\";a:8:{s:6:\"weight\";d:0.063;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/themes/seven/css/components/dropbutton.component.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:48:\"core/themes/seven/css/components/entity-meta.css\";a:8:{s:6:\"weight\";d:0.064;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/seven/css/components/entity-meta.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:45:\"core/themes/seven/css/components/field-ui.css\";a:8:{s:6:\"weight\";d:0.065;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/themes/seven/css/components/field-ui.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:41:\"core/themes/seven/css/components/form.css\";a:8:{s:6:\"weight\";d:0.066;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"core/themes/seven/css/components/form.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:41:\"core/themes/seven/css/components/help.css\";a:8:{s:6:\"weight\";d:0.067;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"core/themes/seven/css/components/help.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:52:\"core/themes/seven/css/components/menus-and-lists.css\";a:8:{s:6:\"weight\";d:0.068;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/themes/seven/css/components/menus-and-lists.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/themes/seven/css/components/modules-page.css\";a:8:{s:6:\"weight\";d:0.069;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/themes/seven/css/components/modules-page.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:41:\"core/themes/seven/css/components/node.css\";a:8:{s:6:\"weight\";d:0.07;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"core/themes/seven/css/components/node.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:47:\"core/themes/seven/css/components/page-title.css\";a:8:{s:6:\"weight\";d:0.071;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/seven/css/components/page-title.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:42:\"core/themes/seven/css/components/pager.css\";a:8:{s:6:\"weight\";d:0.072;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:42:\"core/themes/seven/css/components/pager.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:42:\"core/themes/seven/css/components/panel.css\";a:8:{s:6:\"weight\";d:0.073;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:42:\"core/themes/seven/css/components/panel.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:46:\"core/themes/seven/css/components/skip-link.css\";a:8:{s:6:\"weight\";d:0.074;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/themes/seven/css/components/skip-link.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:43:\"core/themes/seven/css/components/tables.css\";a:8:{s:6:\"weight\";d:0.075;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/themes/seven/css/components/tables.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:58:\"core/themes/seven/css/components/search-admin-settings.css\";a:8:{s:6:\"weight\";d:0.076;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/themes/seven/css/components/search-admin-settings.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:56:\"core/themes/seven/css/components/tablesort-indicator.css\";a:8:{s:6:\"weight\";d:0.077;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/themes/seven/css/components/tablesort-indicator.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:70:\"core/themes/seven/css/components/system-status-report-general-info.css\";a:8:{s:6:\"weight\";d:0.078;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:70:\"core/themes/seven/css/components/system-status-report-general-info.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:57:\"core/themes/seven/css/components/system-status-report.css\";a:8:{s:6:\"weight\";d:0.078;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/themes/seven/css/components/system-status-report.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:41:\"core/themes/seven/css/components/tabs.css\";a:8:{s:6:\"weight\";d:0.079;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"core/themes/seven/css/components/tabs.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:66:\"core/themes/seven/css/components/system-status-report-counters.css\";a:8:{s:6:\"weight\";d:0.079;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:66:\"core/themes/seven/css/components/system-status-report-counters.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:58:\"core/themes/seven/css/components/system-status-counter.css\";a:8:{s:6:\"weight\";d:0.079;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/themes/seven/css/components/system-status-counter.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:45:\"core/themes/seven/css/components/views-ui.css\";a:8:{s:6:\"weight\";d:0.08;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/themes/seven/css/components/views-ui.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:50:\"core/themes/seven/css/components/vertical-tabs.css\";a:8:{s:6:\"weight\";d:0.084;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:50:\"core/themes/seven/css/components/vertical-tabs.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:38:\"core/themes/seven/css/theme/colors.css\";a:8:{s:6:\"weight\";d:200.081;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:38:\"core/themes/seven/css/theme/colors.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:43:\"core/themes/seven/css/components/dialog.css\";a:8:{s:6:\"weight\";d:200.092;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/themes/seven/css/components/dialog.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:47:\"core/themes/seven/css/components/tour.theme.css\";a:8:{s:6:\"weight\";d:200.104;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/seven/css/components/tour.theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}}',-1,1637057237.518,1,'library_info','0'),('css:seven:d_oITM2aF38VM1yQJ3HQhwDnn13dZO9jwPhNXSDqWw00','a:100:{s:46:\"core/assets/vendor/normalize-css/normalize.css\";a:8:{s:6:\"weight\";d:-219.95;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/assets/vendor/normalize-css/normalize.css\";s:7:\"version\";s:5:\"3.0.3\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:29:\"core/misc/normalize-fixes.css\";a:8:{s:6:\"weight\";d:-218.949;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:29:\"core/misc/normalize-fixes.css\";s:7:\"version\";s:5:\"3.0.3\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:65:\"core/themes/stable/css/system/components/ajax-progress.module.css\";a:8:{s:6:\"weight\";d:-9.996;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:65:\"core/themes/stable/css/system/components/ajax-progress.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:57:\"core/themes/stable/css/system/components/align.module.css\";a:8:{s:6:\"weight\";d:-9.995;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/themes/stable/css/system/components/align.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:72:\"core/themes/stable/css/system/components/autocomplete-loading.module.css\";a:8:{s:6:\"weight\";d:-9.994;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:72:\"core/themes/stable/css/system/components/autocomplete-loading.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:62:\"core/themes/stable/css/system/components/fieldgroup.module.css\";a:8:{s:6:\"weight\";d:-9.993;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:62:\"core/themes/stable/css/system/components/fieldgroup.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:68:\"core/themes/stable/css/system/components/container-inline.module.css\";a:8:{s:6:\"weight\";d:-9.992;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:68:\"core/themes/stable/css/system/components/container-inline.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:60:\"core/themes/stable/css/system/components/clearfix.module.css\";a:8:{s:6:\"weight\";d:-9.991;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:60:\"core/themes/stable/css/system/components/clearfix.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:59:\"core/themes/stable/css/system/components/details.module.css\";a:8:{s:6:\"weight\";d:-9.99;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:59:\"core/themes/stable/css/system/components/details.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:58:\"core/themes/stable/css/system/components/hidden.module.css\";a:8:{s:6:\"weight\";d:-9.989;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/themes/stable/css/system/components/hidden.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:61:\"core/themes/stable/css/system/components/item-list.module.css\";a:8:{s:6:\"weight\";d:-9.988;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:61:\"core/themes/stable/css/system/components/item-list.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:54:\"core/themes/stable/css/system/components/js.module.css\";a:8:{s:6:\"weight\";d:-9.987;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/themes/stable/css/system/components/js.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:58:\"core/themes/stable/css/system/components/nowrap.module.css\";a:8:{s:6:\"weight\";d:-9.986;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/themes/stable/css/system/components/nowrap.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:70:\"core/themes/stable/css/system/components/position-container.module.css\";a:8:{s:6:\"weight\";d:-9.985;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:70:\"core/themes/stable/css/system/components/position-container.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:60:\"core/themes/stable/css/system/components/progress.module.css\";a:8:{s:6:\"weight\";d:-9.984;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:60:\"core/themes/stable/css/system/components/progress.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:68:\"core/themes/stable/css/system/components/reset-appearance.module.css\";a:8:{s:6:\"weight\";d:-9.983;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:68:\"core/themes/stable/css/system/components/reset-appearance.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:58:\"core/themes/stable/css/system/components/resize.module.css\";a:8:{s:6:\"weight\";d:-9.982;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/themes/stable/css/system/components/resize.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:65:\"core/themes/stable/css/system/components/sticky-header.module.css\";a:8:{s:6:\"weight\";d:-9.981;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:65:\"core/themes/stable/css/system/components/sticky-header.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:61:\"core/themes/stable/css/system/components/tabledrag.module.css\";a:8:{s:6:\"weight\";d:-9.98;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:61:\"core/themes/stable/css/system/components/tabledrag.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:61:\"core/themes/stable/css/system/components/tablesort.module.css\";a:8:{s:6:\"weight\";d:-9.979;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:61:\"core/themes/stable/css/system/components/tablesort.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:62:\"core/themes/stable/css/system/components/tree-child.module.css\";a:8:{s:6:\"weight\";d:-9.978;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:62:\"core/themes/stable/css/system/components/tree-child.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:55:\"core/themes/stable/css/contextual/contextual.module.css\";a:8:{s:6:\"weight\";d:0.001;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/themes/stable/css/contextual/contextual.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/themes/stable/css/toolbar/toolbar.module.css\";a:8:{s:6:\"weight\";d:0.086;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/themes/stable/css/toolbar/toolbar.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/assets/vendor/jquery.ui/themes/base/core.css\";a:8:{s:6:\"weight\";d:0.089;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/assets/vendor/jquery.ui/themes/base/core.css\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/assets/vendor/jquery.ui/themes/base/menu.css\";a:8:{s:6:\"weight\";d:0.091;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/assets/vendor/jquery.ui/themes/base/menu.css\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:57:\"core/assets/vendor/jquery.ui/themes/base/autocomplete.css\";a:8:{s:6:\"weight\";d:0.092;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/assets/vendor/jquery.ui/themes/base/autocomplete.css\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:43:\"core/themes/stable/css/tour/tour.module.css\";a:8:{s:5:\"media\";s:6:\"screen\";s:6:\"weight\";d:0.095;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/themes/stable/css/tour/tour.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:56:\"core/themes/stable/css/contextual/contextual.toolbar.css\";a:8:{s:6:\"weight\";d:0.097;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/themes/stable/css/contextual/contextual.toolbar.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:47:\"core/themes/stable/css/toolbar/toolbar.menu.css\";a:8:{s:6:\"weight\";d:100.085;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/stable/css/toolbar/toolbar.menu.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:46:\"core/themes/stable/css/system/system.admin.css\";a:8:{s:6:\"weight\";d:190.026;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/themes/stable/css/system/system.admin.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:54:\"core/themes/stable/css/contextual/contextual.theme.css\";a:8:{s:6:\"weight\";d:200.002;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/themes/stable/css/contextual/contextual.theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:60:\"core/themes/stable/css/contextual/contextual.icons.theme.css\";a:8:{s:6:\"weight\";d:200.003;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:60:\"core/themes/stable/css/contextual/contextual.icons.theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:50:\"core/themes/stable/css/shortcut/shortcut.theme.css\";a:8:{s:6:\"weight\";d:200.083;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:50:\"core/themes/stable/css/shortcut/shortcut.theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:56:\"core/themes/stable/css/shortcut/shortcut.icons.theme.css\";a:8:{s:6:\"weight\";d:200.084;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/themes/stable/css/shortcut/shortcut.icons.theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:48:\"core/themes/stable/css/toolbar/toolbar.theme.css\";a:8:{s:6:\"weight\";d:200.087;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/stable/css/toolbar/toolbar.theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:54:\"core/themes/stable/css/toolbar/toolbar.icons.theme.css\";a:8:{s:6:\"weight\";d:200.088;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/themes/stable/css/toolbar/toolbar.icons.theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:71:\"modules/admin_toolbar/admin_toolbar_search/css/admin.toolbar_search.css\";a:8:{s:6:\"weight\";d:200.093;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:71:\"modules/admin_toolbar/admin_toolbar_search/css/admin.toolbar_search.css\";s:7:\"version\";i:-1;s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:48:\"core/themes/stable/css/user/user.icons.admin.css\";a:8:{s:6:\"weight\";d:200.094;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/stable/css/user/user.icons.admin.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:55:\"modules/admin_toolbar/admin_toolbar_tools/css/tools.css\";a:8:{s:6:\"weight\";d:200.098;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"modules/admin_toolbar/admin_toolbar_tools/css/tools.css\";s:7:\"version\";i:-1;s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:43:\"modules/admin_toolbar/css/admin.toolbar.css\";a:8:{s:6:\"weight\";d:200.099;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"modules/admin_toolbar/css/admin.toolbar.css\";s:7:\"version\";i:-1;s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:39:\"core/themes/seven/css/base/elements.css\";a:8:{s:6:\"weight\";d:-199.948;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:39:\"core/themes/seven/css/base/elements.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:41:\"core/themes/seven/css/base/typography.css\";a:8:{s:6:\"weight\";d:-199.947;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"core/themes/seven/css/base/typography.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:36:\"core/themes/seven/css/base/print.css\";a:8:{s:6:\"weight\";d:-199.946;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:36:\"core/themes/seven/css/base/print.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:39:\"core/themes/seven/css/layout/layout.css\";a:8:{s:6:\"weight\";d:-99.918;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:39:\"core/themes/seven/css/layout/layout.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:52:\"core/themes/seven/css/classy/components/progress.css\";a:8:{s:6:\"weight\";d:-9.999;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/themes/seven/css/classy/components/progress.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:56:\"core/themes/seven/css/classy/components/action-links.css\";a:8:{s:6:\"weight\";d:-9.973;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/themes/seven/css/classy/components/action-links.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:54:\"core/themes/seven/css/classy/components/breadcrumb.css\";a:8:{s:6:\"weight\";d:-9.972;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/themes/seven/css/classy/components/breadcrumb.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:50:\"core/themes/seven/css/classy/components/button.css\";a:8:{s:6:\"weight\";d:-9.971;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:50:\"core/themes/seven/css/classy/components/button.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:62:\"core/themes/seven/css/classy/components/collapse-processed.css\";a:8:{s:6:\"weight\";d:-9.97;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:62:\"core/themes/seven/css/classy/components/collapse-processed.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:60:\"core/themes/seven/css/classy/components/container-inline.css\";a:8:{s:6:\"weight\";d:-9.969;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:60:\"core/themes/seven/css/classy/components/container-inline.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:59:\"core/themes/seven/css/classy/components/exposed-filters.css\";a:8:{s:6:\"weight\";d:-9.968;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:59:\"core/themes/seven/css/classy/components/exposed-filters.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/themes/seven/css/classy/components/field.css\";a:8:{s:6:\"weight\";d:-9.967;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/themes/seven/css/classy/components/field.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:48:\"core/themes/seven/css/classy/components/form.css\";a:8:{s:6:\"weight\";d:-9.966;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/seven/css/classy/components/form.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/themes/seven/css/classy/components/icons.css\";a:8:{s:6:\"weight\";d:-9.965;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/themes/seven/css/classy/components/icons.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:55:\"core/themes/seven/css/classy/components/inline-form.css\";a:8:{s:6:\"weight\";d:-9.964;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/themes/seven/css/classy/components/inline-form.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:53:\"core/themes/seven/css/classy/components/item-list.css\";a:8:{s:6:\"weight\";d:-9.963;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/themes/seven/css/classy/components/item-list.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:48:\"core/themes/seven/css/classy/components/link.css\";a:8:{s:6:\"weight\";d:-9.962;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/seven/css/classy/components/link.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/themes/seven/css/classy/components/links.css\";a:8:{s:6:\"weight\";d:-9.961;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/themes/seven/css/classy/components/links.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:48:\"core/themes/seven/css/classy/components/menu.css\";a:8:{s:6:\"weight\";d:-9.96;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/seven/css/classy/components/menu.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:53:\"core/themes/seven/css/classy/components/more-link.css\";a:8:{s:6:\"weight\";d:-9.959;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/themes/seven/css/classy/components/more-link.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/themes/seven/css/classy/components/pager.css\";a:8:{s:6:\"weight\";d:-9.958;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/themes/seven/css/classy/components/pager.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:53:\"core/themes/seven/css/classy/components/tabledrag.css\";a:8:{s:6:\"weight\";d:-9.957;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/themes/seven/css/classy/components/tabledrag.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:55:\"core/themes/seven/css/classy/components/tableselect.css\";a:8:{s:6:\"weight\";d:-9.956;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/themes/seven/css/classy/components/tableselect.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:53:\"core/themes/seven/css/classy/components/tablesort.css\";a:8:{s:6:\"weight\";d:-9.955;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/themes/seven/css/classy/components/tablesort.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:48:\"core/themes/seven/css/classy/components/tabs.css\";a:8:{s:6:\"weight\";d:-9.954;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/seven/css/classy/components/tabs.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:52:\"core/themes/seven/css/classy/components/textarea.css\";a:8:{s:6:\"weight\";d:-9.953;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/themes/seven/css/classy/components/textarea.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:53:\"core/themes/seven/css/classy/components/ui-dialog.css\";a:8:{s:6:\"weight\";d:-9.952;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/themes/seven/css/classy/components/ui-dialog.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:52:\"core/themes/seven/css/classy/components/messages.css\";a:8:{s:6:\"weight\";d:-9.951;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/themes/seven/css/classy/components/messages.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:52:\"core/themes/seven/css/components/jquery.ui/theme.css\";a:8:{s:6:\"weight\";d:-0.91;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/themes/seven/css/components/jquery.ui/theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:47:\"core/themes/seven/css/components/admin-list.css\";a:8:{s:6:\"weight\";d:0.055;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/seven/css/components/admin-list.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:51:\"core/themes/seven/css/components/content-header.css\";a:8:{s:6:\"weight\";d:0.056;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:51:\"core/themes/seven/css/components/content-header.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:53:\"core/themes/seven/css/components/container-inline.css\";a:8:{s:6:\"weight\";d:0.057;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/themes/seven/css/components/container-inline.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:60:\"core/themes/seven/css/components/container-inline.module.css\";a:8:{s:6:\"weight\";d:0.058;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:60:\"core/themes/seven/css/components/container-inline.module.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:47:\"core/themes/seven/css/components/breadcrumb.css\";a:8:{s:6:\"weight\";d:0.059;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/seven/css/components/breadcrumb.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:44:\"core/themes/seven/css/components/buttons.css\";a:8:{s:6:\"weight\";d:0.06;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:44:\"core/themes/seven/css/components/buttons.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:44:\"core/themes/seven/css/components/details.css\";a:8:{s:6:\"weight\";d:0.061;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:44:\"core/themes/seven/css/components/details.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:45:\"core/themes/seven/css/components/messages.css\";a:8:{s:6:\"weight\";d:0.062;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/themes/seven/css/components/messages.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:57:\"core/themes/seven/css/components/dropbutton.component.css\";a:8:{s:6:\"weight\";d:0.063;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/themes/seven/css/components/dropbutton.component.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:48:\"core/themes/seven/css/components/entity-meta.css\";a:8:{s:6:\"weight\";d:0.064;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/seven/css/components/entity-meta.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:45:\"core/themes/seven/css/components/field-ui.css\";a:8:{s:6:\"weight\";d:0.065;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/themes/seven/css/components/field-ui.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:41:\"core/themes/seven/css/components/form.css\";a:8:{s:6:\"weight\";d:0.066;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"core/themes/seven/css/components/form.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:41:\"core/themes/seven/css/components/help.css\";a:8:{s:6:\"weight\";d:0.067;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"core/themes/seven/css/components/help.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:52:\"core/themes/seven/css/components/menus-and-lists.css\";a:8:{s:6:\"weight\";d:0.068;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/themes/seven/css/components/menus-and-lists.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:49:\"core/themes/seven/css/components/modules-page.css\";a:8:{s:6:\"weight\";d:0.069;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/themes/seven/css/components/modules-page.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:41:\"core/themes/seven/css/components/node.css\";a:8:{s:6:\"weight\";d:0.07;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"core/themes/seven/css/components/node.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:47:\"core/themes/seven/css/components/page-title.css\";a:8:{s:6:\"weight\";d:0.071;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/seven/css/components/page-title.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:42:\"core/themes/seven/css/components/pager.css\";a:8:{s:6:\"weight\";d:0.072;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:42:\"core/themes/seven/css/components/pager.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:42:\"core/themes/seven/css/components/panel.css\";a:8:{s:6:\"weight\";d:0.073;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:42:\"core/themes/seven/css/components/panel.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:46:\"core/themes/seven/css/components/skip-link.css\";a:8:{s:6:\"weight\";d:0.074;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/themes/seven/css/components/skip-link.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:43:\"core/themes/seven/css/components/tables.css\";a:8:{s:6:\"weight\";d:0.075;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/themes/seven/css/components/tables.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:58:\"core/themes/seven/css/components/search-admin-settings.css\";a:8:{s:6:\"weight\";d:0.076;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/themes/seven/css/components/search-admin-settings.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:56:\"core/themes/seven/css/components/tablesort-indicator.css\";a:8:{s:6:\"weight\";d:0.077;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/themes/seven/css/components/tablesort-indicator.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:57:\"core/themes/seven/css/components/system-status-report.css\";a:8:{s:6:\"weight\";d:0.078;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/themes/seven/css/components/system-status-report.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:70:\"core/themes/seven/css/components/system-status-report-general-info.css\";a:8:{s:6:\"weight\";d:0.078;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:70:\"core/themes/seven/css/components/system-status-report-general-info.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:66:\"core/themes/seven/css/components/system-status-report-counters.css\";a:8:{s:6:\"weight\";d:0.079;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:66:\"core/themes/seven/css/components/system-status-report-counters.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:58:\"core/themes/seven/css/components/system-status-counter.css\";a:8:{s:6:\"weight\";d:0.079;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/themes/seven/css/components/system-status-counter.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:41:\"core/themes/seven/css/components/tabs.css\";a:8:{s:6:\"weight\";d:0.079;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"core/themes/seven/css/components/tabs.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:45:\"core/themes/seven/css/components/views-ui.css\";a:8:{s:6:\"weight\";d:0.08;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/themes/seven/css/components/views-ui.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:38:\"core/themes/seven/css/theme/colors.css\";a:8:{s:6:\"weight\";d:200.081;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:38:\"core/themes/seven/css/theme/colors.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}s:47:\"core/themes/seven/css/components/tour.theme.css\";a:8:{s:6:\"weight\";d:200.096;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/seven/css/components/tour.theme.css\";s:7:\"version\";s:6:\"8.9.19\";s:5:\"media\";s:3:\"all\";s:10:\"preprocess\";b:1;s:8:\"browsers\";a:2:{s:2:\"IE\";b:1;s:3:\"!IE\";b:1;}}}',-1,1637057262.183,1,'library_info','0'),('frontpage:page_1:results:580da1544d5eb8913eddf0c58e78613b34293e7e7baac9bb93d7dc00419a000d','a:3:{s:6:\"result\";a:3:{i:0;O:22:\"Drupal\\views\\ResultRow\":7:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:0;s:24:\"node_field_data_langcode\";s:2:\"en\";s:22:\"node_field_data_sticky\";s:1:\"0\";s:23:\"node_field_data_created\";s:10:\"1449807607\";s:3:\"nid\";s:2:\"12\";}i:1;O:22:\"Drupal\\views\\ResultRow\":7:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:1;s:24:\"node_field_data_langcode\";s:2:\"en\";s:22:\"node_field_data_sticky\";s:1:\"0\";s:23:\"node_field_data_created\";s:10:\"1450761893\";s:3:\"nid\";s:2:\"15\";}i:2;O:22:\"Drupal\\views\\ResultRow\":7:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:2;s:24:\"node_field_data_langcode\";s:2:\"en\";s:22:\"node_field_data_sticky\";s:1:\"0\";s:23:\"node_field_data_created\";s:10:\"1469422582\";s:3:\"nid\";s:2:\"16\";}}s:10:\"total_rows\";i:0;s:12:\"current_page\";N;}',-1,1636711429.226,1,'config:views.view.frontpage node:12 node:15 node:16 node_list','7'),('frontpage:page_1:results:c9b892c1e7c89ed764101c8e8e9153737e1810cf3b4dd9f5694def1932f7fa17','a:3:{s:6:\"result\";a:3:{i:0;O:22:\"Drupal\\views\\ResultRow\":7:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:0;s:24:\"node_field_data_langcode\";s:2:\"en\";s:22:\"node_field_data_sticky\";s:1:\"0\";s:23:\"node_field_data_created\";s:10:\"1449807607\";s:3:\"nid\";s:2:\"12\";}i:1;O:22:\"Drupal\\views\\ResultRow\":7:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:1;s:24:\"node_field_data_langcode\";s:2:\"en\";s:22:\"node_field_data_sticky\";s:1:\"0\";s:23:\"node_field_data_created\";s:10:\"1450761893\";s:3:\"nid\";s:2:\"15\";}i:2;O:22:\"Drupal\\views\\ResultRow\":7:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:2;s:24:\"node_field_data_langcode\";s:2:\"en\";s:22:\"node_field_data_sticky\";s:1:\"0\";s:23:\"node_field_data_created\";s:10:\"1469422582\";s:3:\"nid\";s:2:\"16\";}}s:10:\"total_rows\";i:0;s:12:\"current_page\";N;}',-1,1636012247.663,1,'config:views.view.frontpage node:12 node:15 node:16 node_list','7'),('js:luxestate:en:4bC2Oe2VY6b4DsEeYwjfKG_Mf_T_x3suiRMwau5I16I10','a:4:{i:0;a:0:{}i:1;a:5:{s:39:\"core/assets/vendor/ckeditor/ckeditor.js\";a:11:{s:10:\"preprocess\";b:0;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:39:\"core/assets/vendor/ckeditor/ckeditor.js\";s:7:\"version\";s:6:\"4.16.2\";s:6:\"weight\";i:0;s:5:\"cache\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:32:\"core/modules/editor/js/editor.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:32:\"core/modules/editor/js/editor.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.001;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:36:\"core/modules/ckeditor/js/ckeditor.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:36:\"core/modules/ckeditor/js/ckeditor.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.002;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:57:\"core/modules/ckeditor/js/ckeditor.off-canvas-css-reset.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/modules/ckeditor/js/ckeditor.off-canvas-css-reset.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.003;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:52:\"core/modules/editor/js/editor.formattedTextEditor.js\";a:11:{s:10:\"attributes\";a:1:{s:5:\"defer\";b:1;}s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/modules/editor/js/editor.formattedTextEditor.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.004;s:5:\"cache\";b:1;s:10:\"preprocess\";b:0;s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}}i:2;a:2:{s:8:\"ckeditor\";a:1:{s:9:\"timestamp\";s:6:\"r21ec5\";}s:13:\"ajaxPageState\";a:1:{s:5:\"theme\";s:9:\"luxestate\";}}i:3;b:0;}',-1,1636012255.602,1,'library_info','0'),('js:luxestate:en:7H_90aSq-7G-X3sJHKmmUXtfpWAX2ah8R3n1MsCTGDw10','a:4:{i:0;a:2:{s:45:\"core/assets/vendor/html5shiv/html5shiv.min.js\";a:11:{s:6:\"weight\";i:-22;s:8:\"browsers\";a:2:{s:2:\"IE\";s:8:\"lte IE 8\";s:3:\"!IE\";b:0;}s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/html5shiv/html5shiv.min.js\";s:7:\"version\";s:5:\"3.7.3\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:5:\"scope\";s:6:\"header\";}s:45:\"core/assets/vendor/modernizr/modernizr.min.js\";a:11:{s:10:\"preprocess\";i:0;s:6:\"weight\";d:-20.987;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/modernizr/modernizr.min.js\";s:7:\"version\";s:5:\"3.3.1\";s:5:\"cache\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"header\";}}i:1;a:116:{s:45:\"core/assets/vendor/classList/classList.min.js\";a:11:{s:6:\"weight\";d:-20.912;s:8:\"browsers\";a:2:{s:2:\"IE\";s:8:\"lte IE 9\";s:3:\"!IE\";b:0;}s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/classList/classList.min.js\";s:7:\"version\";s:10:\"2014-12-13\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:39:\"core/assets/vendor/jquery/jquery.min.js\";a:11:{s:8:\"minified\";b:1;s:6:\"weight\";d:-19.999;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:39:\"core/assets/vendor/jquery/jquery.min.js\";s:7:\"version\";s:5:\"3.5.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/assets/vendor/underscore/underscore-min.js\";a:11:{s:6:\"weight\";d:-19.989;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/assets/vendor/underscore/underscore-min.js\";s:7:\"version\";s:6:\"1.13.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:49:\"core/assets/vendor/jquery-once/jquery.once.min.js\";a:11:{s:6:\"weight\";d:-18.993;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/assets/vendor/jquery-once/jquery.once.min.js\";s:7:\"version\";s:5:\"2.2.3\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:43:\"core/assets/vendor/backbone/backbone-min.js\";a:11:{s:6:\"weight\";d:-18.988;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/assets/vendor/backbone/backbone-min.js\";s:7:\"version\";s:5:\"1.4.0\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:33:\"core/misc/drupalSettingsLoader.js\";a:11:{s:6:\"weight\";d:-17.998;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:33:\"core/misc/drupalSettingsLoader.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:19:\"core/misc/drupal.js\";a:11:{s:6:\"weight\";d:-17.996;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:19:\"core/misc/drupal.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:24:\"core/misc/drupal.init.js\";a:11:{s:6:\"weight\";d:-16.995;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:24:\"core/misc/drupal.init.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:43:\"core/assets/vendor/jquery.ui/ui/data-min.js\";a:11:{s:6:\"weight\";d:-10.976;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/assets/vendor/jquery.ui/ui/data-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:56:\"core/assets/vendor/jquery.ui/ui/disable-selection-min.js\";a:11:{s:6:\"weight\";d:-10.975;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/assets/vendor/jquery.ui/ui/disable-selection-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:43:\"core/assets/vendor/jquery.ui/ui/form-min.js\";a:11:{s:6:\"weight\";d:-10.974;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/assets/vendor/jquery.ui/ui/form-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:45:\"core/assets/vendor/jquery.ui/ui/labels-min.js\";a:11:{s:6:\"weight\";d:-10.973;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/jquery.ui/ui/labels-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:49:\"core/assets/vendor/jquery.ui/ui/jquery-1-7-min.js\";a:11:{s:6:\"weight\";d:-10.972;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/assets/vendor/jquery.ui/ui/jquery-1-7-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:52:\"core/assets/vendor/jquery.ui/ui/scroll-parent-min.js\";a:11:{s:6:\"weight\";d:-10.971;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/assets/vendor/jquery.ui/ui/scroll-parent-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/assets/vendor/jquery.ui/ui/tabbable-min.js\";a:11:{s:6:\"weight\";d:-10.97;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/assets/vendor/jquery.ui/ui/tabbable-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:48:\"core/assets/vendor/jquery.ui/ui/unique-id-min.js\";a:11:{s:6:\"weight\";d:-10.969;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/assets/vendor/jquery.ui/ui/unique-id-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:46:\"core/assets/vendor/jquery.ui/ui/version-min.js\";a:11:{s:6:\"weight\";d:-10.968;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/assets/vendor/jquery.ui/ui/version-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:54:\"core/assets/vendor/jquery.ui/ui/escape-selector-min.js\";a:11:{s:6:\"weight\";d:-10.967;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/assets/vendor/jquery.ui/ui/escape-selector-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:48:\"core/assets/vendor/jquery.ui/ui/focusable-min.js\";a:11:{s:6:\"weight\";d:-10.966;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/assets/vendor/jquery.ui/ui/focusable-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:46:\"core/assets/vendor/jquery.ui/ui/keycode-min.js\";a:11:{s:6:\"weight\";d:-10.964;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/assets/vendor/jquery.ui/ui/keycode-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:45:\"core/assets/vendor/jquery.ui/ui/plugin-min.js\";a:11:{s:6:\"weight\";d:-10.963;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/jquery.ui/ui/plugin-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:58:\"core/assets/vendor/jquery.ui/ui/safe-active-element-min.js\";a:11:{s:6:\"weight\";d:-10.962;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/assets/vendor/jquery.ui/ui/safe-active-element-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:48:\"core/assets/vendor/jquery.ui/ui/safe-blur-min.js\";a:11:{s:6:\"weight\";d:-10.961;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/assets/vendor/jquery.ui/ui/safe-blur-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:45:\"core/assets/vendor/jquery.ui/ui/widget-min.js\";a:11:{s:6:\"weight\";d:-9.96;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/jquery.ui/ui/widget-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:40:\"core/modules/contextual/js/contextual.js\";a:11:{s:6:\"weight\";d:-1.986;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:40:\"core/modules/contextual/js/contextual.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/modules/contextual/js/models/StateModel.js\";a:11:{s:6:\"weight\";d:-1.985;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/modules/contextual/js/models/StateModel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:45:\"core/modules/contextual/js/views/AuralView.js\";a:11:{s:6:\"weight\";d:-1.984;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/modules/contextual/js/views/AuralView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:48:\"core/modules/contextual/js/views/KeyboardView.js\";a:11:{s:6:\"weight\";d:-1.983;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/modules/contextual/js/views/KeyboardView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:46:\"core/modules/contextual/js/views/RegionView.js\";a:11:{s:6:\"weight\";d:-1.982;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/modules/contextual/js/views/RegionView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:46:\"core/modules/contextual/js/views/VisualView.js\";a:11:{s:6:\"weight\";d:-1.981;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/modules/contextual/js/views/VisualView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:21:\"core/misc/progress.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:21:\"core/misc/progress.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.006;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:57:\"core/modules/responsive_image/js/responsive_image.ajax.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/modules/responsive_image/js/responsive_image.ajax.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.008;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:17:\"core/misc/ajax.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:17:\"core/misc/ajax.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.009;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:29:\"core/themes/stable/js/ajax.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:29:\"core/themes/stable/js/ajax.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.01;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:49:\"core/assets/vendor/jquery-form/jquery.form.min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/assets/vendor/jquery-form/jquery.form.min.js\";s:7:\"version\";s:4:\"4.22\";s:6:\"weight\";d:0.02;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:21:\"core/misc/debounce.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:21:\"core/misc/debounce.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.021;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:21:\"core/misc/displace.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:21:\"core/misc/displace.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.022;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:17:\"core/misc/form.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:17:\"core/misc/form.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.023;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:55:\"core/assets/vendor/jquery.ui/ui/form-reset-mixin-min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/assets/vendor/jquery.ui/ui/form-reset-mixin-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:6:\"weight\";d:0.041;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:60:\"core/assets/vendor/jquery.ui/ui/widgets/checkboxradio-min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:60:\"core/assets/vendor/jquery.ui/ui/widgets/checkboxradio-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:6:\"weight\";d:0.042;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:59:\"core/assets/vendor/jquery.ui/ui/widgets/controlgroup-min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:59:\"core/assets/vendor/jquery.ui/ui/widgets/controlgroup-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:6:\"weight\";d:0.043;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:53:\"core/assets/vendor/jquery.ui/ui/widgets/button-min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/assets/vendor/jquery.ui/ui/widgets/button-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:6:\"weight\";d:0.044;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:52:\"core/assets/vendor/jquery.ui/ui/widgets/mouse-min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/assets/vendor/jquery.ui/ui/widgets/mouse-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:6:\"weight\";d:0.045;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:41:\"core/assets/vendor/jquery.ui/ui/ie-min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"core/assets/vendor/jquery.ui/ui/ie-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:6:\"weight\";d:0.045;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:56:\"core/assets/vendor/jquery.ui/ui/widgets/draggable-min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/assets/vendor/jquery.ui/ui/widgets/draggable-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:6:\"weight\";d:0.046;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/assets/vendor/jquery.ui/ui/position-min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/assets/vendor/jquery.ui/ui/position-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:6:\"weight\";d:0.047;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:56:\"core/assets/vendor/jquery.ui/ui/widgets/resizable-min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/assets/vendor/jquery.ui/ui/widgets/resizable-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:6:\"weight\";d:0.048;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:53:\"core/assets/vendor/jquery.ui/ui/widgets/dialog-min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/assets/vendor/jquery.ui/ui/widgets/dialog-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:6:\"weight\";d:0.049;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:26:\"core/misc/dialog/dialog.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:26:\"core/misc/dialog/dialog.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.05;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:35:\"core/misc/dialog/dialog.position.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:35:\"core/misc/dialog/dialog.position.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.051;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:36:\"core/misc/dialog/dialog.jquery-ui.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:36:\"core/misc/dialog/dialog.jquery-ui.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.052;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:41:\"core/assets/vendor/popperjs/popper.min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"core/assets/vendor/popperjs/popper.min.js\";s:7:\"version\";s:6:\"1.16.0\";s:6:\"weight\";d:0.053;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:38:\"core/modules/quickedit/js/quickedit.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:38:\"core/modules/quickedit/js/quickedit.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.054;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:33:\"core/modules/quickedit/js/util.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:33:\"core/modules/quickedit/js/util.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.055;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:45:\"core/modules/quickedit/js/models/BaseModel.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/modules/quickedit/js/models/BaseModel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.056;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:44:\"core/modules/quickedit/js/models/AppModel.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:44:\"core/modules/quickedit/js/models/AppModel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.057;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/modules/quickedit/js/models/EntityModel.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/modules/quickedit/js/models/EntityModel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.058;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:46:\"core/modules/quickedit/js/models/FieldModel.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/modules/quickedit/js/models/FieldModel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.059;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/modules/quickedit/js/models/EditorModel.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/modules/quickedit/js/models/EditorModel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.06;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:42:\"core/modules/quickedit/js/views/AppView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:42:\"core/modules/quickedit/js/views/AppView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.061;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:54:\"core/modules/quickedit/js/views/FieldDecorationView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/modules/quickedit/js/views/FieldDecorationView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.062;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:55:\"core/modules/quickedit/js/views/EntityDecorationView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/modules/quickedit/js/views/EntityDecorationView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.063;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:52:\"core/modules/quickedit/js/views/EntityToolbarView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/modules/quickedit/js/views/EntityToolbarView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.064;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:53:\"core/modules/quickedit/js/views/ContextualLinkView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/modules/quickedit/js/views/ContextualLinkView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.065;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:51:\"core/modules/quickedit/js/views/FieldToolbarView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:51:\"core/modules/quickedit/js/views/FieldToolbarView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.066;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:45:\"core/modules/quickedit/js/views/EditorView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/modules/quickedit/js/views/EditorView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.067;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:34:\"core/modules/quickedit/js/theme.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:34:\"core/modules/quickedit/js/theme.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.068;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/assets/vendor/matchMedia/matchMedia.min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/assets/vendor/matchMedia/matchMedia.min.js\";s:7:\"version\";s:5:\"0.2.0\";s:6:\"weight\";d:0.069;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:42:\"themes/luxestate/assets/js/jquery.fixes.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:42:\"themes/luxestate/assets/js/jquery.fixes.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.07;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:55:\"themes/luxestate/assets/includes/jssor/js/jssor.core.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"themes/luxestate/assets/includes/jssor/js/jssor.core.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.071;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:56:\"themes/luxestate/assets/includes/jssor/js/jssor.utils.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"themes/luxestate/assets/includes/jssor/js/jssor.utils.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.072;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:57:\"themes/luxestate/assets/includes/jssor/js/jssor.slider.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"themes/luxestate/assets/includes/jssor/js/jssor.slider.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.073;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:62:\"themes/luxestate/assets/includes/bootstrap/js/bootstrap.min.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:62:\"themes/luxestate/assets/includes/bootstrap/js/bootstrap.min.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.074;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:61:\"themes/luxestate/assets/includes/owl-carousel/owl.carousel.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:61:\"themes/luxestate/assets/includes/owl-carousel/owl.carousel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.075;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:64:\"themes/luxestate/assets/includes/flexslider/jquery.flexslider.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:64:\"themes/luxestate/assets/includes/flexslider/jquery.flexslider.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.076;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:55:\"themes/luxestate/assets/includes/jquery.colorbox-min.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"themes/luxestate/assets/includes/jquery.colorbox-min.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.077;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:57:\"themes/luxestate/assets/includes/respond/html5shiv.min.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"themes/luxestate/assets/includes/respond/html5shiv.min.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.078;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:55:\"themes/luxestate/assets/includes/respond/respond.min.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"themes/luxestate/assets/includes/respond/respond.min.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.079;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:50:\"themes/luxestate/assets/js/jquery.smooth-scroll.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:50:\"themes/luxestate/assets/js/jquery.smooth-scroll.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.08;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:48:\"themes/luxestate/assets/js/jquery.matchHeight.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"themes/luxestate/assets/js/jquery.matchHeight.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.081;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:39:\"themes/luxestate/assets/js/slideshow.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:39:\"themes/luxestate/assets/js/slideshow.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.082;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:39:\"themes/luxestate/assets/js/luxestate.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:39:\"themes/luxestate/assets/js/luxestate.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.083;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:40:\"themes/luxestate/assets/js/flexslider.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:40:\"themes/luxestate/assets/js/flexslider.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.084;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:40:\"themes/luxestate/assets/js/fix_script.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:40:\"themes/luxestate/assets/js/fix_script.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.085;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:53:\"themes/luxestate/assets/includes/slick/slick/slick.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"themes/luxestate/assets/includes/slick/slick/slick.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.087;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:24:\"core/misc/active-link.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:24:\"core/misc/active-link.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.089;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:41:\"libraries/colorbox/jquery.colorbox-min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"libraries/colorbox/jquery.colorbox-min.js\";s:7:\"version\";s:6:\"8.9.19\";s:6:\"weight\";d:0.09;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:31:\"modules/colorbox/js/colorbox.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:31:\"modules/colorbox/js/colorbox.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.091;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:49:\"modules/colorbox/styles/default/colorbox_style.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"modules/colorbox/styles/default/colorbox_style.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.092;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"modules/we_megamenu/assets/js/we_mobile_menu.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"modules/we_megamenu/assets/js/we_mobile_menu.js\";s:7:\"version\";d:1;s:8:\"minified\";b:0;s:6:\"weight\";d:0.093;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:53:\"modules/we_megamenu/assets/js/we_megamenu_frontend.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"modules/we_megamenu/assets/js/we_megamenu_frontend.js\";s:7:\"version\";d:1;s:8:\"minified\";b:0;s:6:\"weight\";d:0.094;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:57:\"themes/luxestate/assets/includes/skins-menu/skins_menu.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"themes/luxestate/assets/includes/skins-menu/skins_menu.js\";s:7:\"version\";s:3:\"1.x\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.095;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:43:\"themes/luxestate/assets/js/jquery.cookie.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"themes/luxestate/assets/js/jquery.cookie.js\";s:7:\"version\";s:3:\"1.x\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.095;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:21:\"core/misc/announce.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:21:\"core/misc/announce.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.096;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:59:\"core/assets/vendor/matchMedia/matchMedia.addListener.min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:59:\"core/assets/vendor/matchMedia/matchMedia.addListener.min.js\";s:7:\"version\";s:5:\"0.2.0\";s:6:\"weight\";d:0.097;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:39:\"core/modules/toolbar/js/toolbar.menu.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:39:\"core/modules/toolbar/js/toolbar.menu.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.098;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:34:\"core/modules/toolbar/js/toolbar.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:34:\"core/modules/toolbar/js/toolbar.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.099;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:43:\"core/modules/toolbar/js/models/MenuModel.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/modules/toolbar/js/models/MenuModel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.1;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:46:\"core/modules/toolbar/js/models/ToolbarModel.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/modules/toolbar/js/models/ToolbarModel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.101;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/modules/toolbar/js/views/BodyVisualView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/modules/toolbar/js/views/BodyVisualView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.102;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/modules/toolbar/js/views/MenuVisualView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/modules/toolbar/js/views/MenuVisualView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.103;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:49:\"core/modules/toolbar/js/views/ToolbarAuralView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/modules/toolbar/js/views/ToolbarAuralView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.104;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:50:\"core/modules/toolbar/js/views/ToolbarVisualView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:50:\"core/modules/toolbar/js/views/ToolbarVisualView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.105;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:51:\"core/assets/vendor/jquery.ui/ui/widgets/menu-min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:51:\"core/assets/vendor/jquery.ui/ui/widgets/menu-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:6:\"weight\";d:0.106;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:59:\"core/assets/vendor/jquery.ui/ui/widgets/autocomplete-min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:59:\"core/assets/vendor/jquery.ui/ui/widgets/autocomplete-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:6:\"weight\";d:0.107;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:69:\"modules/admin_toolbar/admin_toolbar_search/js/admin_toolbar_search.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:69:\"modules/admin_toolbar/admin_toolbar_search/js/admin_toolbar_search.js\";s:7:\"version\";i:-1;s:8:\"minified\";b:0;s:6:\"weight\";d:0.108;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:55:\"core/assets/vendor/jquery-joyride/jquery.joyride-2.1.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/assets/vendor/jquery-joyride/jquery.joyride-2.1.js\";s:7:\"version\";s:7:\"2.1.0.1\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.109;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:28:\"core/modules/tour/js/tour.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:28:\"core/modules/tour/js/tour.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.11;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:27:\"core/misc/tabbingmanager.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:27:\"core/misc/tabbingmanager.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.111;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:48:\"core/modules/contextual/js/contextual.toolbar.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/modules/contextual/js/contextual.toolbar.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.112;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:55:\"core/modules/contextual/js/toolbar/models/StateModel.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/modules/contextual/js/toolbar/models/StateModel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.113;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:53:\"core/modules/contextual/js/toolbar/views/AuralView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/modules/contextual/js/toolbar/views/AuralView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.114;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:54:\"core/modules/contextual/js/toolbar/views/VisualView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/modules/contextual/js/toolbar/views/VisualView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.115;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:46:\"modules/admin_toolbar/js/jquery.hoverIntent.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"modules/admin_toolbar/js/jquery.hoverIntent.js\";s:7:\"version\";i:-1;s:8:\"minified\";b:0;s:6:\"weight\";d:0.116;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:41:\"modules/admin_toolbar/js/admin_toolbar.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"modules/admin_toolbar/js/admin_toolbar.js\";s:7:\"version\";i:-1;s:8:\"minified\";b:0;s:6:\"weight\";d:0.117;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:38:\"core/modules/toolbar/js/escapeAdmin.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:38:\"core/modules/toolbar/js/escapeAdmin.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.118;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}}i:2;a:5:{s:4:\"path\";a:7:{s:7:\"baseUrl\";N;s:10:\"scriptPath\";N;s:10:\"pathPrefix\";N;s:11:\"currentPath\";N;s:18:\"currentPathIsAdmin\";N;s:7:\"isFront\";N;s:15:\"currentLanguage\";N;}s:15:\"pluralDelimiter\";N;s:25:\"suppressDeprecationErrors\";b:1;s:13:\"ajaxPageState\";a:3:{s:9:\"libraries\";N;s:5:\"theme\";s:9:\"luxestate\";s:11:\"theme_token\";N;}s:14:\"ajaxTrustedUrl\";a:0:{}}i:3;b:0;}',-1,1636012251.975,1,'library_info','0'),('js:luxestate:en:GOaxv4yuDzHwHnrSgtjY0uVCxq_DUBTXW3QayyHctfU10','a:4:{i:0;a:1:{s:45:\"core/assets/vendor/html5shiv/html5shiv.min.js\";a:11:{s:6:\"weight\";i:-22;s:8:\"browsers\";a:2:{s:2:\"IE\";s:8:\"lte IE 8\";s:3:\"!IE\";b:0;}s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/html5shiv/html5shiv.min.js\";s:7:\"version\";s:5:\"3.7.3\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:5:\"scope\";s:6:\"header\";}}i:1;a:27:{s:39:\"core/assets/vendor/jquery/jquery.min.js\";a:11:{s:8:\"minified\";b:1;s:6:\"weight\";d:-19.998;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:39:\"core/assets/vendor/jquery/jquery.min.js\";s:7:\"version\";s:5:\"3.5.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:49:\"core/assets/vendor/jquery-once/jquery.once.min.js\";a:11:{s:6:\"weight\";d:-18.993;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/assets/vendor/jquery-once/jquery.once.min.js\";s:7:\"version\";s:5:\"2.2.3\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:33:\"core/misc/drupalSettingsLoader.js\";a:11:{s:6:\"weight\";d:-17.997;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:33:\"core/misc/drupalSettingsLoader.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:19:\"core/misc/drupal.js\";a:11:{s:6:\"weight\";d:-17.995;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:19:\"core/misc/drupal.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:24:\"core/misc/drupal.init.js\";a:11:{s:6:\"weight\";d:-16.994;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:24:\"core/misc/drupal.init.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/assets/vendor/matchMedia/matchMedia.min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/assets/vendor/matchMedia/matchMedia.min.js\";s:7:\"version\";s:5:\"0.2.0\";s:6:\"weight\";d:0.001;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:42:\"themes/luxestate/assets/js/jquery.fixes.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:42:\"themes/luxestate/assets/js/jquery.fixes.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.008;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:55:\"themes/luxestate/assets/includes/jssor/js/jssor.core.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"themes/luxestate/assets/includes/jssor/js/jssor.core.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.009;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:56:\"themes/luxestate/assets/includes/jssor/js/jssor.utils.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"themes/luxestate/assets/includes/jssor/js/jssor.utils.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.01;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:57:\"themes/luxestate/assets/includes/jssor/js/jssor.slider.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"themes/luxestate/assets/includes/jssor/js/jssor.slider.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.011;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:62:\"themes/luxestate/assets/includes/bootstrap/js/bootstrap.min.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:62:\"themes/luxestate/assets/includes/bootstrap/js/bootstrap.min.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.012;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:61:\"themes/luxestate/assets/includes/owl-carousel/owl.carousel.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:61:\"themes/luxestate/assets/includes/owl-carousel/owl.carousel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.013;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:64:\"themes/luxestate/assets/includes/flexslider/jquery.flexslider.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:64:\"themes/luxestate/assets/includes/flexslider/jquery.flexslider.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.014;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:55:\"themes/luxestate/assets/includes/jquery.colorbox-min.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"themes/luxestate/assets/includes/jquery.colorbox-min.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.015;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:57:\"themes/luxestate/assets/includes/respond/html5shiv.min.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"themes/luxestate/assets/includes/respond/html5shiv.min.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.016;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:55:\"themes/luxestate/assets/includes/respond/respond.min.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"themes/luxestate/assets/includes/respond/respond.min.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.017;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:50:\"themes/luxestate/assets/js/jquery.smooth-scroll.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:50:\"themes/luxestate/assets/js/jquery.smooth-scroll.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.018;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:48:\"themes/luxestate/assets/js/jquery.matchHeight.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"themes/luxestate/assets/js/jquery.matchHeight.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.019;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:39:\"themes/luxestate/assets/js/slideshow.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:39:\"themes/luxestate/assets/js/slideshow.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.02;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:39:\"themes/luxestate/assets/js/luxestate.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:39:\"themes/luxestate/assets/js/luxestate.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.021;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:40:\"themes/luxestate/assets/js/flexslider.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:40:\"themes/luxestate/assets/js/flexslider.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.022;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:40:\"themes/luxestate/assets/js/fix_script.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:40:\"themes/luxestate/assets/js/fix_script.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.023;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:53:\"themes/luxestate/assets/includes/slick/slick/slick.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"themes/luxestate/assets/includes/slick/slick/slick.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.025;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"modules/we_megamenu/assets/js/we_mobile_menu.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"modules/we_megamenu/assets/js/we_mobile_menu.js\";s:7:\"version\";d:1;s:8:\"minified\";b:0;s:6:\"weight\";d:0.026;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:53:\"modules/we_megamenu/assets/js/we_megamenu_frontend.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"modules/we_megamenu/assets/js/we_megamenu_frontend.js\";s:7:\"version\";d:1;s:8:\"minified\";b:0;s:6:\"weight\";d:0.027;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:57:\"themes/luxestate/assets/includes/skins-menu/skins_menu.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"themes/luxestate/assets/includes/skins-menu/skins_menu.js\";s:7:\"version\";s:3:\"1.x\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.028;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:43:\"themes/luxestate/assets/js/jquery.cookie.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"themes/luxestate/assets/js/jquery.cookie.js\";s:7:\"version\";s:3:\"1.x\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.028;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}}i:2;a:3:{s:4:\"path\";a:7:{s:7:\"baseUrl\";N;s:10:\"scriptPath\";N;s:10:\"pathPrefix\";N;s:11:\"currentPath\";N;s:18:\"currentPathIsAdmin\";N;s:7:\"isFront\";N;s:15:\"currentLanguage\";N;}s:15:\"pluralDelimiter\";N;s:25:\"suppressDeprecationErrors\";b:1;}i:3;b:0;}',-1,1636709609.224,1,'library_info','0'),('js:luxestate:en:S6IiK5OPPD_KaC8G87SOhHAXfOpR-fZgJ46QNl65P5k10','a:4:{i:0;a:1:{s:45:\"core/assets/vendor/html5shiv/html5shiv.min.js\";a:11:{s:6:\"weight\";i:-22;s:8:\"browsers\";a:2:{s:2:\"IE\";s:8:\"lte IE 8\";s:3:\"!IE\";b:0;}s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/html5shiv/html5shiv.min.js\";s:7:\"version\";s:5:\"3.7.3\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:5:\"scope\";s:6:\"header\";}}i:1;a:30:{s:39:\"core/assets/vendor/jquery/jquery.min.js\";a:11:{s:8:\"minified\";b:1;s:6:\"weight\";d:-19.998;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:39:\"core/assets/vendor/jquery/jquery.min.js\";s:7:\"version\";s:5:\"3.5.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:49:\"core/assets/vendor/jquery-once/jquery.once.min.js\";a:11:{s:6:\"weight\";d:-18.993;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/assets/vendor/jquery-once/jquery.once.min.js\";s:7:\"version\";s:5:\"2.2.3\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:33:\"core/misc/drupalSettingsLoader.js\";a:11:{s:6:\"weight\";d:-17.997;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:33:\"core/misc/drupalSettingsLoader.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:19:\"core/misc/drupal.js\";a:11:{s:6:\"weight\";d:-17.995;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:19:\"core/misc/drupal.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:24:\"core/misc/drupal.init.js\";a:11:{s:6:\"weight\";d:-16.994;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:24:\"core/misc/drupal.init.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/assets/vendor/matchMedia/matchMedia.min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/assets/vendor/matchMedia/matchMedia.min.js\";s:7:\"version\";s:5:\"0.2.0\";s:6:\"weight\";d:0.001;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:42:\"themes/luxestate/assets/js/jquery.fixes.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:42:\"themes/luxestate/assets/js/jquery.fixes.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.008;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:55:\"themes/luxestate/assets/includes/jssor/js/jssor.core.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"themes/luxestate/assets/includes/jssor/js/jssor.core.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.009;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:56:\"themes/luxestate/assets/includes/jssor/js/jssor.utils.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"themes/luxestate/assets/includes/jssor/js/jssor.utils.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.01;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:57:\"themes/luxestate/assets/includes/jssor/js/jssor.slider.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"themes/luxestate/assets/includes/jssor/js/jssor.slider.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.011;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:62:\"themes/luxestate/assets/includes/bootstrap/js/bootstrap.min.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:62:\"themes/luxestate/assets/includes/bootstrap/js/bootstrap.min.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.012;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:61:\"themes/luxestate/assets/includes/owl-carousel/owl.carousel.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:61:\"themes/luxestate/assets/includes/owl-carousel/owl.carousel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.013;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:64:\"themes/luxestate/assets/includes/flexslider/jquery.flexslider.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:64:\"themes/luxestate/assets/includes/flexslider/jquery.flexslider.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.014;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:55:\"themes/luxestate/assets/includes/jquery.colorbox-min.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"themes/luxestate/assets/includes/jquery.colorbox-min.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.015;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:57:\"themes/luxestate/assets/includes/respond/html5shiv.min.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"themes/luxestate/assets/includes/respond/html5shiv.min.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.016;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:55:\"themes/luxestate/assets/includes/respond/respond.min.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"themes/luxestate/assets/includes/respond/respond.min.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.017;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:50:\"themes/luxestate/assets/js/jquery.smooth-scroll.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:50:\"themes/luxestate/assets/js/jquery.smooth-scroll.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.018;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:48:\"themes/luxestate/assets/js/jquery.matchHeight.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"themes/luxestate/assets/js/jquery.matchHeight.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.019;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:39:\"themes/luxestate/assets/js/slideshow.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:39:\"themes/luxestate/assets/js/slideshow.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.02;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:39:\"themes/luxestate/assets/js/luxestate.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:39:\"themes/luxestate/assets/js/luxestate.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.021;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:40:\"themes/luxestate/assets/js/flexslider.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:40:\"themes/luxestate/assets/js/flexslider.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.022;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:40:\"themes/luxestate/assets/js/fix_script.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:40:\"themes/luxestate/assets/js/fix_script.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.023;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:53:\"themes/luxestate/assets/includes/slick/slick/slick.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"themes/luxestate/assets/includes/slick/slick/slick.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.025;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:41:\"libraries/colorbox/jquery.colorbox-min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"libraries/colorbox/jquery.colorbox-min.js\";s:7:\"version\";s:6:\"8.9.19\";s:6:\"weight\";d:0.026;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:31:\"modules/colorbox/js/colorbox.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:31:\"modules/colorbox/js/colorbox.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.027;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:49:\"modules/colorbox/styles/default/colorbox_style.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"modules/colorbox/styles/default/colorbox_style.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.028;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"modules/we_megamenu/assets/js/we_mobile_menu.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"modules/we_megamenu/assets/js/we_mobile_menu.js\";s:7:\"version\";d:1;s:8:\"minified\";b:0;s:6:\"weight\";d:0.029;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:53:\"modules/we_megamenu/assets/js/we_megamenu_frontend.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"modules/we_megamenu/assets/js/we_megamenu_frontend.js\";s:7:\"version\";d:1;s:8:\"minified\";b:0;s:6:\"weight\";d:0.03;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:57:\"themes/luxestate/assets/includes/skins-menu/skins_menu.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"themes/luxestate/assets/includes/skins-menu/skins_menu.js\";s:7:\"version\";s:3:\"1.x\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.031;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:43:\"themes/luxestate/assets/js/jquery.cookie.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"themes/luxestate/assets/js/jquery.cookie.js\";s:7:\"version\";s:3:\"1.x\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.031;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}}i:2;a:3:{s:4:\"path\";a:7:{s:7:\"baseUrl\";N;s:10:\"scriptPath\";N;s:10:\"pathPrefix\";N;s:11:\"currentPath\";N;s:18:\"currentPathIsAdmin\";N;s:7:\"isFront\";N;s:15:\"currentLanguage\";N;}s:15:\"pluralDelimiter\";N;s:25:\"suppressDeprecationErrors\";b:1;}i:3;b:0;}',-1,1636711430.618,1,'library_info','0'),('js:luxestate:en:sRXdoWjbqij11-yw3LtclOTWFbw6lUdzb3IA6zC2TJM10','a:4:{i:0;a:2:{s:45:\"core/assets/vendor/html5shiv/html5shiv.min.js\";a:11:{s:6:\"weight\";i:-22;s:8:\"browsers\";a:2:{s:2:\"IE\";s:8:\"lte IE 8\";s:3:\"!IE\";b:0;}s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/html5shiv/html5shiv.min.js\";s:7:\"version\";s:5:\"3.7.3\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:5:\"scope\";s:6:\"header\";}s:45:\"core/assets/vendor/modernizr/modernizr.min.js\";a:11:{s:10:\"preprocess\";i:0;s:6:\"weight\";d:-20.987;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/modernizr/modernizr.min.js\";s:7:\"version\";s:5:\"3.3.1\";s:5:\"cache\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"header\";}}i:1;a:113:{s:45:\"core/assets/vendor/classList/classList.min.js\";a:11:{s:6:\"weight\";d:-20.912;s:8:\"browsers\";a:2:{s:2:\"IE\";s:8:\"lte IE 9\";s:3:\"!IE\";b:0;}s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/classList/classList.min.js\";s:7:\"version\";s:10:\"2014-12-13\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:39:\"core/assets/vendor/jquery/jquery.min.js\";a:11:{s:8:\"minified\";b:1;s:6:\"weight\";d:-19.999;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:39:\"core/assets/vendor/jquery/jquery.min.js\";s:7:\"version\";s:5:\"3.5.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/assets/vendor/underscore/underscore-min.js\";a:11:{s:6:\"weight\";d:-19.989;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/assets/vendor/underscore/underscore-min.js\";s:7:\"version\";s:6:\"1.13.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:49:\"core/assets/vendor/jquery-once/jquery.once.min.js\";a:11:{s:6:\"weight\";d:-18.993;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/assets/vendor/jquery-once/jquery.once.min.js\";s:7:\"version\";s:5:\"2.2.3\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:43:\"core/assets/vendor/backbone/backbone-min.js\";a:11:{s:6:\"weight\";d:-18.988;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/assets/vendor/backbone/backbone-min.js\";s:7:\"version\";s:5:\"1.4.0\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:33:\"core/misc/drupalSettingsLoader.js\";a:11:{s:6:\"weight\";d:-17.998;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:33:\"core/misc/drupalSettingsLoader.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:19:\"core/misc/drupal.js\";a:11:{s:6:\"weight\";d:-17.996;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:19:\"core/misc/drupal.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:24:\"core/misc/drupal.init.js\";a:11:{s:6:\"weight\";d:-16.995;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:24:\"core/misc/drupal.init.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:43:\"core/assets/vendor/jquery.ui/ui/data-min.js\";a:11:{s:6:\"weight\";d:-10.976;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/assets/vendor/jquery.ui/ui/data-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:56:\"core/assets/vendor/jquery.ui/ui/disable-selection-min.js\";a:11:{s:6:\"weight\";d:-10.975;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/assets/vendor/jquery.ui/ui/disable-selection-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:43:\"core/assets/vendor/jquery.ui/ui/form-min.js\";a:11:{s:6:\"weight\";d:-10.974;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/assets/vendor/jquery.ui/ui/form-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:45:\"core/assets/vendor/jquery.ui/ui/labels-min.js\";a:11:{s:6:\"weight\";d:-10.973;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/jquery.ui/ui/labels-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:49:\"core/assets/vendor/jquery.ui/ui/jquery-1-7-min.js\";a:11:{s:6:\"weight\";d:-10.972;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/assets/vendor/jquery.ui/ui/jquery-1-7-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:52:\"core/assets/vendor/jquery.ui/ui/scroll-parent-min.js\";a:11:{s:6:\"weight\";d:-10.971;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/assets/vendor/jquery.ui/ui/scroll-parent-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/assets/vendor/jquery.ui/ui/tabbable-min.js\";a:11:{s:6:\"weight\";d:-10.97;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/assets/vendor/jquery.ui/ui/tabbable-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:48:\"core/assets/vendor/jquery.ui/ui/unique-id-min.js\";a:11:{s:6:\"weight\";d:-10.969;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/assets/vendor/jquery.ui/ui/unique-id-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:46:\"core/assets/vendor/jquery.ui/ui/version-min.js\";a:11:{s:6:\"weight\";d:-10.968;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/assets/vendor/jquery.ui/ui/version-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:54:\"core/assets/vendor/jquery.ui/ui/escape-selector-min.js\";a:11:{s:6:\"weight\";d:-10.967;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/assets/vendor/jquery.ui/ui/escape-selector-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:48:\"core/assets/vendor/jquery.ui/ui/focusable-min.js\";a:11:{s:6:\"weight\";d:-10.966;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/assets/vendor/jquery.ui/ui/focusable-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:46:\"core/assets/vendor/jquery.ui/ui/keycode-min.js\";a:11:{s:6:\"weight\";d:-10.964;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/assets/vendor/jquery.ui/ui/keycode-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:45:\"core/assets/vendor/jquery.ui/ui/plugin-min.js\";a:11:{s:6:\"weight\";d:-10.963;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/jquery.ui/ui/plugin-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:58:\"core/assets/vendor/jquery.ui/ui/safe-active-element-min.js\";a:11:{s:6:\"weight\";d:-10.962;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/assets/vendor/jquery.ui/ui/safe-active-element-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:48:\"core/assets/vendor/jquery.ui/ui/safe-blur-min.js\";a:11:{s:6:\"weight\";d:-10.961;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/assets/vendor/jquery.ui/ui/safe-blur-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:45:\"core/assets/vendor/jquery.ui/ui/widget-min.js\";a:11:{s:6:\"weight\";d:-9.96;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/jquery.ui/ui/widget-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:40:\"core/modules/contextual/js/contextual.js\";a:11:{s:6:\"weight\";d:-1.986;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:40:\"core/modules/contextual/js/contextual.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/modules/contextual/js/models/StateModel.js\";a:11:{s:6:\"weight\";d:-1.985;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/modules/contextual/js/models/StateModel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:45:\"core/modules/contextual/js/views/AuralView.js\";a:11:{s:6:\"weight\";d:-1.984;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/modules/contextual/js/views/AuralView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:48:\"core/modules/contextual/js/views/KeyboardView.js\";a:11:{s:6:\"weight\";d:-1.983;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/modules/contextual/js/views/KeyboardView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:46:\"core/modules/contextual/js/views/RegionView.js\";a:11:{s:6:\"weight\";d:-1.982;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/modules/contextual/js/views/RegionView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:46:\"core/modules/contextual/js/views/VisualView.js\";a:11:{s:6:\"weight\";d:-1.981;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/modules/contextual/js/views/VisualView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:21:\"core/misc/progress.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:21:\"core/misc/progress.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.006;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:57:\"core/modules/responsive_image/js/responsive_image.ajax.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/modules/responsive_image/js/responsive_image.ajax.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.008;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:17:\"core/misc/ajax.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:17:\"core/misc/ajax.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.009;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:29:\"core/themes/stable/js/ajax.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:29:\"core/themes/stable/js/ajax.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.01;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:49:\"core/assets/vendor/jquery-form/jquery.form.min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/assets/vendor/jquery-form/jquery.form.min.js\";s:7:\"version\";s:4:\"4.22\";s:6:\"weight\";d:0.02;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:21:\"core/misc/debounce.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:21:\"core/misc/debounce.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.021;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:21:\"core/misc/displace.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:21:\"core/misc/displace.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.022;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:17:\"core/misc/form.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:17:\"core/misc/form.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.023;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:55:\"core/assets/vendor/jquery.ui/ui/form-reset-mixin-min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/assets/vendor/jquery.ui/ui/form-reset-mixin-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:6:\"weight\";d:0.041;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:60:\"core/assets/vendor/jquery.ui/ui/widgets/checkboxradio-min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:60:\"core/assets/vendor/jquery.ui/ui/widgets/checkboxradio-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:6:\"weight\";d:0.042;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:59:\"core/assets/vendor/jquery.ui/ui/widgets/controlgroup-min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:59:\"core/assets/vendor/jquery.ui/ui/widgets/controlgroup-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:6:\"weight\";d:0.043;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:53:\"core/assets/vendor/jquery.ui/ui/widgets/button-min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/assets/vendor/jquery.ui/ui/widgets/button-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:6:\"weight\";d:0.044;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:41:\"core/assets/vendor/jquery.ui/ui/ie-min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"core/assets/vendor/jquery.ui/ui/ie-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:6:\"weight\";d:0.045;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:52:\"core/assets/vendor/jquery.ui/ui/widgets/mouse-min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/assets/vendor/jquery.ui/ui/widgets/mouse-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:6:\"weight\";d:0.045;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:56:\"core/assets/vendor/jquery.ui/ui/widgets/draggable-min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/assets/vendor/jquery.ui/ui/widgets/draggable-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:6:\"weight\";d:0.046;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/assets/vendor/jquery.ui/ui/position-min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/assets/vendor/jquery.ui/ui/position-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:6:\"weight\";d:0.047;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:56:\"core/assets/vendor/jquery.ui/ui/widgets/resizable-min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/assets/vendor/jquery.ui/ui/widgets/resizable-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:6:\"weight\";d:0.048;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:53:\"core/assets/vendor/jquery.ui/ui/widgets/dialog-min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/assets/vendor/jquery.ui/ui/widgets/dialog-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:6:\"weight\";d:0.049;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:26:\"core/misc/dialog/dialog.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:26:\"core/misc/dialog/dialog.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.05;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:35:\"core/misc/dialog/dialog.position.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:35:\"core/misc/dialog/dialog.position.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.051;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:36:\"core/misc/dialog/dialog.jquery-ui.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:36:\"core/misc/dialog/dialog.jquery-ui.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.052;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:41:\"core/assets/vendor/popperjs/popper.min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"core/assets/vendor/popperjs/popper.min.js\";s:7:\"version\";s:6:\"1.16.0\";s:6:\"weight\";d:0.053;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:38:\"core/modules/quickedit/js/quickedit.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:38:\"core/modules/quickedit/js/quickedit.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.054;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:33:\"core/modules/quickedit/js/util.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:33:\"core/modules/quickedit/js/util.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.055;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:45:\"core/modules/quickedit/js/models/BaseModel.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/modules/quickedit/js/models/BaseModel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.056;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:44:\"core/modules/quickedit/js/models/AppModel.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:44:\"core/modules/quickedit/js/models/AppModel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.057;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/modules/quickedit/js/models/EntityModel.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/modules/quickedit/js/models/EntityModel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.058;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:46:\"core/modules/quickedit/js/models/FieldModel.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/modules/quickedit/js/models/FieldModel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.059;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/modules/quickedit/js/models/EditorModel.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/modules/quickedit/js/models/EditorModel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.06;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:42:\"core/modules/quickedit/js/views/AppView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:42:\"core/modules/quickedit/js/views/AppView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.061;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:54:\"core/modules/quickedit/js/views/FieldDecorationView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/modules/quickedit/js/views/FieldDecorationView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.062;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:55:\"core/modules/quickedit/js/views/EntityDecorationView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/modules/quickedit/js/views/EntityDecorationView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.063;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:52:\"core/modules/quickedit/js/views/EntityToolbarView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/modules/quickedit/js/views/EntityToolbarView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.064;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:53:\"core/modules/quickedit/js/views/ContextualLinkView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/modules/quickedit/js/views/ContextualLinkView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.065;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:51:\"core/modules/quickedit/js/views/FieldToolbarView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:51:\"core/modules/quickedit/js/views/FieldToolbarView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.066;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:45:\"core/modules/quickedit/js/views/EditorView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/modules/quickedit/js/views/EditorView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.067;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:34:\"core/modules/quickedit/js/theme.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:34:\"core/modules/quickedit/js/theme.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.068;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/assets/vendor/matchMedia/matchMedia.min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/assets/vendor/matchMedia/matchMedia.min.js\";s:7:\"version\";s:5:\"0.2.0\";s:6:\"weight\";d:0.069;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:42:\"themes/luxestate/assets/js/jquery.fixes.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:42:\"themes/luxestate/assets/js/jquery.fixes.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.07;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:55:\"themes/luxestate/assets/includes/jssor/js/jssor.core.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"themes/luxestate/assets/includes/jssor/js/jssor.core.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.071;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:56:\"themes/luxestate/assets/includes/jssor/js/jssor.utils.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"themes/luxestate/assets/includes/jssor/js/jssor.utils.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.072;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:57:\"themes/luxestate/assets/includes/jssor/js/jssor.slider.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"themes/luxestate/assets/includes/jssor/js/jssor.slider.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.073;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:62:\"themes/luxestate/assets/includes/bootstrap/js/bootstrap.min.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:62:\"themes/luxestate/assets/includes/bootstrap/js/bootstrap.min.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.074;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:61:\"themes/luxestate/assets/includes/owl-carousel/owl.carousel.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:61:\"themes/luxestate/assets/includes/owl-carousel/owl.carousel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.075;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:64:\"themes/luxestate/assets/includes/flexslider/jquery.flexslider.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:64:\"themes/luxestate/assets/includes/flexslider/jquery.flexslider.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.076;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:55:\"themes/luxestate/assets/includes/jquery.colorbox-min.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"themes/luxestate/assets/includes/jquery.colorbox-min.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.077;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:57:\"themes/luxestate/assets/includes/respond/html5shiv.min.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"themes/luxestate/assets/includes/respond/html5shiv.min.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.078;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:55:\"themes/luxestate/assets/includes/respond/respond.min.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"themes/luxestate/assets/includes/respond/respond.min.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.079;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:50:\"themes/luxestate/assets/js/jquery.smooth-scroll.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:50:\"themes/luxestate/assets/js/jquery.smooth-scroll.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.08;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:48:\"themes/luxestate/assets/js/jquery.matchHeight.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"themes/luxestate/assets/js/jquery.matchHeight.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.081;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:39:\"themes/luxestate/assets/js/slideshow.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:39:\"themes/luxestate/assets/js/slideshow.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.082;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:39:\"themes/luxestate/assets/js/luxestate.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:39:\"themes/luxestate/assets/js/luxestate.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.083;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:40:\"themes/luxestate/assets/js/flexslider.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:40:\"themes/luxestate/assets/js/flexslider.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.084;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:40:\"themes/luxestate/assets/js/fix_script.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:40:\"themes/luxestate/assets/js/fix_script.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.085;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:53:\"themes/luxestate/assets/includes/slick/slick/slick.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"themes/luxestate/assets/includes/slick/slick/slick.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.087;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:24:\"core/misc/active-link.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:24:\"core/misc/active-link.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.089;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"modules/we_megamenu/assets/js/we_mobile_menu.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"modules/we_megamenu/assets/js/we_mobile_menu.js\";s:7:\"version\";d:1;s:8:\"minified\";b:0;s:6:\"weight\";d:0.09;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:53:\"modules/we_megamenu/assets/js/we_megamenu_frontend.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"modules/we_megamenu/assets/js/we_megamenu_frontend.js\";s:7:\"version\";d:1;s:8:\"minified\";b:0;s:6:\"weight\";d:0.091;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:57:\"themes/luxestate/assets/includes/skins-menu/skins_menu.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"themes/luxestate/assets/includes/skins-menu/skins_menu.js\";s:7:\"version\";s:3:\"1.x\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.092;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:43:\"themes/luxestate/assets/js/jquery.cookie.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"themes/luxestate/assets/js/jquery.cookie.js\";s:7:\"version\";s:3:\"1.x\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.092;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:21:\"core/misc/announce.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:21:\"core/misc/announce.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.093;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:59:\"core/assets/vendor/matchMedia/matchMedia.addListener.min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:59:\"core/assets/vendor/matchMedia/matchMedia.addListener.min.js\";s:7:\"version\";s:5:\"0.2.0\";s:6:\"weight\";d:0.094;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:39:\"core/modules/toolbar/js/toolbar.menu.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:39:\"core/modules/toolbar/js/toolbar.menu.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.095;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:34:\"core/modules/toolbar/js/toolbar.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:34:\"core/modules/toolbar/js/toolbar.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.096;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:43:\"core/modules/toolbar/js/models/MenuModel.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/modules/toolbar/js/models/MenuModel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.097;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:46:\"core/modules/toolbar/js/models/ToolbarModel.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/modules/toolbar/js/models/ToolbarModel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.098;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/modules/toolbar/js/views/BodyVisualView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/modules/toolbar/js/views/BodyVisualView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.099;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/modules/toolbar/js/views/MenuVisualView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/modules/toolbar/js/views/MenuVisualView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.1;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:49:\"core/modules/toolbar/js/views/ToolbarAuralView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/modules/toolbar/js/views/ToolbarAuralView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.101;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:50:\"core/modules/toolbar/js/views/ToolbarVisualView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:50:\"core/modules/toolbar/js/views/ToolbarVisualView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.102;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:51:\"core/assets/vendor/jquery.ui/ui/widgets/menu-min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:51:\"core/assets/vendor/jquery.ui/ui/widgets/menu-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:6:\"weight\";d:0.103;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:59:\"core/assets/vendor/jquery.ui/ui/widgets/autocomplete-min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:59:\"core/assets/vendor/jquery.ui/ui/widgets/autocomplete-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:6:\"weight\";d:0.104;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:69:\"modules/admin_toolbar/admin_toolbar_search/js/admin_toolbar_search.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:69:\"modules/admin_toolbar/admin_toolbar_search/js/admin_toolbar_search.js\";s:7:\"version\";i:-1;s:8:\"minified\";b:0;s:6:\"weight\";d:0.105;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:55:\"core/assets/vendor/jquery-joyride/jquery.joyride-2.1.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/assets/vendor/jquery-joyride/jquery.joyride-2.1.js\";s:7:\"version\";s:7:\"2.1.0.1\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.106;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:28:\"core/modules/tour/js/tour.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:28:\"core/modules/tour/js/tour.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.107;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:27:\"core/misc/tabbingmanager.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:27:\"core/misc/tabbingmanager.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.108;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:48:\"core/modules/contextual/js/contextual.toolbar.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/modules/contextual/js/contextual.toolbar.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.109;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:55:\"core/modules/contextual/js/toolbar/models/StateModel.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/modules/contextual/js/toolbar/models/StateModel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.11;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:53:\"core/modules/contextual/js/toolbar/views/AuralView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/modules/contextual/js/toolbar/views/AuralView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.111;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:54:\"core/modules/contextual/js/toolbar/views/VisualView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/modules/contextual/js/toolbar/views/VisualView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.112;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:46:\"modules/admin_toolbar/js/jquery.hoverIntent.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"modules/admin_toolbar/js/jquery.hoverIntent.js\";s:7:\"version\";i:-1;s:8:\"minified\";b:0;s:6:\"weight\";d:0.113;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:41:\"modules/admin_toolbar/js/admin_toolbar.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"modules/admin_toolbar/js/admin_toolbar.js\";s:7:\"version\";i:-1;s:8:\"minified\";b:0;s:6:\"weight\";d:0.114;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:38:\"core/modules/toolbar/js/escapeAdmin.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:38:\"core/modules/toolbar/js/escapeAdmin.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.115;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}}i:2;a:5:{s:4:\"path\";a:7:{s:7:\"baseUrl\";N;s:10:\"scriptPath\";N;s:10:\"pathPrefix\";N;s:11:\"currentPath\";N;s:18:\"currentPathIsAdmin\";N;s:7:\"isFront\";N;s:15:\"currentLanguage\";N;}s:15:\"pluralDelimiter\";N;s:25:\"suppressDeprecationErrors\";b:1;s:13:\"ajaxPageState\";a:3:{s:9:\"libraries\";N;s:5:\"theme\";s:9:\"luxestate\";s:11:\"theme_token\";N;}s:14:\"ajaxTrustedUrl\";a:0:{}}i:3;b:0;}',-1,1636711422.575,1,'library_info','0'),('js:seven:en:0mzip0HMuJAojU3P7hhEBrJdICljQJRC3p2_tXyhZvY10','a:4:{i:0;a:2:{s:45:\"core/assets/vendor/html5shiv/html5shiv.min.js\";a:11:{s:6:\"weight\";i:-22;s:8:\"browsers\";a:2:{s:2:\"IE\";s:8:\"lte IE 8\";s:3:\"!IE\";b:0;}s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/html5shiv/html5shiv.min.js\";s:7:\"version\";s:5:\"3.7.3\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:5:\"scope\";s:6:\"header\";}s:45:\"core/assets/vendor/modernizr/modernizr.min.js\";a:11:{s:10:\"preprocess\";i:0;s:6:\"weight\";d:-20.987;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/modernizr/modernizr.min.js\";s:7:\"version\";s:5:\"3.3.1\";s:5:\"cache\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"header\";}}i:1;a:69:{s:45:\"core/assets/vendor/classList/classList.min.js\";a:11:{s:6:\"weight\";d:-20.98;s:8:\"browsers\";a:2:{s:2:\"IE\";s:8:\"lte IE 9\";s:3:\"!IE\";b:0;}s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/classList/classList.min.js\";s:7:\"version\";s:10:\"2014-12-13\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:39:\"core/assets/vendor/jquery/jquery.min.js\";a:11:{s:8:\"minified\";b:1;s:6:\"weight\";d:-19.999;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:39:\"core/assets/vendor/jquery/jquery.min.js\";s:7:\"version\";s:5:\"3.5.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/assets/vendor/underscore/underscore-min.js\";a:11:{s:6:\"weight\";d:-19.989;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/assets/vendor/underscore/underscore-min.js\";s:7:\"version\";s:6:\"1.13.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:49:\"core/assets/vendor/jquery-once/jquery.once.min.js\";a:11:{s:6:\"weight\";d:-18.993;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/assets/vendor/jquery-once/jquery.once.min.js\";s:7:\"version\";s:5:\"2.2.3\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:43:\"core/assets/vendor/backbone/backbone-min.js\";a:11:{s:6:\"weight\";d:-18.988;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/assets/vendor/backbone/backbone-min.js\";s:7:\"version\";s:5:\"1.4.0\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:33:\"core/misc/drupalSettingsLoader.js\";a:11:{s:6:\"weight\";d:-17.998;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:33:\"core/misc/drupalSettingsLoader.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:19:\"core/misc/drupal.js\";a:11:{s:6:\"weight\";d:-17.996;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:19:\"core/misc/drupal.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:24:\"core/misc/drupal.init.js\";a:11:{s:6:\"weight\";d:-16.995;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:24:\"core/misc/drupal.init.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:43:\"core/assets/vendor/jquery.ui/ui/data-min.js\";a:11:{s:6:\"weight\";d:-10.96;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/assets/vendor/jquery.ui/ui/data-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:56:\"core/assets/vendor/jquery.ui/ui/disable-selection-min.js\";a:11:{s:6:\"weight\";d:-10.959;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/assets/vendor/jquery.ui/ui/disable-selection-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:43:\"core/assets/vendor/jquery.ui/ui/form-min.js\";a:11:{s:6:\"weight\";d:-10.958;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/assets/vendor/jquery.ui/ui/form-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:45:\"core/assets/vendor/jquery.ui/ui/labels-min.js\";a:11:{s:6:\"weight\";d:-10.957;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/jquery.ui/ui/labels-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:49:\"core/assets/vendor/jquery.ui/ui/jquery-1-7-min.js\";a:11:{s:6:\"weight\";d:-10.956;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/assets/vendor/jquery.ui/ui/jquery-1-7-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:52:\"core/assets/vendor/jquery.ui/ui/scroll-parent-min.js\";a:11:{s:6:\"weight\";d:-10.955;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/assets/vendor/jquery.ui/ui/scroll-parent-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/assets/vendor/jquery.ui/ui/tabbable-min.js\";a:11:{s:6:\"weight\";d:-10.954;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/assets/vendor/jquery.ui/ui/tabbable-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:48:\"core/assets/vendor/jquery.ui/ui/unique-id-min.js\";a:11:{s:6:\"weight\";d:-10.953;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/assets/vendor/jquery.ui/ui/unique-id-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:46:\"core/assets/vendor/jquery.ui/ui/version-min.js\";a:11:{s:6:\"weight\";d:-10.952;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/assets/vendor/jquery.ui/ui/version-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:54:\"core/assets/vendor/jquery.ui/ui/escape-selector-min.js\";a:11:{s:6:\"weight\";d:-10.951;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/assets/vendor/jquery.ui/ui/escape-selector-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:48:\"core/assets/vendor/jquery.ui/ui/focusable-min.js\";a:11:{s:6:\"weight\";d:-10.95;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/assets/vendor/jquery.ui/ui/focusable-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:41:\"core/assets/vendor/jquery.ui/ui/ie-min.js\";a:11:{s:6:\"weight\";d:-10.949;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"core/assets/vendor/jquery.ui/ui/ie-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:46:\"core/assets/vendor/jquery.ui/ui/keycode-min.js\";a:11:{s:6:\"weight\";d:-10.948;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/assets/vendor/jquery.ui/ui/keycode-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:45:\"core/assets/vendor/jquery.ui/ui/plugin-min.js\";a:11:{s:6:\"weight\";d:-10.947;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/jquery.ui/ui/plugin-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:58:\"core/assets/vendor/jquery.ui/ui/safe-active-element-min.js\";a:11:{s:6:\"weight\";d:-10.946;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/assets/vendor/jquery.ui/ui/safe-active-element-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:48:\"core/assets/vendor/jquery.ui/ui/safe-blur-min.js\";a:11:{s:6:\"weight\";d:-10.945;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/assets/vendor/jquery.ui/ui/safe-blur-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:45:\"core/assets/vendor/jquery.ui/ui/widget-min.js\";a:11:{s:6:\"weight\";d:-9.944;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/jquery.ui/ui/widget-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:40:\"core/modules/contextual/js/contextual.js\";a:11:{s:6:\"weight\";d:-1.986;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:40:\"core/modules/contextual/js/contextual.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/modules/contextual/js/models/StateModel.js\";a:11:{s:6:\"weight\";d:-1.985;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/modules/contextual/js/models/StateModel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:45:\"core/modules/contextual/js/views/AuralView.js\";a:11:{s:6:\"weight\";d:-1.984;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/modules/contextual/js/views/AuralView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:48:\"core/modules/contextual/js/views/KeyboardView.js\";a:11:{s:6:\"weight\";d:-1.983;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/modules/contextual/js/views/KeyboardView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:46:\"core/modules/contextual/js/views/RegionView.js\";a:11:{s:6:\"weight\";d:-1.982;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/modules/contextual/js/views/RegionView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:46:\"core/modules/contextual/js/views/VisualView.js\";a:11:{s:6:\"weight\";d:-1.981;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/modules/contextual/js/views/VisualView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:21:\"core/misc/progress.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:21:\"core/misc/progress.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.006;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:57:\"core/modules/responsive_image/js/responsive_image.ajax.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/modules/responsive_image/js/responsive_image.ajax.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.008;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:17:\"core/misc/ajax.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:17:\"core/misc/ajax.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.009;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:29:\"core/themes/stable/js/ajax.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:29:\"core/themes/stable/js/ajax.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.01;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:24:\"core/misc/active-link.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:24:\"core/misc/active-link.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.021;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:28:\"core/misc/tableresponsive.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:28:\"core/misc/tableresponsive.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.022;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:21:\"core/misc/debounce.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:21:\"core/misc/debounce.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.023;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:21:\"core/misc/announce.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:21:\"core/misc/announce.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.024;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:40:\"core/modules/system/js/system.modules.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:40:\"core/modules/system/js/system.modules.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.025;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:17:\"core/misc/form.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:17:\"core/misc/form.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.026;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:25:\"core/misc/details-aria.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:25:\"core/misc/details-aria.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.027;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:21:\"core/misc/collapse.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:21:\"core/misc/collapse.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.028;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/assets/vendor/matchMedia/matchMedia.min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/assets/vendor/matchMedia/matchMedia.min.js\";s:7:\"version\";s:5:\"0.2.0\";s:6:\"weight\";d:0.029;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:59:\"core/assets/vendor/matchMedia/matchMedia.addListener.min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:59:\"core/assets/vendor/matchMedia/matchMedia.addListener.min.js\";s:7:\"version\";s:5:\"0.2.0\";s:6:\"weight\";d:0.03;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:21:\"core/misc/displace.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:21:\"core/misc/displace.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.031;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:39:\"core/modules/toolbar/js/toolbar.menu.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:39:\"core/modules/toolbar/js/toolbar.menu.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.032;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:34:\"core/modules/toolbar/js/toolbar.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:34:\"core/modules/toolbar/js/toolbar.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.033;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:43:\"core/modules/toolbar/js/models/MenuModel.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/modules/toolbar/js/models/MenuModel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.034;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:46:\"core/modules/toolbar/js/models/ToolbarModel.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/modules/toolbar/js/models/ToolbarModel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.035;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/modules/toolbar/js/views/BodyVisualView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/modules/toolbar/js/views/BodyVisualView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.036;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/modules/toolbar/js/views/MenuVisualView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/modules/toolbar/js/views/MenuVisualView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.037;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:49:\"core/modules/toolbar/js/views/ToolbarAuralView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/modules/toolbar/js/views/ToolbarAuralView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.038;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:50:\"core/modules/toolbar/js/views/ToolbarVisualView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:50:\"core/modules/toolbar/js/views/ToolbarVisualView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.039;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/assets/vendor/jquery.ui/ui/position-min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/assets/vendor/jquery.ui/ui/position-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:6:\"weight\";d:0.057;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:51:\"core/assets/vendor/jquery.ui/ui/widgets/menu-min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:51:\"core/assets/vendor/jquery.ui/ui/widgets/menu-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:6:\"weight\";d:0.058;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:59:\"core/assets/vendor/jquery.ui/ui/widgets/autocomplete-min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:59:\"core/assets/vendor/jquery.ui/ui/widgets/autocomplete-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:6:\"weight\";d:0.059;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:69:\"modules/admin_toolbar/admin_toolbar_search/js/admin_toolbar_search.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:69:\"modules/admin_toolbar/admin_toolbar_search/js/admin_toolbar_search.js\";s:7:\"version\";i:-1;s:8:\"minified\";b:0;s:6:\"weight\";d:0.06;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:55:\"core/assets/vendor/jquery-joyride/jquery.joyride-2.1.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/assets/vendor/jquery-joyride/jquery.joyride-2.1.js\";s:7:\"version\";s:7:\"2.1.0.1\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.061;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:28:\"core/modules/tour/js/tour.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:28:\"core/modules/tour/js/tour.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.062;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:27:\"core/misc/tabbingmanager.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:27:\"core/misc/tabbingmanager.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.063;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:48:\"core/modules/contextual/js/contextual.toolbar.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/modules/contextual/js/contextual.toolbar.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.064;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:55:\"core/modules/contextual/js/toolbar/models/StateModel.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/modules/contextual/js/toolbar/models/StateModel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.065;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:53:\"core/modules/contextual/js/toolbar/views/AuralView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/modules/contextual/js/toolbar/views/AuralView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.066;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:54:\"core/modules/contextual/js/toolbar/views/VisualView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/modules/contextual/js/toolbar/views/VisualView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.067;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:46:\"modules/admin_toolbar/js/jquery.hoverIntent.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"modules/admin_toolbar/js/jquery.hoverIntent.js\";s:7:\"version\";i:-1;s:8:\"minified\";b:0;s:6:\"weight\";d:0.068;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:41:\"modules/admin_toolbar/js/admin_toolbar.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"modules/admin_toolbar/js/admin_toolbar.js\";s:7:\"version\";i:-1;s:8:\"minified\";b:0;s:6:\"weight\";d:0.069;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:38:\"core/modules/toolbar/js/escapeAdmin.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:38:\"core/modules/toolbar/js/escapeAdmin.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.07;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:32:\"core/themes/seven/js/nav-tabs.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:32:\"core/themes/seven/js/nav-tabs.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.071;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}}i:2;a:5:{s:4:\"path\";a:7:{s:7:\"baseUrl\";N;s:10:\"scriptPath\";N;s:10:\"pathPrefix\";N;s:11:\"currentPath\";N;s:18:\"currentPathIsAdmin\";N;s:7:\"isFront\";N;s:15:\"currentLanguage\";N;}s:15:\"pluralDelimiter\";N;s:25:\"suppressDeprecationErrors\";b:1;s:13:\"ajaxPageState\";a:3:{s:9:\"libraries\";N;s:5:\"theme\";s:5:\"seven\";s:11:\"theme_token\";N;}s:14:\"ajaxTrustedUrl\";a:0:{}}i:3;b:0;}',-1,1636012333.465,1,'library_info','0'),('js:seven:en:HyQOeVBWtonsQS_8a-dwlLBmF_bX8oOAg1KsUgM7Ypo10','a:4:{i:0;a:2:{s:45:\"core/assets/vendor/html5shiv/html5shiv.min.js\";a:11:{s:6:\"weight\";i:-22;s:8:\"browsers\";a:2:{s:2:\"IE\";s:8:\"lte IE 8\";s:3:\"!IE\";b:0;}s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/html5shiv/html5shiv.min.js\";s:7:\"version\";s:5:\"3.7.3\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:5:\"scope\";s:6:\"header\";}s:45:\"core/assets/vendor/modernizr/modernizr.min.js\";a:11:{s:10:\"preprocess\";i:0;s:6:\"weight\";d:-20.987;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/modernizr/modernizr.min.js\";s:7:\"version\";s:5:\"3.3.1\";s:5:\"cache\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"header\";}}i:1;a:63:{s:45:\"core/assets/vendor/classList/classList.min.js\";a:11:{s:6:\"weight\";d:-20.98;s:8:\"browsers\";a:2:{s:2:\"IE\";s:8:\"lte IE 9\";s:3:\"!IE\";b:0;}s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/classList/classList.min.js\";s:7:\"version\";s:10:\"2014-12-13\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:39:\"core/assets/vendor/jquery/jquery.min.js\";a:11:{s:8:\"minified\";b:1;s:6:\"weight\";d:-19.999;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:39:\"core/assets/vendor/jquery/jquery.min.js\";s:7:\"version\";s:5:\"3.5.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/assets/vendor/underscore/underscore-min.js\";a:11:{s:6:\"weight\";d:-19.989;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/assets/vendor/underscore/underscore-min.js\";s:7:\"version\";s:6:\"1.13.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:49:\"core/assets/vendor/jquery-once/jquery.once.min.js\";a:11:{s:6:\"weight\";d:-18.993;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/assets/vendor/jquery-once/jquery.once.min.js\";s:7:\"version\";s:5:\"2.2.3\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:43:\"core/assets/vendor/backbone/backbone-min.js\";a:11:{s:6:\"weight\";d:-18.988;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/assets/vendor/backbone/backbone-min.js\";s:7:\"version\";s:5:\"1.4.0\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:33:\"core/misc/drupalSettingsLoader.js\";a:11:{s:6:\"weight\";d:-17.998;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:33:\"core/misc/drupalSettingsLoader.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:19:\"core/misc/drupal.js\";a:11:{s:6:\"weight\";d:-17.996;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:19:\"core/misc/drupal.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:24:\"core/misc/drupal.init.js\";a:11:{s:6:\"weight\";d:-16.995;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:24:\"core/misc/drupal.init.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:43:\"core/assets/vendor/jquery.ui/ui/data-min.js\";a:11:{s:6:\"weight\";d:-10.965;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/assets/vendor/jquery.ui/ui/data-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:56:\"core/assets/vendor/jquery.ui/ui/disable-selection-min.js\";a:11:{s:6:\"weight\";d:-10.964;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/assets/vendor/jquery.ui/ui/disable-selection-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:43:\"core/assets/vendor/jquery.ui/ui/form-min.js\";a:11:{s:6:\"weight\";d:-10.963;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/assets/vendor/jquery.ui/ui/form-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:45:\"core/assets/vendor/jquery.ui/ui/labels-min.js\";a:11:{s:6:\"weight\";d:-10.962;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/jquery.ui/ui/labels-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:49:\"core/assets/vendor/jquery.ui/ui/jquery-1-7-min.js\";a:11:{s:6:\"weight\";d:-10.961;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/assets/vendor/jquery.ui/ui/jquery-1-7-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:52:\"core/assets/vendor/jquery.ui/ui/scroll-parent-min.js\";a:11:{s:6:\"weight\";d:-10.96;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/assets/vendor/jquery.ui/ui/scroll-parent-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/assets/vendor/jquery.ui/ui/tabbable-min.js\";a:11:{s:6:\"weight\";d:-10.959;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/assets/vendor/jquery.ui/ui/tabbable-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:48:\"core/assets/vendor/jquery.ui/ui/unique-id-min.js\";a:11:{s:6:\"weight\";d:-10.958;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/assets/vendor/jquery.ui/ui/unique-id-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:46:\"core/assets/vendor/jquery.ui/ui/version-min.js\";a:11:{s:6:\"weight\";d:-10.957;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/assets/vendor/jquery.ui/ui/version-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:54:\"core/assets/vendor/jquery.ui/ui/escape-selector-min.js\";a:11:{s:6:\"weight\";d:-10.956;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/assets/vendor/jquery.ui/ui/escape-selector-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:48:\"core/assets/vendor/jquery.ui/ui/focusable-min.js\";a:11:{s:6:\"weight\";d:-10.955;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/assets/vendor/jquery.ui/ui/focusable-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:41:\"core/assets/vendor/jquery.ui/ui/ie-min.js\";a:11:{s:6:\"weight\";d:-10.954;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"core/assets/vendor/jquery.ui/ui/ie-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:46:\"core/assets/vendor/jquery.ui/ui/keycode-min.js\";a:11:{s:6:\"weight\";d:-10.953;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/assets/vendor/jquery.ui/ui/keycode-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:45:\"core/assets/vendor/jquery.ui/ui/plugin-min.js\";a:11:{s:6:\"weight\";d:-10.952;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/jquery.ui/ui/plugin-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:58:\"core/assets/vendor/jquery.ui/ui/safe-active-element-min.js\";a:11:{s:6:\"weight\";d:-10.951;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/assets/vendor/jquery.ui/ui/safe-active-element-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:48:\"core/assets/vendor/jquery.ui/ui/safe-blur-min.js\";a:11:{s:6:\"weight\";d:-10.95;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/assets/vendor/jquery.ui/ui/safe-blur-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:45:\"core/assets/vendor/jquery.ui/ui/widget-min.js\";a:11:{s:6:\"weight\";d:-9.949;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/jquery.ui/ui/widget-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:40:\"core/modules/contextual/js/contextual.js\";a:11:{s:6:\"weight\";d:-1.986;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:40:\"core/modules/contextual/js/contextual.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/modules/contextual/js/models/StateModel.js\";a:11:{s:6:\"weight\";d:-1.985;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/modules/contextual/js/models/StateModel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:45:\"core/modules/contextual/js/views/AuralView.js\";a:11:{s:6:\"weight\";d:-1.984;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/modules/contextual/js/views/AuralView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:48:\"core/modules/contextual/js/views/KeyboardView.js\";a:11:{s:6:\"weight\";d:-1.983;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/modules/contextual/js/views/KeyboardView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:46:\"core/modules/contextual/js/views/RegionView.js\";a:11:{s:6:\"weight\";d:-1.982;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/modules/contextual/js/views/RegionView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:46:\"core/modules/contextual/js/views/VisualView.js\";a:11:{s:6:\"weight\";d:-1.981;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/modules/contextual/js/views/VisualView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:21:\"core/misc/progress.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:21:\"core/misc/progress.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.006;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:57:\"core/modules/responsive_image/js/responsive_image.ajax.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/modules/responsive_image/js/responsive_image.ajax.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.008;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:17:\"core/misc/ajax.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:17:\"core/misc/ajax.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.009;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:29:\"core/themes/stable/js/ajax.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:29:\"core/themes/stable/js/ajax.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.01;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:24:\"core/misc/active-link.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:24:\"core/misc/active-link.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.021;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:21:\"core/misc/debounce.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:21:\"core/misc/debounce.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.022;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:21:\"core/misc/announce.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:21:\"core/misc/announce.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.023;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/assets/vendor/matchMedia/matchMedia.min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/assets/vendor/matchMedia/matchMedia.min.js\";s:7:\"version\";s:5:\"0.2.0\";s:6:\"weight\";d:0.024;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:59:\"core/assets/vendor/matchMedia/matchMedia.addListener.min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:59:\"core/assets/vendor/matchMedia/matchMedia.addListener.min.js\";s:7:\"version\";s:5:\"0.2.0\";s:6:\"weight\";d:0.025;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:21:\"core/misc/displace.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:21:\"core/misc/displace.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.026;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:39:\"core/modules/toolbar/js/toolbar.menu.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:39:\"core/modules/toolbar/js/toolbar.menu.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.027;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:34:\"core/modules/toolbar/js/toolbar.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:34:\"core/modules/toolbar/js/toolbar.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.028;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:43:\"core/modules/toolbar/js/models/MenuModel.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/modules/toolbar/js/models/MenuModel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.029;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:46:\"core/modules/toolbar/js/models/ToolbarModel.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/modules/toolbar/js/models/ToolbarModel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.03;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/modules/toolbar/js/views/BodyVisualView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/modules/toolbar/js/views/BodyVisualView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.031;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/modules/toolbar/js/views/MenuVisualView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/modules/toolbar/js/views/MenuVisualView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.032;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:49:\"core/modules/toolbar/js/views/ToolbarAuralView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/modules/toolbar/js/views/ToolbarAuralView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.033;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:50:\"core/modules/toolbar/js/views/ToolbarVisualView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:50:\"core/modules/toolbar/js/views/ToolbarVisualView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.034;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/assets/vendor/jquery.ui/ui/position-min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/assets/vendor/jquery.ui/ui/position-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:6:\"weight\";d:0.052;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:51:\"core/assets/vendor/jquery.ui/ui/widgets/menu-min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:51:\"core/assets/vendor/jquery.ui/ui/widgets/menu-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:6:\"weight\";d:0.053;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:59:\"core/assets/vendor/jquery.ui/ui/widgets/autocomplete-min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:59:\"core/assets/vendor/jquery.ui/ui/widgets/autocomplete-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:6:\"weight\";d:0.054;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:69:\"modules/admin_toolbar/admin_toolbar_search/js/admin_toolbar_search.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:69:\"modules/admin_toolbar/admin_toolbar_search/js/admin_toolbar_search.js\";s:7:\"version\";i:-1;s:8:\"minified\";b:0;s:6:\"weight\";d:0.055;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:55:\"core/assets/vendor/jquery-joyride/jquery.joyride-2.1.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/assets/vendor/jquery-joyride/jquery.joyride-2.1.js\";s:7:\"version\";s:7:\"2.1.0.1\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.056;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:28:\"core/modules/tour/js/tour.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:28:\"core/modules/tour/js/tour.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.057;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:27:\"core/misc/tabbingmanager.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:27:\"core/misc/tabbingmanager.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.058;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:48:\"core/modules/contextual/js/contextual.toolbar.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/modules/contextual/js/contextual.toolbar.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.059;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:55:\"core/modules/contextual/js/toolbar/models/StateModel.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/modules/contextual/js/toolbar/models/StateModel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.06;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:53:\"core/modules/contextual/js/toolbar/views/AuralView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/modules/contextual/js/toolbar/views/AuralView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.061;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:54:\"core/modules/contextual/js/toolbar/views/VisualView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/modules/contextual/js/toolbar/views/VisualView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.062;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:46:\"modules/admin_toolbar/js/jquery.hoverIntent.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"modules/admin_toolbar/js/jquery.hoverIntent.js\";s:7:\"version\";i:-1;s:8:\"minified\";b:0;s:6:\"weight\";d:0.063;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:41:\"modules/admin_toolbar/js/admin_toolbar.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"modules/admin_toolbar/js/admin_toolbar.js\";s:7:\"version\";i:-1;s:8:\"minified\";b:0;s:6:\"weight\";d:0.064;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:38:\"core/modules/toolbar/js/escapeAdmin.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:38:\"core/modules/toolbar/js/escapeAdmin.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.065;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}}i:2;a:5:{s:4:\"path\";a:7:{s:7:\"baseUrl\";N;s:10:\"scriptPath\";N;s:10:\"pathPrefix\";N;s:11:\"currentPath\";N;s:18:\"currentPathIsAdmin\";N;s:7:\"isFront\";N;s:15:\"currentLanguage\";N;}s:15:\"pluralDelimiter\";N;s:25:\"suppressDeprecationErrors\";b:1;s:13:\"ajaxPageState\";a:3:{s:9:\"libraries\";N;s:5:\"theme\";s:5:\"seven\";s:11:\"theme_token\";N;}s:14:\"ajaxTrustedUrl\";a:0:{}}i:3;b:0;}',-1,1637057231.107,1,'library_info','0'),('js:seven:en:K4GBPIYoa2XrmHEsuKB5yiFJV1JDTBWWYJjPl4L5b7U10','a:4:{i:0;a:2:{s:45:\"core/assets/vendor/html5shiv/html5shiv.min.js\";a:11:{s:6:\"weight\";i:-22;s:8:\"browsers\";a:2:{s:2:\"IE\";s:8:\"lte IE 8\";s:3:\"!IE\";b:0;}s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/html5shiv/html5shiv.min.js\";s:7:\"version\";s:5:\"3.7.3\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:5:\"scope\";s:6:\"header\";}s:45:\"core/assets/vendor/modernizr/modernizr.min.js\";a:11:{s:10:\"preprocess\";i:0;s:6:\"weight\";d:-20.987;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/modernizr/modernizr.min.js\";s:7:\"version\";s:5:\"3.3.1\";s:5:\"cache\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"header\";}}i:1;a:65:{s:45:\"core/assets/vendor/classList/classList.min.js\";a:11:{s:6:\"weight\";d:-20.98;s:8:\"browsers\";a:2:{s:2:\"IE\";s:8:\"lte IE 9\";s:3:\"!IE\";b:0;}s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/classList/classList.min.js\";s:7:\"version\";s:10:\"2014-12-13\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:39:\"core/assets/vendor/jquery/jquery.min.js\";a:11:{s:8:\"minified\";b:1;s:6:\"weight\";d:-19.999;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:39:\"core/assets/vendor/jquery/jquery.min.js\";s:7:\"version\";s:5:\"3.5.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/assets/vendor/underscore/underscore-min.js\";a:11:{s:6:\"weight\";d:-19.989;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/assets/vendor/underscore/underscore-min.js\";s:7:\"version\";s:6:\"1.13.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:49:\"core/assets/vendor/jquery-once/jquery.once.min.js\";a:11:{s:6:\"weight\";d:-18.993;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/assets/vendor/jquery-once/jquery.once.min.js\";s:7:\"version\";s:5:\"2.2.3\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:43:\"core/assets/vendor/backbone/backbone-min.js\";a:11:{s:6:\"weight\";d:-18.988;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/assets/vendor/backbone/backbone-min.js\";s:7:\"version\";s:5:\"1.4.0\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:33:\"core/misc/drupalSettingsLoader.js\";a:11:{s:6:\"weight\";d:-17.998;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:33:\"core/misc/drupalSettingsLoader.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:19:\"core/misc/drupal.js\";a:11:{s:6:\"weight\";d:-17.996;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:19:\"core/misc/drupal.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:24:\"core/misc/drupal.init.js\";a:11:{s:6:\"weight\";d:-16.995;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:24:\"core/misc/drupal.init.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:43:\"core/assets/vendor/jquery.ui/ui/data-min.js\";a:11:{s:6:\"weight\";d:-10.964;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/assets/vendor/jquery.ui/ui/data-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:56:\"core/assets/vendor/jquery.ui/ui/disable-selection-min.js\";a:11:{s:6:\"weight\";d:-10.963;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/assets/vendor/jquery.ui/ui/disable-selection-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:43:\"core/assets/vendor/jquery.ui/ui/form-min.js\";a:11:{s:6:\"weight\";d:-10.962;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/assets/vendor/jquery.ui/ui/form-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:45:\"core/assets/vendor/jquery.ui/ui/labels-min.js\";a:11:{s:6:\"weight\";d:-10.961;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/jquery.ui/ui/labels-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:49:\"core/assets/vendor/jquery.ui/ui/jquery-1-7-min.js\";a:11:{s:6:\"weight\";d:-10.96;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/assets/vendor/jquery.ui/ui/jquery-1-7-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:52:\"core/assets/vendor/jquery.ui/ui/scroll-parent-min.js\";a:11:{s:6:\"weight\";d:-10.959;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/assets/vendor/jquery.ui/ui/scroll-parent-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/assets/vendor/jquery.ui/ui/tabbable-min.js\";a:11:{s:6:\"weight\";d:-10.958;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/assets/vendor/jquery.ui/ui/tabbable-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:48:\"core/assets/vendor/jquery.ui/ui/unique-id-min.js\";a:11:{s:6:\"weight\";d:-10.957;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/assets/vendor/jquery.ui/ui/unique-id-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:46:\"core/assets/vendor/jquery.ui/ui/version-min.js\";a:11:{s:6:\"weight\";d:-10.956;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/assets/vendor/jquery.ui/ui/version-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:54:\"core/assets/vendor/jquery.ui/ui/escape-selector-min.js\";a:11:{s:6:\"weight\";d:-10.955;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/assets/vendor/jquery.ui/ui/escape-selector-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:48:\"core/assets/vendor/jquery.ui/ui/focusable-min.js\";a:11:{s:6:\"weight\";d:-10.954;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/assets/vendor/jquery.ui/ui/focusable-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:41:\"core/assets/vendor/jquery.ui/ui/ie-min.js\";a:11:{s:6:\"weight\";d:-10.953;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"core/assets/vendor/jquery.ui/ui/ie-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:46:\"core/assets/vendor/jquery.ui/ui/keycode-min.js\";a:11:{s:6:\"weight\";d:-10.952;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/assets/vendor/jquery.ui/ui/keycode-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:45:\"core/assets/vendor/jquery.ui/ui/plugin-min.js\";a:11:{s:6:\"weight\";d:-10.951;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/jquery.ui/ui/plugin-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:58:\"core/assets/vendor/jquery.ui/ui/safe-active-element-min.js\";a:11:{s:6:\"weight\";d:-10.95;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/assets/vendor/jquery.ui/ui/safe-active-element-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:48:\"core/assets/vendor/jquery.ui/ui/safe-blur-min.js\";a:11:{s:6:\"weight\";d:-10.949;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/assets/vendor/jquery.ui/ui/safe-blur-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:45:\"core/assets/vendor/jquery.ui/ui/widget-min.js\";a:11:{s:6:\"weight\";d:-9.948;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/jquery.ui/ui/widget-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:40:\"core/modules/contextual/js/contextual.js\";a:11:{s:6:\"weight\";d:-1.986;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:40:\"core/modules/contextual/js/contextual.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/modules/contextual/js/models/StateModel.js\";a:11:{s:6:\"weight\";d:-1.985;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/modules/contextual/js/models/StateModel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:45:\"core/modules/contextual/js/views/AuralView.js\";a:11:{s:6:\"weight\";d:-1.984;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/modules/contextual/js/views/AuralView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:48:\"core/modules/contextual/js/views/KeyboardView.js\";a:11:{s:6:\"weight\";d:-1.983;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/modules/contextual/js/views/KeyboardView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:46:\"core/modules/contextual/js/views/RegionView.js\";a:11:{s:6:\"weight\";d:-1.982;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/modules/contextual/js/views/RegionView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:46:\"core/modules/contextual/js/views/VisualView.js\";a:11:{s:6:\"weight\";d:-1.981;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/modules/contextual/js/views/VisualView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:21:\"core/misc/progress.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:21:\"core/misc/progress.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.006;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:57:\"core/modules/responsive_image/js/responsive_image.ajax.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/modules/responsive_image/js/responsive_image.ajax.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.008;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:17:\"core/misc/ajax.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:17:\"core/misc/ajax.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.009;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:29:\"core/themes/stable/js/ajax.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:29:\"core/themes/stable/js/ajax.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.01;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:24:\"core/misc/active-link.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:24:\"core/misc/active-link.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.021;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:21:\"core/misc/debounce.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:21:\"core/misc/debounce.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.022;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:21:\"core/misc/announce.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:21:\"core/misc/announce.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.023;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:40:\"core/modules/system/js/system.modules.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:40:\"core/modules/system/js/system.modules.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.024;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/assets/vendor/matchMedia/matchMedia.min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/assets/vendor/matchMedia/matchMedia.min.js\";s:7:\"version\";s:5:\"0.2.0\";s:6:\"weight\";d:0.025;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:59:\"core/assets/vendor/matchMedia/matchMedia.addListener.min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:59:\"core/assets/vendor/matchMedia/matchMedia.addListener.min.js\";s:7:\"version\";s:5:\"0.2.0\";s:6:\"weight\";d:0.026;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:21:\"core/misc/displace.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:21:\"core/misc/displace.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.027;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:39:\"core/modules/toolbar/js/toolbar.menu.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:39:\"core/modules/toolbar/js/toolbar.menu.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.028;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:34:\"core/modules/toolbar/js/toolbar.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:34:\"core/modules/toolbar/js/toolbar.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.029;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:43:\"core/modules/toolbar/js/models/MenuModel.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/modules/toolbar/js/models/MenuModel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.03;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:46:\"core/modules/toolbar/js/models/ToolbarModel.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/modules/toolbar/js/models/ToolbarModel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.031;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/modules/toolbar/js/views/BodyVisualView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/modules/toolbar/js/views/BodyVisualView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.032;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/modules/toolbar/js/views/MenuVisualView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/modules/toolbar/js/views/MenuVisualView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.033;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:49:\"core/modules/toolbar/js/views/ToolbarAuralView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/modules/toolbar/js/views/ToolbarAuralView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.034;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:50:\"core/modules/toolbar/js/views/ToolbarVisualView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:50:\"core/modules/toolbar/js/views/ToolbarVisualView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.035;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/assets/vendor/jquery.ui/ui/position-min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/assets/vendor/jquery.ui/ui/position-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:6:\"weight\";d:0.053;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:51:\"core/assets/vendor/jquery.ui/ui/widgets/menu-min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:51:\"core/assets/vendor/jquery.ui/ui/widgets/menu-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:6:\"weight\";d:0.054;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:59:\"core/assets/vendor/jquery.ui/ui/widgets/autocomplete-min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:59:\"core/assets/vendor/jquery.ui/ui/widgets/autocomplete-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:6:\"weight\";d:0.055;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:69:\"modules/admin_toolbar/admin_toolbar_search/js/admin_toolbar_search.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:69:\"modules/admin_toolbar/admin_toolbar_search/js/admin_toolbar_search.js\";s:7:\"version\";i:-1;s:8:\"minified\";b:0;s:6:\"weight\";d:0.056;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:55:\"core/assets/vendor/jquery-joyride/jquery.joyride-2.1.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/assets/vendor/jquery-joyride/jquery.joyride-2.1.js\";s:7:\"version\";s:7:\"2.1.0.1\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.057;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:28:\"core/modules/tour/js/tour.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:28:\"core/modules/tour/js/tour.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.058;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:27:\"core/misc/tabbingmanager.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:27:\"core/misc/tabbingmanager.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.059;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:48:\"core/modules/contextual/js/contextual.toolbar.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/modules/contextual/js/contextual.toolbar.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.06;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:55:\"core/modules/contextual/js/toolbar/models/StateModel.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/modules/contextual/js/toolbar/models/StateModel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.061;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:53:\"core/modules/contextual/js/toolbar/views/AuralView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/modules/contextual/js/toolbar/views/AuralView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.062;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:54:\"core/modules/contextual/js/toolbar/views/VisualView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/modules/contextual/js/toolbar/views/VisualView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.063;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:46:\"modules/admin_toolbar/js/jquery.hoverIntent.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"modules/admin_toolbar/js/jquery.hoverIntent.js\";s:7:\"version\";i:-1;s:8:\"minified\";b:0;s:6:\"weight\";d:0.064;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:41:\"modules/admin_toolbar/js/admin_toolbar.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"modules/admin_toolbar/js/admin_toolbar.js\";s:7:\"version\";i:-1;s:8:\"minified\";b:0;s:6:\"weight\";d:0.065;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:38:\"core/modules/toolbar/js/escapeAdmin.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:38:\"core/modules/toolbar/js/escapeAdmin.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.066;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:32:\"core/themes/seven/js/nav-tabs.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:32:\"core/themes/seven/js/nav-tabs.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.067;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}}i:2;a:5:{s:4:\"path\";a:7:{s:7:\"baseUrl\";N;s:10:\"scriptPath\";N;s:10:\"pathPrefix\";N;s:11:\"currentPath\";N;s:18:\"currentPathIsAdmin\";N;s:7:\"isFront\";N;s:15:\"currentLanguage\";N;}s:15:\"pluralDelimiter\";N;s:25:\"suppressDeprecationErrors\";b:1;s:13:\"ajaxPageState\";a:3:{s:9:\"libraries\";N;s:5:\"theme\";s:5:\"seven\";s:11:\"theme_token\";N;}s:14:\"ajaxTrustedUrl\";a:0:{}}i:3;b:0;}',-1,1636012338.172,1,'library_info','0'),('js:seven:en:RS2KYVmBrhZ_q0uXjKGhL4kEv_7wMmCyiZqXbepkeAc10','a:4:{i:0;a:2:{s:45:\"core/assets/vendor/html5shiv/html5shiv.min.js\";a:11:{s:6:\"weight\";i:-22;s:8:\"browsers\";a:2:{s:2:\"IE\";s:8:\"lte IE 8\";s:3:\"!IE\";b:0;}s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/html5shiv/html5shiv.min.js\";s:7:\"version\";s:5:\"3.7.3\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:5:\"scope\";s:6:\"header\";}s:45:\"core/assets/vendor/modernizr/modernizr.min.js\";a:11:{s:10:\"preprocess\";i:0;s:6:\"weight\";d:-20.987;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/modernizr/modernizr.min.js\";s:7:\"version\";s:5:\"3.3.1\";s:5:\"cache\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"header\";}}i:1;a:67:{s:45:\"core/assets/vendor/classList/classList.min.js\";a:11:{s:6:\"weight\";d:-20.98;s:8:\"browsers\";a:2:{s:2:\"IE\";s:8:\"lte IE 9\";s:3:\"!IE\";b:0;}s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/classList/classList.min.js\";s:7:\"version\";s:10:\"2014-12-13\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:39:\"core/assets/vendor/jquery/jquery.min.js\";a:11:{s:8:\"minified\";b:1;s:6:\"weight\";d:-19.999;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:39:\"core/assets/vendor/jquery/jquery.min.js\";s:7:\"version\";s:5:\"3.5.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/assets/vendor/underscore/underscore-min.js\";a:11:{s:6:\"weight\";d:-19.989;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/assets/vendor/underscore/underscore-min.js\";s:7:\"version\";s:6:\"1.13.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:49:\"core/assets/vendor/jquery-once/jquery.once.min.js\";a:11:{s:6:\"weight\";d:-18.993;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/assets/vendor/jquery-once/jquery.once.min.js\";s:7:\"version\";s:5:\"2.2.3\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:43:\"core/assets/vendor/backbone/backbone-min.js\";a:11:{s:6:\"weight\";d:-18.988;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/assets/vendor/backbone/backbone-min.js\";s:7:\"version\";s:5:\"1.4.0\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:33:\"core/misc/drupalSettingsLoader.js\";a:11:{s:6:\"weight\";d:-17.998;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:33:\"core/misc/drupalSettingsLoader.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:19:\"core/misc/drupal.js\";a:11:{s:6:\"weight\";d:-17.996;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:19:\"core/misc/drupal.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:24:\"core/misc/drupal.init.js\";a:11:{s:6:\"weight\";d:-16.995;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:24:\"core/misc/drupal.init.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:43:\"core/assets/vendor/jquery.ui/ui/data-min.js\";a:11:{s:6:\"weight\";d:-10.962;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/assets/vendor/jquery.ui/ui/data-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:56:\"core/assets/vendor/jquery.ui/ui/disable-selection-min.js\";a:11:{s:6:\"weight\";d:-10.961;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/assets/vendor/jquery.ui/ui/disable-selection-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:43:\"core/assets/vendor/jquery.ui/ui/form-min.js\";a:11:{s:6:\"weight\";d:-10.96;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/assets/vendor/jquery.ui/ui/form-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:45:\"core/assets/vendor/jquery.ui/ui/labels-min.js\";a:11:{s:6:\"weight\";d:-10.959;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/jquery.ui/ui/labels-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:49:\"core/assets/vendor/jquery.ui/ui/jquery-1-7-min.js\";a:11:{s:6:\"weight\";d:-10.958;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/assets/vendor/jquery.ui/ui/jquery-1-7-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:52:\"core/assets/vendor/jquery.ui/ui/scroll-parent-min.js\";a:11:{s:6:\"weight\";d:-10.957;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/assets/vendor/jquery.ui/ui/scroll-parent-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/assets/vendor/jquery.ui/ui/tabbable-min.js\";a:11:{s:6:\"weight\";d:-10.956;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/assets/vendor/jquery.ui/ui/tabbable-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:48:\"core/assets/vendor/jquery.ui/ui/unique-id-min.js\";a:11:{s:6:\"weight\";d:-10.955;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/assets/vendor/jquery.ui/ui/unique-id-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:46:\"core/assets/vendor/jquery.ui/ui/version-min.js\";a:11:{s:6:\"weight\";d:-10.954;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/assets/vendor/jquery.ui/ui/version-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:54:\"core/assets/vendor/jquery.ui/ui/escape-selector-min.js\";a:11:{s:6:\"weight\";d:-10.953;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/assets/vendor/jquery.ui/ui/escape-selector-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:48:\"core/assets/vendor/jquery.ui/ui/focusable-min.js\";a:11:{s:6:\"weight\";d:-10.952;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/assets/vendor/jquery.ui/ui/focusable-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:41:\"core/assets/vendor/jquery.ui/ui/ie-min.js\";a:11:{s:6:\"weight\";d:-10.951;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"core/assets/vendor/jquery.ui/ui/ie-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:46:\"core/assets/vendor/jquery.ui/ui/keycode-min.js\";a:11:{s:6:\"weight\";d:-10.95;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/assets/vendor/jquery.ui/ui/keycode-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:45:\"core/assets/vendor/jquery.ui/ui/plugin-min.js\";a:11:{s:6:\"weight\";d:-10.949;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/jquery.ui/ui/plugin-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:58:\"core/assets/vendor/jquery.ui/ui/safe-active-element-min.js\";a:11:{s:6:\"weight\";d:-10.948;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/assets/vendor/jquery.ui/ui/safe-active-element-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:48:\"core/assets/vendor/jquery.ui/ui/safe-blur-min.js\";a:11:{s:6:\"weight\";d:-10.947;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/assets/vendor/jquery.ui/ui/safe-blur-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:45:\"core/assets/vendor/jquery.ui/ui/widget-min.js\";a:11:{s:6:\"weight\";d:-9.946;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/jquery.ui/ui/widget-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:40:\"core/modules/contextual/js/contextual.js\";a:11:{s:6:\"weight\";d:-1.986;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:40:\"core/modules/contextual/js/contextual.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/modules/contextual/js/models/StateModel.js\";a:11:{s:6:\"weight\";d:-1.985;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/modules/contextual/js/models/StateModel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:45:\"core/modules/contextual/js/views/AuralView.js\";a:11:{s:6:\"weight\";d:-1.984;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/modules/contextual/js/views/AuralView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:48:\"core/modules/contextual/js/views/KeyboardView.js\";a:11:{s:6:\"weight\";d:-1.983;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/modules/contextual/js/views/KeyboardView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:46:\"core/modules/contextual/js/views/RegionView.js\";a:11:{s:6:\"weight\";d:-1.982;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/modules/contextual/js/views/RegionView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:46:\"core/modules/contextual/js/views/VisualView.js\";a:11:{s:6:\"weight\";d:-1.981;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/modules/contextual/js/views/VisualView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:21:\"core/misc/progress.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:21:\"core/misc/progress.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.006;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:57:\"core/modules/responsive_image/js/responsive_image.ajax.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/modules/responsive_image/js/responsive_image.ajax.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.008;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:17:\"core/misc/ajax.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:17:\"core/misc/ajax.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.009;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:29:\"core/themes/stable/js/ajax.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:29:\"core/themes/stable/js/ajax.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.01;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:24:\"core/misc/active-link.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:24:\"core/misc/active-link.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.021;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:28:\"core/misc/tableresponsive.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:28:\"core/misc/tableresponsive.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.022;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:21:\"core/misc/checkbox.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:21:\"core/misc/checkbox.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.023;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:24:\"core/misc/tableselect.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:24:\"core/misc/tableselect.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.024;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:21:\"core/misc/debounce.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:21:\"core/misc/debounce.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.025;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:21:\"core/misc/announce.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:21:\"core/misc/announce.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.026;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/assets/vendor/matchMedia/matchMedia.min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/assets/vendor/matchMedia/matchMedia.min.js\";s:7:\"version\";s:5:\"0.2.0\";s:6:\"weight\";d:0.027;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:59:\"core/assets/vendor/matchMedia/matchMedia.addListener.min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:59:\"core/assets/vendor/matchMedia/matchMedia.addListener.min.js\";s:7:\"version\";s:5:\"0.2.0\";s:6:\"weight\";d:0.028;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:21:\"core/misc/displace.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:21:\"core/misc/displace.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.029;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:39:\"core/modules/toolbar/js/toolbar.menu.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:39:\"core/modules/toolbar/js/toolbar.menu.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.03;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:34:\"core/modules/toolbar/js/toolbar.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:34:\"core/modules/toolbar/js/toolbar.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.031;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:43:\"core/modules/toolbar/js/models/MenuModel.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/modules/toolbar/js/models/MenuModel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.032;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:46:\"core/modules/toolbar/js/models/ToolbarModel.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/modules/toolbar/js/models/ToolbarModel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.033;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/modules/toolbar/js/views/BodyVisualView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/modules/toolbar/js/views/BodyVisualView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.034;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/modules/toolbar/js/views/MenuVisualView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/modules/toolbar/js/views/MenuVisualView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.035;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:49:\"core/modules/toolbar/js/views/ToolbarAuralView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/modules/toolbar/js/views/ToolbarAuralView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.036;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:50:\"core/modules/toolbar/js/views/ToolbarVisualView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:50:\"core/modules/toolbar/js/views/ToolbarVisualView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.037;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/assets/vendor/jquery.ui/ui/position-min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/assets/vendor/jquery.ui/ui/position-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:6:\"weight\";d:0.055;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:51:\"core/assets/vendor/jquery.ui/ui/widgets/menu-min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:51:\"core/assets/vendor/jquery.ui/ui/widgets/menu-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:6:\"weight\";d:0.056;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:59:\"core/assets/vendor/jquery.ui/ui/widgets/autocomplete-min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:59:\"core/assets/vendor/jquery.ui/ui/widgets/autocomplete-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:6:\"weight\";d:0.057;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:69:\"modules/admin_toolbar/admin_toolbar_search/js/admin_toolbar_search.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:69:\"modules/admin_toolbar/admin_toolbar_search/js/admin_toolbar_search.js\";s:7:\"version\";i:-1;s:8:\"minified\";b:0;s:6:\"weight\";d:0.058;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:55:\"core/assets/vendor/jquery-joyride/jquery.joyride-2.1.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/assets/vendor/jquery-joyride/jquery.joyride-2.1.js\";s:7:\"version\";s:7:\"2.1.0.1\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.059;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:28:\"core/modules/tour/js/tour.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:28:\"core/modules/tour/js/tour.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.06;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:27:\"core/misc/tabbingmanager.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:27:\"core/misc/tabbingmanager.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.061;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:48:\"core/modules/contextual/js/contextual.toolbar.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/modules/contextual/js/contextual.toolbar.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.062;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:55:\"core/modules/contextual/js/toolbar/models/StateModel.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/modules/contextual/js/toolbar/models/StateModel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.063;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:53:\"core/modules/contextual/js/toolbar/views/AuralView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/modules/contextual/js/toolbar/views/AuralView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.064;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:54:\"core/modules/contextual/js/toolbar/views/VisualView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/modules/contextual/js/toolbar/views/VisualView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.065;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:46:\"modules/admin_toolbar/js/jquery.hoverIntent.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"modules/admin_toolbar/js/jquery.hoverIntent.js\";s:7:\"version\";i:-1;s:8:\"minified\";b:0;s:6:\"weight\";d:0.066;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:41:\"modules/admin_toolbar/js/admin_toolbar.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"modules/admin_toolbar/js/admin_toolbar.js\";s:7:\"version\";i:-1;s:8:\"minified\";b:0;s:6:\"weight\";d:0.067;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:38:\"core/modules/toolbar/js/escapeAdmin.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:38:\"core/modules/toolbar/js/escapeAdmin.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.068;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:32:\"core/themes/seven/js/nav-tabs.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:32:\"core/themes/seven/js/nav-tabs.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.069;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}}i:2;a:5:{s:4:\"path\";a:7:{s:7:\"baseUrl\";N;s:10:\"scriptPath\";N;s:10:\"pathPrefix\";N;s:11:\"currentPath\";N;s:18:\"currentPathIsAdmin\";N;s:7:\"isFront\";N;s:15:\"currentLanguage\";N;}s:15:\"pluralDelimiter\";N;s:25:\"suppressDeprecationErrors\";b:1;s:13:\"ajaxPageState\";a:3:{s:9:\"libraries\";N;s:5:\"theme\";s:5:\"seven\";s:11:\"theme_token\";N;}s:14:\"ajaxTrustedUrl\";a:0:{}}i:3;b:0;}',-1,1636012340.394,1,'library_info','0'),('js:seven:en:blbG1ghUDh9sa9UVmrq5l5SfFoIWJ60V6CjG1dZ9hrM10','a:4:{i:0;a:2:{s:45:\"core/assets/vendor/html5shiv/html5shiv.min.js\";a:11:{s:6:\"weight\";i:-22;s:8:\"browsers\";a:2:{s:2:\"IE\";s:8:\"lte IE 8\";s:3:\"!IE\";b:0;}s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/html5shiv/html5shiv.min.js\";s:7:\"version\";s:5:\"3.7.3\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:5:\"scope\";s:6:\"header\";}s:45:\"core/assets/vendor/modernizr/modernizr.min.js\";a:11:{s:10:\"preprocess\";i:0;s:6:\"weight\";d:-20.987;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/modernizr/modernizr.min.js\";s:7:\"version\";s:5:\"3.3.1\";s:5:\"cache\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"header\";}}i:1;a:82:{s:45:\"core/assets/vendor/classList/classList.min.js\";a:11:{s:6:\"weight\";d:-20.98;s:8:\"browsers\";a:2:{s:2:\"IE\";s:8:\"lte IE 9\";s:3:\"!IE\";b:0;}s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/classList/classList.min.js\";s:7:\"version\";s:10:\"2014-12-13\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:39:\"core/assets/vendor/jquery/jquery.min.js\";a:11:{s:8:\"minified\";b:1;s:6:\"weight\";d:-19.999;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:39:\"core/assets/vendor/jquery/jquery.min.js\";s:7:\"version\";s:5:\"3.5.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/assets/vendor/underscore/underscore-min.js\";a:11:{s:6:\"weight\";d:-19.989;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/assets/vendor/underscore/underscore-min.js\";s:7:\"version\";s:6:\"1.13.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:49:\"core/assets/vendor/jquery-once/jquery.once.min.js\";a:11:{s:6:\"weight\";d:-18.993;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/assets/vendor/jquery-once/jquery.once.min.js\";s:7:\"version\";s:5:\"2.2.3\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:43:\"core/assets/vendor/backbone/backbone-min.js\";a:11:{s:6:\"weight\";d:-18.988;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/assets/vendor/backbone/backbone-min.js\";s:7:\"version\";s:5:\"1.4.0\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:33:\"core/misc/drupalSettingsLoader.js\";a:11:{s:6:\"weight\";d:-17.998;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:33:\"core/misc/drupalSettingsLoader.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:19:\"core/misc/drupal.js\";a:11:{s:6:\"weight\";d:-17.996;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:19:\"core/misc/drupal.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:24:\"core/misc/drupal.init.js\";a:11:{s:6:\"weight\";d:-16.995;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:24:\"core/misc/drupal.init.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:43:\"core/assets/vendor/jquery.ui/ui/data-min.js\";a:11:{s:6:\"weight\";d:-10.971;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/assets/vendor/jquery.ui/ui/data-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:56:\"core/assets/vendor/jquery.ui/ui/disable-selection-min.js\";a:11:{s:6:\"weight\";d:-10.97;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/assets/vendor/jquery.ui/ui/disable-selection-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:43:\"core/assets/vendor/jquery.ui/ui/form-min.js\";a:11:{s:6:\"weight\";d:-10.969;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/assets/vendor/jquery.ui/ui/form-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:45:\"core/assets/vendor/jquery.ui/ui/labels-min.js\";a:11:{s:6:\"weight\";d:-10.968;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/jquery.ui/ui/labels-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:49:\"core/assets/vendor/jquery.ui/ui/jquery-1-7-min.js\";a:11:{s:6:\"weight\";d:-10.967;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/assets/vendor/jquery.ui/ui/jquery-1-7-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:52:\"core/assets/vendor/jquery.ui/ui/scroll-parent-min.js\";a:11:{s:6:\"weight\";d:-10.966;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/assets/vendor/jquery.ui/ui/scroll-parent-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/assets/vendor/jquery.ui/ui/tabbable-min.js\";a:11:{s:6:\"weight\";d:-10.965;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/assets/vendor/jquery.ui/ui/tabbable-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:48:\"core/assets/vendor/jquery.ui/ui/unique-id-min.js\";a:11:{s:6:\"weight\";d:-10.964;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/assets/vendor/jquery.ui/ui/unique-id-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:46:\"core/assets/vendor/jquery.ui/ui/version-min.js\";a:11:{s:6:\"weight\";d:-10.963;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/assets/vendor/jquery.ui/ui/version-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:54:\"core/assets/vendor/jquery.ui/ui/escape-selector-min.js\";a:11:{s:6:\"weight\";d:-10.962;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/assets/vendor/jquery.ui/ui/escape-selector-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:48:\"core/assets/vendor/jquery.ui/ui/focusable-min.js\";a:11:{s:6:\"weight\";d:-10.961;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/assets/vendor/jquery.ui/ui/focusable-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:46:\"core/assets/vendor/jquery.ui/ui/keycode-min.js\";a:11:{s:6:\"weight\";d:-10.959;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/assets/vendor/jquery.ui/ui/keycode-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:45:\"core/assets/vendor/jquery.ui/ui/plugin-min.js\";a:11:{s:6:\"weight\";d:-10.958;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/jquery.ui/ui/plugin-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:58:\"core/assets/vendor/jquery.ui/ui/safe-active-element-min.js\";a:11:{s:6:\"weight\";d:-10.957;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/assets/vendor/jquery.ui/ui/safe-active-element-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:48:\"core/assets/vendor/jquery.ui/ui/safe-blur-min.js\";a:11:{s:6:\"weight\";d:-10.956;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/assets/vendor/jquery.ui/ui/safe-blur-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:45:\"core/assets/vendor/jquery.ui/ui/widget-min.js\";a:11:{s:6:\"weight\";d:-9.955;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/jquery.ui/ui/widget-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:40:\"core/modules/contextual/js/contextual.js\";a:11:{s:6:\"weight\";d:-1.986;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:40:\"core/modules/contextual/js/contextual.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/modules/contextual/js/models/StateModel.js\";a:11:{s:6:\"weight\";d:-1.985;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/modules/contextual/js/models/StateModel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:45:\"core/modules/contextual/js/views/AuralView.js\";a:11:{s:6:\"weight\";d:-1.984;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/modules/contextual/js/views/AuralView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:48:\"core/modules/contextual/js/views/KeyboardView.js\";a:11:{s:6:\"weight\";d:-1.983;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/modules/contextual/js/views/KeyboardView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:46:\"core/modules/contextual/js/views/RegionView.js\";a:11:{s:6:\"weight\";d:-1.982;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/modules/contextual/js/views/RegionView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:46:\"core/modules/contextual/js/views/VisualView.js\";a:11:{s:6:\"weight\";d:-1.981;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/modules/contextual/js/views/VisualView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:26:\"core/misc/vertical-tabs.js\";a:11:{s:6:\"weight\";d:-0.973;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:26:\"core/misc/vertical-tabs.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:21:\"core/misc/progress.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:21:\"core/misc/progress.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.006;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:57:\"core/modules/responsive_image/js/responsive_image.ajax.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/modules/responsive_image/js/responsive_image.ajax.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.008;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:17:\"core/misc/ajax.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:17:\"core/misc/ajax.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.009;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:29:\"core/themes/stable/js/ajax.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:29:\"core/themes/stable/js/ajax.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.01;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:24:\"core/misc/active-link.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:24:\"core/misc/active-link.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.021;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:21:\"core/misc/debounce.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:21:\"core/misc/debounce.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.022;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:17:\"core/misc/form.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:17:\"core/misc/form.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.023;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:25:\"core/misc/details-aria.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:25:\"core/misc/details-aria.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.024;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:21:\"core/misc/collapse.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:21:\"core/misc/collapse.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.025;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/assets/vendor/matchMedia/matchMedia.min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/assets/vendor/matchMedia/matchMedia.min.js\";s:7:\"version\";s:5:\"0.2.0\";s:6:\"weight\";d:0.026;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:21:\"core/misc/displace.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:21:\"core/misc/displace.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.028;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:55:\"core/assets/vendor/jquery.ui/ui/form-reset-mixin-min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/assets/vendor/jquery.ui/ui/form-reset-mixin-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:6:\"weight\";d:0.046;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:60:\"core/assets/vendor/jquery.ui/ui/widgets/checkboxradio-min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:60:\"core/assets/vendor/jquery.ui/ui/widgets/checkboxradio-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:6:\"weight\";d:0.047;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:59:\"core/assets/vendor/jquery.ui/ui/widgets/controlgroup-min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:59:\"core/assets/vendor/jquery.ui/ui/widgets/controlgroup-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:6:\"weight\";d:0.048;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:53:\"core/assets/vendor/jquery.ui/ui/widgets/button-min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/assets/vendor/jquery.ui/ui/widgets/button-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:6:\"weight\";d:0.049;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:41:\"core/assets/vendor/jquery.ui/ui/ie-min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"core/assets/vendor/jquery.ui/ui/ie-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:6:\"weight\";d:0.05;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:52:\"core/assets/vendor/jquery.ui/ui/widgets/mouse-min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/assets/vendor/jquery.ui/ui/widgets/mouse-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:6:\"weight\";d:0.05;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:56:\"core/assets/vendor/jquery.ui/ui/widgets/draggable-min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/assets/vendor/jquery.ui/ui/widgets/draggable-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:6:\"weight\";d:0.051;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/assets/vendor/jquery.ui/ui/position-min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/assets/vendor/jquery.ui/ui/position-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:6:\"weight\";d:0.052;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:56:\"core/assets/vendor/jquery.ui/ui/widgets/resizable-min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/assets/vendor/jquery.ui/ui/widgets/resizable-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:6:\"weight\";d:0.053;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:53:\"core/assets/vendor/jquery.ui/ui/widgets/dialog-min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/assets/vendor/jquery.ui/ui/widgets/dialog-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:6:\"weight\";d:0.054;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:26:\"core/misc/dialog/dialog.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:26:\"core/misc/dialog/dialog.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.055;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:35:\"core/misc/dialog/dialog.position.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:35:\"core/misc/dialog/dialog.position.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.056;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:36:\"core/misc/dialog/dialog.jquery-ui.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:36:\"core/misc/dialog/dialog.jquery-ui.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.057;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:31:\"core/misc/dialog/dialog.ajax.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:31:\"core/misc/dialog/dialog.ajax.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.058;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:25:\"modules/token/js/token.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:25:\"modules/token/js/token.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.059;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:19:\"core/misc/states.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:19:\"core/misc/states.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.06;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:32:\"core/themes/seven/js/nav-tabs.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:32:\"core/themes/seven/js/nav-tabs.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.061;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:21:\"core/misc/announce.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:21:\"core/misc/announce.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.062;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:59:\"core/assets/vendor/matchMedia/matchMedia.addListener.min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:59:\"core/assets/vendor/matchMedia/matchMedia.addListener.min.js\";s:7:\"version\";s:5:\"0.2.0\";s:6:\"weight\";d:0.063;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:39:\"core/modules/toolbar/js/toolbar.menu.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:39:\"core/modules/toolbar/js/toolbar.menu.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.064;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:34:\"core/modules/toolbar/js/toolbar.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:34:\"core/modules/toolbar/js/toolbar.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.065;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:43:\"core/modules/toolbar/js/models/MenuModel.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/modules/toolbar/js/models/MenuModel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.066;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:46:\"core/modules/toolbar/js/models/ToolbarModel.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/modules/toolbar/js/models/ToolbarModel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.067;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/modules/toolbar/js/views/BodyVisualView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/modules/toolbar/js/views/BodyVisualView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.068;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/modules/toolbar/js/views/MenuVisualView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/modules/toolbar/js/views/MenuVisualView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.069;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:49:\"core/modules/toolbar/js/views/ToolbarAuralView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/modules/toolbar/js/views/ToolbarAuralView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.07;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:50:\"core/modules/toolbar/js/views/ToolbarVisualView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:50:\"core/modules/toolbar/js/views/ToolbarVisualView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.071;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:51:\"core/assets/vendor/jquery.ui/ui/widgets/menu-min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:51:\"core/assets/vendor/jquery.ui/ui/widgets/menu-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:6:\"weight\";d:0.072;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:59:\"core/assets/vendor/jquery.ui/ui/widgets/autocomplete-min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:59:\"core/assets/vendor/jquery.ui/ui/widgets/autocomplete-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:6:\"weight\";d:0.073;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:69:\"modules/admin_toolbar/admin_toolbar_search/js/admin_toolbar_search.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:69:\"modules/admin_toolbar/admin_toolbar_search/js/admin_toolbar_search.js\";s:7:\"version\";i:-1;s:8:\"minified\";b:0;s:6:\"weight\";d:0.074;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:55:\"core/assets/vendor/jquery-joyride/jquery.joyride-2.1.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/assets/vendor/jquery-joyride/jquery.joyride-2.1.js\";s:7:\"version\";s:7:\"2.1.0.1\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.075;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:28:\"core/modules/tour/js/tour.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:28:\"core/modules/tour/js/tour.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.076;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:27:\"core/misc/tabbingmanager.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:27:\"core/misc/tabbingmanager.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.077;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:48:\"core/modules/contextual/js/contextual.toolbar.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/modules/contextual/js/contextual.toolbar.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.078;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:55:\"core/modules/contextual/js/toolbar/models/StateModel.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/modules/contextual/js/toolbar/models/StateModel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.079;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:53:\"core/modules/contextual/js/toolbar/views/AuralView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/modules/contextual/js/toolbar/views/AuralView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.08;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:54:\"core/modules/contextual/js/toolbar/views/VisualView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/modules/contextual/js/toolbar/views/VisualView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.081;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:46:\"modules/admin_toolbar/js/jquery.hoverIntent.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"modules/admin_toolbar/js/jquery.hoverIntent.js\";s:7:\"version\";i:-1;s:8:\"minified\";b:0;s:6:\"weight\";d:0.082;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:41:\"modules/admin_toolbar/js/admin_toolbar.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"modules/admin_toolbar/js/admin_toolbar.js\";s:7:\"version\";i:-1;s:8:\"minified\";b:0;s:6:\"weight\";d:0.083;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:38:\"core/modules/toolbar/js/escapeAdmin.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:38:\"core/modules/toolbar/js/escapeAdmin.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.084;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}}i:2;a:5:{s:4:\"path\";a:7:{s:7:\"baseUrl\";N;s:10:\"scriptPath\";N;s:10:\"pathPrefix\";N;s:11:\"currentPath\";N;s:18:\"currentPathIsAdmin\";N;s:7:\"isFront\";N;s:15:\"currentLanguage\";N;}s:15:\"pluralDelimiter\";N;s:25:\"suppressDeprecationErrors\";b:1;s:13:\"ajaxPageState\";a:3:{s:9:\"libraries\";N;s:5:\"theme\";s:5:\"seven\";s:11:\"theme_token\";N;}s:14:\"ajaxTrustedUrl\";a:0:{}}i:3;b:0;}',-1,1637057237.601,1,'library_info','0'),('js:seven:en:d_oITM2aF38VM1yQJ3HQhwDnn13dZO9jwPhNXSDqWw010','a:4:{i:0;a:2:{s:45:\"core/assets/vendor/html5shiv/html5shiv.min.js\";a:11:{s:6:\"weight\";i:-22;s:8:\"browsers\";a:2:{s:2:\"IE\";s:8:\"lte IE 8\";s:3:\"!IE\";b:0;}s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/html5shiv/html5shiv.min.js\";s:7:\"version\";s:5:\"3.7.3\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:5:\"scope\";s:6:\"header\";}s:45:\"core/assets/vendor/modernizr/modernizr.min.js\";a:11:{s:10:\"preprocess\";i:0;s:6:\"weight\";d:-20.987;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/modernizr/modernizr.min.js\";s:7:\"version\";s:5:\"3.3.1\";s:5:\"cache\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"header\";}}i:1;a:67:{s:45:\"core/assets/vendor/classList/classList.min.js\";a:11:{s:6:\"weight\";d:-20.98;s:8:\"browsers\";a:2:{s:2:\"IE\";s:8:\"lte IE 9\";s:3:\"!IE\";b:0;}s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/classList/classList.min.js\";s:7:\"version\";s:10:\"2014-12-13\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:39:\"core/assets/vendor/jquery/jquery.min.js\";a:11:{s:8:\"minified\";b:1;s:6:\"weight\";d:-19.999;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:39:\"core/assets/vendor/jquery/jquery.min.js\";s:7:\"version\";s:5:\"3.5.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/assets/vendor/underscore/underscore-min.js\";a:11:{s:6:\"weight\";d:-19.989;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/assets/vendor/underscore/underscore-min.js\";s:7:\"version\";s:6:\"1.13.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:49:\"core/assets/vendor/jquery-once/jquery.once.min.js\";a:11:{s:6:\"weight\";d:-18.993;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/assets/vendor/jquery-once/jquery.once.min.js\";s:7:\"version\";s:5:\"2.2.3\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:43:\"core/assets/vendor/backbone/backbone-min.js\";a:11:{s:6:\"weight\";d:-18.988;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/assets/vendor/backbone/backbone-min.js\";s:7:\"version\";s:5:\"1.4.0\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:33:\"core/misc/drupalSettingsLoader.js\";a:11:{s:6:\"weight\";d:-17.998;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:33:\"core/misc/drupalSettingsLoader.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:19:\"core/misc/drupal.js\";a:11:{s:6:\"weight\";d:-17.996;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:19:\"core/misc/drupal.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:24:\"core/misc/drupal.init.js\";a:11:{s:6:\"weight\";d:-16.995;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:24:\"core/misc/drupal.init.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:43:\"core/assets/vendor/jquery.ui/ui/data-min.js\";a:11:{s:6:\"weight\";d:-10.961;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/assets/vendor/jquery.ui/ui/data-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:56:\"core/assets/vendor/jquery.ui/ui/disable-selection-min.js\";a:11:{s:6:\"weight\";d:-10.96;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/assets/vendor/jquery.ui/ui/disable-selection-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:43:\"core/assets/vendor/jquery.ui/ui/form-min.js\";a:11:{s:6:\"weight\";d:-10.959;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/assets/vendor/jquery.ui/ui/form-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:45:\"core/assets/vendor/jquery.ui/ui/labels-min.js\";a:11:{s:6:\"weight\";d:-10.958;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/jquery.ui/ui/labels-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:49:\"core/assets/vendor/jquery.ui/ui/jquery-1-7-min.js\";a:11:{s:6:\"weight\";d:-10.957;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/assets/vendor/jquery.ui/ui/jquery-1-7-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:52:\"core/assets/vendor/jquery.ui/ui/scroll-parent-min.js\";a:11:{s:6:\"weight\";d:-10.956;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/assets/vendor/jquery.ui/ui/scroll-parent-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/assets/vendor/jquery.ui/ui/tabbable-min.js\";a:11:{s:6:\"weight\";d:-10.955;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/assets/vendor/jquery.ui/ui/tabbable-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:48:\"core/assets/vendor/jquery.ui/ui/unique-id-min.js\";a:11:{s:6:\"weight\";d:-10.954;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/assets/vendor/jquery.ui/ui/unique-id-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:46:\"core/assets/vendor/jquery.ui/ui/version-min.js\";a:11:{s:6:\"weight\";d:-10.953;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/assets/vendor/jquery.ui/ui/version-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:54:\"core/assets/vendor/jquery.ui/ui/escape-selector-min.js\";a:11:{s:6:\"weight\";d:-10.952;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/assets/vendor/jquery.ui/ui/escape-selector-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:48:\"core/assets/vendor/jquery.ui/ui/focusable-min.js\";a:11:{s:6:\"weight\";d:-10.951;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/assets/vendor/jquery.ui/ui/focusable-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:41:\"core/assets/vendor/jquery.ui/ui/ie-min.js\";a:11:{s:6:\"weight\";d:-10.95;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"core/assets/vendor/jquery.ui/ui/ie-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:46:\"core/assets/vendor/jquery.ui/ui/keycode-min.js\";a:11:{s:6:\"weight\";d:-10.949;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/assets/vendor/jquery.ui/ui/keycode-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:45:\"core/assets/vendor/jquery.ui/ui/plugin-min.js\";a:11:{s:6:\"weight\";d:-10.948;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/jquery.ui/ui/plugin-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:58:\"core/assets/vendor/jquery.ui/ui/safe-active-element-min.js\";a:11:{s:6:\"weight\";d:-10.947;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/assets/vendor/jquery.ui/ui/safe-active-element-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:48:\"core/assets/vendor/jquery.ui/ui/safe-blur-min.js\";a:11:{s:6:\"weight\";d:-10.946;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/assets/vendor/jquery.ui/ui/safe-blur-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:45:\"core/assets/vendor/jquery.ui/ui/widget-min.js\";a:11:{s:6:\"weight\";d:-9.945;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/jquery.ui/ui/widget-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:40:\"core/modules/contextual/js/contextual.js\";a:11:{s:6:\"weight\";d:-1.986;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:40:\"core/modules/contextual/js/contextual.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/modules/contextual/js/models/StateModel.js\";a:11:{s:6:\"weight\";d:-1.985;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/modules/contextual/js/models/StateModel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:45:\"core/modules/contextual/js/views/AuralView.js\";a:11:{s:6:\"weight\";d:-1.984;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/modules/contextual/js/views/AuralView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:48:\"core/modules/contextual/js/views/KeyboardView.js\";a:11:{s:6:\"weight\";d:-1.983;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/modules/contextual/js/views/KeyboardView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:46:\"core/modules/contextual/js/views/RegionView.js\";a:11:{s:6:\"weight\";d:-1.982;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/modules/contextual/js/views/RegionView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:46:\"core/modules/contextual/js/views/VisualView.js\";a:11:{s:6:\"weight\";d:-1.981;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/modules/contextual/js/views/VisualView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:21:\"core/misc/progress.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:21:\"core/misc/progress.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.006;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:57:\"core/modules/responsive_image/js/responsive_image.ajax.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/modules/responsive_image/js/responsive_image.ajax.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.008;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:17:\"core/misc/ajax.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:17:\"core/misc/ajax.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.009;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:29:\"core/themes/stable/js/ajax.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:29:\"core/themes/stable/js/ajax.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.01;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:24:\"core/misc/active-link.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:24:\"core/misc/active-link.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.021;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:21:\"core/misc/debounce.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:21:\"core/misc/debounce.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.022;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:17:\"core/misc/form.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:17:\"core/misc/form.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.023;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:25:\"core/misc/details-aria.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:25:\"core/misc/details-aria.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.024;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:21:\"core/misc/collapse.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:21:\"core/misc/collapse.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.025;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/assets/vendor/matchMedia/matchMedia.min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/assets/vendor/matchMedia/matchMedia.min.js\";s:7:\"version\";s:5:\"0.2.0\";s:6:\"weight\";d:0.026;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:32:\"core/themes/seven/js/nav-tabs.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:32:\"core/themes/seven/js/nav-tabs.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.027;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:21:\"core/misc/announce.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:21:\"core/misc/announce.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.028;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:59:\"core/assets/vendor/matchMedia/matchMedia.addListener.min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:59:\"core/assets/vendor/matchMedia/matchMedia.addListener.min.js\";s:7:\"version\";s:5:\"0.2.0\";s:6:\"weight\";d:0.029;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:21:\"core/misc/displace.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:21:\"core/misc/displace.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.03;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:39:\"core/modules/toolbar/js/toolbar.menu.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:39:\"core/modules/toolbar/js/toolbar.menu.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.031;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:34:\"core/modules/toolbar/js/toolbar.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:34:\"core/modules/toolbar/js/toolbar.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.032;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:43:\"core/modules/toolbar/js/models/MenuModel.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/modules/toolbar/js/models/MenuModel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.033;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:46:\"core/modules/toolbar/js/models/ToolbarModel.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/modules/toolbar/js/models/ToolbarModel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.034;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/modules/toolbar/js/views/BodyVisualView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/modules/toolbar/js/views/BodyVisualView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.035;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/modules/toolbar/js/views/MenuVisualView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/modules/toolbar/js/views/MenuVisualView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.036;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:49:\"core/modules/toolbar/js/views/ToolbarAuralView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/modules/toolbar/js/views/ToolbarAuralView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.037;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:50:\"core/modules/toolbar/js/views/ToolbarVisualView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:50:\"core/modules/toolbar/js/views/ToolbarVisualView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.038;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:47:\"core/assets/vendor/jquery.ui/ui/position-min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/assets/vendor/jquery.ui/ui/position-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:6:\"weight\";d:0.056;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:51:\"core/assets/vendor/jquery.ui/ui/widgets/menu-min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:51:\"core/assets/vendor/jquery.ui/ui/widgets/menu-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:6:\"weight\";d:0.057;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:59:\"core/assets/vendor/jquery.ui/ui/widgets/autocomplete-min.js\";a:11:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:59:\"core/assets/vendor/jquery.ui/ui/widgets/autocomplete-min.js\";s:7:\"version\";s:6:\"1.12.1\";s:6:\"weight\";d:0.058;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:69:\"modules/admin_toolbar/admin_toolbar_search/js/admin_toolbar_search.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:69:\"modules/admin_toolbar/admin_toolbar_search/js/admin_toolbar_search.js\";s:7:\"version\";i:-1;s:8:\"minified\";b:0;s:6:\"weight\";d:0.059;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:55:\"core/assets/vendor/jquery-joyride/jquery.joyride-2.1.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/assets/vendor/jquery-joyride/jquery.joyride-2.1.js\";s:7:\"version\";s:7:\"2.1.0.1\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.06;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:28:\"core/modules/tour/js/tour.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:28:\"core/modules/tour/js/tour.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.061;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:27:\"core/misc/tabbingmanager.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:27:\"core/misc/tabbingmanager.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.062;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:48:\"core/modules/contextual/js/contextual.toolbar.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/modules/contextual/js/contextual.toolbar.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.063;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:55:\"core/modules/contextual/js/toolbar/models/StateModel.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/modules/contextual/js/toolbar/models/StateModel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.064;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:53:\"core/modules/contextual/js/toolbar/views/AuralView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/modules/contextual/js/toolbar/views/AuralView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.065;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:54:\"core/modules/contextual/js/toolbar/views/VisualView.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/modules/contextual/js/toolbar/views/VisualView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.066;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:46:\"modules/admin_toolbar/js/jquery.hoverIntent.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"modules/admin_toolbar/js/jquery.hoverIntent.js\";s:7:\"version\";i:-1;s:8:\"minified\";b:0;s:6:\"weight\";d:0.067;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:41:\"modules/admin_toolbar/js/admin_toolbar.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"modules/admin_toolbar/js/admin_toolbar.js\";s:7:\"version\";i:-1;s:8:\"minified\";b:0;s:6:\"weight\";d:0.068;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}s:38:\"core/modules/toolbar/js/escapeAdmin.js\";a:11:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:38:\"core/modules/toolbar/js/escapeAdmin.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;s:6:\"weight\";d:0.069;s:5:\"cache\";b:1;s:10:\"preprocess\";b:1;s:10:\"attributes\";a:0:{}s:8:\"browsers\";a:0:{}s:5:\"scope\";s:6:\"footer\";}}i:2;a:5:{s:4:\"path\";a:7:{s:7:\"baseUrl\";N;s:10:\"scriptPath\";N;s:10:\"pathPrefix\";N;s:11:\"currentPath\";N;s:18:\"currentPathIsAdmin\";N;s:7:\"isFront\";N;s:15:\"currentLanguage\";N;}s:15:\"pluralDelimiter\";N;s:25:\"suppressDeprecationErrors\";b:1;s:13:\"ajaxPageState\";a:3:{s:9:\"libraries\";N;s:5:\"theme\";s:5:\"seven\";s:11:\"theme_token\";N;}s:14:\"ajaxTrustedUrl\";a:0:{}}i:3;b:0;}',-1,1637057262.203,1,'library_info','0'),('our_partners:block_1:results:5d8c025ba952adca91301ac9f30346e4614fd8af28798801043be61cb707a185','a:3:{s:6:\"result\";a:6:{i:0;O:22:\"Drupal\\views\\ResultRow\":6:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:0;s:24:\"node_field_data_langcode\";s:2:\"en\";s:23:\"node_field_data_created\";s:10:\"1472617021\";s:3:\"nid\";s:2:\"44\";}i:1;O:22:\"Drupal\\views\\ResultRow\":6:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:1;s:24:\"node_field_data_langcode\";s:2:\"en\";s:23:\"node_field_data_created\";s:10:\"1472616102\";s:3:\"nid\";s:2:\"43\";}i:2;O:22:\"Drupal\\views\\ResultRow\":6:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:2;s:24:\"node_field_data_langcode\";s:2:\"en\";s:23:\"node_field_data_created\";s:10:\"1468986047\";s:3:\"nid\";s:2:\"10\";}i:3;O:22:\"Drupal\\views\\ResultRow\":6:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:3;s:24:\"node_field_data_langcode\";s:2:\"en\";s:23:\"node_field_data_created\";s:10:\"1468985961\";s:3:\"nid\";s:1:\"9\";}i:4;O:22:\"Drupal\\views\\ResultRow\":6:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:4;s:24:\"node_field_data_langcode\";s:2:\"en\";s:23:\"node_field_data_created\";s:10:\"1468985402\";s:3:\"nid\";s:1:\"7\";}i:5;O:22:\"Drupal\\views\\ResultRow\":6:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:5;s:24:\"node_field_data_langcode\";s:2:\"en\";s:23:\"node_field_data_created\";s:10:\"1468923170\";s:3:\"nid\";s:1:\"5\";}}s:10:\"total_rows\";i:0;s:12:\"current_page\";N;}',-1,1636709608.208,1,'config:views.view.our_partners node:10 node:43 node:44 node:5 node:7 node:9 node_list','3'),('our_partners:block_1:results:ee56318374abeda68a9f2773ddb194abc3f456529c008d826ac31df18eff49a0','a:3:{s:6:\"result\";a:6:{i:0;O:22:\"Drupal\\views\\ResultRow\":6:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:0;s:24:\"node_field_data_langcode\";s:2:\"en\";s:23:\"node_field_data_created\";s:10:\"1472617021\";s:3:\"nid\";s:2:\"44\";}i:1;O:22:\"Drupal\\views\\ResultRow\":6:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:1;s:24:\"node_field_data_langcode\";s:2:\"en\";s:23:\"node_field_data_created\";s:10:\"1472616102\";s:3:\"nid\";s:2:\"43\";}i:2;O:22:\"Drupal\\views\\ResultRow\":6:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:2;s:24:\"node_field_data_langcode\";s:2:\"en\";s:23:\"node_field_data_created\";s:10:\"1468986047\";s:3:\"nid\";s:2:\"10\";}i:3;O:22:\"Drupal\\views\\ResultRow\":6:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:3;s:24:\"node_field_data_langcode\";s:2:\"en\";s:23:\"node_field_data_created\";s:10:\"1468985961\";s:3:\"nid\";s:1:\"9\";}i:4;O:22:\"Drupal\\views\\ResultRow\":6:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:4;s:24:\"node_field_data_langcode\";s:2:\"en\";s:23:\"node_field_data_created\";s:10:\"1468985402\";s:3:\"nid\";s:1:\"7\";}i:5;O:22:\"Drupal\\views\\ResultRow\":6:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:5;s:24:\"node_field_data_langcode\";s:2:\"en\";s:23:\"node_field_data_created\";s:10:\"1468923170\";s:3:\"nid\";s:1:\"5\";}}s:10:\"total_rows\";i:0;s:12:\"current_page\";N;}',-1,1636012250.808,1,'config:views.view.our_partners node:10 node:43 node:44 node:5 node:7 node:9 node_list','3'),('portfolio:block_1:results:421256f3f45e88f32c733815e74a00832edb771fdbdad32b849aba04b9907b6c','a:3:{s:6:\"result\";a:10:{i:0;O:22:\"Drupal\\views\\ResultRow\":14:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:0;s:25:\"node__field_gallery_delta\";s:1:\"5\";s:28:\"node__field_gallery_langcode\";s:2:\"en\";s:26:\"node__field_gallery_bundle\";s:9:\"portfolio\";s:43:\"node__field_gallery_field_gallery_target_id\";s:2:\"99\";s:37:\"node__field_gallery_field_gallery_alt\";s:23:\"Ut enim ad minim veniam\";s:39:\"node__field_gallery_field_gallery_title\";s:23:\"Ut enim ad minim veniam\";s:39:\"node__field_gallery_field_gallery_width\";s:4:\"1100\";s:40:\"node__field_gallery_field_gallery_height\";s:4:\"1100\";s:24:\"node_field_data_langcode\";s:2:\"en\";s:23:\"node_field_data_created\";s:10:\"1469437675\";s:3:\"nid\";s:2:\"20\";}i:1;O:22:\"Drupal\\views\\ResultRow\":14:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:1;s:25:\"node__field_gallery_delta\";s:1:\"4\";s:28:\"node__field_gallery_langcode\";s:2:\"en\";s:26:\"node__field_gallery_bundle\";s:9:\"portfolio\";s:43:\"node__field_gallery_field_gallery_target_id\";s:2:\"98\";s:37:\"node__field_gallery_field_gallery_alt\";s:23:\"Ut enim ad minim veniam\";s:39:\"node__field_gallery_field_gallery_title\";s:23:\"Ut enim ad minim veniam\";s:39:\"node__field_gallery_field_gallery_width\";s:4:\"1100\";s:40:\"node__field_gallery_field_gallery_height\";s:4:\"1100\";s:24:\"node_field_data_langcode\";s:2:\"en\";s:23:\"node_field_data_created\";s:10:\"1469437675\";s:3:\"nid\";s:2:\"20\";}i:2;O:22:\"Drupal\\views\\ResultRow\":14:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:2;s:25:\"node__field_gallery_delta\";s:1:\"0\";s:28:\"node__field_gallery_langcode\";s:2:\"en\";s:26:\"node__field_gallery_bundle\";s:9:\"portfolio\";s:43:\"node__field_gallery_field_gallery_target_id\";s:2:\"94\";s:37:\"node__field_gallery_field_gallery_alt\";s:23:\"Ut enim ad minim veniam\";s:39:\"node__field_gallery_field_gallery_title\";s:23:\"Ut enim ad minim veniam\";s:39:\"node__field_gallery_field_gallery_width\";s:4:\"1100\";s:40:\"node__field_gallery_field_gallery_height\";s:4:\"1100\";s:24:\"node_field_data_langcode\";s:2:\"en\";s:23:\"node_field_data_created\";s:10:\"1469437675\";s:3:\"nid\";s:2:\"20\";}i:3;O:22:\"Drupal\\views\\ResultRow\":14:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:3;s:25:\"node__field_gallery_delta\";s:1:\"3\";s:28:\"node__field_gallery_langcode\";s:2:\"en\";s:26:\"node__field_gallery_bundle\";s:9:\"portfolio\";s:43:\"node__field_gallery_field_gallery_target_id\";s:2:\"97\";s:37:\"node__field_gallery_field_gallery_alt\";s:23:\"Ut enim ad minim veniam\";s:39:\"node__field_gallery_field_gallery_title\";s:23:\"Ut enim ad minim veniam\";s:39:\"node__field_gallery_field_gallery_width\";s:4:\"1100\";s:40:\"node__field_gallery_field_gallery_height\";s:4:\"1100\";s:24:\"node_field_data_langcode\";s:2:\"en\";s:23:\"node_field_data_created\";s:10:\"1469437675\";s:3:\"nid\";s:2:\"20\";}i:4;O:22:\"Drupal\\views\\ResultRow\":14:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:4;s:25:\"node__field_gallery_delta\";s:1:\"2\";s:28:\"node__field_gallery_langcode\";s:2:\"en\";s:26:\"node__field_gallery_bundle\";s:9:\"portfolio\";s:43:\"node__field_gallery_field_gallery_target_id\";s:2:\"96\";s:37:\"node__field_gallery_field_gallery_alt\";s:23:\"Ut enim ad minim veniam\";s:39:\"node__field_gallery_field_gallery_title\";s:23:\"Ut enim ad minim veniam\";s:39:\"node__field_gallery_field_gallery_width\";s:4:\"1100\";s:40:\"node__field_gallery_field_gallery_height\";s:4:\"1100\";s:24:\"node_field_data_langcode\";s:2:\"en\";s:23:\"node_field_data_created\";s:10:\"1469437675\";s:3:\"nid\";s:2:\"20\";}i:5;O:22:\"Drupal\\views\\ResultRow\":14:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:5;s:25:\"node__field_gallery_delta\";s:1:\"1\";s:28:\"node__field_gallery_langcode\";s:2:\"en\";s:26:\"node__field_gallery_bundle\";s:9:\"portfolio\";s:43:\"node__field_gallery_field_gallery_target_id\";s:2:\"95\";s:37:\"node__field_gallery_field_gallery_alt\";s:23:\"Ut enim ad minim veniam\";s:39:\"node__field_gallery_field_gallery_title\";s:23:\"Ut enim ad minim veniam\";s:39:\"node__field_gallery_field_gallery_width\";s:4:\"1100\";s:40:\"node__field_gallery_field_gallery_height\";s:4:\"1100\";s:24:\"node_field_data_langcode\";s:2:\"en\";s:23:\"node_field_data_created\";s:10:\"1469437675\";s:3:\"nid\";s:2:\"20\";}i:6;O:22:\"Drupal\\views\\ResultRow\":14:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:6;s:25:\"node__field_gallery_delta\";s:1:\"0\";s:28:\"node__field_gallery_langcode\";s:2:\"en\";s:26:\"node__field_gallery_bundle\";s:9:\"portfolio\";s:43:\"node__field_gallery_field_gallery_target_id\";s:2:\"80\";s:37:\"node__field_gallery_field_gallery_alt\";s:26:\"Lorem ipsum dolor sit amet\";s:39:\"node__field_gallery_field_gallery_title\";s:26:\"Lorem ipsum dolor sit amet\";s:39:\"node__field_gallery_field_gallery_width\";s:4:\"1100\";s:40:\"node__field_gallery_field_gallery_height\";s:4:\"1100\";s:24:\"node_field_data_langcode\";s:2:\"en\";s:23:\"node_field_data_created\";s:10:\"1469436763\";s:3:\"nid\";s:2:\"19\";}i:7;O:22:\"Drupal\\views\\ResultRow\":14:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:7;s:25:\"node__field_gallery_delta\";s:1:\"5\";s:28:\"node__field_gallery_langcode\";s:2:\"en\";s:26:\"node__field_gallery_bundle\";s:9:\"portfolio\";s:43:\"node__field_gallery_field_gallery_target_id\";s:2:\"85\";s:37:\"node__field_gallery_field_gallery_alt\";s:26:\"Lorem ipsum dolor sit amet\";s:39:\"node__field_gallery_field_gallery_title\";s:26:\"Lorem ipsum dolor sit amet\";s:39:\"node__field_gallery_field_gallery_width\";s:4:\"1100\";s:40:\"node__field_gallery_field_gallery_height\";s:4:\"1100\";s:24:\"node_field_data_langcode\";s:2:\"en\";s:23:\"node_field_data_created\";s:10:\"1469436763\";s:3:\"nid\";s:2:\"19\";}i:8;O:22:\"Drupal\\views\\ResultRow\":14:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:8;s:25:\"node__field_gallery_delta\";s:1:\"4\";s:28:\"node__field_gallery_langcode\";s:2:\"en\";s:26:\"node__field_gallery_bundle\";s:9:\"portfolio\";s:43:\"node__field_gallery_field_gallery_target_id\";s:2:\"84\";s:37:\"node__field_gallery_field_gallery_alt\";s:26:\"Lorem ipsum dolor sit amet\";s:39:\"node__field_gallery_field_gallery_title\";s:26:\"Lorem ipsum dolor sit amet\";s:39:\"node__field_gallery_field_gallery_width\";s:4:\"1100\";s:40:\"node__field_gallery_field_gallery_height\";s:4:\"1100\";s:24:\"node_field_data_langcode\";s:2:\"en\";s:23:\"node_field_data_created\";s:10:\"1469436763\";s:3:\"nid\";s:2:\"19\";}i:9;O:22:\"Drupal\\views\\ResultRow\":14:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:9;s:25:\"node__field_gallery_delta\";s:1:\"3\";s:28:\"node__field_gallery_langcode\";s:2:\"en\";s:26:\"node__field_gallery_bundle\";s:9:\"portfolio\";s:43:\"node__field_gallery_field_gallery_target_id\";s:2:\"83\";s:37:\"node__field_gallery_field_gallery_alt\";s:26:\"Lorem ipsum dolor sit amet\";s:39:\"node__field_gallery_field_gallery_title\";s:26:\"Lorem ipsum dolor sit amet\";s:39:\"node__field_gallery_field_gallery_width\";s:4:\"1100\";s:40:\"node__field_gallery_field_gallery_height\";s:4:\"1100\";s:24:\"node_field_data_langcode\";s:2:\"en\";s:23:\"node_field_data_created\";s:10:\"1469436763\";s:3:\"nid\";s:2:\"19\";}}s:10:\"total_rows\";i:0;s:12:\"current_page\";N;}',-1,1636012250.234,1,'config:views.view.portfolio node:19 node:20 node_list','4'),('portfolio:block_1:results:b91f4edf34e25a4865fd9621cee302a064bf83610f83ea75e8c953782a4044f0','a:3:{s:6:\"result\";a:10:{i:0;O:22:\"Drupal\\views\\ResultRow\":14:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:0;s:25:\"node__field_gallery_delta\";s:1:\"3\";s:28:\"node__field_gallery_langcode\";s:2:\"en\";s:26:\"node__field_gallery_bundle\";s:9:\"portfolio\";s:43:\"node__field_gallery_field_gallery_target_id\";s:2:\"97\";s:37:\"node__field_gallery_field_gallery_alt\";s:23:\"Ut enim ad minim veniam\";s:39:\"node__field_gallery_field_gallery_title\";s:23:\"Ut enim ad minim veniam\";s:39:\"node__field_gallery_field_gallery_width\";s:4:\"1100\";s:40:\"node__field_gallery_field_gallery_height\";s:4:\"1100\";s:24:\"node_field_data_langcode\";s:2:\"en\";s:23:\"node_field_data_created\";s:10:\"1469437675\";s:3:\"nid\";s:2:\"20\";}i:1;O:22:\"Drupal\\views\\ResultRow\":14:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:1;s:25:\"node__field_gallery_delta\";s:1:\"2\";s:28:\"node__field_gallery_langcode\";s:2:\"en\";s:26:\"node__field_gallery_bundle\";s:9:\"portfolio\";s:43:\"node__field_gallery_field_gallery_target_id\";s:2:\"96\";s:37:\"node__field_gallery_field_gallery_alt\";s:23:\"Ut enim ad minim veniam\";s:39:\"node__field_gallery_field_gallery_title\";s:23:\"Ut enim ad minim veniam\";s:39:\"node__field_gallery_field_gallery_width\";s:4:\"1100\";s:40:\"node__field_gallery_field_gallery_height\";s:4:\"1100\";s:24:\"node_field_data_langcode\";s:2:\"en\";s:23:\"node_field_data_created\";s:10:\"1469437675\";s:3:\"nid\";s:2:\"20\";}i:2;O:22:\"Drupal\\views\\ResultRow\":14:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:2;s:25:\"node__field_gallery_delta\";s:1:\"1\";s:28:\"node__field_gallery_langcode\";s:2:\"en\";s:26:\"node__field_gallery_bundle\";s:9:\"portfolio\";s:43:\"node__field_gallery_field_gallery_target_id\";s:2:\"95\";s:37:\"node__field_gallery_field_gallery_alt\";s:23:\"Ut enim ad minim veniam\";s:39:\"node__field_gallery_field_gallery_title\";s:23:\"Ut enim ad minim veniam\";s:39:\"node__field_gallery_field_gallery_width\";s:4:\"1100\";s:40:\"node__field_gallery_field_gallery_height\";s:4:\"1100\";s:24:\"node_field_data_langcode\";s:2:\"en\";s:23:\"node_field_data_created\";s:10:\"1469437675\";s:3:\"nid\";s:2:\"20\";}i:3;O:22:\"Drupal\\views\\ResultRow\":14:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:3;s:25:\"node__field_gallery_delta\";s:1:\"0\";s:28:\"node__field_gallery_langcode\";s:2:\"en\";s:26:\"node__field_gallery_bundle\";s:9:\"portfolio\";s:43:\"node__field_gallery_field_gallery_target_id\";s:2:\"94\";s:37:\"node__field_gallery_field_gallery_alt\";s:23:\"Ut enim ad minim veniam\";s:39:\"node__field_gallery_field_gallery_title\";s:23:\"Ut enim ad minim veniam\";s:39:\"node__field_gallery_field_gallery_width\";s:4:\"1100\";s:40:\"node__field_gallery_field_gallery_height\";s:4:\"1100\";s:24:\"node_field_data_langcode\";s:2:\"en\";s:23:\"node_field_data_created\";s:10:\"1469437675\";s:3:\"nid\";s:2:\"20\";}i:4;O:22:\"Drupal\\views\\ResultRow\":14:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:4;s:25:\"node__field_gallery_delta\";s:1:\"5\";s:28:\"node__field_gallery_langcode\";s:2:\"en\";s:26:\"node__field_gallery_bundle\";s:9:\"portfolio\";s:43:\"node__field_gallery_field_gallery_target_id\";s:2:\"99\";s:37:\"node__field_gallery_field_gallery_alt\";s:23:\"Ut enim ad minim veniam\";s:39:\"node__field_gallery_field_gallery_title\";s:23:\"Ut enim ad minim veniam\";s:39:\"node__field_gallery_field_gallery_width\";s:4:\"1100\";s:40:\"node__field_gallery_field_gallery_height\";s:4:\"1100\";s:24:\"node_field_data_langcode\";s:2:\"en\";s:23:\"node_field_data_created\";s:10:\"1469437675\";s:3:\"nid\";s:2:\"20\";}i:5;O:22:\"Drupal\\views\\ResultRow\":14:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:5;s:25:\"node__field_gallery_delta\";s:1:\"4\";s:28:\"node__field_gallery_langcode\";s:2:\"en\";s:26:\"node__field_gallery_bundle\";s:9:\"portfolio\";s:43:\"node__field_gallery_field_gallery_target_id\";s:2:\"98\";s:37:\"node__field_gallery_field_gallery_alt\";s:23:\"Ut enim ad minim veniam\";s:39:\"node__field_gallery_field_gallery_title\";s:23:\"Ut enim ad minim veniam\";s:39:\"node__field_gallery_field_gallery_width\";s:4:\"1100\";s:40:\"node__field_gallery_field_gallery_height\";s:4:\"1100\";s:24:\"node_field_data_langcode\";s:2:\"en\";s:23:\"node_field_data_created\";s:10:\"1469437675\";s:3:\"nid\";s:2:\"20\";}i:6;O:22:\"Drupal\\views\\ResultRow\":14:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:6;s:25:\"node__field_gallery_delta\";s:1:\"1\";s:28:\"node__field_gallery_langcode\";s:2:\"en\";s:26:\"node__field_gallery_bundle\";s:9:\"portfolio\";s:43:\"node__field_gallery_field_gallery_target_id\";s:2:\"81\";s:37:\"node__field_gallery_field_gallery_alt\";s:26:\"Lorem ipsum dolor sit amet\";s:39:\"node__field_gallery_field_gallery_title\";s:26:\"Lorem ipsum dolor sit amet\";s:39:\"node__field_gallery_field_gallery_width\";s:4:\"1100\";s:40:\"node__field_gallery_field_gallery_height\";s:4:\"1100\";s:24:\"node_field_data_langcode\";s:2:\"en\";s:23:\"node_field_data_created\";s:10:\"1469436763\";s:3:\"nid\";s:2:\"19\";}i:7;O:22:\"Drupal\\views\\ResultRow\":14:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:7;s:25:\"node__field_gallery_delta\";s:1:\"6\";s:28:\"node__field_gallery_langcode\";s:2:\"en\";s:26:\"node__field_gallery_bundle\";s:9:\"portfolio\";s:43:\"node__field_gallery_field_gallery_target_id\";s:2:\"86\";s:37:\"node__field_gallery_field_gallery_alt\";s:26:\"Lorem ipsum dolor sit amet\";s:39:\"node__field_gallery_field_gallery_title\";s:26:\"Lorem ipsum dolor sit amet\";s:39:\"node__field_gallery_field_gallery_width\";s:4:\"1100\";s:40:\"node__field_gallery_field_gallery_height\";s:4:\"1100\";s:24:\"node_field_data_langcode\";s:2:\"en\";s:23:\"node_field_data_created\";s:10:\"1469436763\";s:3:\"nid\";s:2:\"19\";}i:8;O:22:\"Drupal\\views\\ResultRow\":14:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:8;s:25:\"node__field_gallery_delta\";s:1:\"0\";s:28:\"node__field_gallery_langcode\";s:2:\"en\";s:26:\"node__field_gallery_bundle\";s:9:\"portfolio\";s:43:\"node__field_gallery_field_gallery_target_id\";s:2:\"80\";s:37:\"node__field_gallery_field_gallery_alt\";s:26:\"Lorem ipsum dolor sit amet\";s:39:\"node__field_gallery_field_gallery_title\";s:26:\"Lorem ipsum dolor sit amet\";s:39:\"node__field_gallery_field_gallery_width\";s:4:\"1100\";s:40:\"node__field_gallery_field_gallery_height\";s:4:\"1100\";s:24:\"node_field_data_langcode\";s:2:\"en\";s:23:\"node_field_data_created\";s:10:\"1469436763\";s:3:\"nid\";s:2:\"19\";}i:9;O:22:\"Drupal\\views\\ResultRow\":14:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:9;s:25:\"node__field_gallery_delta\";s:1:\"5\";s:28:\"node__field_gallery_langcode\";s:2:\"en\";s:26:\"node__field_gallery_bundle\";s:9:\"portfolio\";s:43:\"node__field_gallery_field_gallery_target_id\";s:2:\"85\";s:37:\"node__field_gallery_field_gallery_alt\";s:26:\"Lorem ipsum dolor sit amet\";s:39:\"node__field_gallery_field_gallery_title\";s:26:\"Lorem ipsum dolor sit amet\";s:39:\"node__field_gallery_field_gallery_width\";s:4:\"1100\";s:40:\"node__field_gallery_field_gallery_height\";s:4:\"1100\";s:24:\"node_field_data_langcode\";s:2:\"en\";s:23:\"node_field_data_created\";s:10:\"1469436763\";s:3:\"nid\";s:2:\"19\";}}s:10:\"total_rows\";i:0;s:12:\"current_page\";N;}',-1,1636711430.091,1,'config:views.view.portfolio node:19 node:20 node_list','4'),('preload-paths:/admin/config/people/accounts','a:1:{s:2:\"en\";a:11:{i:0;s:9:\"/node/add\";i:1;s:17:\"/node/add/article\";i:2;s:16:\"/node/add/banner\";i:3;s:14:\"/node/add/page\";i:4;s:14:\"/node/add/blog\";i:5;s:26:\"/node/add/simplenews_issue\";i:6;s:21:\"/node/add/our_mission\";i:7;s:22:\"/node/add/our_services\";i:8;s:18:\"/node/add/partners\";i:9;s:19:\"/node/add/portfolio\";i:10;s:16:\"/node/add/why_us\";}}',1637143651,1637057251.998,1,'','0'),('preload-paths:/admin/config/system/site-information','a:1:{s:2:\"en\";a:1:{i:0;s:5:\"/node\";}}',1637143661,1637057262.223,1,'','0'),('preload-paths:/user/1','a:1:{s:2:\"en\";a:21:{i:0;s:7:\"/node/4\";i:1;s:8:\"/node/30\";i:2;s:8:\"/node/44\";i:3;s:8:\"/node/43\";i:4;s:8:\"/node/10\";i:5;s:7:\"/node/9\";i:6;s:7:\"/node/7\";i:7;s:7:\"/node/5\";i:8;s:8:\"/node/16\";i:9;s:8:\"/node/11\";i:10;s:9:\"/node/add\";i:11;s:17:\"/node/add/article\";i:12;s:16:\"/node/add/banner\";i:13;s:14:\"/node/add/page\";i:14;s:14:\"/node/add/blog\";i:15;s:26:\"/node/add/simplenews_issue\";i:16;s:21:\"/node/add/our_mission\";i:17;s:22:\"/node/add/our_services\";i:18;s:18:\"/node/add/partners\";i:19;s:19:\"/node/add/portfolio\";i:20;s:16:\"/node/add/why_us\";}}',1637143670,1637057271.563,1,'','0'),('preload-paths:/user/login','a:1:{s:2:\"en\";a:10:{i:0;s:7:\"/node/4\";i:1;s:8:\"/node/30\";i:2;s:8:\"/node/44\";i:3;s:8:\"/node/43\";i:4;s:8:\"/node/10\";i:5;s:7:\"/node/9\";i:6;s:7:\"/node/7\";i:7;s:7:\"/node/5\";i:8;s:8:\"/node/16\";i:9;s:8:\"/node/11\";}}',1637143689,1637057290.666,1,'','0'),('route:[language]=en:/:','a:3:{s:4:\"path\";s:5:\"/node\";s:5:\"query\";a:0:{}s:6:\"routes\";O:41:\"Symfony\\Component\\Routing\\RouteCollection\":2:{s:49:\"\0Symfony\\Component\\Routing\\RouteCollection\0routes\";a:1:{s:21:\"view.frontpage.page_1\";C:31:\"Symfony\\Component\\Routing\\Route\":1206:{a:9:{s:4:\"path\";s:5:\"/node\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:0:\"\";s:7:\"view_id\";s:9:\"frontpage\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:8:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":310:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:12:\"#^/node$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:5:\"/node\";s:8:\"numParts\";i:1;}}}}}s:52:\"\0Symfony\\Component\\Routing\\RouteCollection\0resources\";a:0:{}}}',-1,1636012247.249,1,'route_match','58'),('route:[language]=en:/admin/config/people/accounts:','a:3:{s:4:\"path\";s:29:\"/admin/config/people/accounts\";s:5:\"query\";a:0:{}s:6:\"routes\";O:41:\"Symfony\\Component\\Routing\\RouteCollection\":2:{s:49:\"\0Symfony\\Component\\Routing\\RouteCollection\0routes\";a:1:{s:22:\"entity.user.admin_form\";C:31:\"Symfony\\Component\\Routing\\Route\":986:{a:9:{s:4:\"path\";s:29:\"/admin/config/people/accounts\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:32:\"\\Drupal\\user\\AccountSettingsForm\";s:6:\"_title\";s:16:\"Account settings\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"administer account settings\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":385:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:36:\"#^/admin/config/people/accounts$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/config/people/accounts\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:29:\"/admin/config/people/accounts\";s:8:\"numParts\";i:4;}}}}}s:52:\"\0Symfony\\Component\\Routing\\RouteCollection\0resources\";a:0:{}}}',-1,1637057251.448,1,'route_match','59'),('route:[language]=en:/admin/config/people:','a:3:{s:4:\"path\";s:20:\"/admin/config/people\";s:5:\"query\";a:0:{}s:6:\"routes\";O:41:\"Symfony\\Component\\Routing\\RouteCollection\":2:{s:49:\"\0Symfony\\Component\\Routing\\RouteCollection\0routes\";a:1:{s:16:\"user.admin_index\";C:31:\"Symfony\\Component\\Routing\\Route\":981:{a:9:{s:4:\"path\";s:20:\"/admin/config/people\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:68:\"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage\";s:6:\"_title\";s:6:\"People\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"access administration pages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":357:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:27:\"#^/admin/config/people$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/admin/config/people\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:20:\"/admin/config/people\";s:8:\"numParts\";i:3;}}}}}s:52:\"\0Symfony\\Component\\Routing\\RouteCollection\0resources\";a:0:{}}}',-1,1637057251.880,1,'route_match','59'),('route:[language]=en:/admin/config/system/site-information:','a:3:{s:4:\"path\";s:37:\"/admin/config/system/site-information\";s:5:\"query\";a:0:{}s:6:\"routes\";O:41:\"Symfony\\Component\\Routing\\RouteCollection\":2:{s:49:\"\0Symfony\\Component\\Routing\\RouteCollection\0routes\";a:1:{s:32:\"system.site_information_settings\";C:31:\"Symfony\\Component\\Routing\\Route\":1031:{a:9:{s:4:\"path\";s:37:\"/admin/config/system/site-information\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:39:\"\\Drupal\\system\\Form\\SiteInformationForm\";s:6:\"_title\";s:19:\"Basic site settings\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:29:\"administer site configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":410:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:45:\"#^/admin/config/system/site\\-information$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/config/system/site-information\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:37:\"/admin/config/system/site-information\";s:8:\"numParts\";i:4;}}}}}s:52:\"\0Symfony\\Component\\Routing\\RouteCollection\0resources\";a:0:{}}}',-1,1637057262.001,1,'route_match','59'),('route:[language]=en:/admin/config/system:','a:3:{s:4:\"path\";s:20:\"/admin/config/system\";s:5:\"query\";a:0:{}s:6:\"routes\";O:41:\"Symfony\\Component\\Routing\\RouteCollection\":2:{s:49:\"\0Symfony\\Component\\Routing\\RouteCollection\0routes\";a:1:{s:26:\"system.admin_config_system\";C:31:\"Symfony\\Component\\Routing\\Route\":981:{a:9:{s:4:\"path\";s:20:\"/admin/config/system\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:68:\"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage\";s:6:\"_title\";s:6:\"System\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"access administration pages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":357:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:27:\"#^/admin/config/system$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/admin/config/system\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:20:\"/admin/config/system\";s:8:\"numParts\";i:3;}}}}}s:52:\"\0Symfony\\Component\\Routing\\RouteCollection\0resources\";a:0:{}}}',-1,1637057262.142,1,'route_match','59'),('route:[language]=en:/admin/config:','a:3:{s:4:\"path\";s:13:\"/admin/config\";s:5:\"query\";a:0:{}s:6:\"routes\";O:41:\"Symfony\\Component\\Routing\\RouteCollection\":2:{s:49:\"\0Symfony\\Component\\Routing\\RouteCollection\0routes\";a:1:{s:19:\"system.admin_config\";C:31:\"Symfony\\Component\\Routing\\Route\":986:{a:9:{s:4:\"path\";s:13:\"/admin/config\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:11:\"_controller\";s:52:\"\\Drupal\\system\\Controller\\SystemController::overview\";s:7:\"link_id\";s:19:\"system.admin_config\";s:6:\"_title\";s:13:\"Configuration\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"access administration pages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":336:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:20:\"#^/admin/config$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/admin/config\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:13:\"/admin/config\";s:8:\"numParts\";i:2;}}}}}s:52:\"\0Symfony\\Component\\Routing\\RouteCollection\0resources\";a:0:{}}}',-1,1637057251.884,1,'route_match','59'),('route:[language]=en:/admin/content:','a:3:{s:4:\"path\";s:14:\"/admin/content\";s:5:\"query\";a:0:{}s:6:\"routes\";O:41:\"Symfony\\Component\\Routing\\RouteCollection\":2:{s:49:\"\0Symfony\\Component\\Routing\\RouteCollection\0routes\";a:2:{s:20:\"system.admin_content\";C:31:\"Symfony\\Component\\Routing\\Route\":1254:{a:9:{s:4:\"path\";s:14:\"/admin/content\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:7:\"Content\";s:7:\"view_id\";s:7:\"content\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:0;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:23:\"access content overview\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:9:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:0;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":339:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:21:\"#^/admin/content$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/admin/content\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:14:\"/admin/content\";s:8:\"numParts\";i:2;}}}}s:19:\"view.content.page_1\";C:31:\"Symfony\\Component\\Routing\\Route\":1283:{a:9:{s:4:\"path\";s:14:\"/admin/content\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:7:\"Content\";s:7:\"view_id\";s:7:\"content\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:0;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:23:\"access content overview\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:9:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:0;s:16:\"returns_response\";b:0;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":339:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:21:\"#^/admin/content$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/admin/content\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:14:\"/admin/content\";s:8:\"numParts\";i:2;}}}}}s:52:\"\0Symfony\\Component\\Routing\\RouteCollection\0resources\";a:0:{}}}',-1,1637057251.832,1,'route_match','59'),('route:[language]=en:/admin/modules/uninstall:','a:3:{s:4:\"path\";s:24:\"/admin/modules/uninstall\";s:5:\"query\";a:0:{}s:6:\"routes\";O:41:\"Symfony\\Component\\Routing\\RouteCollection\":2:{s:49:\"\0Symfony\\Component\\Routing\\RouteCollection\0routes\";a:1:{s:24:\"system.modules_uninstall\";C:31:\"Symfony\\Component\\Routing\\Route\":956:{a:9:{s:4:\"path\";s:24:\"/admin/modules/uninstall\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:40:\"\\Drupal\\system\\Form\\ModulesUninstallForm\";s:6:\"_title\";s:9:\"Uninstall\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:18:\"administer modules\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":369:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:31:\"#^/admin/modules/uninstall$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:24:\"/admin/modules/uninstall\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:24:\"/admin/modules/uninstall\";s:8:\"numParts\";i:3;}}}}}s:52:\"\0Symfony\\Component\\Routing\\RouteCollection\0resources\";a:0:{}}}',-1,1636012337.863,1,'route_match','58'),('route:[language]=en:/admin/modules/update:','a:3:{s:4:\"path\";s:21:\"/admin/modules/update\";s:5:\"query\";a:0:{}s:6:\"routes\";O:41:\"Symfony\\Component\\Routing\\RouteCollection\":2:{s:49:\"\0Symfony\\Component\\Routing\\RouteCollection\0routes\";a:1:{s:20:\"update.module_update\";C:31:\"Symfony\\Component\\Routing\\Route\":1036:{a:9:{s:4:\"path\";s:21:\"/admin/modules/update\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:39:\"\\Drupal\\update\\Form\\UpdateManagerUpdate\";s:6:\"_title\";s:6:\"Update\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:27:\"administer software updates\";s:22:\"_access_update_manager\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:34:\"access_check.update.manager_access\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":360:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:28:\"#^/admin/modules/update$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:21:\"/admin/modules/update\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:21:\"/admin/modules/update\";s:8:\"numParts\";i:3;}}}}}s:52:\"\0Symfony\\Component\\Routing\\RouteCollection\0resources\";a:0:{}}}',-1,1636012339.935,1,'route_match','58'),('route:[language]=en:/admin/modules:','a:3:{s:4:\"path\";s:14:\"/admin/modules\";s:5:\"query\";a:0:{}s:6:\"routes\";O:41:\"Symfony\\Component\\Routing\\RouteCollection\":2:{s:49:\"\0Symfony\\Component\\Routing\\RouteCollection\0routes\";a:1:{s:19:\"system.modules_list\";C:31:\"Symfony\\Component\\Routing\\Route\":953:{a:9:{s:4:\"path\";s:14:\"/admin/modules\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:6:\"_title\";s:6:\"Extend\";s:14:\"_title_context\";s:15:\"With components\";s:5:\"_form\";s:35:\"\\Drupal\\system\\Form\\ModulesListForm\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:18:\"administer modules\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":339:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:21:\"#^/admin/modules$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/admin/modules\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:14:\"/admin/modules\";s:8:\"numParts\";i:2;}}}}}s:52:\"\0Symfony\\Component\\Routing\\RouteCollection\0resources\";a:0:{}}}',-1,1636012331.910,1,'route_match','58'),('route:[language]=en:/admin:','a:3:{s:4:\"path\";s:6:\"/admin\";s:5:\"query\";a:0:{}s:6:\"routes\";O:41:\"Symfony\\Component\\Routing\\RouteCollection\":2:{s:49:\"\0Symfony\\Component\\Routing\\RouteCollection\0routes\";a:1:{s:12:\"system.admin\";C:31:\"Symfony\\Component\\Routing\\Route\":931:{a:9:{s:4:\"path\";s:6:\"/admin\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:68:\"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage\";s:6:\"_title\";s:14:\"Administration\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"access administration pages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":313:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:13:\"#^/admin$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:6:\"/admin\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:6:\"/admin\";s:8:\"numParts\";i:1;}}}}}s:52:\"\0Symfony\\Component\\Routing\\RouteCollection\0resources\";a:0:{}}}',-1,1637057251.889,1,'route_match','59'),('route:[language]=en:/blog:','a:3:{s:4:\"path\";s:5:\"/blog\";s:5:\"query\";a:0:{}s:6:\"routes\";O:41:\"Symfony\\Component\\Routing\\RouteCollection\":2:{s:49:\"\0Symfony\\Component\\Routing\\RouteCollection\0routes\";a:1:{s:21:\"view.blog_page.page_1\";C:31:\"Symfony\\Component\\Routing\\Route\":1215:{a:9:{s:4:\"path\";s:5:\"/blog\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:9:\"Blog page\";s:7:\"view_id\";s:9:\"blog_page\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:8:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":310:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:12:\"#^/blog$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/blog\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:5:\"/blog\";s:8:\"numParts\";i:1;}}}}}s:52:\"\0Symfony\\Component\\Routing\\RouteCollection\0resources\";a:0:{}}}',-1,1636011228.255,1,'route_match','58'),('route:[language]=en:/blog_default:','a:3:{s:4:\"path\";s:13:\"/blog_default\";s:5:\"query\";a:0:{}s:6:\"routes\";O:41:\"Symfony\\Component\\Routing\\RouteCollection\":2:{s:49:\"\0Symfony\\Component\\Routing\\RouteCollection\0routes\";a:1:{s:21:\"view.blog_page.page_2\";C:31:\"Symfony\\Component\\Routing\\Route\":1254:{a:9:{s:4:\"path\";s:13:\"/blog_default\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:12:\"Blog default\";s:7:\"view_id\";s:9:\"blog_page\";s:10:\"display_id\";s:6:\"page_2\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:8:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":336:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:20:\"#^/blog_default$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/blog_default\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:13:\"/blog_default\";s:8:\"numParts\";i:1;}}}}}s:52:\"\0Symfony\\Component\\Routing\\RouteCollection\0resources\";a:0:{}}}',-1,1636011228.283,1,'route_match','58'),('route:[language]=en:/contact:','a:3:{s:4:\"path\";s:8:\"/contact\";s:5:\"query\";a:0:{}s:6:\"routes\";O:41:\"Symfony\\Component\\Routing\\RouteCollection\":2:{s:49:\"\0Symfony\\Component\\Routing\\RouteCollection\0routes\";a:1:{s:17:\"contact.site_page\";C:31:\"Symfony\\Component\\Routing\\Route\":1057:{a:9:{s:4:\"path\";s:8:\"/contact\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:6:\"_title\";s:7:\"Contact\";s:11:\"_controller\";s:61:\"\\Drupal\\contact\\Controller\\ContactController::contactSitePage\";s:12:\"contact_form\";N;}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:29:\"access site-wide contact form\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"contact_form\";a:2:{s:4:\"type\";s:19:\"entity:contact_form\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":319:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:15:\"#^/contact$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/contact\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:8:\"/contact\";s:8:\"numParts\";i:1;}}}}}s:52:\"\0Symfony\\Component\\Routing\\RouteCollection\0resources\";a:0:{}}}',-1,1636011228.262,1,'route_match','58'),('route:[language]=en:/contextual/render:','a:3:{s:4:\"path\";s:18:\"/contextual/render\";s:5:\"query\";a:0:{}s:6:\"routes\";O:41:\"Symfony\\Component\\Routing\\RouteCollection\":2:{s:49:\"\0Symfony\\Component\\Routing\\RouteCollection\0routes\";a:1:{s:17:\"contextual.render\";C:31:\"Symfony\\Component\\Routing\\Route\":898:{a:9:{s:4:\"path\";s:18:\"/contextual/render\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:47:\"\\Drupal\\contextual\\ContextualController::render\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:23:\"access contextual links\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":351:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:25:\"#^/contextual/render$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/contextual/render\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:18:\"/contextual/render\";s:8:\"numParts\";i:2;}}}}}s:52:\"\0Symfony\\Component\\Routing\\RouteCollection\0resources\";a:0:{}}}',-1,1636012254.592,1,'route_match','58'),('route:[language]=en:/node/30:','a:3:{s:4:\"path\";s:8:\"/node/30\";s:5:\"query\";a:0:{}s:6:\"routes\";O:41:\"Symfony\\Component\\Routing\\RouteCollection\":2:{s:49:\"\0Symfony\\Component\\Routing\\RouteCollection\0routes\";a:1:{s:21:\"entity.node.canonical\";C:31:\"Symfony\\Component\\Routing\\Route\":1177:{a:9:{s:4:\"path\";s:12:\"/node/{node}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:48:\"\\Drupal\\node\\Controller\\NodeViewController::view\";s:15:\"_title_callback\";s:49:\"\\Drupal\\node\\Controller\\NodeViewController::title\";}s:12:\"requirements\";a:2:{s:4:\"node\";s:3:\"\\d+\";s:14:\"_entity_access\";s:9:\"node.view\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"node\";a:2:{s:4:\"type\";s:11:\"entity:node\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":434:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"node\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:26:\"#^/node/(?P<node>\\d+)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"node\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"node\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:2;s:14:\"patternOutline\";s:7:\"/node/%\";s:8:\"numParts\";i:2;}}}}}s:52:\"\0Symfony\\Component\\Routing\\RouteCollection\0resources\";a:0:{}}}',-1,1636011228.246,1,'route_match','58'),('route:[language]=en:/node/4:','a:3:{s:4:\"path\";s:7:\"/node/4\";s:5:\"query\";a:0:{}s:6:\"routes\";O:41:\"Symfony\\Component\\Routing\\RouteCollection\":2:{s:49:\"\0Symfony\\Component\\Routing\\RouteCollection\0routes\";a:1:{s:21:\"entity.node.canonical\";C:31:\"Symfony\\Component\\Routing\\Route\":1177:{a:9:{s:4:\"path\";s:12:\"/node/{node}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:48:\"\\Drupal\\node\\Controller\\NodeViewController::view\";s:15:\"_title_callback\";s:49:\"\\Drupal\\node\\Controller\\NodeViewController::title\";}s:12:\"requirements\";a:2:{s:4:\"node\";s:3:\"\\d+\";s:14:\"_entity_access\";s:9:\"node.view\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"node\";a:2:{s:4:\"type\";s:11:\"entity:node\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":434:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"node\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:26:\"#^/node/(?P<node>\\d+)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"node\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"node\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:2;s:14:\"patternOutline\";s:7:\"/node/%\";s:8:\"numParts\";i:2;}}}}}s:52:\"\0Symfony\\Component\\Routing\\RouteCollection\0resources\";a:0:{}}}',-1,1636011228.232,1,'route_match','58'),('route:[language]=en:/node/add:','a:3:{s:4:\"path\";s:9:\"/node/add\";s:5:\"query\";a:0:{}s:6:\"routes\";O:41:\"Symfony\\Component\\Routing\\RouteCollection\":2:{s:49:\"\0Symfony\\Component\\Routing\\RouteCollection\0routes\";a:2:{s:13:\"node.add_page\";C:31:\"Symfony\\Component\\Routing\\Route\":931:{a:9:{s:4:\"path\";s:9:\"/node/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:6:\"_title\";s:11:\"Add content\";s:11:\"_controller\";s:47:\"\\Drupal\\node\\Controller\\NodeController::addPage\";}s:12:\"requirements\";a:1:{s:16:\"_node_add_access\";s:4:\"node\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:21:\"_node_operation_route\";b:1;s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:21:\"access_check.node.add\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":322:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:16:\"#^/node/add$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:9:\"/node/add\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:9:\"/node/add\";s:8:\"numParts\";i:2;}}}}s:21:\"entity.node.canonical\";C:31:\"Symfony\\Component\\Routing\\Route\":1177:{a:9:{s:4:\"path\";s:12:\"/node/{node}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:48:\"\\Drupal\\node\\Controller\\NodeViewController::view\";s:15:\"_title_callback\";s:49:\"\\Drupal\\node\\Controller\\NodeViewController::title\";}s:12:\"requirements\";a:2:{s:4:\"node\";s:3:\"\\d+\";s:14:\"_entity_access\";s:9:\"node.view\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"node\";a:2:{s:4:\"type\";s:11:\"entity:node\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":434:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"node\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:26:\"#^/node/(?P<node>\\d+)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"node\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"node\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:2;s:14:\"patternOutline\";s:7:\"/node/%\";s:8:\"numParts\";i:2;}}}}}s:52:\"\0Symfony\\Component\\Routing\\RouteCollection\0resources\";a:0:{}}}',-1,1637057251.827,1,'route_match','59'),('route:[language]=en:/portfolio:','a:3:{s:4:\"path\";s:10:\"/portfolio\";s:5:\"query\";a:0:{}s:6:\"routes\";O:41:\"Symfony\\Component\\Routing\\RouteCollection\":2:{s:49:\"\0Symfony\\Component\\Routing\\RouteCollection\0routes\";a:1:{s:21:\"view.portfolio.page_1\";C:31:\"Symfony\\Component\\Routing\\Route\":1238:{a:9:{s:4:\"path\";s:10:\"/portfolio\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:9:\"Portfolio\";s:7:\"view_id\";s:9:\"portfolio\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:8:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":327:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:17:\"#^/portfolio$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/portfolio\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:10:\"/portfolio\";s:8:\"numParts\";i:1;}}}}}s:52:\"\0Symfony\\Component\\Routing\\RouteCollection\0resources\";a:0:{}}}',-1,1636011228.254,1,'route_match','58'),('route:[language]=en:/portfolio_4_col:','a:3:{s:4:\"path\";s:16:\"/portfolio_4_col\";s:5:\"query\";a:0:{}s:6:\"routes\";O:41:\"Symfony\\Component\\Routing\\RouteCollection\":2:{s:49:\"\0Symfony\\Component\\Routing\\RouteCollection\0routes\";a:1:{s:21:\"view.portfolio.page_2\";C:31:\"Symfony\\Component\\Routing\\Route\":1262:{a:9:{s:4:\"path\";s:16:\"/portfolio_4_col\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:9:\"Portfolio\";s:7:\"view_id\";s:9:\"portfolio\";s:10:\"display_id\";s:6:\"page_2\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:8:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":345:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:23:\"#^/portfolio_4_col$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:16:\"/portfolio_4_col\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:16:\"/portfolio_4_col\";s:8:\"numParts\";i:1;}}}}}s:52:\"\0Symfony\\Component\\Routing\\RouteCollection\0resources\";a:0:{}}}',-1,1636011228.256,1,'route_match','58'),('route:[language]=en:/portfolio_masonry:','a:3:{s:4:\"path\";s:18:\"/portfolio_masonry\";s:5:\"query\";a:0:{}s:6:\"routes\";O:41:\"Symfony\\Component\\Routing\\RouteCollection\":2:{s:49:\"\0Symfony\\Component\\Routing\\RouteCollection\0routes\";a:1:{s:21:\"view.portfolio.page_3\";C:31:\"Symfony\\Component\\Routing\\Route\":1270:{a:9:{s:4:\"path\";s:18:\"/portfolio_masonry\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:9:\"Portfolio\";s:7:\"view_id\";s:9:\"portfolio\";s:10:\"display_id\";s:6:\"page_3\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:8:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":351:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:25:\"#^/portfolio_masonry$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/portfolio_masonry\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:18:\"/portfolio_masonry\";s:8:\"numParts\";i:1;}}}}}s:52:\"\0Symfony\\Component\\Routing\\RouteCollection\0resources\";a:0:{}}}',-1,1636011228.258,1,'route_match','58'),('route:[language]=en:/quickedit/attachments:_wrapper_format=drupal_ajax','a:3:{s:4:\"path\";s:22:\"/quickedit/attachments\";s:5:\"query\";a:1:{s:15:\"_wrapper_format\";s:11:\"drupal_ajax\";}s:6:\"routes\";O:41:\"Symfony\\Component\\Routing\\RouteCollection\":2:{s:49:\"\0Symfony\\Component\\Routing\\RouteCollection\0routes\";a:1:{s:21:\"quickedit.attachments\";C:31:\"Symfony\\Component\\Routing\\Route\":917:{a:9:{s:4:\"path\";s:22:\"/quickedit/attachments\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:50:\"\\Drupal\\quickedit\\QuickEditController::attachments\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:23:\"access in-place editing\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":363:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:29:\"#^/quickedit/attachments$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/quickedit/attachments\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:22:\"/quickedit/attachments\";s:8:\"numParts\";i:2;}}}}}s:52:\"\0Symfony\\Component\\Routing\\RouteCollection\0resources\";a:0:{}}}',-1,1637057272.509,1,'route_match','59'),('route:[language]=en:/quickedit/metadata:','a:3:{s:4:\"path\";s:19:\"/quickedit/metadata\";s:5:\"query\";a:0:{}s:6:\"routes\";O:41:\"Symfony\\Component\\Routing\\RouteCollection\":2:{s:49:\"\0Symfony\\Component\\Routing\\RouteCollection\0routes\";a:1:{s:18:\"quickedit.metadata\";C:31:\"Symfony\\Component\\Routing\\Route\":902:{a:9:{s:4:\"path\";s:19:\"/quickedit/metadata\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:47:\"\\Drupal\\quickedit\\QuickEditController::metadata\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:23:\"access in-place editing\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":354:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:26:\"#^/quickedit/metadata$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:19:\"/quickedit/metadata\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:19:\"/quickedit/metadata\";s:8:\"numParts\";i:2;}}}}}s:52:\"\0Symfony\\Component\\Routing\\RouteCollection\0resources\";a:0:{}}}',-1,1636012254.684,1,'route_match','58'),('route:[language]=en:/system/403:','a:3:{s:4:\"path\";s:11:\"/system/403\";s:5:\"query\";a:0:{}s:6:\"routes\";O:41:\"Symfony\\Component\\Routing\\RouteCollection\":2:{s:49:\"\0Symfony\\Component\\Routing\\RouteCollection\0routes\";a:1:{s:10:\"system.403\";C:31:\"Symfony\\Component\\Routing\\Route\":878:{a:9:{s:4:\"path\";s:11:\"/system/403\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:49:\"\\Drupal\\system\\Controller\\Http4xxController:on403\";s:6:\"_title\";s:13:\"Access denied\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":330:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:18:\"#^/system/403$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/system/403\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:11:\"/system/403\";s:8:\"numParts\";i:2;}}}}}s:52:\"\0Symfony\\Component\\Routing\\RouteCollection\0resources\";a:0:{}}}',-1,1636711552.059,1,'route_match','58'),('route:[language]=en:/system/404:','a:3:{s:4:\"path\";s:11:\"/system/404\";s:5:\"query\";a:0:{}s:6:\"routes\";O:41:\"Symfony\\Component\\Routing\\RouteCollection\":2:{s:49:\"\0Symfony\\Component\\Routing\\RouteCollection\0routes\";a:1:{s:10:\"system.404\";C:31:\"Symfony\\Component\\Routing\\Route\":879:{a:9:{s:4:\"path\";s:11:\"/system/404\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:49:\"\\Drupal\\system\\Controller\\Http4xxController:on404\";s:6:\"_title\";s:14:\"Page not found\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":330:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:18:\"#^/system/404$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/system/404\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:11:\"/system/404\";s:8:\"numParts\";i:2;}}}}}s:52:\"\0Symfony\\Component\\Routing\\RouteCollection\0resources\";a:0:{}}}',-1,1637057291.404,1,'route_match','59'),('route:[language]=en:/themes/luxestate/assets/css/bootstrap-rtl.css.map:','a:3:{s:4:\"path\";s:50:\"/themes/luxestate/assets/css/bootstrap-rtl.css.map\";s:5:\"query\";a:0:{}s:6:\"routes\";O:41:\"Symfony\\Component\\Routing\\RouteCollection\":2:{s:49:\"\0Symfony\\Component\\Routing\\RouteCollection\0routes\";a:0:{}s:52:\"\0Symfony\\Component\\Routing\\RouteCollection\0resources\";a:0:{}}}',-1,1637057291.329,1,'route_match','59'),('route:[language]=en:/user/1:','a:3:{s:4:\"path\";s:7:\"/user/1\";s:5:\"query\";a:0:{}s:6:\"routes\";O:41:\"Symfony\\Component\\Routing\\RouteCollection\":2:{s:49:\"\0Symfony\\Component\\Routing\\RouteCollection\0routes\";a:1:{s:21:\"entity.user.canonical\";C:31:\"Symfony\\Component\\Routing\\Route\":1137:{a:9:{s:4:\"path\";s:12:\"/user/{user}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_view\";s:9:\"user.full\";s:15:\"_title_callback\";s:48:\"Drupal\\user\\Controller\\UserController::userTitle\";}s:12:\"requirements\";a:2:{s:4:\"user\";s:3:\"\\d+\";s:14:\"_entity_access\";s:9:\"user.view\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"user\";a:2:{s:4:\"type\";s:11:\"entity:user\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":434:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"user\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:26:\"#^/user/(?P<user>\\d+)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"user\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/user\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"user\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:2;s:14:\"patternOutline\";s:7:\"/user/%\";s:8:\"numParts\";i:2;}}}}}s:52:\"\0Symfony\\Component\\Routing\\RouteCollection\0resources\";a:0:{}}}',-1,1637057270.215,1,'route_match','59'),('route:[language]=en:/user/login:','a:3:{s:4:\"path\";s:11:\"/user/login\";s:5:\"query\";a:0:{}s:6:\"routes\";O:41:\"Symfony\\Component\\Routing\\RouteCollection\":2:{s:49:\"\0Symfony\\Component\\Routing\\RouteCollection\0routes\";a:3:{s:10:\"user.login\";C:31:\"Symfony\\Component\\Routing\\Route\":899:{a:9:{s:4:\"path\";s:11:\"/user/login\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:31:\"\\Drupal\\user\\Form\\UserLoginForm\";s:6:\"_title\";s:6:\"Log in\";}s:12:\"requirements\";a:1:{s:18:\"_user_is_logged_in\";s:5:\"FALSE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:19:\"_maintenance_access\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"access_check.user.login_status\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":330:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:18:\"#^/user/login$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/user/login\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:11:\"/user/login\";s:8:\"numParts\";i:2;}}}}s:15:\"user.login.http\";C:31:\"Symfony\\Component\\Routing\\Route\":888:{a:9:{s:4:\"path\";s:11:\"/user/login\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:59:\"\\Drupal\\user\\Controller\\UserAuthenticationController::login\";}s:12:\"requirements\";a:2:{s:18:\"_user_is_logged_in\";s:5:\"FALSE\";s:7:\"_format\";s:4:\"json\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"access_check.user.login_status\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:1:{i:0;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":330:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:18:\"#^/user/login$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/user/login\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:11:\"/user/login\";s:8:\"numParts\";i:2;}}}}s:21:\"entity.user.canonical\";C:31:\"Symfony\\Component\\Routing\\Route\":1137:{a:9:{s:4:\"path\";s:12:\"/user/{user}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_view\";s:9:\"user.full\";s:15:\"_title_callback\";s:48:\"Drupal\\user\\Controller\\UserController::userTitle\";}s:12:\"requirements\";a:2:{s:4:\"user\";s:3:\"\\d+\";s:14:\"_entity_access\";s:9:\"user.view\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"user\";a:2:{s:4:\"type\";s:11:\"entity:user\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":434:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"user\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:26:\"#^/user/(?P<user>\\d+)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"user\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/user\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"user\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:2;s:14:\"patternOutline\";s:7:\"/user/%\";s:8:\"numParts\";i:2;}}}}}s:52:\"\0Symfony\\Component\\Routing\\RouteCollection\0resources\";a:0:{}}}',-1,1637057289.990,1,'route_match','59'),('route:[language]=en:/user/logout:','a:3:{s:4:\"path\";s:12:\"/user/logout\";s:5:\"query\";a:0:{}s:6:\"routes\";O:41:\"Symfony\\Component\\Routing\\RouteCollection\":2:{s:49:\"\0Symfony\\Component\\Routing\\RouteCollection\0routes\";a:3:{s:11:\"user.logout\";C:31:\"Symfony\\Component\\Routing\\Route\":867:{a:9:{s:4:\"path\";s:12:\"/user/logout\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:46:\"\\Drupal\\user\\Controller\\UserController::logout\";}s:12:\"requirements\";a:1:{s:18:\"_user_is_logged_in\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"access_check.user.login_status\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":333:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:19:\"#^/user/logout$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:12:\"/user/logout\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:12:\"/user/logout\";s:8:\"numParts\";i:2;}}}}s:16:\"user.logout.http\";C:31:\"Symfony\\Component\\Routing\\Route\":951:{a:9:{s:4:\"path\";s:12:\"/user/logout\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:60:\"\\Drupal\\user\\Controller\\UserAuthenticationController::logout\";}s:12:\"requirements\";a:3:{s:18:\"_user_is_logged_in\";s:4:\"TRUE\";s:7:\"_format\";s:4:\"json\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:30:\"access_check.user.login_status\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:1:{i:0;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":333:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:19:\"#^/user/logout$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:12:\"/user/logout\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:12:\"/user/logout\";s:8:\"numParts\";i:2;}}}}s:21:\"entity.user.canonical\";C:31:\"Symfony\\Component\\Routing\\Route\":1137:{a:9:{s:4:\"path\";s:12:\"/user/{user}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_view\";s:9:\"user.full\";s:15:\"_title_callback\";s:48:\"Drupal\\user\\Controller\\UserController::userTitle\";}s:12:\"requirements\";a:2:{s:4:\"user\";s:3:\"\\d+\";s:14:\"_entity_access\";s:9:\"user.view\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"user\";a:2:{s:4:\"type\";s:11:\"entity:user\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":434:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"user\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:26:\"#^/user/(?P<user>\\d+)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"user\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/user\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"user\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:2;s:14:\"patternOutline\";s:7:\"/user/%\";s:8:\"numParts\";i:2;}}}}}s:52:\"\0Symfony\\Component\\Routing\\RouteCollection\0resources\";a:0:{}}}',-1,1636011228.265,1,'route_match','58'),('route:[language]=en:/user:','a:3:{s:4:\"path\";s:5:\"/user\";s:5:\"query\";a:0:{}s:6:\"routes\";O:41:\"Symfony\\Component\\Routing\\RouteCollection\":2:{s:49:\"\0Symfony\\Component\\Routing\\RouteCollection\0routes\";a:1:{s:9:\"user.page\";C:31:\"Symfony\\Component\\Routing\\Route\":869:{a:9:{s:4:\"path\";s:5:\"/user\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:48:\"\\Drupal\\user\\Controller\\UserController::userPage\";s:6:\"_title\";s:10:\"My account\";}s:12:\"requirements\";a:1:{s:18:\"_user_is_logged_in\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"access_check.user.login_status\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":310:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:12:\"#^/user$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/user\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:5:\"/user\";s:8:\"numParts\";i:1;}}}}}s:52:\"\0Symfony\\Component\\Routing\\RouteCollection\0resources\";a:0:{}}}',-1,1636011228.264,1,'route_match','58'),('route_provider.route_load:06d53b658f4f92bb3c382a134bf5b85810cb5387493a2a9ae64e4c75f794881caf773215ac9f2cbec16404a5a840fc71a8b42a84d851bf0a47f416843de220d4','a:1:{s:27:\"system.performance_settings\";s:1064:\"C:31:\"Symfony\\Component\\Routing\\Route\":1018:{a:9:{s:4:\"path\";s:37:\"/admin/config/development/performance\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:35:\"\\Drupal\\system\\Form\\PerformanceForm\";s:6:\"_title\";s:11:\"Performance\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:29:\"administer site configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":409:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:44:\"#^/admin/config/development/performance$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/config/development/performance\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:37:\"/admin/config/development/performance\";s:8:\"numParts\";i:4;}}}}\";}',-1,1636012248.805,1,'routes','58'),('route_provider.route_load:076e6432345e9af5c8060a6c0fab82201c91bd86e20771a8331fcc10cb4c67f762dc20b7cb2a88a9baba602dcf0799bfd91dc7a6509769ed84d8c6c09bec1db6','a:1:{s:36:\"entity.block_content_type.collection\";s:1132:\"C:31:\"Symfony\\Component\\Routing\\Route\":1086:{a:9:{s:4:\"path\";s:42:\"/admin/structure/block/block-content/types\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_list\";s:18:\"block_content_type\";s:6:\"_title\";s:20:\"Custom block library\";s:16:\"_title_arguments\";a:0:{}s:14:\"_title_context\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:17:\"administer blocks\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":425:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:50:\"#^/admin/structure/block/block\\-content/types$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/structure/block/block-content/types\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:42:\"/admin/structure/block/block-content/types\";s:8:\"numParts\";i:5;}}}}\";}',-1,1636012248.589,1,'routes','58'),('route_provider.route_load:093dad8a6c7a26fff422372e42e5706fd68f03edff00c9ceeca9bd1c0fa9e75412175dc9b87167999fc7897e5c687416be400bf66f56142959b4d0761a481a7f','a:1:{s:28:\"system.admin_config_services\";s:1041:\"C:31:\"Symfony\\Component\\Routing\\Route\":996:{a:9:{s:4:\"path\";s:22:\"/admin/config/services\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:68:\"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage\";s:6:\"_title\";s:12:\"Web services\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"access administration pages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":363:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:29:\"#^/admin/config/services$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/admin/config/services\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:22:\"/admin/config/services\";s:8:\"numParts\";i:3;}}}}\";}',-1,1636012248.896,1,'routes','58'),('route_provider.route_load:0a5c438532f0e0cf7bc53667551a1d8f6f11a8c42e8d024bab07168b03adb0a5c576341673e04248b2936036a871facca7e833ed680b5987a45ec6f148ff1e40','a:1:{s:20:\"entity.menu.add_form\";s:978:\"C:31:\"Symfony\\Component\\Routing\\Route\":933:{a:9:{s:4:\"path\";s:25:\"/admin/structure/menu/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:8:\"menu.add\";s:6:\"_title\";s:8:\"Add menu\";}s:12:\"requirements\";a:1:{s:21:\"_entity_create_access\";s:4:\"menu\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:26:\"access_check.entity_create\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":373:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:32:\"#^/admin/structure/menu/add$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:25:\"/admin/structure/menu/add\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:25:\"/admin/structure/menu/add\";s:8:\"numParts\";i:4;}}}}\";}',-1,1636012248.671,1,'routes','58'),('route_provider.route_load:0ba5cf2cfc8cb35b81408bbd001d5f68736aab93da14c8957f0b34680e07cdb2117e36c6be4ec4ee1a8a2be8a1c902e84bcb538db5c1be64377cf36ebce274c0','a:2:{s:19:\"system.modules_list\";s:998:\"C:31:\"Symfony\\Component\\Routing\\Route\":953:{a:9:{s:4:\"path\";s:14:\"/admin/modules\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:6:\"_title\";s:6:\"Extend\";s:14:\"_title_context\";s:15:\"With components\";s:5:\"_form\";s:35:\"\\Drupal\\system\\Form\\ModulesListForm\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:18:\"administer modules\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":339:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:21:\"#^/admin/modules$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/admin/modules\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:14:\"/admin/modules\";s:8:\"numParts\";i:2;}}}}\";s:20:\"update.module_update\";s:1082:\"C:31:\"Symfony\\Component\\Routing\\Route\":1036:{a:9:{s:4:\"path\";s:21:\"/admin/modules/update\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:39:\"\\Drupal\\update\\Form\\UpdateManagerUpdate\";s:6:\"_title\";s:6:\"Update\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:27:\"administer software updates\";s:22:\"_access_update_manager\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:34:\"access_check.update.manager_access\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":360:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:28:\"#^/admin/modules/update$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:21:\"/admin/modules/update\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:21:\"/admin/modules/update\";s:8:\"numParts\";i:3;}}}}\";}',-1,1636012338.113,1,'routes','58'),('route_provider.route_load:0bffabdbd668b38633adae8d28d3605c62670888461601a5b8e6b1c443217faee32f3fd221d0551d4e89faa6be9e18a0404d36b91fd22acaa706ac5680bfbb4e','a:1:{s:26:\"system.admin_config_search\";s:1040:\"C:31:\"Symfony\\Component\\Routing\\Route\":995:{a:9:{s:4:\"path\";s:20:\"/admin/config/search\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:68:\"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage\";s:6:\"_title\";s:19:\"Search and metadata\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"access administration pages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":357:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:27:\"#^/admin/config/search$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/admin/config/search\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:20:\"/admin/config/search\";s:8:\"numParts\";i:3;}}}}\";}',-1,1636012248.848,1,'routes','58'),('route_provider.route_load:0f144e6794cbce0b7220675bb235ffe0e9147a3379629ee5c9e6ef6584cd970b84b66b34182fc2df5e4b53b4eee1a7a4e032d7a75b6ab0fa9e413012521c0a33','a:1:{s:26:\"entity.user_role.edit_form\";s:1323:\"C:31:\"Symfony\\Component\\Routing\\Route\":1277:{a:9:{s:4:\"path\";s:38:\"/admin/people/roles/manage/{user_role}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:17:\"user_role.default\";s:6:\"_title\";s:9:\"Edit role\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:16:\"user_role.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:9:\"user_role\";a:2:{s:4:\"type\";s:16:\"entity:user_role\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":526:{a:11:{s:4:\"vars\";a:1:{i:0;s:9:\"user_role\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:55:\"#^/admin/people/roles/manage/(?P<user_role>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"user_role\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/people/roles/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:9:\"user_role\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:30;s:14:\"patternOutline\";s:28:\"/admin/people/roles/manage/%\";s:8:\"numParts\";i:5;}}}}\";}',-1,1636012248.949,1,'routes','58'),('route_provider.route_load:106cae05175fb93378b00f0f145df244bad4e4e071960b53b9fcdf91292db979811041aa7aed10c20547a64cadc145d3fd2bd8357b798206a14d1c2251014fb5','a:1:{s:19:\"dblog.access_denied\";s:1093:\"C:31:\"Symfony\\Component\\Routing\\Route\":1047:{a:9:{s:4:\"path\";s:28:\"/admin/reports/access-denied\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:6:\"_title\";s:26:\"Top \'access denied\' errors\";s:11:\"_controller\";s:56:\"\\Drupal\\dblog\\Controller\\DbLogController::topLogMessages\";s:4:\"type\";s:13:\"access denied\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:19:\"access site reports\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":382:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:36:\"#^/admin/reports/access\\-denied$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:28:\"/admin/reports/access-denied\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:28:\"/admin/reports/access-denied\";s:8:\"numParts\";i:3;}}}}\";}',-1,1636012248.985,1,'routes','58'),('route_provider.route_load:11baae3f675dd2de4050051203f5e28f11f2d65f7f1f550256a055fb82e3695c226a6212060a63d0530856a2f8ee9c556ab0f044b0dcf7066968b9179b1c0375','a:134:{s:8:\"<button>\";s:788:\"C:31:\"Symfony\\Component\\Routing\\Route\":743:{a:9:{s:4:\"path\";s:1:\"/\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:0:{}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:8:\"_no_path\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":297:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:8:\"#^/$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:1:\"/\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:1:\"/\";s:8:\"numParts\";i:1;}}}}\";s:7:\"<front>\";s:793:\"C:31:\"Symfony\\Component\\Routing\\Route\":748:{a:9:{s:4:\"path\";s:1:\"/\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:6:\"_title\";s:4:\"Home\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":297:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:8:\"#^/$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:1:\"/\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:1:\"/\";s:8:\"numParts\";i:1;}}}}\";s:8:\"<nolink>\";s:788:\"C:31:\"Symfony\\Component\\Routing\\Route\":743:{a:9:{s:4:\"path\";s:1:\"/\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:0:{}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:8:\"_no_path\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":297:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:8:\"#^/$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:1:\"/\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:1:\"/\";s:8:\"numParts\";i:1;}}}}\";s:6:\"<none>\";s:788:\"C:31:\"Symfony\\Component\\Routing\\Route\":743:{a:9:{s:4:\"path\";s:1:\"/\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:0:{}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:8:\"_no_path\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":297:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:8:\"#^/$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:1:\"/\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:1:\"/\";s:8:\"numParts\";i:1;}}}}\";s:22:\"admin_toolbar.run.cron\";s:1016:\"C:31:\"Symfony\\Component\\Routing\\Route\":971:{a:9:{s:4:\"path\";s:9:\"/run-cron\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:65:\"\\Drupal\\admin_toolbar_tools\\Controller\\ToolbarController::runCron\";s:6:\"_title\";s:8:\"Run cron\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:29:\"administer site configuration\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":323:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:17:\"#^/run\\-cron$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:9:\"/run-cron\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:9:\"/run-cron\";s:8:\"numParts\";i:1;}}}}\";s:27:\"block.category_autocomplete\";s:1000:\"C:31:\"Symfony\\Component\\Routing\\Route\":955:{a:9:{s:4:\"path\";s:28:\"/block-category/autocomplete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:69:\"\\Drupal\\block\\Controller\\CategoryAutocompleteController::autocomplete\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:17:\"administer blocks\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":382:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:36:\"#^/block\\-category/autocomplete$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:28:\"/block-category/autocomplete\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:28:\"/block-category/autocomplete\";s:8:\"numParts\";i:2;}}}}\";s:22:\"block_content.add_form\";s:1447:\"C:31:\"Symfony\\Component\\Routing\\Route\":1401:{a:9:{s:4:\"path\";s:31:\"/block/add/{block_content_type}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:64:\"\\Drupal\\block_content\\Controller\\BlockContentController::addForm\";s:15:\"_title_callback\";s:72:\"\\Drupal\\block_content\\Controller\\BlockContentController::getAddFormTitle\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:17:\"administer blocks\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:18:\"block_content_type\";a:2:{s:4:\"type\";s:25:\"entity:block_content_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":516:{a:11:{s:4:\"vars\";a:1:{i:0;s:18:\"block_content_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:48:\"#^/block/add/(?P<block_content_type>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/block/add\";}}s:9:\"path_vars\";a:1:{i:0;s:18:\"block_content_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:12:\"/block/add/%\";s:8:\"numParts\";i:3;}}}}\";s:22:\"block_content.add_page\";s:979:\"C:31:\"Symfony\\Component\\Routing\\Route\":934:{a:9:{s:4:\"path\";s:10:\"/block/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:60:\"\\Drupal\\block_content\\Controller\\BlockContentController::add\";s:6:\"_title\";s:16:\"Add custom block\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:17:\"administer blocks\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":327:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:17:\"#^/block/add$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/block/add\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:10:\"/block/add\";s:8:\"numParts\";i:2;}}}}\";s:15:\"comment.approve\";s:1386:\"C:31:\"Symfony\\Component\\Routing\\Route\":1340:{a:9:{s:4:\"path\";s:26:\"/comment/{comment}/approve\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:6:\"_title\";s:7:\"Approve\";s:11:\"_controller\";s:60:\"\\Drupal\\comment\\Controller\\CommentController::commentApprove\";s:11:\"entity_type\";s:7:\"comment\";}s:12:\"requirements\";a:3:{s:14:\"_entity_access\";s:15:\"comment.approve\";s:11:\"_csrf_token\";s:4:\"TRUE\";s:7:\"comment\";s:3:\"\\d+\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:7:\"comment\";a:2:{s:4:\"type\";s:14:\"entity:comment\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":516:{a:11:{s:4:\"vars\";a:1:{i:0;s:7:\"comment\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:40:\"#^/comment/(?P<comment>\\d+)/approve$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/approve\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:7:\"comment\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/comment\";}}s:9:\"path_vars\";a:1:{i:0;s:7:\"comment\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:18:\"/comment/%/approve\";s:8:\"numParts\";i:3;}}}}\";s:31:\"comment.new_comments_node_links\";s:1048:\"C:31:\"Symfony\\Component\\Routing\\Route\":1002:{a:9:{s:4:\"path\";s:40:\"/comments/render_new_comments_node_links\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:72:\"\\Drupal\\comment\\Controller\\CommentController::renderNewCommentsNodeLinks\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:14:\"access content\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":417:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:47:\"#^/comments/render_new_comments_node_links$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:40:\"/comments/render_new_comments_node_links\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:40:\"/comments/render_new_comments_node_links\";s:8:\"numParts\";i:2;}}}}\";s:21:\"comment.node_redirect\";s:1265:\"C:31:\"Symfony\\Component\\Routing\\Route\":1219:{a:9:{s:4:\"path\";s:21:\"/comment/{node}/reply\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:58:\"\\Drupal\\comment\\Controller\\CommentController::redirectNode\";}s:12:\"requirements\";a:3:{s:14:\"_entity_access\";s:9:\"node.view\";s:20:\"_module_dependencies\";s:4:\"node\";s:4:\"node\";s:3:\"\\d+\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:4:\"node\";a:2:{s:4:\"type\";s:11:\"entity:node\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":498:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"node\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:35:\"#^/comment/(?P<node>\\d+)/reply$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:6:\"/reply\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"node\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/comment\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"node\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:16:\"/comment/%/reply\";s:8:\"numParts\";i:3;}}}}\";s:13:\"comment.reply\";s:1822:\"C:31:\"Symfony\\Component\\Routing\\Route\":1776:{a:9:{s:4:\"path\";s:56:\"/comment/reply/{entity_type}/{entity}/{field_name}/{pid}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:11:\"_controller\";s:58:\"\\Drupal\\comment\\Controller\\CommentController::getReplyForm\";s:6:\"_title\";s:15:\"Add new comment\";s:3:\"pid\";N;}s:12:\"requirements\";a:1:{s:14:\"_custom_access\";s:61:\"\\Drupal\\comment\\Controller\\CommentController::replyFormAccess\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:6:\"entity\";a:2:{s:4:\"type\";s:20:\"entity:{entity_type}\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.custom\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":926:{a:11:{s:4:\"vars\";a:4:{i:0;s:11:\"entity_type\";i:1;s:6:\"entity\";i:2;s:10:\"field_name\";i:3;s:3:\"pid\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:108:\"#^/comment/reply/(?P<entity_type>[^/]++)/(?P<entity>[^/]++)/(?P<field_name>[^/]++)(?:/(?P<pid>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:3:\"pid\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:10:\"field_name\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"entity\";i:4;b:1;}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"entity_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/comment/reply\";}}s:9:\"path_vars\";a:4:{i:0;s:11:\"entity_type\";i:1;s:6:\"entity\";i:2;s:10:\"field_name\";i:3;s:3:\"pid\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:24;s:14:\"patternOutline\";s:20:\"/comment/reply/%/%/%\";s:8:\"numParts\";i:6;}}}}\";s:17:\"contact.site_page\";s:1103:\"C:31:\"Symfony\\Component\\Routing\\Route\":1057:{a:9:{s:4:\"path\";s:8:\"/contact\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:6:\"_title\";s:7:\"Contact\";s:11:\"_controller\";s:61:\"\\Drupal\\contact\\Controller\\ContactController::contactSitePage\";s:12:\"contact_form\";N;}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:29:\"access site-wide contact form\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"contact_form\";a:2:{s:4:\"type\";s:19:\"entity:contact_form\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":319:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:15:\"#^/contact$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/contact\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:8:\"/contact\";s:8:\"numParts\";i:1;}}}}\";s:17:\"contextual.render\";s:943:\"C:31:\"Symfony\\Component\\Routing\\Route\":898:{a:9:{s:4:\"path\";s:18:\"/contextual/render\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:47:\"\\Drupal\\contextual\\ContextualController::render\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:23:\"access contextual links\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":351:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:25:\"#^/contextual/render$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/contextual/render\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:18:\"/contextual/render\";s:8:\"numParts\";i:2;}}}}\";s:31:\"editor.field_untransformed_text\";s:2002:\"C:31:\"Symfony\\Component\\Routing\\Route\":1956:{a:9:{s:4:\"path\";s:69:\"/editor/{entity_type}/{entity}/{field_name}/{langcode}/{view_mode_id}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:53:\"\\Drupal\\editor\\EditorController::getUntransformedText\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:23:\"access in-place editing\";s:30:\"_access_quickedit_entity_field\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:6:\"entity\";a:2:{s:4:\"type\";s:20:\"entity:{entity_type}\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:35:\"access_check.quickedit.entity_field\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":1086:{a:11:{s:4:\"vars\";a:5:{i:0;s:11:\"entity_type\";i:1;s:6:\"entity\";i:2;s:10:\"field_name\";i:3;s:8:\"langcode\";i:4;s:12:\"view_mode_id\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:126:\"#^/editor/(?P<entity_type>[^/]++)/(?P<entity>[^/]++)/(?P<field_name>[^/]++)/(?P<langcode>[^/]++)/(?P<view_mode_id>[^/]++)$#sDu\";s:11:\"path_tokens\";a:6:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"view_mode_id\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:10:\"field_name\";i:4;b:1;}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"entity\";i:4;b:1;}i:4;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"entity_type\";i:4;b:1;}i:5;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/editor\";}}s:9:\"path_vars\";a:5:{i:0;s:11:\"entity_type\";i:1;s:6:\"entity\";i:2;s:10:\"field_name\";i:3;s:8:\"langcode\";i:4;s:12:\"view_mode_id\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:32;s:14:\"patternOutline\";s:17:\"/editor/%/%/%/%/%\";s:8:\"numParts\";i:6;}}}}\";s:17:\"editor.filter_xss\";s:1252:\"C:31:\"Symfony\\Component\\Routing\\Route\":1206:{a:9:{s:4:\"path\";s:34:\"/editor/filter_xss/{filter_format}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:42:\"\\Drupal\\editor\\EditorController::filterXss\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:17:\"filter_format.use\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:13:\"filter_format\";a:2:{s:4:\"type\";s:20:\"entity:filter_format\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":520:{a:11:{s:4:\"vars\";a:1:{i:0;s:13:\"filter_format\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:51:\"#^/editor/filter_xss/(?P<filter_format>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"filter_format\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/editor/filter_xss\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"filter_format\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:20:\"/editor/filter_xss/%\";s:8:\"numParts\";i:3;}}}}\";s:19:\"editor.image_dialog\";s:1222:\"C:31:\"Symfony\\Component\\Routing\\Route\":1176:{a:9:{s:4:\"path\";s:29:\"/editor/dialog/image/{editor}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:37:\"\\Drupal\\editor\\Form\\EditorImageDialog\";s:6:\"_title\";s:12:\"Upload image\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:10:\"editor.use\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:6:\"editor\";a:2:{s:4:\"type\";s:13:\"entity:editor\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":496:{a:11:{s:4:\"vars\";a:1:{i:0;s:6:\"editor\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:46:\"#^/editor/dialog/image/(?P<editor>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"editor\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/editor/dialog/image\";}}s:9:\"path_vars\";a:1:{i:0;s:6:\"editor\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:14;s:14:\"patternOutline\";s:22:\"/editor/dialog/image/%\";s:8:\"numParts\";i:4;}}}}\";s:18:\"editor.link_dialog\";s:1212:\"C:31:\"Symfony\\Component\\Routing\\Route\":1166:{a:9:{s:4:\"path\";s:28:\"/editor/dialog/link/{editor}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:36:\"\\Drupal\\editor\\Form\\EditorLinkDialog\";s:6:\"_title\";s:8:\"Add link\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:10:\"editor.use\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:6:\"editor\";a:2:{s:4:\"type\";s:13:\"entity:editor\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":493:{a:11:{s:4:\"vars\";a:1:{i:0;s:6:\"editor\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:45:\"#^/editor/dialog/link/(?P<editor>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"editor\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:19:\"/editor/dialog/link\";}}s:9:\"path_vars\";a:1:{i:0;s:6:\"editor\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:14;s:14:\"patternOutline\";s:21:\"/editor/dialog/link/%\";s:8:\"numParts\";i:4;}}}}\";s:30:\"entity.block_content.canonical\";s:1231:\"C:31:\"Symfony\\Component\\Routing\\Route\":1185:{a:9:{s:4:\"path\";s:22:\"/block/{block_content}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:12:\"_entity_form\";s:18:\"block_content.edit\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:20:\"block_content.update\";s:13:\"block_content\";s:3:\"\\d+\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:13:\"block_content\";a:2:{s:4:\"type\";s:20:\"entity:block_content\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":476:{a:11:{s:4:\"vars\";a:1:{i:0;s:13:\"block_content\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:36:\"#^/block/(?P<block_content>\\d+)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:13:\"block_content\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:6:\"/block\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"block_content\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:2;s:14:\"patternOutline\";s:8:\"/block/%\";s:8:\"numParts\";i:2;}}}}\";s:44:\"entity.block_content.content_translation_add\";s:2098:\"C:31:\"Symfony\\Component\\Routing\\Route\":2052:{a:9:{s:4:\"path\";s:57:\"/block/{block_content}/translations/add/{source}/{target}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:72:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::add\";s:6:\"source\";N;s:6:\"target\";N;s:6:\"_title\";s:3:\"Add\";s:14:\"entity_type_id\";s:13:\"block_content\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:18:\"block_content.view\";s:34:\"_access_content_translation_manage\";s:6:\"create\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:3:{s:6:\"source\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:6:\"target\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:13:\"block_content\";a:3:{s:4:\"type\";s:20:\"entity:block_content\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":855:{a:11:{s:4:\"vars\";a:3:{i:0;s:13:\"block_content\";i:1;s:6:\"source\";i:2;s:6:\"target\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:104:\"#^/block/(?P<block_content>[^/]++)/translations/add(?:/(?P<source>[^/]++)(?:/(?P<target>[^/]++))?)?$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"target\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"source\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/translations/add\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"block_content\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:6:\"/block\";}}s:9:\"path_vars\";a:3:{i:0;s:13:\"block_content\";i:1;s:6:\"source\";i:2;s:6:\"target\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:11;s:14:\"patternOutline\";s:25:\"/block/%/translations/add\";s:8:\"numParts\";i:6;}}}}\";s:47:\"entity.block_content.content_translation_delete\";s:1736:\"C:31:\"Symfony\\Component\\Routing\\Route\":1690:{a:9:{s:4:\"path\";s:53:\"/block/{block_content}/translations/delete/{language}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:42:\"block_content.content_translation_deletion\";s:8:\"language\";N;s:6:\"_title\";s:6:\"Delete\";s:14:\"entity_type_id\";s:13:\"block_content\";}s:12:\"requirements\";a:1:{s:34:\"_access_content_translation_manage\";s:6:\"delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:8:\"language\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:13:\"block_content\";a:3:{s:4:\"type\";s:20:\"entity:block_content\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":730:{a:11:{s:4:\"vars\";a:2:{i:0;s:13:\"block_content\";i:1;s:8:\"language\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:85:\"#^/block/(?P<block_content>[^/]++)/translations/delete(?:/(?P<language>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"language\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/translations/delete\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"block_content\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:6:\"/block\";}}s:9:\"path_vars\";a:2:{i:0;s:13:\"block_content\";i:1;s:8:\"language\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:11;s:14:\"patternOutline\";s:28:\"/block/%/translations/delete\";s:8:\"numParts\";i:5;}}}}\";s:45:\"entity.block_content.content_translation_edit\";s:1756:\"C:31:\"Symfony\\Component\\Routing\\Route\":1710:{a:9:{s:4:\"path\";s:51:\"/block/{block_content}/translations/edit/{language}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:11:\"_controller\";s:73:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::edit\";s:8:\"language\";N;s:6:\"_title\";s:4:\"Edit\";s:14:\"entity_type_id\";s:13:\"block_content\";}s:12:\"requirements\";a:1:{s:34:\"_access_content_translation_manage\";s:6:\"update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:8:\"language\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:13:\"block_content\";a:3:{s:4:\"type\";s:20:\"entity:block_content\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":724:{a:11:{s:4:\"vars\";a:2:{i:0;s:13:\"block_content\";i:1;s:8:\"language\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:83:\"#^/block/(?P<block_content>[^/]++)/translations/edit(?:/(?P<language>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"language\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/translations/edit\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"block_content\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:6:\"/block\";}}s:9:\"path_vars\";a:2:{i:0;s:13:\"block_content\";i:1;s:8:\"language\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:11;s:14:\"patternOutline\";s:26:\"/block/%/translations/edit\";s:8:\"numParts\";i:5;}}}}\";s:49:\"entity.block_content.content_translation_overview\";s:1510:\"C:31:\"Symfony\\Component\\Routing\\Route\":1464:{a:9:{s:4:\"path\";s:35:\"/block/{block_content}/translations\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:77:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::overview\";s:14:\"entity_type_id\";s:13:\"block_content\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:18:\"block_content.view\";s:36:\"_access_content_translation_overview\";s:13:\"block_content\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:13:\"block_content\";a:3:{s:4:\"type\";s:20:\"entity:block_content\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:35:\"content_translation.overview_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":559:{a:11:{s:4:\"vars\";a:1:{i:0;s:13:\"block_content\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:52:\"#^/block/(?P<block_content>[^/]++)/translations$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/translations\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"block_content\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:6:\"/block\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"block_content\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:21:\"/block/%/translations\";s:8:\"numParts\";i:3;}}}}\";s:32:\"entity.block_content.delete_form\";s:1324:\"C:31:\"Symfony\\Component\\Routing\\Route\":1278:{a:9:{s:4:\"path\";s:29:\"/block/{block_content}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:20:\"block_content.delete\";s:6:\"_title\";s:6:\"Delete\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:20:\"block_content.delete\";s:13:\"block_content\";s:3:\"\\d+\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:13:\"block_content\";a:2:{s:4:\"type\";s:20:\"entity:block_content\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":534:{a:11:{s:4:\"vars\";a:1:{i:0;s:13:\"block_content\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:43:\"#^/block/(?P<block_content>\\d+)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:13:\"block_content\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:6:\"/block\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"block_content\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:15:\"/block/%/delete\";s:8:\"numParts\";i:3;}}}}\";s:30:\"entity.block_content.edit_form\";s:1231:\"C:31:\"Symfony\\Component\\Routing\\Route\":1185:{a:9:{s:4:\"path\";s:22:\"/block/{block_content}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:12:\"_entity_form\";s:18:\"block_content.edit\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:20:\"block_content.update\";s:13:\"block_content\";s:3:\"\\d+\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:13:\"block_content\";a:2:{s:4:\"type\";s:20:\"entity:block_content\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":476:{a:11:{s:4:\"vars\";a:1:{i:0;s:13:\"block_content\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:36:\"#^/block/(?P<block_content>\\d+)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:13:\"block_content\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:6:\"/block\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"block_content\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:2;s:14:\"patternOutline\";s:8:\"/block/%\";s:8:\"numParts\";i:2;}}}}\";s:24:\"entity.comment.canonical\";s:1296:\"C:31:\"Symfony\\Component\\Routing\\Route\":1250:{a:9:{s:4:\"path\";s:18:\"/comment/{comment}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:15:\"_title_callback\";s:67:\"\\Drupal\\comment\\Controller\\CommentController::commentPermalinkTitle\";s:11:\"_controller\";s:62:\"\\Drupal\\comment\\Controller\\CommentController::commentPermalink\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:12:\"comment.view\";s:7:\"comment\";s:3:\"\\d+\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:7:\"comment\";a:2:{s:4:\"type\";s:14:\"entity:comment\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":456:{a:11:{s:4:\"vars\";a:1:{i:0;s:7:\"comment\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:32:\"#^/comment/(?P<comment>\\d+)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:7:\"comment\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/comment\";}}s:9:\"path_vars\";a:1:{i:0;s:7:\"comment\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:2;s:14:\"patternOutline\";s:10:\"/comment/%\";s:8:\"numParts\";i:2;}}}}\";s:38:\"entity.comment.content_translation_add\";s:2047:\"C:31:\"Symfony\\Component\\Routing\\Route\":2001:{a:9:{s:4:\"path\";s:53:\"/comment/{comment}/translations/add/{source}/{target}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:72:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::add\";s:6:\"source\";N;s:6:\"target\";N;s:6:\"_title\";s:3:\"Add\";s:14:\"entity_type_id\";s:7:\"comment\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:12:\"comment.view\";s:34:\"_access_content_translation_manage\";s:6:\"create\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:3:{s:6:\"source\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:6:\"target\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:7:\"comment\";a:3:{s:4:\"type\";s:14:\"entity:comment\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:0;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":834:{a:11:{s:4:\"vars\";a:3:{i:0;s:7:\"comment\";i:1;s:6:\"source\";i:2;s:6:\"target\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:100:\"#^/comment/(?P<comment>[^/]++)/translations/add(?:/(?P<source>[^/]++)(?:/(?P<target>[^/]++))?)?$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"target\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"source\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/translations/add\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:7:\"comment\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/comment\";}}s:9:\"path_vars\";a:3:{i:0;s:7:\"comment\";i:1;s:6:\"source\";i:2;s:6:\"target\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:11;s:14:\"patternOutline\";s:27:\"/comment/%/translations/add\";s:8:\"numParts\";i:6;}}}}\";s:41:\"entity.comment.content_translation_delete\";s:1685:\"C:31:\"Symfony\\Component\\Routing\\Route\":1639:{a:9:{s:4:\"path\";s:49:\"/comment/{comment}/translations/delete/{language}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:36:\"comment.content_translation_deletion\";s:8:\"language\";N;s:6:\"_title\";s:6:\"Delete\";s:14:\"entity_type_id\";s:7:\"comment\";}s:12:\"requirements\";a:1:{s:34:\"_access_content_translation_manage\";s:6:\"delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:8:\"language\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:7:\"comment\";a:3:{s:4:\"type\";s:14:\"entity:comment\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:0;s:14:\"_access_checks\";a:1:{i:0;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":709:{a:11:{s:4:\"vars\";a:2:{i:0;s:7:\"comment\";i:1;s:8:\"language\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:81:\"#^/comment/(?P<comment>[^/]++)/translations/delete(?:/(?P<language>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"language\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/translations/delete\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:7:\"comment\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/comment\";}}s:9:\"path_vars\";a:2:{i:0;s:7:\"comment\";i:1;s:8:\"language\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:11;s:14:\"patternOutline\";s:30:\"/comment/%/translations/delete\";s:8:\"numParts\";i:5;}}}}\";s:39:\"entity.comment.content_translation_edit\";s:1711:\"C:31:\"Symfony\\Component\\Routing\\Route\":1665:{a:9:{s:4:\"path\";s:47:\"/comment/{comment}/translations/edit/{language}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:11:\"_controller\";s:73:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::edit\";s:8:\"language\";N;s:6:\"_title\";s:4:\"Edit\";s:14:\"entity_type_id\";s:7:\"comment\";}s:12:\"requirements\";a:1:{s:34:\"_access_content_translation_manage\";s:6:\"update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:8:\"language\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:7:\"comment\";a:3:{s:4:\"type\";s:14:\"entity:comment\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:0;s:14:\"_access_checks\";a:1:{i:0;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":703:{a:11:{s:4:\"vars\";a:2:{i:0;s:7:\"comment\";i:1;s:8:\"language\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:79:\"#^/comment/(?P<comment>[^/]++)/translations/edit(?:/(?P<language>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"language\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/translations/edit\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:7:\"comment\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/comment\";}}s:9:\"path_vars\";a:2:{i:0;s:7:\"comment\";i:1;s:8:\"language\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:11;s:14:\"patternOutline\";s:28:\"/comment/%/translations/edit\";s:8:\"numParts\";i:5;}}}}\";s:43:\"entity.comment.content_translation_overview\";s:1452:\"C:31:\"Symfony\\Component\\Routing\\Route\":1406:{a:9:{s:4:\"path\";s:31:\"/comment/{comment}/translations\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:77:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::overview\";s:14:\"entity_type_id\";s:7:\"comment\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:12:\"comment.view\";s:36:\"_access_content_translation_overview\";s:7:\"comment\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:7:\"comment\";a:3:{s:4:\"type\";s:14:\"entity:comment\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:0;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:35:\"content_translation.overview_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":538:{a:11:{s:4:\"vars\";a:1:{i:0;s:7:\"comment\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:48:\"#^/comment/(?P<comment>[^/]++)/translations$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/translations\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:7:\"comment\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/comment\";}}s:9:\"path_vars\";a:1:{i:0;s:7:\"comment\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:23:\"/comment/%/translations\";s:8:\"numParts\";i:3;}}}}\";s:26:\"entity.comment.delete_form\";s:1243:\"C:31:\"Symfony\\Component\\Routing\\Route\":1197:{a:9:{s:4:\"path\";s:25:\"/comment/{comment}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:6:\"_title\";s:6:\"Delete\";s:12:\"_entity_form\";s:14:\"comment.delete\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:14:\"comment.delete\";s:7:\"comment\";s:3:\"\\d+\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:7:\"comment\";a:2:{s:4:\"type\";s:14:\"entity:comment\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":513:{a:11:{s:4:\"vars\";a:1:{i:0;s:7:\"comment\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:39:\"#^/comment/(?P<comment>\\d+)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:7:\"comment\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/comment\";}}s:9:\"path_vars\";a:1:{i:0;s:7:\"comment\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:17:\"/comment/%/delete\";s:8:\"numParts\";i:3;}}}}\";s:24:\"entity.comment.edit_form\";s:1234:\"C:31:\"Symfony\\Component\\Routing\\Route\":1188:{a:9:{s:4:\"path\";s:23:\"/comment/{comment}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:6:\"_title\";s:4:\"Edit\";s:12:\"_entity_form\";s:15:\"comment.default\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:14:\"comment.update\";s:7:\"comment\";s:3:\"\\d+\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:7:\"comment\";a:2:{s:4:\"type\";s:14:\"entity:comment\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":507:{a:11:{s:4:\"vars\";a:1:{i:0;s:7:\"comment\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:37:\"#^/comment/(?P<comment>\\d+)/edit$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:7:\"comment\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/comment\";}}s:9:\"path_vars\";a:1:{i:0;s:7:\"comment\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:15:\"/comment/%/edit\";s:8:\"numParts\";i:3;}}}}\";s:29:\"entity.contact_form.canonical\";s:1250:\"C:31:\"Symfony\\Component\\Routing\\Route\":1204:{a:9:{s:4:\"path\";s:23:\"/contact/{contact_form}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:6:\"_title\";s:7:\"Contact\";s:11:\"_controller\";s:61:\"\\Drupal\\contact\\Controller\\ContactController::contactSitePage\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:17:\"contact_form.view\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"contact_form\";a:2:{s:4:\"type\";s:19:\"entity:contact_form\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":485:{a:11:{s:4:\"vars\";a:1:{i:0;s:12:\"contact_form\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:40:\"#^/contact/(?P<contact_form>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/contact\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"contact_form\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:2;s:14:\"patternOutline\";s:10:\"/contact/%\";s:8:\"numParts\";i:2;}}}}\";s:21:\"entity.node.canonical\";s:1223:\"C:31:\"Symfony\\Component\\Routing\\Route\":1177:{a:9:{s:4:\"path\";s:12:\"/node/{node}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:48:\"\\Drupal\\node\\Controller\\NodeViewController::view\";s:15:\"_title_callback\";s:49:\"\\Drupal\\node\\Controller\\NodeViewController::title\";}s:12:\"requirements\";a:2:{s:4:\"node\";s:3:\"\\d+\";s:14:\"_entity_access\";s:9:\"node.view\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"node\";a:2:{s:4:\"type\";s:11:\"entity:node\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":434:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"node\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:26:\"#^/node/(?P<node>\\d+)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"node\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"node\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:2;s:14:\"patternOutline\";s:7:\"/node/%\";s:8:\"numParts\";i:2;}}}}\";s:35:\"entity.node.content_translation_add\";s:2006:\"C:31:\"Symfony\\Component\\Routing\\Route\":1960:{a:9:{s:4:\"path\";s:47:\"/node/{node}/translations/add/{source}/{target}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:72:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::add\";s:6:\"source\";N;s:6:\"target\";N;s:6:\"_title\";s:3:\"Add\";s:14:\"entity_type_id\";s:4:\"node\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:9:\"node.view\";s:34:\"_access_content_translation_manage\";s:6:\"create\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:3:{s:6:\"source\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:6:\"target\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:4:\"node\";a:3:{s:4:\"type\";s:11:\"entity:node\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":812:{a:11:{s:4:\"vars\";a:3:{i:0;s:4:\"node\";i:1;s:6:\"source\";i:2;s:6:\"target\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:94:\"#^/node/(?P<node>[^/]++)/translations/add(?:/(?P<source>[^/]++)(?:/(?P<target>[^/]++))?)?$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"target\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"source\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/translations/add\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"node\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:3:{i:0;s:4:\"node\";i:1;s:6:\"source\";i:2;s:6:\"target\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:11;s:14:\"patternOutline\";s:24:\"/node/%/translations/add\";s:8:\"numParts\";i:6;}}}}\";s:38:\"entity.node.content_translation_delete\";s:1646:\"C:31:\"Symfony\\Component\\Routing\\Route\":1600:{a:9:{s:4:\"path\";s:43:\"/node/{node}/translations/delete/{language}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:33:\"node.content_translation_deletion\";s:8:\"language\";N;s:6:\"_title\";s:6:\"Delete\";s:14:\"entity_type_id\";s:4:\"node\";}s:12:\"requirements\";a:1:{s:34:\"_access_content_translation_manage\";s:6:\"delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:8:\"language\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:4:\"node\";a:3:{s:4:\"type\";s:11:\"entity:node\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":688:{a:11:{s:4:\"vars\";a:2:{i:0;s:4:\"node\";i:1;s:8:\"language\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:75:\"#^/node/(?P<node>[^/]++)/translations/delete(?:/(?P<language>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"language\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/translations/delete\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"node\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:2:{i:0;s:4:\"node\";i:1;s:8:\"language\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:11;s:14:\"patternOutline\";s:27:\"/node/%/translations/delete\";s:8:\"numParts\";i:5;}}}}\";s:36:\"entity.node.content_translation_edit\";s:1675:\"C:31:\"Symfony\\Component\\Routing\\Route\":1629:{a:9:{s:4:\"path\";s:41:\"/node/{node}/translations/edit/{language}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:11:\"_controller\";s:73:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::edit\";s:8:\"language\";N;s:6:\"_title\";s:4:\"Edit\";s:14:\"entity_type_id\";s:4:\"node\";}s:12:\"requirements\";a:1:{s:34:\"_access_content_translation_manage\";s:6:\"update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:8:\"language\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:4:\"node\";a:3:{s:4:\"type\";s:11:\"entity:node\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":682:{a:11:{s:4:\"vars\";a:2:{i:0;s:4:\"node\";i:1;s:8:\"language\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:73:\"#^/node/(?P<node>[^/]++)/translations/edit(?:/(?P<language>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"language\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/translations/edit\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"node\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:2:{i:0;s:4:\"node\";i:1;s:8:\"language\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:11;s:14:\"patternOutline\";s:25:\"/node/%/translations/edit\";s:8:\"numParts\";i:5;}}}}\";s:40:\"entity.node.content_translation_overview\";s:1409:\"C:31:\"Symfony\\Component\\Routing\\Route\":1363:{a:9:{s:4:\"path\";s:25:\"/node/{node}/translations\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:77:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::overview\";s:14:\"entity_type_id\";s:4:\"node\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:9:\"node.view\";s:36:\"_access_content_translation_overview\";s:4:\"node\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"node\";a:3:{s:4:\"type\";s:11:\"entity:node\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:35:\"content_translation.overview_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":517:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"node\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:42:\"#^/node/(?P<node>[^/]++)/translations$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/translations\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"node\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"node\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:20:\"/node/%/translations\";s:8:\"numParts\";i:3;}}}}\";s:23:\"entity.node.delete_form\";s:1258:\"C:31:\"Symfony\\Component\\Routing\\Route\":1212:{a:9:{s:4:\"path\";s:19:\"/node/{node}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:11:\"node.delete\";s:6:\"_title\";s:6:\"Delete\";}s:12:\"requirements\";a:2:{s:4:\"node\";s:3:\"\\d+\";s:14:\"_entity_access\";s:11:\"node.delete\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:21:\"_node_operation_route\";b:1;s:12:\"_admin_route\";b:1;s:10:\"parameters\";a:1:{s:4:\"node\";a:2:{s:4:\"type\";s:11:\"entity:node\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":492:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"node\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:33:\"#^/node/(?P<node>\\d+)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"node\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"node\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:14:\"/node/%/delete\";s:8:\"numParts\";i:3;}}}}\";s:21:\"entity.node.edit_form\";s:1221:\"C:31:\"Symfony\\Component\\Routing\\Route\":1175:{a:9:{s:4:\"path\";s:17:\"/node/{node}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:12:\"_entity_form\";s:9:\"node.edit\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:11:\"node.update\";s:4:\"node\";s:3:\"\\d+\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:21:\"_node_operation_route\";b:1;s:12:\"_admin_route\";b:1;s:10:\"parameters\";a:1:{s:4:\"node\";a:2:{s:4:\"type\";s:11:\"entity:node\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":486:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"node\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:31:\"#^/node/(?P<node>\\d+)/edit$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"node\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"node\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:12:\"/node/%/edit\";s:8:\"numParts\";i:3;}}}}\";s:19:\"entity.node.preview\";s:1521:\"C:31:\"Symfony\\Component\\Routing\\Route\":1475:{a:9:{s:4:\"path\";s:43:\"/node/preview/{node_preview}/{view_mode_id}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:51:\"\\Drupal\\node\\Controller\\NodePreviewController::view\";s:15:\"_title_callback\";s:52:\"\\Drupal\\node\\Controller\\NodePreviewController::title\";}s:12:\"requirements\";a:1:{s:20:\"_node_preview_access\";s:14:\"{node_preview}\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"node_preview\";a:2:{s:4:\"type\";s:12:\"node_preview\";s:9:\"converter\";s:42:\"drupal.proxy_original_service.node_preview\";}}s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:25:\"access_check.node.preview\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":667:{a:11:{s:4:\"vars\";a:2:{i:0;s:12:\"node_preview\";i:1;s:12:\"view_mode_id\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:70:\"#^/node/preview/(?P<node_preview>[^/]++)/(?P<view_mode_id>[^/]++)$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"view_mode_id\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"node_preview\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/node/preview\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"node_preview\";i:1;s:12:\"view_mode_id\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:12;s:14:\"patternOutline\";s:17:\"/node/preview/%/%\";s:8:\"numParts\";i:4;}}}}\";s:20:\"entity.node.revision\";s:1448:\"C:31:\"Symfony\\Component\\Routing\\Route\":1402:{a:9:{s:4:\"path\";s:43:\"/node/{node}/revisions/{node_revision}/view\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:52:\"\\Drupal\\node\\Controller\\NodeController::revisionShow\";s:15:\"_title_callback\";s:57:\"\\Drupal\\node\\Controller\\NodeController::revisionPageTitle\";}s:12:\"requirements\";a:2:{s:21:\"_access_node_revision\";s:4:\"view\";s:4:\"node\";s:3:\"\\d+\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:26:\"access_check.node.revision\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":723:{a:11:{s:4:\"vars\";a:2:{i:0;s:4:\"node\";i:1;s:13:\"node_revision\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:67:\"#^/node/(?P<node>\\d+)/revisions/(?P<node_revision>[^/]++)/view$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/view\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"node_revision\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/revisions\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"node\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:2:{i:0;s:4:\"node\";i:1;s:13:\"node_revision\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:21;s:14:\"patternOutline\";s:24:\"/node/%/revisions/%/view\";s:8:\"numParts\";i:5;}}}}\";s:27:\"entity.node.version_history\";s:1324:\"C:31:\"Symfony\\Component\\Routing\\Route\":1278:{a:9:{s:4:\"path\";s:22:\"/node/{node}/revisions\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:6:\"_title\";s:9:\"Revisions\";s:11:\"_controller\";s:56:\"\\Drupal\\node\\Controller\\NodeController::revisionOverview\";}s:12:\"requirements\";a:2:{s:21:\"_access_node_revision\";s:4:\"view\";s:4:\"node\";s:3:\"\\d+\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:21:\"_node_operation_route\";b:1;s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:10:\"parameters\";a:1:{s:4:\"node\";a:2:{s:4:\"type\";s:11:\"entity:node\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:26:\"access_check.node.revision\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":502:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"node\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:36:\"#^/node/(?P<node>\\d+)/revisions$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/revisions\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"node\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"node\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:17:\"/node/%/revisions\";s:8:\"numParts\";i:3;}}}}\";s:30:\"entity.taxonomy_term.canonical\";s:1708:\"C:31:\"Symfony\\Component\\Routing\\Route\":1662:{a:9:{s:4:\"path\";s:30:\"/taxonomy/term/{taxonomy_term}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:6:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:0:\"\";s:7:\"view_id\";s:13:\"taxonomy_term\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;s:15:\"_title_callback\";s:57:\"\\Drupal\\taxonomy\\Controller\\TaxonomyController::termTitle\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:9:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:1:{s:5:\"arg_0\";s:13:\"taxonomy_term\";}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:13:\"taxonomy_term\";a:2:{s:4:\"type\";s:20:\"entity:taxonomy_term\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":508:{a:11:{s:4:\"vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:47:\"#^/taxonomy/term/(?P<taxonomy_term>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"taxonomy_term\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/taxonomy/term\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:16:\"/taxonomy/term/%\";s:8:\"numParts\";i:3;}}}}\";s:44:\"entity.taxonomy_term.content_translation_add\";s:2131:\"C:31:\"Symfony\\Component\\Routing\\Route\":2085:{a:9:{s:4:\"path\";s:65:\"/taxonomy/term/{taxonomy_term}/translations/add/{source}/{target}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:72:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::add\";s:6:\"source\";N;s:6:\"target\";N;s:6:\"_title\";s:3:\"Add\";s:14:\"entity_type_id\";s:13:\"taxonomy_term\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:18:\"taxonomy_term.view\";s:34:\"_access_content_translation_manage\";s:6:\"create\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:3:{s:6:\"source\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:6:\"target\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:13:\"taxonomy_term\";a:3:{s:4:\"type\";s:20:\"entity:taxonomy_term\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":880:{a:11:{s:4:\"vars\";a:3:{i:0;s:13:\"taxonomy_term\";i:1;s:6:\"source\";i:2;s:6:\"target\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:112:\"#^/taxonomy/term/(?P<taxonomy_term>[^/]++)/translations/add(?:/(?P<source>[^/]++)(?:/(?P<target>[^/]++))?)?$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"target\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"source\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/translations/add\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"taxonomy_term\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/taxonomy/term\";}}s:9:\"path_vars\";a:3:{i:0;s:13:\"taxonomy_term\";i:1;s:6:\"source\";i:2;s:6:\"target\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:27;s:14:\"patternOutline\";s:33:\"/taxonomy/term/%/translations/add\";s:8:\"numParts\";i:7;}}}}\";s:47:\"entity.taxonomy_term.content_translation_delete\";s:1769:\"C:31:\"Symfony\\Component\\Routing\\Route\":1723:{a:9:{s:4:\"path\";s:61:\"/taxonomy/term/{taxonomy_term}/translations/delete/{language}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:42:\"taxonomy_term.content_translation_deletion\";s:8:\"language\";N;s:6:\"_title\";s:6:\"Delete\";s:14:\"entity_type_id\";s:13:\"taxonomy_term\";}s:12:\"requirements\";a:1:{s:34:\"_access_content_translation_manage\";s:6:\"delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:8:\"language\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:13:\"taxonomy_term\";a:3:{s:4:\"type\";s:20:\"entity:taxonomy_term\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":755:{a:11:{s:4:\"vars\";a:2:{i:0;s:13:\"taxonomy_term\";i:1;s:8:\"language\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:93:\"#^/taxonomy/term/(?P<taxonomy_term>[^/]++)/translations/delete(?:/(?P<language>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"language\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/translations/delete\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"taxonomy_term\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/taxonomy/term\";}}s:9:\"path_vars\";a:2:{i:0;s:13:\"taxonomy_term\";i:1;s:8:\"language\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:27;s:14:\"patternOutline\";s:36:\"/taxonomy/term/%/translations/delete\";s:8:\"numParts\";i:6;}}}}\";s:45:\"entity.taxonomy_term.content_translation_edit\";s:1789:\"C:31:\"Symfony\\Component\\Routing\\Route\":1743:{a:9:{s:4:\"path\";s:59:\"/taxonomy/term/{taxonomy_term}/translations/edit/{language}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:11:\"_controller\";s:73:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::edit\";s:8:\"language\";N;s:6:\"_title\";s:4:\"Edit\";s:14:\"entity_type_id\";s:13:\"taxonomy_term\";}s:12:\"requirements\";a:1:{s:34:\"_access_content_translation_manage\";s:6:\"update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:8:\"language\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:13:\"taxonomy_term\";a:3:{s:4:\"type\";s:20:\"entity:taxonomy_term\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":749:{a:11:{s:4:\"vars\";a:2:{i:0;s:13:\"taxonomy_term\";i:1;s:8:\"language\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:91:\"#^/taxonomy/term/(?P<taxonomy_term>[^/]++)/translations/edit(?:/(?P<language>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"language\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/translations/edit\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"taxonomy_term\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/taxonomy/term\";}}s:9:\"path_vars\";a:2:{i:0;s:13:\"taxonomy_term\";i:1;s:8:\"language\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:27;s:14:\"patternOutline\";s:34:\"/taxonomy/term/%/translations/edit\";s:8:\"numParts\";i:6;}}}}\";s:49:\"entity.taxonomy_term.content_translation_overview\";s:1544:\"C:31:\"Symfony\\Component\\Routing\\Route\":1498:{a:9:{s:4:\"path\";s:43:\"/taxonomy/term/{taxonomy_term}/translations\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:77:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::overview\";s:14:\"entity_type_id\";s:13:\"taxonomy_term\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:18:\"taxonomy_term.view\";s:36:\"_access_content_translation_overview\";s:13:\"taxonomy_term\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:13:\"taxonomy_term\";a:3:{s:4:\"type\";s:20:\"entity:taxonomy_term\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:35:\"content_translation.overview_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":585:{a:11:{s:4:\"vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:60:\"#^/taxonomy/term/(?P<taxonomy_term>[^/]++)/translations$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/translations\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"taxonomy_term\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/taxonomy/term\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:13;s:14:\"patternOutline\";s:29:\"/taxonomy/term/%/translations\";s:8:\"numParts\";i:4;}}}}\";s:32:\"entity.taxonomy_term.delete_form\";s:1364:\"C:31:\"Symfony\\Component\\Routing\\Route\":1318:{a:9:{s:4:\"path\";s:37:\"/taxonomy/term/{taxonomy_term}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:20:\"taxonomy_term.delete\";s:6:\"_title\";s:11:\"Delete term\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:20:\"taxonomy_term.delete\";s:13:\"taxonomy_term\";s:3:\"\\d+\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:13:\"taxonomy_term\";a:2:{s:4:\"type\";s:20:\"entity:taxonomy_term\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":560:{a:11:{s:4:\"vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:51:\"#^/taxonomy/term/(?P<taxonomy_term>\\d+)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:13:\"taxonomy_term\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/taxonomy/term\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:13;s:14:\"patternOutline\";s:23:\"/taxonomy/term/%/delete\";s:8:\"numParts\";i:4;}}}}\";s:30:\"entity.taxonomy_term.edit_form\";s:1354:\"C:31:\"Symfony\\Component\\Routing\\Route\":1308:{a:9:{s:4:\"path\";s:35:\"/taxonomy/term/{taxonomy_term}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:21:\"taxonomy_term.default\";s:6:\"_title\";s:9:\"Edit term\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:20:\"taxonomy_term.update\";s:13:\"taxonomy_term\";s:3:\"\\d+\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:13:\"taxonomy_term\";a:2:{s:4:\"type\";s:20:\"entity:taxonomy_term\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":554:{a:11:{s:4:\"vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:49:\"#^/taxonomy/term/(?P<taxonomy_term>\\d+)/edit$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:13:\"taxonomy_term\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/taxonomy/term\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:13;s:14:\"patternOutline\";s:21:\"/taxonomy/term/%/edit\";s:8:\"numParts\";i:4;}}}}\";s:23:\"entity.user.cancel_form\";s:1234:\"C:31:\"Symfony\\Component\\Routing\\Route\":1188:{a:9:{s:4:\"path\";s:19:\"/user/{user}/cancel\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:6:\"_title\";s:14:\"Cancel account\";s:12:\"_entity_form\";s:11:\"user.cancel\";}s:12:\"requirements\";a:2:{s:4:\"user\";s:3:\"\\d+\";s:14:\"_entity_access\";s:11:\"user.delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:10:\"parameters\";a:1:{s:4:\"user\";a:2:{s:4:\"type\";s:11:\"entity:user\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":492:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"user\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:33:\"#^/user/(?P<user>\\d+)/cancel$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/cancel\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"user\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/user\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"user\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:14:\"/user/%/cancel\";s:8:\"numParts\";i:3;}}}}\";s:21:\"entity.user.canonical\";s:1183:\"C:31:\"Symfony\\Component\\Routing\\Route\":1137:{a:9:{s:4:\"path\";s:12:\"/user/{user}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_view\";s:9:\"user.full\";s:15:\"_title_callback\";s:48:\"Drupal\\user\\Controller\\UserController::userTitle\";}s:12:\"requirements\";a:2:{s:4:\"user\";s:3:\"\\d+\";s:14:\"_entity_access\";s:9:\"user.view\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"user\";a:2:{s:4:\"type\";s:11:\"entity:user\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":434:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"user\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:26:\"#^/user/(?P<user>\\d+)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"user\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/user\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"user\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:2;s:14:\"patternOutline\";s:7:\"/user/%\";s:8:\"numParts\";i:2;}}}}\";s:24:\"entity.user.contact_form\";s:1275:\"C:31:\"Symfony\\Component\\Routing\\Route\":1229:{a:9:{s:4:\"path\";s:20:\"/user/{user}/contact\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:6:\"_title\";s:7:\"Contact\";s:11:\"_controller\";s:65:\"\\Drupal\\contact\\Controller\\ContactController::contactPersonalPage\";}s:12:\"requirements\";a:2:{s:28:\"_access_contact_personal_tab\";s:4:\"TRUE\";s:4:\"user\";s:3:\"\\d+\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:4:\"user\";a:2:{s:4:\"type\";s:11:\"entity:user\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:29:\"access_check.contact_personal\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":495:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"user\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:34:\"#^/user/(?P<user>\\d+)/contact$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/contact\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"user\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/user\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"user\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:15:\"/user/%/contact\";s:8:\"numParts\";i:3;}}}}\";s:35:\"entity.user.content_translation_add\";s:2006:\"C:31:\"Symfony\\Component\\Routing\\Route\":1960:{a:9:{s:4:\"path\";s:47:\"/user/{user}/translations/add/{source}/{target}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:72:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::add\";s:6:\"source\";N;s:6:\"target\";N;s:6:\"_title\";s:3:\"Add\";s:14:\"entity_type_id\";s:4:\"user\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:9:\"user.view\";s:34:\"_access_content_translation_manage\";s:6:\"create\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:3:{s:6:\"source\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:6:\"target\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:4:\"user\";a:3:{s:4:\"type\";s:11:\"entity:user\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":812:{a:11:{s:4:\"vars\";a:3:{i:0;s:4:\"user\";i:1;s:6:\"source\";i:2;s:6:\"target\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:94:\"#^/user/(?P<user>[^/]++)/translations/add(?:/(?P<source>[^/]++)(?:/(?P<target>[^/]++))?)?$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"target\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"source\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/translations/add\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"user\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/user\";}}s:9:\"path_vars\";a:3:{i:0;s:4:\"user\";i:1;s:6:\"source\";i:2;s:6:\"target\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:11;s:14:\"patternOutline\";s:24:\"/user/%/translations/add\";s:8:\"numParts\";i:6;}}}}\";s:38:\"entity.user.content_translation_delete\";s:1646:\"C:31:\"Symfony\\Component\\Routing\\Route\":1600:{a:9:{s:4:\"path\";s:43:\"/user/{user}/translations/delete/{language}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:33:\"user.content_translation_deletion\";s:8:\"language\";N;s:6:\"_title\";s:6:\"Delete\";s:14:\"entity_type_id\";s:4:\"user\";}s:12:\"requirements\";a:1:{s:34:\"_access_content_translation_manage\";s:6:\"delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:8:\"language\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:4:\"user\";a:3:{s:4:\"type\";s:11:\"entity:user\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":688:{a:11:{s:4:\"vars\";a:2:{i:0;s:4:\"user\";i:1;s:8:\"language\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:75:\"#^/user/(?P<user>[^/]++)/translations/delete(?:/(?P<language>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"language\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/translations/delete\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"user\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/user\";}}s:9:\"path_vars\";a:2:{i:0;s:4:\"user\";i:1;s:8:\"language\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:11;s:14:\"patternOutline\";s:27:\"/user/%/translations/delete\";s:8:\"numParts\";i:5;}}}}\";s:36:\"entity.user.content_translation_edit\";s:1675:\"C:31:\"Symfony\\Component\\Routing\\Route\":1629:{a:9:{s:4:\"path\";s:41:\"/user/{user}/translations/edit/{language}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:11:\"_controller\";s:73:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::edit\";s:8:\"language\";N;s:6:\"_title\";s:4:\"Edit\";s:14:\"entity_type_id\";s:4:\"user\";}s:12:\"requirements\";a:1:{s:34:\"_access_content_translation_manage\";s:6:\"update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:8:\"language\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:4:\"user\";a:3:{s:4:\"type\";s:11:\"entity:user\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":682:{a:11:{s:4:\"vars\";a:2:{i:0;s:4:\"user\";i:1;s:8:\"language\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:73:\"#^/user/(?P<user>[^/]++)/translations/edit(?:/(?P<language>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"language\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/translations/edit\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"user\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/user\";}}s:9:\"path_vars\";a:2:{i:0;s:4:\"user\";i:1;s:8:\"language\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:11;s:14:\"patternOutline\";s:25:\"/user/%/translations/edit\";s:8:\"numParts\";i:5;}}}}\";s:40:\"entity.user.content_translation_overview\";s:1409:\"C:31:\"Symfony\\Component\\Routing\\Route\":1363:{a:9:{s:4:\"path\";s:25:\"/user/{user}/translations\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:77:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::overview\";s:14:\"entity_type_id\";s:4:\"user\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:9:\"user.view\";s:36:\"_access_content_translation_overview\";s:4:\"user\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"user\";a:3:{s:4:\"type\";s:11:\"entity:user\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:35:\"content_translation.overview_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":517:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"user\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:42:\"#^/user/(?P<user>[^/]++)/translations$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/translations\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"user\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/user\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"user\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:20:\"/user/%/translations\";s:8:\"numParts\";i:3;}}}}\";s:21:\"entity.user.edit_form\";s:1271:\"C:31:\"Symfony\\Component\\Routing\\Route\":1225:{a:9:{s:4:\"path\";s:17:\"/user/{user}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:12:\"user.default\";s:15:\"_title_callback\";s:48:\"Drupal\\user\\Controller\\UserController::userTitle\";}s:12:\"requirements\";a:2:{s:4:\"user\";s:3:\"\\d+\";s:14:\"_entity_access\";s:11:\"user.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:10:\"parameters\";a:1:{s:4:\"user\";a:2:{s:4:\"type\";s:11:\"entity:user\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":486:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"user\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:31:\"#^/user/(?P<user>\\d+)/edit$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"user\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/user\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"user\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:12:\"/user/%/edit\";s:8:\"numParts\";i:3;}}}}\";s:18:\"file.ajax_progress\";s:1062:\"C:31:\"Symfony\\Component\\Routing\\Route\":1016:{a:9:{s:4:\"path\";s:20:\"/file/progress/{key}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:58:\"\\Drupal\\file\\Controller\\FileWidgetAjaxController::progress\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:14:\"access content\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":465:{a:11:{s:4:\"vars\";a:1:{i:0;s:3:\"key\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:37:\"#^/file/progress/(?P<key>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:3:\"key\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/file/progress\";}}s:9:\"path_vars\";a:1:{i:0;s:3:\"key\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:16:\"/file/progress/%\";s:8:\"numParts\";i:3;}}}}\";s:11:\"filter.tips\";s:1273:\"C:31:\"Symfony\\Component\\Routing\\Route\":1227:{a:9:{s:4:\"path\";s:28:\"/filter/tips/{filter_format}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:54:\"\\Drupal\\filter\\Controller\\FilterController::filterTips\";s:6:\"_title\";s:12:\"Compose tips\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:17:\"filter_format.use\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:13:\"filter_format\";a:2:{s:4:\"type\";s:20:\"entity:filter_format\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":502:{a:11:{s:4:\"vars\";a:1:{i:0;s:13:\"filter_format\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:45:\"#^/filter/tips/(?P<filter_format>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"filter_format\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:12:\"/filter/tips\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"filter_format\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:14:\"/filter/tips/%\";s:8:\"numParts\";i:3;}}}}\";s:15:\"filter.tips_all\";s:1067:\"C:31:\"Symfony\\Component\\Routing\\Route\":1021:{a:9:{s:4:\"path\";s:12:\"/filter/tips\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:54:\"\\Drupal\\filter\\Controller\\FilterController::filterTips\";s:6:\"_title\";s:12:\"Compose tips\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:13:\"filter_format\";a:2:{s:4:\"type\";s:20:\"entity:filter_format\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":333:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:19:\"#^/filter/tips$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:12:\"/filter/tips\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:12:\"/filter/tips\";s:8:\"numParts\";i:2;}}}}\";s:26:\"history.get_last_node_view\";s:1014:\"C:31:\"Symfony\\Component\\Routing\\Route\":969:{a:9:{s:4:\"path\";s:33:\"/history/get_node_read_timestamps\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:67:\"\\Drupal\\history\\Controller\\HistoryController::getNodeReadTimestamps\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:14:\"access content\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":396:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:40:\"#^/history/get_node_read_timestamps$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:33:\"/history/get_node_read_timestamps\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:33:\"/history/get_node_read_timestamps\";s:8:\"numParts\";i:2;}}}}\";s:17:\"history.read_node\";s:1218:\"C:31:\"Symfony\\Component\\Routing\\Route\":1172:{a:9:{s:4:\"path\";s:20:\"/history/{node}/read\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:54:\"\\Drupal\\history\\Controller\\HistoryController::readNode\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:9:\"node.view\";s:4:\"node\";s:3:\"\\d+\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:4:\"node\";a:2:{s:4:\"type\";s:11:\"entity:node\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":495:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"node\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:34:\"#^/history/(?P<node>\\d+)/read$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/read\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"node\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/history\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"node\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:15:\"/history/%/read\";s:8:\"numParts\";i:3;}}}}\";s:10:\"image.info\";s:2089:\"C:31:\"Symfony\\Component\\Routing\\Route\":2043:{a:9:{s:4:\"path\";s:83:\"/quickedit/image/info/{entity_type}/{entity}/{field_name}/{langcode}/{view_mode_id}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:58:\"\\Drupal\\image\\Controller\\QuickEditImageController::getInfo\";}s:12:\"requirements\";a:3:{s:11:\"_permission\";s:23:\"access in-place editing\";s:30:\"_access_quickedit_entity_field\";s:4:\"TRUE\";s:7:\"_method\";s:3:\"GET\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:6:\"entity\";a:2:{s:4:\"type\";s:20:\"entity:{entity_type}\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:35:\"access_check.quickedit.entity_field\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":1130:{a:11:{s:4:\"vars\";a:5:{i:0;s:11:\"entity_type\";i:1;s:6:\"entity\";i:2;s:10:\"field_name\";i:3;s:8:\"langcode\";i:4;s:12:\"view_mode_id\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:140:\"#^/quickedit/image/info/(?P<entity_type>[^/]++)/(?P<entity>[^/]++)/(?P<field_name>[^/]++)/(?P<langcode>[^/]++)/(?P<view_mode_id>[^/]++)$#sDu\";s:11:\"path_tokens\";a:6:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"view_mode_id\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:10:\"field_name\";i:4;b:1;}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"entity\";i:4;b:1;}i:4;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"entity_type\";i:4;b:1;}i:5;a:2:{i:0;s:4:\"text\";i:1;s:21:\"/quickedit/image/info\";}}s:9:\"path_vars\";a:5:{i:0;s:11:\"entity_type\";i:1;s:6:\"entity\";i:2;s:10:\"field_name\";i:3;s:8:\"langcode\";i:4;s:12:\"view_mode_id\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:224;s:14:\"patternOutline\";s:31:\"/quickedit/image/info/%/%/%/%/%\";s:8:\"numParts\";i:8;}}}}\";s:19:\"image.style_private\";s:1393:\"C:31:\"Symfony\\Component\\Routing\\Route\":1347:{a:9:{s:4:\"path\";s:43:\"/system/files/styles/{image_style}/{scheme}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:62:\"\\Drupal\\image\\Controller\\ImageStyleDownloadController::deliver\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:11:\"image_style\";a:2:{s:4:\"type\";s:18:\"entity:image_style\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":657:{a:11:{s:4:\"vars\";a:2:{i:0;s:11:\"image_style\";i:1;s:6:\"scheme\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:70:\"#^/system/files/styles/(?P<image_style>[^/]++)/(?P<scheme>[^/]++)$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"scheme\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"image_style\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/system/files/styles\";}}s:9:\"path_vars\";a:2:{i:0;s:11:\"image_style\";i:1;s:6:\"scheme\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:28;s:14:\"patternOutline\";s:24:\"/system/files/styles/%/%\";s:8:\"numParts\";i:5;}}}}\";s:18:\"image.style_public\";s:1420:\"C:31:\"Symfony\\Component\\Routing\\Route\":1374:{a:9:{s:4:\"path\";s:50:\"/sites/default/files/styles/{image_style}/{scheme}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:61:\"Drupal\\image\\Controller\\ImageStyleDownloadController::deliver\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:11:\"image_style\";a:2:{s:4:\"type\";s:18:\"entity:image_style\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":678:{a:11:{s:4:\"vars\";a:2:{i:0;s:11:\"image_style\";i:1;s:6:\"scheme\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:77:\"#^/sites/default/files/styles/(?P<image_style>[^/]++)/(?P<scheme>[^/]++)$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"scheme\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"image_style\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:27:\"/sites/default/files/styles\";}}s:9:\"path_vars\";a:2:{i:0;s:11:\"image_style\";i:1;s:6:\"scheme\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:60;s:14:\"patternOutline\";s:31:\"/sites/default/files/styles/%/%\";s:8:\"numParts\";i:6;}}}}\";s:12:\"image.upload\";s:2097:\"C:31:\"Symfony\\Component\\Routing\\Route\":2051:{a:9:{s:4:\"path\";s:85:\"/quickedit/image/upload/{entity_type}/{entity}/{field_name}/{langcode}/{view_mode_id}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:57:\"\\Drupal\\image\\Controller\\QuickEditImageController::upload\";}s:12:\"requirements\";a:3:{s:11:\"_permission\";s:23:\"access in-place editing\";s:30:\"_access_quickedit_entity_field\";s:4:\"TRUE\";s:7:\"_method\";s:4:\"POST\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:6:\"entity\";a:2:{s:4:\"type\";s:20:\"entity:{entity_type}\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:35:\"access_check.quickedit.entity_field\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":1136:{a:11:{s:4:\"vars\";a:5:{i:0;s:11:\"entity_type\";i:1;s:6:\"entity\";i:2;s:10:\"field_name\";i:3;s:8:\"langcode\";i:4;s:12:\"view_mode_id\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:142:\"#^/quickedit/image/upload/(?P<entity_type>[^/]++)/(?P<entity>[^/]++)/(?P<field_name>[^/]++)/(?P<langcode>[^/]++)/(?P<view_mode_id>[^/]++)$#sDu\";s:11:\"path_tokens\";a:6:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"view_mode_id\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:10:\"field_name\";i:4;b:1;}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"entity\";i:4;b:1;}i:4;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"entity_type\";i:4;b:1;}i:5;a:2:{i:0;s:4:\"text\";i:1;s:23:\"/quickedit/image/upload\";}}s:9:\"path_vars\";a:5:{i:0;s:11:\"entity_type\";i:1;s:6:\"entity\";i:2;s:10:\"field_name\";i:3;s:8:\"langcode\";i:4;s:12:\"view_mode_id\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:224;s:14:\"patternOutline\";s:33:\"/quickedit/image/upload/%/%/%/%/%\";s:8:\"numParts\";i:8;}}}}\";s:8:\"node.add\";s:1330:\"C:31:\"Symfony\\Component\\Routing\\Route\":1284:{a:9:{s:4:\"path\";s:21:\"/node/add/{node_type}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:12:\"node.default\";s:15:\"_title_callback\";s:52:\"\\Drupal\\node\\Controller\\NodeController::addPageTitle\";}s:12:\"requirements\";a:1:{s:16:\"_node_add_access\";s:16:\"node:{node_type}\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:21:\"_node_operation_route\";b:1;s:10:\"parameters\";a:1:{s:9:\"node_type\";a:3:{s:4:\"type\";s:16:\"entity:node_type\";s:21:\"with_config_overrides\";b:1;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:21:\"access_check.node.add\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":473:{a:11:{s:4:\"vars\";a:1:{i:0;s:9:\"node_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:38:\"#^/node/add/(?P<node_type>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:9:\"/node/add\";}}s:9:\"path_vars\";a:1:{i:0;s:9:\"node_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:11:\"/node/add/%\";s:8:\"numParts\";i:3;}}}}\";s:13:\"node.add_page\";s:976:\"C:31:\"Symfony\\Component\\Routing\\Route\":931:{a:9:{s:4:\"path\";s:9:\"/node/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:6:\"_title\";s:11:\"Add content\";s:11:\"_controller\";s:47:\"\\Drupal\\node\\Controller\\NodeController::addPage\";}s:12:\"requirements\";a:1:{s:16:\"_node_add_access\";s:4:\"node\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:21:\"_node_operation_route\";b:1;s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:21:\"access_check.node.add\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":322:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:16:\"#^/node/add$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:9:\"/node/add\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:9:\"/node/add\";s:8:\"numParts\";i:2;}}}}\";s:28:\"node.revision_delete_confirm\";s:1452:\"C:31:\"Symfony\\Component\\Routing\\Route\":1406:{a:9:{s:4:\"path\";s:45:\"/node/{node}/revisions/{node_revision}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:40:\"\\Drupal\\node\\Form\\NodeRevisionDeleteForm\";s:6:\"_title\";s:23:\"Delete earlier revision\";}s:12:\"requirements\";a:2:{s:21:\"_access_node_revision\";s:6:\"delete\";s:4:\"node\";s:3:\"\\d+\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:21:\"_node_operation_route\";b:1;s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:26:\"access_check.node.revision\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":729:{a:11:{s:4:\"vars\";a:2:{i:0;s:4:\"node\";i:1;s:13:\"node_revision\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:69:\"#^/node/(?P<node>\\d+)/revisions/(?P<node_revision>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"node_revision\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/revisions\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"node\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:2:{i:0;s:4:\"node\";i:1;s:13:\"node_revision\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:21;s:14:\"patternOutline\";s:26:\"/node/%/revisions/%/delete\";s:8:\"numParts\";i:5;}}}}\";s:28:\"node.revision_revert_confirm\";s:1455:\"C:31:\"Symfony\\Component\\Routing\\Route\":1409:{a:9:{s:4:\"path\";s:45:\"/node/{node}/revisions/{node_revision}/revert\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:40:\"\\Drupal\\node\\Form\\NodeRevisionRevertForm\";s:6:\"_title\";s:26:\"Revert to earlier revision\";}s:12:\"requirements\";a:2:{s:21:\"_access_node_revision\";s:6:\"update\";s:4:\"node\";s:3:\"\\d+\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:21:\"_node_operation_route\";b:1;s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:26:\"access_check.node.revision\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":729:{a:11:{s:4:\"vars\";a:2:{i:0;s:4:\"node\";i:1;s:13:\"node_revision\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:69:\"#^/node/(?P<node>\\d+)/revisions/(?P<node_revision>[^/]++)/revert$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/revert\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"node_revision\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/revisions\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"node\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:2:{i:0;s:4:\"node\";i:1;s:13:\"node_revision\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:21;s:14:\"patternOutline\";s:26:\"/node/%/revisions/%/revert\";s:8:\"numParts\";i:5;}}}}\";s:40:\"node.revision_revert_translation_confirm\";s:1640:\"C:31:\"Symfony\\Component\\Routing\\Route\":1594:{a:9:{s:4:\"path\";s:56:\"/node/{node}/revisions/{node_revision}/revert/{langcode}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:51:\"\\Drupal\\node\\Form\\NodeRevisionRevertTranslationForm\";s:6:\"_title\";s:43:\"Revert to earlier revision of a translation\";}s:12:\"requirements\";a:2:{s:21:\"_access_node_revision\";s:6:\"update\";s:4:\"node\";s:3:\"\\d+\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:21:\"_node_operation_route\";b:1;s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:26:\"access_check.node.revision\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":875:{a:11:{s:4:\"vars\";a:3:{i:0;s:4:\"node\";i:1;s:13:\"node_revision\";i:2;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:90:\"#^/node/(?P<node>\\d+)/revisions/(?P<node_revision>[^/]++)/revert/(?P<langcode>[^/]++)$#sDu\";s:11:\"path_tokens\";a:6:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/revert\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"node_revision\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/revisions\";}i:4;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"node\";i:4;b:1;}i:5;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:3:{i:0;s:4:\"node\";i:1;s:13:\"node_revision\";i:2;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:42;s:14:\"patternOutline\";s:28:\"/node/%/revisions/%/revert/%\";s:8:\"numParts\";i:6;}}}}\";s:14:\"path.admin_add\";s:699:\"C:27:\"Drupal\\Core\\Routing\\BcRoute\":658:{a:9:{s:4:\"path\";s:1:\"/\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:0:{}s:12:\"requirements\";a:0:{}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:8:\"bc_route\";b:1;s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":297:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:8:\"#^/$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:1:\"/\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:1:\"/\";s:8:\"numParts\";i:1;}}}}\";s:15:\"path.admin_edit\";s:699:\"C:27:\"Drupal\\Core\\Routing\\BcRoute\":658:{a:9:{s:4:\"path\";s:1:\"/\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:0:{}s:12:\"requirements\";a:0:{}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:8:\"bc_route\";b:1;s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":297:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:8:\"#^/$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:1:\"/\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:1:\"/\";s:8:\"numParts\";i:1;}}}}\";s:19:\"path.admin_overview\";s:699:\"C:27:\"Drupal\\Core\\Routing\\BcRoute\":658:{a:9:{s:4:\"path\";s:1:\"/\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:0:{}s:12:\"requirements\";a:0:{}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:8:\"bc_route\";b:1;s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":297:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:8:\"#^/$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:1:\"/\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:1:\"/\";s:8:\"numParts\";i:1;}}}}\";s:26:\"path.admin_overview_filter\";s:699:\"C:27:\"Drupal\\Core\\Routing\\BcRoute\":658:{a:9:{s:4:\"path\";s:1:\"/\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:0:{}s:12:\"requirements\";a:0:{}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:8:\"bc_route\";b:1;s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":297:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:8:\"#^/$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:1:\"/\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:1:\"/\";s:8:\"numParts\";i:1;}}}}\";s:11:\"path.delete\";s:699:\"C:27:\"Drupal\\Core\\Routing\\BcRoute\":658:{a:9:{s:4:\"path\";s:1:\"/\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:0:{}s:12:\"requirements\";a:0:{}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:8:\"bc_route\";b:1;s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":297:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:8:\"#^/$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:1:\"/\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:1:\"/\";s:8:\"numParts\";i:1;}}}}\";s:21:\"quickedit.attachments\";s:962:\"C:31:\"Symfony\\Component\\Routing\\Route\":917:{a:9:{s:4:\"path\";s:22:\"/quickedit/attachments\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:50:\"\\Drupal\\quickedit\\QuickEditController::attachments\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:23:\"access in-place editing\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":363:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:29:\"#^/quickedit/attachments$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/quickedit/attachments\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:22:\"/quickedit/attachments\";s:8:\"numParts\";i:2;}}}}\";s:21:\"quickedit.entity_save\";s:1508:\"C:31:\"Symfony\\Component\\Routing\\Route\":1462:{a:9:{s:4:\"path\";s:40:\"/quickedit/entity/{entity_type}/{entity}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:49:\"\\Drupal\\quickedit\\QuickEditController::entitySave\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:23:\"access in-place editing\";s:14:\"_entity_access\";s:13:\"entity.update\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:6:\"entity\";a:2:{s:4:\"type\";s:20:\"entity:{entity_type}\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":648:{a:11:{s:4:\"vars\";a:2:{i:0;s:11:\"entity_type\";i:1;s:6:\"entity\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:67:\"#^/quickedit/entity/(?P<entity_type>[^/]++)/(?P<entity>[^/]++)$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"entity\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"entity_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/quickedit/entity\";}}s:9:\"path_vars\";a:2:{i:0;s:11:\"entity_type\";i:1;s:6:\"entity\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:12;s:14:\"patternOutline\";s:21:\"/quickedit/entity/%/%\";s:8:\"numParts\";i:4;}}}}\";s:20:\"quickedit.field_form\";s:2030:\"C:31:\"Symfony\\Component\\Routing\\Route\":1984:{a:9:{s:4:\"path\";s:77:\"/quickedit/form/{entity_type}/{entity}/{field_name}/{langcode}/{view_mode_id}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:48:\"\\Drupal\\quickedit\\QuickEditController::fieldForm\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:23:\"access in-place editing\";s:30:\"_access_quickedit_entity_field\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:6:\"entity\";a:2:{s:4:\"type\";s:20:\"entity:{entity_type}\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:35:\"access_check.quickedit.entity_field\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":1111:{a:11:{s:4:\"vars\";a:5:{i:0;s:11:\"entity_type\";i:1;s:6:\"entity\";i:2;s:10:\"field_name\";i:3;s:8:\"langcode\";i:4;s:12:\"view_mode_id\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:134:\"#^/quickedit/form/(?P<entity_type>[^/]++)/(?P<entity>[^/]++)/(?P<field_name>[^/]++)/(?P<langcode>[^/]++)/(?P<view_mode_id>[^/]++)$#sDu\";s:11:\"path_tokens\";a:6:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"view_mode_id\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:10:\"field_name\";i:4;b:1;}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"entity\";i:4;b:1;}i:4;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"entity_type\";i:4;b:1;}i:5;a:2:{i:0;s:4:\"text\";i:1;s:15:\"/quickedit/form\";}}s:9:\"path_vars\";a:5:{i:0;s:11:\"entity_type\";i:1;s:6:\"entity\";i:2;s:10:\"field_name\";i:3;s:8:\"langcode\";i:4;s:12:\"view_mode_id\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:96;s:14:\"patternOutline\";s:25:\"/quickedit/form/%/%/%/%/%\";s:8:\"numParts\";i:7;}}}}\";s:18:\"quickedit.metadata\";s:947:\"C:31:\"Symfony\\Component\\Routing\\Route\":902:{a:9:{s:4:\"path\";s:19:\"/quickedit/metadata\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:47:\"\\Drupal\\quickedit\\QuickEditController::metadata\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:23:\"access in-place editing\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":354:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:26:\"#^/quickedit/metadata$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:19:\"/quickedit/metadata\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:19:\"/quickedit/metadata\";s:8:\"numParts\";i:2;}}}}\";s:23:\"search.help_node_search\";s:1198:\"C:31:\"Symfony\\Component\\Routing\\Route\":1152:{a:9:{s:4:\"path\";s:17:\"/search/node/help\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:11:\"_controller\";s:53:\"Drupal\\search\\Controller\\SearchController::searchHelp\";s:6:\"_title\";s:11:\"Search help\";s:6:\"entity\";s:11:\"node_search\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:11:\"entity.view\";s:11:\"_permission\";s:14:\"search content\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:6:\"entity\";a:2:{s:4:\"type\";s:18:\"entity:search_page\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":348:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:24:\"#^/search/node/help$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/search/node/help\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:17:\"/search/node/help\";s:8:\"numParts\";i:3;}}}}\";s:23:\"search.help_user_search\";s:1198:\"C:31:\"Symfony\\Component\\Routing\\Route\":1152:{a:9:{s:4:\"path\";s:17:\"/search/user/help\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:11:\"_controller\";s:53:\"Drupal\\search\\Controller\\SearchController::searchHelp\";s:6:\"_title\";s:11:\"Search help\";s:6:\"entity\";s:11:\"user_search\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:11:\"entity.view\";s:11:\"_permission\";s:14:\"search content\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:6:\"entity\";a:2:{s:4:\"type\";s:18:\"entity:search_page\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":348:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:24:\"#^/search/user/help$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/search/user/help\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:17:\"/search/user/help\";s:8:\"numParts\";i:3;}}}}\";s:11:\"search.view\";s:1157:\"C:31:\"Symfony\\Component\\Routing\\Route\":1111:{a:9:{s:4:\"path\";s:7:\"/search\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:11:\"_controller\";s:61:\"Drupal\\search\\Controller\\SearchController::redirectSearchPage\";s:6:\"_title\";s:6:\"Search\";s:6:\"entity\";s:11:\"node_search\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:11:\"entity.view\";s:11:\"_permission\";s:14:\"search content\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:6:\"entity\";a:2:{s:4:\"type\";s:18:\"entity:search_page\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":316:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:14:\"#^/search$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/search\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:7:\"/search\";s:8:\"numParts\";i:1;}}}}\";s:23:\"search.view_node_search\";s:1166:\"C:31:\"Symfony\\Component\\Routing\\Route\":1120:{a:9:{s:4:\"path\";s:12:\"/search/node\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:11:\"_controller\";s:47:\"Drupal\\search\\Controller\\SearchController::view\";s:6:\"_title\";s:6:\"Search\";s:6:\"entity\";s:11:\"node_search\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:11:\"entity.view\";s:11:\"_permission\";s:14:\"search content\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:6:\"entity\";a:2:{s:4:\"type\";s:18:\"entity:search_page\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":333:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:19:\"#^/search/node$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:12:\"/search/node\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:12:\"/search/node\";s:8:\"numParts\";i:2;}}}}\";s:23:\"search.view_user_search\";s:1166:\"C:31:\"Symfony\\Component\\Routing\\Route\":1120:{a:9:{s:4:\"path\";s:12:\"/search/user\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:11:\"_controller\";s:47:\"Drupal\\search\\Controller\\SearchController::view\";s:6:\"_title\";s:6:\"Search\";s:6:\"entity\";s:11:\"user_search\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:11:\"entity.view\";s:11:\"_permission\";s:14:\"search content\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:6:\"entity\";a:2:{s:4:\"type\";s:18:\"entity:search_page\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":333:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:19:\"#^/search/user$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:12:\"/search/user\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:12:\"/search/user\";s:8:\"numParts\";i:2;}}}}\";s:19:\"shortcut.set_switch\";s:1308:\"C:31:\"Symfony\\Component\\Routing\\Route\":1262:{a:9:{s:4:\"path\";s:22:\"/user/{user}/shortcuts\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:39:\"\\Drupal\\shortcut\\Form\\SwitchShortcutSet\";s:6:\"_title\";s:9:\"Shortcuts\";}s:12:\"requirements\";a:1:{s:14:\"_custom_access\";s:52:\"\\Drupal\\shortcut\\Form\\SwitchShortcutSet::checkAccess\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"user\";s:3:\"\\d+\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:4:\"user\";a:2:{s:4:\"type\";s:11:\"entity:user\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.custom\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":508:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"user\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:39:\"#^/user/(?P<user>[^/]++)/shortcuts$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/shortcuts\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"user\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/user\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"user\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:17:\"/user/%/shortcuts\";s:8:\"numParts\";i:3;}}}}\";s:38:\"simplenews.newsletter_confirm_combined\";s:1516:\"C:31:\"Symfony\\Component\\Routing\\Route\":1470:{a:9:{s:4:\"path\";s:54:\"/newsletter/confirm/combined/{snid}/{timestamp}/{hash}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:69:\"\\Drupal\\simplenews\\Controller\\ConfirmationController::confirmCombined\";s:6:\"_title\";s:32:\"Confirm newsletter subscriptions\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"subscribe to newsletters\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:8:\"no_cache\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":792:{a:11:{s:4:\"vars\";a:3:{i:0;s:4:\"snid\";i:1;s:9:\"timestamp\";i:2;s:4:\"hash\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:91:\"#^/newsletter/confirm/combined/(?P<snid>[^/]++)/(?P<timestamp>[^/]++)/(?P<hash>[^/]++)$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"hash\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"timestamp\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"snid\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:28:\"/newsletter/confirm/combined\";}}s:9:\"path_vars\";a:3:{i:0;s:4:\"snid\";i:1;s:9:\"timestamp\";i:2;s:4:\"hash\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:56;s:14:\"patternOutline\";s:34:\"/newsletter/confirm/combined/%/%/%\";s:8:\"numParts\";i:6;}}}}\";s:48:\"simplenews.newsletter_confirm_combined_immediate\";s:1585:\"C:31:\"Symfony\\Component\\Routing\\Route\":1539:{a:9:{s:4:\"path\";s:57:\"/newsletter/confirm/combined/{snid}/{timestamp}/{hash}/ok\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:11:\"_controller\";s:69:\"\\Drupal\\simplenews\\Controller\\ConfirmationController::confirmCombined\";s:6:\"_title\";s:32:\"Confirm newsletter subscriptions\";s:9:\"immediate\";b:1;}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"subscribe to newsletters\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:8:\"no_cache\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":838:{a:11:{s:4:\"vars\";a:3:{i:0;s:4:\"snid\";i:1;s:9:\"timestamp\";i:2;s:4:\"hash\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:94:\"#^/newsletter/confirm/combined/(?P<snid>[^/]++)/(?P<timestamp>[^/]++)/(?P<hash>[^/]++)/ok$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:3:\"/ok\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"hash\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"timestamp\";i:4;b:1;}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"snid\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:28:\"/newsletter/confirm/combined\";}}s:9:\"path_vars\";a:3:{i:0;s:4:\"snid\";i:1;s:9:\"timestamp\";i:2;s:4:\"hash\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:113;s:14:\"patternOutline\";s:37:\"/newsletter/confirm/combined/%/%/%/ok\";s:8:\"numParts\";i:7;}}}}\";s:42:\"simplenews.newsletter_confirm_subscription\";s:1818:\"C:31:\"Symfony\\Component\\Routing\\Route\":1772:{a:9:{s:4:\"path\";s:70:\"/newsletter/confirm/{action}/{snid}/{newsletter_id}/{timestamp}/{hash}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:73:\"\\Drupal\\simplenews\\Controller\\ConfirmationController::confirmSubscription\";s:6:\"_title\";s:32:\"Confirm newsletter subscriptions\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"subscribe to newsletters\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:8:\"no_cache\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":1073:{a:11:{s:4:\"vars\";a:5:{i:0;s:6:\"action\";i:1;s:4:\"snid\";i:2;s:13:\"newsletter_id\";i:3;s:9:\"timestamp\";i:4;s:4:\"hash\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:127:\"#^/newsletter/confirm/(?P<action>[^/]++)/(?P<snid>[^/]++)/(?P<newsletter_id>[^/]++)/(?P<timestamp>[^/]++)/(?P<hash>[^/]++)$#sDu\";s:11:\"path_tokens\";a:6:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"hash\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"timestamp\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"newsletter_id\";i:4;b:1;}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"snid\";i:4;b:1;}i:4;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"action\";i:4;b:1;}i:5;a:2:{i:0;s:4:\"text\";i:1;s:19:\"/newsletter/confirm\";}}s:9:\"path_vars\";a:5:{i:0;s:6:\"action\";i:1;s:4:\"snid\";i:2;s:13:\"newsletter_id\";i:3;s:9:\"timestamp\";i:4;s:4:\"hash\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:96;s:14:\"patternOutline\";s:29:\"/newsletter/confirm/%/%/%/%/%\";s:8:\"numParts\";i:7;}}}}\";s:52:\"simplenews.newsletter_confirm_subscription_immediate\";s:1887:\"C:31:\"Symfony\\Component\\Routing\\Route\":1841:{a:9:{s:4:\"path\";s:73:\"/newsletter/confirm/{action}/{snid}/{newsletter_id}/{timestamp}/{hash}/ok\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:11:\"_controller\";s:73:\"\\Drupal\\simplenews\\Controller\\ConfirmationController::confirmSubscription\";s:6:\"_title\";s:32:\"Confirm newsletter subscriptions\";s:9:\"immediate\";b:1;}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"subscribe to newsletters\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:8:\"no_cache\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":1119:{a:11:{s:4:\"vars\";a:5:{i:0;s:6:\"action\";i:1;s:4:\"snid\";i:2;s:13:\"newsletter_id\";i:3;s:9:\"timestamp\";i:4;s:4:\"hash\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:130:\"#^/newsletter/confirm/(?P<action>[^/]++)/(?P<snid>[^/]++)/(?P<newsletter_id>[^/]++)/(?P<timestamp>[^/]++)/(?P<hash>[^/]++)/ok$#sDu\";s:11:\"path_tokens\";a:7:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:3:\"/ok\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"hash\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"timestamp\";i:4;b:1;}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"newsletter_id\";i:4;b:1;}i:4;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"snid\";i:4;b:1;}i:5;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"action\";i:4;b:1;}i:6;a:2:{i:0;s:4:\"text\";i:1;s:19:\"/newsletter/confirm\";}}s:9:\"path_vars\";a:5:{i:0;s:6:\"action\";i:1;s:4:\"snid\";i:2;s:13:\"newsletter_id\";i:3;s:9:\"timestamp\";i:4;s:4:\"hash\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:193;s:14:\"patternOutline\";s:32:\"/newsletter/confirm/%/%/%/%/%/ok\";s:8:\"numParts\";i:8;}}}}\";s:35:\"simplenews.newsletter_subscriptions\";s:1002:\"C:31:\"Symfony\\Component\\Routing\\Route\":957:{a:9:{s:4:\"path\";s:25:\"/newsletter/subscriptions\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:26:\"simplenews_subscriber.page\";s:6:\"_title\";s:29:\"Your newsletter subscriptions\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"subscribe to newsletters\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":372:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:32:\"#^/newsletter/subscriptions$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:25:\"/newsletter/subscriptions\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:25:\"/newsletter/subscriptions\";s:8:\"numParts\";i:2;}}}}\";s:45:\"simplenews.newsletter_subscriptions_arguments\";s:1440:\"C:31:\"Symfony\\Component\\Routing\\Route\":1394:{a:9:{s:4:\"path\";s:51:\"/newsletter/subscriptions/{snid}/{timestamp}/{hash}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:26:\"simplenews_subscriber.page\";s:6:\"_title\";s:29:\"Your newsletter subscriptions\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"subscribe to newsletters\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":783:{a:11:{s:4:\"vars\";a:3:{i:0;s:4:\"snid\";i:1;s:9:\"timestamp\";i:2;s:4:\"hash\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:88:\"#^/newsletter/subscriptions/(?P<snid>[^/]++)/(?P<timestamp>[^/]++)/(?P<hash>[^/]++)$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"hash\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"timestamp\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"snid\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:25:\"/newsletter/subscriptions\";}}s:9:\"path_vars\";a:3:{i:0;s:4:\"snid\";i:1;s:9:\"timestamp\";i:2;s:4:\"hash\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:24;s:14:\"patternOutline\";s:31:\"/newsletter/subscriptions/%/%/%\";s:8:\"numParts\";i:5;}}}}\";s:40:\"simplenews.newsletter_subscriptions_user\";s:1276:\"C:31:\"Symfony\\Component\\Routing\\Route\":1230:{a:9:{s:4:\"path\";s:23:\"/user/{user}/simplenews\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:29:\"simplenews_subscriber.account\";s:6:\"_title\";s:11:\"Newsletters\";}s:12:\"requirements\";a:1:{s:14:\"_custom_access\";s:60:\"Drupal\\simplenews\\Form\\SubscriptionsAccountForm::checkAccess\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"user\";a:2:{s:4:\"type\";s:11:\"entity:user\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.custom\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":511:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"user\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:40:\"#^/user/(?P<user>[^/]++)/simplenews$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/simplenews\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"user\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/user\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"user\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:18:\"/user/%/simplenews\";s:8:\"numParts\";i:3;}}}}\";s:19:\"simplenews.node_tab\";s:1303:\"C:31:\"Symfony\\Component\\Routing\\Route\":1257:{a:9:{s:4:\"path\";s:23:\"/node/{node}/simplenews\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:35:\"\\Drupal\\simplenews\\Form\\NodeTabForm\";s:6:\"_title\";s:10:\"Newsletter\";}s:12:\"requirements\";a:1:{s:14:\"_custom_access\";s:47:\"Drupal\\simplenews\\Form\\NodeTabForm::checkAccess\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:8:\"no_cache\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:4:\"node\";a:2:{s:4:\"type\";s:11:\"entity:node\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.custom\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":511:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"node\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:40:\"#^/node/(?P<node>[^/]++)/simplenews$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/simplenews\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"node\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"node\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:18:\"/node/%/simplenews\";s:8:\"numParts\";i:3;}}}}\";s:10:\"system.401\";s:922:\"C:31:\"Symfony\\Component\\Routing\\Route\":877:{a:9:{s:4:\"path\";s:11:\"/system/401\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:49:\"\\Drupal\\system\\Controller\\Http4xxController:on401\";s:6:\"_title\";s:12:\"Unauthorized\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":330:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:18:\"#^/system/401$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/system/401\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:11:\"/system/401\";s:8:\"numParts\";i:2;}}}}\";s:10:\"system.403\";s:923:\"C:31:\"Symfony\\Component\\Routing\\Route\":878:{a:9:{s:4:\"path\";s:11:\"/system/403\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:49:\"\\Drupal\\system\\Controller\\Http4xxController:on403\";s:6:\"_title\";s:13:\"Access denied\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":330:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:18:\"#^/system/403$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/system/403\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:11:\"/system/403\";s:8:\"numParts\";i:2;}}}}\";s:10:\"system.404\";s:924:\"C:31:\"Symfony\\Component\\Routing\\Route\":879:{a:9:{s:4:\"path\";s:11:\"/system/404\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:49:\"\\Drupal\\system\\Controller\\Http4xxController:on404\";s:6:\"_title\";s:14:\"Page not found\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":330:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:18:\"#^/system/404$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/system/404\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:11:\"/system/404\";s:8:\"numParts\";i:2;}}}}\";s:10:\"system.4xx\";s:922:\"C:31:\"Symfony\\Component\\Routing\\Route\":877:{a:9:{s:4:\"path\";s:11:\"/system/4xx\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:49:\"\\Drupal\\system\\Controller\\Http4xxController:on4xx\";s:6:\"_title\";s:12:\"Client error\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":330:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:18:\"#^/system/4xx$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/system/4xx\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:11:\"/system/4xx\";s:8:\"numParts\";i:2;}}}}\";s:22:\"system.batch_page.html\";s:1006:\"C:31:\"Symfony\\Component\\Routing\\Route\":961:{a:9:{s:4:\"path\";s:6:\"/batch\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:52:\"\\Drupal\\system\\Controller\\BatchController::batchPage\";s:15:\"_title_callback\";s:57:\"\\Drupal\\system\\Controller\\BatchController::batchPageTitle\";}s:12:\"requirements\";a:2:{s:7:\"_access\";s:4:\"TRUE\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":313:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:13:\"#^/batch$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:6:\"/batch\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:6:\"/batch\";s:8:\"numParts\";i:1;}}}}\";s:11:\"system.cron\";s:1009:\"C:31:\"Symfony\\Component\\Routing\\Route\":964:{a:9:{s:4:\"path\";s:11:\"/cron/{key}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:34:\"\\Drupal\\system\\CronController::run\";}s:12:\"requirements\";a:1:{s:19:\"_access_system_cron\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:8:\"no_cache\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:17:\"access_check.cron\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":436:{a:11:{s:4:\"vars\";a:1:{i:0;s:3:\"key\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:28:\"#^/cron/(?P<key>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:3:\"key\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/cron\";}}s:9:\"path_vars\";a:1:{i:0;s:3:\"key\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:2;s:14:\"patternOutline\";s:7:\"/cron/%\";s:8:\"numParts\";i:2;}}}}\";s:16:\"system.csrftoken\";s:908:\"C:31:\"Symfony\\Component\\Routing\\Route\":863:{a:9:{s:4:\"path\";s:14:\"/session/token\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:56:\"\\Drupal\\system\\Controller\\CsrfTokenController::csrfToken\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":339:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:21:\"#^/session/token$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/session/token\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:14:\"/session/token\";s:8:\"numParts\";i:2;}}}}\";s:16:\"system.db_update\";s:1041:\"C:31:\"Symfony\\Component\\Routing\\Route\":996:{a:9:{s:4:\"path\";s:16:\"/update.php/{op}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:2:\"op\";s:4:\"info\";}s:12:\"requirements\";a:1:{s:21:\"_access_system_update\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:19:\"default_url_options\";a:1:{s:15:\"path_processing\";b:0;}s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:22:\"access_check.db_update\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":456:{a:11:{s:4:\"vars\";a:1:{i:0;s:2:\"op\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:39:\"#^/update\\.php(?:/(?P<op>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:2:\"op\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/update.php\";}}s:9:\"path_vars\";a:1:{i:0;s:2:\"op\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:11:\"/update.php\";s:8:\"numParts\";i:2;}}}}\";s:26:\"system.entity_autocomplete\";s:1602:\"C:31:\"Symfony\\Component\\Routing\\Route\":1556:{a:9:{s:4:\"path\";s:89:\"/entity_reference_autocomplete/{target_type}/{selection_handler}/{selection_settings_key}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:74:\"\\Drupal\\system\\Controller\\EntityAutocompleteController::handleAutocomplete\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":939:{a:11:{s:4:\"vars\";a:3:{i:0;s:11:\"target_type\";i:1;s:17:\"selection_handler\";i:2;s:22:\"selection_settings_key\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:126:\"#^/entity_reference_autocomplete/(?P<target_type>[^/]++)/(?P<selection_handler>[^/]++)/(?P<selection_settings_key>[^/]++)$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:22:\"selection_settings_key\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:17:\"selection_handler\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"target_type\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:30:\"/entity_reference_autocomplete\";}}s:9:\"path_vars\";a:3:{i:0;s:11:\"target_type\";i:1;s:17:\"selection_handler\";i:2;s:22:\"selection_settings_key\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:8;s:14:\"patternOutline\";s:36:\"/entity_reference_autocomplete/%/%/%\";s:8:\"numParts\";i:4;}}}}\";s:12:\"system.files\";s:1073:\"C:31:\"Symfony\\Component\\Routing\\Route\":1027:{a:9:{s:4:\"path\";s:22:\"/system/files/{scheme}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:47:\"\\Drupal\\system\\FileDownloadController::download\";s:6:\"scheme\";s:7:\"private\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":477:{a:11:{s:4:\"vars\";a:1:{i:0;s:6:\"scheme\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:44:\"#^/system/files(?:/(?P<scheme>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"scheme\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/system/files\";}}s:9:\"path_vars\";a:1:{i:0;s:6:\"scheme\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:13:\"/system/files\";s:8:\"numParts\";i:3;}}}}\";s:33:\"system.machine_name_transliterate\";s:974:\"C:31:\"Symfony\\Component\\Routing\\Route\":929:{a:9:{s:4:\"path\";s:27:\"/machine_name/transliterate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:51:\"\\Drupal\\system\\MachineNameController::transliterate\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:14:\"access content\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":378:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:34:\"#^/machine_name/transliterate$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:27:\"/machine_name/transliterate\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:27:\"/machine_name/transliterate\";s:8:\"numParts\";i:2;}}}}\";s:28:\"system.private_file_download\";s:1069:\"C:31:\"Symfony\\Component\\Routing\\Route\":1023:{a:9:{s:4:\"path\";s:24:\"/system/files/{filepath}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:47:\"\\Drupal\\system\\FileDownloadController::download\";}s:12:\"requirements\";a:2:{s:8:\"filepath\";s:2:\".+\";s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":474:{a:11:{s:4:\"vars\";a:1:{i:0;s:8:\"filepath\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:37:\"#^/system/files/(?P<filepath>.+)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:2:\".+\";i:3;s:8:\"filepath\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/system/files\";}}s:9:\"path_vars\";a:1:{i:0;s:8:\"filepath\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:15:\"/system/files/%\";s:8:\"numParts\";i:3;}}}}\";s:16:\"system.temporary\";s:940:\"C:31:\"Symfony\\Component\\Routing\\Route\":895:{a:9:{s:4:\"path\";s:17:\"/system/temporary\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:47:\"\\Drupal\\system\\FileDownloadController::download\";s:6:\"scheme\";s:9:\"temporary\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":348:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:24:\"#^/system/temporary$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/system/temporary\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:17:\"/system/temporary\";s:8:\"numParts\";i:2;}}}}\";s:15:\"system.timezone\";s:1568:\"C:31:\"Symfony\\Component\\Routing\\Route\":1522:{a:9:{s:4:\"path\";s:66:\"/system/timezone/{abbreviation}/{offset}/{is_daylight_saving_time}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:11:\"_controller\";s:57:\"\\Drupal\\system\\Controller\\TimezoneController::getTimezone\";s:12:\"abbreviation\";s:0:\"\";s:6:\"offset\";i:-1;s:23:\"is_daylight_saving_time\";N;}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":867:{a:11:{s:4:\"vars\";a:3:{i:0;s:12:\"abbreviation\";i:1;s:6:\"offset\";i:2;s:23:\"is_daylight_saving_time\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:118:\"#^/system/timezone(?:/(?P<abbreviation>[^/]++)(?:/(?P<offset>[^/]++)(?:/(?P<is_daylight_saving_time>[^/]++))?)?)?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:23:\"is_daylight_saving_time\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"offset\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"abbreviation\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:16:\"/system/timezone\";}}s:9:\"path_vars\";a:3:{i:0;s:12:\"abbreviation\";i:1;s:6:\"offset\";i:2;s:23:\"is_daylight_saving_time\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:16:\"/system/timezone\";s:8:\"numParts\";i:5;}}}}\";s:18:\"token.autocomplete\";s:1257:\"C:31:\"Symfony\\Component\\Routing\\Route\":1211:{a:9:{s:4:\"path\";s:41:\"/token/autocomplete/{token_type}/{filter}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:66:\"\\Drupal\\token\\Controller\\TokenAutocompleteController::autocomplete\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":650:{a:11:{s:4:\"vars\";a:2:{i:0;s:10:\"token_type\";i:1;s:6:\"filter\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:68:\"#^/token/autocomplete/(?P<token_type>[^/]++)/(?P<filter>[^/]++)$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"filter\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:10:\"token_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:19:\"/token/autocomplete\";}}s:9:\"path_vars\";a:2:{i:0;s:10:\"token_type\";i:1;s:6:\"filter\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:12;s:14:\"patternOutline\";s:23:\"/token/autocomplete/%/%\";s:8:\"numParts\";i:4;}}}}\";s:10:\"token.tree\";s:898:\"C:31:\"Symfony\\Component\\Routing\\Route\":853:{a:9:{s:4:\"path\";s:11:\"/token/tree\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:56:\"\\Drupal\\token\\Controller\\TokenTreeController::outputTree\";}s:12:\"requirements\";a:1:{s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":330:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:18:\"#^/token/tree$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/token/tree\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:11:\"/token/tree\";s:8:\"numParts\";i:2;}}}}\";s:16:\"toolbar.subtrees\";s:1128:\"C:31:\"Symfony\\Component\\Routing\\Route\":1082:{a:9:{s:4:\"path\";s:24:\"/toolbar/subtrees/{hash}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:58:\"\\Drupal\\toolbar\\Controller\\ToolbarController::subtreesAjax\";}s:12:\"requirements\";a:1:{s:14:\"_custom_access\";s:64:\"\\Drupal\\toolbar\\Controller\\ToolbarController::checkSubTreeAccess\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.custom\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":478:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"hash\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:41:\"#^/toolbar/subtrees/(?P<hash>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"hash\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/toolbar/subtrees\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"hash\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:19:\"/toolbar/subtrees/%\";s:8:\"numParts\";i:3;}}}}\";s:19:\"user.cancel_confirm\";s:1688:\"C:31:\"Symfony\\Component\\Routing\\Route\":1642:{a:9:{s:4:\"path\";s:53:\"/user/{user}/cancel/confirm/{timestamp}/{hashed_pass}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:6:\"_title\";s:28:\"Confirm account cancellation\";s:11:\"_controller\";s:53:\"\\Drupal\\user\\Controller\\UserController::confirmCancel\";s:9:\"timestamp\";i:0;s:11:\"hashed_pass\";s:0:\"\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:11:\"user.delete\";s:4:\"user\";s:3:\"\\d+\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:4:\"user\";a:2:{s:4:\"type\";s:11:\"entity:user\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":835:{a:11:{s:4:\"vars\";a:3:{i:0;s:4:\"user\";i:1;s:9:\"timestamp\";i:2;s:11:\"hashed_pass\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:97:\"#^/user/(?P<user>\\d+)/cancel/confirm(?:/(?P<timestamp>[^/]++)(?:/(?P<hashed_pass>[^/]++))?)?$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"hashed_pass\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"timestamp\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:15:\"/cancel/confirm\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"user\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/user\";}}s:9:\"path_vars\";a:3:{i:0;s:4:\"user\";i:1;s:9:\"timestamp\";i:2;s:11:\"hashed_pass\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:11;s:14:\"patternOutline\";s:22:\"/user/%/cancel/confirm\";s:8:\"numParts\";i:6;}}}}\";s:10:\"user.login\";s:944:\"C:31:\"Symfony\\Component\\Routing\\Route\":899:{a:9:{s:4:\"path\";s:11:\"/user/login\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:31:\"\\Drupal\\user\\Form\\UserLoginForm\";s:6:\"_title\";s:6:\"Log in\";}s:12:\"requirements\";a:1:{s:18:\"_user_is_logged_in\";s:5:\"FALSE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:19:\"_maintenance_access\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"access_check.user.login_status\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":330:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:18:\"#^/user/login$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/user/login\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:11:\"/user/login\";s:8:\"numParts\";i:2;}}}}\";s:11:\"user.logout\";s:912:\"C:31:\"Symfony\\Component\\Routing\\Route\":867:{a:9:{s:4:\"path\";s:12:\"/user/logout\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:46:\"\\Drupal\\user\\Controller\\UserController::logout\";}s:12:\"requirements\";a:1:{s:18:\"_user_is_logged_in\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"access_check.user.login_status\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":333:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:19:\"#^/user/logout$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:12:\"/user/logout\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:12:\"/user/logout\";s:8:\"numParts\";i:2;}}}}\";s:9:\"user.page\";s:914:\"C:31:\"Symfony\\Component\\Routing\\Route\":869:{a:9:{s:4:\"path\";s:5:\"/user\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:48:\"\\Drupal\\user\\Controller\\UserController::userPage\";s:6:\"_title\";s:10:\"My account\";}s:12:\"requirements\";a:1:{s:18:\"_user_is_logged_in\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"access_check.user.login_status\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":310:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:12:\"#^/user$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/user\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:5:\"/user\";s:8:\"numParts\";i:1;}}}}\";s:9:\"user.pass\";s:950:\"C:31:\"Symfony\\Component\\Routing\\Route\":905:{a:9:{s:4:\"path\";s:14:\"/user/password\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:34:\"\\Drupal\\user\\Form\\UserPasswordForm\";s:6:\"_title\";s:19:\"Reset your password\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:19:\"_maintenance_access\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":339:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:21:\"#^/user/password$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/user/password\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:14:\"/user/password\";s:8:\"numParts\";i:2;}}}}\";s:13:\"user.register\";s:926:\"C:31:\"Symfony\\Component\\Routing\\Route\":881:{a:9:{s:4:\"path\";s:14:\"/user/register\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:13:\"user.register\";s:6:\"_title\";s:18:\"Create new account\";}s:12:\"requirements\";a:1:{s:21:\"_access_user_register\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:26:\"access_check.user.register\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":339:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:21:\"#^/user/register$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/user/register\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:14:\"/user/register\";s:8:\"numParts\";i:2;}}}}\";s:10:\"user.reset\";s:1407:\"C:31:\"Symfony\\Component\\Routing\\Route\":1361:{a:9:{s:4:\"path\";s:36:\"/user/reset/{uid}/{timestamp}/{hash}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:49:\"\\Drupal\\user\\Controller\\UserController::resetPass\";s:6:\"_title\";s:14:\"Reset password\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:19:\"_maintenance_access\";b:1;s:8:\"no_cache\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":737:{a:11:{s:4:\"vars\";a:3:{i:0;s:3:\"uid\";i:1;s:9:\"timestamp\";i:2;s:4:\"hash\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:73:\"#^/user/reset/(?P<uid>[^/]++)/(?P<timestamp>[^/]++)/(?P<hash>[^/]++)$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"hash\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"timestamp\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:3:\"uid\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/user/reset\";}}s:9:\"path_vars\";a:3:{i:0;s:3:\"uid\";i:1;s:9:\"timestamp\";i:2;s:4:\"hash\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:24;s:14:\"patternOutline\";s:17:\"/user/reset/%/%/%\";s:8:\"numParts\";i:5;}}}}\";s:15:\"user.reset.form\";s:1137:\"C:31:\"Symfony\\Component\\Routing\\Route\":1091:{a:9:{s:4:\"path\";s:17:\"/user/reset/{uid}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:56:\"\\Drupal\\user\\Controller\\UserController::getResetPassForm\";s:6:\"_title\";s:14:\"Reset password\";}s:12:\"requirements\";a:1:{s:18:\"_user_is_logged_in\";s:5:\"FALSE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:19:\"_maintenance_access\";b:1;s:8:\"no_cache\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"access_check.user.login_status\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":456:{a:11:{s:4:\"vars\";a:1:{i:0;s:3:\"uid\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:34:\"#^/user/reset/(?P<uid>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:3:\"uid\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/user/reset\";}}s:9:\"path_vars\";a:1:{i:0;s:3:\"uid\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:13:\"/user/reset/%\";s:8:\"numParts\";i:3;}}}}\";s:16:\"user.reset.login\";s:1495:\"C:31:\"Symfony\\Component\\Routing\\Route\":1449:{a:9:{s:4:\"path\";s:42:\"/user/reset/{uid}/{timestamp}/{hash}/login\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:54:\"\\Drupal\\user\\Controller\\UserController::resetPassLogin\";s:6:\"_title\";s:14:\"Reset password\";}s:12:\"requirements\";a:1:{s:18:\"_user_is_logged_in\";s:5:\"FALSE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:19:\"_maintenance_access\";b:1;s:8:\"no_cache\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"access_check.user.login_status\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":791:{a:11:{s:4:\"vars\";a:3:{i:0;s:3:\"uid\";i:1;s:9:\"timestamp\";i:2;s:4:\"hash\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:79:\"#^/user/reset/(?P<uid>[^/]++)/(?P<timestamp>[^/]++)/(?P<hash>[^/]++)/login$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:6:\"/login\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"hash\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"timestamp\";i:4;b:1;}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:3:\"uid\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/user/reset\";}}s:9:\"path_vars\";a:3:{i:0;s:3:\"uid\";i:1;s:9:\"timestamp\";i:2;s:4:\"hash\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:49;s:14:\"patternOutline\";s:23:\"/user/reset/%/%/%/login\";s:8:\"numParts\";i:6;}}}}\";s:31:\"user.well-known.change_password\";s:985:\"C:31:\"Symfony\\Component\\Routing\\Route\":940:{a:9:{s:4:\"path\";s:28:\"/.well-known/change-password\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:52:\"\\Drupal\\user\\Controller\\UserController::userEditPage\";}s:12:\"requirements\";a:1:{s:18:\"_user_is_logged_in\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"access_check.user.login_status\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":384:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:38:\"#^/\\.well\\-known/change\\-password$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:28:\"/.well-known/change-password\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:28:\"/.well-known/change-password\";s:8:\"numParts\";i:2;}}}}\";s:21:\"view.blog_page.page_1\";s:1261:\"C:31:\"Symfony\\Component\\Routing\\Route\":1215:{a:9:{s:4:\"path\";s:5:\"/blog\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:9:\"Blog page\";s:7:\"view_id\";s:9:\"blog_page\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:8:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":310:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:12:\"#^/blog$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/blog\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:5:\"/blog\";s:8:\"numParts\";i:1;}}}}\";s:21:\"view.blog_page.page_2\";s:1300:\"C:31:\"Symfony\\Component\\Routing\\Route\":1254:{a:9:{s:4:\"path\";s:13:\"/blog_default\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:12:\"Blog default\";s:7:\"view_id\";s:9:\"blog_page\";s:10:\"display_id\";s:6:\"page_2\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:8:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":336:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:20:\"#^/blog_default$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/blog_default\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:13:\"/blog_default\";s:8:\"numParts\";i:1;}}}}\";s:21:\"view.frontpage.feed_1\";s:1240:\"C:31:\"Symfony\\Component\\Routing\\Route\":1194:{a:9:{s:4:\"path\";s:8:\"/rss.xml\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:0:\"\";s:7:\"view_id\";s:9:\"frontpage\";s:10:\"display_id\";s:6:\"feed_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:14:\"access content\";}s:7:\"options\";a:8:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"feed\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Feed\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":320:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:16:\"#^/rss\\.xml$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/rss.xml\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:8:\"/rss.xml\";s:8:\"numParts\";i:1;}}}}\";s:21:\"view.frontpage.page_1\";s:1252:\"C:31:\"Symfony\\Component\\Routing\\Route\":1206:{a:9:{s:4:\"path\";s:5:\"/node\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:0:\"\";s:7:\"view_id\";s:9:\"frontpage\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:8:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":310:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:12:\"#^/node$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:5:\"/node\";s:8:\"numParts\";i:1;}}}}\";s:21:\"view.portfolio.page_1\";s:1284:\"C:31:\"Symfony\\Component\\Routing\\Route\":1238:{a:9:{s:4:\"path\";s:10:\"/portfolio\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:9:\"Portfolio\";s:7:\"view_id\";s:9:\"portfolio\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:8:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":327:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:17:\"#^/portfolio$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/portfolio\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:10:\"/portfolio\";s:8:\"numParts\";i:1;}}}}\";s:21:\"view.portfolio.page_2\";s:1308:\"C:31:\"Symfony\\Component\\Routing\\Route\":1262:{a:9:{s:4:\"path\";s:16:\"/portfolio_4_col\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:9:\"Portfolio\";s:7:\"view_id\";s:9:\"portfolio\";s:10:\"display_id\";s:6:\"page_2\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:8:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":345:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:23:\"#^/portfolio_4_col$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:16:\"/portfolio_4_col\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:16:\"/portfolio_4_col\";s:8:\"numParts\";i:1;}}}}\";s:21:\"view.portfolio.page_3\";s:1316:\"C:31:\"Symfony\\Component\\Routing\\Route\":1270:{a:9:{s:4:\"path\";s:18:\"/portfolio_masonry\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:9:\"Portfolio\";s:7:\"view_id\";s:9:\"portfolio\";s:10:\"display_id\";s:6:\"page_3\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:8:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":351:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:25:\"#^/portfolio_masonry$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/portfolio_masonry\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:18:\"/portfolio_masonry\";s:8:\"numParts\";i:1;}}}}\";s:25:\"view.taxonomy_term.feed_1\";s:1494:\"C:31:\"Symfony\\Component\\Routing\\Route\":1448:{a:9:{s:4:\"path\";s:27:\"/taxonomy/term/{arg_0}/feed\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:0:\"\";s:7:\"view_id\";s:13:\"taxonomy_term\";s:10:\"display_id\";s:6:\"feed_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:14:\"access content\";}s:7:\"options\";a:8:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:1:{s:5:\"arg_0\";s:5:\"arg_0\";}s:23:\"_view_display_plugin_id\";s:4:\"feed\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Feed\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":525:{a:11:{s:4:\"vars\";a:1:{i:0;s:5:\"arg_0\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:44:\"#^/taxonomy/term/(?P<arg_0>[^/]++)/feed$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/feed\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:5:\"arg_0\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/taxonomy/term\";}}s:9:\"path_vars\";a:1:{i:0;s:5:\"arg_0\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:13;s:14:\"patternOutline\";s:21:\"/taxonomy/term/%/feed\";s:8:\"numParts\";i:4;}}}}\";s:25:\"view.taxonomy_term.page_1\";s:1462:\"C:31:\"Symfony\\Component\\Routing\\Route\":1416:{a:9:{s:4:\"path\";s:22:\"/taxonomy/term/{arg_0}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:0:\"\";s:7:\"view_id\";s:13:\"taxonomy_term\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:8:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:1:{s:5:\"arg_0\";s:5:\"arg_0\";}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":473:{a:11:{s:4:\"vars\";a:1:{i:0;s:5:\"arg_0\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:39:\"#^/taxonomy/term/(?P<arg_0>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:5:\"arg_0\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/taxonomy/term\";}}s:9:\"path_vars\";a:1:{i:0;s:5:\"arg_0\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:16:\"/taxonomy/term/%\";s:8:\"numParts\";i:3;}}}}\";s:10:\"views.ajax\";s:893:\"C:31:\"Symfony\\Component\\Routing\\Route\":848:{a:9:{s:4:\"path\";s:11:\"/views/ajax\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:53:\"\\Drupal\\views\\Controller\\ViewAjaxController::ajaxView\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":330:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:18:\"#^/views/ajax$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/views/ajax\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:11:\"/views/ajax\";s:8:\"numParts\";i:2;}}}}\";s:20:\"we_megamenu.geticons\";s:1008:\"C:31:\"Symfony\\Component\\Routing\\Route\":963:{a:9:{s:4:\"path\";s:24:\"/we-mega-menu/ajax/icons\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:66:\"\\Drupal\\we_megamenu\\Controller\\WeMegaMenuAdminController::getIcons\";s:6:\"_title\";s:9:\"Get Icons\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:14:\"access content\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":371:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:33:\"#^/we\\-mega\\-menu/ajax/icons$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:24:\"/we-mega-menu/ajax/icons\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:24:\"/we-mega-menu/ajax/icons\";s:8:\"numParts\";i:3;}}}}\";s:23:\"we_megamenu.renderblock\";s:1015:\"C:31:\"Symfony\\Component\\Routing\\Route\":970:{a:9:{s:4:\"path\";s:24:\"/we-mega-menu/ajax/block\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:69:\"\\Drupal\\we_megamenu\\Controller\\WeMegaMenuAdminController::renderBlock\";s:6:\"_title\";s:12:\"Render Block\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:14:\"access content\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":371:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:33:\"#^/we\\-mega\\-menu/ajax/block$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:24:\"/we-mega-menu/ajax/block\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:24:\"/we-mega-menu/ajax/block\";s:8:\"numParts\";i:3;}}}}\";}',-1,1636711552.087,1,'routes','58'),('route_provider.route_load:12dcffaf7f7bba6bf0aac27e84dbb2fcacf4a422d54d0369b7bb49b2369d3bf37057563edf748c9a2590f1064577dbef10382deaaaf20686f1f11cc1dc9798b5','a:1:{s:26:\"simplenews.newsletter_list\";s:1033:\"C:31:\"Symfony\\Component\\Routing\\Route\":988:{a:9:{s:4:\"path\";s:33:\"/admin/config/services/simplenews\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_list\";s:21:\"simplenews_newsletter\";s:6:\"_title\";s:10:\"Simplenews\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:22:\"administer newsletters\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":397:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:40:\"#^/admin/config/services/simplenews$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:33:\"/admin/config/services/simplenews\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:33:\"/admin/config/services/simplenews\";s:8:\"numParts\";i:4;}}}}\";}',-1,1636012248.914,1,'routes','58'),('route_provider.route_load:16038f06c16047fcb4ba5b0edcf7c4567002cd58970c521943444a3188f19d1719a70213a95b59f35ff059e2784df16859a38347ee2ec454d9cb56dedf02b2c6','a:1:{s:23:\"colorbox.admin_settings\";s:1040:\"C:31:\"Symfony\\Component\\Routing\\Route\":995:{a:9:{s:4:\"path\";s:28:\"/admin/config/media/colorbox\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:42:\"\\Drupal\\colorbox\\Form\\ColorboxSettingsForm\";s:6:\"_title\";s:17:\"Colorbox settings\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:29:\"administer site configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":382:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:35:\"#^/admin/config/media/colorbox$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:28:\"/admin/config/media/colorbox\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:28:\"/admin/config/media/colorbox\";s:8:\"numParts\";i:4;}}}}\";}',-1,1636012248.827,1,'routes','58'),('route_provider.route_load:181a4280098eb5a5cdb7dfea5adc4174a9e9dad29efcf0abe1d5f648573a9b0bb131a18bde74a2388b9e315ad3c54aa797bab32e08f22c7aa9f73179cbd37444','a:1:{s:38:\"entity.field_storage_config.collection\";s:985:\"C:31:\"Symfony\\Component\\Routing\\Route\":940:{a:9:{s:4:\"path\";s:21:\"/admin/reports/fields\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_list\";s:20:\"field_storage_config\";s:6:\"_title\";s:10:\"Field list\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"administer content types\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":360:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:28:\"#^/admin/reports/fields$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:21:\"/admin/reports/fields\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:21:\"/admin/reports/fields\";s:8:\"numParts\";i:3;}}}}\";}',-1,1636012248.973,1,'routes','58'),('route_provider.route_load:19f5f1150001800b8f3110f02c9b374bf6d09f7903b21c8f79d5f037a32c8f3ed8aeaf29ce4fbad9fc62b06b40b2024996acfb091e07f9743c9a08a97669f5f1','a:1:{s:23:\"entity.menu.delete_form\";s:1352:\"C:31:\"Symfony\\Component\\Routing\\Route\":1306:{a:9:{s:4:\"path\";s:42:\"/admin/structure/menu/manage/{menu}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:11:\"menu.delete\";s:6:\"_title\";s:11:\"Delete menu\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:11:\"menu.delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:4:\"menu\";a:2:{s:4:\"type\";s:11:\"entity:menu\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":569:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"menu\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:59:\"#^/admin/structure/menu/manage/(?P<menu>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"menu\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:28:\"/admin/structure/menu/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"menu\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:37:\"/admin/structure/menu/manage/%/delete\";s:8:\"numParts\";i:6;}}}}\";}',-1,1636012249.260,1,'routes','58'),('route_provider.route_load:1c8078974cd5972a5aa82a5f5dce400244cc75a8c3c0c26a46558110c9a41ace74f068aaa665e494124597044b45951db9220af13a7fe6c4d2b445504a10328d','a:1:{s:39:\"system.prepare_modules_entity_uninstall\";s:1300:\"C:31:\"Symfony\\Component\\Routing\\Route\":1254:{a:9:{s:4:\"path\";s:48:\"/admin/modules/uninstall/entity/{entity_type_id}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:53:\"\\Drupal\\system\\Form\\PrepareModulesEntityUninstallForm\";s:15:\"_title_callback\";s:64:\"\\Drupal\\system\\Form\\PrepareModulesEntityUninstallForm::formTitle\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:18:\"administer modules\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":564:{a:11:{s:4:\"vars\";a:1:{i:0;s:14:\"entity_type_id\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:65:\"#^/admin/modules/uninstall/entity/(?P<entity_type_id>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"entity_type_id\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/modules/uninstall/entity\";}}s:9:\"path_vars\";a:1:{i:0;s:14:\"entity_type_id\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:30;s:14:\"patternOutline\";s:33:\"/admin/modules/uninstall/entity/%\";s:8:\"numParts\";i:5;}}}}\";}',-1,1636012337.920,1,'routes','58'),('route_provider.route_load:1c80ba0dada29b8ff22dfbec58a38a07901b407736e213e688da39cb0ae999ab2559651e553c9e018a8b00e4a5bccf9d89e6bccafc22e5d3e4e5c1738b15e583','a:1:{s:20:\"system.admin_content\";s:1300:\"C:31:\"Symfony\\Component\\Routing\\Route\":1254:{a:9:{s:4:\"path\";s:14:\"/admin/content\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:7:\"Content\";s:7:\"view_id\";s:7:\"content\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:0;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:23:\"access content overview\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:9:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:0;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":339:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:21:\"#^/admin/content$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/admin/content\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:14:\"/admin/content\";s:8:\"numParts\";i:2;}}}}\";}',-1,1636012249.150,1,'routes','58'),('route_provider.route_load:1d9642b11da3476b8d581eeab95676df8bca724e5f918f096a53b038a55ec5d833f871a3376e728867ba7e7b8267a2eb1431a76b8986076a2624d8be1c4f9c2c','a:1:{s:27:\"we_megamenu.admin.configure\";s:1313:\"C:31:\"Symfony\\Component\\Routing\\Route\":1267:{a:9:{s:4:\"path\";s:48:\"/admin/structure/we-mega-menu/{menu_name}/config\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:6:\"_title\";s:25:\"Config Drupal 8 Mega Menu\";s:11:\"_controller\";s:74:\"\\Drupal\\we_megamenu\\Controller\\WeMegaMenuAdminController::configWeMegaMenu\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:22:\"administer we_megamenu\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":594:{a:11:{s:4:\"vars\";a:1:{i:0;s:9:\"menu_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:67:\"#^/admin/structure/we\\-mega\\-menu/(?P<menu_name>[^/]++)/config$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/config\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"menu_name\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/we-mega-menu\";}}s:9:\"path_vars\";a:1:{i:0;s:9:\"menu_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:29;s:14:\"patternOutline\";s:38:\"/admin/structure/we-mega-menu/%/config\";s:8:\"numParts\";i:5;}}}}\";}',-1,1636012255.039,1,'routes','58'),('route_provider.route_load:1db58a20a2d8ea6f38594c78e9ea91556129fce992268b7cd88a064794c6c6b2ec2a9273eaa633930660be67a26ba049b3989d7a9e58179d8ade2fced0a3613b','a:1:{s:10:\"system.php\";s:1006:\"C:31:\"Symfony\\Component\\Routing\\Route\":961:{a:9:{s:4:\"path\";s:25:\"/admin/reports/status/php\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:51:\"\\Drupal\\system\\Controller\\SystemInfoController::php\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:29:\"administer site configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:0;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":373:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:32:\"#^/admin/reports/status/php$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:25:\"/admin/reports/status/php\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:25:\"/admin/reports/status/php\";s:8:\"numParts\";i:4;}}}}\";}',-1,1637057228.976,1,'routes','58'),('route_provider.route_load:1e7d9216434fa36f540ecd51220c80b2f2dccfb51c47d35136a2ab2ec3bb956470a453a5220e8605b5f51b8754fe5db83634e9d8e04425929381df576f8edf47','a:1:{s:26:\"admin_toolbar_tools.plugin\";s:1086:\"C:31:\"Symfony\\Component\\Routing\\Route\":1040:{a:9:{s:4:\"path\";s:19:\"/admin/flush/plugin\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:70:\"\\Drupal\\admin_toolbar_tools\\Controller\\ToolbarController::flushPlugins\";s:6:\"_title\";s:6:\"Plugin\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:29:\"administer site configuration\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":354:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:26:\"#^/admin/flush/plugin$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:19:\"/admin/flush/plugin\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:19:\"/admin/flush/plugin\";s:8:\"numParts\";i:3;}}}}\";}',-1,1636012248.526,1,'routes','58'),('route_provider.route_load:20093672eaea074d811c8f384de202d0d1cc0cd2f7080cb784f8362b82bfc3f9f50c4bd0fe092ba6d2e44220a33b3bf6e1c5468f71424d7d4e718f5e7bd1f7f0','a:1:{s:30:\"admin_toolbar_tools.flush_twig\";s:1073:\"C:31:\"Symfony\\Component\\Routing\\Route\":1027:{a:9:{s:4:\"path\";s:17:\"/admin/flush/twig\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:67:\"\\Drupal\\admin_toolbar_tools\\Controller\\ToolbarController::flushTwig\";s:6:\"_title\";s:4:\"Twig\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:29:\"administer site configuration\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":348:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:24:\"#^/admin/flush/twig$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/admin/flush/twig\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:17:\"/admin/flush/twig\";s:8:\"numParts\";i:3;}}}}\";}',-1,1636012248.543,1,'routes','58'),('route_provider.route_load:2031d7c7b40c270a19ee5ad9bd1c965f53668fd842b767b14705401e02606522d58823f8278c1610bf88a439fae38fcbef85922663c45794f12ac761dac022ba','a:1:{s:33:\"admin_toolbar_tools.theme_rebuild\";s:1122:\"C:31:\"Symfony\\Component\\Routing\\Route\":1076:{a:9:{s:4:\"path\";s:26:\"/admin/flush/theme_rebuild\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:70:\"\\Drupal\\admin_toolbar_tools\\Controller\\ToolbarController::themeRebuild\";s:6:\"_title\";s:13:\"Theme Rebuild\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:29:\"administer site configuration\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":375:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:33:\"#^/admin/flush/theme_rebuild$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/flush/theme_rebuild\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:26:\"/admin/flush/theme_rebuild\";s:8:\"numParts\";i:3;}}}}\";}',-1,1636012248.555,1,'routes','58'),('route_provider.route_load:211fa57fa4e757d42bd031e7834299b07a2626c4dc3fdcedfb675cbbf83aa7ccbca2601d918332415497a99134e16ea625a5a6eb7de616584d2143282b05b4d6','a:1:{s:22:\"entity.block.edit_form\";s:1306:\"C:31:\"Symfony\\Component\\Routing\\Route\":1260:{a:9:{s:4:\"path\";s:37:\"/admin/structure/block/manage/{block}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:13:\"block.default\";s:6:\"_title\";s:15:\"Configure block\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:12:\"block.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:5:\"block\";a:2:{s:4:\"type\";s:12:\"entity:block\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":519:{a:11:{s:4:\"vars\";a:1:{i:0;s:5:\"block\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:54:\"#^/admin/structure/block/manage/(?P<block>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:5:\"block\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/block/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:5:\"block\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:30;s:14:\"patternOutline\";s:31:\"/admin/structure/block/manage/%\";s:8:\"numParts\";i:5;}}}}\";}',-1,1636012254.666,1,'routes','58'),('route_provider.route_load:2538eaa1715d47c67748c6844b68f463892f9ae7592f8d22e7118fce775981a93dd8962534876d91faeb28d74f2e674e823f87dbe28065fb89ae0fcb7603cc74','a:1:{s:37:\"entity.block_content_type.delete_form\";s:1603:\"C:31:\"Symfony\\Component\\Routing\\Route\":1557:{a:9:{s:4:\"path\";s:71:\"/admin/structure/block/block-content/manage/{block_content_type}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:25:\"block_content_type.delete\";s:15:\"_title_callback\";s:60:\"\\Drupal\\Core\\Entity\\Controller\\EntityController::deleteTitle\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:25:\"block_content_type.delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:18:\"block_content_type\";a:2:{s:4:\"type\";s:25:\"entity:block_content_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":675:{a:11:{s:4:\"vars\";a:1:{i:0;s:18:\"block_content_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:89:\"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/block/block-content/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:18:\"block_content_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:52:\"/admin/structure/block/block-content/manage/%/delete\";s:8:\"numParts\";i:7;}}}}\";}',-1,1636011228.179,1,'routes','57'),('route_provider.route_load:2636b6b9903245c10e0b298515a2735e891b48beceb7b24ff1cc48b77dbaf3f6b20cfb807306e8e7d9737b87e3649dbcbb99bc8241be7648583eef4da14f16ff','a:1:{s:29:\"entity.date_format.collection\";s:1038:\"C:31:\"Symfony\\Component\\Routing\\Route\":993:{a:9:{s:4:\"path\";s:32:\"/admin/config/regional/date-time\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_list\";s:11:\"date_format\";s:6:\"_title\";s:21:\"Date and time formats\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:29:\"administer site configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":395:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:40:\"#^/admin/config/regional/date\\-time$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/config/regional/date-time\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:32:\"/admin/config/regional/date-time\";s:8:\"numParts\";i:4;}}}}\";}',-1,1636012248.869,1,'routes','58'),('route_provider.route_load:29c8ab2503922999d524f2b5f8eb0a90d28e9b1cd6cfcda0b9c42988095f9d461c20a209eb6d313867fc5691888ccaa9f8101a62c497379765c17284f367f36f','a:1:{s:36:\"entity.taxonomy_vocabulary.edit_form\";s:1501:\"C:31:\"Symfony\\Component\\Routing\\Route\":1455:{a:9:{s:4:\"path\";s:54:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:27:\"taxonomy_vocabulary.default\";s:15:\"_title_callback\";s:58:\"\\Drupal\\Core\\Entity\\Controller\\EntityController::editTitle\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:26:\"taxonomy_vocabulary.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:19:\"taxonomy_vocabulary\";a:2:{s:4:\"type\";s:26:\"entity:taxonomy_vocabulary\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":587:{a:11:{s:4:\"vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:71:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:30;s:14:\"patternOutline\";s:34:\"/admin/structure/taxonomy/manage/%\";s:8:\"numParts\";i:5;}}}}\";}',-1,1636012249.267,1,'routes','58'),('route_provider.route_load:2b6db72e6126b5e693daa2578cc1bec7e019ed3bd1002f67f7aee9452f6cc13e68a7b33f1feb9a4ded7823f4d190707066eebc2698a865ed95a47e498ad26a76','a:4:{s:55:\"config_translation.item.overview.entity.user.admin_form\";s:1113:\"C:31:\"Symfony\\Component\\Routing\\Route\":1067:{a:9:{s:4:\"path\";s:39:\"/admin/config/people/accounts/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:22:\"entity.user.admin_form\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":415:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:46:\"#^/admin/config/people/accounts/translate$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:39:\"/admin/config/people/accounts/translate\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:39:\"/admin/config/people/accounts/translate\";s:8:\"numParts\";i:5;}}}}\";s:39:\"entity.entity_form_display.user.default\";s:1196:\"C:31:\"Symfony\\Component\\Routing\\Route\":1150:{a:9:{s:4:\"path\";s:42:\"/admin/config/people/accounts/form-display\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:12:\"_entity_form\";s:24:\"entity_form_display.edit\";s:6:\"_title\";s:19:\"Manage form display\";s:14:\"form_mode_name\";s:7:\"default\";s:14:\"entity_type_id\";s:4:\"user\";s:6:\"bundle\";s:4:\"user\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_form_mode_access\";s:28:\"administer user form display\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.form_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":425:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:50:\"#^/admin/config/people/accounts/form\\-display$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/config/people/accounts/form-display\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:42:\"/admin/config/people/accounts/form-display\";s:8:\"numParts\";i:5;}}}}\";s:39:\"entity.entity_view_display.user.default\";s:1165:\"C:31:\"Symfony\\Component\\Routing\\Route\":1119:{a:9:{s:4:\"path\";s:37:\"/admin/config/people/accounts/display\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:12:\"_entity_form\";s:24:\"entity_view_display.edit\";s:6:\"_title\";s:14:\"Manage display\";s:14:\"view_mode_name\";s:7:\"default\";s:14:\"entity_type_id\";s:4:\"user\";s:6:\"bundle\";s:4:\"user\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_view_mode_access\";s:23:\"administer user display\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.view_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":409:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:44:\"#^/admin/config/people/accounts/display$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/config/people/accounts/display\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:37:\"/admin/config/people/accounts/display\";s:8:\"numParts\";i:5;}}}}\";s:27:\"entity.user.field_ui_fields\";s:1137:\"C:31:\"Symfony\\Component\\Routing\\Route\":1091:{a:9:{s:4:\"path\";s:36:\"/admin/config/people/accounts/fields\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:11:\"_controller\";s:62:\"\\Drupal\\field_ui\\Controller\\FieldConfigListController::listing\";s:6:\"_title\";s:13:\"Manage fields\";s:14:\"entity_type_id\";s:4:\"user\";s:6:\"bundle\";s:4:\"user\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:22:\"administer user fields\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":406:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:43:\"#^/admin/config/people/accounts/fields$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:36:\"/admin/config/people/accounts/fields\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:36:\"/admin/config/people/accounts/fields\";s:8:\"numParts\";i:5;}}}}\";}',-1,1637057237.398,1,'routes','58'),('route_provider.route_load:2c668e41bb26e393c9c4a2f53a40c287b5873c5c2eb7e7f8fa8de24123c35a2e8e9d70dd30439835b9556a80b213eb8b89dc2f75cb96f337dfaf1f90184b3102','a:1:{s:36:\"entity.block_content.field_ui_fields\";s:1643:\"C:31:\"Symfony\\Component\\Routing\\Route\":1597:{a:9:{s:4:\"path\";s:71:\"/admin/structure/block/block-content/manage/{block_content_type}/fields\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:11:\"_controller\";s:62:\"\\Drupal\\field_ui\\Controller\\FieldConfigListController::listing\";s:6:\"_title\";s:13:\"Manage fields\";s:14:\"entity_type_id\";s:13:\"block_content\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:31:\"administer block_content fields\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:18:\"block_content_type\";a:2:{s:4:\"type\";s:25:\"entity:block_content_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":675:{a:11:{s:4:\"vars\";a:1:{i:0;s:18:\"block_content_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:89:\"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/fields$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/block/block-content/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:18:\"block_content_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:52:\"/admin/structure/block/block-content/manage/%/fields\";s:8:\"numParts\";i:7;}}}}\";}',-1,1636011228.177,1,'routes','57'),('route_provider.route_load:2d2bb59c5f094e4340b86339196162dc5570754b2ccb1ff05d9b6fe62e38b38cebeb45024da7550787011f24691eec72e5ee0814b31ec5b0a4fe66dc5d499266','a:1:{s:22:\"entity.user.admin_form\";s:1031:\"C:31:\"Symfony\\Component\\Routing\\Route\":986:{a:9:{s:4:\"path\";s:29:\"/admin/config/people/accounts\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:32:\"\\Drupal\\user\\AccountSettingsForm\";s:6:\"_title\";s:16:\"Account settings\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"administer account settings\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":385:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:36:\"#^/admin/config/people/accounts$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/config/people/accounts\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:29:\"/admin/config/people/accounts\";s:8:\"numParts\";i:4;}}}}\";}',-1,1636012248.746,1,'routes','58'),('route_provider.route_load:2da644d6a730b86dbb541c71f2d80d7b00a821fe68e4e473224e2b02b49576a31d45ec7bcba749c37a6650a5dfc32d5ef42ccceefb371fd883dc5551f4a6e1ba','a:1:{s:39:\"entity.entity_view_display.user.default\";s:1165:\"C:31:\"Symfony\\Component\\Routing\\Route\":1119:{a:9:{s:4:\"path\";s:37:\"/admin/config/people/accounts/display\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:12:\"_entity_form\";s:24:\"entity_view_display.edit\";s:6:\"_title\";s:14:\"Manage display\";s:14:\"view_mode_name\";s:7:\"default\";s:14:\"entity_type_id\";s:4:\"user\";s:6:\"bundle\";s:4:\"user\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_view_mode_access\";s:23:\"administer user display\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.view_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":409:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:44:\"#^/admin/config/people/accounts/display$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/config/people/accounts/display\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:37:\"/admin/config/people/accounts/display\";s:8:\"numParts\";i:5;}}}}\";}',-1,1636012249.317,1,'routes','58'),('route_provider.route_load:3066469d934a36ee7910b1a137deadb94dc53c925fe6e457811290e88d0059af1f841b228d1369b2ce772aeb8858b64b5a8eecc72fea6290e957ea32f19492b2','a:1:{s:39:\"entity.entity_view_display.node.default\";s:1527:\"C:31:\"Symfony\\Component\\Routing\\Route\":1481:{a:9:{s:4:\"path\";s:49:\"/admin/structure/types/manage/{node_type}/display\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:12:\"_entity_form\";s:24:\"entity_view_display.edit\";s:6:\"_title\";s:14:\"Manage display\";s:14:\"view_mode_name\";s:7:\"default\";s:14:\"entity_type_id\";s:4:\"node\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_view_mode_access\";s:23:\"administer node display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:9:\"node_type\";a:2:{s:4:\"type\";s:16:\"entity:node_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.view_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":595:{a:11:{s:4:\"vars\";a:1:{i:0;s:9:\"node_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:66:\"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/display$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/display\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/types/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:9:\"node_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:39:\"/admin/structure/types/manage/%/display\";s:8:\"numParts\";i:6;}}}}\";}',-1,1636012249.218,1,'routes','58'),('route_provider.route_load:31abc56ad89f69ac3bae9b992bce41b47a1a24adcc5d4bd1b11782b454ec097b7bbdd7628fe7377603400f9cf12e0b574426992cd24c916ec8b68c6cfe5c6c6f','a:1:{s:29:\"entity.view.edit_display_form\";s:1550:\"C:31:\"Symfony\\Component\\Routing\\Route\":1504:{a:9:{s:4:\"path\";s:52:\"/admin/structure/views/view/{view}/edit/{display_id}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:51:\"\\Drupal\\views_ui\\Controller\\ViewsUIController::edit\";s:10:\"display_id\";N;}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:11:\"view.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"view\";a:3:{s:9:\"tempstore\";b:1;s:4:\"type\";s:11:\"entity:view\";s:9:\"converter\";s:53:\"drupal.proxy_original_service.paramconverter.views_ui\";}}s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":720:{a:11:{s:4:\"vars\";a:2:{i:0;s:4:\"view\";i:1;s:10:\"display_id\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:84:\"#^/admin/structure/views/view/(?P<view>[^/]++)/edit(?:/(?P<display_id>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:10:\"display_id\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"view\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:27:\"/admin/structure/views/view\";}}s:9:\"path_vars\";a:2:{i:0;s:4:\"view\";i:1;s:10:\"display_id\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:34:\"/admin/structure/views/view/%/edit\";s:8:\"numParts\";i:7;}}}}\";}',-1,1636012255.068,1,'routes','58'),('route_provider.route_load:31d0301c28578117d2f266d9933fe5b23af572ac8c7bc2202aef110abe0795a05488cf9fa1e49c6e6e5dd3643d2949219dd351d1c7045696738f5b8343af6eb2','a:1:{s:19:\"update.theme_update\";s:1074:\"C:31:\"Symfony\\Component\\Routing\\Route\":1028:{a:9:{s:4:\"path\";s:19:\"/admin/theme/update\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:39:\"\\Drupal\\update\\Form\\UpdateManagerUpdate\";s:6:\"_title\";s:6:\"Update\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:27:\"administer software updates\";s:22:\"_access_update_manager\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:34:\"access_check.update.manager_access\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":354:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:26:\"#^/admin/theme/update$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:19:\"/admin/theme/update\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:19:\"/admin/theme/update\";s:8:\"numParts\";i:3;}}}}\";}',-1,1636012248.716,1,'routes','58'),('route_provider.route_load:322c7ca28a855d3991709816364b866ad6448befdcd18725eb3e51b43eb1cf41bfd2aca093ef97b458d1405e1f2080989333b571d0bd46cbe4698be1567bbb16','a:0:{}',-1,1636011228.197,1,'routes','57'),('route_provider.route_load:347acad42dddd23413926f1f35ef7ce963bfa94ef20f4e24f15b8c154ce9ebb5ee2844acad682d73bb230c232521fdc1f1a20ccfa88a4b1f00db0508b0d8ca4d','a:1:{s:30:\"entity.filter_format.edit_form\";s:1454:\"C:31:\"Symfony\\Component\\Routing\\Route\":1408:{a:9:{s:4:\"path\";s:52:\"/admin/config/content/formats/manage/{filter_format}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:18:\"filter_format.edit\";s:15:\"_title_callback\";s:52:\"\\Drupal\\filter\\Controller\\FilterController::getLabel\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:20:\"filter_format.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:13:\"filter_format\";a:2:{s:4:\"type\";s:20:\"entity:filter_format\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":575:{a:11:{s:4:\"vars\";a:1:{i:0;s:13:\"filter_format\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:69:\"#^/admin/config/content/formats/manage/(?P<filter_format>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"filter_format\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:36:\"/admin/config/content/formats/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"filter_format\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:62;s:14:\"patternOutline\";s:38:\"/admin/config/content/formats/manage/%\";s:8:\"numParts\";i:6;}}}}\";}',-1,1636012332.116,1,'routes','58'),('route_provider.route_load:34a859e3b870b48fd36bfe4966f4638e00c1dd37fdb4b08ad487e9a7ae45cd6dd1c0f09f735e1bb1fa16c5aa76f98008f6e69332aa3182ff963b9575407a4d6e','a:1:{s:34:\"entity.shortcut_set.customize_form\";s:1509:\"C:31:\"Symfony\\Component\\Routing\\Route\":1463:{a:9:{s:4:\"path\";s:69:\"/admin/config/user-interface/shortcut/manage/{shortcut_set}/customize\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:22:\"shortcut_set.customize\";s:6:\"_title\";s:10:\"List links\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:19:\"shortcut_set.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"shortcut_set\";a:2:{s:4:\"type\";s:19:\"entity:shortcut_set\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":664:{a:11:{s:4:\"vars\";a:1:{i:0;s:12:\"shortcut_set\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:87:\"#^/admin/config/user\\-interface/shortcut/manage/(?P<shortcut_set>[^/]++)/customize$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/customize\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"shortcut_set\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:44:\"/admin/config/user-interface/shortcut/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"shortcut_set\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:56:\"/admin/config/user-interface/shortcut/manage/%/customize\";s:8:\"numParts\";i:7;}}}}\";}',-1,1636012251.373,1,'routes','58'),('route_provider.route_load:358ba17ff68d8ffaa9fff07e2ac3913301734678cea26cdcbc1363f7a7b4fb8facaf1af5ab2c291fec9193bd56145e4fde56a3245f6789ce9070516792ffd094','a:1:{s:17:\"user.admin_create\";s:963:\"C:31:\"Symfony\\Component\\Routing\\Route\":918:{a:9:{s:4:\"path\";s:20:\"/admin/people/create\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:13:\"user.register\";s:6:\"_title\";s:8:\"Add user\";}s:12:\"requirements\";a:1:{s:21:\"_entity_create_access\";s:4:\"user\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:26:\"access_check.entity_create\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":357:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:27:\"#^/admin/people/create$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/admin/people/create\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:20:\"/admin/people/create\";s:8:\"numParts\";i:3;}}}}\";}',-1,1636012248.926,1,'routes','58'),('route_provider.route_load:35c683b339e4320321e5d69dc706cc978ab94786bcb590a3bdc4518961cbba02185534f78f3df77e9cd70686d8ad0997dde1341e8a53bee146ae6de6978065e8','a:1:{s:21:\"entity.view.edit_form\";s:1301:\"C:31:\"Symfony\\Component\\Routing\\Route\":1255:{a:9:{s:4:\"path\";s:34:\"/admin/structure/views/view/{view}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:51:\"\\Drupal\\views_ui\\Controller\\ViewsUIController::edit\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:11:\"view.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"view\";a:3:{s:9:\"tempstore\";b:1;s:4:\"type\";s:11:\"entity:view\";s:9:\"converter\";s:53:\"drupal.proxy_original_service.paramconverter.views_ui\";}}s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":509:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"view\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:51:\"#^/admin/structure/views/view/(?P<view>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"view\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:27:\"/admin/structure/views/view\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"view\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:30;s:14:\"patternOutline\";s:29:\"/admin/structure/views/view/%\";s:8:\"numParts\";i:5;}}}}\";}',-1,1636012255.060,1,'routes','58'),('route_provider.route_load:36486b8553b76d11469794c34c11a914a9e7dfacd9cb54b4b8a8bd3b4e2e5ecfd227650eb24edd6357cbbfb8734a2d3733077a1aa7bbe00a13f108a55310d8ac','a:1:{s:19:\"block.admin_display\";s:1016:\"C:31:\"Symfony\\Component\\Routing\\Route\":971:{a:9:{s:4:\"path\";s:22:\"/admin/structure/block\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:53:\"\\Drupal\\block\\Controller\\BlockListController::listing\";s:6:\"_title\";s:12:\"Block layout\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:17:\"administer blocks\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":363:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:29:\"#^/admin/structure/block$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/admin/structure/block\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:22:\"/admin/structure/block\";s:8:\"numParts\";i:3;}}}}\";}',-1,1636012248.582,1,'routes','58'),('route_provider.route_load:36622415135060601778602f3db7a0e4ef3372778f93a81ea3122bf532818ca577555eef0d09de9e830213a9af2cb020d3993aa117d154a0e32efd8f583b3649','a:1:{s:24:\"views_ui.reports_plugins\";s:1049:\"C:31:\"Symfony\\Component\\Routing\\Route\":1003:{a:9:{s:4:\"path\";s:28:\"/admin/reports/views-plugins\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:60:\"\\Drupal\\views_ui\\Controller\\ViewsUIController::reportPlugins\";s:6:\"_title\";s:13:\"Views plugins\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:16:\"administer views\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":382:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:36:\"#^/admin/reports/views\\-plugins$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:28:\"/admin/reports/views-plugins\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:28:\"/admin/reports/views-plugins\";s:8:\"numParts\";i:3;}}}}\";}',-1,1636012248.997,1,'routes','58'),('route_provider.route_load:37365ae2cf04a26cba48f99c8230864d4030bb46f67226f7a0947a3abacee5122a9f602d27ecab1b1e6c30fc3e26b84fb0730a9cb721ba88207080b9efc1142d','a:1:{s:13:\"comment.admin\";s:1338:\"C:31:\"Symfony\\Component\\Routing\\Route\":1292:{a:9:{s:4:\"path\";s:22:\"/admin/content/comment\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:8:\"Comments\";s:7:\"view_id\";s:7:\"comment\";s:10:\"display_id\";s:14:\"page_published\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:19:\"administer comments\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:9:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":363:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:29:\"#^/admin/content/comment$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/admin/content/comment\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:22:\"/admin/content/comment\";s:8:\"numParts\";i:3;}}}}\";}',-1,1636012248.570,1,'routes','58'),('route_provider.route_load:38986078c2937595795e22968c7b5818ffb2e8985f5f669417199bec394737272ef07ff7205d990f9026c86819dfc0452d29a8f111bd7cd030b5f234ff223a54','a:0:{}',-1,1636012249.657,1,'routes','58'),('route_provider.route_load:38f201a01e1c27127e9ae984a67a806e342f847e9fc61d018a15bd9b35f1069c2fa30ab84ea3a28b23851b4b9c42ae78b70a1e78a7df04e7f53875b2cb703375','a:1:{s:25:\"entity.menu.add_link_form\";s:1410:\"C:31:\"Symfony\\Component\\Routing\\Route\":1364:{a:9:{s:4:\"path\";s:39:\"/admin/structure/menu/manage/{menu}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:60:\"\\Drupal\\menu_link_content\\Controller\\MenuController::addLink\";s:6:\"_title\";s:13:\"Add menu link\";}s:12:\"requirements\";a:1:{s:21:\"_entity_create_access\";s:17:\"menu_link_content\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:4:\"menu\";a:2:{s:4:\"type\";s:11:\"entity:menu\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:26:\"access_check.entity_create\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":560:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"menu\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:56:\"#^/admin/structure/menu/manage/(?P<menu>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"menu\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:28:\"/admin/structure/menu/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"menu\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:34:\"/admin/structure/menu/manage/%/add\";s:8:\"numParts\";i:6;}}}}\";}',-1,1636012249.253,1,'routes','58'),('route_provider.route_load:3943690bb13799120b60dcb0a96f70489be033cd775b94da446ad3032f9f16263a9cca859a49e0fc07c99238b4c4de6692d68b2150593a85c3da12fded6fab4f','a:1:{s:18:\"config.export_full\";s:1106:\"C:31:\"Symfony\\Component\\Routing\\Route\":1060:{a:9:{s:4:\"path\";s:51:\"/admin/config/development/configuration/full/export\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:36:\"\\Drupal\\config\\Form\\ConfigExportForm\";s:6:\"_title\";s:6:\"Export\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:20:\"export configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":451:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:58:\"#^/admin/config/development/configuration/full/export$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:51:\"/admin/config/development/configuration/full/export\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:63;s:14:\"patternOutline\";s:51:\"/admin/config/development/configuration/full/export\";s:8:\"numParts\";i:6;}}}}\";}',-1,1636012249.329,1,'routes','58'),('route_provider.route_load:3a46d102cdce859d3dcd5f6af6a53e27218fdb1c39be258679680cc4162c2677d7965d88fc79f8958252e24b07e25c69ff9fd335dd371d1117c9e806e5abac98','a:1:{s:26:\"entity.node_type.edit_form\";s:1397:\"C:31:\"Symfony\\Component\\Routing\\Route\":1351:{a:9:{s:4:\"path\";s:41:\"/admin/structure/types/manage/{node_type}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:14:\"node_type.edit\";s:15:\"_title_callback\";s:54:\"\\Drupal\\Core\\Entity\\Controller\\EntityController::title\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"administer content types\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:9:\"node_type\";a:2:{s:4:\"type\";s:16:\"entity:node_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":535:{a:11:{s:4:\"vars\";a:1:{i:0;s:9:\"node_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:58:\"#^/admin/structure/types/manage/(?P<node_type>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/types/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:9:\"node_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:30;s:14:\"patternOutline\";s:31:\"/admin/structure/types/manage/%\";s:8:\"numParts\";i:5;}}}}\";}',-1,1636012248.642,1,'routes','58'),('route_provider.route_load:3ae3fb4379fae4d4d5521d6819c54536ae2b76e0860b6fc7c8b355e69d37081648d55237e0724e163fd42309effd9a08a614566e0f724016ff282d25d56ecbb2','a:1:{s:9:\"help.main\";s:968:\"C:31:\"Symfony\\Component\\Routing\\Route\":923:{a:9:{s:4:\"path\";s:11:\"/admin/help\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:48:\"\\Drupal\\help\\Controller\\HelpController::helpMain\";s:6:\"_title\";s:4:\"Help\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"access administration pages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":330:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:18:\"#^/admin/help$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/admin/help\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:11:\"/admin/help\";s:8:\"numParts\";i:2;}}}}\";}',-1,1636012249.367,1,'routes','58'),('route_provider.route_load:3da89771af91c1c701d8bb6a6ad4f6aef1f1fbefc063d1a8e3e22e0768b194dbf440ebbbdd125639565d5eea135b29b4e6d6cadeb0b8acba8b6956912ef5c324','a:1:{s:37:\"admin_toolbar_tools.flush_rendercache\";s:1112:\"C:31:\"Symfony\\Component\\Routing\\Route\":1066:{a:9:{s:4:\"path\";s:24:\"/admin/flush/rendercache\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:69:\"\\Drupal\\admin_toolbar_tools\\Controller\\ToolbarController::cacheRender\";s:6:\"_title\";s:12:\"Render cache\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:29:\"administer site configuration\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":369:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:31:\"#^/admin/flush/rendercache$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:24:\"/admin/flush/rendercache\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:24:\"/admin/flush/rendercache\";s:8:\"numParts\";i:3;}}}}\";}',-1,1636012248.531,1,'routes','58'),('route_provider.route_load:3e2ae82f639695d57269db43abe24be5f33a396d63d22954a4cafcbcb74c80fe5cd94d068bacd09b0d84c17e828243d6e930ed4c9a3d2efb599ec256ed77b56d','a:1:{s:30:\"language.content_settings_page\";s:1083:\"C:31:\"Symfony\\Component\\Routing\\Route\":1037:{a:9:{s:4:\"path\";s:39:\"/admin/config/regional/content-language\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:6:\"_title\";s:16:\"Content language\";s:5:\"_form\";s:49:\"\\Drupal\\language\\Form\\ContentLanguageSettingsForm\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:20:\"administer languages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":416:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:47:\"#^/admin/config/regional/content\\-language$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:39:\"/admin/config/regional/content-language\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:39:\"/admin/config/regional/content-language\";s:8:\"numParts\";i:4;}}}}\";}',-1,1636012248.879,1,'routes','58'),('route_provider.route_load:3f509ba65fc3fd285fef315a268d79e7422756092cea4e8573dce35edd095e02c480cb7ac59ea568fcb990313eff852b172062ce4f4d60f8c52dc306d9490acd','a:0:{}',-1,1636012249.668,1,'routes','58'),('route_provider.route_load:4114d7f0e8d1f71713ac678720d0e0df0eefcea04ec94db3c3186e0cc663f20d233e77e3d61eb869dcfa8e3a336a04caabf7422210c20c4b5d8cfe60edb76d9d','a:1:{s:40:\"entity.taxonomy_vocabulary.overview_form\";s:1594:\"C:31:\"Symfony\\Component\\Routing\\Route\":1548:{a:9:{s:4:\"path\";s:63:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:15:\"_title_callback\";s:62:\"Drupal\\taxonomy\\Controller\\TaxonomyController::vocabularyTitle\";s:5:\"_form\";s:34:\"Drupal\\taxonomy\\Form\\OverviewTerms\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:44:\"taxonomy_vocabulary.access taxonomy overview\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:10:\"parameters\";a:1:{s:19:\"taxonomy_vocabulary\";a:2:{s:4:\"type\";s:26:\"entity:taxonomy_vocabulary\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":650:{a:11:{s:4:\"vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:80:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:9:\"/overview\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:43:\"/admin/structure/taxonomy/manage/%/overview\";s:8:\"numParts\";i:6;}}}}\";}',-1,1636012248.689,1,'routes','58'),('route_provider.route_load:45795c93d67988ad39c1037d8424582e448615b50198034bea6bdb0cc489e726bee930c73cc27f03215c13c54ad765ce1708b274b5019fc386d102cbee3459ed','a:1:{s:25:\"system.rss_feeds_settings\";s:1065:\"C:31:\"Symfony\\Component\\Routing\\Route\":1019:{a:9:{s:4:\"path\";s:37:\"/admin/config/services/rss-publishing\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:32:\"\\Drupal\\system\\Form\\RssFeedsForm\";s:6:\"_title\";s:14:\"RSS publishing\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:29:\"administer site configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":410:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:45:\"#^/admin/config/services/rss\\-publishing$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/config/services/rss-publishing\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:37:\"/admin/config/services/rss-publishing\";s:8:\"numParts\";i:4;}}}}\";}',-1,1636012248.902,1,'routes','58'),('route_provider.route_load:4632218a43c6fc181408a49c38fc99e6d3b38007dcf50ff196021e9e4ac1af750827cdf2abf5f57a427e08c24d8ca88563ca0e4f864bc34c21de07ebc4f61051','a:1:{s:48:\"entity.entity_view_display.block_content.default\";s:1671:\"C:31:\"Symfony\\Component\\Routing\\Route\":1625:{a:9:{s:4:\"path\";s:72:\"/admin/structure/block/block-content/manage/{block_content_type}/display\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:12:\"_entity_form\";s:24:\"entity_view_display.edit\";s:6:\"_title\";s:14:\"Manage display\";s:14:\"view_mode_name\";s:7:\"default\";s:14:\"entity_type_id\";s:13:\"block_content\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_view_mode_access\";s:32:\"administer block_content display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:18:\"block_content_type\";a:2:{s:4:\"type\";s:25:\"entity:block_content_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.view_mode\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":678:{a:11:{s:4:\"vars\";a:1:{i:0;s:18:\"block_content_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:90:\"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/display$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/display\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/block/block-content/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:18:\"block_content_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:53:\"/admin/structure/block/block-content/manage/%/display\";s:8:\"numParts\";i:7;}}}}\";}',-1,1636011228.178,1,'routes','57'),('route_provider.route_load:4bd6d7c3c91b18002dfdcd8a2581ce0e1864053126f0a6bb27d3cb6c4a7768d68aef534f0d3bd55f8b247325c528208f25a9671310d6c36cad51f8bb3df5e3ae','a:1:{s:27:\"entity.user.field_ui_fields\";s:1137:\"C:31:\"Symfony\\Component\\Routing\\Route\":1091:{a:9:{s:4:\"path\";s:36:\"/admin/config/people/accounts/fields\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:11:\"_controller\";s:62:\"\\Drupal\\field_ui\\Controller\\FieldConfigListController::listing\";s:6:\"_title\";s:13:\"Manage fields\";s:14:\"entity_type_id\";s:4:\"user\";s:6:\"bundle\";s:4:\"user\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:22:\"administer user fields\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":406:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:43:\"#^/admin/config/people/accounts/fields$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:36:\"/admin/config/people/accounts/fields\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:36:\"/admin/config/people/accounts/fields\";s:8:\"numParts\";i:5;}}}}\";}',-1,1636012249.309,1,'routes','58'),('route_provider.route_load:4fb47b3b126ff0a9ec01b5bce45e589fcbaa18ad6c0c3979803bf70ebfaa584147caa4d8111c1a45668c5122f318ee534c90bb80e039ad1eb4cfbbd1a3b1d361','a:1:{s:28:\"entity.user_role.delete_form\";s:1389:\"C:31:\"Symfony\\Component\\Routing\\Route\":1343:{a:9:{s:4:\"path\";s:45:\"/admin/people/roles/manage/{user_role}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:16:\"user_role.delete\";s:6:\"_title\";s:11:\"Delete role\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:16:\"user_role.delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:9:\"user_role\";a:2:{s:4:\"type\";s:16:\"entity:user_role\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":583:{a:11:{s:4:\"vars\";a:1:{i:0;s:9:\"user_role\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:62:\"#^/admin/people/roles/manage/(?P<user_role>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"user_role\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/people/roles/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:9:\"user_role\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:35:\"/admin/people/roles/manage/%/delete\";s:8:\"numParts\";i:6;}}}}\";}',-1,1636012249.351,1,'routes','58'),('route_provider.route_load:53fbc761d5031e4fd13996dbd98bbe4a218c939bbf77e5e22105fc0a2fb7ec8ee6285ffd20bc9bfbaf2f2e6bdd466e38cea4b2c0d5f92789f9c5ccf183ff7e1d','a:1:{s:34:\"entity.pathauto_pattern.collection\";s:1026:\"C:31:\"Symfony\\Component\\Routing\\Route\":981:{a:9:{s:4:\"path\";s:34:\"/admin/config/search/path/patterns\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_list\";s:16:\"pathauto_pattern\";s:6:\"_title\";s:8:\"Patterns\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:19:\"administer pathauto\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":400:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:41:\"#^/admin/config/search/path/patterns$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:34:\"/admin/config/search/path/patterns\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:34:\"/admin/config/search/path/patterns\";s:8:\"numParts\";i:5;}}}}\";}',-1,1636012332.288,1,'routes','58'),('route_provider.route_load:5451181330032411a0e373d08e30341d9a9a7a654e68d504ccfe63ea5b4732de087afa0fd733b33fd105bb7e7edaa85e296b7e62811ea90fca580b814f286d3e','a:1:{s:30:\"node.configure_rebuild_confirm\";s:1002:\"C:31:\"Symfony\\Component\\Routing\\Route\":957:{a:9:{s:4:\"path\";s:29:\"/admin/reports/status/rebuild\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:5:\"_form\";s:40:\"\\Drupal\\node\\Form\\RebuildPermissionsForm\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"access administration pages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":385:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:36:\"#^/admin/reports/status/rebuild$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/reports/status/rebuild\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:29:\"/admin/reports/status/rebuild\";s:8:\"numParts\";i:4;}}}}\";}',-1,1637057228.782,1,'routes','58'),('route_provider.route_load:55cff5f0916bfaf8bdfbcafe0ec2bb48dea730a6d8f905173d9e5631073d859f83166106aa06b96b5520ec3dcacb71fb638ab3677717fe9285b5762c663d7c17','a:1:{s:38:\"entity.user_role.edit_permissions_form\";s:1343:\"C:31:\"Symfony\\Component\\Routing\\Route\":1297:{a:9:{s:4:\"path\";s:37:\"/admin/people/permissions/{user_role}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:49:\"\\Drupal\\user\\Form\\UserPermissionsRoleSpecificForm\";s:6:\"_title\";s:9:\"Edit role\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:16:\"user_role.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:9:\"user_role\";a:2:{s:4:\"type\";s:16:\"entity:user_role\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":523:{a:11:{s:4:\"vars\";a:1:{i:0;s:9:\"user_role\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:54:\"#^/admin/people/permissions/(?P<user_role>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"user_role\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:25:\"/admin/people/permissions\";}}s:9:\"path_vars\";a:1:{i:0;s:9:\"user_role\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:14;s:14:\"patternOutline\";s:27:\"/admin/people/permissions/%\";s:8:\"numParts\";i:4;}}}}\";}',-1,1636012249.355,1,'routes','58'),('route_provider.route_load:56981abaf3e2e8bba5d6888c7011a285a329f1805055347833992af7c2903bff77ac1e55dc43bd75df015e30f178547c88aa53793219b5a0a921ff38f8305a1c','a:1:{s:30:\"entity.comment.field_ui_fields\";s:1538:\"C:31:\"Symfony\\Component\\Routing\\Route\":1492:{a:9:{s:4:\"path\";s:53:\"/admin/structure/comment/manage/{comment_type}/fields\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:11:\"_controller\";s:62:\"\\Drupal\\field_ui\\Controller\\FieldConfigListController::listing\";s:6:\"_title\";s:13:\"Manage fields\";s:14:\"entity_type_id\";s:7:\"comment\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:25:\"administer comment fields\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"comment_type\";a:2:{s:4:\"type\";s:19:\"entity:comment_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":613:{a:11:{s:4:\"vars\";a:1:{i:0;s:12:\"comment_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:70:\"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/fields$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"comment_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/comment/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"comment_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:40:\"/admin/structure/comment/manage/%/fields\";s:8:\"numParts\";i:6;}}}}\";}',-1,1636012249.162,1,'routes','58'),('route_provider.route_load:584a0a1b577a4bc9186ed9f8803085cfbd1a79514247bbc9a71753ad7f5b5701aa10a73a9d2e4b5f13eabd61522fcd55b844c9c62b5617d8def08b3c97a43b91','a:1:{s:22:\"entity.menu.collection\";s:953:\"C:31:\"Symfony\\Component\\Routing\\Route\":908:{a:9:{s:4:\"path\";s:21:\"/admin/structure/menu\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_list\";s:4:\"menu\";s:6:\"_title\";s:5:\"Menus\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:15:\"administer menu\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":360:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:28:\"#^/admin/structure/menu$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:21:\"/admin/structure/menu\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:21:\"/admin/structure/menu\";s:8:\"numParts\";i:3;}}}}\";}',-1,1636012248.667,1,'routes','58'),('route_provider.route_load:5a4d263815e4c480cea60c9419d54523dac1529399a68ac36b3a05f1f1eda9d36c97d5989ee306662da02cfa52bf8a096e1f207469b4a6877aaa6d5de69f0823','a:1:{s:18:\"system.themes_page\";s:995:\"C:31:\"Symfony\\Component\\Routing\\Route\":950:{a:9:{s:4:\"path\";s:17:\"/admin/appearance\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:6:\"_title\";s:10:\"Appearance\";s:11:\"_controller\";s:54:\"\\Drupal\\system\\Controller\\SystemController::themesPage\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:17:\"administer themes\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":348:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:24:\"#^/admin/appearance$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/admin/appearance\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:17:\"/admin/appearance\";s:8:\"numParts\";i:2;}}}}\";}',-1,1636012249.294,1,'routes','58'),('route_provider.route_load:5ee56ee861313e80d99c16f913869a8d4b77d6162b2ad11ffa4c1e2e518d1cc0a73cbd22df9910707b70332564daa7334b053999d4868c79e3bfc1471caf3c43','a:1:{s:29:\"entity.search_page.collection\";s:992:\"C:31:\"Symfony\\Component\\Routing\\Route\":947:{a:9:{s:4:\"path\";s:26:\"/admin/config/search/pages\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_list\";s:11:\"search_page\";s:6:\"_title\";s:12:\"Search pages\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:17:\"administer search\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":376:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:33:\"#^/admin/config/search/pages$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/config/search/pages\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:26:\"/admin/config/search/pages\";s:8:\"numParts\";i:4;}}}}\";}',-1,1636012248.852,1,'routes','58'),('route_provider.route_load:5f39867980abd005eeaa4ea13b449a14d9670640a0792127d801b044d3151b2fa5b995b69385114e2442c636b46b7627375e1ed6623a02c271ffb06031a7a1be','a:1:{s:21:\"locale.translate_page\";s:1078:\"C:31:\"Symfony\\Component\\Routing\\Route\":1032:{a:9:{s:4:\"path\";s:32:\"/admin/config/regional/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:57:\"\\Drupal\\locale\\Controller\\LocaleController::translatePage\";s:6:\"_title\";s:26:\"User interface translation\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:19:\"translate interface\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":394:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:39:\"#^/admin/config/regional/translate$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/config/regional/translate\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:32:\"/admin/config/regional/translate\";s:8:\"numParts\";i:4;}}}}\";}',-1,1636012248.884,1,'routes','58'),('route_provider.route_load:60b1b0944a00f3b7d99eacfea83658978116eccd4b05e34490144c6476dafa8e5e34783eea419349fedcde1ef390eac7c926f4f7237d5d08e54b9d8fb0ab17fa','a:1:{s:39:\"entity.view.config_translation_overview\";s:1418:\"C:31:\"Symfony\\Component\\Routing\\Route\":1372:{a:9:{s:4:\"path\";s:44:\"/admin/structure/views/view/{view}/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:4:\"view\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"view\";a:2:{s:4:\"type\";s:11:\"entity:view\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":576:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"view\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:61:\"#^/admin/structure/views/view/(?P<view>[^/]++)/translate$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"view\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:27:\"/admin/structure/views/view\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"view\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:39:\"/admin/structure/views/view/%/translate\";s:8:\"numParts\";i:6;}}}}\";}',-1,1636012255.053,1,'routes','58'),('route_provider.route_load:6697e580c8b0853c42e659befe628b0117663a5154669417929874b6f91c13ebf5ef6045e0807b3f66490e34e5febc88f1430ff6790398ca4ac60efec9541aee','a:1:{s:30:\"simplenews.settings_subscriber\";s:1131:\"C:31:\"Symfony\\Component\\Routing\\Route\":1085:{a:9:{s:4:\"path\";s:51:\"/admin/config/people/simplenews/settings/subscriber\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:46:\"\\Drupal\\simplenews\\Form\\SubscriberSettingsForm\";s:6:\"_title\";s:10:\"Subscriber\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:30:\"administer simplenews settings\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":451:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:58:\"#^/admin/config/people/simplenews/settings/subscriber$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:51:\"/admin/config/people/simplenews/settings/subscriber\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:63;s:14:\"patternOutline\";s:51:\"/admin/config/people/simplenews/settings/subscriber\";s:8:\"numParts\";i:6;}}}}\";}',-1,1636012248.752,1,'routes','58'),('route_provider.route_load:6824ac1776da7ac718d4f7c9a9f37201229900b4e14e5161695e42ed3492dc73e2bd26aabe326ba1e0b890ccfa68e99fabc3897dafddccdef05d5f4f8149d63e','a:1:{s:20:\"system.admin_reports\";s:995:\"C:31:\"Symfony\\Component\\Routing\\Route\":950:{a:9:{s:4:\"path\";s:14:\"/admin/reports\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:68:\"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage\";s:6:\"_title\";s:7:\"Reports\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:19:\"access site reports\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":339:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:21:\"#^/admin/reports$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/admin/reports\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:14:\"/admin/reports\";s:8:\"numParts\";i:2;}}}}\";}',-1,1636012249.361,1,'routes','58'),('route_provider.route_load:6863dc291629a73d487bafe29667590c3242937a1e9a01f9f82c93de6b57dabc651414c12337f8084b5350eabab78e3f0036d0f7126e1d0893c6ab5b30b5ea57','a:1:{s:34:\"entity.entity_form_mode.collection\";s:1039:\"C:31:\"Symfony\\Component\\Routing\\Route\":994:{a:9:{s:4:\"path\";s:35:\"/admin/structure/display-modes/form\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_list\";s:16:\"entity_form_mode\";s:6:\"_title\";s:10:\"Form modes\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"administer display modes\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":404:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:43:\"#^/admin/structure/display\\-modes/form$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:35:\"/admin/structure/display-modes/form\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:35:\"/admin/structure/display-modes/form\";s:8:\"numParts\";i:4;}}}}\";}',-1,1636012248.654,1,'routes','58'),('route_provider.route_load:68cb537e3aafad100642b60551c50e6e87ce9d377e517a4efa5e4fb4674a4000fae5ac306a0353f95962fc0610808758a4284cd9bc9bb798748246e306cef911','a:1:{s:16:\"user.admin_index\";s:1026:\"C:31:\"Symfony\\Component\\Routing\\Route\":981:{a:9:{s:4:\"path\";s:20:\"/admin/config/people\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:68:\"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage\";s:6:\"_title\";s:6:\"People\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"access administration pages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":357:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:27:\"#^/admin/config/people$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/admin/config/people\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:20:\"/admin/config/people\";s:8:\"numParts\";i:3;}}}}\";}',-1,1636012248.740,1,'routes','58'),('route_provider.route_load:69880c882fe2ea5600cead67eaf46eb50505101ec7e517e177a0c5834e22e16b33b6dc924739b80a38ca7a30da2c7c2c586e2332cb68a71a5973f97099fd7e30','a:1:{s:39:\"entity.configurable_language.collection\";s:1021:\"C:31:\"Symfony\\Component\\Routing\\Route\":976:{a:9:{s:4:\"path\";s:31:\"/admin/config/regional/language\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_list\";s:21:\"configurable_language\";s:6:\"_title\";s:9:\"Languages\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:20:\"administer languages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":391:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:38:\"#^/admin/config/regional/language$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/config/regional/language\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:31:\"/admin/config/regional/language\";s:8:\"numParts\";i:4;}}}}\";}',-1,1636012248.873,1,'routes','58'),('route_provider.route_load:69cf52f710e7cc8775a9b972586dac99fa87bffdadb153b34d2af11ef52359466fdcf31f31bb3d6b10be76e5015d40382be81230f4b4df8b93f4a0cbf1404a17','a:1:{s:29:\"system.image_toolkit_settings\";s:1052:\"C:31:\"Symfony\\Component\\Routing\\Route\":1006:{a:9:{s:4:\"path\";s:33:\"/admin/config/media/image-toolkit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:36:\"\\Drupal\\system\\Form\\ImageToolkitForm\";s:6:\"_title\";s:13:\"Image toolkit\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:29:\"administer site configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":398:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:41:\"#^/admin/config/media/image\\-toolkit$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:33:\"/admin/config/media/image-toolkit\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:33:\"/admin/config/media/image-toolkit\";s:8:\"numParts\";i:4;}}}}\";}',-1,1636012248.844,1,'routes','58'),('route_provider.route_load:6c5e3b85a909783cc8bc4edf95c71abb121964af6704f5856c7df3d3bea3c66b6465168f9cf0e6db9b50e77e7cb9d329638a07d4755368bfcf4d40fa70c4cc18','a:0:{}',-1,1636011228.179,1,'routes','57'),('route_provider.route_load:6eeee6046ee6ea04b2cabe1944607cea55c952bcafa06ea4c7663c9eef7af6a179507214806082bf99ab6c2d2cc0bf5d240e12ff93e8ee19e92334477b4d7989','a:1:{s:26:\"system.admin_config_system\";s:1026:\"C:31:\"Symfony\\Component\\Routing\\Route\":981:{a:9:{s:4:\"path\";s:20:\"/admin/config/system\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:68:\"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage\";s:6:\"_title\";s:6:\"System\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"access administration pages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":357:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:27:\"#^/admin/config/system$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/admin/config/system\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:20:\"/admin/config/system\";s:8:\"numParts\";i:3;}}}}\";}',-1,1636012248.758,1,'routes','58'),('route_provider.route_load:6f177d2ef9e522590d53417a83667cddebe3b74c74ca26b4f7bc5b7086eb3aa87209d1e0e061161d2c263973cbd588c096138d227469f20bc3d4fdc25a0fd83b','a:1:{s:12:\"language.add\";s:1060:\"C:31:\"Symfony\\Component\\Routing\\Route\":1014:{a:9:{s:4:\"path\";s:35:\"/admin/config/regional/language/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:25:\"configurable_language.add\";s:6:\"_title\";s:12:\"Add language\";}s:12:\"requirements\";a:1:{s:21:\"_entity_create_access\";s:21:\"configurable_language\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:26:\"access_check.entity_create\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":403:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:42:\"#^/admin/config/regional/language/add$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:35:\"/admin/config/regional/language/add\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:35:\"/admin/config/regional/language/add\";s:8:\"numParts\";i:5;}}}}\";}',-1,1636012249.336,1,'routes','58'),('route_provider.route_load:7087926322f39c87e7b57a94387881d831843b2dc3785e5a2932939b3650d2e4de1912a02810fd029a24f1a910a2293d4129198a5dd8d933995f51d54d95aec4','a:1:{s:20:\"update.theme_install\";s:1091:\"C:31:\"Symfony\\Component\\Routing\\Route\":1045:{a:9:{s:4:\"path\";s:20:\"/admin/theme/install\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:40:\"\\Drupal\\update\\Form\\UpdateManagerInstall\";s:6:\"_title\";s:17:\"Install new theme\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:27:\"administer software updates\";s:22:\"_access_update_manager\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:34:\"access_check.update.manager_access\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":357:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:27:\"#^/admin/theme/install$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/admin/theme/install\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:20:\"/admin/theme/install\";s:8:\"numParts\";i:3;}}}}\";}',-1,1636012248.702,1,'routes','58'),('route_provider.route_load:731c1f53ea20a221276ba1113504ce9f9761468f3824ccd71dad06194d9ca483481fe16feec38a698329a9fd1eab51f416877ad4f864cd442676fa2404e3d674','a:0:{}',-1,1636011228.173,1,'routes','57'),('route_provider.route_load:75a5253598eaa3ecca1cfff84c003e335df98d23a320a8d6ff36676737a7fee9933084d9d1e366e2359cef43a02a61f3aa17650491e126253b65e0b9be201183','a:1:{s:23:\"views_ui.reports_fields\";s:1073:\"C:31:\"Symfony\\Component\\Routing\\Route\":1027:{a:9:{s:4:\"path\";s:34:\"/admin/reports/fields/views-fields\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:59:\"\\Drupal\\views_ui\\Controller\\ViewsUIController::reportFields\";s:6:\"_title\";s:13:\"Used in views\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:16:\"administer views\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":401:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:42:\"#^/admin/reports/fields/views\\-fields$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:34:\"/admin/reports/fields/views-fields\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:34:\"/admin/reports/fields/views-fields\";s:8:\"numParts\";i:4;}}}}\";}',-1,1636012248.977,1,'routes','58'),('route_provider.route_load:778b3bce46197c6ce68e7a5c8972835202b3b650d43853aada440bfe0209f166c5f296bbcb7e7b0b2594c0966b10537724ec54237f2e6ab7b017163d900c1bde','a:1:{s:29:\"entity.image_style.collection\";s:1023:\"C:31:\"Symfony\\Component\\Routing\\Route\":978:{a:9:{s:4:\"path\";s:32:\"/admin/config/media/image-styles\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_list\";s:11:\"image_style\";s:6:\"_title\";s:12:\"Image styles\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:23:\"administer image styles\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":395:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:40:\"#^/admin/config/media/image\\-styles$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/config/media/image-styles\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:32:\"/admin/config/media/image-styles\";s:8:\"numParts\";i:4;}}}}\";}',-1,1636012248.836,1,'routes','58'),('route_provider.route_load:7847b73c698391286137d155026ae8bc240a9b0709cdcb834c8190e6c69e655142e5a53468e4f3bda89b32c5e8f14be9d7cfc488c59df8b24c54a0a3798074b7','a:1:{s:9:\"<current>\";s:726:\"C:31:\"Symfony\\Component\\Routing\\Route\":681:{a:9:{s:4:\"path\";s:10:\"/<current>\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:0:{}s:12:\"requirements\";a:0:{}s:7:\"options\";a:2:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":329:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:19:\"#^/\\<current\\>$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/<current>\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:10:\"/<current>\";s:8:\"numParts\";i:1;}}}}\";}',-1,1636711552.064,1,'routes','58'),('route_provider.route_load:7983c2cbd48035b7e57a8c0e0c7c98695e81387092b53a75bdd9870fa3f717d79f10bb92b66d75f05a30e7ac17a0c9665688bb0f4521a301270be668ddd19e5d','a:1:{s:22:\"entity.view.collection\";s:958:\"C:31:\"Symfony\\Component\\Routing\\Route\":913:{a:9:{s:4:\"path\";s:22:\"/admin/structure/views\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_list\";s:4:\"view\";s:6:\"_title\";s:5:\"Views\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:16:\"administer views\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":363:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:29:\"#^/admin/structure/views$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/admin/structure/views\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:22:\"/admin/structure/views\";s:8:\"numParts\";i:3;}}}}\";}',-1,1636012248.693,1,'routes','58'),('route_provider.route_load:7b6e0951a45a88b635ee666f7c78262cdfb112ab7f30cea07ff9fee3fd711c3f3e915d429629cf116296fc0894a4de57c773662e56b3cdf8fa694e8bec835353','a:1:{s:29:\"entity.contact_form.edit_form\";s:1380:\"C:31:\"Symfony\\Component\\Routing\\Route\":1334:{a:9:{s:4:\"path\";s:46:\"/admin/structure/contact/manage/{contact_form}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:17:\"contact_form.edit\";s:6:\"_title\";s:17:\"Edit contact form\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:19:\"contact_form.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"contact_form\";a:2:{s:4:\"type\";s:19:\"entity:contact_form\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":556:{a:11:{s:4:\"vars\";a:1:{i:0;s:12:\"contact_form\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:63:\"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/contact/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"contact_form\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:30;s:14:\"patternOutline\";s:33:\"/admin/structure/contact/manage/%\";s:8:\"numParts\";i:5;}}}}\";}',-1,1636012248.624,1,'routes','58'),('route_provider.route_load:7b9e452c215ae30ebf44b432e606d5fced3284bc8e7c795d760a4b380351edf4518eb6fb11cb418002b8a957bf482424da26d492fbfd63dd113c159469ad4126','a:1:{s:31:\"entity.contact_form.delete_form\";s:1434:\"C:31:\"Symfony\\Component\\Routing\\Route\":1388:{a:9:{s:4:\"path\";s:53:\"/admin/structure/contact/manage/{contact_form}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:19:\"contact_form.delete\";s:6:\"_title\";s:6:\"Delete\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:19:\"contact_form.delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"contact_form\";a:2:{s:4:\"type\";s:19:\"entity:contact_form\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":613:{a:11:{s:4:\"vars\";a:1:{i:0;s:12:\"contact_form\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:70:\"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/contact/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"contact_form\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:40:\"/admin/structure/contact/manage/%/delete\";s:8:\"numParts\";i:6;}}}}\";}',-1,1636012249.198,1,'routes','58'),('route_provider.route_load:7e437a77d3d05d93e38ff83dec9461a1f87efbc21b818059a508b5095d03c883f0861914d4983a1597ad9109f56e8c6d2e3f5247dbe4c3ac266ff47ef7088776','a:1:{s:40:\"entity.responsive_image_style.collection\";s:1092:\"C:31:\"Symfony\\Component\\Routing\\Route\":1046:{a:9:{s:4:\"path\";s:42:\"/admin/config/media/responsive-image-style\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_list\";s:22:\"responsive_image_style\";s:6:\"_title\";s:23:\"Responsive image styles\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:28:\"administer responsive images\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":426:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:51:\"#^/admin/config/media/responsive\\-image\\-style$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/config/media/responsive-image-style\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:42:\"/admin/config/media/responsive-image-style\";s:8:\"numParts\";i:4;}}}}\";}',-1,1636012248.840,1,'routes','58'),('route_provider.route_load:7ee4e357662961b60efe3a585a55ebeb0f1a808cf01e2f12778d8003766e3a880e9713a85e78eb98a05b5bf026e856bcfd96d62cf959188c2acd0ebfbf99d677','a:1:{s:32:\"admin_toolbar_tools.flush_static\";s:1122:\"C:31:\"Symfony\\Component\\Routing\\Route\":1076:{a:9:{s:4:\"path\";s:26:\"/admin/flush/static-caches\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:69:\"\\Drupal\\admin_toolbar_tools\\Controller\\ToolbarController::flushStatic\";s:6:\"_title\";s:13:\"Static caches\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:29:\"administer site configuration\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":376:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:34:\"#^/admin/flush/static\\-caches$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/flush/static-caches\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:26:\"/admin/flush/static-caches\";s:8:\"numParts\";i:3;}}}}\";}',-1,1636012248.539,1,'routes','58'),('route_provider.route_load:7f21a6f7f7b2e22f1802edfe08440348d7557ee0fba5ec53a51db035383a3faca30c9d10067e195c1174fed291554099b6e8b66edd2d47fbc8a53447f1f5d19f','a:1:{s:22:\"system.admin_structure\";s:1013:\"C:31:\"Symfony\\Component\\Routing\\Route\":968:{a:9:{s:4:\"path\";s:16:\"/admin/structure\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:68:\"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage\";s:6:\"_title\";s:9:\"Structure\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"access administration pages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":345:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:23:\"#^/admin/structure$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:16:\"/admin/structure\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:16:\"/admin/structure\";s:8:\"numParts\";i:2;}}}}\";}',-1,1636012249.157,1,'routes','58'),('route_provider.route_load:7fc80d5b025f122c2b1dc5964fc69b174fb2e906828ae4f532ddb537c7b5faed262205267ac47b49bf0842297d8af253d00bbb720f35df26a27d85afa82965e9','a:1:{s:12:\"views_ui.add\";s:982:\"C:31:\"Symfony\\Component\\Routing\\Route\":937:{a:9:{s:4:\"path\";s:26:\"/admin/structure/views/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:8:\"view.add\";s:6:\"_title\";s:8:\"Add view\";}s:12:\"requirements\";a:1:{s:21:\"_entity_create_access\";s:4:\"view\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:26:\"access_check.entity_create\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":376:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:33:\"#^/admin/structure/views/add$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/structure/views/add\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:26:\"/admin/structure/views/add\";s:8:\"numParts\";i:4;}}}}\";}',-1,1636012248.698,1,'routes','58'),('route_provider.route_load:8140fa8164bdaa8021efaa0589816286662ef32dfcf282f3f55840fcf20ad6801efc0bc7c6bd1e2a5355b50328507df0de5d63e3739fe8f6f35fe42a797d3c6c','a:0:{}',-1,1636012249.624,1,'routes','58'),('route_provider.route_load:82c709ca0fec9b033047d439186efd3b9433a2cec5503408ca200dcd16f1b68bbe12bf52ba1a5cc254f6e350b3d32ac399dd8c0a16ec4dad758dfb03a1c25cab','a:1:{s:21:\"field_ui.display_mode\";s:1073:\"C:31:\"Symfony\\Component\\Routing\\Route\":1027:{a:9:{s:4:\"path\";s:30:\"/admin/structure/display-modes\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:68:\"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage\";s:6:\"_title\";s:13:\"Display modes\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"administer display modes\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":388:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:38:\"#^/admin/structure/display\\-modes$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:30:\"/admin/structure/display-modes\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:30:\"/admin/structure/display-modes\";s:8:\"numParts\";i:3;}}}}\";}',-1,1636012248.650,1,'routes','58'),('route_provider.route_load:846f77dc3db5536cc4540de912498f67194716be4baa85dc4b4e2ae423081848af24965bbad5087ddb41c656317a91696e51ee449b9120e73b2fe14819a85963','a:0:{}',-1,1636011228.185,1,'routes','57'),('route_provider.route_load:85370d56dcf4152e9a12fbd4ceb6a950bceac8ce37d1fe56674a9c0df9a728e79fea2597e92478c208208577a48f5ed61d35db9884b724430026dcf9bd1e01cd','a:1:{s:28:\"entity.node_type.delete_form\";s:1395:\"C:31:\"Symfony\\Component\\Routing\\Route\":1349:{a:9:{s:4:\"path\";s:48:\"/admin/structure/types/manage/{node_type}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:16:\"node_type.delete\";s:6:\"_title\";s:6:\"Delete\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:16:\"node_type.delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:9:\"node_type\";a:2:{s:4:\"type\";s:16:\"entity:node_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":592:{a:11:{s:4:\"vars\";a:1:{i:0;s:9:\"node_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:65:\"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/types/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:9:\"node_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:38:\"/admin/structure/types/manage/%/delete\";s:8:\"numParts\";i:6;}}}}\";}',-1,1636012249.224,1,'routes','58'),('route_provider.route_load:874e700a0dd986b40a25922f2a1b89c7ddbeeb75f9ffe55861ce40ea3a605ff8af97bffc4e7a58bd0632a5456c6d91af08a7f38534913d81984ad1f5e4ed8b38','a:1:{s:21:\"filter.admin_overview\";s:1019:\"C:31:\"Symfony\\Component\\Routing\\Route\":974:{a:9:{s:4:\"path\";s:29:\"/admin/config/content/formats\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_list\";s:13:\"filter_format\";s:6:\"_title\";s:24:\"Text formats and editors\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:18:\"administer filters\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":385:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:36:\"#^/admin/config/content/formats$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/config/content/formats\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:29:\"/admin/config/content/formats\";s:8:\"numParts\";i:4;}}}}\";}',-1,1636012248.781,1,'routes','58'),('route_provider.route_load:8965e6d407cdac9ee4314ab289444958cf5400842a7993aab90b3e2cc04c8da7bc288e2771edb4291eaddbef92de32d9d561fc2372da35cd0067ae82fe8f7545','a:1:{s:21:\"entity.menu.edit_form\";s:1336:\"C:31:\"Symfony\\Component\\Routing\\Route\":1290:{a:9:{s:4:\"path\";s:35:\"/admin/structure/menu/manage/{menu}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:9:\"menu.edit\";s:15:\"_title_callback\";s:52:\"\\Drupal\\menu_ui\\Controller\\MenuController::menuTitle\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:11:\"menu.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:4:\"menu\";a:2:{s:4:\"type\";s:11:\"entity:menu\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":512:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"menu\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:52:\"#^/admin/structure/menu/manage/(?P<menu>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"menu\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:28:\"/admin/structure/menu/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"menu\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:30;s:14:\"patternOutline\";s:30:\"/admin/structure/menu/manage/%\";s:8:\"numParts\";i:5;}}}}\";}',-1,1636012248.676,1,'routes','58'),('route_provider.route_load:8d0a2374c636b293161989d6678f5d5868281df29ac6063ccab8e9cfb8e6193bc6e4d272316d52bfb5a28c7582800d2f724aa8e9ecb2fa4f2d89c95847c3bf3a','a:1:{s:21:\"entity.user.canonical\";s:1183:\"C:31:\"Symfony\\Component\\Routing\\Route\":1137:{a:9:{s:4:\"path\";s:12:\"/user/{user}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_view\";s:9:\"user.full\";s:15:\"_title_callback\";s:48:\"Drupal\\user\\Controller\\UserController::userTitle\";}s:12:\"requirements\";a:2:{s:4:\"user\";s:3:\"\\d+\";s:14:\"_entity_access\";s:9:\"user.view\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"user\";a:2:{s:4:\"type\";s:11:\"entity:user\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":434:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"user\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:26:\"#^/user/(?P<user>\\d+)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"user\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/user\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"user\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:2;s:14:\"patternOutline\";s:7:\"/user/%\";s:8:\"numParts\";i:2;}}}}\";}',-1,1636711419.982,1,'routes','58'),('route_provider.route_load:8d864ede97139ae8661122133f970c5421a9b1d5ff6a2a1c99df6501d635bf5abafd8776b0be67418cc6fb8949b8a6b1eb947caa5d7330ebae00b5f7bf03ecea','a:1:{s:28:\"system.site_maintenance_mode\";s:1105:\"C:31:\"Symfony\\Component\\Routing\\Route\":1059:{a:9:{s:4:\"path\";s:37:\"/admin/config/development/maintenance\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:43:\"\\Drupal\\system\\Form\\SiteMaintenanceModeForm\";s:6:\"_title\";s:16:\"Maintenance mode\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:57:\"administer site configuration+administer software updates\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":409:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:44:\"#^/admin/config/development/maintenance$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/config/development/maintenance\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:37:\"/admin/config/development/maintenance\";s:8:\"numParts\";i:4;}}}}\";}',-1,1636012248.815,1,'routes','58'),('route_provider.route_load:8d91c4c913305747ad0fce44fbd470b275ec704b22b05a2f963499d76f8ca7e2296224afc791aef531cc30f3e9357156ddce5bf0c58ca33670b6bedc3df06418','a:1:{s:50:\"entity.entity_form_display.contact_message.default\";s:1615:\"C:31:\"Symfony\\Component\\Routing\\Route\":1569:{a:9:{s:4:\"path\";s:59:\"/admin/structure/contact/manage/{contact_form}/form-display\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:12:\"_entity_form\";s:24:\"entity_form_display.edit\";s:6:\"_title\";s:19:\"Manage form display\";s:14:\"form_mode_name\";s:7:\"default\";s:14:\"entity_type_id\";s:15:\"contact_message\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_form_mode_access\";s:39:\"administer contact_message form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"contact_form\";a:2:{s:4:\"type\";s:19:\"entity:contact_form\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.form_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":633:{a:11:{s:4:\"vars\";a:1:{i:0;s:12:\"contact_form\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:77:\"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/form\\-display$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/form-display\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/contact/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"contact_form\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:46:\"/admin/structure/contact/manage/%/form-display\";s:8:\"numParts\";i:6;}}}}\";}',-1,1636012249.187,1,'routes','58'),('route_provider.route_load:8dafc320b7bf5bd8d5911b942b8ab642dc8a16e5b42d7d718504f486c318022acda9aa583c7a8d7fb59df4f9f02789a6ce247aa20c3c1e3618b2b240634dbe92','a:1:{s:15:\"update.settings\";s:1050:\"C:31:\"Symfony\\Component\\Routing\\Route\":1004:{a:9:{s:4:\"path\";s:31:\"/admin/reports/updates/settings\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:33:\"\\Drupal\\update\\UpdateSettingsForm\";s:6:\"_title\";s:23:\"Update Manager settings\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:29:\"administer site configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":391:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:38:\"#^/admin/reports/updates/settings$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/reports/updates/settings\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:31:\"/admin/reports/updates/settings\";s:8:\"numParts\";i:4;}}}}\";}',-1,1636012332.351,1,'routes','58'),('route_provider.route_load:8e4c87698a9689c93864e177748d8c1b55aa92e185e4ebd1ec5b2cacc6762fcef74a779f1d260041fffbb02db7d6308db2387777571102e1629ccceefc0f1d7f','a:1:{s:36:\"entity.taxonomy_term.field_ui_fields\";s:1642:\"C:31:\"Symfony\\Component\\Routing\\Route\":1596:{a:9:{s:4:\"path\";s:70:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/fields\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:11:\"_controller\";s:62:\"\\Drupal\\field_ui\\Controller\\FieldConfigListController::listing\";s:6:\"_title\";s:13:\"Manage fields\";s:14:\"entity_type_id\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:31:\"administer taxonomy_term fields\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:10:\"parameters\";a:1:{s:19:\"taxonomy_vocabulary\";a:2:{s:4:\"type\";s:26:\"entity:taxonomy_vocabulary\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":673:{a:11:{s:4:\"vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:87:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/fields$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:16:\"/overview/fields\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:123;s:14:\"patternOutline\";s:50:\"/admin/structure/taxonomy/manage/%/overview/fields\";s:8:\"numParts\";i:7;}}}}\";}',-1,1636012249.273,1,'routes','58'),('route_provider.route_load:8f5b0736e28134fdba60b4072d2619a620ead1e7e010d15b784554caf3796deb88c6981df64270c477a477bb644655fa0cc2d87a507e72d234559fcb5423a9b4','a:1:{s:28:\"system.admin_config_regional\";s:1051:\"C:31:\"Symfony\\Component\\Routing\\Route\":1005:{a:9:{s:4:\"path\";s:22:\"/admin/config/regional\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:68:\"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage\";s:6:\"_title\";s:21:\"Regional and language\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"access administration pages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":363:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:29:\"#^/admin/config/regional$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/admin/config/regional\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:22:\"/admin/config/regional\";s:8:\"numParts\";i:3;}}}}\";}',-1,1636012248.861,1,'routes','58'),('route_provider.route_load:9370b78c0797fd05f6eab6b8bb701668c0cff6ca3455e33100faa2672c78be762eda48adc5801859c4851374c12b1333a7ac19e8be95893c540bbf2eec5f9f82','a:1:{s:11:\"config.sync\";s:1063:\"C:31:\"Symfony\\Component\\Routing\\Route\":1017:{a:9:{s:4:\"path\";s:39:\"/admin/config/development/configuration\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:30:\"\\Drupal\\config\\Form\\ConfigSync\";s:6:\"_title\";s:11:\"Synchronize\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:25:\"synchronize configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":415:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:46:\"#^/admin/config/development/configuration$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:39:\"/admin/config/development/configuration\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:39:\"/admin/config/development/configuration\";s:8:\"numParts\";i:4;}}}}\";}',-1,1636012248.819,1,'routes','58'),('route_provider.route_load:94d3462ca2b8c2415c472891dcebfd76cc88c789deed3f420471567275e3a0722ee05770a3f77c6ef834b2a7371500eba71da10bddec0213266cf0fb7020a2e9','a:1:{s:28:\"system.admin_config_workflow\";s:1036:\"C:31:\"Symfony\\Component\\Routing\\Route\":991:{a:9:{s:4:\"path\";s:22:\"/admin/config/workflow\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:68:\"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage\";s:6:\"_title\";s:8:\"Workflow\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"access administration pages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":363:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:29:\"#^/admin/config/workflow$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/admin/config/workflow\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:22:\"/admin/config/workflow\";s:8:\"numParts\";i:3;}}}}\";}',-1,1636012248.919,1,'routes','58'),('route_provider.route_load:9570ed25795120e9d6500a579ce516b74a1483cbf277be0558b6dcf122ee71d1409b55c1e8d9eb62eeea16bdfa9142debacd5e4b7a830eba61feeb2b130240b0','a:1:{s:22:\"user.admin_permissions\";s:1009:\"C:31:\"Symfony\\Component\\Routing\\Route\":964:{a:9:{s:4:\"path\";s:25:\"/admin/people/permissions\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:37:\"\\Drupal\\user\\Form\\UserPermissionsForm\";s:6:\"_title\";s:11:\"Permissions\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:22:\"administer permissions\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":372:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:32:\"#^/admin/people/permissions$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:25:\"/admin/people/permissions\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:25:\"/admin/people/permissions\";s:8:\"numParts\";i:3;}}}}\";}',-1,1636012248.932,1,'routes','58'),('route_provider.route_load:95fcebe76ae85b7828d8ce1ab7cad02c8c705a2d085e5785abfdb6836cb270bc42fdfab7169f256f78483b4f45725e77f2446e38b13baf44a3e9947e008d6513','a:1:{s:29:\"entity.comment_type.edit_form\";s:1366:\"C:31:\"Symfony\\Component\\Routing\\Route\":1320:{a:9:{s:4:\"path\";s:46:\"/admin/structure/comment/manage/{comment_type}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:17:\"comment_type.edit\";s:6:\"_title\";s:4:\"Edit\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:19:\"comment_type.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"comment_type\";a:2:{s:4:\"type\";s:19:\"entity:comment_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":556:{a:11:{s:4:\"vars\";a:1:{i:0;s:12:\"comment_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:63:\"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"comment_type\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/comment/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"comment_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:30;s:14:\"patternOutline\";s:33:\"/admin/structure/comment/manage/%\";s:8:\"numParts\";i:5;}}}}\";}',-1,1636012248.606,1,'routes','58'),('route_provider.route_load:969f483e7777378bde889d07b29a3a3eb98080ee6e3d9b3b3c451e92525873532151c09596aeb6f1b4dd8bf2e7e0818fc31e8ed6d028186420d74162b0f0bde3','a:1:{s:18:\"system.admin_index\";s:983:\"C:31:\"Symfony\\Component\\Routing\\Route\":938:{a:9:{s:4:\"path\";s:12:\"/admin/index\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:48:\"\\Drupal\\system\\Controller\\AdminController::index\";s:6:\"_title\";s:14:\"Administration\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"access administration pages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":333:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:19:\"#^/admin/index$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:12:\"/admin/index\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:12:\"/admin/index\";s:8:\"numParts\";i:2;}}}}\";}',-1,1636012248.505,1,'routes','58'),('route_provider.route_load:976011096be7531b257ed1dac04832c8ec600fc3d6ccf5b3972e1d15a75d87a9f514a95f9e9ad75853ded85476b0e8a8888a8237b1eb95e2c300d57a15525c94','a:1:{s:31:\"entity.comment_type.delete_form\";s:1434:\"C:31:\"Symfony\\Component\\Routing\\Route\":1388:{a:9:{s:4:\"path\";s:53:\"/admin/structure/comment/manage/{comment_type}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:19:\"comment_type.delete\";s:6:\"_title\";s:6:\"Delete\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:19:\"comment_type.delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"comment_type\";a:2:{s:4:\"type\";s:19:\"entity:comment_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":613:{a:11:{s:4:\"vars\";a:1:{i:0;s:12:\"comment_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:70:\"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"comment_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/comment/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"comment_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:40:\"/admin/structure/comment/manage/%/delete\";s:8:\"numParts\";i:6;}}}}\";}',-1,1636012249.175,1,'routes','58'),('route_provider.route_load:9767132658725f3350812bcf23bfef78c7fea3059c64a9c20c8ba298dd46937d12fa28ac6d7d0fc54a4fefa2ca517d64166b9ecd0325b5eef9912c560d8d5cb8','a:1:{s:17:\"view.files.page_1\";s:1347:\"C:31:\"Symfony\\Component\\Routing\\Route\":1301:{a:9:{s:4:\"path\";s:20:\"/admin/content/files\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:5:\"Files\";s:7:\"view_id\";s:5:\"files\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:21:\"access files overview\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:9:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":357:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:27:\"#^/admin/content/files$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/admin/content/files\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:20:\"/admin/content/files\";s:8:\"numParts\";i:3;}}}}\";}',-1,1636012248.575,1,'routes','58'),('route_provider.route_load:9a4959be4c8f770f4a5b1982a597b766f42e36a2512e188242e3d9cf9258feca38474517a4a441ace638c40217748a7d1eb5b90262051dfac4be4050e368a059','a:1:{s:18:\"config.import_full\";s:1106:\"C:31:\"Symfony\\Component\\Routing\\Route\":1060:{a:9:{s:4:\"path\";s:51:\"/admin/config/development/configuration/full/import\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:36:\"\\Drupal\\config\\Form\\ConfigImportForm\";s:6:\"_title\";s:6:\"Import\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:20:\"import configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":451:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:58:\"#^/admin/config/development/configuration/full/import$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:51:\"/admin/config/development/configuration/full/import\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:63;s:14:\"patternOutline\";s:51:\"/admin/config/development/configuration/full/import\";s:8:\"numParts\";i:6;}}}}\";}',-1,1636012249.325,1,'routes','58'),('route_provider.route_load:9ae707597bae5ce76d3d7e9b39ad955779a6613074e31a9eac2c9a8f2b9bcefeb789314a5d939fb4fbb1322601013169044d821b2ce23f2a4d2f162c4d4afdb7','a:1:{s:22:\"entity.user.collection\";s:1299:\"C:31:\"Symfony\\Component\\Routing\\Route\":1253:{a:9:{s:4:\"path\";s:13:\"/admin/people\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:6:\"People\";s:7:\"view_id\";s:17:\"user_admin_people\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:0;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:16:\"administer users\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:9:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:0;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":336:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:20:\"#^/admin/people$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/admin/people\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:13:\"/admin/people\";s:8:\"numParts\";i:2;}}}}\";}',-1,1636012249.346,1,'routes','58'),('route_provider.route_load:9b59657bf70c14ee0de55a260492b5e2d7a473d8739c9e02f94ee68b15269fa43d42219162a1926667dc6ac75e2cf985760b1153429479a78b6aaee4681f6d19','a:2:{s:24:\"system.modules_uninstall\";s:1001:\"C:31:\"Symfony\\Component\\Routing\\Route\":956:{a:9:{s:4:\"path\";s:24:\"/admin/modules/uninstall\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:40:\"\\Drupal\\system\\Form\\ModulesUninstallForm\";s:6:\"_title\";s:9:\"Uninstall\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:18:\"administer modules\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":369:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:31:\"#^/admin/modules/uninstall$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:24:\"/admin/modules/uninstall\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:24:\"/admin/modules/uninstall\";s:8:\"numParts\";i:3;}}}}\";s:20:\"update.module_update\";s:1082:\"C:31:\"Symfony\\Component\\Routing\\Route\":1036:{a:9:{s:4:\"path\";s:21:\"/admin/modules/update\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:39:\"\\Drupal\\update\\Form\\UpdateManagerUpdate\";s:6:\"_title\";s:6:\"Update\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:27:\"administer software updates\";s:22:\"_access_update_manager\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:34:\"access_check.update.manager_access\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":360:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:28:\"#^/admin/modules/update$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:21:\"/admin/modules/update\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:21:\"/admin/modules/update\";s:8:\"numParts\";i:3;}}}}\";}',-1,1637057229.544,1,'routes','58'),('route_provider.route_load:9d8b6429d5d708d8fd38313925f1bb51de5f0a9aeeaf3e75c268b7612c60d855aefc25a9359c82753f978cded7da4df4a0d0907a431f70a2dcecef741238b4bb','a:1:{s:20:\"update.module_update\";s:1082:\"C:31:\"Symfony\\Component\\Routing\\Route\":1036:{a:9:{s:4:\"path\";s:21:\"/admin/modules/update\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:39:\"\\Drupal\\update\\Form\\UpdateManagerUpdate\";s:6:\"_title\";s:6:\"Update\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:27:\"administer software updates\";s:22:\"_access_update_manager\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:34:\"access_check.update.manager_access\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":360:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:28:\"#^/admin/modules/update$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:21:\"/admin/modules/update\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:21:\"/admin/modules/update\";s:8:\"numParts\";i:3;}}}}\";}',-1,1636012248.733,1,'routes','58'),('route_provider.route_load:9f126ba52303670079153b8344b32c396e48fe6e38733aa6d3de1033875682ba3f72934e590b92342aed89ab6e06463836405196ea4a812642ec8dbe1a8529b3','a:1:{s:31:\"system.admin_config_development\";s:1053:\"C:31:\"Symfony\\Component\\Routing\\Route\":1007:{a:9:{s:4:\"path\";s:25:\"/admin/config/development\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:68:\"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage\";s:6:\"_title\";s:11:\"Development\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"access administration pages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":372:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:32:\"#^/admin/config/development$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:25:\"/admin/config/development\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:25:\"/admin/config/development\";s:8:\"numParts\";i:3;}}}}\";}',-1,1636012248.799,1,'routes','58'),('route_provider.route_load:a00b434e170679e0ae430d942b6a18cae1c82b90e70bba35d3702e04ce9add4204435532dda31f6d9b43fca1e15e0f03b25cb81600cc86a3964c1b34f6583c76','a:1:{s:65:\"config_translation.item.overview.system.site_information_settings\";s:1156:\"C:31:\"Symfony\\Component\\Routing\\Route\":1110:{a:9:{s:4:\"path\";s:47:\"/admin/config/system/site-information/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:32:\"system.site_information_settings\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":440:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:55:\"#^/admin/config/system/site\\-information/translate$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:47:\"/admin/config/system/site-information/translate\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:47:\"/admin/config/system/site-information/translate\";s:8:\"numParts\";i:5;}}}}\";}',-1,1637057262.114,1,'routes','58'),('route_provider.route_load:a156fdf0a1fc30a16c922f30e3d8f9915f0d80e18ae3d8149754a5d781d796ef668c67a81fc47a061416978e00a0dd85ead298f98f81e26c0bf412bb93b25c84','a:1:{s:30:\"entity.contact_form.collection\";s:992:\"C:31:\"Symfony\\Component\\Routing\\Route\":947:{a:9:{s:4:\"path\";s:24:\"/admin/structure/contact\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_list\";s:12:\"contact_form\";s:6:\"_title\";s:13:\"Contact forms\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"administer contact forms\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":369:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:31:\"#^/admin/structure/contact$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:24:\"/admin/structure/contact\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:24:\"/admin/structure/contact\";s:8:\"numParts\";i:3;}}}}\";}',-1,1636012248.612,1,'routes','58');
INSERT INTO `cache_data` VALUES ('route_provider.route_load:a1c4924c2b609d877cdc2c6a2f26d67ebf4d447ca87db6f26516ffa9de5b08324262bc24c1f2a51c0216b8f790028a8c6bce963d0c675350693a350b025bf63a','a:135:{s:8:\"<button>\";s:788:\"C:31:\"Symfony\\Component\\Routing\\Route\":743:{a:9:{s:4:\"path\";s:1:\"/\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:0:{}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:8:\"_no_path\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":297:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:8:\"#^/$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:1:\"/\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:1:\"/\";s:8:\"numParts\";i:1;}}}}\";s:9:\"<current>\";s:726:\"C:31:\"Symfony\\Component\\Routing\\Route\":681:{a:9:{s:4:\"path\";s:10:\"/<current>\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:0:{}s:12:\"requirements\";a:0:{}s:7:\"options\";a:2:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":329:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:19:\"#^/\\<current\\>$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/<current>\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:10:\"/<current>\";s:8:\"numParts\";i:1;}}}}\";s:7:\"<front>\";s:793:\"C:31:\"Symfony\\Component\\Routing\\Route\":748:{a:9:{s:4:\"path\";s:1:\"/\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:6:\"_title\";s:4:\"Home\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":297:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:8:\"#^/$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:1:\"/\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:1:\"/\";s:8:\"numParts\";i:1;}}}}\";s:8:\"<nolink>\";s:788:\"C:31:\"Symfony\\Component\\Routing\\Route\":743:{a:9:{s:4:\"path\";s:1:\"/\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:0:{}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:8:\"_no_path\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":297:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:8:\"#^/$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:1:\"/\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:1:\"/\";s:8:\"numParts\";i:1;}}}}\";s:6:\"<none>\";s:788:\"C:31:\"Symfony\\Component\\Routing\\Route\":743:{a:9:{s:4:\"path\";s:1:\"/\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:0:{}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:8:\"_no_path\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":297:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:8:\"#^/$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:1:\"/\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:1:\"/\";s:8:\"numParts\";i:1;}}}}\";s:22:\"admin_toolbar.run.cron\";s:1016:\"C:31:\"Symfony\\Component\\Routing\\Route\":971:{a:9:{s:4:\"path\";s:9:\"/run-cron\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:65:\"\\Drupal\\admin_toolbar_tools\\Controller\\ToolbarController::runCron\";s:6:\"_title\";s:8:\"Run cron\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:29:\"administer site configuration\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":323:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:17:\"#^/run\\-cron$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:9:\"/run-cron\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:9:\"/run-cron\";s:8:\"numParts\";i:1;}}}}\";s:27:\"block.category_autocomplete\";s:1000:\"C:31:\"Symfony\\Component\\Routing\\Route\":955:{a:9:{s:4:\"path\";s:28:\"/block-category/autocomplete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:69:\"\\Drupal\\block\\Controller\\CategoryAutocompleteController::autocomplete\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:17:\"administer blocks\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":382:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:36:\"#^/block\\-category/autocomplete$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:28:\"/block-category/autocomplete\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:28:\"/block-category/autocomplete\";s:8:\"numParts\";i:2;}}}}\";s:22:\"block_content.add_form\";s:1447:\"C:31:\"Symfony\\Component\\Routing\\Route\":1401:{a:9:{s:4:\"path\";s:31:\"/block/add/{block_content_type}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:64:\"\\Drupal\\block_content\\Controller\\BlockContentController::addForm\";s:15:\"_title_callback\";s:72:\"\\Drupal\\block_content\\Controller\\BlockContentController::getAddFormTitle\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:17:\"administer blocks\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:18:\"block_content_type\";a:2:{s:4:\"type\";s:25:\"entity:block_content_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":516:{a:11:{s:4:\"vars\";a:1:{i:0;s:18:\"block_content_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:48:\"#^/block/add/(?P<block_content_type>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/block/add\";}}s:9:\"path_vars\";a:1:{i:0;s:18:\"block_content_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:12:\"/block/add/%\";s:8:\"numParts\";i:3;}}}}\";s:22:\"block_content.add_page\";s:979:\"C:31:\"Symfony\\Component\\Routing\\Route\":934:{a:9:{s:4:\"path\";s:10:\"/block/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:60:\"\\Drupal\\block_content\\Controller\\BlockContentController::add\";s:6:\"_title\";s:16:\"Add custom block\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:17:\"administer blocks\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":327:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:17:\"#^/block/add$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/block/add\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:10:\"/block/add\";s:8:\"numParts\";i:2;}}}}\";s:15:\"comment.approve\";s:1386:\"C:31:\"Symfony\\Component\\Routing\\Route\":1340:{a:9:{s:4:\"path\";s:26:\"/comment/{comment}/approve\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:6:\"_title\";s:7:\"Approve\";s:11:\"_controller\";s:60:\"\\Drupal\\comment\\Controller\\CommentController::commentApprove\";s:11:\"entity_type\";s:7:\"comment\";}s:12:\"requirements\";a:3:{s:14:\"_entity_access\";s:15:\"comment.approve\";s:11:\"_csrf_token\";s:4:\"TRUE\";s:7:\"comment\";s:3:\"\\d+\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:7:\"comment\";a:2:{s:4:\"type\";s:14:\"entity:comment\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":516:{a:11:{s:4:\"vars\";a:1:{i:0;s:7:\"comment\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:40:\"#^/comment/(?P<comment>\\d+)/approve$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/approve\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:7:\"comment\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/comment\";}}s:9:\"path_vars\";a:1:{i:0;s:7:\"comment\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:18:\"/comment/%/approve\";s:8:\"numParts\";i:3;}}}}\";s:31:\"comment.new_comments_node_links\";s:1048:\"C:31:\"Symfony\\Component\\Routing\\Route\":1002:{a:9:{s:4:\"path\";s:40:\"/comments/render_new_comments_node_links\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:72:\"\\Drupal\\comment\\Controller\\CommentController::renderNewCommentsNodeLinks\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:14:\"access content\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":417:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:47:\"#^/comments/render_new_comments_node_links$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:40:\"/comments/render_new_comments_node_links\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:40:\"/comments/render_new_comments_node_links\";s:8:\"numParts\";i:2;}}}}\";s:21:\"comment.node_redirect\";s:1265:\"C:31:\"Symfony\\Component\\Routing\\Route\":1219:{a:9:{s:4:\"path\";s:21:\"/comment/{node}/reply\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:58:\"\\Drupal\\comment\\Controller\\CommentController::redirectNode\";}s:12:\"requirements\";a:3:{s:14:\"_entity_access\";s:9:\"node.view\";s:20:\"_module_dependencies\";s:4:\"node\";s:4:\"node\";s:3:\"\\d+\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:4:\"node\";a:2:{s:4:\"type\";s:11:\"entity:node\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":498:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"node\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:35:\"#^/comment/(?P<node>\\d+)/reply$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:6:\"/reply\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"node\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/comment\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"node\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:16:\"/comment/%/reply\";s:8:\"numParts\";i:3;}}}}\";s:13:\"comment.reply\";s:1822:\"C:31:\"Symfony\\Component\\Routing\\Route\":1776:{a:9:{s:4:\"path\";s:56:\"/comment/reply/{entity_type}/{entity}/{field_name}/{pid}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:11:\"_controller\";s:58:\"\\Drupal\\comment\\Controller\\CommentController::getReplyForm\";s:6:\"_title\";s:15:\"Add new comment\";s:3:\"pid\";N;}s:12:\"requirements\";a:1:{s:14:\"_custom_access\";s:61:\"\\Drupal\\comment\\Controller\\CommentController::replyFormAccess\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:6:\"entity\";a:2:{s:4:\"type\";s:20:\"entity:{entity_type}\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.custom\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":926:{a:11:{s:4:\"vars\";a:4:{i:0;s:11:\"entity_type\";i:1;s:6:\"entity\";i:2;s:10:\"field_name\";i:3;s:3:\"pid\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:108:\"#^/comment/reply/(?P<entity_type>[^/]++)/(?P<entity>[^/]++)/(?P<field_name>[^/]++)(?:/(?P<pid>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:3:\"pid\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:10:\"field_name\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"entity\";i:4;b:1;}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"entity_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/comment/reply\";}}s:9:\"path_vars\";a:4:{i:0;s:11:\"entity_type\";i:1;s:6:\"entity\";i:2;s:10:\"field_name\";i:3;s:3:\"pid\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:24;s:14:\"patternOutline\";s:20:\"/comment/reply/%/%/%\";s:8:\"numParts\";i:6;}}}}\";s:17:\"contact.site_page\";s:1103:\"C:31:\"Symfony\\Component\\Routing\\Route\":1057:{a:9:{s:4:\"path\";s:8:\"/contact\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:6:\"_title\";s:7:\"Contact\";s:11:\"_controller\";s:61:\"\\Drupal\\contact\\Controller\\ContactController::contactSitePage\";s:12:\"contact_form\";N;}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:29:\"access site-wide contact form\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"contact_form\";a:2:{s:4:\"type\";s:19:\"entity:contact_form\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":319:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:15:\"#^/contact$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/contact\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:8:\"/contact\";s:8:\"numParts\";i:1;}}}}\";s:17:\"contextual.render\";s:943:\"C:31:\"Symfony\\Component\\Routing\\Route\":898:{a:9:{s:4:\"path\";s:18:\"/contextual/render\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:47:\"\\Drupal\\contextual\\ContextualController::render\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:23:\"access contextual links\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":351:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:25:\"#^/contextual/render$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/contextual/render\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:18:\"/contextual/render\";s:8:\"numParts\";i:2;}}}}\";s:31:\"editor.field_untransformed_text\";s:2002:\"C:31:\"Symfony\\Component\\Routing\\Route\":1956:{a:9:{s:4:\"path\";s:69:\"/editor/{entity_type}/{entity}/{field_name}/{langcode}/{view_mode_id}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:53:\"\\Drupal\\editor\\EditorController::getUntransformedText\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:23:\"access in-place editing\";s:30:\"_access_quickedit_entity_field\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:6:\"entity\";a:2:{s:4:\"type\";s:20:\"entity:{entity_type}\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:35:\"access_check.quickedit.entity_field\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":1086:{a:11:{s:4:\"vars\";a:5:{i:0;s:11:\"entity_type\";i:1;s:6:\"entity\";i:2;s:10:\"field_name\";i:3;s:8:\"langcode\";i:4;s:12:\"view_mode_id\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:126:\"#^/editor/(?P<entity_type>[^/]++)/(?P<entity>[^/]++)/(?P<field_name>[^/]++)/(?P<langcode>[^/]++)/(?P<view_mode_id>[^/]++)$#sDu\";s:11:\"path_tokens\";a:6:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"view_mode_id\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:10:\"field_name\";i:4;b:1;}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"entity\";i:4;b:1;}i:4;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"entity_type\";i:4;b:1;}i:5;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/editor\";}}s:9:\"path_vars\";a:5:{i:0;s:11:\"entity_type\";i:1;s:6:\"entity\";i:2;s:10:\"field_name\";i:3;s:8:\"langcode\";i:4;s:12:\"view_mode_id\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:32;s:14:\"patternOutline\";s:17:\"/editor/%/%/%/%/%\";s:8:\"numParts\";i:6;}}}}\";s:17:\"editor.filter_xss\";s:1252:\"C:31:\"Symfony\\Component\\Routing\\Route\":1206:{a:9:{s:4:\"path\";s:34:\"/editor/filter_xss/{filter_format}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:42:\"\\Drupal\\editor\\EditorController::filterXss\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:17:\"filter_format.use\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:13:\"filter_format\";a:2:{s:4:\"type\";s:20:\"entity:filter_format\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":520:{a:11:{s:4:\"vars\";a:1:{i:0;s:13:\"filter_format\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:51:\"#^/editor/filter_xss/(?P<filter_format>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"filter_format\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/editor/filter_xss\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"filter_format\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:20:\"/editor/filter_xss/%\";s:8:\"numParts\";i:3;}}}}\";s:19:\"editor.image_dialog\";s:1222:\"C:31:\"Symfony\\Component\\Routing\\Route\":1176:{a:9:{s:4:\"path\";s:29:\"/editor/dialog/image/{editor}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:37:\"\\Drupal\\editor\\Form\\EditorImageDialog\";s:6:\"_title\";s:12:\"Upload image\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:10:\"editor.use\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:6:\"editor\";a:2:{s:4:\"type\";s:13:\"entity:editor\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":496:{a:11:{s:4:\"vars\";a:1:{i:0;s:6:\"editor\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:46:\"#^/editor/dialog/image/(?P<editor>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"editor\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/editor/dialog/image\";}}s:9:\"path_vars\";a:1:{i:0;s:6:\"editor\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:14;s:14:\"patternOutline\";s:22:\"/editor/dialog/image/%\";s:8:\"numParts\";i:4;}}}}\";s:18:\"editor.link_dialog\";s:1212:\"C:31:\"Symfony\\Component\\Routing\\Route\":1166:{a:9:{s:4:\"path\";s:28:\"/editor/dialog/link/{editor}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:36:\"\\Drupal\\editor\\Form\\EditorLinkDialog\";s:6:\"_title\";s:8:\"Add link\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:10:\"editor.use\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:6:\"editor\";a:2:{s:4:\"type\";s:13:\"entity:editor\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":493:{a:11:{s:4:\"vars\";a:1:{i:0;s:6:\"editor\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:45:\"#^/editor/dialog/link/(?P<editor>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"editor\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:19:\"/editor/dialog/link\";}}s:9:\"path_vars\";a:1:{i:0;s:6:\"editor\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:14;s:14:\"patternOutline\";s:21:\"/editor/dialog/link/%\";s:8:\"numParts\";i:4;}}}}\";s:30:\"entity.block_content.canonical\";s:1231:\"C:31:\"Symfony\\Component\\Routing\\Route\":1185:{a:9:{s:4:\"path\";s:22:\"/block/{block_content}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:12:\"_entity_form\";s:18:\"block_content.edit\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:20:\"block_content.update\";s:13:\"block_content\";s:3:\"\\d+\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:13:\"block_content\";a:2:{s:4:\"type\";s:20:\"entity:block_content\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":476:{a:11:{s:4:\"vars\";a:1:{i:0;s:13:\"block_content\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:36:\"#^/block/(?P<block_content>\\d+)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:13:\"block_content\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:6:\"/block\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"block_content\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:2;s:14:\"patternOutline\";s:8:\"/block/%\";s:8:\"numParts\";i:2;}}}}\";s:44:\"entity.block_content.content_translation_add\";s:2098:\"C:31:\"Symfony\\Component\\Routing\\Route\":2052:{a:9:{s:4:\"path\";s:57:\"/block/{block_content}/translations/add/{source}/{target}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:72:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::add\";s:6:\"source\";N;s:6:\"target\";N;s:6:\"_title\";s:3:\"Add\";s:14:\"entity_type_id\";s:13:\"block_content\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:18:\"block_content.view\";s:34:\"_access_content_translation_manage\";s:6:\"create\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:3:{s:6:\"source\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:6:\"target\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:13:\"block_content\";a:3:{s:4:\"type\";s:20:\"entity:block_content\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":855:{a:11:{s:4:\"vars\";a:3:{i:0;s:13:\"block_content\";i:1;s:6:\"source\";i:2;s:6:\"target\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:104:\"#^/block/(?P<block_content>[^/]++)/translations/add(?:/(?P<source>[^/]++)(?:/(?P<target>[^/]++))?)?$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"target\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"source\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/translations/add\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"block_content\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:6:\"/block\";}}s:9:\"path_vars\";a:3:{i:0;s:13:\"block_content\";i:1;s:6:\"source\";i:2;s:6:\"target\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:11;s:14:\"patternOutline\";s:25:\"/block/%/translations/add\";s:8:\"numParts\";i:6;}}}}\";s:47:\"entity.block_content.content_translation_delete\";s:1736:\"C:31:\"Symfony\\Component\\Routing\\Route\":1690:{a:9:{s:4:\"path\";s:53:\"/block/{block_content}/translations/delete/{language}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:42:\"block_content.content_translation_deletion\";s:8:\"language\";N;s:6:\"_title\";s:6:\"Delete\";s:14:\"entity_type_id\";s:13:\"block_content\";}s:12:\"requirements\";a:1:{s:34:\"_access_content_translation_manage\";s:6:\"delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:8:\"language\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:13:\"block_content\";a:3:{s:4:\"type\";s:20:\"entity:block_content\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":730:{a:11:{s:4:\"vars\";a:2:{i:0;s:13:\"block_content\";i:1;s:8:\"language\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:85:\"#^/block/(?P<block_content>[^/]++)/translations/delete(?:/(?P<language>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"language\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/translations/delete\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"block_content\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:6:\"/block\";}}s:9:\"path_vars\";a:2:{i:0;s:13:\"block_content\";i:1;s:8:\"language\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:11;s:14:\"patternOutline\";s:28:\"/block/%/translations/delete\";s:8:\"numParts\";i:5;}}}}\";s:45:\"entity.block_content.content_translation_edit\";s:1756:\"C:31:\"Symfony\\Component\\Routing\\Route\":1710:{a:9:{s:4:\"path\";s:51:\"/block/{block_content}/translations/edit/{language}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:11:\"_controller\";s:73:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::edit\";s:8:\"language\";N;s:6:\"_title\";s:4:\"Edit\";s:14:\"entity_type_id\";s:13:\"block_content\";}s:12:\"requirements\";a:1:{s:34:\"_access_content_translation_manage\";s:6:\"update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:8:\"language\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:13:\"block_content\";a:3:{s:4:\"type\";s:20:\"entity:block_content\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":724:{a:11:{s:4:\"vars\";a:2:{i:0;s:13:\"block_content\";i:1;s:8:\"language\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:83:\"#^/block/(?P<block_content>[^/]++)/translations/edit(?:/(?P<language>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"language\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/translations/edit\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"block_content\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:6:\"/block\";}}s:9:\"path_vars\";a:2:{i:0;s:13:\"block_content\";i:1;s:8:\"language\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:11;s:14:\"patternOutline\";s:26:\"/block/%/translations/edit\";s:8:\"numParts\";i:5;}}}}\";s:49:\"entity.block_content.content_translation_overview\";s:1510:\"C:31:\"Symfony\\Component\\Routing\\Route\":1464:{a:9:{s:4:\"path\";s:35:\"/block/{block_content}/translations\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:77:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::overview\";s:14:\"entity_type_id\";s:13:\"block_content\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:18:\"block_content.view\";s:36:\"_access_content_translation_overview\";s:13:\"block_content\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:13:\"block_content\";a:3:{s:4:\"type\";s:20:\"entity:block_content\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:35:\"content_translation.overview_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":559:{a:11:{s:4:\"vars\";a:1:{i:0;s:13:\"block_content\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:52:\"#^/block/(?P<block_content>[^/]++)/translations$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/translations\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"block_content\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:6:\"/block\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"block_content\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:21:\"/block/%/translations\";s:8:\"numParts\";i:3;}}}}\";s:32:\"entity.block_content.delete_form\";s:1324:\"C:31:\"Symfony\\Component\\Routing\\Route\":1278:{a:9:{s:4:\"path\";s:29:\"/block/{block_content}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:20:\"block_content.delete\";s:6:\"_title\";s:6:\"Delete\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:20:\"block_content.delete\";s:13:\"block_content\";s:3:\"\\d+\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:13:\"block_content\";a:2:{s:4:\"type\";s:20:\"entity:block_content\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":534:{a:11:{s:4:\"vars\";a:1:{i:0;s:13:\"block_content\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:43:\"#^/block/(?P<block_content>\\d+)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:13:\"block_content\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:6:\"/block\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"block_content\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:15:\"/block/%/delete\";s:8:\"numParts\";i:3;}}}}\";s:30:\"entity.block_content.edit_form\";s:1231:\"C:31:\"Symfony\\Component\\Routing\\Route\":1185:{a:9:{s:4:\"path\";s:22:\"/block/{block_content}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:12:\"_entity_form\";s:18:\"block_content.edit\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:20:\"block_content.update\";s:13:\"block_content\";s:3:\"\\d+\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:13:\"block_content\";a:2:{s:4:\"type\";s:20:\"entity:block_content\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":476:{a:11:{s:4:\"vars\";a:1:{i:0;s:13:\"block_content\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:36:\"#^/block/(?P<block_content>\\d+)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:13:\"block_content\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:6:\"/block\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"block_content\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:2;s:14:\"patternOutline\";s:8:\"/block/%\";s:8:\"numParts\";i:2;}}}}\";s:24:\"entity.comment.canonical\";s:1296:\"C:31:\"Symfony\\Component\\Routing\\Route\":1250:{a:9:{s:4:\"path\";s:18:\"/comment/{comment}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:15:\"_title_callback\";s:67:\"\\Drupal\\comment\\Controller\\CommentController::commentPermalinkTitle\";s:11:\"_controller\";s:62:\"\\Drupal\\comment\\Controller\\CommentController::commentPermalink\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:12:\"comment.view\";s:7:\"comment\";s:3:\"\\d+\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:7:\"comment\";a:2:{s:4:\"type\";s:14:\"entity:comment\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":456:{a:11:{s:4:\"vars\";a:1:{i:0;s:7:\"comment\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:32:\"#^/comment/(?P<comment>\\d+)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:7:\"comment\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/comment\";}}s:9:\"path_vars\";a:1:{i:0;s:7:\"comment\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:2;s:14:\"patternOutline\";s:10:\"/comment/%\";s:8:\"numParts\";i:2;}}}}\";s:38:\"entity.comment.content_translation_add\";s:2047:\"C:31:\"Symfony\\Component\\Routing\\Route\":2001:{a:9:{s:4:\"path\";s:53:\"/comment/{comment}/translations/add/{source}/{target}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:72:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::add\";s:6:\"source\";N;s:6:\"target\";N;s:6:\"_title\";s:3:\"Add\";s:14:\"entity_type_id\";s:7:\"comment\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:12:\"comment.view\";s:34:\"_access_content_translation_manage\";s:6:\"create\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:3:{s:6:\"source\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:6:\"target\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:7:\"comment\";a:3:{s:4:\"type\";s:14:\"entity:comment\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:0;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":834:{a:11:{s:4:\"vars\";a:3:{i:0;s:7:\"comment\";i:1;s:6:\"source\";i:2;s:6:\"target\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:100:\"#^/comment/(?P<comment>[^/]++)/translations/add(?:/(?P<source>[^/]++)(?:/(?P<target>[^/]++))?)?$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"target\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"source\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/translations/add\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:7:\"comment\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/comment\";}}s:9:\"path_vars\";a:3:{i:0;s:7:\"comment\";i:1;s:6:\"source\";i:2;s:6:\"target\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:11;s:14:\"patternOutline\";s:27:\"/comment/%/translations/add\";s:8:\"numParts\";i:6;}}}}\";s:41:\"entity.comment.content_translation_delete\";s:1685:\"C:31:\"Symfony\\Component\\Routing\\Route\":1639:{a:9:{s:4:\"path\";s:49:\"/comment/{comment}/translations/delete/{language}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:36:\"comment.content_translation_deletion\";s:8:\"language\";N;s:6:\"_title\";s:6:\"Delete\";s:14:\"entity_type_id\";s:7:\"comment\";}s:12:\"requirements\";a:1:{s:34:\"_access_content_translation_manage\";s:6:\"delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:8:\"language\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:7:\"comment\";a:3:{s:4:\"type\";s:14:\"entity:comment\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:0;s:14:\"_access_checks\";a:1:{i:0;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":709:{a:11:{s:4:\"vars\";a:2:{i:0;s:7:\"comment\";i:1;s:8:\"language\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:81:\"#^/comment/(?P<comment>[^/]++)/translations/delete(?:/(?P<language>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"language\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/translations/delete\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:7:\"comment\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/comment\";}}s:9:\"path_vars\";a:2:{i:0;s:7:\"comment\";i:1;s:8:\"language\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:11;s:14:\"patternOutline\";s:30:\"/comment/%/translations/delete\";s:8:\"numParts\";i:5;}}}}\";s:39:\"entity.comment.content_translation_edit\";s:1711:\"C:31:\"Symfony\\Component\\Routing\\Route\":1665:{a:9:{s:4:\"path\";s:47:\"/comment/{comment}/translations/edit/{language}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:11:\"_controller\";s:73:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::edit\";s:8:\"language\";N;s:6:\"_title\";s:4:\"Edit\";s:14:\"entity_type_id\";s:7:\"comment\";}s:12:\"requirements\";a:1:{s:34:\"_access_content_translation_manage\";s:6:\"update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:8:\"language\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:7:\"comment\";a:3:{s:4:\"type\";s:14:\"entity:comment\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:0;s:14:\"_access_checks\";a:1:{i:0;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":703:{a:11:{s:4:\"vars\";a:2:{i:0;s:7:\"comment\";i:1;s:8:\"language\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:79:\"#^/comment/(?P<comment>[^/]++)/translations/edit(?:/(?P<language>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"language\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/translations/edit\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:7:\"comment\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/comment\";}}s:9:\"path_vars\";a:2:{i:0;s:7:\"comment\";i:1;s:8:\"language\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:11;s:14:\"patternOutline\";s:28:\"/comment/%/translations/edit\";s:8:\"numParts\";i:5;}}}}\";s:43:\"entity.comment.content_translation_overview\";s:1452:\"C:31:\"Symfony\\Component\\Routing\\Route\":1406:{a:9:{s:4:\"path\";s:31:\"/comment/{comment}/translations\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:77:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::overview\";s:14:\"entity_type_id\";s:7:\"comment\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:12:\"comment.view\";s:36:\"_access_content_translation_overview\";s:7:\"comment\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:7:\"comment\";a:3:{s:4:\"type\";s:14:\"entity:comment\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:0;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:35:\"content_translation.overview_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":538:{a:11:{s:4:\"vars\";a:1:{i:0;s:7:\"comment\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:48:\"#^/comment/(?P<comment>[^/]++)/translations$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/translations\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:7:\"comment\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/comment\";}}s:9:\"path_vars\";a:1:{i:0;s:7:\"comment\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:23:\"/comment/%/translations\";s:8:\"numParts\";i:3;}}}}\";s:26:\"entity.comment.delete_form\";s:1243:\"C:31:\"Symfony\\Component\\Routing\\Route\":1197:{a:9:{s:4:\"path\";s:25:\"/comment/{comment}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:6:\"_title\";s:6:\"Delete\";s:12:\"_entity_form\";s:14:\"comment.delete\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:14:\"comment.delete\";s:7:\"comment\";s:3:\"\\d+\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:7:\"comment\";a:2:{s:4:\"type\";s:14:\"entity:comment\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":513:{a:11:{s:4:\"vars\";a:1:{i:0;s:7:\"comment\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:39:\"#^/comment/(?P<comment>\\d+)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:7:\"comment\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/comment\";}}s:9:\"path_vars\";a:1:{i:0;s:7:\"comment\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:17:\"/comment/%/delete\";s:8:\"numParts\";i:3;}}}}\";s:24:\"entity.comment.edit_form\";s:1234:\"C:31:\"Symfony\\Component\\Routing\\Route\":1188:{a:9:{s:4:\"path\";s:23:\"/comment/{comment}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:6:\"_title\";s:4:\"Edit\";s:12:\"_entity_form\";s:15:\"comment.default\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:14:\"comment.update\";s:7:\"comment\";s:3:\"\\d+\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:7:\"comment\";a:2:{s:4:\"type\";s:14:\"entity:comment\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":507:{a:11:{s:4:\"vars\";a:1:{i:0;s:7:\"comment\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:37:\"#^/comment/(?P<comment>\\d+)/edit$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:7:\"comment\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/comment\";}}s:9:\"path_vars\";a:1:{i:0;s:7:\"comment\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:15:\"/comment/%/edit\";s:8:\"numParts\";i:3;}}}}\";s:29:\"entity.contact_form.canonical\";s:1250:\"C:31:\"Symfony\\Component\\Routing\\Route\":1204:{a:9:{s:4:\"path\";s:23:\"/contact/{contact_form}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:6:\"_title\";s:7:\"Contact\";s:11:\"_controller\";s:61:\"\\Drupal\\contact\\Controller\\ContactController::contactSitePage\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:17:\"contact_form.view\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"contact_form\";a:2:{s:4:\"type\";s:19:\"entity:contact_form\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":485:{a:11:{s:4:\"vars\";a:1:{i:0;s:12:\"contact_form\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:40:\"#^/contact/(?P<contact_form>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/contact\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"contact_form\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:2;s:14:\"patternOutline\";s:10:\"/contact/%\";s:8:\"numParts\";i:2;}}}}\";s:21:\"entity.node.canonical\";s:1223:\"C:31:\"Symfony\\Component\\Routing\\Route\":1177:{a:9:{s:4:\"path\";s:12:\"/node/{node}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:48:\"\\Drupal\\node\\Controller\\NodeViewController::view\";s:15:\"_title_callback\";s:49:\"\\Drupal\\node\\Controller\\NodeViewController::title\";}s:12:\"requirements\";a:2:{s:4:\"node\";s:3:\"\\d+\";s:14:\"_entity_access\";s:9:\"node.view\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"node\";a:2:{s:4:\"type\";s:11:\"entity:node\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":434:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"node\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:26:\"#^/node/(?P<node>\\d+)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"node\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"node\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:2;s:14:\"patternOutline\";s:7:\"/node/%\";s:8:\"numParts\";i:2;}}}}\";s:35:\"entity.node.content_translation_add\";s:2006:\"C:31:\"Symfony\\Component\\Routing\\Route\":1960:{a:9:{s:4:\"path\";s:47:\"/node/{node}/translations/add/{source}/{target}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:72:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::add\";s:6:\"source\";N;s:6:\"target\";N;s:6:\"_title\";s:3:\"Add\";s:14:\"entity_type_id\";s:4:\"node\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:9:\"node.view\";s:34:\"_access_content_translation_manage\";s:6:\"create\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:3:{s:6:\"source\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:6:\"target\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:4:\"node\";a:3:{s:4:\"type\";s:11:\"entity:node\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":812:{a:11:{s:4:\"vars\";a:3:{i:0;s:4:\"node\";i:1;s:6:\"source\";i:2;s:6:\"target\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:94:\"#^/node/(?P<node>[^/]++)/translations/add(?:/(?P<source>[^/]++)(?:/(?P<target>[^/]++))?)?$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"target\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"source\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/translations/add\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"node\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:3:{i:0;s:4:\"node\";i:1;s:6:\"source\";i:2;s:6:\"target\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:11;s:14:\"patternOutline\";s:24:\"/node/%/translations/add\";s:8:\"numParts\";i:6;}}}}\";s:38:\"entity.node.content_translation_delete\";s:1646:\"C:31:\"Symfony\\Component\\Routing\\Route\":1600:{a:9:{s:4:\"path\";s:43:\"/node/{node}/translations/delete/{language}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:33:\"node.content_translation_deletion\";s:8:\"language\";N;s:6:\"_title\";s:6:\"Delete\";s:14:\"entity_type_id\";s:4:\"node\";}s:12:\"requirements\";a:1:{s:34:\"_access_content_translation_manage\";s:6:\"delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:8:\"language\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:4:\"node\";a:3:{s:4:\"type\";s:11:\"entity:node\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":688:{a:11:{s:4:\"vars\";a:2:{i:0;s:4:\"node\";i:1;s:8:\"language\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:75:\"#^/node/(?P<node>[^/]++)/translations/delete(?:/(?P<language>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"language\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/translations/delete\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"node\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:2:{i:0;s:4:\"node\";i:1;s:8:\"language\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:11;s:14:\"patternOutline\";s:27:\"/node/%/translations/delete\";s:8:\"numParts\";i:5;}}}}\";s:36:\"entity.node.content_translation_edit\";s:1675:\"C:31:\"Symfony\\Component\\Routing\\Route\":1629:{a:9:{s:4:\"path\";s:41:\"/node/{node}/translations/edit/{language}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:11:\"_controller\";s:73:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::edit\";s:8:\"language\";N;s:6:\"_title\";s:4:\"Edit\";s:14:\"entity_type_id\";s:4:\"node\";}s:12:\"requirements\";a:1:{s:34:\"_access_content_translation_manage\";s:6:\"update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:8:\"language\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:4:\"node\";a:3:{s:4:\"type\";s:11:\"entity:node\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":682:{a:11:{s:4:\"vars\";a:2:{i:0;s:4:\"node\";i:1;s:8:\"language\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:73:\"#^/node/(?P<node>[^/]++)/translations/edit(?:/(?P<language>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"language\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/translations/edit\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"node\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:2:{i:0;s:4:\"node\";i:1;s:8:\"language\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:11;s:14:\"patternOutline\";s:25:\"/node/%/translations/edit\";s:8:\"numParts\";i:5;}}}}\";s:40:\"entity.node.content_translation_overview\";s:1409:\"C:31:\"Symfony\\Component\\Routing\\Route\":1363:{a:9:{s:4:\"path\";s:25:\"/node/{node}/translations\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:77:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::overview\";s:14:\"entity_type_id\";s:4:\"node\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:9:\"node.view\";s:36:\"_access_content_translation_overview\";s:4:\"node\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"node\";a:3:{s:4:\"type\";s:11:\"entity:node\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:35:\"content_translation.overview_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":517:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"node\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:42:\"#^/node/(?P<node>[^/]++)/translations$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/translations\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"node\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"node\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:20:\"/node/%/translations\";s:8:\"numParts\";i:3;}}}}\";s:23:\"entity.node.delete_form\";s:1258:\"C:31:\"Symfony\\Component\\Routing\\Route\":1212:{a:9:{s:4:\"path\";s:19:\"/node/{node}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:11:\"node.delete\";s:6:\"_title\";s:6:\"Delete\";}s:12:\"requirements\";a:2:{s:4:\"node\";s:3:\"\\d+\";s:14:\"_entity_access\";s:11:\"node.delete\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:21:\"_node_operation_route\";b:1;s:12:\"_admin_route\";b:1;s:10:\"parameters\";a:1:{s:4:\"node\";a:2:{s:4:\"type\";s:11:\"entity:node\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":492:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"node\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:33:\"#^/node/(?P<node>\\d+)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"node\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"node\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:14:\"/node/%/delete\";s:8:\"numParts\";i:3;}}}}\";s:21:\"entity.node.edit_form\";s:1221:\"C:31:\"Symfony\\Component\\Routing\\Route\":1175:{a:9:{s:4:\"path\";s:17:\"/node/{node}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:12:\"_entity_form\";s:9:\"node.edit\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:11:\"node.update\";s:4:\"node\";s:3:\"\\d+\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:21:\"_node_operation_route\";b:1;s:12:\"_admin_route\";b:1;s:10:\"parameters\";a:1:{s:4:\"node\";a:2:{s:4:\"type\";s:11:\"entity:node\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":486:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"node\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:31:\"#^/node/(?P<node>\\d+)/edit$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"node\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"node\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:12:\"/node/%/edit\";s:8:\"numParts\";i:3;}}}}\";s:19:\"entity.node.preview\";s:1521:\"C:31:\"Symfony\\Component\\Routing\\Route\":1475:{a:9:{s:4:\"path\";s:43:\"/node/preview/{node_preview}/{view_mode_id}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:51:\"\\Drupal\\node\\Controller\\NodePreviewController::view\";s:15:\"_title_callback\";s:52:\"\\Drupal\\node\\Controller\\NodePreviewController::title\";}s:12:\"requirements\";a:1:{s:20:\"_node_preview_access\";s:14:\"{node_preview}\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"node_preview\";a:2:{s:4:\"type\";s:12:\"node_preview\";s:9:\"converter\";s:42:\"drupal.proxy_original_service.node_preview\";}}s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:25:\"access_check.node.preview\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":667:{a:11:{s:4:\"vars\";a:2:{i:0;s:12:\"node_preview\";i:1;s:12:\"view_mode_id\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:70:\"#^/node/preview/(?P<node_preview>[^/]++)/(?P<view_mode_id>[^/]++)$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"view_mode_id\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"node_preview\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/node/preview\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"node_preview\";i:1;s:12:\"view_mode_id\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:12;s:14:\"patternOutline\";s:17:\"/node/preview/%/%\";s:8:\"numParts\";i:4;}}}}\";s:20:\"entity.node.revision\";s:1448:\"C:31:\"Symfony\\Component\\Routing\\Route\":1402:{a:9:{s:4:\"path\";s:43:\"/node/{node}/revisions/{node_revision}/view\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:52:\"\\Drupal\\node\\Controller\\NodeController::revisionShow\";s:15:\"_title_callback\";s:57:\"\\Drupal\\node\\Controller\\NodeController::revisionPageTitle\";}s:12:\"requirements\";a:2:{s:21:\"_access_node_revision\";s:4:\"view\";s:4:\"node\";s:3:\"\\d+\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:26:\"access_check.node.revision\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":723:{a:11:{s:4:\"vars\";a:2:{i:0;s:4:\"node\";i:1;s:13:\"node_revision\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:67:\"#^/node/(?P<node>\\d+)/revisions/(?P<node_revision>[^/]++)/view$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/view\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"node_revision\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/revisions\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"node\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:2:{i:0;s:4:\"node\";i:1;s:13:\"node_revision\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:21;s:14:\"patternOutline\";s:24:\"/node/%/revisions/%/view\";s:8:\"numParts\";i:5;}}}}\";s:27:\"entity.node.version_history\";s:1324:\"C:31:\"Symfony\\Component\\Routing\\Route\":1278:{a:9:{s:4:\"path\";s:22:\"/node/{node}/revisions\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:6:\"_title\";s:9:\"Revisions\";s:11:\"_controller\";s:56:\"\\Drupal\\node\\Controller\\NodeController::revisionOverview\";}s:12:\"requirements\";a:2:{s:21:\"_access_node_revision\";s:4:\"view\";s:4:\"node\";s:3:\"\\d+\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:21:\"_node_operation_route\";b:1;s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:10:\"parameters\";a:1:{s:4:\"node\";a:2:{s:4:\"type\";s:11:\"entity:node\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:26:\"access_check.node.revision\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":502:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"node\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:36:\"#^/node/(?P<node>\\d+)/revisions$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/revisions\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"node\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"node\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:17:\"/node/%/revisions\";s:8:\"numParts\";i:3;}}}}\";s:30:\"entity.taxonomy_term.canonical\";s:1708:\"C:31:\"Symfony\\Component\\Routing\\Route\":1662:{a:9:{s:4:\"path\";s:30:\"/taxonomy/term/{taxonomy_term}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:6:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:0:\"\";s:7:\"view_id\";s:13:\"taxonomy_term\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;s:15:\"_title_callback\";s:57:\"\\Drupal\\taxonomy\\Controller\\TaxonomyController::termTitle\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:9:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:1:{s:5:\"arg_0\";s:13:\"taxonomy_term\";}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:13:\"taxonomy_term\";a:2:{s:4:\"type\";s:20:\"entity:taxonomy_term\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":508:{a:11:{s:4:\"vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:47:\"#^/taxonomy/term/(?P<taxonomy_term>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"taxonomy_term\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/taxonomy/term\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:16:\"/taxonomy/term/%\";s:8:\"numParts\";i:3;}}}}\";s:44:\"entity.taxonomy_term.content_translation_add\";s:2131:\"C:31:\"Symfony\\Component\\Routing\\Route\":2085:{a:9:{s:4:\"path\";s:65:\"/taxonomy/term/{taxonomy_term}/translations/add/{source}/{target}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:72:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::add\";s:6:\"source\";N;s:6:\"target\";N;s:6:\"_title\";s:3:\"Add\";s:14:\"entity_type_id\";s:13:\"taxonomy_term\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:18:\"taxonomy_term.view\";s:34:\"_access_content_translation_manage\";s:6:\"create\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:3:{s:6:\"source\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:6:\"target\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:13:\"taxonomy_term\";a:3:{s:4:\"type\";s:20:\"entity:taxonomy_term\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":880:{a:11:{s:4:\"vars\";a:3:{i:0;s:13:\"taxonomy_term\";i:1;s:6:\"source\";i:2;s:6:\"target\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:112:\"#^/taxonomy/term/(?P<taxonomy_term>[^/]++)/translations/add(?:/(?P<source>[^/]++)(?:/(?P<target>[^/]++))?)?$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"target\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"source\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/translations/add\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"taxonomy_term\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/taxonomy/term\";}}s:9:\"path_vars\";a:3:{i:0;s:13:\"taxonomy_term\";i:1;s:6:\"source\";i:2;s:6:\"target\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:27;s:14:\"patternOutline\";s:33:\"/taxonomy/term/%/translations/add\";s:8:\"numParts\";i:7;}}}}\";s:47:\"entity.taxonomy_term.content_translation_delete\";s:1769:\"C:31:\"Symfony\\Component\\Routing\\Route\":1723:{a:9:{s:4:\"path\";s:61:\"/taxonomy/term/{taxonomy_term}/translations/delete/{language}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:42:\"taxonomy_term.content_translation_deletion\";s:8:\"language\";N;s:6:\"_title\";s:6:\"Delete\";s:14:\"entity_type_id\";s:13:\"taxonomy_term\";}s:12:\"requirements\";a:1:{s:34:\"_access_content_translation_manage\";s:6:\"delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:8:\"language\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:13:\"taxonomy_term\";a:3:{s:4:\"type\";s:20:\"entity:taxonomy_term\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":755:{a:11:{s:4:\"vars\";a:2:{i:0;s:13:\"taxonomy_term\";i:1;s:8:\"language\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:93:\"#^/taxonomy/term/(?P<taxonomy_term>[^/]++)/translations/delete(?:/(?P<language>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"language\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/translations/delete\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"taxonomy_term\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/taxonomy/term\";}}s:9:\"path_vars\";a:2:{i:0;s:13:\"taxonomy_term\";i:1;s:8:\"language\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:27;s:14:\"patternOutline\";s:36:\"/taxonomy/term/%/translations/delete\";s:8:\"numParts\";i:6;}}}}\";s:45:\"entity.taxonomy_term.content_translation_edit\";s:1789:\"C:31:\"Symfony\\Component\\Routing\\Route\":1743:{a:9:{s:4:\"path\";s:59:\"/taxonomy/term/{taxonomy_term}/translations/edit/{language}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:11:\"_controller\";s:73:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::edit\";s:8:\"language\";N;s:6:\"_title\";s:4:\"Edit\";s:14:\"entity_type_id\";s:13:\"taxonomy_term\";}s:12:\"requirements\";a:1:{s:34:\"_access_content_translation_manage\";s:6:\"update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:8:\"language\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:13:\"taxonomy_term\";a:3:{s:4:\"type\";s:20:\"entity:taxonomy_term\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":749:{a:11:{s:4:\"vars\";a:2:{i:0;s:13:\"taxonomy_term\";i:1;s:8:\"language\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:91:\"#^/taxonomy/term/(?P<taxonomy_term>[^/]++)/translations/edit(?:/(?P<language>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"language\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/translations/edit\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"taxonomy_term\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/taxonomy/term\";}}s:9:\"path_vars\";a:2:{i:0;s:13:\"taxonomy_term\";i:1;s:8:\"language\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:27;s:14:\"patternOutline\";s:34:\"/taxonomy/term/%/translations/edit\";s:8:\"numParts\";i:6;}}}}\";s:49:\"entity.taxonomy_term.content_translation_overview\";s:1544:\"C:31:\"Symfony\\Component\\Routing\\Route\":1498:{a:9:{s:4:\"path\";s:43:\"/taxonomy/term/{taxonomy_term}/translations\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:77:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::overview\";s:14:\"entity_type_id\";s:13:\"taxonomy_term\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:18:\"taxonomy_term.view\";s:36:\"_access_content_translation_overview\";s:13:\"taxonomy_term\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:13:\"taxonomy_term\";a:3:{s:4:\"type\";s:20:\"entity:taxonomy_term\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:35:\"content_translation.overview_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":585:{a:11:{s:4:\"vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:60:\"#^/taxonomy/term/(?P<taxonomy_term>[^/]++)/translations$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/translations\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"taxonomy_term\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/taxonomy/term\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:13;s:14:\"patternOutline\";s:29:\"/taxonomy/term/%/translations\";s:8:\"numParts\";i:4;}}}}\";s:32:\"entity.taxonomy_term.delete_form\";s:1364:\"C:31:\"Symfony\\Component\\Routing\\Route\":1318:{a:9:{s:4:\"path\";s:37:\"/taxonomy/term/{taxonomy_term}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:20:\"taxonomy_term.delete\";s:6:\"_title\";s:11:\"Delete term\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:20:\"taxonomy_term.delete\";s:13:\"taxonomy_term\";s:3:\"\\d+\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:13:\"taxonomy_term\";a:2:{s:4:\"type\";s:20:\"entity:taxonomy_term\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":560:{a:11:{s:4:\"vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:51:\"#^/taxonomy/term/(?P<taxonomy_term>\\d+)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:13:\"taxonomy_term\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/taxonomy/term\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:13;s:14:\"patternOutline\";s:23:\"/taxonomy/term/%/delete\";s:8:\"numParts\";i:4;}}}}\";s:30:\"entity.taxonomy_term.edit_form\";s:1354:\"C:31:\"Symfony\\Component\\Routing\\Route\":1308:{a:9:{s:4:\"path\";s:35:\"/taxonomy/term/{taxonomy_term}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:21:\"taxonomy_term.default\";s:6:\"_title\";s:9:\"Edit term\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:20:\"taxonomy_term.update\";s:13:\"taxonomy_term\";s:3:\"\\d+\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:13:\"taxonomy_term\";a:2:{s:4:\"type\";s:20:\"entity:taxonomy_term\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":554:{a:11:{s:4:\"vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:49:\"#^/taxonomy/term/(?P<taxonomy_term>\\d+)/edit$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:13:\"taxonomy_term\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/taxonomy/term\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:13;s:14:\"patternOutline\";s:21:\"/taxonomy/term/%/edit\";s:8:\"numParts\";i:4;}}}}\";s:23:\"entity.user.cancel_form\";s:1234:\"C:31:\"Symfony\\Component\\Routing\\Route\":1188:{a:9:{s:4:\"path\";s:19:\"/user/{user}/cancel\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:6:\"_title\";s:14:\"Cancel account\";s:12:\"_entity_form\";s:11:\"user.cancel\";}s:12:\"requirements\";a:2:{s:4:\"user\";s:3:\"\\d+\";s:14:\"_entity_access\";s:11:\"user.delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:10:\"parameters\";a:1:{s:4:\"user\";a:2:{s:4:\"type\";s:11:\"entity:user\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":492:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"user\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:33:\"#^/user/(?P<user>\\d+)/cancel$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/cancel\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"user\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/user\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"user\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:14:\"/user/%/cancel\";s:8:\"numParts\";i:3;}}}}\";s:21:\"entity.user.canonical\";s:1183:\"C:31:\"Symfony\\Component\\Routing\\Route\":1137:{a:9:{s:4:\"path\";s:12:\"/user/{user}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_view\";s:9:\"user.full\";s:15:\"_title_callback\";s:48:\"Drupal\\user\\Controller\\UserController::userTitle\";}s:12:\"requirements\";a:2:{s:4:\"user\";s:3:\"\\d+\";s:14:\"_entity_access\";s:9:\"user.view\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"user\";a:2:{s:4:\"type\";s:11:\"entity:user\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":434:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"user\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:26:\"#^/user/(?P<user>\\d+)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"user\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/user\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"user\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:2;s:14:\"patternOutline\";s:7:\"/user/%\";s:8:\"numParts\";i:2;}}}}\";s:24:\"entity.user.contact_form\";s:1275:\"C:31:\"Symfony\\Component\\Routing\\Route\":1229:{a:9:{s:4:\"path\";s:20:\"/user/{user}/contact\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:6:\"_title\";s:7:\"Contact\";s:11:\"_controller\";s:65:\"\\Drupal\\contact\\Controller\\ContactController::contactPersonalPage\";}s:12:\"requirements\";a:2:{s:28:\"_access_contact_personal_tab\";s:4:\"TRUE\";s:4:\"user\";s:3:\"\\d+\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:4:\"user\";a:2:{s:4:\"type\";s:11:\"entity:user\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:29:\"access_check.contact_personal\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":495:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"user\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:34:\"#^/user/(?P<user>\\d+)/contact$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/contact\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"user\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/user\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"user\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:15:\"/user/%/contact\";s:8:\"numParts\";i:3;}}}}\";s:35:\"entity.user.content_translation_add\";s:2006:\"C:31:\"Symfony\\Component\\Routing\\Route\":1960:{a:9:{s:4:\"path\";s:47:\"/user/{user}/translations/add/{source}/{target}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:72:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::add\";s:6:\"source\";N;s:6:\"target\";N;s:6:\"_title\";s:3:\"Add\";s:14:\"entity_type_id\";s:4:\"user\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:9:\"user.view\";s:34:\"_access_content_translation_manage\";s:6:\"create\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:3:{s:6:\"source\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:6:\"target\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:4:\"user\";a:3:{s:4:\"type\";s:11:\"entity:user\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":812:{a:11:{s:4:\"vars\";a:3:{i:0;s:4:\"user\";i:1;s:6:\"source\";i:2;s:6:\"target\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:94:\"#^/user/(?P<user>[^/]++)/translations/add(?:/(?P<source>[^/]++)(?:/(?P<target>[^/]++))?)?$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"target\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"source\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/translations/add\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"user\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/user\";}}s:9:\"path_vars\";a:3:{i:0;s:4:\"user\";i:1;s:6:\"source\";i:2;s:6:\"target\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:11;s:14:\"patternOutline\";s:24:\"/user/%/translations/add\";s:8:\"numParts\";i:6;}}}}\";s:38:\"entity.user.content_translation_delete\";s:1646:\"C:31:\"Symfony\\Component\\Routing\\Route\":1600:{a:9:{s:4:\"path\";s:43:\"/user/{user}/translations/delete/{language}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:33:\"user.content_translation_deletion\";s:8:\"language\";N;s:6:\"_title\";s:6:\"Delete\";s:14:\"entity_type_id\";s:4:\"user\";}s:12:\"requirements\";a:1:{s:34:\"_access_content_translation_manage\";s:6:\"delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:8:\"language\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:4:\"user\";a:3:{s:4:\"type\";s:11:\"entity:user\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":688:{a:11:{s:4:\"vars\";a:2:{i:0;s:4:\"user\";i:1;s:8:\"language\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:75:\"#^/user/(?P<user>[^/]++)/translations/delete(?:/(?P<language>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"language\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/translations/delete\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"user\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/user\";}}s:9:\"path_vars\";a:2:{i:0;s:4:\"user\";i:1;s:8:\"language\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:11;s:14:\"patternOutline\";s:27:\"/user/%/translations/delete\";s:8:\"numParts\";i:5;}}}}\";s:36:\"entity.user.content_translation_edit\";s:1675:\"C:31:\"Symfony\\Component\\Routing\\Route\":1629:{a:9:{s:4:\"path\";s:41:\"/user/{user}/translations/edit/{language}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:11:\"_controller\";s:73:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::edit\";s:8:\"language\";N;s:6:\"_title\";s:4:\"Edit\";s:14:\"entity_type_id\";s:4:\"user\";}s:12:\"requirements\";a:1:{s:34:\"_access_content_translation_manage\";s:6:\"update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:8:\"language\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:4:\"user\";a:3:{s:4:\"type\";s:11:\"entity:user\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":682:{a:11:{s:4:\"vars\";a:2:{i:0;s:4:\"user\";i:1;s:8:\"language\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:73:\"#^/user/(?P<user>[^/]++)/translations/edit(?:/(?P<language>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"language\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/translations/edit\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"user\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/user\";}}s:9:\"path_vars\";a:2:{i:0;s:4:\"user\";i:1;s:8:\"language\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:11;s:14:\"patternOutline\";s:25:\"/user/%/translations/edit\";s:8:\"numParts\";i:5;}}}}\";s:40:\"entity.user.content_translation_overview\";s:1409:\"C:31:\"Symfony\\Component\\Routing\\Route\":1363:{a:9:{s:4:\"path\";s:25:\"/user/{user}/translations\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:77:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::overview\";s:14:\"entity_type_id\";s:4:\"user\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:9:\"user.view\";s:36:\"_access_content_translation_overview\";s:4:\"user\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"user\";a:3:{s:4:\"type\";s:11:\"entity:user\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:35:\"content_translation.overview_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":517:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"user\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:42:\"#^/user/(?P<user>[^/]++)/translations$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/translations\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"user\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/user\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"user\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:20:\"/user/%/translations\";s:8:\"numParts\";i:3;}}}}\";s:21:\"entity.user.edit_form\";s:1271:\"C:31:\"Symfony\\Component\\Routing\\Route\":1225:{a:9:{s:4:\"path\";s:17:\"/user/{user}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:12:\"user.default\";s:15:\"_title_callback\";s:48:\"Drupal\\user\\Controller\\UserController::userTitle\";}s:12:\"requirements\";a:2:{s:4:\"user\";s:3:\"\\d+\";s:14:\"_entity_access\";s:11:\"user.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:10:\"parameters\";a:1:{s:4:\"user\";a:2:{s:4:\"type\";s:11:\"entity:user\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":486:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"user\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:31:\"#^/user/(?P<user>\\d+)/edit$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"user\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/user\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"user\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:12:\"/user/%/edit\";s:8:\"numParts\";i:3;}}}}\";s:18:\"file.ajax_progress\";s:1062:\"C:31:\"Symfony\\Component\\Routing\\Route\":1016:{a:9:{s:4:\"path\";s:20:\"/file/progress/{key}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:58:\"\\Drupal\\file\\Controller\\FileWidgetAjaxController::progress\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:14:\"access content\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":465:{a:11:{s:4:\"vars\";a:1:{i:0;s:3:\"key\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:37:\"#^/file/progress/(?P<key>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:3:\"key\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/file/progress\";}}s:9:\"path_vars\";a:1:{i:0;s:3:\"key\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:16:\"/file/progress/%\";s:8:\"numParts\";i:3;}}}}\";s:11:\"filter.tips\";s:1273:\"C:31:\"Symfony\\Component\\Routing\\Route\":1227:{a:9:{s:4:\"path\";s:28:\"/filter/tips/{filter_format}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:54:\"\\Drupal\\filter\\Controller\\FilterController::filterTips\";s:6:\"_title\";s:12:\"Compose tips\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:17:\"filter_format.use\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:13:\"filter_format\";a:2:{s:4:\"type\";s:20:\"entity:filter_format\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":502:{a:11:{s:4:\"vars\";a:1:{i:0;s:13:\"filter_format\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:45:\"#^/filter/tips/(?P<filter_format>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"filter_format\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:12:\"/filter/tips\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"filter_format\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:14:\"/filter/tips/%\";s:8:\"numParts\";i:3;}}}}\";s:15:\"filter.tips_all\";s:1067:\"C:31:\"Symfony\\Component\\Routing\\Route\":1021:{a:9:{s:4:\"path\";s:12:\"/filter/tips\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:54:\"\\Drupal\\filter\\Controller\\FilterController::filterTips\";s:6:\"_title\";s:12:\"Compose tips\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:13:\"filter_format\";a:2:{s:4:\"type\";s:20:\"entity:filter_format\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":333:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:19:\"#^/filter/tips$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:12:\"/filter/tips\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:12:\"/filter/tips\";s:8:\"numParts\";i:2;}}}}\";s:26:\"history.get_last_node_view\";s:1014:\"C:31:\"Symfony\\Component\\Routing\\Route\":969:{a:9:{s:4:\"path\";s:33:\"/history/get_node_read_timestamps\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:67:\"\\Drupal\\history\\Controller\\HistoryController::getNodeReadTimestamps\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:14:\"access content\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":396:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:40:\"#^/history/get_node_read_timestamps$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:33:\"/history/get_node_read_timestamps\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:33:\"/history/get_node_read_timestamps\";s:8:\"numParts\";i:2;}}}}\";s:17:\"history.read_node\";s:1218:\"C:31:\"Symfony\\Component\\Routing\\Route\":1172:{a:9:{s:4:\"path\";s:20:\"/history/{node}/read\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:54:\"\\Drupal\\history\\Controller\\HistoryController::readNode\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:9:\"node.view\";s:4:\"node\";s:3:\"\\d+\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:4:\"node\";a:2:{s:4:\"type\";s:11:\"entity:node\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":495:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"node\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:34:\"#^/history/(?P<node>\\d+)/read$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/read\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"node\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/history\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"node\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:15:\"/history/%/read\";s:8:\"numParts\";i:3;}}}}\";s:10:\"image.info\";s:2089:\"C:31:\"Symfony\\Component\\Routing\\Route\":2043:{a:9:{s:4:\"path\";s:83:\"/quickedit/image/info/{entity_type}/{entity}/{field_name}/{langcode}/{view_mode_id}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:58:\"\\Drupal\\image\\Controller\\QuickEditImageController::getInfo\";}s:12:\"requirements\";a:3:{s:11:\"_permission\";s:23:\"access in-place editing\";s:30:\"_access_quickedit_entity_field\";s:4:\"TRUE\";s:7:\"_method\";s:3:\"GET\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:6:\"entity\";a:2:{s:4:\"type\";s:20:\"entity:{entity_type}\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:35:\"access_check.quickedit.entity_field\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":1130:{a:11:{s:4:\"vars\";a:5:{i:0;s:11:\"entity_type\";i:1;s:6:\"entity\";i:2;s:10:\"field_name\";i:3;s:8:\"langcode\";i:4;s:12:\"view_mode_id\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:140:\"#^/quickedit/image/info/(?P<entity_type>[^/]++)/(?P<entity>[^/]++)/(?P<field_name>[^/]++)/(?P<langcode>[^/]++)/(?P<view_mode_id>[^/]++)$#sDu\";s:11:\"path_tokens\";a:6:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"view_mode_id\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:10:\"field_name\";i:4;b:1;}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"entity\";i:4;b:1;}i:4;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"entity_type\";i:4;b:1;}i:5;a:2:{i:0;s:4:\"text\";i:1;s:21:\"/quickedit/image/info\";}}s:9:\"path_vars\";a:5:{i:0;s:11:\"entity_type\";i:1;s:6:\"entity\";i:2;s:10:\"field_name\";i:3;s:8:\"langcode\";i:4;s:12:\"view_mode_id\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:224;s:14:\"patternOutline\";s:31:\"/quickedit/image/info/%/%/%/%/%\";s:8:\"numParts\";i:8;}}}}\";s:19:\"image.style_private\";s:1393:\"C:31:\"Symfony\\Component\\Routing\\Route\":1347:{a:9:{s:4:\"path\";s:43:\"/system/files/styles/{image_style}/{scheme}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:62:\"\\Drupal\\image\\Controller\\ImageStyleDownloadController::deliver\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:11:\"image_style\";a:2:{s:4:\"type\";s:18:\"entity:image_style\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":657:{a:11:{s:4:\"vars\";a:2:{i:0;s:11:\"image_style\";i:1;s:6:\"scheme\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:70:\"#^/system/files/styles/(?P<image_style>[^/]++)/(?P<scheme>[^/]++)$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"scheme\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"image_style\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/system/files/styles\";}}s:9:\"path_vars\";a:2:{i:0;s:11:\"image_style\";i:1;s:6:\"scheme\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:28;s:14:\"patternOutline\";s:24:\"/system/files/styles/%/%\";s:8:\"numParts\";i:5;}}}}\";s:18:\"image.style_public\";s:1420:\"C:31:\"Symfony\\Component\\Routing\\Route\":1374:{a:9:{s:4:\"path\";s:50:\"/sites/default/files/styles/{image_style}/{scheme}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:61:\"Drupal\\image\\Controller\\ImageStyleDownloadController::deliver\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:11:\"image_style\";a:2:{s:4:\"type\";s:18:\"entity:image_style\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":678:{a:11:{s:4:\"vars\";a:2:{i:0;s:11:\"image_style\";i:1;s:6:\"scheme\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:77:\"#^/sites/default/files/styles/(?P<image_style>[^/]++)/(?P<scheme>[^/]++)$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"scheme\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"image_style\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:27:\"/sites/default/files/styles\";}}s:9:\"path_vars\";a:2:{i:0;s:11:\"image_style\";i:1;s:6:\"scheme\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:60;s:14:\"patternOutline\";s:31:\"/sites/default/files/styles/%/%\";s:8:\"numParts\";i:6;}}}}\";s:12:\"image.upload\";s:2097:\"C:31:\"Symfony\\Component\\Routing\\Route\":2051:{a:9:{s:4:\"path\";s:85:\"/quickedit/image/upload/{entity_type}/{entity}/{field_name}/{langcode}/{view_mode_id}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:57:\"\\Drupal\\image\\Controller\\QuickEditImageController::upload\";}s:12:\"requirements\";a:3:{s:11:\"_permission\";s:23:\"access in-place editing\";s:30:\"_access_quickedit_entity_field\";s:4:\"TRUE\";s:7:\"_method\";s:4:\"POST\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:6:\"entity\";a:2:{s:4:\"type\";s:20:\"entity:{entity_type}\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:35:\"access_check.quickedit.entity_field\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":1136:{a:11:{s:4:\"vars\";a:5:{i:0;s:11:\"entity_type\";i:1;s:6:\"entity\";i:2;s:10:\"field_name\";i:3;s:8:\"langcode\";i:4;s:12:\"view_mode_id\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:142:\"#^/quickedit/image/upload/(?P<entity_type>[^/]++)/(?P<entity>[^/]++)/(?P<field_name>[^/]++)/(?P<langcode>[^/]++)/(?P<view_mode_id>[^/]++)$#sDu\";s:11:\"path_tokens\";a:6:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"view_mode_id\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:10:\"field_name\";i:4;b:1;}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"entity\";i:4;b:1;}i:4;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"entity_type\";i:4;b:1;}i:5;a:2:{i:0;s:4:\"text\";i:1;s:23:\"/quickedit/image/upload\";}}s:9:\"path_vars\";a:5:{i:0;s:11:\"entity_type\";i:1;s:6:\"entity\";i:2;s:10:\"field_name\";i:3;s:8:\"langcode\";i:4;s:12:\"view_mode_id\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:224;s:14:\"patternOutline\";s:33:\"/quickedit/image/upload/%/%/%/%/%\";s:8:\"numParts\";i:8;}}}}\";s:8:\"node.add\";s:1330:\"C:31:\"Symfony\\Component\\Routing\\Route\":1284:{a:9:{s:4:\"path\";s:21:\"/node/add/{node_type}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:12:\"node.default\";s:15:\"_title_callback\";s:52:\"\\Drupal\\node\\Controller\\NodeController::addPageTitle\";}s:12:\"requirements\";a:1:{s:16:\"_node_add_access\";s:16:\"node:{node_type}\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:21:\"_node_operation_route\";b:1;s:10:\"parameters\";a:1:{s:9:\"node_type\";a:3:{s:4:\"type\";s:16:\"entity:node_type\";s:21:\"with_config_overrides\";b:1;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:21:\"access_check.node.add\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":473:{a:11:{s:4:\"vars\";a:1:{i:0;s:9:\"node_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:38:\"#^/node/add/(?P<node_type>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:9:\"/node/add\";}}s:9:\"path_vars\";a:1:{i:0;s:9:\"node_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:11:\"/node/add/%\";s:8:\"numParts\";i:3;}}}}\";s:13:\"node.add_page\";s:976:\"C:31:\"Symfony\\Component\\Routing\\Route\":931:{a:9:{s:4:\"path\";s:9:\"/node/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:6:\"_title\";s:11:\"Add content\";s:11:\"_controller\";s:47:\"\\Drupal\\node\\Controller\\NodeController::addPage\";}s:12:\"requirements\";a:1:{s:16:\"_node_add_access\";s:4:\"node\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:21:\"_node_operation_route\";b:1;s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:21:\"access_check.node.add\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":322:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:16:\"#^/node/add$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:9:\"/node/add\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:9:\"/node/add\";s:8:\"numParts\";i:2;}}}}\";s:28:\"node.revision_delete_confirm\";s:1452:\"C:31:\"Symfony\\Component\\Routing\\Route\":1406:{a:9:{s:4:\"path\";s:45:\"/node/{node}/revisions/{node_revision}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:40:\"\\Drupal\\node\\Form\\NodeRevisionDeleteForm\";s:6:\"_title\";s:23:\"Delete earlier revision\";}s:12:\"requirements\";a:2:{s:21:\"_access_node_revision\";s:6:\"delete\";s:4:\"node\";s:3:\"\\d+\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:21:\"_node_operation_route\";b:1;s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:26:\"access_check.node.revision\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":729:{a:11:{s:4:\"vars\";a:2:{i:0;s:4:\"node\";i:1;s:13:\"node_revision\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:69:\"#^/node/(?P<node>\\d+)/revisions/(?P<node_revision>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"node_revision\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/revisions\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"node\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:2:{i:0;s:4:\"node\";i:1;s:13:\"node_revision\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:21;s:14:\"patternOutline\";s:26:\"/node/%/revisions/%/delete\";s:8:\"numParts\";i:5;}}}}\";s:28:\"node.revision_revert_confirm\";s:1455:\"C:31:\"Symfony\\Component\\Routing\\Route\":1409:{a:9:{s:4:\"path\";s:45:\"/node/{node}/revisions/{node_revision}/revert\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:40:\"\\Drupal\\node\\Form\\NodeRevisionRevertForm\";s:6:\"_title\";s:26:\"Revert to earlier revision\";}s:12:\"requirements\";a:2:{s:21:\"_access_node_revision\";s:6:\"update\";s:4:\"node\";s:3:\"\\d+\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:21:\"_node_operation_route\";b:1;s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:26:\"access_check.node.revision\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":729:{a:11:{s:4:\"vars\";a:2:{i:0;s:4:\"node\";i:1;s:13:\"node_revision\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:69:\"#^/node/(?P<node>\\d+)/revisions/(?P<node_revision>[^/]++)/revert$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/revert\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"node_revision\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/revisions\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"node\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:2:{i:0;s:4:\"node\";i:1;s:13:\"node_revision\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:21;s:14:\"patternOutline\";s:26:\"/node/%/revisions/%/revert\";s:8:\"numParts\";i:5;}}}}\";s:40:\"node.revision_revert_translation_confirm\";s:1640:\"C:31:\"Symfony\\Component\\Routing\\Route\":1594:{a:9:{s:4:\"path\";s:56:\"/node/{node}/revisions/{node_revision}/revert/{langcode}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:51:\"\\Drupal\\node\\Form\\NodeRevisionRevertTranslationForm\";s:6:\"_title\";s:43:\"Revert to earlier revision of a translation\";}s:12:\"requirements\";a:2:{s:21:\"_access_node_revision\";s:6:\"update\";s:4:\"node\";s:3:\"\\d+\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:21:\"_node_operation_route\";b:1;s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:26:\"access_check.node.revision\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":875:{a:11:{s:4:\"vars\";a:3:{i:0;s:4:\"node\";i:1;s:13:\"node_revision\";i:2;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:90:\"#^/node/(?P<node>\\d+)/revisions/(?P<node_revision>[^/]++)/revert/(?P<langcode>[^/]++)$#sDu\";s:11:\"path_tokens\";a:6:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/revert\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"node_revision\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/revisions\";}i:4;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"node\";i:4;b:1;}i:5;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:3:{i:0;s:4:\"node\";i:1;s:13:\"node_revision\";i:2;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:42;s:14:\"patternOutline\";s:28:\"/node/%/revisions/%/revert/%\";s:8:\"numParts\";i:6;}}}}\";s:14:\"path.admin_add\";s:699:\"C:27:\"Drupal\\Core\\Routing\\BcRoute\":658:{a:9:{s:4:\"path\";s:1:\"/\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:0:{}s:12:\"requirements\";a:0:{}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:8:\"bc_route\";b:1;s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":297:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:8:\"#^/$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:1:\"/\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:1:\"/\";s:8:\"numParts\";i:1;}}}}\";s:15:\"path.admin_edit\";s:699:\"C:27:\"Drupal\\Core\\Routing\\BcRoute\":658:{a:9:{s:4:\"path\";s:1:\"/\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:0:{}s:12:\"requirements\";a:0:{}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:8:\"bc_route\";b:1;s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":297:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:8:\"#^/$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:1:\"/\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:1:\"/\";s:8:\"numParts\";i:1;}}}}\";s:19:\"path.admin_overview\";s:699:\"C:27:\"Drupal\\Core\\Routing\\BcRoute\":658:{a:9:{s:4:\"path\";s:1:\"/\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:0:{}s:12:\"requirements\";a:0:{}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:8:\"bc_route\";b:1;s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":297:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:8:\"#^/$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:1:\"/\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:1:\"/\";s:8:\"numParts\";i:1;}}}}\";s:26:\"path.admin_overview_filter\";s:699:\"C:27:\"Drupal\\Core\\Routing\\BcRoute\":658:{a:9:{s:4:\"path\";s:1:\"/\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:0:{}s:12:\"requirements\";a:0:{}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:8:\"bc_route\";b:1;s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":297:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:8:\"#^/$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:1:\"/\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:1:\"/\";s:8:\"numParts\";i:1;}}}}\";s:11:\"path.delete\";s:699:\"C:27:\"Drupal\\Core\\Routing\\BcRoute\":658:{a:9:{s:4:\"path\";s:1:\"/\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:0:{}s:12:\"requirements\";a:0:{}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:8:\"bc_route\";b:1;s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":297:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:8:\"#^/$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:1:\"/\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:1:\"/\";s:8:\"numParts\";i:1;}}}}\";s:21:\"quickedit.attachments\";s:962:\"C:31:\"Symfony\\Component\\Routing\\Route\":917:{a:9:{s:4:\"path\";s:22:\"/quickedit/attachments\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:50:\"\\Drupal\\quickedit\\QuickEditController::attachments\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:23:\"access in-place editing\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":363:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:29:\"#^/quickedit/attachments$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/quickedit/attachments\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:22:\"/quickedit/attachments\";s:8:\"numParts\";i:2;}}}}\";s:21:\"quickedit.entity_save\";s:1508:\"C:31:\"Symfony\\Component\\Routing\\Route\":1462:{a:9:{s:4:\"path\";s:40:\"/quickedit/entity/{entity_type}/{entity}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:49:\"\\Drupal\\quickedit\\QuickEditController::entitySave\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:23:\"access in-place editing\";s:14:\"_entity_access\";s:13:\"entity.update\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:6:\"entity\";a:2:{s:4:\"type\";s:20:\"entity:{entity_type}\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":648:{a:11:{s:4:\"vars\";a:2:{i:0;s:11:\"entity_type\";i:1;s:6:\"entity\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:67:\"#^/quickedit/entity/(?P<entity_type>[^/]++)/(?P<entity>[^/]++)$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"entity\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"entity_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/quickedit/entity\";}}s:9:\"path_vars\";a:2:{i:0;s:11:\"entity_type\";i:1;s:6:\"entity\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:12;s:14:\"patternOutline\";s:21:\"/quickedit/entity/%/%\";s:8:\"numParts\";i:4;}}}}\";s:20:\"quickedit.field_form\";s:2030:\"C:31:\"Symfony\\Component\\Routing\\Route\":1984:{a:9:{s:4:\"path\";s:77:\"/quickedit/form/{entity_type}/{entity}/{field_name}/{langcode}/{view_mode_id}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:48:\"\\Drupal\\quickedit\\QuickEditController::fieldForm\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:23:\"access in-place editing\";s:30:\"_access_quickedit_entity_field\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:6:\"entity\";a:2:{s:4:\"type\";s:20:\"entity:{entity_type}\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:35:\"access_check.quickedit.entity_field\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":1111:{a:11:{s:4:\"vars\";a:5:{i:0;s:11:\"entity_type\";i:1;s:6:\"entity\";i:2;s:10:\"field_name\";i:3;s:8:\"langcode\";i:4;s:12:\"view_mode_id\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:134:\"#^/quickedit/form/(?P<entity_type>[^/]++)/(?P<entity>[^/]++)/(?P<field_name>[^/]++)/(?P<langcode>[^/]++)/(?P<view_mode_id>[^/]++)$#sDu\";s:11:\"path_tokens\";a:6:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"view_mode_id\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:10:\"field_name\";i:4;b:1;}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"entity\";i:4;b:1;}i:4;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"entity_type\";i:4;b:1;}i:5;a:2:{i:0;s:4:\"text\";i:1;s:15:\"/quickedit/form\";}}s:9:\"path_vars\";a:5:{i:0;s:11:\"entity_type\";i:1;s:6:\"entity\";i:2;s:10:\"field_name\";i:3;s:8:\"langcode\";i:4;s:12:\"view_mode_id\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:96;s:14:\"patternOutline\";s:25:\"/quickedit/form/%/%/%/%/%\";s:8:\"numParts\";i:7;}}}}\";s:18:\"quickedit.metadata\";s:947:\"C:31:\"Symfony\\Component\\Routing\\Route\":902:{a:9:{s:4:\"path\";s:19:\"/quickedit/metadata\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:47:\"\\Drupal\\quickedit\\QuickEditController::metadata\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:23:\"access in-place editing\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":354:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:26:\"#^/quickedit/metadata$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:19:\"/quickedit/metadata\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:19:\"/quickedit/metadata\";s:8:\"numParts\";i:2;}}}}\";s:23:\"search.help_node_search\";s:1198:\"C:31:\"Symfony\\Component\\Routing\\Route\":1152:{a:9:{s:4:\"path\";s:17:\"/search/node/help\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:11:\"_controller\";s:53:\"Drupal\\search\\Controller\\SearchController::searchHelp\";s:6:\"_title\";s:11:\"Search help\";s:6:\"entity\";s:11:\"node_search\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:11:\"entity.view\";s:11:\"_permission\";s:14:\"search content\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:6:\"entity\";a:2:{s:4:\"type\";s:18:\"entity:search_page\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":348:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:24:\"#^/search/node/help$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/search/node/help\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:17:\"/search/node/help\";s:8:\"numParts\";i:3;}}}}\";s:23:\"search.help_user_search\";s:1198:\"C:31:\"Symfony\\Component\\Routing\\Route\":1152:{a:9:{s:4:\"path\";s:17:\"/search/user/help\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:11:\"_controller\";s:53:\"Drupal\\search\\Controller\\SearchController::searchHelp\";s:6:\"_title\";s:11:\"Search help\";s:6:\"entity\";s:11:\"user_search\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:11:\"entity.view\";s:11:\"_permission\";s:14:\"search content\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:6:\"entity\";a:2:{s:4:\"type\";s:18:\"entity:search_page\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":348:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:24:\"#^/search/user/help$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/search/user/help\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:17:\"/search/user/help\";s:8:\"numParts\";i:3;}}}}\";s:11:\"search.view\";s:1157:\"C:31:\"Symfony\\Component\\Routing\\Route\":1111:{a:9:{s:4:\"path\";s:7:\"/search\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:11:\"_controller\";s:61:\"Drupal\\search\\Controller\\SearchController::redirectSearchPage\";s:6:\"_title\";s:6:\"Search\";s:6:\"entity\";s:11:\"node_search\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:11:\"entity.view\";s:11:\"_permission\";s:14:\"search content\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:6:\"entity\";a:2:{s:4:\"type\";s:18:\"entity:search_page\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":316:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:14:\"#^/search$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/search\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:7:\"/search\";s:8:\"numParts\";i:1;}}}}\";s:23:\"search.view_node_search\";s:1166:\"C:31:\"Symfony\\Component\\Routing\\Route\":1120:{a:9:{s:4:\"path\";s:12:\"/search/node\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:11:\"_controller\";s:47:\"Drupal\\search\\Controller\\SearchController::view\";s:6:\"_title\";s:6:\"Search\";s:6:\"entity\";s:11:\"node_search\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:11:\"entity.view\";s:11:\"_permission\";s:14:\"search content\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:6:\"entity\";a:2:{s:4:\"type\";s:18:\"entity:search_page\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":333:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:19:\"#^/search/node$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:12:\"/search/node\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:12:\"/search/node\";s:8:\"numParts\";i:2;}}}}\";s:23:\"search.view_user_search\";s:1166:\"C:31:\"Symfony\\Component\\Routing\\Route\":1120:{a:9:{s:4:\"path\";s:12:\"/search/user\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:11:\"_controller\";s:47:\"Drupal\\search\\Controller\\SearchController::view\";s:6:\"_title\";s:6:\"Search\";s:6:\"entity\";s:11:\"user_search\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:11:\"entity.view\";s:11:\"_permission\";s:14:\"search content\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:6:\"entity\";a:2:{s:4:\"type\";s:18:\"entity:search_page\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":333:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:19:\"#^/search/user$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:12:\"/search/user\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:12:\"/search/user\";s:8:\"numParts\";i:2;}}}}\";s:19:\"shortcut.set_switch\";s:1308:\"C:31:\"Symfony\\Component\\Routing\\Route\":1262:{a:9:{s:4:\"path\";s:22:\"/user/{user}/shortcuts\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:39:\"\\Drupal\\shortcut\\Form\\SwitchShortcutSet\";s:6:\"_title\";s:9:\"Shortcuts\";}s:12:\"requirements\";a:1:{s:14:\"_custom_access\";s:52:\"\\Drupal\\shortcut\\Form\\SwitchShortcutSet::checkAccess\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"user\";s:3:\"\\d+\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:4:\"user\";a:2:{s:4:\"type\";s:11:\"entity:user\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.custom\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":508:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"user\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:39:\"#^/user/(?P<user>[^/]++)/shortcuts$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/shortcuts\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"user\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/user\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"user\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:17:\"/user/%/shortcuts\";s:8:\"numParts\";i:3;}}}}\";s:38:\"simplenews.newsletter_confirm_combined\";s:1516:\"C:31:\"Symfony\\Component\\Routing\\Route\":1470:{a:9:{s:4:\"path\";s:54:\"/newsletter/confirm/combined/{snid}/{timestamp}/{hash}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:69:\"\\Drupal\\simplenews\\Controller\\ConfirmationController::confirmCombined\";s:6:\"_title\";s:32:\"Confirm newsletter subscriptions\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"subscribe to newsletters\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:8:\"no_cache\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":792:{a:11:{s:4:\"vars\";a:3:{i:0;s:4:\"snid\";i:1;s:9:\"timestamp\";i:2;s:4:\"hash\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:91:\"#^/newsletter/confirm/combined/(?P<snid>[^/]++)/(?P<timestamp>[^/]++)/(?P<hash>[^/]++)$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"hash\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"timestamp\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"snid\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:28:\"/newsletter/confirm/combined\";}}s:9:\"path_vars\";a:3:{i:0;s:4:\"snid\";i:1;s:9:\"timestamp\";i:2;s:4:\"hash\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:56;s:14:\"patternOutline\";s:34:\"/newsletter/confirm/combined/%/%/%\";s:8:\"numParts\";i:6;}}}}\";s:48:\"simplenews.newsletter_confirm_combined_immediate\";s:1585:\"C:31:\"Symfony\\Component\\Routing\\Route\":1539:{a:9:{s:4:\"path\";s:57:\"/newsletter/confirm/combined/{snid}/{timestamp}/{hash}/ok\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:11:\"_controller\";s:69:\"\\Drupal\\simplenews\\Controller\\ConfirmationController::confirmCombined\";s:6:\"_title\";s:32:\"Confirm newsletter subscriptions\";s:9:\"immediate\";b:1;}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"subscribe to newsletters\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:8:\"no_cache\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":838:{a:11:{s:4:\"vars\";a:3:{i:0;s:4:\"snid\";i:1;s:9:\"timestamp\";i:2;s:4:\"hash\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:94:\"#^/newsletter/confirm/combined/(?P<snid>[^/]++)/(?P<timestamp>[^/]++)/(?P<hash>[^/]++)/ok$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:3:\"/ok\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"hash\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"timestamp\";i:4;b:1;}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"snid\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:28:\"/newsletter/confirm/combined\";}}s:9:\"path_vars\";a:3:{i:0;s:4:\"snid\";i:1;s:9:\"timestamp\";i:2;s:4:\"hash\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:113;s:14:\"patternOutline\";s:37:\"/newsletter/confirm/combined/%/%/%/ok\";s:8:\"numParts\";i:7;}}}}\";s:42:\"simplenews.newsletter_confirm_subscription\";s:1818:\"C:31:\"Symfony\\Component\\Routing\\Route\":1772:{a:9:{s:4:\"path\";s:70:\"/newsletter/confirm/{action}/{snid}/{newsletter_id}/{timestamp}/{hash}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:73:\"\\Drupal\\simplenews\\Controller\\ConfirmationController::confirmSubscription\";s:6:\"_title\";s:32:\"Confirm newsletter subscriptions\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"subscribe to newsletters\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:8:\"no_cache\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":1073:{a:11:{s:4:\"vars\";a:5:{i:0;s:6:\"action\";i:1;s:4:\"snid\";i:2;s:13:\"newsletter_id\";i:3;s:9:\"timestamp\";i:4;s:4:\"hash\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:127:\"#^/newsletter/confirm/(?P<action>[^/]++)/(?P<snid>[^/]++)/(?P<newsletter_id>[^/]++)/(?P<timestamp>[^/]++)/(?P<hash>[^/]++)$#sDu\";s:11:\"path_tokens\";a:6:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"hash\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"timestamp\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"newsletter_id\";i:4;b:1;}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"snid\";i:4;b:1;}i:4;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"action\";i:4;b:1;}i:5;a:2:{i:0;s:4:\"text\";i:1;s:19:\"/newsletter/confirm\";}}s:9:\"path_vars\";a:5:{i:0;s:6:\"action\";i:1;s:4:\"snid\";i:2;s:13:\"newsletter_id\";i:3;s:9:\"timestamp\";i:4;s:4:\"hash\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:96;s:14:\"patternOutline\";s:29:\"/newsletter/confirm/%/%/%/%/%\";s:8:\"numParts\";i:7;}}}}\";s:52:\"simplenews.newsletter_confirm_subscription_immediate\";s:1887:\"C:31:\"Symfony\\Component\\Routing\\Route\":1841:{a:9:{s:4:\"path\";s:73:\"/newsletter/confirm/{action}/{snid}/{newsletter_id}/{timestamp}/{hash}/ok\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:11:\"_controller\";s:73:\"\\Drupal\\simplenews\\Controller\\ConfirmationController::confirmSubscription\";s:6:\"_title\";s:32:\"Confirm newsletter subscriptions\";s:9:\"immediate\";b:1;}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"subscribe to newsletters\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:8:\"no_cache\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":1119:{a:11:{s:4:\"vars\";a:5:{i:0;s:6:\"action\";i:1;s:4:\"snid\";i:2;s:13:\"newsletter_id\";i:3;s:9:\"timestamp\";i:4;s:4:\"hash\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:130:\"#^/newsletter/confirm/(?P<action>[^/]++)/(?P<snid>[^/]++)/(?P<newsletter_id>[^/]++)/(?P<timestamp>[^/]++)/(?P<hash>[^/]++)/ok$#sDu\";s:11:\"path_tokens\";a:7:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:3:\"/ok\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"hash\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"timestamp\";i:4;b:1;}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"newsletter_id\";i:4;b:1;}i:4;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"snid\";i:4;b:1;}i:5;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"action\";i:4;b:1;}i:6;a:2:{i:0;s:4:\"text\";i:1;s:19:\"/newsletter/confirm\";}}s:9:\"path_vars\";a:5:{i:0;s:6:\"action\";i:1;s:4:\"snid\";i:2;s:13:\"newsletter_id\";i:3;s:9:\"timestamp\";i:4;s:4:\"hash\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:193;s:14:\"patternOutline\";s:32:\"/newsletter/confirm/%/%/%/%/%/ok\";s:8:\"numParts\";i:8;}}}}\";s:35:\"simplenews.newsletter_subscriptions\";s:1002:\"C:31:\"Symfony\\Component\\Routing\\Route\":957:{a:9:{s:4:\"path\";s:25:\"/newsletter/subscriptions\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:26:\"simplenews_subscriber.page\";s:6:\"_title\";s:29:\"Your newsletter subscriptions\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"subscribe to newsletters\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":372:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:32:\"#^/newsletter/subscriptions$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:25:\"/newsletter/subscriptions\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:25:\"/newsletter/subscriptions\";s:8:\"numParts\";i:2;}}}}\";s:45:\"simplenews.newsletter_subscriptions_arguments\";s:1440:\"C:31:\"Symfony\\Component\\Routing\\Route\":1394:{a:9:{s:4:\"path\";s:51:\"/newsletter/subscriptions/{snid}/{timestamp}/{hash}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:26:\"simplenews_subscriber.page\";s:6:\"_title\";s:29:\"Your newsletter subscriptions\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"subscribe to newsletters\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":783:{a:11:{s:4:\"vars\";a:3:{i:0;s:4:\"snid\";i:1;s:9:\"timestamp\";i:2;s:4:\"hash\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:88:\"#^/newsletter/subscriptions/(?P<snid>[^/]++)/(?P<timestamp>[^/]++)/(?P<hash>[^/]++)$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"hash\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"timestamp\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"snid\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:25:\"/newsletter/subscriptions\";}}s:9:\"path_vars\";a:3:{i:0;s:4:\"snid\";i:1;s:9:\"timestamp\";i:2;s:4:\"hash\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:24;s:14:\"patternOutline\";s:31:\"/newsletter/subscriptions/%/%/%\";s:8:\"numParts\";i:5;}}}}\";s:40:\"simplenews.newsletter_subscriptions_user\";s:1276:\"C:31:\"Symfony\\Component\\Routing\\Route\":1230:{a:9:{s:4:\"path\";s:23:\"/user/{user}/simplenews\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:29:\"simplenews_subscriber.account\";s:6:\"_title\";s:11:\"Newsletters\";}s:12:\"requirements\";a:1:{s:14:\"_custom_access\";s:60:\"Drupal\\simplenews\\Form\\SubscriptionsAccountForm::checkAccess\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"user\";a:2:{s:4:\"type\";s:11:\"entity:user\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.custom\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":511:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"user\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:40:\"#^/user/(?P<user>[^/]++)/simplenews$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/simplenews\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"user\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/user\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"user\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:18:\"/user/%/simplenews\";s:8:\"numParts\";i:3;}}}}\";s:19:\"simplenews.node_tab\";s:1303:\"C:31:\"Symfony\\Component\\Routing\\Route\":1257:{a:9:{s:4:\"path\";s:23:\"/node/{node}/simplenews\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:35:\"\\Drupal\\simplenews\\Form\\NodeTabForm\";s:6:\"_title\";s:10:\"Newsletter\";}s:12:\"requirements\";a:1:{s:14:\"_custom_access\";s:47:\"Drupal\\simplenews\\Form\\NodeTabForm::checkAccess\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:8:\"no_cache\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:4:\"node\";a:2:{s:4:\"type\";s:11:\"entity:node\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.custom\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":511:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"node\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:40:\"#^/node/(?P<node>[^/]++)/simplenews$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/simplenews\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"node\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"node\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:18:\"/node/%/simplenews\";s:8:\"numParts\";i:3;}}}}\";s:10:\"system.401\";s:922:\"C:31:\"Symfony\\Component\\Routing\\Route\":877:{a:9:{s:4:\"path\";s:11:\"/system/401\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:49:\"\\Drupal\\system\\Controller\\Http4xxController:on401\";s:6:\"_title\";s:12:\"Unauthorized\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":330:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:18:\"#^/system/401$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/system/401\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:11:\"/system/401\";s:8:\"numParts\";i:2;}}}}\";s:10:\"system.403\";s:923:\"C:31:\"Symfony\\Component\\Routing\\Route\":878:{a:9:{s:4:\"path\";s:11:\"/system/403\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:49:\"\\Drupal\\system\\Controller\\Http4xxController:on403\";s:6:\"_title\";s:13:\"Access denied\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":330:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:18:\"#^/system/403$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/system/403\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:11:\"/system/403\";s:8:\"numParts\";i:2;}}}}\";s:10:\"system.404\";s:924:\"C:31:\"Symfony\\Component\\Routing\\Route\":879:{a:9:{s:4:\"path\";s:11:\"/system/404\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:49:\"\\Drupal\\system\\Controller\\Http4xxController:on404\";s:6:\"_title\";s:14:\"Page not found\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":330:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:18:\"#^/system/404$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/system/404\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:11:\"/system/404\";s:8:\"numParts\";i:2;}}}}\";s:10:\"system.4xx\";s:922:\"C:31:\"Symfony\\Component\\Routing\\Route\":877:{a:9:{s:4:\"path\";s:11:\"/system/4xx\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:49:\"\\Drupal\\system\\Controller\\Http4xxController:on4xx\";s:6:\"_title\";s:12:\"Client error\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":330:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:18:\"#^/system/4xx$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/system/4xx\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:11:\"/system/4xx\";s:8:\"numParts\";i:2;}}}}\";s:22:\"system.batch_page.html\";s:1006:\"C:31:\"Symfony\\Component\\Routing\\Route\":961:{a:9:{s:4:\"path\";s:6:\"/batch\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:52:\"\\Drupal\\system\\Controller\\BatchController::batchPage\";s:15:\"_title_callback\";s:57:\"\\Drupal\\system\\Controller\\BatchController::batchPageTitle\";}s:12:\"requirements\";a:2:{s:7:\"_access\";s:4:\"TRUE\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":313:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:13:\"#^/batch$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:6:\"/batch\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:6:\"/batch\";s:8:\"numParts\";i:1;}}}}\";s:11:\"system.cron\";s:1009:\"C:31:\"Symfony\\Component\\Routing\\Route\":964:{a:9:{s:4:\"path\";s:11:\"/cron/{key}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:34:\"\\Drupal\\system\\CronController::run\";}s:12:\"requirements\";a:1:{s:19:\"_access_system_cron\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:8:\"no_cache\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:17:\"access_check.cron\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":436:{a:11:{s:4:\"vars\";a:1:{i:0;s:3:\"key\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:28:\"#^/cron/(?P<key>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:3:\"key\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/cron\";}}s:9:\"path_vars\";a:1:{i:0;s:3:\"key\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:2;s:14:\"patternOutline\";s:7:\"/cron/%\";s:8:\"numParts\";i:2;}}}}\";s:16:\"system.csrftoken\";s:908:\"C:31:\"Symfony\\Component\\Routing\\Route\":863:{a:9:{s:4:\"path\";s:14:\"/session/token\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:56:\"\\Drupal\\system\\Controller\\CsrfTokenController::csrfToken\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":339:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:21:\"#^/session/token$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/session/token\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:14:\"/session/token\";s:8:\"numParts\";i:2;}}}}\";s:16:\"system.db_update\";s:1041:\"C:31:\"Symfony\\Component\\Routing\\Route\":996:{a:9:{s:4:\"path\";s:16:\"/update.php/{op}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:2:\"op\";s:4:\"info\";}s:12:\"requirements\";a:1:{s:21:\"_access_system_update\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:19:\"default_url_options\";a:1:{s:15:\"path_processing\";b:0;}s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:22:\"access_check.db_update\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":456:{a:11:{s:4:\"vars\";a:1:{i:0;s:2:\"op\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:39:\"#^/update\\.php(?:/(?P<op>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:2:\"op\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/update.php\";}}s:9:\"path_vars\";a:1:{i:0;s:2:\"op\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:11:\"/update.php\";s:8:\"numParts\";i:2;}}}}\";s:26:\"system.entity_autocomplete\";s:1602:\"C:31:\"Symfony\\Component\\Routing\\Route\":1556:{a:9:{s:4:\"path\";s:89:\"/entity_reference_autocomplete/{target_type}/{selection_handler}/{selection_settings_key}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:74:\"\\Drupal\\system\\Controller\\EntityAutocompleteController::handleAutocomplete\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":939:{a:11:{s:4:\"vars\";a:3:{i:0;s:11:\"target_type\";i:1;s:17:\"selection_handler\";i:2;s:22:\"selection_settings_key\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:126:\"#^/entity_reference_autocomplete/(?P<target_type>[^/]++)/(?P<selection_handler>[^/]++)/(?P<selection_settings_key>[^/]++)$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:22:\"selection_settings_key\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:17:\"selection_handler\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"target_type\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:30:\"/entity_reference_autocomplete\";}}s:9:\"path_vars\";a:3:{i:0;s:11:\"target_type\";i:1;s:17:\"selection_handler\";i:2;s:22:\"selection_settings_key\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:8;s:14:\"patternOutline\";s:36:\"/entity_reference_autocomplete/%/%/%\";s:8:\"numParts\";i:4;}}}}\";s:12:\"system.files\";s:1073:\"C:31:\"Symfony\\Component\\Routing\\Route\":1027:{a:9:{s:4:\"path\";s:22:\"/system/files/{scheme}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:47:\"\\Drupal\\system\\FileDownloadController::download\";s:6:\"scheme\";s:7:\"private\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":477:{a:11:{s:4:\"vars\";a:1:{i:0;s:6:\"scheme\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:44:\"#^/system/files(?:/(?P<scheme>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"scheme\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/system/files\";}}s:9:\"path_vars\";a:1:{i:0;s:6:\"scheme\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:13:\"/system/files\";s:8:\"numParts\";i:3;}}}}\";s:33:\"system.machine_name_transliterate\";s:974:\"C:31:\"Symfony\\Component\\Routing\\Route\":929:{a:9:{s:4:\"path\";s:27:\"/machine_name/transliterate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:51:\"\\Drupal\\system\\MachineNameController::transliterate\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:14:\"access content\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":378:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:34:\"#^/machine_name/transliterate$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:27:\"/machine_name/transliterate\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:27:\"/machine_name/transliterate\";s:8:\"numParts\";i:2;}}}}\";s:28:\"system.private_file_download\";s:1069:\"C:31:\"Symfony\\Component\\Routing\\Route\":1023:{a:9:{s:4:\"path\";s:24:\"/system/files/{filepath}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:47:\"\\Drupal\\system\\FileDownloadController::download\";}s:12:\"requirements\";a:2:{s:8:\"filepath\";s:2:\".+\";s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":474:{a:11:{s:4:\"vars\";a:1:{i:0;s:8:\"filepath\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:37:\"#^/system/files/(?P<filepath>.+)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:2:\".+\";i:3;s:8:\"filepath\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/system/files\";}}s:9:\"path_vars\";a:1:{i:0;s:8:\"filepath\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:15:\"/system/files/%\";s:8:\"numParts\";i:3;}}}}\";s:16:\"system.temporary\";s:940:\"C:31:\"Symfony\\Component\\Routing\\Route\":895:{a:9:{s:4:\"path\";s:17:\"/system/temporary\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:47:\"\\Drupal\\system\\FileDownloadController::download\";s:6:\"scheme\";s:9:\"temporary\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":348:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:24:\"#^/system/temporary$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/system/temporary\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:17:\"/system/temporary\";s:8:\"numParts\";i:2;}}}}\";s:15:\"system.timezone\";s:1568:\"C:31:\"Symfony\\Component\\Routing\\Route\":1522:{a:9:{s:4:\"path\";s:66:\"/system/timezone/{abbreviation}/{offset}/{is_daylight_saving_time}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:11:\"_controller\";s:57:\"\\Drupal\\system\\Controller\\TimezoneController::getTimezone\";s:12:\"abbreviation\";s:0:\"\";s:6:\"offset\";i:-1;s:23:\"is_daylight_saving_time\";N;}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":867:{a:11:{s:4:\"vars\";a:3:{i:0;s:12:\"abbreviation\";i:1;s:6:\"offset\";i:2;s:23:\"is_daylight_saving_time\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:118:\"#^/system/timezone(?:/(?P<abbreviation>[^/]++)(?:/(?P<offset>[^/]++)(?:/(?P<is_daylight_saving_time>[^/]++))?)?)?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:23:\"is_daylight_saving_time\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"offset\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"abbreviation\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:16:\"/system/timezone\";}}s:9:\"path_vars\";a:3:{i:0;s:12:\"abbreviation\";i:1;s:6:\"offset\";i:2;s:23:\"is_daylight_saving_time\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:16:\"/system/timezone\";s:8:\"numParts\";i:5;}}}}\";s:18:\"token.autocomplete\";s:1257:\"C:31:\"Symfony\\Component\\Routing\\Route\":1211:{a:9:{s:4:\"path\";s:41:\"/token/autocomplete/{token_type}/{filter}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:66:\"\\Drupal\\token\\Controller\\TokenAutocompleteController::autocomplete\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":650:{a:11:{s:4:\"vars\";a:2:{i:0;s:10:\"token_type\";i:1;s:6:\"filter\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:68:\"#^/token/autocomplete/(?P<token_type>[^/]++)/(?P<filter>[^/]++)$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"filter\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:10:\"token_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:19:\"/token/autocomplete\";}}s:9:\"path_vars\";a:2:{i:0;s:10:\"token_type\";i:1;s:6:\"filter\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:12;s:14:\"patternOutline\";s:23:\"/token/autocomplete/%/%\";s:8:\"numParts\";i:4;}}}}\";s:10:\"token.tree\";s:898:\"C:31:\"Symfony\\Component\\Routing\\Route\":853:{a:9:{s:4:\"path\";s:11:\"/token/tree\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:56:\"\\Drupal\\token\\Controller\\TokenTreeController::outputTree\";}s:12:\"requirements\";a:1:{s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":330:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:18:\"#^/token/tree$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/token/tree\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:11:\"/token/tree\";s:8:\"numParts\";i:2;}}}}\";s:16:\"toolbar.subtrees\";s:1128:\"C:31:\"Symfony\\Component\\Routing\\Route\":1082:{a:9:{s:4:\"path\";s:24:\"/toolbar/subtrees/{hash}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:58:\"\\Drupal\\toolbar\\Controller\\ToolbarController::subtreesAjax\";}s:12:\"requirements\";a:1:{s:14:\"_custom_access\";s:64:\"\\Drupal\\toolbar\\Controller\\ToolbarController::checkSubTreeAccess\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.custom\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":478:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"hash\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:41:\"#^/toolbar/subtrees/(?P<hash>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"hash\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/toolbar/subtrees\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"hash\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:19:\"/toolbar/subtrees/%\";s:8:\"numParts\";i:3;}}}}\";s:19:\"user.cancel_confirm\";s:1688:\"C:31:\"Symfony\\Component\\Routing\\Route\":1642:{a:9:{s:4:\"path\";s:53:\"/user/{user}/cancel/confirm/{timestamp}/{hashed_pass}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:6:\"_title\";s:28:\"Confirm account cancellation\";s:11:\"_controller\";s:53:\"\\Drupal\\user\\Controller\\UserController::confirmCancel\";s:9:\"timestamp\";i:0;s:11:\"hashed_pass\";s:0:\"\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:11:\"user.delete\";s:4:\"user\";s:3:\"\\d+\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:4:\"user\";a:2:{s:4:\"type\";s:11:\"entity:user\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":835:{a:11:{s:4:\"vars\";a:3:{i:0;s:4:\"user\";i:1;s:9:\"timestamp\";i:2;s:11:\"hashed_pass\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:97:\"#^/user/(?P<user>\\d+)/cancel/confirm(?:/(?P<timestamp>[^/]++)(?:/(?P<hashed_pass>[^/]++))?)?$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"hashed_pass\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"timestamp\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:15:\"/cancel/confirm\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"user\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/user\";}}s:9:\"path_vars\";a:3:{i:0;s:4:\"user\";i:1;s:9:\"timestamp\";i:2;s:11:\"hashed_pass\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:11;s:14:\"patternOutline\";s:22:\"/user/%/cancel/confirm\";s:8:\"numParts\";i:6;}}}}\";s:10:\"user.login\";s:944:\"C:31:\"Symfony\\Component\\Routing\\Route\":899:{a:9:{s:4:\"path\";s:11:\"/user/login\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:31:\"\\Drupal\\user\\Form\\UserLoginForm\";s:6:\"_title\";s:6:\"Log in\";}s:12:\"requirements\";a:1:{s:18:\"_user_is_logged_in\";s:5:\"FALSE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:19:\"_maintenance_access\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"access_check.user.login_status\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":330:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:18:\"#^/user/login$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/user/login\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:11:\"/user/login\";s:8:\"numParts\";i:2;}}}}\";s:11:\"user.logout\";s:912:\"C:31:\"Symfony\\Component\\Routing\\Route\":867:{a:9:{s:4:\"path\";s:12:\"/user/logout\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:46:\"\\Drupal\\user\\Controller\\UserController::logout\";}s:12:\"requirements\";a:1:{s:18:\"_user_is_logged_in\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"access_check.user.login_status\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":333:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:19:\"#^/user/logout$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:12:\"/user/logout\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:12:\"/user/logout\";s:8:\"numParts\";i:2;}}}}\";s:9:\"user.page\";s:914:\"C:31:\"Symfony\\Component\\Routing\\Route\":869:{a:9:{s:4:\"path\";s:5:\"/user\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:48:\"\\Drupal\\user\\Controller\\UserController::userPage\";s:6:\"_title\";s:10:\"My account\";}s:12:\"requirements\";a:1:{s:18:\"_user_is_logged_in\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"access_check.user.login_status\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":310:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:12:\"#^/user$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/user\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:5:\"/user\";s:8:\"numParts\";i:1;}}}}\";s:9:\"user.pass\";s:950:\"C:31:\"Symfony\\Component\\Routing\\Route\":905:{a:9:{s:4:\"path\";s:14:\"/user/password\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:34:\"\\Drupal\\user\\Form\\UserPasswordForm\";s:6:\"_title\";s:19:\"Reset your password\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:19:\"_maintenance_access\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":339:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:21:\"#^/user/password$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/user/password\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:14:\"/user/password\";s:8:\"numParts\";i:2;}}}}\";s:13:\"user.register\";s:926:\"C:31:\"Symfony\\Component\\Routing\\Route\":881:{a:9:{s:4:\"path\";s:14:\"/user/register\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:13:\"user.register\";s:6:\"_title\";s:18:\"Create new account\";}s:12:\"requirements\";a:1:{s:21:\"_access_user_register\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:26:\"access_check.user.register\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":339:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:21:\"#^/user/register$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/user/register\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:14:\"/user/register\";s:8:\"numParts\";i:2;}}}}\";s:10:\"user.reset\";s:1407:\"C:31:\"Symfony\\Component\\Routing\\Route\":1361:{a:9:{s:4:\"path\";s:36:\"/user/reset/{uid}/{timestamp}/{hash}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:49:\"\\Drupal\\user\\Controller\\UserController::resetPass\";s:6:\"_title\";s:14:\"Reset password\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:19:\"_maintenance_access\";b:1;s:8:\"no_cache\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":737:{a:11:{s:4:\"vars\";a:3:{i:0;s:3:\"uid\";i:1;s:9:\"timestamp\";i:2;s:4:\"hash\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:73:\"#^/user/reset/(?P<uid>[^/]++)/(?P<timestamp>[^/]++)/(?P<hash>[^/]++)$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"hash\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"timestamp\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:3:\"uid\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/user/reset\";}}s:9:\"path_vars\";a:3:{i:0;s:3:\"uid\";i:1;s:9:\"timestamp\";i:2;s:4:\"hash\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:24;s:14:\"patternOutline\";s:17:\"/user/reset/%/%/%\";s:8:\"numParts\";i:5;}}}}\";s:15:\"user.reset.form\";s:1137:\"C:31:\"Symfony\\Component\\Routing\\Route\":1091:{a:9:{s:4:\"path\";s:17:\"/user/reset/{uid}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:56:\"\\Drupal\\user\\Controller\\UserController::getResetPassForm\";s:6:\"_title\";s:14:\"Reset password\";}s:12:\"requirements\";a:1:{s:18:\"_user_is_logged_in\";s:5:\"FALSE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:19:\"_maintenance_access\";b:1;s:8:\"no_cache\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"access_check.user.login_status\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":456:{a:11:{s:4:\"vars\";a:1:{i:0;s:3:\"uid\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:34:\"#^/user/reset/(?P<uid>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:3:\"uid\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/user/reset\";}}s:9:\"path_vars\";a:1:{i:0;s:3:\"uid\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:13:\"/user/reset/%\";s:8:\"numParts\";i:3;}}}}\";s:16:\"user.reset.login\";s:1495:\"C:31:\"Symfony\\Component\\Routing\\Route\":1449:{a:9:{s:4:\"path\";s:42:\"/user/reset/{uid}/{timestamp}/{hash}/login\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:54:\"\\Drupal\\user\\Controller\\UserController::resetPassLogin\";s:6:\"_title\";s:14:\"Reset password\";}s:12:\"requirements\";a:1:{s:18:\"_user_is_logged_in\";s:5:\"FALSE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:19:\"_maintenance_access\";b:1;s:8:\"no_cache\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"access_check.user.login_status\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":791:{a:11:{s:4:\"vars\";a:3:{i:0;s:3:\"uid\";i:1;s:9:\"timestamp\";i:2;s:4:\"hash\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:79:\"#^/user/reset/(?P<uid>[^/]++)/(?P<timestamp>[^/]++)/(?P<hash>[^/]++)/login$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:6:\"/login\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"hash\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"timestamp\";i:4;b:1;}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:3:\"uid\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/user/reset\";}}s:9:\"path_vars\";a:3:{i:0;s:3:\"uid\";i:1;s:9:\"timestamp\";i:2;s:4:\"hash\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:49;s:14:\"patternOutline\";s:23:\"/user/reset/%/%/%/login\";s:8:\"numParts\";i:6;}}}}\";s:31:\"user.well-known.change_password\";s:985:\"C:31:\"Symfony\\Component\\Routing\\Route\":940:{a:9:{s:4:\"path\";s:28:\"/.well-known/change-password\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:52:\"\\Drupal\\user\\Controller\\UserController::userEditPage\";}s:12:\"requirements\";a:1:{s:18:\"_user_is_logged_in\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"access_check.user.login_status\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":384:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:38:\"#^/\\.well\\-known/change\\-password$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:28:\"/.well-known/change-password\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:28:\"/.well-known/change-password\";s:8:\"numParts\";i:2;}}}}\";s:21:\"view.blog_page.page_1\";s:1261:\"C:31:\"Symfony\\Component\\Routing\\Route\":1215:{a:9:{s:4:\"path\";s:5:\"/blog\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:9:\"Blog page\";s:7:\"view_id\";s:9:\"blog_page\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:8:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":310:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:12:\"#^/blog$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/blog\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:5:\"/blog\";s:8:\"numParts\";i:1;}}}}\";s:21:\"view.blog_page.page_2\";s:1300:\"C:31:\"Symfony\\Component\\Routing\\Route\":1254:{a:9:{s:4:\"path\";s:13:\"/blog_default\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:12:\"Blog default\";s:7:\"view_id\";s:9:\"blog_page\";s:10:\"display_id\";s:6:\"page_2\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:8:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":336:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:20:\"#^/blog_default$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/blog_default\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:13:\"/blog_default\";s:8:\"numParts\";i:1;}}}}\";s:21:\"view.frontpage.feed_1\";s:1240:\"C:31:\"Symfony\\Component\\Routing\\Route\":1194:{a:9:{s:4:\"path\";s:8:\"/rss.xml\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:0:\"\";s:7:\"view_id\";s:9:\"frontpage\";s:10:\"display_id\";s:6:\"feed_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:14:\"access content\";}s:7:\"options\";a:8:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"feed\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Feed\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":320:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:16:\"#^/rss\\.xml$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/rss.xml\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:8:\"/rss.xml\";s:8:\"numParts\";i:1;}}}}\";s:21:\"view.frontpage.page_1\";s:1252:\"C:31:\"Symfony\\Component\\Routing\\Route\":1206:{a:9:{s:4:\"path\";s:5:\"/node\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:0:\"\";s:7:\"view_id\";s:9:\"frontpage\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:8:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":310:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:12:\"#^/node$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:5:\"/node\";s:8:\"numParts\";i:1;}}}}\";s:21:\"view.portfolio.page_1\";s:1284:\"C:31:\"Symfony\\Component\\Routing\\Route\":1238:{a:9:{s:4:\"path\";s:10:\"/portfolio\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:9:\"Portfolio\";s:7:\"view_id\";s:9:\"portfolio\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:8:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":327:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:17:\"#^/portfolio$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/portfolio\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:10:\"/portfolio\";s:8:\"numParts\";i:1;}}}}\";s:21:\"view.portfolio.page_2\";s:1308:\"C:31:\"Symfony\\Component\\Routing\\Route\":1262:{a:9:{s:4:\"path\";s:16:\"/portfolio_4_col\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:9:\"Portfolio\";s:7:\"view_id\";s:9:\"portfolio\";s:10:\"display_id\";s:6:\"page_2\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:8:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":345:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:23:\"#^/portfolio_4_col$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:16:\"/portfolio_4_col\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:16:\"/portfolio_4_col\";s:8:\"numParts\";i:1;}}}}\";s:21:\"view.portfolio.page_3\";s:1316:\"C:31:\"Symfony\\Component\\Routing\\Route\":1270:{a:9:{s:4:\"path\";s:18:\"/portfolio_masonry\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:9:\"Portfolio\";s:7:\"view_id\";s:9:\"portfolio\";s:10:\"display_id\";s:6:\"page_3\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:8:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":351:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:25:\"#^/portfolio_masonry$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/portfolio_masonry\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:18:\"/portfolio_masonry\";s:8:\"numParts\";i:1;}}}}\";s:25:\"view.taxonomy_term.feed_1\";s:1494:\"C:31:\"Symfony\\Component\\Routing\\Route\":1448:{a:9:{s:4:\"path\";s:27:\"/taxonomy/term/{arg_0}/feed\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:0:\"\";s:7:\"view_id\";s:13:\"taxonomy_term\";s:10:\"display_id\";s:6:\"feed_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:14:\"access content\";}s:7:\"options\";a:8:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:1:{s:5:\"arg_0\";s:5:\"arg_0\";}s:23:\"_view_display_plugin_id\";s:4:\"feed\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Feed\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":525:{a:11:{s:4:\"vars\";a:1:{i:0;s:5:\"arg_0\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:44:\"#^/taxonomy/term/(?P<arg_0>[^/]++)/feed$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/feed\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:5:\"arg_0\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/taxonomy/term\";}}s:9:\"path_vars\";a:1:{i:0;s:5:\"arg_0\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:13;s:14:\"patternOutline\";s:21:\"/taxonomy/term/%/feed\";s:8:\"numParts\";i:4;}}}}\";s:25:\"view.taxonomy_term.page_1\";s:1462:\"C:31:\"Symfony\\Component\\Routing\\Route\":1416:{a:9:{s:4:\"path\";s:22:\"/taxonomy/term/{arg_0}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:0:\"\";s:7:\"view_id\";s:13:\"taxonomy_term\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:8:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:1:{s:5:\"arg_0\";s:5:\"arg_0\";}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":473:{a:11:{s:4:\"vars\";a:1:{i:0;s:5:\"arg_0\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:39:\"#^/taxonomy/term/(?P<arg_0>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:5:\"arg_0\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/taxonomy/term\";}}s:9:\"path_vars\";a:1:{i:0;s:5:\"arg_0\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:16:\"/taxonomy/term/%\";s:8:\"numParts\";i:3;}}}}\";s:10:\"views.ajax\";s:893:\"C:31:\"Symfony\\Component\\Routing\\Route\":848:{a:9:{s:4:\"path\";s:11:\"/views/ajax\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:53:\"\\Drupal\\views\\Controller\\ViewAjaxController::ajaxView\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":330:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:18:\"#^/views/ajax$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/views/ajax\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:11:\"/views/ajax\";s:8:\"numParts\";i:2;}}}}\";s:20:\"we_megamenu.geticons\";s:1008:\"C:31:\"Symfony\\Component\\Routing\\Route\":963:{a:9:{s:4:\"path\";s:24:\"/we-mega-menu/ajax/icons\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:66:\"\\Drupal\\we_megamenu\\Controller\\WeMegaMenuAdminController::getIcons\";s:6:\"_title\";s:9:\"Get Icons\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:14:\"access content\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":371:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:33:\"#^/we\\-mega\\-menu/ajax/icons$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:24:\"/we-mega-menu/ajax/icons\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:24:\"/we-mega-menu/ajax/icons\";s:8:\"numParts\";i:3;}}}}\";s:23:\"we_megamenu.renderblock\";s:1015:\"C:31:\"Symfony\\Component\\Routing\\Route\":970:{a:9:{s:4:\"path\";s:24:\"/we-mega-menu/ajax/block\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:69:\"\\Drupal\\we_megamenu\\Controller\\WeMegaMenuAdminController::renderBlock\";s:6:\"_title\";s:12:\"Render Block\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:14:\"access content\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":371:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:33:\"#^/we\\-mega\\-menu/ajax/block$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:24:\"/we-mega-menu/ajax/block\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:24:\"/we-mega-menu/ajax/block\";s:8:\"numParts\";i:3;}}}}\";}',-1,1636012247.275,1,'routes','58'),('route_provider.route_load:a390abb3342f1cadc52b0086ace1fe099f82f60b7030996059a41711d3abd157d41f35258e03310f9778e24911bea2d22c07812f0d1cc651e3c460246963695f','a:1:{s:31:\"admin_toolbar_tools.flush_views\";s:1079:\"C:31:\"Symfony\\Component\\Routing\\Route\":1033:{a:9:{s:4:\"path\";s:18:\"/admin/flush/views\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:68:\"\\Drupal\\admin_toolbar_tools\\Controller\\ToolbarController::flushViews\";s:6:\"_title\";s:5:\"Views\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:29:\"administer site configuration\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":351:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:25:\"#^/admin/flush/views$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/admin/flush/views\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:18:\"/admin/flush/views\";s:8:\"numParts\";i:3;}}}}\";}',-1,1636012248.549,1,'routes','58'),('route_provider.route_load:a455fe1cbfc2f665ba09a5259d1365f6c6af3e3796f92719183cfc956a16e778745a3cee3b57ec2ed95799019583d91377671760c02ecf1b79280c3fb1cc577a','a:0:{}',-1,1636012249.663,1,'routes','58'),('route_provider.route_load:a4aede1a11c6ddb670d12573d9402ff04f7892d92e4dc09744916cf184f9341b54026219cd9626fa5ce51aa99a87ef73d1872e3b47db44fa3c9afdf98a2e7a2f','a:1:{s:19:\"system.modules_list\";s:998:\"C:31:\"Symfony\\Component\\Routing\\Route\":953:{a:9:{s:4:\"path\";s:14:\"/admin/modules\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:6:\"_title\";s:6:\"Extend\";s:14:\"_title_context\";s:15:\"With components\";s:5:\"_form\";s:35:\"\\Drupal\\system\\Form\\ModulesListForm\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:18:\"administer modules\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":339:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:21:\"#^/admin/modules$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/admin/modules\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:14:\"/admin/modules\";s:8:\"numParts\";i:2;}}}}\";}',-1,1636012249.300,1,'routes','58'),('route_provider.route_load:a50a906829b676ca0abd8ffab76a1a8b2b0d74494728eed325a676b4bb898b195cb67e69d1414fe21da1a09c7f59989b5a20745ab680bc8c3fb5993ac17ec593','a:1:{s:25:\"admin_toolbar_tools.flush\";s:1065:\"C:31:\"Symfony\\Component\\Routing\\Route\":1019:{a:9:{s:4:\"path\";s:12:\"/admin/flush\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:66:\"\\Drupal\\admin_toolbar_tools\\Controller\\ToolbarController::flushAll\";s:6:\"_title\";s:16:\"Flush all caches\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:29:\"administer site configuration\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":333:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:19:\"#^/admin/flush$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:12:\"/admin/flush\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:12:\"/admin/flush\";s:8:\"numParts\";i:2;}}}}\";}',-1,1636012248.512,1,'routes','58'),('route_provider.route_load:a656375fc26c1771f96d3a9655ff4095224cdfe31736db3b84d81656505aabeea455568eca39bce925eaf4300e1ba64876c15cf9ea9ac9590cecad301607daba','a:1:{s:20:\"update.report_update\";s:1115:\"C:31:\"Symfony\\Component\\Routing\\Route\":1069:{a:9:{s:4:\"path\";s:29:\"/admin/reports/updates/update\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:39:\"\\Drupal\\update\\Form\\UpdateManagerUpdate\";s:6:\"_title\";s:6:\"Update\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:27:\"administer software updates\";s:22:\"_access_update_manager\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:34:\"access_check.update.manager_access\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":385:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:36:\"#^/admin/reports/updates/update$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/reports/updates/update\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:29:\"/admin/reports/updates/update\";s:8:\"numParts\";i:4;}}}}\";}',-1,1636012332.876,1,'routes','58'),('route_provider.route_load:a753a0d63b7c086960a9fc459995d49747213b93412308a9d8382049346d94ddf9b54a76c12e4d431466cbd843090195e2666adf62368d3a6b4295e6533e1371','a:1:{s:9:\"help.page\";s:1106:\"C:31:\"Symfony\\Component\\Routing\\Route\":1060:{a:9:{s:4:\"path\";s:18:\"/admin/help/{name}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:48:\"\\Drupal\\help\\Controller\\HelpController::helpPage\";s:6:\"_title\";s:4:\"Help\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"access administration pages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":460:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:35:\"#^/admin/help/(?P<name>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"name\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/admin/help\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:13:\"/admin/help/%\";s:8:\"numParts\";i:3;}}}}\";}',-1,1636012332.575,1,'routes','58'),('route_provider.route_load:a78349ee3b6c63edb23f5304e1f61737af1044ad92d281646eaecc3d4436cdf5bb083ccc7ba01af25f91b23b05d9a18b40e10800917effef0e0159fc67a5bbf6','a:1:{s:27:\"entity.node_type.collection\";s:980:\"C:31:\"Symfony\\Component\\Routing\\Route\":935:{a:9:{s:4:\"path\";s:22:\"/admin/structure/types\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_list\";s:9:\"node_type\";s:6:\"_title\";s:13:\"Content types\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"administer content types\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":363:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:29:\"#^/admin/structure/types$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/admin/structure/types\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:22:\"/admin/structure/types\";s:8:\"numParts\";i:3;}}}}\";}',-1,1636012248.630,1,'routes','58'),('route_provider.route_load:a838a8b51b5ff5ffeb795876720614b5b0cc176d094536c3dd4d245de77b557d96cdafcc3eb989d8aea14b0ff08eef649265c464ec180024c636156b7a1dab73','a:1:{s:27:\"system.theme_settings_theme\";s:1172:\"C:31:\"Symfony\\Component\\Routing\\Route\":1126:{a:9:{s:4:\"path\";s:34:\"/admin/appearance/settings/{theme}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:37:\"\\Drupal\\system\\Form\\ThemeSettingsForm\";s:15:\"_title_callback\";s:21:\"theme_handler:getName\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:17:\"administer themes\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":510:{a:11:{s:4:\"vars\";a:1:{i:0;s:5:\"theme\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:51:\"#^/admin/appearance/settings/(?P<theme>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:5:\"theme\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/appearance/settings\";}}s:9:\"path_vars\";a:1:{i:0;s:5:\"theme\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:14;s:14:\"patternOutline\";s:28:\"/admin/appearance/settings/%\";s:8:\"numParts\";i:4;}}}}\";}',-1,1636012248.711,1,'routes','58'),('route_provider.route_load:a83e0e64b45dedeccb5277756da0d2f32d6714d145c236b43c0a16be64573819700b8f6bbdde52d12a4fe4562b1d1504c057cfc7e830e19c40fbfadbc9512cba','a:1:{s:40:\"entity.block.config_translation_overview\";s:1434:\"C:31:\"Symfony\\Component\\Routing\\Route\":1388:{a:9:{s:4:\"path\";s:47:\"/admin/structure/block/manage/{block}/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:5:\"block\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:5:\"block\";a:2:{s:4:\"type\";s:12:\"entity:block\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":586:{a:11:{s:4:\"vars\";a:1:{i:0;s:5:\"block\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:64:\"#^/admin/structure/block/manage/(?P<block>[^/]++)/translate$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:5:\"block\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/block/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:5:\"block\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:41:\"/admin/structure/block/manage/%/translate\";s:8:\"numParts\";i:6;}}}}\";}',-1,1636012254.675,1,'routes','58'),('route_provider.route_load:a97843ba9ea61986deb5dab59dc7d680b1842ee2cb914adb534d361894f2adb02df30e6987bb67255a5efc5ce1457c7b57741500387fe7e70ee8462c2b0170a8','a:1:{s:14:\"dblog.overview\";s:1332:\"C:31:\"Symfony\\Component\\Routing\\Route\":1286:{a:9:{s:4:\"path\";s:20:\"/admin/reports/dblog\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:19:\"Recent log messages\";s:7:\"view_id\";s:8:\"watchdog\";s:10:\"display_id\";s:4:\"page\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:19:\"access site reports\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:9:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":357:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:27:\"#^/admin/reports/dblog$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/admin/reports/dblog\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:20:\"/admin/reports/dblog\";s:8:\"numParts\";i:3;}}}}\";}',-1,1636012248.962,1,'routes','58'),('route_provider.route_load:abfae45df8183b5f30c96a3839e9e07c3c981616152e9609eea2acf6538bdb64c122d47100d7eb7bebcb41ac6c6d80e388b21bbb89807f08718f88dc3cebe2e4','a:1:{s:42:\"entity.entity_view_display.comment.default\";s:1566:\"C:31:\"Symfony\\Component\\Routing\\Route\":1520:{a:9:{s:4:\"path\";s:54:\"/admin/structure/comment/manage/{comment_type}/display\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:12:\"_entity_form\";s:24:\"entity_view_display.edit\";s:6:\"_title\";s:14:\"Manage display\";s:14:\"view_mode_name\";s:7:\"default\";s:14:\"entity_type_id\";s:7:\"comment\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_view_mode_access\";s:26:\"administer comment display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"comment_type\";a:2:{s:4:\"type\";s:19:\"entity:comment_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.view_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":616:{a:11:{s:4:\"vars\";a:1:{i:0;s:12:\"comment_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:71:\"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/display$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/display\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"comment_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/comment/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"comment_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:41:\"/admin/structure/comment/manage/%/display\";s:8:\"numParts\";i:6;}}}}\";}',-1,1636012249.171,1,'routes','58'),('route_provider.route_load:b1355ca39f6f48de1c14e73ffdb570e73e5383512e71eb9234715ad5ecd875e08a92a55da20d943c764cfb0755e05b792de8a754c96538885b1a32b51d991a53','a:1:{s:13:\"node.type_add\";s:1005:\"C:31:\"Symfony\\Component\\Routing\\Route\":960:{a:9:{s:4:\"path\";s:26:\"/admin/structure/types/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:13:\"node_type.add\";s:6:\"_title\";s:16:\"Add content type\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"administer content types\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":376:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:33:\"#^/admin/structure/types/add$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/structure/types/add\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:26:\"/admin/structure/types/add\";s:8:\"numParts\";i:4;}}}}\";}',-1,1636012248.636,1,'routes','58'),('route_provider.route_load:b1b9ff5666df805628c0041e9de4f45f9db7e8dd49c4cf85fccca3908ec8e1a20f40c298ac917991b7caaf7611dc1408a04e659adc471b4a3213fbd5438da2b1','a:1:{s:35:\"entity.block_content_type.edit_form\";s:1534:\"C:31:\"Symfony\\Component\\Routing\\Route\":1488:{a:9:{s:4:\"path\";s:64:\"/admin/structure/block/block-content/manage/{block_content_type}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:23:\"block_content_type.edit\";s:15:\"_title_callback\";s:58:\"\\Drupal\\Core\\Entity\\Controller\\EntityController::editTitle\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:25:\"block_content_type.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:18:\"block_content_type\";a:2:{s:4:\"type\";s:25:\"entity:block_content_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":617:{a:11:{s:4:\"vars\";a:1:{i:0;s:18:\"block_content_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:82:\"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/block/block-content/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:18:\"block_content_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:62;s:14:\"patternOutline\";s:45:\"/admin/structure/block/block-content/manage/%\";s:8:\"numParts\";i:6;}}}}\";}',-1,1636011228.174,1,'routes','57'),('route_provider.route_load:b5ef3ae95c2038961c8f73b416df56203201ceb6b62eadad1b51abb25089481a32d214796584f01a495e005022f537c4c563515bee3c06b3b45d0cc2bf6f0013','a:0:{}',-1,1636012249.641,1,'routes','58'),('route_provider.route_load:b8de8550d86aba845d9ae803ea707dc0c3c1bf516a8d42e3abcf386acf1c7bcff7d6120b4bb6c17f2bb59e13d2cf7d1c4f5070ace9da6c59df8996bfa3c648b0','a:1:{s:27:\"system.file_system_settings\";s:1039:\"C:31:\"Symfony\\Component\\Routing\\Route\":994:{a:9:{s:4:\"path\";s:31:\"/admin/config/media/file-system\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:34:\"\\Drupal\\system\\Form\\FileSystemForm\";s:6:\"_title\";s:11:\"File system\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:29:\"administer site configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":392:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:39:\"#^/admin/config/media/file\\-system$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/config/media/file-system\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:31:\"/admin/config/media/file-system\";s:8:\"numParts\";i:4;}}}}\";}',-1,1636012248.831,1,'routes','58'),('route_provider.route_load:baa65e981a04adc27c2ceedf291cbbe803d10b20bebaf113ff53f9534c66645bd9027d760f34041706bf617ff650f58c85248ca9a3a3354ed2449888aa5114b6','a:1:{s:10:\"user.login\";s:944:\"C:31:\"Symfony\\Component\\Routing\\Route\":899:{a:9:{s:4:\"path\";s:11:\"/user/login\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:31:\"\\Drupal\\user\\Form\\UserLoginForm\";s:6:\"_title\";s:6:\"Log in\";}s:12:\"requirements\";a:1:{s:18:\"_user_is_logged_in\";s:5:\"FALSE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:19:\"_maintenance_access\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"access_check.user.login_status\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":330:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:18:\"#^/user/login$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/user/login\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:11:\"/user/login\";s:8:\"numParts\";i:2;}}}}\";}',-1,1636711557.670,1,'routes','58'),('route_provider.route_load:bae46e4ca4714519e3929a34e690940aafd6d8b6ced5668c3874e89e88a6579d9567887dbea347c6b6b4745ff7f8b6fe951b72c865cf9fc7ed8337778b17ffd5','a:1:{s:48:\"entity.entity_form_display.taxonomy_term.default\";s:1701:\"C:31:\"Symfony\\Component\\Routing\\Route\":1655:{a:9:{s:4:\"path\";s:76:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/form-display\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:12:\"_entity_form\";s:24:\"entity_form_display.edit\";s:6:\"_title\";s:19:\"Manage form display\";s:14:\"form_mode_name\";s:7:\"default\";s:14:\"entity_type_id\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_form_mode_access\";s:37:\"administer taxonomy_term form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:10:\"parameters\";a:1:{s:19:\"taxonomy_vocabulary\";a:2:{s:4:\"type\";s:26:\"entity:taxonomy_vocabulary\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.form_mode\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":692:{a:11:{s:4:\"vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:94:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/form\\-display$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/overview/form-display\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:123;s:14:\"patternOutline\";s:56:\"/admin/structure/taxonomy/manage/%/overview/form-display\";s:8:\"numParts\";i:7;}}}}\";}',-1,1636012249.279,1,'routes','58'),('route_provider.route_load:bb1629009dcaf13b726488e04ac08fb163b89e08bec80edaa55b9b9b84725d741db0a15354954fbbd499ef7c316e676e5d838c4c829e146618f06f440fea9cad','a:1:{s:38:\"entity.contact_message.field_ui_fields\";s:1555:\"C:31:\"Symfony\\Component\\Routing\\Route\":1509:{a:9:{s:4:\"path\";s:53:\"/admin/structure/contact/manage/{contact_form}/fields\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:11:\"_controller\";s:62:\"\\Drupal\\field_ui\\Controller\\FieldConfigListController::listing\";s:6:\"_title\";s:13:\"Manage fields\";s:14:\"entity_type_id\";s:15:\"contact_message\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:33:\"administer contact_message fields\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"contact_form\";a:2:{s:4:\"type\";s:19:\"entity:contact_form\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":613:{a:11:{s:4:\"vars\";a:1:{i:0;s:12:\"contact_form\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:70:\"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/fields$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/contact/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"contact_form\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:40:\"/admin/structure/contact/manage/%/fields\";s:8:\"numParts\";i:6;}}}}\";}',-1,1636012249.181,1,'routes','58'),('route_provider.route_load:bc07fa62bf8a45e533d56875ba57e16221a071a396b3c17c654bb4cd658b14491f24b97df0aa87b28ab5288da4e6065d34e37535290cff84facf6e1bcaab7168','a:1:{s:48:\"entity.entity_view_display.taxonomy_term.default\";s:1670:\"C:31:\"Symfony\\Component\\Routing\\Route\":1624:{a:9:{s:4:\"path\";s:71:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/display\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:12:\"_entity_form\";s:24:\"entity_view_display.edit\";s:6:\"_title\";s:14:\"Manage display\";s:14:\"view_mode_name\";s:7:\"default\";s:14:\"entity_type_id\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_view_mode_access\";s:32:\"administer taxonomy_term display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:10:\"parameters\";a:1:{s:19:\"taxonomy_vocabulary\";a:2:{s:4:\"type\";s:26:\"entity:taxonomy_vocabulary\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.view_mode\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":676:{a:11:{s:4:\"vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:88:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/display$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/overview/display\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:123;s:14:\"patternOutline\";s:51:\"/admin/structure/taxonomy/manage/%/overview/display\";s:8:\"numParts\";i:7;}}}}\";}',-1,1636012249.285,1,'routes','58'),('route_provider.route_load:bcb238b010b8b67aac8e985382fb828c08f6b1003efe881ea77b8719514fd7787972c4e8a61a475ba6edc05ef60a44aa8dd8a3932b50b78490de55fa66d1b072','a:1:{s:42:\"entity.entity_form_display.comment.default\";s:1598:\"C:31:\"Symfony\\Component\\Routing\\Route\":1552:{a:9:{s:4:\"path\";s:59:\"/admin/structure/comment/manage/{comment_type}/form-display\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:12:\"_entity_form\";s:24:\"entity_form_display.edit\";s:6:\"_title\";s:19:\"Manage form display\";s:14:\"form_mode_name\";s:7:\"default\";s:14:\"entity_type_id\";s:7:\"comment\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_form_mode_access\";s:31:\"administer comment form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"comment_type\";a:2:{s:4:\"type\";s:19:\"entity:comment_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.form_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":633:{a:11:{s:4:\"vars\";a:1:{i:0;s:12:\"comment_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:77:\"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/form\\-display$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/form-display\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"comment_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/comment/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"comment_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:46:\"/admin/structure/comment/manage/%/form-display\";s:8:\"numParts\";i:6;}}}}\";}',-1,1636012249.166,1,'routes','58'),('route_provider.route_load:bcc3f698e68b2c3e557211944a05ea6b4606173b8a9f27756fbcdbe6d8b9158862c39b3fd65fa7ae68504e75b223e79df72c1069bbe440776ad6948b5ceb0520','a:1:{s:37:\"entity.taxonomy_vocabulary.collection\";s:1077:\"C:31:\"Symfony\\Component\\Routing\\Route\":1031:{a:9:{s:4:\"path\";s:25:\"/admin/structure/taxonomy\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_list\";s:19:\"taxonomy_vocabulary\";s:6:\"_title\";s:8:\"Taxonomy\";s:16:\"_title_arguments\";a:0:{}s:14:\"_title_context\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:44:\"access taxonomy overview+administer taxonomy\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":372:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:32:\"#^/admin/structure/taxonomy$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:25:\"/admin/structure/taxonomy\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:25:\"/admin/structure/taxonomy\";s:8:\"numParts\";i:3;}}}}\";}',-1,1636012248.681,1,'routes','58'),('route_provider.route_load:c16fac980bca608709769d8b23e4e897f34d0296998db38b0cf459ce76832e784ee0cbbfed01cf0de083fd44df77065d19f4c7e19dde4526c58cea99f5a7936a','a:1:{s:24:\"system.regional_settings\";s:1042:\"C:31:\"Symfony\\Component\\Routing\\Route\":997:{a:9:{s:4:\"path\";s:31:\"/admin/config/regional/settings\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:32:\"\\Drupal\\system\\Form\\RegionalForm\";s:6:\"_title\";s:17:\"Regional settings\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:29:\"administer site configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":391:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:38:\"#^/admin/config/regional/settings$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/config/regional/settings\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:31:\"/admin/config/regional/settings\";s:8:\"numParts\";i:4;}}}}\";}',-1,1636012248.865,1,'routes','58'),('route_provider.route_load:c206b5ed0b7c92d07e106856e4d80b34ee4460f830bf3629b6349ab6ce4df5b82c2e5e6e56b9865cb2fb2e7a86e2418761a711ae70925713cd9e10542bf07706','a:1:{s:27:\"entity.node.field_ui_fields\";s:1499:\"C:31:\"Symfony\\Component\\Routing\\Route\":1453:{a:9:{s:4:\"path\";s:48:\"/admin/structure/types/manage/{node_type}/fields\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:11:\"_controller\";s:62:\"\\Drupal\\field_ui\\Controller\\FieldConfigListController::listing\";s:6:\"_title\";s:13:\"Manage fields\";s:14:\"entity_type_id\";s:4:\"node\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:22:\"administer node fields\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:9:\"node_type\";a:2:{s:4:\"type\";s:16:\"entity:node_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":592:{a:11:{s:4:\"vars\";a:1:{i:0;s:9:\"node_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:65:\"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/fields$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/types/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:9:\"node_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:38:\"/admin/structure/types/manage/%/fields\";s:8:\"numParts\";i:6;}}}}\";}',-1,1636012249.206,1,'routes','58'),('route_provider.route_load:c247abc2be8e1a2841d65687869cf7bd9dabf84531e837f59155025944d2d407f46a301206d638478424c1d3ba1d487f4b61e4a6451723cba68c4e105291b5f7','a:1:{s:19:\"system.admin_config\";s:1031:\"C:31:\"Symfony\\Component\\Routing\\Route\":986:{a:9:{s:4:\"path\";s:13:\"/admin/config\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:11:\"_controller\";s:52:\"\\Drupal\\system\\Controller\\SystemController::overview\";s:7:\"link_id\";s:19:\"system.admin_config\";s:6:\"_title\";s:13:\"Configuration\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"access administration pages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":336:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:20:\"#^/admin/config$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/admin/config\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:13:\"/admin/config\";s:8:\"numParts\";i:2;}}}}\";}',-1,1636012249.305,1,'routes','58'),('route_provider.route_load:c5a7b3843acb1d8e0b9456f927cac080a8c6ca049f9bf72dc07c1e0585f7fd5bc0a9d1e4ce0e2be0a17b2f58e696ccc1cd2f00ba85ee96bab05a977b8441a59f','a:1:{s:27:\"entity.user_role.collection\";s:957:\"C:31:\"Symfony\\Component\\Routing\\Route\":912:{a:9:{s:4:\"path\";s:19:\"/admin/people/roles\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_list\";s:9:\"user_role\";s:6:\"_title\";s:5:\"Roles\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:22:\"administer permissions\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":354:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:26:\"#^/admin/people/roles$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:19:\"/admin/people/roles\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:19:\"/admin/people/roles\";s:8:\"numParts\";i:3;}}}}\";}',-1,1636012248.937,1,'routes','58'),('route_provider.route_load:c78a036ad9ece9622ba95d2727b6b846eeed8638e025b058a3b212bb613c4e8907709a864ebe529f0248442a0aac8851006fcc1ca6ef1d5f6a796f54cbb8a18b','a:1:{s:28:\"sharethis.configuration_form\";s:1046:\"C:31:\"Symfony\\Component\\Routing\\Route\":1000:{a:9:{s:4:\"path\";s:32:\"/admin/config/services/sharethis\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:49:\"\\Drupal\\sharethis\\Form\\SharethisConfigurationForm\";s:6:\"_title\";s:9:\"ShareThis\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:20:\"administer sharethis\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":394:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:39:\"#^/admin/config/services/sharethis$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/config/services/sharethis\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:32:\"/admin/config/services/sharethis\";s:8:\"numParts\";i:4;}}}}\";}',-1,1636012248.908,1,'routes','58'),('route_provider.route_load:c79f0347a47fa4af109eb2cf44ba7d6f64b7175b3cf59707c712ce0261571c7daf299b65a9ce0a90c4db8d26781feda5daab8798afd5f0e86e835b231fd05ed0','a:1:{s:39:\"entity.menu.config_translation_overview\";s:1422:\"C:31:\"Symfony\\Component\\Routing\\Route\":1376:{a:9:{s:4:\"path\";s:45:\"/admin/structure/menu/manage/{menu}/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:4:\"menu\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"menu\";a:2:{s:4:\"type\";s:11:\"entity:menu\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":579:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"menu\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:62:\"#^/admin/structure/menu/manage/(?P<menu>[^/]++)/translate$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"menu\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:28:\"/admin/structure/menu/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"menu\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:40:\"/admin/structure/menu/manage/%/translate\";s:8:\"numParts\";i:6;}}}}\";}',-1,1636012255.012,1,'routes','58'),('route_provider.route_load:c8672d1d1d26c5bf3eaadc0f863048dc7e02560f689f46e073e1e8f2c8b7d71f64d2aae91e3a8ad0ad2b842111eadc7a0321d360512826785057b9c5ef1142a8','a:1:{s:35:\"entity.taxonomy_vocabulary.add_form\";s:1139:\"C:31:\"Symfony\\Component\\Routing\\Route\":1093:{a:9:{s:4:\"path\";s:29:\"/admin/structure/taxonomy/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:12:\"_entity_form\";s:27:\"taxonomy_vocabulary.default\";s:14:\"entity_type_id\";s:19:\"taxonomy_vocabulary\";s:15:\"_title_callback\";s:56:\"Drupal\\Core\\Entity\\Controller\\EntityController::addTitle\";}s:12:\"requirements\";a:1:{s:21:\"_entity_create_access\";s:19:\"taxonomy_vocabulary\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:26:\"access_check.entity_create\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":385:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:36:\"#^/admin/structure/taxonomy/add$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/taxonomy/add\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:29:\"/admin/structure/taxonomy/add\";s:8:\"numParts\";i:4;}}}}\";}',-1,1636012248.685,1,'routes','58'),('route_provider.route_load:c9436add2a85bbb810272744e291b85b61aa5193fcbe270044b57c15fdb8c4183ee23f2c23b2a845d5865f3dabe84e24b30fad5ed3bf97fd2d4b7a92bd4b229b','a:1:{s:32:\"system.site_information_settings\";s:1077:\"C:31:\"Symfony\\Component\\Routing\\Route\":1031:{a:9:{s:4:\"path\";s:37:\"/admin/config/system/site-information\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:39:\"\\Drupal\\system\\Form\\SiteInformationForm\";s:6:\"_title\";s:19:\"Basic site settings\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:29:\"administer site configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":410:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:45:\"#^/admin/config/system/site\\-information$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/config/system/site-information\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:37:\"/admin/config/system/site-information\";s:8:\"numParts\";i:4;}}}}\";}',-1,1636012248.764,1,'routes','58'),('route_provider.route_load:c99a96bd87404cef49e761bdd60d67ad57092b6950aa83510e2fe469b13522c7f0534922f9419c8b7356ac35b68ffd75de6955ce57b0819ff56a64c116a2fedb','a:1:{s:23:\"system.logging_settings\";s:1051:\"C:31:\"Symfony\\Component\\Routing\\Route\":1005:{a:9:{s:4:\"path\";s:33:\"/admin/config/development/logging\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:31:\"\\Drupal\\system\\Form\\LoggingForm\";s:6:\"_title\";s:18:\"Logging and errors\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:29:\"administer site configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":397:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:40:\"#^/admin/config/development/logging$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:33:\"/admin/config/development/logging\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:33:\"/admin/config/development/logging\";s:8:\"numParts\";i:4;}}}}\";}',-1,1636012248.810,1,'routes','58'),('route_provider.route_load:c9c87b60b70f53c8ea19afdffa4db570b15cb448eb939fe309f3d6aa7ef7b1f5d24bd155120bd29f4fbe0d3b764d2be9505f5893da0082a0f0e3d09712d2c286','a:1:{s:20:\"update.manual_status\";s:1131:\"C:31:\"Symfony\\Component\\Routing\\Route\":1085:{a:9:{s:4:\"path\";s:28:\"/admin/reports/updates/check\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:6:\"_title\";s:19:\"Manual update check\";s:11:\"_controller\";s:64:\"\\Drupal\\update\\Controller\\UpdateController::updateStatusManually\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:29:\"administer site configuration\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":382:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:35:\"#^/admin/reports/updates/check$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:28:\"/admin/reports/updates/check\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:28:\"/admin/reports/updates/check\";s:8:\"numParts\";i:4;}}}}\";}',-1,1636012339.965,1,'routes','58'),('route_provider.route_load:cbe1dd92784352700136905a3889d330b757aa541580a55c8da51d5a0ebd7dc1ec2107082634fdc9f7fb1f35887fe951f72a06fa41fbf8731e06f5a82dea9bf9','a:1:{s:27:\"menu_link_attributes.config\";s:1100:\"C:31:\"Symfony\\Component\\Routing\\Route\":1054:{a:9:{s:4:\"path\";s:41:\"/admin/config/menu_link_attributes/config\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:44:\"\\Drupal\\menu_link_attributes\\Form\\ConfigForm\";s:6:\"_title\";s:20:\"Menu link attributes\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:31:\"administer menu link attributes\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":421:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:48:\"#^/admin/config/menu_link_attributes/config$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:41:\"/admin/config/menu_link_attributes/config\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:41:\"/admin/config/menu_link_attributes/config\";s:8:\"numParts\";i:4;}}}}\";}',-1,1636012332.261,1,'routes','58'),('route_provider.route_load:cc4309e39696d8ea9b0fa165a9fe68175fbf74fbb7267b1d45bb38d28cb40f17c14624fa4b7ef56898f853c2993905e259fa0354598a83ffe08e4cd88af3197e','a:0:{}',-1,1636012249.635,1,'routes','58'),('route_provider.route_load:ccb842b38dce9d4058c1f2b5ddfafe2a1c16a66398d38969e4760c4f16f9a3d5fd06a9e4ec7a765b5b3c31f140519f2a43341febf888b278fc7618cfcdf44b52','a:1:{s:25:\"system.admin_config_media\";s:1021:\"C:31:\"Symfony\\Component\\Routing\\Route\":976:{a:9:{s:4:\"path\";s:19:\"/admin/config/media\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:68:\"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage\";s:6:\"_title\";s:5:\"Media\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"access administration pages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":354:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:26:\"#^/admin/config/media$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:19:\"/admin/config/media\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:19:\"/admin/config/media\";s:8:\"numParts\";i:3;}}}}\";}',-1,1636012248.823,1,'routes','58'),('route_provider.route_load:cda551cbf0a8cad84f223a1a86ec42ad356d182311c956e3999c6f5ef9caca297556aad7d61f245e7993d916f1fe9ff6f6a395eb40ca11fa3695e6b1cb3bdc38','a:1:{s:27:\"system.admin_config_content\";s:1042:\"C:31:\"Symfony\\Component\\Routing\\Route\":997:{a:9:{s:4:\"path\";s:21:\"/admin/config/content\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:68:\"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage\";s:6:\"_title\";s:17:\"Content authoring\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"access administration pages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":360:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:28:\"#^/admin/config/content$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:21:\"/admin/config/content\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:21:\"/admin/config/content\";s:8:\"numParts\";i:3;}}}}\";}',-1,1636012248.775,1,'routes','58'),('route_provider.route_load:cec15c6f5d62c4ee68d0dcb342d82dfa3a878b172f1f086efe7a6a524de21c07d398438039280dcc2b48381405b536eab86c75947d3d07083f3669722276fe79','a:1:{s:24:\"system.modules_uninstall\";s:1001:\"C:31:\"Symfony\\Component\\Routing\\Route\":956:{a:9:{s:4:\"path\";s:24:\"/admin/modules/uninstall\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:40:\"\\Drupal\\system\\Form\\ModulesUninstallForm\";s:6:\"_title\";s:9:\"Uninstall\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:18:\"administer modules\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":369:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:31:\"#^/admin/modules/uninstall$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:24:\"/admin/modules/uninstall\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:24:\"/admin/modules/uninstall\";s:8:\"numParts\";i:3;}}}}\";}',-1,1636012248.728,1,'routes','58'),('route_provider.route_load:d0798c7b7104c84356c934eba5b7762c0c8ba25c0ed4e83cf406f9bb8f2b5a786205360a415c6032affc1a73e0c1c195dbf6631aaf9c079f3aa200f5f2765a4d','a:2:{s:19:\"system.modules_list\";s:998:\"C:31:\"Symfony\\Component\\Routing\\Route\":953:{a:9:{s:4:\"path\";s:14:\"/admin/modules\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:6:\"_title\";s:6:\"Extend\";s:14:\"_title_context\";s:15:\"With components\";s:5:\"_form\";s:35:\"\\Drupal\\system\\Form\\ModulesListForm\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:18:\"administer modules\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":339:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:21:\"#^/admin/modules$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/admin/modules\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:14:\"/admin/modules\";s:8:\"numParts\";i:2;}}}}\";s:24:\"system.modules_uninstall\";s:1001:\"C:31:\"Symfony\\Component\\Routing\\Route\":956:{a:9:{s:4:\"path\";s:24:\"/admin/modules/uninstall\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:40:\"\\Drupal\\system\\Form\\ModulesUninstallForm\";s:6:\"_title\";s:9:\"Uninstall\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:18:\"administer modules\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":369:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:31:\"#^/admin/modules/uninstall$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:24:\"/admin/modules/uninstall\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:24:\"/admin/modules/uninstall\";s:8:\"numParts\";i:3;}}}}\";}',-1,1636012340.333,1,'routes','58'),('route_provider.route_load:d124589f3704d9642fd72f489d377b566530b9b7e45e36af49c6711242b112d5509dbabc8e15d1d36b05b106c4dd2cd86444df7d43a5d2c2c6b364e80289e3da','a:1:{s:23:\"locale.translate_status\";s:1036:\"C:31:\"Symfony\\Component\\Routing\\Route\":991:{a:9:{s:4:\"path\";s:27:\"/admin/reports/translations\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:41:\"\\Drupal\\locale\\Form\\TranslationStatusForm\";s:6:\"_title\";s:29:\"Available translation updates\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:19:\"translate interface\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":378:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:34:\"#^/admin/reports/translations$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:27:\"/admin/reports/translations\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:27:\"/admin/reports/translations\";s:8:\"numParts\";i:3;}}}}\";}',-1,1636012248.968,1,'routes','58'),('route_provider.route_load:d274bb1d2307bbba496ef13a14d5c73de9b2821df94a74273299934d0bef0825cd56c51ee88014461fdfc57e950aac713cb913c5dde03c3a2dcd6bc5adbb3aa3','a:1:{s:13:\"update.status\";s:1036:\"C:31:\"Symfony\\Component\\Routing\\Route\":991:{a:9:{s:4:\"path\";s:22:\"/admin/reports/updates\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:56:\"\\Drupal\\update\\Controller\\UpdateController::updateStatus\";s:6:\"_title\";s:17:\"Available updates\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:29:\"administer site configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":363:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:29:\"#^/admin/reports/updates$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/admin/reports/updates\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:22:\"/admin/reports/updates\";s:8:\"numParts\";i:3;}}}}\";}',-1,1636012248.956,1,'routes','58'),('route_provider.route_load:d2e744e34ddc4f89721d26e14716a8646c997417a0acc5ee4a3bd508080e8e2b68bbfb5ad2a915a7ce81afd6a4f3617b54d0bb0a40d4df4d61048dca00b615f0','a:1:{s:24:\"shortcut.link_add_inline\";s:1612:\"C:31:\"Symfony\\Component\\Routing\\Route\":1566:{a:9:{s:4:\"path\";s:75:\"/admin/config/user-interface/shortcut/manage/{shortcut_set}/add-link-inline\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:72:\"\\Drupal\\shortcut\\Controller\\ShortcutSetController::addShortcutLinkInline\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:19:\"shortcut_set.update\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"shortcut_set\";a:2:{s:4:\"type\";s:19:\"entity:shortcut_set\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":684:{a:11:{s:4:\"vars\";a:1:{i:0;s:12:\"shortcut_set\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:95:\"#^/admin/config/user\\-interface/shortcut/manage/(?P<shortcut_set>[^/]++)/add\\-link\\-inline$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:16:\"/add-link-inline\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"shortcut_set\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:44:\"/admin/config/user-interface/shortcut/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"shortcut_set\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:62:\"/admin/config/user-interface/shortcut/manage/%/add-link-inline\";s:8:\"numParts\";i:7;}}}}\";}',-1,1636012333.154,1,'routes','58'),('route_provider.route_load:d2eb55999310df878a685cacba46fbf9d193a3de13ec8d92a9109aace2332977429c2a2df10ace70a83df30d94803d4d408ffc37a03e6ed3fc1423a924f6a6d1','a:1:{s:22:\"system.admin_config_ui\";s:1069:\"C:31:\"Symfony\\Component\\Routing\\Route\":1023:{a:9:{s:4:\"path\";s:28:\"/admin/config/user-interface\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:68:\"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage\";s:6:\"_title\";s:14:\"User interface\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"access administration pages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":382:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:36:\"#^/admin/config/user\\-interface$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:28:\"/admin/config/user-interface\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:28:\"/admin/config/user-interface\";s:8:\"numParts\";i:3;}}}}\";}',-1,1636012248.787,1,'routes','58'),('route_provider.route_load:d33918d4e79155cfea066ab0097f131ab3da88b2b12889663e6246c2ad410a9c9b6d3edbbc59aa98d70c860db97463081be28b2869b1ba9413694257d5a00657','a:1:{s:30:\"config_translation.mapper_list\";s:1134:\"C:31:\"Symfony\\Component\\Routing\\Route\":1088:{a:9:{s:4:\"path\";s:41:\"/admin/config/regional/config-translation\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:6:\"_title\";s:25:\"Configuration translation\";s:11:\"_controller\";s:73:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationMapperList::render\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:23:\"translate configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":422:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:49:\"#^/admin/config/regional/config\\-translation$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:41:\"/admin/config/regional/config-translation\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:41:\"/admin/config/regional/config-translation\";s:8:\"numParts\";i:4;}}}}\";}',-1,1636012248.890,1,'routes','58'),('route_provider.route_load:d67cf0296253e8af367594aea1b04b4eaac8f61b40ecf1a5a1fd42613d5294406fb3cb735d4542b746ccbc375e626da932171e506569e562185739b756cb9955','a:1:{s:29:\"field_ui.entity_view_mode_add\";s:1135:\"C:31:\"Symfony\\Component\\Routing\\Route\":1089:{a:9:{s:4:\"path\";s:39:\"/admin/structure/display-modes/view/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:78:\"\\Drupal\\field_ui\\Controller\\EntityDisplayModeController::viewModeTypeSelection\";s:6:\"_title\";s:28:\"Choose view mode entity type\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"administer display modes\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":416:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:47:\"#^/admin/structure/display\\-modes/view/add$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:39:\"/admin/structure/display-modes/view/add\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:39:\"/admin/structure/display-modes/view/add\";s:8:\"numParts\";i:5;}}}}\";}',-1,1636012249.246,1,'routes','58'),('route_provider.route_load:d754575d4eac286e5e5982ea2d2ee5aace895b8c3656488ea7eba9eed92b887f093e496648c9fd7043baa4f1f4a56d6924e1154f52cbb3c14e0f7913353ced65','a:1:{s:17:\"we_megamenu.admin\";s:1072:\"C:31:\"Symfony\\Component\\Routing\\Route\":1026:{a:9:{s:4:\"path\";s:29:\"/admin/structure/we-mega-menu\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:6:\"_title\";s:12:\"We Mega Menu\";s:11:\"_controller\";s:73:\"\\Drupal\\we_megamenu\\Controller\\WeMegaMenuAdminController::listWeMegaMenus\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:22:\"administer we_megamenu\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":386:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:38:\"#^/admin/structure/we\\-mega\\-menu$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/we-mega-menu\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:29:\"/admin/structure/we-mega-menu\";s:8:\"numParts\";i:3;}}}}\";}',-1,1636012248.663,1,'routes','58'),('route_provider.route_load:d811ec990c6cc827de84d05b163d6031ab9324cadc413923c92a1bb21464f6a1ef5760aeb7a70c4250fdebb40a4fe2715b41a5aecb8ea36c01815d4feae1242e','a:1:{s:13:\"system.status\";s:1026:\"C:31:\"Symfony\\Component\\Routing\\Route\":981:{a:9:{s:4:\"path\";s:21:\"/admin/reports/status\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:54:\"\\Drupal\\system\\Controller\\SystemInfoController::status\";s:6:\"_title\";s:13:\"Status report\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:29:\"administer site configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":360:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:28:\"#^/admin/reports/status$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:21:\"/admin/reports/status\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:21:\"/admin/reports/status\";s:8:\"numParts\";i:3;}}}}\";}',-1,1636012248.981,1,'routes','58'),('route_provider.route_load:d8383b6ce21e733912abc357ba9a608bbae6046b6ab9a738915cdac7996228ad548d456eb199cbc900be4e3fbb465f85411092faf8e3dbe0877f2e9bce824b8f','a:0:{}',-1,1636012249.652,1,'routes','58'),('route_provider.route_load:d98c4b3cb48f272ce32227426db751272fd73c0970726fc35789f32ae14ad965dcc3983acf269ad33f524273d4bef86da3de50c895a5fceac6cab6fc1cfbd2f4','a:1:{s:12:\"system.admin\";s:976:\"C:31:\"Symfony\\Component\\Routing\\Route\":931:{a:9:{s:4:\"path\";s:6:\"/admin\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:68:\"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage\";s:6:\"_title\";s:14:\"Administration\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"access administration pages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":313:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:13:\"#^/admin$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:6:\"/admin\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:6:\"/admin\";s:8:\"numParts\";i:1;}}}}\";}',-1,1636012249.015,1,'routes','58'),('route_provider.route_load:dc11034164a8cddbe0603eb659312f66b2ba1ece22056f614c8eaee697408bd97c644b9d78e113a2bb8db7a814423e60012dbc46368b64234371894ad8bb644a','a:1:{s:20:\"system.cron_settings\";s:1000:\"C:31:\"Symfony\\Component\\Routing\\Route\":955:{a:9:{s:4:\"path\";s:25:\"/admin/config/system/cron\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:28:\"\\Drupal\\system\\Form\\CronForm\";s:6:\"_title\";s:4:\"Cron\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:29:\"administer site configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":373:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:32:\"#^/admin/config/system/cron$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:25:\"/admin/config/system/cron\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:25:\"/admin/config/system/cron\";s:8:\"numParts\";i:4;}}}}\";}',-1,1636012248.769,1,'routes','58'),('route_provider.route_load:ddb8401616c7f449d74c80a108af0f0ed728ad54ef2df5542b6829fec1ec6d620b49db41d6f49b1815a3dc60209e3bfdb3f77eddd09965464dbb4b3fe46edc5b','a:1:{s:21:\"update.module_install\";s:1100:\"C:31:\"Symfony\\Component\\Routing\\Route\":1054:{a:9:{s:4:\"path\";s:22:\"/admin/modules/install\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:40:\"\\Drupal\\update\\Form\\UpdateManagerInstall\";s:6:\"_title\";s:18:\"Install new module\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:27:\"administer software updates\";s:22:\"_access_update_manager\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:34:\"access_check.update.manager_access\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":363:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:29:\"#^/admin/modules/install$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/admin/modules/install\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:22:\"/admin/modules/install\";s:8:\"numParts\";i:3;}}}}\";}',-1,1636012248.722,1,'routes','58'),('route_provider.route_load:e27b13ebcdbf4fc0d2dbc221d2674fb6f3f7116e388424dd504ef2f475b3a2e0d912425f03804eb28705585cd5702b40b58f0a50931f86728aeb710677f51537','a:1:{s:31:\"entity.block_content.collection\";s:1405:\"C:31:\"Symfony\\Component\\Routing\\Route\":1359:{a:9:{s:4:\"path\";s:36:\"/admin/structure/block/block-content\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:20:\"Custom block library\";s:7:\"view_id\";s:13:\"block_content\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:17:\"administer blocks\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:9:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":407:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:44:\"#^/admin/structure/block/block\\-content$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:36:\"/admin/structure/block/block-content\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:36:\"/admin/structure/block/block-content\";s:8:\"numParts\";i:4;}}}}\";}',-1,1636012248.594,1,'routes','58'),('route_provider.route_load:e3478c3b96a05eb5f312e82bb127dcaf670a346a3428ec5715301a293d40753c5164e2cd7bc74587af1ab1ee48b727a15e45ee1e71389ad13987939cfdbf934f','a:1:{s:30:\"entity.shortcut_set.collection\";s:1037:\"C:31:\"Symfony\\Component\\Routing\\Route\":992:{a:9:{s:4:\"path\";s:37:\"/admin/config/user-interface/shortcut\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_list\";s:12:\"shortcut_set\";s:6:\"_title\";s:9:\"Shortcuts\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:20:\"administer shortcuts\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":410:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:45:\"#^/admin/config/user\\-interface/shortcut$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/config/user-interface/shortcut\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:37:\"/admin/config/user-interface/shortcut\";s:8:\"numParts\";i:4;}}}}\";}',-1,1636012248.793,1,'routes','58'),('route_provider.route_load:e3970f8f38c0e8aa3400f878babc2fc344df01d5fe992c949c3255cab734d248b040fb25a43e44a2ee9b4e87ad1e1ae09e14126508757dd1ac18cb36224ac39d','a:1:{s:48:\"entity.entity_form_display.block_content.default\";s:1703:\"C:31:\"Symfony\\Component\\Routing\\Route\":1657:{a:9:{s:4:\"path\";s:77:\"/admin/structure/block/block-content/manage/{block_content_type}/form-display\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:12:\"_entity_form\";s:24:\"entity_form_display.edit\";s:6:\"_title\";s:19:\"Manage form display\";s:14:\"form_mode_name\";s:7:\"default\";s:14:\"entity_type_id\";s:13:\"block_content\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_form_mode_access\";s:37:\"administer block_content form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:18:\"block_content_type\";a:2:{s:4:\"type\";s:25:\"entity:block_content_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.form_mode\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":695:{a:11:{s:4:\"vars\";a:1:{i:0;s:18:\"block_content_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:96:\"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/form\\-display$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/form-display\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/block/block-content/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:18:\"block_content_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:58:\"/admin/structure/block/block-content/manage/%/form-display\";s:8:\"numParts\";i:7;}}}}\";}',-1,1636011228.178,1,'routes','57'),('route_provider.route_load:e3d097d747ef748eb80a503e4d424246b7160280cc42d3a89c96bbb6d9a8c97de8274ee3b2faff7f6698f9586fd645ce828df8606a6173d1b33c33a638e26ea7','a:1:{s:25:\"system.admin_compact_page\";s:1125:\"C:31:\"Symfony\\Component\\Routing\\Route\":1079:{a:9:{s:4:\"path\";s:21:\"/admin/compact/{mode}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:55:\"\\Drupal\\system\\Controller\\SystemController::compactPage\";s:4:\"mode\";s:3:\"off\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"access administration pages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":472:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"mode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:43:\"#^/admin/compact(?:/(?P<mode>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"mode\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/admin/compact\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"mode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:14:\"/admin/compact\";s:8:\"numParts\";i:3;}}}}\";}',-1,1637057230.988,1,'routes','58'),('route_provider.route_load:e4f186ecc9c6857e7d7a9116f37987d01ec013f142b47763df58ea23bfffb5b236b104363bbebb884537e5608f86f8a71f4d1b25fb8666d59fadf6572b491791','a:0:{}',-1,1636012249.629,1,'routes','58'),('route_provider.route_load:e6d36b14d033ff4e594d5f1a62a9f179c1ea22b1cc3ed825d6445c724930b4dfd8ccd32cf2f48a44387c37d5acaceb0bcd314f62db909ee9ad7bf2354f9ad30d','a:1:{s:16:\"contact.form_add\";s:1016:\"C:31:\"Symfony\\Component\\Routing\\Route\":971:{a:9:{s:4:\"path\";s:28:\"/admin/structure/contact/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:16:\"contact_form.add\";s:6:\"_title\";s:16:\"Add contact form\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"administer contact forms\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":382:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:35:\"#^/admin/structure/contact/add$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:28:\"/admin/structure/contact/add\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:28:\"/admin/structure/contact/add\";s:8:\"numParts\";i:4;}}}}\";}',-1,1636012248.618,1,'routes','58'),('route_provider.route_load:e86c16ba78fa5c23e07e58e075d776966b6bc183a634a4bdba4a2a3ffd389a11b964c2dac831137fa6fa5ac3220dea6a161ec4bf7b8c6b910aee29b8c665364c','a:1:{s:55:\"config_translation.item.overview.entity.user.admin_form\";s:1113:\"C:31:\"Symfony\\Component\\Routing\\Route\":1067:{a:9:{s:4:\"path\";s:39:\"/admin/config/people/accounts/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:22:\"entity.user.admin_form\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":415:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:46:\"#^/admin/config/people/accounts/translate$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:39:\"/admin/config/people/accounts/translate\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:39:\"/admin/config/people/accounts/translate\";s:8:\"numParts\";i:5;}}}}\";}',-1,1637057251.840,1,'routes','58'),('route_provider.route_load:e914bd53c914877a614f451d657ed30846ac7a5d3ba7fddbc2f335d004040d7cc1bb3be4f21839f57021b936b4b2e50f4cbf2720c056d71acaac097370fbc988','a:1:{s:20:\"language.negotiation\";s:1094:\"C:31:\"Symfony\\Component\\Routing\\Route\":1048:{a:9:{s:4:\"path\";s:41:\"/admin/config/regional/language/detection\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:46:\"\\Drupal\\language\\Form\\NegotiationConfigureForm\";s:6:\"_title\";s:23:\"Detection and selection\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:20:\"administer languages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":421:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:48:\"#^/admin/config/regional/language/detection$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:41:\"/admin/config/regional/language/detection\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:41:\"/admin/config/regional/language/detection\";s:8:\"numParts\";i:5;}}}}\";}',-1,1636012249.340,1,'routes','58'),('route_provider.route_load:e95907993eb8e0a7798126bd14aef8aec4d089a81df496534f74a2307894eb2704edb81f5ee3c16dce5d72a74b86a790502fab430dd69f492cc29363da271553','a:1:{s:13:\"user.role_add\";s:986:\"C:31:\"Symfony\\Component\\Routing\\Route\":941:{a:9:{s:4:\"path\";s:23:\"/admin/people/roles/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:17:\"user_role.default\";s:6:\"_title\";s:8:\"Add role\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:22:\"administer permissions\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":367:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:30:\"#^/admin/people/roles/add$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:23:\"/admin/people/roles/add\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:23:\"/admin/people/roles/add\";s:8:\"numParts\";i:4;}}}}\";}',-1,1636012248.943,1,'routes','58'),('route_provider.route_load:ecd467ab6a8beba3ebcc935ac9b403b8cbf529bbed875dc35fea154665c5454c5ceba978cec3f32af6e58ab7a331636fcce2c86fa0802de61812da0ac2213ed8','a:1:{s:30:\"entity.comment_type.collection\";s:992:\"C:31:\"Symfony\\Component\\Routing\\Route\":947:{a:9:{s:4:\"path\";s:24:\"/admin/structure/comment\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_list\";s:12:\"comment_type\";s:6:\"_title\";s:13:\"Comment types\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"administer comment types\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":369:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:31:\"#^/admin/structure/comment$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:24:\"/admin/structure/comment\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:24:\"/admin/structure/comment\";s:8:\"numParts\";i:3;}}}}\";}',-1,1636012248.600,1,'routes','58'),('route_provider.route_load:ee30595e3d0021129d4e2a6319438f25f934f7da1df38d33146cc72da0692cb7bac8a6e530cc7b4e61f2c37188f1b34e0167be92f8ded4820e56b2a3e122babf','a:1:{s:39:\"entity.entity_form_display.user.default\";s:1196:\"C:31:\"Symfony\\Component\\Routing\\Route\":1150:{a:9:{s:4:\"path\";s:42:\"/admin/config/people/accounts/form-display\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:12:\"_entity_form\";s:24:\"entity_form_display.edit\";s:6:\"_title\";s:19:\"Manage form display\";s:14:\"form_mode_name\";s:7:\"default\";s:14:\"entity_type_id\";s:4:\"user\";s:6:\"bundle\";s:4:\"user\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_form_mode_access\";s:28:\"administer user form display\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.form_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":425:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:50:\"#^/admin/config/people/accounts/form\\-display$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/config/people/accounts/form-display\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:42:\"/admin/config/people/accounts/form-display\";s:8:\"numParts\";i:5;}}}}\";}',-1,1636012249.313,1,'routes','58'),('route_provider.route_load:ef6e13b63957674bed0cb9937ed3441a5fd5fcb56bda316a391538821b372313933a7d81bf262591495e271ae583a1abe6a2ae4e217ed9609d9b6792f4c5005a','a:1:{s:28:\"entity.path_alias.collection\";s:1051:\"C:31:\"Symfony\\Component\\Routing\\Route\":1005:{a:9:{s:4:\"path\";s:25:\"/admin/config/search/path\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_list\";s:10:\"path_alias\";s:6:\"_title\";s:11:\"URL aliases\";s:16:\"_title_arguments\";a:0:{}s:14:\"_title_context\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:22:\"administer url aliases\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":373:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:32:\"#^/admin/config/search/path$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:25:\"/admin/config/search/path\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:25:\"/admin/config/search/path\";s:8:\"numParts\";i:4;}}}}\";}',-1,1636012248.857,1,'routes','58'),('route_provider.route_load:f1dd4f7450e46d09d43e5bc076683a7e568072d481ebc196ab11857376144e6171480928245b2a171c8b1dc9bc708d6cb937b1d06e53c45c83eda7c20106dbbc','a:1:{s:25:\"admin_toolbar_tools.cssjs\";s:1099:\"C:31:\"Symfony\\Component\\Routing\\Route\":1053:{a:9:{s:4:\"path\";s:18:\"/admin/flush/cssjs\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:68:\"\\Drupal\\admin_toolbar_tools\\Controller\\ToolbarController::flushJsCss\";s:6:\"_title\";s:24:\"Flush Css and Javascript\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:29:\"administer site configuration\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":351:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:25:\"#^/admin/flush/cssjs$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/admin/flush/cssjs\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:18:\"/admin/flush/cssjs\";s:8:\"numParts\";i:3;}}}}\";}',-1,1636012248.522,1,'routes','58'),('route_provider.route_load:f2518f71128e849d8b86242bbccee23a350a6a7edd09d2db6345636c2971037a25ae63218397d41686c1539d9f559f8156584dadfa73b20401bb440ee4d240a1','a:1:{s:21:\"system.theme_settings\";s:1016:\"C:31:\"Symfony\\Component\\Routing\\Route\":971:{a:9:{s:4:\"path\";s:26:\"/admin/appearance/settings\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:37:\"\\Drupal\\system\\Form\\ThemeSettingsForm\";s:6:\"_title\";s:19:\"Appearance settings\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:17:\"administer themes\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":375:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:33:\"#^/admin/appearance/settings$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/appearance/settings\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:26:\"/admin/appearance/settings\";s:8:\"numParts\";i:3;}}}}\";}',-1,1636012248.707,1,'routes','58'),('route_provider.route_load:f58c08274877baf8255ab47712237538b002d421ad9e099ca2873f9d824ef4297272d2f3363f24edcbbea859602c6987f65a24089817e4ccbb2ba5191826e63f','a:1:{s:39:\"entity.entity_form_display.node.default\";s:1559:\"C:31:\"Symfony\\Component\\Routing\\Route\":1513:{a:9:{s:4:\"path\";s:54:\"/admin/structure/types/manage/{node_type}/form-display\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:12:\"_entity_form\";s:24:\"entity_form_display.edit\";s:6:\"_title\";s:19:\"Manage form display\";s:14:\"form_mode_name\";s:7:\"default\";s:14:\"entity_type_id\";s:4:\"node\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_form_mode_access\";s:28:\"administer node form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:9:\"node_type\";a:2:{s:4:\"type\";s:16:\"entity:node_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.form_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":612:{a:11:{s:4:\"vars\";a:1:{i:0;s:9:\"node_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:72:\"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/form\\-display$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/form-display\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/types/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:9:\"node_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:44:\"/admin/structure/types/manage/%/form-display\";s:8:\"numParts\";i:6;}}}}\";}',-1,1636012249.212,1,'routes','58'),('route_provider.route_load:f6c1cf2eea9b7dd446e0ff3453c17139d79343062b4812467f2883c5da3e0fa7a503ec7e6a2eb2404a713c01c0c21732af64dad700f1ee66211d67b085b5e879','a:1:{s:20:\"dblog.page_not_found\";s:1100:\"C:31:\"Symfony\\Component\\Routing\\Route\":1054:{a:9:{s:4:\"path\";s:29:\"/admin/reports/page-not-found\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:6:\"_title\";s:27:\"Top \'page not found\' errors\";s:11:\"_controller\";s:56:\"\\Drupal\\dblog\\Controller\\DbLogController::topLogMessages\";s:4:\"type\";s:14:\"page not found\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:19:\"access site reports\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":386:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:38:\"#^/admin/reports/page\\-not\\-found$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/reports/page-not-found\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:29:\"/admin/reports/page-not-found\";s:8:\"numParts\";i:3;}}}}\";}',-1,1636012248.989,1,'routes','58'),('route_provider.route_load:f6cae841690fb70aa7530574e77911f5559e29f44b232ebae9a6995aed3995abac0d000f4d90493833579875bfca9fb1b977d6fd5a9ef013a219b820df406f14','a:1:{s:12:\"dblog.search\";s:1089:\"C:31:\"Symfony\\Component\\Routing\\Route\":1043:{a:9:{s:4:\"path\";s:21:\"/admin/reports/search\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:11:\"_controller\";s:56:\"\\Drupal\\dblog\\Controller\\DbLogController::topLogMessages\";s:6:\"_title\";s:18:\"Top search phrases\";s:4:\"type\";s:6:\"search\";}s:12:\"requirements\";a:2:{s:20:\"_module_dependencies\";s:6:\"search\";s:11:\"_permission\";s:19:\"access site reports\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":360:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:28:\"#^/admin/reports/search$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:21:\"/admin/reports/search\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:21:\"/admin/reports/search\";s:8:\"numParts\";i:3;}}}}\";}',-1,1636012248.993,1,'routes','58'),('route_provider.route_load:f8058d857b1ee11cd6774fd4df965677cd17a39ea886fff5c71aa9328394941b033ac7db579e7aae19b506ca5bfeebb426b69cd3fd4699ae7b5199947a95936f','a:1:{s:50:\"entity.entity_view_display.contact_message.default\";s:1583:\"C:31:\"Symfony\\Component\\Routing\\Route\":1537:{a:9:{s:4:\"path\";s:54:\"/admin/structure/contact/manage/{contact_form}/display\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:12:\"_entity_form\";s:24:\"entity_view_display.edit\";s:6:\"_title\";s:14:\"Manage display\";s:14:\"view_mode_name\";s:7:\"default\";s:14:\"entity_type_id\";s:15:\"contact_message\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_view_mode_access\";s:34:\"administer contact_message display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"contact_form\";a:2:{s:4:\"type\";s:19:\"entity:contact_form\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.view_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":616:{a:11:{s:4:\"vars\";a:1:{i:0;s:12:\"contact_form\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:71:\"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/display$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/display\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/contact/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"contact_form\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:41:\"/admin/structure/contact/manage/%/display\";s:8:\"numParts\";i:6;}}}}\";}',-1,1636012249.192,1,'routes','58'),('route_provider.route_load:f8cd66836300536398117f10ad50eadb3412a566958ca803027ba2a30e7328441bdc889ec99b0b9c4624a9c74c1ab176498048c0479c87e9fa1d38c9c1cc95b8','a:1:{s:34:\"entity.entity_view_mode.collection\";s:1039:\"C:31:\"Symfony\\Component\\Routing\\Route\":994:{a:9:{s:4:\"path\";s:35:\"/admin/structure/display-modes/view\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_list\";s:16:\"entity_view_mode\";s:6:\"_title\";s:10:\"View modes\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"administer display modes\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":404:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:43:\"#^/admin/structure/display\\-modes/view$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:35:\"/admin/structure/display-modes/view\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:35:\"/admin/structure/display-modes/view\";s:8:\"numParts\";i:4;}}}}\";}',-1,1636012248.659,1,'routes','58'),('route_provider.route_load:fd4e891255e59b560a830e9050f9bf051118182731264577583a1fa0d886afd2d3cf39a7050a613f91cd34f21df1a0191b653528d02fb72e63258bb900c76e66','a:1:{s:30:\"admin_toolbar_tools.flush_menu\";s:1073:\"C:31:\"Symfony\\Component\\Routing\\Route\":1027:{a:9:{s:4:\"path\";s:17:\"/admin/flush/menu\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:67:\"\\Drupal\\admin_toolbar_tools\\Controller\\ToolbarController::flushMenu\";s:6:\"_title\";s:4:\"Menu\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:29:\"administer site configuration\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":348:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:24:\"#^/admin/flush/menu$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/admin/flush/menu\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:17:\"/admin/flush/menu\";s:8:\"numParts\";i:3;}}}}\";}',-1,1636012248.535,1,'routes','58'),('route_provider.route_load:febaad96a91461680f71bffb65625d795389df3f1b98a2f8a87624edc77fa73310c08ad1b7d9931ccc8b877003fe660076be319232edfcb6d5e7ec8d64ab2645','a:1:{s:38:\"entity.taxonomy_vocabulary.delete_form\";s:1566:\"C:31:\"Symfony\\Component\\Routing\\Route\":1520:{a:9:{s:4:\"path\";s:61:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:26:\"taxonomy_vocabulary.delete\";s:15:\"_title_callback\";s:60:\"\\Drupal\\Core\\Entity\\Controller\\EntityController::deleteTitle\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:26:\"taxonomy_vocabulary.delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:19:\"taxonomy_vocabulary\";a:2:{s:4:\"type\";s:26:\"entity:taxonomy_vocabulary\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":644:{a:11:{s:4:\"vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:78:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:41:\"/admin/structure/taxonomy/manage/%/delete\";s:8:\"numParts\";i:6;}}}}\";}',-1,1636012249.290,1,'routes','58'),('route_provider.route_load:ffe6d60df53bb7ea1ac5fb4fc3d969a1b0f9251c3ae8058b1fb2b92facd7e53f71f178e6174fe3b732c1db27f3a513f8a48c6b4c0f3bfd059f08104f9779b958','a:1:{s:29:\"field_ui.entity_form_mode_add\";s:1135:\"C:31:\"Symfony\\Component\\Routing\\Route\":1089:{a:9:{s:4:\"path\";s:39:\"/admin/structure/display-modes/form/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:78:\"\\Drupal\\field_ui\\Controller\\EntityDisplayModeController::formModeTypeSelection\";s:6:\"_title\";s:28:\"Choose form mode entity type\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"administer display modes\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":416:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:47:\"#^/admin/structure/display\\-modes/form/add$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:39:\"/admin/structure/display-modes/form/add\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:39:\"/admin/structure/display-modes/form/add\";s:8:\"numParts\";i:5;}}}}\";}',-1,1636012249.240,1,'routes','58'),('slideshow:block_1:results:2c642fe7e14369750780e7cd218be4e7cf82977fe3c7d87cdeb9e8fd842e918f','a:3:{s:6:\"result\";a:5:{i:0;O:22:\"Drupal\\views\\ResultRow\":6:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:0;s:24:\"node_field_data_langcode\";s:2:\"ar\";s:23:\"node_field_data_created\";s:10:\"1473752410\";s:3:\"nid\";s:2:\"15\";}i:1;O:22:\"Drupal\\views\\ResultRow\":6:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:1;s:24:\"node_field_data_langcode\";s:2:\"ar\";s:23:\"node_field_data_created\";s:10:\"1473752408\";s:3:\"nid\";s:2:\"16\";}i:2;O:22:\"Drupal\\views\\ResultRow\":6:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:2;s:24:\"node_field_data_langcode\";s:2:\"ar\";s:23:\"node_field_data_created\";s:10:\"1473742951\";s:3:\"nid\";s:2:\"12\";}i:3;O:22:\"Drupal\\views\\ResultRow\":6:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:3;s:24:\"node_field_data_langcode\";s:2:\"en\";s:23:\"node_field_data_created\";s:10:\"1469422582\";s:3:\"nid\";s:2:\"16\";}i:4;O:22:\"Drupal\\views\\ResultRow\":6:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:4;s:24:\"node_field_data_langcode\";s:2:\"en\";s:23:\"node_field_data_created\";s:10:\"1450761893\";s:3:\"nid\";s:2:\"15\";}}s:10:\"total_rows\";i:0;s:12:\"current_page\";N;}',-1,1636711429.756,1,'config:views.view.slideshow node:12 node:15 node:16 node_list','5'),('slideshow:block_1:results:96cb959db237e3a3a546e2ad159af1cf40759e4b3247b1c2204b1cc2c7e32135','a:3:{s:6:\"result\";a:5:{i:0;O:22:\"Drupal\\views\\ResultRow\":6:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:0;s:24:\"node_field_data_langcode\";s:2:\"ar\";s:23:\"node_field_data_created\";s:10:\"1473752410\";s:3:\"nid\";s:2:\"15\";}i:1;O:22:\"Drupal\\views\\ResultRow\":6:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:1;s:24:\"node_field_data_langcode\";s:2:\"ar\";s:23:\"node_field_data_created\";s:10:\"1473752408\";s:3:\"nid\";s:2:\"16\";}i:2;O:22:\"Drupal\\views\\ResultRow\":6:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:2;s:24:\"node_field_data_langcode\";s:2:\"ar\";s:23:\"node_field_data_created\";s:10:\"1473742951\";s:3:\"nid\";s:2:\"12\";}i:3;O:22:\"Drupal\\views\\ResultRow\":6:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:3;s:24:\"node_field_data_langcode\";s:2:\"en\";s:23:\"node_field_data_created\";s:10:\"1469422582\";s:3:\"nid\";s:2:\"16\";}i:4;O:22:\"Drupal\\views\\ResultRow\":6:{s:7:\"_entity\";N;s:22:\"_relationship_entities\";a:0:{}s:5:\"index\";i:4;s:24:\"node_field_data_langcode\";s:2:\"en\";s:23:\"node_field_data_created\";s:10:\"1450761893\";s:3:\"nid\";s:2:\"15\";}}s:10:\"total_rows\";i:0;s:12:\"current_page\";N;}',-1,1636012249.747,1,'config:views.view.slideshow node:12 node:15 node:16 node_list','5'),('views:unpack_options:02a514da0a44ab57a919b3311f9c0f49b0452819cd4e641fec2587dd4dc17724:en','a:33:{s:5:\"title\";s:11:\"Our mission\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:14:\"view-type-grid\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:3;s:6:\"offset\";i:0;}}s:5:\"style\";a:2:{s:4:\"type\";s:4:\"grid\";s:7:\"options\";a:8:{s:8:\"grouping\";a:0:{}s:7:\"columns\";i:3;s:15:\"automatic_width\";b:1;s:9:\"alignment\";s:10:\"horizontal\";s:17:\"col_class_default\";b:1;s:16:\"col_class_custom\";s:0:\"\";s:17:\"row_class_default\";b:1;s:16:\"row_class_custom\";s:0:\"\";}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:4:{s:11:\"field_image\";a:35:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:17:\"node__field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:13:\"image_551_372\";s:10:\"image_link\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:5:\"title\";a:35:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:4:\"body\";a:35:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:10:\"node__body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:100;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:14:\"sharethis_node\";a:23:{s:2:\"id\";s:14:\"sharethis_node\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:14:\"sharethis_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:14:\"sharethis_node\";}}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";}}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:2:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:11:\"our_mission\";s:11:\"our_mission\";}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}}s:17:\"display_extenders\";a:0:{}}',-1,1636012248.229,1,'config:views.view.our_mission','3'),('views:unpack_options:055a0c2f4b609f5257656113ef04c6e2493f3691e9ad9317b4c18af33cf55526:en','a:38:{s:8:\"defaults\";a:28:{s:6:\"access\";b:1;s:5:\"cache\";b:1;s:5:\"query\";b:1;s:5:\"title\";b:0;s:9:\"css_class\";b:1;s:19:\"display_description\";b:0;s:8:\"use_ajax\";b:1;s:23:\"hide_attachment_summary\";b:1;s:16:\"show_admin_links\";b:1;s:5:\"pager\";b:0;s:8:\"use_more\";b:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";b:1;s:12:\"exposed_form\";b:1;s:12:\"link_display\";b:1;s:8:\"link_url\";b:1;s:8:\"group_by\";b:1;s:5:\"style\";b:0;s:3:\"row\";b:0;s:6:\"header\";b:1;s:6:\"footer\";b:1;s:5:\"empty\";b:1;s:13:\"relationships\";b:1;s:6:\"fields\";b:0;s:5:\"sorts\";b:1;s:9:\"arguments\";b:1;s:7:\"filters\";b:1;s:13:\"filter_groups\";b:1;}s:5:\"title\";s:12:\"Recent posts\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:5;s:6:\"offset\";i:0;}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:1:{s:5:\"title\";a:35:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:9:\"plugin_id\";s:5:\"field\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:0:{}s:17:\"display_extenders\";a:0:{}s:17:\"block_description\";s:0:\"\";s:14:\"block_category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Lists (Views)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:16:\"block_hide_empty\";b:0;s:5:\"allow\";a:1:{s:14:\"items_per_page\";s:14:\"items_per_page\";}}',-1,1636012248.184,1,'config:views.view.blog_page','4'),('views:unpack_options:05cbfe6c242ad2cdb6e9200115e10b9f18e79f3ca0e26fe38f0b23ff57e1cef7:en','a:33:{s:5:\"title\";s:12:\"Our services\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:6;s:6:\"offset\";i:0;}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:4:{s:15:\"field_percent_1\";a:35:{s:2:\"id\";s:15:\"field_percent_1\";s:5:\"table\";s:19:\"node__field_percent\";s:5:\"field\";s:13:\"field_percent\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:14:\"number_decimal\";s:8:\"settings\";a:4:{s:18:\"thousand_separator\";s:0:\"\";s:13:\"prefix_suffix\";b:1;s:17:\"decimal_separator\";s:1:\".\";s:5:\"scale\";i:0;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:5:\"title\";a:37:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:9:\"plugin_id\";s:5:\"field\";}s:13:\"field_percent\";a:35:{s:2:\"id\";s:13:\"field_percent\";s:5:\"table\";s:19:\"node__field_percent\";s:5:\"field\";s:13:\"field_percent\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:14:\"number_decimal\";s:8:\"settings\";a:4:{s:18:\"thousand_separator\";s:0:\"\";s:13:\"prefix_suffix\";b:0;s:17:\"decimal_separator\";s:1:\".\";s:5:\"scale\";i:0;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:7:\"nothing\";a:22:{s:2:\"id\";s:7:\"nothing\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"nothing\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:259:\" <div class=\"progress\">\n  <div class=\"progress-bar\" role=\"progressbar\" aria-valuenow=\"{{ field_percent }}\"  aria-valuemin=\"0\" aria-valuemax=\"100\" style=\"width:{{ field_percent }}\">\n    <span class=\"sr-only\">{{ field_percent }}  Complete</span>\n  </div>\n</div>\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:0;s:9:\"plugin_id\";s:6:\"custom\";}}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"order\";s:3:\"ASC\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";}}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:2:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:12:\"our_services\";s:12:\"our_services\";}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}}s:17:\"display_extenders\";a:0:{}}',-1,1636012248.246,1,'config:views.view.our_services','3'),('views:unpack_options:123a2b7b93508007e1c0dd5e4437b8acc063c0c2537c1e7c3a6dbe69b9905504:en','a:38:{s:8:\"defaults\";a:28:{s:6:\"access\";b:1;s:5:\"cache\";b:1;s:5:\"query\";b:1;s:5:\"title\";b:0;s:9:\"css_class\";b:1;s:19:\"display_description\";b:0;s:8:\"use_ajax\";b:1;s:23:\"hide_attachment_summary\";b:1;s:16:\"show_admin_links\";b:1;s:5:\"pager\";b:1;s:8:\"use_more\";b:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";b:1;s:12:\"exposed_form\";b:1;s:12:\"link_display\";b:1;s:8:\"link_url\";b:1;s:8:\"group_by\";b:1;s:5:\"style\";b:1;s:3:\"row\";b:1;s:6:\"header\";b:1;s:6:\"footer\";b:1;s:5:\"empty\";b:1;s:13:\"relationships\";b:1;s:6:\"fields\";b:0;s:5:\"sorts\";b:1;s:9:\"arguments\";b:1;s:7:\"filters\";b:1;s:13:\"filter_groups\";b:1;}s:5:\"title\";s:9:\"Blog time\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:0:{}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:3:{s:7:\"created\";a:37:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:19:\"node_field_revision\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:6:\"custom\";s:18:\"custom_date_format\";s:1:\"M\";s:8:\"timezone\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:5:\"field\";}s:9:\"created_1\";a:37:{s:2:\"id\";s:9:\"created_1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:6:\"custom\";s:18:\"custom_date_format\";s:1:\"d\";s:8:\"timezone\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:5:\"field\";}s:7:\"nothing\";a:22:{s:2:\"id\";s:7:\"nothing\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"nothing\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:202:\"<div class=\"views-info\">\n  		<div class=\"views-field wp-views-field-created\">\n  			{{ created }}\n  		</div>\n  		<div class=\"views-field wp-views-field-created-1\">\n  			{{ created_1 }}\n  		</div>\n	</div>\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:0;s:9:\"plugin_id\";s:6:\"custom\";}}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:0:{}s:17:\"display_extenders\";a:0:{}s:17:\"block_description\";s:0:\"\";s:14:\"block_category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Lists (Views)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:16:\"block_hide_empty\";b:0;s:5:\"allow\";a:1:{s:14:\"items_per_page\";s:14:\"items_per_page\";}}',-1,1636012248.159,1,'config:views.view.blog_details','3'),('views:unpack_options:17aaba72270c4bb003b7f91adf212ca29aeb3be2a8016391fc705f0abb1d56e9:en','a:38:{s:8:\"defaults\";a:28:{s:6:\"access\";b:1;s:5:\"cache\";b:1;s:5:\"query\";b:1;s:5:\"title\";b:1;s:9:\"css_class\";b:0;s:19:\"display_description\";b:0;s:8:\"use_ajax\";b:1;s:23:\"hide_attachment_summary\";b:1;s:16:\"show_admin_links\";b:1;s:5:\"pager\";b:1;s:8:\"use_more\";b:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";b:1;s:12:\"exposed_form\";b:1;s:12:\"link_display\";b:1;s:8:\"link_url\";b:1;s:8:\"group_by\";b:1;s:5:\"style\";b:1;s:3:\"row\";b:1;s:6:\"header\";b:1;s:6:\"footer\";b:1;s:5:\"empty\";b:1;s:13:\"relationships\";b:1;s:6:\"fields\";b:1;s:5:\"sorts\";b:1;s:9:\"arguments\";b:1;s:7:\"filters\";b:1;s:13:\"filter_groups\";b:1;}s:5:\"title\";s:0:\"\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:17:\"view-type-details\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_language_interface***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:0:{}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:0:{}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:0:{}s:17:\"display_extenders\";a:0:{}s:17:\"block_description\";s:0:\"\";s:14:\"block_category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Lists (Views)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:16:\"block_hide_empty\";b:0;s:5:\"allow\";a:1:{s:14:\"items_per_page\";s:14:\"items_per_page\";}}',-1,1636012248.155,1,'config:views.view.blog_details','3'),('views:unpack_options:188f2c583dcc79ae6f623f8f710bd99f140e4e02c26da44d6aafda916dea6540:en','a:38:{s:8:\"defaults\";a:28:{s:6:\"access\";b:1;s:5:\"cache\";b:1;s:5:\"query\";b:1;s:5:\"title\";b:1;s:9:\"css_class\";b:1;s:19:\"display_description\";b:0;s:8:\"use_ajax\";b:1;s:23:\"hide_attachment_summary\";b:1;s:16:\"show_admin_links\";b:1;s:5:\"pager\";b:1;s:8:\"use_more\";b:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";b:1;s:12:\"exposed_form\";b:1;s:12:\"link_display\";b:1;s:8:\"link_url\";b:1;s:8:\"group_by\";b:1;s:5:\"style\";b:0;s:3:\"row\";b:0;s:6:\"header\";b:1;s:6:\"footer\";b:1;s:5:\"empty\";b:1;s:13:\"relationships\";b:1;s:6:\"fields\";b:0;s:5:\"sorts\";b:1;s:9:\"arguments\";b:1;s:7:\"filters\";b:1;s:13:\"filter_groups\";b:1;}s:5:\"title\";s:0:\"\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:0:{}}s:5:\"style\";a:2:{s:4:\"type\";s:4:\"grid\";s:7:\"options\";a:8:{s:8:\"grouping\";a:0:{}s:7:\"columns\";i:3;s:15:\"automatic_width\";b:1;s:9:\"alignment\";s:10:\"horizontal\";s:17:\"col_class_default\";b:1;s:16:\"col_class_custom\";s:0:\"\";s:17:\"row_class_default\";b:1;s:16:\"row_class_custom\";s:0:\"\";}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:4:{s:22:\"default_field_elements\";b:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";b:0;}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:4:{s:16:\"field_icon_class\";a:35:{s:2:\"id\";s:16:\"field_icon_class\";s:5:\"table\";s:22:\"node__field_icon_class\";s:5:\"field\";s:16:\"field_icon_class\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:52:\"<i class=\"nc-icon-glyph {{ field_icon_class }}\"></i>\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:16:\"nc-icon-outline \";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:5:\"title\";a:37:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:9:\"plugin_id\";s:5:\"field\";}s:4:\"body\";a:35:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:10:\"node__body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:120;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:9:\"view_node\";a:26:{s:2:\"id\";s:9:\"view_node\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"text\";s:9:\"Read more\";s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:11:\"entity_link\";s:18:\"output_url_as_text\";b:0;s:8:\"absolute\";b:0;}}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:0:{}s:17:\"display_extenders\";a:0:{}s:17:\"block_description\";s:0:\"\";s:14:\"block_category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Lists (Views)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:16:\"block_hide_empty\";b:0;s:5:\"allow\";a:1:{s:14:\"items_per_page\";s:14:\"items_per_page\";}}',-1,1636012248.096,1,'config:views.view.frontpage','6'),('views:unpack_options:1e1869da1815228b36fec7e8bc71369b001a72153be47e21126f13067817791c:en','a:38:{s:8:\"defaults\";a:28:{s:6:\"access\";b:1;s:5:\"cache\";b:1;s:5:\"query\";b:1;s:5:\"title\";b:1;s:9:\"css_class\";b:1;s:19:\"display_description\";b:0;s:8:\"use_ajax\";b:1;s:23:\"hide_attachment_summary\";b:1;s:16:\"show_admin_links\";b:1;s:5:\"pager\";b:1;s:8:\"use_more\";b:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";b:1;s:12:\"exposed_form\";b:1;s:12:\"link_display\";b:1;s:8:\"link_url\";b:1;s:8:\"group_by\";b:1;s:5:\"style\";b:1;s:3:\"row\";b:1;s:6:\"header\";b:1;s:6:\"footer\";b:1;s:5:\"empty\";b:1;s:13:\"relationships\";b:1;s:6:\"fields\";b:1;s:5:\"sorts\";b:1;s:9:\"arguments\";b:1;s:7:\"filters\";b:1;s:13:\"filter_groups\";b:1;}s:5:\"title\";s:0:\"\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_language_interface***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:0:{}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:0:{}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:0:{}s:17:\"display_extenders\";a:0:{}s:17:\"block_description\";s:0:\"\";s:14:\"block_category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Lists (Views)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:16:\"block_hide_empty\";b:0;s:5:\"allow\";a:1:{s:14:\"items_per_page\";s:14:\"items_per_page\";}}',-1,1636012248.108,1,'config:views.view.about_us','5'),('views:unpack_options:202bb838db88da230753917b47bd97fc2a511a02f59be952025a9d44d3e5f776:en','a:38:{s:8:\"defaults\";a:28:{s:6:\"access\";b:1;s:5:\"cache\";b:1;s:5:\"query\";b:1;s:5:\"title\";b:1;s:9:\"css_class\";b:1;s:19:\"display_description\";b:0;s:8:\"use_ajax\";b:1;s:23:\"hide_attachment_summary\";b:1;s:16:\"show_admin_links\";b:1;s:5:\"pager\";b:1;s:8:\"use_more\";b:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";b:1;s:12:\"exposed_form\";b:1;s:12:\"link_display\";b:1;s:8:\"link_url\";b:1;s:8:\"group_by\";b:1;s:5:\"style\";b:1;s:3:\"row\";b:1;s:6:\"header\";b:1;s:6:\"footer\";b:1;s:5:\"empty\";b:1;s:13:\"relationships\";b:1;s:6:\"fields\";b:1;s:5:\"sorts\";b:1;s:9:\"arguments\";b:1;s:7:\"filters\";b:1;s:13:\"filter_groups\";b:1;}s:5:\"title\";s:0:\"\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:30:\"The approved comments listing.\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:0:{}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:0:{}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:0:{}s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:21:\"admin/content/comment\";s:10:\"route_name\";s:0:\"\";s:4:\"menu\";a:9:{s:4:\"type\";s:3:\"tab\";s:5:\"title\";s:8:\"Comments\";s:11:\"description\";s:18:\"Comments published\";s:6:\"weight\";i:0;s:7:\"enabled\";b:1;s:9:\"menu_name\";s:5:\"admin\";s:6:\"parent\";s:0:\"\";s:7:\"context\";s:1:\"0\";s:8:\"expanded\";b:0;}s:11:\"tab_options\";a:4:{s:4:\"type\";s:4:\"none\";s:5:\"title\";s:0:\"\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;}}',-1,1636011227.635,1,'config:views.view.comment','4'),('views:unpack_options:25a16fad1a1dfb81ad94d14c5f7e3478a7c44a14b8e8609eb6fd0b8eb992269d:en','a:38:{s:8:\"defaults\";a:28:{s:6:\"access\";b:1;s:5:\"cache\";b:1;s:5:\"query\";b:1;s:5:\"title\";b:1;s:9:\"css_class\";b:1;s:19:\"display_description\";b:0;s:8:\"use_ajax\";b:1;s:23:\"hide_attachment_summary\";b:1;s:16:\"show_admin_links\";b:1;s:5:\"pager\";b:1;s:8:\"use_more\";b:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";b:1;s:12:\"exposed_form\";b:1;s:12:\"link_display\";b:1;s:8:\"link_url\";b:1;s:8:\"group_by\";b:1;s:5:\"style\";b:1;s:3:\"row\";b:1;s:6:\"header\";b:1;s:6:\"footer\";b:1;s:5:\"empty\";b:1;s:13:\"relationships\";b:1;s:6:\"fields\";b:1;s:5:\"sorts\";b:1;s:9:\"arguments\";b:1;s:7:\"filters\";b:1;s:13:\"filter_groups\";b:1;}s:5:\"title\";s:0:\"\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:0:{}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:0:{}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:1:{s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:24:\"taxonomy_term_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:13:\"taxonomy_term\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";}}s:17:\"display_extenders\";a:0:{}s:17:\"block_description\";s:0:\"\";s:14:\"block_category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Lists (Views)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:16:\"block_hide_empty\";b:0;s:5:\"allow\";a:1:{s:14:\"items_per_page\";s:14:\"items_per_page\";}}',-1,1636012248.273,1,'config:views.view.tags','4'),('views:unpack_options:26b844a131edb6d0d2a0e96c1de4a887e865d126d5318dd42e9330ee9807881f:en','a:33:{s:5:\"title\";s:13:\"Why choose us\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:12:\"why-us-block\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:5;s:6:\"offset\";i:0;}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:3:{s:7:\"counter\";a:23:{s:2:\"id\";s:7:\"counter\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"counter\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:13:\"counter_start\";i:0;s:9:\"plugin_id\";s:7:\"counter\";}s:5:\"title\";a:35:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:1;s:4:\"path\";s:20:\"#whyus-{{ counter }}\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:9:\"collapsed\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:2:\"h4\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:4:\"body\";a:35:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:10:\"node__body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";}}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:3:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:6:\"why_us\";s:6:\"why_us\";}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:23:\"field_why_us_type_value\";a:15:{s:2:\"id\";s:23:\"field_why_us_type_value\";s:5:\"table\";s:23:\"node__field_why_us_type\";s:5:\"field\";s:23:\"field_why_us_type_value\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:1:{i:2;s:1:\"2\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";b:0;s:9:\"plugin_id\";s:10:\"list_field\";}}s:17:\"display_extenders\";a:0:{}}',-1,1636012248.312,1,'config:views.view.why_choose_us','3'),('views:unpack_options:279e9ce2700fa3ecc7c2d8335cec93774103e0a8e675f878bdf5724a87b258da:en','a:33:{s:5:\"title\";s:8:\"About us\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:5;s:6:\"offset\";i:0;}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:5:{s:4:\"path\";a:25:{s:2:\"id\";s:4:\"path\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"absolute\";b:0;s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:11:\"entity_link\";s:18:\"output_url_as_text\";b:1;}s:12:\"field_banner\";a:35:{s:2:\"id\";s:12:\"field_banner\";s:5:\"table\";s:18:\"node__field_banner\";s:5:\"field\";s:12:\"field_banner\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:14:\"image_1920_700\";s:10:\"image_link\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:5:\"title\";a:35:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:8:\"field_su\";a:35:{s:2:\"id\";s:8:\"field_su\";s:5:\"table\";s:14:\"node__field_su\";s:5:\"field\";s:8:\"field_su\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:7:\"nothing\";a:22:{s:2:\"id\";s:7:\"nothing\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"nothing\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:96:\"<div class=\"views-field wp-views-field-view-node\">\n		<a href=\"{{ path }}\">Read more</a> 	\n</div>\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:0;s:9:\"plugin_id\";s:6:\"custom\";}}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";}}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:4:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:7:\"article\";s:7:\"article\";}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:3:\"nid\";a:16:{s:2:\"id\";s:3:\"nid\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:3:\"nid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";a:3:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:1:\"4\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:15:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:11:\"placeholder\";s:0:\"\";s:15:\"min_placeholder\";s:0:\"\";s:15:\"max_placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:3:\"nid\";s:9:\"plugin_id\";s:7:\"numeric\";}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:33:\"***LANGUAGE_language_interface***\";s:33:\"***LANGUAGE_language_interface***\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";}}s:17:\"display_extenders\";a:0:{}}',-1,1636012248.102,1,'config:views.view.about_us','5'),('views:unpack_options:2cf2b9a643bf5852d65b2dbac713dfa69352ac675e913adeeeaabfb6b6d29364:en','a:33:{s:5:\"title\";s:14:\"Recent content\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:0;s:13:\"use_more_text\";s:4:\"More\";s:12:\"link_display\";s:1:\"0\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:10;s:6:\"offset\";i:0;}}s:5:\"style\";a:2:{s:4:\"type\";s:9:\"html_list\";s:7:\"options\";a:6:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:4:\"type\";s:2:\"ul\";s:13:\"wrapper_class\";s:9:\"item-list\";s:5:\"class\";s:0:\"\";}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:1:{s:16:\"area_text_custom\";a:10:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:1;s:8:\"tokenize\";b:0;s:7:\"content\";s:21:\"No content available.\";s:9:\"plugin_id\";s:11:\"text_custom\";}}s:13:\"relationships\";a:1:{s:3:\"uid\";a:10:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:3:\"uid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:6:\"author\";s:8:\"required\";b:1;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:3:\"uid\";s:9:\"plugin_id\";s:8:\"standard\";}}s:6:\"fields\";a:2:{s:5:\"title\";a:26:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:8:{s:10:\"alter_text\";b:0;s:9:\"make_link\";b:0;s:8:\"absolute\";b:0;s:4:\"trim\";b:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:10:\"strip_tags\";b:0;s:4:\"html\";b:0;}s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:9:\"plugin_id\";s:5:\"field\";}s:7:\"changed\";a:37:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"changed\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:13:\"timestamp_ago\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"changed\";s:9:\"plugin_id\";s:5:\"field\";}}s:5:\"sorts\";a:1:{s:7:\"changed\";a:13:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"changed\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"order\";s:4:\"DESC\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"changed\";s:9:\"plugin_id\";s:4:\"date\";}}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:2:{s:12:\"status_extra\";a:15:{s:2:\"id\";s:12:\"status_extra\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:12:\"status_extra\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";b:0;s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:11:\"node_status\";}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:31:\"***LANGUAGE_language_content***\";s:31:\"***LANGUAGE_language_content***\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";}}s:17:\"display_extenders\";a:0:{}}',-1,1636012248.222,1,'config:views.view.content_recent','4'),('views:unpack_options:2f9ac559c0b4581336a4abb7afeb154ece46494b5b6e6dc5670e0df352802dbd:en','a:38:{s:8:\"defaults\";a:28:{s:6:\"access\";b:1;s:5:\"cache\";b:1;s:5:\"query\";b:1;s:5:\"title\";b:0;s:9:\"css_class\";b:1;s:19:\"display_description\";b:0;s:8:\"use_ajax\";b:1;s:23:\"hide_attachment_summary\";b:1;s:16:\"show_admin_links\";b:1;s:5:\"pager\";b:1;s:8:\"use_more\";b:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";b:1;s:12:\"exposed_form\";b:1;s:12:\"link_display\";b:1;s:8:\"link_url\";b:1;s:8:\"group_by\";b:1;s:5:\"style\";b:1;s:3:\"row\";b:1;s:6:\"header\";b:1;s:6:\"footer\";b:1;s:5:\"empty\";b:1;s:13:\"relationships\";b:1;s:6:\"fields\";b:1;s:5:\"sorts\";b:1;s:9:\"arguments\";b:1;s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;}s:5:\"title\";s:15:\"Porfolio Banner\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:0:{}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:0:{}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:3:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:6:\"banner\";s:6:\"banner\";}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:16:\"field_type_value\";a:15:{s:2:\"id\";s:16:\"field_type_value\";s:5:\"table\";s:16:\"node__field_type\";s:5:\"field\";s:16:\"field_type_value\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:1:{i:4;s:1:\"4\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";b:0;s:9:\"plugin_id\";s:10:\"list_field\";}}s:17:\"display_extenders\";a:0:{}s:17:\"block_description\";s:0:\"\";s:14:\"block_category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Lists (Views)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:16:\"block_hide_empty\";b:0;s:5:\"allow\";a:1:{s:14:\"items_per_page\";s:14:\"items_per_page\";}}',-1,1636012248.125,1,'config:views.view.banner','3'),('views:unpack_options:3117da3ab88e66439b984049281c2cd52c9c8812488f0531a87f7ae333d5d2ae:en','a:38:{s:8:\"defaults\";a:28:{s:6:\"access\";b:1;s:5:\"cache\";b:1;s:5:\"query\";b:1;s:5:\"title\";b:1;s:9:\"css_class\";b:1;s:19:\"display_description\";b:0;s:8:\"use_ajax\";b:1;s:23:\"hide_attachment_summary\";b:1;s:16:\"show_admin_links\";b:1;s:5:\"pager\";b:1;s:8:\"use_more\";b:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";b:1;s:12:\"exposed_form\";b:1;s:12:\"link_display\";b:1;s:8:\"link_url\";b:1;s:8:\"group_by\";b:1;s:5:\"style\";b:1;s:3:\"row\";b:1;s:6:\"header\";b:1;s:6:\"footer\";b:1;s:5:\"empty\";b:1;s:13:\"relationships\";b:1;s:6:\"fields\";b:1;s:5:\"sorts\";b:1;s:9:\"arguments\";b:1;s:7:\"filters\";b:1;s:13:\"filter_groups\";b:1;}s:5:\"title\";s:0:\"\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:19:\"A list of new users\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:0:{}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:0:{}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:0:{}s:17:\"display_extenders\";a:0:{}s:17:\"block_description\";s:9:\"Who\'s new\";s:14:\"block_category\";s:4:\"User\";s:16:\"block_hide_empty\";b:0;s:5:\"allow\";a:1:{s:14:\"items_per_page\";s:14:\"items_per_page\";}}',-1,1636012248.299,1,'config:views.view.who_s_new','5'),('views:unpack_options:388a7d7600b5fef377f745b757c3305c9e1146297743d4c87832b0922a25ecc4:en','a:33:{s:5:\"title\";s:9:\"Blog page\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:6:{s:14:\"items_per_page\";i:10;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";N;s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:4:\"tags\";a:2:{s:8:\"previous\";s:6:\"‹‹\";s:4:\"next\";s:6:\"››\";}}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:4:{s:22:\"default_field_elements\";b:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";b:0;}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:1:{s:5:\"title\";a:37:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";b:0;s:9:\"make_link\";b:0;s:8:\"absolute\";b:0;s:4:\"trim\";b:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:10:\"strip_tags\";b:0;s:4:\"html\";b:0;}s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:9:\"plugin_id\";s:5:\"field\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exclude\";b:0;s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";}}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:3:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:4:\"blog\";s:4:\"blog\";}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:33:\"***LANGUAGE_language_interface***\";s:33:\"***LANGUAGE_language_interface***\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";}}s:17:\"display_extenders\";a:0:{}}',-1,1636011226.271,1,'config:views.view.blog_page','4'),('views:unpack_options:4294d09208d2b4c6c30bcba212e23b0b01a6a188cae2dcd13db6935c57b8dfe5:en','a:38:{s:8:\"defaults\";a:28:{s:6:\"access\";b:1;s:5:\"cache\";b:1;s:5:\"query\";b:1;s:5:\"title\";b:0;s:9:\"css_class\";b:0;s:19:\"display_description\";b:0;s:8:\"use_ajax\";b:1;s:23:\"hide_attachment_summary\";b:1;s:16:\"show_admin_links\";b:1;s:5:\"pager\";b:1;s:8:\"use_more\";b:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";b:1;s:12:\"exposed_form\";b:1;s:12:\"link_display\";b:1;s:8:\"link_url\";b:1;s:8:\"group_by\";b:1;s:5:\"style\";b:1;s:3:\"row\";b:1;s:6:\"header\";b:1;s:6:\"footer\";b:1;s:5:\"empty\";b:1;s:13:\"relationships\";b:1;s:6:\"fields\";b:0;s:5:\"sorts\";b:1;s:9:\"arguments\";b:1;s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;}s:5:\"title\";s:20:\"About us page Banner\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:16:\"view-type-banner\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:0:{}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:5:{s:18:\"field_banner_title\";a:35:{s:2:\"id\";s:18:\"field_banner_title\";s:5:\"table\";s:24:\"node__field_banner_title\";s:5:\"field\";s:18:\"field_banner_title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"basic_string\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:5:\"title\";a:35:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:4:\"body\";a:35:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:10:\"node__body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:7:\"summary\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:11:\"field_image\";a:35:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:17:\"node__field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:14:\"image_1920_595\";s:10:\"image_link\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:7:\"nothing\";a:22:{s:2:\"id\";s:7:\"nothing\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"nothing\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:212:\"<div class=\"views-inner\">\n	<div class=\"views-field wp-views-field-banner-title\">\n    <span>\n		{{ field_banner_title }}\n	<span>\n	</div>\n	<div class=\"views-field wp-views-field-body\">\n		{{ body }}	\n	</div>	\n</div>\n\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:0;s:9:\"plugin_id\";s:6:\"custom\";}}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:3:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:6:\"banner\";s:6:\"banner\";}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:16:\"field_type_value\";a:15:{s:2:\"id\";s:16:\"field_type_value\";s:5:\"table\";s:16:\"node__field_type\";s:5:\"field\";s:16:\"field_type_value\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:1:{i:5;s:1:\"5\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";b:0;s:9:\"plugin_id\";s:10:\"list_field\";}}s:17:\"display_extenders\";a:0:{}s:17:\"block_description\";s:0:\"\";s:14:\"block_category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Lists (Views)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:16:\"block_hide_empty\";b:0;s:5:\"allow\";a:1:{s:14:\"items_per_page\";s:14:\"items_per_page\";}}',-1,1636012248.133,1,'config:views.view.banner','3'),('views:unpack_options:473615f6bf3ffdb9d3acbf0418fc25a0343fa978f4da37d28ba55f594c79ca41:en','a:38:{s:8:\"defaults\";a:28:{s:6:\"access\";b:1;s:5:\"cache\";b:1;s:5:\"query\";b:1;s:5:\"title\";b:0;s:9:\"css_class\";b:1;s:19:\"display_description\";b:0;s:8:\"use_ajax\";b:1;s:23:\"hide_attachment_summary\";b:1;s:16:\"show_admin_links\";b:1;s:5:\"pager\";b:1;s:8:\"use_more\";b:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";b:1;s:12:\"exposed_form\";b:1;s:12:\"link_display\";b:1;s:8:\"link_url\";b:1;s:8:\"group_by\";b:1;s:5:\"style\";b:1;s:3:\"row\";b:1;s:6:\"header\";b:1;s:6:\"footer\";b:1;s:5:\"empty\";b:1;s:13:\"relationships\";b:1;s:6:\"fields\";b:1;s:5:\"sorts\";b:1;s:9:\"arguments\";b:1;s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;}s:5:\"title\";s:16:\"Blog page Banner\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:0:{}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:0:{}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:3:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:6:\"banner\";s:6:\"banner\";}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:16:\"field_type_value\";a:15:{s:2:\"id\";s:16:\"field_type_value\";s:5:\"table\";s:16:\"node__field_type\";s:5:\"field\";s:16:\"field_type_value\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:1:{i:2;s:1:\"2\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";b:0;s:9:\"plugin_id\";s:10:\"list_field\";}}s:17:\"display_extenders\";a:0:{}s:17:\"block_description\";s:0:\"\";s:14:\"block_category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Lists (Views)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:16:\"block_hide_empty\";b:0;s:5:\"allow\";a:1:{s:14:\"items_per_page\";s:14:\"items_per_page\";}}',-1,1636012248.129,1,'config:views.view.banner','3'),('views:unpack_options:48b8e7fb756b9afefa6c8da25f2437765203200d580bdd1c632faef0996e440f:en','a:33:{s:5:\"title\";s:9:\"Portfolio\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:1;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:14:\"items_per_page\";i:12;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";N;s:4:\"tags\";a:4:{s:8:\"previous\";s:6:\"‹‹\";s:4:\"next\";s:6:\"››\";s:5:\"first\";s:8:\"« First\";s:4:\"last\";s:7:\"Last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:8:\"quantity\";i:9;}}s:5:\"style\";a:2:{s:4:\"type\";s:4:\"grid\";s:7:\"options\";a:8:{s:8:\"grouping\";a:0:{}s:7:\"columns\";i:4;s:15:\"automatic_width\";b:1;s:9:\"alignment\";s:10:\"horizontal\";s:17:\"col_class_default\";b:1;s:16:\"col_class_custom\";s:0:\"\";s:17:\"row_class_default\";b:1;s:16:\"row_class_custom\";s:0:\"\";}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:1:{s:13:\"field_gallery\";a:35:{s:2:\"id\";s:13:\"field_gallery\";s:5:\"table\";s:19:\"node__field_gallery\";s:5:\"field\";s:13:\"field_gallery\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:8:\"colorbox\";s:8:\"settings\";a:7:{s:19:\"colorbox_node_style\";s:13:\"image_370_370\";s:25:\"colorbox_node_style_first\";s:0:\"\";s:20:\"colorbox_image_style\";s:0:\"\";s:16:\"colorbox_gallery\";s:4:\"page\";s:23:\"colorbox_gallery_custom\";s:7:\"gallery\";s:16:\"colorbox_caption\";s:5:\"title\";s:23:\"colorbox_caption_custom\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:0;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:2:\"ul\";s:9:\"separator\";s:0:\"\";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";}}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:3:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:9:\"portfolio\";s:9:\"portfolio\";}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:23:\"field_gallery_target_id\";a:14:{s:2:\"id\";s:23:\"field_gallery_target_id\";s:5:\"table\";s:19:\"node__field_gallery\";s:5:\"field\";s:23:\"field_gallery_target_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:9:\"not empty\";s:5:\"value\";a:3:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:0:\"\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:15:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:11:\"placeholder\";s:0:\"\";s:15:\"min_placeholder\";s:0:\"\";s:15:\"max_placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:7:\"numeric\";}}s:17:\"display_extenders\";a:0:{}}',-1,1636011227.728,1,'config:views.view.portfolio','4'),('views:unpack_options:4cf2ab5861a44bf6be312930ab144369114e00be239c25ceaa6b6a62a8940c12:en','a:33:{s:5:\"title\";s:15:\"Recent comments\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:15:\"access comments\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:10;s:6:\"offset\";i:0;}}s:5:\"style\";a:2:{s:4:\"type\";s:9:\"html_list\";s:7:\"options\";a:6:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:4:\"type\";s:2:\"ul\";s:13:\"wrapper_class\";s:9:\"item-list\";s:5:\"class\";s:0:\"\";}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:4:{s:22:\"default_field_elements\";b:1;s:6:\"inline\";a:2:{s:7:\"subject\";s:7:\"subject\";s:7:\"changed\";s:7:\"changed\";}s:9:\"separator\";s:1:\" \";s:10:\"hide_empty\";b:0;}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:1:{s:16:\"area_text_custom\";a:11:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:5:\"empty\";b:1;s:7:\"content\";s:22:\"No comments available.\";s:8:\"tokenize\";b:0;s:9:\"plugin_id\";s:11:\"text_custom\";}}s:13:\"relationships\";a:1:{s:4:\"node\";a:5:{s:5:\"field\";s:4:\"node\";s:2:\"id\";s:4:\"node\";s:5:\"table\";s:18:\"comment_field_data\";s:8:\"required\";b:1;s:9:\"plugin_id\";s:8:\"standard\";}}s:6:\"fields\";a:2:{s:7:\"subject\";a:26:{s:2:\"id\";s:7:\"subject\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"subject\";s:12:\"relationship\";s:4:\"none\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:9:\"plugin_id\";s:5:\"field\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"subject\";}s:7:\"changed\";a:26:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"changed\";s:12:\"relationship\";s:4:\"none\";s:9:\"plugin_id\";s:5:\"field\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:13:\"timestamp_ago\";s:8:\"settings\";a:3:{s:13:\"future_format\";s:15:\"@interval hence\";s:11:\"past_format\";s:13:\"@interval ago\";s:11:\"granularity\";i:2;}s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"changed\";}}s:5:\"sorts\";a:2:{s:7:\"created\";a:12:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"order\";s:4:\"DESC\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:9:\"plugin_id\";s:4:\"date\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"created\";}s:3:\"cid\";a:11:{s:2:\"id\";s:3:\"cid\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:3:\"cid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"order\";s:4:\"DESC\";s:7:\"exposed\";b:0;s:9:\"plugin_id\";s:5:\"field\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:3:\"cid\";}}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:2:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:6:\"status\";}s:11:\"status_node\";a:10:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"node\";s:2:\"id\";s:11:\"status_node\";s:9:\"plugin_id\";s:7:\"boolean\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";}}s:17:\"display_extenders\";a:0:{}}',-1,1636012248.209,1,'config:views.view.comments_recent','4'),('views:unpack_options:54575a71a40b45aaf940c8a61f5403fd018fd975711895086ae7e8b080e021cd:en','a:38:{s:8:\"defaults\";a:28:{s:6:\"access\";b:1;s:5:\"cache\";b:1;s:5:\"query\";b:1;s:5:\"title\";b:1;s:9:\"css_class\";b:1;s:19:\"display_description\";b:0;s:8:\"use_ajax\";b:1;s:23:\"hide_attachment_summary\";b:1;s:16:\"show_admin_links\";b:1;s:5:\"pager\";b:1;s:8:\"use_more\";b:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";b:1;s:12:\"exposed_form\";b:1;s:12:\"link_display\";b:1;s:8:\"link_url\";b:1;s:8:\"group_by\";b:1;s:5:\"style\";b:1;s:3:\"row\";b:1;s:6:\"header\";b:1;s:6:\"footer\";b:1;s:5:\"empty\";b:1;s:13:\"relationships\";b:1;s:6:\"fields\";b:1;s:5:\"sorts\";b:1;s:9:\"arguments\";b:1;s:7:\"filters\";b:1;s:13:\"filter_groups\";b:1;}s:5:\"title\";s:0:\"\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:0:{}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:0:{}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:0:{}s:17:\"display_extenders\";a:0:{}s:17:\"block_description\";s:0:\"\";s:14:\"block_category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Lists (Views)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:16:\"block_hide_empty\";b:0;s:5:\"allow\";a:1:{s:14:\"items_per_page\";s:14:\"items_per_page\";}}',-1,1636012248.204,1,'config:views.view.comment_block','3'),('views:unpack_options:55233ad090193d6f31f0a84db0682699f402499a33e2b0c389eccf93ecd9c386:en','a:38:{s:8:\"defaults\";a:28:{s:6:\"access\";b:1;s:5:\"cache\";b:1;s:5:\"query\";b:1;s:5:\"title\";b:0;s:9:\"css_class\";b:1;s:19:\"display_description\";b:0;s:8:\"use_ajax\";b:1;s:23:\"hide_attachment_summary\";b:1;s:16:\"show_admin_links\";b:1;s:5:\"pager\";b:0;s:8:\"use_more\";b:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";b:1;s:12:\"exposed_form\";b:1;s:12:\"link_display\";b:1;s:8:\"link_url\";b:1;s:8:\"group_by\";b:0;s:5:\"style\";b:0;s:3:\"row\";b:0;s:6:\"header\";b:1;s:6:\"footer\";b:1;s:5:\"empty\";b:0;s:13:\"relationships\";b:0;s:6:\"fields\";b:0;s:5:\"sorts\";b:1;s:9:\"arguments\";b:0;s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;}s:5:\"title\";s:10:\"File usage\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:6:{s:14:\"items_per_page\";i:10;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";i:0;s:4:\"tags\";a:2:{s:8:\"previous\";s:12:\"‹ Previous\";s:4:\"next\";s:8:\"Next ›\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}}}s:5:\"style\";a:2:{s:4:\"type\";s:5:\"table\";s:7:\"options\";a:12:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:8:\"override\";b:1;s:6:\"sticky\";b:0;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";s:11:\"description\";s:0:\"\";s:7:\"columns\";a:4:{s:12:\"entity_label\";s:12:\"entity_label\";s:4:\"type\";s:4:\"type\";s:6:\"module\";s:6:\"module\";s:5:\"count\";s:5:\"count\";}s:4:\"info\";a:4:{s:12:\"entity_label\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:4:\"type\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:15:\"priority-medium\";}s:6:\"module\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:5:\"count\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}}s:7:\"default\";s:12:\"entity_label\";s:11:\"empty_table\";b:1;}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:1:{s:3:\"fid\";a:7:{s:2:\"id\";s:3:\"fid\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:3:\"fid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:10:\"File usage\";s:8:\"required\";b:1;}}s:6:\"fields\";a:4:{s:12:\"entity_label\";a:23:{s:2:\"id\";s:12:\"entity_label\";s:5:\"table\";s:10:\"file_usage\";s:5:\"field\";s:12:\"entity_label\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:6:\"Entity\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:14:\"link_to_entity\";b:1;s:9:\"plugin_id\";s:12:\"entity_label\";}s:4:\"type\";a:22:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:10:\"file_usage\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:11:\"Entity type\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:9:\"plugin_id\";s:8:\"standard\";}s:6:\"module\";a:22:{s:2:\"id\";s:6:\"module\";s:5:\"table\";s:10:\"file_usage\";s:5:\"field\";s:6:\"module\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:18:\"Registering module\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:9:\"plugin_id\";s:8:\"standard\";}s:5:\"count\";a:30:{s:2:\"id\";s:5:\"count\";s:5:\"table\";s:10:\"file_usage\";s:5:\"field\";s:5:\"count\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:9:\"Use count\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:13:\"set_precision\";b:0;s:9:\"precision\";i:0;s:7:\"decimal\";s:1:\".\";s:9:\"separator\";s:1:\",\";s:13:\"format_plural\";b:0;s:20:\"format_plural_string\";s:8:\"1@count\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:9:\"plugin_id\";s:7:\"numeric\";}}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:1:{s:3:\"fid\";a:23:{s:2:\"id\";s:3:\"fid\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:3:\"fid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:14:\"default_action\";s:9:\"not found\";s:9:\"exception\";a:3:{s:5:\"value\";s:3:\"all\";s:12:\"title_enable\";b:0;s:5:\"title\";s:3:\"All\";}s:12:\"title_enable\";b:1;s:5:\"title\";s:46:\"File usage information for {{ arguments.fid }}\";s:21:\"default_argument_type\";s:5:\"fixed\";s:24:\"default_argument_options\";a:1:{s:8:\"argument\";s:0:\"\";}s:25:\"default_argument_skip_url\";b:0;s:15:\"summary_options\";a:4:{s:9:\"base_path\";s:0:\"\";s:5:\"count\";b:1;s:14:\"items_per_page\";i:25;s:8:\"override\";b:0;}s:7:\"summary\";a:3:{s:10:\"sort_order\";s:3:\"asc\";s:17:\"number_of_records\";i:0;s:6:\"format\";s:15:\"default_summary\";}s:18:\"specify_validation\";b:0;s:8:\"validate\";a:2:{s:4:\"type\";s:4:\"none\";s:4:\"fail\";s:9:\"not found\";}s:16:\"validate_options\";a:0:{}s:12:\"break_phrase\";b:0;s:3:\"not\";b:0;s:9:\"plugin_id\";s:8:\"file_fid\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:3:\"fid\";}}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:0:{}s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:27:\"admin/content/files/usage/%\";s:10:\"route_name\";s:0:\"\";s:4:\"menu\";a:9:{s:4:\"type\";s:4:\"none\";s:5:\"title\";s:0:\"\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;s:7:\"enabled\";b:1;s:9:\"menu_name\";s:4:\"main\";s:6:\"parent\";s:0:\"\";s:7:\"context\";s:0:\"\";s:8:\"expanded\";b:0;}s:11:\"tab_options\";a:4:{s:4:\"type\";s:4:\"none\";s:5:\"title\";s:0:\"\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;}}',-1,1636011227.687,1,'config:views.view.files','5'),('views:unpack_options:56aed3a27a2d5eab84d8952559d748a39034fe2c2e07d34c72ce010e4b53ec04:en','a:38:{s:8:\"defaults\";a:28:{s:6:\"access\";b:1;s:5:\"cache\";b:1;s:5:\"query\";b:1;s:5:\"title\";b:1;s:9:\"css_class\";b:1;s:19:\"display_description\";b:0;s:8:\"use_ajax\";b:1;s:23:\"hide_attachment_summary\";b:1;s:16:\"show_admin_links\";b:1;s:5:\"pager\";b:1;s:8:\"use_more\";b:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";b:1;s:12:\"exposed_form\";b:1;s:12:\"link_display\";b:1;s:8:\"link_url\";b:1;s:8:\"group_by\";b:1;s:5:\"style\";b:1;s:3:\"row\";b:1;s:6:\"header\";b:1;s:6:\"footer\";b:1;s:5:\"empty\";b:1;s:13:\"relationships\";b:1;s:6:\"fields\";b:1;s:5:\"sorts\";b:1;s:9:\"arguments\";b:1;s:7:\"filters\";b:1;s:13:\"filter_groups\";b:1;}s:5:\"title\";s:0:\"\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:0:{}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:0:{}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:0:{}s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:19:\"admin/reports/dblog\";s:10:\"route_name\";s:0:\"\";s:4:\"menu\";a:9:{s:4:\"type\";s:4:\"none\";s:5:\"title\";s:0:\"\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;s:7:\"enabled\";b:1;s:9:\"menu_name\";s:4:\"main\";s:6:\"parent\";s:0:\"\";s:7:\"context\";s:0:\"\";s:8:\"expanded\";b:0;}s:11:\"tab_options\";a:4:{s:4:\"type\";s:4:\"none\";s:5:\"title\";s:0:\"\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;}}',-1,1636011227.826,1,'config:views.view.watchdog','5'),('views:unpack_options:5f17b21c8d2359d3d4c5f5c37b4ea93fe5d461974d5b94d3d83eb4b0aa167bc8:en','a:38:{s:8:\"defaults\";a:28:{s:6:\"access\";b:1;s:5:\"cache\";b:1;s:5:\"query\";b:1;s:5:\"title\";b:1;s:9:\"css_class\";b:1;s:19:\"display_description\";b:0;s:8:\"use_ajax\";b:1;s:23:\"hide_attachment_summary\";b:1;s:16:\"show_admin_links\";b:1;s:5:\"pager\";b:1;s:8:\"use_more\";b:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";b:1;s:12:\"exposed_form\";b:1;s:12:\"link_display\";b:1;s:8:\"link_url\";b:1;s:8:\"group_by\";b:1;s:5:\"style\";b:1;s:3:\"row\";b:1;s:6:\"header\";b:1;s:6:\"footer\";b:1;s:5:\"empty\";b:1;s:13:\"relationships\";b:1;s:6:\"fields\";b:1;s:5:\"sorts\";b:1;s:9:\"arguments\";b:1;s:7:\"filters\";b:1;s:13:\"filter_groups\";b:1;}s:5:\"title\";s:0:\"\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:45:\"A list of users that are currently logged in.\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:0:{}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:0:{}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:0:{}s:17:\"display_extenders\";a:0:{}s:17:\"block_description\";s:12:\"Who\'s online\";s:14:\"block_category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Lists (Views)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:16:\"block_hide_empty\";b:0;s:5:\"allow\";a:1:{s:14:\"items_per_page\";s:14:\"items_per_page\";}}',-1,1636012248.308,1,'config:views.view.who_s_online','5'),('views:unpack_options:6191cc011343662a427cf28516ef6fc7cb4587412e5eb618e3600f677e67c0f9:en','a:38:{s:8:\"defaults\";a:28:{s:6:\"access\";b:1;s:5:\"cache\";b:1;s:5:\"query\";b:1;s:5:\"title\";b:1;s:9:\"css_class\";b:1;s:19:\"display_description\";b:0;s:8:\"use_ajax\";b:1;s:23:\"hide_attachment_summary\";b:1;s:16:\"show_admin_links\";b:0;s:5:\"pager\";b:1;s:8:\"use_more\";b:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";b:1;s:12:\"exposed_form\";b:1;s:12:\"link_display\";b:1;s:8:\"link_url\";b:1;s:8:\"group_by\";b:1;s:5:\"style\";b:1;s:3:\"row\";b:1;s:6:\"header\";b:1;s:6:\"footer\";b:1;s:5:\"empty\";b:1;s:13:\"relationships\";b:1;s:6:\"fields\";b:1;s:5:\"sorts\";b:1;s:9:\"arguments\";b:1;s:7:\"filters\";b:1;s:13:\"filter_groups\";b:1;}s:5:\"title\";s:0:\"\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:0;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:0:{}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:0:{}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:0:{}s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:17:\"admin/people/list\";s:10:\"route_name\";s:0:\"\";s:4:\"menu\";a:9:{s:4:\"type\";s:11:\"default tab\";s:5:\"title\";s:4:\"List\";s:11:\"description\";s:50:\"Find and manage people interacting with your site.\";s:6:\"weight\";i:-10;s:7:\"enabled\";b:1;s:9:\"menu_name\";s:5:\"admin\";s:6:\"parent\";s:0:\"\";s:7:\"context\";s:0:\"\";s:8:\"expanded\";b:0;}s:11:\"tab_options\";a:5:{s:4:\"type\";s:6:\"normal\";s:5:\"title\";s:6:\"People\";s:11:\"description\";s:45:\"Manage user accounts, roles, and permissions.\";s:6:\"weight\";i:0;s:9:\"menu_name\";s:5:\"admin\";}}',-1,1636011227.811,1,'config:views.view.user_admin_people','5'),('views:unpack_options:66389fc5511882d0379fd85ee59e4a1d6ee1e77545b6e485f8ed7e3035274e03:en','a:33:{s:5:\"title\";s:12:\"Our partners\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:17:\"view-our-partners\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:6;s:6:\"offset\";i:0;}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:3:{s:5:\"title\";a:35:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:10:\"field_link\";a:35:{s:2:\"id\";s:10:\"field_link\";s:5:\"table\";s:16:\"node__field_link\";s:5:\"field\";s:10:\"field_link\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:71:\"<a href=\"{{ field_link__uri }} \"><img src=\"{{ field_partners }}\"></</a>\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:3:\"uri\";s:4:\"type\";s:4:\"link\";s:8:\"settings\";a:5:{s:11:\"trim_length\";i:80;s:8:\"url_only\";b:1;s:9:\"url_plain\";b:0;s:3:\"rel\";s:1:\"0\";s:6:\"target\";s:6:\"_blank\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:14:\"field_partners\";a:35:{s:2:\"id\";s:14:\"field_partners\";s:5:\"table\";s:20:\"node__field_partners\";s:5:\"field\";s:14:\"field_partners\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:64:\"<a href=\"{{ field_link }}\"><img src=\"{{ field_partners }}\"/></a>\";s:9:\"make_link\";b:1;s:4:\"path\";s:16:\"{{ field_link }}\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:6:\"_blank\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:13:\"image_380_224\";s:10:\"image_link\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";}}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:2:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:8:\"partners\";s:8:\"partners\";}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}}s:17:\"display_extenders\";a:0:{}}',-1,1636012248.235,1,'config:views.view.our_partners','3'),('views:unpack_options:67c0a4d31ca9bcb6cb01801baa2427411b947fb35bf1277ca99f9b719b4bfe63:en','a:38:{s:8:\"defaults\";a:28:{s:6:\"access\";b:1;s:5:\"cache\";b:1;s:5:\"query\";b:1;s:5:\"title\";b:0;s:9:\"css_class\";b:1;s:19:\"display_description\";b:0;s:8:\"use_ajax\";b:1;s:23:\"hide_attachment_summary\";b:1;s:16:\"show_admin_links\";b:1;s:5:\"pager\";b:0;s:8:\"use_more\";b:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";b:1;s:12:\"exposed_form\";b:1;s:12:\"link_display\";b:1;s:8:\"link_url\";b:1;s:8:\"group_by\";b:1;s:5:\"style\";b:1;s:3:\"row\";b:1;s:6:\"header\";b:1;s:6:\"footer\";b:1;s:5:\"empty\";b:1;s:13:\"relationships\";b:1;s:6:\"fields\";b:0;s:5:\"sorts\";b:1;s:9:\"arguments\";b:1;s:7:\"filters\";b:1;s:13:\"filter_groups\";b:1;}s:5:\"title\";s:12:\"Blog default\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:14:\"items_per_page\";i:5;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";N;s:4:\"tags\";a:4:{s:8:\"previous\";s:6:\"‹‹\";s:4:\"next\";s:6:\"››\";s:5:\"first\";s:8:\"« First\";s:4:\"last\";s:7:\"Last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:8:\"quantity\";i:9;}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:7:{s:4:\"path\";a:25:{s:2:\"id\";s:4:\"path\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"absolute\";b:0;s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:11:\"entity_link\";s:18:\"output_url_as_text\";b:1;}s:11:\"field_image\";a:35:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:17:\"node__field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:13:\"image_370_350\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:5:\"title\";a:37:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:9:\"plugin_id\";s:5:\"field\";}s:7:\"created\";a:37:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:6:\"custom\";s:18:\"custom_date_format\";s:3:\"M d\";s:8:\"timezone\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:5:\"field\";}s:4:\"body\";a:35:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:10:\"node__body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:200;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:1;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:9:\"view_node\";a:26:{s:2:\"id\";s:9:\"view_node\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:1;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"text\";s:9:\"Read more\";s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:11:\"entity_link\";s:18:\"output_url_as_text\";b:0;s:8:\"absolute\";b:0;}s:7:\"nothing\";a:22:{s:2:\"id\";s:7:\"nothing\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"nothing\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:96:\"<div class=\"views-field wp-views-field-view-node\">\n  <a href=\"{{ path }}\">Read more</a> 	\n</div>\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:0;s:9:\"plugin_id\";s:6:\"custom\";}}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:0:{}s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:12:\"blog_default\";s:10:\"route_name\";s:0:\"\";s:4:\"menu\";a:9:{s:4:\"type\";s:4:\"none\";s:5:\"title\";s:0:\"\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;s:7:\"enabled\";b:1;s:9:\"menu_name\";s:4:\"main\";s:6:\"parent\";s:0:\"\";s:7:\"context\";s:0:\"\";s:8:\"expanded\";b:0;}s:11:\"tab_options\";a:4:{s:4:\"type\";s:4:\"none\";s:5:\"title\";s:0:\"\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;}}',-1,1636011227.607,1,'config:views.view.blog_page','4'),('views:unpack_options:69e537d737a868952b5b2d5237ece7da0df1bfa3df1eafa865fbdbad66d930a2:en','a:38:{s:8:\"defaults\";a:28:{s:6:\"access\";b:1;s:5:\"cache\";b:1;s:5:\"query\";b:1;s:5:\"title\";b:1;s:9:\"css_class\";b:0;s:19:\"display_description\";b:0;s:8:\"use_ajax\";b:1;s:23:\"hide_attachment_summary\";b:1;s:16:\"show_admin_links\";b:1;s:5:\"pager\";b:0;s:8:\"use_more\";b:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";b:1;s:12:\"exposed_form\";b:1;s:12:\"link_display\";b:1;s:8:\"link_url\";b:1;s:8:\"group_by\";b:1;s:5:\"style\";b:0;s:3:\"row\";b:0;s:6:\"header\";b:0;s:6:\"footer\";b:0;s:5:\"empty\";b:1;s:13:\"relationships\";b:1;s:6:\"fields\";b:0;s:5:\"sorts\";b:1;s:9:\"arguments\";b:1;s:7:\"filters\";b:1;s:13:\"filter_groups\";b:1;}s:5:\"title\";s:0:\"\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:10;s:6:\"offset\";i:0;}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:3:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:0;}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:1:{s:4:\"area\";a:10:{s:2:\"id\";s:4:\"area\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:4:\"area\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:0;s:8:\"tokenize\";b:0;s:7:\"content\";a:2:{s:5:\"value\";s:352:\"“There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which don\'t look even slightly believable. If you are going to use a passage of Lorem Ipsum, you need to be sure there isn\'t anything embarrassing hidden.”\n\n										   -- Lorem Ipsum --\";s:6:\"format\";s:9:\"full_html\";}s:9:\"plugin_id\";s:4:\"text\";}}s:6:\"footer\";a:1:{s:4:\"area\";a:10:{s:2:\"id\";s:4:\"area\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:4:\"area\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:0;s:8:\"tokenize\";b:0;s:7:\"content\";a:2:{s:5:\"value\";s:163:\"“If you are going to use a passage of Lorem Ipsum, you need to be sure there isn\'t anything embarrassing hidden in the middle of text.”\n\n						-- H. Rackham --\";s:6:\"format\";s:9:\"full_html\";}s:9:\"plugin_id\";s:4:\"text\";}}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:1:{s:13:\"field_gallery\";a:35:{s:2:\"id\";s:13:\"field_gallery\";s:5:\"table\";s:19:\"node__field_gallery\";s:5:\"field\";s:13:\"field_gallery\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:17:\"portfolio-gallery\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:8:\"colorbox\";s:8:\"settings\";a:7:{s:19:\"colorbox_node_style\";s:0:\"\";s:25:\"colorbox_node_style_first\";s:0:\"\";s:20:\"colorbox_image_style\";s:0:\"\";s:16:\"colorbox_gallery\";s:4:\"page\";s:23:\"colorbox_gallery_custom\";s:7:\"gallery\";s:16:\"colorbox_caption\";s:5:\"title\";s:23:\"colorbox_caption_custom\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:0;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:2:\"ul\";s:9:\"separator\";s:0:\"\";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:0:{}s:17:\"display_extenders\";a:0:{}s:17:\"block_description\";s:0:\"\";s:14:\"block_category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Lists (Views)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:16:\"block_hide_empty\";b:0;s:5:\"allow\";a:1:{s:14:\"items_per_page\";s:14:\"items_per_page\";}}',-1,1636012248.253,1,'config:views.view.portfolio','4'),('views:unpack_options:6c7bf4262c14a70adc27470c9a1043ef281c627277dc76bffb8fbde39f5ca8ea:en','a:38:{s:8:\"defaults\";a:28:{s:6:\"access\";b:1;s:5:\"cache\";b:1;s:5:\"query\";b:1;s:5:\"title\";b:0;s:9:\"css_class\";b:0;s:19:\"display_description\";b:0;s:8:\"use_ajax\";b:1;s:23:\"hide_attachment_summary\";b:1;s:16:\"show_admin_links\";b:1;s:5:\"pager\";b:0;s:8:\"use_more\";b:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";b:1;s:12:\"exposed_form\";b:1;s:12:\"link_display\";b:1;s:8:\"link_url\";b:1;s:8:\"group_by\";b:1;s:5:\"style\";b:1;s:3:\"row\";b:1;s:6:\"header\";b:0;s:6:\"footer\";b:1;s:5:\"empty\";b:1;s:13:\"relationships\";b:1;s:6:\"fields\";b:0;s:5:\"sorts\";b:1;s:9:\"arguments\";b:1;s:7:\"filters\";b:1;s:13:\"filter_groups\";b:1;}s:5:\"title\";s:11:\"Latest news\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:14:\"view-type-list\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:2;s:6:\"offset\";i:0;}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:1:{s:4:\"area\";a:10:{s:2:\"id\";s:4:\"area\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:4:\"area\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:0;s:8:\"tokenize\";b:0;s:7:\"content\";a:2:{s:5:\"value\";s:126:\"Lorem ipsum dolor sit amet, consectetur adipiscing elit.\nPraesent facilisis massa nellyary eget magna semper,  dolor sit amet.\";s:6:\"format\";s:9:\"full_html\";}s:9:\"plugin_id\";s:4:\"text\";}}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:5:{s:11:\"field_image\";a:35:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:17:\"node__field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:11:\"image_63_63\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:5:\"title\";a:37:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:9:\"plugin_id\";s:5:\"field\";}s:4:\"body\";a:35:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:10:\"node__body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:50;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:1;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:7:\"created\";a:37:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:6:\"custom\";s:18:\"custom_date_format\";s:5:\"d M,Y\";s:8:\"timezone\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:5:\"field\";}s:7:\"nothing\";a:22:{s:2:\"id\";s:7:\"nothing\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"nothing\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:338:\"<div class=\"views-field wp-views-field-img\">\n	{{ field_image }} 	\n</div>\n<div class=\"views-inner views-fieldset\">\n	<div class=\"views-field wp-views-field-title\">\n		{{ title }}	\n	</div>\n	<div class=\"views-field wp-views-field-body\">\n		{{ body }} 	\n	</div>\n	<div class=\"views-field wp-views-field-created\">\n		{{ created }}		\n	</div>\n</div>\n\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:0;s:9:\"plugin_id\";s:6:\"custom\";}}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:0:{}s:17:\"display_extenders\";a:0:{}s:17:\"block_description\";s:0:\"\";s:14:\"block_category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Lists (Views)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:16:\"block_hide_empty\";b:0;s:5:\"allow\";a:1:{s:14:\"items_per_page\";s:14:\"items_per_page\";}}',-1,1636012248.193,1,'config:views.view.blog_page','4'),('views:unpack_options:6e9caebf90b5f451100bb66d561426166f2959e91bce535c73b25c9120b06700:en','a:38:{s:8:\"defaults\";a:28:{s:6:\"access\";b:1;s:5:\"cache\";b:1;s:5:\"query\";b:1;s:5:\"title\";b:1;s:9:\"css_class\";b:1;s:19:\"display_description\";b:0;s:8:\"use_ajax\";b:1;s:23:\"hide_attachment_summary\";b:1;s:16:\"show_admin_links\";b:1;s:5:\"pager\";b:1;s:8:\"use_more\";b:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";b:1;s:12:\"exposed_form\";b:1;s:12:\"link_display\";b:1;s:8:\"link_url\";b:1;s:8:\"group_by\";b:1;s:5:\"style\";b:1;s:3:\"row\";b:1;s:6:\"header\";b:1;s:6:\"footer\";b:1;s:5:\"empty\";b:1;s:13:\"relationships\";b:1;s:6:\"fields\";b:1;s:5:\"sorts\";b:1;s:9:\"arguments\";b:1;s:7:\"filters\";b:1;s:13:\"filter_groups\";b:1;}s:5:\"title\";s:0:\"\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:0:{}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:0:{}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:0:{}s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:23:\"admin/people/simplenews\";s:10:\"route_name\";s:0:\"\";s:4:\"menu\";a:9:{s:4:\"type\";s:3:\"tab\";s:5:\"title\";s:11:\"Subscribers\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:11;s:7:\"enabled\";b:1;s:9:\"menu_name\";s:5:\"admin\";s:6:\"parent\";s:16:\"user.admin_index\";s:7:\"context\";s:1:\"0\";s:8:\"expanded\";b:0;}s:11:\"tab_options\";a:4:{s:4:\"type\";s:4:\"none\";s:5:\"title\";s:0:\"\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;}}',-1,1636011227.779,1,'config:views.view.simplenews_subscribers','5'),('views:unpack_options:6f7377b6d029a5905fcaf32b16dd3e7d7c05fe039ccba220225e93ae8bdeade9:en','a:38:{s:8:\"defaults\";a:28:{s:6:\"access\";b:1;s:5:\"cache\";b:1;s:5:\"query\";b:1;s:5:\"title\";b:0;s:9:\"css_class\";b:1;s:19:\"display_description\";b:0;s:8:\"use_ajax\";b:1;s:23:\"hide_attachment_summary\";b:1;s:16:\"show_admin_links\";b:1;s:5:\"pager\";b:1;s:8:\"use_more\";b:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";b:1;s:12:\"exposed_form\";b:1;s:12:\"link_display\";b:1;s:8:\"link_url\";b:1;s:8:\"group_by\";b:1;s:5:\"style\";b:1;s:3:\"row\";b:1;s:6:\"header\";b:1;s:6:\"footer\";b:1;s:5:\"empty\";b:1;s:13:\"relationships\";b:0;s:6:\"fields\";b:0;s:5:\"sorts\";b:1;s:9:\"arguments\";b:0;s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;}s:5:\"title\";s:16:\"User page Banner\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:0:{}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:1:{s:3:\"uid\";a:10:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:19:\"node_field_revision\";s:5:\"field\";s:3:\"uid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:4:\"User\";s:8:\"required\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:3:\"uid\";s:9:\"plugin_id\";s:8:\"standard\";}}s:6:\"fields\";a:6:{s:18:\"field_banner_title\";a:35:{s:2:\"id\";s:18:\"field_banner_title\";s:5:\"table\";s:24:\"node__field_banner_title\";s:5:\"field\";s:18:\"field_banner_title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"basic_string\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:5:\"title\";a:35:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:4:\"name\";a:37:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:3:\"uid\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"user_name\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:5:\"field\";}s:4:\"body\";a:35:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:10:\"node__body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:7:\"summary\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:11:\"field_image\";a:35:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:17:\"node__field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:14:\"image_1920_595\";s:10:\"image_link\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:7:\"nothing\";a:22:{s:2:\"id\";s:7:\"nothing\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"nothing\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:198:\"<div class=\"views-inner\">\n	<div class=\"views-field wp-views-field-banner-title\">\n    <span>\n		{{ name }}\n	<span>\n	</div>\n	<div class=\"views-field wp-views-field-body\">\n		{{ body }}	\n	</div>	\n</div>\n\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:0;s:9:\"plugin_id\";s:6:\"custom\";}}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:3:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:6:\"banner\";s:6:\"banner\";}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:16:\"field_type_value\";a:15:{s:2:\"id\";s:16:\"field_type_value\";s:5:\"table\";s:16:\"node__field_type\";s:5:\"field\";s:16:\"field_type_value\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:1:{i:8;s:1:\"8\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";b:0;s:9:\"plugin_id\";s:10:\"list_field\";}}s:17:\"display_extenders\";a:0:{}s:17:\"block_description\";s:0:\"\";s:14:\"block_category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Lists (Views)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:16:\"block_hide_empty\";b:0;s:5:\"allow\";a:1:{s:14:\"items_per_page\";s:14:\"items_per_page\";}}',-1,1636012248.146,1,'config:views.view.banner','3'),('views:unpack_options:746df145f565e30366ab2605ec33ae617b03626f4ae0a03b31148a1060de2edb:en','a:33:{s:5:\"title\";s:11:\"Newsletters\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:15:\"send newsletter\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:14:\"items_per_page\";i:10;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";N;s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:4:\"tags\";a:4:{s:8:\"previous\";s:12:\"‹ previous\";s:4:\"next\";s:8:\"next ›\";s:5:\"first\";s:8:\"« first\";s:4:\"last\";s:7:\"last »\";}s:8:\"quantity\";i:9;}}s:5:\"style\";a:2:{s:4:\"type\";s:5:\"table\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:1:{s:4:\"area\";a:10:{s:2:\"id\";s:4:\"area\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:4:\"area\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:1;s:8:\"tokenize\";b:0;s:7:\"content\";a:2:{s:5:\"value\";s:27:\"No newsletter issues found.\";s:6:\"format\";s:10:\"basic_html\";}s:9:\"plugin_id\";s:4:\"text\";}}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:7:{s:14:\"node_bulk_form\";a:26:{s:2:\"id\";s:14:\"node_bulk_form\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:14:\"node_bulk_form\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:25:\"Node operations bulk form\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:12:\"action_title\";s:14:\"With selection\";s:15:\"include_exclude\";s:7:\"include\";s:16:\"selected_actions\";a:2:{i:0;s:22:\"simplenews_send_action\";i:1;s:22:\"simplenews_stop_action\";}s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:14:\"node_bulk_form\";}s:5:\"title\";a:25:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:5:\"Issue\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:12:\"link_to_node\";b:1;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:9:\"plugin_id\";s:4:\"node\";}s:16:\"simplenews_issue\";a:35:{s:2:\"id\";s:16:\"simplenews_issue\";s:5:\"table\";s:22:\"node__simplenews_issue\";s:5:\"field\";s:16:\"simplenews_issue\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:10:\"Newsletter\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:22:\"entity_reference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:1;}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:6:\"status\";a:37:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:9:\"Published\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:7:\"boolean\";s:8:\"settings\";a:3:{s:6:\"format\";s:14:\"unicode-yes-no\";s:18:\"format_custom_true\";s:0:\"\";s:19:\"format_custom_false\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:5:\"field\";}s:7:\"created\";a:27:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:7:\"Updated\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"date_format\";s:5:\"short\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";}s:11:\"send_status\";a:23:{s:2:\"id\";s:11:\"send_status\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:11:\"send_status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:11:\"Send status\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:22:\"simplenews_send_status\";}s:10:\"operations\";a:24:{s:2:\"id\";s:10:\"operations\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:10:\"operations\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:16:\"Operations links\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"destination\";b:1;s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:17:\"entity_operations\";}}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";}}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:2:{s:26:\"simplenews_issue_target_id\";a:14:{s:2:\"id\";s:26:\"simplenews_issue_target_id\";s:5:\"table\";s:22:\"node__simplenews_issue\";s:5:\"field\";s:26:\"simplenews_issue_target_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:9:\"not empty\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:11:\"in_operator\";}s:28:\"simplenews_issue_target_id_1\";a:14:{s:2:\"id\";s:28:\"simplenews_issue_target_id_1\";s:5:\"table\";s:22:\"node__simplenews_issue\";s:5:\"field\";s:26:\"simplenews_issue_target_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:31:\"simplenews_issue_target_id_1_op\";s:5:\"label\";s:10:\"Newsletter\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:31:\"simplenews_issue_target_id_1_op\";s:10:\"identifier\";s:28:\"simplenews_issue_target_id_1\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:11:\"in_operator\";}}s:17:\"display_extenders\";a:0:{}}',-1,1636011227.757,1,'config:views.view.simplenews_newsletters','5'),('views:unpack_options:7a38114bebaa18e59ce2dd79affd8f86ea796e56a8a4523064410a65a1673a79:en','a:33:{s:5:\"title\";s:11:\"Blog Banner\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:1;s:6:\"offset\";i:0;}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:5:{s:18:\"field_banner_title\";a:35:{s:2:\"id\";s:18:\"field_banner_title\";s:5:\"table\";s:24:\"node__field_banner_title\";s:5:\"field\";s:18:\"field_banner_title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"basic_string\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:5:\"title\";a:35:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:4:\"body\";a:35:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:10:\"node__body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:7:\"summary\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:11:\"field_image\";a:35:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:17:\"node__field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:14:\"image_1920_595\";s:10:\"image_link\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:7:\"nothing\";a:22:{s:2:\"id\";s:7:\"nothing\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"nothing\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:212:\"<div class=\"views-inner\">\n	<div class=\"views-field wp-views-field-banner-title\">\n    <span>\n		{{ field_banner_title }}\n	<span>\n	</div>\n	<div class=\"views-field wp-views-field-body\">\n		{{ body }}	\n	</div>	\n</div>\n\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:0;s:9:\"plugin_id\";s:6:\"custom\";}}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";}}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:3:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:6:\"banner\";s:6:\"banner\";}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:16:\"field_type_value\";a:15:{s:2:\"id\";s:16:\"field_type_value\";s:5:\"table\";s:16:\"node__field_type\";s:5:\"field\";s:16:\"field_type_value\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:1:{i:1;s:1:\"1\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";b:0;s:9:\"plugin_id\";s:10:\"list_field\";}}s:17:\"display_extenders\";a:0:{}}',-1,1636012248.113,1,'config:views.view.banner','3'),('views:unpack_options:7e6e61953ca52421db0a47ff1484310402836d283674677459065c3e95fcc193:en','a:33:{s:5:\"title\";s:12:\"Who\'s online\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:20:\"access user profiles\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:10;s:6:\"offset\";i:0;}}s:5:\"style\";a:2:{s:4:\"type\";s:9:\"html_list\";s:7:\"options\";a:6:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:4:\"type\";s:2:\"ul\";s:13:\"wrapper_class\";s:9:\"item-list\";s:5:\"class\";s:0:\"\";}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:1:{s:6:\"result\";a:9:{s:2:\"id\";s:6:\"result\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:6:\"result\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:0;s:7:\"content\";s:40:\"There are currently @total users online.\";s:9:\"plugin_id\";s:6:\"result\";}}s:6:\"footer\";a:0:{}s:5:\"empty\";a:1:{s:16:\"area_text_custom\";a:10:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:1;s:8:\"tokenize\";b:0;s:7:\"content\";s:35:\"There are currently 0 users online.\";s:9:\"plugin_id\";s:11:\"text_custom\";}}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:1:{s:4:\"name\";a:25:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"name\";s:5:\"label\";s:0:\"\";s:9:\"plugin_id\";s:5:\"field\";s:4:\"type\";s:9:\"user_name\";s:5:\"alter\";a:8:{s:10:\"alter_text\";b:0;s:9:\"make_link\";b:0;s:8:\"absolute\";b:0;s:4:\"trim\";b:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:10:\"strip_tags\";b:0;s:4:\"html\";b:0;}s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exclude\";b:0;s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:16:\"hide_alter_empty\";b:1;s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"name\";}}s:5:\"sorts\";a:1:{s:6:\"access\";a:13:{s:2:\"id\";s:6:\"access\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:6:\"access\";s:5:\"order\";s:4:\"DESC\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";s:9:\"plugin_id\";s:4:\"date\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:6:\"access\";}}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:2:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:1:\"0\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:6:\"status\";}s:6:\"access\";a:16:{s:2:\"id\";s:6:\"access\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:6:\"access\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\">=\";s:5:\"value\";a:4:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:11:\"-15 minutes\";s:4:\"type\";s:6:\"offset\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:15:{s:11:\"operator_id\";s:9:\"access_op\";s:5:\"label\";s:11:\"Last access\";s:11:\"description\";s:77:\"A user is considered online for this long after they have last viewed a page.\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:9:\"access_op\";s:10:\"identifier\";s:6:\"access\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";s:15:\"min_placeholder\";s:0:\"\";s:15:\"max_placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:4:\"date\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:6:\"access\";}}s:17:\"display_extenders\";a:0:{}}',-1,1636012248.304,1,'config:views.view.who_s_online','5'),('views:unpack_options:81c22672366afe758901db3d717f9a9d6c68cfaa0c472ea40ecc94ae8dbaeed5:en','a:33:{s:5:\"title\";s:0:\"\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:6:\"page_1\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:13:\"query_comment\";s:0:\"\";s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:6:{s:14:\"items_per_page\";i:10;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";i:0;s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:4:\"tags\";a:2:{s:8:\"previous\";s:6:\"‹‹\";s:4:\"next\";s:6:\"››\";}}}s:5:\"style\";a:2:{s:4:\"type\";s:4:\"grid\";s:7:\"options\";a:8:{s:8:\"grouping\";a:0:{}s:7:\"columns\";i:3;s:15:\"automatic_width\";b:1;s:9:\"alignment\";s:10:\"horizontal\";s:17:\"col_class_default\";b:1;s:16:\"col_class_custom\";s:0:\"\";s:17:\"row_class_default\";b:1;s:16:\"row_class_custom\";s:0:\"\";}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:4:{s:22:\"default_field_elements\";b:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";b:0;}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:1:{s:20:\"entity_taxonomy_term\";a:12:{s:2:\"id\";s:20:\"entity_taxonomy_term\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:20:\"entity_taxonomy_term\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:1;s:8:\"tokenize\";b:1;s:6:\"target\";s:23:\"{{ raw_arguments.tid }}\";s:9:\"view_mode\";s:4:\"full\";s:13:\"bypass_access\";b:0;s:9:\"plugin_id\";s:6:\"entity\";}}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:4:{s:4:\"path\";a:25:{s:2:\"id\";s:4:\"path\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"absolute\";b:0;s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:11:\"entity_link\";s:18:\"output_url_as_text\";b:1;}s:5:\"title\";a:37:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:9:\"plugin_id\";s:5:\"field\";}s:4:\"body\";a:35:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:10:\"node__body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:200;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:7:\"nothing\";a:22:{s:2:\"id\";s:7:\"nothing\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"nothing\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:98:\"	<div class=\"views-field wp-views-field-view-node\">\n		<a href=\"{{ path }}\">Read more</a> 	\n	</div>\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:0;s:9:\"plugin_id\";s:6:\"custom\";}}s:5:\"sorts\";a:2:{s:6:\"sticky\";a:10:{s:2:\"id\";s:6:\"sticky\";s:5:\"table\";s:14:\"taxonomy_index\";s:5:\"field\";s:6:\"sticky\";s:5:\"order\";s:4:\"DESC\";s:9:\"plugin_id\";s:8:\"standard\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}}s:7:\"created\";a:11:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:14:\"taxonomy_index\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";s:9:\"plugin_id\";s:4:\"date\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";}}s:9:\"arguments\";a:1:{s:3:\"tid\";a:23:{s:2:\"id\";s:3:\"tid\";s:5:\"table\";s:14:\"taxonomy_index\";s:5:\"field\";s:3:\"tid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:14:\"default_action\";s:9:\"not found\";s:9:\"exception\";a:3:{s:5:\"value\";s:0:\"\";s:12:\"title_enable\";b:0;s:5:\"title\";s:3:\"All\";}s:12:\"title_enable\";b:1;s:5:\"title\";s:19:\"{{ arguments.tid }}\";s:21:\"default_argument_type\";s:5:\"fixed\";s:24:\"default_argument_options\";a:1:{s:8:\"argument\";s:0:\"\";}s:25:\"default_argument_skip_url\";b:0;s:15:\"summary_options\";a:4:{s:9:\"base_path\";s:0:\"\";s:5:\"count\";b:1;s:14:\"items_per_page\";i:25;s:8:\"override\";b:0;}s:7:\"summary\";a:3:{s:10:\"sort_order\";s:3:\"asc\";s:17:\"number_of_records\";i:0;s:6:\"format\";s:15:\"default_summary\";}s:18:\"specify_validation\";b:1;s:8:\"validate\";a:2:{s:4:\"type\";s:20:\"entity:taxonomy_term\";s:4:\"fail\";s:9:\"not found\";}s:16:\"validate_options\";a:4:{s:6:\"access\";b:1;s:9:\"operation\";s:4:\"view\";s:8:\"multiple\";i:0;s:7:\"bundles\";a:0:{}}s:12:\"break_phrase\";b:0;s:9:\"add_table\";b:0;s:13:\"require_value\";b:0;s:17:\"reduce_duplicates\";b:0;s:9:\"plugin_id\";s:18:\"taxonomy_index_tid\";}}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:2:{s:6:\"status\";a:14:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:14:\"taxonomy_index\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:7:\"boolean\";}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:33:\"***LANGUAGE_language_interface***\";s:33:\"***LANGUAGE_language_interface***\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";}}s:17:\"display_extenders\";a:0:{}}',-1,1636011227.783,1,'config:views.view.taxonomy_term','5'),('views:unpack_options:8383320a1525075fad988967cdddb28dc671e783ce7ea3cce9457e00e69e787a:en','a:38:{s:8:\"defaults\";a:28:{s:6:\"access\";b:1;s:5:\"cache\";b:1;s:5:\"query\";b:1;s:5:\"title\";b:1;s:9:\"css_class\";b:1;s:19:\"display_description\";b:0;s:8:\"use_ajax\";b:1;s:23:\"hide_attachment_summary\";b:1;s:16:\"show_admin_links\";b:1;s:5:\"pager\";b:1;s:8:\"use_more\";b:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";b:1;s:12:\"exposed_form\";b:1;s:12:\"link_display\";b:1;s:8:\"link_url\";b:1;s:8:\"group_by\";b:1;s:5:\"style\";b:1;s:3:\"row\";b:1;s:6:\"header\";b:1;s:6:\"footer\";b:1;s:5:\"empty\";b:1;s:13:\"relationships\";b:1;s:6:\"fields\";b:1;s:5:\"sorts\";b:1;s:9:\"arguments\";b:1;s:7:\"filters\";b:1;s:13:\"filter_groups\";b:1;}s:5:\"title\";s:0:\"\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:0:{}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:0:{}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:0:{}s:17:\"display_extenders\";a:0:{}s:17:\"block_description\";s:0:\"\";s:14:\"block_category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Lists (Views)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:16:\"block_hide_empty\";b:0;s:5:\"allow\";a:1:{s:14:\"items_per_page\";s:14:\"items_per_page\";}}',-1,1636012248.241,1,'config:views.view.our_partners','3'),('views:unpack_options:873c66203491fca5ceea1c5dd41d6a10bc7b76710839a748a478c7f4df51ff31:en','a:33:{s:5:\"title\";s:12:\"Blog details\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:1;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:5;s:6:\"offset\";i:0;}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:2:{s:11:\"field_image\";a:35:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:17:\"node__field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:14:\"image_1400_700\";s:10:\"image_link\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:11:\"field_video\";a:35:{s:2:\"id\";s:11:\"field_video\";s:5:\"table\";s:17:\"node__field_video\";s:5:\"field\";s:11:\"field_video\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:16:\"{{field_image}} \";s:10:\"hide_empty\";b:1;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:23:\"video_embed_field_video\";s:8:\"settings\";a:4:{s:8:\"autoplay\";b:1;s:10:\"responsive\";b:1;s:5:\"width\";i:854;s:6:\"height\";i:480;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";}}s:9:\"arguments\";a:1:{s:3:\"nid\";a:23:{s:2:\"id\";s:3:\"nid\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:3:\"nid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:14:\"default_action\";s:7:\"default\";s:9:\"exception\";a:3:{s:5:\"value\";s:3:\"all\";s:12:\"title_enable\";b:0;s:5:\"title\";s:3:\"All\";}s:12:\"title_enable\";b:0;s:5:\"title\";s:0:\"\";s:21:\"default_argument_type\";s:4:\"node\";s:24:\"default_argument_options\";a:0:{}s:25:\"default_argument_skip_url\";b:0;s:15:\"summary_options\";a:4:{s:9:\"base_path\";s:0:\"\";s:5:\"count\";b:1;s:14:\"items_per_page\";i:25;s:8:\"override\";b:0;}s:7:\"summary\";a:3:{s:10:\"sort_order\";s:3:\"asc\";s:17:\"number_of_records\";i:0;s:6:\"format\";s:15:\"default_summary\";}s:18:\"specify_validation\";b:0;s:8:\"validate\";a:2:{s:4:\"type\";s:4:\"none\";s:4:\"fail\";s:9:\"not found\";}s:16:\"validate_options\";a:0:{}s:12:\"break_phrase\";b:0;s:3:\"not\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:3:\"nid\";s:9:\"plugin_id\";s:8:\"node_nid\";}}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:3:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:4:\"blog\";s:4:\"blog\";}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:33:\"***LANGUAGE_language_interface***\";s:33:\"***LANGUAGE_language_interface***\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";}}s:17:\"display_extenders\";a:0:{}}',-1,1636012248.151,1,'config:views.view.blog_details','3'),('views:unpack_options:8799510baf0a96aadfcd17954f3aa8853a0d4bc8967fd761bbdfae5d3abab47a:en','a:38:{s:8:\"defaults\";a:28:{s:6:\"access\";b:1;s:5:\"cache\";b:1;s:5:\"query\";b:1;s:5:\"title\";b:1;s:9:\"css_class\";b:1;s:19:\"display_description\";b:0;s:8:\"use_ajax\";b:1;s:23:\"hide_attachment_summary\";b:1;s:16:\"show_admin_links\";b:1;s:5:\"pager\";b:1;s:8:\"use_more\";b:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";b:1;s:12:\"exposed_form\";b:1;s:12:\"link_display\";b:1;s:8:\"link_url\";b:1;s:8:\"group_by\";b:1;s:5:\"style\";b:1;s:3:\"row\";b:1;s:6:\"header\";b:1;s:6:\"footer\";b:1;s:5:\"empty\";b:1;s:13:\"relationships\";b:1;s:6:\"fields\";b:1;s:5:\"sorts\";b:1;s:9:\"arguments\";b:1;s:7:\"filters\";b:1;s:13:\"filter_groups\";b:1;}s:5:\"title\";s:0:\"\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:0:{}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:0:{}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:0:{}s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:15:\"taxonomy/term/%\";s:10:\"route_name\";s:0:\"\";s:4:\"menu\";a:9:{s:4:\"type\";s:4:\"none\";s:5:\"title\";s:0:\"\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;s:7:\"enabled\";b:1;s:9:\"menu_name\";s:4:\"main\";s:6:\"parent\";s:0:\"\";s:7:\"context\";s:0:\"\";s:8:\"expanded\";b:0;}s:11:\"tab_options\";a:4:{s:4:\"type\";s:4:\"none\";s:5:\"title\";s:0:\"\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;}}',-1,1636011227.798,1,'config:views.view.taxonomy_term','5'),('views:unpack_options:8adf61d128acbbaf034cbf3c3c2689c5732c577dfde4f3952708bfea02f4a304:en','a:38:{s:8:\"defaults\";a:28:{s:6:\"access\";b:1;s:5:\"cache\";b:1;s:5:\"query\";b:1;s:5:\"title\";b:1;s:9:\"css_class\";b:1;s:19:\"display_description\";b:0;s:8:\"use_ajax\";b:1;s:23:\"hide_attachment_summary\";b:1;s:16:\"show_admin_links\";b:1;s:5:\"pager\";b:1;s:8:\"use_more\";b:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";b:1;s:12:\"exposed_form\";b:1;s:12:\"link_display\";b:1;s:8:\"link_url\";b:1;s:8:\"group_by\";b:1;s:5:\"style\";b:1;s:3:\"row\";b:1;s:6:\"header\";b:1;s:6:\"footer\";b:1;s:5:\"empty\";b:1;s:13:\"relationships\";b:1;s:6:\"fields\";b:0;s:5:\"sorts\";b:1;s:9:\"arguments\";b:1;s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;}s:5:\"title\";s:0:\"\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:32:\"The unapproved comments listing.\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:0:{}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:8:{s:17:\"comment_bulk_form\";a:26:{s:2:\"id\";s:17:\"comment_bulk_form\";s:5:\"table\";s:7:\"comment\";s:5:\"field\";s:17:\"comment_bulk_form\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:12:\"action_title\";s:6:\"Action\";s:15:\"include_exclude\";s:7:\"include\";s:16:\"selected_actions\";a:2:{i:0;s:21:\"comment_delete_action\";i:1;s:22:\"comment_publish_action\";}s:9:\"plugin_id\";s:17:\"comment_bulk_form\";s:11:\"entity_type\";s:7:\"comment\";}s:7:\"subject\";a:37:{s:2:\"id\";s:7:\"subject\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"subject\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:7:\"Subject\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:17:\"comment_permalink\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"subject\";s:9:\"plugin_id\";s:5:\"field\";}s:3:\"uid\";a:37:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:3:\"uid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:22:\"entity_reference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:1;}s:12:\"group_column\";s:9:\"target_id\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:3:\"uid\";s:9:\"plugin_id\";s:5:\"field\";}s:4:\"name\";a:37:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:6:\"Author\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:9:\"{{ uid }}\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:16:\"comment_username\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:5:\"field\";}s:9:\"entity_id\";a:37:{s:2:\"id\";s:9:\"entity_id\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:9:\"entity_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:9:\"Posted in\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:22:\"entity_reference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:1;}s:12:\"group_column\";s:9:\"target_id\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:9:\"entity_id\";s:9:\"plugin_id\";s:16:\"commented_entity\";}s:7:\"changed\";a:37:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"changed\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:7:\"Updated\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:5:\"short\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"changed\";s:9:\"plugin_id\";s:5:\"field\";}s:10:\"operations\";a:24:{s:2:\"id\";s:10:\"operations\";s:5:\"table\";s:7:\"comment\";s:5:\"field\";s:10:\"operations\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:10:\"Operations\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"destination\";b:1;s:11:\"entity_type\";s:7:\"comment\";s:9:\"plugin_id\";s:17:\"entity_operations\";}s:6:\"name_1\";a:37:{s:2:\"id\";s:6:\"name_1\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:3:\"uid\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"user_name\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:5:\"field\";}}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:4:{s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"0\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";}s:7:\"subject\";a:16:{s:2:\"id\";s:7:\"subject\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"subject\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:8:\"contains\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:10:\"subject_op\";s:5:\"label\";s:7:\"Subject\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:10:\"subject_op\";s:10:\"identifier\";s:7:\"subject\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"subject\";s:9:\"plugin_id\";s:6:\"string\";}s:7:\"combine\";a:15:{s:2:\"id\";s:7:\"combine\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"combine\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:8:\"contains\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:10:\"combine_op\";s:5:\"label\";s:11:\"Author Name\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:10:\"combine_op\";s:10:\"identifier\";s:11:\"author_name\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:6:\"fields\";a:2:{s:4:\"name\";s:4:\"name\";s:6:\"name_1\";s:6:\"name_1\";}s:9:\"plugin_id\";s:7:\"combine\";}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:11:\"langcode_op\";s:5:\"label\";s:8:\"Language\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:11:\"langcode_op\";s:10:\"identifier\";s:8:\"langcode\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";}}s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:30:\"admin/content/comment/approval\";s:10:\"route_name\";s:0:\"\";s:4:\"menu\";a:9:{s:4:\"type\";s:3:\"tab\";s:5:\"title\";s:19:\"Unapproved comments\";s:11:\"description\";s:19:\"Comments unapproved\";s:6:\"weight\";i:1;s:7:\"enabled\";b:1;s:9:\"menu_name\";s:5:\"admin\";s:6:\"parent\";s:0:\"\";s:7:\"context\";s:1:\"0\";s:8:\"expanded\";b:0;}s:11:\"tab_options\";a:4:{s:4:\"type\";s:4:\"none\";s:5:\"title\";s:0:\"\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;}}',-1,1636011227.640,1,'config:views.view.comment','4'),('views:unpack_options:92c0282fdac1a7653e046102f2cccb051cd631f023b02f4d06da5dcbcb6eca46:en','a:33:{s:5:\"title\";s:19:\"Recent log messages\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:11:\"admin-dblog\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:19:\"access site reports\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:6:\"Filter\";s:12:\"reset_button\";b:1;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:0;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:6:{s:14:\"items_per_page\";i:50;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";N;s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:4:\"tags\";a:2:{s:8:\"previous\";s:6:\"‹‹\";s:4:\"next\";s:6:\"››\";}}}s:5:\"style\";a:2:{s:4:\"type\";s:5:\"table\";s:7:\"options\";a:12:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:25:\"{{ type }} {{ severity }}\";s:17:\"default_row_class\";b:1;s:8:\"override\";b:1;s:6:\"sticky\";b:0;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";s:11:\"description\";s:0:\"\";s:7:\"columns\";a:8:{s:7:\"nothing\";s:7:\"nothing\";s:3:\"wid\";s:3:\"wid\";s:8:\"severity\";s:8:\"severity\";s:4:\"type\";s:4:\"type\";s:9:\"timestamp\";s:9:\"timestamp\";s:7:\"message\";s:7:\"message\";s:4:\"name\";s:4:\"name\";s:4:\"link\";s:4:\"link\";}s:4:\"info\";a:8:{s:7:\"nothing\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:15:\"priority-medium\";}s:3:\"wid\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:8:\"severity\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:4:\"type\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:15:\"priority-medium\";}s:9:\"timestamp\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:7:\"message\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:4:\"name\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:15:\"priority-medium\";}s:4:\"link\";a:4:{s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}}s:7:\"default\";s:3:\"wid\";s:11:\"empty_table\";b:0;}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:1:{s:4:\"area\";a:10:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:26:\"No log messages available.\";s:5:\"empty\";b:1;s:8:\"tokenize\";b:0;s:7:\"content\";s:26:\"No log messages available.\";s:9:\"plugin_id\";s:11:\"text_custom\";}}s:13:\"relationships\";a:1:{s:3:\"uid\";a:8:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:3:\"uid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:4:\"User\";s:8:\"required\";b:0;s:9:\"plugin_id\";s:8:\"standard\";}}s:6:\"fields\";a:8:{s:7:\"nothing\";a:22:{s:2:\"id\";s:7:\"nothing\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"nothing\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:4:\"Icon\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:4:\"icon\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:0;s:9:\"plugin_id\";s:6:\"custom\";}s:3:\"wid\";a:22:{s:2:\"id\";s:3:\"wid\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:3:\"wid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:3:\"WID\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:9:\"plugin_id\";s:8:\"standard\";}s:8:\"severity\";a:23:{s:2:\"id\";s:8:\"severity\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:8:\"severity\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:8:\"Severity\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:12:\"machine_name\";b:0;s:9:\"plugin_id\";s:12:\"machine_name\";}s:4:\"type\";a:22:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:4:\"Type\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:9:\"plugin_id\";s:8:\"standard\";}s:9:\"timestamp\";a:25:{s:2:\"id\";s:9:\"timestamp\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:9:\"timestamp\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:4:\"Date\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"date_format\";s:5:\"short\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";s:9:\"plugin_id\";s:4:\"date\";}s:7:\"message\";a:23:{s:2:\"id\";s:7:\"message\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:7:\"message\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:7:\"Message\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:1;s:4:\"path\";s:35:\"admin/reports/dblog/event/{{ wid }}\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:13:\"{{ message }}\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:56;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:1;s:4:\"trim\";b:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"replace_variables\";b:1;s:9:\"plugin_id\";s:13:\"dblog_message\";}s:4:\"name\";a:37:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:3:\"uid\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:4:\"User\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"user_name\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:5:\"field\";}s:4:\"link\";a:22:{s:2:\"id\";s:4:\"link\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:4:\"link\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:10:\"Operations\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:9:\"plugin_id\";s:16:\"dblog_operations\";}}s:5:\"sorts\";a:1:{s:3:\"wid\";a:10:{s:2:\"id\";s:3:\"wid\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:3:\"wid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"order\";s:4:\"DESC\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:9:\"plugin_id\";s:8:\"standard\";}}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:2:{s:4:\"type\";a:14:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:7:\"type_op\";s:5:\"label\";s:4:\"Type\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:7:\"type_op\";s:10:\"identifier\";s:4:\"type\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:1;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:11:\"dblog_types\";}s:8:\"severity\";a:14:{s:2:\"id\";s:8:\"severity\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:8:\"severity\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:11:\"severity_op\";s:5:\"label\";s:8:\"Severity\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:11:\"severity_op\";s:10:\"identifier\";s:8:\"severity\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:1;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:11:\"in_operator\";}}s:17:\"display_extenders\";a:0:{}}',-1,1636011227.818,1,'config:views.view.watchdog','5'),('views:unpack_options:94d16d70f09d809fa3f84be074b20a63af4f8a53b7401ab2eaeb329ed36acd20:en','a:38:{s:8:\"defaults\";a:28:{s:6:\"access\";b:1;s:5:\"cache\";b:1;s:5:\"query\";b:1;s:5:\"title\";b:1;s:9:\"css_class\";b:0;s:19:\"display_description\";b:0;s:8:\"use_ajax\";b:1;s:23:\"hide_attachment_summary\";b:1;s:16:\"show_admin_links\";b:1;s:5:\"pager\";b:0;s:8:\"use_more\";b:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";b:1;s:12:\"exposed_form\";b:1;s:12:\"link_display\";b:1;s:8:\"link_url\";b:1;s:8:\"group_by\";b:1;s:5:\"style\";b:1;s:3:\"row\";b:1;s:6:\"header\";b:1;s:6:\"footer\";b:1;s:5:\"empty\";b:1;s:13:\"relationships\";b:1;s:6:\"fields\";b:0;s:5:\"sorts\";b:1;s:9:\"arguments\";b:1;s:7:\"filters\";b:1;s:13:\"filter_groups\";b:1;}s:5:\"title\";s:0:\"\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:14:\"view-type-list\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:14:\"items_per_page\";i:5;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";N;s:4:\"tags\";a:4:{s:8:\"previous\";s:6:\"‹‹\";s:4:\"next\";s:6:\"››\";s:5:\"first\";s:8:\"« First\";s:4:\"last\";s:7:\"Last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:8:\"quantity\";i:9;}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:8:{s:4:\"path\";a:25:{s:2:\"id\";s:4:\"path\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"absolute\";b:0;s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:11:\"entity_link\";s:18:\"output_url_as_text\";b:1;}s:11:\"field_image\";a:35:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:17:\"node__field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:14:\"image_640_363_\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:5:\"title\";a:37:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:9:\"plugin_id\";s:5:\"field\";}s:7:\"created\";a:37:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:6:\"custom\";s:18:\"custom_date_format\";s:1:\"M\";s:8:\"timezone\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:5:\"field\";}s:9:\"created_1\";a:37:{s:2:\"id\";s:9:\"created_1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:6:\"custom\";s:18:\"custom_date_format\";s:1:\"d\";s:8:\"timezone\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:5:\"field\";}s:4:\"body\";a:35:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:10:\"node__body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:200;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:1;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:9:\"view_node\";a:26:{s:2:\"id\";s:9:\"view_node\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:1;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"text\";s:9:\"Read more\";s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:11:\"entity_link\";s:18:\"output_url_as_text\";b:0;s:8:\"absolute\";b:0;}s:7:\"nothing\";a:22:{s:2:\"id\";s:7:\"nothing\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"nothing\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:564:\"<div class=\"views-field wp-views-field-img\">\n      {{ field_image }}\n</div>\n<div class=\"views-inner\">\n  	<div class=\"views-info\">\n  		<div class=\"views-field wp-views-field-created\">\n  			{{ created }}\n  		</div>\n  		<div class=\"views-field wp-views-field-created-1\">\n  			{{ created_1 }}\n  		</div>\n	</div>\n	<div class=\"views-field wp-views-field-title\">\n		{{ title }}\n	</div>\n	<div class=\"views-field wp-views-field-body\">\n		{{ body }} 	\n	</div>\n	<div class=\"views-field wp-views-field-view-node\">\n		<a href=\"{{ path }}\">Read more</a> 	\n	</div>\n         \n</div>\n\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:0;s:9:\"plugin_id\";s:6:\"custom\";}}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:0:{}s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:4:\"blog\";s:10:\"route_name\";s:0:\"\";s:4:\"menu\";a:9:{s:4:\"type\";s:4:\"none\";s:5:\"title\";s:0:\"\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;s:7:\"enabled\";b:1;s:9:\"menu_name\";s:4:\"main\";s:6:\"parent\";s:0:\"\";s:7:\"context\";s:0:\"\";s:8:\"expanded\";b:0;}s:11:\"tab_options\";a:4:{s:4:\"type\";s:4:\"none\";s:5:\"title\";s:0:\"\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;}}',-1,1636011226.276,1,'config:views.view.blog_page','4'),('views:unpack_options:99a1f2d5531aa7073e3c483459cbbf3d38c0251701953209afbe09534a218c29:en','a:38:{s:8:\"defaults\";a:28:{s:6:\"access\";b:1;s:5:\"cache\";b:1;s:5:\"query\";b:1;s:5:\"title\";b:1;s:9:\"css_class\";b:1;s:19:\"display_description\";b:0;s:8:\"use_ajax\";b:1;s:23:\"hide_attachment_summary\";b:1;s:16:\"show_admin_links\";b:1;s:5:\"pager\";b:1;s:8:\"use_more\";b:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";b:1;s:12:\"exposed_form\";b:1;s:12:\"link_display\";b:1;s:8:\"link_url\";b:1;s:8:\"group_by\";b:1;s:5:\"style\";b:1;s:3:\"row\";b:1;s:6:\"header\";b:1;s:6:\"footer\";b:1;s:5:\"empty\";b:1;s:13:\"relationships\";b:1;s:6:\"fields\";b:0;s:5:\"sorts\";b:1;s:9:\"arguments\";b:1;s:7:\"filters\";b:1;s:13:\"filter_groups\";b:1;}s:5:\"title\";s:0:\"\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:0:{}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:1:{s:13:\"field_gallery\";a:35:{s:2:\"id\";s:13:\"field_gallery\";s:5:\"table\";s:19:\"node__field_gallery\";s:5:\"field\";s:13:\"field_gallery\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:8:\"colorbox\";s:8:\"settings\";a:7:{s:19:\"colorbox_node_style\";s:14:\"image_360_360_\";s:25:\"colorbox_node_style_first\";s:0:\"\";s:20:\"colorbox_image_style\";s:0:\"\";s:16:\"colorbox_gallery\";s:4:\"page\";s:23:\"colorbox_gallery_custom\";s:7:\"gallery\";s:16:\"colorbox_caption\";s:5:\"title\";s:23:\"colorbox_caption_custom\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:0;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:2:\"ul\";s:9:\"separator\";s:0:\"\";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:0:{}s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:15:\"portfolio_4_col\";s:10:\"route_name\";s:0:\"\";s:4:\"menu\";a:9:{s:4:\"type\";s:4:\"none\";s:5:\"title\";s:0:\"\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;s:7:\"enabled\";b:1;s:9:\"menu_name\";s:4:\"main\";s:6:\"parent\";s:0:\"\";s:7:\"context\";s:0:\"\";s:8:\"expanded\";b:0;}s:11:\"tab_options\";a:4:{s:4:\"type\";s:4:\"none\";s:5:\"title\";s:0:\"\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;}}',-1,1636011227.740,1,'config:views.view.portfolio','4'),('views:unpack_options:9abcf491856df5c006f845d820ea3592b88114bd5b19a2164f70fbab95918d30:en','a:38:{s:8:\"defaults\";a:28:{s:6:\"access\";b:1;s:5:\"cache\";b:1;s:5:\"query\";b:1;s:5:\"title\";b:1;s:9:\"css_class\";b:0;s:19:\"display_description\";b:0;s:8:\"use_ajax\";b:1;s:23:\"hide_attachment_summary\";b:1;s:16:\"show_admin_links\";b:1;s:5:\"pager\";b:0;s:8:\"use_more\";b:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";b:1;s:12:\"exposed_form\";b:1;s:12:\"link_display\";b:1;s:8:\"link_url\";b:1;s:8:\"group_by\";b:1;s:5:\"style\";b:0;s:3:\"row\";b:0;s:6:\"header\";b:0;s:6:\"footer\";b:1;s:5:\"empty\";b:1;s:13:\"relationships\";b:1;s:6:\"fields\";b:0;s:5:\"sorts\";b:1;s:9:\"arguments\";b:1;s:7:\"filters\";b:1;s:13:\"filter_groups\";b:1;}s:5:\"title\";s:0:\"\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:21:\"view-porfolio-masonry\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:12;s:6:\"offset\";i:0;}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:3:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:0;}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:1:{s:4:\"area\";a:10:{s:2:\"id\";s:4:\"area\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:4:\"area\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:0;s:8:\"tokenize\";b:0;s:7:\"content\";a:2:{s:5:\"value\";s:371:\"<h2>Masonery</h2>\n<p>“There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which don\'t look even slightly believable. If you are going to use a passage of Lorem Ipsum, you need to be sure there isn\'t anything embarrassing hidden.”</p>\n<p> -- Lorem Ipsum --</p>\";s:6:\"format\";s:9:\"full_html\";}s:9:\"plugin_id\";s:4:\"text\";}}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:1:{s:13:\"field_gallery\";a:35:{s:2:\"id\";s:13:\"field_gallery\";s:5:\"table\";s:19:\"node__field_gallery\";s:5:\"field\";s:13:\"field_gallery\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:8:\"colorbox\";s:8:\"settings\";a:7:{s:19:\"colorbox_node_style\";s:0:\"\";s:25:\"colorbox_node_style_first\";s:0:\"\";s:20:\"colorbox_image_style\";s:0:\"\";s:16:\"colorbox_gallery\";s:4:\"page\";s:23:\"colorbox_gallery_custom\";s:7:\"gallery\";s:16:\"colorbox_caption\";s:5:\"title\";s:23:\"colorbox_caption_custom\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:0;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:2:\"ul\";s:9:\"separator\";s:0:\"\";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:0:{}s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:17:\"portfolio_masonry\";s:10:\"route_name\";s:0:\"\";s:4:\"menu\";a:9:{s:4:\"type\";s:4:\"none\";s:5:\"title\";s:0:\"\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;s:7:\"enabled\";b:1;s:9:\"menu_name\";s:4:\"main\";s:6:\"parent\";s:0:\"\";s:7:\"context\";s:0:\"\";s:8:\"expanded\";b:0;}s:11:\"tab_options\";a:4:{s:4:\"type\";s:4:\"none\";s:5:\"title\";s:0:\"\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;}}',-1,1636011227.751,1,'config:views.view.portfolio','4'),('views:unpack_options:a0b701e9ef61886b153b90a410ba75bba02ebe4b24a3f871ec9d5d471fc8bed4:en','a:38:{s:8:\"defaults\";a:28:{s:6:\"access\";b:1;s:5:\"cache\";b:1;s:5:\"query\";b:1;s:5:\"title\";b:1;s:9:\"css_class\";b:1;s:19:\"display_description\";b:0;s:8:\"use_ajax\";b:1;s:23:\"hide_attachment_summary\";b:1;s:16:\"show_admin_links\";b:1;s:5:\"pager\";b:1;s:8:\"use_more\";b:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";b:1;s:12:\"exposed_form\";b:1;s:12:\"link_display\";b:1;s:8:\"link_url\";b:1;s:8:\"group_by\";b:1;s:5:\"style\";b:1;s:3:\"row\";b:1;s:6:\"header\";b:1;s:6:\"footer\";b:1;s:5:\"empty\";b:1;s:13:\"relationships\";b:1;s:6:\"fields\";b:1;s:5:\"sorts\";b:1;s:9:\"arguments\";b:1;s:7:\"filters\";b:1;s:13:\"filter_groups\";b:1;}s:5:\"title\";s:0:\"\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:0:{}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:0:{}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:0:{}s:17:\"display_extenders\";a:0:{}s:17:\"block_description\";s:15:\"Recent comments\";s:14:\"block_category\";s:13:\"Lists (Views)\";s:16:\"block_hide_empty\";b:0;s:5:\"allow\";a:1:{s:14:\"items_per_page\";b:1;}}',-1,1636012248.215,1,'config:views.view.comments_recent','4'),('views:unpack_options:a3da31539889d97631720db369e31196817362d1b2bc6de3dcd5136705ee95e7:en','a:38:{s:8:\"defaults\";a:28:{s:6:\"access\";b:1;s:5:\"cache\";b:1;s:5:\"query\";b:1;s:5:\"title\";b:0;s:9:\"css_class\";b:1;s:19:\"display_description\";b:0;s:8:\"use_ajax\";b:1;s:23:\"hide_attachment_summary\";b:1;s:16:\"show_admin_links\";b:1;s:5:\"pager\";b:1;s:8:\"use_more\";b:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";b:1;s:12:\"exposed_form\";b:1;s:12:\"link_display\";b:1;s:8:\"link_url\";b:1;s:8:\"group_by\";b:1;s:5:\"style\";b:1;s:3:\"row\";b:1;s:6:\"header\";b:1;s:6:\"footer\";b:1;s:5:\"empty\";b:1;s:13:\"relationships\";b:1;s:6:\"fields\";b:1;s:5:\"sorts\";b:1;s:9:\"arguments\";b:1;s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;}s:5:\"title\";s:19:\"Contact page Banner\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:0:{}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:0:{}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:3:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:6:\"banner\";s:6:\"banner\";}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:16:\"field_type_value\";a:15:{s:2:\"id\";s:16:\"field_type_value\";s:5:\"table\";s:16:\"node__field_type\";s:5:\"field\";s:16:\"field_type_value\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:1:{i:7;s:1:\"7\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";b:0;s:9:\"plugin_id\";s:10:\"list_field\";}}s:17:\"display_extenders\";a:0:{}s:17:\"block_description\";s:0:\"\";s:14:\"block_category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Lists (Views)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:16:\"block_hide_empty\";b:0;s:5:\"allow\";a:1:{s:14:\"items_per_page\";s:14:\"items_per_page\";}}',-1,1636012248.141,1,'config:views.view.banner','3'),('views:unpack_options:a55f35fa9025684fbf23bf0c14bcf2d73c0ffa1cb719f32d7d745ef89c72108e:en','a:38:{s:8:\"defaults\";a:28:{s:6:\"access\";b:1;s:5:\"cache\";b:1;s:5:\"query\";b:1;s:5:\"title\";b:1;s:9:\"css_class\";b:1;s:19:\"display_description\";b:0;s:8:\"use_ajax\";b:1;s:23:\"hide_attachment_summary\";b:1;s:16:\"show_admin_links\";b:1;s:5:\"pager\";b:1;s:8:\"use_more\";b:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";b:1;s:12:\"exposed_form\";b:1;s:12:\"link_display\";b:1;s:8:\"link_url\";b:1;s:8:\"group_by\";b:1;s:5:\"style\";b:1;s:3:\"row\";b:1;s:6:\"header\";b:1;s:6:\"footer\";b:1;s:5:\"empty\";b:1;s:13:\"relationships\";b:1;s:6:\"fields\";b:1;s:5:\"sorts\";b:1;s:9:\"arguments\";b:1;s:7:\"filters\";b:1;s:13:\"filter_groups\";b:1;}s:5:\"title\";s:0:\"\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:0:{}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:0:{}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:0:{}s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:35:\"admin/structure/block/block-content\";s:10:\"route_name\";s:0:\"\";s:4:\"menu\";a:9:{s:4:\"type\";s:3:\"tab\";s:5:\"title\";s:20:\"Custom block library\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;s:7:\"enabled\";b:1;s:9:\"menu_name\";s:5:\"admin\";s:6:\"parent\";s:19:\"block.admin_display\";s:7:\"context\";s:1:\"0\";s:8:\"expanded\";b:0;}s:11:\"tab_options\";a:4:{s:4:\"type\";s:4:\"none\";s:5:\"title\";s:0:\"\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;}}',-1,1636011226.247,1,'config:views.view.block_content','6'),('views:unpack_options:af986130d93db46ead13e671e9155a42e9188c1946854ada8a4c805726d3b782:en','a:38:{s:8:\"defaults\";a:28:{s:6:\"access\";b:0;s:5:\"cache\";b:1;s:5:\"query\";b:1;s:5:\"title\";b:0;s:9:\"css_class\";b:0;s:19:\"display_description\";b:0;s:8:\"use_ajax\";b:1;s:23:\"hide_attachment_summary\";b:1;s:16:\"show_admin_links\";b:1;s:5:\"pager\";b:0;s:8:\"use_more\";b:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";b:1;s:12:\"exposed_form\";b:1;s:12:\"link_display\";b:1;s:8:\"link_url\";b:1;s:8:\"group_by\";b:1;s:5:\"style\";b:0;s:3:\"row\";b:0;s:6:\"header\";b:0;s:6:\"footer\";b:1;s:5:\"empty\";b:1;s:13:\"relationships\";b:1;s:6:\"fields\";b:0;s:5:\"sorts\";b:1;s:9:\"arguments\";b:1;s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;}s:5:\"title\";s:11:\"latest news\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:14:\"view-type-grid\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:3;s:6:\"offset\";i:0;}}s:5:\"style\";a:2:{s:4:\"type\";s:4:\"grid\";s:7:\"options\";a:8:{s:8:\"grouping\";a:0:{}s:7:\"columns\";i:3;s:15:\"automatic_width\";b:1;s:9:\"alignment\";s:10:\"horizontal\";s:17:\"col_class_default\";b:1;s:16:\"col_class_custom\";s:0:\"\";s:17:\"row_class_default\";b:1;s:16:\"row_class_custom\";s:0:\"\";}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:4:{s:22:\"default_field_elements\";b:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";b:0;}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:1:{s:4:\"area\";a:10:{s:2:\"id\";s:4:\"area\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:4:\"area\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:0;s:8:\"tokenize\";b:0;s:7:\"content\";a:2:{s:5:\"value\";s:126:\"Lorem ipsum dolor sit amet, consectetur adipiscing elit.\nPraesent facilisis massa nellyary eget magna semper,  dolor sit amet.\";s:6:\"format\";s:9:\"full_html\";}s:9:\"plugin_id\";s:4:\"text\";}}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:7:{s:4:\"path\";a:25:{s:2:\"id\";s:4:\"path\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"absolute\";b:0;s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:11:\"entity_link\";s:18:\"output_url_as_text\";b:1;}s:11:\"field_image\";a:35:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:17:\"node__field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:13:\"image_551_372\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:5:\"title\";a:37:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:9:\"plugin_id\";s:5:\"field\";}s:7:\"created\";a:37:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:6:\"custom\";s:18:\"custom_date_format\";s:6:\"F d, Y\";s:8:\"timezone\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:5:\"field\";}s:3:\"uid\";a:37:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:3:\"uid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:13:\"by {{ uid }} \";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:22:\"entity_reference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:1;}s:12:\"group_column\";s:9:\"target_id\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:3:\"uid\";s:9:\"plugin_id\";s:5:\"field\";}s:10:\"field_tags\";a:35:{s:2:\"id\";s:10:\"field_tags\";s:5:\"table\";s:16:\"node__field_tags\";s:5:\"field\";s:10:\"field_tags\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:19:\"in {{ field_tags }}\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:22:\"entity_reference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:1;}s:12:\"group_column\";s:9:\"target_id\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:1;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:0:\"\";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:4:\"body\";a:35:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:10:\"node__body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:200;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:1;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_trimmed\";s:8:\"settings\";a:1:{s:11:\"trim_length\";i:150;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:3:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:4:\"blog\";s:4:\"blog\";}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:33:\"***LANGUAGE_language_interface***\";s:33:\"***LANGUAGE_language_interface***\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";}}s:17:\"display_extenders\";a:0:{}s:17:\"block_description\";s:0:\"\";s:14:\"block_category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Lists (Views)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:16:\"block_hide_empty\";b:0;s:5:\"allow\";a:1:{s:14:\"items_per_page\";s:14:\"items_per_page\";}}',-1,1636012248.188,1,'config:views.view.blog_page','4'),('views:unpack_options:b1110c5ebb06ef04bc0e800dfdc7102ad061c6bb9ab203c1bef3bfe89c45f1b1:en','a:33:{s:5:\"title\";s:9:\"Who\'s new\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:5;s:6:\"offset\";i:0;}}s:5:\"style\";a:2:{s:4:\"type\";s:9:\"html_list\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:1:{s:4:\"name\";a:25:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"name\";s:5:\"label\";s:0:\"\";s:9:\"plugin_id\";s:5:\"field\";s:4:\"type\";s:9:\"user_name\";s:5:\"alter\";a:8:{s:10:\"alter_text\";b:0;s:9:\"make_link\";b:0;s:8:\"absolute\";b:0;s:4:\"trim\";b:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:10:\"strip_tags\";b:0;s:4:\"html\";b:0;}s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exclude\";b:0;s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:16:\"hide_alter_empty\";b:1;s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"name\";}}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"order\";s:4:\"DESC\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";s:9:\"plugin_id\";s:4:\"date\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:7:\"created\";}}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:2:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:1:\"0\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:6:\"status\";}s:6:\"access\";a:16:{s:2:\"id\";s:6:\"access\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:6:\"access\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:1:\">\";s:5:\"value\";a:4:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:10:\"1970-01-01\";s:4:\"type\";s:4:\"date\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:15:{s:11:\"operator_id\";s:1:\"0\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:11:\"placeholder\";s:0:\"\";s:15:\"min_placeholder\";s:0:\"\";s:15:\"max_placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:4:\"date\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:6:\"access\";}}s:17:\"display_extenders\";a:0:{}}',-1,1636012248.294,1,'config:views.view.who_s_new','5'),('views:unpack_options:b2aa445278f63d89fd31a4d6b0cdf2d7ac6bdc2e7c4ef1e759fdd67625f4bfac:en','a:33:{s:5:\"title\";s:7:\"Content\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:0;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:23:\"access content overview\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:6:\"Filter\";s:12:\"reset_button\";b:1;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:50;s:4:\"tags\";a:4:{s:8:\"previous\";s:12:\"‹ Previous\";s:4:\"next\";s:8:\"Next ›\";s:5:\"first\";s:8:\"« First\";s:4:\"last\";s:7:\"Last »\";}}}s:5:\"style\";a:2:{s:4:\"type\";s:5:\"table\";s:7:\"options\";a:12:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:8:\"override\";b:1;s:6:\"sticky\";b:1;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";s:11:\"description\";s:0:\"\";s:7:\"columns\";a:10:{s:14:\"node_bulk_form\";s:14:\"node_bulk_form\";s:5:\"title\";s:5:\"title\";s:4:\"type\";s:4:\"type\";s:4:\"name\";s:4:\"name\";s:6:\"status\";s:6:\"status\";s:7:\"changed\";s:7:\"changed\";s:9:\"edit_node\";s:9:\"edit_node\";s:11:\"delete_node\";s:11:\"delete_node\";s:10:\"dropbutton\";s:10:\"dropbutton\";s:9:\"timestamp\";s:5:\"title\";}s:4:\"info\";a:10:{s:14:\"node_bulk_form\";a:4:{s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:5:\"title\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:4:\"type\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:4:\"name\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:6:\"status\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:7:\"changed\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:9:\"edit_node\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:11:\"delete_node\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:10:\"dropbutton\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:9:\"timestamp\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}}s:7:\"default\";s:7:\"changed\";s:11:\"empty_table\";b:1;}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:1:{s:16:\"area_text_custom\";a:6:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:5:\"empty\";b:1;s:7:\"content\";s:21:\"No content available.\";s:9:\"plugin_id\";s:11:\"text_custom\";}}s:13:\"relationships\";a:1:{s:3:\"uid\";a:6:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:3:\"uid\";s:11:\"admin_label\";s:6:\"author\";s:8:\"required\";b:1;s:9:\"plugin_id\";s:8:\"standard\";}}s:6:\"fields\";a:8:{s:14:\"node_bulk_form\";a:14:{s:2:\"id\";s:14:\"node_bulk_form\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:14:\"node_bulk_form\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:1:{s:10:\"alter_text\";b:0;}s:13:\"element_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:9:\"plugin_id\";s:14:\"node_bulk_form\";s:11:\"entity_type\";s:4:\"node\";}s:5:\"title\";a:17:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:5:\"Title\";s:7:\"exclude\";b:0;s:5:\"alter\";a:1:{s:10:\"alter_text\";b:0;}s:13:\"element_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:9:\"plugin_id\";s:5:\"field\";}s:4:\"type\";a:37:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:12:\"Content type\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:22:\"entity_reference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:0;}s:12:\"group_column\";s:9:\"target_id\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:5:\"field\";}s:4:\"name\";a:17:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:3:\"uid\";s:5:\"label\";s:6:\"Author\";s:7:\"exclude\";b:0;s:5:\"alter\";a:1:{s:10:\"alter_text\";b:0;}s:13:\"element_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:9:\"plugin_id\";s:5:\"field\";s:4:\"type\";s:9:\"user_name\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"name\";}s:6:\"status\";a:17:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:5:\"label\";s:6:\"Status\";s:7:\"exclude\";b:0;s:5:\"alter\";a:1:{s:10:\"alter_text\";b:0;}s:13:\"element_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:7:\"boolean\";s:8:\"settings\";a:3:{s:6:\"format\";s:6:\"custom\";s:18:\"format_custom_true\";s:9:\"Published\";s:19:\"format_custom_false\";s:11:\"Unpublished\";}s:9:\"plugin_id\";s:5:\"field\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";}s:7:\"changed\";a:17:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"changed\";s:5:\"label\";s:7:\"Updated\";s:7:\"exclude\";b:0;s:5:\"alter\";a:1:{s:10:\"alter_text\";b:0;}s:13:\"element_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:5:\"short\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";}s:9:\"plugin_id\";s:5:\"field\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"changed\";}s:10:\"operations\";a:23:{s:2:\"id\";s:10:\"operations\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:10:\"operations\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:10:\"Operations\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"destination\";b:1;s:9:\"plugin_id\";s:17:\"entity_operations\";}s:8:\"langcode\";a:37:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:8:\"Language\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:8:\"language\";s:8:\"settings\";a:2:{s:14:\"link_to_entity\";b:0;s:15:\"native_language\";b:0;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:5:\"field\";}}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:6:{s:12:\"status_extra\";a:9:{s:2:\"id\";s:12:\"status_extra\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:12:\"status_extra\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";b:0;s:9:\"plugin_id\";s:11:\"node_status\";s:5:\"group\";i:1;s:11:\"entity_type\";s:4:\"node\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:6:\"Status\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:9:\"status_op\";s:10:\"identifier\";s:6:\"status\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:1;s:10:\"group_info\";a:10:{s:5:\"label\";s:16:\"Published status\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:6:\"status\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:2:{i:1;a:3:{s:5:\"title\";s:9:\"Published\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";}i:2;a:3:{s:5:\"title\";s:11:\"Unpublished\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"0\";}}}s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";}s:4:\"type\";a:16:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:7:\"type_op\";s:5:\"label\";s:12:\"Content type\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:7:\"type_op\";s:10:\"identifier\";s:4:\"type\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:6:\"bundle\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";}s:5:\"title\";a:16:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:8:\"contains\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:8:\"title_op\";s:5:\"label\";s:5:\"Title\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:8:\"title_op\";s:10:\"identifier\";s:5:\"title\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:6:\"string\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:11:\"langcode_op\";s:5:\"label\";s:8:\"Language\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:11:\"langcode_op\";s:10:\"identifier\";s:8:\"langcode\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:8:\"language\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:8:\"langcode\";}s:10:\"langcode_1\";a:16:{s:2:\"id\";s:10:\"langcode_1\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:3:\"uid\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:33:\"***LANGUAGE_language_interface***\";s:33:\"***LANGUAGE_language_interface***\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";}}s:17:\"display_extenders\";a:0:{}}',-1,1636011227.651,1,'config:views.view.content','5'),('views:unpack_options:b2f8c99ae1d4c3bbefa47128dee960ef79acd4612928570b02558bb9bb021ce6:en','a:33:{s:5:\"title\";s:5:\"Files\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:1;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:21:\"access files overview\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:6:\"Filter\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:6:{s:14:\"items_per_page\";i:50;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";i:0;s:4:\"tags\";a:2:{s:8:\"previous\";s:12:\"‹ Previous\";s:4:\"next\";s:8:\"Next ›\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}}}s:5:\"style\";a:2:{s:4:\"type\";s:5:\"table\";s:7:\"options\";a:12:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:8:\"override\";b:1;s:6:\"sticky\";b:0;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";s:11:\"description\";s:0:\"\";s:7:\"columns\";a:8:{s:3:\"fid\";s:3:\"fid\";s:8:\"filename\";s:8:\"filename\";s:8:\"filemime\";s:8:\"filemime\";s:8:\"filesize\";s:8:\"filesize\";s:6:\"status\";s:6:\"status\";s:7:\"created\";s:7:\"created\";s:7:\"changed\";s:7:\"changed\";s:5:\"count\";s:5:\"count\";}s:4:\"info\";a:8:{s:3:\"fid\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:8:\"filename\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:8:\"filemime\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:15:\"priority-medium\";}s:8:\"filesize\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:6:\"status\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:7:\"created\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:7:\"changed\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:5:\"count\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:15:\"priority-medium\";}}s:7:\"default\";s:7:\"changed\";s:11:\"empty_table\";b:1;}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:1:{s:16:\"area_text_custom\";a:6:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:5:\"empty\";b:1;s:7:\"content\";s:19:\"No files available.\";s:9:\"plugin_id\";s:11:\"text_custom\";}}s:13:\"relationships\";a:1:{s:3:\"fid\";a:7:{s:2:\"id\";s:3:\"fid\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:3:\"fid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:10:\"File usage\";s:8:\"required\";b:1;}}s:6:\"fields\";a:8:{s:3:\"fid\";a:24:{s:2:\"id\";s:3:\"fid\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:3:\"fid\";s:5:\"alter\";a:8:{s:10:\"alter_text\";b:0;s:9:\"make_link\";b:0;s:8:\"absolute\";b:0;s:4:\"trim\";b:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:10:\"strip_tags\";b:0;s:4:\"html\";b:0;}s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:3:\"Fid\";s:7:\"exclude\";b:1;s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:16:\"hide_alter_empty\";b:1;s:9:\"plugin_id\";s:5:\"field\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:3:\"fid\";}s:8:\"filename\";a:36:{s:2:\"id\";s:8:\"filename\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:8:\"filename\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:4:\"Name\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"file_link\";s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:8:\"filename\";}s:8:\"filemime\";a:25:{s:2:\"id\";s:8:\"filemime\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:8:\"filemime\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:9:\"MIME type\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:13:\"file_filemime\";s:9:\"plugin_id\";s:5:\"field\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:8:\"filemime\";}s:8:\"filesize\";a:25:{s:2:\"id\";s:8:\"filesize\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:8:\"filesize\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:4:\"Size\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:9:\"file_size\";s:9:\"plugin_id\";s:5:\"field\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:8:\"filesize\";}s:6:\"status\";a:26:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:6:\"Status\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:7:\"boolean\";s:8:\"settings\";a:3:{s:6:\"format\";s:6:\"custom\";s:19:\"format_custom_false\";s:9:\"Temporary\";s:18:\"format_custom_true\";s:9:\"Permanent\";}s:9:\"plugin_id\";s:5:\"field\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:6:\"status\";}s:7:\"created\";a:26:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:11:\"Upload date\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:6:\"medium\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";}s:9:\"plugin_id\";s:5:\"field\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:7:\"created\";}s:7:\"changed\";a:26:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:7:\"changed\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:12:\"Changed date\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:6:\"medium\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";}s:9:\"plugin_id\";s:5:\"field\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:7:\"changed\";}s:5:\"count\";a:30:{s:2:\"id\";s:5:\"count\";s:5:\"table\";s:10:\"file_usage\";s:5:\"field\";s:5:\"count\";s:12:\"relationship\";s:3:\"fid\";s:10:\"group_type\";s:3:\"sum\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:7:\"Used in\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:1;s:4:\"path\";s:35:\"admin/content/files/usage/{{ fid }}\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:13:\"set_precision\";b:0;s:9:\"precision\";i:0;s:7:\"decimal\";s:1:\".\";s:9:\"separator\";s:1:\",\";s:13:\"format_plural\";b:1;s:20:\"format_plural_string\";s:21:\"1 place@count places\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:9:\"plugin_id\";s:7:\"numeric\";}}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:3:{s:8:\"filename\";a:16:{s:2:\"id\";s:8:\"filename\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:8:\"filename\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:4:\"word\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:11:\"filemime_op\";s:5:\"label\";s:8:\"Filename\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:11:\"filename_op\";s:10:\"identifier\";s:8:\"filename\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:6:\"string\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:8:\"filename\";}s:8:\"filemime\";a:16:{s:2:\"id\";s:8:\"filemime\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:8:\"filemime\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:4:\"word\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:11:\"filemime_op\";s:5:\"label\";s:9:\"MIME type\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:11:\"filemime_op\";s:10:\"identifier\";s:8:\"filemime\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:6:\"string\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:8:\"filemime\";}s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:9:\"status_op\";s:5:\"label\";s:6:\"Status\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:9:\"status_op\";s:10:\"identifier\";s:6:\"status\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:11:\"file_status\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:6:\"status\";}}s:17:\"display_extenders\";a:0:{}}',-1,1636011227.667,1,'config:views.view.files','5'),('views:unpack_options:b8e1aac3a8554a9420e5420bea8d34ec30780b7b0aa17f5dd1b444f06716b6eb:en','a:38:{s:8:\"defaults\";a:28:{s:6:\"access\";b:1;s:5:\"cache\";b:1;s:5:\"query\";b:1;s:5:\"title\";b:1;s:9:\"css_class\";b:1;s:19:\"display_description\";b:0;s:8:\"use_ajax\";b:1;s:23:\"hide_attachment_summary\";b:1;s:16:\"show_admin_links\";b:1;s:5:\"pager\";b:1;s:8:\"use_more\";b:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";b:1;s:12:\"exposed_form\";b:1;s:12:\"link_display\";b:1;s:8:\"link_url\";b:1;s:8:\"group_by\";b:1;s:5:\"style\";b:1;s:3:\"row\";b:1;s:6:\"header\";b:1;s:6:\"footer\";b:1;s:5:\"empty\";b:1;s:13:\"relationships\";b:1;s:6:\"fields\";b:1;s:5:\"sorts\";b:1;s:9:\"arguments\";b:1;s:7:\"filters\";b:1;s:13:\"filter_groups\";b:1;}s:5:\"title\";s:0:\"\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:0:{}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:0:{}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:0:{}s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:24:\"admin/content/simplenews\";s:10:\"route_name\";s:0:\"\";s:4:\"menu\";a:9:{s:4:\"type\";s:3:\"tab\";s:5:\"title\";s:17:\"Newsletter issues\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;s:7:\"enabled\";b:1;s:9:\"menu_name\";s:5:\"admin\";s:6:\"parent\";s:20:\"system.admin_content\";s:7:\"context\";s:1:\"0\";s:8:\"expanded\";b:0;}s:11:\"tab_options\";a:4:{s:4:\"type\";s:4:\"none\";s:5:\"title\";s:0:\"\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;}}',-1,1636011227.763,1,'config:views.view.simplenews_newsletters','5'),('views:unpack_options:c1e2b1d384406cb732101161a1bfe4badc11e5375143d203cb21ee62536b4e0b:en','a:38:{s:8:\"defaults\";a:28:{s:6:\"access\";b:1;s:5:\"cache\";b:1;s:5:\"query\";b:1;s:5:\"title\";b:0;s:9:\"css_class\";b:1;s:19:\"display_description\";b:0;s:8:\"use_ajax\";b:1;s:23:\"hide_attachment_summary\";b:1;s:16:\"show_admin_links\";b:1;s:5:\"pager\";b:1;s:8:\"use_more\";b:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";b:1;s:12:\"exposed_form\";b:1;s:12:\"link_display\";b:1;s:8:\"link_url\";b:1;s:8:\"group_by\";b:1;s:5:\"style\";b:1;s:3:\"row\";b:1;s:6:\"header\";b:1;s:6:\"footer\";b:1;s:5:\"empty\";b:1;s:13:\"relationships\";b:1;s:6:\"fields\";b:1;s:5:\"sorts\";b:1;s:9:\"arguments\";b:1;s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;}s:5:\"title\";s:20:\"Services page Banner\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:0:{}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:0:{}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:3:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:6:\"banner\";s:6:\"banner\";}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:16:\"field_type_value\";a:15:{s:2:\"id\";s:16:\"field_type_value\";s:5:\"table\";s:16:\"node__field_type\";s:5:\"field\";s:16:\"field_type_value\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:1:{i:6;s:1:\"6\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";b:0;s:9:\"plugin_id\";s:10:\"list_field\";}}s:17:\"display_extenders\";a:0:{}s:17:\"block_description\";s:0:\"\";s:14:\"block_category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Lists (Views)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:16:\"block_hide_empty\";b:0;s:5:\"allow\";a:1:{s:14:\"items_per_page\";s:14:\"items_per_page\";}}',-1,1636012248.138,1,'config:views.view.banner','3'),('views:unpack_options:c44a9b1d1f73d1bd14fb30cc60508ba905b1558b81a8e4e38e28b1b1b43eca25:en','a:33:{s:5:\"title\";s:6:\"People\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:0;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:6:\"page_1\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:16:\"administer users\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:6:\"Filter\";s:12:\"reset_button\";b:1;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:14:\"items_per_page\";i:50;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";i:0;s:4:\"tags\";a:4:{s:8:\"previous\";s:12:\"‹ Previous\";s:4:\"next\";s:8:\"Next ›\";s:5:\"first\";s:8:\"« First\";s:4:\"last\";s:7:\"Last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:8:\"quantity\";i:9;}}s:5:\"style\";a:2:{s:4:\"type\";s:5:\"table\";s:7:\"options\";a:10:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:8:\"override\";b:1;s:6:\"sticky\";b:0;s:7:\"summary\";s:0:\"\";s:7:\"columns\";a:8:{s:14:\"user_bulk_form\";s:14:\"user_bulk_form\";s:4:\"name\";s:4:\"name\";s:6:\"status\";s:6:\"status\";s:3:\"rid\";s:3:\"rid\";s:7:\"created\";s:7:\"created\";s:6:\"access\";s:6:\"access\";s:9:\"edit_node\";s:9:\"edit_node\";s:10:\"dropbutton\";s:10:\"dropbutton\";}s:4:\"info\";a:8:{s:14:\"user_bulk_form\";a:4:{s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:4:\"name\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:6:\"status\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:3:\"rid\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:7:\"created\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:6:\"access\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:9:\"edit_node\";a:4:{s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:10:\"dropbutton\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}}s:7:\"default\";s:7:\"created\";s:11:\"empty_table\";b:1;}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:1:{s:16:\"area_text_custom\";a:10:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:1;s:8:\"tokenize\";b:0;s:7:\"content\";s:20:\"No people available.\";s:9:\"plugin_id\";s:11:\"text_custom\";}}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:8:{s:14:\"user_bulk_form\";a:23:{s:2:\"id\";s:14:\"user_bulk_form\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:14:\"user_bulk_form\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:11:\"Bulk update\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:9:\"plugin_id\";s:14:\"user_bulk_form\";s:11:\"entity_type\";s:4:\"user\";}s:4:\"name\";a:25:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:8:\"Username\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:9:\"plugin_id\";s:5:\"field\";s:4:\"type\";s:9:\"user_name\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"name\";}s:6:\"status\";a:26:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:6:\"Status\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:9:\"plugin_id\";s:5:\"field\";s:4:\"type\";s:7:\"boolean\";s:8:\"settings\";a:3:{s:6:\"format\";s:6:\"custom\";s:18:\"format_custom_true\";s:6:\"Active\";s:19:\"format_custom_false\";s:7:\"Blocked\";}s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:6:\"status\";}s:15:\"roles_target_id\";a:24:{s:2:\"id\";s:15:\"roles_target_id\";s:5:\"table\";s:11:\"user__roles\";s:5:\"field\";s:15:\"roles_target_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:5:\"Roles\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:2:\"ul\";s:9:\"separator\";s:2:\", \";s:9:\"plugin_id\";s:10:\"user_roles\";}s:7:\"created\";a:26:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:10:\"Member for\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:13:\"timestamp_ago\";s:8:\"settings\";a:3:{s:13:\"future_format\";s:9:\"@interval\";s:11:\"past_format\";s:9:\"@interval\";s:11:\"granularity\";i:2;}s:9:\"plugin_id\";s:5:\"field\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:7:\"created\";}s:6:\"access\";a:26:{s:2:\"id\";s:6:\"access\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:6:\"access\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:11:\"Last access\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:13:\"timestamp_ago\";s:8:\"settings\";a:3:{s:13:\"future_format\";s:15:\"@interval hence\";s:11:\"past_format\";s:13:\"@interval ago\";s:11:\"granularity\";i:2;}s:9:\"plugin_id\";s:5:\"field\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:6:\"access\";}s:10:\"operations\";a:24:{s:2:\"id\";s:10:\"operations\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:10:\"operations\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:10:\"Operations\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"destination\";b:1;s:11:\"entity_type\";s:4:\"user\";s:9:\"plugin_id\";s:17:\"entity_operations\";}s:4:\"mail\";a:37:{s:2:\"id\";s:4:\"mail\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"mail\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"basic_string\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"mail\";}}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"order\";s:4:\"DESC\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";s:9:\"plugin_id\";s:4:\"date\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:7:\"created\";}}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:6:{s:7:\"combine\";a:15:{s:2:\"id\";s:7:\"combine\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"combine\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:8:\"contains\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:10:\"combine_op\";s:5:\"label\";s:22:\"Name or email contains\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:10:\"combine_op\";s:10:\"identifier\";s:4:\"user\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:6:\"fields\";a:2:{s:4:\"name\";s:4:\"name\";s:4:\"mail\";s:4:\"mail\";}s:9:\"plugin_id\";s:7:\"combine\";}s:15:\"roles_target_id\";a:15:{s:2:\"id\";s:15:\"roles_target_id\";s:5:\"table\";s:11:\"user__roles\";s:5:\"field\";s:15:\"roles_target_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:18:\"roles_target_id_op\";s:5:\"label\";s:4:\"Role\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:18:\"roles_target_id_op\";s:10:\"identifier\";s:4:\"role\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";b:0;s:9:\"plugin_id\";s:10:\"user_roles\";}s:10:\"permission\";a:15:{s:2:\"id\";s:10:\"permission\";s:5:\"table\";s:11:\"user__roles\";s:5:\"field\";s:10:\"permission\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:13:\"permission_op\";s:5:\"label\";s:10:\"Permission\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:13:\"permission_op\";s:10:\"identifier\";s:10:\"permission\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";b:0;s:9:\"plugin_id\";s:16:\"user_permissions\";}s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:9:\"status_op\";s:10:\"identifier\";s:6:\"status\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:1;s:10:\"group_info\";a:10:{s:5:\"label\";s:6:\"Status\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:6:\"status\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:2:{i:1;a:3:{s:5:\"title\";s:6:\"Active\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";}i:2;a:3:{s:5:\"title\";s:7:\"Blocked\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"0\";}}}s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:6:\"status\";}s:16:\"default_langcode\";a:16:{s:2:\"id\";s:16:\"default_langcode\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:16:\"default_langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:16:\"default_langcode\";s:9:\"plugin_id\";s:7:\"boolean\";}s:7:\"uid_raw\";a:15:{s:2:\"id\";s:7:\"uid_raw\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:7:\"uid_raw\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"!=\";s:5:\"value\";a:3:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:1:\"0\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:15:{s:11:\"operator_id\";s:1:\"0\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:11:\"placeholder\";s:0:\"\";s:15:\"min_placeholder\";s:0:\"\";s:15:\"max_placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:7:\"numeric\";s:11:\"entity_type\";s:4:\"user\";}}s:17:\"display_extenders\";a:0:{}}',-1,1636011227.803,1,'config:views.view.user_admin_people','5'),('views:unpack_options:c575d5dce5c28d83a7c204f267043eabf8520df72885fd1dfd829d2b96a2d0a5:en','a:33:{s:5:\"title\";s:0:\"\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:17:\"view-blog-summary\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:14:\"items_per_page\";i:10;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";i:0;s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:4:\"tags\";a:4:{s:8:\"previous\";s:12:\"‹ Previous\";s:4:\"next\";s:8:\"Next ›\";s:5:\"first\";s:8:\"« First\";s:4:\"last\";s:7:\"Last »\";}s:8:\"quantity\";i:9;}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:4:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:11:\"uses_fields\";b:0;}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:4:{s:22:\"default_field_elements\";b:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";b:0;}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:3:{s:16:\"area_text_custom\";a:11:{s:11:\"admin_label\";s:0:\"\";s:7:\"content\";s:43:\"No front page content has been created yet.\";s:5:\"empty\";b:1;s:5:\"field\";s:16:\"area_text_custom\";s:10:\"group_type\";s:5:\"group\";s:2:\"id\";s:16:\"area_text_custom\";s:5:\"label\";s:0:\"\";s:12:\"relationship\";s:4:\"none\";s:5:\"table\";s:5:\"views\";s:8:\"tokenize\";b:0;s:9:\"plugin_id\";s:11:\"text_custom\";}s:18:\"node_listing_empty\";a:10:{s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:1;s:5:\"field\";s:18:\"node_listing_empty\";s:10:\"group_type\";s:5:\"group\";s:2:\"id\";s:18:\"node_listing_empty\";s:5:\"label\";s:0:\"\";s:12:\"relationship\";s:4:\"none\";s:5:\"table\";s:4:\"node\";s:9:\"plugin_id\";s:18:\"node_listing_empty\";s:11:\"entity_type\";s:4:\"node\";}s:5:\"title\";a:10:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:5:\"empty\";b:1;s:5:\"title\";s:22:\"Welcome to [site:name]\";s:9:\"plugin_id\";s:5:\"title\";}}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:4:{s:16:\"field_icon_class\";a:35:{s:2:\"id\";s:16:\"field_icon_class\";s:5:\"table\";s:22:\"node__field_icon_class\";s:5:\"field\";s:16:\"field_icon_class\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:52:\"<i class=\"nc-icon-glyph {{ field_icon_class }}\"></i>\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:16:\"nc-icon-outline \";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:5:\"title\";a:37:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:9:\"plugin_id\";s:5:\"field\";}s:4:\"body\";a:35:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:10:\"node__body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:200;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:9:\"view_node\";a:26:{s:2:\"id\";s:9:\"view_node\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"text\";s:9:\"Read more\";s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:11:\"entity_link\";s:18:\"output_url_as_text\";b:0;s:8:\"absolute\";b:0;}}s:5:\"sorts\";a:2:{s:6:\"sticky\";a:12:{s:11:\"admin_label\";s:0:\"\";s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:7:\"exposed\";b:0;s:5:\"field\";s:6:\"sticky\";s:10:\"group_type\";s:5:\"group\";s:2:\"id\";s:6:\"sticky\";s:5:\"order\";s:4:\"DESC\";s:12:\"relationship\";s:4:\"none\";s:5:\"table\";s:15:\"node_field_data\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"sticky\";}s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"order\";s:3:\"ASC\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";s:9:\"plugin_id\";s:4:\"date\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";}}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:3:{s:7:\"promote\";a:16:{s:11:\"admin_label\";s:0:\"\";s:6:\"expose\";a:12:{s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:5:\"label\";s:0:\"\";s:8:\"multiple\";b:0;s:8:\"operator\";s:0:\"\";s:11:\"operator_id\";s:0:\"\";s:8:\"remember\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:8:\"required\";b:0;s:12:\"use_operator\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:7:\"exposed\";b:0;s:5:\"field\";s:7:\"promote\";s:5:\"group\";i:1;s:10:\"group_info\";a:10:{s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"description\";s:0:\"\";s:11:\"group_items\";a:0:{}s:10:\"identifier\";s:0:\"\";s:5:\"label\";s:0:\"\";s:8:\"multiple\";b:0;s:8:\"optional\";b:1;s:8:\"remember\";b:0;s:6:\"widget\";s:6:\"select\";}s:10:\"group_type\";s:5:\"group\";s:2:\"id\";s:7:\"promote\";s:10:\"is_grouped\";b:0;s:8:\"operator\";s:1:\"=\";s:12:\"relationship\";s:4:\"none\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"value\";s:1:\"1\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"promote\";}s:6:\"status\";a:9:{s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"field\";s:6:\"status\";s:5:\"group\";i:1;s:2:\"id\";s:6:\"status\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"value\";s:1:\"1\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";}s:4:\"type\";a:16:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:4:\"page\";s:4:\"page\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";}}s:17:\"display_extenders\";a:0:{}}',-1,1636011227.698,1,'config:views.view.frontpage','6'),('views:unpack_options:c7c4991a69a238f43716eee49eebd62e770c88bdca7ff6619cef2b1ce25d158c:en','a:33:{s:5:\"title\";s:9:\"Slideshow\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:9:\"slideshow\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:5;s:6:\"offset\";i:0;}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:1:{s:15:\"field_slideshow\";a:35:{s:2:\"id\";s:15:\"field_slideshow\";s:5:\"table\";s:21:\"node__field_slideshow\";s:5:\"field\";s:15:\"field_slideshow\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:14:\"image_1920_845\";s:10:\"image_link\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";}}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:3:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:4:\"blog\";s:4:\"blog\";}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:25:\"field_slideshow_target_id\";a:14:{s:2:\"id\";s:25:\"field_slideshow_target_id\";s:5:\"table\";s:21:\"node__field_slideshow\";s:5:\"field\";s:25:\"field_slideshow_target_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:9:\"not empty\";s:5:\"value\";a:3:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:0:\"\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:15:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:11:\"placeholder\";s:0:\"\";s:15:\"min_placeholder\";s:0:\"\";s:15:\"max_placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:7:\"numeric\";}}s:17:\"display_extenders\";a:0:{}}',-1,1636012248.261,1,'config:views.view.slideshow','4'),('views:unpack_options:cd6165d9958525ebb425dc72c719b154ae1d3e32e86921bf98d30afccdd0c815:en','a:33:{s:5:\"title\";s:8:\"Comments\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:19:\"administer comments\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:14:\"items_per_page\";i:50;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";N;s:4:\"tags\";a:4:{s:8:\"previous\";s:12:\"‹ previous\";s:4:\"next\";s:8:\"next ›\";s:5:\"first\";s:8:\"« first\";s:4:\"last\";s:7:\"last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:8:\"quantity\";i:9;}}s:5:\"style\";a:2:{s:4:\"type\";s:5:\"table\";s:7:\"options\";a:12:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:8:\"override\";b:1;s:6:\"sticky\";b:1;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";s:11:\"description\";s:0:\"\";s:7:\"columns\";a:6:{s:17:\"comment_bulk_form\";s:17:\"comment_bulk_form\";s:7:\"subject\";s:7:\"subject\";s:3:\"uid\";s:3:\"uid\";s:9:\"entity_id\";s:9:\"entity_id\";s:7:\"changed\";s:7:\"changed\";s:10:\"operations\";s:10:\"operations\";}s:4:\"info\";a:6:{s:17:\"comment_bulk_form\";a:4:{s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:7:\"subject\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:3:\"uid\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:9:\"entity_id\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:7:\"changed\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:10:\"operations\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}}s:7:\"default\";s:7:\"changed\";s:11:\"empty_table\";b:1;}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:1:{s:16:\"area_text_custom\";a:10:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:1;s:8:\"tokenize\";b:0;s:7:\"content\";s:22:\"No comments available.\";s:9:\"plugin_id\";s:11:\"text_custom\";}}s:13:\"relationships\";a:1:{s:3:\"uid\";a:10:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:3:\"uid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:6:\"author\";s:8:\"required\";b:0;s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:3:\"uid\";s:9:\"plugin_id\";s:8:\"standard\";}}s:6:\"fields\";a:8:{s:17:\"comment_bulk_form\";a:26:{s:2:\"id\";s:17:\"comment_bulk_form\";s:5:\"table\";s:7:\"comment\";s:5:\"field\";s:17:\"comment_bulk_form\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:12:\"action_title\";s:6:\"Action\";s:15:\"include_exclude\";s:7:\"include\";s:16:\"selected_actions\";a:2:{i:0;s:21:\"comment_delete_action\";i:1;s:24:\"comment_unpublish_action\";}s:9:\"plugin_id\";s:17:\"comment_bulk_form\";s:11:\"entity_type\";s:7:\"comment\";}s:7:\"subject\";a:37:{s:2:\"id\";s:7:\"subject\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"subject\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:7:\"Subject\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:17:\"comment_permalink\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"subject\";s:9:\"plugin_id\";s:5:\"field\";}s:3:\"uid\";a:37:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:3:\"uid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:22:\"entity_reference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:1;}s:12:\"group_column\";s:9:\"target_id\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:3:\"uid\";s:9:\"plugin_id\";s:5:\"field\";}s:4:\"name\";a:37:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:6:\"Author\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:9:\"{{ uid }}\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:16:\"comment_username\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:5:\"field\";}s:9:\"entity_id\";a:37:{s:2:\"id\";s:9:\"entity_id\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:9:\"entity_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:9:\"Posted in\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:22:\"entity_reference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:1;}s:12:\"group_column\";s:9:\"target_id\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:9:\"entity_id\";s:9:\"plugin_id\";s:16:\"commented_entity\";}s:7:\"changed\";a:37:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"changed\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:7:\"Updated\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:5:\"short\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"changed\";s:9:\"plugin_id\";s:5:\"field\";}s:10:\"operations\";a:24:{s:2:\"id\";s:10:\"operations\";s:5:\"table\";s:7:\"comment\";s:5:\"field\";s:10:\"operations\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:10:\"Operations\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"destination\";b:1;s:11:\"entity_type\";s:7:\"comment\";s:9:\"plugin_id\";s:17:\"entity_operations\";}s:6:\"name_1\";a:37:{s:2:\"id\";s:6:\"name_1\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:3:\"uid\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"user_name\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:5:\"field\";}}s:5:\"sorts\";a:1:{s:7:\"changed\";a:13:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"changed\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"order\";s:4:\"DESC\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"changed\";s:9:\"plugin_id\";s:4:\"date\";}}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:4:{s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";}s:7:\"subject\";a:16:{s:2:\"id\";s:7:\"subject\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"subject\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:8:\"contains\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:10:\"subject_op\";s:5:\"label\";s:7:\"Subject\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:10:\"subject_op\";s:10:\"identifier\";s:7:\"subject\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"subject\";s:9:\"plugin_id\";s:6:\"string\";}s:7:\"combine\";a:15:{s:2:\"id\";s:7:\"combine\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"combine\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:8:\"contains\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:10:\"combine_op\";s:5:\"label\";s:11:\"Author name\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:10:\"combine_op\";s:10:\"identifier\";s:11:\"author_name\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:6:\"fields\";a:2:{s:4:\"name\";s:4:\"name\";s:6:\"name_1\";s:6:\"name_1\";}s:9:\"plugin_id\";s:7:\"combine\";}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:11:\"langcode_op\";s:5:\"label\";s:8:\"Language\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:11:\"langcode_op\";s:10:\"identifier\";s:8:\"langcode\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";}}s:17:\"display_extenders\";a:0:{}}',-1,1636011227.619,1,'config:views.view.comment','4'),('views:unpack_options:ce01936a5d2acb29a606d8c25108340697aebb720859da57835ea1f8d15ff69c:en','a:38:{s:8:\"defaults\";a:28:{s:6:\"access\";b:1;s:5:\"cache\";b:1;s:5:\"query\";b:1;s:5:\"title\";b:1;s:9:\"css_class\";b:1;s:19:\"display_description\";b:0;s:8:\"use_ajax\";b:1;s:23:\"hide_attachment_summary\";b:1;s:16:\"show_admin_links\";b:1;s:5:\"pager\";b:0;s:8:\"use_more\";b:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";b:1;s:12:\"exposed_form\";b:1;s:12:\"link_display\";b:1;s:8:\"link_url\";b:1;s:8:\"group_by\";b:1;s:5:\"style\";b:0;s:3:\"row\";b:0;s:6:\"header\";b:1;s:6:\"footer\";b:1;s:5:\"empty\";b:1;s:13:\"relationships\";b:1;s:6:\"fields\";b:1;s:5:\"sorts\";b:1;s:9:\"arguments\";b:1;s:7:\"filters\";b:1;s:13:\"filter_groups\";b:1;}s:5:\"title\";s:0:\"\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:10;s:6:\"offset\";i:0;}}s:5:\"style\";a:2:{s:4:\"type\";s:3:\"rss\";s:7:\"options\";a:3:{s:11:\"description\";s:0:\"\";s:8:\"grouping\";a:0:{}s:11:\"uses_fields\";b:0;}}s:3:\"row\";a:2:{s:4:\"type\";s:8:\"node_rss\";s:7:\"options\";a:2:{s:12:\"relationship\";s:4:\"none\";s:9:\"view_mode\";s:3:\"rss\";}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:0:{}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:0:{}s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:7:\"rss.xml\";s:10:\"route_name\";s:0:\"\";s:8:\"displays\";a:2:{s:6:\"page_1\";s:6:\"page_1\";s:7:\"default\";s:0:\"\";}s:14:\"sitename_title\";b:1;}',-1,1636011227.710,1,'config:views.view.frontpage','6'),('views:unpack_options:d00d1248261079be6e873497e2945374575626d7692feddb3892836175afcc10:en','a:38:{s:8:\"defaults\";a:28:{s:6:\"access\";b:1;s:5:\"cache\";b:1;s:5:\"query\";b:1;s:5:\"title\";b:1;s:9:\"css_class\";b:1;s:19:\"display_description\";b:0;s:8:\"use_ajax\";b:1;s:23:\"hide_attachment_summary\";b:1;s:16:\"show_admin_links\";b:1;s:5:\"pager\";b:1;s:8:\"use_more\";b:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";b:1;s:12:\"exposed_form\";b:1;s:12:\"link_display\";b:1;s:8:\"link_url\";b:1;s:8:\"group_by\";b:1;s:5:\"style\";b:1;s:3:\"row\";b:1;s:6:\"header\";b:1;s:6:\"footer\";b:1;s:5:\"empty\";b:1;s:13:\"relationships\";b:0;s:6:\"fields\";b:1;s:5:\"sorts\";b:1;s:9:\"arguments\";b:1;s:7:\"filters\";b:1;s:13:\"filter_groups\";b:1;}s:5:\"title\";s:0:\"\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:0:{}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:1:{s:3:\"fid\";a:7:{s:2:\"id\";s:3:\"fid\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:3:\"fid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:10:\"File usage\";s:8:\"required\";b:0;}}s:6:\"fields\";a:0:{}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:0:{}s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:19:\"admin/content/files\";s:10:\"route_name\";s:0:\"\";s:4:\"menu\";a:9:{s:4:\"type\";s:3:\"tab\";s:5:\"title\";s:5:\"Files\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;s:7:\"enabled\";b:1;s:9:\"menu_name\";s:5:\"admin\";s:6:\"parent\";s:0:\"\";s:7:\"context\";s:0:\"\";s:8:\"expanded\";b:0;}s:11:\"tab_options\";a:4:{s:4:\"type\";s:4:\"none\";s:5:\"title\";s:0:\"\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;}}',-1,1636011227.678,1,'config:views.view.files','5'),('views:unpack_options:d52fb0a42d2a59878601d25c3f4a8c540553c2400afc306ab7c70bf212eeba99:en','a:33:{s:5:\"title\";s:11:\"Subscribers\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:35:\"administer simplenews subscriptions\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:1;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:14:\"items_per_page\";i:30;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";N;s:4:\"tags\";a:4:{s:8:\"previous\";s:12:\"‹ previous\";s:4:\"next\";s:8:\"next ›\";s:5:\"first\";s:8:\"« first\";s:4:\"last\";s:7:\"last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:8:\"quantity\";i:9;}}s:5:\"style\";a:2:{s:4:\"type\";s:5:\"table\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:1:{s:4:\"area\";a:10:{s:2:\"id\";s:4:\"area\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:4:\"area\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:1;s:8:\"tokenize\";b:0;s:7:\"content\";a:2:{s:5:\"value\";s:21:\"No subscribers found.\";s:6:\"format\";s:10:\"basic_html\";}s:9:\"plugin_id\";s:4:\"text\";}}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:6:{s:4:\"mail\";a:24:{s:5:\"table\";s:21:\"simplenews_subscriber\";s:5:\"field\";s:4:\"mail\";s:2:\"id\";s:4:\"mail\";s:11:\"entity_type\";N;s:12:\"entity_field\";s:4:\"mail\";s:9:\"plugin_id\";s:8:\"standard\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:5:\"Email\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;}s:9:\"user_name\";a:23:{s:2:\"id\";s:9:\"user_name\";s:5:\"table\";s:21:\"simplenews_subscriber\";s:5:\"field\";s:9:\"user_name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:8:\"Username\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:9:\"plugin_id\";s:20:\"simplenews_user_name\";}s:13:\"subscriptions\";a:34:{s:2:\"id\";s:13:\"subscriptions\";s:5:\"table\";s:36:\"simplenews_subscriber__subscriptions\";s:5:\"field\";s:13:\"subscriptions\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:13:\"Subscriptions\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:30:\"simplenews_subscription_status\";s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:2:\"ul\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:6:\"status\";a:28:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:21:\"simplenews_subscriber\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:6:\"Active\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:7:\"boolean\";s:16:\"type_custom_true\";s:0:\"\";s:17:\"type_custom_false\";s:0:\"\";s:3:\"not\";b:0;s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";}s:7:\"created\";a:27:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:21:\"simplenews_subscriber\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:7:\"Created\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"date_format\";s:8:\"fallback\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";}s:10:\"operations\";a:24:{s:2:\"id\";s:10:\"operations\";s:5:\"table\";s:21:\"simplenews_subscriber\";s:5:\"field\";s:10:\"operations\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:10:\"Operations\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"destination\";b:1;s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:9:\"plugin_id\";s:17:\"entity_operations\";}}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:4:{s:4:\"mail\";a:16:{s:2:\"id\";s:4:\"mail\";s:5:\"table\";s:21:\"simplenews_subscriber\";s:5:\"field\";s:4:\"mail\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:8:\"contains\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:7:\"mail_op\";s:5:\"label\";s:5:\"Email\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:7:\"mail_op\";s:10:\"identifier\";s:4:\"mail\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:12:\"entity_field\";s:4:\"mail\";s:9:\"plugin_id\";s:6:\"string\";}s:23:\"subscriptions_target_id\";a:14:{s:2:\"id\";s:23:\"subscriptions_target_id\";s:5:\"table\";s:36:\"simplenews_subscriber__subscriptions\";s:5:\"field\";s:23:\"subscriptions_target_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:26:\"subscriptions_target_id_op\";s:5:\"label\";s:11:\"Newsletters\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:26:\"subscriptions_target_id_op\";s:10:\"identifier\";s:23:\"subscriptions_target_id\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:11:\"in_operator\";}s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:21:\"simplenews_subscriber\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:6:\"Active\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:9:\"status_op\";s:10:\"identifier\";s:6:\"status\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";}s:20:\"subscriptions_status\";a:14:{s:2:\"id\";s:20:\"subscriptions_status\";s:5:\"table\";s:36:\"simplenews_subscriber__subscriptions\";s:5:\"field\";s:20:\"subscriptions_status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{i:1;s:1:\"1\";}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:23:\"subscriptions_status_op\";s:5:\"label\";s:6:\"Status\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:23:\"subscriptions_status_op\";s:10:\"identifier\";s:20:\"subscriptions_status\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:11:\"in_operator\";}}s:17:\"display_extenders\";a:0:{}}',-1,1636011227.769,1,'config:views.view.simplenews_subscribers','5'),('views:unpack_options:dd7394bea992e1281e0276dbabd3b7084854f079e19acdae1291f9e0eb488d4e:en','a:33:{s:5:\"title\";s:4:\"Tags\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:14:\"view-type-tags\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:1;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:10;s:6:\"offset\";i:0;}}s:5:\"style\";a:2:{s:4:\"type\";s:9:\"html_list\";s:7:\"options\";a:6:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:4:\"type\";s:2:\"ul\";s:13:\"wrapper_class\";s:9:\"item-list\";s:5:\"class\";s:0:\"\";}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:1:{s:3:\"nid\";a:8:{s:2:\"id\";s:3:\"nid\";s:5:\"table\";s:14:\"taxonomy_index\";s:5:\"field\";s:3:\"nid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:4:\"node\";s:8:\"required\";b:1;s:9:\"plugin_id\";s:8:\"standard\";}}s:6:\"fields\";a:2:{s:4:\"name\";a:38:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:24:\"taxonomy_term_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:14:\"convert_spaces\";b:0;s:11:\"entity_type\";s:13:\"taxonomy_term\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:9:\"term_name\";}s:6:\"name_1\";a:45:{s:2:\"id\";s:6:\"name_1\";s:5:\"table\";s:24:\"taxonomy_term_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"count\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:13:\"set_precision\";b:0;s:9:\"precision\";i:0;s:7:\"decimal\";s:1:\".\";s:9:\"separator\";s:1:\",\";s:13:\"format_plural\";i:0;s:20:\"format_plural_string\";s:8:\"1@count\";s:6:\"prefix\";s:1:\"(\";s:6:\"suffix\";s:1:\")\";s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:17:\"field_api_classes\";b:0;s:14:\"convert_spaces\";b:0;s:11:\"entity_type\";s:13:\"taxonomy_term\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:9:\"term_name\";}}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:3:{s:3:\"vid\";a:8:{s:2:\"id\";s:3:\"vid\";s:5:\"table\";s:24:\"taxonomy_term_field_data\";s:5:\"field\";s:3:\"vid\";s:5:\"value\";a:1:{s:4:\"tags\";s:4:\"tags\";}s:11:\"entity_type\";s:13:\"taxonomy_term\";s:12:\"entity_field\";s:3:\"vid\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:24:\"taxonomy_term_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:33:\"***LANGUAGE_language_interface***\";s:33:\"***LANGUAGE_language_interface***\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:13:\"taxonomy_term\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";}s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:24:\"taxonomy_term_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:13:\"taxonomy_term\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";}}s:17:\"display_extenders\";a:0:{}}',-1,1636012248.267,1,'config:views.view.tags','4'),('views:unpack_options:e1e2cc330e41eb76db5b3459da18b4205d70a588debab9a4901b5c4ce67317d6:en','a:38:{s:8:\"defaults\";a:28:{s:6:\"access\";b:1;s:5:\"cache\";b:1;s:5:\"query\";b:1;s:5:\"title\";b:1;s:9:\"css_class\";b:0;s:19:\"display_description\";b:0;s:8:\"use_ajax\";b:1;s:23:\"hide_attachment_summary\";b:1;s:16:\"show_admin_links\";b:1;s:5:\"pager\";b:0;s:8:\"use_more\";b:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";b:1;s:12:\"exposed_form\";b:1;s:12:\"link_display\";b:1;s:8:\"link_url\";b:1;s:8:\"group_by\";b:1;s:5:\"style\";b:0;s:3:\"row\";b:0;s:6:\"header\";b:1;s:6:\"footer\";b:1;s:5:\"empty\";b:1;s:13:\"relationships\";b:1;s:6:\"fields\";b:0;s:5:\"sorts\";b:1;s:9:\"arguments\";b:1;s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;}s:5:\"title\";s:0:\"\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:17:\"view-blog-summary\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:3;s:6:\"offset\";i:0;}}s:5:\"style\";a:2:{s:4:\"type\";s:4:\"grid\";s:7:\"options\";a:8:{s:8:\"grouping\";a:0:{}s:7:\"columns\";i:3;s:15:\"automatic_width\";b:1;s:9:\"alignment\";s:10:\"horizontal\";s:17:\"col_class_default\";b:1;s:16:\"col_class_custom\";s:0:\"\";s:17:\"row_class_default\";b:1;s:16:\"row_class_custom\";s:0:\"\";}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:4:{s:22:\"default_field_elements\";b:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";b:0;}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:4:{s:5:\"title\";a:37:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:15;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:9:\"plugin_id\";s:5:\"field\";}s:4:\"body\";a:35:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:10:\"node__body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:120;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:9:\"view_node\";a:26:{s:2:\"id\";s:9:\"view_node\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"text\";s:9:\"Read more\";s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:11:\"entity_link\";s:18:\"output_url_as_text\";b:0;s:8:\"absolute\";b:0;}s:7:\"nothing\";a:4:{s:2:\"id\";s:7:\"nothing\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"nothing\";s:9:\"plugin_id\";s:6:\"custom\";}}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:3:{s:6:\"status\";a:9:{s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"field\";s:6:\"status\";s:5:\"group\";i:1;s:2:\"id\";s:6:\"status\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"value\";s:1:\"1\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";}s:4:\"type\";a:16:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:4:\"blog\";s:4:\"blog\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";}s:5:\"title\";a:16:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:11:\"shorterthan\";s:5:\"value\";s:2:\"17\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:11:\"placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:9:\"plugin_id\";s:6:\"string\";}}s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:4:\"node\";s:10:\"route_name\";s:0:\"\";s:4:\"menu\";a:9:{s:4:\"type\";s:4:\"none\";s:5:\"title\";s:0:\"\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;s:7:\"enabled\";b:1;s:9:\"menu_name\";s:4:\"main\";s:6:\"parent\";s:0:\"\";s:7:\"context\";s:0:\"\";s:8:\"expanded\";b:0;}s:11:\"tab_options\";a:4:{s:4:\"type\";s:4:\"none\";s:5:\"title\";s:0:\"\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;}}',-1,1636011227.716,1,'config:views.view.frontpage','6'),('views:unpack_options:e67e1f14e3928cbed6a732084996c1304c0ff1fc324b3420c0eded0b2d9065ba:en','a:38:{s:8:\"defaults\";a:28:{s:6:\"access\";b:1;s:5:\"cache\";b:1;s:5:\"query\";b:1;s:5:\"title\";b:1;s:9:\"css_class\";b:1;s:19:\"display_description\";b:0;s:8:\"use_ajax\";b:1;s:23:\"hide_attachment_summary\";b:1;s:16:\"show_admin_links\";b:1;s:5:\"pager\";b:0;s:8:\"use_more\";b:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";b:1;s:12:\"exposed_form\";b:1;s:12:\"link_display\";b:1;s:8:\"link_url\";b:1;s:8:\"group_by\";b:1;s:5:\"style\";b:0;s:3:\"row\";b:0;s:6:\"header\";b:1;s:6:\"footer\";b:1;s:5:\"empty\";b:1;s:13:\"relationships\";b:1;s:6:\"fields\";b:1;s:5:\"sorts\";b:1;s:9:\"arguments\";b:1;s:7:\"filters\";b:1;s:13:\"filter_groups\";b:1;}s:5:\"title\";s:0:\"\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:14:\"items_per_page\";i:12;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";N;s:4:\"tags\";a:4:{s:8:\"previous\";s:6:\"‹‹\";s:4:\"next\";s:6:\"››\";s:5:\"first\";s:8:\"« First\";s:4:\"last\";s:7:\"Last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:8:\"quantity\";i:9;}}s:5:\"style\";a:2:{s:4:\"type\";s:4:\"grid\";s:7:\"options\";a:8:{s:8:\"grouping\";a:0:{}s:7:\"columns\";i:3;s:15:\"automatic_width\";b:1;s:9:\"alignment\";s:10:\"horizontal\";s:17:\"col_class_default\";b:1;s:16:\"col_class_custom\";s:0:\"\";s:17:\"row_class_default\";b:1;s:16:\"row_class_custom\";s:0:\"\";}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:0:{}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:0:{}s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:9:\"portfolio\";s:10:\"route_name\";s:0:\"\";s:4:\"menu\";a:9:{s:4:\"type\";s:4:\"none\";s:5:\"title\";s:0:\"\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;s:7:\"enabled\";b:1;s:9:\"menu_name\";s:4:\"main\";s:6:\"parent\";s:0:\"\";s:7:\"context\";s:0:\"\";s:8:\"expanded\";b:0;}s:11:\"tab_options\";a:4:{s:4:\"type\";s:4:\"none\";s:5:\"title\";s:0:\"\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;}}',-1,1636011227.734,1,'config:views.view.portfolio','4'),('views:unpack_options:e794fac54433c2e9f9c54325be28a8f776335d3bf53615acbce2c46af647b180:en','a:38:{s:8:\"defaults\";a:28:{s:6:\"access\";b:1;s:5:\"cache\";b:1;s:5:\"query\";b:1;s:5:\"title\";b:1;s:9:\"css_class\";b:1;s:19:\"display_description\";b:0;s:8:\"use_ajax\";b:1;s:23:\"hide_attachment_summary\";b:1;s:16:\"show_admin_links\";b:1;s:5:\"pager\";b:1;s:8:\"use_more\";b:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";b:1;s:12:\"exposed_form\";b:1;s:12:\"link_display\";b:1;s:8:\"link_url\";b:1;s:8:\"group_by\";b:1;s:5:\"style\";b:1;s:3:\"row\";b:1;s:6:\"header\";b:1;s:6:\"footer\";b:1;s:5:\"empty\";b:1;s:13:\"relationships\";b:1;s:6:\"fields\";b:1;s:5:\"sorts\";b:1;s:9:\"arguments\";b:1;s:7:\"filters\";b:1;s:13:\"filter_groups\";b:1;}s:5:\"title\";s:0:\"\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:0:{}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:0:{}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:0:{}s:17:\"display_extenders\";a:0:{}s:17:\"block_description\";s:0:\"\";s:14:\"block_category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Lists (Views)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:16:\"block_hide_empty\";b:0;s:5:\"allow\";a:1:{s:14:\"items_per_page\";s:14:\"items_per_page\";}}',-1,1636012248.119,1,'config:views.view.banner','3'),('views:unpack_options:e83ac6c3473757754f808965c211116188eb4c779b04473d89d16f3951fe80f6:en','a:33:{s:5:\"title\";s:16:\"User Page Banner\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:20:\"access user profiles\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:5;s:6:\"offset\";i:0;}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:1:{s:4:\"name\";a:37:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"name\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"name\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";b:0;s:9:\"make_link\";b:0;s:8:\"absolute\";b:0;s:4:\"trim\";b:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:10:\"strip_tags\";b:0;s:4:\"html\";b:0;}s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:9:\"plugin_id\";s:5:\"field\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exclude\";b:0;s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"user_name\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:1:{s:3:\"uid\";a:23:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:3:\"uid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:14:\"default_action\";s:7:\"default\";s:9:\"exception\";a:3:{s:5:\"value\";s:3:\"all\";s:12:\"title_enable\";b:0;s:5:\"title\";s:3:\"All\";}s:12:\"title_enable\";b:0;s:5:\"title\";s:0:\"\";s:21:\"default_argument_type\";s:12:\"current_user\";s:24:\"default_argument_options\";a:0:{}s:25:\"default_argument_skip_url\";b:0;s:15:\"summary_options\";a:4:{s:9:\"base_path\";s:0:\"\";s:5:\"count\";b:1;s:14:\"items_per_page\";i:25;s:8:\"override\";b:0;}s:7:\"summary\";a:3:{s:10:\"sort_order\";s:3:\"asc\";s:17:\"number_of_records\";i:0;s:6:\"format\";s:15:\"default_summary\";}s:18:\"specify_validation\";b:0;s:8:\"validate\";a:2:{s:4:\"type\";s:4:\"none\";s:4:\"fail\";s:9:\"not found\";}s:16:\"validate_options\";a:0:{}s:12:\"break_phrase\";b:0;s:3:\"not\";b:0;s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:3:\"uid\";s:9:\"plugin_id\";s:8:\"user_uid\";}}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:1:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}}s:17:\"display_extenders\";a:0:{}}',-1,1636012248.281,1,'config:views.view.user_page_banner','3'),('views:unpack_options:f176df07d35eeead700e2f7f851e0f58f3f0204f7a03a3c335159beccd1c4177:en','a:38:{s:8:\"defaults\";a:28:{s:6:\"access\";b:1;s:5:\"cache\";b:1;s:5:\"query\";b:1;s:5:\"title\";b:1;s:9:\"css_class\";b:1;s:19:\"display_description\";b:0;s:8:\"use_ajax\";b:1;s:23:\"hide_attachment_summary\";b:1;s:16:\"show_admin_links\";b:1;s:5:\"pager\";b:0;s:8:\"use_more\";b:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";b:1;s:12:\"exposed_form\";b:1;s:12:\"link_display\";b:1;s:8:\"link_url\";b:1;s:8:\"group_by\";b:1;s:5:\"style\";b:0;s:3:\"row\";b:0;s:6:\"header\";b:1;s:6:\"footer\";b:1;s:5:\"empty\";b:1;s:13:\"relationships\";b:1;s:6:\"fields\";b:1;s:5:\"sorts\";b:1;s:9:\"arguments\";b:1;s:7:\"filters\";b:1;s:13:\"filter_groups\";b:1;}s:5:\"title\";s:0:\"\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:10;s:6:\"offset\";i:0;}}s:5:\"style\";a:2:{s:4:\"type\";s:3:\"rss\";s:7:\"options\";a:3:{s:11:\"description\";s:0:\"\";s:8:\"grouping\";a:0:{}s:11:\"uses_fields\";b:0;}}s:3:\"row\";a:2:{s:4:\"type\";s:8:\"node_rss\";s:7:\"options\";a:2:{s:12:\"relationship\";s:4:\"none\";s:9:\"view_mode\";s:7:\"default\";}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:0:{}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:0:{}s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:20:\"taxonomy/term/%/feed\";s:10:\"route_name\";s:0:\"\";s:8:\"displays\";a:2:{s:6:\"page_1\";s:6:\"page_1\";s:7:\"default\";s:1:\"0\";}s:14:\"sitename_title\";b:0;}',-1,1636011227.791,1,'config:views.view.taxonomy_term','5'),('views:unpack_options:f6021329de0228f1c1bc89692e1d90af49b3f1f7f18d6d12bccf8ecb143dfe85:en','a:38:{s:8:\"defaults\";a:28:{s:6:\"access\";b:1;s:5:\"cache\";b:1;s:5:\"query\";b:1;s:5:\"title\";b:1;s:9:\"css_class\";b:1;s:19:\"display_description\";b:0;s:8:\"use_ajax\";b:1;s:23:\"hide_attachment_summary\";b:1;s:16:\"show_admin_links\";b:1;s:5:\"pager\";b:1;s:8:\"use_more\";b:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";b:1;s:12:\"exposed_form\";b:1;s:12:\"link_display\";b:1;s:8:\"link_url\";b:1;s:8:\"group_by\";b:1;s:5:\"style\";b:1;s:3:\"row\";b:1;s:6:\"header\";b:1;s:6:\"footer\";b:1;s:5:\"empty\";b:1;s:13:\"relationships\";b:1;s:6:\"fields\";b:1;s:5:\"sorts\";b:1;s:9:\"arguments\";b:1;s:7:\"filters\";b:1;s:13:\"filter_groups\";b:1;}s:5:\"title\";s:0:\"\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:0:{}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:0:{}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:0:{}s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:18:\"admin/content/node\";s:10:\"route_name\";s:0:\"\";s:4:\"menu\";a:9:{s:4:\"type\";s:11:\"default tab\";s:5:\"title\";s:7:\"Content\";s:11:\"description\";s:0:\"\";s:6:\"weight\";i:-10;s:7:\"enabled\";b:1;s:9:\"menu_name\";s:5:\"admin\";s:6:\"parent\";s:0:\"\";s:7:\"context\";s:0:\"\";s:8:\"expanded\";b:0;}s:11:\"tab_options\";a:5:{s:4:\"type\";s:6:\"normal\";s:5:\"title\";s:7:\"Content\";s:11:\"description\";s:23:\"Find and manage content\";s:6:\"weight\";i:-10;s:9:\"menu_name\";s:5:\"admin\";}}',-1,1636011227.662,1,'config:views.view.content','5'),('views:unpack_options:f6878fbbc5f552002f2633415a4b63e9743bd15e36545c9ee5bf0ed680c6c714:en','a:33:{s:5:\"title\";s:20:\"Custom block library\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:17:\"administer blocks\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:6:{s:14:\"items_per_page\";i:50;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";N;s:4:\"tags\";a:2:{s:8:\"previous\";s:12:\"‹ Previous\";s:4:\"next\";s:8:\"Next ›\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}}}s:5:\"style\";a:2:{s:4:\"type\";s:5:\"table\";s:7:\"options\";a:12:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:8:\"override\";b:1;s:6:\"sticky\";b:0;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";s:11:\"description\";s:0:\"\";s:7:\"columns\";a:4:{s:4:\"info\";s:4:\"info\";s:4:\"type\";s:4:\"type\";s:7:\"changed\";s:7:\"changed\";s:10:\"operations\";s:10:\"operations\";}s:4:\"info\";a:4:{s:4:\"info\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:4:\"type\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:7:\"changed\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:10:\"operations\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}}s:7:\"default\";s:7:\"changed\";s:11:\"empty_table\";b:1;}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:2:{s:16:\"area_text_custom\";a:10:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:1;s:8:\"tokenize\";b:0;s:7:\"content\";s:38:\"There are no custom blocks available. \";s:9:\"plugin_id\";s:11:\"text_custom\";}s:27:\"block_content_listing_empty\";a:10:{s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:1;s:5:\"field\";s:27:\"block_content_listing_empty\";s:10:\"group_type\";s:5:\"group\";s:2:\"id\";s:27:\"block_content_listing_empty\";s:5:\"label\";s:0:\"\";s:12:\"relationship\";s:4:\"none\";s:5:\"table\";s:13:\"block_content\";s:9:\"plugin_id\";s:27:\"block_content_listing_empty\";s:11:\"entity_type\";s:13:\"block_content\";}}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:4:{s:4:\"info\";a:37:{s:2:\"id\";s:4:\"info\";s:5:\"table\";s:24:\"block_content_field_data\";s:5:\"field\";s:4:\"info\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:17:\"Block description\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";N;s:12:\"entity_field\";s:4:\"info\";s:9:\"plugin_id\";s:5:\"field\";}s:4:\"type\";a:37:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:24:\"block_content_field_data\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:10:\"Block type\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:22:\"entity_reference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:0;}s:12:\"group_column\";s:9:\"target_id\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:13:\"block_content\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:5:\"field\";}s:7:\"changed\";a:26:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:24:\"block_content_field_data\";s:5:\"field\";s:7:\"changed\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:7:\"Updated\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"entity_type\";s:13:\"block_content\";s:12:\"entity_field\";s:7:\"changed\";s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:5:\"short\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";}s:9:\"plugin_id\";s:5:\"field\";}s:10:\"operations\";a:24:{s:2:\"id\";s:10:\"operations\";s:5:\"table\";s:13:\"block_content\";s:5:\"field\";s:10:\"operations\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:10:\"Operations\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"destination\";b:1;s:11:\"entity_type\";s:13:\"block_content\";s:9:\"plugin_id\";s:17:\"entity_operations\";}}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:3:{s:4:\"info\";a:16:{s:2:\"id\";s:4:\"info\";s:5:\"table\";s:24:\"block_content_field_data\";s:5:\"field\";s:4:\"info\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:8:\"contains\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:7:\"info_op\";s:5:\"label\";s:17:\"Block description\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:7:\"info_op\";s:10:\"identifier\";s:4:\"info\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:13:\"block_content\";s:12:\"entity_field\";s:4:\"info\";s:9:\"plugin_id\";s:6:\"string\";}s:4:\"type\";a:16:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:24:\"block_content_field_data\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:7:\"type_op\";s:5:\"label\";s:10:\"Block type\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:7:\"type_op\";s:10:\"identifier\";s:4:\"type\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:13:\"block_content\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";}s:8:\"reusable\";a:16:{s:2:\"id\";s:8:\"reusable\";s:5:\"table\";s:24:\"block_content_field_data\";s:5:\"field\";s:8:\"reusable\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:11:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:13:\"block_content\";s:12:\"entity_field\";s:8:\"reusable\";s:9:\"plugin_id\";s:7:\"boolean\";}}s:17:\"display_extenders\";a:0:{}}',-1,1636011226.240,1,'config:views.view.block_content','6'),('views:unpack_options:f6b5d498c84809839984fc5959256c84051a57b91d054566766dd869f8ab314e:en','a:38:{s:8:\"defaults\";a:28:{s:6:\"access\";b:1;s:5:\"cache\";b:1;s:5:\"query\";b:1;s:5:\"title\";b:1;s:9:\"css_class\";b:1;s:19:\"display_description\";b:0;s:8:\"use_ajax\";b:1;s:23:\"hide_attachment_summary\";b:1;s:16:\"show_admin_links\";b:1;s:5:\"pager\";b:1;s:8:\"use_more\";b:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";b:1;s:12:\"exposed_form\";b:1;s:12:\"link_display\";b:1;s:8:\"link_url\";b:1;s:8:\"group_by\";b:1;s:5:\"style\";b:1;s:3:\"row\";b:1;s:6:\"header\";b:1;s:6:\"footer\";b:1;s:5:\"empty\";b:1;s:13:\"relationships\";b:1;s:6:\"fields\";b:1;s:5:\"sorts\";b:1;s:9:\"arguments\";b:1;s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;}s:5:\"title\";s:0:\"\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:0:{}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:0:{}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:3:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:6:\"why_us\";s:6:\"why_us\";}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:23:\"field_why_us_type_value\";a:15:{s:2:\"id\";s:23:\"field_why_us_type_value\";s:5:\"table\";s:23:\"node__field_why_us_type\";s:5:\"field\";s:23:\"field_why_us_type_value\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:1:{i:1;s:1:\"1\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";b:0;s:9:\"plugin_id\";s:10:\"list_field\";}}s:17:\"display_extenders\";a:0:{}s:17:\"block_description\";s:0:\"\";s:14:\"block_category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Lists (Views)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:16:\"block_hide_empty\";b:0;s:5:\"allow\";a:1:{s:14:\"items_per_page\";s:14:\"items_per_page\";}}',-1,1636012248.316,1,'config:views.view.why_choose_us','3'),('views:unpack_options:f7c1a2b1c9ccbe811816c467a9f00f411d6cb4e3f910a12045807282c7f633e8:en','a:38:{s:8:\"defaults\";a:28:{s:6:\"access\";b:1;s:5:\"cache\";b:1;s:5:\"query\";b:1;s:5:\"title\";b:0;s:9:\"css_class\";b:1;s:19:\"display_description\";b:0;s:8:\"use_ajax\";b:1;s:23:\"hide_attachment_summary\";b:1;s:16:\"show_admin_links\";b:1;s:5:\"pager\";b:1;s:8:\"use_more\";b:1;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";b:1;s:12:\"exposed_form\";b:1;s:12:\"link_display\";b:1;s:8:\"link_url\";b:1;s:8:\"group_by\";b:1;s:5:\"style\";b:1;s:3:\"row\";b:1;s:6:\"header\";b:1;s:6:\"footer\";b:1;s:5:\"empty\";b:1;s:13:\"relationships\";b:1;s:6:\"fields\";b:0;s:5:\"sorts\";b:1;s:9:\"arguments\";b:1;s:7:\"filters\";b:1;s:13:\"filter_groups\";b:1;}s:5:\"title\";s:20:\"Our amazing features\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:0:{}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:3:{s:7:\"counter\";a:23:{s:2:\"id\";s:7:\"counter\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"counter\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:13:\"counter_start\";i:0;s:9:\"plugin_id\";s:7:\"counter\";}s:5:\"title\";a:35:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:1;s:4:\"path\";s:20:\"#whyus-{{ counter }}\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:9:\"collapsed\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:2:\"h4\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:4:\"body\";a:35:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:10:\"node__body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:44:\"{{ body }}\n<div class=\"ad-arrow\">Arrow</div>\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:0:{}s:17:\"display_extenders\";a:0:{}s:17:\"block_description\";s:0:\"\";s:14:\"block_category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Lists (Views)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:16:\"block_hide_empty\";b:0;s:5:\"allow\";a:1:{s:14:\"items_per_page\";s:14:\"items_per_page\";}}',-1,1636012248.320,1,'config:views.view.why_choose_us','3'),('views:unpack_options:fc6dc96f55a55a1305adb1e1c69855f2ef5a30580a627745ee02a1afc47ccbc5:en','a:33:{s:5:\"title\";s:13:\"Comment block\";s:7:\"enabled\";b:1;s:15:\"display_comment\";s:0:\"\";s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:12:\"link_display\";s:0:\"\";s:8:\"link_url\";s:0:\"\";s:8:\"group_by\";b:0;s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:15:\"access comments\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:5;s:6:\"offset\";i:0;}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:0:{}}s:3:\"row\";a:2:{s:4:\"type\";s:14:\"entity:comment\";s:7:\"options\";a:0:{}}s:13:\"exposed_block\";b:0;s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:1:{s:4:\"node\";a:9:{s:2:\"id\";s:4:\"node\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:4:\"node\";s:11:\"entity_type\";s:18:\"comment_field_data\";s:8:\"required\";b:1;s:9:\"plugin_id\";s:8:\"standard\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:7:\"Content\";}}s:6:\"fields\";a:1:{s:7:\"subject\";a:37:{s:2:\"id\";s:7:\"subject\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"subject\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"subject\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";b:0;s:9:\"make_link\";b:0;s:8:\"absolute\";b:0;s:4:\"trim\";b:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:10:\"strip_tags\";b:0;s:4:\"html\";b:0;}s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:9:\"plugin_id\";s:5:\"field\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exclude\";b:0;s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}}s:5:\"sorts\";a:0:{}s:9:\"arguments\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:7:\"filters\";a:3:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:11:\"status_node\";a:10:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:12:\"relationship\";s:4:\"node\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:11:\"status_node\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:12:\"comment_type\";a:8:{s:2:\"id\";s:12:\"comment_type\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:12:\"comment_type\";s:5:\"value\";a:1:{s:7:\"comment\";s:7:\"comment\";}s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:12:\"comment_type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}}s:17:\"display_extenders\";a:0:{}}',-1,1636012248.199,1,'config:views.view.comment_block','3');
/*!40000 ALTER TABLE `cache_data` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_default`
--

DROP TABLE IF EXISTS `cache_default`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_default` (
  `cid` varchar(255) CHARACTER SET ascii COLLATE ascii_bin NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob DEFAULT NULL COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT 0 COMMENT 'A Unix timestamp indicating when the cache entry should expire, or -1 for never.',
  `created` decimal(14,3) NOT NULL DEFAULT 0.000 COMMENT 'A timestamp with millisecond precision indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT 0 COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  `tags` longtext DEFAULT NULL COMMENT 'Space-separated list of cache tags for this entry.',
  `checksum` varchar(255) CHARACTER SET ascii NOT NULL COMMENT 'The tag invalidation checksum when this entry was saved.',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`),
  KEY `created` (`created`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Storage for the cache API.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_default`
--

LOCK TABLES `cache_default` WRITE;
/*!40000 ALTER TABLE `cache_default` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `cache_default` VALUES ('ckeditor.langcodes','a:70:{s:2:\"af\";s:2:\"af\";s:2:\"ar\";s:2:\"ar\";s:2:\"az\";s:2:\"az\";s:2:\"bg\";s:2:\"bg\";s:2:\"bn\";s:2:\"bn\";s:2:\"bs\";s:2:\"bs\";s:2:\"ca\";s:2:\"ca\";s:2:\"cs\";s:2:\"cs\";s:2:\"cy\";s:2:\"cy\";s:2:\"da\";s:2:\"da\";s:5:\"de-ch\";s:5:\"de-ch\";s:2:\"de\";s:2:\"de\";s:2:\"el\";s:2:\"el\";s:5:\"en-au\";s:5:\"en-au\";s:5:\"en-ca\";s:5:\"en-ca\";s:5:\"en-gb\";s:5:\"en-gb\";s:2:\"en\";s:2:\"en\";s:2:\"eo\";s:2:\"eo\";s:5:\"es-mx\";s:5:\"es-mx\";s:2:\"es\";s:2:\"es\";s:2:\"et\";s:2:\"et\";s:2:\"eu\";s:2:\"eu\";s:2:\"fa\";s:2:\"fa\";s:2:\"fi\";s:2:\"fi\";s:2:\"fo\";s:2:\"fo\";s:5:\"fr-ca\";s:5:\"fr-ca\";s:2:\"fr\";s:2:\"fr\";s:2:\"gl\";s:2:\"gl\";s:2:\"gu\";s:2:\"gu\";s:2:\"he\";s:2:\"he\";s:2:\"hi\";s:2:\"hi\";s:2:\"hr\";s:2:\"hr\";s:2:\"hu\";s:2:\"hu\";s:2:\"id\";s:2:\"id\";s:2:\"is\";s:2:\"is\";s:2:\"it\";s:2:\"it\";s:2:\"ja\";s:2:\"ja\";s:2:\"ka\";s:2:\"ka\";s:2:\"km\";s:2:\"km\";s:2:\"ko\";s:2:\"ko\";s:2:\"ku\";s:2:\"ku\";s:2:\"lt\";s:2:\"lt\";s:2:\"lv\";s:2:\"lv\";s:2:\"mk\";s:2:\"mk\";s:2:\"mn\";s:2:\"mn\";s:2:\"ms\";s:2:\"ms\";s:2:\"nb\";s:2:\"nb\";s:2:\"nl\";s:2:\"nl\";s:2:\"no\";s:2:\"no\";s:2:\"oc\";s:2:\"oc\";s:2:\"pl\";s:2:\"pl\";s:5:\"pt-br\";s:5:\"pt-br\";s:2:\"pt\";s:2:\"pt\";s:2:\"ro\";s:2:\"ro\";s:2:\"ru\";s:2:\"ru\";s:2:\"si\";s:2:\"si\";s:2:\"sk\";s:2:\"sk\";s:2:\"sl\";s:2:\"sl\";s:2:\"sq\";s:2:\"sq\";s:7:\"sr-latn\";s:7:\"sr-latn\";s:2:\"sr\";s:2:\"sr\";s:2:\"sv\";s:2:\"sv\";s:2:\"th\";s:2:\"th\";s:2:\"tr\";s:2:\"tr\";s:2:\"tt\";s:2:\"tt\";s:2:\"ug\";s:2:\"ug\";s:2:\"uk\";s:2:\"uk\";s:2:\"vi\";s:2:\"vi\";s:5:\"zh-cn\";s:5:\"zh-cn\";s:2:\"zh\";s:2:\"zh\";}',-1,1636012255.519,1,'','0'),('ckeditor_internal_format_tags:basic_html','p;h2;h3;h4;h5;h6',-1,1636012255.581,0,'config:filter.format.basic_html','0'),('ckeditor_internal_format_tags:full_html','p;h1;h2;h3;h4;h5;h6;pre',-1,1636012255.513,0,'config:filter.format.full_html','0'),('core.extension.list.module','a:107:{s:6:\"action\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:35:\"core/modules/action/action.info.yml\";s:11:\"\0*\0filename\";s:13:\"action.module\";s:7:\"subpath\";s:14:\"modules/action\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:11:{s:4:\"name\";s:7:\"Actions\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:67:\"Allows configuration of tasks to be executed in response to events.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:9:\"configure\";s:24:\"entity.action.collection\";s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:0;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:0:{}s:4:\"sort\";i:0;}s:10:\"aggregator\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:43:\"core/modules/aggregator/aggregator.info.yml\";s:11:\"\0*\0filename\";s:17:\"aggregator.module\";s:7:\"subpath\";s:18:\"modules/aggregator\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:11:{s:4:\"name\";s:10:\"Aggregator\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:89:\"Gathers and displays syndicated content (RSS, RDF, and Atom feeds) from external sources.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:9:\"configure\";s:25:\"aggregator.admin_settings\";s:12:\"dependencies\";a:2:{i:0;s:11:\"drupal:file\";i:1;s:14:\"drupal:options\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:0;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:7:{s:4:\"file\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:4:\"file\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:5:\"field\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:5:\"field\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:7:\"options\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:7:\"options\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:4:\"text\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:4:\"text\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:6:\"filter\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:6:\"filter\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:4:\"user\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:4:\"user\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:6:\"system\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:6:\"system\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}}s:4:\"sort\";i:-7;}s:14:\"automated_cron\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:51:\"core/modules/automated_cron/automated_cron.info.yml\";s:11:\"\0*\0filename\";s:21:\"automated_cron.module\";s:7:\"subpath\";s:22:\"modules/automated_cron\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:11:{s:4:\"name\";s:14:\"Automated Cron\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:94:\"Provides an automated way to run cron jobs, by executing them at the end of a server response.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:9:\"configure\";s:20:\"system.cron_settings\";s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:0:{}s:4:\"sort\";i:0;}s:3:\"ban\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:29:\"core/modules/ban/ban.info.yml\";s:11:\"\0*\0filename\";s:10:\"ban.module\";s:7:\"subpath\";s:11:\"modules/ban\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:11:{s:4:\"name\";s:3:\"Ban\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:63:\"Allows administrators to ban visits from specific IP addresses.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:9:\"configure\";s:14:\"ban.admin_page\";s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:0;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:0:{}s:4:\"sort\";i:0;}s:10:\"basic_auth\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:43:\"core/modules/basic_auth/basic_auth.info.yml\";s:11:\"\0*\0filename\";s:17:\"basic_auth.module\";s:7:\"subpath\";s:18:\"modules/basic_auth\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:10:{s:4:\"name\";s:25:\"HTTP Basic Authentication\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:47:\"Supplies an HTTP Basic authentication provider.\";s:7:\"package\";s:12:\"Web services\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:12:\"dependencies\";a:1:{i:0;s:11:\"drupal:user\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:0;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:2:{s:4:\"user\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:4:\"user\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:6:\"system\";r:75;}s:4:\"sort\";i:-8;}s:8:\"big_pipe\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:39:\"core/modules/big_pipe/big_pipe.info.yml\";s:11:\"\0*\0filename\";s:15:\"big_pipe.module\";s:7:\"subpath\";s:16:\"modules/big_pipe\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:10:{s:4:\"name\";s:7:\"BigPipe\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:86:\"Sends pages using the BigPipe technique that allows browsers to show them much faster.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:0;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:0:{}s:4:\"sort\";i:0;}s:5:\"block\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:33:\"core/modules/block/block.info.yml\";s:11:\"\0*\0filename\";s:12:\"block.module\";s:7:\"subpath\";s:13:\"modules/block\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:11:{s:4:\"name\";s:5:\"Block\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:140:\"Controls the visual building blocks a page is constructed with. Blocks are boxes of content rendered into an area, or region, of a web page.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:9:\"configure\";s:19:\"block.admin_display\";s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:7:{s:13:\"block_content\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:5:\"block\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:11:\"block_place\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:5:\"block\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:14:\"layout_builder\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:5:\"block\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:13:\"settings_tray\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:5:\"block\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:11:\"block_class\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:5:\"block\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:12:\"ctools_views\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:5:\"block\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:15:\"simplenews_demo\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:5:\"block\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}}s:8:\"requires\";a:0:{}s:4:\"sort\";i:-9;}s:13:\"block_content\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:49:\"core/modules/block_content/block_content.info.yml\";s:11:\"\0*\0filename\";s:20:\"block_content.module\";s:7:\"subpath\";s:21:\"modules/block_content\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:11:{s:4:\"name\";s:12:\"Custom Block\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:53:\"Allows the creation of custom blocks and block types.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:12:\"dependencies\";a:3:{i:0;s:12:\"drupal:block\";i:1;s:11:\"drupal:text\";i:2;s:11:\"drupal:user\";}s:9:\"configure\";s:31:\"entity.block_content.collection\";s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:6:{s:5:\"block\";r:202;s:4:\"text\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:4:\"text\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:5:\"field\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:5:\"field\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:6:\"filter\";r:67;s:4:\"user\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:4:\"user\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:6:\"system\";r:75;}s:4:\"sort\";i:-10;}s:11:\"block_place\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:45:\"core/modules/block_place/block_place.info.yml\";s:11:\"\0*\0filename\";s:18:\"block_place.module\";s:7:\"subpath\";s:19:\"modules/block_place\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:11:{s:4:\"name\";s:12:\"Place Blocks\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:228:\"Allow administrators to place blocks from any Drupal page. This module is deprecated in Drupal 8.8.0 and will be removed in Drupal 9.0.0. See the change record for a list of alternatives. See https://www.drupal.org/node/3081957.\";s:7:\"package\";s:19:\"Core (Experimental)\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:1:{i:0;s:12:\"drupal:block\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:0;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:1:{s:5:\"block\";r:206;}s:4:\"sort\";i:-11;}s:4:\"book\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:31:\"core/modules/book/book.info.yml\";s:11:\"\0*\0filename\";s:11:\"book.module\";s:7:\"subpath\";s:12:\"modules/book\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:11:{s:4:\"name\";s:4:\"Book\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:66:\"Allows users to create and organize related content in an outline.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:12:\"dependencies\";a:1:{i:0;s:11:\"drupal:node\";}s:9:\"configure\";s:13:\"book.settings\";s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:0;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:6:{s:4:\"node\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:4:\"node\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:4:\"text\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:4:\"text\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:5:\"field\";r:263;s:6:\"filter\";r:67;s:4:\"user\";r:71;s:6:\"system\";r:75;}s:4:\"sort\";i:-13;}s:10:\"breakpoint\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:43:\"core/modules/breakpoint/breakpoint.info.yml\";s:11:\"\0*\0filename\";s:17:\"breakpoint.module\";s:7:\"subpath\";s:18:\"modules/breakpoint\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:10:{s:4:\"name\";s:10:\"Breakpoint\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:65:\"Manages breakpoints and breakpoint groups for responsive designs.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:7:{s:16:\"responsive_image\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:10:\"breakpoint\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:7:\"toolbar\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:10:\"breakpoint\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:13:\"settings_tray\";r:362;s:13:\"admin_toolbar\";r:362;s:33:\"admin_toolbar_links_access_filter\";r:362;s:20:\"admin_toolbar_search\";r:362;s:19:\"admin_toolbar_tools\";r:362;}s:8:\"requires\";a:0:{}s:4:\"sort\";i:-14;}s:8:\"ckeditor\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:39:\"core/modules/ckeditor/ckeditor.info.yml\";s:11:\"\0*\0filename\";s:15:\"ckeditor.module\";s:7:\"subpath\";s:16:\"modules/ckeditor\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:10:{s:4:\"name\";s:8:\"CKEditor\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:52:\"WYSIWYG editing for rich text fields using CKEditor.\";s:7:\"package\";s:4:\"Core\";s:4:\"core\";s:3:\"8.x\";s:7:\"version\";s:6:\"8.9.19\";s:12:\"dependencies\";a:1:{i:0;s:13:\"drupal:editor\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:1:{s:19:\"video_embed_wysiwyg\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:8:\"ckeditor\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}}s:8:\"requires\";a:6:{s:6:\"editor\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:6:\"editor\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:6:\"filter\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:6:\"filter\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:4:\"user\";r:71;s:6:\"system\";r:75;s:4:\"file\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:4:\"file\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:5:\"field\";r:55;}s:4:\"sort\";i:-16;}s:5:\"color\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:33:\"core/modules/color/color.info.yml\";s:11:\"\0*\0filename\";s:12:\"color.module\";s:7:\"subpath\";s:13:\"modules/color\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:10:{s:4:\"name\";s:5:\"Color\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:61:\"Allows users to change the color scheme of compatible themes.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:0:{}s:4:\"sort\";i:0;}s:7:\"comment\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:37:\"core/modules/comment/comment.info.yml\";s:11:\"\0*\0filename\";s:14:\"comment.module\";s:7:\"subpath\";s:15:\"modules/comment\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:11:{s:4:\"name\";s:7:\"Comment\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:35:\"Allows users to comment on content.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:12:\"dependencies\";a:1:{i:0;s:11:\"drupal:text\";}s:9:\"configure\";s:13:\"comment.admin\";s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:2:{s:5:\"forum\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:7:\"comment\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:7:\"tracker\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:7:\"comment\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}}s:8:\"requires\";a:5:{s:4:\"text\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:4:\"text\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:5:\"field\";r:263;s:6:\"filter\";r:67;s:4:\"user\";r:71;s:6:\"system\";r:75;}s:4:\"sort\";i:-17;}s:6:\"config\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:35:\"core/modules/config/config.info.yml\";s:11:\"\0*\0filename\";s:13:\"config.module\";s:7:\"subpath\";s:14:\"modules/config\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:11:{s:4:\"name\";s:21:\"Configuration Manager\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:65:\"Allows administrators to import and export configuration changes.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:9:\"configure\";s:11:\"config.sync\";s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:0:{}s:4:\"sort\";i:0;}s:18:\"config_translation\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:59:\"core/modules/config_translation/config_translation.info.yml\";s:11:\"\0*\0filename\";s:25:\"config_translation.module\";s:7:\"subpath\";s:26:\"modules/config_translation\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:11:{s:4:\"name\";s:25:\"Configuration Translation\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:45:\"Allows users to translate configuration text.\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:9:\"configure\";s:30:\"config_translation.mapper_list\";s:12:\"dependencies\";a:1:{i:0;s:13:\"drupal:locale\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:4:{s:6:\"locale\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:6:\"locale\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:8:\"language\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:8:\"language\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:4:\"file\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:4:\"file\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:5:\"field\";r:55;}s:4:\"sort\";i:-20;}s:7:\"contact\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:37:\"core/modules/contact/contact.info.yml\";s:11:\"\0*\0filename\";s:14:\"contact.module\";s:7:\"subpath\";s:15:\"modules/contact\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:11:{s:4:\"name\";s:7:\"Contact\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:71:\"Provides site-wide contact forms and forms to contact individual users.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:9:\"configure\";s:30:\"entity.contact_form.collection\";s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:0:{}s:4:\"sort\";i:0;}s:18:\"content_moderation\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:59:\"core/modules/content_moderation/content_moderation.info.yml\";s:11:\"\0*\0filename\";s:25:\"content_moderation.module\";s:7:\"subpath\";s:26:\"modules/content_moderation\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:11:{s:4:\"name\";s:18:\"Content Moderation\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:39:\"Provides moderation states for content.\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:7:\"package\";s:4:\"Core\";s:9:\"configure\";s:26:\"entity.workflow.collection\";s:12:\"dependencies\";a:1:{i:0;s:16:\"drupal:workflows\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:0;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:1:{s:9:\"workflows\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:9:\"workflows\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}}s:4:\"sort\";i:-1;}s:19:\"content_translation\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:61:\"core/modules/content_translation/content_translation.info.yml\";s:11:\"\0*\0filename\";s:26:\"content_translation.module\";s:7:\"subpath\";s:27:\"modules/content_translation\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:11:{s:4:\"name\";s:19:\"Content Translation\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:34:\"Allows users to translate content.\";s:12:\"dependencies\";a:1:{i:0;s:15:\"drupal:language\";}s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:9:\"configure\";s:30:\"language.content_settings_page\";s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:1:{s:8:\"language\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:8:\"language\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}}s:4:\"sort\";i:-21;}s:10:\"contextual\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:43:\"core/modules/contextual/contextual.info.yml\";s:11:\"\0*\0filename\";s:17:\"contextual.module\";s:7:\"subpath\";s:18:\"modules/contextual\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:10:{s:4:\"name\";s:16:\"Contextual Links\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:76:\"Provides contextual links to directly access tasks related to page elements.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:3:{s:14:\"layout_builder\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:10:\"contextual\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:9:\"quickedit\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:10:\"contextual\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:13:\"settings_tray\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:10:\"contextual\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}}s:8:\"requires\";a:0:{}s:4:\"sort\";i:-22;}s:8:\"datetime\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:39:\"core/modules/datetime/datetime.info.yml\";s:11:\"\0*\0filename\";s:15:\"datetime.module\";s:7:\"subpath\";s:16:\"modules/datetime\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:10:{s:4:\"name\";s:8:\"Datetime\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:57:\"Defines datetime form elements and a datetime field type.\";s:7:\"package\";s:11:\"Field types\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:12:\"dependencies\";a:1:{i:0;s:12:\"drupal:field\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:1:{s:14:\"datetime_range\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:8:\"datetime\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}}s:8:\"requires\";a:1:{s:5:\"field\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:5:\"field\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}}s:4:\"sort\";i:-23;}s:14:\"datetime_range\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:51:\"core/modules/datetime_range/datetime_range.info.yml\";s:11:\"\0*\0filename\";s:21:\"datetime_range.module\";s:7:\"subpath\";s:22:\"modules/datetime_range\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:10:{s:4:\"name\";s:14:\"Datetime Range\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:40:\"Provides the ability to store end dates.\";s:7:\"package\";s:11:\"Field types\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:12:\"dependencies\";a:1:{i:0;s:15:\"drupal:datetime\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:0;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:2:{s:8:\"datetime\";r:681;s:5:\"field\";r:686;}s:4:\"sort\";i:-24;}s:5:\"dblog\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:33:\"core/modules/dblog/dblog.info.yml\";s:11:\"\0*\0filename\";s:12:\"dblog.module\";s:7:\"subpath\";s:13:\"modules/dblog\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:11:{s:4:\"name\";s:16:\"Database Logging\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:35:\"Logs system events in the database.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:9:\"configure\";s:23:\"system.logging_settings\";s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:1:{s:17:\"migrate_drupal_ui\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:5:\"dblog\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}}s:8:\"requires\";a:0:{}s:4:\"sort\";i:0;}s:18:\"dynamic_page_cache\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:59:\"core/modules/dynamic_page_cache/dynamic_page_cache.info.yml\";s:11:\"\0*\0filename\";s:25:\"dynamic_page_cache.module\";s:7:\"subpath\";s:26:\"modules/dynamic_page_cache\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:10:{s:4:\"name\";s:27:\"Internal Dynamic Page Cache\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:66:\"Caches pages, including those with dynamic content, for all users.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:0:{}s:4:\"sort\";i:0;}s:6:\"editor\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:35:\"core/modules/editor/editor.info.yml\";s:11:\"\0*\0filename\";s:13:\"editor.module\";s:7:\"subpath\";s:14:\"modules/editor\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:11:{s:4:\"name\";s:11:\"Text Editor\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:99:\"Provides a means to associate text formats with text editor libraries such as WYSIWYGs or toolbars.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:12:\"dependencies\";a:2:{i:0;s:13:\"drupal:filter\";i:1;s:11:\"drupal:file\";}s:9:\"configure\";s:21:\"filter.admin_overview\";s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:2:{s:8:\"ckeditor\";r:400;s:19:\"video_embed_wysiwyg\";r:400;}s:8:\"requires\";a:5:{s:6:\"filter\";r:404;s:4:\"user\";r:71;s:6:\"system\";r:75;s:4:\"file\";r:410;s:5:\"field\";r:55;}s:4:\"sort\";i:-15;}s:16:\"entity_reference\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:55:\"core/modules/entity_reference/entity_reference.info.yml\";s:11:\"\0*\0filename\";s:23:\"entity_reference.module\";s:7:\"subpath\";s:24:\"modules/entity_reference\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:11:{s:4:\"name\";s:16:\"Entity Reference\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:57:\"Deprecated. All the functionality has been moved to Core.\";s:7:\"package\";s:11:\"Field types\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:6:\"hidden\";b:1;s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:0;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:0:{}s:4:\"sort\";i:0;}s:5:\"field\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:33:\"core/modules/field/field.info.yml\";s:11:\"\0*\0filename\";s:12:\"field.module\";s:7:\"subpath\";s:13:\"modules/field\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:10:{s:4:\"name\";s:5:\"Field\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:57:\"Field API to add fields to entities like nodes and users.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:40:{s:4:\"file\";r:55;s:4:\"text\";r:263;s:7:\"options\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:5:\"field\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:10:\"aggregator\";r:55;s:13:\"block_content\";r:263;s:4:\"node\";r:263;s:4:\"book\";r:263;s:6:\"editor\";r:55;s:8:\"ckeditor\";r:55;s:7:\"comment\";r:263;s:6:\"locale\";r:55;s:18:\"config_translation\";r:55;s:8:\"datetime\";r:686;s:14:\"datetime_range\";r:686;s:8:\"field_ui\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:5:\"field\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:7:\"history\";r:263;s:8:\"taxonomy\";r:263;s:5:\"forum\";r:263;s:5:\"image\";r:55;s:14:\"layout_builder\";r:863;s:4:\"link\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:5:\"field\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:5:\"media\";r:55;s:13:\"media_library\";r:55;s:17:\"menu_link_content\";r:872;s:7:\"menu_ui\";r:872;s:9:\"quickedit\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:5:\"field\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:16:\"responsive_image\";r:55;s:8:\"shortcut\";r:872;s:10:\"statistics\";r:263;s:9:\"telephone\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:5:\"field\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:7:\"tracker\";r:263;s:6:\"update\";r:55;s:8:\"colorbox\";r:55;s:20:\"menu_link_attributes\";r:872;s:10:\"simplenews\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:5:\"field\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:15:\"simplenews_demo\";r:895;s:17:\"video_embed_field\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:5:\"field\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:17:\"video_embed_media\";r:55;s:18:\"vem_migrate_oembed\";r:55;s:19:\"video_embed_wysiwyg\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:5:\"field\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}}s:8:\"requires\";a:0:{}s:4:\"sort\";i:0;}s:12:\"field_layout\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:47:\"core/modules/field_layout/field_layout.info.yml\";s:11:\"\0*\0filename\";s:19:\"field_layout.module\";s:7:\"subpath\";s:20:\"modules/field_layout\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:10:{s:4:\"name\";s:12:\"Field Layout\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:94:\"Allows users to configure the display and form display by arranging fields in several columns.\";s:7:\"package\";s:19:\"Core (Experimental)\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:12:\"dependencies\";a:1:{i:0;s:23:\"drupal:layout_discovery\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:0;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:1:{s:16:\"layout_discovery\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:16:\"layout_discovery\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}}s:4:\"sort\";i:-26;}s:8:\"field_ui\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:39:\"core/modules/field_ui/field_ui.info.yml\";s:11:\"\0*\0filename\";s:15:\"field_ui.module\";s:7:\"subpath\";s:16:\"modules/field_ui\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:10:{s:4:\"name\";s:8:\"Field UI\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:47:\"Provides a user interface for the Field module.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:12:\"dependencies\";a:1:{i:0;s:12:\"drupal:field\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:1:{s:14:\"layout_builder\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:8:\"field_ui\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}}s:8:\"requires\";a:1:{s:5:\"field\";r:863;}s:4:\"sort\";i:-27;}s:4:\"file\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:31:\"core/modules/file/file.info.yml\";s:11:\"\0*\0filename\";s:11:\"file.module\";s:7:\"subpath\";s:12:\"modules/file\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:10:{s:4:\"name\";s:4:\"File\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:31:\"Defines a field type for files.\";s:7:\"package\";s:11:\"Field types\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:12:\"dependencies\";a:1:{i:0;s:12:\"drupal:field\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:15:{s:10:\"aggregator\";r:51;s:6:\"editor\";r:410;s:8:\"ckeditor\";r:410;s:6:\"locale\";r:536;s:18:\"config_translation\";r:536;s:5:\"image\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:4:\"file\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:5:\"media\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:4:\"file\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:13:\"media_library\";r:1000;s:16:\"responsive_image\";r:996;s:6:\"update\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:4:\"file\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:8:\"colorbox\";r:996;s:17:\"video_embed_field\";r:996;s:17:\"video_embed_media\";r:1000;s:18:\"vem_migrate_oembed\";r:1000;s:19:\"video_embed_wysiwyg\";r:410;}s:8:\"requires\";a:1:{s:5:\"field\";r:55;}s:4:\"sort\";i:-1;}s:6:\"filter\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:35:\"core/modules/filter/filter.info.yml\";s:11:\"\0*\0filename\";s:13:\"filter.module\";s:7:\"subpath\";s:14:\"modules/filter\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:11:{s:4:\"name\";s:6:\"Filter\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:43:\"Filters content in preparation for display.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:9:\"configure\";s:21:\"filter.admin_overview\";s:12:\"dependencies\";a:1:{i:0;s:11:\"drupal:user\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:22:{s:4:\"text\";r:67;s:7:\"options\";r:67;s:10:\"aggregator\";r:67;s:13:\"block_content\";r:67;s:4:\"node\";r:67;s:4:\"book\";r:67;s:6:\"editor\";r:404;s:8:\"ckeditor\";r:404;s:7:\"comment\";r:67;s:7:\"history\";r:67;s:8:\"taxonomy\";r:67;s:5:\"forum\";r:67;s:5:\"views\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:6:\"filter\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:13:\"media_library\";r:1053;s:9:\"quickedit\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:6:\"filter\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:10:\"statistics\";r:67;s:7:\"tracker\";r:67;s:8:\"views_ui\";r:1053;s:12:\"ctools_views\";r:1053;s:10:\"simplenews\";r:67;s:15:\"simplenews_demo\";r:1053;s:19:\"video_embed_wysiwyg\";r:404;}s:8:\"requires\";a:2:{s:4:\"user\";r:71;s:6:\"system\";r:75;}s:4:\"sort\";i:-4;}s:5:\"forum\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:33:\"core/modules/forum/forum.info.yml\";s:11:\"\0*\0filename\";s:12:\"forum.module\";s:7:\"subpath\";s:13:\"modules/forum\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:11:{s:4:\"name\";s:5:\"Forum\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:27:\"Provides discussion forums.\";s:12:\"dependencies\";a:5:{i:0;s:11:\"drupal:node\";i:1;s:14:\"drupal:history\";i:2;s:15:\"drupal:taxonomy\";i:3;s:14:\"drupal:comment\";i:4;s:14:\"drupal:options\";}s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:9:\"configure\";s:14:\"forum.overview\";s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:0;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:10:{s:4:\"node\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:4:\"node\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:4:\"text\";r:328;s:5:\"field\";r:263;s:6:\"filter\";r:67;s:4:\"user\";r:71;s:6:\"system\";r:75;s:7:\"history\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:7:\"history\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:8:\"taxonomy\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:8:\"taxonomy\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:7:\"comment\";r:462;s:7:\"options\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:7:\"options\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}}s:4:\"sort\";i:-30;}s:3:\"hal\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:29:\"core/modules/hal/hal.info.yml\";s:11:\"\0*\0filename\";s:10:\"hal.module\";s:7:\"subpath\";s:11:\"modules/hal\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:10:{s:4:\"name\";s:3:\"HAL\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:57:\"Serializes entities using Hypertext Application Language.\";s:7:\"package\";s:12:\"Web services\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:12:\"dependencies\";a:1:{i:0;s:20:\"drupal:serialization\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:0;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:1:{s:13:\"serialization\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:13:\"serialization\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}}s:4:\"sort\";i:-1;}s:4:\"help\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:31:\"core/modules/help/help.info.yml\";s:11:\"\0*\0filename\";s:11:\"help.module\";s:7:\"subpath\";s:12:\"modules/help\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:10:{s:4:\"name\";s:4:\"Help\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:35:\"Manages the display of online help.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:1:{s:11:\"help_topics\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:4:\"help\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}}s:8:\"requires\";a:0:{}s:4:\"sort\";i:0;}s:11:\"help_topics\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:45:\"core/modules/help_topics/help_topics.info.yml\";s:11:\"\0*\0filename\";s:18:\"help_topics.module\";s:7:\"subpath\";s:19:\"modules/help_topics\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:10:{s:4:\"name\";s:11:\"Help Topics\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:52:\"Displays help topics provided by themes and modules.\";s:4:\"core\";s:3:\"8.x\";s:7:\"package\";s:19:\"Core (Experimental)\";s:7:\"version\";s:6:\"8.9.19\";s:12:\"dependencies\";a:1:{i:0;s:11:\"drupal:help\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:0;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:1:{s:4:\"help\";r:1173;}s:4:\"sort\";i:-1;}s:7:\"history\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:37:\"core/modules/history/history.info.yml\";s:11:\"\0*\0filename\";s:14:\"history.module\";s:7:\"subpath\";s:15:\"modules/history\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:10:{s:4:\"name\";s:7:\"History\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:42:\"Records which user has read which content.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:12:\"dependencies\";a:1:{i:0;s:11:\"drupal:node\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:1:{s:5:\"forum\";r:1110;}s:8:\"requires\";a:6:{s:4:\"node\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:4:\"node\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:4:\"text\";r:328;s:5:\"field\";r:263;s:6:\"filter\";r:67;s:4:\"user\";r:71;s:6:\"system\";r:75;}s:4:\"sort\";i:-28;}s:5:\"image\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:33:\"core/modules/image/image.info.yml\";s:11:\"\0*\0filename\";s:12:\"image.module\";s:7:\"subpath\";s:13:\"modules/image\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:11:{s:4:\"name\";s:5:\"Image\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:78:\"Defines a field type for image media and provides display configuration tools.\";s:7:\"package\";s:11:\"Field types\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:12:\"dependencies\";a:1:{i:0;s:11:\"drupal:file\";}s:9:\"configure\";s:29:\"entity.image_style.collection\";s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:8:{s:5:\"media\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:5:\"image\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:13:\"media_library\";r:1261;s:16:\"responsive_image\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:5:\"image\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:8:\"colorbox\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:5:\"image\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:17:\"video_embed_field\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:5:\"image\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:17:\"video_embed_media\";r:1261;s:18:\"vem_migrate_oembed\";r:1261;s:19:\"video_embed_wysiwyg\";r:1274;}s:8:\"requires\";a:2:{s:4:\"file\";r:996;s:5:\"field\";r:55;}s:4:\"sort\";i:-31;}s:18:\"inline_form_errors\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:59:\"core/modules/inline_form_errors/inline_form_errors.info.yml\";s:11:\"\0*\0filename\";s:25:\"inline_form_errors.module\";s:7:\"subpath\";s:26:\"modules/inline_form_errors\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:10:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:18:\"Inline Form Errors\";s:11:\"description\";s:88:\"Places error messages adjacent to form inputs, for improved usability and accessibility.\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:7:\"package\";s:4:\"Core\";s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:0;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:0:{}s:4:\"sort\";i:0;}s:7:\"jsonapi\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:37:\"core/modules/jsonapi/jsonapi.info.yml\";s:11:\"\0*\0filename\";s:14:\"jsonapi.module\";s:7:\"subpath\";s:15:\"modules/jsonapi\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:11:{s:4:\"name\";s:8:\"JSON:API\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:63:\"Exposes entities as a JSON:API-specification-compliant web API.\";s:4:\"core\";s:3:\"8.x\";s:7:\"package\";s:12:\"Web services\";s:9:\"configure\";s:16:\"jsonapi.settings\";s:12:\"dependencies\";a:1:{i:0;s:20:\"drupal:serialization\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:7:\"version\";N;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:0;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:1:{s:13:\"serialization\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:13:\"serialization\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}}s:4:\"sort\";i:-2;}s:8:\"language\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:39:\"core/modules/language/language.info.yml\";s:11:\"\0*\0filename\";s:15:\"language.module\";s:7:\"subpath\";s:16:\"modules/language\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:11:{s:4:\"name\";s:8:\"Language\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:46:\"Allows users to configure available languages.\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:9:\"configure\";s:39:\"entity.configurable_language.collection\";s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:3:{s:6:\"locale\";r:532;s:18:\"config_translation\";r:532;s:19:\"content_translation\";r:619;}s:8:\"requires\";a:0:{}s:4:\"sort\";i:-18;}s:14:\"layout_builder\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:51:\"core/modules/layout_builder/layout_builder.info.yml\";s:11:\"\0*\0filename\";s:21:\"layout_builder.module\";s:7:\"subpath\";s:22:\"modules/layout_builder\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:10:{s:4:\"name\";s:14:\"Layout Builder\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:82:\"Allows users to add and arrange blocks and content fields directly on the content.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:12:\"dependencies\";a:4:{i:0;s:23:\"drupal:layout_discovery\";i:1;s:17:\"drupal:contextual\";i:2;s:15:\"drupal:field_ui\";i:3;s:12:\"drupal:block\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:0;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:5:{s:16:\"layout_discovery\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:16:\"layout_discovery\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:10:\"contextual\";r:645;s:8:\"field_ui\";r:962;s:5:\"field\";r:863;s:5:\"block\";r:210;}s:4:\"sort\";i:-32;}s:16:\"layout_discovery\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:55:\"core/modules/layout_discovery/layout_discovery.info.yml\";s:11:\"\0*\0filename\";s:23:\"layout_discovery.module\";s:7:\"subpath\";s:24:\"modules/layout_discovery\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:10:{s:4:\"name\";s:16:\"Layout Discovery\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:57:\"Provides a way for modules or themes to register layouts.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:0;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:2:{s:12:\"field_layout\";r:935;s:14:\"layout_builder\";r:1390;}s:8:\"requires\";a:0:{}s:4:\"sort\";i:-25;}s:4:\"link\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:31:\"core/modules/link/link.info.yml\";s:11:\"\0*\0filename\";s:11:\"link.module\";s:7:\"subpath\";s:12:\"modules/link\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:10:{s:4:\"name\";s:4:\"Link\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:34:\"Provides a simple link field type.\";s:4:\"core\";s:3:\"8.x\";s:7:\"package\";s:11:\"Field types\";s:7:\"version\";s:6:\"8.9.19\";s:12:\"dependencies\";a:1:{i:0;s:12:\"drupal:field\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:4:{s:17:\"menu_link_content\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:4:\"link\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:7:\"menu_ui\";r:1446;s:8:\"shortcut\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:4:\"link\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:20:\"menu_link_attributes\";r:1446;}s:8:\"requires\";a:1:{s:5:\"field\";r:872;}s:4:\"sort\";i:-33;}s:6:\"locale\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:35:\"core/modules/locale/locale.info.yml\";s:11:\"\0*\0filename\";s:13:\"locale.module\";s:7:\"subpath\";s:14:\"modules/locale\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:11:{s:4:\"name\";s:21:\"Interface Translation\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:39:\"Translates the built-in user interface.\";s:9:\"configure\";s:21:\"locale.translate_page\";s:7:\"package\";s:12:\"Multilingual\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:12:\"dependencies\";a:2:{i:0;s:15:\"drupal:language\";i:1;s:11:\"drupal:file\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:1:{s:18:\"config_translation\";r:528;}s:8:\"requires\";a:3:{s:8:\"language\";r:532;s:4:\"file\";r:536;s:5:\"field\";r:55;}s:4:\"sort\";i:-19;}s:5:\"media\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:33:\"core/modules/media/media.info.yml\";s:11:\"\0*\0filename\";s:12:\"media.module\";s:7:\"subpath\";s:13:\"modules/media\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:11:{s:4:\"name\";s:5:\"Media\";s:11:\"description\";s:64:\"Manages the creation, configuration, and display of media items.\";s:4:\"type\";s:6:\"module\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:12:\"dependencies\";a:3:{i:0;s:11:\"drupal:file\";i:1;s:12:\"drupal:image\";i:2;s:11:\"drupal:user\";}s:9:\"configure\";s:14:\"media.settings\";s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:0;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:3:{s:13:\"media_library\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:5:\"media\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:17:\"video_embed_media\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:5:\"media\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:6:\">= 8.4\";}s:18:\"vem_migrate_oembed\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:5:\"media\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:6:\">= 8.6\";}}s:8:\"requires\";a:5:{s:4:\"file\";r:1000;s:5:\"field\";r:55;s:5:\"image\";r:1261;s:4:\"user\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:4:\"user\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:6:\"system\";r:75;}s:4:\"sort\";i:-34;}s:13:\"media_library\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:49:\"core/modules/media_library/media_library.info.yml\";s:11:\"\0*\0filename\";s:20:\"media_library.module\";s:7:\"subpath\";s:21:\"modules/media_library\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:11:{s:4:\"name\";s:13:\"Media Library\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:98:\"Enhances the media list with additional features to more easily find and use existing media items.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:9:\"configure\";s:22:\"media_library.settings\";s:12:\"dependencies\";a:3:{i:0;s:12:\"drupal:media\";i:1;s:12:\"drupal:views\";i:2;s:11:\"drupal:user\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:0;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:8:{s:5:\"media\";r:1514;s:4:\"file\";r:1000;s:5:\"field\";r:55;s:5:\"image\";r:1261;s:4:\"user\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:4:\"user\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:6:\"system\";r:75;s:5:\"views\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:5:\"views\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:6:\"filter\";r:1053;}s:4:\"sort\";i:-36;}s:17:\"menu_link_content\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:57:\"core/modules/menu_link_content/menu_link_content.info.yml\";s:11:\"\0*\0filename\";s:24:\"menu_link_content.module\";s:7:\"subpath\";s:25:\"modules/menu_link_content\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:10:{s:4:\"name\";s:17:\"Custom Menu Links\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:34:\"Allows users to create menu links.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:12:\"dependencies\";a:1:{i:0;s:11:\"drupal:link\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:1;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:2:{s:7:\"menu_ui\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:17:\"menu_link_content\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:20:\"menu_link_attributes\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:17:\"menu_link_content\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}}s:8:\"requires\";a:2:{s:4:\"link\";r:1446;s:5:\"field\";r:872;}s:4:\"sort\";i:-37;}s:7:\"menu_ui\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:37:\"core/modules/menu_ui/menu_ui.info.yml\";s:11:\"\0*\0filename\";s:14:\"menu_ui.module\";s:7:\"subpath\";s:15:\"modules/menu_ui\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:11:{s:4:\"name\";s:7:\"Menu UI\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:60:\"Allows administrators to customize the site navigation menu.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:9:\"configure\";s:22:\"entity.menu.collection\";s:12:\"dependencies\";a:1:{i:0;s:24:\"drupal:menu_link_content\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:3:{s:17:\"menu_link_content\";r:1599;s:4:\"link\";r:1446;s:5:\"field\";r:872;}s:4:\"sort\";i:-38;}s:7:\"migrate\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:37:\"core/modules/migrate/migrate.info.yml\";s:11:\"\0*\0filename\";s:14:\"migrate.module\";s:7:\"subpath\";s:15:\"modules/migrate\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:10:{s:4:\"name\";s:7:\"Migrate\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:18:\"Handles migrations\";s:7:\"package\";s:9:\"Migration\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:0;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:3:{s:14:\"migrate_drupal\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:7:\"migrate\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:27:\"migrate_drupal_multilingual\";r:1660;s:17:\"migrate_drupal_ui\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:7:\"migrate\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}}s:8:\"requires\";a:0:{}s:4:\"sort\";i:-1;}s:14:\"migrate_drupal\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:51:\"core/modules/migrate_drupal/migrate_drupal.info.yml\";s:11:\"\0*\0filename\";s:21:\"migrate_drupal.module\";s:7:\"subpath\";s:22:\"modules/migrate_drupal\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:10:{s:4:\"name\";s:14:\"Migrate Drupal\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:47:\"Contains migrations from older Drupal versions.\";s:7:\"package\";s:9:\"Migration\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:12:\"dependencies\";a:1:{i:0;s:14:\"drupal:migrate\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:0;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:2:{s:27:\"migrate_drupal_multilingual\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:14:\"migrate_drupal\";s:10:\"\0*\0project\";s:0:\"\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:17:\"migrate_drupal_ui\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:14:\"migrate_drupal\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}}s:8:\"requires\";a:1:{s:7:\"migrate\";r:1660;}s:4:\"sort\";i:-2;}s:27:\"migrate_drupal_multilingual\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:77:\"core/modules/migrate_drupal_multilingual/migrate_drupal_multilingual.info.yml\";s:11:\"\0*\0filename\";s:34:\"migrate_drupal_multilingual.module\";s:7:\"subpath\";s:35:\"modules/migrate_drupal_multilingual\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:11:{s:4:\"name\";s:27:\"Migrate Drupal Multilingual\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:51:\"Provides a requirement for multilingual migrations.\";s:7:\"package\";s:19:\"Core (Experimental)\";s:4:\"core\";s:3:\"8.x\";s:12:\"dependencies\";a:1:{i:0;s:14:\"migrate_drupal\";}s:6:\"hidden\";b:1;s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:7:\"version\";N;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:0;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:2:{s:14:\"migrate_drupal\";r:1693;s:7:\"migrate\";r:1660;}s:4:\"sort\";i:-3;}s:17:\"migrate_drupal_ui\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:57:\"core/modules/migrate_drupal_ui/migrate_drupal_ui.info.yml\";s:11:\"\0*\0filename\";s:24:\"migrate_drupal_ui.module\";s:7:\"subpath\";s:25:\"modules/migrate_drupal_ui\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:11:{s:4:\"name\";s:17:\"Migrate Drupal UI\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:67:\"Provides a user interface for migrating from older Drupal versions.\";s:7:\"package\";s:9:\"Migration\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:9:\"configure\";s:25:\"migrate_drupal_ui.upgrade\";s:12:\"dependencies\";a:3:{i:0;s:14:\"drupal:migrate\";i:1;s:21:\"drupal:migrate_drupal\";i:2;s:12:\"drupal:dblog\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:0;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:3:{s:7:\"migrate\";r:1665;s:14:\"migrate_drupal\";r:1697;s:5:\"dblog\";r:739;}s:4:\"sort\";i:-4;}s:4:\"node\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:31:\"core/modules/node/node.info.yml\";s:11:\"\0*\0filename\";s:11:\"node.module\";s:7:\"subpath\";s:12:\"modules/node\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:11:{s:4:\"name\";s:4:\"Node\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:66:\"Allows content to be submitted to the site and displayed on pages.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:9:\"configure\";s:27:\"entity.node_type.collection\";s:12:\"dependencies\";a:1:{i:0;s:11:\"drupal:text\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:8:{s:4:\"book\";r:324;s:7:\"history\";r:1228;s:8:\"taxonomy\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:4:\"node\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:5:\"forum\";r:1101;s:10:\"statistics\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:4:\"node\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:7:\"tracker\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:4:\"node\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:10:\"simplenews\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:4:\"node\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:15:\"simplenews_demo\";r:1799;}s:8:\"requires\";a:5:{s:4:\"text\";r:328;s:5:\"field\";r:263;s:6:\"filter\";r:67;s:4:\"user\";r:71;s:6:\"system\";r:75;}s:4:\"sort\";i:-12;}s:7:\"options\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:37:\"core/modules/options/options.info.yml\";s:11:\"\0*\0filename\";s:14:\"options.module\";s:7:\"subpath\";s:15:\"modules/options\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:10:{s:4:\"name\";s:7:\"Options\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:82:\"Defines selection, check box and radio button widgets for text and numeric fields.\";s:7:\"package\";s:11:\"Field types\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:12:\"dependencies\";a:2:{i:0;s:12:\"drupal:field\";i:1;s:11:\"drupal:text\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:4:{s:10:\"aggregator\";r:59;s:5:\"forum\";r:1119;s:10:\"simplenews\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:7:\"options\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:15:\"simplenews_demo\";r:1836;}s:8:\"requires\";a:5:{s:5:\"field\";r:848;s:4:\"text\";r:63;s:6:\"filter\";r:67;s:4:\"user\";r:71;s:6:\"system\";r:75;}s:4:\"sort\";i:-6;}s:10:\"page_cache\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:43:\"core/modules/page_cache/page_cache.info.yml\";s:11:\"\0*\0filename\";s:17:\"page_cache.module\";s:7:\"subpath\";s:18:\"modules/page_cache\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:10:{s:4:\"name\";s:19:\"Internal Page Cache\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:91:\"Caches pages for anonymous users and can be used when external page cache is not available.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:0:{}s:4:\"sort\";i:0;}s:4:\"path\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:31:\"core/modules/path/path.info.yml\";s:11:\"\0*\0filename\";s:11:\"path.module\";s:7:\"subpath\";s:12:\"modules/path\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:11:{s:4:\"name\";s:4:\"Path\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:28:\"Allows users to rename URLs.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:9:\"configure\";s:28:\"entity.path_alias.collection\";s:12:\"dependencies\";a:1:{i:0;s:17:\"drupal:path_alias\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:1:{s:8:\"pathauto\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:4:\"path\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}}s:8:\"requires\";a:1:{s:10:\"path_alias\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:10:\"path_alias\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}}s:4:\"sort\";i:-1;}s:10:\"path_alias\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:43:\"core/modules/path_alias/path_alias.info.yml\";s:11:\"\0*\0filename\";N;s:7:\"subpath\";s:18:\"modules/path_alias\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:12:{s:4:\"name\";s:10:\"Path alias\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:41:\"Provides the API allowing to rename URLs.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"required\";b:1;s:6:\"hidden\";b:1;s:24:\"core_version_requirement\";s:6:\"8.9.19\";s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:2:{s:4:\"path\";r:1899;s:8:\"pathauto\";r:1899;}s:8:\"requires\";a:0:{}s:4:\"sort\";i:0;}s:9:\"quickedit\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:41:\"core/modules/quickedit/quickedit.info.yml\";s:11:\"\0*\0filename\";s:16:\"quickedit.module\";s:7:\"subpath\";s:17:\"modules/quickedit\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:10:{s:4:\"name\";s:10:\"Quick Edit\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:25:\"In-place content editing.\";s:7:\"package\";s:4:\"Core\";s:4:\"core\";s:3:\"8.x\";s:7:\"version\";s:6:\"8.9.19\";s:12:\"dependencies\";a:3:{i:0;s:17:\"drupal:contextual\";i:1;s:12:\"drupal:field\";i:2;s:13:\"drupal:filter\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:5:{s:10:\"contextual\";r:649;s:5:\"field\";r:880;s:6:\"filter\";r:1058;s:4:\"user\";r:71;s:6:\"system\";r:75;}s:4:\"sort\";i:-39;}s:3:\"rdf\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:29:\"core/modules/rdf/rdf.info.yml\";s:11:\"\0*\0filename\";s:10:\"rdf.module\";s:7:\"subpath\";s:11:\"modules/rdf\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:10:{s:4:\"name\";s:3:\"RDF\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:148:\"Enriches your content with metadata to let other applications (e.g. search engines, aggregators) better understand its relationships and attributes.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:0:{}s:4:\"sort\";i:0;}s:16:\"responsive_image\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:55:\"core/modules/responsive_image/responsive_image.info.yml\";s:11:\"\0*\0filename\";s:23:\"responsive_image.module\";s:7:\"subpath\";s:24:\"modules/responsive_image\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:11:{s:4:\"name\";s:16:\"Responsive Image\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:108:\"Provides an image formatter and breakpoint mappings to output responsive images using the HTML5 picture tag.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:12:\"dependencies\";a:2:{i:0;s:17:\"drupal:breakpoint\";i:1;s:12:\"drupal:image\";}s:9:\"configure\";s:40:\"entity.responsive_image_style.collection\";s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:4:{s:10:\"breakpoint\";r:358;s:5:\"image\";r:1266;s:4:\"file\";r:996;s:5:\"field\";r:55;}s:4:\"sort\";i:-40;}s:4:\"rest\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:31:\"core/modules/rest/rest.info.yml\";s:11:\"\0*\0filename\";s:11:\"rest.module\";s:7:\"subpath\";s:12:\"modules/rest\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:10:{s:4:\"name\";s:20:\"RESTful Web Services\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:55:\"Exposes entities and other resources as RESTful web API\";s:7:\"package\";s:12:\"Web services\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:12:\"dependencies\";a:1:{i:0;s:20:\"drupal:serialization\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:0;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:1:{s:13:\"serialization\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:13:\"serialization\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}}s:4:\"sort\";i:-3;}s:6:\"search\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:35:\"core/modules/search/search.info.yml\";s:11:\"\0*\0filename\";s:13:\"search.module\";s:7:\"subpath\";s:14:\"modules/search\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:11:{s:4:\"name\";s:6:\"Search\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:79:\"Allows users to create search pages based on plugins provided by other modules.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:9:\"configure\";s:29:\"entity.search_page.collection\";s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:0:{}s:4:\"sort\";i:0;}s:13:\"serialization\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:49:\"core/modules/serialization/serialization.info.yml\";s:11:\"\0*\0filename\";s:20:\"serialization.module\";s:7:\"subpath\";s:21:\"modules/serialization\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:10:{s:4:\"name\";s:13:\"Serialization\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:81:\"Provides a service for (de)serializing data to/from formats such as JSON and XML.\";s:7:\"package\";s:12:\"Web services\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:0;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:3:{s:3:\"hal\";r:1147;s:7:\"jsonapi\";r:1332;s:4:\"rest\";r:2038;}s:8:\"requires\";a:0:{}s:4:\"sort\";i:0;}s:13:\"settings_tray\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:49:\"core/modules/settings_tray/settings_tray.info.yml\";s:11:\"\0*\0filename\";s:20:\"settings_tray.module\";s:7:\"subpath\";s:21:\"modules/settings_tray\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:10:{s:4:\"name\";s:13:\"Settings Tray\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:78:\"Allows users to directly edit the configuration of blocks on the current page.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:12:\"dependencies\";a:3:{i:0;s:12:\"drupal:block\";i:1;s:14:\"drupal:toolbar\";i:2;s:17:\"drupal:contextual\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:0;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:4:{s:5:\"block\";r:214;s:7:\"toolbar\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:7:\"toolbar\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:10:\"breakpoint\";r:362;s:10:\"contextual\";r:653;}s:4:\"sort\";i:-42;}s:8:\"shortcut\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:39:\"core/modules/shortcut/shortcut.info.yml\";s:11:\"\0*\0filename\";s:15:\"shortcut.module\";s:7:\"subpath\";s:16:\"modules/shortcut\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:11:{s:4:\"name\";s:8:\"Shortcut\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:60:\"Allows users to manage customizable lists of shortcut links.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:9:\"configure\";s:30:\"entity.shortcut_set.collection\";s:12:\"dependencies\";a:1:{i:0;s:11:\"drupal:link\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:2:{s:4:\"link\";r:1451;s:5:\"field\";r:872;}s:4:\"sort\";i:-43;}s:10:\"simpletest\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:43:\"core/modules/simpletest/simpletest.info.yml\";s:11:\"\0*\0filename\";s:17:\"simpletest.module\";s:7:\"subpath\";s:18:\"modules/simpletest\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:11:{s:4:\"name\";s:7:\"Testing\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:53:\"Provides a framework for unit and functional testing.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:9:\"configure\";s:19:\"simpletest.settings\";s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:0;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:0:{}s:4:\"sort\";i:0;}s:10:\"statistics\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:43:\"core/modules/statistics/statistics.info.yml\";s:11:\"\0*\0filename\";s:17:\"statistics.module\";s:7:\"subpath\";s:18:\"modules/statistics\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:11:{s:4:\"name\";s:10:\"Statistics\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:38:\"Logs content statistics for your site.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:9:\"configure\";s:19:\"statistics.settings\";s:12:\"dependencies\";a:1:{i:0;s:11:\"drupal:node\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:0;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:6:{s:4:\"node\";r:1791;s:4:\"text\";r:328;s:5:\"field\";r:263;s:6:\"filter\";r:67;s:4:\"user\";r:71;s:6:\"system\";r:75;}s:4:\"sort\";i:-44;}s:6:\"syslog\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:35:\"core/modules/syslog/syslog.info.yml\";s:11:\"\0*\0filename\";s:13:\"syslog.module\";s:7:\"subpath\";s:14:\"modules/syslog\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:11:{s:4:\"name\";s:6:\"Syslog\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:41:\"Logs and records system events to syslog.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:9:\"configure\";s:23:\"system.logging_settings\";s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:0;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:0:{}s:4:\"sort\";i:0;}s:6:\"system\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:35:\"core/modules/system/system.info.yml\";s:11:\"\0*\0filename\";s:13:\"system.module\";s:7:\"subpath\";s:14:\"modules/system\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:12:{s:4:\"name\";s:6:\"System\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:54:\"Handles general site configuration for administrators.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:8:\"required\";b:1;s:9:\"configure\";s:26:\"system.admin_config_system\";s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:30:{s:4:\"user\";r:75;s:6:\"filter\";r:75;s:4:\"text\";r:75;s:7:\"options\";r:75;s:10:\"aggregator\";r:75;s:10:\"basic_auth\";r:75;s:13:\"block_content\";r:75;s:4:\"node\";r:75;s:4:\"book\";r:75;s:6:\"editor\";r:75;s:8:\"ckeditor\";r:75;s:7:\"comment\";r:75;s:7:\"history\";r:75;s:8:\"taxonomy\";r:75;s:5:\"forum\";r:75;s:5:\"media\";r:75;s:5:\"views\";r:75;s:13:\"media_library\";r:75;s:9:\"quickedit\";r:75;s:10:\"statistics\";r:75;s:7:\"tracker\";r:75;s:8:\"views_ui\";r:75;s:10:\"workspaces\";r:75;s:12:\"ctools_views\";r:75;s:10:\"simplenews\";r:75;s:15:\"simplenews_demo\";r:75;s:17:\"video_embed_field\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:6:\"system\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:17:\"video_embed_media\";r:75;s:18:\"vem_migrate_oembed\";r:75;s:19:\"video_embed_wysiwyg\";r:75;}s:8:\"requires\";a:0:{}s:4:\"sort\";i:-2;}s:8:\"taxonomy\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:39:\"core/modules/taxonomy/taxonomy.info.yml\";s:11:\"\0*\0filename\";s:15:\"taxonomy.module\";s:7:\"subpath\";s:16:\"modules/taxonomy\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:11:{s:4:\"name\";s:8:\"Taxonomy\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:38:\"Enables the categorization of content.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:12:\"dependencies\";a:2:{i:0;s:11:\"drupal:node\";i:1;s:11:\"drupal:text\";}s:9:\"configure\";s:37:\"entity.taxonomy_vocabulary.collection\";s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:1:{s:5:\"forum\";r:1114;}s:8:\"requires\";a:6:{s:4:\"node\";r:1786;s:4:\"text\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:4:\"text\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:5:\"field\";r:263;s:6:\"filter\";r:67;s:4:\"user\";r:71;s:6:\"system\";r:75;}s:4:\"sort\";i:-29;}s:9:\"telephone\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:41:\"core/modules/telephone/telephone.info.yml\";s:11:\"\0*\0filename\";s:16:\"telephone.module\";s:7:\"subpath\";s:17:\"modules/telephone\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:10:{s:4:\"name\";s:9:\"Telephone\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:43:\"Defines a field type for telephone numbers.\";s:7:\"package\";s:11:\"Field types\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:12:\"dependencies\";a:1:{i:0;s:12:\"drupal:field\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:0;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:1:{s:5:\"field\";r:887;}s:4:\"sort\";i:-45;}s:4:\"text\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:31:\"core/modules/text/text.info.yml\";s:11:\"\0*\0filename\";s:11:\"text.module\";s:7:\"subpath\";s:12:\"modules/text\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:10:{s:4:\"name\";s:4:\"Text\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:32:\"Defines simple text field types.\";s:7:\"package\";s:11:\"Field types\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:12:\"dependencies\";a:2:{i:0;s:12:\"drupal:field\";i:1;s:13:\"drupal:filter\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:13:{s:7:\"options\";r:63;s:10:\"aggregator\";r:63;s:13:\"block_content\";r:259;s:4:\"node\";r:328;s:4:\"book\";r:328;s:7:\"comment\";r:471;s:7:\"history\";r:328;s:8:\"taxonomy\";r:2317;s:5:\"forum\";r:328;s:10:\"statistics\";r:328;s:7:\"tracker\";r:328;s:10:\"simplenews\";r:328;s:15:\"simplenews_demo\";r:328;}s:8:\"requires\";a:4:{s:5:\"field\";r:263;s:6:\"filter\";r:67;s:4:\"user\";r:71;s:6:\"system\";r:75;}s:4:\"sort\";i:-5;}s:7:\"toolbar\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:37:\"core/modules/toolbar/toolbar.info.yml\";s:11:\"\0*\0filename\";s:14:\"toolbar.module\";s:7:\"subpath\";s:15:\"modules/toolbar\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:10:{s:4:\"name\";s:7:\"Toolbar\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:99:\"Provides a toolbar that shows the top-level administration menu items and links from other modules.\";s:4:\"core\";s:3:\"8.x\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:12:\"dependencies\";a:1:{i:0;s:17:\"drupal:breakpoint\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:5:{s:13:\"settings_tray\";r:2119;s:13:\"admin_toolbar\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:7:\"toolbar\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:33:\"admin_toolbar_links_access_filter\";r:2416;s:20:\"admin_toolbar_search\";r:2416;s:19:\"admin_toolbar_tools\";r:2416;}s:8:\"requires\";a:1:{s:10:\"breakpoint\";r:362;}s:4:\"sort\";i:-41;}s:4:\"tour\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:31:\"core/modules/tour/tour.info.yml\";s:11:\"\0*\0filename\";s:11:\"tour.module\";s:7:\"subpath\";s:12:\"modules/tour\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:10:{s:4:\"name\";s:4:\"Tour\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:44:\"Displays guided tours of the site interface.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:0:{}s:4:\"sort\";i:0;}s:7:\"tracker\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:37:\"core/modules/tracker/tracker.info.yml\";s:11:\"\0*\0filename\";s:14:\"tracker.module\";s:7:\"subpath\";s:15:\"modules/tracker\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:10:{s:4:\"name\";s:16:\"Activity Tracker\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:45:\"Enables tracking of recent content for users.\";s:12:\"dependencies\";a:2:{i:0;s:11:\"drupal:node\";i:1;s:14:\"drupal:comment\";}s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:0;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:7:{s:4:\"node\";r:1795;s:4:\"text\";r:328;s:5:\"field\";r:263;s:6:\"filter\";r:67;s:4:\"user\";r:71;s:6:\"system\";r:75;s:7:\"comment\";r:466;}s:4:\"sort\";i:-46;}s:6:\"update\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:35:\"core/modules/update/update.info.yml\";s:11:\"\0*\0filename\";s:13:\"update.module\";s:7:\"subpath\";s:14:\"modules/update\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:11:{s:4:\"name\";s:14:\"Update Manager\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:104:\"Checks for available updates, and can securely install or update modules and themes via a web interface.\";s:7:\"version\";s:6:\"8.9.19\";s:7:\"package\";s:4:\"Core\";s:4:\"core\";s:3:\"8.x\";s:9:\"configure\";s:15:\"update.settings\";s:12:\"dependencies\";a:1:{i:0;s:11:\"drupal:file\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:2:{s:4:\"file\";r:1006;s:5:\"field\";r:55;}s:4:\"sort\";i:-47;}s:4:\"user\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:31:\"core/modules/user/user.info.yml\";s:11:\"\0*\0filename\";s:11:\"user.module\";s:7:\"subpath\";s:12:\"modules/user\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:12:{s:4:\"name\";s:4:\"User\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:47:\"Manages the user registration and login system.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:8:\"required\";b:1;s:9:\"configure\";s:16:\"user.admin_index\";s:12:\"dependencies\";a:1:{i:0;s:13:\"drupal:system\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:28:{s:6:\"filter\";r:71;s:4:\"text\";r:71;s:7:\"options\";r:71;s:10:\"aggregator\";r:71;s:10:\"basic_auth\";r:151;s:13:\"block_content\";r:268;s:4:\"node\";r:71;s:4:\"book\";r:71;s:6:\"editor\";r:71;s:8:\"ckeditor\";r:71;s:7:\"comment\";r:71;s:7:\"history\";r:71;s:8:\"taxonomy\";r:71;s:5:\"forum\";r:71;s:5:\"media\";r:1530;s:5:\"views\";r:71;s:13:\"media_library\";r:1566;s:9:\"quickedit\";r:71;s:10:\"statistics\";r:71;s:7:\"tracker\";r:71;s:8:\"views_ui\";r:71;s:10:\"workspaces\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:4:\"user\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:12:\"ctools_views\";r:71;s:10:\"simplenews\";r:71;s:15:\"simplenews_demo\";r:71;s:17:\"video_embed_media\";r:1530;s:18:\"vem_migrate_oembed\";r:1530;s:19:\"video_embed_wysiwyg\";r:71;}s:8:\"requires\";a:1:{s:6:\"system\";r:75;}s:4:\"sort\";i:-3;}s:5:\"views\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:33:\"core/modules/views/views.info.yml\";s:11:\"\0*\0filename\";s:12:\"views.module\";s:7:\"subpath\";s:13:\"modules/views\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:10:{s:4:\"name\";s:5:\"Views\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:55:\"Create customized lists and queries from your database.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:12:\"dependencies\";a:1:{i:0;s:13:\"drupal:filter\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:10;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:5:{s:13:\"media_library\";r:1571;s:8:\"views_ui\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:5:\"views\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:12:\"ctools_views\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:5:\"views\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:10:\"simplenews\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:5:\"views\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:15:\"simplenews_demo\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:5:\"views\";s:10:\"\0*\0project\";s:6:\"drupal\";s:19:\"\0*\0constraintString\";s:0:\"\";}}s:8:\"requires\";a:3:{s:6:\"filter\";r:1053;s:4:\"user\";r:71;s:6:\"system\";r:75;}s:4:\"sort\";i:-35;}s:8:\"views_ui\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:39:\"core/modules/views_ui/views_ui.info.yml\";s:11:\"\0*\0filename\";s:15:\"views_ui.module\";s:7:\"subpath\";s:16:\"modules/views_ui\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:11:{s:4:\"name\";s:8:\"Views UI\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:58:\"Provides a user interface for creating and managing views.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:9:\"configure\";s:22:\"entity.view.collection\";s:12:\"dependencies\";a:1:{i:0;s:12:\"drupal:views\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:4:{s:5:\"views\";r:2589;s:6:\"filter\";r:1053;s:4:\"user\";r:71;s:6:\"system\";r:75;}s:4:\"sort\";i:-48;}s:9:\"workflows\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:41:\"core/modules/workflows/workflows.info.yml\";s:11:\"\0*\0filename\";s:16:\"workflows.module\";s:7:\"subpath\";s:17:\"modules/workflows\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:11:{s:4:\"name\";s:9:\"Workflows\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:151:\"Provides an interface to create workflows with transitions between different states (for example publication or user status) provided by other modules.\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:7:\"package\";s:4:\"Core\";s:9:\"configure\";s:26:\"entity.workflow.collection\";s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:0;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:1:{s:18:\"content_moderation\";r:590;}s:8:\"requires\";a:0:{}s:4:\"sort\";i:0;}s:10:\"workspaces\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:43:\"core/modules/workspaces/workspaces.info.yml\";s:11:\"\0*\0filename\";s:17:\"workspaces.module\";s:7:\"subpath\";s:18:\"modules/workspaces\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:11:{s:4:\"name\";s:10:\"Workspaces\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:99:\"Allows users to stage content or preview a full site by using multiple workspaces on a single site.\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:7:\"package\";s:19:\"Core (Experimental)\";s:9:\"configure\";s:27:\"entity.workspace.collection\";s:12:\"dependencies\";a:1:{i:0;s:11:\"drupal:user\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:0;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:2:{s:4:\"user\";r:2553;s:6:\"system\";r:75;}s:4:\"sort\";i:-49;}s:13:\"admin_toolbar\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:44:\"modules/admin_toolbar/admin_toolbar.info.yml\";s:11:\"\0*\0filename\";s:20:\"admin_toolbar.module\";s:7:\"subpath\";s:21:\"modules/admin_toolbar\";s:6:\"origin\";s:0:\"\";s:4:\"info\";a:12:{s:4:\"name\";s:13:\"Admin Toolbar\";s:11:\"description\";s:66:\"Provides an improved drop-down menu interface to the site Toolbar.\";s:7:\"package\";s:14:\"Administration\";s:4:\"type\";s:6:\"module\";s:24:\"core_version_requirement\";s:14:\"^8.8.0 || ^9.0\";s:12:\"dependencies\";a:1:{i:0;s:14:\"drupal:toolbar\";}s:7:\"version\";s:7:\"8.x-2.5\";s:7:\"project\";s:13:\"admin_toolbar\";s:9:\"datestamp\";i:1629883385;s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1629883385;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:3:{s:33:\"admin_toolbar_links_access_filter\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:13:\"admin_toolbar\";s:10:\"\0*\0project\";s:13:\"admin_toolbar\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:20:\"admin_toolbar_search\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:13:\"admin_toolbar\";s:10:\"\0*\0project\";s:13:\"admin_toolbar\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:19:\"admin_toolbar_tools\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:13:\"admin_toolbar\";s:10:\"\0*\0project\";s:13:\"admin_toolbar\";s:19:\"\0*\0constraintString\";s:0:\"\";}}s:8:\"requires\";a:2:{s:7:\"toolbar\";r:2416;s:10:\"breakpoint\";r:362;}s:4:\"sort\";i:-50;}s:33:\"admin_toolbar_links_access_filter\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:98:\"modules/admin_toolbar/admin_toolbar_links_access_filter/admin_toolbar_links_access_filter.info.yml\";s:11:\"\0*\0filename\";s:40:\"admin_toolbar_links_access_filter.module\";s:7:\"subpath\";s:55:\"modules/admin_toolbar/admin_toolbar_links_access_filter\";s:6:\"origin\";s:0:\"\";s:4:\"info\";a:12:{s:4:\"name\";s:33:\"Admin Toolbar Links Access Filter\";s:11:\"description\";s:307:\"Provides a workaround for the common problem that users with \'Use the administration pages and help\' permission see menu links they don\'t have access permission for. Once the issue <a href=\'https://www.drupal.org/node/296693\'>https://www.drupal.org/node/296693</a> be solved, this module will be deprecated.\";s:7:\"package\";s:14:\"Administration\";s:4:\"type\";s:6:\"module\";s:24:\"core_version_requirement\";s:14:\"^8.8.0 || ^9.0\";s:12:\"dependencies\";a:1:{i:0;s:27:\"admin_toolbar:admin_toolbar\";}s:7:\"version\";s:7:\"8.x-2.5\";s:7:\"project\";s:13:\"admin_toolbar\";s:9:\"datestamp\";i:1629883385;s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1629883385;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:0;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:3:{s:13:\"admin_toolbar\";r:2715;s:7:\"toolbar\";r:2416;s:10:\"breakpoint\";r:362;}s:4:\"sort\";i:-51;}s:20:\"admin_toolbar_search\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:72:\"modules/admin_toolbar/admin_toolbar_search/admin_toolbar_search.info.yml\";s:11:\"\0*\0filename\";s:27:\"admin_toolbar_search.module\";s:7:\"subpath\";s:42:\"modules/admin_toolbar/admin_toolbar_search\";s:6:\"origin\";s:0:\"\";s:4:\"info\";a:12:{s:4:\"name\";s:20:\"Admin Toolbar Search\";s:11:\"description\";s:39:\"Provides search of Admin Toolbar items.\";s:7:\"package\";s:14:\"Administration\";s:4:\"type\";s:6:\"module\";s:24:\"core_version_requirement\";s:14:\"^8.8.0 || ^9.0\";s:12:\"dependencies\";a:1:{i:0;s:27:\"admin_toolbar:admin_toolbar\";}s:7:\"version\";s:7:\"8.x-2.5\";s:7:\"project\";s:13:\"admin_toolbar\";s:9:\"datestamp\";i:1629883385;s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1629883385;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:3:{s:13:\"admin_toolbar\";r:2719;s:7:\"toolbar\";r:2416;s:10:\"breakpoint\";r:362;}s:4:\"sort\";i:-52;}s:19:\"admin_toolbar_tools\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:70:\"modules/admin_toolbar/admin_toolbar_tools/admin_toolbar_tools.info.yml\";s:11:\"\0*\0filename\";s:26:\"admin_toolbar_tools.module\";s:7:\"subpath\";s:41:\"modules/admin_toolbar/admin_toolbar_tools\";s:6:\"origin\";s:0:\"\";s:4:\"info\";a:12:{s:4:\"name\";s:25:\"Admin Toolbar Extra Tools\";s:11:\"description\";s:86:\"Adds menu links like Flush cache, Run cron, Run updates, and Logout under Drupal icon.\";s:7:\"package\";s:14:\"Administration\";s:4:\"type\";s:6:\"module\";s:24:\"core_version_requirement\";s:14:\"^8.8.0 || ^9.0\";s:12:\"dependencies\";a:1:{i:0;s:27:\"admin_toolbar:admin_toolbar\";}s:7:\"version\";s:7:\"8.x-2.5\";s:7:\"project\";s:13:\"admin_toolbar\";s:9:\"datestamp\";i:1629883385;s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1629883385;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:3:{s:13:\"admin_toolbar\";r:2723;s:7:\"toolbar\";r:2416;s:10:\"breakpoint\";r:362;}s:4:\"sort\";i:-53;}s:11:\"block_class\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:40:\"modules/block_class/block_class.info.yml\";s:11:\"\0*\0filename\";s:18:\"block_class.module\";s:7:\"subpath\";s:19:\"modules/block_class\";s:6:\"origin\";s:0:\"\";s:4:\"info\";a:13:{s:4:\"name\";s:11:\"Block Class\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:39:\"Allows assigning the classes to Blocks.\";s:7:\"package\";s:14:\"User Interface\";s:4:\"core\";s:3:\"8.x\";s:24:\"core_version_requirement\";s:8:\"^8 || ^9\";s:12:\"dependencies\";a:1:{i:0;s:12:\"drupal:block\";}s:7:\"version\";s:7:\"8.x-1.3\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";i:1604426180;s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1604426180;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:1:{s:5:\"block\";r:218;}s:4:\"sort\";i:-54;}s:8:\"colorbox\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:34:\"modules/colorbox/colorbox.info.yml\";s:11:\"\0*\0filename\";s:15:\"colorbox.module\";s:7:\"subpath\";s:16:\"modules/colorbox\";s:6:\"origin\";s:0:\"\";s:4:\"info\";a:13:{s:4:\"name\";s:8:\"Colorbox\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:56:\"A light-weight, customizable lightbox plugin for jQuery.\";s:7:\"package\";s:5:\"Media\";s:24:\"core_version_requirement\";s:10:\"^8.8 || ^9\";s:9:\"configure\";s:23:\"colorbox.admin_settings\";s:12:\"dependencies\";a:1:{i:0;s:12:\"drupal:image\";}s:7:\"version\";s:7:\"8.x-1.7\";s:7:\"project\";s:8:\"colorbox\";s:9:\"datestamp\";i:1614960643;s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1614960643;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:3:{s:5:\"image\";r:1270;s:4:\"file\";r:996;s:5:\"field\";r:55;}s:4:\"sort\";i:-55;}s:6:\"ctools\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:30:\"modules/ctools/ctools.info.yml\";s:11:\"\0*\0filename\";s:13:\"ctools.module\";s:7:\"subpath\";s:14:\"modules/ctools\";s:6:\"origin\";s:0:\"\";s:4:\"info\";a:12:{s:4:\"name\";s:11:\"Chaos Tools\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:85:\"Provides a number of utility and helper APIs for Drupal developers and site builders.\";s:7:\"package\";s:16:\"Chaos tool suite\";s:24:\"core_version_requirement\";s:10:\"^8.8 || ^9\";s:7:\"version\";s:7:\"8.x-3.7\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";i:1623822132;s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1623822132;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:2:{s:12:\"ctools_block\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:6:\"ctools\";s:10:\"\0*\0project\";s:6:\"ctools\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:8:\"pathauto\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:6:\"ctools\";s:10:\"\0*\0project\";s:6:\"ctools\";s:19:\"\0*\0constraintString\";s:0:\"\";}}s:8:\"requires\";a:0:{}s:4:\"sort\";i:-2;}s:12:\"ctools_block\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:57:\"modules/ctools/modules/ctools_block/ctools_block.info.yml\";s:11:\"\0*\0filename\";s:19:\"ctools_block.module\";s:7:\"subpath\";s:35:\"modules/ctools/modules/ctools_block\";s:6:\"origin\";s:0:\"\";s:4:\"info\";a:12:{s:4:\"name\";s:18:\"Chaos Tools Blocks\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:74:\"Provides improvements to blocks that will one day be added to Drupal core.\";s:7:\"package\";s:31:\"Chaos tool suite (Experimental)\";s:24:\"core_version_requirement\";s:10:\"^8.8 || ^9\";s:12:\"dependencies\";a:1:{i:0;s:13:\"ctools:ctools\";}s:7:\"version\";s:7:\"8.x-3.7\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";i:1623822132;s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1623822132;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:0;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:1:{s:6:\"ctools\";r:2899;}s:4:\"sort\";i:-3;}s:18:\"ctools_entity_mask\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:69:\"modules/ctools/modules/ctools_entity_mask/ctools_entity_mask.info.yml\";s:11:\"\0*\0filename\";s:25:\"ctools_entity_mask.module\";s:7:\"subpath\";s:41:\"modules/ctools/modules/ctools_entity_mask\";s:6:\"origin\";s:0:\"\";s:4:\"info\";a:12:{s:4:\"name\";s:11:\"Entity Mask\";s:24:\"core_version_requirement\";s:10:\"^8.8 || ^9\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:92:\"Allows an entity type to borrow the fields and display configuration of another entity type.\";s:7:\"version\";s:7:\"8.x-3.7\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";i:1623822132;s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1623822132;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:0;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:0:{}s:4:\"sort\";i:0;}s:12:\"ctools_views\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:57:\"modules/ctools/modules/ctools_views/ctools_views.info.yml\";s:11:\"\0*\0filename\";s:19:\"ctools_views.module\";s:7:\"subpath\";s:35:\"modules/ctools/modules/ctools_views\";s:6:\"origin\";s:0:\"\";s:4:\"info\";a:12:{s:4:\"name\";s:17:\"Chaos Tools Views\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:89:\"A set of improvements to the core Views code that allows for greater control over Blocks.\";s:7:\"package\";s:31:\"Chaos tool suite (Experimental)\";s:24:\"core_version_requirement\";s:10:\"^8.8 || ^9\";s:12:\"dependencies\";a:2:{i:0;s:12:\"drupal:block\";i:1;s:12:\"drupal:views\";}s:7:\"version\";s:7:\"8.x-3.7\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";i:1623822132;s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1623822132;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:0;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:5:{s:5:\"block\";r:222;s:5:\"views\";r:2593;s:6:\"filter\";r:1053;s:4:\"user\";r:71;s:6:\"system\";r:75;}s:4:\"sort\";i:-56;}s:9:\"libraries\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:36:\"modules/libraries/libraries.info.yml\";s:11:\"\0*\0filename\";s:16:\"libraries.module\";s:7:\"subpath\";s:17:\"modules/libraries\";s:6:\"origin\";s:0:\"\";s:4:\"info\";a:12:{s:4:\"name\";s:9:\"Libraries\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:64:\"Allows version-dependent and shared usage of external libraries.\";s:24:\"core_version_requirement\";s:10:\"^8.8 || ^9\";s:7:\"version\";s:13:\"8.x-3.0-beta2\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";i:1635190096;s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1635190096;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:0:{}s:4:\"sort\";i:0;}s:8:\"memcache\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:34:\"modules/memcache/memcache.info.yml\";s:11:\"\0*\0filename\";s:15:\"memcache.module\";s:7:\"subpath\";s:16:\"modules/memcache\";s:6:\"origin\";s:0:\"\";s:4:\"info\";a:12:{s:4:\"name\";s:8:\"Memcache\";s:11:\"description\";s:43:\"High performance integration with memcache.\";s:4:\"type\";s:6:\"module\";s:7:\"package\";s:27:\"Performance and scalability\";s:7:\"version\";s:11:\"8.x-2.x-dev\";s:4:\"core\";s:3:\"8.x\";s:7:\"project\";s:8:\"memcache\";s:9:\"datestamp\";i:1430987886;s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1558337061;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:0;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:0:{}s:4:\"sort\";i:0;}s:20:\"menu_link_attributes\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:58:\"modules/menu_link_attributes/menu_link_attributes.info.yml\";s:11:\"\0*\0filename\";s:27:\"menu_link_attributes.module\";s:7:\"subpath\";s:28:\"modules/menu_link_attributes\";s:6:\"origin\";s:0:\"\";s:4:\"info\";a:14:{s:4:\"name\";s:20:\"Menu Link Attributes\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:43:\"Allows you to add attributes to menu links.\";s:4:\"core\";s:3:\"8.x\";s:24:\"core_version_requirement\";s:8:\"^8 || ^9\";s:12:\"dependencies\";a:1:{i:0;s:24:\"drupal:menu_link_content\";}s:9:\"configure\";s:27:\"menu_link_attributes.config\";s:7:\"version\";s:7:\"8.x-1.2\";s:7:\"project\";s:20:\"menu_link_attributes\";s:9:\"datestamp\";i:1614211189;s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1614211189;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:3:{s:17:\"menu_link_content\";r:1603;s:4:\"link\";r:1446;s:5:\"field\";r:872;}s:4:\"sort\";i:-57;}s:10:\"node_class\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:38:\"modules/node_class/node_class.info.yml\";s:11:\"\0*\0filename\";s:17:\"node_class.module\";s:7:\"subpath\";s:18:\"modules/node_class\";s:6:\"origin\";s:0:\"\";s:4:\"info\";a:12:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:10:\"Node class\";s:11:\"description\";s:29:\"Adds classes specific to node\";s:7:\"version\";s:13:\"8.x-1.0-beta1\";s:4:\"core\";s:3:\"8.x\";s:7:\"project\";s:10:\"node_class\";s:9:\"datestamp\";i:1466182504;s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1558337061;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:0:{}s:4:\"sort\";i:0;}s:8:\"pathauto\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:34:\"modules/pathauto/pathauto.info.yml\";s:11:\"\0*\0filename\";s:15:\"pathauto.module\";s:7:\"subpath\";s:16:\"modules/pathauto\";s:6:\"origin\";s:0:\"\";s:4:\"info\";a:14:{s:4:\"name\";s:8:\"Pathauto\";s:11:\"description\";s:95:\"Provides a mechanism for modules to automatically generate aliases for the content they manage.\";s:24:\"core_version_requirement\";s:10:\"^8.8 || ^9\";s:4:\"type\";s:6:\"module\";s:12:\"dependencies\";a:3:{i:0;s:13:\"ctools:ctools\";i:1;s:11:\"drupal:path\";i:2;s:11:\"token:token\";}s:9:\"configure\";s:34:\"entity.pathauto_pattern.collection\";s:10:\"recommends\";a:1:{i:0;s:17:\"redirect:redirect\";}s:7:\"version\";s:7:\"8.x-1.8\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";i:1588103048;s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1588103048;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:1;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:4:{s:6:\"ctools\";r:2903;s:4:\"path\";r:1894;s:10:\"path_alias\";r:1899;s:5:\"token\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:5:\"token\";s:10:\"\0*\0project\";s:5:\"token\";s:19:\"\0*\0constraintString\";s:0:\"\";}}s:4:\"sort\";i:-5;}s:9:\"sharethis\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:36:\"modules/sharethis/sharethis.info.yml\";s:11:\"\0*\0filename\";s:16:\"sharethis.module\";s:7:\"subpath\";s:17:\"modules/sharethis\";s:6:\"origin\";s:0:\"\";s:4:\"info\";a:13:{s:4:\"name\";s:9:\"ShareThis\";s:11:\"description\";s:87:\"Add the <a href=\"http://www.sharethis.com/\">ShareThis</a> widget to nodes on your site.\";s:24:\"core_version_requirement\";s:10:\"^8.8 || ^9\";s:4:\"type\";s:6:\"module\";s:9:\"configure\";s:28:\"sharethis.configuration_form\";s:7:\"version\";s:13:\"8.x-2.0-beta5\";s:7:\"project\";s:9:\"sharethis\";s:9:\"datestamp\";i:1592286579;s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1600419052;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:0:{}s:4:\"sort\";i:0;}s:15:\"simplenews_demo\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:67:\"modules/simplenews/modules/simplenews_demo/simplenews_demo.info.yml\";s:11:\"\0*\0filename\";N;s:7:\"subpath\";s:42:\"modules/simplenews/modules/simplenews_demo\";s:6:\"origin\";s:0:\"\";s:4:\"info\";a:13:{s:4:\"name\";s:15:\"Simplenews Demo\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:27:\"Demo module for Simplenews.\";s:4:\"core\";s:3:\"8.x\";s:12:\"dependencies\";a:4:{i:0;s:12:\"drupal:block\";i:1;s:12:\"drupal:views\";i:2;s:21:\"simplenews:simplenews\";i:3;s:41:\"simplenews_scheduler:simplenews_scheduler\";}s:6:\"hidden\";b:0;s:7:\"package\";s:4:\"Mail\";s:7:\"version\";s:13:\"8.x-1.0-beta2\";s:7:\"project\";s:10:\"simplenews\";s:9:\"datestamp\";i:1599415338;s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1600419052;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:0;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:11:{s:5:\"block\";r:226;s:5:\"views\";r:2601;s:6:\"filter\";r:1053;s:4:\"user\";r:71;s:6:\"system\";r:75;s:10:\"simplenews\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:10:\"simplenews\";s:10:\"\0*\0project\";s:10:\"simplenews\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:4:\"node\";r:1799;s:4:\"text\";r:328;s:5:\"field\";r:895;s:7:\"options\";r:1836;s:20:\"simplenews_scheduler\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:20:\"simplenews_scheduler\";s:10:\"\0*\0project\";s:20:\"simplenews_scheduler\";s:19:\"\0*\0constraintString\";s:0:\"\";}}s:4:\"sort\";i:-59;}s:10:\"simplenews\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:38:\"modules/simplenews/simplenews.info.yml\";s:11:\"\0*\0filename\";s:17:\"simplenews.module\";s:7:\"subpath\";s:18:\"modules/simplenews\";s:6:\"origin\";s:0:\"\";s:4:\"info\";a:14:{s:4:\"name\";s:10:\"Simplenews\";s:11:\"description\";s:149:\"Send newsletters to subscribed email addresses. For uninstall go to Configuration > Web services > Simplenews > Settings and hit \"Prepare uninstall\".\";s:4:\"type\";s:6:\"module\";s:7:\"package\";s:4:\"Mail\";s:4:\"core\";s:3:\"8.x\";s:12:\"dependencies\";a:4:{i:0;s:11:\"drupal:node\";i:1;s:12:\"drupal:field\";i:2;s:14:\"drupal:options\";i:3;s:12:\"drupal:views\";}s:17:\"test_dependencies\";a:1:{i:0;s:21:\"monitoring:monitoring\";}s:9:\"configure\";s:26:\"simplenews.newsletter_list\";s:7:\"version\";s:13:\"8.x-1.0-beta2\";s:7:\"project\";s:10:\"simplenews\";s:9:\"datestamp\";i:1599415338;s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1600419052;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:1:{s:15:\"simplenews_demo\";r:3197;}s:8:\"requires\";a:8:{s:4:\"node\";r:1799;s:4:\"text\";r:328;s:5:\"field\";r:895;s:6:\"filter\";r:67;s:4:\"user\";r:71;s:6:\"system\";r:75;s:7:\"options\";r:1836;s:5:\"views\";r:2597;}s:4:\"sort\";i:-58;}s:13:\"taxonomy_menu\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:44:\"modules/taxonomy_menu/taxonomy_menu.info.yml\";s:11:\"\0*\0filename\";s:20:\"taxonomy_menu.module\";s:7:\"subpath\";s:21:\"modules/taxonomy_menu\";s:6:\"origin\";s:0:\"\";s:4:\"info\";a:12:{s:4:\"name\";s:13:\"Taxonomy Menu\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:33:\"Embed a taxonomy tree into a menu\";s:7:\"package\";s:4:\"Menu\";s:7:\"version\";s:7:\"8.x-3.0\";s:4:\"core\";s:3:\"8.x\";s:7:\"project\";s:13:\"taxonomy_menu\";s:9:\"datestamp\";i:1442495044;s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1558337061;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:0;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:0:{}s:4:\"sort\";i:0;}s:5:\"token\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:28:\"modules/token/token.info.yml\";s:11:\"\0*\0filename\";s:12:\"token.module\";s:7:\"subpath\";s:13:\"modules/token\";s:6:\"origin\";s:0:\"\";s:4:\"info\";a:12:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:5:\"Token\";s:11:\"description\";s:73:\"Provides a user interface for the Token API and some missing core tokens.\";s:24:\"core_version_requirement\";s:10:\"^8.8 || ^9\";s:7:\"version\";s:7:\"8.x-1.9\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";i:1608284868;s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1608284868;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:1:{s:8:\"pathauto\";r:3132;}s:8:\"requires\";a:0:{}s:4:\"sort\";i:-4;}s:18:\"vem_migrate_oembed\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:106:\"modules/video_embed_field/modules/video_embed_media/modules/vem_migrate_oembed/vem_migrate_oembed.info.yml\";s:11:\"\0*\0filename\";N;s:7:\"subpath\";s:78:\"modules/video_embed_field/modules/video_embed_media/modules/vem_migrate_oembed\";s:6:\"origin\";s:0:\"\";s:4:\"info\";a:12:{s:4:\"name\";s:42:\"Video Embed Media - Migrate to core oEmbed\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:51:\"Provides a drush command to migrate to cores oEmbed\";s:7:\"package\";s:17:\"Video Embed Field\";s:24:\"core_version_requirement\";s:10:\"^8.8 || ^9\";s:12:\"dependencies\";a:2:{i:0;s:21:\"drupal:media (>= 8.6)\";i:1;s:35:\"video_embed_field:video_embed_media\";}s:7:\"version\";s:7:\"8.x-2.4\";s:7:\"project\";s:17:\"video_embed_field\";s:9:\"datestamp\";i:1587686287;s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1600419052;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:0;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:8:{s:5:\"media\";r:1522;s:4:\"file\";r:1000;s:5:\"field\";r:55;s:5:\"image\";r:1261;s:4:\"user\";r:1530;s:6:\"system\";r:75;s:17:\"video_embed_media\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:17:\"video_embed_media\";s:10:\"\0*\0project\";s:17:\"video_embed_field\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:17:\"video_embed_field\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:17:\"video_embed_field\";s:10:\"\0*\0project\";s:17:\"video_embed_field\";s:19:\"\0*\0constraintString\";s:0:\"\";}}s:4:\"sort\";i:-62;}s:17:\"video_embed_media\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:78:\"modules/video_embed_field/modules/video_embed_media/video_embed_media.info.yml\";s:11:\"\0*\0filename\";N;s:7:\"subpath\";s:51:\"modules/video_embed_field/modules/video_embed_media\";s:6:\"origin\";s:0:\"\";s:4:\"info\";a:12:{s:4:\"name\";s:17:\"Video Embed Media\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:178:\"Integrates video_embed_field with the Media module, creating a new media type tailored to display embedded videos. Useful for websites which are using the media suite of modules.\";s:7:\"package\";s:17:\"Video Embed Field\";s:24:\"core_version_requirement\";s:10:\"^8.8 || ^9\";s:12:\"dependencies\";a:2:{i:0;s:21:\"drupal:media (>= 8.4)\";i:1;s:35:\"video_embed_field:video_embed_field\";}s:7:\"version\";s:7:\"8.x-2.4\";s:7:\"project\";s:17:\"video_embed_field\";s:9:\"datestamp\";i:1587686287;s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1600419052;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:0;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:1:{s:18:\"vem_migrate_oembed\";r:3334;}s:8:\"requires\";a:7:{s:5:\"media\";r:1518;s:4:\"file\";r:1000;s:5:\"field\";r:55;s:5:\"image\";r:1261;s:4:\"user\";r:1530;s:6:\"system\";r:75;s:17:\"video_embed_field\";r:3338;}s:4:\"sort\";i:-61;}s:19:\"video_embed_wysiwyg\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:82:\"modules/video_embed_field/modules/video_embed_wysiwyg/video_embed_wysiwyg.info.yml\";s:11:\"\0*\0filename\";s:26:\"video_embed_wysiwyg.module\";s:7:\"subpath\";s:53:\"modules/video_embed_field/modules/video_embed_wysiwyg\";s:6:\"origin\";s:0:\"\";s:4:\"info\";a:12:{s:4:\"name\";s:19:\"Video Embed WYSIWYG\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:136:\"Integrates video_embed_field directly into ckeditor. Useful for websites not using the media suite of modules that need WYSIWYG support.\";s:7:\"package\";s:17:\"Video Embed Field\";s:24:\"core_version_requirement\";s:10:\"^8.8 || ^9\";s:12:\"dependencies\";a:3:{i:0;s:12:\"drupal:field\";i:1;s:15:\"drupal:ckeditor\";i:2;s:35:\"video_embed_field:video_embed_field\";}s:7:\"version\";s:7:\"8.x-2.4\";s:7:\"project\";s:17:\"video_embed_field\";s:9:\"datestamp\";i:1587686287;s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1600419052;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:0;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:9:{s:5:\"field\";r:906;s:8:\"ckeditor\";r:395;s:6:\"editor\";r:400;s:6:\"filter\";r:404;s:4:\"user\";r:71;s:6:\"system\";r:75;s:4:\"file\";r:410;s:17:\"video_embed_field\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:17:\"video_embed_field\";s:10:\"\0*\0project\";s:17:\"video_embed_field\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:5:\"image\";r:1274;}s:4:\"sort\";i:-63;}s:17:\"video_embed_field\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:52:\"modules/video_embed_field/video_embed_field.info.yml\";s:11:\"\0*\0filename\";s:24:\"video_embed_field.module\";s:7:\"subpath\";s:25:\"modules/video_embed_field\";s:6:\"origin\";s:0:\"\";s:4:\"info\";a:13:{s:4:\"name\";s:17:\"Video Embed Field\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:95:\"Provides a field type for displaying videos from 3rd party providers such as YouTube and Vimeo.\";s:7:\"package\";s:17:\"Video Embed Field\";s:24:\"core_version_requirement\";s:10:\"^8.8 || ^9\";s:12:\"dependencies\";a:3:{i:0;s:12:\"drupal:field\";i:1;s:12:\"drupal:image\";i:2;s:13:\"drupal:system\";}s:17:\"test_dependencies\";a:1:{i:0;s:17:\"colorbox:colorbox\";}s:7:\"version\";s:7:\"8.x-2.4\";s:7:\"project\";s:17:\"video_embed_field\";s:9:\"datestamp\";i:1587686287;s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1600419052;s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:3:{s:17:\"video_embed_media\";r:3338;s:18:\"vem_migrate_oembed\";r:3338;s:19:\"video_embed_wysiwyg\";r:3412;}s:8:\"requires\";a:4:{s:5:\"field\";r:900;s:5:\"image\";r:1274;s:4:\"file\";r:996;s:6:\"system\";r:2281;}s:4:\"sort\";i:-60;}s:11:\"we_megamenu\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:6:\"module\";s:11:\"\0*\0pathname\";s:40:\"modules/we_megamenu/we_megamenu.info.yml\";s:11:\"\0*\0filename\";s:18:\"we_megamenu.module\";s:7:\"subpath\";s:19:\"modules/we_megamenu\";s:6:\"origin\";s:0:\"\";s:4:\"info\";a:12:{s:4:\"name\";s:24:\"Mega Menu for Drupal 8/9\";s:4:\"type\";s:6:\"module\";s:11:\"description\";s:82:\"This powerful Drupal module helps you create custom menu, video and Drupal Blocks.\";s:7:\"package\";s:10:\"WeMegaMenu\";s:24:\"core_version_requirement\";s:8:\"^8 || ^9\";s:7:\"version\";s:8:\"8.x-1.13\";s:7:\"project\";s:11:\"we_megamenu\";s:9:\"datestamp\";i:1624951528;s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1624951528;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"7.0.8\";}s:6:\"weight\";i:0;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:0:{}s:4:\"sort\";i:0;}s:8:\"standard\";O:31:\"Drupal\\Core\\Extension\\Extension\":12:{s:7:\"\0*\0type\";s:7:\"profile\";s:11:\"\0*\0pathname\";s:40:\"core/profiles/standard/standard.info.yml\";s:11:\"\0*\0filename\";s:16:\"standard.profile\";s:7:\"subpath\";s:17:\"profiles/standard\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:15:{s:4:\"name\";s:8:\"Standard\";s:4:\"type\";s:7:\"profile\";s:11:\"description\";s:51:\"Install with commonly used features pre-configured.\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:7:\"install\";a:35:{i:0;s:4:\"node\";i:1;s:7:\"history\";i:2;s:5:\"block\";i:3;s:10:\"breakpoint\";i:4;s:8:\"ckeditor\";i:5;s:5:\"color\";i:6;s:6:\"config\";i:7;s:7:\"comment\";i:8;s:10:\"contextual\";i:9;s:7:\"contact\";i:10;s:17:\"menu_link_content\";i:11;s:8:\"datetime\";i:12;s:13:\"block_content\";i:13;s:9:\"quickedit\";i:14;s:6:\"editor\";i:15;s:4:\"help\";i:16;s:5:\"image\";i:17;s:7:\"menu_ui\";i:18;s:7:\"options\";i:19;s:4:\"path\";i:20;s:10:\"page_cache\";i:21;s:18:\"dynamic_page_cache\";i:22;s:8:\"big_pipe\";i:23;s:8:\"taxonomy\";i:24;s:5:\"dblog\";i:25;s:6:\"search\";i:26;s:8:\"shortcut\";i:27;s:7:\"toolbar\";i:28;s:8:\"field_ui\";i:29;s:4:\"file\";i:30;s:3:\"rdf\";i:31;s:5:\"views\";i:32;s:8:\"views_ui\";i:33;s:4:\"tour\";i:34;s:14:\"automated_cron\";}s:6:\"themes\";a:2:{i:0;s:6:\"bartik\";i:1;s:5:\"seven\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"7.0.8\";s:6:\"hidden\";b:1;s:8:\"required\";b:1;s:12:\"distribution\";a:1:{s:4:\"name\";s:6:\"Drupal\";}}s:6:\"weight\";i:1000;s:6:\"status\";i:1;s:14:\"schema_version\";i:-1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:0:{}s:4:\"sort\";i:0;}}',-1,1637057229.269,1,'','0'),('core.extension.list.profile','a:15:{s:10:\"demo_umami\";O:31:\"Drupal\\Core\\Extension\\Extension\":6:{s:7:\"\0*\0type\";s:7:\"profile\";s:11:\"\0*\0pathname\";s:44:\"core/profiles/demo_umami/demo_umami.info.yml\";s:11:\"\0*\0filename\";s:18:\"demo_umami.profile\";s:7:\"subpath\";s:19:\"profiles/demo_umami\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:13:{s:4:\"name\";s:40:\"Demo: Umami Food Magazine (Experimental)\";s:4:\"type\";s:7:\"profile\";s:11:\"description\";s:71:\"Install an example site that shows off some of Drupal’s capabilities.\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:7:\"install\";a:45:{i:0;s:4:\"node\";i:1;s:7:\"history\";i:2;s:8:\"big_pipe\";i:3;s:5:\"block\";i:4;s:10:\"breakpoint\";i:5;s:8:\"ckeditor\";i:6;s:5:\"color\";i:7;s:6:\"config\";i:8;s:10:\"contextual\";i:9;s:7:\"contact\";i:10;s:14:\"layout_builder\";i:11;s:16:\"layout_discovery\";i:12;s:17:\"menu_link_content\";i:13;s:8:\"datetime\";i:14;s:13:\"block_content\";i:15;s:9:\"quickedit\";i:16;s:6:\"editor\";i:17;s:4:\"help\";i:18;s:5:\"image\";i:19;s:5:\"media\";i:20;s:13:\"media_library\";i:21;s:7:\"menu_ui\";i:22;s:7:\"options\";i:23;s:4:\"path\";i:24;s:10:\"page_cache\";i:25;s:18:\"dynamic_page_cache\";i:26;s:8:\"taxonomy\";i:27;s:5:\"dblog\";i:28;s:6:\"search\";i:29;s:8:\"shortcut\";i:30;s:7:\"toolbar\";i:31;s:8:\"field_ui\";i:32;s:4:\"file\";i:33;s:3:\"rdf\";i:34;s:5:\"views\";i:35;s:8:\"views_ui\";i:36;s:4:\"tour\";i:37;s:14:\"automated_cron\";i:38;s:16:\"responsive_image\";i:39;s:18:\"content_moderation\";i:40;s:9:\"workflows\";i:41;s:8:\"language\";i:42;s:6:\"locale\";i:43;s:18:\"config_translation\";i:44;s:19:\"content_translation\";}s:6:\"themes\";a:2:{i:0;s:5:\"seven\";i:1;s:5:\"umami\";}s:12:\"keep_english\";b:1;s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"7.0.8\";}}s:7:\"minimal\";O:31:\"Drupal\\Core\\Extension\\Extension\":6:{s:7:\"\0*\0type\";s:7:\"profile\";s:11:\"\0*\0pathname\";s:38:\"core/profiles/minimal/minimal.info.yml\";s:11:\"\0*\0filename\";N;s:7:\"subpath\";s:16:\"profiles/minimal\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:12:{s:4:\"name\";s:7:\"Minimal\";s:4:\"type\";s:7:\"profile\";s:11:\"description\";s:86:\"Build a custom site without pre-configured functionality. Suitable for advanced users.\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:7:\"install\";a:5:{i:0;s:4:\"node\";i:1;s:5:\"block\";i:2;s:5:\"dblog\";i:3;s:10:\"page_cache\";i:4;s:18:\"dynamic_page_cache\";}s:6:\"themes\";a:1:{i:0;s:5:\"stark\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"7.0.8\";}}s:18:\"nightwatch_testing\";O:31:\"Drupal\\Core\\Extension\\Extension\":6:{s:7:\"\0*\0type\";s:7:\"profile\";s:11:\"\0*\0pathname\";s:60:\"core/profiles/nightwatch_testing/nightwatch_testing.info.yml\";s:11:\"\0*\0filename\";N;s:7:\"subpath\";s:27:\"profiles/nightwatch_testing\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:12:{s:4:\"name\";s:18:\"Nightwatch Testing\";s:4:\"type\";s:7:\"profile\";s:11:\"description\";s:88:\"Minimal profile for running Nightwatch tests. Includes absolutely required modules only.\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:6:\"hidden\";b:1;s:7:\"install\";a:1:{i:0;s:23:\"js_deprecation_log_test\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"7.0.8\";}}s:8:\"standard\";O:31:\"Drupal\\Core\\Extension\\Extension\":6:{s:7:\"\0*\0type\";s:7:\"profile\";s:11:\"\0*\0pathname\";s:40:\"core/profiles/standard/standard.info.yml\";s:11:\"\0*\0filename\";s:16:\"standard.profile\";s:7:\"subpath\";s:17:\"profiles/standard\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:12:{s:4:\"name\";s:8:\"Standard\";s:4:\"type\";s:7:\"profile\";s:11:\"description\";s:51:\"Install with commonly used features pre-configured.\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:7:\"install\";a:35:{i:0;s:4:\"node\";i:1;s:7:\"history\";i:2;s:5:\"block\";i:3;s:10:\"breakpoint\";i:4;s:8:\"ckeditor\";i:5;s:5:\"color\";i:6;s:6:\"config\";i:7;s:7:\"comment\";i:8;s:10:\"contextual\";i:9;s:7:\"contact\";i:10;s:17:\"menu_link_content\";i:11;s:8:\"datetime\";i:12;s:13:\"block_content\";i:13;s:9:\"quickedit\";i:14;s:6:\"editor\";i:15;s:4:\"help\";i:16;s:5:\"image\";i:17;s:7:\"menu_ui\";i:18;s:7:\"options\";i:19;s:4:\"path\";i:20;s:10:\"page_cache\";i:21;s:18:\"dynamic_page_cache\";i:22;s:8:\"big_pipe\";i:23;s:8:\"taxonomy\";i:24;s:5:\"dblog\";i:25;s:6:\"search\";i:26;s:8:\"shortcut\";i:27;s:7:\"toolbar\";i:28;s:8:\"field_ui\";i:29;s:4:\"file\";i:30;s:3:\"rdf\";i:31;s:5:\"views\";i:32;s:8:\"views_ui\";i:33;s:4:\"tour\";i:34;s:14:\"automated_cron\";}s:6:\"themes\";a:2:{i:0;s:6:\"bartik\";i:1;s:5:\"seven\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"7.0.8\";}}s:7:\"testing\";O:31:\"Drupal\\Core\\Extension\\Extension\":6:{s:7:\"\0*\0type\";s:7:\"profile\";s:11:\"\0*\0pathname\";s:38:\"core/profiles/testing/testing.info.yml\";s:11:\"\0*\0filename\";N;s:7:\"subpath\";s:16:\"profiles/testing\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:12:{s:4:\"name\";s:7:\"Testing\";s:4:\"type\";s:7:\"profile\";s:11:\"description\";s:77:\"Minimal profile for running tests. Includes absolutely required modules only.\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:6:\"hidden\";b:1;s:7:\"install\";a:2:{i:0;s:17:\"drupal:page_cache\";i:1;s:18:\"dynamic_page_cache\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"7.0.8\";}}s:21:\"testing_config_import\";O:31:\"Drupal\\Core\\Extension\\Extension\":6:{s:7:\"\0*\0type\";s:7:\"profile\";s:11:\"\0*\0pathname\";s:66:\"core/profiles/testing_config_import/testing_config_import.info.yml\";s:11:\"\0*\0filename\";N;s:7:\"subpath\";s:30:\"profiles/testing_config_import\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:13:{s:4:\"name\";s:21:\"Testing config import\";s:4:\"type\";s:7:\"profile\";s:11:\"description\";s:46:\"Tests install profiles in the config importer.\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:6:\"hidden\";b:1;s:7:\"install\";a:1:{i:0;s:6:\"syslog\";}s:6:\"themes\";a:1:{i:0;s:5:\"stark\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"7.0.8\";}}s:24:\"testing_config_overrides\";O:31:\"Drupal\\Core\\Extension\\Extension\":6:{s:7:\"\0*\0type\";s:7:\"profile\";s:11:\"\0*\0pathname\";s:72:\"core/profiles/testing_config_overrides/testing_config_overrides.info.yml\";s:11:\"\0*\0filename\";N;s:7:\"subpath\";s:33:\"profiles/testing_config_overrides\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:12:{s:4:\"name\";s:24:\"Testing config overrides\";s:4:\"type\";s:7:\"profile\";s:11:\"description\";s:69:\"Minimal profile for running tests with config overrides in a profile.\";s:7:\"version\";s:6:\"8.9.19\";s:24:\"core_version_requirement\";s:1:\"*\";s:6:\"hidden\";b:1;s:7:\"install\";a:3:{i:0;s:6:\"action\";i:1;s:8:\"language\";i:2;s:4:\"tour\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"7.0.8\";}}s:40:\"testing_install_profile_all_dependencies\";O:31:\"Drupal\\Core\\Extension\\Extension\":6:{s:7:\"\0*\0type\";s:7:\"profile\";s:11:\"\0*\0pathname\";s:104:\"core/profiles/testing_install_profile_all_dependencies/testing_install_profile_all_dependencies.info.yml\";s:11:\"\0*\0filename\";N;s:7:\"subpath\";s:49:\"profiles/testing_install_profile_all_dependencies\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:13:{s:4:\"name\";s:40:\"Testing install profile all dependencies\";s:4:\"type\";s:7:\"profile\";s:11:\"description\";s:63:\"Profile for testing that install profiles can require a module.\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:2:{i:0;s:3:\"ban\";i:1;s:5:\"dblog\";}s:7:\"install\";a:0:{}s:6:\"themes\";a:1:{i:0;s:6:\"classy\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"7.0.8\";}}s:36:\"testing_install_profile_dependencies\";O:31:\"Drupal\\Core\\Extension\\Extension\":6:{s:7:\"\0*\0type\";s:7:\"profile\";s:11:\"\0*\0pathname\";s:96:\"core/profiles/testing_install_profile_dependencies/testing_install_profile_dependencies.info.yml\";s:11:\"\0*\0filename\";N;s:7:\"subpath\";s:45:\"profiles/testing_install_profile_dependencies\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:13:{s:4:\"name\";s:36:\"Testing install profile dependencies\";s:4:\"type\";s:7:\"profile\";s:11:\"description\";s:63:\"Profile for testing that install profiles can require a module.\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:1:{i:0;s:5:\"dblog\";}s:7:\"install\";a:1:{i:0;s:3:\"ban\";}s:6:\"themes\";a:1:{i:0;s:6:\"classy\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"7.0.8\";}}s:39:\"testing_install_profile_dependencies_bc\";O:31:\"Drupal\\Core\\Extension\\Extension\":6:{s:7:\"\0*\0type\";s:7:\"profile\";s:11:\"\0*\0pathname\";s:102:\"core/profiles/testing_install_profile_dependencies_bc/testing_install_profile_dependencies_bc.info.yml\";s:11:\"\0*\0filename\";N;s:7:\"subpath\";s:48:\"profiles/testing_install_profile_dependencies_bc\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:13:{s:4:\"name\";s:45:\"Testing install profile dependencies BC layer\";s:4:\"type\";s:7:\"profile\";s:11:\"description\";s:54:\"Profile for testing BC layer for profile dependencies.\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:0:{}s:6:\"themes\";a:1:{i:0;s:6:\"classy\";}s:17:\"core_incompatible\";b:0;s:7:\"install\";a:2:{i:0;s:5:\"dblog\";i:1;s:3:\"ban\";}s:5:\"mtime\";i:1631657298;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"7.0.8\";}}s:28:\"testing_missing_dependencies\";O:31:\"Drupal\\Core\\Extension\\Extension\":6:{s:7:\"\0*\0type\";s:7:\"profile\";s:11:\"\0*\0pathname\";s:80:\"core/profiles/testing_missing_dependencies/testing_missing_dependencies.info.yml\";s:11:\"\0*\0filename\";N;s:7:\"subpath\";s:37:\"profiles/testing_missing_dependencies\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:13:{s:4:\"name\";s:28:\"Testing missing dependencies\";s:4:\"type\";s:7:\"profile\";s:11:\"description\";s:76:\"Minimal profile for running a test when dependencies are listed but missing.\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:6:\"hidden\";b:1;s:7:\"install\";a:5:{i:0;s:5:\"block\";i:1;s:11:\"drupal:node\";i:2;s:16:\"drupal:fictional\";i:3;s:15:\"missing_module1\";i:4;s:15:\"missing_module2\";}s:12:\"keep_english\";b:1;s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"7.0.8\";}}s:20:\"testing_multilingual\";O:31:\"Drupal\\Core\\Extension\\Extension\":6:{s:7:\"\0*\0type\";s:7:\"profile\";s:11:\"\0*\0pathname\";s:64:\"core/profiles/testing_multilingual/testing_multilingual.info.yml\";s:11:\"\0*\0filename\";N;s:7:\"subpath\";s:29:\"profiles/testing_multilingual\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:12:{s:4:\"name\";s:20:\"Testing multilingual\";s:4:\"type\";s:7:\"profile\";s:11:\"description\";s:64:\"Minimal profile for running tests with a multilingual installer.\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:6:\"hidden\";b:1;s:7:\"install\";a:2:{i:0;s:6:\"locale\";i:1;s:4:\"tour\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"7.0.8\";}}s:33:\"testing_multilingual_with_english\";O:31:\"Drupal\\Core\\Extension\\Extension\":6:{s:7:\"\0*\0type\";s:7:\"profile\";s:11:\"\0*\0pathname\";s:90:\"core/profiles/testing_multilingual_with_english/testing_multilingual_with_english.info.yml\";s:11:\"\0*\0filename\";N;s:7:\"subpath\";s:42:\"profiles/testing_multilingual_with_english\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:13:{s:4:\"name\";s:33:\"Testing multilingual with English\";s:4:\"type\";s:7:\"profile\";s:11:\"description\";s:64:\"Minimal profile for running tests with a multilingual installer.\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:6:\"hidden\";b:1;s:7:\"install\";a:1:{i:0;s:6:\"locale\";}s:12:\"keep_english\";b:1;s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"7.0.8\";}}s:20:\"testing_requirements\";O:31:\"Drupal\\Core\\Extension\\Extension\":6:{s:7:\"\0*\0type\";s:7:\"profile\";s:11:\"\0*\0pathname\";s:64:\"core/profiles/testing_requirements/testing_requirements.info.yml\";s:11:\"\0*\0filename\";N;s:7:\"subpath\";s:29:\"profiles/testing_requirements\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:12:{s:4:\"name\";s:20:\"Testing requirements\";s:4:\"type\";s:7:\"profile\";s:11:\"description\";s:40:\"Profile for testing hook_requirements().\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:6:\"hidden\";b:1;s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:12:\"dependencies\";a:0:{}s:7:\"install\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"7.0.8\";}}s:19:\"testing_site_config\";O:31:\"Drupal\\Core\\Extension\\Extension\":6:{s:7:\"\0*\0type\";s:7:\"profile\";s:11:\"\0*\0pathname\";s:62:\"core/profiles/testing_site_config/testing_site_config.info.yml\";s:11:\"\0*\0filename\";N;s:7:\"subpath\";s:28:\"profiles/testing_site_config\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:12:{s:4:\"name\";s:19:\"Testing site config\";s:4:\"type\";s:7:\"profile\";s:11:\"description\";s:53:\"Minimal profile for testing with default site config.\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:6:\"hidden\";b:1;s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:12:\"dependencies\";a:0:{}s:7:\"install\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"7.0.8\";}}}',-1,1636011224.950,1,'','0'),('core.extension.list.theme','a:7:{s:5:\"stark\";O:31:\"Drupal\\Core\\Extension\\Extension\":13:{s:7:\"\0*\0type\";s:5:\"theme\";s:11:\"\0*\0pathname\";s:32:\"core/themes/stark/stark.info.yml\";s:11:\"\0*\0filename\";N;s:7:\"subpath\";s:12:\"themes/stark\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:18:{s:4:\"name\";s:5:\"Stark\";s:4:\"type\";s:5:\"theme\";s:11:\"description\";s:211:\"An intentionally plain theme with no styling to demonstrate default Drupal’s HTML and CSS. Learn how to build a custom theme from Stark in the <a href=\"https://www.drupal.org/docs/8/theming\">Theming Guide</a>.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:6:\"engine\";s:4:\"twig\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:12:\"primary_menu\";s:12:\"Primary menu\";s:14:\"secondary_menu\";s:14:\"Secondary menu\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:10:\"breadcrumb\";s:10:\"Breadcrumb\";}s:8:\"features\";a:5:{i:0;s:7:\"favicon\";i:1;s:4:\"logo\";i:2;s:17:\"node_user_picture\";i:3;s:20:\"comment_user_picture\";i:4;s:25:\"comment_user_verification\";}s:10:\"screenshot\";s:32:\"core/themes/stark/screenshot.png\";s:3:\"php\";s:5:\"7.0.8\";s:9:\"libraries\";a:0:{}s:16:\"libraries_extend\";a:0:{}s:18:\"libraries_override\";a:0:{}s:12:\"dependencies\";a:0:{}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}}s:5:\"owner\";s:36:\"core/themes/engines/twig/twig.engine\";s:6:\"prefix\";s:4:\"twig\";s:6:\"status\";i:0;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:0:{}s:4:\"sort\";i:0;s:19:\"module_dependencies\";a:0:{}}s:5:\"claro\";O:31:\"Drupal\\Core\\Extension\\Extension\":14:{s:7:\"\0*\0type\";s:5:\"theme\";s:11:\"\0*\0pathname\";s:32:\"core/themes/claro/claro.info.yml\";s:11:\"\0*\0filename\";s:11:\"claro.theme\";s:7:\"subpath\";s:12:\"themes/claro\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:25:{s:4:\"name\";s:5:\"Claro\";s:4:\"type\";s:5:\"theme\";s:10:\"base theme\";s:6:\"classy\";s:11:\"description\";s:62:\"A clean, accessible, and powerful Drupal administration theme.\";s:8:\"alt text\";s:49:\"Screenshot of Claro, Drupal administration theme.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:12:\"experimental\";b:1;s:4:\"core\";s:3:\"8.x\";s:9:\"libraries\";a:1:{i:0;s:20:\"claro/global-styling\";}s:18:\"libraries-override\";a:28:{s:11:\"system/base\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:6:{s:66:\"/core/themes/stable/css/system/components/ajax-progress.module.css\";s:39:\"css/components/ajax-progress.module.css\";s:73:\"/core/themes/stable/css/system/components/autocomplete-loading.module.css\";s:46:\"css/components/autocomplete-loading.module.css\";s:67:\"/core/themes/stable/css/system/components/system-status-counter.css\";s:40:\"css/components/system-status-counter.css\";s:75:\"/core/themes/stable/css/system/components/system-status-report-counters.css\";s:48:\"css/components/system-status-report-counters.css\";s:79:\"/core/themes/stable/css/system/components/system-status-report-general-info.css\";s:52:\"css/components/system-status-report-general-info.css\";s:62:\"/core/themes/stable/css/system/components/tabledrag.module.css\";s:28:\"css/components/tabledrag.css\";}}}s:12:\"system/admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:47:\"/core/themes/stable/css/system/system.admin.css\";b:0;}}}s:22:\"core/drupal.dropbutton\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:54:\"/core/themes/stable/css/core/dropbutton/dropbutton.css\";s:29:\"css/components/dropbutton.css\";}}}s:21:\"core/drupal.tabledrag\";a:1:{s:2:\"js\";a:1:{s:17:\"misc/tabledrag.js\";s:15:\"js/tabledrag.js\";}}s:25:\"core/drupal.vertical-tabs\";a:2:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:46:\"/core/themes/stable/css/core/vertical-tabs.css\";b:0;}}s:2:\"js\";a:1:{s:21:\"misc/vertical-tabs.js\";s:19:\"js/vertical-tabs.js\";}}s:14:\"core/jquery.ui\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:45:\"assets/vendor/jquery.ui/themes/base/theme.css\";b:0;}}}s:21:\"core/jquery.ui.dialog\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:46:\"assets/vendor/jquery.ui/themes/base/dialog.css\";b:0;}}}s:13:\"classy/dialog\";s:25:\"claro/claro.drupal.dialog\";s:11:\"classy/base\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:24:{s:31:\"css/components/action-links.css\";b:0;s:29:\"css/components/breadcrumb.css\";b:0;s:25:\"css/components/button.css\";b:0;s:37:\"css/components/collapse-processed.css\";b:0;s:35:\"css/components/container-inline.css\";s:42:\"css/classy/components/container-inline.css\";s:26:\"css/components/details.css\";b:0;s:29:\"css/components/dropbutton.css\";b:0;s:34:\"css/components/exposed-filters.css\";s:41:\"css/classy/components/exposed-filters.css\";s:24:\"css/components/field.css\";s:31:\"css/classy/components/field.css\";s:23:\"css/components/form.css\";b:0;s:24:\"css/components/icons.css\";s:31:\"css/classy/components/icons.css\";s:30:\"css/components/inline-form.css\";s:37:\"css/classy/components/inline-form.css\";s:28:\"css/components/item-list.css\";s:35:\"css/classy/components/item-list.css\";s:23:\"css/components/link.css\";s:30:\"css/classy/components/link.css\";s:24:\"css/components/links.css\";s:31:\"css/classy/components/links.css\";s:23:\"css/components/menu.css\";s:30:\"css/classy/components/menu.css\";s:28:\"css/components/more-link.css\";s:35:\"css/classy/components/more-link.css\";s:24:\"css/components/pager.css\";b:0;s:28:\"css/components/tabledrag.css\";b:0;s:30:\"css/components/tableselect.css\";s:30:\"css/components/tableselect.css\";s:28:\"css/components/tablesort.css\";s:35:\"css/classy/components/tablesort.css\";s:23:\"css/components/tabs.css\";b:0;s:27:\"css/components/textarea.css\";s:34:\"css/classy/components/textarea.css\";s:28:\"css/components/ui-dialog.css\";s:35:\"css/classy/components/ui-dialog.css\";}}}s:22:\"classy/book-navigation\";s:28:\"claro/classy.book-navigation\";s:17:\"classy/dropbutton\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:29:\"css/components/dropbutton.css\";b:0;}}}s:11:\"classy/file\";s:17:\"claro/classy.file\";s:12:\"classy/forum\";s:18:\"claro/classy.forum\";s:19:\"classy/image-widget\";s:18:\"claro/image-widget\";s:15:\"classy/indented\";s:21:\"claro/classy.indented\";s:33:\"classy/media_embed_ckeditor_theme\";s:39:\"claro/classy.media_embed_ckeditor_theme\";s:24:\"classy/media_embed_error\";s:30:\"claro/classy.media_embed_error\";s:15:\"classy/messages\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:27:\"css/components/messages.css\";b:0;}}}s:11:\"classy/node\";s:17:\"claro/classy.node\";s:15:\"classy/progress\";s:14:\"claro/progress\";s:21:\"classy/search-results\";s:27:\"claro/classy.search-results\";s:11:\"classy/user\";b:0;s:16:\"user/drupal.user\";s:27:\"claro/form.password-confirm\";s:24:\"field_ui/drupal.field_ui\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:51:\"/core/themes/stable/css/field_ui/field_ui.admin.css\";s:28:\"css/theme/field-ui.admin.css\";}}}s:26:\"filter/drupal.filter.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:47:\"/core/themes/stable/css/filter/filter.admin.css\";s:26:\"css/theme/filter.theme.css\";}}}s:20:\"filter/drupal.filter\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:47:\"/core/themes/stable/css/filter/filter.admin.css\";s:26:\"css/theme/filter.theme.css\";}}}s:22:\"views_ui/admin.styling\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:57:\"/core/themes/stable/css/views_ui/views_ui.admin.theme.css\";s:34:\"css/theme/views_ui.admin.theme.css\";}}}s:20:\"classy/media_library\";s:11:\"claro/empty\";}s:16:\"libraries-extend\";a:20:{s:24:\"ckeditor/drupal.ckeditor\";a:1:{i:0;s:21:\"claro/ckeditor-editor\";}s:13:\"core/ckeditor\";a:1:{i:0;s:21:\"claro/ckeditor-dialog\";}s:20:\"core/drupal.collapse\";a:1:{i:0;s:19:\"claro/details-focus\";}s:18:\"core/drupal.dialog\";a:1:{i:0;s:25:\"claro/claro.drupal.dialog\";}s:22:\"core/drupal.dropbutton\";a:1:{i:0;s:16:\"claro/dropbutton\";}s:20:\"core/drupal.checkbox\";a:1:{i:0;s:14:\"claro/checkbox\";}s:19:\"core/drupal.message\";a:1:{i:0;s:14:\"claro/messages\";}s:20:\"core/drupal.progress\";a:1:{i:0;s:14:\"claro/progress\";}s:25:\"core/drupal.vertical-tabs\";a:1:{i:0;s:19:\"claro/vertical-tabs\";}s:14:\"core/jquery.ui\";a:1:{i:0;s:21:\"claro/claro.jquery.ui\";}s:16:\"file/drupal.file\";a:1:{i:0;s:10:\"claro/file\";}s:12:\"system/admin\";a:1:{i:0;s:18:\"claro/system.admin\";}s:24:\"core/drupal.autocomplete\";a:1:{i:0;s:18:\"claro/autocomplete\";}s:17:\"tour/tour-styling\";a:1:{i:0;s:18:\"claro/tour-styling\";}s:24:\"shortcut/drupal.shortcut\";a:1:{i:0;s:21:\"claro/drupal.shortcut\";}s:16:\"core/drupal.ajax\";a:1:{i:0;s:10:\"claro/ajax\";}s:18:\"views/views.module\";a:1:{i:0;s:11:\"claro/views\";}s:32:\"media/media_embed_ckeditor_theme\";a:1:{i:0;s:39:\"claro/classy.media_embed_ckeditor_theme\";}s:18:\"media_library/view\";a:1:{i:0;s:25:\"claro/media_library.theme\";}s:20:\"media_library/widget\";a:1:{i:0;s:25:\"claro/media_library.theme\";}}s:21:\"quickedit_stylesheets\";a:1:{i:0;s:28:\"css/components/quickedit.css\";}s:20:\"ckeditor_stylesheets\";a:4:{i:0;s:21:\"css/base/elements.css\";i:1;s:23:\"css/base/typography.css\";i:2;s:28:\"css/theme/ckeditor-frame.css\";i:3;s:43:\"css/classy/components/media-embed-error.css\";}s:7:\"regions\";a:9:{s:6:\"header\";s:6:\"Header\";s:11:\"pre_content\";s:11:\"Pre-content\";s:10:\"breadcrumb\";s:10:\"Breadcrumb\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:7:\"content\";s:7:\"Content\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:13:\"sidebar_first\";s:13:\"First sidebar\";}s:14:\"regions_hidden\";a:3:{i:0;s:13:\"sidebar_first\";i:1;s:8:\"page_top\";i:2;s:11:\"page_bottom\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:6:\"engine\";s:4:\"twig\";s:8:\"features\";a:5:{i:0;s:7:\"favicon\";i:1;s:4:\"logo\";i:2;s:17:\"node_user_picture\";i:3;s:20:\"comment_user_picture\";i:4;s:25:\"comment_user_verification\";}s:10:\"screenshot\";s:32:\"core/themes/claro/screenshot.png\";s:3:\"php\";s:5:\"7.0.8\";s:16:\"libraries_extend\";a:0:{}s:18:\"libraries_override\";a:0:{}s:12:\"dependencies\";a:1:{i:0;s:6:\"classy\";}}s:5:\"owner\";s:36:\"core/themes/engines/twig/twig.engine\";s:6:\"prefix\";s:4:\"twig\";s:6:\"status\";i:0;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:2:{s:6:\"classy\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:6:\"classy\";s:10:\"\0*\0project\";s:0:\"\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:6:\"stable\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:6:\"stable\";s:10:\"\0*\0project\";s:0:\"\";s:19:\"\0*\0constraintString\";s:0:\"\";}}s:4:\"sort\";i:-2;s:11:\"base_themes\";a:2:{s:6:\"stable\";s:6:\"Stable\";s:6:\"classy\";s:6:\"Classy\";}s:19:\"module_dependencies\";a:0:{}}s:6:\"stable\";O:31:\"Drupal\\Core\\Extension\\Extension\":15:{s:7:\"\0*\0type\";s:5:\"theme\";s:11:\"\0*\0pathname\";s:34:\"core/themes/stable/stable.info.yml\";s:11:\"\0*\0filename\";s:12:\"stable.theme\";s:7:\"subpath\";s:13:\"themes/stable\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:21:{s:4:\"name\";s:6:\"Stable\";s:4:\"type\";s:5:\"theme\";s:11:\"description\";s:62:\"A default base theme using Drupal 8.0.0\'s core markup and CSS.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:6:\"hidden\";b:1;s:18:\"libraries-override\";a:52:{s:24:\"block/drupal.block.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:19:\"css/block.admin.css\";s:25:\"css/block/block.admin.css\";}}}s:24:\"ckeditor/drupal.ckeditor\";a:1:{s:3:\"css\";a:1:{s:5:\"state\";a:1:{s:16:\"css/ckeditor.css\";s:25:\"css/ckeditor/ckeditor.css\";}}}s:51:\"ckeditor/drupal.ckeditor.plugins.drupalimagecaption\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:62:\"css/plugins/drupalimagecaption/ckeditor.drupalimagecaption.css\";s:71:\"css/ckeditor/plugins/drupalimagecaption/ckeditor.drupalimagecaption.css\";}}}s:41:\"ckeditor/drupal.ckeditor.plugins.language\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:42:\"css/plugins/language/ckeditor.language.css\";s:51:\"css/ckeditor/plugins/language/ckeditor.language.css\";}}}s:30:\"ckeditor/drupal.ckeditor.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:22:\"css/ckeditor.admin.css\";s:31:\"css/ckeditor/ckeditor.admin.css\";}}}s:11:\"color/admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:19:\"css/color.admin.css\";s:25:\"css/color/color.admin.css\";}}}s:50:\"config_translation/drupal.config_translation.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:32:\"css/config_translation.admin.css\";s:51:\"css/config_translation/config_translation.admin.css\";}}}s:52:\"content_translation/drupal.content_translation.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:33:\"css/content_translation.admin.css\";s:53:\"css/content_translation/content_translation.admin.css\";}}}s:37:\"content_moderation/content_moderation\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:1:{s:33:\"css/content_moderation.module.css\";s:52:\"css/content_moderation/content_moderation.module.css\";}s:5:\"theme\";a:1:{s:32:\"css/content_moderation.theme.css\";s:51:\"css/content_moderation/content_moderation.theme.css\";}}}s:34:\"contextual/drupal.contextual-links\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:1:{s:25:\"css/contextual.module.css\";s:36:\"css/contextual/contextual.module.css\";}s:5:\"theme\";a:2:{s:24:\"css/contextual.theme.css\";s:35:\"css/contextual/contextual.theme.css\";s:30:\"css/contextual.icons.theme.css\";s:41:\"css/contextual/contextual.icons.theme.css\";}}}s:36:\"contextual/drupal.contextual-toolbar\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:26:\"css/contextual.toolbar.css\";s:37:\"css/contextual/contextual.toolbar.css\";}}}s:29:\"core/drupal.dialog.off_canvas\";a:1:{s:3:\"css\";a:2:{s:4:\"base\";a:4:{s:32:\"misc/dialog/off-canvas.reset.css\";s:36:\"css/core/dialog/off-canvas.reset.css\";s:31:\"misc/dialog/off-canvas.base.css\";s:35:\"css/core/dialog/off-canvas.base.css\";s:26:\"misc/dialog/off-canvas.css\";s:30:\"css/core/dialog/off-canvas.css\";s:32:\"misc/dialog/off-canvas.theme.css\";s:36:\"css/core/dialog/off-canvas.theme.css\";}s:9:\"component\";a:8:{s:33:\"misc/dialog/off-canvas.motion.css\";s:37:\"css/core/dialog/off-canvas.motion.css\";s:33:\"misc/dialog/off-canvas.button.css\";s:37:\"css/core/dialog/off-canvas.button.css\";s:31:\"misc/dialog/off-canvas.form.css\";s:35:\"css/core/dialog/off-canvas.form.css\";s:32:\"misc/dialog/off-canvas.table.css\";s:36:\"css/core/dialog/off-canvas.table.css\";s:34:\"misc/dialog/off-canvas.details.css\";s:38:\"css/core/dialog/off-canvas.details.css\";s:36:\"misc/dialog/off-canvas.tabledrag.css\";s:40:\"css/core/dialog/off-canvas.tabledrag.css\";s:37:\"misc/dialog/off-canvas.dropbutton.css\";s:41:\"css/core/dialog/off-canvas.dropbutton.css\";s:33:\"misc/dialog/off-canvas.layout.css\";s:37:\"css/core/dialog/off-canvas.layout.css\";}}}s:22:\"core/drupal.dropbutton\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:30:\"misc/dropbutton/dropbutton.css\";s:34:\"css/core/dropbutton/dropbutton.css\";}}}s:25:\"core/drupal.vertical-tabs\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:22:\"misc/vertical-tabs.css\";s:26:\"css/core/vertical-tabs.css\";}}}s:18:\"dblog/drupal.dblog\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:20:\"css/dblog.module.css\";s:26:\"css/dblog/dblog.module.css\";}}}s:24:\"field_ui/drupal.field_ui\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:22:\"css/field_ui.admin.css\";s:31:\"css/field_ui/field_ui.admin.css\";}}}s:16:\"file/drupal.file\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:18:\"css/file.admin.css\";s:23:\"css/file/file.admin.css\";}}}s:26:\"filter/drupal.filter.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:20:\"css/filter.admin.css\";s:27:\"css/filter/filter.admin.css\";}}}s:20:\"filter/drupal.filter\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:20:\"css/filter.admin.css\";s:27:\"css/filter/filter.admin.css\";}}}s:14:\"filter/caption\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:22:\"css/filter.caption.css\";s:29:\"css/filter/filter.caption.css\";}}}s:11:\"image/admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:19:\"css/image.admin.css\";s:25:\"css/image/image.admin.css\";}}}s:35:\"image/quickedit.inPlaceEditor.image\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:1:{s:21:\"css/editors/image.css\";s:27:\"css/image/editors/image.css\";}s:5:\"theme\";a:1:{s:27:\"css/editors/image.theme.css\";s:33:\"css/image/editors/image.theme.css\";}}}s:30:\"language/drupal.language.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:22:\"css/language.admin.css\";s:31:\"css/language/language.admin.css\";}}}s:36:\"layout_builder/drupal.layout_builder\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:22:\"css/layout-builder.css\";s:37:\"css/layout_builder/layout-builder.css\";}}}s:26:\"locale/drupal.locale.admin\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:20:\"css/locale.admin.css\";s:27:\"css/locale/locale.admin.css\";}}}s:20:\"media/filter.caption\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:22:\"css/filter.caption.css\";s:28:\"css/media/filter.caption.css\";}}}s:22:\"media/oembed.formatter\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:24:\"css/oembed.formatter.css\";s:30:\"css/media/oembed.formatter.css\";}}}s:18:\"media/oembed.frame\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:20:\"css/oembed.frame.css\";s:26:\"css/media/oembed.frame.css\";}}}s:33:\"menu_ui/drupal.menu_ui.adminforms\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:21:\"css/menu_ui.admin.css\";s:29:\"css/menu_ui/menu_ui.admin.css\";}}}s:22:\"migrate_drupal_ui/base\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:49:\"css/components/upgrade-analysis-report-tables.css\";s:67:\"css/migrate_drupal_ui/components/upgrade-analysis-report-tables.css\";}}}s:16:\"node/drupal.node\";a:1:{s:3:\"css\";a:1:{s:6:\"layout\";a:1:{s:19:\"css/node.module.css\";s:24:\"css/node/node.module.css\";}}}s:24:\"node/drupal.node.preview\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:20:\"css/node.preview.css\";s:25:\"css/node/node.preview.css\";}}}s:9:\"node/form\";a:1:{s:3:\"css\";a:1:{s:6:\"layout\";a:1:{s:19:\"css/node.module.css\";s:24:\"css/node/node.module.css\";}}}s:22:\"node/drupal.node.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:18:\"css/node.admin.css\";s:23:\"css/node/node.admin.css\";}}}s:19:\"quickedit/quickedit\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:1:{s:24:\"css/quickedit.module.css\";s:34:\"css/quickedit/quickedit.module.css\";}s:5:\"theme\";a:2:{s:23:\"css/quickedit.theme.css\";s:33:\"css/quickedit/quickedit.theme.css\";s:29:\"css/quickedit.icons.theme.css\";s:39:\"css/quickedit/quickedit.icons.theme.css\";}}}s:34:\"settings_tray/drupal.settings_tray\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:3:{s:28:\"css/settings_tray.module.css\";s:42:\"css/settings_tray/settings_tray.module.css\";s:28:\"css/settings_tray.motion.css\";s:42:\"css/settings_tray/settings_tray.motion.css\";s:29:\"css/settings_tray.toolbar.css\";s:43:\"css/settings_tray/settings_tray.toolbar.css\";}s:5:\"theme\";a:1:{s:27:\"css/settings_tray.theme.css\";s:41:\"css/settings_tray/settings_tray.theme.css\";}}}s:24:\"shortcut/drupal.shortcut\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:2:{s:22:\"css/shortcut.theme.css\";s:31:\"css/shortcut/shortcut.theme.css\";s:28:\"css/shortcut.icons.theme.css\";s:37:\"css/shortcut/shortcut.icons.theme.css\";}}}s:28:\"simpletest/drupal.simpletest\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:25:\"css/simpletest.module.css\";s:36:\"css/simpletest/simpletest.module.css\";}}}s:11:\"system/base\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:22:{s:39:\"css/components/ajax-progress.module.css\";s:46:\"css/system/components/ajax-progress.module.css\";s:31:\"css/components/align.module.css\";s:38:\"css/system/components/align.module.css\";s:46:\"css/components/autocomplete-loading.module.css\";s:53:\"css/system/components/autocomplete-loading.module.css\";s:36:\"css/components/fieldgroup.module.css\";s:43:\"css/system/components/fieldgroup.module.css\";s:42:\"css/components/container-inline.module.css\";s:49:\"css/system/components/container-inline.module.css\";s:34:\"css/components/clearfix.module.css\";s:41:\"css/system/components/clearfix.module.css\";s:33:\"css/components/details.module.css\";s:40:\"css/system/components/details.module.css\";s:32:\"css/components/hidden.module.css\";s:39:\"css/system/components/hidden.module.css\";s:35:\"css/components/item-list.module.css\";s:42:\"css/system/components/item-list.module.css\";s:28:\"css/components/js.module.css\";s:35:\"css/system/components/js.module.css\";s:32:\"css/components/nowrap.module.css\";s:39:\"css/system/components/nowrap.module.css\";s:44:\"css/components/position-container.module.css\";s:51:\"css/system/components/position-container.module.css\";s:34:\"css/components/progress.module.css\";s:41:\"css/system/components/progress.module.css\";s:42:\"css/components/reset-appearance.module.css\";s:49:\"css/system/components/reset-appearance.module.css\";s:32:\"css/components/resize.module.css\";s:39:\"css/system/components/resize.module.css\";s:39:\"css/components/sticky-header.module.css\";s:46:\"css/system/components/sticky-header.module.css\";s:40:\"css/components/system-status-counter.css\";s:47:\"css/system/components/system-status-counter.css\";s:48:\"css/components/system-status-report-counters.css\";s:55:\"css/system/components/system-status-report-counters.css\";s:52:\"css/components/system-status-report-general-info.css\";s:59:\"css/system/components/system-status-report-general-info.css\";s:35:\"css/components/tabledrag.module.css\";s:42:\"css/system/components/tabledrag.module.css\";s:35:\"css/components/tablesort.module.css\";s:42:\"css/system/components/tablesort.module.css\";s:36:\"css/components/tree-child.module.css\";s:43:\"css/system/components/tree-child.module.css\";}}}s:12:\"system/admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:20:\"css/system.admin.css\";s:27:\"css/system/system.admin.css\";}}}s:18:\"system/maintenance\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:26:\"css/system.maintenance.css\";s:33:\"css/system/system.maintenance.css\";}}}s:11:\"system/diff\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:19:\"css/system.diff.css\";s:26:\"css/system/system.diff.css\";}}}s:24:\"taxonomy/drupal.taxonomy\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:22:\"css/taxonomy.theme.css\";s:31:\"css/taxonomy/taxonomy.theme.css\";}}}s:15:\"toolbar/toolbar\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:1:{s:22:\"css/toolbar.module.css\";s:30:\"css/toolbar/toolbar.module.css\";}s:5:\"theme\";a:2:{s:21:\"css/toolbar.theme.css\";s:29:\"css/toolbar/toolbar.theme.css\";s:27:\"css/toolbar.icons.theme.css\";s:35:\"css/toolbar/toolbar.icons.theme.css\";}}}s:20:\"toolbar/toolbar.menu\";a:1:{s:3:\"css\";a:1:{s:5:\"state\";a:1:{s:20:\"css/toolbar.menu.css\";s:28:\"css/toolbar/toolbar.menu.css\";}}}s:17:\"tour/tour-styling\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:19:\"css/tour.module.css\";s:24:\"css/tour/tour.module.css\";}}}s:26:\"update/drupal.update.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:26:\"css/update.admin.theme.css\";s:33:\"css/update/update.admin.theme.css\";}}}s:16:\"user/drupal.user\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:19:\"css/user.module.css\";s:24:\"css/user/user.module.css\";}}}s:22:\"user/drupal.user.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:18:\"css/user.admin.css\";s:23:\"css/user/user.admin.css\";}}}s:22:\"user/drupal.user.icons\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:24:\"css/user.icons.admin.css\";s:29:\"css/user/user.icons.admin.css\";}}}s:18:\"views/views.module\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:20:\"css/views.module.css\";s:26:\"css/views/views.module.css\";}}}s:22:\"views_ui/admin.styling\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:1:{s:22:\"css/views_ui.admin.css\";s:31:\"css/views_ui/views_ui.admin.css\";}s:5:\"theme\";a:2:{s:28:\"css/views_ui.admin.theme.css\";s:37:\"css/views_ui/views_ui.admin.theme.css\";s:27:\"css/views_ui.contextual.css\";s:36:\"css/views_ui/views_ui.contextual.css\";}}}}s:16:\"libraries-extend\";a:2:{s:16:\"core/drupal.ajax\";a:1:{i:0;s:18:\"stable/drupal.ajax\";}s:16:\"user/drupal.user\";a:1:{i:0;s:18:\"stable/drupal.user\";}}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:6:\"engine\";s:4:\"twig\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:12:\"primary_menu\";s:12:\"Primary menu\";s:14:\"secondary_menu\";s:14:\"Secondary menu\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:10:\"breadcrumb\";s:10:\"Breadcrumb\";}s:8:\"features\";a:5:{i:0;s:7:\"favicon\";i:1;s:4:\"logo\";i:2;s:17:\"node_user_picture\";i:3;s:20:\"comment_user_picture\";i:4;s:25:\"comment_user_verification\";}s:10:\"screenshot\";s:33:\"core/themes/stable/screenshot.png\";s:3:\"php\";s:5:\"7.0.8\";s:9:\"libraries\";a:0:{}s:16:\"libraries_extend\";a:0:{}s:18:\"libraries_override\";a:0:{}s:12:\"dependencies\";a:0:{}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}}s:5:\"owner\";s:36:\"core/themes/engines/twig/twig.engine\";s:6:\"prefix\";s:4:\"twig\";s:6:\"status\";i:1;s:11:\"required_by\";a:5:{s:6:\"classy\";r:257;s:5:\"claro\";r:257;s:6:\"bartik\";r:257;s:5:\"seven\";r:257;s:9:\"luxestate\";r:257;}s:8:\"requires\";a:0:{}s:4:\"sort\";i:0;s:10:\"sub_themes\";a:5:{s:6:\"bartik\";s:6:\"Bartik\";s:5:\"claro\";s:5:\"Claro\";s:6:\"classy\";s:6:\"Classy\";s:5:\"seven\";s:5:\"Seven\";s:9:\"luxestate\";s:9:\"Luxestate\";}s:19:\"module_dependencies\";a:0:{}s:6:\"engine\";s:4:\"twig\";}s:6:\"bartik\";O:31:\"Drupal\\Core\\Extension\\Extension\":17:{s:7:\"\0*\0type\";s:5:\"theme\";s:11:\"\0*\0pathname\";s:34:\"core/themes/bartik/bartik.info.yml\";s:11:\"\0*\0filename\";s:12:\"bartik.theme\";s:7:\"subpath\";s:13:\"themes/bartik\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:22:{s:4:\"name\";s:6:\"Bartik\";s:4:\"type\";s:5:\"theme\";s:10:\"base theme\";s:6:\"classy\";s:11:\"description\";s:86:\"A flexible, recolorable theme with many regions and a responsive, mobile-first layout.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:9:\"libraries\";a:1:{i:0;s:21:\"bartik/global-styling\";}s:18:\"libraries-override\";a:16:{s:11:\"classy/base\";s:18:\"bartik/classy.base\";s:22:\"classy/book-navigation\";s:29:\"bartik/classy.book-navigation\";s:13:\"classy/dialog\";s:20:\"bartik/classy.dialog\";s:17:\"classy/dropbutton\";s:24:\"bartik/classy.dropbutton\";s:11:\"classy/file\";s:18:\"bartik/classy.file\";s:12:\"classy/forum\";s:19:\"bartik/classy.forum\";s:19:\"classy/image-widget\";s:26:\"bartik/classy.image-widget\";s:15:\"classy/indented\";s:22:\"bartik/classy.indented\";s:33:\"classy/media_embed_ckeditor_theme\";s:40:\"bartik/classy.media_embed_ckeditor_theme\";s:24:\"classy/media_embed_error\";s:31:\"bartik/classy.media_embed_error\";s:20:\"classy/media_library\";s:27:\"bartik/classy.media_library\";s:15:\"classy/messages\";s:22:\"bartik/classy.messages\";s:11:\"classy/node\";s:18:\"bartik/classy.node\";s:15:\"classy/progress\";s:22:\"bartik/classy.progress\";s:21:\"classy/search-results\";s:28:\"bartik/classy.search-results\";s:11:\"classy/user\";s:18:\"bartik/classy.user\";}s:16:\"libraries-extend\";a:8:{s:18:\"core/drupal.dialog\";a:1:{i:0;s:20:\"bartik/classy.dialog\";}s:22:\"core/drupal.dropbutton\";a:1:{i:0;s:24:\"bartik/classy.dropbutton\";}s:20:\"core/drupal.progress\";a:1:{i:0;s:22:\"bartik/classy.progress\";}s:16:\"file/drupal.file\";a:1:{i:0;s:18:\"bartik/classy.file\";}s:32:\"media/media_embed_ckeditor_theme\";a:1:{i:0;s:40:\"bartik/classy.media_embed_ckeditor_theme\";}s:18:\"media_library/view\";a:1:{i:0;s:27:\"bartik/classy.media_library\";}s:20:\"media_library/widget\";a:1:{i:0;s:27:\"bartik/classy.media_library\";}s:16:\"user/drupal.user\";a:1:{i:0;s:18:\"bartik/classy.user\";}}s:20:\"ckeditor_stylesheets\";a:5:{i:0;s:21:\"css/base/elements.css\";i:1;s:27:\"css/components/captions.css\";i:2;s:24:\"css/components/table.css\";i:3;s:33:\"css/components/text-formatted.css\";i:4;s:43:\"css/classy/components/media-embed-error.css\";}s:7:\"regions\";a:19:{s:6:\"header\";s:6:\"Header\";s:12:\"primary_menu\";s:12:\"Primary menu\";s:14:\"secondary_menu\";s:14:\"Secondary menu\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:11:\"highlighted\";s:11:\"Highlighted\";s:12:\"featured_top\";s:12:\"Featured top\";s:10:\"breadcrumb\";s:10:\"Breadcrumb\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:21:\"featured_bottom_first\";s:21:\"Featured bottom first\";s:22:\"featured_bottom_second\";s:22:\"Featured bottom second\";s:21:\"featured_bottom_third\";s:21:\"Featured bottom third\";s:12:\"footer_first\";s:12:\"Footer first\";s:13:\"footer_second\";s:13:\"Footer second\";s:12:\"footer_third\";s:12:\"Footer third\";s:13:\"footer_fourth\";s:13:\"Footer fourth\";s:12:\"footer_fifth\";s:12:\"Footer fifth\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:6:\"engine\";s:4:\"twig\";s:8:\"features\";a:5:{i:0;s:7:\"favicon\";i:1;s:4:\"logo\";i:2;s:17:\"node_user_picture\";i:3;s:20:\"comment_user_picture\";i:4;s:25:\"comment_user_verification\";}s:10:\"screenshot\";s:33:\"core/themes/bartik/screenshot.png\";s:3:\"php\";s:5:\"7.0.8\";s:16:\"libraries_extend\";a:0:{}s:18:\"libraries_override\";a:0:{}s:12:\"dependencies\";a:1:{i:0;s:6:\"classy\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}}s:5:\"owner\";s:36:\"core/themes/engines/twig/twig.engine\";s:6:\"prefix\";s:4:\"twig\";s:6:\"status\";i:1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:2:{s:6:\"classy\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:6:\"classy\";s:10:\"\0*\0project\";s:0:\"\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:6:\"stable\";r:257;}s:4:\"sort\";i:-3;s:11:\"base_themes\";a:2:{s:6:\"stable\";s:6:\"Stable\";s:6:\"classy\";s:6:\"Classy\";}s:19:\"module_dependencies\";a:0:{}s:9:\"libraries\";a:1:{i:0;s:21:\"bartik/global-styling\";}s:6:\"engine\";s:4:\"twig\";s:10:\"base_theme\";s:6:\"classy\";}s:5:\"seven\";O:31:\"Drupal\\Core\\Extension\\Extension\":17:{s:7:\"\0*\0type\";s:5:\"theme\";s:11:\"\0*\0pathname\";s:32:\"core/themes/seven/seven.info.yml\";s:11:\"\0*\0filename\";s:11:\"seven.theme\";s:7:\"subpath\";s:12:\"themes/seven\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:24:{s:4:\"name\";s:5:\"Seven\";s:4:\"type\";s:5:\"theme\";s:10:\"base theme\";s:6:\"classy\";s:11:\"description\";s:153:\"The default administration theme for Drupal 8 was designed with clean lines, simple blocks, and sans-serif font to emphasize the tools and tasks at hand.\";s:8:\"alt text\";s:77:\"Default administration theme for Drupal 8 with simple blocks and clean lines.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:9:\"libraries\";a:1:{i:0;s:20:\"seven/global-styling\";}s:18:\"libraries-override\";a:20:{s:11:\"system/base\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:3:{s:67:\"/core/themes/stable/css/system/components/system-status-counter.css\";s:40:\"css/components/system-status-counter.css\";s:75:\"/core/themes/stable/css/system/components/system-status-report-counters.css\";s:48:\"css/components/system-status-report-counters.css\";s:79:\"/core/themes/stable/css/system/components/system-status-report-general-info.css\";s:52:\"css/components/system-status-report-general-info.css\";}}}s:25:\"core/drupal.vertical-tabs\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:46:\"/core/themes/stable/css/core/vertical-tabs.css\";b:0;}}}s:14:\"core/jquery.ui\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:45:\"assets/vendor/jquery.ui/themes/base/theme.css\";b:0;}}}s:21:\"core/jquery.ui.dialog\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:46:\"assets/vendor/jquery.ui/themes/base/dialog.css\";b:0;}}}s:13:\"classy/dialog\";s:25:\"seven/seven.drupal.dialog\";s:11:\"classy/base\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:23:{s:31:\"css/components/action-links.css\";s:38:\"css/classy/components/action-links.css\";s:29:\"css/components/breadcrumb.css\";s:36:\"css/classy/components/breadcrumb.css\";s:25:\"css/components/button.css\";s:32:\"css/classy/components/button.css\";s:37:\"css/components/collapse-processed.css\";s:44:\"css/classy/components/collapse-processed.css\";s:35:\"css/components/container-inline.css\";s:42:\"css/classy/components/container-inline.css\";s:26:\"css/components/details.css\";b:0;s:34:\"css/components/exposed-filters.css\";s:41:\"css/classy/components/exposed-filters.css\";s:24:\"css/components/field.css\";s:31:\"css/classy/components/field.css\";s:23:\"css/components/form.css\";s:30:\"css/classy/components/form.css\";s:24:\"css/components/icons.css\";s:31:\"css/classy/components/icons.css\";s:30:\"css/components/inline-form.css\";s:37:\"css/classy/components/inline-form.css\";s:28:\"css/components/item-list.css\";s:35:\"css/classy/components/item-list.css\";s:23:\"css/components/link.css\";s:30:\"css/classy/components/link.css\";s:24:\"css/components/links.css\";s:31:\"css/classy/components/links.css\";s:23:\"css/components/menu.css\";s:30:\"css/classy/components/menu.css\";s:28:\"css/components/more-link.css\";s:35:\"css/classy/components/more-link.css\";s:24:\"css/components/pager.css\";s:31:\"css/classy/components/pager.css\";s:28:\"css/components/tabledrag.css\";s:35:\"css/classy/components/tabledrag.css\";s:30:\"css/components/tableselect.css\";s:37:\"css/classy/components/tableselect.css\";s:28:\"css/components/tablesort.css\";s:35:\"css/classy/components/tablesort.css\";s:23:\"css/components/tabs.css\";s:30:\"css/classy/components/tabs.css\";s:27:\"css/components/textarea.css\";s:34:\"css/classy/components/textarea.css\";s:28:\"css/components/ui-dialog.css\";s:35:\"css/classy/components/ui-dialog.css\";}}}s:20:\"classy/media_library\";a:1:{s:3:\"css\";a:1:{s:6:\"layout\";a:1:{s:28:\"css/layout/media-library.css\";b:0;}}}s:22:\"classy/book-navigation\";s:28:\"seven/classy.book-navigation\";s:17:\"classy/dropbutton\";s:23:\"seven/classy.dropbutton\";s:11:\"classy/file\";s:17:\"seven/classy.file\";s:12:\"classy/forum\";s:18:\"seven/classy.forum\";s:19:\"classy/image-widget\";s:25:\"seven/classy.image-widget\";s:15:\"classy/indented\";s:21:\"seven/classy.indented\";s:33:\"classy/media_embed_ckeditor_theme\";s:39:\"seven/classy.media_embed_ckeditor_theme\";s:24:\"classy/media_embed_error\";s:30:\"seven/classy.media_embed_error\";s:15:\"classy/messages\";s:21:\"seven/classy.messages\";s:11:\"classy/node\";s:17:\"seven/classy.node\";s:15:\"classy/progress\";s:21:\"seven/classy.progress\";s:21:\"classy/search-results\";s:27:\"seven/classy.search-results\";s:11:\"classy/user\";s:17:\"seven/classy.user\";}s:16:\"libraries-extend\";a:12:{s:13:\"core/ckeditor\";a:1:{i:0;s:21:\"seven/ckeditor-dialog\";}s:18:\"core/drupal.dialog\";a:1:{i:0;s:25:\"seven/seven.drupal.dialog\";}s:22:\"core/drupal.dropbutton\";a:1:{i:0;s:23:\"seven/classy.dropbutton\";}s:20:\"core/drupal.progress\";a:1:{i:0;s:21:\"seven/classy.progress\";}s:25:\"core/drupal.vertical-tabs\";a:1:{i:0;s:19:\"seven/vertical-tabs\";}s:14:\"core/jquery.ui\";a:1:{i:0;s:21:\"seven/seven.jquery.ui\";}s:16:\"file/drupal.file\";a:1:{i:0;s:17:\"seven/classy.file\";}s:32:\"media/media_embed_ckeditor_theme\";a:1:{i:0;s:39:\"seven/classy.media_embed_ckeditor_theme\";}s:18:\"media_library/view\";a:1:{i:0;s:19:\"seven/media_library\";}s:20:\"media_library/widget\";a:1:{i:0;s:19:\"seven/media_library\";}s:17:\"tour/tour-styling\";a:1:{i:0;s:18:\"seven/tour-styling\";}s:16:\"user/drupal.user\";a:1:{i:0;s:17:\"seven/classy.user\";}}s:21:\"quickedit_stylesheets\";a:1:{i:0;s:28:\"css/components/quickedit.css\";}s:7:\"regions\";a:9:{s:6:\"header\";s:6:\"Header\";s:11:\"pre_content\";s:11:\"Pre-content\";s:10:\"breadcrumb\";s:10:\"Breadcrumb\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:7:\"content\";s:7:\"Content\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:13:\"sidebar_first\";s:13:\"First sidebar\";}s:14:\"regions_hidden\";a:3:{i:0;s:13:\"sidebar_first\";i:1;s:8:\"page_top\";i:2;s:11:\"page_bottom\";}s:20:\"ckeditor_stylesheets\";a:1:{i:0;s:43:\"css/classy/components/media-embed-error.css\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:6:\"engine\";s:4:\"twig\";s:8:\"features\";a:5:{i:0;s:7:\"favicon\";i:1;s:4:\"logo\";i:2;s:17:\"node_user_picture\";i:3;s:20:\"comment_user_picture\";i:4;s:25:\"comment_user_verification\";}s:10:\"screenshot\";s:32:\"core/themes/seven/screenshot.png\";s:3:\"php\";s:5:\"7.0.8\";s:16:\"libraries_extend\";a:0:{}s:18:\"libraries_override\";a:0:{}s:12:\"dependencies\";a:1:{i:0;s:6:\"classy\";}}s:5:\"owner\";s:36:\"core/themes/engines/twig/twig.engine\";s:6:\"prefix\";s:4:\"twig\";s:6:\"status\";i:1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:2:{s:6:\"classy\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:6:\"classy\";s:10:\"\0*\0project\";s:0:\"\";s:19:\"\0*\0constraintString\";s:0:\"\";}s:6:\"stable\";r:257;}s:4:\"sort\";i:-4;s:11:\"base_themes\";a:2:{s:6:\"stable\";s:6:\"Stable\";s:6:\"classy\";s:6:\"Classy\";}s:19:\"module_dependencies\";a:0:{}s:9:\"libraries\";a:1:{i:0;s:20:\"seven/global-styling\";}s:6:\"engine\";s:4:\"twig\";s:10:\"base_theme\";s:6:\"classy\";}s:6:\"classy\";O:31:\"Drupal\\Core\\Extension\\Extension\":18:{s:7:\"\0*\0type\";s:5:\"theme\";s:11:\"\0*\0pathname\";s:34:\"core/themes/classy/classy.info.yml\";s:11:\"\0*\0filename\";s:12:\"classy.theme\";s:7:\"subpath\";s:13:\"themes/classy\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:22:{s:4:\"name\";s:6:\"Classy\";s:4:\"type\";s:5:\"theme\";s:10:\"base theme\";s:6:\"stable\";s:11:\"description\";s:176:\"A base theme with sensible default CSS classes added. Learn how to use Classy as a base theme in the <a href=\"https://www.drupal.org/docs/8/theming\">Drupal 8 Theming Guide</a>.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:6:\"hidden\";b:1;s:9:\"libraries\";a:3:{i:0;s:11:\"classy/base\";i:1;s:15:\"classy/messages\";i:2;s:14:\"core/normalize\";}s:16:\"libraries-extend\";a:8:{s:16:\"user/drupal.user\";a:1:{i:0;s:11:\"classy/user\";}s:22:\"core/drupal.dropbutton\";a:1:{i:0;s:17:\"classy/dropbutton\";}s:18:\"core/drupal.dialog\";a:1:{i:0;s:13:\"classy/dialog\";}s:16:\"file/drupal.file\";a:1:{i:0;s:11:\"classy/file\";}s:20:\"core/drupal.progress\";a:1:{i:0;s:15:\"classy/progress\";}s:32:\"media/media_embed_ckeditor_theme\";a:1:{i:0;s:33:\"classy/media_embed_ckeditor_theme\";}s:18:\"media_library/view\";a:1:{i:0;s:20:\"classy/media_library\";}s:20:\"media_library/widget\";a:1:{i:0;s:20:\"classy/media_library\";}}s:20:\"ckeditor_stylesheets\";a:1:{i:0;s:36:\"css/components/media-embed-error.css\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:6:\"engine\";s:4:\"twig\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:12:\"primary_menu\";s:12:\"Primary menu\";s:14:\"secondary_menu\";s:14:\"Secondary menu\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:10:\"breadcrumb\";s:10:\"Breadcrumb\";}s:8:\"features\";a:5:{i:0;s:7:\"favicon\";i:1;s:4:\"logo\";i:2;s:17:\"node_user_picture\";i:3;s:20:\"comment_user_picture\";i:4;s:25:\"comment_user_verification\";}s:10:\"screenshot\";s:33:\"core/themes/classy/screenshot.png\";s:3:\"php\";s:5:\"7.0.8\";s:16:\"libraries_extend\";a:0:{}s:18:\"libraries_override\";a:0:{}s:12:\"dependencies\";a:1:{i:0;s:6:\"stable\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}}s:5:\"owner\";s:36:\"core/themes/engines/twig/twig.engine\";s:6:\"prefix\";s:4:\"twig\";s:6:\"status\";i:1;s:11:\"required_by\";a:4:{s:5:\"claro\";r:253;s:6:\"bartik\";r:697;s:5:\"seven\";r:854;s:9:\"luxestate\";O:32:\"Drupal\\Core\\Extension\\Dependency\":3:{s:7:\"\0*\0name\";s:6:\"classy\";s:10:\"\0*\0project\";s:0:\"\";s:19:\"\0*\0constraintString\";s:0:\"\";}}s:8:\"requires\";a:1:{s:6:\"stable\";r:257;}s:4:\"sort\";i:-1;s:10:\"sub_themes\";a:4:{s:6:\"bartik\";s:6:\"Bartik\";s:5:\"claro\";s:5:\"Claro\";s:5:\"seven\";s:5:\"Seven\";s:9:\"luxestate\";s:9:\"Luxestate\";}s:11:\"base_themes\";a:1:{s:6:\"stable\";s:6:\"Stable\";}s:19:\"module_dependencies\";a:0:{}s:9:\"libraries\";a:3:{i:0;s:11:\"classy/base\";i:1;s:15:\"classy/messages\";i:2;s:14:\"core/normalize\";}s:6:\"engine\";s:4:\"twig\";s:10:\"base_theme\";s:6:\"stable\";}s:9:\"luxestate\";O:31:\"Drupal\\Core\\Extension\\Extension\":17:{s:7:\"\0*\0type\";s:5:\"theme\";s:11:\"\0*\0pathname\";s:35:\"themes/luxestate/luxestate.info.yml\";s:11:\"\0*\0filename\";s:15:\"luxestate.theme\";s:7:\"subpath\";s:16:\"themes/luxestate\";s:6:\"origin\";s:0:\"\";s:4:\"info\";a:20:{s:4:\"name\";s:9:\"Luxestate\";s:4:\"type\";s:5:\"theme\";s:10:\"base theme\";s:6:\"classy\";s:11:\"description\";s:86:\"A flexible, recolorable theme with many regions and a responsive, mobile-first layout.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:9:\"libraries\";a:2:{i:0;s:24:\"luxestate/global-styling\";i:1;s:20:\"luxestate/corescript\";}s:20:\"ckeditor_stylesheets\";a:1:{i:0;s:30:\"assets/css/ckeditor-iframe.css\";}s:7:\"regions\";a:29:{s:8:\"headline\";s:8:\"Headline\";s:6:\"header\";s:6:\"Header\";s:9:\"slideshow\";s:9:\"Slideshow\";s:12:\"primary_menu\";s:12:\"Primary menu\";s:10:\"page_title\";s:10:\"Page title\";s:14:\"secondary_menu\";s:14:\"Secondary menu\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:11:\"highlighted\";s:11:\"Highlighted\";s:6:\"banner\";s:6:\"Banner\";s:11:\"panel_first\";s:11:\"Panel first\";s:7:\"content\";s:7:\"Content\";s:14:\"content_bottom\";s:14:\"Content bottom\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:14:\"triptych_first\";s:14:\"Triptych first\";s:15:\"triptych_middle\";s:15:\"Triptych middle\";s:13:\"triptych_last\";s:13:\"Triptych last\";s:12:\"panel_second\";s:12:\"Panel second\";s:11:\"panel_third\";s:11:\"Panel third\";s:12:\"panel_fourth\";s:12:\"Panel fourth\";s:11:\"panel_fifth\";s:11:\"Panel fifth\";s:18:\"footer_firstcolumn\";s:19:\"Footer first column\";s:19:\"footer_secondcolumn\";s:20:\"Footer second column\";s:18:\"footer_thirdcolumn\";s:19:\"Footer third column\";s:19:\"footer_fourthcolumn\";s:20:\"Footer fourth column\";s:10:\"breadcrumb\";s:10:\"breadcrumb\";s:6:\"footer\";s:6:\"Footer\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1558337061;s:6:\"engine\";s:4:\"twig\";s:8:\"features\";a:5:{i:0;s:7:\"favicon\";i:1;s:4:\"logo\";i:2;s:17:\"node_user_picture\";i:3;s:20:\"comment_user_picture\";i:4;s:25:\"comment_user_verification\";}s:10:\"screenshot\";s:31:\"themes/luxestate/screenshot.png\";s:3:\"php\";s:5:\"7.0.8\";s:16:\"libraries_extend\";a:0:{}s:18:\"libraries_override\";a:0:{}s:12:\"dependencies\";a:1:{i:0;s:6:\"classy\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}}s:5:\"owner\";s:36:\"core/themes/engines/twig/twig.engine\";s:6:\"prefix\";s:4:\"twig\";s:6:\"status\";i:1;s:11:\"required_by\";a:0:{}s:8:\"requires\";a:2:{s:6:\"classy\";r:944;s:6:\"stable\";r:257;}s:4:\"sort\";i:-5;s:11:\"base_themes\";a:2:{s:6:\"stable\";s:6:\"Stable\";s:6:\"classy\";s:6:\"Classy\";}s:19:\"module_dependencies\";a:0:{}s:9:\"libraries\";a:2:{i:0;s:24:\"luxestate/global-styling\";i:1;s:20:\"luxestate/corescript\";}s:6:\"engine\";s:4:\"twig\";s:10:\"base_theme\";s:6:\"classy\";}}',-1,1637057229.279,1,'','0'),('core.extension.list.theme_engine','a:1:{s:4:\"twig\";O:31:\"Drupal\\Core\\Extension\\Extension\":6:{s:7:\"\0*\0type\";s:12:\"theme_engine\";s:11:\"\0*\0pathname\";s:38:\"core/themes/engines/twig/twig.info.yml\";s:11:\"\0*\0filename\";s:11:\"twig.engine\";s:7:\"subpath\";s:19:\"themes/engines/twig\";s:6:\"origin\";s:4:\"core\";s:4:\"info\";a:10:{s:4:\"type\";s:12:\"theme_engine\";s:4:\"name\";s:4:\"Twig\";s:4:\"core\";s:3:\"8.x\";s:7:\"version\";s:6:\"8.9.19\";s:7:\"package\";s:4:\"Core\";s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:12:\"dependencies\";a:0:{}s:11:\"description\";s:0:\"\";s:3:\"php\";s:5:\"7.0.8\";}}}',-1,1636011224.770,1,'','0'),('filter_formats:en','a:4:{s:9:\"full_html\";O:33:\"Drupal\\filter\\Entity\\FilterFormat\":22:{s:9:\"\0*\0format\";s:9:\"full_html\";s:7:\"\0*\0name\";s:9:\"Full HTML\";s:9:\"\0*\0weight\";i:-10;s:8:\"\0*\0roles\";N;s:10:\"\0*\0filters\";a:6:{s:12:\"filter_align\";a:5:{s:2:\"id\";s:12:\"filter_align\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:8;s:8:\"settings\";a:0:{}}s:14:\"filter_caption\";a:5:{s:2:\"id\";s:14:\"filter_caption\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:9;s:8:\"settings\";a:0:{}}s:20:\"filter_htmlcorrector\";a:5:{s:2:\"id\";s:20:\"filter_htmlcorrector\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:10;s:8:\"settings\";a:0:{}}s:21:\"editor_file_reference\";a:5:{s:2:\"id\";s:21:\"editor_file_reference\";s:8:\"provider\";s:6:\"editor\";s:6:\"status\";b:1;s:6:\"weight\";i:11;s:8:\"settings\";a:0:{}}s:12:\"filter_autop\";a:5:{s:2:\"id\";s:12:\"filter_autop\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}}s:11:\"filter_html\";a:5:{s:2:\"id\";s:11:\"filter_html\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:0;s:6:\"weight\";i:-10;s:8:\"settings\";a:3:{s:12:\"allowed_html\";s:314:\"<a hreflang href> <em> <strong> <cite> <blockquote cite> <code> <ul type> <ol type start> <li> <dl> <dt> <dd> <h2 id> <h3 id> <h4 id> <h5 id> <h6 id> <s> <sup> <sub> <img src alt data-entity-type data-entity-uuid data-align data-caption> <table> <caption> <tbody> <thead> <tfoot> <th> <td> <tr> <hr> <p> <h1> <pre>\";s:16:\"filter_html_help\";b:1;s:20:\"filter_html_nofollow\";b:0;}}}s:13:\"\0*\0originalId\";s:9:\"full_html\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"efe20ac4-44c8-461d-9471-f88c6e15a634\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:1:{s:19:\"default_config_hash\";s:43:\"hewPmBgni9jlDK_IjLxUx1HsTbinK-hdl0lOwjbteIY\";}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:13:\"filter_format\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:6:\"editor\";}}s:12:\"\0*\0isSyncing\";b:0;}s:10:\"basic_html\";O:33:\"Drupal\\filter\\Entity\\FilterFormat\":22:{s:9:\"\0*\0format\";s:10:\"basic_html\";s:7:\"\0*\0name\";s:10:\"Basic HTML\";s:9:\"\0*\0weight\";i:-9;s:8:\"\0*\0roles\";N;s:10:\"\0*\0filters\";a:5:{s:11:\"filter_html\";a:5:{s:2:\"id\";s:11:\"filter_html\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:-10;s:8:\"settings\";a:3:{s:12:\"allowed_html\";s:250:\"<a href hreflang> <em> <strong> <cite> <blockquote cite> <code> <ul type> <ol start type> <li> <dl> <dt> <dd> <h2 id> <h3 id> <h4 id> <h5 id> <h6 id> <p> <br> <span> <img src alt height width data-entity-type data-entity-uuid data-align data-caption>\";s:16:\"filter_html_help\";b:0;s:20:\"filter_html_nofollow\";b:0;}}s:12:\"filter_align\";a:5:{s:2:\"id\";s:12:\"filter_align\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:7;s:8:\"settings\";a:0:{}}s:14:\"filter_caption\";a:5:{s:2:\"id\";s:14:\"filter_caption\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:8;s:8:\"settings\";a:0:{}}s:24:\"filter_html_image_secure\";a:5:{s:2:\"id\";s:24:\"filter_html_image_secure\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:9;s:8:\"settings\";a:0:{}}s:21:\"editor_file_reference\";a:5:{s:2:\"id\";s:21:\"editor_file_reference\";s:8:\"provider\";s:6:\"editor\";s:6:\"status\";b:1;s:6:\"weight\";i:11;s:8:\"settings\";a:0:{}}}s:13:\"\0*\0originalId\";s:10:\"basic_html\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"d4ada579-3847-4caf-9811-f9e7a8227242\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:1:{s:19:\"default_config_hash\";s:43:\"P8ddpAIKtawJDi5SzOwCzVnnNYqONewSTJ6Xn0dW_aQ\";}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:13:\"filter_format\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:6:\"editor\";}}s:12:\"\0*\0isSyncing\";b:0;}s:15:\"restricted_html\";O:33:\"Drupal\\filter\\Entity\\FilterFormat\":22:{s:9:\"\0*\0format\";s:15:\"restricted_html\";s:7:\"\0*\0name\";s:15:\"Restricted HTML\";s:9:\"\0*\0weight\";i:-8;s:8:\"\0*\0roles\";N;s:10:\"\0*\0filters\";a:3:{s:11:\"filter_html\";a:5:{s:2:\"id\";s:11:\"filter_html\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:-10;s:8:\"settings\";a:3:{s:12:\"allowed_html\";s:149:\"<a href hreflang> <em> <strong> <cite> <blockquote cite> <code> <ul type> <ol start type> <li> <dl> <dt> <dd> <h2 id> <h3 id> <h4 id> <h5 id> <h6 id>\";s:16:\"filter_html_help\";b:1;s:20:\"filter_html_nofollow\";b:0;}}s:12:\"filter_autop\";a:5:{s:2:\"id\";s:12:\"filter_autop\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}}s:10:\"filter_url\";a:5:{s:2:\"id\";s:10:\"filter_url\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:0;s:8:\"settings\";a:1:{s:17:\"filter_url_length\";i:72;}}}s:13:\"\0*\0originalId\";s:15:\"restricted_html\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"99b1b028-071c-47e7-8d86-cb4db3563de2\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:1:{s:19:\"default_config_hash\";s:43:\"KUjJ8Ti_ZJSlhGM88E_mhJP-8mmQRNUB6RFof615Kt0\";}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:13:\"filter_format\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}s:10:\"plain_text\";O:33:\"Drupal\\filter\\Entity\\FilterFormat\":22:{s:9:\"\0*\0format\";s:10:\"plain_text\";s:7:\"\0*\0name\";s:10:\"Plain text\";s:9:\"\0*\0weight\";i:-7;s:8:\"\0*\0roles\";N;s:10:\"\0*\0filters\";a:3:{s:18:\"filter_html_escape\";a:5:{s:2:\"id\";s:18:\"filter_html_escape\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:-10;s:8:\"settings\";a:0:{}}s:10:\"filter_url\";a:5:{s:2:\"id\";s:10:\"filter_url\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:0;s:8:\"settings\";a:1:{s:17:\"filter_url_length\";i:72;}}s:12:\"filter_autop\";a:5:{s:2:\"id\";s:12:\"filter_autop\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}}}s:13:\"\0*\0originalId\";s:10:\"plain_text\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"8c494b7c-79fe-4492-99e6-de6eb17099c5\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:1:{s:19:\"default_config_hash\";s:43:\"NIKBt6kw_uPhNI0qtR2DnRf7mSOgAQdx7Q94SKMjXbQ\";}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:13:\"filter_format\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}}',-1,1636012255.463,1,'config:filter_format_list','0'),('system.profile.info','a:15:{s:10:\"demo_umami\";a:13:{s:4:\"name\";s:40:\"Demo: Umami Food Magazine (Experimental)\";s:4:\"type\";s:7:\"profile\";s:11:\"description\";s:71:\"Install an example site that shows off some of Drupal’s capabilities.\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:7:\"install\";a:45:{i:0;s:4:\"node\";i:1;s:7:\"history\";i:2;s:8:\"big_pipe\";i:3;s:5:\"block\";i:4;s:10:\"breakpoint\";i:5;s:8:\"ckeditor\";i:6;s:5:\"color\";i:7;s:6:\"config\";i:8;s:10:\"contextual\";i:9;s:7:\"contact\";i:10;s:14:\"layout_builder\";i:11;s:16:\"layout_discovery\";i:12;s:17:\"menu_link_content\";i:13;s:8:\"datetime\";i:14;s:13:\"block_content\";i:15;s:9:\"quickedit\";i:16;s:6:\"editor\";i:17;s:4:\"help\";i:18;s:5:\"image\";i:19;s:5:\"media\";i:20;s:13:\"media_library\";i:21;s:7:\"menu_ui\";i:22;s:7:\"options\";i:23;s:4:\"path\";i:24;s:10:\"page_cache\";i:25;s:18:\"dynamic_page_cache\";i:26;s:8:\"taxonomy\";i:27;s:5:\"dblog\";i:28;s:6:\"search\";i:29;s:8:\"shortcut\";i:30;s:7:\"toolbar\";i:31;s:8:\"field_ui\";i:32;s:4:\"file\";i:33;s:3:\"rdf\";i:34;s:5:\"views\";i:35;s:8:\"views_ui\";i:36;s:4:\"tour\";i:37;s:14:\"automated_cron\";i:38;s:16:\"responsive_image\";i:39;s:18:\"content_moderation\";i:40;s:9:\"workflows\";i:41;s:8:\"language\";i:42;s:6:\"locale\";i:43;s:18:\"config_translation\";i:44;s:19:\"content_translation\";}s:6:\"themes\";a:2:{i:0;s:5:\"seven\";i:1;s:5:\"umami\";}s:12:\"keep_english\";b:1;s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"7.0.8\";}s:7:\"minimal\";a:12:{s:4:\"name\";s:7:\"Minimal\";s:4:\"type\";s:7:\"profile\";s:11:\"description\";s:86:\"Build a custom site without pre-configured functionality. Suitable for advanced users.\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:7:\"install\";a:5:{i:0;s:4:\"node\";i:1;s:5:\"block\";i:2;s:5:\"dblog\";i:3;s:10:\"page_cache\";i:4;s:18:\"dynamic_page_cache\";}s:6:\"themes\";a:1:{i:0;s:5:\"stark\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"7.0.8\";}s:18:\"nightwatch_testing\";a:12:{s:4:\"name\";s:18:\"Nightwatch Testing\";s:4:\"type\";s:7:\"profile\";s:11:\"description\";s:88:\"Minimal profile for running Nightwatch tests. Includes absolutely required modules only.\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:6:\"hidden\";b:1;s:7:\"install\";a:1:{i:0;s:23:\"js_deprecation_log_test\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"7.0.8\";}s:8:\"standard\";a:12:{s:4:\"name\";s:8:\"Standard\";s:4:\"type\";s:7:\"profile\";s:11:\"description\";s:51:\"Install with commonly used features pre-configured.\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:7:\"install\";a:35:{i:0;s:4:\"node\";i:1;s:7:\"history\";i:2;s:5:\"block\";i:3;s:10:\"breakpoint\";i:4;s:8:\"ckeditor\";i:5;s:5:\"color\";i:6;s:6:\"config\";i:7;s:7:\"comment\";i:8;s:10:\"contextual\";i:9;s:7:\"contact\";i:10;s:17:\"menu_link_content\";i:11;s:8:\"datetime\";i:12;s:13:\"block_content\";i:13;s:9:\"quickedit\";i:14;s:6:\"editor\";i:15;s:4:\"help\";i:16;s:5:\"image\";i:17;s:7:\"menu_ui\";i:18;s:7:\"options\";i:19;s:4:\"path\";i:20;s:10:\"page_cache\";i:21;s:18:\"dynamic_page_cache\";i:22;s:8:\"big_pipe\";i:23;s:8:\"taxonomy\";i:24;s:5:\"dblog\";i:25;s:6:\"search\";i:26;s:8:\"shortcut\";i:27;s:7:\"toolbar\";i:28;s:8:\"field_ui\";i:29;s:4:\"file\";i:30;s:3:\"rdf\";i:31;s:5:\"views\";i:32;s:8:\"views_ui\";i:33;s:4:\"tour\";i:34;s:14:\"automated_cron\";}s:6:\"themes\";a:2:{i:0;s:6:\"bartik\";i:1;s:5:\"seven\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"7.0.8\";}s:7:\"testing\";a:12:{s:4:\"name\";s:7:\"Testing\";s:4:\"type\";s:7:\"profile\";s:11:\"description\";s:77:\"Minimal profile for running tests. Includes absolutely required modules only.\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:6:\"hidden\";b:1;s:7:\"install\";a:2:{i:0;s:17:\"drupal:page_cache\";i:1;s:18:\"dynamic_page_cache\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"7.0.8\";}s:21:\"testing_config_import\";a:13:{s:4:\"name\";s:21:\"Testing config import\";s:4:\"type\";s:7:\"profile\";s:11:\"description\";s:46:\"Tests install profiles in the config importer.\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:6:\"hidden\";b:1;s:7:\"install\";a:1:{i:0;s:6:\"syslog\";}s:6:\"themes\";a:1:{i:0;s:5:\"stark\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"7.0.8\";}s:24:\"testing_config_overrides\";a:12:{s:4:\"name\";s:24:\"Testing config overrides\";s:4:\"type\";s:7:\"profile\";s:11:\"description\";s:69:\"Minimal profile for running tests with config overrides in a profile.\";s:7:\"version\";s:6:\"8.9.19\";s:24:\"core_version_requirement\";s:1:\"*\";s:6:\"hidden\";b:1;s:7:\"install\";a:3:{i:0;s:6:\"action\";i:1;s:8:\"language\";i:2;s:4:\"tour\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"7.0.8\";}s:40:\"testing_install_profile_all_dependencies\";a:13:{s:4:\"name\";s:40:\"Testing install profile all dependencies\";s:4:\"type\";s:7:\"profile\";s:11:\"description\";s:63:\"Profile for testing that install profiles can require a module.\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:2:{i:0;s:3:\"ban\";i:1;s:5:\"dblog\";}s:7:\"install\";a:0:{}s:6:\"themes\";a:1:{i:0;s:6:\"classy\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"7.0.8\";}s:36:\"testing_install_profile_dependencies\";a:13:{s:4:\"name\";s:36:\"Testing install profile dependencies\";s:4:\"type\";s:7:\"profile\";s:11:\"description\";s:63:\"Profile for testing that install profiles can require a module.\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:1:{i:0;s:5:\"dblog\";}s:7:\"install\";a:1:{i:0;s:3:\"ban\";}s:6:\"themes\";a:1:{i:0;s:6:\"classy\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"7.0.8\";}s:39:\"testing_install_profile_dependencies_bc\";a:13:{s:4:\"name\";s:45:\"Testing install profile dependencies BC layer\";s:4:\"type\";s:7:\"profile\";s:11:\"description\";s:54:\"Profile for testing BC layer for profile dependencies.\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:0:{}s:6:\"themes\";a:1:{i:0;s:6:\"classy\";}s:17:\"core_incompatible\";b:0;s:7:\"install\";a:2:{i:0;s:5:\"dblog\";i:1;s:3:\"ban\";}s:5:\"mtime\";i:1631657298;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"7.0.8\";}s:28:\"testing_missing_dependencies\";a:13:{s:4:\"name\";s:28:\"Testing missing dependencies\";s:4:\"type\";s:7:\"profile\";s:11:\"description\";s:76:\"Minimal profile for running a test when dependencies are listed but missing.\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:6:\"hidden\";b:1;s:7:\"install\";a:5:{i:0;s:5:\"block\";i:1;s:11:\"drupal:node\";i:2;s:16:\"drupal:fictional\";i:3;s:15:\"missing_module1\";i:4;s:15:\"missing_module2\";}s:12:\"keep_english\";b:1;s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"7.0.8\";}s:20:\"testing_multilingual\";a:12:{s:4:\"name\";s:20:\"Testing multilingual\";s:4:\"type\";s:7:\"profile\";s:11:\"description\";s:64:\"Minimal profile for running tests with a multilingual installer.\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:6:\"hidden\";b:1;s:7:\"install\";a:2:{i:0;s:6:\"locale\";i:1;s:4:\"tour\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"7.0.8\";}s:33:\"testing_multilingual_with_english\";a:13:{s:4:\"name\";s:33:\"Testing multilingual with English\";s:4:\"type\";s:7:\"profile\";s:11:\"description\";s:64:\"Minimal profile for running tests with a multilingual installer.\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:6:\"hidden\";b:1;s:7:\"install\";a:1:{i:0;s:6:\"locale\";}s:12:\"keep_english\";b:1;s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"7.0.8\";}s:20:\"testing_requirements\";a:12:{s:4:\"name\";s:20:\"Testing requirements\";s:4:\"type\";s:7:\"profile\";s:11:\"description\";s:40:\"Profile for testing hook_requirements().\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:6:\"hidden\";b:1;s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:12:\"dependencies\";a:0:{}s:7:\"install\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"7.0.8\";}s:19:\"testing_site_config\";a:12:{s:4:\"name\";s:19:\"Testing site config\";s:4:\"type\";s:7:\"profile\";s:11:\"description\";s:53:\"Minimal profile for testing with default site config.\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:6:\"hidden\";b:1;s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:12:\"dependencies\";a:0:{}s:7:\"install\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"7.0.8\";}}',-1,1636012331.927,1,'','0'),('system.theme.files','a:7:{s:6:\"bartik\";s:34:\"core/themes/bartik/bartik.info.yml\";s:5:\"claro\";s:32:\"core/themes/claro/claro.info.yml\";s:6:\"classy\";s:34:\"core/themes/classy/classy.info.yml\";s:9:\"luxestate\";s:35:\"themes/luxestate/luxestate.info.yml\";s:5:\"seven\";s:32:\"core/themes/seven/seven.info.yml\";s:6:\"stable\";s:34:\"core/themes/stable/stable.info.yml\";s:5:\"stark\";s:32:\"core/themes/stark/stark.info.yml\";}',-1,1637057270.254,1,'','0'),('system.theme.info','a:7:{s:5:\"stark\";a:18:{s:4:\"name\";s:5:\"Stark\";s:4:\"type\";s:5:\"theme\";s:11:\"description\";s:211:\"An intentionally plain theme with no styling to demonstrate default Drupal’s HTML and CSS. Learn how to build a custom theme from Stark in the <a href=\"https://www.drupal.org/docs/8/theming\">Theming Guide</a>.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:6:\"engine\";s:4:\"twig\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:12:\"primary_menu\";s:12:\"Primary menu\";s:14:\"secondary_menu\";s:14:\"Secondary menu\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:10:\"breadcrumb\";s:10:\"Breadcrumb\";}s:8:\"features\";a:5:{i:0;s:7:\"favicon\";i:1;s:4:\"logo\";i:2;s:17:\"node_user_picture\";i:3;s:20:\"comment_user_picture\";i:4;s:25:\"comment_user_verification\";}s:10:\"screenshot\";s:32:\"core/themes/stark/screenshot.png\";s:3:\"php\";s:5:\"7.0.8\";s:9:\"libraries\";a:0:{}s:16:\"libraries_extend\";a:0:{}s:18:\"libraries_override\";a:0:{}s:12:\"dependencies\";a:0:{}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}}s:5:\"claro\";a:25:{s:4:\"name\";s:5:\"Claro\";s:4:\"type\";s:5:\"theme\";s:10:\"base theme\";s:6:\"classy\";s:11:\"description\";s:62:\"A clean, accessible, and powerful Drupal administration theme.\";s:8:\"alt text\";s:49:\"Screenshot of Claro, Drupal administration theme.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:12:\"experimental\";b:1;s:4:\"core\";s:3:\"8.x\";s:9:\"libraries\";a:1:{i:0;s:20:\"claro/global-styling\";}s:18:\"libraries-override\";a:28:{s:11:\"system/base\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:6:{s:66:\"/core/themes/stable/css/system/components/ajax-progress.module.css\";s:39:\"css/components/ajax-progress.module.css\";s:73:\"/core/themes/stable/css/system/components/autocomplete-loading.module.css\";s:46:\"css/components/autocomplete-loading.module.css\";s:67:\"/core/themes/stable/css/system/components/system-status-counter.css\";s:40:\"css/components/system-status-counter.css\";s:75:\"/core/themes/stable/css/system/components/system-status-report-counters.css\";s:48:\"css/components/system-status-report-counters.css\";s:79:\"/core/themes/stable/css/system/components/system-status-report-general-info.css\";s:52:\"css/components/system-status-report-general-info.css\";s:62:\"/core/themes/stable/css/system/components/tabledrag.module.css\";s:28:\"css/components/tabledrag.css\";}}}s:12:\"system/admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:47:\"/core/themes/stable/css/system/system.admin.css\";b:0;}}}s:22:\"core/drupal.dropbutton\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:54:\"/core/themes/stable/css/core/dropbutton/dropbutton.css\";s:29:\"css/components/dropbutton.css\";}}}s:21:\"core/drupal.tabledrag\";a:1:{s:2:\"js\";a:1:{s:17:\"misc/tabledrag.js\";s:15:\"js/tabledrag.js\";}}s:25:\"core/drupal.vertical-tabs\";a:2:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:46:\"/core/themes/stable/css/core/vertical-tabs.css\";b:0;}}s:2:\"js\";a:1:{s:21:\"misc/vertical-tabs.js\";s:19:\"js/vertical-tabs.js\";}}s:14:\"core/jquery.ui\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:45:\"assets/vendor/jquery.ui/themes/base/theme.css\";b:0;}}}s:21:\"core/jquery.ui.dialog\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:46:\"assets/vendor/jquery.ui/themes/base/dialog.css\";b:0;}}}s:13:\"classy/dialog\";s:25:\"claro/claro.drupal.dialog\";s:11:\"classy/base\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:24:{s:31:\"css/components/action-links.css\";b:0;s:29:\"css/components/breadcrumb.css\";b:0;s:25:\"css/components/button.css\";b:0;s:37:\"css/components/collapse-processed.css\";b:0;s:35:\"css/components/container-inline.css\";s:42:\"css/classy/components/container-inline.css\";s:26:\"css/components/details.css\";b:0;s:29:\"css/components/dropbutton.css\";b:0;s:34:\"css/components/exposed-filters.css\";s:41:\"css/classy/components/exposed-filters.css\";s:24:\"css/components/field.css\";s:31:\"css/classy/components/field.css\";s:23:\"css/components/form.css\";b:0;s:24:\"css/components/icons.css\";s:31:\"css/classy/components/icons.css\";s:30:\"css/components/inline-form.css\";s:37:\"css/classy/components/inline-form.css\";s:28:\"css/components/item-list.css\";s:35:\"css/classy/components/item-list.css\";s:23:\"css/components/link.css\";s:30:\"css/classy/components/link.css\";s:24:\"css/components/links.css\";s:31:\"css/classy/components/links.css\";s:23:\"css/components/menu.css\";s:30:\"css/classy/components/menu.css\";s:28:\"css/components/more-link.css\";s:35:\"css/classy/components/more-link.css\";s:24:\"css/components/pager.css\";b:0;s:28:\"css/components/tabledrag.css\";b:0;s:30:\"css/components/tableselect.css\";s:30:\"css/components/tableselect.css\";s:28:\"css/components/tablesort.css\";s:35:\"css/classy/components/tablesort.css\";s:23:\"css/components/tabs.css\";b:0;s:27:\"css/components/textarea.css\";s:34:\"css/classy/components/textarea.css\";s:28:\"css/components/ui-dialog.css\";s:35:\"css/classy/components/ui-dialog.css\";}}}s:22:\"classy/book-navigation\";s:28:\"claro/classy.book-navigation\";s:17:\"classy/dropbutton\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:29:\"css/components/dropbutton.css\";b:0;}}}s:11:\"classy/file\";s:17:\"claro/classy.file\";s:12:\"classy/forum\";s:18:\"claro/classy.forum\";s:19:\"classy/image-widget\";s:18:\"claro/image-widget\";s:15:\"classy/indented\";s:21:\"claro/classy.indented\";s:33:\"classy/media_embed_ckeditor_theme\";s:39:\"claro/classy.media_embed_ckeditor_theme\";s:24:\"classy/media_embed_error\";s:30:\"claro/classy.media_embed_error\";s:15:\"classy/messages\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:27:\"css/components/messages.css\";b:0;}}}s:11:\"classy/node\";s:17:\"claro/classy.node\";s:15:\"classy/progress\";s:14:\"claro/progress\";s:21:\"classy/search-results\";s:27:\"claro/classy.search-results\";s:11:\"classy/user\";b:0;s:16:\"user/drupal.user\";s:27:\"claro/form.password-confirm\";s:24:\"field_ui/drupal.field_ui\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:51:\"/core/themes/stable/css/field_ui/field_ui.admin.css\";s:28:\"css/theme/field-ui.admin.css\";}}}s:26:\"filter/drupal.filter.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:47:\"/core/themes/stable/css/filter/filter.admin.css\";s:26:\"css/theme/filter.theme.css\";}}}s:20:\"filter/drupal.filter\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:47:\"/core/themes/stable/css/filter/filter.admin.css\";s:26:\"css/theme/filter.theme.css\";}}}s:22:\"views_ui/admin.styling\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:57:\"/core/themes/stable/css/views_ui/views_ui.admin.theme.css\";s:34:\"css/theme/views_ui.admin.theme.css\";}}}s:20:\"classy/media_library\";s:11:\"claro/empty\";}s:16:\"libraries-extend\";a:20:{s:24:\"ckeditor/drupal.ckeditor\";a:1:{i:0;s:21:\"claro/ckeditor-editor\";}s:13:\"core/ckeditor\";a:1:{i:0;s:21:\"claro/ckeditor-dialog\";}s:20:\"core/drupal.collapse\";a:1:{i:0;s:19:\"claro/details-focus\";}s:18:\"core/drupal.dialog\";a:1:{i:0;s:25:\"claro/claro.drupal.dialog\";}s:22:\"core/drupal.dropbutton\";a:1:{i:0;s:16:\"claro/dropbutton\";}s:20:\"core/drupal.checkbox\";a:1:{i:0;s:14:\"claro/checkbox\";}s:19:\"core/drupal.message\";a:1:{i:0;s:14:\"claro/messages\";}s:20:\"core/drupal.progress\";a:1:{i:0;s:14:\"claro/progress\";}s:25:\"core/drupal.vertical-tabs\";a:1:{i:0;s:19:\"claro/vertical-tabs\";}s:14:\"core/jquery.ui\";a:1:{i:0;s:21:\"claro/claro.jquery.ui\";}s:16:\"file/drupal.file\";a:1:{i:0;s:10:\"claro/file\";}s:12:\"system/admin\";a:1:{i:0;s:18:\"claro/system.admin\";}s:24:\"core/drupal.autocomplete\";a:1:{i:0;s:18:\"claro/autocomplete\";}s:17:\"tour/tour-styling\";a:1:{i:0;s:18:\"claro/tour-styling\";}s:24:\"shortcut/drupal.shortcut\";a:1:{i:0;s:21:\"claro/drupal.shortcut\";}s:16:\"core/drupal.ajax\";a:1:{i:0;s:10:\"claro/ajax\";}s:18:\"views/views.module\";a:1:{i:0;s:11:\"claro/views\";}s:32:\"media/media_embed_ckeditor_theme\";a:1:{i:0;s:39:\"claro/classy.media_embed_ckeditor_theme\";}s:18:\"media_library/view\";a:1:{i:0;s:25:\"claro/media_library.theme\";}s:20:\"media_library/widget\";a:1:{i:0;s:25:\"claro/media_library.theme\";}}s:21:\"quickedit_stylesheets\";a:1:{i:0;s:28:\"css/components/quickedit.css\";}s:20:\"ckeditor_stylesheets\";a:4:{i:0;s:21:\"css/base/elements.css\";i:1;s:23:\"css/base/typography.css\";i:2;s:28:\"css/theme/ckeditor-frame.css\";i:3;s:43:\"css/classy/components/media-embed-error.css\";}s:7:\"regions\";a:9:{s:6:\"header\";s:6:\"Header\";s:11:\"pre_content\";s:11:\"Pre-content\";s:10:\"breadcrumb\";s:10:\"Breadcrumb\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:7:\"content\";s:7:\"Content\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:13:\"sidebar_first\";s:13:\"First sidebar\";}s:14:\"regions_hidden\";a:3:{i:0;s:13:\"sidebar_first\";i:1;s:8:\"page_top\";i:2;s:11:\"page_bottom\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:6:\"engine\";s:4:\"twig\";s:8:\"features\";a:5:{i:0;s:7:\"favicon\";i:1;s:4:\"logo\";i:2;s:17:\"node_user_picture\";i:3;s:20:\"comment_user_picture\";i:4;s:25:\"comment_user_verification\";}s:10:\"screenshot\";s:32:\"core/themes/claro/screenshot.png\";s:3:\"php\";s:5:\"7.0.8\";s:16:\"libraries_extend\";a:0:{}s:18:\"libraries_override\";a:0:{}s:12:\"dependencies\";a:1:{i:0;s:6:\"classy\";}}s:6:\"stable\";a:21:{s:4:\"name\";s:6:\"Stable\";s:4:\"type\";s:5:\"theme\";s:11:\"description\";s:62:\"A default base theme using Drupal 8.0.0\'s core markup and CSS.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:6:\"hidden\";b:1;s:18:\"libraries-override\";a:52:{s:24:\"block/drupal.block.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:19:\"css/block.admin.css\";s:25:\"css/block/block.admin.css\";}}}s:24:\"ckeditor/drupal.ckeditor\";a:1:{s:3:\"css\";a:1:{s:5:\"state\";a:1:{s:16:\"css/ckeditor.css\";s:25:\"css/ckeditor/ckeditor.css\";}}}s:51:\"ckeditor/drupal.ckeditor.plugins.drupalimagecaption\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:62:\"css/plugins/drupalimagecaption/ckeditor.drupalimagecaption.css\";s:71:\"css/ckeditor/plugins/drupalimagecaption/ckeditor.drupalimagecaption.css\";}}}s:41:\"ckeditor/drupal.ckeditor.plugins.language\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:42:\"css/plugins/language/ckeditor.language.css\";s:51:\"css/ckeditor/plugins/language/ckeditor.language.css\";}}}s:30:\"ckeditor/drupal.ckeditor.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:22:\"css/ckeditor.admin.css\";s:31:\"css/ckeditor/ckeditor.admin.css\";}}}s:11:\"color/admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:19:\"css/color.admin.css\";s:25:\"css/color/color.admin.css\";}}}s:50:\"config_translation/drupal.config_translation.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:32:\"css/config_translation.admin.css\";s:51:\"css/config_translation/config_translation.admin.css\";}}}s:52:\"content_translation/drupal.content_translation.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:33:\"css/content_translation.admin.css\";s:53:\"css/content_translation/content_translation.admin.css\";}}}s:37:\"content_moderation/content_moderation\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:1:{s:33:\"css/content_moderation.module.css\";s:52:\"css/content_moderation/content_moderation.module.css\";}s:5:\"theme\";a:1:{s:32:\"css/content_moderation.theme.css\";s:51:\"css/content_moderation/content_moderation.theme.css\";}}}s:34:\"contextual/drupal.contextual-links\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:1:{s:25:\"css/contextual.module.css\";s:36:\"css/contextual/contextual.module.css\";}s:5:\"theme\";a:2:{s:24:\"css/contextual.theme.css\";s:35:\"css/contextual/contextual.theme.css\";s:30:\"css/contextual.icons.theme.css\";s:41:\"css/contextual/contextual.icons.theme.css\";}}}s:36:\"contextual/drupal.contextual-toolbar\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:26:\"css/contextual.toolbar.css\";s:37:\"css/contextual/contextual.toolbar.css\";}}}s:29:\"core/drupal.dialog.off_canvas\";a:1:{s:3:\"css\";a:2:{s:4:\"base\";a:4:{s:32:\"misc/dialog/off-canvas.reset.css\";s:36:\"css/core/dialog/off-canvas.reset.css\";s:31:\"misc/dialog/off-canvas.base.css\";s:35:\"css/core/dialog/off-canvas.base.css\";s:26:\"misc/dialog/off-canvas.css\";s:30:\"css/core/dialog/off-canvas.css\";s:32:\"misc/dialog/off-canvas.theme.css\";s:36:\"css/core/dialog/off-canvas.theme.css\";}s:9:\"component\";a:8:{s:33:\"misc/dialog/off-canvas.motion.css\";s:37:\"css/core/dialog/off-canvas.motion.css\";s:33:\"misc/dialog/off-canvas.button.css\";s:37:\"css/core/dialog/off-canvas.button.css\";s:31:\"misc/dialog/off-canvas.form.css\";s:35:\"css/core/dialog/off-canvas.form.css\";s:32:\"misc/dialog/off-canvas.table.css\";s:36:\"css/core/dialog/off-canvas.table.css\";s:34:\"misc/dialog/off-canvas.details.css\";s:38:\"css/core/dialog/off-canvas.details.css\";s:36:\"misc/dialog/off-canvas.tabledrag.css\";s:40:\"css/core/dialog/off-canvas.tabledrag.css\";s:37:\"misc/dialog/off-canvas.dropbutton.css\";s:41:\"css/core/dialog/off-canvas.dropbutton.css\";s:33:\"misc/dialog/off-canvas.layout.css\";s:37:\"css/core/dialog/off-canvas.layout.css\";}}}s:22:\"core/drupal.dropbutton\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:30:\"misc/dropbutton/dropbutton.css\";s:34:\"css/core/dropbutton/dropbutton.css\";}}}s:25:\"core/drupal.vertical-tabs\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:22:\"misc/vertical-tabs.css\";s:26:\"css/core/vertical-tabs.css\";}}}s:18:\"dblog/drupal.dblog\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:20:\"css/dblog.module.css\";s:26:\"css/dblog/dblog.module.css\";}}}s:24:\"field_ui/drupal.field_ui\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:22:\"css/field_ui.admin.css\";s:31:\"css/field_ui/field_ui.admin.css\";}}}s:16:\"file/drupal.file\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:18:\"css/file.admin.css\";s:23:\"css/file/file.admin.css\";}}}s:26:\"filter/drupal.filter.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:20:\"css/filter.admin.css\";s:27:\"css/filter/filter.admin.css\";}}}s:20:\"filter/drupal.filter\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:20:\"css/filter.admin.css\";s:27:\"css/filter/filter.admin.css\";}}}s:14:\"filter/caption\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:22:\"css/filter.caption.css\";s:29:\"css/filter/filter.caption.css\";}}}s:11:\"image/admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:19:\"css/image.admin.css\";s:25:\"css/image/image.admin.css\";}}}s:35:\"image/quickedit.inPlaceEditor.image\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:1:{s:21:\"css/editors/image.css\";s:27:\"css/image/editors/image.css\";}s:5:\"theme\";a:1:{s:27:\"css/editors/image.theme.css\";s:33:\"css/image/editors/image.theme.css\";}}}s:30:\"language/drupal.language.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:22:\"css/language.admin.css\";s:31:\"css/language/language.admin.css\";}}}s:36:\"layout_builder/drupal.layout_builder\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:22:\"css/layout-builder.css\";s:37:\"css/layout_builder/layout-builder.css\";}}}s:26:\"locale/drupal.locale.admin\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:20:\"css/locale.admin.css\";s:27:\"css/locale/locale.admin.css\";}}}s:20:\"media/filter.caption\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:22:\"css/filter.caption.css\";s:28:\"css/media/filter.caption.css\";}}}s:22:\"media/oembed.formatter\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:24:\"css/oembed.formatter.css\";s:30:\"css/media/oembed.formatter.css\";}}}s:18:\"media/oembed.frame\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:20:\"css/oembed.frame.css\";s:26:\"css/media/oembed.frame.css\";}}}s:33:\"menu_ui/drupal.menu_ui.adminforms\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:21:\"css/menu_ui.admin.css\";s:29:\"css/menu_ui/menu_ui.admin.css\";}}}s:22:\"migrate_drupal_ui/base\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:49:\"css/components/upgrade-analysis-report-tables.css\";s:67:\"css/migrate_drupal_ui/components/upgrade-analysis-report-tables.css\";}}}s:16:\"node/drupal.node\";a:1:{s:3:\"css\";a:1:{s:6:\"layout\";a:1:{s:19:\"css/node.module.css\";s:24:\"css/node/node.module.css\";}}}s:24:\"node/drupal.node.preview\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:20:\"css/node.preview.css\";s:25:\"css/node/node.preview.css\";}}}s:9:\"node/form\";a:1:{s:3:\"css\";a:1:{s:6:\"layout\";a:1:{s:19:\"css/node.module.css\";s:24:\"css/node/node.module.css\";}}}s:22:\"node/drupal.node.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:18:\"css/node.admin.css\";s:23:\"css/node/node.admin.css\";}}}s:19:\"quickedit/quickedit\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:1:{s:24:\"css/quickedit.module.css\";s:34:\"css/quickedit/quickedit.module.css\";}s:5:\"theme\";a:2:{s:23:\"css/quickedit.theme.css\";s:33:\"css/quickedit/quickedit.theme.css\";s:29:\"css/quickedit.icons.theme.css\";s:39:\"css/quickedit/quickedit.icons.theme.css\";}}}s:34:\"settings_tray/drupal.settings_tray\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:3:{s:28:\"css/settings_tray.module.css\";s:42:\"css/settings_tray/settings_tray.module.css\";s:28:\"css/settings_tray.motion.css\";s:42:\"css/settings_tray/settings_tray.motion.css\";s:29:\"css/settings_tray.toolbar.css\";s:43:\"css/settings_tray/settings_tray.toolbar.css\";}s:5:\"theme\";a:1:{s:27:\"css/settings_tray.theme.css\";s:41:\"css/settings_tray/settings_tray.theme.css\";}}}s:24:\"shortcut/drupal.shortcut\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:2:{s:22:\"css/shortcut.theme.css\";s:31:\"css/shortcut/shortcut.theme.css\";s:28:\"css/shortcut.icons.theme.css\";s:37:\"css/shortcut/shortcut.icons.theme.css\";}}}s:28:\"simpletest/drupal.simpletest\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:25:\"css/simpletest.module.css\";s:36:\"css/simpletest/simpletest.module.css\";}}}s:11:\"system/base\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:22:{s:39:\"css/components/ajax-progress.module.css\";s:46:\"css/system/components/ajax-progress.module.css\";s:31:\"css/components/align.module.css\";s:38:\"css/system/components/align.module.css\";s:46:\"css/components/autocomplete-loading.module.css\";s:53:\"css/system/components/autocomplete-loading.module.css\";s:36:\"css/components/fieldgroup.module.css\";s:43:\"css/system/components/fieldgroup.module.css\";s:42:\"css/components/container-inline.module.css\";s:49:\"css/system/components/container-inline.module.css\";s:34:\"css/components/clearfix.module.css\";s:41:\"css/system/components/clearfix.module.css\";s:33:\"css/components/details.module.css\";s:40:\"css/system/components/details.module.css\";s:32:\"css/components/hidden.module.css\";s:39:\"css/system/components/hidden.module.css\";s:35:\"css/components/item-list.module.css\";s:42:\"css/system/components/item-list.module.css\";s:28:\"css/components/js.module.css\";s:35:\"css/system/components/js.module.css\";s:32:\"css/components/nowrap.module.css\";s:39:\"css/system/components/nowrap.module.css\";s:44:\"css/components/position-container.module.css\";s:51:\"css/system/components/position-container.module.css\";s:34:\"css/components/progress.module.css\";s:41:\"css/system/components/progress.module.css\";s:42:\"css/components/reset-appearance.module.css\";s:49:\"css/system/components/reset-appearance.module.css\";s:32:\"css/components/resize.module.css\";s:39:\"css/system/components/resize.module.css\";s:39:\"css/components/sticky-header.module.css\";s:46:\"css/system/components/sticky-header.module.css\";s:40:\"css/components/system-status-counter.css\";s:47:\"css/system/components/system-status-counter.css\";s:48:\"css/components/system-status-report-counters.css\";s:55:\"css/system/components/system-status-report-counters.css\";s:52:\"css/components/system-status-report-general-info.css\";s:59:\"css/system/components/system-status-report-general-info.css\";s:35:\"css/components/tabledrag.module.css\";s:42:\"css/system/components/tabledrag.module.css\";s:35:\"css/components/tablesort.module.css\";s:42:\"css/system/components/tablesort.module.css\";s:36:\"css/components/tree-child.module.css\";s:43:\"css/system/components/tree-child.module.css\";}}}s:12:\"system/admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:20:\"css/system.admin.css\";s:27:\"css/system/system.admin.css\";}}}s:18:\"system/maintenance\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:26:\"css/system.maintenance.css\";s:33:\"css/system/system.maintenance.css\";}}}s:11:\"system/diff\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:19:\"css/system.diff.css\";s:26:\"css/system/system.diff.css\";}}}s:24:\"taxonomy/drupal.taxonomy\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:22:\"css/taxonomy.theme.css\";s:31:\"css/taxonomy/taxonomy.theme.css\";}}}s:15:\"toolbar/toolbar\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:1:{s:22:\"css/toolbar.module.css\";s:30:\"css/toolbar/toolbar.module.css\";}s:5:\"theme\";a:2:{s:21:\"css/toolbar.theme.css\";s:29:\"css/toolbar/toolbar.theme.css\";s:27:\"css/toolbar.icons.theme.css\";s:35:\"css/toolbar/toolbar.icons.theme.css\";}}}s:20:\"toolbar/toolbar.menu\";a:1:{s:3:\"css\";a:1:{s:5:\"state\";a:1:{s:20:\"css/toolbar.menu.css\";s:28:\"css/toolbar/toolbar.menu.css\";}}}s:17:\"tour/tour-styling\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:19:\"css/tour.module.css\";s:24:\"css/tour/tour.module.css\";}}}s:26:\"update/drupal.update.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:26:\"css/update.admin.theme.css\";s:33:\"css/update/update.admin.theme.css\";}}}s:16:\"user/drupal.user\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:19:\"css/user.module.css\";s:24:\"css/user/user.module.css\";}}}s:22:\"user/drupal.user.admin\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:18:\"css/user.admin.css\";s:23:\"css/user/user.admin.css\";}}}s:22:\"user/drupal.user.icons\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:24:\"css/user.icons.admin.css\";s:29:\"css/user/user.icons.admin.css\";}}}s:18:\"views/views.module\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:20:\"css/views.module.css\";s:26:\"css/views/views.module.css\";}}}s:22:\"views_ui/admin.styling\";a:1:{s:3:\"css\";a:2:{s:9:\"component\";a:1:{s:22:\"css/views_ui.admin.css\";s:31:\"css/views_ui/views_ui.admin.css\";}s:5:\"theme\";a:2:{s:28:\"css/views_ui.admin.theme.css\";s:37:\"css/views_ui/views_ui.admin.theme.css\";s:27:\"css/views_ui.contextual.css\";s:36:\"css/views_ui/views_ui.contextual.css\";}}}}s:16:\"libraries-extend\";a:2:{s:16:\"core/drupal.ajax\";a:1:{i:0;s:18:\"stable/drupal.ajax\";}s:16:\"user/drupal.user\";a:1:{i:0;s:18:\"stable/drupal.user\";}}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:6:\"engine\";s:4:\"twig\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:12:\"primary_menu\";s:12:\"Primary menu\";s:14:\"secondary_menu\";s:14:\"Secondary menu\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:10:\"breadcrumb\";s:10:\"Breadcrumb\";}s:8:\"features\";a:5:{i:0;s:7:\"favicon\";i:1;s:4:\"logo\";i:2;s:17:\"node_user_picture\";i:3;s:20:\"comment_user_picture\";i:4;s:25:\"comment_user_verification\";}s:10:\"screenshot\";s:33:\"core/themes/stable/screenshot.png\";s:3:\"php\";s:5:\"7.0.8\";s:9:\"libraries\";a:0:{}s:16:\"libraries_extend\";a:0:{}s:18:\"libraries_override\";a:0:{}s:12:\"dependencies\";a:0:{}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}}s:6:\"bartik\";a:22:{s:4:\"name\";s:6:\"Bartik\";s:4:\"type\";s:5:\"theme\";s:10:\"base theme\";s:6:\"classy\";s:11:\"description\";s:86:\"A flexible, recolorable theme with many regions and a responsive, mobile-first layout.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:9:\"libraries\";a:1:{i:0;s:21:\"bartik/global-styling\";}s:18:\"libraries-override\";a:16:{s:11:\"classy/base\";s:18:\"bartik/classy.base\";s:22:\"classy/book-navigation\";s:29:\"bartik/classy.book-navigation\";s:13:\"classy/dialog\";s:20:\"bartik/classy.dialog\";s:17:\"classy/dropbutton\";s:24:\"bartik/classy.dropbutton\";s:11:\"classy/file\";s:18:\"bartik/classy.file\";s:12:\"classy/forum\";s:19:\"bartik/classy.forum\";s:19:\"classy/image-widget\";s:26:\"bartik/classy.image-widget\";s:15:\"classy/indented\";s:22:\"bartik/classy.indented\";s:33:\"classy/media_embed_ckeditor_theme\";s:40:\"bartik/classy.media_embed_ckeditor_theme\";s:24:\"classy/media_embed_error\";s:31:\"bartik/classy.media_embed_error\";s:20:\"classy/media_library\";s:27:\"bartik/classy.media_library\";s:15:\"classy/messages\";s:22:\"bartik/classy.messages\";s:11:\"classy/node\";s:18:\"bartik/classy.node\";s:15:\"classy/progress\";s:22:\"bartik/classy.progress\";s:21:\"classy/search-results\";s:28:\"bartik/classy.search-results\";s:11:\"classy/user\";s:18:\"bartik/classy.user\";}s:16:\"libraries-extend\";a:8:{s:18:\"core/drupal.dialog\";a:1:{i:0;s:20:\"bartik/classy.dialog\";}s:22:\"core/drupal.dropbutton\";a:1:{i:0;s:24:\"bartik/classy.dropbutton\";}s:20:\"core/drupal.progress\";a:1:{i:0;s:22:\"bartik/classy.progress\";}s:16:\"file/drupal.file\";a:1:{i:0;s:18:\"bartik/classy.file\";}s:32:\"media/media_embed_ckeditor_theme\";a:1:{i:0;s:40:\"bartik/classy.media_embed_ckeditor_theme\";}s:18:\"media_library/view\";a:1:{i:0;s:27:\"bartik/classy.media_library\";}s:20:\"media_library/widget\";a:1:{i:0;s:27:\"bartik/classy.media_library\";}s:16:\"user/drupal.user\";a:1:{i:0;s:18:\"bartik/classy.user\";}}s:20:\"ckeditor_stylesheets\";a:5:{i:0;s:21:\"css/base/elements.css\";i:1;s:27:\"css/components/captions.css\";i:2;s:24:\"css/components/table.css\";i:3;s:33:\"css/components/text-formatted.css\";i:4;s:43:\"css/classy/components/media-embed-error.css\";}s:7:\"regions\";a:19:{s:6:\"header\";s:6:\"Header\";s:12:\"primary_menu\";s:12:\"Primary menu\";s:14:\"secondary_menu\";s:14:\"Secondary menu\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:11:\"highlighted\";s:11:\"Highlighted\";s:12:\"featured_top\";s:12:\"Featured top\";s:10:\"breadcrumb\";s:10:\"Breadcrumb\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:21:\"featured_bottom_first\";s:21:\"Featured bottom first\";s:22:\"featured_bottom_second\";s:22:\"Featured bottom second\";s:21:\"featured_bottom_third\";s:21:\"Featured bottom third\";s:12:\"footer_first\";s:12:\"Footer first\";s:13:\"footer_second\";s:13:\"Footer second\";s:12:\"footer_third\";s:12:\"Footer third\";s:13:\"footer_fourth\";s:13:\"Footer fourth\";s:12:\"footer_fifth\";s:12:\"Footer fifth\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:6:\"engine\";s:4:\"twig\";s:8:\"features\";a:5:{i:0;s:7:\"favicon\";i:1;s:4:\"logo\";i:2;s:17:\"node_user_picture\";i:3;s:20:\"comment_user_picture\";i:4;s:25:\"comment_user_verification\";}s:10:\"screenshot\";s:33:\"core/themes/bartik/screenshot.png\";s:3:\"php\";s:5:\"7.0.8\";s:16:\"libraries_extend\";a:0:{}s:18:\"libraries_override\";a:0:{}s:12:\"dependencies\";a:1:{i:0;s:6:\"classy\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}}s:5:\"seven\";a:24:{s:4:\"name\";s:5:\"Seven\";s:4:\"type\";s:5:\"theme\";s:10:\"base theme\";s:6:\"classy\";s:11:\"description\";s:153:\"The default administration theme for Drupal 8 was designed with clean lines, simple blocks, and sans-serif font to emphasize the tools and tasks at hand.\";s:8:\"alt text\";s:77:\"Default administration theme for Drupal 8 with simple blocks and clean lines.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:9:\"libraries\";a:1:{i:0;s:20:\"seven/global-styling\";}s:18:\"libraries-override\";a:20:{s:11:\"system/base\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:3:{s:67:\"/core/themes/stable/css/system/components/system-status-counter.css\";s:40:\"css/components/system-status-counter.css\";s:75:\"/core/themes/stable/css/system/components/system-status-report-counters.css\";s:48:\"css/components/system-status-report-counters.css\";s:79:\"/core/themes/stable/css/system/components/system-status-report-general-info.css\";s:52:\"css/components/system-status-report-general-info.css\";}}}s:25:\"core/drupal.vertical-tabs\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:46:\"/core/themes/stable/css/core/vertical-tabs.css\";b:0;}}}s:14:\"core/jquery.ui\";a:1:{s:3:\"css\";a:1:{s:5:\"theme\";a:1:{s:45:\"assets/vendor/jquery.ui/themes/base/theme.css\";b:0;}}}s:21:\"core/jquery.ui.dialog\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:1:{s:46:\"assets/vendor/jquery.ui/themes/base/dialog.css\";b:0;}}}s:13:\"classy/dialog\";s:25:\"seven/seven.drupal.dialog\";s:11:\"classy/base\";a:1:{s:3:\"css\";a:1:{s:9:\"component\";a:23:{s:31:\"css/components/action-links.css\";s:38:\"css/classy/components/action-links.css\";s:29:\"css/components/breadcrumb.css\";s:36:\"css/classy/components/breadcrumb.css\";s:25:\"css/components/button.css\";s:32:\"css/classy/components/button.css\";s:37:\"css/components/collapse-processed.css\";s:44:\"css/classy/components/collapse-processed.css\";s:35:\"css/components/container-inline.css\";s:42:\"css/classy/components/container-inline.css\";s:26:\"css/components/details.css\";b:0;s:34:\"css/components/exposed-filters.css\";s:41:\"css/classy/components/exposed-filters.css\";s:24:\"css/components/field.css\";s:31:\"css/classy/components/field.css\";s:23:\"css/components/form.css\";s:30:\"css/classy/components/form.css\";s:24:\"css/components/icons.css\";s:31:\"css/classy/components/icons.css\";s:30:\"css/components/inline-form.css\";s:37:\"css/classy/components/inline-form.css\";s:28:\"css/components/item-list.css\";s:35:\"css/classy/components/item-list.css\";s:23:\"css/components/link.css\";s:30:\"css/classy/components/link.css\";s:24:\"css/components/links.css\";s:31:\"css/classy/components/links.css\";s:23:\"css/components/menu.css\";s:30:\"css/classy/components/menu.css\";s:28:\"css/components/more-link.css\";s:35:\"css/classy/components/more-link.css\";s:24:\"css/components/pager.css\";s:31:\"css/classy/components/pager.css\";s:28:\"css/components/tabledrag.css\";s:35:\"css/classy/components/tabledrag.css\";s:30:\"css/components/tableselect.css\";s:37:\"css/classy/components/tableselect.css\";s:28:\"css/components/tablesort.css\";s:35:\"css/classy/components/tablesort.css\";s:23:\"css/components/tabs.css\";s:30:\"css/classy/components/tabs.css\";s:27:\"css/components/textarea.css\";s:34:\"css/classy/components/textarea.css\";s:28:\"css/components/ui-dialog.css\";s:35:\"css/classy/components/ui-dialog.css\";}}}s:20:\"classy/media_library\";a:1:{s:3:\"css\";a:1:{s:6:\"layout\";a:1:{s:28:\"css/layout/media-library.css\";b:0;}}}s:22:\"classy/book-navigation\";s:28:\"seven/classy.book-navigation\";s:17:\"classy/dropbutton\";s:23:\"seven/classy.dropbutton\";s:11:\"classy/file\";s:17:\"seven/classy.file\";s:12:\"classy/forum\";s:18:\"seven/classy.forum\";s:19:\"classy/image-widget\";s:25:\"seven/classy.image-widget\";s:15:\"classy/indented\";s:21:\"seven/classy.indented\";s:33:\"classy/media_embed_ckeditor_theme\";s:39:\"seven/classy.media_embed_ckeditor_theme\";s:24:\"classy/media_embed_error\";s:30:\"seven/classy.media_embed_error\";s:15:\"classy/messages\";s:21:\"seven/classy.messages\";s:11:\"classy/node\";s:17:\"seven/classy.node\";s:15:\"classy/progress\";s:21:\"seven/classy.progress\";s:21:\"classy/search-results\";s:27:\"seven/classy.search-results\";s:11:\"classy/user\";s:17:\"seven/classy.user\";}s:16:\"libraries-extend\";a:12:{s:13:\"core/ckeditor\";a:1:{i:0;s:21:\"seven/ckeditor-dialog\";}s:18:\"core/drupal.dialog\";a:1:{i:0;s:25:\"seven/seven.drupal.dialog\";}s:22:\"core/drupal.dropbutton\";a:1:{i:0;s:23:\"seven/classy.dropbutton\";}s:20:\"core/drupal.progress\";a:1:{i:0;s:21:\"seven/classy.progress\";}s:25:\"core/drupal.vertical-tabs\";a:1:{i:0;s:19:\"seven/vertical-tabs\";}s:14:\"core/jquery.ui\";a:1:{i:0;s:21:\"seven/seven.jquery.ui\";}s:16:\"file/drupal.file\";a:1:{i:0;s:17:\"seven/classy.file\";}s:32:\"media/media_embed_ckeditor_theme\";a:1:{i:0;s:39:\"seven/classy.media_embed_ckeditor_theme\";}s:18:\"media_library/view\";a:1:{i:0;s:19:\"seven/media_library\";}s:20:\"media_library/widget\";a:1:{i:0;s:19:\"seven/media_library\";}s:17:\"tour/tour-styling\";a:1:{i:0;s:18:\"seven/tour-styling\";}s:16:\"user/drupal.user\";a:1:{i:0;s:17:\"seven/classy.user\";}}s:21:\"quickedit_stylesheets\";a:1:{i:0;s:28:\"css/components/quickedit.css\";}s:7:\"regions\";a:9:{s:6:\"header\";s:6:\"Header\";s:11:\"pre_content\";s:11:\"Pre-content\";s:10:\"breadcrumb\";s:10:\"Breadcrumb\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:7:\"content\";s:7:\"Content\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:13:\"sidebar_first\";s:13:\"First sidebar\";}s:14:\"regions_hidden\";a:3:{i:0;s:13:\"sidebar_first\";i:1;s:8:\"page_top\";i:2;s:11:\"page_bottom\";}s:20:\"ckeditor_stylesheets\";a:1:{i:0;s:43:\"css/classy/components/media-embed-error.css\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:6:\"engine\";s:4:\"twig\";s:8:\"features\";a:5:{i:0;s:7:\"favicon\";i:1;s:4:\"logo\";i:2;s:17:\"node_user_picture\";i:3;s:20:\"comment_user_picture\";i:4;s:25:\"comment_user_verification\";}s:10:\"screenshot\";s:32:\"core/themes/seven/screenshot.png\";s:3:\"php\";s:5:\"7.0.8\";s:16:\"libraries_extend\";a:0:{}s:18:\"libraries_override\";a:0:{}s:12:\"dependencies\";a:1:{i:0;s:6:\"classy\";}}s:6:\"classy\";a:22:{s:4:\"name\";s:6:\"Classy\";s:4:\"type\";s:5:\"theme\";s:10:\"base theme\";s:6:\"stable\";s:11:\"description\";s:176:\"A base theme with sensible default CSS classes added. Learn how to use Classy as a base theme in the <a href=\"https://www.drupal.org/docs/8/theming\">Drupal 8 Theming Guide</a>.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:6:\"hidden\";b:1;s:9:\"libraries\";a:3:{i:0;s:11:\"classy/base\";i:1;s:15:\"classy/messages\";i:2;s:14:\"core/normalize\";}s:16:\"libraries-extend\";a:8:{s:16:\"user/drupal.user\";a:1:{i:0;s:11:\"classy/user\";}s:22:\"core/drupal.dropbutton\";a:1:{i:0;s:17:\"classy/dropbutton\";}s:18:\"core/drupal.dialog\";a:1:{i:0;s:13:\"classy/dialog\";}s:16:\"file/drupal.file\";a:1:{i:0;s:11:\"classy/file\";}s:20:\"core/drupal.progress\";a:1:{i:0;s:15:\"classy/progress\";}s:32:\"media/media_embed_ckeditor_theme\";a:1:{i:0;s:33:\"classy/media_embed_ckeditor_theme\";}s:18:\"media_library/view\";a:1:{i:0;s:20:\"classy/media_library\";}s:20:\"media_library/widget\";a:1:{i:0;s:20:\"classy/media_library\";}}s:20:\"ckeditor_stylesheets\";a:1:{i:0;s:36:\"css/components/media-embed-error.css\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1631657298;s:6:\"engine\";s:4:\"twig\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:12:\"primary_menu\";s:12:\"Primary menu\";s:14:\"secondary_menu\";s:14:\"Secondary menu\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:10:\"breadcrumb\";s:10:\"Breadcrumb\";}s:8:\"features\";a:5:{i:0;s:7:\"favicon\";i:1;s:4:\"logo\";i:2;s:17:\"node_user_picture\";i:3;s:20:\"comment_user_picture\";i:4;s:25:\"comment_user_verification\";}s:10:\"screenshot\";s:33:\"core/themes/classy/screenshot.png\";s:3:\"php\";s:5:\"7.0.8\";s:16:\"libraries_extend\";a:0:{}s:18:\"libraries_override\";a:0:{}s:12:\"dependencies\";a:1:{i:0;s:6:\"stable\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}}s:9:\"luxestate\";a:20:{s:4:\"name\";s:9:\"Luxestate\";s:4:\"type\";s:5:\"theme\";s:10:\"base theme\";s:6:\"classy\";s:11:\"description\";s:86:\"A flexible, recolorable theme with many regions and a responsive, mobile-first layout.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:4:\"core\";s:3:\"8.x\";s:9:\"libraries\";a:2:{i:0;s:24:\"luxestate/global-styling\";i:1;s:20:\"luxestate/corescript\";}s:20:\"ckeditor_stylesheets\";a:1:{i:0;s:30:\"assets/css/ckeditor-iframe.css\";}s:7:\"regions\";a:29:{s:8:\"headline\";s:8:\"Headline\";s:6:\"header\";s:6:\"Header\";s:9:\"slideshow\";s:9:\"Slideshow\";s:12:\"primary_menu\";s:12:\"Primary menu\";s:10:\"page_title\";s:10:\"Page title\";s:14:\"secondary_menu\";s:14:\"Secondary menu\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:11:\"highlighted\";s:11:\"Highlighted\";s:6:\"banner\";s:6:\"Banner\";s:11:\"panel_first\";s:11:\"Panel first\";s:7:\"content\";s:7:\"Content\";s:14:\"content_bottom\";s:14:\"Content bottom\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:14:\"triptych_first\";s:14:\"Triptych first\";s:15:\"triptych_middle\";s:15:\"Triptych middle\";s:13:\"triptych_last\";s:13:\"Triptych last\";s:12:\"panel_second\";s:12:\"Panel second\";s:11:\"panel_third\";s:11:\"Panel third\";s:12:\"panel_fourth\";s:12:\"Panel fourth\";s:11:\"panel_fifth\";s:11:\"Panel fifth\";s:18:\"footer_firstcolumn\";s:19:\"Footer first column\";s:19:\"footer_secondcolumn\";s:20:\"Footer second column\";s:18:\"footer_thirdcolumn\";s:19:\"Footer third column\";s:19:\"footer_fourthcolumn\";s:20:\"Footer fourth column\";s:10:\"breadcrumb\";s:10:\"breadcrumb\";s:6:\"footer\";s:6:\"Footer\";}s:17:\"core_incompatible\";b:0;s:5:\"mtime\";i:1558337061;s:6:\"engine\";s:4:\"twig\";s:8:\"features\";a:5:{i:0;s:7:\"favicon\";i:1;s:4:\"logo\";i:2;s:17:\"node_user_picture\";i:3;s:20:\"comment_user_picture\";i:4;s:25:\"comment_user_verification\";}s:10:\"screenshot\";s:31:\"themes/luxestate/screenshot.png\";s:3:\"php\";s:5:\"7.0.8\";s:16:\"libraries_extend\";a:0:{}s:18:\"libraries_override\";a:0:{}s:12:\"dependencies\";a:1:{i:0;s:6:\"classy\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}}}',-1,1637057272.541,1,'','0'),('theme_registry:build:modules','a:160:{s:5:\"block\";a:6:{s:14:\"render element\";s:8:\"elements\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:18:\"core/modules/block\";s:8:\"template\";s:5:\"block\";s:4:\"path\";s:28:\"core/modules/block/templates\";s:20:\"preprocess functions\";a:13:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_block\";i:2;s:28:\"block_class_preprocess_block\";i:3;s:24:\"comment_preprocess_block\";i:4;s:21:\"contextual_preprocess\";i:5;s:21:\"help_preprocess_block\";i:6;s:25:\"language_preprocess_block\";i:7;s:24:\"menu_ui_preprocess_block\";i:8;s:21:\"node_preprocess_block\";i:9;s:23:\"search_preprocess_block\";i:10;s:25:\"shortcut_preprocess_block\";i:11;s:23:\"system_preprocess_block\";i:12;s:21:\"user_preprocess_block\";}}s:22:\"block_content_add_list\";a:8:{s:9:\"variables\";a:1:{s:7:\"content\";N;}s:4:\"file\";s:23:\"block_content.pages.inc\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:26:\"core/modules/block_content\";s:8:\"includes\";a:1:{i:0;s:50:\"core/modules/block_content/block_content.pages.inc\";}s:8:\"template\";s:22:\"block-content-add-list\";s:4:\"path\";s:36:\"core/modules/block_content/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:42:\"template_preprocess_block_content_add_list\";i:2;s:21:\"contextual_preprocess\";}}s:25:\"ckeditor_settings_toolbar\";a:8:{s:4:\"file\";s:18:\"ckeditor.admin.inc\";s:9:\"variables\";a:2:{s:6:\"editor\";N;s:7:\"plugins\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:21:\"core/modules/ckeditor\";s:8:\"includes\";a:1:{i:0;s:40:\"core/modules/ckeditor/ckeditor.admin.inc\";}s:8:\"template\";s:25:\"ckeditor-settings-toolbar\";s:4:\"path\";s:31:\"core/modules/ckeditor/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:45:\"template_preprocess_ckeditor_settings_toolbar\";i:2;s:21:\"contextual_preprocess\";}}s:17:\"color_scheme_form\";a:6:{s:14:\"render element\";s:4:\"form\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:18:\"core/modules/color\";s:8:\"template\";s:17:\"color-scheme-form\";s:4:\"path\";s:28:\"core/modules/color/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:37:\"template_preprocess_color_scheme_form\";i:2;s:21:\"contextual_preprocess\";}}s:18:\"colorbox_formatter\";a:8:{s:9:\"variables\";a:4:{s:4:\"item\";N;s:15:\"item_attributes\";N;s:6:\"entity\";N;s:8:\"settings\";N;}s:4:\"file\";s:18:\"colorbox.theme.inc\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:16:\"modules/colorbox\";s:8:\"includes\";a:1:{i:0;s:35:\"modules/colorbox/colorbox.theme.inc\";}s:8:\"template\";s:18:\"colorbox-formatter\";s:4:\"path\";s:26:\"modules/colorbox/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:38:\"template_preprocess_colorbox_formatter\";i:2;s:21:\"contextual_preprocess\";}}s:7:\"comment\";a:6:{s:14:\"render element\";s:8:\"elements\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:20:\"core/modules/comment\";s:8:\"template\";s:7:\"comment\";s:4:\"path\";s:30:\"core/modules/comment/templates\";s:20:\"preprocess functions\";a:5:{i:0;s:19:\"template_preprocess\";i:1;s:27:\"template_preprocess_comment\";i:2;s:21:\"contextual_preprocess\";i:3;s:22:\"rdf_preprocess_comment\";i:4;s:24:\"views_preprocess_comment\";}}s:14:\"field__comment\";a:7:{s:9:\"base hook\";s:5:\"field\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:20:\"core/modules/comment\";s:31:\"incomplete preprocess functions\";b:1;s:8:\"template\";s:14:\"field--comment\";s:4:\"path\";s:30:\"core/modules/comment/templates\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:38:\"config_translation_manage_form_element\";a:6:{s:14:\"render element\";s:7:\"element\";s:8:\"template\";s:38:\"config_translation_manage_form_element\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:31:\"core/modules/config_translation\";s:4:\"path\";s:41:\"core/modules/config_translation/templates\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:19:\"ctools_wizard_trail\";a:6:{s:9:\"variables\";a:5:{s:6:\"wizard\";N;s:13:\"cached_values\";a:0:{}s:5:\"trail\";a:0:{}s:7:\"divider\";s:4:\" » \";s:4:\"step\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:14:\"modules/ctools\";s:8:\"template\";s:19:\"ctools-wizard-trail\";s:4:\"path\";s:24:\"modules/ctools/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:39:\"template_preprocess_ctools_wizard_trail\";i:2;s:21:\"contextual_preprocess\";}}s:25:\"ctools_wizard_trail_links\";a:6:{s:9:\"variables\";a:5:{s:6:\"wizard\";N;s:13:\"cached_values\";a:0:{}s:5:\"trail\";a:0:{}s:7:\"divider\";s:4:\" » \";s:4:\"step\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:14:\"modules/ctools\";s:8:\"template\";s:25:\"ctools-wizard-trail-links\";s:4:\"path\";s:24:\"modules/ctools/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:45:\"template_preprocess_ctools_wizard_trail_links\";i:2;s:21:\"contextual_preprocess\";}}s:14:\"field_ui_table\";a:6:{s:9:\"variables\";a:9:{s:6:\"header\";N;s:4:\"rows\";N;s:6:\"footer\";N;s:10:\"attributes\";a:0:{}s:7:\"caption\";N;s:9:\"colgroups\";a:0:{}s:6:\"sticky\";b:0;s:10:\"responsive\";b:1;s:5:\"empty\";s:0:\"\";}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:21:\"core/modules/field_ui\";s:8:\"template\";s:14:\"field-ui-table\";s:4:\"path\";s:31:\"core/modules/field_ui/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:34:\"template_preprocess_field_ui_table\";i:2;s:21:\"contextual_preprocess\";}}s:9:\"file_link\";a:6:{s:9:\"variables\";a:3:{s:4:\"file\";N;s:11:\"description\";N;s:10:\"attributes\";a:0:{}}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:17:\"core/modules/file\";s:8:\"template\";s:9:\"file-link\";s:4:\"path\";s:27:\"core/modules/file/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:29:\"template_preprocess_file_link\";i:2;s:21:\"contextual_preprocess\";}}s:17:\"file_managed_file\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:17:\"core/modules/file\";s:8:\"template\";s:17:\"file-managed-file\";s:4:\"path\";s:27:\"core/modules/file/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:37:\"template_preprocess_file_managed_file\";i:2;s:21:\"contextual_preprocess\";}}s:10:\"file_audio\";a:6:{s:9:\"variables\";a:2:{s:5:\"files\";a:0:{}s:10:\"attributes\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:17:\"core/modules/file\";s:8:\"template\";s:10:\"file-audio\";s:4:\"path\";s:27:\"core/modules/file/templates\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:10:\"file_video\";a:6:{s:9:\"variables\";a:2:{s:5:\"files\";a:0:{}s:10:\"attributes\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:17:\"core/modules/file\";s:8:\"template\";s:10:\"file-video\";s:4:\"path\";s:27:\"core/modules/file/templates\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:20:\"file_widget_multiple\";a:8:{s:14:\"render element\";s:7:\"element\";s:4:\"file\";s:14:\"file.field.inc\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:17:\"core/modules/file\";s:8:\"includes\";a:1:{i:0;s:32:\"core/modules/file/file.field.inc\";}s:8:\"template\";s:20:\"file-widget-multiple\";s:4:\"path\";s:27:\"core/modules/file/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:40:\"template_preprocess_file_widget_multiple\";i:2;s:21:\"contextual_preprocess\";}}s:16:\"file_upload_help\";a:8:{s:9:\"variables\";a:3:{s:11:\"description\";N;s:17:\"upload_validators\";N;s:11:\"cardinality\";N;}s:4:\"file\";s:14:\"file.field.inc\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:17:\"core/modules/file\";s:8:\"includes\";a:1:{i:0;s:32:\"core/modules/file/file.field.inc\";}s:8:\"template\";s:16:\"file-upload-help\";s:4:\"path\";s:27:\"core/modules/file/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:36:\"template_preprocess_file_upload_help\";i:2;s:21:\"contextual_preprocess\";}}s:11:\"filter_tips\";a:6:{s:9:\"variables\";a:2:{s:4:\"tips\";N;s:4:\"long\";b:0;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/filter\";s:8:\"template\";s:11:\"filter-tips\";s:4:\"path\";s:29:\"core/modules/filter/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:31:\"template_preprocess_filter_tips\";i:2;s:21:\"contextual_preprocess\";}}s:19:\"text_format_wrapper\";a:6:{s:9:\"variables\";a:3:{s:8:\"children\";N;s:11:\"description\";N;s:10:\"attributes\";a:0:{}}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/filter\";s:8:\"template\";s:19:\"text-format-wrapper\";s:4:\"path\";s:29:\"core/modules/filter/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:39:\"template_preprocess_text_format_wrapper\";i:2;s:21:\"contextual_preprocess\";}}s:17:\"filter_guidelines\";a:6:{s:9:\"variables\";a:1:{s:6:\"format\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/filter\";s:8:\"template\";s:17:\"filter-guidelines\";s:4:\"path\";s:29:\"core/modules/filter/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:37:\"template_preprocess_filter_guidelines\";i:2;s:21:\"contextual_preprocess\";}}s:14:\"filter_caption\";a:6:{s:9:\"variables\";a:4:{s:4:\"node\";N;s:3:\"tag\";N;s:7:\"caption\";N;s:7:\"classes\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/filter\";s:8:\"template\";s:14:\"filter-caption\";s:4:\"path\";s:29:\"core/modules/filter/templates\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:12:\"help_section\";a:6:{s:9:\"variables\";a:4:{s:5:\"title\";N;s:11:\"description\";N;s:5:\"links\";N;s:5:\"empty\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:17:\"core/modules/help\";s:8:\"template\";s:12:\"help-section\";s:4:\"path\";s:27:\"core/modules/help/templates\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:11:\"image_style\";a:6:{s:9:\"variables\";a:7:{s:10:\"style_name\";N;s:3:\"uri\";N;s:5:\"width\";N;s:6:\"height\";N;s:3:\"alt\";s:0:\"\";s:5:\"title\";N;s:10:\"attributes\";a:0:{}}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:18:\"core/modules/image\";s:8:\"template\";s:11:\"image-style\";s:4:\"path\";s:28:\"core/modules/image/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:31:\"template_preprocess_image_style\";i:2;s:21:\"contextual_preprocess\";}}s:19:\"image_style_preview\";a:8:{s:9:\"variables\";a:1:{s:5:\"style\";N;}s:4:\"file\";s:15:\"image.admin.inc\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:18:\"core/modules/image\";s:8:\"includes\";a:1:{i:0;s:34:\"core/modules/image/image.admin.inc\";}s:8:\"template\";s:19:\"image-style-preview\";s:4:\"path\";s:28:\"core/modules/image/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:39:\"template_preprocess_image_style_preview\";i:2;s:21:\"contextual_preprocess\";}}s:12:\"image_anchor\";a:8:{s:14:\"render element\";s:7:\"element\";s:4:\"file\";s:15:\"image.admin.inc\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:18:\"core/modules/image\";s:8:\"includes\";a:1:{i:0;s:34:\"core/modules/image/image.admin.inc\";}s:8:\"template\";s:12:\"image-anchor\";s:4:\"path\";s:28:\"core/modules/image/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:32:\"template_preprocess_image_anchor\";i:2;s:21:\"contextual_preprocess\";}}s:20:\"image_resize_summary\";a:6:{s:9:\"variables\";a:2:{s:4:\"data\";N;s:6:\"effect\";a:0:{}}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:18:\"core/modules/image\";s:8:\"template\";s:20:\"image-resize-summary\";s:4:\"path\";s:28:\"core/modules/image/templates\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:19:\"image_scale_summary\";a:6:{s:9:\"variables\";a:2:{s:4:\"data\";N;s:6:\"effect\";a:0:{}}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:18:\"core/modules/image\";s:8:\"template\";s:19:\"image-scale-summary\";s:4:\"path\";s:28:\"core/modules/image/templates\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:18:\"image_crop_summary\";a:6:{s:9:\"variables\";a:2:{s:4:\"data\";N;s:6:\"effect\";a:0:{}}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:18:\"core/modules/image\";s:8:\"template\";s:18:\"image-crop-summary\";s:4:\"path\";s:28:\"core/modules/image/templates\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:28:\"image_scale_and_crop_summary\";a:6:{s:9:\"variables\";a:2:{s:4:\"data\";N;s:6:\"effect\";a:0:{}}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:18:\"core/modules/image\";s:8:\"template\";s:28:\"image-scale-and-crop-summary\";s:4:\"path\";s:28:\"core/modules/image/templates\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:20:\"image_rotate_summary\";a:6:{s:9:\"variables\";a:2:{s:4:\"data\";N;s:6:\"effect\";a:0:{}}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:18:\"core/modules/image\";s:8:\"template\";s:20:\"image-rotate-summary\";s:4:\"path\";s:28:\"core/modules/image/templates\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:12:\"image_widget\";a:8:{s:14:\"render element\";s:7:\"element\";s:4:\"file\";s:15:\"image.field.inc\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:18:\"core/modules/image\";s:8:\"includes\";a:1:{i:0;s:34:\"core/modules/image/image.field.inc\";}s:8:\"template\";s:12:\"image-widget\";s:4:\"path\";s:28:\"core/modules/image/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:32:\"template_preprocess_image_widget\";i:2;s:21:\"contextual_preprocess\";}}s:15:\"image_formatter\";a:8:{s:9:\"variables\";a:4:{s:4:\"item\";N;s:15:\"item_attributes\";N;s:3:\"url\";N;s:11:\"image_style\";N;}s:4:\"file\";s:15:\"image.field.inc\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:18:\"core/modules/image\";s:8:\"includes\";a:1:{i:0;s:34:\"core/modules/image/image.field.inc\";}s:8:\"template\";s:15:\"image-formatter\";s:4:\"path\";s:28:\"core/modules/image/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:35:\"template_preprocess_image_formatter\";i:2;s:21:\"contextual_preprocess\";}}s:35:\"language_negotiation_configure_form\";a:8:{s:14:\"render element\";s:4:\"form\";s:4:\"file\";s:18:\"language.admin.inc\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:21:\"core/modules/language\";s:8:\"includes\";a:1:{i:0;s:40:\"core/modules/language/language.admin.inc\";}s:8:\"template\";s:35:\"language-negotiation-configure-form\";s:4:\"path\";s:31:\"core/modules/language/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:55:\"template_preprocess_language_negotiation_configure_form\";i:2;s:21:\"contextual_preprocess\";}}s:31:\"language_content_settings_table\";a:8:{s:14:\"render element\";s:7:\"element\";s:4:\"file\";s:18:\"language.admin.inc\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:21:\"core/modules/language\";s:8:\"includes\";a:1:{i:0;s:40:\"core/modules/language/language.admin.inc\";}s:8:\"template\";s:31:\"language-content-settings-table\";s:4:\"path\";s:31:\"core/modules/language/templates\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:51:\"template_preprocess_language_content_settings_table\";i:2;s:62:\"content_translation_preprocess_language_content_settings_table\";i:3;s:21:\"contextual_preprocess\";}}s:28:\"link_formatter_link_separate\";a:6:{s:9:\"variables\";a:3:{s:5:\"title\";N;s:9:\"url_title\";N;s:3:\"url\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:17:\"core/modules/link\";s:8:\"template\";s:28:\"link-formatter-link-separate\";s:4:\"path\";s:27:\"core/modules/link/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:48:\"template_preprocess_link_formatter_link_separate\";i:2;s:21:\"contextual_preprocess\";}}s:29:\"locale_translation_last_check\";a:8:{s:9:\"variables\";a:1:{s:4:\"last\";N;}s:4:\"file\";s:16:\"locale.pages.inc\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/locale\";s:8:\"includes\";a:1:{i:0;s:36:\"core/modules/locale/locale.pages.inc\";}s:8:\"template\";s:29:\"locale-translation-last-check\";s:4:\"path\";s:29:\"core/modules/locale/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:49:\"template_preprocess_locale_translation_last_check\";i:2;s:21:\"contextual_preprocess\";}}s:30:\"locale_translation_update_info\";a:8:{s:9:\"variables\";a:2:{s:7:\"updates\";a:0:{}s:9:\"not_found\";a:0:{}}s:4:\"file\";s:16:\"locale.pages.inc\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/locale\";s:8:\"includes\";a:1:{i:0;s:36:\"core/modules/locale/locale.pages.inc\";}s:8:\"template\";s:30:\"locale-translation-update-info\";s:4:\"path\";s:29:\"core/modules/locale/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:50:\"template_preprocess_locale_translation_update_info\";i:2;s:21:\"contextual_preprocess\";}}s:4:\"node\";a:6:{s:14:\"render element\";s:8:\"elements\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:17:\"core/modules/node\";s:8:\"template\";s:4:\"node\";s:4:\"path\";s:27:\"core/modules/node/templates\";s:20:\"preprocess functions\";a:7:{i:0;s:19:\"template_preprocess\";i:1;s:24:\"template_preprocess_node\";i:2;s:21:\"contextual_preprocess\";i:3;s:22:\"locale_preprocess_node\";i:4;s:26:\"node_class_preprocess_node\";i:5;s:19:\"rdf_preprocess_node\";i:6;s:21:\"views_preprocess_node\";}}s:13:\"node_add_list\";a:6:{s:9:\"variables\";a:1:{s:7:\"content\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:17:\"core/modules/node\";s:8:\"template\";s:13:\"node-add-list\";s:4:\"path\";s:27:\"core/modules/node/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:33:\"template_preprocess_node_add_list\";i:2;s:21:\"contextual_preprocess\";}}s:14:\"node_edit_form\";a:6:{s:14:\"render element\";s:4:\"form\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:17:\"core/modules/node\";s:8:\"template\";s:14:\"node-edit-form\";s:4:\"path\";s:27:\"core/modules/node/templates\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:18:\"field__node__title\";a:7:{s:9:\"base hook\";s:5:\"field\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:17:\"core/modules/node\";s:31:\"incomplete preprocess functions\";b:1;s:8:\"template\";s:18:\"field--node--title\";s:4:\"path\";s:27:\"core/modules/node/templates\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:16:\"field__node__uid\";a:7:{s:9:\"base hook\";s:5:\"field\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:17:\"core/modules/node\";s:31:\"incomplete preprocess functions\";b:1;s:8:\"template\";s:16:\"field--node--uid\";s:4:\"path\";s:27:\"core/modules/node/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";i:2;s:31:\"rdf_preprocess_field__node__uid\";}}s:20:\"field__node__created\";a:7:{s:9:\"base hook\";s:5:\"field\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:17:\"core/modules/node\";s:31:\"incomplete preprocess functions\";b:1;s:8:\"template\";s:20:\"field--node--created\";s:4:\"path\";s:27:\"core/modules/node/templates\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:11:\"rdf_wrapper\";a:6:{s:9:\"variables\";a:2:{s:10:\"attributes\";a:0:{}s:7:\"content\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:16:\"core/modules/rdf\";s:8:\"template\";s:11:\"rdf-wrapper\";s:4:\"path\";s:26:\"core/modules/rdf/templates\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:12:\"rdf_metadata\";a:6:{s:9:\"variables\";a:1:{s:8:\"metadata\";a:0:{}}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:16:\"core/modules/rdf\";s:8:\"template\";s:12:\"rdf-metadata\";s:4:\"path\";s:26:\"core/modules/rdf/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:32:\"template_preprocess_rdf_metadata\";i:2;s:21:\"contextual_preprocess\";}}s:16:\"responsive_image\";a:6:{s:9:\"variables\";a:5:{s:3:\"uri\";N;s:10:\"attributes\";a:0:{}s:25:\"responsive_image_style_id\";a:0:{}s:6:\"height\";N;s:5:\"width\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:29:\"core/modules/responsive_image\";s:8:\"template\";s:16:\"responsive-image\";s:4:\"path\";s:39:\"core/modules/responsive_image/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:36:\"template_preprocess_responsive_image\";i:2;s:21:\"contextual_preprocess\";}}s:26:\"responsive_image_formatter\";a:6:{s:9:\"variables\";a:4:{s:4:\"item\";N;s:15:\"item_attributes\";N;s:3:\"url\";N;s:25:\"responsive_image_style_id\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:29:\"core/modules/responsive_image\";s:8:\"template\";s:26:\"responsive-image-formatter\";s:4:\"path\";s:39:\"core/modules/responsive_image/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:46:\"template_preprocess_responsive_image_formatter\";i:2;s:21:\"contextual_preprocess\";}}s:13:\"search_result\";a:8:{s:9:\"variables\";a:2:{s:6:\"result\";N;s:9:\"plugin_id\";N;}s:4:\"file\";s:16:\"search.pages.inc\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/search\";s:8:\"includes\";a:1:{i:0;s:36:\"core/modules/search/search.pages.inc\";}s:8:\"template\";s:13:\"search-result\";s:4:\"path\";s:29:\"core/modules/search/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:33:\"template_preprocess_search_result\";i:2;s:21:\"contextual_preprocess\";}}s:15:\"sharethis_block\";a:6:{s:9:\"variables\";a:1:{s:7:\"content\";a:1:{s:8:\"st_spans\";N;}}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:17:\"modules/sharethis\";s:8:\"template\";s:15:\"sharethis-block\";s:4:\"path\";s:27:\"modules/sharethis/templates\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:26:\"simplenews_newsletter_body\";a:6:{s:14:\"render element\";s:8:\"elements\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:18:\"modules/simplenews\";s:8:\"template\";s:26:\"simplenews-newsletter-body\";s:4:\"path\";s:28:\"modules/simplenews/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:46:\"template_preprocess_simplenews_newsletter_body\";i:2;s:21:\"contextual_preprocess\";}}s:4:\"html\";a:6:{s:14:\"render element\";s:4:\"html\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:8:\"template\";s:4:\"html\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:8:{i:0;s:19:\"template_preprocess\";i:1;s:24:\"template_preprocess_html\";i:2;s:35:\"admin_toolbar_tools_preprocess_html\";i:3;s:21:\"contextual_preprocess\";i:4;s:20:\"node_preprocess_html\";i:5;s:19:\"rdf_preprocess_html\";i:6;s:23:\"toolbar_preprocess_html\";i:7;s:27:\"we_megamenu_preprocess_html\";}}s:4:\"page\";a:6:{s:14:\"render element\";s:4:\"page\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:8:\"template\";s:4:\"page\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:24:\"template_preprocess_page\";i:2;s:21:\"contextual_preprocess\";}}s:10:\"page_title\";a:6:{s:9:\"variables\";a:1:{s:5:\"title\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:8:\"template\";s:10:\"page-title\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";i:2;s:31:\"quickedit_preprocess_page_title\";i:3;s:30:\"shortcut_preprocess_page_title\";}}s:6:\"region\";a:6:{s:14:\"render element\";s:8:\"elements\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:8:\"template\";s:6:\"region\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:26:\"template_preprocess_region\";i:2;s:21:\"contextual_preprocess\";}}s:4:\"time\";a:6:{s:9:\"variables\";a:3:{s:9:\"timestamp\";N;s:4:\"text\";N;s:10:\"attributes\";a:0:{}}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:8:\"template\";s:4:\"time\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:24:\"template_preprocess_time\";i:2;s:21:\"contextual_preprocess\";}}s:13:\"datetime_form\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:8:\"template\";s:13:\"datetime-form\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:33:\"template_preprocess_datetime_form\";i:2;s:21:\"contextual_preprocess\";}}s:16:\"datetime_wrapper\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:8:\"template\";s:16:\"datetime-wrapper\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:36:\"template_preprocess_datetime_wrapper\";i:2;s:21:\"contextual_preprocess\";}}s:15:\"status_messages\";a:6:{s:9:\"variables\";a:2:{s:15:\"status_headings\";a:0:{}s:12:\"message_list\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:8:\"template\";s:15:\"status-messages\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:5:\"links\";a:6:{s:9:\"variables\";a:4:{s:5:\"links\";a:0:{}s:10:\"attributes\";a:1:{s:5:\"class\";a:1:{i:0;s:5:\"links\";}}s:7:\"heading\";a:0:{}s:16:\"set_active_class\";b:0;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:8:\"template\";s:5:\"links\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_links\";i:2;s:21:\"contextual_preprocess\";}}s:18:\"dropbutton_wrapper\";a:6:{s:9:\"variables\";a:1:{s:8:\"children\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:8:\"template\";s:18:\"dropbutton-wrapper\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:5:\"image\";a:6:{s:9:\"variables\";a:9:{s:3:\"uri\";N;s:5:\"width\";N;s:6:\"height\";N;s:3:\"alt\";s:0:\"\";s:5:\"title\";N;s:10:\"attributes\";a:0:{}s:5:\"sizes\";N;s:6:\"srcset\";a:0:{}s:10:\"style_name\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:8:\"template\";s:5:\"image\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_image\";i:2;s:21:\"contextual_preprocess\";i:3;s:20:\"rdf_preprocess_image\";}}s:10:\"breadcrumb\";a:6:{s:9:\"variables\";a:1:{s:5:\"links\";a:0:{}}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:8:\"template\";s:10:\"breadcrumb\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:30:\"template_preprocess_breadcrumb\";i:2;s:21:\"contextual_preprocess\";}}s:5:\"table\";a:6:{s:9:\"variables\";a:9:{s:6:\"header\";N;s:4:\"rows\";N;s:6:\"footer\";N;s:10:\"attributes\";a:0:{}s:7:\"caption\";N;s:9:\"colgroups\";a:0:{}s:6:\"sticky\";b:0;s:10:\"responsive\";b:1;s:5:\"empty\";s:0:\"\";}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:8:\"template\";s:5:\"table\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_table\";i:2;s:21:\"contextual_preprocess\";}}s:19:\"tablesort_indicator\";a:6:{s:9:\"variables\";a:1:{s:5:\"style\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:8:\"template\";s:19:\"tablesort-indicator\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:4:\"mark\";a:6:{s:9:\"variables\";a:1:{s:6:\"status\";i:1;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:8:\"template\";s:4:\"mark\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:9:\"item_list\";a:6:{s:9:\"variables\";a:7:{s:5:\"items\";a:0:{}s:5:\"title\";s:0:\"\";s:9:\"list_type\";s:2:\"ul\";s:18:\"wrapper_attributes\";a:0:{}s:10:\"attributes\";a:0:{}s:5:\"empty\";N;s:7:\"context\";a:0:{}}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:8:\"template\";s:9:\"item-list\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:29:\"template_preprocess_item_list\";i:2;s:21:\"contextual_preprocess\";}}s:9:\"feed_icon\";a:6:{s:9:\"variables\";a:2:{s:3:\"url\";N;s:5:\"title\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:8:\"template\";s:9:\"feed-icon\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:12:\"progress_bar\";a:6:{s:9:\"variables\";a:3:{s:5:\"label\";N;s:7:\"percent\";N;s:7:\"message\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:8:\"template\";s:12:\"progress-bar\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:11:\"indentation\";a:6:{s:9:\"variables\";a:1:{s:4:\"size\";i:1;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:8:\"template\";s:11:\"indentation\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:16:\"maintenance_page\";a:6:{s:14:\"render element\";s:4:\"page\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:8:\"template\";s:16:\"maintenance-page\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:36:\"template_preprocess_maintenance_page\";i:2;s:21:\"contextual_preprocess\";}}s:12:\"install_page\";a:6:{s:14:\"render element\";s:4:\"page\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:8:\"template\";s:12:\"install-page\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:32:\"template_preprocess_install_page\";i:2;s:21:\"contextual_preprocess\";}}s:21:\"maintenance_task_list\";a:6:{s:9:\"variables\";a:3:{s:5:\"items\";N;s:6:\"active\";N;s:7:\"variant\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:8:\"template\";s:21:\"maintenance-task-list\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:41:\"template_preprocess_maintenance_task_list\";i:2;s:21:\"contextual_preprocess\";}}s:16:\"authorize_report\";a:7:{s:9:\"variables\";a:2:{s:8:\"messages\";a:0:{}s:10:\"attributes\";a:0:{}}s:8:\"includes\";a:1:{i:0;s:35:\"core/includes/theme.maintenance.inc\";}s:8:\"template\";s:16:\"authorize-report\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:36:\"template_preprocess_authorize_report\";i:2;s:21:\"contextual_preprocess\";}}s:5:\"pager\";a:6:{s:14:\"render element\";s:5:\"pager\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:8:\"template\";s:5:\"pager\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_pager\";i:2;s:21:\"contextual_preprocess\";}}s:4:\"menu\";a:6:{s:9:\"variables\";a:3:{s:9:\"menu_name\";N;s:5:\"items\";a:0:{}s:10:\"attributes\";a:0:{}}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:8:\"template\";s:4:\"menu\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";i:2;s:36:\"menu_link_attributes_preprocess_menu\";}}s:15:\"menu_local_task\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:8:\"template\";s:15:\"menu-local-task\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:35:\"template_preprocess_menu_local_task\";i:2;s:21:\"contextual_preprocess\";}}s:17:\"menu_local_action\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:8:\"template\";s:17:\"menu-local-action\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:37:\"template_preprocess_menu_local_action\";i:2;s:21:\"contextual_preprocess\";}}s:16:\"menu_local_tasks\";a:6:{s:9:\"variables\";a:2:{s:7:\"primary\";a:0:{}s:9:\"secondary\";a:0:{}}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:8:\"template\";s:16:\"menu-local-tasks\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:5:\"input\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:8:\"template\";s:5:\"input\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_input\";i:2;s:21:\"contextual_preprocess\";}}s:6:\"select\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:8:\"template\";s:6:\"select\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:26:\"template_preprocess_select\";i:2;s:21:\"contextual_preprocess\";}}s:8:\"fieldset\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:8:\"template\";s:8:\"fieldset\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:28:\"template_preprocess_fieldset\";i:2;s:21:\"contextual_preprocess\";}}s:7:\"details\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:8:\"template\";s:7:\"details\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:27:\"template_preprocess_details\";i:2;s:21:\"contextual_preprocess\";}}s:6:\"radios\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:8:\"template\";s:6:\"radios\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:26:\"template_preprocess_radios\";i:2;s:21:\"contextual_preprocess\";}}s:10:\"checkboxes\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:8:\"template\";s:10:\"checkboxes\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:30:\"template_preprocess_checkboxes\";i:2;s:21:\"contextual_preprocess\";}}s:4:\"form\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:8:\"template\";s:4:\"form\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:24:\"template_preprocess_form\";i:2;s:21:\"contextual_preprocess\";}}s:8:\"textarea\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:8:\"template\";s:8:\"textarea\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:28:\"template_preprocess_textarea\";i:2;s:21:\"contextual_preprocess\";}}s:12:\"form_element\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:8:\"template\";s:12:\"form-element\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:32:\"template_preprocess_form_element\";i:2;s:21:\"contextual_preprocess\";}}s:18:\"form_element_label\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:8:\"template\";s:18:\"form-element-label\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:38:\"template_preprocess_form_element_label\";i:2;s:21:\"contextual_preprocess\";}}s:13:\"vertical_tabs\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:8:\"template\";s:13:\"vertical-tabs\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:33:\"template_preprocess_vertical_tabs\";i:2;s:21:\"contextual_preprocess\";}}s:9:\"container\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:8:\"template\";s:9:\"container\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:29:\"template_preprocess_container\";i:2;s:21:\"contextual_preprocess\";}}s:5:\"field\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:8:\"template\";s:5:\"field\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:5:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_field\";i:2;s:24:\"comment_preprocess_field\";i:3;s:21:\"contextual_preprocess\";i:4;s:26:\"quickedit_preprocess_field\";}}s:25:\"field_multiple_value_form\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:8:\"template\";s:25:\"field-multiple-value-form\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:45:\"template_preprocess_field_multiple_value_form\";i:2;s:21:\"contextual_preprocess\";}}s:28:\"block__system_branding_block\";a:8:{s:14:\"render element\";s:8:\"elements\";s:9:\"base hook\";s:5:\"block\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:31:\"incomplete preprocess functions\";b:1;s:8:\"template\";s:28:\"block--system-branding-block\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:28:\"block__system_messages_block\";a:7:{s:9:\"base hook\";s:5:\"block\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:31:\"incomplete preprocess functions\";b:1;s:8:\"template\";s:28:\"block--system-messages-block\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:24:\"block__system_menu_block\";a:8:{s:14:\"render element\";s:8:\"elements\";s:9:\"base hook\";s:5:\"block\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:31:\"incomplete preprocess functions\";b:1;s:8:\"template\";s:24:\"block--system-menu-block\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:18:\"system_themes_page\";a:8:{s:9:\"variables\";a:2:{s:12:\"theme_groups\";a:0:{}s:18:\"theme_group_titles\";a:0:{}}s:4:\"file\";s:16:\"system.admin.inc\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:8:\"includes\";a:1:{i:0;s:36:\"core/modules/system/system.admin.inc\";}s:8:\"template\";s:18:\"system-themes-page\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:38:\"template_preprocess_system_themes_page\";i:2;s:21:\"contextual_preprocess\";}}s:18:\"system_config_form\";a:6:{s:14:\"render element\";s:4:\"form\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:8:\"template\";s:18:\"system-config-form\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:12:\"confirm_form\";a:6:{s:14:\"render element\";s:4:\"form\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:8:\"template\";s:12:\"confirm-form\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:22:\"system_modules_details\";a:8:{s:14:\"render element\";s:4:\"form\";s:4:\"file\";s:16:\"system.admin.inc\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:8:\"includes\";a:1:{i:0;s:36:\"core/modules/system/system.admin.inc\";}s:8:\"template\";s:22:\"system-modules-details\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:42:\"template_preprocess_system_modules_details\";i:2;s:21:\"contextual_preprocess\";}}s:24:\"system_modules_uninstall\";a:8:{s:14:\"render element\";s:4:\"form\";s:4:\"file\";s:16:\"system.admin.inc\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:8:\"includes\";a:1:{i:0;s:36:\"core/modules/system/system.admin.inc\";}s:8:\"template\";s:24:\"system-modules-uninstall\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:44:\"template_preprocess_system_modules_uninstall\";i:2;s:21:\"contextual_preprocess\";}}s:18:\"status_report_page\";a:6:{s:9:\"variables\";a:3:{s:8:\"counters\";a:0:{}s:12:\"general_info\";a:0:{}s:12:\"requirements\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:8:\"template\";s:18:\"status-report-page\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:13:\"status_report\";a:6:{s:9:\"variables\";a:2:{s:20:\"grouped_requirements\";N;s:12:\"requirements\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:8:\"template\";s:13:\"status-report\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:21:\"status_report_grouped\";a:6:{s:9:\"variables\";a:2:{s:20:\"grouped_requirements\";N;s:12:\"requirements\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:8:\"template\";s:21:\"status-report-grouped\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:21:\"status_report_counter\";a:6:{s:9:\"variables\";a:3:{s:6:\"amount\";N;s:4:\"text\";N;s:8:\"severity\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:8:\"template\";s:21:\"status-report-counter\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:26:\"status_report_general_info\";a:6:{s:9:\"variables\";a:7:{s:6:\"drupal\";a:0:{}s:4:\"cron\";a:0:{}s:15:\"database_system\";a:0:{}s:23:\"database_system_version\";a:0:{}s:3:\"php\";a:0:{}s:16:\"php_memory_limit\";a:0:{}s:9:\"webserver\";a:0:{}}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:8:\"template\";s:26:\"status-report-general-info\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:10:\"admin_page\";a:8:{s:9:\"variables\";a:1:{s:6:\"blocks\";N;}s:4:\"file\";s:16:\"system.admin.inc\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:8:\"includes\";a:1:{i:0;s:36:\"core/modules/system/system.admin.inc\";}s:8:\"template\";s:10:\"admin-page\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:30:\"template_preprocess_admin_page\";i:2;s:21:\"contextual_preprocess\";}}s:11:\"admin_block\";a:8:{s:9:\"variables\";a:2:{s:5:\"block\";N;s:10:\"attributes\";a:0:{}}s:4:\"file\";s:16:\"system.admin.inc\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:8:\"includes\";a:1:{i:0;s:36:\"core/modules/system/system.admin.inc\";}s:8:\"template\";s:11:\"admin-block\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:19:\"admin_block_content\";a:8:{s:9:\"variables\";a:1:{s:7:\"content\";N;}s:4:\"file\";s:16:\"system.admin.inc\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:8:\"includes\";a:1:{i:0;s:36:\"core/modules/system/system.admin.inc\";}s:8:\"template\";s:19:\"admin-block-content\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:39:\"template_preprocess_admin_block_content\";i:2;s:21:\"contextual_preprocess\";}}s:18:\"system_admin_index\";a:8:{s:9:\"variables\";a:1:{s:10:\"menu_items\";N;}s:4:\"file\";s:16:\"system.admin.inc\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:8:\"includes\";a:1:{i:0;s:36:\"core/modules/system/system.admin.inc\";}s:8:\"template\";s:18:\"system-admin-index\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:38:\"template_preprocess_system_admin_index\";i:2;s:21:\"contextual_preprocess\";}}s:15:\"entity_add_list\";a:6:{s:9:\"variables\";a:2:{s:7:\"bundles\";a:0:{}s:18:\"add_bundle_message\";N;}s:8:\"template\";s:15:\"entity-add-list\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:35:\"template_preprocess_entity_add_list\";i:2;s:21:\"contextual_preprocess\";}}s:23:\"off_canvas_page_wrapper\";a:6:{s:9:\"variables\";a:1:{s:8:\"children\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/system\";s:8:\"template\";s:23:\"off-canvas-page-wrapper\";s:4:\"path\";s:29:\"core/modules/system/templates\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:13:\"taxonomy_term\";a:6:{s:14:\"render element\";s:8:\"elements\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:21:\"core/modules/taxonomy\";s:8:\"template\";s:13:\"taxonomy-term\";s:4:\"path\";s:31:\"core/modules/taxonomy/templates\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:33:\"template_preprocess_taxonomy_term\";i:2;s:21:\"contextual_preprocess\";i:3;s:28:\"rdf_preprocess_taxonomy_term\";}}s:15:\"token_tree_link\";a:8:{s:9:\"variables\";a:8:{s:11:\"token_types\";a:0:{}s:12:\"global_types\";b:1;s:12:\"click_insert\";b:1;s:15:\"show_restricted\";b:0;s:11:\"show_nested\";b:0;s:15:\"recursion_limit\";i:3;s:4:\"text\";N;s:7:\"options\";a:0:{}}s:4:\"file\";s:15:\"token.pages.inc\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:13:\"modules/token\";s:8:\"includes\";a:1:{i:0;s:29:\"modules/token/token.pages.inc\";}s:8:\"template\";s:15:\"token-tree-link\";s:4:\"path\";s:23:\"modules/token/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:35:\"template_preprocess_token_tree_link\";i:2;s:21:\"contextual_preprocess\";}}s:7:\"toolbar\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:20:\"core/modules/toolbar\";s:8:\"template\";s:7:\"toolbar\";s:4:\"path\";s:30:\"core/modules/toolbar/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:27:\"template_preprocess_toolbar\";i:2;s:21:\"contextual_preprocess\";}}s:13:\"menu__toolbar\";a:8:{s:9:\"base hook\";s:4:\"menu\";s:9:\"variables\";a:2:{s:5:\"items\";a:0:{}s:10:\"attributes\";a:0:{}}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:20:\"core/modules/toolbar\";s:31:\"incomplete preprocess functions\";b:1;s:8:\"template\";s:13:\"menu--toolbar\";s:4:\"path\";s:30:\"core/modules/toolbar/templates\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:17:\"update_last_check\";a:6:{s:9:\"variables\";a:1:{s:4:\"last\";i:0;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/update\";s:8:\"template\";s:17:\"update-last-check\";s:4:\"path\";s:29:\"core/modules/update/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:37:\"template_preprocess_update_last_check\";i:2;s:21:\"contextual_preprocess\";}}s:13:\"update_report\";a:8:{s:9:\"variables\";a:1:{s:4:\"data\";N;}s:4:\"file\";s:17:\"update.report.inc\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/update\";s:8:\"includes\";a:1:{i:0;s:37:\"core/modules/update/update.report.inc\";}s:8:\"template\";s:13:\"update-report\";s:4:\"path\";s:29:\"core/modules/update/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:33:\"template_preprocess_update_report\";i:2;s:21:\"contextual_preprocess\";}}s:21:\"update_project_status\";a:8:{s:9:\"variables\";a:1:{s:7:\"project\";a:0:{}}s:4:\"file\";s:17:\"update.report.inc\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/update\";s:8:\"includes\";a:1:{i:0;s:37:\"core/modules/update/update.report.inc\";}s:8:\"template\";s:21:\"update-project-status\";s:4:\"path\";s:29:\"core/modules/update/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:41:\"template_preprocess_update_project_status\";i:2;s:21:\"contextual_preprocess\";}}s:14:\"update_version\";a:8:{s:9:\"variables\";a:3:{s:7:\"version\";N;s:5:\"title\";N;s:10:\"attributes\";a:0:{}}s:4:\"file\";s:17:\"update.report.inc\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"core/modules/update\";s:8:\"includes\";a:1:{i:0;s:37:\"core/modules/update/update.report.inc\";}s:8:\"template\";s:14:\"update-version\";s:4:\"path\";s:29:\"core/modules/update/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:34:\"template_preprocess_update_version\";i:2;s:21:\"contextual_preprocess\";}}s:4:\"user\";a:6:{s:14:\"render element\";s:8:\"elements\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:17:\"core/modules/user\";s:8:\"template\";s:4:\"user\";s:4:\"path\";s:27:\"core/modules/user/templates\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:24:\"template_preprocess_user\";i:2;s:21:\"contextual_preprocess\";i:3;s:19:\"rdf_preprocess_user\";}}s:8:\"username\";a:6:{s:9:\"variables\";a:3:{s:7:\"account\";N;s:10:\"attributes\";a:0:{}s:12:\"link_options\";a:0:{}}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:17:\"core/modules/user\";s:8:\"template\";s:8:\"username\";s:4:\"path\";s:27:\"core/modules/user/templates\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:28:\"template_preprocess_username\";i:2;s:21:\"contextual_preprocess\";i:3;s:23:\"rdf_preprocess_username\";}}s:18:\"video_embed_iframe\";a:6:{s:9:\"variables\";a:4:{s:3:\"url\";s:0:\"\";s:5:\"query\";a:0:{}s:10:\"attributes\";a:0:{}s:8:\"fragment\";s:0:\"\";}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:25:\"modules/video_embed_field\";s:8:\"template\";s:18:\"video-embed-iframe\";s:4:\"path\";s:35:\"modules/video_embed_field/templates\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:34:\"video_embed_field_missing_provider\";a:6:{s:9:\"variables\";a:0:{}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:25:\"modules/video_embed_field\";s:8:\"template\";s:34:\"video-embed-field-missing-provider\";s:4:\"path\";s:35:\"modules/video_embed_field/templates\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:28:\"views_ui_display_tab_setting\";a:8:{s:9:\"variables\";a:7:{s:11:\"description\";s:0:\"\";s:4:\"link\";s:0:\"\";s:14:\"settings_links\";a:0:{}s:10:\"overridden\";b:0;s:9:\"defaulted\";b:0;s:21:\"description_separator\";b:1;s:5:\"class\";a:0:{}}s:4:\"file\";s:18:\"views_ui.theme.inc\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:21:\"core/modules/views_ui\";s:8:\"includes\";a:1:{i:0;s:40:\"core/modules/views_ui/views_ui.theme.inc\";}s:8:\"template\";s:28:\"views-ui-display-tab-setting\";s:4:\"path\";s:31:\"core/modules/views_ui/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:48:\"template_preprocess_views_ui_display_tab_setting\";i:2;s:21:\"contextual_preprocess\";}}s:27:\"views_ui_display_tab_bucket\";a:8:{s:14:\"render element\";s:7:\"element\";s:4:\"file\";s:18:\"views_ui.theme.inc\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:21:\"core/modules/views_ui\";s:8:\"includes\";a:1:{i:0;s:40:\"core/modules/views_ui/views_ui.theme.inc\";}s:8:\"template\";s:27:\"views-ui-display-tab-bucket\";s:4:\"path\";s:31:\"core/modules/views_ui/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:47:\"template_preprocess_views_ui_display_tab_bucket\";i:2;s:21:\"contextual_preprocess\";}}s:30:\"views_ui_rearrange_filter_form\";a:8:{s:14:\"render element\";s:4:\"form\";s:4:\"file\";s:18:\"views_ui.theme.inc\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:21:\"core/modules/views_ui\";s:8:\"includes\";a:1:{i:0;s:40:\"core/modules/views_ui/views_ui.theme.inc\";}s:8:\"template\";s:30:\"views-ui-rearrange-filter-form\";s:4:\"path\";s:31:\"core/modules/views_ui/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:50:\"template_preprocess_views_ui_rearrange_filter_form\";i:2;s:21:\"contextual_preprocess\";}}s:27:\"views_ui_expose_filter_form\";a:8:{s:14:\"render element\";s:4:\"form\";s:4:\"file\";s:18:\"views_ui.theme.inc\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:21:\"core/modules/views_ui\";s:8:\"includes\";a:1:{i:0;s:40:\"core/modules/views_ui/views_ui.theme.inc\";}s:8:\"template\";s:27:\"views-ui-expose-filter-form\";s:4:\"path\";s:31:\"core/modules/views_ui/templates\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:18:\"views_ui_view_info\";a:8:{s:9:\"variables\";a:2:{s:4:\"view\";N;s:8:\"displays\";N;}s:4:\"file\";s:18:\"views_ui.theme.inc\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:21:\"core/modules/views_ui\";s:8:\"includes\";a:1:{i:0;s:40:\"core/modules/views_ui/views_ui.theme.inc\";}s:8:\"template\";s:18:\"views-ui-view-info\";s:4:\"path\";s:31:\"core/modules/views_ui/templates\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:28:\"views_ui_views_listing_table\";a:8:{s:9:\"variables\";a:3:{s:7:\"headers\";N;s:4:\"rows\";N;s:10:\"attributes\";a:0:{}}s:4:\"file\";s:18:\"views_ui.theme.inc\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:21:\"core/modules/views_ui\";s:8:\"includes\";a:1:{i:0;s:40:\"core/modules/views_ui/views_ui.theme.inc\";}s:8:\"template\";s:28:\"views-ui-views-listing-table\";s:4:\"path\";s:31:\"core/modules/views_ui/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:48:\"template_preprocess_views_ui_views_listing_table\";i:2;s:21:\"contextual_preprocess\";}}s:27:\"views_ui_view_displays_list\";a:6:{s:9:\"variables\";a:1:{s:8:\"displays\";a:0:{}}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:21:\"core/modules/views_ui\";s:8:\"template\";s:27:\"views-ui-view-displays-list\";s:4:\"path\";s:31:\"core/modules/views_ui/templates\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:32:\"views_ui_build_group_filter_form\";a:8:{s:14:\"render element\";s:4:\"form\";s:4:\"file\";s:18:\"views_ui.theme.inc\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:21:\"core/modules/views_ui\";s:8:\"includes\";a:1:{i:0;s:40:\"core/modules/views_ui/views_ui.theme.inc\";}s:8:\"template\";s:32:\"views-ui-build-group-filter-form\";s:4:\"path\";s:31:\"core/modules/views_ui/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:52:\"template_preprocess_views_ui_build_group_filter_form\";i:2;s:21:\"contextual_preprocess\";}}s:27:\"views_ui_style_plugin_table\";a:8:{s:14:\"render element\";s:4:\"form\";s:4:\"file\";s:18:\"views_ui.theme.inc\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:21:\"core/modules/views_ui\";s:8:\"includes\";a:1:{i:0;s:40:\"core/modules/views_ui/views_ui.theme.inc\";}s:8:\"template\";s:27:\"views-ui-style-plugin-table\";s:4:\"path\";s:31:\"core/modules/views_ui/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:47:\"template_preprocess_views_ui_style_plugin_table\";i:2;s:21:\"contextual_preprocess\";}}s:29:\"views_ui_view_preview_section\";a:8:{s:9:\"variables\";a:4:{s:4:\"view\";N;s:7:\"section\";N;s:7:\"content\";N;s:5:\"links\";s:0:\"\";}s:4:\"file\";s:18:\"views_ui.theme.inc\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:21:\"core/modules/views_ui\";s:8:\"includes\";a:1:{i:0;s:40:\"core/modules/views_ui/views_ui.theme.inc\";}s:8:\"template\";s:29:\"views-ui-view-preview-section\";s:4:\"path\";s:31:\"core/modules/views_ui/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:49:\"template_preprocess_views_ui_view_preview_section\";i:2;s:21:\"contextual_preprocess\";}}s:18:\"views_ui_container\";a:8:{s:9:\"variables\";a:2:{s:8:\"children\";N;s:10:\"attributes\";a:0:{}}s:4:\"file\";s:18:\"views_ui.theme.inc\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:21:\"core/modules/views_ui\";s:8:\"includes\";a:1:{i:0;s:40:\"core/modules/views_ui/views_ui.theme.inc\";}s:8:\"template\";s:18:\"views-ui-container\";s:4:\"path\";s:31:\"core/modules/views_ui/templates\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:19:\"we_megamenu_backend\";a:6:{s:9:\"variables\";a:7:{s:9:\"menu_name\";N;s:7:\"content\";N;s:7:\"section\";s:5:\"admin\";s:6:\"blocks\";N;s:11:\"block_theme\";N;s:11:\"data_config\";N;s:5:\"trail\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"modules/we_megamenu\";s:8:\"template\";s:19:\"we-megamenu-backend\";s:4:\"path\";s:29:\"modules/we_megamenu/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:39:\"template_preprocess_we_megamenu_backend\";i:2;s:21:\"contextual_preprocess\";}}s:20:\"we_megamenu_frontend\";a:6:{s:9:\"variables\";a:7:{s:9:\"menu_name\";N;s:7:\"content\";N;s:7:\"section\";s:0:\"\";s:6:\"blocks\";N;s:11:\"block_theme\";N;s:11:\"data_config\";N;s:5:\"trail\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"modules/we_megamenu\";s:8:\"template\";s:20:\"we-megamenu-frontend\";s:4:\"path\";s:29:\"modules/we_megamenu/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:40:\"template_preprocess_we_megamenu_frontend\";i:2;s:21:\"contextual_preprocess\";}}s:14:\"we_megamenu_ul\";a:6:{s:9:\"variables\";a:8:{s:9:\"menu_name\";N;s:7:\"content\";N;s:7:\"section\";s:8:\"frontend\";s:5:\"items\";N;s:7:\"subtree\";N;s:11:\"data_config\";N;s:11:\"block_theme\";N;s:5:\"trail\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"modules/we_megamenu\";s:8:\"template\";s:14:\"we-megamenu-ul\";s:4:\"path\";s:29:\"modules/we_megamenu/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:34:\"template_preprocess_we_megamenu_ul\";i:2;s:21:\"contextual_preprocess\";}}s:14:\"we_megamenu_li\";a:6:{s:9:\"variables\";a:10:{s:9:\"menu_name\";N;s:7:\"content\";N;s:7:\"section\";s:8:\"frontend\";s:5:\"title\";N;s:7:\"subtree\";N;s:5:\"items\";N;s:4:\"item\";N;s:11:\"data_config\";N;s:11:\"block_theme\";N;s:5:\"trail\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"modules/we_megamenu\";s:8:\"template\";s:14:\"we-megamenu-li\";s:4:\"path\";s:29:\"modules/we_megamenu/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:34:\"template_preprocess_we_megamenu_li\";i:2;s:21:\"contextual_preprocess\";}}s:19:\"we_megamenu_submenu\";a:6:{s:9:\"variables\";a:10:{s:9:\"menu_name\";N;s:7:\"content\";N;s:7:\"section\";s:8:\"frontend\";s:5:\"title\";N;s:7:\"subtree\";N;s:5:\"items\";N;s:11:\"data_config\";N;s:11:\"item_config\";N;s:11:\"block_theme\";N;s:5:\"trail\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"modules/we_megamenu\";s:8:\"template\";s:19:\"we-megamenu-submenu\";s:4:\"path\";s:29:\"modules/we_megamenu/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:39:\"template_preprocess_we_megamenu_submenu\";i:2;s:21:\"contextual_preprocess\";}}s:17:\"we_megamenu_block\";a:6:{s:9:\"variables\";a:11:{s:9:\"menu_name\";N;s:7:\"content\";N;s:7:\"section\";s:8:\"frontend\";s:5:\"title\";N;s:7:\"subtree\";N;s:5:\"items\";N;s:11:\"data_config\";N;s:11:\"item_config\";N;s:13:\"block_content\";N;s:11:\"block_theme\";N;s:5:\"trail\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"modules/we_megamenu\";s:8:\"template\";s:17:\"we-megamenu-block\";s:4:\"path\";s:29:\"modules/we_megamenu/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:37:\"template_preprocess_we_megamenu_block\";i:2;s:21:\"contextual_preprocess\";}}s:15:\"we_megamenu_row\";a:6:{s:9:\"variables\";a:10:{s:9:\"menu_name\";N;s:7:\"content\";N;s:7:\"section\";s:8:\"frontend\";s:5:\"title\";N;s:7:\"subtree\";N;s:5:\"items\";N;s:11:\"data_config\";N;s:11:\"item_config\";N;s:11:\"block_theme\";N;s:5:\"trail\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"modules/we_megamenu\";s:8:\"template\";s:15:\"we-megamenu-row\";s:4:\"path\";s:29:\"modules/we_megamenu/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:35:\"template_preprocess_we_megamenu_row\";i:2;s:21:\"contextual_preprocess\";}}s:15:\"we_megamenu_col\";a:6:{s:9:\"variables\";a:10:{s:9:\"menu_name\";N;s:7:\"content\";N;s:7:\"section\";s:8:\"frontend\";s:5:\"title\";N;s:7:\"subtree\";N;s:5:\"items\";N;s:11:\"data_config\";N;s:11:\"item_config\";N;s:11:\"block_theme\";N;s:5:\"trail\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"modules/we_megamenu\";s:8:\"template\";s:15:\"we-megamenu-col\";s:4:\"path\";s:29:\"modules/we_megamenu/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:35:\"template_preprocess_we_megamenu_col\";i:2;s:21:\"contextual_preprocess\";}}s:17:\"we_megamenu_subul\";a:6:{s:9:\"variables\";a:9:{s:9:\"menu_name\";N;s:7:\"content\";N;s:7:\"section\";s:8:\"frontend\";s:5:\"items\";N;s:7:\"subtree\";N;s:11:\"data_config\";N;s:11:\"item_config\";N;s:11:\"block_theme\";N;s:5:\"trail\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"modules/we_megamenu\";s:8:\"template\";s:17:\"we-megamenu-subul\";s:4:\"path\";s:29:\"modules/we_megamenu/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:37:\"template_preprocess_we_megamenu_subul\";i:2;s:21:\"contextual_preprocess\";}}s:16:\"views_mini_pager\";a:7:{s:9:\"variables\";a:6:{s:4:\"view\";N;s:7:\"options\";N;s:4:\"tags\";a:0:{}s:8:\"quantity\";i:9;s:7:\"element\";i:0;s:10:\"parameters\";a:0:{}}s:4:\"path\";s:28:\"core/modules/views/templates\";s:8:\"includes\";a:1:{i:0;s:34:\"core/modules/views/views.theme.inc\";}s:8:\"template\";s:16:\"views-mini-pager\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:18:\"core/modules/views\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:36:\"template_preprocess_views_mini_pager\";i:2;s:21:\"contextual_preprocess\";}}s:16:\"views_view_field\";a:8:{s:4:\"file\";s:15:\"views.theme.inc\";s:9:\"variables\";a:3:{s:4:\"view\";N;s:5:\"field\";N;s:3:\"row\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:18:\"core/modules/views\";s:8:\"includes\";a:1:{i:0;s:34:\"core/modules/views/views.theme.inc\";}s:8:\"template\";s:16:\"views-view-field\";s:4:\"path\";s:28:\"core/modules/views/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:36:\"template_preprocess_views_view_field\";i:2;s:21:\"contextual_preprocess\";}}s:19:\"views_view_grouping\";a:8:{s:4:\"file\";s:15:\"views.theme.inc\";s:9:\"variables\";a:5:{s:4:\"view\";N;s:8:\"grouping\";N;s:14:\"grouping_level\";N;s:4:\"rows\";N;s:5:\"title\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:18:\"core/modules/views\";s:8:\"includes\";a:1:{i:0;s:34:\"core/modules/views/views.theme.inc\";}s:8:\"template\";s:19:\"views-view-grouping\";s:4:\"path\";s:28:\"core/modules/views/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:39:\"template_preprocess_views_view_grouping\";i:2;s:21:\"contextual_preprocess\";}}s:10:\"views_view\";a:7:{s:9:\"variables\";a:13:{s:10:\"view_array\";a:0:{}s:4:\"view\";N;s:4:\"rows\";a:0:{}s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:7:\"exposed\";a:0:{}s:4:\"more\";a:0:{}s:10:\"feed_icons\";a:0:{}s:5:\"pager\";a:0:{}s:5:\"title\";s:0:\"\";s:17:\"attachment_before\";a:0:{}s:16:\"attachment_after\";a:0:{}}s:4:\"path\";s:28:\"core/modules/views/templates\";s:8:\"includes\";a:1:{i:0;s:34:\"core/modules/views/views.theme.inc\";}s:8:\"template\";s:10:\"views-view\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:18:\"core/modules/views\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:30:\"template_preprocess_views_view\";i:2;s:21:\"contextual_preprocess\";i:3;s:30:\"views_ui_preprocess_views_view\";}}s:17:\"views_view_fields\";a:7:{s:9:\"variables\";a:4:{s:4:\"view\";N;s:7:\"options\";N;s:3:\"row\";N;s:11:\"field_alias\";N;}s:4:\"path\";s:28:\"core/modules/views/templates\";s:8:\"includes\";a:1:{i:0;s:34:\"core/modules/views/views.theme.inc\";}s:8:\"template\";s:17:\"views-view-fields\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:18:\"core/modules/views\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:37:\"template_preprocess_views_view_fields\";i:2;s:21:\"contextual_preprocess\";}}s:18:\"views_view_row_rss\";a:7:{s:9:\"variables\";a:4:{s:4:\"view\";N;s:7:\"options\";N;s:3:\"row\";N;s:11:\"field_alias\";N;}s:4:\"path\";s:28:\"core/modules/views/templates\";s:8:\"includes\";a:1:{i:0;s:34:\"core/modules/views/views.theme.inc\";}s:8:\"template\";s:18:\"views-view-row-rss\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:18:\"core/modules/views\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:38:\"template_preprocess_views_view_row_rss\";i:2;s:21:\"contextual_preprocess\";}}s:19:\"views_view_row_opml\";a:7:{s:9:\"variables\";a:4:{s:4:\"view\";N;s:7:\"options\";N;s:3:\"row\";N;s:11:\"field_alias\";N;}s:4:\"path\";s:28:\"core/modules/views/templates\";s:8:\"includes\";a:1:{i:0;s:34:\"core/modules/views/views.theme.inc\";}s:8:\"template\";s:19:\"views-view-row-opml\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:18:\"core/modules/views\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:39:\"template_preprocess_views_view_row_opml\";i:2;s:21:\"contextual_preprocess\";}}s:14:\"views_view_rss\";a:7:{s:9:\"variables\";a:4:{s:4:\"view\";N;s:7:\"options\";N;s:4:\"rows\";N;s:5:\"title\";N;}s:4:\"path\";s:28:\"core/modules/views/templates\";s:8:\"includes\";a:1:{i:0;s:34:\"core/modules/views/views.theme.inc\";}s:8:\"template\";s:14:\"views-view-rss\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:18:\"core/modules/views\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:34:\"template_preprocess_views_view_rss\";i:2;s:21:\"contextual_preprocess\";}}s:15:\"views_view_grid\";a:7:{s:9:\"variables\";a:4:{s:4:\"view\";N;s:7:\"options\";N;s:4:\"rows\";N;s:5:\"title\";N;}s:4:\"path\";s:28:\"core/modules/views/templates\";s:8:\"includes\";a:1:{i:0;s:34:\"core/modules/views/views.theme.inc\";}s:8:\"template\";s:15:\"views-view-grid\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:18:\"core/modules/views\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:35:\"template_preprocess_views_view_grid\";i:2;s:21:\"contextual_preprocess\";}}s:16:\"views_view_table\";a:7:{s:9:\"variables\";a:4:{s:4:\"view\";N;s:7:\"options\";N;s:4:\"rows\";N;s:5:\"title\";N;}s:4:\"path\";s:28:\"core/modules/views/templates\";s:8:\"includes\";a:1:{i:0;s:34:\"core/modules/views/views.theme.inc\";}s:8:\"template\";s:16:\"views-view-table\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:18:\"core/modules/views\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:36:\"template_preprocess_views_view_table\";i:2;s:21:\"contextual_preprocess\";}}s:15:\"views_view_opml\";a:7:{s:9:\"variables\";a:4:{s:4:\"view\";N;s:7:\"options\";N;s:4:\"rows\";N;s:5:\"title\";N;}s:4:\"path\";s:28:\"core/modules/views/templates\";s:8:\"includes\";a:1:{i:0;s:34:\"core/modules/views/views.theme.inc\";}s:8:\"template\";s:15:\"views-view-opml\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:18:\"core/modules/views\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:35:\"template_preprocess_views_view_opml\";i:2;s:21:\"contextual_preprocess\";}}s:22:\"views_view_unformatted\";a:7:{s:9:\"variables\";a:4:{s:4:\"view\";N;s:7:\"options\";N;s:4:\"rows\";N;s:5:\"title\";N;}s:4:\"path\";s:28:\"core/modules/views/templates\";s:8:\"includes\";a:1:{i:0;s:34:\"core/modules/views/views.theme.inc\";}s:8:\"template\";s:22:\"views-view-unformatted\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:18:\"core/modules/views\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:42:\"template_preprocess_views_view_unformatted\";i:2;s:21:\"contextual_preprocess\";}}s:18:\"views_view_summary\";a:7:{s:9:\"variables\";a:4:{s:4:\"view\";N;s:7:\"options\";N;s:4:\"rows\";N;s:5:\"title\";N;}s:4:\"path\";s:28:\"core/modules/views/templates\";s:8:\"includes\";a:1:{i:0;s:34:\"core/modules/views/views.theme.inc\";}s:8:\"template\";s:18:\"views-view-summary\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:18:\"core/modules/views\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:38:\"template_preprocess_views_view_summary\";i:2;s:21:\"contextual_preprocess\";}}s:15:\"views_view_list\";a:7:{s:9:\"variables\";a:4:{s:4:\"view\";N;s:7:\"options\";N;s:4:\"rows\";N;s:5:\"title\";N;}s:4:\"path\";s:28:\"core/modules/views/templates\";s:8:\"includes\";a:1:{i:0;s:34:\"core/modules/views/views.theme.inc\";}s:8:\"template\";s:15:\"views-view-list\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:18:\"core/modules/views\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:35:\"template_preprocess_views_view_list\";i:2;s:21:\"contextual_preprocess\";}}s:30:\"views_view_summary_unformatted\";a:7:{s:9:\"variables\";a:4:{s:4:\"view\";N;s:7:\"options\";N;s:4:\"rows\";N;s:5:\"title\";N;}s:4:\"path\";s:28:\"core/modules/views/templates\";s:8:\"includes\";a:1:{i:0;s:34:\"core/modules/views/views.theme.inc\";}s:8:\"template\";s:30:\"views-view-summary-unformatted\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:18:\"core/modules/views\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:50:\"template_preprocess_views_view_summary_unformatted\";i:2;s:21:\"contextual_preprocess\";}}s:21:\"views_form_views_form\";a:8:{s:4:\"file\";s:15:\"views.theme.inc\";s:14:\"render element\";s:4:\"form\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:18:\"core/modules/views\";s:8:\"includes\";a:1:{i:0;s:34:\"core/modules/views/views.theme.inc\";}s:8:\"template\";s:21:\"views-form-views-form\";s:4:\"path\";s:28:\"core/modules/views/templates\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:18:\"views_exposed_form\";a:8:{s:4:\"file\";s:15:\"views.theme.inc\";s:14:\"render element\";s:4:\"form\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:18:\"core/modules/views\";s:8:\"includes\";a:1:{i:0;s:34:\"core/modules/views/views.theme.inc\";}s:8:\"template\";s:18:\"views-exposed-form\";s:4:\"path\";s:28:\"core/modules/views/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:38:\"template_preprocess_views_exposed_form\";i:2;s:21:\"contextual_preprocess\";}}}',-1,1636012247.708,1,'theme_registry','5'),('theme_registry:luxestate','a:179:{s:5:\"block\";a:6:{s:14:\"render element\";s:8:\"elements\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:16:\"themes/luxestate\";s:8:\"template\";s:5:\"block\";s:4:\"path\";s:33:\"themes/luxestate/templates/system\";s:20:\"preprocess functions\";a:14:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_block\";i:2;s:28:\"block_class_preprocess_block\";i:3;s:24:\"comment_preprocess_block\";i:4;s:21:\"contextual_preprocess\";i:5;s:21:\"help_preprocess_block\";i:6;s:25:\"language_preprocess_block\";i:7;s:24:\"menu_ui_preprocess_block\";i:8;s:21:\"node_preprocess_block\";i:9;s:23:\"search_preprocess_block\";i:10;s:25:\"shortcut_preprocess_block\";i:11;s:23:\"system_preprocess_block\";i:12;s:21:\"user_preprocess_block\";i:104;s:26:\"luxestate_preprocess_block\";}}s:22:\"block_content_add_list\";a:8:{s:9:\"variables\";a:1:{s:7:\"content\";N;}s:4:\"file\";s:23:\"block_content.pages.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:50:\"core/modules/block_content/block_content.pages.inc\";i:1;s:50:\"core/modules/block_content/block_content.pages.inc\";}s:8:\"template\";s:22:\"block-content-add-list\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:42:\"template_preprocess_block_content_add_list\";i:2;s:21:\"contextual_preprocess\";}}s:25:\"ckeditor_settings_toolbar\";a:8:{s:4:\"file\";s:18:\"ckeditor.admin.inc\";s:9:\"variables\";a:2:{s:6:\"editor\";N;s:7:\"plugins\";N;}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:40:\"core/modules/ckeditor/ckeditor.admin.inc\";i:1;s:40:\"core/modules/ckeditor/ckeditor.admin.inc\";}s:8:\"template\";s:25:\"ckeditor-settings-toolbar\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:45:\"template_preprocess_ckeditor_settings_toolbar\";i:2;s:21:\"contextual_preprocess\";}}s:17:\"color_scheme_form\";a:6:{s:14:\"render element\";s:4:\"form\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"template\";s:17:\"color-scheme-form\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:37:\"template_preprocess_color_scheme_form\";i:2;s:21:\"contextual_preprocess\";}}s:18:\"colorbox_formatter\";a:8:{s:9:\"variables\";a:4:{s:4:\"item\";N;s:15:\"item_attributes\";N;s:6:\"entity\";N;s:8:\"settings\";N;}s:4:\"file\";s:18:\"colorbox.theme.inc\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:16:\"modules/colorbox\";s:8:\"includes\";a:1:{i:0;s:35:\"modules/colorbox/colorbox.theme.inc\";}s:8:\"template\";s:18:\"colorbox-formatter\";s:4:\"path\";s:26:\"modules/colorbox/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:38:\"template_preprocess_colorbox_formatter\";i:2;s:21:\"contextual_preprocess\";}}s:7:\"comment\";a:6:{s:14:\"render element\";s:8:\"elements\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:16:\"themes/luxestate\";s:8:\"template\";s:7:\"comment\";s:4:\"path\";s:33:\"themes/luxestate/templates/system\";s:20:\"preprocess functions\";a:5:{i:0;s:19:\"template_preprocess\";i:1;s:27:\"template_preprocess_comment\";i:2;s:21:\"contextual_preprocess\";i:3;s:22:\"rdf_preprocess_comment\";i:4;s:24:\"views_preprocess_comment\";}}s:14:\"field__comment\";a:7:{s:9:\"base hook\";s:5:\"field\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:14:\"field--comment\";s:4:\"path\";s:34:\"core/themes/classy/templates/field\";s:20:\"preprocess functions\";a:5:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_field\";i:2;s:24:\"comment_preprocess_field\";i:3;s:21:\"contextual_preprocess\";i:4;s:26:\"quickedit_preprocess_field\";}s:14:\"render element\";s:7:\"element\";}s:38:\"config_translation_manage_form_element\";a:6:{s:14:\"render element\";s:7:\"element\";s:8:\"template\";s:38:\"config_translation_manage_form_element\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:19:\"ctools_wizard_trail\";a:6:{s:9:\"variables\";a:5:{s:6:\"wizard\";N;s:13:\"cached_values\";a:0:{}s:5:\"trail\";a:0:{}s:7:\"divider\";s:4:\" » \";s:4:\"step\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:14:\"modules/ctools\";s:8:\"template\";s:19:\"ctools-wizard-trail\";s:4:\"path\";s:24:\"modules/ctools/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:39:\"template_preprocess_ctools_wizard_trail\";i:2;s:21:\"contextual_preprocess\";}}s:25:\"ctools_wizard_trail_links\";a:6:{s:9:\"variables\";a:5:{s:6:\"wizard\";N;s:13:\"cached_values\";a:0:{}s:5:\"trail\";a:0:{}s:7:\"divider\";s:4:\" » \";s:4:\"step\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:14:\"modules/ctools\";s:8:\"template\";s:25:\"ctools-wizard-trail-links\";s:4:\"path\";s:24:\"modules/ctools/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:45:\"template_preprocess_ctools_wizard_trail_links\";i:2;s:21:\"contextual_preprocess\";}}s:14:\"field_ui_table\";a:6:{s:9:\"variables\";a:9:{s:6:\"header\";N;s:4:\"rows\";N;s:6:\"footer\";N;s:10:\"attributes\";a:0:{}s:7:\"caption\";N;s:9:\"colgroups\";a:0:{}s:6:\"sticky\";b:0;s:10:\"responsive\";b:1;s:5:\"empty\";s:0:\"\";}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"template\";s:14:\"field-ui-table\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:34:\"template_preprocess_field_ui_table\";i:2;s:21:\"contextual_preprocess\";}}s:9:\"file_link\";a:6:{s:9:\"variables\";a:3:{s:4:\"file\";N;s:11:\"description\";N;s:10:\"attributes\";a:0:{}}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:9:\"file-link\";s:4:\"path\";s:34:\"core/themes/classy/templates/field\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:29:\"template_preprocess_file_link\";i:2;s:21:\"contextual_preprocess\";}}s:17:\"file_managed_file\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:17:\"file-managed-file\";s:4:\"path\";s:41:\"core/themes/classy/templates/content-edit\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:37:\"template_preprocess_file_managed_file\";i:2;s:21:\"contextual_preprocess\";}}s:10:\"file_audio\";a:6:{s:9:\"variables\";a:2:{s:5:\"files\";a:0:{}s:10:\"attributes\";N;}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:10:\"file-audio\";s:4:\"path\";s:34:\"core/themes/classy/templates/field\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:10:\"file_video\";a:6:{s:9:\"variables\";a:2:{s:5:\"files\";a:0:{}s:10:\"attributes\";N;}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:10:\"file-video\";s:4:\"path\";s:34:\"core/themes/classy/templates/field\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:20:\"file_widget_multiple\";a:8:{s:14:\"render element\";s:7:\"element\";s:4:\"file\";s:14:\"file.field.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"includes\";a:4:{i:0;s:32:\"core/modules/file/file.field.inc\";i:1;s:32:\"core/modules/file/file.field.inc\";i:2;s:32:\"core/modules/file/file.field.inc\";i:3;s:32:\"core/modules/file/file.field.inc\";}s:8:\"template\";s:20:\"file-widget-multiple\";s:4:\"path\";s:41:\"core/themes/classy/templates/content-edit\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:40:\"template_preprocess_file_widget_multiple\";i:2;s:21:\"contextual_preprocess\";}}s:16:\"file_upload_help\";a:8:{s:9:\"variables\";a:3:{s:11:\"description\";N;s:17:\"upload_validators\";N;s:11:\"cardinality\";N;}s:4:\"file\";s:14:\"file.field.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"includes\";a:4:{i:0;s:32:\"core/modules/file/file.field.inc\";i:1;s:32:\"core/modules/file/file.field.inc\";i:2;s:32:\"core/modules/file/file.field.inc\";i:3;s:32:\"core/modules/file/file.field.inc\";}s:8:\"template\";s:16:\"file-upload-help\";s:4:\"path\";s:41:\"core/themes/classy/templates/content-edit\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:36:\"template_preprocess_file_upload_help\";i:2;s:21:\"contextual_preprocess\";}}s:11:\"filter_tips\";a:6:{s:9:\"variables\";a:2:{s:4:\"tips\";N;s:4:\"long\";b:0;}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:11:\"filter-tips\";s:4:\"path\";s:41:\"core/themes/classy/templates/content-edit\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:31:\"template_preprocess_filter_tips\";i:2;s:21:\"contextual_preprocess\";}}s:19:\"text_format_wrapper\";a:6:{s:9:\"variables\";a:3:{s:8:\"children\";N;s:11:\"description\";N;s:10:\"attributes\";a:0:{}}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:19:\"text-format-wrapper\";s:4:\"path\";s:41:\"core/themes/classy/templates/content-edit\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:39:\"template_preprocess_text_format_wrapper\";i:2;s:21:\"contextual_preprocess\";}}s:17:\"filter_guidelines\";a:6:{s:9:\"variables\";a:1:{s:6:\"format\";N;}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:17:\"filter-guidelines\";s:4:\"path\";s:41:\"core/themes/classy/templates/content-edit\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:37:\"template_preprocess_filter_guidelines\";i:2;s:21:\"contextual_preprocess\";}}s:14:\"filter_caption\";a:6:{s:9:\"variables\";a:4:{s:4:\"node\";N;s:3:\"tag\";N;s:7:\"caption\";N;s:7:\"classes\";N;}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:14:\"filter-caption\";s:4:\"path\";s:41:\"core/themes/classy/templates/content-edit\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:12:\"help_section\";a:6:{s:9:\"variables\";a:4:{s:5:\"title\";N;s:11:\"description\";N;s:5:\"links\";N;s:5:\"empty\";N;}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:12:\"help-section\";s:4:\"path\";s:33:\"core/themes/classy/templates/misc\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:11:\"image_style\";a:6:{s:9:\"variables\";a:7:{s:10:\"style_name\";N;s:3:\"uri\";N;s:5:\"width\";N;s:6:\"height\";N;s:3:\"alt\";s:0:\"\";s:5:\"title\";N;s:10:\"attributes\";a:0:{}}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:11:\"image-style\";s:4:\"path\";s:34:\"core/themes/classy/templates/field\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:31:\"template_preprocess_image_style\";i:2;s:21:\"contextual_preprocess\";}}s:19:\"image_style_preview\";a:8:{s:9:\"variables\";a:1:{s:5:\"style\";N;}s:4:\"file\";s:15:\"image.admin.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:34:\"core/modules/image/image.admin.inc\";i:1;s:34:\"core/modules/image/image.admin.inc\";}s:8:\"template\";s:19:\"image-style-preview\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:39:\"template_preprocess_image_style_preview\";i:2;s:21:\"contextual_preprocess\";}}s:12:\"image_anchor\";a:8:{s:14:\"render element\";s:7:\"element\";s:4:\"file\";s:15:\"image.admin.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:34:\"core/modules/image/image.admin.inc\";i:1;s:34:\"core/modules/image/image.admin.inc\";}s:8:\"template\";s:12:\"image-anchor\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:32:\"template_preprocess_image_anchor\";i:2;s:21:\"contextual_preprocess\";}}s:20:\"image_resize_summary\";a:6:{s:9:\"variables\";a:2:{s:4:\"data\";N;s:6:\"effect\";a:0:{}}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"template\";s:20:\"image-resize-summary\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:19:\"image_scale_summary\";a:6:{s:9:\"variables\";a:2:{s:4:\"data\";N;s:6:\"effect\";a:0:{}}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"template\";s:19:\"image-scale-summary\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:18:\"image_crop_summary\";a:6:{s:9:\"variables\";a:2:{s:4:\"data\";N;s:6:\"effect\";a:0:{}}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"template\";s:18:\"image-crop-summary\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:28:\"image_scale_and_crop_summary\";a:6:{s:9:\"variables\";a:2:{s:4:\"data\";N;s:6:\"effect\";a:0:{}}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"template\";s:28:\"image-scale-and-crop-summary\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:20:\"image_rotate_summary\";a:6:{s:9:\"variables\";a:2:{s:4:\"data\";N;s:6:\"effect\";a:0:{}}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"template\";s:20:\"image-rotate-summary\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:12:\"image_widget\";a:8:{s:14:\"render element\";s:7:\"element\";s:4:\"file\";s:15:\"image.field.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"includes\";a:4:{i:0;s:34:\"core/modules/image/image.field.inc\";i:1;s:34:\"core/modules/image/image.field.inc\";i:2;s:34:\"core/modules/image/image.field.inc\";i:3;s:34:\"core/modules/image/image.field.inc\";}s:8:\"template\";s:12:\"image-widget\";s:4:\"path\";s:41:\"core/themes/classy/templates/content-edit\";s:20:\"preprocess functions\";a:5:{i:0;s:19:\"template_preprocess\";i:1;s:32:\"template_preprocess_image_widget\";i:2;s:21:\"contextual_preprocess\";i:6;s:30:\"stable_preprocess_image_widget\";i:16;s:30:\"classy_preprocess_image_widget\";}}s:15:\"image_formatter\";a:8:{s:9:\"variables\";a:4:{s:4:\"item\";N;s:15:\"item_attributes\";N;s:3:\"url\";N;s:11:\"image_style\";N;}s:4:\"file\";s:15:\"image.field.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"includes\";a:4:{i:0;s:34:\"core/modules/image/image.field.inc\";i:1;s:34:\"core/modules/image/image.field.inc\";i:2;s:34:\"core/modules/image/image.field.inc\";i:3;s:34:\"core/modules/image/image.field.inc\";}s:8:\"template\";s:15:\"image-formatter\";s:4:\"path\";s:34:\"core/themes/classy/templates/field\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:35:\"template_preprocess_image_formatter\";i:2;s:21:\"contextual_preprocess\";}}s:35:\"language_negotiation_configure_form\";a:8:{s:14:\"render element\";s:4:\"form\";s:4:\"file\";s:18:\"language.admin.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:40:\"core/modules/language/language.admin.inc\";i:1;s:40:\"core/modules/language/language.admin.inc\";}s:8:\"template\";s:35:\"language-negotiation-configure-form\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:55:\"template_preprocess_language_negotiation_configure_form\";i:2;s:21:\"contextual_preprocess\";}}s:31:\"language_content_settings_table\";a:8:{s:14:\"render element\";s:7:\"element\";s:4:\"file\";s:18:\"language.admin.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:40:\"core/modules/language/language.admin.inc\";i:1;s:40:\"core/modules/language/language.admin.inc\";}s:8:\"template\";s:31:\"language-content-settings-table\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:51:\"template_preprocess_language_content_settings_table\";i:2;s:62:\"content_translation_preprocess_language_content_settings_table\";i:3;s:21:\"contextual_preprocess\";}}s:28:\"link_formatter_link_separate\";a:6:{s:9:\"variables\";a:3:{s:5:\"title\";N;s:9:\"url_title\";N;s:3:\"url\";N;}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:28:\"link-formatter-link-separate\";s:4:\"path\";s:34:\"core/themes/classy/templates/field\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:48:\"template_preprocess_link_formatter_link_separate\";i:2;s:21:\"contextual_preprocess\";}}s:29:\"locale_translation_last_check\";a:8:{s:9:\"variables\";a:1:{s:4:\"last\";N;}s:4:\"file\";s:16:\"locale.pages.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:36:\"core/modules/locale/locale.pages.inc\";i:1;s:36:\"core/modules/locale/locale.pages.inc\";}s:8:\"template\";s:29:\"locale-translation-last-check\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:49:\"template_preprocess_locale_translation_last_check\";i:2;s:21:\"contextual_preprocess\";}}s:30:\"locale_translation_update_info\";a:8:{s:9:\"variables\";a:2:{s:7:\"updates\";a:0:{}s:9:\"not_found\";a:0:{}}s:4:\"file\";s:16:\"locale.pages.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:36:\"core/modules/locale/locale.pages.inc\";i:1;s:36:\"core/modules/locale/locale.pages.inc\";}s:8:\"template\";s:30:\"locale-translation-update-info\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:50:\"template_preprocess_locale_translation_update_info\";i:2;s:21:\"contextual_preprocess\";}}s:4:\"node\";a:6:{s:14:\"render element\";s:8:\"elements\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:16:\"themes/luxestate\";s:8:\"template\";s:4:\"node\";s:4:\"path\";s:33:\"themes/luxestate/templates/system\";s:20:\"preprocess functions\";a:7:{i:0;s:19:\"template_preprocess\";i:1;s:24:\"template_preprocess_node\";i:2;s:21:\"contextual_preprocess\";i:3;s:22:\"locale_preprocess_node\";i:4;s:26:\"node_class_preprocess_node\";i:5;s:19:\"rdf_preprocess_node\";i:6;s:21:\"views_preprocess_node\";}}s:13:\"node_add_list\";a:6:{s:9:\"variables\";a:1:{s:7:\"content\";N;}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:13:\"node-add-list\";s:4:\"path\";s:41:\"core/themes/classy/templates/content-edit\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:33:\"template_preprocess_node_add_list\";i:2;s:21:\"contextual_preprocess\";}}s:14:\"node_edit_form\";a:6:{s:14:\"render element\";s:4:\"form\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:14:\"node-edit-form\";s:4:\"path\";s:41:\"core/themes/classy/templates/content-edit\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:18:\"field__node__title\";a:7:{s:9:\"base hook\";s:5:\"field\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:18:\"field--node--title\";s:4:\"path\";s:34:\"core/themes/classy/templates/field\";s:20:\"preprocess functions\";a:5:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_field\";i:2;s:24:\"comment_preprocess_field\";i:3;s:21:\"contextual_preprocess\";i:4;s:26:\"quickedit_preprocess_field\";}s:14:\"render element\";s:7:\"element\";}s:16:\"field__node__uid\";a:7:{s:9:\"base hook\";s:5:\"field\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:16:\"field--node--uid\";s:4:\"path\";s:34:\"core/themes/classy/templates/field\";s:20:\"preprocess functions\";a:6:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_field\";i:2;s:24:\"comment_preprocess_field\";i:3;s:21:\"contextual_preprocess\";i:4;s:26:\"quickedit_preprocess_field\";i:20;s:31:\"rdf_preprocess_field__node__uid\";}s:14:\"render element\";s:7:\"element\";}s:20:\"field__node__created\";a:7:{s:9:\"base hook\";s:5:\"field\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:20:\"field--node--created\";s:4:\"path\";s:34:\"core/themes/classy/templates/field\";s:20:\"preprocess functions\";a:5:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_field\";i:2;s:24:\"comment_preprocess_field\";i:3;s:21:\"contextual_preprocess\";i:4;s:26:\"quickedit_preprocess_field\";}s:14:\"render element\";s:7:\"element\";}s:11:\"rdf_wrapper\";a:6:{s:9:\"variables\";a:2:{s:10:\"attributes\";a:0:{}s:7:\"content\";N;}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"template\";s:11:\"rdf-wrapper\";s:4:\"path\";s:33:\"core/themes/stable/templates/misc\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:12:\"rdf_metadata\";a:6:{s:9:\"variables\";a:1:{s:8:\"metadata\";a:0:{}}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:12:\"rdf-metadata\";s:4:\"path\";s:33:\"core/themes/classy/templates/misc\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:32:\"template_preprocess_rdf_metadata\";i:2;s:21:\"contextual_preprocess\";}}s:16:\"responsive_image\";a:6:{s:9:\"variables\";a:5:{s:3:\"uri\";N;s:10:\"attributes\";a:0:{}s:25:\"responsive_image_style_id\";a:0:{}s:6:\"height\";N;s:5:\"width\";N;}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"template\";s:16:\"responsive-image\";s:4:\"path\";s:34:\"core/themes/stable/templates/field\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:36:\"template_preprocess_responsive_image\";i:2;s:21:\"contextual_preprocess\";}}s:26:\"responsive_image_formatter\";a:6:{s:9:\"variables\";a:4:{s:4:\"item\";N;s:15:\"item_attributes\";N;s:3:\"url\";N;s:25:\"responsive_image_style_id\";N;}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"template\";s:26:\"responsive-image-formatter\";s:4:\"path\";s:34:\"core/themes/stable/templates/field\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:46:\"template_preprocess_responsive_image_formatter\";i:2;s:21:\"contextual_preprocess\";}}s:13:\"search_result\";a:8:{s:9:\"variables\";a:2:{s:6:\"result\";N;s:9:\"plugin_id\";N;}s:4:\"file\";s:16:\"search.pages.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"includes\";a:4:{i:0;s:36:\"core/modules/search/search.pages.inc\";i:1;s:36:\"core/modules/search/search.pages.inc\";i:2;s:36:\"core/modules/search/search.pages.inc\";i:3;s:36:\"core/modules/search/search.pages.inc\";}s:8:\"template\";s:13:\"search-result\";s:4:\"path\";s:36:\"core/themes/classy/templates/content\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:33:\"template_preprocess_search_result\";i:2;s:21:\"contextual_preprocess\";}}s:15:\"sharethis_block\";a:6:{s:9:\"variables\";a:1:{s:7:\"content\";a:1:{s:8:\"st_spans\";N;}}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:17:\"modules/sharethis\";s:8:\"template\";s:15:\"sharethis-block\";s:4:\"path\";s:27:\"modules/sharethis/templates\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:26:\"simplenews_newsletter_body\";a:6:{s:14:\"render element\";s:8:\"elements\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:18:\"modules/simplenews\";s:8:\"template\";s:26:\"simplenews-newsletter-body\";s:4:\"path\";s:28:\"modules/simplenews/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:46:\"template_preprocess_simplenews_newsletter_body\";i:2;s:21:\"contextual_preprocess\";}}s:4:\"html\";a:6:{s:14:\"render element\";s:4:\"html\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:16:\"themes/luxestate\";s:8:\"template\";s:4:\"html\";s:4:\"path\";s:31:\"themes/luxestate/templates/page\";s:20:\"preprocess functions\";a:9:{i:0;s:19:\"template_preprocess\";i:1;s:24:\"template_preprocess_html\";i:2;s:35:\"admin_toolbar_tools_preprocess_html\";i:3;s:21:\"contextual_preprocess\";i:4;s:20:\"node_preprocess_html\";i:5;s:19:\"rdf_preprocess_html\";i:6;s:23:\"toolbar_preprocess_html\";i:7;s:27:\"we_megamenu_preprocess_html\";i:64;s:25:\"luxestate_preprocess_html\";}}s:4:\"page\";a:6:{s:14:\"render element\";s:4:\"page\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:16:\"themes/luxestate\";s:8:\"template\";s:4:\"page\";s:4:\"path\";s:31:\"themes/luxestate/templates/page\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:24:\"template_preprocess_page\";i:2;s:21:\"contextual_preprocess\";i:24;s:25:\"luxestate_preprocess_page\";}}s:10:\"page_title\";a:6:{s:9:\"variables\";a:1:{s:5:\"title\";N;}s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:16:\"themes/luxestate\";s:8:\"template\";s:10:\"page-title\";s:4:\"path\";s:31:\"themes/luxestate/templates/page\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";i:2;s:31:\"quickedit_preprocess_page_title\";i:3;s:30:\"shortcut_preprocess_page_title\";}}s:6:\"region\";a:6:{s:14:\"render element\";s:8:\"elements\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:6:\"region\";s:4:\"path\";s:35:\"core/themes/classy/templates/layout\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:26:\"template_preprocess_region\";i:2;s:21:\"contextual_preprocess\";}}s:4:\"time\";a:6:{s:9:\"variables\";a:3:{s:9:\"timestamp\";N;s:4:\"text\";N;s:10:\"attributes\";a:0:{}}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:4:\"time\";s:4:\"path\";s:34:\"core/themes/classy/templates/field\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:24:\"template_preprocess_time\";i:2;s:21:\"contextual_preprocess\";}}s:13:\"datetime_form\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:13:\"datetime-form\";s:4:\"path\";s:33:\"core/themes/classy/templates/form\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:33:\"template_preprocess_datetime_form\";i:2;s:21:\"contextual_preprocess\";}}s:16:\"datetime_wrapper\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:16:\"datetime-wrapper\";s:4:\"path\";s:33:\"core/themes/classy/templates/form\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:36:\"template_preprocess_datetime_wrapper\";i:2;s:21:\"contextual_preprocess\";}}s:15:\"status_messages\";a:6:{s:9:\"variables\";a:2:{s:15:\"status_headings\";a:0:{}s:12:\"message_list\";N;}s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:16:\"themes/luxestate\";s:8:\"template\";s:15:\"status-messages\";s:4:\"path\";s:33:\"themes/luxestate/templates/system\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:5:\"links\";a:6:{s:9:\"variables\";a:4:{s:5:\"links\";a:0:{}s:10:\"attributes\";a:1:{s:5:\"class\";a:4:{i:0;s:5:\"links\";i:1;s:5:\"links\";i:2;s:5:\"links\";i:3;s:5:\"links\";}}s:7:\"heading\";a:0:{}s:16:\"set_active_class\";b:0;}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:5:\"links\";s:4:\"path\";s:39:\"core/themes/classy/templates/navigation\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_links\";i:2;s:21:\"contextual_preprocess\";i:6;s:23:\"stable_preprocess_links\";}}s:18:\"dropbutton_wrapper\";a:6:{s:9:\"variables\";a:1:{s:8:\"children\";N;}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:18:\"dropbutton-wrapper\";s:4:\"path\";s:33:\"core/themes/classy/templates/form\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:5:\"image\";a:6:{s:9:\"variables\";a:9:{s:3:\"uri\";N;s:5:\"width\";N;s:6:\"height\";N;s:3:\"alt\";s:0:\"\";s:5:\"title\";N;s:10:\"attributes\";a:0:{}s:5:\"sizes\";N;s:6:\"srcset\";a:0:{}s:10:\"style_name\";N;}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:5:\"image\";s:4:\"path\";s:34:\"core/themes/classy/templates/field\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_image\";i:2;s:21:\"contextual_preprocess\";i:3;s:20:\"rdf_preprocess_image\";}}s:10:\"breadcrumb\";a:6:{s:9:\"variables\";a:1:{s:5:\"links\";a:0:{}}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:10:\"breadcrumb\";s:4:\"path\";s:39:\"core/themes/classy/templates/navigation\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:30:\"template_preprocess_breadcrumb\";i:2;s:21:\"contextual_preprocess\";}}s:5:\"table\";a:6:{s:9:\"variables\";a:9:{s:6:\"header\";N;s:4:\"rows\";N;s:6:\"footer\";N;s:10:\"attributes\";a:0:{}s:7:\"caption\";N;s:9:\"colgroups\";a:0:{}s:6:\"sticky\";b:0;s:10:\"responsive\";b:1;s:5:\"empty\";s:0:\"\";}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:5:\"table\";s:4:\"path\";s:36:\"core/themes/classy/templates/dataset\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_table\";i:2;s:21:\"contextual_preprocess\";}}s:19:\"tablesort_indicator\";a:6:{s:9:\"variables\";a:1:{s:5:\"style\";N;}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"template\";s:19:\"tablesort-indicator\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:4:\"mark\";a:6:{s:9:\"variables\";a:1:{s:6:\"status\";i:1;}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:4:\"mark\";s:4:\"path\";s:36:\"core/themes/classy/templates/content\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:9:\"item_list\";a:6:{s:9:\"variables\";a:7:{s:5:\"items\";a:0:{}s:5:\"title\";s:0:\"\";s:9:\"list_type\";s:2:\"ul\";s:18:\"wrapper_attributes\";a:0:{}s:10:\"attributes\";a:0:{}s:5:\"empty\";N;s:7:\"context\";a:0:{}}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:9:\"item-list\";s:4:\"path\";s:36:\"core/themes/classy/templates/dataset\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:29:\"template_preprocess_item_list\";i:2;s:21:\"contextual_preprocess\";}}s:9:\"feed_icon\";a:6:{s:9:\"variables\";a:2:{s:3:\"url\";N;s:5:\"title\";N;}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"template\";s:9:\"feed-icon\";s:4:\"path\";s:33:\"core/themes/stable/templates/misc\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:12:\"progress_bar\";a:6:{s:9:\"variables\";a:3:{s:5:\"label\";N;s:7:\"percent\";N;s:7:\"message\";N;}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:12:\"progress-bar\";s:4:\"path\";s:33:\"core/themes/classy/templates/misc\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:11:\"indentation\";a:6:{s:9:\"variables\";a:1:{s:4:\"size\";i:1;}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"template\";s:11:\"indentation\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:16:\"maintenance_page\";a:6:{s:14:\"render element\";s:4:\"page\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:16:\"themes/luxestate\";s:8:\"template\";s:16:\"maintenance-page\";s:4:\"path\";s:33:\"themes/luxestate/templates/system\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:36:\"template_preprocess_maintenance_page\";i:2;s:21:\"contextual_preprocess\";i:24;s:37:\"luxestate_preprocess_maintenance_page\";}}s:12:\"install_page\";a:6:{s:14:\"render element\";s:4:\"page\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"template\";s:12:\"install-page\";s:4:\"path\";s:35:\"core/themes/stable/templates/layout\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:32:\"template_preprocess_install_page\";i:2;s:21:\"contextual_preprocess\";}}s:21:\"maintenance_task_list\";a:6:{s:9:\"variables\";a:3:{s:5:\"items\";N;s:6:\"active\";N;s:7:\"variant\";N;}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"template\";s:21:\"maintenance-task-list\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:41:\"template_preprocess_maintenance_task_list\";i:2;s:21:\"contextual_preprocess\";}}s:16:\"authorize_report\";a:7:{s:9:\"variables\";a:2:{s:8:\"messages\";a:0:{}s:10:\"attributes\";a:0:{}}s:8:\"includes\";a:2:{i:0;s:35:\"core/includes/theme.maintenance.inc\";i:1;s:35:\"core/includes/theme.maintenance.inc\";}s:8:\"template\";s:16:\"authorize-report\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:36:\"template_preprocess_authorize_report\";i:2;s:21:\"contextual_preprocess\";}}s:5:\"pager\";a:6:{s:14:\"render element\";s:5:\"pager\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:5:\"pager\";s:4:\"path\";s:39:\"core/themes/classy/templates/navigation\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_pager\";i:2;s:21:\"contextual_preprocess\";}}s:4:\"menu\";a:6:{s:9:\"variables\";a:3:{s:9:\"menu_name\";N;s:5:\"items\";a:0:{}s:10:\"attributes\";a:0:{}}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:16:\"themes/luxestate\";s:8:\"template\";s:4:\"menu\";s:4:\"path\";s:39:\"core/themes/classy/templates/navigation\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";i:2;s:36:\"menu_link_attributes_preprocess_menu\";i:12;s:25:\"luxestate_preprocess_menu\";}}s:15:\"menu_local_task\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:15:\"menu-local-task\";s:4:\"path\";s:39:\"core/themes/classy/templates/navigation\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:35:\"template_preprocess_menu_local_task\";i:2;s:21:\"contextual_preprocess\";}}s:17:\"menu_local_action\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:17:\"menu-local-action\";s:4:\"path\";s:39:\"core/themes/classy/templates/navigation\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:37:\"template_preprocess_menu_local_action\";i:2;s:21:\"contextual_preprocess\";}}s:16:\"menu_local_tasks\";a:6:{s:9:\"variables\";a:2:{s:7:\"primary\";a:0:{}s:9:\"secondary\";a:0:{}}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:16:\"menu-local-tasks\";s:4:\"path\";s:39:\"core/themes/classy/templates/navigation\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:5:\"input\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:5:\"input\";s:4:\"path\";s:33:\"core/themes/classy/templates/form\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_input\";i:2;s:21:\"contextual_preprocess\";}}s:6:\"select\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:6:\"select\";s:4:\"path\";s:33:\"core/themes/classy/templates/form\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:26:\"template_preprocess_select\";i:2;s:21:\"contextual_preprocess\";}}s:8:\"fieldset\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:8:\"fieldset\";s:4:\"path\";s:33:\"core/themes/classy/templates/form\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:28:\"template_preprocess_fieldset\";i:2;s:21:\"contextual_preprocess\";}}s:7:\"details\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:7:\"details\";s:4:\"path\";s:33:\"core/themes/classy/templates/form\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:27:\"template_preprocess_details\";i:2;s:21:\"contextual_preprocess\";}}s:6:\"radios\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:6:\"radios\";s:4:\"path\";s:33:\"core/themes/classy/templates/form\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:26:\"template_preprocess_radios\";i:2;s:21:\"contextual_preprocess\";}}s:10:\"checkboxes\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:10:\"checkboxes\";s:4:\"path\";s:33:\"core/themes/classy/templates/form\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:30:\"template_preprocess_checkboxes\";i:2;s:21:\"contextual_preprocess\";}}s:4:\"form\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:4:\"form\";s:4:\"path\";s:33:\"core/themes/classy/templates/form\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:24:\"template_preprocess_form\";i:2;s:21:\"contextual_preprocess\";}}s:8:\"textarea\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:8:\"textarea\";s:4:\"path\";s:33:\"core/themes/classy/templates/form\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:28:\"template_preprocess_textarea\";i:2;s:21:\"contextual_preprocess\";}}s:12:\"form_element\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:12:\"form-element\";s:4:\"path\";s:33:\"core/themes/classy/templates/form\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:32:\"template_preprocess_form_element\";i:2;s:21:\"contextual_preprocess\";}}s:18:\"form_element_label\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:18:\"form-element-label\";s:4:\"path\";s:33:\"core/themes/classy/templates/form\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:38:\"template_preprocess_form_element_label\";i:2;s:21:\"contextual_preprocess\";}}s:13:\"vertical_tabs\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:13:\"vertical-tabs\";s:4:\"path\";s:39:\"core/themes/classy/templates/navigation\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:33:\"template_preprocess_vertical_tabs\";i:2;s:21:\"contextual_preprocess\";}}s:9:\"container\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:9:\"container\";s:4:\"path\";s:33:\"core/themes/classy/templates/form\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:29:\"template_preprocess_container\";i:2;s:21:\"contextual_preprocess\";}}s:5:\"field\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:5:\"field\";s:4:\"path\";s:34:\"core/themes/classy/templates/field\";s:20:\"preprocess functions\";a:5:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_field\";i:2;s:24:\"comment_preprocess_field\";i:3;s:21:\"contextual_preprocess\";i:4;s:26:\"quickedit_preprocess_field\";}}s:25:\"field_multiple_value_form\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:25:\"field-multiple-value-form\";s:4:\"path\";s:33:\"core/themes/classy/templates/form\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:45:\"template_preprocess_field_multiple_value_form\";i:2;s:21:\"contextual_preprocess\";}}s:28:\"block__system_branding_block\";a:7:{s:14:\"render element\";s:8:\"elements\";s:9:\"base hook\";s:5:\"block\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:16:\"themes/luxestate\";s:8:\"template\";s:28:\"block--system-branding-block\";s:4:\"path\";s:33:\"themes/luxestate/templates/system\";s:20:\"preprocess functions\";a:14:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_block\";i:2;s:28:\"block_class_preprocess_block\";i:3;s:24:\"comment_preprocess_block\";i:4;s:21:\"contextual_preprocess\";i:5;s:21:\"help_preprocess_block\";i:6;s:25:\"language_preprocess_block\";i:7;s:24:\"menu_ui_preprocess_block\";i:8;s:21:\"node_preprocess_block\";i:9;s:23:\"search_preprocess_block\";i:10;s:25:\"shortcut_preprocess_block\";i:11;s:23:\"system_preprocess_block\";i:12;s:21:\"user_preprocess_block\";i:13;s:26:\"luxestate_preprocess_block\";}}s:28:\"block__system_messages_block\";a:7:{s:9:\"base hook\";s:5:\"block\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"template\";s:28:\"block--system-messages-block\";s:4:\"path\";s:34:\"core/themes/stable/templates/block\";s:20:\"preprocess functions\";a:14:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_block\";i:2;s:28:\"block_class_preprocess_block\";i:3;s:24:\"comment_preprocess_block\";i:4;s:21:\"contextual_preprocess\";i:5;s:21:\"help_preprocess_block\";i:6;s:25:\"language_preprocess_block\";i:7;s:24:\"menu_ui_preprocess_block\";i:8;s:21:\"node_preprocess_block\";i:9;s:23:\"search_preprocess_block\";i:10;s:25:\"shortcut_preprocess_block\";i:11;s:23:\"system_preprocess_block\";i:12;s:21:\"user_preprocess_block\";i:13;s:26:\"luxestate_preprocess_block\";}s:14:\"render element\";s:8:\"elements\";}s:24:\"block__system_menu_block\";a:7:{s:14:\"render element\";s:8:\"elements\";s:9:\"base hook\";s:5:\"block\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:24:\"block--system-menu-block\";s:4:\"path\";s:34:\"core/themes/classy/templates/block\";s:20:\"preprocess functions\";a:14:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_block\";i:2;s:28:\"block_class_preprocess_block\";i:3;s:24:\"comment_preprocess_block\";i:4;s:21:\"contextual_preprocess\";i:5;s:21:\"help_preprocess_block\";i:6;s:25:\"language_preprocess_block\";i:7;s:24:\"menu_ui_preprocess_block\";i:8;s:21:\"node_preprocess_block\";i:9;s:23:\"search_preprocess_block\";i:10;s:25:\"shortcut_preprocess_block\";i:11;s:23:\"system_preprocess_block\";i:12;s:21:\"user_preprocess_block\";i:13;s:26:\"luxestate_preprocess_block\";}}s:18:\"system_themes_page\";a:8:{s:9:\"variables\";a:2:{s:12:\"theme_groups\";a:0:{}s:18:\"theme_group_titles\";a:0:{}}s:4:\"file\";s:16:\"system.admin.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:36:\"core/modules/system/system.admin.inc\";i:1;s:36:\"core/modules/system/system.admin.inc\";}s:8:\"template\";s:18:\"system-themes-page\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:38:\"template_preprocess_system_themes_page\";i:2;s:21:\"contextual_preprocess\";}}s:18:\"system_config_form\";a:6:{s:14:\"render element\";s:4:\"form\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"template\";s:18:\"system-config-form\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:12:\"confirm_form\";a:6:{s:14:\"render element\";s:4:\"form\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:12:\"confirm-form\";s:4:\"path\";s:33:\"core/themes/classy/templates/form\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:22:\"system_modules_details\";a:8:{s:14:\"render element\";s:4:\"form\";s:4:\"file\";s:16:\"system.admin.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:36:\"core/modules/system/system.admin.inc\";i:1;s:36:\"core/modules/system/system.admin.inc\";}s:8:\"template\";s:22:\"system-modules-details\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:42:\"template_preprocess_system_modules_details\";i:2;s:21:\"contextual_preprocess\";}}s:24:\"system_modules_uninstall\";a:8:{s:14:\"render element\";s:4:\"form\";s:4:\"file\";s:16:\"system.admin.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:36:\"core/modules/system/system.admin.inc\";i:1;s:36:\"core/modules/system/system.admin.inc\";}s:8:\"template\";s:24:\"system-modules-uninstall\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:44:\"template_preprocess_system_modules_uninstall\";i:2;s:21:\"contextual_preprocess\";}}s:18:\"status_report_page\";a:6:{s:9:\"variables\";a:3:{s:8:\"counters\";a:0:{}s:12:\"general_info\";a:0:{}s:12:\"requirements\";N;}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"template\";s:18:\"status-report-page\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:13:\"status_report\";a:6:{s:9:\"variables\";a:2:{s:20:\"grouped_requirements\";N;s:12:\"requirements\";N;}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"template\";s:13:\"status-report\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:21:\"status_report_grouped\";a:6:{s:9:\"variables\";a:2:{s:20:\"grouped_requirements\";N;s:12:\"requirements\";N;}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"template\";s:21:\"status-report-grouped\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:21:\"status_report_counter\";a:6:{s:9:\"variables\";a:3:{s:6:\"amount\";N;s:4:\"text\";N;s:8:\"severity\";N;}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"template\";s:21:\"status-report-counter\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:26:\"status_report_general_info\";a:6:{s:9:\"variables\";a:7:{s:6:\"drupal\";a:0:{}s:4:\"cron\";a:0:{}s:15:\"database_system\";a:0:{}s:23:\"database_system_version\";a:0:{}s:3:\"php\";a:0:{}s:16:\"php_memory_limit\";a:0:{}s:9:\"webserver\";a:0:{}}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"template\";s:26:\"status-report-general-info\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:10:\"admin_page\";a:8:{s:9:\"variables\";a:1:{s:6:\"blocks\";N;}s:4:\"file\";s:16:\"system.admin.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:36:\"core/modules/system/system.admin.inc\";i:1;s:36:\"core/modules/system/system.admin.inc\";}s:8:\"template\";s:10:\"admin-page\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:30:\"template_preprocess_admin_page\";i:2;s:21:\"contextual_preprocess\";}}s:11:\"admin_block\";a:8:{s:9:\"variables\";a:2:{s:5:\"block\";N;s:10:\"attributes\";a:0:{}}s:4:\"file\";s:16:\"system.admin.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:36:\"core/modules/system/system.admin.inc\";i:1;s:36:\"core/modules/system/system.admin.inc\";}s:8:\"template\";s:11:\"admin-block\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:19:\"admin_block_content\";a:8:{s:9:\"variables\";a:1:{s:7:\"content\";N;}s:4:\"file\";s:16:\"system.admin.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:36:\"core/modules/system/system.admin.inc\";i:1;s:36:\"core/modules/system/system.admin.inc\";}s:8:\"template\";s:19:\"admin-block-content\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:39:\"template_preprocess_admin_block_content\";i:2;s:21:\"contextual_preprocess\";}}s:18:\"system_admin_index\";a:8:{s:9:\"variables\";a:1:{s:10:\"menu_items\";N;}s:4:\"file\";s:16:\"system.admin.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:36:\"core/modules/system/system.admin.inc\";i:1;s:36:\"core/modules/system/system.admin.inc\";}s:8:\"template\";s:18:\"system-admin-index\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:38:\"template_preprocess_system_admin_index\";i:2;s:21:\"contextual_preprocess\";}}s:15:\"entity_add_list\";a:6:{s:9:\"variables\";a:2:{s:7:\"bundles\";a:0:{}s:18:\"add_bundle_message\";N;}s:8:\"template\";s:15:\"entity-add-list\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:4:\"path\";s:41:\"core/themes/stable/templates/content-edit\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:35:\"template_preprocess_entity_add_list\";i:2;s:21:\"contextual_preprocess\";}}s:23:\"off_canvas_page_wrapper\";a:6:{s:9:\"variables\";a:1:{s:8:\"children\";N;}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"template\";s:23:\"off-canvas-page-wrapper\";s:4:\"path\";s:36:\"core/themes/stable/templates/content\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:13:\"taxonomy_term\";a:6:{s:14:\"render element\";s:8:\"elements\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:13:\"taxonomy-term\";s:4:\"path\";s:36:\"core/themes/classy/templates/content\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:33:\"template_preprocess_taxonomy_term\";i:2;s:21:\"contextual_preprocess\";i:3;s:28:\"rdf_preprocess_taxonomy_term\";}}s:15:\"token_tree_link\";a:8:{s:9:\"variables\";a:8:{s:11:\"token_types\";a:0:{}s:12:\"global_types\";b:1;s:12:\"click_insert\";b:1;s:15:\"show_restricted\";b:0;s:11:\"show_nested\";b:0;s:15:\"recursion_limit\";i:3;s:4:\"text\";N;s:7:\"options\";a:0:{}}s:4:\"file\";s:15:\"token.pages.inc\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:13:\"modules/token\";s:8:\"includes\";a:1:{i:0;s:29:\"modules/token/token.pages.inc\";}s:8:\"template\";s:15:\"token-tree-link\";s:4:\"path\";s:23:\"modules/token/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:35:\"template_preprocess_token_tree_link\";i:2;s:21:\"contextual_preprocess\";}}s:7:\"toolbar\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:7:\"toolbar\";s:4:\"path\";s:39:\"core/themes/classy/templates/navigation\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:27:\"template_preprocess_toolbar\";i:2;s:21:\"contextual_preprocess\";}}s:13:\"menu__toolbar\";a:7:{s:9:\"base hook\";s:4:\"menu\";s:9:\"variables\";a:3:{s:5:\"items\";a:0:{}s:10:\"attributes\";a:0:{}s:9:\"menu_name\";N;}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"template\";s:13:\"menu--toolbar\";s:4:\"path\";s:39:\"core/themes/stable/templates/navigation\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";i:2;s:36:\"menu_link_attributes_preprocess_menu\";i:3;s:25:\"luxestate_preprocess_menu\";}}s:17:\"update_last_check\";a:6:{s:9:\"variables\";a:1:{s:4:\"last\";i:0;}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"template\";s:17:\"update-last-check\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:37:\"template_preprocess_update_last_check\";i:2;s:21:\"contextual_preprocess\";}}s:13:\"update_report\";a:8:{s:9:\"variables\";a:1:{s:4:\"data\";N;}s:4:\"file\";s:17:\"update.report.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:37:\"core/modules/update/update.report.inc\";i:1;s:37:\"core/modules/update/update.report.inc\";}s:8:\"template\";s:13:\"update-report\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:33:\"template_preprocess_update_report\";i:2;s:21:\"contextual_preprocess\";}}s:21:\"update_project_status\";a:8:{s:9:\"variables\";a:1:{s:7:\"project\";a:0:{}}s:4:\"file\";s:17:\"update.report.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:37:\"core/modules/update/update.report.inc\";i:1;s:37:\"core/modules/update/update.report.inc\";}s:8:\"template\";s:21:\"update-project-status\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:41:\"template_preprocess_update_project_status\";i:2;s:21:\"contextual_preprocess\";}}s:14:\"update_version\";a:8:{s:9:\"variables\";a:3:{s:7:\"version\";N;s:5:\"title\";N;s:10:\"attributes\";a:0:{}}s:4:\"file\";s:17:\"update.report.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:37:\"core/modules/update/update.report.inc\";i:1;s:37:\"core/modules/update/update.report.inc\";}s:8:\"template\";s:14:\"update-version\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:34:\"template_preprocess_update_version\";i:2;s:21:\"contextual_preprocess\";}}s:4:\"user\";a:6:{s:14:\"render element\";s:8:\"elements\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:4:\"user\";s:4:\"path\";s:33:\"core/themes/classy/templates/user\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:24:\"template_preprocess_user\";i:2;s:21:\"contextual_preprocess\";i:3;s:19:\"rdf_preprocess_user\";}}s:8:\"username\";a:6:{s:9:\"variables\";a:3:{s:7:\"account\";N;s:10:\"attributes\";a:0:{}s:12:\"link_options\";a:0:{}}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:8:\"username\";s:4:\"path\";s:33:\"core/themes/classy/templates/user\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:28:\"template_preprocess_username\";i:2;s:21:\"contextual_preprocess\";i:3;s:23:\"rdf_preprocess_username\";}}s:18:\"video_embed_iframe\";a:6:{s:9:\"variables\";a:4:{s:3:\"url\";s:0:\"\";s:5:\"query\";a:0:{}s:10:\"attributes\";a:0:{}s:8:\"fragment\";s:0:\"\";}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:25:\"modules/video_embed_field\";s:8:\"template\";s:18:\"video-embed-iframe\";s:4:\"path\";s:35:\"modules/video_embed_field/templates\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:34:\"video_embed_field_missing_provider\";a:6:{s:9:\"variables\";a:0:{}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:25:\"modules/video_embed_field\";s:8:\"template\";s:34:\"video-embed-field-missing-provider\";s:4:\"path\";s:35:\"modules/video_embed_field/templates\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:28:\"views_ui_display_tab_setting\";a:8:{s:9:\"variables\";a:7:{s:11:\"description\";s:0:\"\";s:4:\"link\";s:0:\"\";s:14:\"settings_links\";a:0:{}s:10:\"overridden\";b:0;s:9:\"defaulted\";b:0;s:21:\"description_separator\";b:1;s:5:\"class\";a:0:{}}s:4:\"file\";s:18:\"views_ui.theme.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:40:\"core/modules/views_ui/views_ui.theme.inc\";i:1;s:40:\"core/modules/views_ui/views_ui.theme.inc\";}s:8:\"template\";s:28:\"views-ui-display-tab-setting\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:48:\"template_preprocess_views_ui_display_tab_setting\";i:2;s:21:\"contextual_preprocess\";}}s:27:\"views_ui_display_tab_bucket\";a:8:{s:14:\"render element\";s:7:\"element\";s:4:\"file\";s:18:\"views_ui.theme.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:40:\"core/modules/views_ui/views_ui.theme.inc\";i:1;s:40:\"core/modules/views_ui/views_ui.theme.inc\";}s:8:\"template\";s:27:\"views-ui-display-tab-bucket\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:47:\"template_preprocess_views_ui_display_tab_bucket\";i:2;s:21:\"contextual_preprocess\";}}s:30:\"views_ui_rearrange_filter_form\";a:8:{s:14:\"render element\";s:4:\"form\";s:4:\"file\";s:18:\"views_ui.theme.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:40:\"core/modules/views_ui/views_ui.theme.inc\";i:1;s:40:\"core/modules/views_ui/views_ui.theme.inc\";}s:8:\"template\";s:30:\"views-ui-rearrange-filter-form\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:50:\"template_preprocess_views_ui_rearrange_filter_form\";i:2;s:21:\"contextual_preprocess\";}}s:27:\"views_ui_expose_filter_form\";a:8:{s:14:\"render element\";s:4:\"form\";s:4:\"file\";s:18:\"views_ui.theme.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:40:\"core/modules/views_ui/views_ui.theme.inc\";i:1;s:40:\"core/modules/views_ui/views_ui.theme.inc\";}s:8:\"template\";s:27:\"views-ui-expose-filter-form\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:18:\"views_ui_view_info\";a:8:{s:9:\"variables\";a:2:{s:4:\"view\";N;s:8:\"displays\";N;}s:4:\"file\";s:18:\"views_ui.theme.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:40:\"core/modules/views_ui/views_ui.theme.inc\";i:1;s:40:\"core/modules/views_ui/views_ui.theme.inc\";}s:8:\"template\";s:18:\"views-ui-view-info\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:28:\"views_ui_views_listing_table\";a:8:{s:9:\"variables\";a:3:{s:7:\"headers\";N;s:4:\"rows\";N;s:10:\"attributes\";a:0:{}}s:4:\"file\";s:18:\"views_ui.theme.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:40:\"core/modules/views_ui/views_ui.theme.inc\";i:1;s:40:\"core/modules/views_ui/views_ui.theme.inc\";}s:8:\"template\";s:28:\"views-ui-views-listing-table\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:48:\"template_preprocess_views_ui_views_listing_table\";i:2;s:21:\"contextual_preprocess\";}}s:27:\"views_ui_view_displays_list\";a:6:{s:9:\"variables\";a:1:{s:8:\"displays\";a:0:{}}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"template\";s:27:\"views-ui-view-displays-list\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:32:\"views_ui_build_group_filter_form\";a:8:{s:14:\"render element\";s:4:\"form\";s:4:\"file\";s:18:\"views_ui.theme.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:40:\"core/modules/views_ui/views_ui.theme.inc\";i:1;s:40:\"core/modules/views_ui/views_ui.theme.inc\";}s:8:\"template\";s:32:\"views-ui-build-group-filter-form\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:52:\"template_preprocess_views_ui_build_group_filter_form\";i:2;s:21:\"contextual_preprocess\";}}s:27:\"views_ui_style_plugin_table\";a:8:{s:14:\"render element\";s:4:\"form\";s:4:\"file\";s:18:\"views_ui.theme.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:40:\"core/modules/views_ui/views_ui.theme.inc\";i:1;s:40:\"core/modules/views_ui/views_ui.theme.inc\";}s:8:\"template\";s:27:\"views-ui-style-plugin-table\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:47:\"template_preprocess_views_ui_style_plugin_table\";i:2;s:21:\"contextual_preprocess\";}}s:29:\"views_ui_view_preview_section\";a:8:{s:9:\"variables\";a:4:{s:4:\"view\";N;s:7:\"section\";N;s:7:\"content\";N;s:5:\"links\";s:0:\"\";}s:4:\"file\";s:18:\"views_ui.theme.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:40:\"core/modules/views_ui/views_ui.theme.inc\";i:1;s:40:\"core/modules/views_ui/views_ui.theme.inc\";}s:8:\"template\";s:29:\"views-ui-view-preview-section\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:49:\"template_preprocess_views_ui_view_preview_section\";i:2;s:21:\"contextual_preprocess\";}}s:18:\"views_ui_container\";a:8:{s:9:\"variables\";a:2:{s:8:\"children\";N;s:10:\"attributes\";a:0:{}}s:4:\"file\";s:18:\"views_ui.theme.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:40:\"core/modules/views_ui/views_ui.theme.inc\";i:1;s:40:\"core/modules/views_ui/views_ui.theme.inc\";}s:8:\"template\";s:18:\"views-ui-container\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:19:\"we_megamenu_backend\";a:6:{s:9:\"variables\";a:7:{s:9:\"menu_name\";N;s:7:\"content\";N;s:7:\"section\";s:5:\"admin\";s:6:\"blocks\";N;s:11:\"block_theme\";N;s:11:\"data_config\";N;s:5:\"trail\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"modules/we_megamenu\";s:8:\"template\";s:19:\"we-megamenu-backend\";s:4:\"path\";s:29:\"modules/we_megamenu/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:39:\"template_preprocess_we_megamenu_backend\";i:2;s:21:\"contextual_preprocess\";}}s:20:\"we_megamenu_frontend\";a:6:{s:9:\"variables\";a:7:{s:9:\"menu_name\";N;s:7:\"content\";N;s:7:\"section\";s:0:\"\";s:6:\"blocks\";N;s:11:\"block_theme\";N;s:11:\"data_config\";N;s:5:\"trail\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"modules/we_megamenu\";s:8:\"template\";s:20:\"we-megamenu-frontend\";s:4:\"path\";s:29:\"modules/we_megamenu/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:40:\"template_preprocess_we_megamenu_frontend\";i:2;s:21:\"contextual_preprocess\";}}s:14:\"we_megamenu_ul\";a:6:{s:9:\"variables\";a:8:{s:9:\"menu_name\";N;s:7:\"content\";N;s:7:\"section\";s:8:\"frontend\";s:5:\"items\";N;s:7:\"subtree\";N;s:11:\"data_config\";N;s:11:\"block_theme\";N;s:5:\"trail\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"modules/we_megamenu\";s:8:\"template\";s:14:\"we-megamenu-ul\";s:4:\"path\";s:29:\"modules/we_megamenu/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:34:\"template_preprocess_we_megamenu_ul\";i:2;s:21:\"contextual_preprocess\";}}s:14:\"we_megamenu_li\";a:6:{s:9:\"variables\";a:10:{s:9:\"menu_name\";N;s:7:\"content\";N;s:7:\"section\";s:8:\"frontend\";s:5:\"title\";N;s:7:\"subtree\";N;s:5:\"items\";N;s:4:\"item\";N;s:11:\"data_config\";N;s:11:\"block_theme\";N;s:5:\"trail\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"modules/we_megamenu\";s:8:\"template\";s:14:\"we-megamenu-li\";s:4:\"path\";s:29:\"modules/we_megamenu/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:34:\"template_preprocess_we_megamenu_li\";i:2;s:21:\"contextual_preprocess\";}}s:19:\"we_megamenu_submenu\";a:6:{s:9:\"variables\";a:10:{s:9:\"menu_name\";N;s:7:\"content\";N;s:7:\"section\";s:8:\"frontend\";s:5:\"title\";N;s:7:\"subtree\";N;s:5:\"items\";N;s:11:\"data_config\";N;s:11:\"item_config\";N;s:11:\"block_theme\";N;s:5:\"trail\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"modules/we_megamenu\";s:8:\"template\";s:19:\"we-megamenu-submenu\";s:4:\"path\";s:29:\"modules/we_megamenu/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:39:\"template_preprocess_we_megamenu_submenu\";i:2;s:21:\"contextual_preprocess\";}}s:17:\"we_megamenu_block\";a:6:{s:9:\"variables\";a:11:{s:9:\"menu_name\";N;s:7:\"content\";N;s:7:\"section\";s:8:\"frontend\";s:5:\"title\";N;s:7:\"subtree\";N;s:5:\"items\";N;s:11:\"data_config\";N;s:11:\"item_config\";N;s:13:\"block_content\";N;s:11:\"block_theme\";N;s:5:\"trail\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"modules/we_megamenu\";s:8:\"template\";s:17:\"we-megamenu-block\";s:4:\"path\";s:29:\"modules/we_megamenu/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:37:\"template_preprocess_we_megamenu_block\";i:2;s:21:\"contextual_preprocess\";}}s:15:\"we_megamenu_row\";a:6:{s:9:\"variables\";a:10:{s:9:\"menu_name\";N;s:7:\"content\";N;s:7:\"section\";s:8:\"frontend\";s:5:\"title\";N;s:7:\"subtree\";N;s:5:\"items\";N;s:11:\"data_config\";N;s:11:\"item_config\";N;s:11:\"block_theme\";N;s:5:\"trail\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"modules/we_megamenu\";s:8:\"template\";s:15:\"we-megamenu-row\";s:4:\"path\";s:29:\"modules/we_megamenu/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:35:\"template_preprocess_we_megamenu_row\";i:2;s:21:\"contextual_preprocess\";}}s:15:\"we_megamenu_col\";a:6:{s:9:\"variables\";a:10:{s:9:\"menu_name\";N;s:7:\"content\";N;s:7:\"section\";s:8:\"frontend\";s:5:\"title\";N;s:7:\"subtree\";N;s:5:\"items\";N;s:11:\"data_config\";N;s:11:\"item_config\";N;s:11:\"block_theme\";N;s:5:\"trail\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"modules/we_megamenu\";s:8:\"template\";s:15:\"we-megamenu-col\";s:4:\"path\";s:29:\"modules/we_megamenu/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:35:\"template_preprocess_we_megamenu_col\";i:2;s:21:\"contextual_preprocess\";}}s:17:\"we_megamenu_subul\";a:6:{s:9:\"variables\";a:9:{s:9:\"menu_name\";N;s:7:\"content\";N;s:7:\"section\";s:8:\"frontend\";s:5:\"items\";N;s:7:\"subtree\";N;s:11:\"data_config\";N;s:11:\"item_config\";N;s:11:\"block_theme\";N;s:5:\"trail\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"modules/we_megamenu\";s:8:\"template\";s:17:\"we-megamenu-subul\";s:4:\"path\";s:29:\"modules/we_megamenu/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:37:\"template_preprocess_we_megamenu_subul\";i:2;s:21:\"contextual_preprocess\";}}s:16:\"views_mini_pager\";a:7:{s:9:\"variables\";a:6:{s:4:\"view\";N;s:7:\"options\";N;s:4:\"tags\";a:0:{}s:8:\"quantity\";i:9;s:7:\"element\";i:0;s:10:\"parameters\";a:0:{}}s:4:\"path\";s:34:\"core/themes/classy/templates/views\";s:8:\"includes\";a:4:{i:0;s:34:\"core/modules/views/views.theme.inc\";i:1;s:34:\"core/modules/views/views.theme.inc\";i:2;s:34:\"core/modules/views/views.theme.inc\";i:3;s:34:\"core/modules/views/views.theme.inc\";}s:8:\"template\";s:16:\"views-mini-pager\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:36:\"template_preprocess_views_mini_pager\";i:2;s:21:\"contextual_preprocess\";}}s:16:\"views_view_field\";a:8:{s:4:\"file\";s:15:\"views.theme.inc\";s:9:\"variables\";a:3:{s:4:\"view\";N;s:5:\"field\";N;s:3:\"row\";N;}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:34:\"core/modules/views/views.theme.inc\";i:1;s:34:\"core/modules/views/views.theme.inc\";}s:8:\"template\";s:16:\"views-view-field\";s:4:\"path\";s:34:\"core/themes/stable/templates/views\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:36:\"template_preprocess_views_view_field\";i:2;s:21:\"contextual_preprocess\";}}s:19:\"views_view_grouping\";a:8:{s:4:\"file\";s:15:\"views.theme.inc\";s:9:\"variables\";a:5:{s:4:\"view\";N;s:8:\"grouping\";N;s:14:\"grouping_level\";N;s:4:\"rows\";N;s:5:\"title\";N;}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"includes\";a:4:{i:0;s:34:\"core/modules/views/views.theme.inc\";i:1;s:34:\"core/modules/views/views.theme.inc\";i:2;s:34:\"core/modules/views/views.theme.inc\";i:3;s:34:\"core/modules/views/views.theme.inc\";}s:8:\"template\";s:19:\"views-view-grouping\";s:4:\"path\";s:34:\"core/themes/classy/templates/views\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:39:\"template_preprocess_views_view_grouping\";i:2;s:21:\"contextual_preprocess\";}}s:10:\"views_view\";a:7:{s:9:\"variables\";a:13:{s:10:\"view_array\";a:0:{}s:4:\"view\";N;s:4:\"rows\";a:0:{}s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:7:\"exposed\";a:0:{}s:4:\"more\";a:0:{}s:10:\"feed_icons\";a:0:{}s:5:\"pager\";a:0:{}s:5:\"title\";s:0:\"\";s:17:\"attachment_before\";a:0:{}s:16:\"attachment_after\";a:0:{}}s:4:\"path\";s:34:\"core/themes/classy/templates/views\";s:8:\"includes\";a:4:{i:0;s:34:\"core/modules/views/views.theme.inc\";i:1;s:34:\"core/modules/views/views.theme.inc\";i:2;s:34:\"core/modules/views/views.theme.inc\";i:3;s:34:\"core/modules/views/views.theme.inc\";}s:8:\"template\";s:10:\"views-view\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:30:\"template_preprocess_views_view\";i:2;s:21:\"contextual_preprocess\";i:3;s:30:\"views_ui_preprocess_views_view\";}}s:17:\"views_view_fields\";a:7:{s:9:\"variables\";a:4:{s:4:\"view\";N;s:7:\"options\";N;s:3:\"row\";N;s:11:\"field_alias\";N;}s:4:\"path\";s:34:\"core/themes/stable/templates/views\";s:8:\"includes\";a:2:{i:0;s:34:\"core/modules/views/views.theme.inc\";i:1;s:34:\"core/modules/views/views.theme.inc\";}s:8:\"template\";s:17:\"views-view-fields\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:37:\"template_preprocess_views_view_fields\";i:2;s:21:\"contextual_preprocess\";}}s:18:\"views_view_row_rss\";a:7:{s:9:\"variables\";a:4:{s:4:\"view\";N;s:7:\"options\";N;s:3:\"row\";N;s:11:\"field_alias\";N;}s:4:\"path\";s:34:\"core/themes/classy/templates/views\";s:8:\"includes\";a:4:{i:0;s:34:\"core/modules/views/views.theme.inc\";i:1;s:34:\"core/modules/views/views.theme.inc\";i:2;s:34:\"core/modules/views/views.theme.inc\";i:3;s:34:\"core/modules/views/views.theme.inc\";}s:8:\"template\";s:18:\"views-view-row-rss\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:38:\"template_preprocess_views_view_row_rss\";i:2;s:21:\"contextual_preprocess\";}}s:19:\"views_view_row_opml\";a:7:{s:9:\"variables\";a:4:{s:4:\"view\";N;s:7:\"options\";N;s:3:\"row\";N;s:11:\"field_alias\";N;}s:4:\"path\";s:34:\"core/themes/classy/templates/views\";s:8:\"includes\";a:4:{i:0;s:34:\"core/modules/views/views.theme.inc\";i:1;s:34:\"core/modules/views/views.theme.inc\";i:2;s:34:\"core/modules/views/views.theme.inc\";i:3;s:34:\"core/modules/views/views.theme.inc\";}s:8:\"template\";s:19:\"views-view-row-opml\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:39:\"template_preprocess_views_view_row_opml\";i:2;s:21:\"contextual_preprocess\";}}s:14:\"views_view_rss\";a:7:{s:9:\"variables\";a:4:{s:4:\"view\";N;s:7:\"options\";N;s:4:\"rows\";N;s:5:\"title\";N;}s:4:\"path\";s:34:\"core/themes/classy/templates/views\";s:8:\"includes\";a:4:{i:0;s:34:\"core/modules/views/views.theme.inc\";i:1;s:34:\"core/modules/views/views.theme.inc\";i:2;s:34:\"core/modules/views/views.theme.inc\";i:3;s:34:\"core/modules/views/views.theme.inc\";}s:8:\"template\";s:14:\"views-view-rss\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:34:\"template_preprocess_views_view_rss\";i:2;s:21:\"contextual_preprocess\";}}s:15:\"views_view_grid\";a:7:{s:9:\"variables\";a:4:{s:4:\"view\";N;s:7:\"options\";N;s:4:\"rows\";N;s:5:\"title\";N;}s:4:\"path\";s:34:\"core/themes/classy/templates/views\";s:8:\"includes\";a:4:{i:0;s:34:\"core/modules/views/views.theme.inc\";i:1;s:34:\"core/modules/views/views.theme.inc\";i:2;s:34:\"core/modules/views/views.theme.inc\";i:3;s:34:\"core/modules/views/views.theme.inc\";}s:8:\"template\";s:15:\"views-view-grid\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:35:\"template_preprocess_views_view_grid\";i:2;s:21:\"contextual_preprocess\";}}s:16:\"views_view_table\";a:7:{s:9:\"variables\";a:4:{s:4:\"view\";N;s:7:\"options\";N;s:4:\"rows\";N;s:5:\"title\";N;}s:4:\"path\";s:34:\"core/themes/classy/templates/views\";s:8:\"includes\";a:4:{i:0;s:34:\"core/modules/views/views.theme.inc\";i:1;s:34:\"core/modules/views/views.theme.inc\";i:2;s:34:\"core/modules/views/views.theme.inc\";i:3;s:34:\"core/modules/views/views.theme.inc\";}s:8:\"template\";s:16:\"views-view-table\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:36:\"template_preprocess_views_view_table\";i:2;s:21:\"contextual_preprocess\";}}s:15:\"views_view_opml\";a:7:{s:9:\"variables\";a:4:{s:4:\"view\";N;s:7:\"options\";N;s:4:\"rows\";N;s:5:\"title\";N;}s:4:\"path\";s:34:\"core/themes/classy/templates/views\";s:8:\"includes\";a:4:{i:0;s:34:\"core/modules/views/views.theme.inc\";i:1;s:34:\"core/modules/views/views.theme.inc\";i:2;s:34:\"core/modules/views/views.theme.inc\";i:3;s:34:\"core/modules/views/views.theme.inc\";}s:8:\"template\";s:15:\"views-view-opml\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:35:\"template_preprocess_views_view_opml\";i:2;s:21:\"contextual_preprocess\";}}s:22:\"views_view_unformatted\";a:7:{s:9:\"variables\";a:4:{s:4:\"view\";N;s:7:\"options\";N;s:4:\"rows\";N;s:5:\"title\";N;}s:4:\"path\";s:34:\"core/themes/classy/templates/views\";s:8:\"includes\";a:4:{i:0;s:34:\"core/modules/views/views.theme.inc\";i:1;s:34:\"core/modules/views/views.theme.inc\";i:2;s:34:\"core/modules/views/views.theme.inc\";i:3;s:34:\"core/modules/views/views.theme.inc\";}s:8:\"template\";s:22:\"views-view-unformatted\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:16:\"themes/luxestate\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:42:\"template_preprocess_views_view_unformatted\";i:2;s:21:\"contextual_preprocess\";i:12;s:43:\"luxestate_preprocess_views_view_unformatted\";}}s:18:\"views_view_summary\";a:7:{s:9:\"variables\";a:4:{s:4:\"view\";N;s:7:\"options\";N;s:4:\"rows\";N;s:5:\"title\";N;}s:4:\"path\";s:34:\"core/themes/classy/templates/views\";s:8:\"includes\";a:4:{i:0;s:34:\"core/modules/views/views.theme.inc\";i:1;s:34:\"core/modules/views/views.theme.inc\";i:2;s:34:\"core/modules/views/views.theme.inc\";i:3;s:34:\"core/modules/views/views.theme.inc\";}s:8:\"template\";s:18:\"views-view-summary\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:38:\"template_preprocess_views_view_summary\";i:2;s:21:\"contextual_preprocess\";}}s:15:\"views_view_list\";a:7:{s:9:\"variables\";a:4:{s:4:\"view\";N;s:7:\"options\";N;s:4:\"rows\";N;s:5:\"title\";N;}s:4:\"path\";s:34:\"core/themes/classy/templates/views\";s:8:\"includes\";a:4:{i:0;s:34:\"core/modules/views/views.theme.inc\";i:1;s:34:\"core/modules/views/views.theme.inc\";i:2;s:34:\"core/modules/views/views.theme.inc\";i:3;s:34:\"core/modules/views/views.theme.inc\";}s:8:\"template\";s:15:\"views-view-list\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:35:\"template_preprocess_views_view_list\";i:2;s:21:\"contextual_preprocess\";}}s:30:\"views_view_summary_unformatted\";a:7:{s:9:\"variables\";a:4:{s:4:\"view\";N;s:7:\"options\";N;s:4:\"rows\";N;s:5:\"title\";N;}s:4:\"path\";s:34:\"core/themes/classy/templates/views\";s:8:\"includes\";a:4:{i:0;s:34:\"core/modules/views/views.theme.inc\";i:1;s:34:\"core/modules/views/views.theme.inc\";i:2;s:34:\"core/modules/views/views.theme.inc\";i:3;s:34:\"core/modules/views/views.theme.inc\";}s:8:\"template\";s:30:\"views-view-summary-unformatted\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:50:\"template_preprocess_views_view_summary_unformatted\";i:2;s:21:\"contextual_preprocess\";}}s:21:\"views_form_views_form\";a:8:{s:4:\"file\";s:15:\"views.theme.inc\";s:14:\"render element\";s:4:\"form\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:18:\"core/modules/views\";s:8:\"includes\";a:1:{i:0;s:34:\"core/modules/views/views.theme.inc\";}s:8:\"template\";s:21:\"views-form-views-form\";s:4:\"path\";s:28:\"core/modules/views/templates\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:18:\"views_exposed_form\";a:8:{s:4:\"file\";s:15:\"views.theme.inc\";s:14:\"render element\";s:4:\"form\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"includes\";a:4:{i:0;s:34:\"core/modules/views/views.theme.inc\";i:1;s:34:\"core/modules/views/views.theme.inc\";i:2;s:34:\"core/modules/views/views.theme.inc\";i:3;s:34:\"core/modules/views/views.theme.inc\";}s:8:\"template\";s:18:\"views-exposed-form\";s:4:\"path\";s:34:\"core/themes/classy/templates/views\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:38:\"template_preprocess_views_exposed_form\";i:2;s:21:\"contextual_preprocess\";}}s:26:\"block__local_actions_block\";a:7:{s:8:\"template\";s:26:\"block--local-actions-block\";s:4:\"path\";s:34:\"core/themes/classy/templates/block\";s:14:\"render element\";s:8:\"elements\";s:9:\"base hook\";s:5:\"block\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:20:\"preprocess functions\";a:14:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_block\";i:2;s:28:\"block_class_preprocess_block\";i:3;s:24:\"comment_preprocess_block\";i:4;s:21:\"contextual_preprocess\";i:5;s:21:\"help_preprocess_block\";i:6;s:25:\"language_preprocess_block\";i:7;s:24:\"menu_ui_preprocess_block\";i:8;s:21:\"node_preprocess_block\";i:9;s:23:\"search_preprocess_block\";i:10;s:25:\"shortcut_preprocess_block\";i:11;s:23:\"system_preprocess_block\";i:12;s:21:\"user_preprocess_block\";i:13;s:26:\"luxestate_preprocess_block\";}}s:24:\"block__local_tasks_block\";a:7:{s:8:\"template\";s:24:\"block--local-tasks-block\";s:4:\"path\";s:34:\"core/themes/classy/templates/block\";s:14:\"render element\";s:8:\"elements\";s:9:\"base hook\";s:5:\"block\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:20:\"preprocess functions\";a:14:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_block\";i:2;s:28:\"block_class_preprocess_block\";i:3;s:24:\"comment_preprocess_block\";i:4;s:21:\"contextual_preprocess\";i:5;s:21:\"help_preprocess_block\";i:6;s:25:\"language_preprocess_block\";i:7;s:24:\"menu_ui_preprocess_block\";i:8;s:21:\"node_preprocess_block\";i:9;s:23:\"search_preprocess_block\";i:10;s:25:\"shortcut_preprocess_block\";i:11;s:23:\"system_preprocess_block\";i:12;s:21:\"user_preprocess_block\";i:13;s:26:\"luxestate_preprocess_block\";}}s:24:\"block__search_form_block\";a:7:{s:8:\"template\";s:24:\"block--search-form-block\";s:4:\"path\";s:34:\"core/themes/classy/templates/block\";s:14:\"render element\";s:8:\"elements\";s:9:\"base hook\";s:5:\"block\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:20:\"preprocess functions\";a:14:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_block\";i:2;s:28:\"block_class_preprocess_block\";i:3;s:24:\"comment_preprocess_block\";i:4;s:21:\"contextual_preprocess\";i:5;s:21:\"help_preprocess_block\";i:6;s:25:\"language_preprocess_block\";i:7;s:24:\"menu_ui_preprocess_block\";i:8;s:21:\"node_preprocess_block\";i:9;s:23:\"search_preprocess_block\";i:10;s:25:\"shortcut_preprocess_block\";i:11;s:23:\"system_preprocess_block\";i:12;s:21:\"user_preprocess_block\";i:13;s:26:\"luxestate_preprocess_block\";}}s:25:\"links__media_library_menu\";a:7:{s:8:\"template\";s:25:\"links--media-library-menu\";s:4:\"path\";s:42:\"core/themes/classy/templates/media-library\";s:9:\"variables\";a:4:{s:5:\"links\";a:0:{}s:10:\"attributes\";a:1:{s:5:\"class\";a:2:{i:0;s:5:\"links\";i:1;s:5:\"links\";}}s:7:\"heading\";a:0:{}s:16:\"set_active_class\";b:0;}s:9:\"base hook\";s:5:\"links\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:20:\"preprocess functions\";a:5:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_links\";i:2;s:21:\"contextual_preprocess\";i:3;s:23:\"stable_preprocess_links\";i:4;s:43:\"classy_preprocess_links__media_library_menu\";}}s:11:\"links__node\";a:7:{s:8:\"template\";s:11:\"links--node\";s:4:\"path\";s:36:\"core/themes/classy/templates/content\";s:9:\"variables\";a:4:{s:5:\"links\";a:0:{}s:10:\"attributes\";a:1:{s:5:\"class\";a:2:{i:0;s:5:\"links\";i:1;s:5:\"links\";}}s:7:\"heading\";a:0:{}s:16:\"set_active_class\";b:0;}s:9:\"base hook\";s:5:\"links\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_links\";i:2;s:21:\"contextual_preprocess\";i:3;s:23:\"stable_preprocess_links\";}}s:25:\"item_list__search_results\";a:7:{s:8:\"template\";s:25:\"item-list--search-results\";s:4:\"path\";s:36:\"core/themes/classy/templates/dataset\";s:9:\"variables\";a:7:{s:5:\"items\";a:0:{}s:5:\"title\";s:0:\"\";s:9:\"list_type\";s:2:\"ul\";s:18:\"wrapper_attributes\";a:0:{}s:10:\"attributes\";a:0:{}s:5:\"empty\";N;s:7:\"context\";a:0:{}}s:9:\"base hook\";s:9:\"item_list\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:29:\"template_preprocess_item_list\";i:2;s:21:\"contextual_preprocess\";}}s:32:\"container__media_library_content\";a:7:{s:8:\"template\";s:32:\"container--media-library-content\";s:4:\"path\";s:42:\"core/themes/classy/templates/media-library\";s:14:\"render element\";s:7:\"element\";s:9:\"base hook\";s:9:\"container\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:29:\"template_preprocess_container\";i:2;s:21:\"contextual_preprocess\";}}s:41:\"container__media_library_widget_selection\";a:7:{s:8:\"template\";s:41:\"container--media-library-widget-selection\";s:4:\"path\";s:42:\"core/themes/classy/templates/media-library\";s:14:\"render element\";s:7:\"element\";s:9:\"base hook\";s:9:\"container\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:29:\"template_preprocess_container\";i:2;s:21:\"contextual_preprocess\";}}s:24:\"field__text_with_summary\";a:7:{s:8:\"template\";s:24:\"field--text-with-summary\";s:4:\"path\";s:34:\"core/themes/classy/templates/field\";s:14:\"render element\";s:7:\"element\";s:9:\"base hook\";s:5:\"field\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:20:\"preprocess functions\";a:5:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_field\";i:2;s:24:\"comment_preprocess_field\";i:3;s:21:\"contextual_preprocess\";i:4;s:26:\"quickedit_preprocess_field\";}}s:11:\"field__text\";a:7:{s:8:\"template\";s:11:\"field--text\";s:4:\"path\";s:34:\"core/themes/classy/templates/field\";s:14:\"render element\";s:7:\"element\";s:9:\"base hook\";s:5:\"field\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:20:\"preprocess functions\";a:5:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_field\";i:2;s:24:\"comment_preprocess_field\";i:3;s:21:\"contextual_preprocess\";i:4;s:26:\"quickedit_preprocess_field\";}}s:16:\"field__text_long\";a:7:{s:8:\"template\";s:16:\"field--text-long\";s:4:\"path\";s:34:\"core/themes/classy/templates/field\";s:14:\"render element\";s:7:\"element\";s:9:\"base hook\";s:5:\"field\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:20:\"preprocess functions\";a:5:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_field\";i:2;s:24:\"comment_preprocess_field\";i:3;s:21:\"contextual_preprocess\";i:4;s:26:\"quickedit_preprocess_field\";}}s:37:\"views_view_unformatted__media_library\";a:8:{s:8:\"template\";s:37:\"views-view-unformatted--media-library\";s:4:\"path\";s:42:\"core/themes/classy/templates/media-library\";s:9:\"variables\";a:4:{s:4:\"view\";N;s:7:\"options\";N;s:4:\"rows\";N;s:5:\"title\";N;}s:9:\"base hook\";s:22:\"views_view_unformatted\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:42:\"template_preprocess_views_view_unformatted\";i:2;s:21:\"contextual_preprocess\";i:3;s:43:\"luxestate_preprocess_views_view_unformatted\";}s:8:\"includes\";a:4:{i:0;s:34:\"core/modules/views/views.theme.inc\";i:1;s:34:\"core/modules/views/views.theme.inc\";i:2;s:34:\"core/modules/views/views.theme.inc\";i:3;s:34:\"core/modules/views/views.theme.inc\";}}s:13:\"node__article\";a:7:{s:8:\"template\";s:13:\"node--article\";s:4:\"path\";s:33:\"themes/luxestate/templates/system\";s:14:\"render element\";s:8:\"elements\";s:9:\"base hook\";s:4:\"node\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:16:\"themes/luxestate\";s:20:\"preprocess functions\";a:7:{i:0;s:19:\"template_preprocess\";i:1;s:24:\"template_preprocess_node\";i:2;s:21:\"contextual_preprocess\";i:3;s:22:\"locale_preprocess_node\";i:4;s:26:\"node_class_preprocess_node\";i:5;s:19:\"rdf_preprocess_node\";i:6;s:21:\"views_preprocess_node\";}}s:8:\"node__30\";a:7:{s:8:\"template\";s:8:\"node--30\";s:4:\"path\";s:33:\"themes/luxestate/templates/system\";s:14:\"render element\";s:8:\"elements\";s:9:\"base hook\";s:4:\"node\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:16:\"themes/luxestate\";s:20:\"preprocess functions\";a:7:{i:0;s:19:\"template_preprocess\";i:1;s:24:\"template_preprocess_node\";i:2;s:21:\"contextual_preprocess\";i:3;s:22:\"locale_preprocess_node\";i:4;s:26:\"node_class_preprocess_node\";i:5;s:19:\"rdf_preprocess_node\";i:6;s:21:\"views_preprocess_node\";}}s:14:\"region__header\";a:7:{s:8:\"template\";s:14:\"region--header\";s:4:\"path\";s:33:\"themes/luxestate/templates/system\";s:14:\"render element\";s:8:\"elements\";s:9:\"base hook\";s:6:\"region\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:16:\"themes/luxestate\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:26:\"template_preprocess_region\";i:2;s:21:\"contextual_preprocess\";}}s:36:\"views_view_unformatted__our_partners\";a:8:{s:8:\"template\";s:36:\"views-view-unformatted--our_partners\";s:4:\"path\";s:31:\"themes/luxestate/templates/view\";s:9:\"variables\";a:4:{s:4:\"view\";N;s:7:\"options\";N;s:4:\"rows\";N;s:5:\"title\";N;}s:9:\"base hook\";s:22:\"views_view_unformatted\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:16:\"themes/luxestate\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:42:\"template_preprocess_views_view_unformatted\";i:2;s:21:\"contextual_preprocess\";i:3;s:43:\"luxestate_preprocess_views_view_unformatted\";}s:8:\"includes\";a:4:{i:0;s:34:\"core/modules/views/views.theme.inc\";i:1;s:34:\"core/modules/views/views.theme.inc\";i:2;s:34:\"core/modules/views/views.theme.inc\";i:3;s:34:\"core/modules/views/views.theme.inc\";}}s:30:\"views_view_unformatted__page_3\";a:8:{s:8:\"template\";s:30:\"views-view-unformatted--page_3\";s:4:\"path\";s:31:\"themes/luxestate/templates/view\";s:9:\"variables\";a:4:{s:4:\"view\";N;s:7:\"options\";N;s:4:\"rows\";N;s:5:\"title\";N;}s:9:\"base hook\";s:22:\"views_view_unformatted\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:16:\"themes/luxestate\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:42:\"template_preprocess_views_view_unformatted\";i:2;s:21:\"contextual_preprocess\";i:3;s:43:\"luxestate_preprocess_views_view_unformatted\";}s:8:\"includes\";a:4:{i:0;s:34:\"core/modules/views/views.theme.inc\";i:1;s:34:\"core/modules/views/views.theme.inc\";i:2;s:34:\"core/modules/views/views.theme.inc\";i:3;s:34:\"core/modules/views/views.theme.inc\";}}s:46:\"views_view_unformatted__why_choose_us__block_2\";a:8:{s:8:\"template\";s:46:\"views-view-unformatted--why_choose_us--block_2\";s:4:\"path\";s:31:\"themes/luxestate/templates/view\";s:9:\"variables\";a:4:{s:4:\"view\";N;s:7:\"options\";N;s:4:\"rows\";N;s:5:\"title\";N;}s:9:\"base hook\";s:22:\"views_view_unformatted\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:16:\"themes/luxestate\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:42:\"template_preprocess_views_view_unformatted\";i:2;s:21:\"contextual_preprocess\";i:3;s:43:\"luxestate_preprocess_views_view_unformatted\";}s:8:\"includes\";a:4:{i:0;s:34:\"core/modules/views/views.theme.inc\";i:1;s:34:\"core/modules/views/views.theme.inc\";i:2;s:34:\"core/modules/views/views.theme.inc\";i:3;s:34:\"core/modules/views/views.theme.inc\";}}s:46:\"views_view_unformatted__why_choose_us__block_1\";a:8:{s:8:\"template\";s:46:\"views-view-unformatted--why_choose_us--block_1\";s:4:\"path\";s:31:\"themes/luxestate/templates/view\";s:9:\"variables\";a:4:{s:4:\"view\";N;s:7:\"options\";N;s:4:\"rows\";N;s:5:\"title\";N;}s:9:\"base hook\";s:22:\"views_view_unformatted\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:16:\"themes/luxestate\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:42:\"template_preprocess_views_view_unformatted\";i:2;s:21:\"contextual_preprocess\";i:3;s:43:\"luxestate_preprocess_views_view_unformatted\";}s:8:\"includes\";a:4:{i:0;s:34:\"core/modules/views/views.theme.inc\";i:1;s:34:\"core/modules/views/views.theme.inc\";i:2;s:34:\"core/modules/views/views.theme.inc\";i:3;s:34:\"core/modules/views/views.theme.inc\";}}}',-1,1636012247.764,1,'theme_registry','5'),('theme_registry:seven','a:177:{s:5:\"block\";a:6:{s:14:\"render element\";s:8:\"elements\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:5:\"block\";s:4:\"path\";s:40:\"core/themes/seven/templates/classy/block\";s:20:\"preprocess functions\";a:14:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_block\";i:2;s:28:\"block_class_preprocess_block\";i:3;s:24:\"comment_preprocess_block\";i:4;s:21:\"contextual_preprocess\";i:5;s:21:\"help_preprocess_block\";i:6;s:25:\"language_preprocess_block\";i:7;s:24:\"menu_ui_preprocess_block\";i:8;s:21:\"node_preprocess_block\";i:9;s:23:\"search_preprocess_block\";i:10;s:25:\"shortcut_preprocess_block\";i:11;s:23:\"system_preprocess_block\";i:12;s:21:\"user_preprocess_block\";i:104;s:22:\"seven_preprocess_block\";}}s:22:\"block_content_add_list\";a:8:{s:9:\"variables\";a:1:{s:7:\"content\";N;}s:4:\"file\";s:23:\"block_content.pages.inc\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"includes\";a:4:{i:0;s:50:\"core/modules/block_content/block_content.pages.inc\";i:1;s:50:\"core/modules/block_content/block_content.pages.inc\";i:2;s:50:\"core/modules/block_content/block_content.pages.inc\";i:3;s:50:\"core/modules/block_content/block_content.pages.inc\";}s:8:\"template\";s:22:\"block-content-add-list\";s:4:\"path\";s:27:\"core/themes/seven/templates\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:42:\"template_preprocess_block_content_add_list\";i:2;s:21:\"contextual_preprocess\";i:12;s:39:\"seven_preprocess_block_content_add_list\";}}s:25:\"ckeditor_settings_toolbar\";a:8:{s:4:\"file\";s:18:\"ckeditor.admin.inc\";s:9:\"variables\";a:2:{s:6:\"editor\";N;s:7:\"plugins\";N;}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:40:\"core/modules/ckeditor/ckeditor.admin.inc\";i:1;s:40:\"core/modules/ckeditor/ckeditor.admin.inc\";}s:8:\"template\";s:25:\"ckeditor-settings-toolbar\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:45:\"template_preprocess_ckeditor_settings_toolbar\";i:2;s:21:\"contextual_preprocess\";}}s:17:\"color_scheme_form\";a:6:{s:14:\"render element\";s:4:\"form\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"template\";s:17:\"color-scheme-form\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:37:\"template_preprocess_color_scheme_form\";i:2;s:21:\"contextual_preprocess\";}}s:18:\"colorbox_formatter\";a:8:{s:9:\"variables\";a:4:{s:4:\"item\";N;s:15:\"item_attributes\";N;s:6:\"entity\";N;s:8:\"settings\";N;}s:4:\"file\";s:18:\"colorbox.theme.inc\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:16:\"modules/colorbox\";s:8:\"includes\";a:1:{i:0;s:35:\"modules/colorbox/colorbox.theme.inc\";}s:8:\"template\";s:18:\"colorbox-formatter\";s:4:\"path\";s:26:\"modules/colorbox/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:38:\"template_preprocess_colorbox_formatter\";i:2;s:21:\"contextual_preprocess\";}}s:7:\"comment\";a:6:{s:14:\"render element\";s:8:\"elements\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:7:\"comment\";s:4:\"path\";s:42:\"core/themes/seven/templates/classy/content\";s:20:\"preprocess functions\";a:5:{i:0;s:19:\"template_preprocess\";i:1;s:27:\"template_preprocess_comment\";i:2;s:21:\"contextual_preprocess\";i:3;s:22:\"rdf_preprocess_comment\";i:4;s:24:\"views_preprocess_comment\";}}s:14:\"field__comment\";a:7:{s:9:\"base hook\";s:5:\"field\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:14:\"field--comment\";s:4:\"path\";s:40:\"core/themes/seven/templates/classy/field\";s:20:\"preprocess functions\";a:5:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_field\";i:2;s:24:\"comment_preprocess_field\";i:3;s:21:\"contextual_preprocess\";i:4;s:26:\"quickedit_preprocess_field\";}s:14:\"render element\";s:7:\"element\";}s:38:\"config_translation_manage_form_element\";a:6:{s:14:\"render element\";s:7:\"element\";s:8:\"template\";s:38:\"config_translation_manage_form_element\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:19:\"ctools_wizard_trail\";a:6:{s:9:\"variables\";a:5:{s:6:\"wizard\";N;s:13:\"cached_values\";a:0:{}s:5:\"trail\";a:0:{}s:7:\"divider\";s:4:\" » \";s:4:\"step\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:14:\"modules/ctools\";s:8:\"template\";s:19:\"ctools-wizard-trail\";s:4:\"path\";s:24:\"modules/ctools/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:39:\"template_preprocess_ctools_wizard_trail\";i:2;s:21:\"contextual_preprocess\";}}s:25:\"ctools_wizard_trail_links\";a:6:{s:9:\"variables\";a:5:{s:6:\"wizard\";N;s:13:\"cached_values\";a:0:{}s:5:\"trail\";a:0:{}s:7:\"divider\";s:4:\" » \";s:4:\"step\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:14:\"modules/ctools\";s:8:\"template\";s:25:\"ctools-wizard-trail-links\";s:4:\"path\";s:24:\"modules/ctools/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:45:\"template_preprocess_ctools_wizard_trail_links\";i:2;s:21:\"contextual_preprocess\";}}s:14:\"field_ui_table\";a:6:{s:9:\"variables\";a:9:{s:6:\"header\";N;s:4:\"rows\";N;s:6:\"footer\";N;s:10:\"attributes\";a:0:{}s:7:\"caption\";N;s:9:\"colgroups\";a:0:{}s:6:\"sticky\";b:0;s:10:\"responsive\";b:1;s:5:\"empty\";s:0:\"\";}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"template\";s:14:\"field-ui-table\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:34:\"template_preprocess_field_ui_table\";i:2;s:21:\"contextual_preprocess\";}}s:9:\"file_link\";a:6:{s:9:\"variables\";a:3:{s:4:\"file\";N;s:11:\"description\";N;s:10:\"attributes\";a:0:{}}s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:9:\"file-link\";s:4:\"path\";s:40:\"core/themes/seven/templates/classy/field\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:29:\"template_preprocess_file_link\";i:2;s:21:\"contextual_preprocess\";}}s:17:\"file_managed_file\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:17:\"file-managed-file\";s:4:\"path\";s:47:\"core/themes/seven/templates/classy/content-edit\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:37:\"template_preprocess_file_managed_file\";i:2;s:21:\"contextual_preprocess\";}}s:10:\"file_audio\";a:6:{s:9:\"variables\";a:2:{s:5:\"files\";a:0:{}s:10:\"attributes\";N;}s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:10:\"file-audio\";s:4:\"path\";s:40:\"core/themes/seven/templates/classy/field\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:10:\"file_video\";a:6:{s:9:\"variables\";a:2:{s:5:\"files\";a:0:{}s:10:\"attributes\";N;}s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:10:\"file-video\";s:4:\"path\";s:40:\"core/themes/seven/templates/classy/field\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:20:\"file_widget_multiple\";a:8:{s:14:\"render element\";s:7:\"element\";s:4:\"file\";s:14:\"file.field.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"includes\";a:4:{i:0;s:32:\"core/modules/file/file.field.inc\";i:1;s:32:\"core/modules/file/file.field.inc\";i:2;s:32:\"core/modules/file/file.field.inc\";i:3;s:32:\"core/modules/file/file.field.inc\";}s:8:\"template\";s:20:\"file-widget-multiple\";s:4:\"path\";s:41:\"core/themes/classy/templates/content-edit\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:40:\"template_preprocess_file_widget_multiple\";i:2;s:21:\"contextual_preprocess\";}}s:16:\"file_upload_help\";a:8:{s:9:\"variables\";a:3:{s:11:\"description\";N;s:17:\"upload_validators\";N;s:11:\"cardinality\";N;}s:4:\"file\";s:14:\"file.field.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"includes\";a:4:{i:0;s:32:\"core/modules/file/file.field.inc\";i:1;s:32:\"core/modules/file/file.field.inc\";i:2;s:32:\"core/modules/file/file.field.inc\";i:3;s:32:\"core/modules/file/file.field.inc\";}s:8:\"template\";s:16:\"file-upload-help\";s:4:\"path\";s:41:\"core/themes/classy/templates/content-edit\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:36:\"template_preprocess_file_upload_help\";i:2;s:21:\"contextual_preprocess\";}}s:11:\"filter_tips\";a:6:{s:9:\"variables\";a:2:{s:4:\"tips\";N;s:4:\"long\";b:0;}s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:11:\"filter-tips\";s:4:\"path\";s:47:\"core/themes/seven/templates/classy/content-edit\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:31:\"template_preprocess_filter_tips\";i:2;s:21:\"contextual_preprocess\";}}s:19:\"text_format_wrapper\";a:6:{s:9:\"variables\";a:3:{s:8:\"children\";N;s:11:\"description\";N;s:10:\"attributes\";a:0:{}}s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:19:\"text-format-wrapper\";s:4:\"path\";s:47:\"core/themes/seven/templates/classy/content-edit\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:39:\"template_preprocess_text_format_wrapper\";i:2;s:21:\"contextual_preprocess\";}}s:17:\"filter_guidelines\";a:6:{s:9:\"variables\";a:1:{s:6:\"format\";N;}s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:17:\"filter-guidelines\";s:4:\"path\";s:47:\"core/themes/seven/templates/classy/content-edit\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:37:\"template_preprocess_filter_guidelines\";i:2;s:21:\"contextual_preprocess\";}}s:14:\"filter_caption\";a:6:{s:9:\"variables\";a:4:{s:4:\"node\";N;s:3:\"tag\";N;s:7:\"caption\";N;s:7:\"classes\";N;}s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:14:\"filter-caption\";s:4:\"path\";s:47:\"core/themes/seven/templates/classy/content-edit\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:12:\"help_section\";a:6:{s:9:\"variables\";a:4:{s:5:\"title\";N;s:11:\"description\";N;s:5:\"links\";N;s:5:\"empty\";N;}s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:12:\"help-section\";s:4:\"path\";s:39:\"core/themes/seven/templates/classy/misc\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:11:\"image_style\";a:6:{s:9:\"variables\";a:7:{s:10:\"style_name\";N;s:3:\"uri\";N;s:5:\"width\";N;s:6:\"height\";N;s:3:\"alt\";s:0:\"\";s:5:\"title\";N;s:10:\"attributes\";a:0:{}}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:11:\"image-style\";s:4:\"path\";s:34:\"core/themes/classy/templates/field\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:31:\"template_preprocess_image_style\";i:2;s:21:\"contextual_preprocess\";}}s:19:\"image_style_preview\";a:8:{s:9:\"variables\";a:1:{s:5:\"style\";N;}s:4:\"file\";s:15:\"image.admin.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:34:\"core/modules/image/image.admin.inc\";i:1;s:34:\"core/modules/image/image.admin.inc\";}s:8:\"template\";s:19:\"image-style-preview\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:39:\"template_preprocess_image_style_preview\";i:2;s:21:\"contextual_preprocess\";}}s:12:\"image_anchor\";a:8:{s:14:\"render element\";s:7:\"element\";s:4:\"file\";s:15:\"image.admin.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:34:\"core/modules/image/image.admin.inc\";i:1;s:34:\"core/modules/image/image.admin.inc\";}s:8:\"template\";s:12:\"image-anchor\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:32:\"template_preprocess_image_anchor\";i:2;s:21:\"contextual_preprocess\";}}s:20:\"image_resize_summary\";a:6:{s:9:\"variables\";a:2:{s:4:\"data\";N;s:6:\"effect\";a:0:{}}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"template\";s:20:\"image-resize-summary\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:19:\"image_scale_summary\";a:6:{s:9:\"variables\";a:2:{s:4:\"data\";N;s:6:\"effect\";a:0:{}}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"template\";s:19:\"image-scale-summary\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:18:\"image_crop_summary\";a:6:{s:9:\"variables\";a:2:{s:4:\"data\";N;s:6:\"effect\";a:0:{}}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"template\";s:18:\"image-crop-summary\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:28:\"image_scale_and_crop_summary\";a:6:{s:9:\"variables\";a:2:{s:4:\"data\";N;s:6:\"effect\";a:0:{}}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"template\";s:28:\"image-scale-and-crop-summary\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:20:\"image_rotate_summary\";a:6:{s:9:\"variables\";a:2:{s:4:\"data\";N;s:6:\"effect\";a:0:{}}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"template\";s:20:\"image-rotate-summary\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:12:\"image_widget\";a:8:{s:14:\"render element\";s:7:\"element\";s:4:\"file\";s:15:\"image.field.inc\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"includes\";a:8:{i:0;s:34:\"core/modules/image/image.field.inc\";i:1;s:34:\"core/modules/image/image.field.inc\";i:2;s:34:\"core/modules/image/image.field.inc\";i:3;s:34:\"core/modules/image/image.field.inc\";i:4;s:34:\"core/modules/image/image.field.inc\";i:5;s:34:\"core/modules/image/image.field.inc\";i:6;s:34:\"core/modules/image/image.field.inc\";i:7;s:34:\"core/modules/image/image.field.inc\";}s:8:\"template\";s:12:\"image-widget\";s:4:\"path\";s:27:\"core/themes/seven/templates\";s:20:\"preprocess functions\";a:5:{i:0;s:19:\"template_preprocess\";i:1;s:32:\"template_preprocess_image_widget\";i:2;s:21:\"contextual_preprocess\";i:6;s:30:\"stable_preprocess_image_widget\";i:16;s:30:\"classy_preprocess_image_widget\";}}s:15:\"image_formatter\";a:8:{s:9:\"variables\";a:4:{s:4:\"item\";N;s:15:\"item_attributes\";N;s:3:\"url\";N;s:11:\"image_style\";N;}s:4:\"file\";s:15:\"image.field.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"includes\";a:4:{i:0;s:34:\"core/modules/image/image.field.inc\";i:1;s:34:\"core/modules/image/image.field.inc\";i:2;s:34:\"core/modules/image/image.field.inc\";i:3;s:34:\"core/modules/image/image.field.inc\";}s:8:\"template\";s:15:\"image-formatter\";s:4:\"path\";s:34:\"core/themes/classy/templates/field\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:35:\"template_preprocess_image_formatter\";i:2;s:21:\"contextual_preprocess\";}}s:35:\"language_negotiation_configure_form\";a:8:{s:14:\"render element\";s:4:\"form\";s:4:\"file\";s:18:\"language.admin.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:40:\"core/modules/language/language.admin.inc\";i:1;s:40:\"core/modules/language/language.admin.inc\";}s:8:\"template\";s:35:\"language-negotiation-configure-form\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:55:\"template_preprocess_language_negotiation_configure_form\";i:2;s:21:\"contextual_preprocess\";}}s:31:\"language_content_settings_table\";a:8:{s:14:\"render element\";s:7:\"element\";s:4:\"file\";s:18:\"language.admin.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:40:\"core/modules/language/language.admin.inc\";i:1;s:40:\"core/modules/language/language.admin.inc\";}s:8:\"template\";s:31:\"language-content-settings-table\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:51:\"template_preprocess_language_content_settings_table\";i:2;s:62:\"content_translation_preprocess_language_content_settings_table\";i:3;s:21:\"contextual_preprocess\";}}s:28:\"link_formatter_link_separate\";a:6:{s:9:\"variables\";a:3:{s:5:\"title\";N;s:9:\"url_title\";N;s:3:\"url\";N;}s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:28:\"link-formatter-link-separate\";s:4:\"path\";s:40:\"core/themes/seven/templates/classy/field\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:48:\"template_preprocess_link_formatter_link_separate\";i:2;s:21:\"contextual_preprocess\";}}s:29:\"locale_translation_last_check\";a:8:{s:9:\"variables\";a:1:{s:4:\"last\";N;}s:4:\"file\";s:16:\"locale.pages.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:36:\"core/modules/locale/locale.pages.inc\";i:1;s:36:\"core/modules/locale/locale.pages.inc\";}s:8:\"template\";s:29:\"locale-translation-last-check\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:49:\"template_preprocess_locale_translation_last_check\";i:2;s:21:\"contextual_preprocess\";}}s:30:\"locale_translation_update_info\";a:8:{s:9:\"variables\";a:2:{s:7:\"updates\";a:0:{}s:9:\"not_found\";a:0:{}}s:4:\"file\";s:16:\"locale.pages.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:36:\"core/modules/locale/locale.pages.inc\";i:1;s:36:\"core/modules/locale/locale.pages.inc\";}s:8:\"template\";s:30:\"locale-translation-update-info\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:50:\"template_preprocess_locale_translation_update_info\";i:2;s:21:\"contextual_preprocess\";}}s:4:\"node\";a:6:{s:14:\"render element\";s:8:\"elements\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:4:\"node\";s:4:\"path\";s:42:\"core/themes/seven/templates/classy/content\";s:20:\"preprocess functions\";a:7:{i:0;s:19:\"template_preprocess\";i:1;s:24:\"template_preprocess_node\";i:2;s:21:\"contextual_preprocess\";i:3;s:22:\"locale_preprocess_node\";i:4;s:26:\"node_class_preprocess_node\";i:5;s:19:\"rdf_preprocess_node\";i:6;s:21:\"views_preprocess_node\";}}s:13:\"node_add_list\";a:6:{s:9:\"variables\";a:1:{s:7:\"content\";N;}s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:13:\"node-add-list\";s:4:\"path\";s:27:\"core/themes/seven/templates\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:33:\"template_preprocess_node_add_list\";i:2;s:21:\"contextual_preprocess\";i:24;s:30:\"seven_preprocess_node_add_list\";}}s:14:\"node_edit_form\";a:6:{s:14:\"render element\";s:4:\"form\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:14:\"node-edit-form\";s:4:\"path\";s:27:\"core/themes/seven/templates\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:18:\"field__node__title\";a:7:{s:9:\"base hook\";s:5:\"field\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:18:\"field--node--title\";s:4:\"path\";s:40:\"core/themes/seven/templates/classy/field\";s:20:\"preprocess functions\";a:5:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_field\";i:2;s:24:\"comment_preprocess_field\";i:3;s:21:\"contextual_preprocess\";i:4;s:26:\"quickedit_preprocess_field\";}s:14:\"render element\";s:7:\"element\";}s:16:\"field__node__uid\";a:7:{s:9:\"base hook\";s:5:\"field\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:16:\"field--node--uid\";s:4:\"path\";s:40:\"core/themes/seven/templates/classy/field\";s:20:\"preprocess functions\";a:6:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_field\";i:2;s:24:\"comment_preprocess_field\";i:3;s:21:\"contextual_preprocess\";i:4;s:26:\"quickedit_preprocess_field\";i:40;s:31:\"rdf_preprocess_field__node__uid\";}s:14:\"render element\";s:7:\"element\";}s:20:\"field__node__created\";a:7:{s:9:\"base hook\";s:5:\"field\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:20:\"field--node--created\";s:4:\"path\";s:40:\"core/themes/seven/templates/classy/field\";s:20:\"preprocess functions\";a:5:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_field\";i:2;s:24:\"comment_preprocess_field\";i:3;s:21:\"contextual_preprocess\";i:4;s:26:\"quickedit_preprocess_field\";}s:14:\"render element\";s:7:\"element\";}s:11:\"rdf_wrapper\";a:6:{s:9:\"variables\";a:2:{s:10:\"attributes\";a:0:{}s:7:\"content\";N;}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"template\";s:11:\"rdf-wrapper\";s:4:\"path\";s:33:\"core/themes/stable/templates/misc\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:12:\"rdf_metadata\";a:6:{s:9:\"variables\";a:1:{s:8:\"metadata\";a:0:{}}s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:12:\"rdf-metadata\";s:4:\"path\";s:39:\"core/themes/seven/templates/classy/misc\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:32:\"template_preprocess_rdf_metadata\";i:2;s:21:\"contextual_preprocess\";}}s:16:\"responsive_image\";a:6:{s:9:\"variables\";a:5:{s:3:\"uri\";N;s:10:\"attributes\";a:0:{}s:25:\"responsive_image_style_id\";a:0:{}s:6:\"height\";N;s:5:\"width\";N;}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"template\";s:16:\"responsive-image\";s:4:\"path\";s:34:\"core/themes/stable/templates/field\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:36:\"template_preprocess_responsive_image\";i:2;s:21:\"contextual_preprocess\";}}s:26:\"responsive_image_formatter\";a:6:{s:9:\"variables\";a:4:{s:4:\"item\";N;s:15:\"item_attributes\";N;s:3:\"url\";N;s:25:\"responsive_image_style_id\";N;}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"template\";s:26:\"responsive-image-formatter\";s:4:\"path\";s:34:\"core/themes/stable/templates/field\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:46:\"template_preprocess_responsive_image_formatter\";i:2;s:21:\"contextual_preprocess\";}}s:13:\"search_result\";a:8:{s:9:\"variables\";a:2:{s:6:\"result\";N;s:9:\"plugin_id\";N;}s:4:\"file\";s:16:\"search.pages.inc\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"includes\";a:8:{i:0;s:36:\"core/modules/search/search.pages.inc\";i:1;s:36:\"core/modules/search/search.pages.inc\";i:2;s:36:\"core/modules/search/search.pages.inc\";i:3;s:36:\"core/modules/search/search.pages.inc\";i:4;s:36:\"core/modules/search/search.pages.inc\";i:5;s:36:\"core/modules/search/search.pages.inc\";i:6;s:36:\"core/modules/search/search.pages.inc\";i:7;s:36:\"core/modules/search/search.pages.inc\";}s:8:\"template\";s:13:\"search-result\";s:4:\"path\";s:42:\"core/themes/seven/templates/classy/content\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:33:\"template_preprocess_search_result\";i:2;s:21:\"contextual_preprocess\";}}s:15:\"sharethis_block\";a:6:{s:9:\"variables\";a:1:{s:7:\"content\";a:1:{s:8:\"st_spans\";N;}}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:17:\"modules/sharethis\";s:8:\"template\";s:15:\"sharethis-block\";s:4:\"path\";s:27:\"modules/sharethis/templates\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:26:\"simplenews_newsletter_body\";a:6:{s:14:\"render element\";s:8:\"elements\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:18:\"modules/simplenews\";s:8:\"template\";s:26:\"simplenews-newsletter-body\";s:4:\"path\";s:28:\"modules/simplenews/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:46:\"template_preprocess_simplenews_newsletter_body\";i:2;s:21:\"contextual_preprocess\";}}s:4:\"html\";a:6:{s:14:\"render element\";s:4:\"html\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:4:\"html\";s:4:\"path\";s:41:\"core/themes/seven/templates/classy/layout\";s:20:\"preprocess functions\";a:9:{i:0;s:19:\"template_preprocess\";i:1;s:24:\"template_preprocess_html\";i:2;s:35:\"admin_toolbar_tools_preprocess_html\";i:3;s:21:\"contextual_preprocess\";i:4;s:20:\"node_preprocess_html\";i:5;s:19:\"rdf_preprocess_html\";i:6;s:23:\"toolbar_preprocess_html\";i:7;s:27:\"we_megamenu_preprocess_html\";i:64;s:21:\"seven_preprocess_html\";}}s:4:\"page\";a:6:{s:14:\"render element\";s:4:\"page\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:4:\"page\";s:4:\"path\";s:27:\"core/themes/seven/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:24:\"template_preprocess_page\";i:2;s:21:\"contextual_preprocess\";}}s:10:\"page_title\";a:6:{s:9:\"variables\";a:1:{s:5:\"title\";N;}s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:10:\"page-title\";s:4:\"path\";s:42:\"core/themes/seven/templates/classy/content\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";i:2;s:31:\"quickedit_preprocess_page_title\";i:3;s:30:\"shortcut_preprocess_page_title\";}}s:6:\"region\";a:6:{s:14:\"render element\";s:8:\"elements\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:6:\"region\";s:4:\"path\";s:41:\"core/themes/seven/templates/classy/layout\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:26:\"template_preprocess_region\";i:2;s:21:\"contextual_preprocess\";}}s:4:\"time\";a:6:{s:9:\"variables\";a:3:{s:9:\"timestamp\";N;s:4:\"text\";N;s:10:\"attributes\";a:0:{}}s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:4:\"time\";s:4:\"path\";s:40:\"core/themes/seven/templates/classy/field\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:24:\"template_preprocess_time\";i:2;s:21:\"contextual_preprocess\";}}s:13:\"datetime_form\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:13:\"datetime-form\";s:4:\"path\";s:39:\"core/themes/seven/templates/classy/form\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:33:\"template_preprocess_datetime_form\";i:2;s:21:\"contextual_preprocess\";}}s:16:\"datetime_wrapper\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:16:\"datetime-wrapper\";s:4:\"path\";s:39:\"core/themes/seven/templates/classy/form\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:36:\"template_preprocess_datetime_wrapper\";i:2;s:21:\"contextual_preprocess\";}}s:15:\"status_messages\";a:6:{s:9:\"variables\";a:2:{s:15:\"status_headings\";a:0:{}s:12:\"message_list\";N;}s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:15:\"status-messages\";s:4:\"path\";s:39:\"core/themes/seven/templates/classy/misc\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:5:\"links\";a:6:{s:9:\"variables\";a:4:{s:5:\"links\";a:0:{}s:10:\"attributes\";a:1:{s:5:\"class\";a:4:{i:0;s:5:\"links\";i:1;s:5:\"links\";i:2;s:5:\"links\";i:3;s:5:\"links\";}}s:7:\"heading\";a:0:{}s:16:\"set_active_class\";b:0;}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:5:\"links\";s:4:\"path\";s:39:\"core/themes/classy/templates/navigation\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_links\";i:2;s:21:\"contextual_preprocess\";i:6;s:23:\"stable_preprocess_links\";}}s:18:\"dropbutton_wrapper\";a:6:{s:9:\"variables\";a:1:{s:8:\"children\";N;}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:18:\"dropbutton-wrapper\";s:4:\"path\";s:33:\"core/themes/classy/templates/form\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:5:\"image\";a:6:{s:9:\"variables\";a:9:{s:3:\"uri\";N;s:5:\"width\";N;s:6:\"height\";N;s:3:\"alt\";s:0:\"\";s:5:\"title\";N;s:10:\"attributes\";a:0:{}s:5:\"sizes\";N;s:6:\"srcset\";a:0:{}s:10:\"style_name\";N;}s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:5:\"image\";s:4:\"path\";s:40:\"core/themes/seven/templates/classy/field\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_image\";i:2;s:21:\"contextual_preprocess\";i:3;s:20:\"rdf_preprocess_image\";}}s:10:\"breadcrumb\";a:6:{s:9:\"variables\";a:1:{s:5:\"links\";a:0:{}}s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:10:\"breadcrumb\";s:4:\"path\";s:45:\"core/themes/seven/templates/classy/navigation\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:30:\"template_preprocess_breadcrumb\";i:2;s:21:\"contextual_preprocess\";}}s:5:\"table\";a:6:{s:9:\"variables\";a:9:{s:6:\"header\";N;s:4:\"rows\";N;s:6:\"footer\";N;s:10:\"attributes\";a:0:{}s:7:\"caption\";N;s:9:\"colgroups\";a:0:{}s:6:\"sticky\";b:0;s:10:\"responsive\";b:1;s:5:\"empty\";s:0:\"\";}s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:5:\"table\";s:4:\"path\";s:42:\"core/themes/seven/templates/classy/dataset\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_table\";i:2;s:21:\"contextual_preprocess\";}}s:19:\"tablesort_indicator\";a:6:{s:9:\"variables\";a:1:{s:5:\"style\";N;}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"template\";s:19:\"tablesort-indicator\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:4:\"mark\";a:6:{s:9:\"variables\";a:1:{s:6:\"status\";i:1;}s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:4:\"mark\";s:4:\"path\";s:42:\"core/themes/seven/templates/classy/content\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:9:\"item_list\";a:6:{s:9:\"variables\";a:7:{s:5:\"items\";a:0:{}s:5:\"title\";s:0:\"\";s:9:\"list_type\";s:2:\"ul\";s:18:\"wrapper_attributes\";a:0:{}s:10:\"attributes\";a:0:{}s:5:\"empty\";N;s:7:\"context\";a:0:{}}s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:9:\"item-list\";s:4:\"path\";s:42:\"core/themes/seven/templates/classy/dataset\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:29:\"template_preprocess_item_list\";i:2;s:21:\"contextual_preprocess\";}}s:9:\"feed_icon\";a:6:{s:9:\"variables\";a:2:{s:3:\"url\";N;s:5:\"title\";N;}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"template\";s:9:\"feed-icon\";s:4:\"path\";s:33:\"core/themes/stable/templates/misc\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:12:\"progress_bar\";a:6:{s:9:\"variables\";a:3:{s:5:\"label\";N;s:7:\"percent\";N;s:7:\"message\";N;}s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:12:\"progress-bar\";s:4:\"path\";s:39:\"core/themes/seven/templates/classy/misc\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:11:\"indentation\";a:6:{s:9:\"variables\";a:1:{s:4:\"size\";i:1;}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"template\";s:11:\"indentation\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:16:\"maintenance_page\";a:6:{s:14:\"render element\";s:4:\"page\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:16:\"maintenance-page\";s:4:\"path\";s:27:\"core/themes/seven/templates\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:36:\"template_preprocess_maintenance_page\";i:2;s:21:\"contextual_preprocess\";i:24;s:33:\"seven_preprocess_maintenance_page\";}}s:12:\"install_page\";a:6:{s:14:\"render element\";s:4:\"page\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:12:\"install-page\";s:4:\"path\";s:27:\"core/themes/seven/templates\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:32:\"template_preprocess_install_page\";i:2;s:21:\"contextual_preprocess\";i:12;s:29:\"seven_preprocess_install_page\";}}s:21:\"maintenance_task_list\";a:6:{s:9:\"variables\";a:3:{s:5:\"items\";N;s:6:\"active\";N;s:7:\"variant\";N;}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"template\";s:21:\"maintenance-task-list\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:41:\"template_preprocess_maintenance_task_list\";i:2;s:21:\"contextual_preprocess\";}}s:16:\"authorize_report\";a:7:{s:9:\"variables\";a:2:{s:8:\"messages\";a:0:{}s:10:\"attributes\";a:0:{}}s:8:\"includes\";a:2:{i:0;s:35:\"core/includes/theme.maintenance.inc\";i:1;s:35:\"core/includes/theme.maintenance.inc\";}s:8:\"template\";s:16:\"authorize-report\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:36:\"template_preprocess_authorize_report\";i:2;s:21:\"contextual_preprocess\";}}s:5:\"pager\";a:6:{s:14:\"render element\";s:5:\"pager\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:5:\"pager\";s:4:\"path\";s:39:\"core/themes/classy/templates/navigation\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_pager\";i:2;s:21:\"contextual_preprocess\";}}s:4:\"menu\";a:6:{s:9:\"variables\";a:3:{s:9:\"menu_name\";N;s:5:\"items\";a:0:{}s:10:\"attributes\";a:0:{}}s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:4:\"menu\";s:4:\"path\";s:45:\"core/themes/seven/templates/classy/navigation\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";i:2;s:36:\"menu_link_attributes_preprocess_menu\";}}s:15:\"menu_local_task\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:15:\"menu-local-task\";s:4:\"path\";s:45:\"core/themes/seven/templates/classy/navigation\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:35:\"template_preprocess_menu_local_task\";i:2;s:21:\"contextual_preprocess\";i:24;s:32:\"seven_preprocess_menu_local_task\";}}s:17:\"menu_local_action\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:17:\"menu-local-action\";s:4:\"path\";s:39:\"core/themes/classy/templates/navigation\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:37:\"template_preprocess_menu_local_action\";i:2;s:21:\"contextual_preprocess\";i:12;s:34:\"seven_preprocess_menu_local_action\";}}s:16:\"menu_local_tasks\";a:6:{s:9:\"variables\";a:2:{s:7:\"primary\";a:0:{}s:9:\"secondary\";a:0:{}}s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:16:\"menu-local-tasks\";s:4:\"path\";s:27:\"core/themes/seven/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";i:16;s:33:\"seven_preprocess_menu_local_tasks\";}}s:5:\"input\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:5:\"input\";s:4:\"path\";s:33:\"core/themes/classy/templates/form\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_input\";i:2;s:21:\"contextual_preprocess\";}}s:6:\"select\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:6:\"select\";s:4:\"path\";s:33:\"core/themes/classy/templates/form\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:26:\"template_preprocess_select\";i:2;s:21:\"contextual_preprocess\";}}s:8:\"fieldset\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:8:\"fieldset\";s:4:\"path\";s:39:\"core/themes/seven/templates/classy/form\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:28:\"template_preprocess_fieldset\";i:2;s:21:\"contextual_preprocess\";}}s:7:\"details\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:7:\"details\";s:4:\"path\";s:27:\"core/themes/seven/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:27:\"template_preprocess_details\";i:2;s:21:\"contextual_preprocess\";}}s:6:\"radios\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:6:\"radios\";s:4:\"path\";s:39:\"core/themes/seven/templates/classy/form\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:26:\"template_preprocess_radios\";i:2;s:21:\"contextual_preprocess\";}}s:10:\"checkboxes\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:10:\"checkboxes\";s:4:\"path\";s:33:\"core/themes/classy/templates/form\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:30:\"template_preprocess_checkboxes\";i:2;s:21:\"contextual_preprocess\";}}s:4:\"form\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:4:\"form\";s:4:\"path\";s:33:\"core/themes/classy/templates/form\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:24:\"template_preprocess_form\";i:2;s:21:\"contextual_preprocess\";}}s:8:\"textarea\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:8:\"textarea\";s:4:\"path\";s:39:\"core/themes/seven/templates/classy/form\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:28:\"template_preprocess_textarea\";i:2;s:21:\"contextual_preprocess\";}}s:12:\"form_element\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:12:\"form-element\";s:4:\"path\";s:39:\"core/themes/seven/templates/classy/form\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:32:\"template_preprocess_form_element\";i:2;s:21:\"contextual_preprocess\";}}s:18:\"form_element_label\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:18:\"form-element-label\";s:4:\"path\";s:39:\"core/themes/seven/templates/classy/form\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:38:\"template_preprocess_form_element_label\";i:2;s:21:\"contextual_preprocess\";}}s:13:\"vertical_tabs\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:13:\"vertical-tabs\";s:4:\"path\";s:39:\"core/themes/classy/templates/navigation\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:33:\"template_preprocess_vertical_tabs\";i:2;s:21:\"contextual_preprocess\";}}s:9:\"container\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:9:\"container\";s:4:\"path\";s:33:\"core/themes/classy/templates/form\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:29:\"template_preprocess_container\";i:2;s:21:\"contextual_preprocess\";}}s:5:\"field\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:5:\"field\";s:4:\"path\";s:40:\"core/themes/seven/templates/classy/field\";s:20:\"preprocess functions\";a:5:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_field\";i:2;s:24:\"comment_preprocess_field\";i:3;s:21:\"contextual_preprocess\";i:4;s:26:\"quickedit_preprocess_field\";}}s:25:\"field_multiple_value_form\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:25:\"field-multiple-value-form\";s:4:\"path\";s:33:\"core/themes/classy/templates/form\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:45:\"template_preprocess_field_multiple_value_form\";i:2;s:21:\"contextual_preprocess\";}}s:28:\"block__system_branding_block\";a:7:{s:14:\"render element\";s:8:\"elements\";s:9:\"base hook\";s:5:\"block\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:28:\"block--system-branding-block\";s:4:\"path\";s:40:\"core/themes/seven/templates/classy/block\";s:20:\"preprocess functions\";a:14:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_block\";i:2;s:28:\"block_class_preprocess_block\";i:3;s:24:\"comment_preprocess_block\";i:4;s:21:\"contextual_preprocess\";i:5;s:21:\"help_preprocess_block\";i:6;s:25:\"language_preprocess_block\";i:7;s:24:\"menu_ui_preprocess_block\";i:8;s:21:\"node_preprocess_block\";i:9;s:23:\"search_preprocess_block\";i:10;s:25:\"shortcut_preprocess_block\";i:11;s:23:\"system_preprocess_block\";i:12;s:21:\"user_preprocess_block\";i:13;s:22:\"seven_preprocess_block\";}}s:28:\"block__system_messages_block\";a:7:{s:9:\"base hook\";s:5:\"block\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"template\";s:28:\"block--system-messages-block\";s:4:\"path\";s:34:\"core/themes/stable/templates/block\";s:20:\"preprocess functions\";a:14:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_block\";i:2;s:28:\"block_class_preprocess_block\";i:3;s:24:\"comment_preprocess_block\";i:4;s:21:\"contextual_preprocess\";i:5;s:21:\"help_preprocess_block\";i:6;s:25:\"language_preprocess_block\";i:7;s:24:\"menu_ui_preprocess_block\";i:8;s:21:\"node_preprocess_block\";i:9;s:23:\"search_preprocess_block\";i:10;s:25:\"shortcut_preprocess_block\";i:11;s:23:\"system_preprocess_block\";i:12;s:21:\"user_preprocess_block\";i:13;s:22:\"seven_preprocess_block\";}s:14:\"render element\";s:8:\"elements\";}s:24:\"block__system_menu_block\";a:7:{s:14:\"render element\";s:8:\"elements\";s:9:\"base hook\";s:5:\"block\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:24:\"block--system-menu-block\";s:4:\"path\";s:40:\"core/themes/seven/templates/classy/block\";s:20:\"preprocess functions\";a:14:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_block\";i:2;s:28:\"block_class_preprocess_block\";i:3;s:24:\"comment_preprocess_block\";i:4;s:21:\"contextual_preprocess\";i:5;s:21:\"help_preprocess_block\";i:6;s:25:\"language_preprocess_block\";i:7;s:24:\"menu_ui_preprocess_block\";i:8;s:21:\"node_preprocess_block\";i:9;s:23:\"search_preprocess_block\";i:10;s:25:\"shortcut_preprocess_block\";i:11;s:23:\"system_preprocess_block\";i:12;s:21:\"user_preprocess_block\";i:13;s:22:\"seven_preprocess_block\";}}s:18:\"system_themes_page\";a:8:{s:9:\"variables\";a:2:{s:12:\"theme_groups\";a:0:{}s:18:\"theme_group_titles\";a:0:{}}s:4:\"file\";s:16:\"system.admin.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:36:\"core/modules/system/system.admin.inc\";i:1;s:36:\"core/modules/system/system.admin.inc\";}s:8:\"template\";s:18:\"system-themes-page\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:38:\"template_preprocess_system_themes_page\";i:2;s:21:\"contextual_preprocess\";}}s:18:\"system_config_form\";a:6:{s:14:\"render element\";s:4:\"form\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"template\";s:18:\"system-config-form\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:12:\"confirm_form\";a:6:{s:14:\"render element\";s:4:\"form\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:8:\"template\";s:12:\"confirm-form\";s:4:\"path\";s:33:\"core/themes/classy/templates/form\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:22:\"system_modules_details\";a:8:{s:14:\"render element\";s:4:\"form\";s:4:\"file\";s:16:\"system.admin.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:36:\"core/modules/system/system.admin.inc\";i:1;s:36:\"core/modules/system/system.admin.inc\";}s:8:\"template\";s:22:\"system-modules-details\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:42:\"template_preprocess_system_modules_details\";i:2;s:21:\"contextual_preprocess\";}}s:24:\"system_modules_uninstall\";a:8:{s:14:\"render element\";s:4:\"form\";s:4:\"file\";s:16:\"system.admin.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:36:\"core/modules/system/system.admin.inc\";i:1;s:36:\"core/modules/system/system.admin.inc\";}s:8:\"template\";s:24:\"system-modules-uninstall\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:44:\"template_preprocess_system_modules_uninstall\";i:2;s:21:\"contextual_preprocess\";}}s:18:\"status_report_page\";a:6:{s:9:\"variables\";a:3:{s:8:\"counters\";a:0:{}s:12:\"general_info\";a:0:{}s:12:\"requirements\";N;}s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:18:\"status-report-page\";s:4:\"path\";s:27:\"core/themes/seven/templates\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:13:\"status_report\";a:6:{s:9:\"variables\";a:2:{s:20:\"grouped_requirements\";N;s:12:\"requirements\";N;}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"template\";s:13:\"status-report\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:21:\"status_report_grouped\";a:6:{s:9:\"variables\";a:2:{s:20:\"grouped_requirements\";N;s:12:\"requirements\";N;}s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:21:\"status-report-grouped\";s:4:\"path\";s:27:\"core/themes/seven/templates\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:21:\"status_report_counter\";a:6:{s:9:\"variables\";a:3:{s:6:\"amount\";N;s:4:\"text\";N;s:8:\"severity\";N;}s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:21:\"status-report-counter\";s:4:\"path\";s:27:\"core/themes/seven/templates\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:26:\"status_report_general_info\";a:6:{s:9:\"variables\";a:7:{s:6:\"drupal\";a:0:{}s:4:\"cron\";a:0:{}s:15:\"database_system\";a:0:{}s:23:\"database_system_version\";a:0:{}s:3:\"php\";a:0:{}s:16:\"php_memory_limit\";a:0:{}s:9:\"webserver\";a:0:{}}s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:26:\"status-report-general-info\";s:4:\"path\";s:27:\"core/themes/seven/templates\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:10:\"admin_page\";a:8:{s:9:\"variables\";a:1:{s:6:\"blocks\";N;}s:4:\"file\";s:16:\"system.admin.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:36:\"core/modules/system/system.admin.inc\";i:1;s:36:\"core/modules/system/system.admin.inc\";}s:8:\"template\";s:10:\"admin-page\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:30:\"template_preprocess_admin_page\";i:2;s:21:\"contextual_preprocess\";}}s:11:\"admin_block\";a:8:{s:9:\"variables\";a:2:{s:5:\"block\";N;s:10:\"attributes\";a:0:{}}s:4:\"file\";s:16:\"system.admin.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:36:\"core/modules/system/system.admin.inc\";i:1;s:36:\"core/modules/system/system.admin.inc\";}s:8:\"template\";s:11:\"admin-block\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:19:\"admin_block_content\";a:8:{s:9:\"variables\";a:1:{s:7:\"content\";N;}s:4:\"file\";s:16:\"system.admin.inc\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"includes\";a:4:{i:0;s:36:\"core/modules/system/system.admin.inc\";i:1;s:36:\"core/modules/system/system.admin.inc\";i:2;s:36:\"core/modules/system/system.admin.inc\";i:3;s:36:\"core/modules/system/system.admin.inc\";}s:8:\"template\";s:19:\"admin-block-content\";s:4:\"path\";s:27:\"core/themes/seven/templates\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:39:\"template_preprocess_admin_block_content\";i:2;s:21:\"contextual_preprocess\";i:12;s:36:\"seven_preprocess_admin_block_content\";}}s:18:\"system_admin_index\";a:8:{s:9:\"variables\";a:1:{s:10:\"menu_items\";N;}s:4:\"file\";s:16:\"system.admin.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:36:\"core/modules/system/system.admin.inc\";i:1;s:36:\"core/modules/system/system.admin.inc\";}s:8:\"template\";s:18:\"system-admin-index\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:38:\"template_preprocess_system_admin_index\";i:2;s:21:\"contextual_preprocess\";}}s:15:\"entity_add_list\";a:6:{s:9:\"variables\";a:2:{s:7:\"bundles\";a:0:{}s:18:\"add_bundle_message\";N;}s:8:\"template\";s:15:\"entity-add-list\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:4:\"path\";s:27:\"core/themes/seven/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:35:\"template_preprocess_entity_add_list\";i:2;s:21:\"contextual_preprocess\";}}s:23:\"off_canvas_page_wrapper\";a:6:{s:9:\"variables\";a:1:{s:8:\"children\";N;}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"template\";s:23:\"off-canvas-page-wrapper\";s:4:\"path\";s:36:\"core/themes/stable/templates/content\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:13:\"taxonomy_term\";a:6:{s:14:\"render element\";s:8:\"elements\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:13:\"taxonomy-term\";s:4:\"path\";s:42:\"core/themes/seven/templates/classy/content\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:33:\"template_preprocess_taxonomy_term\";i:2;s:21:\"contextual_preprocess\";i:3;s:28:\"rdf_preprocess_taxonomy_term\";}}s:15:\"token_tree_link\";a:8:{s:9:\"variables\";a:8:{s:11:\"token_types\";a:0:{}s:12:\"global_types\";b:1;s:12:\"click_insert\";b:1;s:15:\"show_restricted\";b:0;s:11:\"show_nested\";b:0;s:15:\"recursion_limit\";i:3;s:4:\"text\";N;s:7:\"options\";a:0:{}}s:4:\"file\";s:15:\"token.pages.inc\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:13:\"modules/token\";s:8:\"includes\";a:1:{i:0;s:29:\"modules/token/token.pages.inc\";}s:8:\"template\";s:15:\"token-tree-link\";s:4:\"path\";s:23:\"modules/token/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:35:\"template_preprocess_token_tree_link\";i:2;s:21:\"contextual_preprocess\";}}s:7:\"toolbar\";a:6:{s:14:\"render element\";s:7:\"element\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:7:\"toolbar\";s:4:\"path\";s:45:\"core/themes/seven/templates/classy/navigation\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:27:\"template_preprocess_toolbar\";i:2;s:21:\"contextual_preprocess\";}}s:13:\"menu__toolbar\";a:7:{s:9:\"base hook\";s:4:\"menu\";s:9:\"variables\";a:3:{s:5:\"items\";a:0:{}s:10:\"attributes\";a:0:{}s:9:\"menu_name\";N;}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"template\";s:13:\"menu--toolbar\";s:4:\"path\";s:39:\"core/themes/stable/templates/navigation\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";i:2;s:36:\"menu_link_attributes_preprocess_menu\";}}s:17:\"update_last_check\";a:6:{s:9:\"variables\";a:1:{s:4:\"last\";i:0;}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"template\";s:17:\"update-last-check\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:37:\"template_preprocess_update_last_check\";i:2;s:21:\"contextual_preprocess\";}}s:13:\"update_report\";a:8:{s:9:\"variables\";a:1:{s:4:\"data\";N;}s:4:\"file\";s:17:\"update.report.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:37:\"core/modules/update/update.report.inc\";i:1;s:37:\"core/modules/update/update.report.inc\";}s:8:\"template\";s:13:\"update-report\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:33:\"template_preprocess_update_report\";i:2;s:21:\"contextual_preprocess\";}}s:21:\"update_project_status\";a:8:{s:9:\"variables\";a:1:{s:7:\"project\";a:0:{}}s:4:\"file\";s:17:\"update.report.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:37:\"core/modules/update/update.report.inc\";i:1;s:37:\"core/modules/update/update.report.inc\";}s:8:\"template\";s:21:\"update-project-status\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:41:\"template_preprocess_update_project_status\";i:2;s:21:\"contextual_preprocess\";}}s:14:\"update_version\";a:8:{s:9:\"variables\";a:3:{s:7:\"version\";N;s:5:\"title\";N;s:10:\"attributes\";a:0:{}}s:4:\"file\";s:17:\"update.report.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"includes\";a:2:{i:0;s:37:\"core/modules/update/update.report.inc\";i:1;s:37:\"core/modules/update/update.report.inc\";}s:8:\"template\";s:14:\"update-version\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:34:\"template_preprocess_update_version\";i:2;s:21:\"contextual_preprocess\";i:6;s:31:\"seven_preprocess_update_version\";}}s:4:\"user\";a:6:{s:14:\"render element\";s:8:\"elements\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:4:\"user\";s:4:\"path\";s:39:\"core/themes/seven/templates/classy/user\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:24:\"template_preprocess_user\";i:2;s:21:\"contextual_preprocess\";i:3;s:19:\"rdf_preprocess_user\";}}s:8:\"username\";a:6:{s:9:\"variables\";a:3:{s:7:\"account\";N;s:10:\"attributes\";a:0:{}s:12:\"link_options\";a:0:{}}s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"template\";s:8:\"username\";s:4:\"path\";s:39:\"core/themes/seven/templates/classy/user\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:28:\"template_preprocess_username\";i:2;s:21:\"contextual_preprocess\";i:3;s:23:\"rdf_preprocess_username\";}}s:18:\"video_embed_iframe\";a:6:{s:9:\"variables\";a:4:{s:3:\"url\";s:0:\"\";s:5:\"query\";a:0:{}s:10:\"attributes\";a:0:{}s:8:\"fragment\";s:0:\"\";}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:25:\"modules/video_embed_field\";s:8:\"template\";s:18:\"video-embed-iframe\";s:4:\"path\";s:35:\"modules/video_embed_field/templates\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:34:\"video_embed_field_missing_provider\";a:6:{s:9:\"variables\";a:0:{}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:25:\"modules/video_embed_field\";s:8:\"template\";s:34:\"video-embed-field-missing-provider\";s:4:\"path\";s:35:\"modules/video_embed_field/templates\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:28:\"views_ui_display_tab_setting\";a:8:{s:9:\"variables\";a:7:{s:11:\"description\";s:0:\"\";s:4:\"link\";s:0:\"\";s:14:\"settings_links\";a:0:{}s:10:\"overridden\";b:0;s:9:\"defaulted\";b:0;s:21:\"description_separator\";b:1;s:5:\"class\";a:0:{}}s:4:\"file\";s:18:\"views_ui.theme.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:40:\"core/modules/views_ui/views_ui.theme.inc\";i:1;s:40:\"core/modules/views_ui/views_ui.theme.inc\";}s:8:\"template\";s:28:\"views-ui-display-tab-setting\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:48:\"template_preprocess_views_ui_display_tab_setting\";i:2;s:21:\"contextual_preprocess\";}}s:27:\"views_ui_display_tab_bucket\";a:8:{s:14:\"render element\";s:7:\"element\";s:4:\"file\";s:18:\"views_ui.theme.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:40:\"core/modules/views_ui/views_ui.theme.inc\";i:1;s:40:\"core/modules/views_ui/views_ui.theme.inc\";}s:8:\"template\";s:27:\"views-ui-display-tab-bucket\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:47:\"template_preprocess_views_ui_display_tab_bucket\";i:2;s:21:\"contextual_preprocess\";}}s:30:\"views_ui_rearrange_filter_form\";a:8:{s:14:\"render element\";s:4:\"form\";s:4:\"file\";s:18:\"views_ui.theme.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:40:\"core/modules/views_ui/views_ui.theme.inc\";i:1;s:40:\"core/modules/views_ui/views_ui.theme.inc\";}s:8:\"template\";s:30:\"views-ui-rearrange-filter-form\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:50:\"template_preprocess_views_ui_rearrange_filter_form\";i:2;s:21:\"contextual_preprocess\";}}s:27:\"views_ui_expose_filter_form\";a:8:{s:14:\"render element\";s:4:\"form\";s:4:\"file\";s:18:\"views_ui.theme.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:40:\"core/modules/views_ui/views_ui.theme.inc\";i:1;s:40:\"core/modules/views_ui/views_ui.theme.inc\";}s:8:\"template\";s:27:\"views-ui-expose-filter-form\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:18:\"views_ui_view_info\";a:8:{s:9:\"variables\";a:2:{s:4:\"view\";N;s:8:\"displays\";N;}s:4:\"file\";s:18:\"views_ui.theme.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:40:\"core/modules/views_ui/views_ui.theme.inc\";i:1;s:40:\"core/modules/views_ui/views_ui.theme.inc\";}s:8:\"template\";s:18:\"views-ui-view-info\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:28:\"views_ui_views_listing_table\";a:8:{s:9:\"variables\";a:3:{s:7:\"headers\";N;s:4:\"rows\";N;s:10:\"attributes\";a:0:{}}s:4:\"file\";s:18:\"views_ui.theme.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:40:\"core/modules/views_ui/views_ui.theme.inc\";i:1;s:40:\"core/modules/views_ui/views_ui.theme.inc\";}s:8:\"template\";s:28:\"views-ui-views-listing-table\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:48:\"template_preprocess_views_ui_views_listing_table\";i:2;s:21:\"contextual_preprocess\";}}s:27:\"views_ui_view_displays_list\";a:6:{s:9:\"variables\";a:1:{s:8:\"displays\";a:0:{}}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"template\";s:27:\"views-ui-view-displays-list\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:32:\"views_ui_build_group_filter_form\";a:8:{s:14:\"render element\";s:4:\"form\";s:4:\"file\";s:18:\"views_ui.theme.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:40:\"core/modules/views_ui/views_ui.theme.inc\";i:1;s:40:\"core/modules/views_ui/views_ui.theme.inc\";}s:8:\"template\";s:32:\"views-ui-build-group-filter-form\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:52:\"template_preprocess_views_ui_build_group_filter_form\";i:2;s:21:\"contextual_preprocess\";}}s:27:\"views_ui_style_plugin_table\";a:8:{s:14:\"render element\";s:4:\"form\";s:4:\"file\";s:18:\"views_ui.theme.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:40:\"core/modules/views_ui/views_ui.theme.inc\";i:1;s:40:\"core/modules/views_ui/views_ui.theme.inc\";}s:8:\"template\";s:27:\"views-ui-style-plugin-table\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:47:\"template_preprocess_views_ui_style_plugin_table\";i:2;s:21:\"contextual_preprocess\";}}s:29:\"views_ui_view_preview_section\";a:8:{s:9:\"variables\";a:4:{s:4:\"view\";N;s:7:\"section\";N;s:7:\"content\";N;s:5:\"links\";s:0:\"\";}s:4:\"file\";s:18:\"views_ui.theme.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:40:\"core/modules/views_ui/views_ui.theme.inc\";i:1;s:40:\"core/modules/views_ui/views_ui.theme.inc\";}s:8:\"template\";s:29:\"views-ui-view-preview-section\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:49:\"template_preprocess_views_ui_view_preview_section\";i:2;s:21:\"contextual_preprocess\";}}s:18:\"views_ui_container\";a:8:{s:9:\"variables\";a:2:{s:8:\"children\";N;s:10:\"attributes\";a:0:{}}s:4:\"file\";s:18:\"views_ui.theme.inc\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:40:\"core/modules/views_ui/views_ui.theme.inc\";i:1;s:40:\"core/modules/views_ui/views_ui.theme.inc\";}s:8:\"template\";s:18:\"views-ui-container\";s:4:\"path\";s:34:\"core/themes/stable/templates/admin\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:19:\"we_megamenu_backend\";a:6:{s:9:\"variables\";a:7:{s:9:\"menu_name\";N;s:7:\"content\";N;s:7:\"section\";s:5:\"admin\";s:6:\"blocks\";N;s:11:\"block_theme\";N;s:11:\"data_config\";N;s:5:\"trail\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"modules/we_megamenu\";s:8:\"template\";s:19:\"we-megamenu-backend\";s:4:\"path\";s:29:\"modules/we_megamenu/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:39:\"template_preprocess_we_megamenu_backend\";i:2;s:21:\"contextual_preprocess\";}}s:20:\"we_megamenu_frontend\";a:6:{s:9:\"variables\";a:7:{s:9:\"menu_name\";N;s:7:\"content\";N;s:7:\"section\";s:0:\"\";s:6:\"blocks\";N;s:11:\"block_theme\";N;s:11:\"data_config\";N;s:5:\"trail\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"modules/we_megamenu\";s:8:\"template\";s:20:\"we-megamenu-frontend\";s:4:\"path\";s:29:\"modules/we_megamenu/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:40:\"template_preprocess_we_megamenu_frontend\";i:2;s:21:\"contextual_preprocess\";}}s:14:\"we_megamenu_ul\";a:6:{s:9:\"variables\";a:8:{s:9:\"menu_name\";N;s:7:\"content\";N;s:7:\"section\";s:8:\"frontend\";s:5:\"items\";N;s:7:\"subtree\";N;s:11:\"data_config\";N;s:11:\"block_theme\";N;s:5:\"trail\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"modules/we_megamenu\";s:8:\"template\";s:14:\"we-megamenu-ul\";s:4:\"path\";s:29:\"modules/we_megamenu/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:34:\"template_preprocess_we_megamenu_ul\";i:2;s:21:\"contextual_preprocess\";}}s:14:\"we_megamenu_li\";a:6:{s:9:\"variables\";a:10:{s:9:\"menu_name\";N;s:7:\"content\";N;s:7:\"section\";s:8:\"frontend\";s:5:\"title\";N;s:7:\"subtree\";N;s:5:\"items\";N;s:4:\"item\";N;s:11:\"data_config\";N;s:11:\"block_theme\";N;s:5:\"trail\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"modules/we_megamenu\";s:8:\"template\";s:14:\"we-megamenu-li\";s:4:\"path\";s:29:\"modules/we_megamenu/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:34:\"template_preprocess_we_megamenu_li\";i:2;s:21:\"contextual_preprocess\";}}s:19:\"we_megamenu_submenu\";a:6:{s:9:\"variables\";a:10:{s:9:\"menu_name\";N;s:7:\"content\";N;s:7:\"section\";s:8:\"frontend\";s:5:\"title\";N;s:7:\"subtree\";N;s:5:\"items\";N;s:11:\"data_config\";N;s:11:\"item_config\";N;s:11:\"block_theme\";N;s:5:\"trail\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"modules/we_megamenu\";s:8:\"template\";s:19:\"we-megamenu-submenu\";s:4:\"path\";s:29:\"modules/we_megamenu/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:39:\"template_preprocess_we_megamenu_submenu\";i:2;s:21:\"contextual_preprocess\";}}s:17:\"we_megamenu_block\";a:6:{s:9:\"variables\";a:11:{s:9:\"menu_name\";N;s:7:\"content\";N;s:7:\"section\";s:8:\"frontend\";s:5:\"title\";N;s:7:\"subtree\";N;s:5:\"items\";N;s:11:\"data_config\";N;s:11:\"item_config\";N;s:13:\"block_content\";N;s:11:\"block_theme\";N;s:5:\"trail\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"modules/we_megamenu\";s:8:\"template\";s:17:\"we-megamenu-block\";s:4:\"path\";s:29:\"modules/we_megamenu/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:37:\"template_preprocess_we_megamenu_block\";i:2;s:21:\"contextual_preprocess\";}}s:15:\"we_megamenu_row\";a:6:{s:9:\"variables\";a:10:{s:9:\"menu_name\";N;s:7:\"content\";N;s:7:\"section\";s:8:\"frontend\";s:5:\"title\";N;s:7:\"subtree\";N;s:5:\"items\";N;s:11:\"data_config\";N;s:11:\"item_config\";N;s:11:\"block_theme\";N;s:5:\"trail\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"modules/we_megamenu\";s:8:\"template\";s:15:\"we-megamenu-row\";s:4:\"path\";s:29:\"modules/we_megamenu/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:35:\"template_preprocess_we_megamenu_row\";i:2;s:21:\"contextual_preprocess\";}}s:15:\"we_megamenu_col\";a:6:{s:9:\"variables\";a:10:{s:9:\"menu_name\";N;s:7:\"content\";N;s:7:\"section\";s:8:\"frontend\";s:5:\"title\";N;s:7:\"subtree\";N;s:5:\"items\";N;s:11:\"data_config\";N;s:11:\"item_config\";N;s:11:\"block_theme\";N;s:5:\"trail\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"modules/we_megamenu\";s:8:\"template\";s:15:\"we-megamenu-col\";s:4:\"path\";s:29:\"modules/we_megamenu/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:35:\"template_preprocess_we_megamenu_col\";i:2;s:21:\"contextual_preprocess\";}}s:17:\"we_megamenu_subul\";a:6:{s:9:\"variables\";a:9:{s:9:\"menu_name\";N;s:7:\"content\";N;s:7:\"section\";s:8:\"frontend\";s:5:\"items\";N;s:7:\"subtree\";N;s:11:\"data_config\";N;s:11:\"item_config\";N;s:11:\"block_theme\";N;s:5:\"trail\";N;}s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:19:\"modules/we_megamenu\";s:8:\"template\";s:17:\"we-megamenu-subul\";s:4:\"path\";s:29:\"modules/we_megamenu/templates\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:37:\"template_preprocess_we_megamenu_subul\";i:2;s:21:\"contextual_preprocess\";}}s:16:\"views_mini_pager\";a:7:{s:9:\"variables\";a:6:{s:4:\"view\";N;s:7:\"options\";N;s:4:\"tags\";a:0:{}s:8:\"quantity\";i:9;s:7:\"element\";i:0;s:10:\"parameters\";a:0:{}}s:4:\"path\";s:40:\"core/themes/seven/templates/classy/views\";s:8:\"includes\";a:8:{i:0;s:34:\"core/modules/views/views.theme.inc\";i:1;s:34:\"core/modules/views/views.theme.inc\";i:2;s:34:\"core/modules/views/views.theme.inc\";i:3;s:34:\"core/modules/views/views.theme.inc\";i:4;s:34:\"core/modules/views/views.theme.inc\";i:5;s:34:\"core/modules/views/views.theme.inc\";i:6;s:34:\"core/modules/views/views.theme.inc\";i:7;s:34:\"core/modules/views/views.theme.inc\";}s:8:\"template\";s:16:\"views-mini-pager\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:36:\"template_preprocess_views_mini_pager\";i:2;s:21:\"contextual_preprocess\";}}s:16:\"views_view_field\";a:8:{s:4:\"file\";s:15:\"views.theme.inc\";s:9:\"variables\";a:3:{s:4:\"view\";N;s:5:\"field\";N;s:3:\"row\";N;}s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:8:\"includes\";a:2:{i:0;s:34:\"core/modules/views/views.theme.inc\";i:1;s:34:\"core/modules/views/views.theme.inc\";}s:8:\"template\";s:16:\"views-view-field\";s:4:\"path\";s:34:\"core/themes/stable/templates/views\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:36:\"template_preprocess_views_view_field\";i:2;s:21:\"contextual_preprocess\";}}s:19:\"views_view_grouping\";a:8:{s:4:\"file\";s:15:\"views.theme.inc\";s:9:\"variables\";a:5:{s:4:\"view\";N;s:8:\"grouping\";N;s:14:\"grouping_level\";N;s:4:\"rows\";N;s:5:\"title\";N;}s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"includes\";a:8:{i:0;s:34:\"core/modules/views/views.theme.inc\";i:1;s:34:\"core/modules/views/views.theme.inc\";i:2;s:34:\"core/modules/views/views.theme.inc\";i:3;s:34:\"core/modules/views/views.theme.inc\";i:4;s:34:\"core/modules/views/views.theme.inc\";i:5;s:34:\"core/modules/views/views.theme.inc\";i:6;s:34:\"core/modules/views/views.theme.inc\";i:7;s:34:\"core/modules/views/views.theme.inc\";}s:8:\"template\";s:19:\"views-view-grouping\";s:4:\"path\";s:40:\"core/themes/seven/templates/classy/views\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:39:\"template_preprocess_views_view_grouping\";i:2;s:21:\"contextual_preprocess\";}}s:10:\"views_view\";a:7:{s:9:\"variables\";a:13:{s:10:\"view_array\";a:0:{}s:4:\"view\";N;s:4:\"rows\";a:0:{}s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:7:\"exposed\";a:0:{}s:4:\"more\";a:0:{}s:10:\"feed_icons\";a:0:{}s:5:\"pager\";a:0:{}s:5:\"title\";s:0:\"\";s:17:\"attachment_before\";a:0:{}s:16:\"attachment_after\";a:0:{}}s:4:\"path\";s:40:\"core/themes/seven/templates/classy/views\";s:8:\"includes\";a:8:{i:0;s:34:\"core/modules/views/views.theme.inc\";i:1;s:34:\"core/modules/views/views.theme.inc\";i:2;s:34:\"core/modules/views/views.theme.inc\";i:3;s:34:\"core/modules/views/views.theme.inc\";i:4;s:34:\"core/modules/views/views.theme.inc\";i:5;s:34:\"core/modules/views/views.theme.inc\";i:6;s:34:\"core/modules/views/views.theme.inc\";i:7;s:34:\"core/modules/views/views.theme.inc\";}s:8:\"template\";s:10:\"views-view\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:30:\"template_preprocess_views_view\";i:2;s:21:\"contextual_preprocess\";i:3;s:30:\"views_ui_preprocess_views_view\";}}s:17:\"views_view_fields\";a:7:{s:9:\"variables\";a:4:{s:4:\"view\";N;s:7:\"options\";N;s:3:\"row\";N;s:11:\"field_alias\";N;}s:4:\"path\";s:34:\"core/themes/stable/templates/views\";s:8:\"includes\";a:2:{i:0;s:34:\"core/modules/views/views.theme.inc\";i:1;s:34:\"core/modules/views/views.theme.inc\";}s:8:\"template\";s:17:\"views-view-fields\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:37:\"template_preprocess_views_view_fields\";i:2;s:21:\"contextual_preprocess\";}}s:18:\"views_view_row_rss\";a:7:{s:9:\"variables\";a:4:{s:4:\"view\";N;s:7:\"options\";N;s:3:\"row\";N;s:11:\"field_alias\";N;}s:4:\"path\";s:40:\"core/themes/seven/templates/classy/views\";s:8:\"includes\";a:8:{i:0;s:34:\"core/modules/views/views.theme.inc\";i:1;s:34:\"core/modules/views/views.theme.inc\";i:2;s:34:\"core/modules/views/views.theme.inc\";i:3;s:34:\"core/modules/views/views.theme.inc\";i:4;s:34:\"core/modules/views/views.theme.inc\";i:5;s:34:\"core/modules/views/views.theme.inc\";i:6;s:34:\"core/modules/views/views.theme.inc\";i:7;s:34:\"core/modules/views/views.theme.inc\";}s:8:\"template\";s:18:\"views-view-row-rss\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:38:\"template_preprocess_views_view_row_rss\";i:2;s:21:\"contextual_preprocess\";}}s:19:\"views_view_row_opml\";a:7:{s:9:\"variables\";a:4:{s:4:\"view\";N;s:7:\"options\";N;s:3:\"row\";N;s:11:\"field_alias\";N;}s:4:\"path\";s:34:\"core/themes/classy/templates/views\";s:8:\"includes\";a:4:{i:0;s:34:\"core/modules/views/views.theme.inc\";i:1;s:34:\"core/modules/views/views.theme.inc\";i:2;s:34:\"core/modules/views/views.theme.inc\";i:3;s:34:\"core/modules/views/views.theme.inc\";}s:8:\"template\";s:19:\"views-view-row-opml\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:39:\"template_preprocess_views_view_row_opml\";i:2;s:21:\"contextual_preprocess\";}}s:14:\"views_view_rss\";a:7:{s:9:\"variables\";a:4:{s:4:\"view\";N;s:7:\"options\";N;s:4:\"rows\";N;s:5:\"title\";N;}s:4:\"path\";s:34:\"core/themes/classy/templates/views\";s:8:\"includes\";a:4:{i:0;s:34:\"core/modules/views/views.theme.inc\";i:1;s:34:\"core/modules/views/views.theme.inc\";i:2;s:34:\"core/modules/views/views.theme.inc\";i:3;s:34:\"core/modules/views/views.theme.inc\";}s:8:\"template\";s:14:\"views-view-rss\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:34:\"template_preprocess_views_view_rss\";i:2;s:21:\"contextual_preprocess\";}}s:15:\"views_view_grid\";a:7:{s:9:\"variables\";a:4:{s:4:\"view\";N;s:7:\"options\";N;s:4:\"rows\";N;s:5:\"title\";N;}s:4:\"path\";s:34:\"core/themes/classy/templates/views\";s:8:\"includes\";a:4:{i:0;s:34:\"core/modules/views/views.theme.inc\";i:1;s:34:\"core/modules/views/views.theme.inc\";i:2;s:34:\"core/modules/views/views.theme.inc\";i:3;s:34:\"core/modules/views/views.theme.inc\";}s:8:\"template\";s:15:\"views-view-grid\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:35:\"template_preprocess_views_view_grid\";i:2;s:21:\"contextual_preprocess\";}}s:16:\"views_view_table\";a:7:{s:9:\"variables\";a:4:{s:4:\"view\";N;s:7:\"options\";N;s:4:\"rows\";N;s:5:\"title\";N;}s:4:\"path\";s:40:\"core/themes/seven/templates/classy/views\";s:8:\"includes\";a:8:{i:0;s:34:\"core/modules/views/views.theme.inc\";i:1;s:34:\"core/modules/views/views.theme.inc\";i:2;s:34:\"core/modules/views/views.theme.inc\";i:3;s:34:\"core/modules/views/views.theme.inc\";i:4;s:34:\"core/modules/views/views.theme.inc\";i:5;s:34:\"core/modules/views/views.theme.inc\";i:6;s:34:\"core/modules/views/views.theme.inc\";i:7;s:34:\"core/modules/views/views.theme.inc\";}s:8:\"template\";s:16:\"views-view-table\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:36:\"template_preprocess_views_view_table\";i:2;s:21:\"contextual_preprocess\";}}s:15:\"views_view_opml\";a:7:{s:9:\"variables\";a:4:{s:4:\"view\";N;s:7:\"options\";N;s:4:\"rows\";N;s:5:\"title\";N;}s:4:\"path\";s:34:\"core/themes/classy/templates/views\";s:8:\"includes\";a:4:{i:0;s:34:\"core/modules/views/views.theme.inc\";i:1;s:34:\"core/modules/views/views.theme.inc\";i:2;s:34:\"core/modules/views/views.theme.inc\";i:3;s:34:\"core/modules/views/views.theme.inc\";}s:8:\"template\";s:15:\"views-view-opml\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:35:\"template_preprocess_views_view_opml\";i:2;s:21:\"contextual_preprocess\";}}s:22:\"views_view_unformatted\";a:7:{s:9:\"variables\";a:4:{s:4:\"view\";N;s:7:\"options\";N;s:4:\"rows\";N;s:5:\"title\";N;}s:4:\"path\";s:34:\"core/themes/classy/templates/views\";s:8:\"includes\";a:4:{i:0;s:34:\"core/modules/views/views.theme.inc\";i:1;s:34:\"core/modules/views/views.theme.inc\";i:2;s:34:\"core/modules/views/views.theme.inc\";i:3;s:34:\"core/modules/views/views.theme.inc\";}s:8:\"template\";s:22:\"views-view-unformatted\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:42:\"template_preprocess_views_view_unformatted\";i:2;s:21:\"contextual_preprocess\";}}s:18:\"views_view_summary\";a:7:{s:9:\"variables\";a:4:{s:4:\"view\";N;s:7:\"options\";N;s:4:\"rows\";N;s:5:\"title\";N;}s:4:\"path\";s:40:\"core/themes/seven/templates/classy/views\";s:8:\"includes\";a:8:{i:0;s:34:\"core/modules/views/views.theme.inc\";i:1;s:34:\"core/modules/views/views.theme.inc\";i:2;s:34:\"core/modules/views/views.theme.inc\";i:3;s:34:\"core/modules/views/views.theme.inc\";i:4;s:34:\"core/modules/views/views.theme.inc\";i:5;s:34:\"core/modules/views/views.theme.inc\";i:6;s:34:\"core/modules/views/views.theme.inc\";i:7;s:34:\"core/modules/views/views.theme.inc\";}s:8:\"template\";s:18:\"views-view-summary\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:38:\"template_preprocess_views_view_summary\";i:2;s:21:\"contextual_preprocess\";}}s:15:\"views_view_list\";a:7:{s:9:\"variables\";a:4:{s:4:\"view\";N;s:7:\"options\";N;s:4:\"rows\";N;s:5:\"title\";N;}s:4:\"path\";s:34:\"core/themes/classy/templates/views\";s:8:\"includes\";a:4:{i:0;s:34:\"core/modules/views/views.theme.inc\";i:1;s:34:\"core/modules/views/views.theme.inc\";i:2;s:34:\"core/modules/views/views.theme.inc\";i:3;s:34:\"core/modules/views/views.theme.inc\";}s:8:\"template\";s:15:\"views-view-list\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/classy\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:35:\"template_preprocess_views_view_list\";i:2;s:21:\"contextual_preprocess\";}}s:30:\"views_view_summary_unformatted\";a:7:{s:9:\"variables\";a:4:{s:4:\"view\";N;s:7:\"options\";N;s:4:\"rows\";N;s:5:\"title\";N;}s:4:\"path\";s:40:\"core/themes/seven/templates/classy/views\";s:8:\"includes\";a:8:{i:0;s:34:\"core/modules/views/views.theme.inc\";i:1;s:34:\"core/modules/views/views.theme.inc\";i:2;s:34:\"core/modules/views/views.theme.inc\";i:3;s:34:\"core/modules/views/views.theme.inc\";i:4;s:34:\"core/modules/views/views.theme.inc\";i:5;s:34:\"core/modules/views/views.theme.inc\";i:6;s:34:\"core/modules/views/views.theme.inc\";i:7;s:34:\"core/modules/views/views.theme.inc\";}s:8:\"template\";s:30:\"views-view-summary-unformatted\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:50:\"template_preprocess_views_view_summary_unformatted\";i:2;s:21:\"contextual_preprocess\";}}s:21:\"views_form_views_form\";a:8:{s:4:\"file\";s:15:\"views.theme.inc\";s:14:\"render element\";s:4:\"form\";s:4:\"type\";s:6:\"module\";s:10:\"theme path\";s:18:\"core/modules/views\";s:8:\"includes\";a:1:{i:0;s:34:\"core/modules/views/views.theme.inc\";}s:8:\"template\";s:21:\"views-form-views-form\";s:4:\"path\";s:28:\"core/modules/views/templates\";s:20:\"preprocess functions\";a:2:{i:0;s:19:\"template_preprocess\";i:1;s:21:\"contextual_preprocess\";}}s:18:\"views_exposed_form\";a:8:{s:4:\"file\";s:15:\"views.theme.inc\";s:14:\"render element\";s:4:\"form\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:8:\"includes\";a:8:{i:0;s:34:\"core/modules/views/views.theme.inc\";i:1;s:34:\"core/modules/views/views.theme.inc\";i:2;s:34:\"core/modules/views/views.theme.inc\";i:3;s:34:\"core/modules/views/views.theme.inc\";i:4;s:34:\"core/modules/views/views.theme.inc\";i:5;s:34:\"core/modules/views/views.theme.inc\";i:6;s:34:\"core/modules/views/views.theme.inc\";i:7;s:34:\"core/modules/views/views.theme.inc\";}s:8:\"template\";s:18:\"views-exposed-form\";s:4:\"path\";s:40:\"core/themes/seven/templates/classy/views\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:38:\"template_preprocess_views_exposed_form\";i:2;s:21:\"contextual_preprocess\";}}s:26:\"block__local_actions_block\";a:7:{s:8:\"template\";s:26:\"block--local-actions-block\";s:4:\"path\";s:27:\"core/themes/seven/templates\";s:14:\"render element\";s:8:\"elements\";s:9:\"base hook\";s:5:\"block\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:20:\"preprocess functions\";a:14:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_block\";i:2;s:28:\"block_class_preprocess_block\";i:3;s:24:\"comment_preprocess_block\";i:4;s:21:\"contextual_preprocess\";i:5;s:21:\"help_preprocess_block\";i:6;s:25:\"language_preprocess_block\";i:7;s:24:\"menu_ui_preprocess_block\";i:8;s:21:\"node_preprocess_block\";i:9;s:23:\"search_preprocess_block\";i:10;s:25:\"shortcut_preprocess_block\";i:11;s:23:\"system_preprocess_block\";i:12;s:21:\"user_preprocess_block\";i:13;s:22:\"seven_preprocess_block\";}}s:24:\"block__local_tasks_block\";a:7:{s:8:\"template\";s:24:\"block--local-tasks-block\";s:4:\"path\";s:40:\"core/themes/seven/templates/classy/block\";s:14:\"render element\";s:8:\"elements\";s:9:\"base hook\";s:5:\"block\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:20:\"preprocess functions\";a:14:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_block\";i:2;s:28:\"block_class_preprocess_block\";i:3;s:24:\"comment_preprocess_block\";i:4;s:21:\"contextual_preprocess\";i:5;s:21:\"help_preprocess_block\";i:6;s:25:\"language_preprocess_block\";i:7;s:24:\"menu_ui_preprocess_block\";i:8;s:21:\"node_preprocess_block\";i:9;s:23:\"search_preprocess_block\";i:10;s:25:\"shortcut_preprocess_block\";i:11;s:23:\"system_preprocess_block\";i:12;s:21:\"user_preprocess_block\";i:13;s:22:\"seven_preprocess_block\";}}s:24:\"block__search_form_block\";a:7:{s:8:\"template\";s:24:\"block--search-form-block\";s:4:\"path\";s:40:\"core/themes/seven/templates/classy/block\";s:14:\"render element\";s:8:\"elements\";s:9:\"base hook\";s:5:\"block\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:20:\"preprocess functions\";a:14:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_block\";i:2;s:28:\"block_class_preprocess_block\";i:3;s:24:\"comment_preprocess_block\";i:4;s:21:\"contextual_preprocess\";i:5;s:21:\"help_preprocess_block\";i:6;s:25:\"language_preprocess_block\";i:7;s:24:\"menu_ui_preprocess_block\";i:8;s:21:\"node_preprocess_block\";i:9;s:23:\"search_preprocess_block\";i:10;s:25:\"shortcut_preprocess_block\";i:11;s:23:\"system_preprocess_block\";i:12;s:21:\"user_preprocess_block\";i:13;s:22:\"seven_preprocess_block\";}}s:25:\"links__media_library_menu\";a:7:{s:8:\"template\";s:25:\"links--media-library-menu\";s:4:\"path\";s:48:\"core/themes/seven/templates/classy/media-library\";s:9:\"variables\";a:4:{s:5:\"links\";a:0:{}s:10:\"attributes\";a:1:{s:5:\"class\";a:6:{i:0;s:5:\"links\";i:1;s:5:\"links\";i:2;s:5:\"links\";i:3;s:5:\"links\";i:4;s:5:\"links\";i:5;s:5:\"links\";}}s:7:\"heading\";a:0:{}s:16:\"set_active_class\";b:0;}s:9:\"base hook\";s:5:\"links\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:20:\"preprocess functions\";a:5:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_links\";i:2;s:21:\"contextual_preprocess\";i:3;s:23:\"stable_preprocess_links\";i:4;s:43:\"classy_preprocess_links__media_library_menu\";}}s:11:\"links__node\";a:7:{s:8:\"template\";s:11:\"links--node\";s:4:\"path\";s:42:\"core/themes/seven/templates/classy/content\";s:9:\"variables\";a:4:{s:5:\"links\";a:0:{}s:10:\"attributes\";a:1:{s:5:\"class\";a:6:{i:0;s:5:\"links\";i:1;s:5:\"links\";i:2;s:5:\"links\";i:3;s:5:\"links\";i:4;s:5:\"links\";i:5;s:5:\"links\";}}s:7:\"heading\";a:0:{}s:16:\"set_active_class\";b:0;}s:9:\"base hook\";s:5:\"links\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_links\";i:2;s:21:\"contextual_preprocess\";i:3;s:23:\"stable_preprocess_links\";}}s:25:\"item_list__search_results\";a:7:{s:8:\"template\";s:25:\"item-list--search-results\";s:4:\"path\";s:42:\"core/themes/seven/templates/classy/dataset\";s:9:\"variables\";a:7:{s:5:\"items\";a:0:{}s:5:\"title\";s:0:\"\";s:9:\"list_type\";s:2:\"ul\";s:18:\"wrapper_attributes\";a:0:{}s:10:\"attributes\";a:0:{}s:5:\"empty\";N;s:7:\"context\";a:0:{}}s:9:\"base hook\";s:9:\"item_list\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:29:\"template_preprocess_item_list\";i:2;s:21:\"contextual_preprocess\";}}s:32:\"container__media_library_content\";a:7:{s:8:\"template\";s:32:\"container--media-library-content\";s:4:\"path\";s:48:\"core/themes/seven/templates/classy/media-library\";s:14:\"render element\";s:7:\"element\";s:9:\"base hook\";s:9:\"container\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:29:\"template_preprocess_container\";i:2;s:21:\"contextual_preprocess\";}}s:41:\"container__media_library_widget_selection\";a:7:{s:8:\"template\";s:41:\"container--media-library-widget-selection\";s:4:\"path\";s:48:\"core/themes/seven/templates/classy/media-library\";s:14:\"render element\";s:7:\"element\";s:9:\"base hook\";s:9:\"container\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:29:\"template_preprocess_container\";i:2;s:21:\"contextual_preprocess\";}}s:24:\"field__text_with_summary\";a:7:{s:8:\"template\";s:24:\"field--text-with-summary\";s:4:\"path\";s:40:\"core/themes/seven/templates/classy/field\";s:14:\"render element\";s:7:\"element\";s:9:\"base hook\";s:5:\"field\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:20:\"preprocess functions\";a:5:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_field\";i:2;s:24:\"comment_preprocess_field\";i:3;s:21:\"contextual_preprocess\";i:4;s:26:\"quickedit_preprocess_field\";}}s:11:\"field__text\";a:7:{s:8:\"template\";s:11:\"field--text\";s:4:\"path\";s:40:\"core/themes/seven/templates/classy/field\";s:14:\"render element\";s:7:\"element\";s:9:\"base hook\";s:5:\"field\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:20:\"preprocess functions\";a:5:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_field\";i:2;s:24:\"comment_preprocess_field\";i:3;s:21:\"contextual_preprocess\";i:4;s:26:\"quickedit_preprocess_field\";}}s:16:\"field__text_long\";a:7:{s:8:\"template\";s:16:\"field--text-long\";s:4:\"path\";s:40:\"core/themes/seven/templates/classy/field\";s:14:\"render element\";s:7:\"element\";s:9:\"base hook\";s:5:\"field\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:20:\"preprocess functions\";a:5:{i:0;s:19:\"template_preprocess\";i:1;s:25:\"template_preprocess_field\";i:2;s:24:\"comment_preprocess_field\";i:3;s:21:\"contextual_preprocess\";i:4;s:26:\"quickedit_preprocess_field\";}}s:37:\"views_view_unformatted__media_library\";a:8:{s:8:\"template\";s:37:\"views-view-unformatted--media-library\";s:4:\"path\";s:41:\"core/themes/seven/templates/media-library\";s:9:\"variables\";a:4:{s:4:\"view\";N;s:7:\"options\";N;s:4:\"rows\";N;s:5:\"title\";N;}s:9:\"base hook\";s:22:\"views_view_unformatted\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:42:\"template_preprocess_views_view_unformatted\";i:2;s:21:\"contextual_preprocess\";}s:8:\"includes\";a:4:{i:0;s:34:\"core/modules/views/views.theme.inc\";i:1;s:34:\"core/modules/views/views.theme.inc\";i:2;s:34:\"core/modules/views/views.theme.inc\";i:3;s:34:\"core/modules/views/views.theme.inc\";}}s:44:\"item_list__media_library_add_form_media_list\";a:7:{s:8:\"template\";s:44:\"item-list--media-library-add-form-media-list\";s:4:\"path\";s:41:\"core/themes/seven/templates/media-library\";s:9:\"variables\";a:7:{s:5:\"items\";a:0:{}s:5:\"title\";s:0:\"\";s:9:\"list_type\";s:2:\"ul\";s:18:\"wrapper_attributes\";a:0:{}s:10:\"attributes\";a:0:{}s:5:\"empty\";N;s:7:\"context\";a:0:{}}s:9:\"base hook\";s:9:\"item_list\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:29:\"template_preprocess_item_list\";i:2;s:21:\"contextual_preprocess\";i:3;s:61:\"seven_preprocess_item_list__media_library_add_form_media_list\";}}s:30:\"fieldset__media_library_widget\";a:7:{s:8:\"template\";s:30:\"fieldset--media-library-widget\";s:4:\"path\";s:41:\"core/themes/seven/templates/media-library\";s:14:\"render element\";s:7:\"element\";s:9:\"base hook\";s:8:\"fieldset\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:28:\"template_preprocess_fieldset\";i:2;s:21:\"contextual_preprocess\";i:3;s:47:\"seven_preprocess_fieldset__media_library_widget\";}}s:46:\"details__media_library_add_form_selected_media\";a:7:{s:8:\"template\";s:46:\"details--media-library-add-form-selected-media\";s:4:\"path\";s:41:\"core/themes/seven/templates/media-library\";s:14:\"render element\";s:7:\"element\";s:9:\"base hook\";s:7:\"details\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:20:\"preprocess functions\";a:3:{i:0;s:19:\"template_preprocess\";i:1;s:27:\"template_preprocess_details\";i:2;s:21:\"contextual_preprocess\";}}s:25:\"views_view__media_library\";a:8:{s:8:\"template\";s:25:\"views-view--media_library\";s:4:\"path\";s:41:\"core/themes/seven/templates/media-library\";s:9:\"variables\";a:13:{s:10:\"view_array\";a:0:{}s:4:\"view\";N;s:4:\"rows\";a:0:{}s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:7:\"exposed\";a:0:{}s:4:\"more\";a:0:{}s:10:\"feed_icons\";a:0:{}s:5:\"pager\";a:0:{}s:5:\"title\";s:0:\"\";s:17:\"attachment_before\";a:0:{}s:16:\"attachment_after\";a:0:{}}s:9:\"base hook\";s:10:\"views_view\";s:4:\"type\";s:12:\"theme_engine\";s:10:\"theme path\";s:17:\"core/themes/seven\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:30:\"template_preprocess_views_view\";i:2;s:21:\"contextual_preprocess\";i:3;s:30:\"views_ui_preprocess_views_view\";}s:8:\"includes\";a:8:{i:0;s:34:\"core/modules/views/views.theme.inc\";i:1;s:34:\"core/modules/views/views.theme.inc\";i:2;s:34:\"core/modules/views/views.theme.inc\";i:3;s:34:\"core/modules/views/views.theme.inc\";i:4;s:34:\"core/modules/views/views.theme.inc\";i:5;s:34:\"core/modules/views/views.theme.inc\";i:6;s:34:\"core/modules/views/views.theme.inc\";i:7;s:34:\"core/modules/views/views.theme.inc\";}}s:32:\"views_view_fields__media_library\";a:8:{s:9:\"variables\";a:4:{s:4:\"view\";N;s:7:\"options\";N;s:3:\"row\";N;s:11:\"field_alias\";N;}s:4:\"path\";s:34:\"core/themes/stable/templates/views\";s:8:\"includes\";a:2:{i:0;s:34:\"core/modules/views/views.theme.inc\";i:1;s:34:\"core/modules/views/views.theme.inc\";}s:8:\"template\";s:17:\"views-view-fields\";s:4:\"type\";s:17:\"base_theme_engine\";s:10:\"theme path\";s:18:\"core/themes/stable\";s:20:\"preprocess functions\";a:4:{i:0;s:19:\"template_preprocess\";i:1;s:37:\"template_preprocess_views_view_fields\";i:2;s:21:\"contextual_preprocess\";i:6;s:49:\"seven_preprocess_views_view_fields__media_library\";}s:9:\"base hook\";s:17:\"views_view_fields\";}}',-1,1636012332.442,1,'theme_registry','5'),('token_info_sorted:en','a:2:{s:6:\"tokens\";a:119:{s:4:\"node\";a:34:{s:6:\"author\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Author\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:4:\"user\";}s:12:\"field_banner\";a:4:{s:4:\"name\";s:6:\"Banner\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:1:{s:5:\"@type\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Image\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:17:\"node-field_banner\";}s:18:\"field_banner_title\";a:4:{s:4:\"name\";s:12:\"Banner title\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:1:{s:5:\"@type\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Text (plain, long)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:23:\"node-field_banner_title\";}s:4:\"body\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Body\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"The main body text of the node.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:13:\"comment-count\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Comment count\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:43:\"The number of comments posted on an entity.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:7:\"comment\";a:4:{s:4:\"name\";s:8:\"Comments\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:1:{s:5:\"@type\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Comments\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:12:\"node-comment\";}s:3:\"nid\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Content ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"The unique ID of the content item, or \"node\".\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:12:\"content-type\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Content type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"The content type of the node.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:12:\"content-type\";}s:7:\"changed\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Date changed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:44:\"The date the node was most recently updated.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:4:\"date\";}s:7:\"created\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Date created\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:4:\"date\";}s:8:\"edit-url\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Edit URL\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:32:\"The URL of the node\'s edit page.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:13:\"field_gallery\";a:4:{s:4:\"name\";s:7:\"Gallery\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:1:{s:5:\"@type\";r:15;}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:24:\"list<node-field_gallery>\";}s:16:\"field_icon_class\";a:4:{s:4:\"name\";s:10:\"Icon class\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:1:{s:5:\"@type\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Text (plain)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:21:\"node-field_icon_class\";}s:11:\"field_image\";a:4:{s:4:\"name\";s:5:\"Image\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"@type field. Also known as %labels.\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";r:15;s:7:\"%labels\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:16:\"node-field_image\";}s:8:\"langcode\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Language code\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:57:\"The language code of the language the node is written in.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:10:\"field_link\";a:4:{s:4:\"name\";s:4:\"Link\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"%labels\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:15:\"node-field_link\";}s:9:\"menu-link\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Menu link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:28:\"The menu link for this node.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:9:\"menu-link\";}s:17:\"comment-count-new\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"New comment count\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:75:\"The number of comments posted on an entity since the reader last viewed it.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:16:\"simplenews_issue\";a:4:{s:4:\"name\";s:10:\"Newsletter\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Simplenews issue\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"%labels\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:21:\"node-simplenews_issue\";}s:8:\"original\";a:4:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Original @entity\";s:12:\"\0*\0arguments\";a:1:{s:7:\"@entity\";s:7:\"content\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:67:\"The original @entity data if the @entity is being updated or saved.\";s:12:\"\0*\0arguments\";a:1:{s:7:\"@entity\";s:7:\"content\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:4:\"node\";}s:14:\"field_partners\";a:4:{s:4:\"name\";s:8:\"Partners\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";r:15;s:7:\"%labels\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:19:\"node-field_partners\";}s:13:\"field_percent\";a:4:{s:4:\"name\";s:7:\"Percent\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Number (float)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"%labels\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:18:\"node-field_percent\";}s:3:\"vid\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Revision ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:44:\"The unique ID of the node\'s latest revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:3:\"log\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Revision log message\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:60:\"The explanation of the most recent changes made to the node.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:15:\"field_slideshow\";a:4:{s:4:\"name\";s:9:\"Slideshow\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";r:15;s:7:\"%labels\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:20:\"node-field_slideshow\";}s:7:\"summary\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Summary\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:41:\"The summary of the node\'s main body text.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:8:\"field_su\";a:4:{s:4:\"name\";s:7:\"Summary\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"Text (formatted, long)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"%labels\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:13:\"node-field_su\";}s:10:\"field_tags\";a:4:{s:4:\"name\";s:4:\"Tags\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Entity reference\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"%labels\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:21:\"list<node-field_tags>\";}s:5:\"title\";a:1:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Title\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"source\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"Translation source node\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:56:\"The source node for this current node\'s translation set.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:4:\"node\";}s:10:\"field_type\";a:4:{s:4:\"name\";s:4:\"Type\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"List (text)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"%labels\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:15:\"node-field_type\";}s:3:\"url\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"URL\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"The URL of the node.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:3:\"url\";}s:11:\"field_video\";a:4:{s:4:\"name\";s:5:\"Video\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Video Embed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"%labels\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:16:\"node-field_video\";}s:17:\"field_why_us_type\";a:4:{s:4:\"name\";s:11:\"Why us type\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";r:312;s:7:\"%labels\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:22:\"node-field_why_us_type\";}}s:12:\"content-type\";a:5:{s:11:\"description\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Description\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"The optional description of the content type.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:8:\"edit-url\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Edit URL\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:40:\"The URL of the content type\'s edit page.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:12:\"machine-name\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Machine-readable name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:53:\"The unique machine-readable name of the content type.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:4:\"name\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"The name of the content type.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:10:\"node-count\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Node count\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:50:\"The number of nodes belonging to the content type.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:4:\"term\";a:11:{s:11:\"description\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Description\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"The optional description of the taxonomy term.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:8:\"edit-url\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Edit URL\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:41:\"The URL of the taxonomy term\'s edit page.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:4:\"name\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:30:\"The name of the taxonomy term.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:10:\"node-count\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Node count\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:50:\"The number of nodes tagged with the taxonomy term.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:8:\"original\";a:4:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Original @entity\";s:12:\"\0*\0arguments\";a:1:{s:7:\"@entity\";s:13:\"taxonomy term\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:67:\"The original @entity data if the @entity is being updated or saved.\";s:12:\"\0*\0arguments\";a:1:{s:7:\"@entity\";s:13:\"taxonomy term\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:4:\"term\";}s:7:\"parents\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Parents\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:59:\"An array of all the term\'s parents, starting with the root.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:5:\"array\";}s:6:\"parent\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Parent term\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"The parent term of the taxonomy term, if one exists.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:4:\"term\";}s:4:\"root\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Root term\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"The root term of the taxonomy term.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:4:\"term\";}s:3:\"tid\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Term ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"The unique ID of the taxonomy term.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:3:\"url\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"URL\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"The URL of the taxonomy term.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:3:\"url\";}s:10:\"vocabulary\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Vocabulary\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:44:\"The vocabulary the taxonomy term belongs to.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:10:\"vocabulary\";}}s:10:\"vocabulary\";a:7:{s:11:\"description\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Description\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"The optional description of the taxonomy vocabulary.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:8:\"edit-url\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Edit URL\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:38:\"The URL of the vocabulary\'s edit page.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:12:\"machine-name\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Machine-readable name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:51:\"The unique machine-readable name of the vocabulary.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:4:\"name\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:36:\"The name of the taxonomy vocabulary.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:10:\"node-count\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Node count\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:75:\"The number of nodes tagged with terms belonging to the taxonomy vocabulary.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:10:\"term-count\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Term count\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:57:\"The number of terms belonging to the taxonomy vocabulary.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:3:\"vid\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Vocabulary ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:41:\"The unique ID of the taxonomy vocabulary.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:4:\"file\";a:13:{s:8:\"basename\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Base name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"The base name of the file.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:7:\"changed\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Changed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:44:\"The date the file was most recently changed.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:4:\"date\";}s:7:\"created\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Created\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"The date the file created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:4:\"date\";}s:9:\"extension\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Extension\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"The extension of the file.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:8:\"size-raw\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"File byte size\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"The size of the file, in bytes.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:3:\"fid\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"File ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"The unique ID of the uploaded file.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:4:\"name\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"File name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"The name of the file on disk.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:4:\"size\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"File size\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"The size of the file.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:4:\"mime\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"MIME type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"The MIME type of the file.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:8:\"original\";a:4:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Original @entity\";s:12:\"\0*\0arguments\";a:1:{s:7:\"@entity\";s:4:\"file\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:67:\"The original @entity data if the @entity is being updated or saved.\";s:12:\"\0*\0arguments\";a:1:{s:7:\"@entity\";s:4:\"file\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:4:\"file\";}s:5:\"owner\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Owner\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:42:\"The user who originally uploaded the file.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:4:\"user\";}s:4:\"path\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Path\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:49:\"The location of the file relative to Drupal root.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:3:\"url\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"URL\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:36:\"The web-accessible URL for the file.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:4:\"user\";a:14:{s:10:\"cancel-url\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Account cancellation URL\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:56:\"The URL of the confirm delete page for the user account.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"restricted\";b:1;}s:12:\"account-name\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Account Name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"The login name of the user account.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:7:\"created\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Created\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:38:\"The date the user account was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:4:\"date\";}s:4:\"name\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Deprecated: User Name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:53:\"Deprecated: Use account-name or display-name instead.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:12:\"display-name\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Display Name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:37:\"The display name of the user account.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:8:\"edit-url\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Edit URL\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"The URL of the account edit page.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:4:\"mail\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Email\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:38:\"The email address of the user account.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:10:\"last-login\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Last login\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"The date the user last logged in to the site.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:4:\"date\";}s:18:\"one-time-login-url\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"One-time login URL\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:56:\"The URL of the one-time login page for the user account.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"restricted\";b:1;}s:8:\"original\";a:4:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Original @entity\";s:12:\"\0*\0arguments\";a:1:{s:7:\"@entity\";s:4:\"user\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:67:\"The original @entity data if the @entity is being updated or saved.\";s:12:\"\0*\0arguments\";a:1:{s:7:\"@entity\";s:4:\"user\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:4:\"user\";}s:12:\"user_picture\";a:4:{s:4:\"name\";s:7:\"Picture\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";r:15;s:7:\"%labels\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:17:\"user-user_picture\";}s:5:\"roles\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Roles\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:48:\"The user roles associated with the user account.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:5:\"array\";}s:3:\"url\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"URL\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:36:\"The URL of the account profile page.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:3:\"url\";}s:3:\"uid\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"User ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:34:\"The unique ID of the user account.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:12:\"current-user\";a:15:{s:10:\"cancel-url\";a:3:{s:4:\"name\";r:699;s:11:\"description\";r:703;s:10:\"restricted\";b:1;}s:12:\"account-name\";a:2:{s:4:\"name\";r:709;s:11:\"description\";r:713;}s:7:\"created\";a:3:{s:4:\"name\";r:718;s:11:\"description\";r:722;s:4:\"type\";s:4:\"date\";}s:4:\"name\";a:2:{s:4:\"name\";r:728;s:11:\"description\";r:732;}s:12:\"display-name\";a:2:{s:4:\"name\";r:737;s:11:\"description\";r:741;}s:8:\"edit-url\";a:2:{s:4:\"name\";r:746;s:11:\"description\";r:750;}s:4:\"mail\";a:2:{s:4:\"name\";r:755;s:11:\"description\";r:759;}s:10:\"ip-address\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"IP address\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"The IP address of the current user.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:10:\"last-login\";a:3:{s:4:\"name\";r:764;s:11:\"description\";r:768;s:4:\"type\";s:4:\"date\";}s:18:\"one-time-login-url\";a:3:{s:4:\"name\";r:774;s:11:\"description\";r:778;s:10:\"restricted\";b:1;}s:8:\"original\";a:4:{s:4:\"name\";r:784;s:11:\"description\";r:789;s:6:\"module\";s:5:\"token\";s:4:\"type\";s:4:\"user\";}s:12:\"user_picture\";a:4:{s:4:\"name\";s:7:\"Picture\";s:11:\"description\";r:798;s:6:\"module\";s:5:\"token\";s:4:\"type\";s:17:\"user-user_picture\";}s:5:\"roles\";a:3:{s:4:\"name\";r:807;s:11:\"description\";r:811;s:4:\"type\";s:5:\"array\";}s:3:\"url\";a:3:{s:4:\"name\";r:817;s:11:\"description\";r:821;s:4:\"type\";s:3:\"url\";}s:3:\"uid\";a:2:{s:4:\"name\";r:827;s:11:\"description\";r:831;}}s:9:\"menu-link\";a:8:{s:8:\"edit-url\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Edit URL\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:37:\"The URL of the menu link\'s edit page.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:4:\"mlid\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Link ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"The unique ID of the menu link.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:4:\"menu\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Menu\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"The menu of the menu link.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:4:\"menu\";}s:6:\"parent\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Parent\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"The menu link\'s parent.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:9:\"menu-link\";}s:7:\"parents\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Parents\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:64:\"An array of all the menu link\'s parents, starting with the root.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:5:\"array\";}s:4:\"root\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Root\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"The menu link\'s root.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:9:\"menu-link\";}s:5:\"title\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Title\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:27:\"The title of the menu link.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:3:\"url\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"URL\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"The URL of the menu link.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:3:\"url\";}}s:12:\"current-page\";a:4:{s:11:\"page-number\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Page number\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:61:\"The page number of the current page when viewing paged lists.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:5:\"query\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Query string value\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:63:\"The value of a specific query string field of the current page.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"dynamic\";b:1;}s:5:\"title\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Title\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:30:\"The title of the current page.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:3:\"url\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"URL\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:28:\"The URL of the current page.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:3:\"url\";}}s:3:\"url\";a:6:{s:8:\"absolute\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Absolute URL\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"The absolute URL.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:4:\"args\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Arguments\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:90:\"The specific argument of the current page (e.g. \'arg:1\' on the page \'node/1\' returns \'1\').\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:5:\"array\";}s:5:\"brief\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Brief URL\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"The URL without the protocol and trailing backslash.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:4:\"path\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Path\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:30:\"The path component of the URL.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:8:\"relative\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Relative URL\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"The relative URL.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:9:\"unaliased\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Unaliased URL\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"The unaliased URL.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:3:\"url\";}}s:5:\"array\";a:8:{s:5:\"count\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Count\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:36:\"The number of elements in the array.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:5:\"first\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"First\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"The first element of the array.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:4:\"join\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Imploded\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:83:\"The values of the array joined together with a custom string in-between each value.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"dynamic\";b:1;}s:9:\"join-path\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Joined path\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:109:\"The array values each cleaned by Pathauto and then joined with the slash into a string that resembles an URL.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:4:\"keys\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Keys\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"The array of keys of the array.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:5:\"array\";}s:4:\"last\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Last\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:30:\"The last element of the array.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:8:\"reversed\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Reversed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"The array reversed.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:5:\"array\";}s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Value\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:32:\"The specific value of the array.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"dynamic\";b:1;}}s:6:\"random\";a:2:{s:4:\"hash\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Hash\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:64:\"A random hash. The possible hashing algorithms are: @hash-algos.\";s:12:\"\0*\0arguments\";a:1:{s:11:\"@hash-algos\";s:525:\"md2, md4, md5, sha1, sha224, sha256, sha384, sha512/224, sha512/256, sha512, sha3-224, sha3-256, sha3-384, sha3-512, ripemd128, ripemd160, ripemd256, ripemd320, whirlpool, tiger128,3, tiger160,3, tiger192,3, tiger128,4, tiger160,4, tiger192,4, snefru, snefru256, gost, gost-crypto, adler32, crc32, crc32b, fnv132, fnv1a32, fnv164, fnv1a64, joaat, haval128,3, haval160,3, haval192,3, haval224,3, haval256,3, haval128,4, haval160,4, haval192,4, haval224,4, haval256,4, haval128,5, haval160,5, haval192,5, haval224,5, haval256,5\";}s:10:\"\0*\0options\";a:0:{}}s:7:\"dynamic\";b:1;}s:6:\"number\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Number\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"A random number from 0 to @max.\";s:12:\"\0*\0arguments\";a:1:{s:4:\"@max\";i:2147483647;}s:10:\"\0*\0options\";a:0:{}}}}s:22:\"image_with_image_style\";a:6:{s:8:\"filesize\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"File size\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:27:\"The file size of the image.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"height\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Height\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:32:\"The height the image, in pixels.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:8:\"mimetype\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"MIME type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:56:\"The MIME type (image/png, image/bmp, etc.) of the image.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:3:\"uri\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"URI\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"The URI to the image.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:3:\"url\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"URL\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"The URL to the image.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:5:\"width\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Width\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:34:\"The width of the image, in pixels.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:7:\"comment\";a:15:{s:6:\"author\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Author\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"The author name of the comment.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:4:\"user\";}s:3:\"cid\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Comment ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"The unique ID of the comment.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:4:\"body\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:44:\"The formatted content of the comment itself.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:7:\"changed\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Date changed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"The date the comment was most recently updated.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:4:\"date\";}s:7:\"created\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Date created\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:32:\"The date the comment was posted.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:4:\"date\";}s:8:\"edit-url\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Edit URL\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"The URL of the comment\'s edit page.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:4:\"mail\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Email address\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"The email address left by the comment author.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"entity\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Entity\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:37:\"The entity the comment was posted to.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:6:\"entity\";}s:8:\"homepage\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Home page\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"The home page URL left by the comment author.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:8:\"hostname\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"IP Address\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:59:\"The IP address of the computer the comment was posted from.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:8:\"langcode\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Language code\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:60:\"The language code of the language the comment is written in.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:8:\"original\";a:4:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Original @entity\";s:12:\"\0*\0arguments\";a:1:{s:7:\"@entity\";s:7:\"comment\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:67:\"The original @entity data if the @entity is being updated or saved.\";s:12:\"\0*\0arguments\";a:1:{s:7:\"@entity\";s:7:\"comment\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:7:\"comment\";}s:6:\"parent\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Parent\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:53:\"The comment\'s parent, if comment threading is active.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:7:\"comment\";}s:5:\"title\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Title\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"The title of the comment.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:3:\"url\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"URL\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"The URL of the comment.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:3:\"url\";}}s:4:\"menu\";a:5:{s:11:\"description\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Description\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:37:\"The optional description of the menu.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:8:\"edit-url\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Edit URL\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:32:\"The URL of the menu\'s edit page.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:12:\"machine-name\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Machine-readable name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"The unique machine-readable name of the menu.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:15:\"menu-link-count\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Menu link count\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"The number of menu links belonging to the menu.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:4:\"name\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"The name of the menu.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:21:\"simplenews-subscriber\";a:6:{s:12:\"combined-url\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"Combined confirmation URL\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:77:\"The URL of the page where subscribers can confirm their subscription changes.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:4:\"user\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Corresponding user\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:95:\"The user object that corresponds to this subscriber. This is not set for anonymous subscribers.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:4:\"user\";}s:10:\"manage-url\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Manage URL\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:84:\"The URL of the page where the subscribers can manage their newsletter subscriptions.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:4:\"mail\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Subscriber email\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"The email address of the newsletter receiver.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:13:\"subscribe-url\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Subscription URL\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:56:\"The URL of the page where the subscription is confirmed.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:15:\"unsubscribe-url\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Unsubscribe URL\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:76:\"The URL of the page where the cancellation of the subscription is confirmed.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:21:\"simplenews-newsletter\";a:2:{s:4:\"name\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Newsletter\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:27:\"The name of the newsletter.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:3:\"url\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Newsletter URL\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:58:\"The URL of the page listing the issues of this newsletter.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:4:\"site\";a:6:{s:4:\"mail\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Email\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"The administrative email address for the site.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:9:\"login-url\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Login page\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"The URL of the site\'s login page.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:4:\"name\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"The name of the site.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"slogan\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Slogan\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"The slogan of the site.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:3:\"url\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"URL\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"The URL of the site\'s front page.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:9:\"url-brief\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"URL (brief)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:54:\"The URL of the site\'s front page without the protocol.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:4:\"date\";a:14:{s:6:\"custom\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Custom format\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:119:\"A date in a custom format. See <a href=\"http://php.net/manual/function.date.php\">the PHP documentation</a> for details.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"dynamic\";b:1;}s:8:\"fallback\";a:3:{s:4:\"name\";s:20:\"Fallback date format\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"A date in \'@type\' format. (%date)\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";s:8:\"fallback\";s:5:\"%date\";s:23:\"Tue, 11/16/2021 - 11:07\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";}s:9:\"html_date\";a:3:{s:4:\"name\";s:9:\"HTML Date\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"A date in \'@type\' format. (%date)\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";s:9:\"html_date\";s:5:\"%date\";s:10:\"2021-11-16\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";}s:13:\"html_datetime\";a:3:{s:4:\"name\";s:13:\"HTML Datetime\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"A date in \'@type\' format. (%date)\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";s:13:\"html_datetime\";s:5:\"%date\";s:24:\"2021-11-16T11:07:08+0100\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";}s:10:\"html_month\";a:3:{s:4:\"name\";s:10:\"HTML Month\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"A date in \'@type\' format. (%date)\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";s:10:\"html_month\";s:5:\"%date\";s:7:\"2021-11\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";}s:9:\"html_time\";a:3:{s:4:\"name\";s:9:\"HTML Time\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"A date in \'@type\' format. (%date)\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";s:9:\"html_time\";s:5:\"%date\";s:8:\"11:07:08\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";}s:9:\"html_week\";a:3:{s:4:\"name\";s:9:\"HTML Week\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"A date in \'@type\' format. (%date)\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";s:9:\"html_week\";s:5:\"%date\";s:8:\"2021-W46\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";}s:9:\"html_year\";a:3:{s:4:\"name\";s:9:\"HTML Year\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"A date in \'@type\' format. (%date)\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";s:9:\"html_year\";s:5:\"%date\";s:4:\"2021\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";}s:18:\"html_yearless_date\";a:3:{s:4:\"name\";s:18:\"HTML Yearless date\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"A date in \'@type\' format. (%date)\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";s:18:\"html_yearless_date\";s:5:\"%date\";s:5:\"11-16\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";}s:4:\"long\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Long format\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:32:\"A date in \'long\' format. (%date)\";s:12:\"\0*\0arguments\";a:1:{s:5:\"%date\";s:34:\"Tuesday, November 16, 2021 - 11:07\";}s:10:\"\0*\0options\";a:0:{}}}s:6:\"medium\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Medium format\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:34:\"A date in \'medium\' format. (%date)\";s:12:\"\0*\0arguments\";a:1:{s:5:\"%date\";s:23:\"Tue, 11/16/2021 - 11:07\";}s:10:\"\0*\0options\";a:0:{}}}s:3:\"raw\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Raw timestamp\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:39:\"A date in UNIX timestamp format (%date)\";s:12:\"\0*\0arguments\";a:1:{s:5:\"%date\";i:1637057228;}s:10:\"\0*\0options\";a:0:{}}}s:5:\"short\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Short format\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"A date in \'short\' format. (%date)\";s:12:\"\0*\0arguments\";a:1:{s:5:\"%date\";s:18:\"11/16/2021 - 11:07\";}s:10:\"\0*\0options\";a:0:{}}}s:5:\"since\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Time-since\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:38:\"A date in \'time-since\' format. (%date)\";s:12:\"\0*\0arguments\";a:1:{s:5:\"%date\";s:9:\"6 minutes\";}s:10:\"\0*\0options\";a:0:{}}}}s:4:\"view\";a:11:{s:10:\"base-field\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Base field\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:34:\"The base field used for this view.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:10:\"base-table\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Base table\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:34:\"The base table used for this view.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:12:\"current-page\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Current page\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:43:\"The current page of results the view is on.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:11:\"description\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Description\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:28:\"The description of the view.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:2:\"id\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:36:\"The machine-readable ID of the view.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:14:\"items-per-page\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Items per page\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"The number of items per page.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:5:\"label\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Label\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"The label of the view.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:10:\"page-count\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Page count\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"The total page count.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:5:\"title\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Title\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:41:\"The title of current display of the view.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:10:\"total-rows\";a:2:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Total rows\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:85:\"The total amount of results returned from the view. The current display will be used.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:3:\"url\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"URL\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"The URL of the view.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:3:\"url\";}}s:13:\"block_content\";a:18:{s:4:\"info\";a:4:{s:4:\"name\";s:17:\"Block description\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:1:{s:5:\"@type\";r:122;}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:18:\"block_content-info\";}s:4:\"type\";a:4:{s:4:\"name\";s:10:\"Block type\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:1:{s:5:\"@type\";r:284;}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:18:\"block_content-type\";}s:4:\"body\";a:4:{s:4:\"name\";s:4:\"Body\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:1:{s:5:\"@type\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:36:\"Text (formatted, long, with summary)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:18:\"block_content-body\";}s:7:\"changed\";a:4:{s:4:\"name\";s:7:\"Changed\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:1:{s:5:\"@type\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Last changed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:21:\"block_content-changed\";}s:2:\"id\";a:4:{s:4:\"name\";s:15:\"Custom block ID\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:1:{s:5:\"@type\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Number (integer)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:16:\"block_content-id\";}s:16:\"revision_default\";a:4:{s:4:\"name\";s:16:\"Default revision\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:1:{s:5:\"@type\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Boolean\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:30:\"block_content-revision_default\";}s:16:\"default_langcode\";a:4:{s:4:\"name\";s:19:\"Default translation\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:1:{s:5:\"@type\";r:1841;}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:30:\"block_content-default_langcode\";}s:8:\"langcode\";a:4:{s:4:\"name\";s:8:\"Language\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:1:{s:5:\"@type\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:22:\"block_content-langcode\";}s:8:\"original\";a:4:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Original @entity\";s:12:\"\0*\0arguments\";a:1:{s:7:\"@entity\";s:12:\"custom block\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:67:\"The original @entity data if the @entity is being updated or saved.\";s:12:\"\0*\0arguments\";a:1:{s:7:\"@entity\";s:12:\"custom block\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:13:\"block_content\";}s:6:\"status\";a:4:{s:4:\"name\";s:9:\"Published\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:1:{s:5:\"@type\";r:1841;}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:20:\"block_content-status\";}s:8:\"reusable\";a:4:{s:4:\"name\";s:8:\"Reusable\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:1:{s:5:\"@type\";r:1841;}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:22:\"block_content-reusable\";}s:16:\"revision_created\";a:4:{s:4:\"name\";s:20:\"Revision create time\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:1:{s:5:\"@type\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Created\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:30:\"block_content-revision_created\";}s:11:\"revision_id\";a:4:{s:4:\"name\";s:11:\"Revision ID\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:1:{s:5:\"@type\";r:1829;}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:25:\"block_content-revision_id\";}s:12:\"revision_log\";a:4:{s:4:\"name\";s:20:\"Revision log message\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:1:{s:5:\"@type\";r:27;}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:26:\"block_content-revision_log\";}s:29:\"revision_translation_affected\";a:4:{s:4:\"name\";s:29:\"Revision translation affected\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:1:{s:5:\"@type\";r:1841;}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:43:\"block_content-revision_translation_affected\";}s:13:\"revision_user\";a:4:{s:4:\"name\";s:13:\"Revision user\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:1:{s:5:\"@type\";r:284;}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:27:\"block_content-revision_user\";}s:3:\"url\";a:4:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"URL\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"The URL of the @entity.\";s:12:\"\0*\0arguments\";a:1:{s:7:\"@entity\";s:12:\"custom block\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:3:\"url\";}s:4:\"uuid\";a:4:{s:4:\"name\";s:4:\"UUID\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:1:{s:5:\"@type\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:18:\"block_content-uuid\";}}s:15:\"contact_message\";a:11:{s:4:\"copy\";a:4:{s:4:\"name\";s:4:\"Copy\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:1:{s:5:\"@type\";r:1841;}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:20:\"contact_message-copy\";}s:12:\"contact_form\";a:4:{s:4:\"name\";s:7:\"Form ID\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:1:{s:5:\"@type\";r:284;}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:28:\"contact_message-contact_form\";}s:8:\"langcode\";a:4:{s:4:\"name\";s:8:\"Language\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:1:{s:5:\"@type\";r:1862;}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:24:\"contact_message-langcode\";}s:7:\"message\";a:4:{s:4:\"name\";s:7:\"Message\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:1:{s:5:\"@type\";r:27;}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:23:\"contact_message-message\";}s:8:\"original\";a:4:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Original @entity\";s:12:\"\0*\0arguments\";a:1:{s:7:\"@entity\";s:15:\"contact message\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:67:\"The original @entity data if the @entity is being updated or saved.\";s:12:\"\0*\0arguments\";a:1:{s:7:\"@entity\";s:15:\"contact message\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:15:\"contact_message\";}s:9:\"recipient\";a:4:{s:4:\"name\";s:12:\"Recipient ID\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:1:{s:5:\"@type\";r:284;}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:25:\"contact_message-recipient\";}s:7:\"subject\";a:4:{s:4:\"name\";s:7:\"Subject\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:1:{s:5:\"@type\";r:122;}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:23:\"contact_message-subject\";}s:4:\"mail\";a:4:{s:4:\"name\";s:23:\"The sender&#039;s email\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:1:{s:5:\"@type\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Email\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:20:\"contact_message-mail\";}s:4:\"name\";a:4:{s:4:\"name\";s:22:\"The sender&#039;s name\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:1:{s:5:\"@type\";r:122;}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:20:\"contact_message-name\";}s:3:\"url\";a:4:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"URL\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"The URL of the @entity.\";s:12:\"\0*\0arguments\";a:1:{s:7:\"@entity\";s:15:\"contact message\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:3:\"url\";}s:4:\"uuid\";a:4:{s:4:\"name\";s:4:\"UUID\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:1:{s:5:\"@type\";r:1965;}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:20:\"contact_message-uuid\";}}s:10:\"path_alias\";a:10:{s:16:\"revision_default\";a:4:{s:4:\"name\";s:16:\"Default revision\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";r:1841;s:7:\"%labels\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:27:\"path_alias-revision_default\";}s:2:\"id\";a:4:{s:4:\"name\";s:2:\"ID\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";r:1829;s:7:\"%labels\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:13:\"path_alias-id\";}s:8:\"langcode\";a:4:{s:4:\"name\";s:8:\"Language\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";r:1862;s:7:\"%labels\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:19:\"path_alias-langcode\";}s:8:\"original\";a:4:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Original @entity\";s:12:\"\0*\0arguments\";a:1:{s:7:\"@entity\";s:9:\"url alias\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:67:\"The original @entity data if the @entity is being updated or saved.\";s:12:\"\0*\0arguments\";a:1:{s:7:\"@entity\";s:9:\"url alias\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:10:\"path_alias\";}s:6:\"status\";a:4:{s:4:\"name\";s:9:\"Published\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";r:1841;s:7:\"%labels\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:17:\"path_alias-status\";}s:11:\"revision_id\";a:4:{s:4:\"name\";s:11:\"Revision ID\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";r:1829;s:7:\"%labels\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:22:\"path_alias-revision_id\";}s:4:\"path\";a:4:{s:4:\"name\";s:11:\"System path\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";r:122;s:7:\"%labels\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:15:\"path_alias-path\";}s:3:\"url\";a:4:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"URL\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"The URL of the @entity.\";s:12:\"\0*\0arguments\";a:1:{s:7:\"@entity\";s:9:\"url alias\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:3:\"url\";}s:5:\"alias\";a:4:{s:4:\"name\";s:9:\"URL alias\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";r:122;s:7:\"%labels\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:16:\"path_alias-alias\";}s:4:\"uuid\";a:4:{s:4:\"name\";s:4:\"UUID\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";r:1965;s:7:\"%labels\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:15:\"path_alias-uuid\";}}s:8:\"shortcut\";a:10:{s:16:\"default_langcode\";a:4:{s:4:\"name\";s:19:\"Default translation\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";r:1841;s:7:\"%labels\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:25:\"shortcut-default_langcode\";}s:2:\"id\";a:4:{s:4:\"name\";s:2:\"ID\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";r:1829;s:7:\"%labels\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:11:\"shortcut-id\";}s:8:\"langcode\";a:4:{s:4:\"name\";s:8:\"Language\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";r:1862;s:7:\"%labels\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:17:\"shortcut-langcode\";}s:5:\"title\";a:4:{s:4:\"name\";s:4:\"Name\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";r:122;s:7:\"%labels\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:14:\"shortcut-title\";}s:8:\"original\";a:4:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Original @entity\";s:12:\"\0*\0arguments\";a:1:{s:7:\"@entity\";s:13:\"shortcut link\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:67:\"The original @entity data if the @entity is being updated or saved.\";s:12:\"\0*\0arguments\";a:1:{s:7:\"@entity\";s:13:\"shortcut link\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:8:\"shortcut\";}s:4:\"link\";a:4:{s:4:\"name\";s:4:\"Path\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";r:153;s:7:\"%labels\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:13:\"shortcut-link\";}s:12:\"shortcut_set\";a:4:{s:4:\"name\";s:12:\"Shortcut set\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";r:284;s:7:\"%labels\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:21:\"shortcut-shortcut_set\";}s:3:\"url\";a:4:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"URL\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"The URL of the @entity.\";s:12:\"\0*\0arguments\";a:1:{s:7:\"@entity\";s:13:\"shortcut link\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:3:\"url\";}s:4:\"uuid\";a:4:{s:4:\"name\";s:4:\"UUID\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";r:1965;s:7:\"%labels\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:13:\"shortcut-uuid\";}s:6:\"weight\";a:4:{s:4:\"name\";s:6:\"Weight\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";r:1829;s:7:\"%labels\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:15:\"shortcut-weight\";}}s:21:\"simplenews_subscriber\";a:11:{s:7:\"changes\";a:4:{s:4:\"name\";s:7:\"Changes\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";r:27;s:7:\"%labels\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:29:\"simplenews_subscriber-changes\";}s:7:\"created\";a:4:{s:4:\"name\";s:7:\"Created\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";r:1905;s:7:\"%labels\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:29:\"simplenews_subscriber-created\";}s:4:\"mail\";a:4:{s:4:\"name\";s:5:\"Email\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";r:2045;s:7:\"%labels\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:26:\"simplenews_subscriber-mail\";}s:8:\"langcode\";a:4:{s:4:\"name\";s:8:\"Language\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";r:1862;s:7:\"%labels\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:30:\"simplenews_subscriber-langcode\";}s:8:\"original\";a:4:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Original @entity\";s:12:\"\0*\0arguments\";a:1:{s:7:\"@entity\";s:21:\"simplenews subscriber\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:67:\"The original @entity data if the @entity is being updated or saved.\";s:12:\"\0*\0arguments\";a:1:{s:7:\"@entity\";s:21:\"simplenews subscriber\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:21:\"simplenews_subscriber\";}s:6:\"status\";a:4:{s:4:\"name\";s:6:\"Status\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";r:1841;s:7:\"%labels\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:28:\"simplenews_subscriber-status\";}s:2:\"id\";a:4:{s:4:\"name\";s:13:\"Subscriber ID\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";r:1829;s:7:\"%labels\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:24:\"simplenews_subscriber-id\";}s:13:\"subscriptions\";a:4:{s:4:\"name\";s:13:\"Subscriptions\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"Simplenews subscription\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"%labels\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:41:\"list<simplenews_subscriber-subscriptions>\";}s:3:\"url\";a:4:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"URL\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"The URL of the @entity.\";s:12:\"\0*\0arguments\";a:1:{s:7:\"@entity\";s:21:\"simplenews subscriber\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:3:\"url\";}s:3:\"uid\";a:4:{s:4:\"name\";s:4:\"User\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";r:284;s:7:\"%labels\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:25:\"simplenews_subscriber-uid\";}s:4:\"uuid\";a:4:{s:4:\"name\";s:4:\"UUID\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";r:1965;s:7:\"%labels\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:26:\"simplenews_subscriber-uuid\";}}s:17:\"menu_link_content\";a:24:{s:7:\"changed\";a:4:{s:4:\"name\";s:7:\"Changed\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";r:1817;s:7:\"%labels\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:25:\"menu_link_content-changed\";}s:6:\"bundle\";a:4:{s:4:\"name\";s:23:\"Custom menu link bundle\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";r:122;s:7:\"%labels\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:24:\"menu_link_content-bundle\";}s:16:\"revision_default\";a:4:{s:4:\"name\";s:16:\"Default revision\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";r:1841;s:7:\"%labels\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:34:\"menu_link_content-revision_default\";}s:16:\"default_langcode\";a:4:{s:4:\"name\";s:19:\"Default translation\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";r:1841;s:7:\"%labels\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:34:\"menu_link_content-default_langcode\";}s:11:\"description\";a:4:{s:4:\"name\";s:11:\"Description\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";r:122;s:7:\"%labels\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:29:\"menu_link_content-description\";}s:7:\"enabled\";a:4:{s:4:\"name\";s:7:\"Enabled\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";r:1841;s:7:\"%labels\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:25:\"menu_link_content-enabled\";}s:2:\"id\";a:4:{s:4:\"name\";s:9:\"Entity ID\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";r:1829;s:7:\"%labels\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:20:\"menu_link_content-id\";}s:8:\"external\";a:4:{s:4:\"name\";s:8:\"External\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";r:1841;s:7:\"%labels\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:26:\"menu_link_content-external\";}s:10:\"rediscover\";a:4:{s:4:\"name\";s:54:\"Indicates whether the menu link should be rediscovered\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";r:1841;s:7:\"%labels\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:28:\"menu_link_content-rediscover\";}s:8:\"langcode\";a:4:{s:4:\"name\";s:8:\"Language\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";r:1862;s:7:\"%labels\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:26:\"menu_link_content-langcode\";}s:4:\"link\";a:4:{s:4:\"name\";s:4:\"Link\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";r:153;s:7:\"%labels\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:22:\"menu_link_content-link\";}s:5:\"title\";a:4:{s:4:\"name\";s:15:\"Menu link title\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";r:122;s:7:\"%labels\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:23:\"menu_link_content-title\";}s:9:\"menu_name\";a:4:{s:4:\"name\";s:9:\"Menu name\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";r:122;s:7:\"%labels\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:27:\"menu_link_content-menu_name\";}s:8:\"original\";a:4:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Original @entity\";s:12:\"\0*\0arguments\";a:1:{s:7:\"@entity\";s:16:\"custom menu link\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:67:\"The original @entity data if the @entity is being updated or saved.\";s:12:\"\0*\0arguments\";a:1:{s:7:\"@entity\";s:16:\"custom menu link\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:17:\"menu_link_content\";}s:6:\"parent\";a:4:{s:4:\"name\";s:16:\"Parent plugin ID\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";r:122;s:7:\"%labels\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:24:\"menu_link_content-parent\";}s:16:\"revision_created\";a:4:{s:4:\"name\";s:20:\"Revision create time\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";r:1905;s:7:\"%labels\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:34:\"menu_link_content-revision_created\";}s:11:\"revision_id\";a:4:{s:4:\"name\";s:11:\"Revision ID\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";r:1829;s:7:\"%labels\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:29:\"menu_link_content-revision_id\";}s:20:\"revision_log_message\";a:4:{s:4:\"name\";s:20:\"Revision log message\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";r:27;s:7:\"%labels\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:38:\"menu_link_content-revision_log_message\";}s:29:\"revision_translation_affected\";a:4:{s:4:\"name\";s:29:\"Revision translation affected\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";r:1841;s:7:\"%labels\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:47:\"menu_link_content-revision_translation_affected\";}s:13:\"revision_user\";a:4:{s:4:\"name\";s:13:\"Revision user\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";r:284;s:7:\"%labels\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:31:\"menu_link_content-revision_user\";}s:8:\"expanded\";a:4:{s:4:\"name\";s:16:\"Show as expanded\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";r:1841;s:7:\"%labels\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:26:\"menu_link_content-expanded\";}s:3:\"url\";a:4:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"URL\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"The URL of the @entity.\";s:12:\"\0*\0arguments\";a:1:{s:7:\"@entity\";s:16:\"custom menu link\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:3:\"url\";}s:4:\"uuid\";a:4:{s:4:\"name\";s:4:\"UUID\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";r:1965;s:7:\"%labels\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:22:\"menu_link_content-uuid\";}s:6:\"weight\";a:4:{s:4:\"name\";s:6:\"Weight\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@type field.\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";r:1829;s:7:\"%labels\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:24:\"menu_link_content-weight\";}}s:16:\"block_content-id\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Integer value\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:18:\"block_content-uuid\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Text value\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:25:\"block_content-revision_id\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Integer value\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:22:\"block_content-langcode\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Language code\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:18:\"block_content-type\";a:2:{s:6:\"entity\";a:4:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Custom block type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"The referenced entity\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:18:\"block_content_type\";}s:9:\"target_id\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"@label ID\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:2693;}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:30:\"block_content-revision_created\";a:2:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Timestamp value\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}s:4:\"date\";a:4:{s:4:\"name\";s:22:\"Timestamp value format\";s:11:\"description\";N;s:6:\"module\";s:5:\"token\";s:4:\"type\";s:4:\"date\";}}s:27:\"block_content-revision_user\";a:2:{s:6:\"entity\";a:4:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"User\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"The referenced entity\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:4:\"user\";}s:9:\"target_id\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"@label ID\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:2726;}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:26:\"block_content-revision_log\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Text value\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:20:\"block_content-status\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Boolean value\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:18:\"block_content-info\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Text value\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:21:\"block_content-changed\";a:2:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Timestamp value\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}s:4:\"date\";a:4:{s:4:\"name\";s:22:\"Timestamp value format\";s:11:\"description\";N;s:6:\"module\";s:5:\"token\";s:4:\"type\";s:4:\"date\";}}s:22:\"block_content-reusable\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Boolean value\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:30:\"block_content-default_langcode\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Boolean value\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:30:\"block_content-revision_default\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Boolean value\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:43:\"block_content-revision_translation_affected\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Boolean value\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:18:\"block_content-body\";a:3:{s:7:\"summary\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Summary\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Text\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}s:6:\"format\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Text format\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:20:\"contact_message-uuid\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Text value\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:24:\"contact_message-langcode\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Language code\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:28:\"contact_message-contact_form\";a:2:{s:6:\"entity\";a:4:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Contact form\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"The referenced entity\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:12:\"contact_form\";}s:9:\"target_id\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"@label ID\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:2853;}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:20:\"contact_message-name\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Text value\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:20:\"contact_message-mail\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Email\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:23:\"contact_message-subject\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Text value\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:23:\"contact_message-message\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Text value\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:20:\"contact_message-copy\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Boolean value\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:25:\"contact_message-recipient\";a:2:{s:6:\"entity\";a:4:{s:4:\"name\";r:2726;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"The referenced entity\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:4:\"user\";}s:9:\"target_id\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"@label ID\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:2726;}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:12:\"node-comment\";a:6:{s:6:\"status\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Comment status\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}s:3:\"cid\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Last comment ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}s:17:\"last_comment_name\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Last comment name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"The name of the user posting the last comment.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";}s:22:\"last_comment_timestamp\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"Last comment timestamp\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:43:\"The time that the last comment was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";}s:16:\"last_comment_uid\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Last comment user ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}s:13:\"comment_count\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Number of comments\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"The number of comments.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";}}s:17:\"node-field_banner\";a:28:{s:3:\"alt\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Alternative text\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";}s:6:\"entity\";a:4:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"File\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"The referenced entity\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:4:\"file\";}s:9:\"target_id\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"@label ID\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:2992;}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}s:6:\"height\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Height\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:34:\"The height of the image in pixels.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";}s:11:\"image_63_63\";a:3:{s:4:\"name\";s:12:\"Image(63_63)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:13:\"image_270_270\";a:3:{s:4:\"name\";s:14:\"Image(270_270)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:14:\"image_360_360_\";a:3:{s:4:\"name\";s:14:\"Image(360_360)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:13:\"image_370_350\";a:3:{s:4:\"name\";s:14:\"Image(370_221)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:13:\"image_370_370\";a:3:{s:4:\"name\";s:14:\"Image(370_370)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:13:\"image_380_224\";a:3:{s:4:\"name\";s:14:\"Image(380_224)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:14:\"image_513_251_\";a:3:{s:4:\"name\";s:14:\"Image(513_251)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:13:\"image_551_372\";a:3:{s:4:\"name\";s:14:\"Image(551_372)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:14:\"image_640_363_\";a:3:{s:4:\"name\";s:14:\"Image(640_363)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:14:\"image_1400_700\";a:3:{s:4:\"name\";s:15:\"Image(1170_700)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:14:\"image_1920_700\";a:3:{s:4:\"name\";s:15:\"Image(1920_700)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:14:\"image_1920_595\";a:3:{s:4:\"name\";s:15:\"Image(1920_830)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:14:\"image_1920_845\";a:3:{s:4:\"name\";s:15:\"Image(1920_845)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:15:\"image_1920_1280\";a:3:{s:4:\"name\";s:16:\"Image(1920_1280)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:15:\"image_1921_685_\";a:3:{s:4:\"name\";s:15:\"Image(1921_685)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:5:\"large\";a:3:{s:4:\"name\";s:16:\"Large (480×480)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:11:\"max_325x325\";a:3:{s:4:\"name\";s:11:\"Max 325x325\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:11:\"max_650x650\";a:3:{s:4:\"name\";s:11:\"Max 650x650\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:13:\"max_1300x1300\";a:3:{s:4:\"name\";s:13:\"Max 1300x1300\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:13:\"max_2600x2600\";a:3:{s:4:\"name\";s:13:\"Max 2600x2600\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:6:\"medium\";a:3:{s:4:\"name\";s:17:\"Medium (220×220)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:9:\"thumbnail\";a:3:{s:4:\"name\";s:20:\"Thumbnail (100×100)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:5:\"title\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Title\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";}s:5:\"width\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Width\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"The width of the image in pixels.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";}}s:23:\"node-field_banner_title\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Text value\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:24:\"list<node-field_gallery>\";a:3:{i:0;a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:28:\"@type type with delta @delta\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";s:7:\"Gallery\";s:6:\"@delta\";i:0;}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:18:\"node-field_gallery\";}i:1;a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:28:\"@type type with delta @delta\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";s:7:\"Gallery\";s:6:\"@delta\";i:1;}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:18:\"node-field_gallery\";}i:2;a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:28:\"@type type with delta @delta\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";s:7:\"Gallery\";s:6:\"@delta\";i:2;}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:18:\"node-field_gallery\";}}s:18:\"node-field_gallery\";a:28:{s:3:\"alt\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Alternative text\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";}s:6:\"entity\";a:4:{s:4:\"name\";r:2992;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"The referenced entity\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:4:\"file\";}s:9:\"target_id\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"@label ID\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:2992;}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}s:6:\"height\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Height\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:34:\"The height of the image in pixels.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";}s:11:\"image_63_63\";a:3:{s:4:\"name\";s:12:\"Image(63_63)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:13:\"image_270_270\";a:3:{s:4:\"name\";s:14:\"Image(270_270)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:14:\"image_360_360_\";a:3:{s:4:\"name\";s:14:\"Image(360_360)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:13:\"image_370_350\";a:3:{s:4:\"name\";s:14:\"Image(370_221)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:13:\"image_370_370\";a:3:{s:4:\"name\";s:14:\"Image(370_370)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:13:\"image_380_224\";a:3:{s:4:\"name\";s:14:\"Image(380_224)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:14:\"image_513_251_\";a:3:{s:4:\"name\";s:14:\"Image(513_251)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:13:\"image_551_372\";a:3:{s:4:\"name\";s:14:\"Image(551_372)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:14:\"image_640_363_\";a:3:{s:4:\"name\";s:14:\"Image(640_363)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:14:\"image_1400_700\";a:3:{s:4:\"name\";s:15:\"Image(1170_700)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:14:\"image_1920_700\";a:3:{s:4:\"name\";s:15:\"Image(1920_700)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:14:\"image_1920_595\";a:3:{s:4:\"name\";s:15:\"Image(1920_830)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:14:\"image_1920_845\";a:3:{s:4:\"name\";s:15:\"Image(1920_845)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:15:\"image_1920_1280\";a:3:{s:4:\"name\";s:16:\"Image(1920_1280)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:15:\"image_1921_685_\";a:3:{s:4:\"name\";s:15:\"Image(1921_685)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:5:\"large\";a:3:{s:4:\"name\";s:16:\"Large (480×480)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:11:\"max_325x325\";a:3:{s:4:\"name\";s:11:\"Max 325x325\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:11:\"max_650x650\";a:3:{s:4:\"name\";s:11:\"Max 650x650\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:13:\"max_1300x1300\";a:3:{s:4:\"name\";s:13:\"Max 1300x1300\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:13:\"max_2600x2600\";a:3:{s:4:\"name\";s:13:\"Max 2600x2600\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:6:\"medium\";a:3:{s:4:\"name\";s:17:\"Medium (220×220)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:9:\"thumbnail\";a:3:{s:4:\"name\";s:20:\"Thumbnail (100×100)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:5:\"title\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Title\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";}s:5:\"width\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Width\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"The width of the image in pixels.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";}}s:21:\"node-field_icon_class\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Text value\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:16:\"node-field_image\";a:28:{s:3:\"alt\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Alternative text\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";}s:6:\"entity\";a:4:{s:4:\"name\";r:2992;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"The referenced entity\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:4:\"file\";}s:9:\"target_id\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"@label ID\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:2992;}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}s:6:\"height\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Height\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:34:\"The height of the image in pixels.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";}s:11:\"image_63_63\";a:3:{s:4:\"name\";s:12:\"Image(63_63)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:13:\"image_270_270\";a:3:{s:4:\"name\";s:14:\"Image(270_270)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:14:\"image_360_360_\";a:3:{s:4:\"name\";s:14:\"Image(360_360)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:13:\"image_370_350\";a:3:{s:4:\"name\";s:14:\"Image(370_221)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:13:\"image_370_370\";a:3:{s:4:\"name\";s:14:\"Image(370_370)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:13:\"image_380_224\";a:3:{s:4:\"name\";s:14:\"Image(380_224)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:14:\"image_513_251_\";a:3:{s:4:\"name\";s:14:\"Image(513_251)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:13:\"image_551_372\";a:3:{s:4:\"name\";s:14:\"Image(551_372)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:14:\"image_640_363_\";a:3:{s:4:\"name\";s:14:\"Image(640_363)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:14:\"image_1400_700\";a:3:{s:4:\"name\";s:15:\"Image(1170_700)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:14:\"image_1920_700\";a:3:{s:4:\"name\";s:15:\"Image(1920_700)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:14:\"image_1920_595\";a:3:{s:4:\"name\";s:15:\"Image(1920_830)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:14:\"image_1920_845\";a:3:{s:4:\"name\";s:15:\"Image(1920_845)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:15:\"image_1920_1280\";a:3:{s:4:\"name\";s:16:\"Image(1920_1280)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:15:\"image_1921_685_\";a:3:{s:4:\"name\";s:15:\"Image(1921_685)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:5:\"large\";a:3:{s:4:\"name\";s:16:\"Large (480×480)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:11:\"max_325x325\";a:3:{s:4:\"name\";s:11:\"Max 325x325\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:11:\"max_650x650\";a:3:{s:4:\"name\";s:11:\"Max 650x650\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:13:\"max_1300x1300\";a:3:{s:4:\"name\";s:13:\"Max 1300x1300\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:13:\"max_2600x2600\";a:3:{s:4:\"name\";s:13:\"Max 2600x2600\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:6:\"medium\";a:3:{s:4:\"name\";s:17:\"Medium (220×220)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:9:\"thumbnail\";a:3:{s:4:\"name\";s:20:\"Thumbnail (100×100)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:5:\"title\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Title\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";}s:5:\"width\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Width\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"The width of the image in pixels.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";}}s:15:\"node-field_link\";a:2:{s:5:\"title\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Link text\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}s:3:\"uri\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"URI\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:19:\"node-field_partners\";a:28:{s:3:\"alt\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Alternative text\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";}s:6:\"entity\";a:4:{s:4:\"name\";r:2992;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"The referenced entity\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:4:\"file\";}s:9:\"target_id\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"@label ID\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:2992;}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}s:6:\"height\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Height\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:34:\"The height of the image in pixels.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";}s:11:\"image_63_63\";a:3:{s:4:\"name\";s:12:\"Image(63_63)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:13:\"image_270_270\";a:3:{s:4:\"name\";s:14:\"Image(270_270)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:14:\"image_360_360_\";a:3:{s:4:\"name\";s:14:\"Image(360_360)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:13:\"image_370_350\";a:3:{s:4:\"name\";s:14:\"Image(370_221)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:13:\"image_370_370\";a:3:{s:4:\"name\";s:14:\"Image(370_370)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:13:\"image_380_224\";a:3:{s:4:\"name\";s:14:\"Image(380_224)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:14:\"image_513_251_\";a:3:{s:4:\"name\";s:14:\"Image(513_251)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:13:\"image_551_372\";a:3:{s:4:\"name\";s:14:\"Image(551_372)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:14:\"image_640_363_\";a:3:{s:4:\"name\";s:14:\"Image(640_363)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:14:\"image_1400_700\";a:3:{s:4:\"name\";s:15:\"Image(1170_700)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:14:\"image_1920_700\";a:3:{s:4:\"name\";s:15:\"Image(1920_700)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:14:\"image_1920_595\";a:3:{s:4:\"name\";s:15:\"Image(1920_830)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:14:\"image_1920_845\";a:3:{s:4:\"name\";s:15:\"Image(1920_845)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:15:\"image_1920_1280\";a:3:{s:4:\"name\";s:16:\"Image(1920_1280)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:15:\"image_1921_685_\";a:3:{s:4:\"name\";s:15:\"Image(1921_685)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:5:\"large\";a:3:{s:4:\"name\";s:16:\"Large (480×480)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:11:\"max_325x325\";a:3:{s:4:\"name\";s:11:\"Max 325x325\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:11:\"max_650x650\";a:3:{s:4:\"name\";s:11:\"Max 650x650\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:13:\"max_1300x1300\";a:3:{s:4:\"name\";s:13:\"Max 1300x1300\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:13:\"max_2600x2600\";a:3:{s:4:\"name\";s:13:\"Max 2600x2600\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:6:\"medium\";a:3:{s:4:\"name\";s:17:\"Medium (220×220)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:9:\"thumbnail\";a:3:{s:4:\"name\";s:20:\"Thumbnail (100×100)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:5:\"title\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Title\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";}s:5:\"width\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Width\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"The width of the image in pixels.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";}}s:18:\"node-field_percent\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Float\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:20:\"node-field_slideshow\";a:28:{s:3:\"alt\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Alternative text\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";}s:6:\"entity\";a:4:{s:4:\"name\";r:2992;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"The referenced entity\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:4:\"file\";}s:9:\"target_id\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"@label ID\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:2992;}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}s:6:\"height\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Height\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:34:\"The height of the image in pixels.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";}s:11:\"image_63_63\";a:3:{s:4:\"name\";s:12:\"Image(63_63)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:13:\"image_270_270\";a:3:{s:4:\"name\";s:14:\"Image(270_270)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:14:\"image_360_360_\";a:3:{s:4:\"name\";s:14:\"Image(360_360)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:13:\"image_370_350\";a:3:{s:4:\"name\";s:14:\"Image(370_221)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:13:\"image_370_370\";a:3:{s:4:\"name\";s:14:\"Image(370_370)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:13:\"image_380_224\";a:3:{s:4:\"name\";s:14:\"Image(380_224)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:14:\"image_513_251_\";a:3:{s:4:\"name\";s:14:\"Image(513_251)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:13:\"image_551_372\";a:3:{s:4:\"name\";s:14:\"Image(551_372)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:14:\"image_640_363_\";a:3:{s:4:\"name\";s:14:\"Image(640_363)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:14:\"image_1400_700\";a:3:{s:4:\"name\";s:15:\"Image(1170_700)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:14:\"image_1920_700\";a:3:{s:4:\"name\";s:15:\"Image(1920_700)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:14:\"image_1920_595\";a:3:{s:4:\"name\";s:15:\"Image(1920_830)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:14:\"image_1920_845\";a:3:{s:4:\"name\";s:15:\"Image(1920_845)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:15:\"image_1920_1280\";a:3:{s:4:\"name\";s:16:\"Image(1920_1280)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:15:\"image_1921_685_\";a:3:{s:4:\"name\";s:15:\"Image(1921_685)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:5:\"large\";a:3:{s:4:\"name\";s:16:\"Large (480×480)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:11:\"max_325x325\";a:3:{s:4:\"name\";s:11:\"Max 325x325\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:11:\"max_650x650\";a:3:{s:4:\"name\";s:11:\"Max 650x650\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:13:\"max_1300x1300\";a:3:{s:4:\"name\";s:13:\"Max 1300x1300\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:13:\"max_2600x2600\";a:3:{s:4:\"name\";s:13:\"Max 2600x2600\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:6:\"medium\";a:3:{s:4:\"name\";s:17:\"Medium (220×220)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:9:\"thumbnail\";a:3:{s:4:\"name\";s:20:\"Thumbnail (100×100)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:5:\"title\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Title\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";}s:5:\"width\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Width\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"The width of the image in pixels.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";}}s:13:\"node-field_su\";a:2:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Text\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}s:6:\"format\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Text format\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:21:\"list<node-field_tags>\";a:3:{i:0;a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:28:\"@type type with delta @delta\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";s:4:\"Tags\";s:6:\"@delta\";i:0;}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:15:\"node-field_tags\";}i:1;a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:28:\"@type type with delta @delta\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";s:4:\"Tags\";s:6:\"@delta\";i:1;}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:15:\"node-field_tags\";}i:2;a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:28:\"@type type with delta @delta\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";s:4:\"Tags\";s:6:\"@delta\";i:2;}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:15:\"node-field_tags\";}}s:15:\"node-field_tags\";a:2:{s:6:\"entity\";a:4:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Taxonomy term\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"The referenced entity\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:4:\"term\";}s:9:\"target_id\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"@label ID\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:4150;}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:15:\"node-field_type\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Text value\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:16:\"node-field_video\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Video url\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:22:\"node-field_why_us_type\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Text value\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:21:\"node-simplenews_issue\";a:6:{s:7:\"handler\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Handler\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}s:10:\"sent_count\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Sent count\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}s:6:\"entity\";a:4:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Simplenews newsletter\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"The referenced entity\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:21:\"simplenews_newsletter\";}s:9:\"target_id\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"@label ID\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:4208;}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}s:6:\"status\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Status\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}s:11:\"subscribers\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Subscribers\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:13:\"path_alias-id\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Integer value\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:15:\"path_alias-uuid\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Text value\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:22:\"path_alias-revision_id\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Integer value\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:19:\"path_alias-langcode\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Language code\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:15:\"path_alias-path\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Text value\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:16:\"path_alias-alias\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Text value\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:17:\"path_alias-status\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Boolean value\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:27:\"path_alias-revision_default\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Boolean value\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:11:\"shortcut-id\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Integer value\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:13:\"shortcut-uuid\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Text value\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:17:\"shortcut-langcode\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Language code\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:21:\"shortcut-shortcut_set\";a:2:{s:6:\"entity\";a:4:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Shortcut set\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"The referenced entity\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:12:\"shortcut_set\";}s:9:\"target_id\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"@label ID\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:4330;}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:14:\"shortcut-title\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Text value\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:15:\"shortcut-weight\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Integer value\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:13:\"shortcut-link\";a:2:{s:5:\"title\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Link text\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}s:3:\"uri\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"URI\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:25:\"shortcut-default_langcode\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Boolean value\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:24:\"simplenews_subscriber-id\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Integer value\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:26:\"simplenews_subscriber-uuid\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Text value\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:28:\"simplenews_subscriber-status\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Boolean value\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:26:\"simplenews_subscriber-mail\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Email\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:25:\"simplenews_subscriber-uid\";a:2:{s:6:\"entity\";a:4:{s:4:\"name\";r:2726;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"The referenced entity\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:4:\"user\";}s:9:\"target_id\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"@label ID\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:2726;}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:30:\"simplenews_subscriber-langcode\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Language code\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:29:\"simplenews_subscriber-changes\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Text value\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:29:\"simplenews_subscriber-created\";a:2:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Timestamp value\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}s:4:\"date\";a:4:{s:4:\"name\";s:22:\"Timestamp value format\";s:11:\"description\";N;s:6:\"module\";s:5:\"token\";s:4:\"type\";s:4:\"date\";}}s:41:\"list<simplenews_subscriber-subscriptions>\";a:3:{i:0;a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:28:\"@type type with delta @delta\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";s:13:\"Subscriptions\";s:6:\"@delta\";i:0;}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:35:\"simplenews_subscriber-subscriptions\";}i:1;a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:28:\"@type type with delta @delta\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";s:13:\"Subscriptions\";s:6:\"@delta\";i:1;}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:35:\"simplenews_subscriber-subscriptions\";}i:2;a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:28:\"@type type with delta @delta\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@type\";s:13:\"Subscriptions\";s:6:\"@delta\";i:2;}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:35:\"simplenews_subscriber-subscriptions\";}}s:35:\"simplenews_subscriber-subscriptions\";a:5:{s:6:\"entity\";a:4:{s:4:\"name\";r:4208;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"The referenced entity\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:21:\"simplenews_newsletter\";}s:9:\"target_id\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"@label ID\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:4208;}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}s:6:\"source\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Source\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}s:6:\"status\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Status\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}s:9:\"timestamp\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Timestamp\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:17:\"user-user_picture\";a:28:{s:3:\"alt\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Alternative text\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";}s:6:\"entity\";a:4:{s:4:\"name\";r:2992;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"The referenced entity\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:4:\"file\";}s:9:\"target_id\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"@label ID\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:2992;}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}s:6:\"height\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Height\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:34:\"The height of the image in pixels.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";}s:11:\"image_63_63\";a:3:{s:4:\"name\";s:12:\"Image(63_63)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:13:\"image_270_270\";a:3:{s:4:\"name\";s:14:\"Image(270_270)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:14:\"image_360_360_\";a:3:{s:4:\"name\";s:14:\"Image(360_360)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:13:\"image_370_350\";a:3:{s:4:\"name\";s:14:\"Image(370_221)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:13:\"image_370_370\";a:3:{s:4:\"name\";s:14:\"Image(370_370)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:13:\"image_380_224\";a:3:{s:4:\"name\";s:14:\"Image(380_224)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:14:\"image_513_251_\";a:3:{s:4:\"name\";s:14:\"Image(513_251)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:13:\"image_551_372\";a:3:{s:4:\"name\";s:14:\"Image(551_372)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:14:\"image_640_363_\";a:3:{s:4:\"name\";s:14:\"Image(640_363)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:14:\"image_1400_700\";a:3:{s:4:\"name\";s:15:\"Image(1170_700)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:14:\"image_1920_700\";a:3:{s:4:\"name\";s:15:\"Image(1920_700)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:14:\"image_1920_595\";a:3:{s:4:\"name\";s:15:\"Image(1920_830)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:14:\"image_1920_845\";a:3:{s:4:\"name\";s:15:\"Image(1920_845)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:15:\"image_1920_1280\";a:3:{s:4:\"name\";s:16:\"Image(1920_1280)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:15:\"image_1921_685_\";a:3:{s:4:\"name\";s:15:\"Image(1921_685)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:5:\"large\";a:3:{s:4:\"name\";s:16:\"Large (480×480)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:11:\"max_325x325\";a:3:{s:4:\"name\";s:11:\"Max 325x325\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:11:\"max_650x650\";a:3:{s:4:\"name\";s:11:\"Max 650x650\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:13:\"max_1300x1300\";a:3:{s:4:\"name\";s:13:\"Max 1300x1300\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:13:\"max_2600x2600\";a:3:{s:4:\"name\";s:13:\"Max 2600x2600\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:6:\"medium\";a:3:{s:4:\"name\";s:17:\"Medium (220×220)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:9:\"thumbnail\";a:3:{s:4:\"name\";s:20:\"Thumbnail (100×100)\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Represents the image in the given image style.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:22:\"image_with_image_style\";}s:5:\"title\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Title\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";}s:5:\"width\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Width\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"The width of the image in pixels.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";}}s:20:\"menu_link_content-id\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Integer value\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:22:\"menu_link_content-uuid\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Text value\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:29:\"menu_link_content-revision_id\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Integer value\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:26:\"menu_link_content-langcode\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Language code\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:24:\"menu_link_content-bundle\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Text value\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:34:\"menu_link_content-revision_created\";a:2:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Timestamp value\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}s:4:\"date\";a:4:{s:4:\"name\";s:22:\"Timestamp value format\";s:11:\"description\";N;s:6:\"module\";s:5:\"token\";s:4:\"type\";s:4:\"date\";}}s:31:\"menu_link_content-revision_user\";a:2:{s:6:\"entity\";a:4:{s:4:\"name\";r:2726;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"The referenced entity\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:5:\"token\";s:4:\"type\";s:4:\"user\";}s:9:\"target_id\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"@label ID\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:2726;}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:38:\"menu_link_content-revision_log_message\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Text value\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:25:\"menu_link_content-enabled\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Boolean value\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:23:\"menu_link_content-title\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Text value\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:29:\"menu_link_content-description\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Text value\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:27:\"menu_link_content-menu_name\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Text value\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:22:\"menu_link_content-link\";a:2:{s:5:\"title\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Link text\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}s:3:\"uri\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"URI\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:26:\"menu_link_content-external\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Boolean value\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:28:\"menu_link_content-rediscover\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Boolean value\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:24:\"menu_link_content-weight\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Integer value\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:26:\"menu_link_content-expanded\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Boolean value\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:24:\"menu_link_content-parent\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Text value\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:25:\"menu_link_content-changed\";a:2:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Timestamp value\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}s:4:\"date\";a:4:{s:4:\"name\";s:22:\"Timestamp value format\";s:11:\"description\";N;s:6:\"module\";s:5:\"token\";s:4:\"type\";s:4:\"date\";}}s:34:\"menu_link_content-default_langcode\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Boolean value\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:34:\"menu_link_content-revision_default\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Boolean value\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:47:\"menu_link_content-revision_translation_affected\";a:1:{s:5:\"value\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Boolean value\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";N;s:6:\"module\";s:5:\"token\";}}s:12:\"current-date\";a:14:{s:6:\"custom\";a:3:{s:4:\"name\";r:1549;s:11:\"description\";r:1553;s:7:\"dynamic\";b:1;}s:8:\"fallback\";a:3:{s:4:\"name\";s:20:\"Fallback date format\";s:11:\"description\";r:1560;s:6:\"module\";s:5:\"token\";}s:9:\"html_date\";a:3:{s:4:\"name\";s:9:\"HTML Date\";s:11:\"description\";r:1569;s:6:\"module\";s:5:\"token\";}s:13:\"html_datetime\";a:3:{s:4:\"name\";s:13:\"HTML Datetime\";s:11:\"description\";r:1578;s:6:\"module\";s:5:\"token\";}s:10:\"html_month\";a:3:{s:4:\"name\";s:10:\"HTML Month\";s:11:\"description\";r:1587;s:6:\"module\";s:5:\"token\";}s:9:\"html_time\";a:3:{s:4:\"name\";s:9:\"HTML Time\";s:11:\"description\";r:1596;s:6:\"module\";s:5:\"token\";}s:9:\"html_week\";a:3:{s:4:\"name\";s:9:\"HTML Week\";s:11:\"description\";r:1605;s:6:\"module\";s:5:\"token\";}s:9:\"html_year\";a:3:{s:4:\"name\";s:9:\"HTML Year\";s:11:\"description\";r:1614;s:6:\"module\";s:5:\"token\";}s:18:\"html_yearless_date\";a:3:{s:4:\"name\";s:18:\"HTML Yearless date\";s:11:\"description\";r:1623;s:6:\"module\";s:5:\"token\";}s:4:\"long\";a:2:{s:4:\"name\";r:1631;s:11:\"description\";r:1635;}s:6:\"medium\";a:2:{s:4:\"name\";r:1641;s:11:\"description\";r:1645;}s:3:\"raw\";a:2:{s:4:\"name\";r:1651;s:11:\"description\";r:1655;}s:5:\"short\";a:2:{s:4:\"name\";r:1661;s:11:\"description\";r:1665;}s:5:\"since\";a:2:{s:4:\"name\";r:1671;s:11:\"description\";r:1675;}}}s:5:\"types\";a:119:{s:5:\"array\";a:5:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Array\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:36:\"Tokens related to arrays of strings.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:5:\"array\";s:6:\"nested\";b:1;s:4:\"type\";s:5:\"array\";}s:17:\"node-field_banner\";a:5:{s:4:\"name\";s:6:\"Banner\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:17:\"node-field_banner\";s:6:\"nested\";b:1;s:4:\"type\";s:17:\"node-field_banner\";}s:23:\"node-field_banner_title\";a:5:{s:4:\"name\";s:12:\"Banner title\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:12:\"Banner title\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:23:\"node-field_banner_title\";s:6:\"nested\";b:1;s:4:\"type\";s:23:\"node-field_banner_title\";}s:18:\"block_content-info\";a:5:{s:4:\"name\";s:17:\"Block description\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:17:\"Block description\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:18:\"block_content-info\";s:6:\"nested\";b:1;s:4:\"type\";s:18:\"block_content-info\";}s:18:\"block_content-type\";a:5:{s:4:\"name\";s:10:\"Block type\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:10:\"Block type\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:18:\"block_content-type\";s:6:\"nested\";b:1;s:4:\"type\";s:18:\"block_content-type\";}s:18:\"block_content-body\";a:5:{s:4:\"name\";s:4:\"Body\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:4:\"Body\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:18:\"block_content-body\";s:6:\"nested\";b:1;s:4:\"type\";s:18:\"block_content-body\";}s:21:\"block_content-changed\";a:5:{s:4:\"name\";s:7:\"Changed\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:7:\"Changed\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:21:\"block_content-changed\";s:6:\"nested\";b:1;s:4:\"type\";s:21:\"block_content-changed\";}s:25:\"menu_link_content-changed\";a:5:{s:4:\"name\";s:7:\"Changed\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:7:\"Changed\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:25:\"menu_link_content-changed\";s:6:\"nested\";b:1;s:4:\"type\";s:25:\"menu_link_content-changed\";}s:29:\"simplenews_subscriber-changes\";a:5:{s:4:\"name\";s:7:\"Changes\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:7:\"Changes\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:29:\"simplenews_subscriber-changes\";s:6:\"nested\";b:1;s:4:\"type\";s:29:\"simplenews_subscriber-changes\";}s:7:\"comment\";a:4:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Comments\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:39:\"Tokens for comments posted on the site.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:7:\"comment\";s:4:\"type\";s:7:\"comment\";}s:12:\"node-comment\";a:5:{s:4:\"name\";s:8:\"Comments\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:8:\"Comments\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:12:\"node-comment\";s:6:\"nested\";b:1;s:4:\"type\";s:12:\"node-comment\";}s:15:\"contact_message\";a:4:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Contact message\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:15:\"contact_message\";s:6:\"module\";s:5:\"token\";s:4:\"type\";s:15:\"contact_message\";}s:12:\"content-type\";a:4:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Content types\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:32:\"Tokens related to content types.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:9:\"node_type\";s:4:\"type\";s:12:\"content-type\";}s:20:\"contact_message-copy\";a:5:{s:4:\"name\";s:4:\"Copy\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:4:\"Copy\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:20:\"contact_message-copy\";s:6:\"nested\";b:1;s:4:\"type\";s:20:\"contact_message-copy\";}s:29:\"simplenews_subscriber-created\";a:5:{s:4:\"name\";s:7:\"Created\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:7:\"Created\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:29:\"simplenews_subscriber-created\";s:6:\"nested\";b:1;s:4:\"type\";s:29:\"simplenews_subscriber-created\";}s:12:\"current-date\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Current date\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:44:\"Tokens related to the current date and time.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:4:\"date\";}s:12:\"current-page\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Current page\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:43:\"Tokens related to the current page request.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:12:\"current-page\";}s:12:\"current-user\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Current user\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"Tokens related to the currently logged in user.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:4:\"user\";}s:13:\"block_content\";a:4:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Custom block\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:13:\"block_content\";s:6:\"module\";s:5:\"token\";s:4:\"type\";s:13:\"block_content\";}s:16:\"block_content-id\";a:5:{s:4:\"name\";s:15:\"Custom block ID\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:15:\"Custom block ID\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:16:\"block_content-id\";s:6:\"nested\";b:1;s:4:\"type\";s:16:\"block_content-id\";}s:17:\"menu_link_content\";a:4:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Custom menu link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:17:\"menu_link_content\";s:6:\"module\";s:5:\"token\";s:4:\"type\";s:17:\"menu_link_content\";}s:24:\"menu_link_content-bundle\";a:5:{s:4:\"name\";s:23:\"Custom menu link bundle\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:23:\"Custom menu link bundle\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:24:\"menu_link_content-bundle\";s:6:\"nested\";b:1;s:4:\"type\";s:24:\"menu_link_content-bundle\";}s:4:\"date\";a:4:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Dates\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:34:\"Tokens related to times and dates.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:4:\"date\";s:4:\"type\";s:4:\"date\";}s:30:\"block_content-revision_default\";a:5:{s:4:\"name\";s:16:\"Default revision\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:16:\"Default revision\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:30:\"block_content-revision_default\";s:6:\"nested\";b:1;s:4:\"type\";s:30:\"block_content-revision_default\";}s:34:\"menu_link_content-revision_default\";a:5:{s:4:\"name\";s:16:\"Default revision\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:16:\"Default revision\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:34:\"menu_link_content-revision_default\";s:6:\"nested\";b:1;s:4:\"type\";s:34:\"menu_link_content-revision_default\";}s:27:\"path_alias-revision_default\";a:5:{s:4:\"name\";s:16:\"Default revision\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:16:\"Default revision\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:27:\"path_alias-revision_default\";s:6:\"nested\";b:1;s:4:\"type\";s:27:\"path_alias-revision_default\";}s:30:\"block_content-default_langcode\";a:5:{s:4:\"name\";s:19:\"Default translation\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:19:\"Default translation\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:30:\"block_content-default_langcode\";s:6:\"nested\";b:1;s:4:\"type\";s:30:\"block_content-default_langcode\";}s:34:\"menu_link_content-default_langcode\";a:5:{s:4:\"name\";s:19:\"Default translation\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:19:\"Default translation\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:34:\"menu_link_content-default_langcode\";s:6:\"nested\";b:1;s:4:\"type\";s:34:\"menu_link_content-default_langcode\";}s:25:\"shortcut-default_langcode\";a:5:{s:4:\"name\";s:19:\"Default translation\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:19:\"Default translation\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:25:\"shortcut-default_langcode\";s:6:\"nested\";b:1;s:4:\"type\";s:25:\"shortcut-default_langcode\";}s:29:\"menu_link_content-description\";a:5:{s:4:\"name\";s:11:\"Description\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:11:\"Description\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:29:\"menu_link_content-description\";s:6:\"nested\";b:1;s:4:\"type\";s:29:\"menu_link_content-description\";}s:26:\"simplenews_subscriber-mail\";a:5:{s:4:\"name\";s:5:\"Email\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:5:\"Email\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:26:\"simplenews_subscriber-mail\";s:6:\"nested\";b:1;s:4:\"type\";s:26:\"simplenews_subscriber-mail\";}s:25:\"menu_link_content-enabled\";a:5:{s:4:\"name\";s:7:\"Enabled\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:7:\"Enabled\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:25:\"menu_link_content-enabled\";s:6:\"nested\";b:1;s:4:\"type\";s:25:\"menu_link_content-enabled\";}s:20:\"menu_link_content-id\";a:5:{s:4:\"name\";s:9:\"Entity ID\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:9:\"Entity ID\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:20:\"menu_link_content-id\";s:6:\"nested\";b:1;s:4:\"type\";s:20:\"menu_link_content-id\";}s:26:\"menu_link_content-external\";a:5:{s:4:\"name\";s:8:\"External\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:8:\"External\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:26:\"menu_link_content-external\";s:6:\"nested\";b:1;s:4:\"type\";s:26:\"menu_link_content-external\";}s:4:\"file\";a:4:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Files\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Tokens related to uploaded files.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:4:\"file\";s:4:\"type\";s:4:\"file\";}s:28:\"contact_message-contact_form\";a:5:{s:4:\"name\";s:7:\"Form ID\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:7:\"Form ID\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:28:\"contact_message-contact_form\";s:6:\"nested\";b:1;s:4:\"type\";s:28:\"contact_message-contact_form\";}s:18:\"node-field_gallery\";a:5:{s:4:\"name\";s:7:\"Gallery\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:7:\"Gallery\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:18:\"node-field_gallery\";s:6:\"nested\";b:1;s:4:\"type\";s:18:\"node-field_gallery\";}s:21:\"node-field_icon_class\";a:5:{s:4:\"name\";s:10:\"Icon class\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:10:\"Icon class\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:21:\"node-field_icon_class\";s:6:\"nested\";b:1;s:4:\"type\";s:21:\"node-field_icon_class\";}s:13:\"path_alias-id\";a:5:{s:4:\"name\";s:2:\"ID\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:2:\"ID\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:13:\"path_alias-id\";s:6:\"nested\";b:1;s:4:\"type\";s:13:\"path_alias-id\";}s:11:\"shortcut-id\";a:5:{s:4:\"name\";s:2:\"ID\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:2:\"ID\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:11:\"shortcut-id\";s:6:\"nested\";b:1;s:4:\"type\";s:11:\"shortcut-id\";}s:16:\"node-field_image\";a:5:{s:4:\"name\";s:5:\"Image\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:5:\"Image\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:16:\"node-field_image\";s:6:\"nested\";b:1;s:4:\"type\";s:16:\"node-field_image\";}s:22:\"image_with_image_style\";a:5:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"Image with image style\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:22:\"image_with_image_style\";s:6:\"module\";s:5:\"token\";s:6:\"nested\";b:1;s:4:\"type\";s:22:\"image_with_image_style\";}s:28:\"menu_link_content-rediscover\";a:5:{s:4:\"name\";s:54:\"Indicates whether the menu link should be rediscovered\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:54:\"Indicates whether the menu link should be rediscovered\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:28:\"menu_link_content-rediscover\";s:6:\"nested\";b:1;s:4:\"type\";s:28:\"menu_link_content-rediscover\";}s:22:\"block_content-langcode\";a:5:{s:4:\"name\";s:8:\"Language\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:8:\"Language\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:22:\"block_content-langcode\";s:6:\"nested\";b:1;s:4:\"type\";s:22:\"block_content-langcode\";}s:24:\"contact_message-langcode\";a:5:{s:4:\"name\";s:8:\"Language\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:8:\"Language\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:24:\"contact_message-langcode\";s:6:\"nested\";b:1;s:4:\"type\";s:24:\"contact_message-langcode\";}s:26:\"menu_link_content-langcode\";a:5:{s:4:\"name\";s:8:\"Language\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:8:\"Language\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:26:\"menu_link_content-langcode\";s:6:\"nested\";b:1;s:4:\"type\";s:26:\"menu_link_content-langcode\";}s:19:\"path_alias-langcode\";a:5:{s:4:\"name\";s:8:\"Language\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:8:\"Language\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:19:\"path_alias-langcode\";s:6:\"nested\";b:1;s:4:\"type\";s:19:\"path_alias-langcode\";}s:17:\"shortcut-langcode\";a:5:{s:4:\"name\";s:8:\"Language\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:8:\"Language\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:17:\"shortcut-langcode\";s:6:\"nested\";b:1;s:4:\"type\";s:17:\"shortcut-langcode\";}s:30:\"simplenews_subscriber-langcode\";a:5:{s:4:\"name\";s:8:\"Language\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:8:\"Language\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:30:\"simplenews_subscriber-langcode\";s:6:\"nested\";b:1;s:4:\"type\";s:30:\"simplenews_subscriber-langcode\";}s:22:\"menu_link_content-link\";a:5:{s:4:\"name\";s:4:\"Link\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:4:\"Link\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:22:\"menu_link_content-link\";s:6:\"nested\";b:1;s:4:\"type\";s:22:\"menu_link_content-link\";}s:15:\"node-field_link\";a:5:{s:4:\"name\";s:4:\"Link\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:4:\"Link\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:15:\"node-field_link\";s:6:\"nested\";b:1;s:4:\"type\";s:15:\"node-field_link\";}s:24:\"list<node-field_gallery>\";a:5:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"List of @type values\";s:12:\"\0*\0arguments\";a:1:{s:5:\"@type\";s:7:\"Gallery\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Tokens for lists of @type values.\";s:12:\"\0*\0arguments\";a:1:{s:5:\"@type\";s:7:\"Gallery\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:24:\"list<node-field_gallery>\";s:6:\"nested\";b:1;s:4:\"type\";s:24:\"list<node-field_gallery>\";}s:41:\"list<simplenews_subscriber-subscriptions>\";a:5:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"List of @type values\";s:12:\"\0*\0arguments\";a:1:{s:5:\"@type\";s:13:\"Subscriptions\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Tokens for lists of @type values.\";s:12:\"\0*\0arguments\";a:1:{s:5:\"@type\";s:13:\"Subscriptions\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:41:\"list<simplenews_subscriber-subscriptions>\";s:6:\"nested\";b:1;s:4:\"type\";s:41:\"list<simplenews_subscriber-subscriptions>\";}s:21:\"list<node-field_tags>\";a:5:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"List of @type values\";s:12:\"\0*\0arguments\";a:1:{s:5:\"@type\";s:4:\"Tags\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Tokens for lists of @type values.\";s:12:\"\0*\0arguments\";a:1:{s:5:\"@type\";s:4:\"Tags\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:21:\"list<node-field_tags>\";s:6:\"nested\";b:1;s:4:\"type\";s:21:\"list<node-field_tags>\";}s:9:\"menu-link\";a:4:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Menu links\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Tokens related to menu links.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:9:\"menu-link\";s:4:\"type\";s:9:\"menu-link\";}s:23:\"menu_link_content-title\";a:5:{s:4:\"name\";s:15:\"Menu link title\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:15:\"Menu link title\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:23:\"menu_link_content-title\";s:6:\"nested\";b:1;s:4:\"type\";s:23:\"menu_link_content-title\";}s:27:\"menu_link_content-menu_name\";a:5:{s:4:\"name\";s:9:\"Menu name\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:9:\"Menu name\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:27:\"menu_link_content-menu_name\";s:6:\"nested\";b:1;s:4:\"type\";s:27:\"menu_link_content-menu_name\";}s:4:\"menu\";a:4:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Menus\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Tokens related to menus.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:4:\"menu\";s:4:\"type\";s:4:\"menu\";}s:23:\"contact_message-message\";a:5:{s:4:\"name\";s:7:\"Message\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:7:\"Message\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:23:\"contact_message-message\";s:6:\"nested\";b:1;s:4:\"type\";s:23:\"contact_message-message\";}s:14:\"shortcut-title\";a:5:{s:4:\"name\";s:4:\"Name\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:4:\"Name\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:14:\"shortcut-title\";s:6:\"nested\";b:1;s:4:\"type\";s:14:\"shortcut-title\";}s:21:\"node-simplenews_issue\";a:5:{s:4:\"name\";s:10:\"Newsletter\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:10:\"Newsletter\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:21:\"node-simplenews_issue\";s:6:\"nested\";b:1;s:4:\"type\";s:21:\"node-simplenews_issue\";}s:4:\"node\";a:4:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Nodes\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:55:\"Tokens related to individual content items, or \"nodes\".\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:4:\"node\";s:4:\"type\";s:4:\"node\";}s:24:\"menu_link_content-parent\";a:5:{s:4:\"name\";s:16:\"Parent plugin ID\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:16:\"Parent plugin ID\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:24:\"menu_link_content-parent\";s:6:\"nested\";b:1;s:4:\"type\";s:24:\"menu_link_content-parent\";}s:19:\"node-field_partners\";a:5:{s:4:\"name\";s:8:\"Partners\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:8:\"Partners\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:19:\"node-field_partners\";s:6:\"nested\";b:1;s:4:\"type\";s:19:\"node-field_partners\";}s:13:\"shortcut-link\";a:5:{s:4:\"name\";s:4:\"Path\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:4:\"Path\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:13:\"shortcut-link\";s:6:\"nested\";b:1;s:4:\"type\";s:13:\"shortcut-link\";}s:18:\"node-field_percent\";a:5:{s:4:\"name\";s:7:\"Percent\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:7:\"Percent\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:18:\"node-field_percent\";s:6:\"nested\";b:1;s:4:\"type\";s:18:\"node-field_percent\";}s:17:\"user-user_picture\";a:5:{s:4:\"name\";s:7:\"Picture\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:7:\"Picture\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:17:\"user-user_picture\";s:6:\"nested\";b:1;s:4:\"type\";s:17:\"user-user_picture\";}s:20:\"block_content-status\";a:5:{s:4:\"name\";s:9:\"Published\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:9:\"Published\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:20:\"block_content-status\";s:6:\"nested\";b:1;s:4:\"type\";s:20:\"block_content-status\";}s:17:\"path_alias-status\";a:5:{s:4:\"name\";s:9:\"Published\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:9:\"Published\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:17:\"path_alias-status\";s:6:\"nested\";b:1;s:4:\"type\";s:17:\"path_alias-status\";}s:6:\"random\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Random\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:30:\"Tokens related to random data.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:6:\"random\";}s:25:\"contact_message-recipient\";a:5:{s:4:\"name\";s:12:\"Recipient ID\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:12:\"Recipient ID\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:25:\"contact_message-recipient\";s:6:\"nested\";b:1;s:4:\"type\";s:25:\"contact_message-recipient\";}s:22:\"block_content-reusable\";a:5:{s:4:\"name\";s:8:\"Reusable\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:8:\"Reusable\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:22:\"block_content-reusable\";s:6:\"nested\";b:1;s:4:\"type\";s:22:\"block_content-reusable\";}s:30:\"block_content-revision_created\";a:5:{s:4:\"name\";s:20:\"Revision create time\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:20:\"Revision create time\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:30:\"block_content-revision_created\";s:6:\"nested\";b:1;s:4:\"type\";s:30:\"block_content-revision_created\";}s:34:\"menu_link_content-revision_created\";a:5:{s:4:\"name\";s:20:\"Revision create time\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:20:\"Revision create time\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:34:\"menu_link_content-revision_created\";s:6:\"nested\";b:1;s:4:\"type\";s:34:\"menu_link_content-revision_created\";}s:25:\"block_content-revision_id\";a:5:{s:4:\"name\";s:11:\"Revision ID\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:11:\"Revision ID\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:25:\"block_content-revision_id\";s:6:\"nested\";b:1;s:4:\"type\";s:25:\"block_content-revision_id\";}s:29:\"menu_link_content-revision_id\";a:5:{s:4:\"name\";s:11:\"Revision ID\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:11:\"Revision ID\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:29:\"menu_link_content-revision_id\";s:6:\"nested\";b:1;s:4:\"type\";s:29:\"menu_link_content-revision_id\";}s:22:\"path_alias-revision_id\";a:5:{s:4:\"name\";s:11:\"Revision ID\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:11:\"Revision ID\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:22:\"path_alias-revision_id\";s:6:\"nested\";b:1;s:4:\"type\";s:22:\"path_alias-revision_id\";}s:26:\"block_content-revision_log\";a:5:{s:4:\"name\";s:20:\"Revision log message\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:20:\"Revision log message\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:26:\"block_content-revision_log\";s:6:\"nested\";b:1;s:4:\"type\";s:26:\"block_content-revision_log\";}s:38:\"menu_link_content-revision_log_message\";a:5:{s:4:\"name\";s:20:\"Revision log message\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:20:\"Revision log message\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:38:\"menu_link_content-revision_log_message\";s:6:\"nested\";b:1;s:4:\"type\";s:38:\"menu_link_content-revision_log_message\";}s:43:\"block_content-revision_translation_affected\";a:5:{s:4:\"name\";s:29:\"Revision translation affected\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:29:\"Revision translation affected\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:43:\"block_content-revision_translation_affected\";s:6:\"nested\";b:1;s:4:\"type\";s:43:\"block_content-revision_translation_affected\";}s:47:\"menu_link_content-revision_translation_affected\";a:5:{s:4:\"name\";s:29:\"Revision translation affected\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:29:\"Revision translation affected\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:47:\"menu_link_content-revision_translation_affected\";s:6:\"nested\";b:1;s:4:\"type\";s:47:\"menu_link_content-revision_translation_affected\";}s:27:\"block_content-revision_user\";a:5:{s:4:\"name\";s:13:\"Revision user\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:13:\"Revision user\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:27:\"block_content-revision_user\";s:6:\"nested\";b:1;s:4:\"type\";s:27:\"block_content-revision_user\";}s:31:\"menu_link_content-revision_user\";a:5:{s:4:\"name\";s:13:\"Revision user\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:13:\"Revision user\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:31:\"menu_link_content-revision_user\";s:6:\"nested\";b:1;s:4:\"type\";s:31:\"menu_link_content-revision_user\";}s:8:\"shortcut\";a:4:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Shortcut link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:8:\"shortcut\";s:6:\"module\";s:5:\"token\";s:4:\"type\";s:8:\"shortcut\";}s:21:\"shortcut-shortcut_set\";a:5:{s:4:\"name\";s:12:\"Shortcut set\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:12:\"Shortcut set\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:21:\"shortcut-shortcut_set\";s:6:\"nested\";b:1;s:4:\"type\";s:21:\"shortcut-shortcut_set\";}s:26:\"menu_link_content-expanded\";a:5:{s:4:\"name\";s:16:\"Show as expanded\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:16:\"Show as expanded\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:26:\"menu_link_content-expanded\";s:6:\"nested\";b:1;s:4:\"type\";s:26:\"menu_link_content-expanded\";}s:21:\"simplenews-newsletter\";a:4:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Simplenews newsletter\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:32:\"Tokens related to the newsletter\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:10:\"newsletter\";s:4:\"type\";s:21:\"simplenews-newsletter\";}s:21:\"simplenews_subscriber\";a:4:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Simplenews subscriber\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:21:\"simplenews_subscriber\";s:6:\"module\";s:5:\"token\";s:4:\"type\";s:21:\"simplenews_subscriber\";}s:21:\"simplenews-subscriber\";a:4:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Simplenews subscriber\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:42:\"Tokens related to the newsletter recipient\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:21:\"simplenews_subscriber\";s:4:\"type\";s:21:\"simplenews-subscriber\";}s:4:\"site\";a:3:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Site information\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:59:\"Tokens for site-wide settings and other global information.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:4:\"site\";}s:20:\"node-field_slideshow\";a:5:{s:4:\"name\";s:9:\"Slideshow\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:9:\"Slideshow\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:20:\"node-field_slideshow\";s:6:\"nested\";b:1;s:4:\"type\";s:20:\"node-field_slideshow\";}s:28:\"simplenews_subscriber-status\";a:5:{s:4:\"name\";s:6:\"Status\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:6:\"Status\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:28:\"simplenews_subscriber-status\";s:6:\"nested\";b:1;s:4:\"type\";s:28:\"simplenews_subscriber-status\";}s:23:\"contact_message-subject\";a:5:{s:4:\"name\";s:7:\"Subject\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:7:\"Subject\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:23:\"contact_message-subject\";s:6:\"nested\";b:1;s:4:\"type\";s:23:\"contact_message-subject\";}s:24:\"simplenews_subscriber-id\";a:5:{s:4:\"name\";s:13:\"Subscriber ID\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:13:\"Subscriber ID\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:24:\"simplenews_subscriber-id\";s:6:\"nested\";b:1;s:4:\"type\";s:24:\"simplenews_subscriber-id\";}s:35:\"simplenews_subscriber-subscriptions\";a:5:{s:4:\"name\";s:13:\"Subscriptions\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:13:\"Subscriptions\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:35:\"simplenews_subscriber-subscriptions\";s:6:\"nested\";b:1;s:4:\"type\";s:35:\"simplenews_subscriber-subscriptions\";}s:13:\"node-field_su\";a:5:{s:4:\"name\";s:7:\"Summary\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:7:\"Summary\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:13:\"node-field_su\";s:6:\"nested\";b:1;s:4:\"type\";s:13:\"node-field_su\";}s:15:\"path_alias-path\";a:5:{s:4:\"name\";s:11:\"System path\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:11:\"System path\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:15:\"path_alias-path\";s:6:\"nested\";b:1;s:4:\"type\";s:15:\"path_alias-path\";}s:15:\"node-field_tags\";a:5:{s:4:\"name\";s:4:\"Tags\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:4:\"Tags\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:15:\"node-field_tags\";s:6:\"nested\";b:1;s:4:\"type\";s:15:\"node-field_tags\";}s:4:\"term\";a:4:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Taxonomy terms\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Tokens related to taxonomy terms.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:4:\"term\";s:4:\"type\";s:4:\"term\";}s:20:\"contact_message-mail\";a:5:{s:4:\"name\";s:23:\"The sender&#039;s email\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:23:\"The sender&#039;s email\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:20:\"contact_message-mail\";s:6:\"nested\";b:1;s:4:\"type\";s:20:\"contact_message-mail\";}s:20:\"contact_message-name\";a:5:{s:4:\"name\";s:22:\"The sender&#039;s name\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:22:\"The sender&#039;s name\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:20:\"contact_message-name\";s:6:\"nested\";b:1;s:4:\"type\";s:20:\"contact_message-name\";}s:15:\"node-field_type\";a:5:{s:4:\"name\";s:4:\"Type\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:4:\"Type\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:15:\"node-field_type\";s:6:\"nested\";b:1;s:4:\"type\";s:15:\"node-field_type\";}s:3:\"url\";a:4:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"URL\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"Tokens related to URLs.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:4:\"path\";s:4:\"type\";s:3:\"url\";}s:10:\"path_alias\";a:4:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"URL alias\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:10:\"path_alias\";s:6:\"module\";s:5:\"token\";s:4:\"type\";s:10:\"path_alias\";}s:16:\"path_alias-alias\";a:5:{s:4:\"name\";s:9:\"URL alias\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:9:\"URL alias\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:16:\"path_alias-alias\";s:6:\"nested\";b:1;s:4:\"type\";s:16:\"path_alias-alias\";}s:25:\"simplenews_subscriber-uid\";a:5:{s:4:\"name\";s:4:\"User\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:4:\"User\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:25:\"simplenews_subscriber-uid\";s:6:\"nested\";b:1;s:4:\"type\";s:25:\"simplenews_subscriber-uid\";}s:4:\"user\";a:4:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Users\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:43:\"Tokens related to individual user accounts.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:4:\"user\";s:4:\"type\";s:4:\"user\";}s:18:\"block_content-uuid\";a:5:{s:4:\"name\";s:4:\"UUID\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:4:\"UUID\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:18:\"block_content-uuid\";s:6:\"nested\";b:1;s:4:\"type\";s:18:\"block_content-uuid\";}s:20:\"contact_message-uuid\";a:5:{s:4:\"name\";s:4:\"UUID\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:4:\"UUID\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:20:\"contact_message-uuid\";s:6:\"nested\";b:1;s:4:\"type\";s:20:\"contact_message-uuid\";}s:22:\"menu_link_content-uuid\";a:5:{s:4:\"name\";s:4:\"UUID\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:4:\"UUID\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:22:\"menu_link_content-uuid\";s:6:\"nested\";b:1;s:4:\"type\";s:22:\"menu_link_content-uuid\";}s:15:\"path_alias-uuid\";a:5:{s:4:\"name\";s:4:\"UUID\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:4:\"UUID\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:15:\"path_alias-uuid\";s:6:\"nested\";b:1;s:4:\"type\";s:15:\"path_alias-uuid\";}s:13:\"shortcut-uuid\";a:5:{s:4:\"name\";s:4:\"UUID\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:4:\"UUID\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:13:\"shortcut-uuid\";s:6:\"nested\";b:1;s:4:\"type\";s:13:\"shortcut-uuid\";}s:26:\"simplenews_subscriber-uuid\";a:5:{s:4:\"name\";s:4:\"UUID\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:4:\"UUID\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:26:\"simplenews_subscriber-uuid\";s:6:\"nested\";b:1;s:4:\"type\";s:26:\"simplenews_subscriber-uuid\";}s:16:\"node-field_video\";a:5:{s:4:\"name\";s:5:\"Video\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:5:\"Video\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:16:\"node-field_video\";s:6:\"nested\";b:1;s:4:\"type\";s:16:\"node-field_video\";}s:4:\"view\";a:4:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"View\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:16:\"View entity type\";}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Tokens related to views.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:4:\"view\";s:4:\"type\";s:4:\"view\";}s:10:\"vocabulary\";a:4:{s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Vocabularies\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:40:\"Tokens related to taxonomy vocabularies.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:10:\"vocabulary\";s:4:\"type\";s:10:\"vocabulary\";}s:24:\"menu_link_content-weight\";a:5:{s:4:\"name\";s:6:\"Weight\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:6:\"Weight\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:24:\"menu_link_content-weight\";s:6:\"nested\";b:1;s:4:\"type\";s:24:\"menu_link_content-weight\";}s:15:\"shortcut-weight\";a:5:{s:4:\"name\";s:6:\"Weight\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:6:\"Weight\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:15:\"shortcut-weight\";s:6:\"nested\";b:1;s:4:\"type\";s:15:\"shortcut-weight\";}s:22:\"node-field_why_us_type\";a:5:{s:4:\"name\";s:11:\"Why us type\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label tokens.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:11:\"Why us type\";}s:10:\"\0*\0options\";a:0:{}}s:10:\"needs-data\";s:22:\"node-field_why_us_type\";s:6:\"nested\";b:1;s:4:\"type\";s:22:\"node-field_why_us_type\";}}}',-1,1637057230.737,1,'token_info','1'),('twig:618390d7cb50f___string_template__1b58f4__JD0YabZ-utJ4JGLz9zKfJDL5','i:1636012247;',-1,1636012250.868,1,'','0'),('twig:618390d7cb50f___string_template__29da5d_NECVNhWi54-c1H60vVuUsdaRE','i:1636012247;',-1,1636012250.172,1,'','0'),('twig:618390d7cb50f___string_template__34147b_w639ThB9FXbG35STcGIJflpLo','i:1636012339;',-1,1636012340.273,1,'','0'),('twig:618390d7cb50f___string_template__5b22b0_9slcGeZlQ-Wfe37HcAtSn9Gzu','i:1636012247;',-1,1636012250.873,1,'','0'),('twig:618390d7cb50f___string_template__6a2704_U0hoZ2_3qHJryQhYCIKi5CwJN','i:1636012247;',-1,1636012247.860,1,'','0'),('twig:618390d7cb50f___string_template__c4c68e_qtIvXV-0iftdMGrBYSJ_jBNnU','i:1636012247;',-1,1636012251.094,1,'','0'),('twig:618390d7cb50f___string_template__d3e79b_WXHj4_HYMpeMkhEZySZfJilWW','i:1636012247;',-1,1636012247.851,1,'','0'),('twig:618390d7cb50f___string_template__e4d6be_yAUA9P_fhz6iD-ybl0MExGWCZ','i:1636012247;',-1,1636012250.664,1,'','0'),('twig:618390d7cb50f___string_template__fdd1e7_9Ki1p_BVuEp-gVpipS_K1mPn1','i:1636012247;',-1,1636012250.670,1,'','0'),('twig:618390d7cb50f_admin-block-content.html._VJg8ASxLPP3-iXp5ZjmJHwUb7','i:1637057228;',-1,1637057231.009,1,'','0'),('twig:618390d7cb50f_admin-block.html.twig_3gMNjmQvb_OiiJGoFCGUckfey','i:1637057228;',-1,1637057231.000,1,'','0'),('twig:618390d7cb50f_admin-page.html.twig_LAN6RhcqKac8ssnNqB8MjLCU5','i:1637057228;',-1,1637057230.958,1,'','0'),('twig:618390d7cb50f_block--local-actions-bloc_CmM5bIEx59uSuCZ72r-qr0-Ey','i:1636012331;',-1,1636012333.265,1,'','0'),('twig:618390d7cb50f_block--local-tasks-block._ProtkFcgYopam7fvIWE-n4tsG','i:1636709603;',-1,1636709608.027,1,'','0'),('twig:618390d7cb50f_block--local-tasks-block._YB-AZh9byNiMp-lOZlUuDNLCI','i:1636012331;',-1,1636012333.170,1,'','0'),('twig:618390d7cb50f_block--system-branding-bl_XTZcludTDhNmiFEldfSCs05vu','i:1636012247;',-1,1636012249.549,1,'','0'),('twig:618390d7cb50f_block--system-menu-block._qfgREelaiqUhdKBkhzoxMijTn','i:1636012247;',-1,1636012249.494,1,'','0'),('twig:618390d7cb50f_block--system-messages-bl_KpPTZucpN0c4N7IX9WgAk3qtD','i:1636012247;',-1,1636012249.945,1,'','0'),('twig:618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN','i:1636012247;',-1,1636012249.557,1,'','0'),('twig:618390d7cb50f_block.html.twig_D4TEY2uh7S_sf57JQPb78G9PC','i:1636012331;',-1,1636012333.129,1,'','0'),('twig:618390d7cb50f_block.html.twig_ujn5LjuRWjcMscNKRNr8oMF9I','i:1636012331;',-1,1636012333.273,1,'','0'),('twig:618390d7cb50f_breadcrumb.html.twig_MEv5qfairfoCQmfPYwnsp7uGN','i:1636012331;',-1,1636012333.204,1,'','0'),('twig:618390d7cb50f_colorbox-formatter.html.t_XetUzkN45IhFwwkmDgqYywJi5','i:1636012247;',-1,1636012250.350,1,'','0'),('twig:618390d7cb50f_container.html.twig_Nb3VSOiSzmY_QZJ4tK339NmWO','i:1636012247;',-1,1636012247.983,1,'','0'),('twig:618390d7cb50f_details.html.twig_TKmQQp1VVggoy51goISMXVVG4','i:1636012331;',-1,1636012332.623,1,'','0'),('twig:618390d7cb50f_feed-icon.html.twig_gmLcNHO3ALTww0sBeP8tHhXCs','i:1636012247;',-1,1636012247.973,1,'','0'),('twig:618390d7cb50f_field--text-with-summary._tr-WGEvqTsnmTANhpmdUaOg7x','i:1636012247;',-1,1636012251.278,1,'','0'),('twig:618390d7cb50f_field--text.html.twig_fy91UfOf0GIy8zF8I8vcBVWl_','i:1636012247;',-1,1636012251.283,1,'','0'),('twig:618390d7cb50f_field-multiple-value-form_QVH6PMLRjSK-0bZeAezFNhWEg','i:1636709603;',-1,1636709609.066,1,'','0'),('twig:618390d7cb50f_field.html.twig_o_nyb0Ycf7dFU4NJYDIaLTqbT','i:1636012247;',-1,1636012251.295,1,'','0'),('twig:618390d7cb50f_fieldset.html.twig_SHEZlwevMC2k4vKBBrxraI7Rp','i:1637057237;',-1,1637057237.219,1,'','0'),('twig:618390d7cb50f_form-element-label.html.t_FMJOqVzOPDu3yMS1H9orCG5Hd','i:1636012331;',-1,1636012332.517,1,'','0'),('twig:618390d7cb50f_form-element-label.html.t_NwJadk4E55fohQ5x18gVbvaNW','i:1636709603;',-1,1636709606.858,1,'','0'),('twig:618390d7cb50f_form-element.html.twig_EA3goqsDkggXS0JqKiVCs8BaU','i:1636012331;',-1,1636012332.509,1,'','0'),('twig:618390d7cb50f_form-element.html.twig_HX7jNObdg_sr73cdlk2vi_PpY','i:1636012247;',-1,1636012249.391,1,'','0'),('twig:618390d7cb50f_form.html.twig_3UYx53zgmjZlaFXcjn6HLB-DU','i:1636012247;',-1,1636012251.250,1,'','0'),('twig:618390d7cb50f_html.html.twig_cQ0HsWsQXe9HHLeSTOe4-SdV9','i:1636012331;',-1,1636012332.888,1,'','0'),('twig:618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC','i:1636012247;',-1,1636012248.385,1,'','0'),('twig:618390d7cb50f_image-formatter.html.twig_6aDXR8RxwNg8V1jHD6-DwTtO_','i:1636012247;',-1,1636012249.796,1,'','0'),('twig:618390d7cb50f_image-style.html.twig_Pfb5eP8mE1XlHkQu8qUhMPbra','i:1636012247;',-1,1636012249.851,1,'','0'),('twig:618390d7cb50f_image.html.twig_nW6Ki-IUnvjDsp0jTUWHt1j20','i:1636012247;',-1,1636012249.858,1,'','0'),('twig:618390d7cb50f_input.html.twig_Xi0HNf5GQEYMlze-Z5DeWiQoQ','i:1636012247;',-1,1636012249.376,1,'','0'),('twig:618390d7cb50f_item-list.html.twig_Ss1E1_uvUfJpReJ04EqxNyoFW','i:1636012331;',-1,1636012332.530,1,'','0'),('twig:618390d7cb50f_links.html.twig_6vChyA8xl-TxZN4cYpzAMnvAt','i:1636012247;',-1,1636012251.328,1,'','0'),('twig:618390d7cb50f_menu--toolbar.html.twig_ryiLfeBwamQ995sfMrRF7ZmR8','i:1636012247;',-1,1636012248.498,1,'','0'),('twig:618390d7cb50f_menu-local-action.html.tw_GxhUawXHwt28s-mARtybxV39e','i:1636012331;',-1,1636012333.280,1,'','0'),('twig:618390d7cb50f_menu-local-task.html.twig__-SqwJgjOFpPrK4GS_17YQCIi','i:1636709603;',-1,1636709608.055,1,'','0'),('twig:618390d7cb50f_menu-local-task.html.twig_umzaMA5fg9qEK913Tccec5Bi5','i:1636012331;',-1,1636012333.183,1,'','0'),('twig:618390d7cb50f_menu-local-tasks.html.twi_BVKsROj7FyCeGOmcAVFAAysba','i:1636709603;',-1,1636709608.038,1,'','0'),('twig:618390d7cb50f_menu-local-tasks.html.twi_Z86oOP6QBwqcooZUQpk2wjcWd','i:1636012331;',-1,1636012333.177,1,'','0'),('twig:618390d7cb50f_menu.html.twig_4VtkVXwch6yDZI1pRTN2YWFAw','i:1636012247;',-1,1636012249.505,1,'','0'),('twig:618390d7cb50f_off-canvas-page-wrapper.h_All6Y7Nf-xrkc_7a_xAKIhaUc','i:1636012247;',-1,1636012251.315,1,'','0'),('twig:618390d7cb50f_page-title.html.twig_ZVwaPw0bjY-r2TU_0l_ydm4XS','i:1636012331;',-1,1636012333.148,1,'','0'),('twig:618390d7cb50f_page-title.html.twig_enSy4fxSmf4YPtaKiNKUlyvLx','i:1636012247;',-1,1636012250.015,1,'','0'),('twig:618390d7cb50f_page-title.html.twig_oVtqpxyBLLnty594_b8P1ikoC','i:1636012247;',-1,1636012250.008,1,'','0'),('twig:618390d7cb50f_page.html.twig_mT6oXRMXjgFo7s2EfEKF6cWkC','i:1636012331;',-1,1636012333.118,1,'','0'),('twig:618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG','i:1636012247;',-1,1636012249.474,1,'','0'),('twig:618390d7cb50f_radios.html.twig_cD0wo5PhehM2KE4yzUWkXpnLU','i:1637057237;',-1,1637057237.209,1,'','0'),('twig:618390d7cb50f_region--header.html.twig_oKqCAm7YcCB4Xse9GjobYzYbG','i:1636012247;',-1,1636012249.570,1,'','0'),('twig:618390d7cb50f_region.html.twig_C8J2XltayY6vSvaSpWqShumqO','i:1636012247;',-1,1636012249.521,1,'','0'),('twig:618390d7cb50f_region.html.twig_LJArt82XlLlmiPNAWBSabDd60','i:1636012331;',-1,1636012333.190,1,'','0'),('twig:618390d7cb50f_select.html.twig_KQ7f2aANHl_XX7VHaphMdwFDV','i:1637057237;',-1,1637057237.201,1,'','0'),('twig:618390d7cb50f_status-messages.html.twig_WVajP5MGUAzjNK5jWM6APgthm','i:1636012331;',-1,1636012333.312,1,'','0'),('twig:618390d7cb50f_system-config-form.html.t_TUsY6MT23t0UiObWO1AaiHU5F','i:1637057237;',-1,1637057237.177,1,'','0'),('twig:618390d7cb50f_system-modules-details.ht_EH__BHHpCTAlPRLpO4emdg7J7','i:1636012331;',-1,1636012332.566,1,'','0'),('twig:618390d7cb50f_system-modules-uninstall._RQe6zfZjLrpvkOGTfiyJVwdxP','i:1636012337;',-1,1636012338.013,1,'','0'),('twig:618390d7cb50f_table.html.twig_40o7Nw3ZlVQdNVRpmjeSuAc0t','i:1636012339;',-1,1636012340.264,1,'','0'),('twig:618390d7cb50f_textarea.html.twig_OiuQ7piRoGxWciNDm5-tqFt9_','i:1637057237;',-1,1637057237.231,1,'','0'),('twig:618390d7cb50f_token-tree-link.html.twig_4OoIMeZk-PSaS73RMKncwoFMz','i:1637057237;',-1,1637057237.296,1,'','0'),('twig:618390d7cb50f_toolbar.html.twig_4iriJAeHfddn0coPE3KM9X7VR','i:1636012331;',-1,1636012333.061,1,'','0'),('twig:618390d7cb50f_toolbar.html.twig_IPFZnSktPVBg3AT8mcxH_kq3X','i:1636012247;',-1,1636012249.402,1,'','0'),('twig:618390d7cb50f_update-last-check.html.tw_RaqoZWkvY5FedketzQjcdojcb','i:1636012339;',-1,1636012339.986,1,'','0'),('twig:618390d7cb50f_user.html.twig_VgS0_3sQjchvQS4ndwtEaeThX','i:1636711420;',-1,1636711421.552,1,'','0'),('twig:618390d7cb50f_vertical-tabs.html.twig_MkALQwTUlmOwDy505Dn3MMM0n','i:1637057237;',-1,1637057237.303,1,'','0'),('twig:618390d7cb50f_views-view-field.html.twi_jC8H3BT9ImXF4I3FU2Q7pGegL','i:1636012247;',-1,1636012247.866,1,'','0'),('twig:618390d7cb50f_views-view-fields.html.tw_tzLcmFZ38YMJ5zdOVvZWUtpHr','i:1636012247;',-1,1636012247.966,1,'','0'),('twig:618390d7cb50f_views-view-grid.html.twig_WPUDb2YcmVP0Y5T9DUjekMlLP','i:1636012247;',-1,1636012247.954,1,'','0'),('twig:618390d7cb50f_views-view-unformatted--o_GaOqt7gVTXuov--xuPm1fGR3h','i:1636012247;',-1,1636012250.937,1,'','0'),('twig:618390d7cb50f_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh','i:1636012247;',-1,1636012249.897,1,'','0'),('twig:618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm','i:1636012247;',-1,1636012247.940,1,'','0'),('twig:618390d7cb50f_we-megamenu-col.html.twig_OGERRDPMzpkc9ET394F_Z0Ihs','i:1636012247;',-1,1636012249.703,1,'','0'),('twig:618390d7cb50f_we-megamenu-frontend.html_GRUQ2wpWIib4Zme_BcxFeip4k','i:1636012247;',-1,1636012249.618,1,'','0'),('twig:618390d7cb50f_we-megamenu-li.html.twig_T9qzr0wqVAYPnzg6PsH10c8Gl','i:1636012247;',-1,1636012249.686,1,'','0'),('twig:618390d7cb50f_we-megamenu-row.html.twig_Ouoc0cd--iIYVqUuF2V5SMRnX','i:1636012247;',-1,1636012249.698,1,'','0'),('twig:618390d7cb50f_we-megamenu-submenu.html._cBXzrQM7JxtyBZ0pYNiree_O2','i:1636012247;',-1,1636012249.693,1,'','0'),('twig:618390d7cb50f_we-megamenu-subul.html.tw_bY8ryFq6PPjVr2hTZYWgMhgeE','i:1636012247;',-1,1636012249.708,1,'','0'),('twig:618390d7cb50f_we-megamenu-ul.html.twig__gumTjesJi_Sh7vM9blHeuUaA','i:1636012247;',-1,1636012249.675,1,'','0'),('views_data:block_content:en','a:9:{s:5:\"table\";a:5:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Custom block\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:13:\"block_content\";s:15:\"entity revision\";b:0;s:4:\"join\";a:1:{s:24:\"block_content_field_data\";a:3:{s:10:\"left_field\";s:2:\"id\";s:5:\"field\";s:2:\"id\";s:4:\"type\";s:5:\"INNER\";}}s:11:\"entity type\";s:13:\"block_content\";}s:10:\"operations\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Operations links\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:44:\"Provides links to perform entity operations.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:17:\"entity_operations\";}}s:15:\"rendered_entity\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Rendered entity\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Renders an entity in a view mode.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:15:\"rendered_entity\";}}s:18:\"view_block_content\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"Link to @entity_type_label\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:3;}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Provide a view link to the @entity_type_label.\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:3;}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:11:\"entity_link\";}}s:18:\"edit_block_content\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"Link to edit @entity_type_label\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:3;}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"Provide an edit link to the @entity_type_label.\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:3;}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:16:\"entity_link_edit\";}}s:20:\"delete_block_content\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Link to delete @entity_type_label\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:3;}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:48:\"Provide a delete link to the @entity_type_label.\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:3;}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:18:\"entity_link_delete\";}}s:4:\"uuid\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"The custom block UUID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:2:{s:2:\"id\";s:5:\"field\";s:14:\"click sortable\";b:0;}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:4:\"uuid\";}s:8:\"langcode\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Original language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"The custom block language code.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:8:\"language\";}s:6:\"filter\";a:1:{s:2:\"id\";s:8:\"language\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:8:\"langcode\";}s:27:\"block_content_listing_empty\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:28:\"Empty block library behavior\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"Provides a link to add a new block.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"area\";a:1:{s:2:\"id\";s:27:\"block_content_listing_empty\";}}}',-1,1636011227.523,1,'config:core.extension views_data','7'),('views_data:comment:en','a:11:{s:17:\"comment_bulk_form\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:28:\"Comment operations bulk form\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:69:\"Add a form element that lets you run operations on multiple comments.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:17:\"comment_bulk_form\";}}s:5:\"table\";a:5:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Comment\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:7:\"comment\";s:15:\"entity revision\";b:0;s:4:\"join\";a:1:{s:18:\"comment_field_data\";a:3:{s:10:\"left_field\";s:3:\"cid\";s:5:\"field\";s:3:\"cid\";s:4:\"type\";s:5:\"INNER\";}}s:11:\"entity type\";s:7:\"comment\";}s:10:\"operations\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Operations links\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:44:\"Provides links to perform entity operations.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:17:\"entity_operations\";}}s:15:\"rendered_entity\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Rendered entity\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Renders an entity in a view mode.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:15:\"rendered_entity\";}}s:12:\"view_comment\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"Link to @entity_type_label\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:14;}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Provide a view link to the @entity_type_label.\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:14;}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:11:\"entity_link\";}}s:12:\"edit_comment\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"Link to edit @entity_type_label\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:14;}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"Provide an edit link to the @entity_type_label.\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:14;}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:16:\"entity_link_edit\";}}s:14:\"delete_comment\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Link to delete @entity_type_label\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:14;}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:48:\"Provide a delete link to the @entity_type_label.\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:14;}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:18:\"entity_link_delete\";}}s:4:\"uuid\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"The comment UUID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:2:{s:2:\"id\";s:5:\"field\";s:14:\"click sortable\";b:0;}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:4:\"uuid\";}s:8:\"langcode\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Original language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"The comment language code.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:8:\"language\";}s:6:\"filter\";a:1:{s:2:\"id\";s:8:\"language\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:8:\"langcode\";}s:15:\"approve_comment\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"Link to approve comment\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"Provide a simple link to approve the comment.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:20:\"comment_link_approve\";}}s:15:\"replyto_comment\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Link to reply-to comment\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Provide a simple link to reply to the comment.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:18:\"comment_link_reply\";}}}',-1,1636011227.527,1,'config:core.extension views_data','7');
INSERT INTO `cache_default` VALUES ('views_data:en','a:78:{s:8:\"watchdog\";a:12:{s:5:\"table\";a:4:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Watchdog\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"wizard_id\";s:8:\"watchdog\";s:4:\"base\";a:3:{s:5:\"field\";s:3:\"wid\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Log entries\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"Contains a list of log entries.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:8:\"provider\";s:5:\"dblog\";}s:3:\"wid\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"WID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"Unique watchdog event ID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:8:\"standard\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}}s:3:\"uid\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"UID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:59:\"The user ID of the user on which the log entry was written.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:8:\"standard\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:12:\"relationship\";a:5:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"User\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:43:\"The user on which the log entry as written.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"base\";s:16:\"users_field_data\";s:10:\"base field\";s:3:\"uid\";s:2:\"id\";s:8:\"standard\";}}s:4:\"type\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:66:\"The type of the log entry, for example \"user\" or \"page not found\".\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:8:\"standard\";}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:11:\"dblog_types\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}}s:7:\"message\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Message\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:36:\"The actual message of the log entry.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:13:\"dblog_message\";}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}}s:9:\"variables\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Variables\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:54:\"The variables of the log entry in a serialized format.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:2:{s:2:\"id\";s:10:\"serialized\";s:14:\"click sortable\";b:0;}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}}s:8:\"severity\";a:5:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Severity level\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"The severity level of the event; ranges from 0 (Emergency) to 7 (Debug).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:2:{s:2:\"id\";s:12:\"machine_name\";s:16:\"options callback\";s:60:\"Drupal\\dblog\\Controller\\DbLogController::getLogLevelClassMap\";}s:6:\"filter\";a:2:{s:2:\"id\";s:11:\"in_operator\";s:16:\"options callback\";s:41:\"Drupal\\Core\\Logger\\RfcLogLevel::getLevels\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}}s:4:\"link\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Operations\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:30:\"Operation links for the event.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:16:\"dblog_operations\";}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}}s:8:\"location\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Location\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"URL of the origin of the event.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:8:\"standard\";}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}}s:7:\"referer\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Referer\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"URL of the previous page.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:8:\"standard\";}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}}s:8:\"hostname\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Hostname\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"Hostname of the user who triggered the event.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:8:\"standard\";}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}}s:9:\"timestamp\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Timestamp\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Date when the event occurred.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:4:\"date\";}s:8:\"argument\";a:1:{s:2:\"id\";s:4:\"date\";}s:6:\"filter\";a:1:{s:2:\"id\";s:4:\"date\";}s:4:\"sort\";a:1:{s:2:\"id\";s:4:\"date\";}}}s:7:\"history\";a:2:{s:5:\"table\";a:3:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"join\";a:1:{s:15:\"node_field_data\";a:4:{s:5:\"table\";s:7:\"history\";s:10:\"left_field\";s:3:\"nid\";s:5:\"field\";s:3:\"nid\";s:5:\"extra\";a:1:{i:0;a:3:{s:5:\"field\";s:3:\"uid\";s:5:\"value\";s:18:\"***CURRENT_USER***\";s:7:\"numeric\";b:1;}}}}s:8:\"provider\";s:7:\"history\";}s:9:\"timestamp\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Has new content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:2:{s:2:\"id\";s:22:\"history_user_timestamp\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"Show a marker if the content is new or updated.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:2:{s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:41:\"Show only content that is new or updated.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:22:\"history_user_timestamp\";}}}s:4:\"node\";a:14:{s:14:\"sharethis_node\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"ShareThis Link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:39:\"Link provided by the ShareThis service.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:2:{s:2:\"id\";s:14:\"sharethis_node\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:37:\"Show Sharethis for a particular node.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:11:\"send_status\";a:3:{s:10:\"real field\";s:3:\"nid\";s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Send status\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:30:\"Send status of the newsletter.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:22:\"simplenews_send_status\";}s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:14:\"node_bulk_form\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"Node operations bulk form\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:66:\"Add a form element that lets you run operations on multiple nodes.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:14:\"node_bulk_form\";}}s:5:\"table\";a:5:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"node\";s:15:\"entity revision\";b:0;s:4:\"join\";a:1:{s:15:\"node_field_data\";a:3:{s:10:\"left_field\";s:3:\"nid\";s:5:\"field\";s:3:\"nid\";s:4:\"type\";s:5:\"INNER\";}}s:11:\"entity type\";s:4:\"node\";}s:10:\"operations\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Operations links\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:44:\"Provides links to perform entity operations.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:17:\"entity_operations\";}}s:15:\"rendered_entity\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Rendered entity\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Renders an entity in a view mode.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:15:\"rendered_entity\";}}s:9:\"view_node\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"Link to @entity_type_label\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Provide a view link to the @entity_type_label.\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:11:\"entity_link\";}}s:9:\"edit_node\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"Link to edit @entity_type_label\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"Provide an edit link to the @entity_type_label.\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:16:\"entity_link_edit\";}}s:11:\"delete_node\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Link to delete @entity_type_label\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:48:\"Provide a delete link to the @entity_type_label.\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:18:\"entity_link_delete\";}}s:4:\"uuid\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:2:{s:2:\"id\";s:5:\"field\";s:14:\"click sortable\";b:0;}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:4:\"uuid\";}s:8:\"langcode\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Original language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:8:\"language\";}s:6:\"filter\";a:1:{s:2:\"id\";s:8:\"language\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:8:\"langcode\";}s:18:\"node_listing_empty\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Empty Node Frontpage behavior\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Provides a link to the node add overview page.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"area\";a:1:{s:2:\"id\";s:18:\"node_listing_empty\";}}s:12:\"new_comments\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"New comments\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:39:\"The number of new comments on the node.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:2:{s:2:\"id\";s:17:\"node_new_comments\";s:11:\"no group by\";b:1;}}s:16:\"translation_link\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:36:\"Link to translate @entity_type_label\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:53:\"Provide a translation link to the @entity_type_label.\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:24:\"content_translation_link\";}}}s:21:\"simplenews_mail_spool\";a:10:{s:5:\"table\";a:3:{s:4:\"base\";a:5:{s:5:\"field\";s:4:\"msid\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Simplenews mailspool\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:49:\"Spool for temporary storage of newsletter emails.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"weight\";i:10;s:8:\"database\";s:7:\"default\";}s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Simplenews spool\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:10:\"simplenews\";}s:4:\"msid\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Ms ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"The primary identifier for a mail spool record.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:2:{s:7:\"handler\";s:27:\"views_handler_field_numeric\";s:14:\"click sortable\";b:1;}s:6:\"filter\";a:2:{s:7:\"handler\";s:28:\"views_handler_filter_numeric\";s:11:\"allow empty\";b:1;}s:8:\"argument\";a:1:{s:7:\"handler\";s:30:\"views_handler_argument_numeric\";}s:4:\"sort\";a:1:{s:7:\"handler\";s:18:\"views_handler_sort\";}}s:4:\"mail\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Subscriber\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:55:\"The formatted email address of mail message receipient.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:2:{s:7:\"handler\";s:19:\"views_handler_field\";s:14:\"click sortable\";b:1;}s:6:\"filter\";a:2:{s:7:\"handler\";s:27:\"views_handler_filter_string\";s:11:\"allow empty\";b:1;}s:8:\"argument\";a:1:{s:7:\"handler\";s:29:\"views_handler_argument_string\";}s:4:\"sort\";a:1:{s:7:\"handler\";s:18:\"views_handler_sort\";}}s:3:\"nid\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Node ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:34:\"The {node}.nid of this newsletter.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:2:{s:7:\"handler\";s:27:\"views_handler_field_numeric\";s:14:\"click sortable\";b:1;}s:6:\"filter\";a:2:{s:7:\"handler\";s:28:\"views_handler_filter_numeric\";s:11:\"allow empty\";b:1;}s:8:\"argument\";a:1:{s:7:\"handler\";s:30:\"views_handler_argument_numeric\";}s:4:\"sort\";a:1:{s:7:\"handler\";s:18:\"views_handler_sort\";}s:12:\"relationship\";a:4:{s:7:\"handler\";s:26:\"views_handler_relationship\";s:4:\"base\";s:4:\"node\";s:10:\"base field\";s:3:\"nid\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Node\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:13:\"newsletter_id\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Newsletter ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:51:\"The newsletter_id this newsletter issue belongs to.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:2:{s:7:\"handler\";s:27:\"views_handler_field_numeric\";s:14:\"click sortable\";b:1;}s:6:\"filter\";a:2:{s:7:\"handler\";s:28:\"views_handler_filter_numeric\";s:11:\"allow empty\";b:1;}s:8:\"argument\";a:1:{s:7:\"handler\";s:30:\"views_handler_argument_numeric\";}s:4:\"sort\";a:1:{s:7:\"handler\";s:18:\"views_handler_sort\";}s:12:\"relationship\";a:4:{s:7:\"handler\";s:26:\"views_handler_relationship\";s:4:\"base\";s:21:\"simplenews_newsletter\";s:10:\"base field\";s:13:\"newsletter_id\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Newsletter\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:4:\"snid\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Subscriber ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:59:\"The {simplenews_subscriber}.snid foreign key for this spool\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:2:{s:7:\"handler\";s:27:\"views_handler_field_numeric\";s:14:\"click sortable\";b:1;}s:6:\"filter\";a:2:{s:7:\"handler\";s:28:\"views_handler_filter_numeric\";s:11:\"allow empty\";b:1;}s:8:\"argument\";a:1:{s:7:\"handler\";s:30:\"views_handler_argument_numeric\";}s:4:\"sort\";a:1:{s:7:\"handler\";s:18:\"views_handler_sort\";}s:12:\"relationship\";a:4:{s:7:\"handler\";s:26:\"views_handler_relationship\";s:4:\"base\";s:21:\"simplenews_subscriber\";s:10:\"base field\";s:4:\"snid\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Subscriber\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:6:\"status\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Sent status\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:63:\"The sent status of the email (0 = hold, 1 = pending, 2 = done).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:2:{s:7:\"handler\";s:42:\"simplenews_handler_field_newsletter_status\";s:14:\"click sortable\";b:1;}s:6:\"filter\";a:2:{s:7:\"handler\";s:43:\"simplenews_handler_filter_newsletter_status\";s:11:\"allow empty\";b:1;}s:8:\"argument\";a:1:{s:7:\"handler\";s:30:\"views_handler_argument_numeric\";}s:4:\"sort\";a:1:{s:7:\"handler\";s:18:\"views_handler_sort\";}}s:5:\"error\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Error\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:70:\"A boolean indicating whether an error occured while sending the email.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:2:{s:7:\"handler\";s:27:\"views_handler_field_boolean\";s:14:\"click sortable\";b:1;}s:6:\"filter\";a:2:{s:7:\"handler\";s:37:\"views_handler_filter_boolean_operator\";s:11:\"allow empty\";b:1;}s:8:\"argument\";a:1:{s:7:\"handler\";s:30:\"views_handler_argument_numeric\";}s:4:\"sort\";a:1:{s:7:\"handler\";s:18:\"views_handler_sort\";}}s:9:\"timestamp\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Timestamp\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"The time status was set or changed.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:2:{s:7:\"handler\";s:24:\"views_handler_field_date\";s:14:\"click sortable\";b:1;}s:6:\"filter\";a:2:{s:7:\"handler\";s:25:\"views_handler_filter_date\";s:11:\"allow empty\";b:1;}s:8:\"argument\";a:1:{s:7:\"handler\";s:27:\"views_handler_argument_date\";}s:4:\"sort\";a:1:{s:7:\"handler\";s:23:\"views_handler_sort_date\";}}s:4:\"data\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Data\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:77:\"A serialized array of name value pairs that are related to the email address.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:2:{s:7:\"handler\";s:19:\"views_handler_field\";s:14:\"click sortable\";b:1;}s:6:\"filter\";a:2:{s:7:\"handler\";s:27:\"views_handler_filter_string\";s:11:\"allow empty\";b:1;}s:8:\"argument\";a:1:{s:7:\"handler\";s:29:\"views_handler_argument_string\";}s:4:\"sort\";a:1:{s:7:\"handler\";s:18:\"views_handler_sort\";}}}s:18:\"user__user_picture\";a:7:{s:5:\"table\";a:2:{s:4:\"join\";a:1:{s:16:\"users_field_data\";a:4:{s:5:\"table\";s:18:\"user__user_picture\";s:10:\"left_field\";s:3:\"uid\";s:5:\"field\";s:9:\"entity_id\";s:5:\"extra\";a:2:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}i:1;a:2:{s:10:\"left_field\";s:8:\"langcode\";s:5:\"field\";s:8:\"langcode\";}}}}s:8:\"provider\";s:5:\"views\";}s:12:\"user_picture\";a:5:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"User\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";s:7:\"Picture\";s:11:\"title short\";s:7:\"Picture\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:4:\"user\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:9:{s:5:\"table\";s:18:\"user__user_picture\";s:2:\"id\";s:5:\"field\";s:10:\"field_name\";s:12:\"user_picture\";s:11:\"entity_type\";s:4:\"user\";s:10:\"real field\";s:22:\"user_picture_target_id\";s:17:\"additional fields\";a:8:{i:0;s:5:\"delta\";i:1;s:8:\"langcode\";i:2;s:6:\"bundle\";i:3;s:22:\"user_picture_target_id\";i:4;s:16:\"user_picture_alt\";i:5;s:18:\"user_picture_title\";i:6;s:18:\"user_picture_width\";i:7;s:19:\"user_picture_height\";}s:12:\"element type\";s:3:\"div\";s:11:\"is revision\";b:0;s:14:\"click sortable\";b:1;}}s:22:\"user_picture_target_id\";a:8:{s:5:\"group\";r:665;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:7:\"Picture\";s:5:\"@name\";s:12:\"user_picture\";s:7:\"@column\";s:9:\"target_id\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:7:\"Picture\";s:7:\"@column\";s:9:\"target_id\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:4:\"user\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:22:\"user_picture_target_id\";s:5:\"table\";s:18:\"user__user_picture\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"user_picture_target_id\";i:7;s:16:\"user_picture_alt\";i:8;s:18:\"user_picture_title\";i:9;s:18:\"user_picture_width\";i:10;s:19:\"user_picture_height\";}s:10:\"field_name\";s:12:\"user_picture\";s:11:\"entity_type\";s:4:\"user\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:22:\"user_picture_target_id\";s:5:\"table\";s:18:\"user__user_picture\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"user_picture_target_id\";i:7;s:16:\"user_picture_alt\";i:8;s:18:\"user_picture_title\";i:9;s:18:\"user_picture_width\";i:10;s:19:\"user_picture_height\";}s:10:\"field_name\";s:12:\"user_picture\";s:11:\"entity_type\";s:4:\"user\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:22:\"user_picture_target_id\";s:5:\"table\";s:18:\"user__user_picture\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"user_picture_target_id\";i:7;s:16:\"user_picture_alt\";i:8;s:18:\"user_picture_title\";i:9;s:18:\"user_picture_width\";i:10;s:19:\"user_picture_height\";}s:10:\"field_name\";s:12:\"user_picture\";s:11:\"entity_type\";s:4:\"user\";}s:12:\"relationship\";a:5:{s:2:\"id\";s:8:\"standard\";s:4:\"base\";s:12:\"file_managed\";s:11:\"entity type\";s:4:\"file\";s:10:\"base field\";s:3:\"fid\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"image from @field_name\";s:12:\"\0*\0arguments\";a:1:{s:11:\"@field_name\";s:12:\"user_picture\";}s:10:\"\0*\0options\";a:0:{}}}}s:16:\"user_picture_alt\";a:7:{s:5:\"group\";r:665;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:7:\"Picture\";s:5:\"@name\";s:12:\"user_picture\";s:7:\"@column\";s:3:\"alt\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:7:\"Picture\";s:7:\"@column\";s:3:\"alt\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:4:\"user\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:16:\"user_picture_alt\";s:5:\"table\";s:18:\"user__user_picture\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"user_picture_target_id\";i:7;s:16:\"user_picture_alt\";i:8;s:18:\"user_picture_title\";i:9;s:18:\"user_picture_width\";i:10;s:19:\"user_picture_height\";}s:10:\"field_name\";s:12:\"user_picture\";s:11:\"entity_type\";s:4:\"user\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:16:\"user_picture_alt\";s:5:\"table\";s:18:\"user__user_picture\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"user_picture_target_id\";i:7;s:16:\"user_picture_alt\";i:8;s:18:\"user_picture_title\";i:9;s:18:\"user_picture_width\";i:10;s:19:\"user_picture_height\";}s:10:\"field_name\";s:12:\"user_picture\";s:11:\"entity_type\";s:4:\"user\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:16:\"user_picture_alt\";s:5:\"table\";s:18:\"user__user_picture\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"user_picture_target_id\";i:7;s:16:\"user_picture_alt\";i:8;s:18:\"user_picture_title\";i:9;s:18:\"user_picture_width\";i:10;s:19:\"user_picture_height\";}s:10:\"field_name\";s:12:\"user_picture\";s:11:\"entity_type\";s:4:\"user\";}}s:18:\"user_picture_title\";a:7:{s:5:\"group\";r:665;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:7:\"Picture\";s:5:\"@name\";s:12:\"user_picture\";s:7:\"@column\";s:5:\"title\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:7:\"Picture\";s:7:\"@column\";s:5:\"title\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:4:\"user\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:18:\"user_picture_title\";s:5:\"table\";s:18:\"user__user_picture\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"user_picture_target_id\";i:7;s:16:\"user_picture_alt\";i:8;s:18:\"user_picture_title\";i:9;s:18:\"user_picture_width\";i:10;s:19:\"user_picture_height\";}s:10:\"field_name\";s:12:\"user_picture\";s:11:\"entity_type\";s:4:\"user\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:18:\"user_picture_title\";s:5:\"table\";s:18:\"user__user_picture\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"user_picture_target_id\";i:7;s:16:\"user_picture_alt\";i:8;s:18:\"user_picture_title\";i:9;s:18:\"user_picture_width\";i:10;s:19:\"user_picture_height\";}s:10:\"field_name\";s:12:\"user_picture\";s:11:\"entity_type\";s:4:\"user\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:18:\"user_picture_title\";s:5:\"table\";s:18:\"user__user_picture\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"user_picture_target_id\";i:7;s:16:\"user_picture_alt\";i:8;s:18:\"user_picture_title\";i:9;s:18:\"user_picture_width\";i:10;s:19:\"user_picture_height\";}s:10:\"field_name\";s:12:\"user_picture\";s:11:\"entity_type\";s:4:\"user\";}}s:18:\"user_picture_width\";a:7:{s:5:\"group\";r:665;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:7:\"Picture\";s:5:\"@name\";s:12:\"user_picture\";s:7:\"@column\";s:5:\"width\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:7:\"Picture\";s:7:\"@column\";s:5:\"width\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:4:\"user\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:18:\"user_picture_width\";s:5:\"table\";s:18:\"user__user_picture\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"user_picture_target_id\";i:7;s:16:\"user_picture_alt\";i:8;s:18:\"user_picture_title\";i:9;s:18:\"user_picture_width\";i:10;s:19:\"user_picture_height\";}s:10:\"field_name\";s:12:\"user_picture\";s:11:\"entity_type\";s:4:\"user\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:18:\"user_picture_width\";s:5:\"table\";s:18:\"user__user_picture\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"user_picture_target_id\";i:7;s:16:\"user_picture_alt\";i:8;s:18:\"user_picture_title\";i:9;s:18:\"user_picture_width\";i:10;s:19:\"user_picture_height\";}s:10:\"field_name\";s:12:\"user_picture\";s:11:\"entity_type\";s:4:\"user\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:18:\"user_picture_width\";s:5:\"table\";s:18:\"user__user_picture\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"user_picture_target_id\";i:7;s:16:\"user_picture_alt\";i:8;s:18:\"user_picture_title\";i:9;s:18:\"user_picture_width\";i:10;s:19:\"user_picture_height\";}s:10:\"field_name\";s:12:\"user_picture\";s:11:\"entity_type\";s:4:\"user\";}}s:19:\"user_picture_height\";a:7:{s:5:\"group\";r:665;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:7:\"Picture\";s:5:\"@name\";s:12:\"user_picture\";s:7:\"@column\";s:6:\"height\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:7:\"Picture\";s:7:\"@column\";s:6:\"height\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:4:\"user\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:19:\"user_picture_height\";s:5:\"table\";s:18:\"user__user_picture\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"user_picture_target_id\";i:7;s:16:\"user_picture_alt\";i:8;s:18:\"user_picture_title\";i:9;s:18:\"user_picture_width\";i:10;s:19:\"user_picture_height\";}s:10:\"field_name\";s:12:\"user_picture\";s:11:\"entity_type\";s:4:\"user\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:19:\"user_picture_height\";s:5:\"table\";s:18:\"user__user_picture\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"user_picture_target_id\";i:7;s:16:\"user_picture_alt\";i:8;s:18:\"user_picture_title\";i:9;s:18:\"user_picture_width\";i:10;s:19:\"user_picture_height\";}s:10:\"field_name\";s:12:\"user_picture\";s:11:\"entity_type\";s:4:\"user\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:19:\"user_picture_height\";s:5:\"table\";s:18:\"user__user_picture\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"user_picture_target_id\";i:7;s:16:\"user_picture_alt\";i:8;s:18:\"user_picture_title\";i:9;s:18:\"user_picture_width\";i:10;s:19:\"user_picture_height\";}s:10:\"field_name\";s:12:\"user_picture\";s:11:\"entity_type\";s:4:\"user\";}}}s:36:\"simplenews_subscriber__subscriptions\";a:7:{s:5:\"table\";a:2:{s:4:\"join\";a:1:{s:21:\"simplenews_subscriber\";a:4:{s:5:\"table\";s:36:\"simplenews_subscriber__subscriptions\";s:10:\"left_field\";s:2:\"id\";s:5:\"field\";s:9:\"entity_id\";s:5:\"extra\";a:1:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}}}}s:8:\"provider\";s:5:\"views\";}s:13:\"subscriptions\";a:5:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Simplenews subscriber\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";s:13:\"Subscriptions\";s:11:\"title short\";s:13:\"Subscriptions\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:21:\"simplenews_subscriber\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:9:{s:5:\"table\";s:36:\"simplenews_subscriber__subscriptions\";s:2:\"id\";s:5:\"field\";s:10:\"field_name\";s:13:\"subscriptions\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:10:\"real field\";s:23:\"subscriptions_target_id\";s:17:\"additional fields\";a:7:{i:0;s:5:\"delta\";i:1;s:8:\"langcode\";i:2;s:6:\"bundle\";i:3;s:23:\"subscriptions_target_id\";i:4;s:20:\"subscriptions_status\";i:5;s:23:\"subscriptions_timestamp\";i:6;s:20:\"subscriptions_source\";}s:12:\"element type\";s:3:\"div\";s:11:\"is revision\";b:0;s:14:\"click sortable\";b:1;}}s:23:\"subscriptions_target_id\";a:7:{s:5:\"group\";r:1113;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:13:\"Subscriptions\";s:5:\"@name\";s:13:\"subscriptions\";s:7:\"@column\";s:9:\"target_id\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:13:\"Subscriptions\";s:7:\"@column\";s:9:\"target_id\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:21:\"simplenews_subscriber\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:23:\"subscriptions_target_id\";s:5:\"table\";s:36:\"simplenews_subscriber__subscriptions\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:10:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"subscriptions_target_id\";i:7;s:20:\"subscriptions_status\";i:8;s:23:\"subscriptions_timestamp\";i:9;s:20:\"subscriptions_source\";}s:10:\"field_name\";s:13:\"subscriptions\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:8:{s:5:\"field\";s:23:\"subscriptions_target_id\";s:5:\"table\";s:36:\"simplenews_subscriber__subscriptions\";s:2:\"id\";s:11:\"in_operator\";s:17:\"additional fields\";a:10:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"subscriptions_target_id\";i:7;s:20:\"subscriptions_status\";i:8;s:23:\"subscriptions_timestamp\";i:9;s:20:\"subscriptions_source\";}s:10:\"field_name\";s:13:\"subscriptions\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:11:\"allow empty\";b:1;s:16:\"options callback\";s:26:\"simplenews_newsletter_list\";}s:4:\"sort\";a:6:{s:5:\"field\";s:23:\"subscriptions_target_id\";s:5:\"table\";s:36:\"simplenews_subscriber__subscriptions\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:10:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"subscriptions_target_id\";i:7;s:20:\"subscriptions_status\";i:8;s:23:\"subscriptions_timestamp\";i:9;s:20:\"subscriptions_source\";}s:10:\"field_name\";s:13:\"subscriptions\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";}}s:5:\"delta\";a:8:{s:5:\"group\";r:1113;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"@label (@name:delta)\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:13:\"Subscriptions\";s:5:\"@name\";s:13:\"subscriptions\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@label:delta\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:13:\"Subscriptions\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Delta - Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:21:\"simplenews_subscriber\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:8:\"argument\";a:7:{s:5:\"field\";s:5:\"delta\";s:5:\"table\";s:36:\"simplenews_subscriber__subscriptions\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:10:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"subscriptions_target_id\";i:7;s:20:\"subscriptions_status\";i:8;s:23:\"subscriptions_timestamp\";i:9;s:20:\"subscriptions_source\";}s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"field_name\";s:13:\"subscriptions\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";}s:6:\"filter\";a:7:{s:5:\"field\";s:5:\"delta\";s:5:\"table\";s:36:\"simplenews_subscriber__subscriptions\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:10:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"subscriptions_target_id\";i:7;s:20:\"subscriptions_status\";i:8;s:23:\"subscriptions_timestamp\";i:9;s:20:\"subscriptions_source\";}s:10:\"field_name\";s:13:\"subscriptions\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:5:\"delta\";s:5:\"table\";s:36:\"simplenews_subscriber__subscriptions\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:10:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"subscriptions_target_id\";i:7;s:20:\"subscriptions_status\";i:8;s:23:\"subscriptions_timestamp\";i:9;s:20:\"subscriptions_source\";}s:10:\"field_name\";s:13:\"subscriptions\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";}}s:20:\"subscriptions_status\";a:7:{s:5:\"group\";r:1113;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:13:\"Subscriptions\";s:5:\"@name\";s:13:\"subscriptions\";s:7:\"@column\";s:6:\"status\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:13:\"Subscriptions\";s:7:\"@column\";s:6:\"status\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:21:\"simplenews_subscriber\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:20:\"subscriptions_status\";s:5:\"table\";s:36:\"simplenews_subscriber__subscriptions\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:10:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"subscriptions_target_id\";i:7;s:20:\"subscriptions_status\";i:8;s:23:\"subscriptions_timestamp\";i:9;s:20:\"subscriptions_source\";}s:10:\"field_name\";s:13:\"subscriptions\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:8:{s:5:\"field\";s:20:\"subscriptions_status\";s:5:\"table\";s:36:\"simplenews_subscriber__subscriptions\";s:2:\"id\";s:11:\"in_operator\";s:17:\"additional fields\";a:10:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"subscriptions_target_id\";i:7;s:20:\"subscriptions_status\";i:8;s:23:\"subscriptions_timestamp\";i:9;s:20:\"subscriptions_source\";}s:10:\"field_name\";s:13:\"subscriptions\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:11:\"allow empty\";b:1;s:16:\"options callback\";s:33:\"simplenews_subscriber_status_list\";}s:4:\"sort\";a:6:{s:5:\"field\";s:20:\"subscriptions_status\";s:5:\"table\";s:36:\"simplenews_subscriber__subscriptions\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:10:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"subscriptions_target_id\";i:7;s:20:\"subscriptions_status\";i:8;s:23:\"subscriptions_timestamp\";i:9;s:20:\"subscriptions_source\";}s:10:\"field_name\";s:13:\"subscriptions\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";}}s:23:\"subscriptions_timestamp\";a:7:{s:5:\"group\";r:1113;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:13:\"Subscriptions\";s:5:\"@name\";s:13:\"subscriptions\";s:7:\"@column\";s:9:\"timestamp\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:13:\"Subscriptions\";s:7:\"@column\";s:9:\"timestamp\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:21:\"simplenews_subscriber\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:23:\"subscriptions_timestamp\";s:5:\"table\";s:36:\"simplenews_subscriber__subscriptions\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:10:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"subscriptions_target_id\";i:7;s:20:\"subscriptions_status\";i:8;s:23:\"subscriptions_timestamp\";i:9;s:20:\"subscriptions_source\";}s:10:\"field_name\";s:13:\"subscriptions\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:23:\"subscriptions_timestamp\";s:5:\"table\";s:36:\"simplenews_subscriber__subscriptions\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:10:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"subscriptions_target_id\";i:7;s:20:\"subscriptions_status\";i:8;s:23:\"subscriptions_timestamp\";i:9;s:20:\"subscriptions_source\";}s:10:\"field_name\";s:13:\"subscriptions\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:23:\"subscriptions_timestamp\";s:5:\"table\";s:36:\"simplenews_subscriber__subscriptions\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:10:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"subscriptions_target_id\";i:7;s:20:\"subscriptions_status\";i:8;s:23:\"subscriptions_timestamp\";i:9;s:20:\"subscriptions_source\";}s:10:\"field_name\";s:13:\"subscriptions\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";}}s:20:\"subscriptions_source\";a:7:{s:5:\"group\";r:1113;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:13:\"Subscriptions\";s:5:\"@name\";s:13:\"subscriptions\";s:7:\"@column\";s:6:\"source\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:13:\"Subscriptions\";s:7:\"@column\";s:6:\"source\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:21:\"simplenews_subscriber\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:20:\"subscriptions_source\";s:5:\"table\";s:36:\"simplenews_subscriber__subscriptions\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:10:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"subscriptions_target_id\";i:7;s:20:\"subscriptions_status\";i:8;s:23:\"subscriptions_timestamp\";i:9;s:20:\"subscriptions_source\";}s:10:\"field_name\";s:13:\"subscriptions\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:20:\"subscriptions_source\";s:5:\"table\";s:36:\"simplenews_subscriber__subscriptions\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:10:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"subscriptions_target_id\";i:7;s:20:\"subscriptions_status\";i:8;s:23:\"subscriptions_timestamp\";i:9;s:20:\"subscriptions_source\";}s:10:\"field_name\";s:13:\"subscriptions\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:20:\"subscriptions_source\";s:5:\"table\";s:36:\"simplenews_subscriber__subscriptions\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:10:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"subscriptions_target_id\";i:7;s:20:\"subscriptions_status\";i:8;s:23:\"subscriptions_timestamp\";i:9;s:20:\"subscriptions_source\";}s:10:\"field_name\";s:13:\"subscriptions\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";}}}s:22:\"node__simplenews_issue\";a:8:{s:5:\"table\";a:2:{s:4:\"join\";a:1:{s:15:\"node_field_data\";a:4:{s:5:\"table\";s:22:\"node__simplenews_issue\";s:10:\"left_field\";s:3:\"nid\";s:5:\"field\";s:9:\"entity_id\";s:5:\"extra\";a:1:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}}}}s:8:\"provider\";s:5:\"views\";}s:16:\"simplenews_issue\";a:5:{s:5:\"group\";r:296;s:5:\"title\";s:10:\"Newsletter\";s:11:\"title short\";s:10:\"Newsletter\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:16:\"simplenews_issue\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:9:{s:5:\"table\";s:22:\"node__simplenews_issue\";s:2:\"id\";s:5:\"field\";s:10:\"field_name\";s:16:\"simplenews_issue\";s:11:\"entity_type\";s:4:\"node\";s:10:\"real field\";s:26:\"simplenews_issue_target_id\";s:17:\"additional fields\";a:9:{i:0;s:5:\"delta\";i:1;s:8:\"langcode\";i:2;s:6:\"bundle\";i:3;s:26:\"simplenews_issue_target_id\";i:4;s:24:\"simplenews_issue_handler\";i:5;s:33:\"simplenews_issue_handler_settings\";i:6;s:23:\"simplenews_issue_status\";i:7;s:27:\"simplenews_issue_sent_count\";i:8;s:28:\"simplenews_issue_subscribers\";}s:12:\"element type\";s:3:\"div\";s:11:\"is revision\";b:0;s:14:\"click sortable\";b:1;}}s:26:\"simplenews_issue_target_id\";a:7:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:10:\"Newsletter\";s:5:\"@name\";s:16:\"simplenews_issue\";s:7:\"@column\";s:9:\"target_id\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:10:\"Newsletter\";s:7:\"@column\";s:9:\"target_id\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:16:\"simplenews_issue\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:26:\"simplenews_issue_target_id\";s:5:\"table\";s:22:\"node__simplenews_issue\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:12:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:26:\"simplenews_issue_target_id\";i:7;s:24:\"simplenews_issue_handler\";i:8;s:33:\"simplenews_issue_handler_settings\";i:9;s:23:\"simplenews_issue_status\";i:10;s:27:\"simplenews_issue_sent_count\";i:11;s:28:\"simplenews_issue_subscribers\";}s:10:\"field_name\";s:16:\"simplenews_issue\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:8:{s:5:\"field\";s:26:\"simplenews_issue_target_id\";s:5:\"table\";s:22:\"node__simplenews_issue\";s:2:\"id\";s:11:\"in_operator\";s:17:\"additional fields\";a:12:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:26:\"simplenews_issue_target_id\";i:7;s:24:\"simplenews_issue_handler\";i:8;s:33:\"simplenews_issue_handler_settings\";i:9;s:23:\"simplenews_issue_status\";i:10;s:27:\"simplenews_issue_sent_count\";i:11;s:28:\"simplenews_issue_subscribers\";}s:10:\"field_name\";s:16:\"simplenews_issue\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;s:16:\"options callback\";s:26:\"simplenews_newsletter_list\";}s:4:\"sort\";a:6:{s:5:\"field\";s:26:\"simplenews_issue_target_id\";s:5:\"table\";s:22:\"node__simplenews_issue\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:12:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:26:\"simplenews_issue_target_id\";i:7;s:24:\"simplenews_issue_handler\";i:8;s:33:\"simplenews_issue_handler_settings\";i:9;s:23:\"simplenews_issue_status\";i:10;s:27:\"simplenews_issue_sent_count\";i:11;s:28:\"simplenews_issue_subscribers\";}s:10:\"field_name\";s:16:\"simplenews_issue\";s:11:\"entity_type\";s:4:\"node\";}}s:24:\"simplenews_issue_handler\";a:7:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:10:\"Newsletter\";s:5:\"@name\";s:16:\"simplenews_issue\";s:7:\"@column\";s:7:\"handler\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:10:\"Newsletter\";s:7:\"@column\";s:7:\"handler\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:16:\"simplenews_issue\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:24:\"simplenews_issue_handler\";s:5:\"table\";s:22:\"node__simplenews_issue\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:12:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:26:\"simplenews_issue_target_id\";i:7;s:24:\"simplenews_issue_handler\";i:8;s:33:\"simplenews_issue_handler_settings\";i:9;s:23:\"simplenews_issue_status\";i:10;s:27:\"simplenews_issue_sent_count\";i:11;s:28:\"simplenews_issue_subscribers\";}s:10:\"field_name\";s:16:\"simplenews_issue\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:24:\"simplenews_issue_handler\";s:5:\"table\";s:22:\"node__simplenews_issue\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:12:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:26:\"simplenews_issue_target_id\";i:7;s:24:\"simplenews_issue_handler\";i:8;s:33:\"simplenews_issue_handler_settings\";i:9;s:23:\"simplenews_issue_status\";i:10;s:27:\"simplenews_issue_sent_count\";i:11;s:28:\"simplenews_issue_subscribers\";}s:10:\"field_name\";s:16:\"simplenews_issue\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:24:\"simplenews_issue_handler\";s:5:\"table\";s:22:\"node__simplenews_issue\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:12:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:26:\"simplenews_issue_target_id\";i:7;s:24:\"simplenews_issue_handler\";i:8;s:33:\"simplenews_issue_handler_settings\";i:9;s:23:\"simplenews_issue_status\";i:10;s:27:\"simplenews_issue_sent_count\";i:11;s:28:\"simplenews_issue_subscribers\";}s:10:\"field_name\";s:16:\"simplenews_issue\";s:11:\"entity_type\";s:4:\"node\";}}s:33:\"simplenews_issue_handler_settings\";a:6:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:10:\"Newsletter\";s:5:\"@name\";s:16:\"simplenews_issue\";s:7:\"@column\";s:16:\"handler_settings\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:10:\"Newsletter\";s:7:\"@column\";s:16:\"handler_settings\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:16:\"simplenews_issue\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:33:\"simplenews_issue_handler_settings\";s:5:\"table\";s:22:\"node__simplenews_issue\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:12:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:26:\"simplenews_issue_target_id\";i:7;s:24:\"simplenews_issue_handler\";i:8;s:33:\"simplenews_issue_handler_settings\";i:9;s:23:\"simplenews_issue_status\";i:10;s:27:\"simplenews_issue_sent_count\";i:11;s:28:\"simplenews_issue_subscribers\";}s:10:\"field_name\";s:16:\"simplenews_issue\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:33:\"simplenews_issue_handler_settings\";s:5:\"table\";s:22:\"node__simplenews_issue\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:12:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:26:\"simplenews_issue_target_id\";i:7;s:24:\"simplenews_issue_handler\";i:8;s:33:\"simplenews_issue_handler_settings\";i:9;s:23:\"simplenews_issue_status\";i:10;s:27:\"simplenews_issue_sent_count\";i:11;s:28:\"simplenews_issue_subscribers\";}s:10:\"field_name\";s:16:\"simplenews_issue\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}}s:23:\"simplenews_issue_status\";a:7:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:10:\"Newsletter\";s:5:\"@name\";s:16:\"simplenews_issue\";s:7:\"@column\";s:6:\"status\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:10:\"Newsletter\";s:7:\"@column\";s:6:\"status\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:16:\"simplenews_issue\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:23:\"simplenews_issue_status\";s:5:\"table\";s:22:\"node__simplenews_issue\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:12:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:26:\"simplenews_issue_target_id\";i:7;s:24:\"simplenews_issue_handler\";i:8;s:33:\"simplenews_issue_handler_settings\";i:9;s:23:\"simplenews_issue_status\";i:10;s:27:\"simplenews_issue_sent_count\";i:11;s:28:\"simplenews_issue_subscribers\";}s:10:\"field_name\";s:16:\"simplenews_issue\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:23:\"simplenews_issue_status\";s:5:\"table\";s:22:\"node__simplenews_issue\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:12:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:26:\"simplenews_issue_target_id\";i:7;s:24:\"simplenews_issue_handler\";i:8;s:33:\"simplenews_issue_handler_settings\";i:9;s:23:\"simplenews_issue_status\";i:10;s:27:\"simplenews_issue_sent_count\";i:11;s:28:\"simplenews_issue_subscribers\";}s:10:\"field_name\";s:16:\"simplenews_issue\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:23:\"simplenews_issue_status\";s:5:\"table\";s:22:\"node__simplenews_issue\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:12:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:26:\"simplenews_issue_target_id\";i:7;s:24:\"simplenews_issue_handler\";i:8;s:33:\"simplenews_issue_handler_settings\";i:9;s:23:\"simplenews_issue_status\";i:10;s:27:\"simplenews_issue_sent_count\";i:11;s:28:\"simplenews_issue_subscribers\";}s:10:\"field_name\";s:16:\"simplenews_issue\";s:11:\"entity_type\";s:4:\"node\";}}s:27:\"simplenews_issue_sent_count\";a:7:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:10:\"Newsletter\";s:5:\"@name\";s:16:\"simplenews_issue\";s:7:\"@column\";s:10:\"sent_count\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:10:\"Newsletter\";s:7:\"@column\";s:10:\"sent_count\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:16:\"simplenews_issue\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:27:\"simplenews_issue_sent_count\";s:5:\"table\";s:22:\"node__simplenews_issue\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:12:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:26:\"simplenews_issue_target_id\";i:7;s:24:\"simplenews_issue_handler\";i:8;s:33:\"simplenews_issue_handler_settings\";i:9;s:23:\"simplenews_issue_status\";i:10;s:27:\"simplenews_issue_sent_count\";i:11;s:28:\"simplenews_issue_subscribers\";}s:10:\"field_name\";s:16:\"simplenews_issue\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:27:\"simplenews_issue_sent_count\";s:5:\"table\";s:22:\"node__simplenews_issue\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:12:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:26:\"simplenews_issue_target_id\";i:7;s:24:\"simplenews_issue_handler\";i:8;s:33:\"simplenews_issue_handler_settings\";i:9;s:23:\"simplenews_issue_status\";i:10;s:27:\"simplenews_issue_sent_count\";i:11;s:28:\"simplenews_issue_subscribers\";}s:10:\"field_name\";s:16:\"simplenews_issue\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:27:\"simplenews_issue_sent_count\";s:5:\"table\";s:22:\"node__simplenews_issue\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:12:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:26:\"simplenews_issue_target_id\";i:7;s:24:\"simplenews_issue_handler\";i:8;s:33:\"simplenews_issue_handler_settings\";i:9;s:23:\"simplenews_issue_status\";i:10;s:27:\"simplenews_issue_sent_count\";i:11;s:28:\"simplenews_issue_subscribers\";}s:10:\"field_name\";s:16:\"simplenews_issue\";s:11:\"entity_type\";s:4:\"node\";}}s:28:\"simplenews_issue_subscribers\";a:7:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:10:\"Newsletter\";s:5:\"@name\";s:16:\"simplenews_issue\";s:7:\"@column\";s:11:\"subscribers\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:10:\"Newsletter\";s:7:\"@column\";s:11:\"subscribers\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:16:\"simplenews_issue\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:28:\"simplenews_issue_subscribers\";s:5:\"table\";s:22:\"node__simplenews_issue\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:12:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:26:\"simplenews_issue_target_id\";i:7;s:24:\"simplenews_issue_handler\";i:8;s:33:\"simplenews_issue_handler_settings\";i:9;s:23:\"simplenews_issue_status\";i:10;s:27:\"simplenews_issue_sent_count\";i:11;s:28:\"simplenews_issue_subscribers\";}s:10:\"field_name\";s:16:\"simplenews_issue\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:28:\"simplenews_issue_subscribers\";s:5:\"table\";s:22:\"node__simplenews_issue\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:12:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:26:\"simplenews_issue_target_id\";i:7;s:24:\"simplenews_issue_handler\";i:8;s:33:\"simplenews_issue_handler_settings\";i:9;s:23:\"simplenews_issue_status\";i:10;s:27:\"simplenews_issue_sent_count\";i:11;s:28:\"simplenews_issue_subscribers\";}s:10:\"field_name\";s:16:\"simplenews_issue\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:28:\"simplenews_issue_subscribers\";s:5:\"table\";s:22:\"node__simplenews_issue\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:12:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:26:\"simplenews_issue_target_id\";i:7;s:24:\"simplenews_issue_handler\";i:8;s:33:\"simplenews_issue_handler_settings\";i:9;s:23:\"simplenews_issue_status\";i:10;s:27:\"simplenews_issue_sent_count\";i:11;s:28:\"simplenews_issue_subscribers\";}s:10:\"field_name\";s:16:\"simplenews_issue\";s:11:\"entity_type\";s:4:\"node\";}}}s:31:\"node_revision__simplenews_issue\";a:8:{s:5:\"table\";a:2:{s:4:\"join\";a:1:{s:19:\"node_field_revision\";a:4:{s:5:\"table\";s:31:\"node_revision__simplenews_issue\";s:10:\"left_field\";s:3:\"vid\";s:5:\"field\";s:11:\"revision_id\";s:5:\"extra\";a:1:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}}}}s:8:\"provider\";s:5:\"views\";}s:28:\"simplenews_issue-revision_id\";a:5:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";s:10:\"Newsletter\";s:11:\"title short\";s:10:\"Newsletter\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:16:\"simplenews_issue\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:8:{s:5:\"table\";s:31:\"node_revision__simplenews_issue\";s:2:\"id\";s:5:\"field\";s:10:\"field_name\";s:16:\"simplenews_issue\";s:11:\"entity_type\";s:4:\"node\";s:10:\"real field\";s:38:\"simplenews_issue-revision_id_target_id\";s:17:\"additional fields\";a:9:{i:0;s:5:\"delta\";i:1;s:8:\"langcode\";i:2;s:6:\"bundle\";i:3;s:26:\"simplenews_issue_target_id\";i:4;s:24:\"simplenews_issue_handler\";i:5;s:33:\"simplenews_issue_handler_settings\";i:6;s:23:\"simplenews_issue_status\";i:7;s:27:\"simplenews_issue_sent_count\";i:8;s:28:\"simplenews_issue_subscribers\";}s:12:\"element type\";s:3:\"div\";s:11:\"is revision\";b:1;}}s:26:\"simplenews_issue_target_id\";a:7:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";r:1566;s:11:\"title short\";r:1573;s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:16:\"simplenews_issue\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:26:\"simplenews_issue_target_id\";s:5:\"table\";s:31:\"node_revision__simplenews_issue\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:12:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:26:\"simplenews_issue_target_id\";i:7;s:24:\"simplenews_issue_handler\";i:8;s:33:\"simplenews_issue_handler_settings\";i:9;s:23:\"simplenews_issue_status\";i:10;s:27:\"simplenews_issue_sent_count\";i:11;s:28:\"simplenews_issue_subscribers\";}s:10:\"field_name\";s:16:\"simplenews_issue\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:8:{s:5:\"field\";s:26:\"simplenews_issue_target_id\";s:5:\"table\";s:31:\"node_revision__simplenews_issue\";s:2:\"id\";s:11:\"in_operator\";s:17:\"additional fields\";a:12:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:26:\"simplenews_issue_target_id\";i:7;s:24:\"simplenews_issue_handler\";i:8;s:33:\"simplenews_issue_handler_settings\";i:9;s:23:\"simplenews_issue_status\";i:10;s:27:\"simplenews_issue_sent_count\";i:11;s:28:\"simplenews_issue_subscribers\";}s:10:\"field_name\";s:16:\"simplenews_issue\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;s:16:\"options callback\";s:26:\"simplenews_newsletter_list\";}s:4:\"sort\";a:6:{s:5:\"field\";s:26:\"simplenews_issue_target_id\";s:5:\"table\";s:31:\"node_revision__simplenews_issue\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:12:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:26:\"simplenews_issue_target_id\";i:7;s:24:\"simplenews_issue_handler\";i:8;s:33:\"simplenews_issue_handler_settings\";i:9;s:23:\"simplenews_issue_status\";i:10;s:27:\"simplenews_issue_sent_count\";i:11;s:28:\"simplenews_issue_subscribers\";}s:10:\"field_name\";s:16:\"simplenews_issue\";s:11:\"entity_type\";s:4:\"node\";}}s:24:\"simplenews_issue_handler\";a:7:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";r:1649;s:11:\"title short\";r:1656;s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:16:\"simplenews_issue\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:24:\"simplenews_issue_handler\";s:5:\"table\";s:31:\"node_revision__simplenews_issue\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:12:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:26:\"simplenews_issue_target_id\";i:7;s:24:\"simplenews_issue_handler\";i:8;s:33:\"simplenews_issue_handler_settings\";i:9;s:23:\"simplenews_issue_status\";i:10;s:27:\"simplenews_issue_sent_count\";i:11;s:28:\"simplenews_issue_subscribers\";}s:10:\"field_name\";s:16:\"simplenews_issue\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:24:\"simplenews_issue_handler\";s:5:\"table\";s:31:\"node_revision__simplenews_issue\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:12:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:26:\"simplenews_issue_target_id\";i:7;s:24:\"simplenews_issue_handler\";i:8;s:33:\"simplenews_issue_handler_settings\";i:9;s:23:\"simplenews_issue_status\";i:10;s:27:\"simplenews_issue_sent_count\";i:11;s:28:\"simplenews_issue_subscribers\";}s:10:\"field_name\";s:16:\"simplenews_issue\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:24:\"simplenews_issue_handler\";s:5:\"table\";s:31:\"node_revision__simplenews_issue\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:12:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:26:\"simplenews_issue_target_id\";i:7;s:24:\"simplenews_issue_handler\";i:8;s:33:\"simplenews_issue_handler_settings\";i:9;s:23:\"simplenews_issue_status\";i:10;s:27:\"simplenews_issue_sent_count\";i:11;s:28:\"simplenews_issue_subscribers\";}s:10:\"field_name\";s:16:\"simplenews_issue\";s:11:\"entity_type\";s:4:\"node\";}}s:33:\"simplenews_issue_handler_settings\";a:6:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";r:1731;s:11:\"title short\";r:1738;s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:16:\"simplenews_issue\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:33:\"simplenews_issue_handler_settings\";s:5:\"table\";s:31:\"node_revision__simplenews_issue\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:12:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:26:\"simplenews_issue_target_id\";i:7;s:24:\"simplenews_issue_handler\";i:8;s:33:\"simplenews_issue_handler_settings\";i:9;s:23:\"simplenews_issue_status\";i:10;s:27:\"simplenews_issue_sent_count\";i:11;s:28:\"simplenews_issue_subscribers\";}s:10:\"field_name\";s:16:\"simplenews_issue\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:33:\"simplenews_issue_handler_settings\";s:5:\"table\";s:31:\"node_revision__simplenews_issue\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:12:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:26:\"simplenews_issue_target_id\";i:7;s:24:\"simplenews_issue_handler\";i:8;s:33:\"simplenews_issue_handler_settings\";i:9;s:23:\"simplenews_issue_status\";i:10;s:27:\"simplenews_issue_sent_count\";i:11;s:28:\"simplenews_issue_subscribers\";}s:10:\"field_name\";s:16:\"simplenews_issue\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}}s:23:\"simplenews_issue_status\";a:7:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";r:1794;s:11:\"title short\";r:1801;s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:16:\"simplenews_issue\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:23:\"simplenews_issue_status\";s:5:\"table\";s:31:\"node_revision__simplenews_issue\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:12:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:26:\"simplenews_issue_target_id\";i:7;s:24:\"simplenews_issue_handler\";i:8;s:33:\"simplenews_issue_handler_settings\";i:9;s:23:\"simplenews_issue_status\";i:10;s:27:\"simplenews_issue_sent_count\";i:11;s:28:\"simplenews_issue_subscribers\";}s:10:\"field_name\";s:16:\"simplenews_issue\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:23:\"simplenews_issue_status\";s:5:\"table\";s:31:\"node_revision__simplenews_issue\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:12:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:26:\"simplenews_issue_target_id\";i:7;s:24:\"simplenews_issue_handler\";i:8;s:33:\"simplenews_issue_handler_settings\";i:9;s:23:\"simplenews_issue_status\";i:10;s:27:\"simplenews_issue_sent_count\";i:11;s:28:\"simplenews_issue_subscribers\";}s:10:\"field_name\";s:16:\"simplenews_issue\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:23:\"simplenews_issue_status\";s:5:\"table\";s:31:\"node_revision__simplenews_issue\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:12:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:26:\"simplenews_issue_target_id\";i:7;s:24:\"simplenews_issue_handler\";i:8;s:33:\"simplenews_issue_handler_settings\";i:9;s:23:\"simplenews_issue_status\";i:10;s:27:\"simplenews_issue_sent_count\";i:11;s:28:\"simplenews_issue_subscribers\";}s:10:\"field_name\";s:16:\"simplenews_issue\";s:11:\"entity_type\";s:4:\"node\";}}s:27:\"simplenews_issue_sent_count\";a:7:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";r:1876;s:11:\"title short\";r:1883;s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:16:\"simplenews_issue\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:27:\"simplenews_issue_sent_count\";s:5:\"table\";s:31:\"node_revision__simplenews_issue\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:12:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:26:\"simplenews_issue_target_id\";i:7;s:24:\"simplenews_issue_handler\";i:8;s:33:\"simplenews_issue_handler_settings\";i:9;s:23:\"simplenews_issue_status\";i:10;s:27:\"simplenews_issue_sent_count\";i:11;s:28:\"simplenews_issue_subscribers\";}s:10:\"field_name\";s:16:\"simplenews_issue\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:27:\"simplenews_issue_sent_count\";s:5:\"table\";s:31:\"node_revision__simplenews_issue\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:12:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:26:\"simplenews_issue_target_id\";i:7;s:24:\"simplenews_issue_handler\";i:8;s:33:\"simplenews_issue_handler_settings\";i:9;s:23:\"simplenews_issue_status\";i:10;s:27:\"simplenews_issue_sent_count\";i:11;s:28:\"simplenews_issue_subscribers\";}s:10:\"field_name\";s:16:\"simplenews_issue\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:27:\"simplenews_issue_sent_count\";s:5:\"table\";s:31:\"node_revision__simplenews_issue\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:12:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:26:\"simplenews_issue_target_id\";i:7;s:24:\"simplenews_issue_handler\";i:8;s:33:\"simplenews_issue_handler_settings\";i:9;s:23:\"simplenews_issue_status\";i:10;s:27:\"simplenews_issue_sent_count\";i:11;s:28:\"simplenews_issue_subscribers\";}s:10:\"field_name\";s:16:\"simplenews_issue\";s:11:\"entity_type\";s:4:\"node\";}}s:28:\"simplenews_issue_subscribers\";a:7:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";r:1958;s:11:\"title short\";r:1965;s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:16:\"simplenews_issue\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:28:\"simplenews_issue_subscribers\";s:5:\"table\";s:31:\"node_revision__simplenews_issue\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:12:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:26:\"simplenews_issue_target_id\";i:7;s:24:\"simplenews_issue_handler\";i:8;s:33:\"simplenews_issue_handler_settings\";i:9;s:23:\"simplenews_issue_status\";i:10;s:27:\"simplenews_issue_sent_count\";i:11;s:28:\"simplenews_issue_subscribers\";}s:10:\"field_name\";s:16:\"simplenews_issue\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:28:\"simplenews_issue_subscribers\";s:5:\"table\";s:31:\"node_revision__simplenews_issue\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:12:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:26:\"simplenews_issue_target_id\";i:7;s:24:\"simplenews_issue_handler\";i:8;s:33:\"simplenews_issue_handler_settings\";i:9;s:23:\"simplenews_issue_status\";i:10;s:27:\"simplenews_issue_sent_count\";i:11;s:28:\"simplenews_issue_subscribers\";}s:10:\"field_name\";s:16:\"simplenews_issue\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:28:\"simplenews_issue_subscribers\";s:5:\"table\";s:31:\"node_revision__simplenews_issue\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:12:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:26:\"simplenews_issue_target_id\";i:7;s:24:\"simplenews_issue_handler\";i:8;s:33:\"simplenews_issue_handler_settings\";i:9;s:23:\"simplenews_issue_status\";i:10;s:27:\"simplenews_issue_sent_count\";i:11;s:28:\"simplenews_issue_subscribers\";}s:10:\"field_name\";s:16:\"simplenews_issue\";s:11:\"entity_type\";s:4:\"node\";}}}s:23:\"node__field_why_us_type\";a:3:{s:5:\"table\";a:2:{s:4:\"join\";a:1:{s:15:\"node_field_data\";a:4:{s:5:\"table\";s:23:\"node__field_why_us_type\";s:10:\"left_field\";s:3:\"nid\";s:5:\"field\";s:9:\"entity_id\";s:5:\"extra\";a:1:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}}}}s:8:\"provider\";s:5:\"views\";}s:17:\"field_why_us_type\";a:5:{s:5:\"group\";r:296;s:5:\"title\";s:11:\"Why us type\";s:11:\"title short\";s:11:\"Why us type\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:6:\"why_us\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:9:{s:5:\"table\";s:23:\"node__field_why_us_type\";s:2:\"id\";s:5:\"field\";s:10:\"field_name\";s:17:\"field_why_us_type\";s:11:\"entity_type\";s:4:\"node\";s:10:\"real field\";s:23:\"field_why_us_type_value\";s:17:\"additional fields\";a:4:{i:0;s:5:\"delta\";i:1;s:8:\"langcode\";i:2;s:6:\"bundle\";i:3;s:23:\"field_why_us_type_value\";}s:12:\"element type\";s:3:\"div\";s:11:\"is revision\";b:0;s:14:\"click sortable\";b:1;}}s:23:\"field_why_us_type_value\";a:7:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label (@name)\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:11:\"Why us type\";s:5:\"@name\";s:17:\"field_why_us_type\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";s:11:\"Why us type\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:6:\"why_us\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:23:\"field_why_us_type_value\";s:5:\"table\";s:23:\"node__field_why_us_type\";s:2:\"id\";s:17:\"string_list_field\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_why_us_type_value\";}s:10:\"field_name\";s:17:\"field_why_us_type\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:23:\"field_why_us_type_value\";s:5:\"table\";s:23:\"node__field_why_us_type\";s:2:\"id\";s:10:\"list_field\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_why_us_type_value\";}s:10:\"field_name\";s:17:\"field_why_us_type\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:23:\"field_why_us_type_value\";s:5:\"table\";s:23:\"node__field_why_us_type\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_why_us_type_value\";}s:10:\"field_name\";s:17:\"field_why_us_type\";s:11:\"entity_type\";s:4:\"node\";}}}s:32:\"node_revision__field_why_us_type\";a:3:{s:5:\"table\";a:2:{s:4:\"join\";a:1:{s:19:\"node_field_revision\";a:4:{s:5:\"table\";s:32:\"node_revision__field_why_us_type\";s:10:\"left_field\";s:3:\"vid\";s:5:\"field\";s:11:\"revision_id\";s:5:\"extra\";a:1:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}}}}s:8:\"provider\";s:5:\"views\";}s:29:\"field_why_us_type-revision_id\";a:5:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";s:11:\"Why us type\";s:11:\"title short\";s:11:\"Why us type\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:6:\"why_us\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:8:{s:5:\"table\";s:32:\"node_revision__field_why_us_type\";s:2:\"id\";s:5:\"field\";s:10:\"field_name\";s:17:\"field_why_us_type\";s:11:\"entity_type\";s:4:\"node\";s:10:\"real field\";s:35:\"field_why_us_type-revision_id_value\";s:17:\"additional fields\";a:4:{i:0;s:5:\"delta\";i:1;s:8:\"langcode\";i:2;s:6:\"bundle\";i:3;s:23:\"field_why_us_type_value\";}s:12:\"element type\";s:3:\"div\";s:11:\"is revision\";b:1;}}s:23:\"field_why_us_type_value\";a:7:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";r:2552;s:11:\"title short\";s:11:\"Why us type\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:6:\"why_us\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:23:\"field_why_us_type_value\";s:5:\"table\";s:32:\"node_revision__field_why_us_type\";s:2:\"id\";s:17:\"string_list_field\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_why_us_type_value\";}s:10:\"field_name\";s:17:\"field_why_us_type\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:23:\"field_why_us_type_value\";s:5:\"table\";s:32:\"node_revision__field_why_us_type\";s:2:\"id\";s:10:\"list_field\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_why_us_type_value\";}s:10:\"field_name\";s:17:\"field_why_us_type\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:23:\"field_why_us_type_value\";s:5:\"table\";s:32:\"node_revision__field_why_us_type\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_why_us_type_value\";}s:10:\"field_name\";s:17:\"field_why_us_type\";s:11:\"entity_type\";s:4:\"node\";}}}s:17:\"node__field_video\";a:3:{s:5:\"table\";a:2:{s:4:\"join\";a:1:{s:15:\"node_field_data\";a:4:{s:5:\"table\";s:17:\"node__field_video\";s:10:\"left_field\";s:3:\"nid\";s:5:\"field\";s:9:\"entity_id\";s:5:\"extra\";a:2:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}i:1;a:2:{s:10:\"left_field\";s:8:\"langcode\";s:5:\"field\";s:8:\"langcode\";}}}}s:8:\"provider\";s:5:\"views\";}s:11:\"field_video\";a:5:{s:5:\"group\";r:296;s:5:\"title\";s:5:\"Video\";s:11:\"title short\";s:5:\"Video\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:4:\"blog\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:9:{s:5:\"table\";s:17:\"node__field_video\";s:2:\"id\";s:5:\"field\";s:10:\"field_name\";s:11:\"field_video\";s:11:\"entity_type\";s:4:\"node\";s:10:\"real field\";s:17:\"field_video_value\";s:17:\"additional fields\";a:4:{i:0;s:5:\"delta\";i:1;s:8:\"langcode\";i:2;s:6:\"bundle\";i:3;s:17:\"field_video_value\";}s:12:\"element type\";s:3:\"div\";s:11:\"is revision\";b:0;s:14:\"click sortable\";b:1;}}s:17:\"field_video_value\";a:7:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label (@name)\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:5:\"Video\";s:5:\"@name\";s:11:\"field_video\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";s:5:\"Video\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:4:\"blog\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:17:\"field_video_value\";s:5:\"table\";s:17:\"node__field_video\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:17:\"field_video_value\";}s:10:\"field_name\";s:11:\"field_video\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:17:\"field_video_value\";s:5:\"table\";s:17:\"node__field_video\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:17:\"field_video_value\";}s:10:\"field_name\";s:11:\"field_video\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:17:\"field_video_value\";s:5:\"table\";s:17:\"node__field_video\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:17:\"field_video_value\";}s:10:\"field_name\";s:11:\"field_video\";s:11:\"entity_type\";s:4:\"node\";}}}s:26:\"node_revision__field_video\";a:3:{s:5:\"table\";a:2:{s:4:\"join\";a:1:{s:19:\"node_field_revision\";a:4:{s:5:\"table\";s:26:\"node_revision__field_video\";s:10:\"left_field\";s:3:\"vid\";s:5:\"field\";s:11:\"revision_id\";s:5:\"extra\";a:2:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}i:1;a:2:{s:10:\"left_field\";s:8:\"langcode\";s:5:\"field\";s:8:\"langcode\";}}}}s:8:\"provider\";s:5:\"views\";}s:23:\"field_video-revision_id\";a:5:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";s:5:\"Video\";s:11:\"title short\";s:5:\"Video\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:4:\"blog\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:8:{s:5:\"table\";s:26:\"node_revision__field_video\";s:2:\"id\";s:5:\"field\";s:10:\"field_name\";s:11:\"field_video\";s:11:\"entity_type\";s:4:\"node\";s:10:\"real field\";s:29:\"field_video-revision_id_value\";s:17:\"additional fields\";a:4:{i:0;s:5:\"delta\";i:1;s:8:\"langcode\";i:2;s:6:\"bundle\";i:3;s:17:\"field_video_value\";}s:12:\"element type\";s:3:\"div\";s:11:\"is revision\";b:1;}}s:17:\"field_video_value\";a:7:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";r:2751;s:11:\"title short\";s:5:\"Video\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:4:\"blog\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:17:\"field_video_value\";s:5:\"table\";s:26:\"node_revision__field_video\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:17:\"field_video_value\";}s:10:\"field_name\";s:11:\"field_video\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:17:\"field_video_value\";s:5:\"table\";s:26:\"node_revision__field_video\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:17:\"field_video_value\";}s:10:\"field_name\";s:11:\"field_video\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:17:\"field_video_value\";s:5:\"table\";s:26:\"node_revision__field_video\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:17:\"field_video_value\";}s:10:\"field_name\";s:11:\"field_video\";s:11:\"entity_type\";s:4:\"node\";}}}s:16:\"node__field_type\";a:3:{s:5:\"table\";a:2:{s:4:\"join\";a:1:{s:15:\"node_field_data\";a:4:{s:5:\"table\";s:16:\"node__field_type\";s:10:\"left_field\";s:3:\"nid\";s:5:\"field\";s:9:\"entity_id\";s:5:\"extra\";a:1:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}}}}s:8:\"provider\";s:5:\"views\";}s:10:\"field_type\";a:5:{s:5:\"group\";r:296;s:5:\"title\";s:4:\"Type\";s:11:\"title short\";s:4:\"Type\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:6:\"banner\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:9:{s:5:\"table\";s:16:\"node__field_type\";s:2:\"id\";s:5:\"field\";s:10:\"field_name\";s:10:\"field_type\";s:11:\"entity_type\";s:4:\"node\";s:10:\"real field\";s:16:\"field_type_value\";s:17:\"additional fields\";a:4:{i:0;s:5:\"delta\";i:1;s:8:\"langcode\";i:2;s:6:\"bundle\";i:3;s:16:\"field_type_value\";}s:12:\"element type\";s:3:\"div\";s:11:\"is revision\";b:0;s:14:\"click sortable\";b:1;}}s:16:\"field_type_value\";a:7:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label (@name)\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:4:\"Type\";s:5:\"@name\";s:10:\"field_type\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";s:4:\"Type\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:6:\"banner\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:16:\"field_type_value\";s:5:\"table\";s:16:\"node__field_type\";s:2:\"id\";s:17:\"string_list_field\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:16:\"field_type_value\";}s:10:\"field_name\";s:10:\"field_type\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:16:\"field_type_value\";s:5:\"table\";s:16:\"node__field_type\";s:2:\"id\";s:10:\"list_field\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:16:\"field_type_value\";}s:10:\"field_name\";s:10:\"field_type\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:16:\"field_type_value\";s:5:\"table\";s:16:\"node__field_type\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:16:\"field_type_value\";}s:10:\"field_name\";s:10:\"field_type\";s:11:\"entity_type\";s:4:\"node\";}}}s:25:\"node_revision__field_type\";a:3:{s:5:\"table\";a:2:{s:4:\"join\";a:1:{s:19:\"node_field_revision\";a:4:{s:5:\"table\";s:25:\"node_revision__field_type\";s:10:\"left_field\";s:3:\"vid\";s:5:\"field\";s:11:\"revision_id\";s:5:\"extra\";a:1:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}}}}s:8:\"provider\";s:5:\"views\";}s:22:\"field_type-revision_id\";a:5:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";s:4:\"Type\";s:11:\"title short\";s:4:\"Type\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:6:\"banner\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:8:{s:5:\"table\";s:25:\"node_revision__field_type\";s:2:\"id\";s:5:\"field\";s:10:\"field_name\";s:10:\"field_type\";s:11:\"entity_type\";s:4:\"node\";s:10:\"real field\";s:28:\"field_type-revision_id_value\";s:17:\"additional fields\";a:4:{i:0;s:5:\"delta\";i:1;s:8:\"langcode\";i:2;s:6:\"bundle\";i:3;s:16:\"field_type_value\";}s:12:\"element type\";s:3:\"div\";s:11:\"is revision\";b:1;}}s:16:\"field_type_value\";a:7:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";r:2950;s:11:\"title short\";s:4:\"Type\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:6:\"banner\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:16:\"field_type_value\";s:5:\"table\";s:25:\"node_revision__field_type\";s:2:\"id\";s:17:\"string_list_field\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:16:\"field_type_value\";}s:10:\"field_name\";s:10:\"field_type\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:16:\"field_type_value\";s:5:\"table\";s:25:\"node_revision__field_type\";s:2:\"id\";s:10:\"list_field\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:16:\"field_type_value\";}s:10:\"field_name\";s:10:\"field_type\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:16:\"field_type_value\";s:5:\"table\";s:25:\"node_revision__field_type\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:16:\"field_type_value\";}s:10:\"field_name\";s:10:\"field_type\";s:11:\"entity_type\";s:4:\"node\";}}}s:16:\"node__field_tags\";a:4:{s:5:\"table\";a:2:{s:4:\"join\";a:1:{s:15:\"node_field_data\";a:4:{s:5:\"table\";s:16:\"node__field_tags\";s:10:\"left_field\";s:3:\"nid\";s:5:\"field\";s:9:\"entity_id\";s:5:\"extra\";a:2:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}i:1;a:2:{s:10:\"left_field\";s:8:\"langcode\";s:5:\"field\";s:8:\"langcode\";}}}}s:8:\"provider\";s:5:\"views\";}s:10:\"field_tags\";a:6:{s:5:\"group\";r:296;s:5:\"title\";s:4:\"Tags\";s:11:\"title short\";s:4:\"Tags\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:13:\"article, blog\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:9:{s:5:\"table\";s:16:\"node__field_tags\";s:2:\"id\";s:5:\"field\";s:10:\"field_name\";s:10:\"field_tags\";s:11:\"entity_type\";s:4:\"node\";s:10:\"real field\";s:20:\"field_tags_target_id\";s:17:\"additional fields\";a:4:{i:0;s:5:\"delta\";i:1;s:8:\"langcode\";i:2;s:6:\"bundle\";i:3;s:20:\"field_tags_target_id\";}s:12:\"element type\";s:3:\"div\";s:11:\"is revision\";b:0;s:14:\"click sortable\";b:1;}s:12:\"relationship\";a:9:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:34:\"@label referenced from @field_name\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Taxonomy term\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"@field_name\";s:10:\"field_tags\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"@field_name: @label\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";r:3151;s:11:\"@field_name\";s:10:\"field_tags\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"group\";r:296;s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:13:\"article, blog\";}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:8:\"standard\";s:4:\"base\";s:24:\"taxonomy_term_field_data\";s:11:\"entity type\";s:13:\"taxonomy_term\";s:10:\"base field\";s:3:\"tid\";s:18:\"relationship field\";s:20:\"field_tags_target_id\";}}s:20:\"field_tags_target_id\";a:7:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label (@name)\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:4:\"Tags\";s:5:\"@name\";s:10:\"field_tags\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";s:4:\"Tags\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:13:\"article, blog\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:20:\"field_tags_target_id\";s:5:\"table\";s:16:\"node__field_tags\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:20:\"field_tags_target_id\";}s:10:\"field_name\";s:10:\"field_tags\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:20:\"field_tags_target_id\";s:5:\"table\";s:16:\"node__field_tags\";s:2:\"id\";s:18:\"taxonomy_index_tid\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:20:\"field_tags_target_id\";}s:10:\"field_name\";s:10:\"field_tags\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:20:\"field_tags_target_id\";s:5:\"table\";s:16:\"node__field_tags\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:20:\"field_tags_target_id\";}s:10:\"field_name\";s:10:\"field_tags\";s:11:\"entity_type\";s:4:\"node\";}}s:5:\"delta\";a:8:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"@label (@name:delta)\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:4:\"Tags\";s:5:\"@name\";s:10:\"field_tags\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@label:delta\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:4:\"Tags\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Delta - Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:13:\"article, blog\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:8:\"argument\";a:7:{s:5:\"field\";s:5:\"delta\";s:5:\"table\";s:16:\"node__field_tags\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:20:\"field_tags_target_id\";}s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"field_name\";s:10:\"field_tags\";s:11:\"entity_type\";s:4:\"node\";}s:6:\"filter\";a:7:{s:5:\"field\";s:5:\"delta\";s:5:\"table\";s:16:\"node__field_tags\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:20:\"field_tags_target_id\";}s:10:\"field_name\";s:10:\"field_tags\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:5:\"delta\";s:5:\"table\";s:16:\"node__field_tags\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:20:\"field_tags_target_id\";}s:10:\"field_name\";s:10:\"field_tags\";s:11:\"entity_type\";s:4:\"node\";}}}s:25:\"node_revision__field_tags\";a:5:{s:5:\"table\";a:2:{s:4:\"join\";a:1:{s:19:\"node_field_revision\";a:4:{s:5:\"table\";s:25:\"node_revision__field_tags\";s:10:\"left_field\";s:3:\"vid\";s:5:\"field\";s:11:\"revision_id\";s:5:\"extra\";a:2:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}i:1;a:2:{s:10:\"left_field\";s:8:\"langcode\";s:5:\"field\";s:8:\"langcode\";}}}}s:8:\"provider\";s:5:\"views\";}s:22:\"field_tags-revision_id\";a:5:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";s:4:\"Tags\";s:11:\"title short\";s:4:\"Tags\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:13:\"article, blog\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:8:{s:5:\"table\";s:25:\"node_revision__field_tags\";s:2:\"id\";s:5:\"field\";s:10:\"field_name\";s:10:\"field_tags\";s:11:\"entity_type\";s:4:\"node\";s:10:\"real field\";s:32:\"field_tags-revision_id_target_id\";s:17:\"additional fields\";a:4:{i:0;s:5:\"delta\";i:1;s:8:\"langcode\";i:2;s:6:\"bundle\";i:3;s:20:\"field_tags_target_id\";}s:12:\"element type\";s:3:\"div\";s:11:\"is revision\";b:1;}}s:20:\"field_tags_target_id\";a:7:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";r:3176;s:11:\"title short\";s:4:\"Tags\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:13:\"article, blog\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:20:\"field_tags_target_id\";s:5:\"table\";s:25:\"node_revision__field_tags\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:20:\"field_tags_target_id\";}s:10:\"field_name\";s:10:\"field_tags\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:20:\"field_tags_target_id\";s:5:\"table\";s:25:\"node_revision__field_tags\";s:2:\"id\";s:18:\"taxonomy_index_tid\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:20:\"field_tags_target_id\";}s:10:\"field_name\";s:10:\"field_tags\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:20:\"field_tags_target_id\";s:5:\"table\";s:25:\"node_revision__field_tags\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:20:\"field_tags_target_id\";}s:10:\"field_name\";s:10:\"field_tags\";s:11:\"entity_type\";s:4:\"node\";}}s:5:\"delta\";a:8:{s:5:\"group\";r:3345;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"@label (@name:delta)\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:4:\"Tags\";s:5:\"@name\";s:10:\"field_tags\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@label:delta\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:4:\"Tags\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Delta - Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:13:\"article, blog\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:8:\"argument\";a:7:{s:5:\"field\";s:5:\"delta\";s:5:\"table\";s:25:\"node_revision__field_tags\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:20:\"field_tags_target_id\";}s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"field_name\";s:10:\"field_tags\";s:11:\"entity_type\";s:4:\"node\";}s:6:\"filter\";a:7:{s:5:\"field\";s:5:\"delta\";s:5:\"table\";s:25:\"node_revision__field_tags\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:20:\"field_tags_target_id\";}s:10:\"field_name\";s:10:\"field_tags\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:5:\"delta\";s:5:\"table\";s:25:\"node_revision__field_tags\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:20:\"field_tags_target_id\";}s:10:\"field_name\";s:10:\"field_tags\";s:11:\"entity_type\";s:4:\"node\";}}s:10:\"field_tags\";a:1:{s:12:\"relationship\";a:9:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:34:\"@label referenced from @field_name\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";r:3151;s:11:\"@field_name\";s:10:\"field_tags\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"@field_name: @label\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";r:3151;s:11:\"@field_name\";s:10:\"field_tags\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"group\";r:296;s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:13:\"article, blog\";}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:8:\"standard\";s:4:\"base\";s:24:\"taxonomy_term_field_data\";s:11:\"entity type\";s:13:\"taxonomy_term\";s:10:\"base field\";s:3:\"tid\";s:18:\"relationship field\";s:20:\"field_tags_target_id\";}}}s:24:\"taxonomy_term_field_data\";a:26:{s:25:\"reverse__node__field_tags\";a:1:{s:12:\"relationship\";a:12:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"@entity using @field_name\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"taxonomy term\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"@field_name\";s:10:\"field_tags\";s:7:\"@entity\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"@field_name\";s:12:\"\0*\0arguments\";a:1:{s:11:\"@field_name\";s:10:\"field_tags\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"group\";r:3151;s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:57:\"Relate each @entity with a @field_name set to the @label.\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";r:3502;s:11:\"@field_name\";s:10:\"field_tags\";s:7:\"@entity\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:14:\"entity_reverse\";s:4:\"base\";s:15:\"node_field_data\";s:11:\"entity_type\";s:4:\"node\";s:10:\"base field\";s:3:\"nid\";s:10:\"field_name\";s:10:\"field_tags\";s:11:\"field table\";s:16:\"node__field_tags\";s:11:\"field field\";s:20:\"field_tags_target_id\";s:10:\"join_extra\";a:1:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}}}}s:5:\"table\";a:7:{s:4:\"base\";a:6:{s:5:\"field\";s:3:\"tid\";s:5:\"title\";r:3151;s:14:\"cache_contexts\";a:0:{}s:16:\"access query tag\";s:20:\"taxonomy_term_access\";s:8:\"defaults\";a:2:{s:5:\"field\";s:4:\"name\";s:5:\"table\";s:24:\"taxonomy_term_field_data\";}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:37:\"Taxonomy terms are attached to nodes.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:5:\"group\";r:3151;s:8:\"provider\";s:8:\"taxonomy\";s:15:\"entity revision\";b:0;s:11:\"entity type\";s:13:\"taxonomy_term\";s:9:\"wizard_id\";s:13:\"taxonomy_term\";s:4:\"join\";a:1:{s:14:\"taxonomy_index\";a:2:{s:5:\"field\";s:3:\"tid\";s:10:\"left_field\";s:3:\"tid\";}}}s:3:\"tid\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Term ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:27:\"The tid of a taxonomy term.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:3:{s:2:\"id\";s:8:\"taxonomy\";s:10:\"name field\";s:4:\"name\";s:12:\"zero is null\";b:1;}s:6:\"filter\";a:5:{s:2:\"id\";s:18:\"taxonomy_index_tid\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Term\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:56:\"Taxonomy term chosen from autocomplete or select widget.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"hierarchy table\";s:21:\"taxonomy_term__parent\";s:7:\"numeric\";b:1;}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:3:\"tid\";}s:11:\"revision_id\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Revision ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:11:\"revision_id\";}s:3:\"vid\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Vocabulary\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:66:\"Filter the results of \"Taxonomy: Term\" to a particular vocabulary.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:2:{s:2:\"id\";s:5:\"field\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"The vocabulary name.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:8:\"argument\";a:1:{s:2:\"id\";s:14:\"vocabulary_vid\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"bundle\";}s:12:\"entity field\";s:3:\"vid\";}s:8:\"langcode\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Translation language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"The term language code.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:8:\"language\";}s:6:\"filter\";a:1:{s:2:\"id\";s:8:\"language\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:8:\"langcode\";}s:6:\"status\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Published\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"boolean\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:6:\"status\";}s:4:\"name\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:9:\"term_name\";}s:8:\"argument\";a:3:{s:2:\"id\";s:6:\"string\";s:11:\"many to one\";b:1;s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Uncategorized\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:4:\"name\";}s:18:\"description__value\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Description\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:3:{s:2:\"id\";s:5:\"field\";s:6:\"format\";s:19:\"description__format\";s:14:\"click sortable\";b:0;}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:11:\"description\";}s:19:\"description__format\";a:6:{s:5:\"title\";s:20:\"Description (format)\";s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:11:\"description\";}s:6:\"weight\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Weight\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:51:\"The weight of this term in relation to other terms.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:6:\"weight\";}s:7:\"changed\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Updated date\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"The date the term was last updated.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:4:\"date\";}s:6:\"filter\";a:1:{s:2:\"id\";s:4:\"date\";}s:4:\"sort\";a:1:{s:2:\"id\";s:4:\"date\";}s:12:\"entity field\";s:7:\"changed\";}s:16:\"default_langcode\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Default translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:58:\"A flag indicating whether this is the default translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"boolean\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:16:\"default_langcode\";}s:29:\"revision_translation_affected\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Revision translation affected\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"Indicates if the last edit of a translation belongs to current revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"boolean\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:29:\"revision_translation_affected\";}s:26:\"content_translation_source\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Translation source\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:60:\"The source language from which this translation was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:8:\"language\";}s:6:\"filter\";a:1:{s:2:\"id\";s:8:\"language\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:26:\"content_translation_source\";}s:28:\"content_translation_outdated\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Translation outdated\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:66:\"A boolean indicating whether this translation needs to be updated.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"boolean\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:28:\"content_translation_outdated\";}s:23:\"content_translation_uid\";a:8:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Translation author\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"The author of this translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"relationship\";a:5:{s:4:\"base\";s:16:\"users_field_data\";s:10:\"base field\";s:3:\"uid\";s:5:\"label\";r:665;s:5:\"title\";r:665;s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:23:\"content_translation_uid\";}s:27:\"content_translation_created\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Translation created time\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"The Unix timestamp when the translation was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:4:\"date\";}s:6:\"filter\";a:1:{s:2:\"id\";s:4:\"date\";}s:4:\"sort\";a:1:{s:2:\"id\";s:4:\"date\";}s:12:\"entity field\";s:27:\"content_translation_created\";}s:7:\"tid_raw\";a:4:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Term ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:27:\"The tid of a taxonomy term.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"real field\";s:3:\"tid\";s:6:\"filter\";a:2:{s:2:\"id\";s:7:\"numeric\";s:11:\"allow empty\";b:1;}}s:18:\"tid_representative\";a:1:{s:12:\"relationship\";a:11:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Representative node\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Representative node\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:89:\"Obtains a single representative node for each term, according to a chosen sort criterion.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:13:\"groupwise_max\";s:18:\"relationship field\";s:3:\"tid\";s:11:\"outer field\";s:28:\"taxonomy_term_field_data.tid\";s:14:\"argument table\";s:24:\"taxonomy_term_field_data\";s:14:\"argument field\";s:3:\"tid\";s:4:\"base\";s:15:\"node_field_data\";s:5:\"field\";s:3:\"nid\";s:12:\"relationship\";s:29:\"node_field_data:term_node_tid\";}}s:16:\"changed_fulldate\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Updated date\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Date in the form of CCYYMMDD.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"changed\";s:2:\"id\";s:13:\"date_fulldate\";}}s:18:\"changed_year_month\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Updated year + month\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:27:\"Date in the form of YYYYMM.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"changed\";s:2:\"id\";s:15:\"date_year_month\";}}s:12:\"changed_year\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Updated year\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"Date in the form of YYYY.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"changed\";s:2:\"id\";s:9:\"date_year\";}}s:13:\"changed_month\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Updated month\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Date in the form of MM (01 - 12).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"changed\";s:2:\"id\";s:10:\"date_month\";}}s:11:\"changed_day\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Updated day\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Date in the form of DD (01 - 31).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"changed\";s:2:\"id\";s:8:\"date_day\";}}s:12:\"changed_week\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Updated week\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Date in the form of WW (01 - 53).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"changed\";s:2:\"id\";s:9:\"date_week\";}}}s:14:\"node__field_su\";a:4:{s:5:\"table\";a:2:{s:4:\"join\";a:1:{s:15:\"node_field_data\";a:4:{s:5:\"table\";s:14:\"node__field_su\";s:10:\"left_field\";s:3:\"nid\";s:5:\"field\";s:9:\"entity_id\";s:5:\"extra\";a:2:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}i:1;a:2:{s:10:\"left_field\";s:8:\"langcode\";s:5:\"field\";s:8:\"langcode\";}}}}s:8:\"provider\";s:5:\"views\";}s:8:\"field_su\";a:5:{s:5:\"group\";r:296;s:5:\"title\";s:7:\"Summary\";s:11:\"title short\";s:7:\"Summary\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:7:\"article\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:9:{s:5:\"table\";s:14:\"node__field_su\";s:2:\"id\";s:5:\"field\";s:10:\"field_name\";s:8:\"field_su\";s:11:\"entity_type\";s:4:\"node\";s:10:\"real field\";s:14:\"field_su_value\";s:17:\"additional fields\";a:5:{i:0;s:5:\"delta\";i:1;s:8:\"langcode\";i:2;s:6:\"bundle\";i:3;s:14:\"field_su_value\";i:4;s:15:\"field_su_format\";}s:12:\"element type\";s:3:\"div\";s:11:\"is revision\";b:0;s:14:\"click sortable\";b:1;}}s:14:\"field_su_value\";a:7:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label (@name)\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:7:\"Summary\";s:5:\"@name\";s:8:\"field_su\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";s:7:\"Summary\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:7:\"article\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:14:\"field_su_value\";s:5:\"table\";s:14:\"node__field_su\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:8:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:14:\"field_su_value\";i:7;s:15:\"field_su_format\";}s:10:\"field_name\";s:8:\"field_su\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:14:\"field_su_value\";s:5:\"table\";s:14:\"node__field_su\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:8:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:14:\"field_su_value\";i:7;s:15:\"field_su_format\";}s:10:\"field_name\";s:8:\"field_su\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:14:\"field_su_value\";s:5:\"table\";s:14:\"node__field_su\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:8:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:14:\"field_su_value\";i:7;s:15:\"field_su_format\";}s:10:\"field_name\";s:8:\"field_su\";s:11:\"entity_type\";s:4:\"node\";}}s:15:\"field_su_format\";a:7:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:7:\"Summary\";s:5:\"@name\";s:8:\"field_su\";s:7:\"@column\";s:6:\"format\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:7:\"Summary\";s:7:\"@column\";s:6:\"format\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:7:\"article\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:15:\"field_su_format\";s:5:\"table\";s:14:\"node__field_su\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:8:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:14:\"field_su_value\";i:7;s:15:\"field_su_format\";}s:10:\"field_name\";s:8:\"field_su\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:15:\"field_su_format\";s:5:\"table\";s:14:\"node__field_su\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:8:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:14:\"field_su_value\";i:7;s:15:\"field_su_format\";}s:10:\"field_name\";s:8:\"field_su\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:15:\"field_su_format\";s:5:\"table\";s:14:\"node__field_su\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:8:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:14:\"field_su_value\";i:7;s:15:\"field_su_format\";}s:10:\"field_name\";s:8:\"field_su\";s:11:\"entity_type\";s:4:\"node\";}}}s:23:\"node_revision__field_su\";a:4:{s:5:\"table\";a:2:{s:4:\"join\";a:1:{s:19:\"node_field_revision\";a:4:{s:5:\"table\";s:23:\"node_revision__field_su\";s:10:\"left_field\";s:3:\"vid\";s:5:\"field\";s:11:\"revision_id\";s:5:\"extra\";a:2:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}i:1;a:2:{s:10:\"left_field\";s:8:\"langcode\";s:5:\"field\";s:8:\"langcode\";}}}}s:8:\"provider\";s:5:\"views\";}s:20:\"field_su-revision_id\";a:5:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";s:7:\"Summary\";s:11:\"title short\";s:7:\"Summary\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:7:\"article\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:8:{s:5:\"table\";s:23:\"node_revision__field_su\";s:2:\"id\";s:5:\"field\";s:10:\"field_name\";s:8:\"field_su\";s:11:\"entity_type\";s:4:\"node\";s:10:\"real field\";s:26:\"field_su-revision_id_value\";s:17:\"additional fields\";a:5:{i:0;s:5:\"delta\";i:1;s:8:\"langcode\";i:2;s:6:\"bundle\";i:3;s:14:\"field_su_value\";i:4;s:15:\"field_su_format\";}s:12:\"element type\";s:3:\"div\";s:11:\"is revision\";b:1;}}s:14:\"field_su_value\";a:7:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";r:3997;s:11:\"title short\";s:7:\"Summary\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:7:\"article\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:14:\"field_su_value\";s:5:\"table\";s:23:\"node_revision__field_su\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:8:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:14:\"field_su_value\";i:7;s:15:\"field_su_format\";}s:10:\"field_name\";s:8:\"field_su\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:14:\"field_su_value\";s:5:\"table\";s:23:\"node_revision__field_su\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:8:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:14:\"field_su_value\";i:7;s:15:\"field_su_format\";}s:10:\"field_name\";s:8:\"field_su\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:14:\"field_su_value\";s:5:\"table\";s:23:\"node_revision__field_su\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:8:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:14:\"field_su_value\";i:7;s:15:\"field_su_format\";}s:10:\"field_name\";s:8:\"field_su\";s:11:\"entity_type\";s:4:\"node\";}}s:15:\"field_su_format\";a:7:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";r:4061;s:11:\"title short\";r:4068;s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:7:\"article\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:15:\"field_su_format\";s:5:\"table\";s:23:\"node_revision__field_su\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:8:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:14:\"field_su_value\";i:7;s:15:\"field_su_format\";}s:10:\"field_name\";s:8:\"field_su\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:15:\"field_su_format\";s:5:\"table\";s:23:\"node_revision__field_su\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:8:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:14:\"field_su_value\";i:7;s:15:\"field_su_format\";}s:10:\"field_name\";s:8:\"field_su\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:15:\"field_su_format\";s:5:\"table\";s:23:\"node_revision__field_su\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:8:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:14:\"field_su_value\";i:7;s:15:\"field_su_format\";}s:10:\"field_name\";s:8:\"field_su\";s:11:\"entity_type\";s:4:\"node\";}}}s:21:\"node__field_slideshow\";a:7:{s:5:\"table\";a:2:{s:4:\"join\";a:1:{s:15:\"node_field_data\";a:4:{s:5:\"table\";s:21:\"node__field_slideshow\";s:10:\"left_field\";s:3:\"nid\";s:5:\"field\";s:9:\"entity_id\";s:5:\"extra\";a:2:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}i:1;a:2:{s:10:\"left_field\";s:8:\"langcode\";s:5:\"field\";s:8:\"langcode\";}}}}s:8:\"provider\";s:5:\"views\";}s:15:\"field_slideshow\";a:5:{s:5:\"group\";r:296;s:5:\"title\";s:9:\"Slideshow\";s:11:\"title short\";s:9:\"Slideshow\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:4:\"blog\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:9:{s:5:\"table\";s:21:\"node__field_slideshow\";s:2:\"id\";s:5:\"field\";s:10:\"field_name\";s:15:\"field_slideshow\";s:11:\"entity_type\";s:4:\"node\";s:10:\"real field\";s:25:\"field_slideshow_target_id\";s:17:\"additional fields\";a:8:{i:0;s:5:\"delta\";i:1;s:8:\"langcode\";i:2;s:6:\"bundle\";i:3;s:25:\"field_slideshow_target_id\";i:4;s:19:\"field_slideshow_alt\";i:5;s:21:\"field_slideshow_title\";i:6;s:21:\"field_slideshow_width\";i:7;s:22:\"field_slideshow_height\";}s:12:\"element type\";s:3:\"div\";s:11:\"is revision\";b:0;s:14:\"click sortable\";b:1;}}s:25:\"field_slideshow_target_id\";a:8:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:9:\"Slideshow\";s:5:\"@name\";s:15:\"field_slideshow\";s:7:\"@column\";s:9:\"target_id\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:9:\"Slideshow\";s:7:\"@column\";s:9:\"target_id\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:4:\"blog\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:25:\"field_slideshow_target_id\";s:5:\"table\";s:21:\"node__field_slideshow\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:25:\"field_slideshow_target_id\";i:7;s:19:\"field_slideshow_alt\";i:8;s:21:\"field_slideshow_title\";i:9;s:21:\"field_slideshow_width\";i:10;s:22:\"field_slideshow_height\";}s:10:\"field_name\";s:15:\"field_slideshow\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:25:\"field_slideshow_target_id\";s:5:\"table\";s:21:\"node__field_slideshow\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:25:\"field_slideshow_target_id\";i:7;s:19:\"field_slideshow_alt\";i:8;s:21:\"field_slideshow_title\";i:9;s:21:\"field_slideshow_width\";i:10;s:22:\"field_slideshow_height\";}s:10:\"field_name\";s:15:\"field_slideshow\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:25:\"field_slideshow_target_id\";s:5:\"table\";s:21:\"node__field_slideshow\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:25:\"field_slideshow_target_id\";i:7;s:19:\"field_slideshow_alt\";i:8;s:21:\"field_slideshow_title\";i:9;s:21:\"field_slideshow_width\";i:10;s:22:\"field_slideshow_height\";}s:10:\"field_name\";s:15:\"field_slideshow\";s:11:\"entity_type\";s:4:\"node\";}s:12:\"relationship\";a:5:{s:2:\"id\";s:8:\"standard\";s:4:\"base\";s:12:\"file_managed\";s:11:\"entity type\";s:4:\"file\";s:10:\"base field\";s:3:\"fid\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"image from @field_name\";s:12:\"\0*\0arguments\";a:1:{s:11:\"@field_name\";s:15:\"field_slideshow\";}s:10:\"\0*\0options\";a:0:{}}}}s:19:\"field_slideshow_alt\";a:7:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:9:\"Slideshow\";s:5:\"@name\";s:15:\"field_slideshow\";s:7:\"@column\";s:3:\"alt\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:9:\"Slideshow\";s:7:\"@column\";s:3:\"alt\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:4:\"blog\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:19:\"field_slideshow_alt\";s:5:\"table\";s:21:\"node__field_slideshow\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:25:\"field_slideshow_target_id\";i:7;s:19:\"field_slideshow_alt\";i:8;s:21:\"field_slideshow_title\";i:9;s:21:\"field_slideshow_width\";i:10;s:22:\"field_slideshow_height\";}s:10:\"field_name\";s:15:\"field_slideshow\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:19:\"field_slideshow_alt\";s:5:\"table\";s:21:\"node__field_slideshow\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:25:\"field_slideshow_target_id\";i:7;s:19:\"field_slideshow_alt\";i:8;s:21:\"field_slideshow_title\";i:9;s:21:\"field_slideshow_width\";i:10;s:22:\"field_slideshow_height\";}s:10:\"field_name\";s:15:\"field_slideshow\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:19:\"field_slideshow_alt\";s:5:\"table\";s:21:\"node__field_slideshow\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:25:\"field_slideshow_target_id\";i:7;s:19:\"field_slideshow_alt\";i:8;s:21:\"field_slideshow_title\";i:9;s:21:\"field_slideshow_width\";i:10;s:22:\"field_slideshow_height\";}s:10:\"field_name\";s:15:\"field_slideshow\";s:11:\"entity_type\";s:4:\"node\";}}s:21:\"field_slideshow_title\";a:7:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:9:\"Slideshow\";s:5:\"@name\";s:15:\"field_slideshow\";s:7:\"@column\";s:5:\"title\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:9:\"Slideshow\";s:7:\"@column\";s:5:\"title\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:4:\"blog\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:21:\"field_slideshow_title\";s:5:\"table\";s:21:\"node__field_slideshow\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:25:\"field_slideshow_target_id\";i:7;s:19:\"field_slideshow_alt\";i:8;s:21:\"field_slideshow_title\";i:9;s:21:\"field_slideshow_width\";i:10;s:22:\"field_slideshow_height\";}s:10:\"field_name\";s:15:\"field_slideshow\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:21:\"field_slideshow_title\";s:5:\"table\";s:21:\"node__field_slideshow\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:25:\"field_slideshow_target_id\";i:7;s:19:\"field_slideshow_alt\";i:8;s:21:\"field_slideshow_title\";i:9;s:21:\"field_slideshow_width\";i:10;s:22:\"field_slideshow_height\";}s:10:\"field_name\";s:15:\"field_slideshow\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:21:\"field_slideshow_title\";s:5:\"table\";s:21:\"node__field_slideshow\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:25:\"field_slideshow_target_id\";i:7;s:19:\"field_slideshow_alt\";i:8;s:21:\"field_slideshow_title\";i:9;s:21:\"field_slideshow_width\";i:10;s:22:\"field_slideshow_height\";}s:10:\"field_name\";s:15:\"field_slideshow\";s:11:\"entity_type\";s:4:\"node\";}}s:21:\"field_slideshow_width\";a:7:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:9:\"Slideshow\";s:5:\"@name\";s:15:\"field_slideshow\";s:7:\"@column\";s:5:\"width\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:9:\"Slideshow\";s:7:\"@column\";s:5:\"width\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:4:\"blog\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:21:\"field_slideshow_width\";s:5:\"table\";s:21:\"node__field_slideshow\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:25:\"field_slideshow_target_id\";i:7;s:19:\"field_slideshow_alt\";i:8;s:21:\"field_slideshow_title\";i:9;s:21:\"field_slideshow_width\";i:10;s:22:\"field_slideshow_height\";}s:10:\"field_name\";s:15:\"field_slideshow\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:21:\"field_slideshow_width\";s:5:\"table\";s:21:\"node__field_slideshow\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:25:\"field_slideshow_target_id\";i:7;s:19:\"field_slideshow_alt\";i:8;s:21:\"field_slideshow_title\";i:9;s:21:\"field_slideshow_width\";i:10;s:22:\"field_slideshow_height\";}s:10:\"field_name\";s:15:\"field_slideshow\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:21:\"field_slideshow_width\";s:5:\"table\";s:21:\"node__field_slideshow\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:25:\"field_slideshow_target_id\";i:7;s:19:\"field_slideshow_alt\";i:8;s:21:\"field_slideshow_title\";i:9;s:21:\"field_slideshow_width\";i:10;s:22:\"field_slideshow_height\";}s:10:\"field_name\";s:15:\"field_slideshow\";s:11:\"entity_type\";s:4:\"node\";}}s:22:\"field_slideshow_height\";a:7:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:9:\"Slideshow\";s:5:\"@name\";s:15:\"field_slideshow\";s:7:\"@column\";s:6:\"height\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:9:\"Slideshow\";s:7:\"@column\";s:6:\"height\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:4:\"blog\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:22:\"field_slideshow_height\";s:5:\"table\";s:21:\"node__field_slideshow\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:25:\"field_slideshow_target_id\";i:7;s:19:\"field_slideshow_alt\";i:8;s:21:\"field_slideshow_title\";i:9;s:21:\"field_slideshow_width\";i:10;s:22:\"field_slideshow_height\";}s:10:\"field_name\";s:15:\"field_slideshow\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:22:\"field_slideshow_height\";s:5:\"table\";s:21:\"node__field_slideshow\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:25:\"field_slideshow_target_id\";i:7;s:19:\"field_slideshow_alt\";i:8;s:21:\"field_slideshow_title\";i:9;s:21:\"field_slideshow_width\";i:10;s:22:\"field_slideshow_height\";}s:10:\"field_name\";s:15:\"field_slideshow\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:22:\"field_slideshow_height\";s:5:\"table\";s:21:\"node__field_slideshow\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:25:\"field_slideshow_target_id\";i:7;s:19:\"field_slideshow_alt\";i:8;s:21:\"field_slideshow_title\";i:9;s:21:\"field_slideshow_width\";i:10;s:22:\"field_slideshow_height\";}s:10:\"field_name\";s:15:\"field_slideshow\";s:11:\"entity_type\";s:4:\"node\";}}}s:30:\"node_revision__field_slideshow\";a:7:{s:5:\"table\";a:2:{s:4:\"join\";a:1:{s:19:\"node_field_revision\";a:4:{s:5:\"table\";s:30:\"node_revision__field_slideshow\";s:10:\"left_field\";s:3:\"vid\";s:5:\"field\";s:11:\"revision_id\";s:5:\"extra\";a:2:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}i:1;a:2:{s:10:\"left_field\";s:8:\"langcode\";s:5:\"field\";s:8:\"langcode\";}}}}s:8:\"provider\";s:5:\"views\";}s:27:\"field_slideshow-revision_id\";a:5:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";s:9:\"Slideshow\";s:11:\"title short\";s:9:\"Slideshow\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:4:\"blog\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:8:{s:5:\"table\";s:30:\"node_revision__field_slideshow\";s:2:\"id\";s:5:\"field\";s:10:\"field_name\";s:15:\"field_slideshow\";s:11:\"entity_type\";s:4:\"node\";s:10:\"real field\";s:37:\"field_slideshow-revision_id_target_id\";s:17:\"additional fields\";a:8:{i:0;s:5:\"delta\";i:1;s:8:\"langcode\";i:2;s:6:\"bundle\";i:3;s:25:\"field_slideshow_target_id\";i:4;s:19:\"field_slideshow_alt\";i:5;s:21:\"field_slideshow_title\";i:6;s:21:\"field_slideshow_width\";i:7;s:22:\"field_slideshow_height\";}s:12:\"element type\";s:3:\"div\";s:11:\"is revision\";b:1;}}s:25:\"field_slideshow_target_id\";a:8:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";r:4343;s:11:\"title short\";r:4350;s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:4:\"blog\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:25:\"field_slideshow_target_id\";s:5:\"table\";s:30:\"node_revision__field_slideshow\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:25:\"field_slideshow_target_id\";i:7;s:19:\"field_slideshow_alt\";i:8;s:21:\"field_slideshow_title\";i:9;s:21:\"field_slideshow_width\";i:10;s:22:\"field_slideshow_height\";}s:10:\"field_name\";s:15:\"field_slideshow\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:25:\"field_slideshow_target_id\";s:5:\"table\";s:30:\"node_revision__field_slideshow\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:25:\"field_slideshow_target_id\";i:7;s:19:\"field_slideshow_alt\";i:8;s:21:\"field_slideshow_title\";i:9;s:21:\"field_slideshow_width\";i:10;s:22:\"field_slideshow_height\";}s:10:\"field_name\";s:15:\"field_slideshow\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:25:\"field_slideshow_target_id\";s:5:\"table\";s:30:\"node_revision__field_slideshow\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:25:\"field_slideshow_target_id\";i:7;s:19:\"field_slideshow_alt\";i:8;s:21:\"field_slideshow_title\";i:9;s:21:\"field_slideshow_width\";i:10;s:22:\"field_slideshow_height\";}s:10:\"field_name\";s:15:\"field_slideshow\";s:11:\"entity_type\";s:4:\"node\";}s:12:\"relationship\";a:5:{s:2:\"id\";s:8:\"standard\";s:4:\"base\";s:12:\"file_managed\";s:11:\"entity type\";s:4:\"file\";s:10:\"base field\";s:3:\"fid\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"image from @field_name\";s:12:\"\0*\0arguments\";a:1:{s:11:\"@field_name\";s:15:\"field_slideshow\";}s:10:\"\0*\0options\";a:0:{}}}}s:19:\"field_slideshow_alt\";a:7:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";r:4432;s:11:\"title short\";r:4439;s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:4:\"blog\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:19:\"field_slideshow_alt\";s:5:\"table\";s:30:\"node_revision__field_slideshow\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:25:\"field_slideshow_target_id\";i:7;s:19:\"field_slideshow_alt\";i:8;s:21:\"field_slideshow_title\";i:9;s:21:\"field_slideshow_width\";i:10;s:22:\"field_slideshow_height\";}s:10:\"field_name\";s:15:\"field_slideshow\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:19:\"field_slideshow_alt\";s:5:\"table\";s:30:\"node_revision__field_slideshow\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:25:\"field_slideshow_target_id\";i:7;s:19:\"field_slideshow_alt\";i:8;s:21:\"field_slideshow_title\";i:9;s:21:\"field_slideshow_width\";i:10;s:22:\"field_slideshow_height\";}s:10:\"field_name\";s:15:\"field_slideshow\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:19:\"field_slideshow_alt\";s:5:\"table\";s:30:\"node_revision__field_slideshow\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:25:\"field_slideshow_target_id\";i:7;s:19:\"field_slideshow_alt\";i:8;s:21:\"field_slideshow_title\";i:9;s:21:\"field_slideshow_width\";i:10;s:22:\"field_slideshow_height\";}s:10:\"field_name\";s:15:\"field_slideshow\";s:11:\"entity_type\";s:4:\"node\";}}s:21:\"field_slideshow_title\";a:7:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";r:4511;s:11:\"title short\";r:4518;s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:4:\"blog\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:21:\"field_slideshow_title\";s:5:\"table\";s:30:\"node_revision__field_slideshow\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:25:\"field_slideshow_target_id\";i:7;s:19:\"field_slideshow_alt\";i:8;s:21:\"field_slideshow_title\";i:9;s:21:\"field_slideshow_width\";i:10;s:22:\"field_slideshow_height\";}s:10:\"field_name\";s:15:\"field_slideshow\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:21:\"field_slideshow_title\";s:5:\"table\";s:30:\"node_revision__field_slideshow\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:25:\"field_slideshow_target_id\";i:7;s:19:\"field_slideshow_alt\";i:8;s:21:\"field_slideshow_title\";i:9;s:21:\"field_slideshow_width\";i:10;s:22:\"field_slideshow_height\";}s:10:\"field_name\";s:15:\"field_slideshow\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:21:\"field_slideshow_title\";s:5:\"table\";s:30:\"node_revision__field_slideshow\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:25:\"field_slideshow_target_id\";i:7;s:19:\"field_slideshow_alt\";i:8;s:21:\"field_slideshow_title\";i:9;s:21:\"field_slideshow_width\";i:10;s:22:\"field_slideshow_height\";}s:10:\"field_name\";s:15:\"field_slideshow\";s:11:\"entity_type\";s:4:\"node\";}}s:21:\"field_slideshow_width\";a:7:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";r:4590;s:11:\"title short\";r:4597;s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:4:\"blog\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:21:\"field_slideshow_width\";s:5:\"table\";s:30:\"node_revision__field_slideshow\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:25:\"field_slideshow_target_id\";i:7;s:19:\"field_slideshow_alt\";i:8;s:21:\"field_slideshow_title\";i:9;s:21:\"field_slideshow_width\";i:10;s:22:\"field_slideshow_height\";}s:10:\"field_name\";s:15:\"field_slideshow\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:21:\"field_slideshow_width\";s:5:\"table\";s:30:\"node_revision__field_slideshow\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:25:\"field_slideshow_target_id\";i:7;s:19:\"field_slideshow_alt\";i:8;s:21:\"field_slideshow_title\";i:9;s:21:\"field_slideshow_width\";i:10;s:22:\"field_slideshow_height\";}s:10:\"field_name\";s:15:\"field_slideshow\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:21:\"field_slideshow_width\";s:5:\"table\";s:30:\"node_revision__field_slideshow\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:25:\"field_slideshow_target_id\";i:7;s:19:\"field_slideshow_alt\";i:8;s:21:\"field_slideshow_title\";i:9;s:21:\"field_slideshow_width\";i:10;s:22:\"field_slideshow_height\";}s:10:\"field_name\";s:15:\"field_slideshow\";s:11:\"entity_type\";s:4:\"node\";}}s:22:\"field_slideshow_height\";a:7:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";r:4669;s:11:\"title short\";r:4676;s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:4:\"blog\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:22:\"field_slideshow_height\";s:5:\"table\";s:30:\"node_revision__field_slideshow\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:25:\"field_slideshow_target_id\";i:7;s:19:\"field_slideshow_alt\";i:8;s:21:\"field_slideshow_title\";i:9;s:21:\"field_slideshow_width\";i:10;s:22:\"field_slideshow_height\";}s:10:\"field_name\";s:15:\"field_slideshow\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:22:\"field_slideshow_height\";s:5:\"table\";s:30:\"node_revision__field_slideshow\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:25:\"field_slideshow_target_id\";i:7;s:19:\"field_slideshow_alt\";i:8;s:21:\"field_slideshow_title\";i:9;s:21:\"field_slideshow_width\";i:10;s:22:\"field_slideshow_height\";}s:10:\"field_name\";s:15:\"field_slideshow\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:22:\"field_slideshow_height\";s:5:\"table\";s:30:\"node_revision__field_slideshow\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:25:\"field_slideshow_target_id\";i:7;s:19:\"field_slideshow_alt\";i:8;s:21:\"field_slideshow_title\";i:9;s:21:\"field_slideshow_width\";i:10;s:22:\"field_slideshow_height\";}s:10:\"field_name\";s:15:\"field_slideshow\";s:11:\"entity_type\";s:4:\"node\";}}}s:19:\"node__field_percent\";a:3:{s:5:\"table\";a:2:{s:4:\"join\";a:1:{s:15:\"node_field_data\";a:4:{s:5:\"table\";s:19:\"node__field_percent\";s:10:\"left_field\";s:3:\"nid\";s:5:\"field\";s:9:\"entity_id\";s:5:\"extra\";a:1:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}}}}s:8:\"provider\";s:5:\"views\";}s:13:\"field_percent\";a:5:{s:5:\"group\";r:296;s:5:\"title\";s:7:\"Percent\";s:11:\"title short\";s:7:\"Percent\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:12:\"our_services\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:9:{s:5:\"table\";s:19:\"node__field_percent\";s:2:\"id\";s:5:\"field\";s:10:\"field_name\";s:13:\"field_percent\";s:11:\"entity_type\";s:4:\"node\";s:10:\"real field\";s:19:\"field_percent_value\";s:17:\"additional fields\";a:4:{i:0;s:5:\"delta\";i:1;s:8:\"langcode\";i:2;s:6:\"bundle\";i:3;s:19:\"field_percent_value\";}s:12:\"element type\";s:3:\"div\";s:11:\"is revision\";b:0;s:14:\"click sortable\";b:1;}}s:19:\"field_percent_value\";a:7:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label (@name)\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:7:\"Percent\";s:5:\"@name\";s:13:\"field_percent\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";s:7:\"Percent\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:12:\"our_services\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:19:\"field_percent_value\";s:5:\"table\";s:19:\"node__field_percent\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:19:\"field_percent_value\";}s:10:\"field_name\";s:13:\"field_percent\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:19:\"field_percent_value\";s:5:\"table\";s:19:\"node__field_percent\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:19:\"field_percent_value\";}s:10:\"field_name\";s:13:\"field_percent\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:19:\"field_percent_value\";s:5:\"table\";s:19:\"node__field_percent\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:19:\"field_percent_value\";}s:10:\"field_name\";s:13:\"field_percent\";s:11:\"entity_type\";s:4:\"node\";}}}s:28:\"node_revision__field_percent\";a:3:{s:5:\"table\";a:2:{s:4:\"join\";a:1:{s:19:\"node_field_revision\";a:4:{s:5:\"table\";s:28:\"node_revision__field_percent\";s:10:\"left_field\";s:3:\"vid\";s:5:\"field\";s:11:\"revision_id\";s:5:\"extra\";a:1:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}}}}s:8:\"provider\";s:5:\"views\";}s:25:\"field_percent-revision_id\";a:5:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";s:7:\"Percent\";s:11:\"title short\";s:7:\"Percent\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:12:\"our_services\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:8:{s:5:\"table\";s:28:\"node_revision__field_percent\";s:2:\"id\";s:5:\"field\";s:10:\"field_name\";s:13:\"field_percent\";s:11:\"entity_type\";s:4:\"node\";s:10:\"real field\";s:31:\"field_percent-revision_id_value\";s:17:\"additional fields\";a:4:{i:0;s:5:\"delta\";i:1;s:8:\"langcode\";i:2;s:6:\"bundle\";i:3;s:19:\"field_percent_value\";}s:12:\"element type\";s:3:\"div\";s:11:\"is revision\";b:1;}}s:19:\"field_percent_value\";a:7:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";r:5200;s:11:\"title short\";s:7:\"Percent\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:12:\"our_services\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:19:\"field_percent_value\";s:5:\"table\";s:28:\"node_revision__field_percent\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:19:\"field_percent_value\";}s:10:\"field_name\";s:13:\"field_percent\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:19:\"field_percent_value\";s:5:\"table\";s:28:\"node_revision__field_percent\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:19:\"field_percent_value\";}s:10:\"field_name\";s:13:\"field_percent\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:19:\"field_percent_value\";s:5:\"table\";s:28:\"node_revision__field_percent\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:19:\"field_percent_value\";}s:10:\"field_name\";s:13:\"field_percent\";s:11:\"entity_type\";s:4:\"node\";}}}s:20:\"node__field_partners\";a:7:{s:5:\"table\";a:2:{s:4:\"join\";a:1:{s:15:\"node_field_data\";a:4:{s:5:\"table\";s:20:\"node__field_partners\";s:10:\"left_field\";s:3:\"nid\";s:5:\"field\";s:9:\"entity_id\";s:5:\"extra\";a:1:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}}}}s:8:\"provider\";s:5:\"views\";}s:14:\"field_partners\";a:5:{s:5:\"group\";r:296;s:5:\"title\";s:8:\"Partners\";s:11:\"title short\";s:8:\"Partners\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:8:\"partners\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:9:{s:5:\"table\";s:20:\"node__field_partners\";s:2:\"id\";s:5:\"field\";s:10:\"field_name\";s:14:\"field_partners\";s:11:\"entity_type\";s:4:\"node\";s:10:\"real field\";s:24:\"field_partners_target_id\";s:17:\"additional fields\";a:8:{i:0;s:5:\"delta\";i:1;s:8:\"langcode\";i:2;s:6:\"bundle\";i:3;s:24:\"field_partners_target_id\";i:4;s:18:\"field_partners_alt\";i:5;s:20:\"field_partners_title\";i:6;s:20:\"field_partners_width\";i:7;s:21:\"field_partners_height\";}s:12:\"element type\";s:3:\"div\";s:11:\"is revision\";b:0;s:14:\"click sortable\";b:1;}}s:24:\"field_partners_target_id\";a:8:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:8:\"Partners\";s:5:\"@name\";s:14:\"field_partners\";s:7:\"@column\";s:9:\"target_id\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:8:\"Partners\";s:7:\"@column\";s:9:\"target_id\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:8:\"partners\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:24:\"field_partners_target_id\";s:5:\"table\";s:20:\"node__field_partners\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:24:\"field_partners_target_id\";i:7;s:18:\"field_partners_alt\";i:8;s:20:\"field_partners_title\";i:9;s:20:\"field_partners_width\";i:10;s:21:\"field_partners_height\";}s:10:\"field_name\";s:14:\"field_partners\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:24:\"field_partners_target_id\";s:5:\"table\";s:20:\"node__field_partners\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:24:\"field_partners_target_id\";i:7;s:18:\"field_partners_alt\";i:8;s:20:\"field_partners_title\";i:9;s:20:\"field_partners_width\";i:10;s:21:\"field_partners_height\";}s:10:\"field_name\";s:14:\"field_partners\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:24:\"field_partners_target_id\";s:5:\"table\";s:20:\"node__field_partners\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:24:\"field_partners_target_id\";i:7;s:18:\"field_partners_alt\";i:8;s:20:\"field_partners_title\";i:9;s:20:\"field_partners_width\";i:10;s:21:\"field_partners_height\";}s:10:\"field_name\";s:14:\"field_partners\";s:11:\"entity_type\";s:4:\"node\";}s:12:\"relationship\";a:5:{s:2:\"id\";s:8:\"standard\";s:4:\"base\";s:12:\"file_managed\";s:11:\"entity type\";s:4:\"file\";s:10:\"base field\";s:3:\"fid\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"image from @field_name\";s:12:\"\0*\0arguments\";a:1:{s:11:\"@field_name\";s:14:\"field_partners\";}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"field_partners_alt\";a:7:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:8:\"Partners\";s:5:\"@name\";s:14:\"field_partners\";s:7:\"@column\";s:3:\"alt\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:8:\"Partners\";s:7:\"@column\";s:3:\"alt\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:8:\"partners\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:18:\"field_partners_alt\";s:5:\"table\";s:20:\"node__field_partners\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:24:\"field_partners_target_id\";i:7;s:18:\"field_partners_alt\";i:8;s:20:\"field_partners_title\";i:9;s:20:\"field_partners_width\";i:10;s:21:\"field_partners_height\";}s:10:\"field_name\";s:14:\"field_partners\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:18:\"field_partners_alt\";s:5:\"table\";s:20:\"node__field_partners\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:24:\"field_partners_target_id\";i:7;s:18:\"field_partners_alt\";i:8;s:20:\"field_partners_title\";i:9;s:20:\"field_partners_width\";i:10;s:21:\"field_partners_height\";}s:10:\"field_name\";s:14:\"field_partners\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:18:\"field_partners_alt\";s:5:\"table\";s:20:\"node__field_partners\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:24:\"field_partners_target_id\";i:7;s:18:\"field_partners_alt\";i:8;s:20:\"field_partners_title\";i:9;s:20:\"field_partners_width\";i:10;s:21:\"field_partners_height\";}s:10:\"field_name\";s:14:\"field_partners\";s:11:\"entity_type\";s:4:\"node\";}}s:20:\"field_partners_title\";a:7:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:8:\"Partners\";s:5:\"@name\";s:14:\"field_partners\";s:7:\"@column\";s:5:\"title\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:8:\"Partners\";s:7:\"@column\";s:5:\"title\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:8:\"partners\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:20:\"field_partners_title\";s:5:\"table\";s:20:\"node__field_partners\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:24:\"field_partners_target_id\";i:7;s:18:\"field_partners_alt\";i:8;s:20:\"field_partners_title\";i:9;s:20:\"field_partners_width\";i:10;s:21:\"field_partners_height\";}s:10:\"field_name\";s:14:\"field_partners\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:20:\"field_partners_title\";s:5:\"table\";s:20:\"node__field_partners\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:24:\"field_partners_target_id\";i:7;s:18:\"field_partners_alt\";i:8;s:20:\"field_partners_title\";i:9;s:20:\"field_partners_width\";i:10;s:21:\"field_partners_height\";}s:10:\"field_name\";s:14:\"field_partners\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:20:\"field_partners_title\";s:5:\"table\";s:20:\"node__field_partners\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:24:\"field_partners_target_id\";i:7;s:18:\"field_partners_alt\";i:8;s:20:\"field_partners_title\";i:9;s:20:\"field_partners_width\";i:10;s:21:\"field_partners_height\";}s:10:\"field_name\";s:14:\"field_partners\";s:11:\"entity_type\";s:4:\"node\";}}s:20:\"field_partners_width\";a:7:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:8:\"Partners\";s:5:\"@name\";s:14:\"field_partners\";s:7:\"@column\";s:5:\"width\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:8:\"Partners\";s:7:\"@column\";s:5:\"width\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:8:\"partners\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:20:\"field_partners_width\";s:5:\"table\";s:20:\"node__field_partners\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:24:\"field_partners_target_id\";i:7;s:18:\"field_partners_alt\";i:8;s:20:\"field_partners_title\";i:9;s:20:\"field_partners_width\";i:10;s:21:\"field_partners_height\";}s:10:\"field_name\";s:14:\"field_partners\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:20:\"field_partners_width\";s:5:\"table\";s:20:\"node__field_partners\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:24:\"field_partners_target_id\";i:7;s:18:\"field_partners_alt\";i:8;s:20:\"field_partners_title\";i:9;s:20:\"field_partners_width\";i:10;s:21:\"field_partners_height\";}s:10:\"field_name\";s:14:\"field_partners\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:20:\"field_partners_width\";s:5:\"table\";s:20:\"node__field_partners\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:24:\"field_partners_target_id\";i:7;s:18:\"field_partners_alt\";i:8;s:20:\"field_partners_title\";i:9;s:20:\"field_partners_width\";i:10;s:21:\"field_partners_height\";}s:10:\"field_name\";s:14:\"field_partners\";s:11:\"entity_type\";s:4:\"node\";}}s:21:\"field_partners_height\";a:7:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:8:\"Partners\";s:5:\"@name\";s:14:\"field_partners\";s:7:\"@column\";s:6:\"height\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:8:\"Partners\";s:7:\"@column\";s:6:\"height\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:8:\"partners\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:21:\"field_partners_height\";s:5:\"table\";s:20:\"node__field_partners\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:24:\"field_partners_target_id\";i:7;s:18:\"field_partners_alt\";i:8;s:20:\"field_partners_title\";i:9;s:20:\"field_partners_width\";i:10;s:21:\"field_partners_height\";}s:10:\"field_name\";s:14:\"field_partners\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:21:\"field_partners_height\";s:5:\"table\";s:20:\"node__field_partners\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:24:\"field_partners_target_id\";i:7;s:18:\"field_partners_alt\";i:8;s:20:\"field_partners_title\";i:9;s:20:\"field_partners_width\";i:10;s:21:\"field_partners_height\";}s:10:\"field_name\";s:14:\"field_partners\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:21:\"field_partners_height\";s:5:\"table\";s:20:\"node__field_partners\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:24:\"field_partners_target_id\";i:7;s:18:\"field_partners_alt\";i:8;s:20:\"field_partners_title\";i:9;s:20:\"field_partners_width\";i:10;s:21:\"field_partners_height\";}s:10:\"field_name\";s:14:\"field_partners\";s:11:\"entity_type\";s:4:\"node\";}}}s:29:\"node_revision__field_partners\";a:7:{s:5:\"table\";a:2:{s:4:\"join\";a:1:{s:19:\"node_field_revision\";a:4:{s:5:\"table\";s:29:\"node_revision__field_partners\";s:10:\"left_field\";s:3:\"vid\";s:5:\"field\";s:11:\"revision_id\";s:5:\"extra\";a:1:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}}}}s:8:\"provider\";s:5:\"views\";}s:26:\"field_partners-revision_id\";a:5:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";s:8:\"Partners\";s:11:\"title short\";s:8:\"Partners\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:8:\"partners\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:8:{s:5:\"table\";s:29:\"node_revision__field_partners\";s:2:\"id\";s:5:\"field\";s:10:\"field_name\";s:14:\"field_partners\";s:11:\"entity_type\";s:4:\"node\";s:10:\"real field\";s:36:\"field_partners-revision_id_target_id\";s:17:\"additional fields\";a:8:{i:0;s:5:\"delta\";i:1;s:8:\"langcode\";i:2;s:6:\"bundle\";i:3;s:24:\"field_partners_target_id\";i:4;s:18:\"field_partners_alt\";i:5;s:20:\"field_partners_title\";i:6;s:20:\"field_partners_width\";i:7;s:21:\"field_partners_height\";}s:12:\"element type\";s:3:\"div\";s:11:\"is revision\";b:1;}}s:24:\"field_partners_target_id\";a:8:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";r:5400;s:11:\"title short\";r:5407;s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:8:\"partners\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:24:\"field_partners_target_id\";s:5:\"table\";s:29:\"node_revision__field_partners\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:24:\"field_partners_target_id\";i:7;s:18:\"field_partners_alt\";i:8;s:20:\"field_partners_title\";i:9;s:20:\"field_partners_width\";i:10;s:21:\"field_partners_height\";}s:10:\"field_name\";s:14:\"field_partners\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:24:\"field_partners_target_id\";s:5:\"table\";s:29:\"node_revision__field_partners\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:24:\"field_partners_target_id\";i:7;s:18:\"field_partners_alt\";i:8;s:20:\"field_partners_title\";i:9;s:20:\"field_partners_width\";i:10;s:21:\"field_partners_height\";}s:10:\"field_name\";s:14:\"field_partners\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:24:\"field_partners_target_id\";s:5:\"table\";s:29:\"node_revision__field_partners\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:24:\"field_partners_target_id\";i:7;s:18:\"field_partners_alt\";i:8;s:20:\"field_partners_title\";i:9;s:20:\"field_partners_width\";i:10;s:21:\"field_partners_height\";}s:10:\"field_name\";s:14:\"field_partners\";s:11:\"entity_type\";s:4:\"node\";}s:12:\"relationship\";a:5:{s:2:\"id\";s:8:\"standard\";s:4:\"base\";s:12:\"file_managed\";s:11:\"entity type\";s:4:\"file\";s:10:\"base field\";s:3:\"fid\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"image from @field_name\";s:12:\"\0*\0arguments\";a:1:{s:11:\"@field_name\";s:14:\"field_partners\";}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"field_partners_alt\";a:7:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";r:5489;s:11:\"title short\";r:5496;s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:8:\"partners\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:18:\"field_partners_alt\";s:5:\"table\";s:29:\"node_revision__field_partners\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:24:\"field_partners_target_id\";i:7;s:18:\"field_partners_alt\";i:8;s:20:\"field_partners_title\";i:9;s:20:\"field_partners_width\";i:10;s:21:\"field_partners_height\";}s:10:\"field_name\";s:14:\"field_partners\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:18:\"field_partners_alt\";s:5:\"table\";s:29:\"node_revision__field_partners\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:24:\"field_partners_target_id\";i:7;s:18:\"field_partners_alt\";i:8;s:20:\"field_partners_title\";i:9;s:20:\"field_partners_width\";i:10;s:21:\"field_partners_height\";}s:10:\"field_name\";s:14:\"field_partners\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:18:\"field_partners_alt\";s:5:\"table\";s:29:\"node_revision__field_partners\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:24:\"field_partners_target_id\";i:7;s:18:\"field_partners_alt\";i:8;s:20:\"field_partners_title\";i:9;s:20:\"field_partners_width\";i:10;s:21:\"field_partners_height\";}s:10:\"field_name\";s:14:\"field_partners\";s:11:\"entity_type\";s:4:\"node\";}}s:20:\"field_partners_title\";a:7:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";r:5568;s:11:\"title short\";r:5575;s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:8:\"partners\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:20:\"field_partners_title\";s:5:\"table\";s:29:\"node_revision__field_partners\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:24:\"field_partners_target_id\";i:7;s:18:\"field_partners_alt\";i:8;s:20:\"field_partners_title\";i:9;s:20:\"field_partners_width\";i:10;s:21:\"field_partners_height\";}s:10:\"field_name\";s:14:\"field_partners\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:20:\"field_partners_title\";s:5:\"table\";s:29:\"node_revision__field_partners\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:24:\"field_partners_target_id\";i:7;s:18:\"field_partners_alt\";i:8;s:20:\"field_partners_title\";i:9;s:20:\"field_partners_width\";i:10;s:21:\"field_partners_height\";}s:10:\"field_name\";s:14:\"field_partners\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:20:\"field_partners_title\";s:5:\"table\";s:29:\"node_revision__field_partners\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:24:\"field_partners_target_id\";i:7;s:18:\"field_partners_alt\";i:8;s:20:\"field_partners_title\";i:9;s:20:\"field_partners_width\";i:10;s:21:\"field_partners_height\";}s:10:\"field_name\";s:14:\"field_partners\";s:11:\"entity_type\";s:4:\"node\";}}s:20:\"field_partners_width\";a:7:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";r:5647;s:11:\"title short\";r:5654;s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:8:\"partners\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:20:\"field_partners_width\";s:5:\"table\";s:29:\"node_revision__field_partners\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:24:\"field_partners_target_id\";i:7;s:18:\"field_partners_alt\";i:8;s:20:\"field_partners_title\";i:9;s:20:\"field_partners_width\";i:10;s:21:\"field_partners_height\";}s:10:\"field_name\";s:14:\"field_partners\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:20:\"field_partners_width\";s:5:\"table\";s:29:\"node_revision__field_partners\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:24:\"field_partners_target_id\";i:7;s:18:\"field_partners_alt\";i:8;s:20:\"field_partners_title\";i:9;s:20:\"field_partners_width\";i:10;s:21:\"field_partners_height\";}s:10:\"field_name\";s:14:\"field_partners\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:20:\"field_partners_width\";s:5:\"table\";s:29:\"node_revision__field_partners\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:24:\"field_partners_target_id\";i:7;s:18:\"field_partners_alt\";i:8;s:20:\"field_partners_title\";i:9;s:20:\"field_partners_width\";i:10;s:21:\"field_partners_height\";}s:10:\"field_name\";s:14:\"field_partners\";s:11:\"entity_type\";s:4:\"node\";}}s:21:\"field_partners_height\";a:7:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";r:5726;s:11:\"title short\";r:5733;s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:8:\"partners\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:21:\"field_partners_height\";s:5:\"table\";s:29:\"node_revision__field_partners\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:24:\"field_partners_target_id\";i:7;s:18:\"field_partners_alt\";i:8;s:20:\"field_partners_title\";i:9;s:20:\"field_partners_width\";i:10;s:21:\"field_partners_height\";}s:10:\"field_name\";s:14:\"field_partners\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:21:\"field_partners_height\";s:5:\"table\";s:29:\"node_revision__field_partners\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:24:\"field_partners_target_id\";i:7;s:18:\"field_partners_alt\";i:8;s:20:\"field_partners_title\";i:9;s:20:\"field_partners_width\";i:10;s:21:\"field_partners_height\";}s:10:\"field_name\";s:14:\"field_partners\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:21:\"field_partners_height\";s:5:\"table\";s:29:\"node_revision__field_partners\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:24:\"field_partners_target_id\";i:7;s:18:\"field_partners_alt\";i:8;s:20:\"field_partners_title\";i:9;s:20:\"field_partners_width\";i:10;s:21:\"field_partners_height\";}s:10:\"field_name\";s:14:\"field_partners\";s:11:\"entity_type\";s:4:\"node\";}}}s:16:\"node__field_link\";a:5:{s:5:\"table\";a:2:{s:4:\"join\";a:1:{s:15:\"node_field_data\";a:4:{s:5:\"table\";s:16:\"node__field_link\";s:10:\"left_field\";s:3:\"nid\";s:5:\"field\";s:9:\"entity_id\";s:5:\"extra\";a:1:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}}}}s:8:\"provider\";s:5:\"views\";}s:10:\"field_link\";a:5:{s:5:\"group\";r:296;s:5:\"title\";s:4:\"Link\";s:11:\"title short\";s:4:\"Link\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:8:\"partners\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:9:{s:5:\"table\";s:16:\"node__field_link\";s:2:\"id\";s:5:\"field\";s:10:\"field_name\";s:10:\"field_link\";s:11:\"entity_type\";s:4:\"node\";s:10:\"real field\";s:14:\"field_link_uri\";s:17:\"additional fields\";a:6:{i:0;s:5:\"delta\";i:1;s:8:\"langcode\";i:2;s:6:\"bundle\";i:3;s:14:\"field_link_uri\";i:4;s:16:\"field_link_title\";i:5;s:18:\"field_link_options\";}s:12:\"element type\";s:3:\"div\";s:11:\"is revision\";b:0;s:14:\"click sortable\";b:0;}}s:14:\"field_link_uri\";a:7:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:4:\"Link\";s:5:\"@name\";s:10:\"field_link\";s:7:\"@column\";s:3:\"uri\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:4:\"Link\";s:7:\"@column\";s:3:\"uri\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:8:\"partners\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:14:\"field_link_uri\";s:5:\"table\";s:16:\"node__field_link\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:14:\"field_link_uri\";i:7;s:16:\"field_link_title\";i:8;s:18:\"field_link_options\";}s:10:\"field_name\";s:10:\"field_link\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:14:\"field_link_uri\";s:5:\"table\";s:16:\"node__field_link\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:14:\"field_link_uri\";i:7;s:16:\"field_link_title\";i:8;s:18:\"field_link_options\";}s:10:\"field_name\";s:10:\"field_link\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:14:\"field_link_uri\";s:5:\"table\";s:16:\"node__field_link\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:14:\"field_link_uri\";i:7;s:16:\"field_link_title\";i:8;s:18:\"field_link_options\";}s:10:\"field_name\";s:10:\"field_link\";s:11:\"entity_type\";s:4:\"node\";}}s:16:\"field_link_title\";a:7:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:4:\"Link\";s:5:\"@name\";s:10:\"field_link\";s:7:\"@column\";s:5:\"title\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:4:\"Link\";s:7:\"@column\";s:5:\"title\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:8:\"partners\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:16:\"field_link_title\";s:5:\"table\";s:16:\"node__field_link\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:14:\"field_link_uri\";i:7;s:16:\"field_link_title\";i:8;s:18:\"field_link_options\";}s:10:\"field_name\";s:10:\"field_link\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:16:\"field_link_title\";s:5:\"table\";s:16:\"node__field_link\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:14:\"field_link_uri\";i:7;s:16:\"field_link_title\";i:8;s:18:\"field_link_options\";}s:10:\"field_name\";s:10:\"field_link\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:16:\"field_link_title\";s:5:\"table\";s:16:\"node__field_link\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:14:\"field_link_uri\";i:7;s:16:\"field_link_title\";i:8;s:18:\"field_link_options\";}s:10:\"field_name\";s:10:\"field_link\";s:11:\"entity_type\";s:4:\"node\";}}s:18:\"field_link_options\";a:6:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:4:\"Link\";s:5:\"@name\";s:10:\"field_link\";s:7:\"@column\";s:7:\"options\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:4:\"Link\";s:7:\"@column\";s:7:\"options\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:8:\"partners\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:18:\"field_link_options\";s:5:\"table\";s:16:\"node__field_link\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:14:\"field_link_uri\";i:7;s:16:\"field_link_title\";i:8;s:18:\"field_link_options\";}s:10:\"field_name\";s:10:\"field_link\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:18:\"field_link_options\";s:5:\"table\";s:16:\"node__field_link\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:14:\"field_link_uri\";i:7;s:16:\"field_link_title\";i:8;s:18:\"field_link_options\";}s:10:\"field_name\";s:10:\"field_link\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}}}s:25:\"node_revision__field_link\";a:5:{s:5:\"table\";a:2:{s:4:\"join\";a:1:{s:19:\"node_field_revision\";a:4:{s:5:\"table\";s:25:\"node_revision__field_link\";s:10:\"left_field\";s:3:\"vid\";s:5:\"field\";s:11:\"revision_id\";s:5:\"extra\";a:1:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}}}}s:8:\"provider\";s:5:\"views\";}s:22:\"field_link-revision_id\";a:5:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";s:4:\"Link\";s:11:\"title short\";s:4:\"Link\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:8:\"partners\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:8:{s:5:\"table\";s:25:\"node_revision__field_link\";s:2:\"id\";s:5:\"field\";s:10:\"field_name\";s:10:\"field_link\";s:11:\"entity_type\";s:4:\"node\";s:10:\"real field\";s:26:\"field_link-revision_id_uri\";s:17:\"additional fields\";a:6:{i:0;s:5:\"delta\";i:1;s:8:\"langcode\";i:2;s:6:\"bundle\";i:3;s:14:\"field_link_uri\";i:4;s:16:\"field_link_title\";i:5;s:18:\"field_link_options\";}s:12:\"element type\";s:3:\"div\";s:11:\"is revision\";b:1;}}s:14:\"field_link_uri\";a:7:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";r:6256;s:11:\"title short\";r:6263;s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:8:\"partners\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:14:\"field_link_uri\";s:5:\"table\";s:25:\"node_revision__field_link\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:14:\"field_link_uri\";i:7;s:16:\"field_link_title\";i:8;s:18:\"field_link_options\";}s:10:\"field_name\";s:10:\"field_link\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:14:\"field_link_uri\";s:5:\"table\";s:25:\"node_revision__field_link\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:14:\"field_link_uri\";i:7;s:16:\"field_link_title\";i:8;s:18:\"field_link_options\";}s:10:\"field_name\";s:10:\"field_link\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:14:\"field_link_uri\";s:5:\"table\";s:25:\"node_revision__field_link\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:14:\"field_link_uri\";i:7;s:16:\"field_link_title\";i:8;s:18:\"field_link_options\";}s:10:\"field_name\";s:10:\"field_link\";s:11:\"entity_type\";s:4:\"node\";}}s:16:\"field_link_title\";a:7:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";r:6329;s:11:\"title short\";r:6336;s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:8:\"partners\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:16:\"field_link_title\";s:5:\"table\";s:25:\"node_revision__field_link\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:14:\"field_link_uri\";i:7;s:16:\"field_link_title\";i:8;s:18:\"field_link_options\";}s:10:\"field_name\";s:10:\"field_link\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:16:\"field_link_title\";s:5:\"table\";s:25:\"node_revision__field_link\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:14:\"field_link_uri\";i:7;s:16:\"field_link_title\";i:8;s:18:\"field_link_options\";}s:10:\"field_name\";s:10:\"field_link\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:16:\"field_link_title\";s:5:\"table\";s:25:\"node_revision__field_link\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:14:\"field_link_uri\";i:7;s:16:\"field_link_title\";i:8;s:18:\"field_link_options\";}s:10:\"field_name\";s:10:\"field_link\";s:11:\"entity_type\";s:4:\"node\";}}s:18:\"field_link_options\";a:6:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";r:6402;s:11:\"title short\";r:6409;s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:8:\"partners\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:18:\"field_link_options\";s:5:\"table\";s:25:\"node_revision__field_link\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:14:\"field_link_uri\";i:7;s:16:\"field_link_title\";i:8;s:18:\"field_link_options\";}s:10:\"field_name\";s:10:\"field_link\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:18:\"field_link_options\";s:5:\"table\";s:25:\"node_revision__field_link\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:14:\"field_link_uri\";i:7;s:16:\"field_link_title\";i:8;s:18:\"field_link_options\";}s:10:\"field_name\";s:10:\"field_link\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}}}s:17:\"node__field_image\";a:7:{s:5:\"table\";a:2:{s:4:\"join\";a:1:{s:15:\"node_field_data\";a:5:{s:5:\"table\";s:17:\"node__field_image\";s:10:\"left_field\";s:3:\"nid\";s:5:\"field\";s:9:\"entity_id\";s:5:\"extra\";a:3:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}i:1;a:2:{s:10:\"left_field\";s:8:\"langcode\";s:5:\"field\";s:8:\"langcode\";}i:2;a:2:{s:5:\"field\";s:6:\"bundle\";s:5:\"value\";a:2:{i:0;s:6:\"banner\";i:1;s:11:\"our_mission\";}}}s:7:\"join_id\";s:22:\"field_or_language_join\";}}s:8:\"provider\";s:5:\"views\";}s:11:\"field_image\";a:6:{s:5:\"group\";r:296;s:5:\"title\";s:5:\"Image\";s:11:\"title short\";s:5:\"Image\";s:4:\"help\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:78:\"Appears in: article, blog, banner, our_mission. Also known as: Content: Banner\";}s:7:\"aliases\";a:1:{i:0;a:4:{s:4:\"base\";s:4:\"node\";s:5:\"group\";r:296;s:5:\"title\";s:6:\"Banner\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"This is an alias of @group: @field.\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@group\";r:296;s:6:\"@field\";s:5:\"Image\";}s:10:\"\0*\0options\";a:0:{}}}}s:5:\"field\";a:9:{s:5:\"table\";s:17:\"node__field_image\";s:2:\"id\";s:5:\"field\";s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";s:10:\"real field\";s:21:\"field_image_target_id\";s:17:\"additional fields\";a:8:{i:0;s:5:\"delta\";i:1;s:8:\"langcode\";i:2;s:6:\"bundle\";i:3;s:21:\"field_image_target_id\";i:4;s:15:\"field_image_alt\";i:5;s:17:\"field_image_title\";i:6;s:17:\"field_image_width\";i:7;s:18:\"field_image_height\";}s:12:\"element type\";s:3:\"div\";s:11:\"is revision\";b:0;s:14:\"click sortable\";b:1;}}s:21:\"field_image_target_id\";a:9:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:5:\"Image\";s:5:\"@name\";s:11:\"field_image\";s:7:\"@column\";s:9:\"target_id\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:5:\"Image\";s:7:\"@column\";s:9:\"target_id\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:101:\"Appears in: article, blog, banner, our_mission. Also known as: Content: Image (field_image:target_id)\";}s:7:\"aliases\";a:1:{i:0;a:3:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:6:\"Banner\";s:5:\"@name\";s:11:\"field_image\";s:7:\"@column\";s:9:\"target_id\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"This is an alias of @group: @field.\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@group\";r:296;s:6:\"@field\";r:6739;}s:10:\"\0*\0options\";a:0:{}}}}s:8:\"argument\";a:7:{s:5:\"field\";s:21:\"field_image_target_id\";s:5:\"table\";s:17:\"node__field_image\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:21:\"field_image_target_id\";i:7;s:15:\"field_image_alt\";i:8;s:17:\"field_image_title\";i:9;s:17:\"field_image_width\";i:10;s:18:\"field_image_height\";}s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:21:\"field_image_target_id\";s:5:\"table\";s:17:\"node__field_image\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:21:\"field_image_target_id\";i:7;s:15:\"field_image_alt\";i:8;s:17:\"field_image_title\";i:9;s:17:\"field_image_width\";i:10;s:18:\"field_image_height\";}s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:21:\"field_image_target_id\";s:5:\"table\";s:17:\"node__field_image\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:21:\"field_image_target_id\";i:7;s:15:\"field_image_alt\";i:8;s:17:\"field_image_title\";i:9;s:17:\"field_image_width\";i:10;s:18:\"field_image_height\";}s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";}s:12:\"relationship\";a:5:{s:2:\"id\";s:8:\"standard\";s:4:\"base\";s:12:\"file_managed\";s:11:\"entity type\";s:4:\"file\";s:10:\"base field\";s:3:\"fid\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"image from @field_name\";s:12:\"\0*\0arguments\";a:1:{s:11:\"@field_name\";s:11:\"field_image\";}s:10:\"\0*\0options\";a:0:{}}}}s:15:\"field_image_alt\";a:8:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:5:\"Image\";s:5:\"@name\";s:11:\"field_image\";s:7:\"@column\";s:3:\"alt\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:5:\"Image\";s:7:\"@column\";s:3:\"alt\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:95:\"Appears in: article, blog, banner, our_mission. Also known as: Content: Image (field_image:alt)\";}s:7:\"aliases\";a:1:{i:0;a:3:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:6:\"Banner\";s:5:\"@name\";s:11:\"field_image\";s:7:\"@column\";s:3:\"alt\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"This is an alias of @group: @field.\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@group\";r:296;s:6:\"@field\";r:6841;}s:10:\"\0*\0options\";a:0:{}}}}s:8:\"argument\";a:7:{s:5:\"field\";s:15:\"field_image_alt\";s:5:\"table\";s:17:\"node__field_image\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:21:\"field_image_target_id\";i:7;s:15:\"field_image_alt\";i:8;s:17:\"field_image_title\";i:9;s:17:\"field_image_width\";i:10;s:18:\"field_image_height\";}s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:15:\"field_image_alt\";s:5:\"table\";s:17:\"node__field_image\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:21:\"field_image_target_id\";i:7;s:15:\"field_image_alt\";i:8;s:17:\"field_image_title\";i:9;s:17:\"field_image_width\";i:10;s:18:\"field_image_height\";}s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:15:\"field_image_alt\";s:5:\"table\";s:17:\"node__field_image\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:21:\"field_image_target_id\";i:7;s:15:\"field_image_alt\";i:8;s:17:\"field_image_title\";i:9;s:17:\"field_image_width\";i:10;s:18:\"field_image_height\";}s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";}}s:17:\"field_image_title\";a:8:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:5:\"Image\";s:5:\"@name\";s:11:\"field_image\";s:7:\"@column\";s:5:\"title\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:5:\"Image\";s:7:\"@column\";s:5:\"title\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:97:\"Appears in: article, blog, banner, our_mission. Also known as: Content: Image (field_image:title)\";}s:7:\"aliases\";a:1:{i:0;a:3:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:6:\"Banner\";s:5:\"@name\";s:11:\"field_image\";s:7:\"@column\";s:5:\"title\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"This is an alias of @group: @field.\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@group\";r:296;s:6:\"@field\";r:6933;}s:10:\"\0*\0options\";a:0:{}}}}s:8:\"argument\";a:7:{s:5:\"field\";s:17:\"field_image_title\";s:5:\"table\";s:17:\"node__field_image\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:21:\"field_image_target_id\";i:7;s:15:\"field_image_alt\";i:8;s:17:\"field_image_title\";i:9;s:17:\"field_image_width\";i:10;s:18:\"field_image_height\";}s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:17:\"field_image_title\";s:5:\"table\";s:17:\"node__field_image\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:21:\"field_image_target_id\";i:7;s:15:\"field_image_alt\";i:8;s:17:\"field_image_title\";i:9;s:17:\"field_image_width\";i:10;s:18:\"field_image_height\";}s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:17:\"field_image_title\";s:5:\"table\";s:17:\"node__field_image\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:21:\"field_image_target_id\";i:7;s:15:\"field_image_alt\";i:8;s:17:\"field_image_title\";i:9;s:17:\"field_image_width\";i:10;s:18:\"field_image_height\";}s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";}}s:17:\"field_image_width\";a:8:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:5:\"Image\";s:5:\"@name\";s:11:\"field_image\";s:7:\"@column\";s:5:\"width\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:5:\"Image\";s:7:\"@column\";s:5:\"width\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:97:\"Appears in: article, blog, banner, our_mission. Also known as: Content: Image (field_image:width)\";}s:7:\"aliases\";a:1:{i:0;a:3:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:6:\"Banner\";s:5:\"@name\";s:11:\"field_image\";s:7:\"@column\";s:5:\"width\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"This is an alias of @group: @field.\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@group\";r:296;s:6:\"@field\";r:7025;}s:10:\"\0*\0options\";a:0:{}}}}s:8:\"argument\";a:7:{s:5:\"field\";s:17:\"field_image_width\";s:5:\"table\";s:17:\"node__field_image\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:21:\"field_image_target_id\";i:7;s:15:\"field_image_alt\";i:8;s:17:\"field_image_title\";i:9;s:17:\"field_image_width\";i:10;s:18:\"field_image_height\";}s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:17:\"field_image_width\";s:5:\"table\";s:17:\"node__field_image\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:21:\"field_image_target_id\";i:7;s:15:\"field_image_alt\";i:8;s:17:\"field_image_title\";i:9;s:17:\"field_image_width\";i:10;s:18:\"field_image_height\";}s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:17:\"field_image_width\";s:5:\"table\";s:17:\"node__field_image\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:21:\"field_image_target_id\";i:7;s:15:\"field_image_alt\";i:8;s:17:\"field_image_title\";i:9;s:17:\"field_image_width\";i:10;s:18:\"field_image_height\";}s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";}}s:18:\"field_image_height\";a:8:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:5:\"Image\";s:5:\"@name\";s:11:\"field_image\";s:7:\"@column\";s:6:\"height\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:5:\"Image\";s:7:\"@column\";s:6:\"height\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:98:\"Appears in: article, blog, banner, our_mission. Also known as: Content: Image (field_image:height)\";}s:7:\"aliases\";a:1:{i:0;a:3:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:6:\"Banner\";s:5:\"@name\";s:11:\"field_image\";s:7:\"@column\";s:6:\"height\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"This is an alias of @group: @field.\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@group\";r:296;s:6:\"@field\";r:7117;}s:10:\"\0*\0options\";a:0:{}}}}s:8:\"argument\";a:7:{s:5:\"field\";s:18:\"field_image_height\";s:5:\"table\";s:17:\"node__field_image\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:21:\"field_image_target_id\";i:7;s:15:\"field_image_alt\";i:8;s:17:\"field_image_title\";i:9;s:17:\"field_image_width\";i:10;s:18:\"field_image_height\";}s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:18:\"field_image_height\";s:5:\"table\";s:17:\"node__field_image\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:21:\"field_image_target_id\";i:7;s:15:\"field_image_alt\";i:8;s:17:\"field_image_title\";i:9;s:17:\"field_image_width\";i:10;s:18:\"field_image_height\";}s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:18:\"field_image_height\";s:5:\"table\";s:17:\"node__field_image\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:21:\"field_image_target_id\";i:7;s:15:\"field_image_alt\";i:8;s:17:\"field_image_title\";i:9;s:17:\"field_image_width\";i:10;s:18:\"field_image_height\";}s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";}}}s:26:\"node_revision__field_image\";a:7:{s:5:\"table\";a:2:{s:4:\"join\";a:1:{s:19:\"node_field_revision\";a:5:{s:5:\"table\";s:26:\"node_revision__field_image\";s:10:\"left_field\";s:3:\"vid\";s:5:\"field\";s:11:\"revision_id\";s:5:\"extra\";a:3:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}i:1;a:2:{s:10:\"left_field\";s:8:\"langcode\";s:5:\"field\";s:8:\"langcode\";}i:2;a:2:{s:5:\"value\";a:2:{i:0;s:6:\"banner\";i:1;s:11:\"our_mission\";}s:5:\"field\";s:6:\"bundle\";}}s:7:\"join_id\";s:22:\"field_or_language_join\";}}s:8:\"provider\";s:5:\"views\";}s:23:\"field_image-revision_id\";a:6:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";s:5:\"Image\";s:11:\"title short\";s:5:\"Image\";s:4:\"help\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:96:\"Appears in: article, blog, banner, our_mission. Also known as: Content (historical data): Banner\";}s:7:\"aliases\";a:1:{i:0;a:4:{s:4:\"base\";s:26:\"node_revision__field_image\";s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";s:6:\"Banner\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"This is an alias of @group: @field.\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@group\";r:296;s:6:\"@field\";s:5:\"Image\";}s:10:\"\0*\0options\";a:0:{}}}}s:5:\"field\";a:8:{s:5:\"table\";s:26:\"node_revision__field_image\";s:2:\"id\";s:5:\"field\";s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";s:10:\"real field\";s:33:\"field_image-revision_id_target_id\";s:17:\"additional fields\";a:8:{i:0;s:5:\"delta\";i:1;s:8:\"langcode\";i:2;s:6:\"bundle\";i:3;s:21:\"field_image_target_id\";i:4;s:15:\"field_image_alt\";i:5;s:17:\"field_image_title\";i:6;s:17:\"field_image_width\";i:7;s:18:\"field_image_height\";}s:12:\"element type\";s:3:\"div\";s:11:\"is revision\";b:1;}}s:21:\"field_image_target_id\";a:9:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";r:6739;s:11:\"title short\";r:6746;s:4:\"help\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:101:\"Appears in: article, blog, banner, our_mission. Also known as: Content: Image (field_image:target_id)\";}s:7:\"aliases\";a:1:{i:0;a:3:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:6:\"Banner\";s:5:\"@name\";s:11:\"field_image\";s:7:\"@column\";s:9:\"target_id\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"This is an alias of @group: @field.\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@group\";r:296;s:6:\"@field\";r:6739;}s:10:\"\0*\0options\";a:0:{}}}}s:8:\"argument\";a:7:{s:5:\"field\";s:21:\"field_image_target_id\";s:5:\"table\";s:26:\"node_revision__field_image\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:21:\"field_image_target_id\";i:7;s:15:\"field_image_alt\";i:8;s:17:\"field_image_title\";i:9;s:17:\"field_image_width\";i:10;s:18:\"field_image_height\";}s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:21:\"field_image_target_id\";s:5:\"table\";s:26:\"node_revision__field_image\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:21:\"field_image_target_id\";i:7;s:15:\"field_image_alt\";i:8;s:17:\"field_image_title\";i:9;s:17:\"field_image_width\";i:10;s:18:\"field_image_height\";}s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:21:\"field_image_target_id\";s:5:\"table\";s:26:\"node_revision__field_image\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:21:\"field_image_target_id\";i:7;s:15:\"field_image_alt\";i:8;s:17:\"field_image_title\";i:9;s:17:\"field_image_width\";i:10;s:18:\"field_image_height\";}s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";}s:12:\"relationship\";a:5:{s:2:\"id\";s:8:\"standard\";s:4:\"base\";s:12:\"file_managed\";s:11:\"entity type\";s:4:\"file\";s:10:\"base field\";s:3:\"fid\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"image from @field_name\";s:12:\"\0*\0arguments\";a:1:{s:11:\"@field_name\";s:11:\"field_image\";}s:10:\"\0*\0options\";a:0:{}}}}s:15:\"field_image_alt\";a:8:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";r:6841;s:11:\"title short\";r:6848;s:4:\"help\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:95:\"Appears in: article, blog, banner, our_mission. Also known as: Content: Image (field_image:alt)\";}s:7:\"aliases\";a:1:{i:0;a:3:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:6:\"Banner\";s:5:\"@name\";s:11:\"field_image\";s:7:\"@column\";s:3:\"alt\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"This is an alias of @group: @field.\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@group\";r:296;s:6:\"@field\";r:6841;}s:10:\"\0*\0options\";a:0:{}}}}s:8:\"argument\";a:7:{s:5:\"field\";s:15:\"field_image_alt\";s:5:\"table\";s:26:\"node_revision__field_image\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:21:\"field_image_target_id\";i:7;s:15:\"field_image_alt\";i:8;s:17:\"field_image_title\";i:9;s:17:\"field_image_width\";i:10;s:18:\"field_image_height\";}s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:15:\"field_image_alt\";s:5:\"table\";s:26:\"node_revision__field_image\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:21:\"field_image_target_id\";i:7;s:15:\"field_image_alt\";i:8;s:17:\"field_image_title\";i:9;s:17:\"field_image_width\";i:10;s:18:\"field_image_height\";}s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:15:\"field_image_alt\";s:5:\"table\";s:26:\"node_revision__field_image\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:21:\"field_image_target_id\";i:7;s:15:\"field_image_alt\";i:8;s:17:\"field_image_title\";i:9;s:17:\"field_image_width\";i:10;s:18:\"field_image_height\";}s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";}}s:17:\"field_image_title\";a:8:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";r:6933;s:11:\"title short\";r:6940;s:4:\"help\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:97:\"Appears in: article, blog, banner, our_mission. Also known as: Content: Image (field_image:title)\";}s:7:\"aliases\";a:1:{i:0;a:3:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:6:\"Banner\";s:5:\"@name\";s:11:\"field_image\";s:7:\"@column\";s:5:\"title\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"This is an alias of @group: @field.\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@group\";r:296;s:6:\"@field\";r:6933;}s:10:\"\0*\0options\";a:0:{}}}}s:8:\"argument\";a:7:{s:5:\"field\";s:17:\"field_image_title\";s:5:\"table\";s:26:\"node_revision__field_image\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:21:\"field_image_target_id\";i:7;s:15:\"field_image_alt\";i:8;s:17:\"field_image_title\";i:9;s:17:\"field_image_width\";i:10;s:18:\"field_image_height\";}s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:17:\"field_image_title\";s:5:\"table\";s:26:\"node_revision__field_image\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:21:\"field_image_target_id\";i:7;s:15:\"field_image_alt\";i:8;s:17:\"field_image_title\";i:9;s:17:\"field_image_width\";i:10;s:18:\"field_image_height\";}s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:17:\"field_image_title\";s:5:\"table\";s:26:\"node_revision__field_image\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:21:\"field_image_target_id\";i:7;s:15:\"field_image_alt\";i:8;s:17:\"field_image_title\";i:9;s:17:\"field_image_width\";i:10;s:18:\"field_image_height\";}s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";}}s:17:\"field_image_width\";a:8:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";r:7025;s:11:\"title short\";r:7032;s:4:\"help\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:97:\"Appears in: article, blog, banner, our_mission. Also known as: Content: Image (field_image:width)\";}s:7:\"aliases\";a:1:{i:0;a:3:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:6:\"Banner\";s:5:\"@name\";s:11:\"field_image\";s:7:\"@column\";s:5:\"width\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"This is an alias of @group: @field.\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@group\";r:296;s:6:\"@field\";r:7025;}s:10:\"\0*\0options\";a:0:{}}}}s:8:\"argument\";a:7:{s:5:\"field\";s:17:\"field_image_width\";s:5:\"table\";s:26:\"node_revision__field_image\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:21:\"field_image_target_id\";i:7;s:15:\"field_image_alt\";i:8;s:17:\"field_image_title\";i:9;s:17:\"field_image_width\";i:10;s:18:\"field_image_height\";}s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:17:\"field_image_width\";s:5:\"table\";s:26:\"node_revision__field_image\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:21:\"field_image_target_id\";i:7;s:15:\"field_image_alt\";i:8;s:17:\"field_image_title\";i:9;s:17:\"field_image_width\";i:10;s:18:\"field_image_height\";}s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:17:\"field_image_width\";s:5:\"table\";s:26:\"node_revision__field_image\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:21:\"field_image_target_id\";i:7;s:15:\"field_image_alt\";i:8;s:17:\"field_image_title\";i:9;s:17:\"field_image_width\";i:10;s:18:\"field_image_height\";}s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";}}s:18:\"field_image_height\";a:8:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";r:7117;s:11:\"title short\";r:7124;s:4:\"help\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:98:\"Appears in: article, blog, banner, our_mission. Also known as: Content: Image (field_image:height)\";}s:7:\"aliases\";a:1:{i:0;a:3:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:6:\"Banner\";s:5:\"@name\";s:11:\"field_image\";s:7:\"@column\";s:6:\"height\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"This is an alias of @group: @field.\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@group\";r:296;s:6:\"@field\";r:7117;}s:10:\"\0*\0options\";a:0:{}}}}s:8:\"argument\";a:7:{s:5:\"field\";s:18:\"field_image_height\";s:5:\"table\";s:26:\"node_revision__field_image\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:21:\"field_image_target_id\";i:7;s:15:\"field_image_alt\";i:8;s:17:\"field_image_title\";i:9;s:17:\"field_image_width\";i:10;s:18:\"field_image_height\";}s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:18:\"field_image_height\";s:5:\"table\";s:26:\"node_revision__field_image\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:21:\"field_image_target_id\";i:7;s:15:\"field_image_alt\";i:8;s:17:\"field_image_title\";i:9;s:17:\"field_image_width\";i:10;s:18:\"field_image_height\";}s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:18:\"field_image_height\";s:5:\"table\";s:26:\"node_revision__field_image\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:21:\"field_image_target_id\";i:7;s:15:\"field_image_alt\";i:8;s:17:\"field_image_title\";i:9;s:17:\"field_image_width\";i:10;s:18:\"field_image_height\";}s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";}}}s:22:\"node__field_icon_class\";a:3:{s:5:\"table\";a:2:{s:4:\"join\";a:1:{s:15:\"node_field_data\";a:4:{s:5:\"table\";s:22:\"node__field_icon_class\";s:10:\"left_field\";s:3:\"nid\";s:5:\"field\";s:9:\"entity_id\";s:5:\"extra\";a:2:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}i:1;a:2:{s:10:\"left_field\";s:8:\"langcode\";s:5:\"field\";s:8:\"langcode\";}}}}s:8:\"provider\";s:5:\"views\";}s:16:\"field_icon_class\";a:5:{s:5:\"group\";r:296;s:5:\"title\";s:10:\"Icon class\";s:11:\"title short\";s:10:\"Icon class\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:4:\"page\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:9:{s:5:\"table\";s:22:\"node__field_icon_class\";s:2:\"id\";s:5:\"field\";s:10:\"field_name\";s:16:\"field_icon_class\";s:11:\"entity_type\";s:4:\"node\";s:10:\"real field\";s:22:\"field_icon_class_value\";s:17:\"additional fields\";a:4:{i:0;s:5:\"delta\";i:1;s:8:\"langcode\";i:2;s:6:\"bundle\";i:3;s:22:\"field_icon_class_value\";}s:12:\"element type\";s:3:\"div\";s:11:\"is revision\";b:0;s:14:\"click sortable\";b:1;}}s:22:\"field_icon_class_value\";a:7:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label (@name)\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:10:\"Icon class\";s:5:\"@name\";s:16:\"field_icon_class\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";s:10:\"Icon class\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:4:\"page\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:22:\"field_icon_class_value\";s:5:\"table\";s:22:\"node__field_icon_class\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"field_icon_class_value\";}s:10:\"field_name\";s:16:\"field_icon_class\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:22:\"field_icon_class_value\";s:5:\"table\";s:22:\"node__field_icon_class\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"field_icon_class_value\";}s:10:\"field_name\";s:16:\"field_icon_class\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:22:\"field_icon_class_value\";s:5:\"table\";s:22:\"node__field_icon_class\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"field_icon_class_value\";}s:10:\"field_name\";s:16:\"field_icon_class\";s:11:\"entity_type\";s:4:\"node\";}}}s:31:\"node_revision__field_icon_class\";a:3:{s:5:\"table\";a:2:{s:4:\"join\";a:1:{s:19:\"node_field_revision\";a:4:{s:5:\"table\";s:31:\"node_revision__field_icon_class\";s:10:\"left_field\";s:3:\"vid\";s:5:\"field\";s:11:\"revision_id\";s:5:\"extra\";a:2:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}i:1;a:2:{s:10:\"left_field\";s:8:\"langcode\";s:5:\"field\";s:8:\"langcode\";}}}}s:8:\"provider\";s:5:\"views\";}s:28:\"field_icon_class-revision_id\";a:5:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";s:10:\"Icon class\";s:11:\"title short\";s:10:\"Icon class\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:4:\"page\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:8:{s:5:\"table\";s:31:\"node_revision__field_icon_class\";s:2:\"id\";s:5:\"field\";s:10:\"field_name\";s:16:\"field_icon_class\";s:11:\"entity_type\";s:4:\"node\";s:10:\"real field\";s:34:\"field_icon_class-revision_id_value\";s:17:\"additional fields\";a:4:{i:0;s:5:\"delta\";i:1;s:8:\"langcode\";i:2;s:6:\"bundle\";i:3;s:22:\"field_icon_class_value\";}s:12:\"element type\";s:3:\"div\";s:11:\"is revision\";b:1;}}s:22:\"field_icon_class_value\";a:7:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";r:7747;s:11:\"title short\";s:10:\"Icon class\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:4:\"page\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:22:\"field_icon_class_value\";s:5:\"table\";s:31:\"node_revision__field_icon_class\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"field_icon_class_value\";}s:10:\"field_name\";s:16:\"field_icon_class\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:22:\"field_icon_class_value\";s:5:\"table\";s:31:\"node_revision__field_icon_class\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"field_icon_class_value\";}s:10:\"field_name\";s:16:\"field_icon_class\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:22:\"field_icon_class_value\";s:5:\"table\";s:31:\"node_revision__field_icon_class\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"field_icon_class_value\";}s:10:\"field_name\";s:16:\"field_icon_class\";s:11:\"entity_type\";s:4:\"node\";}}}s:19:\"node__field_gallery\";a:8:{s:5:\"table\";a:2:{s:4:\"join\";a:1:{s:15:\"node_field_data\";a:4:{s:5:\"table\";s:19:\"node__field_gallery\";s:10:\"left_field\";s:3:\"nid\";s:5:\"field\";s:9:\"entity_id\";s:5:\"extra\";a:1:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}}}}s:8:\"provider\";s:5:\"views\";}s:13:\"field_gallery\";a:5:{s:5:\"group\";r:296;s:5:\"title\";s:7:\"Gallery\";s:11:\"title short\";s:7:\"Gallery\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:9:\"portfolio\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:9:{s:5:\"table\";s:19:\"node__field_gallery\";s:2:\"id\";s:5:\"field\";s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";s:10:\"real field\";s:23:\"field_gallery_target_id\";s:17:\"additional fields\";a:8:{i:0;s:5:\"delta\";i:1;s:8:\"langcode\";i:2;s:6:\"bundle\";i:3;s:23:\"field_gallery_target_id\";i:4;s:17:\"field_gallery_alt\";i:5;s:19:\"field_gallery_title\";i:6;s:19:\"field_gallery_width\";i:7;s:20:\"field_gallery_height\";}s:12:\"element type\";s:3:\"div\";s:11:\"is revision\";b:0;s:14:\"click sortable\";b:1;}}s:23:\"field_gallery_target_id\";a:8:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:7:\"Gallery\";s:5:\"@name\";s:13:\"field_gallery\";s:7:\"@column\";s:9:\"target_id\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:7:\"Gallery\";s:7:\"@column\";s:9:\"target_id\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:9:\"portfolio\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:23:\"field_gallery_target_id\";s:5:\"table\";s:19:\"node__field_gallery\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_gallery_target_id\";i:7;s:17:\"field_gallery_alt\";i:8;s:19:\"field_gallery_title\";i:9;s:19:\"field_gallery_width\";i:10;s:20:\"field_gallery_height\";}s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:23:\"field_gallery_target_id\";s:5:\"table\";s:19:\"node__field_gallery\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_gallery_target_id\";i:7;s:17:\"field_gallery_alt\";i:8;s:19:\"field_gallery_title\";i:9;s:19:\"field_gallery_width\";i:10;s:20:\"field_gallery_height\";}s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:23:\"field_gallery_target_id\";s:5:\"table\";s:19:\"node__field_gallery\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_gallery_target_id\";i:7;s:17:\"field_gallery_alt\";i:8;s:19:\"field_gallery_title\";i:9;s:19:\"field_gallery_width\";i:10;s:20:\"field_gallery_height\";}s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";}s:12:\"relationship\";a:5:{s:2:\"id\";s:8:\"standard\";s:4:\"base\";s:12:\"file_managed\";s:11:\"entity type\";s:4:\"file\";s:10:\"base field\";s:3:\"fid\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"image from @field_name\";s:12:\"\0*\0arguments\";a:1:{s:11:\"@field_name\";s:13:\"field_gallery\";}s:10:\"\0*\0options\";a:0:{}}}}s:5:\"delta\";a:8:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"@label (@name:delta)\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:7:\"Gallery\";s:5:\"@name\";s:13:\"field_gallery\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@label:delta\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:7:\"Gallery\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Delta - Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:9:\"portfolio\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:8:\"argument\";a:7:{s:5:\"field\";s:5:\"delta\";s:5:\"table\";s:19:\"node__field_gallery\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_gallery_target_id\";i:7;s:17:\"field_gallery_alt\";i:8;s:19:\"field_gallery_title\";i:9;s:19:\"field_gallery_width\";i:10;s:20:\"field_gallery_height\";}s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";}s:6:\"filter\";a:7:{s:5:\"field\";s:5:\"delta\";s:5:\"table\";s:19:\"node__field_gallery\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_gallery_target_id\";i:7;s:17:\"field_gallery_alt\";i:8;s:19:\"field_gallery_title\";i:9;s:19:\"field_gallery_width\";i:10;s:20:\"field_gallery_height\";}s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:5:\"delta\";s:5:\"table\";s:19:\"node__field_gallery\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_gallery_target_id\";i:7;s:17:\"field_gallery_alt\";i:8;s:19:\"field_gallery_title\";i:9;s:19:\"field_gallery_width\";i:10;s:20:\"field_gallery_height\";}s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";}}s:17:\"field_gallery_alt\";a:7:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:7:\"Gallery\";s:5:\"@name\";s:13:\"field_gallery\";s:7:\"@column\";s:3:\"alt\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:7:\"Gallery\";s:7:\"@column\";s:3:\"alt\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:9:\"portfolio\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:17:\"field_gallery_alt\";s:5:\"table\";s:19:\"node__field_gallery\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_gallery_target_id\";i:7;s:17:\"field_gallery_alt\";i:8;s:19:\"field_gallery_title\";i:9;s:19:\"field_gallery_width\";i:10;s:20:\"field_gallery_height\";}s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:17:\"field_gallery_alt\";s:5:\"table\";s:19:\"node__field_gallery\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_gallery_target_id\";i:7;s:17:\"field_gallery_alt\";i:8;s:19:\"field_gallery_title\";i:9;s:19:\"field_gallery_width\";i:10;s:20:\"field_gallery_height\";}s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:17:\"field_gallery_alt\";s:5:\"table\";s:19:\"node__field_gallery\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_gallery_target_id\";i:7;s:17:\"field_gallery_alt\";i:8;s:19:\"field_gallery_title\";i:9;s:19:\"field_gallery_width\";i:10;s:20:\"field_gallery_height\";}s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";}}s:19:\"field_gallery_title\";a:7:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:7:\"Gallery\";s:5:\"@name\";s:13:\"field_gallery\";s:7:\"@column\";s:5:\"title\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:7:\"Gallery\";s:7:\"@column\";s:5:\"title\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:9:\"portfolio\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:19:\"field_gallery_title\";s:5:\"table\";s:19:\"node__field_gallery\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_gallery_target_id\";i:7;s:17:\"field_gallery_alt\";i:8;s:19:\"field_gallery_title\";i:9;s:19:\"field_gallery_width\";i:10;s:20:\"field_gallery_height\";}s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:19:\"field_gallery_title\";s:5:\"table\";s:19:\"node__field_gallery\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_gallery_target_id\";i:7;s:17:\"field_gallery_alt\";i:8;s:19:\"field_gallery_title\";i:9;s:19:\"field_gallery_width\";i:10;s:20:\"field_gallery_height\";}s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:19:\"field_gallery_title\";s:5:\"table\";s:19:\"node__field_gallery\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_gallery_target_id\";i:7;s:17:\"field_gallery_alt\";i:8;s:19:\"field_gallery_title\";i:9;s:19:\"field_gallery_width\";i:10;s:20:\"field_gallery_height\";}s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";}}s:19:\"field_gallery_width\";a:7:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:7:\"Gallery\";s:5:\"@name\";s:13:\"field_gallery\";s:7:\"@column\";s:5:\"width\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:7:\"Gallery\";s:7:\"@column\";s:5:\"width\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:9:\"portfolio\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:19:\"field_gallery_width\";s:5:\"table\";s:19:\"node__field_gallery\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_gallery_target_id\";i:7;s:17:\"field_gallery_alt\";i:8;s:19:\"field_gallery_title\";i:9;s:19:\"field_gallery_width\";i:10;s:20:\"field_gallery_height\";}s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:19:\"field_gallery_width\";s:5:\"table\";s:19:\"node__field_gallery\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_gallery_target_id\";i:7;s:17:\"field_gallery_alt\";i:8;s:19:\"field_gallery_title\";i:9;s:19:\"field_gallery_width\";i:10;s:20:\"field_gallery_height\";}s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:19:\"field_gallery_width\";s:5:\"table\";s:19:\"node__field_gallery\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_gallery_target_id\";i:7;s:17:\"field_gallery_alt\";i:8;s:19:\"field_gallery_title\";i:9;s:19:\"field_gallery_width\";i:10;s:20:\"field_gallery_height\";}s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";}}s:20:\"field_gallery_height\";a:7:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:7:\"Gallery\";s:5:\"@name\";s:13:\"field_gallery\";s:7:\"@column\";s:6:\"height\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:7:\"Gallery\";s:7:\"@column\";s:6:\"height\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:9:\"portfolio\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:20:\"field_gallery_height\";s:5:\"table\";s:19:\"node__field_gallery\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_gallery_target_id\";i:7;s:17:\"field_gallery_alt\";i:8;s:19:\"field_gallery_title\";i:9;s:19:\"field_gallery_width\";i:10;s:20:\"field_gallery_height\";}s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:20:\"field_gallery_height\";s:5:\"table\";s:19:\"node__field_gallery\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_gallery_target_id\";i:7;s:17:\"field_gallery_alt\";i:8;s:19:\"field_gallery_title\";i:9;s:19:\"field_gallery_width\";i:10;s:20:\"field_gallery_height\";}s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:20:\"field_gallery_height\";s:5:\"table\";s:19:\"node__field_gallery\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_gallery_target_id\";i:7;s:17:\"field_gallery_alt\";i:8;s:19:\"field_gallery_title\";i:9;s:19:\"field_gallery_width\";i:10;s:20:\"field_gallery_height\";}s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";}}}s:28:\"node_revision__field_gallery\";a:8:{s:5:\"table\";a:2:{s:4:\"join\";a:1:{s:19:\"node_field_revision\";a:4:{s:5:\"table\";s:28:\"node_revision__field_gallery\";s:10:\"left_field\";s:3:\"vid\";s:5:\"field\";s:11:\"revision_id\";s:5:\"extra\";a:1:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}}}}s:8:\"provider\";s:5:\"views\";}s:25:\"field_gallery-revision_id\";a:5:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";s:7:\"Gallery\";s:11:\"title short\";s:7:\"Gallery\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:9:\"portfolio\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:8:{s:5:\"table\";s:28:\"node_revision__field_gallery\";s:2:\"id\";s:5:\"field\";s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";s:10:\"real field\";s:35:\"field_gallery-revision_id_target_id\";s:17:\"additional fields\";a:8:{i:0;s:5:\"delta\";i:1;s:8:\"langcode\";i:2;s:6:\"bundle\";i:3;s:23:\"field_gallery_target_id\";i:4;s:17:\"field_gallery_alt\";i:5;s:19:\"field_gallery_title\";i:6;s:19:\"field_gallery_width\";i:7;s:20:\"field_gallery_height\";}s:12:\"element type\";s:3:\"div\";s:11:\"is revision\";b:1;}}s:23:\"field_gallery_target_id\";a:8:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";r:7950;s:11:\"title short\";r:7957;s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:9:\"portfolio\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:23:\"field_gallery_target_id\";s:5:\"table\";s:28:\"node_revision__field_gallery\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_gallery_target_id\";i:7;s:17:\"field_gallery_alt\";i:8;s:19:\"field_gallery_title\";i:9;s:19:\"field_gallery_width\";i:10;s:20:\"field_gallery_height\";}s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:23:\"field_gallery_target_id\";s:5:\"table\";s:28:\"node_revision__field_gallery\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_gallery_target_id\";i:7;s:17:\"field_gallery_alt\";i:8;s:19:\"field_gallery_title\";i:9;s:19:\"field_gallery_width\";i:10;s:20:\"field_gallery_height\";}s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:23:\"field_gallery_target_id\";s:5:\"table\";s:28:\"node_revision__field_gallery\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_gallery_target_id\";i:7;s:17:\"field_gallery_alt\";i:8;s:19:\"field_gallery_title\";i:9;s:19:\"field_gallery_width\";i:10;s:20:\"field_gallery_height\";}s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";}s:12:\"relationship\";a:5:{s:2:\"id\";s:8:\"standard\";s:4:\"base\";s:12:\"file_managed\";s:11:\"entity type\";s:4:\"file\";s:10:\"base field\";s:3:\"fid\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"image from @field_name\";s:12:\"\0*\0arguments\";a:1:{s:11:\"@field_name\";s:13:\"field_gallery\";}s:10:\"\0*\0options\";a:0:{}}}}s:5:\"delta\";a:8:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"@label (@name:delta)\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:7:\"Gallery\";s:5:\"@name\";s:13:\"field_gallery\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@label:delta\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:7:\"Gallery\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Delta - Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:9:\"portfolio\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:8:\"argument\";a:7:{s:5:\"field\";s:5:\"delta\";s:5:\"table\";s:28:\"node_revision__field_gallery\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_gallery_target_id\";i:7;s:17:\"field_gallery_alt\";i:8;s:19:\"field_gallery_title\";i:9;s:19:\"field_gallery_width\";i:10;s:20:\"field_gallery_height\";}s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";}s:6:\"filter\";a:7:{s:5:\"field\";s:5:\"delta\";s:5:\"table\";s:28:\"node_revision__field_gallery\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_gallery_target_id\";i:7;s:17:\"field_gallery_alt\";i:8;s:19:\"field_gallery_title\";i:9;s:19:\"field_gallery_width\";i:10;s:20:\"field_gallery_height\";}s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:5:\"delta\";s:5:\"table\";s:28:\"node_revision__field_gallery\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_gallery_target_id\";i:7;s:17:\"field_gallery_alt\";i:8;s:19:\"field_gallery_title\";i:9;s:19:\"field_gallery_width\";i:10;s:20:\"field_gallery_height\";}s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";}}s:17:\"field_gallery_alt\";a:7:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";r:8118;s:11:\"title short\";r:8125;s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:9:\"portfolio\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:17:\"field_gallery_alt\";s:5:\"table\";s:28:\"node_revision__field_gallery\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_gallery_target_id\";i:7;s:17:\"field_gallery_alt\";i:8;s:19:\"field_gallery_title\";i:9;s:19:\"field_gallery_width\";i:10;s:20:\"field_gallery_height\";}s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:17:\"field_gallery_alt\";s:5:\"table\";s:28:\"node_revision__field_gallery\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_gallery_target_id\";i:7;s:17:\"field_gallery_alt\";i:8;s:19:\"field_gallery_title\";i:9;s:19:\"field_gallery_width\";i:10;s:20:\"field_gallery_height\";}s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:17:\"field_gallery_alt\";s:5:\"table\";s:28:\"node_revision__field_gallery\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_gallery_target_id\";i:7;s:17:\"field_gallery_alt\";i:8;s:19:\"field_gallery_title\";i:9;s:19:\"field_gallery_width\";i:10;s:20:\"field_gallery_height\";}s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";}}s:19:\"field_gallery_title\";a:7:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";r:8197;s:11:\"title short\";r:8204;s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:9:\"portfolio\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:19:\"field_gallery_title\";s:5:\"table\";s:28:\"node_revision__field_gallery\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_gallery_target_id\";i:7;s:17:\"field_gallery_alt\";i:8;s:19:\"field_gallery_title\";i:9;s:19:\"field_gallery_width\";i:10;s:20:\"field_gallery_height\";}s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:19:\"field_gallery_title\";s:5:\"table\";s:28:\"node_revision__field_gallery\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_gallery_target_id\";i:7;s:17:\"field_gallery_alt\";i:8;s:19:\"field_gallery_title\";i:9;s:19:\"field_gallery_width\";i:10;s:20:\"field_gallery_height\";}s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:19:\"field_gallery_title\";s:5:\"table\";s:28:\"node_revision__field_gallery\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_gallery_target_id\";i:7;s:17:\"field_gallery_alt\";i:8;s:19:\"field_gallery_title\";i:9;s:19:\"field_gallery_width\";i:10;s:20:\"field_gallery_height\";}s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";}}s:19:\"field_gallery_width\";a:7:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";r:8276;s:11:\"title short\";r:8283;s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:9:\"portfolio\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:19:\"field_gallery_width\";s:5:\"table\";s:28:\"node_revision__field_gallery\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_gallery_target_id\";i:7;s:17:\"field_gallery_alt\";i:8;s:19:\"field_gallery_title\";i:9;s:19:\"field_gallery_width\";i:10;s:20:\"field_gallery_height\";}s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:19:\"field_gallery_width\";s:5:\"table\";s:28:\"node_revision__field_gallery\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_gallery_target_id\";i:7;s:17:\"field_gallery_alt\";i:8;s:19:\"field_gallery_title\";i:9;s:19:\"field_gallery_width\";i:10;s:20:\"field_gallery_height\";}s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:19:\"field_gallery_width\";s:5:\"table\";s:28:\"node_revision__field_gallery\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_gallery_target_id\";i:7;s:17:\"field_gallery_alt\";i:8;s:19:\"field_gallery_title\";i:9;s:19:\"field_gallery_width\";i:10;s:20:\"field_gallery_height\";}s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";}}s:20:\"field_gallery_height\";a:7:{s:5:\"group\";r:8558;s:5:\"title\";r:8355;s:11:\"title short\";r:8362;s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:9:\"portfolio\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:20:\"field_gallery_height\";s:5:\"table\";s:28:\"node_revision__field_gallery\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_gallery_target_id\";i:7;s:17:\"field_gallery_alt\";i:8;s:19:\"field_gallery_title\";i:9;s:19:\"field_gallery_width\";i:10;s:20:\"field_gallery_height\";}s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:20:\"field_gallery_height\";s:5:\"table\";s:28:\"node_revision__field_gallery\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_gallery_target_id\";i:7;s:17:\"field_gallery_alt\";i:8;s:19:\"field_gallery_title\";i:9;s:19:\"field_gallery_width\";i:10;s:20:\"field_gallery_height\";}s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:20:\"field_gallery_height\";s:5:\"table\";s:28:\"node_revision__field_gallery\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_gallery_target_id\";i:7;s:17:\"field_gallery_alt\";i:8;s:19:\"field_gallery_title\";i:9;s:19:\"field_gallery_width\";i:10;s:20:\"field_gallery_height\";}s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";}}}s:24:\"node__field_banner_title\";a:3:{s:5:\"table\";a:2:{s:4:\"join\";a:1:{s:15:\"node_field_data\";a:4:{s:5:\"table\";s:24:\"node__field_banner_title\";s:10:\"left_field\";s:3:\"nid\";s:5:\"field\";s:9:\"entity_id\";s:5:\"extra\";a:1:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}}}}s:8:\"provider\";s:5:\"views\";}s:18:\"field_banner_title\";a:5:{s:5:\"group\";r:296;s:5:\"title\";s:12:\"Banner title\";s:11:\"title short\";s:12:\"Banner title\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:6:\"banner\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:9:{s:5:\"table\";s:24:\"node__field_banner_title\";s:2:\"id\";s:5:\"field\";s:10:\"field_name\";s:18:\"field_banner_title\";s:11:\"entity_type\";s:4:\"node\";s:10:\"real field\";s:24:\"field_banner_title_value\";s:17:\"additional fields\";a:4:{i:0;s:5:\"delta\";i:1;s:8:\"langcode\";i:2;s:6:\"bundle\";i:3;s:24:\"field_banner_title_value\";}s:12:\"element type\";s:3:\"div\";s:11:\"is revision\";b:0;s:14:\"click sortable\";b:1;}}s:24:\"field_banner_title_value\";a:7:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label (@name)\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:12:\"Banner title\";s:5:\"@name\";s:18:\"field_banner_title\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";s:12:\"Banner title\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:6:\"banner\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:24:\"field_banner_title_value\";s:5:\"table\";s:24:\"node__field_banner_title\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:24:\"field_banner_title_value\";}s:10:\"field_name\";s:18:\"field_banner_title\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:24:\"field_banner_title_value\";s:5:\"table\";s:24:\"node__field_banner_title\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:24:\"field_banner_title_value\";}s:10:\"field_name\";s:18:\"field_banner_title\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:24:\"field_banner_title_value\";s:5:\"table\";s:24:\"node__field_banner_title\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:24:\"field_banner_title_value\";}s:10:\"field_name\";s:18:\"field_banner_title\";s:11:\"entity_type\";s:4:\"node\";}}}s:33:\"node_revision__field_banner_title\";a:3:{s:5:\"table\";a:2:{s:4:\"join\";a:1:{s:19:\"node_field_revision\";a:4:{s:5:\"table\";s:33:\"node_revision__field_banner_title\";s:10:\"left_field\";s:3:\"vid\";s:5:\"field\";s:11:\"revision_id\";s:5:\"extra\";a:1:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}}}}s:8:\"provider\";s:5:\"views\";}s:30:\"field_banner_title-revision_id\";a:5:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";s:12:\"Banner title\";s:11:\"title short\";s:12:\"Banner title\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:6:\"banner\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:8:{s:5:\"table\";s:33:\"node_revision__field_banner_title\";s:2:\"id\";s:5:\"field\";s:10:\"field_name\";s:18:\"field_banner_title\";s:11:\"entity_type\";s:4:\"node\";s:10:\"real field\";s:36:\"field_banner_title-revision_id_value\";s:17:\"additional fields\";a:4:{i:0;s:5:\"delta\";i:1;s:8:\"langcode\";i:2;s:6:\"bundle\";i:3;s:24:\"field_banner_title_value\";}s:12:\"element type\";s:3:\"div\";s:11:\"is revision\";b:1;}}s:24:\"field_banner_title_value\";a:7:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";r:8962;s:11:\"title short\";s:12:\"Banner title\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:6:\"banner\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:24:\"field_banner_title_value\";s:5:\"table\";s:33:\"node_revision__field_banner_title\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:24:\"field_banner_title_value\";}s:10:\"field_name\";s:18:\"field_banner_title\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:24:\"field_banner_title_value\";s:5:\"table\";s:33:\"node_revision__field_banner_title\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:24:\"field_banner_title_value\";}s:10:\"field_name\";s:18:\"field_banner_title\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:24:\"field_banner_title_value\";s:5:\"table\";s:33:\"node_revision__field_banner_title\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:24:\"field_banner_title_value\";}s:10:\"field_name\";s:18:\"field_banner_title\";s:11:\"entity_type\";s:4:\"node\";}}}s:18:\"node__field_banner\";a:7:{s:5:\"table\";a:2:{s:4:\"join\";a:1:{s:15:\"node_field_data\";a:4:{s:5:\"table\";s:18:\"node__field_banner\";s:10:\"left_field\";s:3:\"nid\";s:5:\"field\";s:9:\"entity_id\";s:5:\"extra\";a:2:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}i:1;a:2:{s:10:\"left_field\";s:8:\"langcode\";s:5:\"field\";s:8:\"langcode\";}}}}s:8:\"provider\";s:5:\"views\";}s:12:\"field_banner\";a:5:{s:5:\"group\";r:296;s:5:\"title\";s:6:\"Banner\";s:11:\"title short\";s:6:\"Banner\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:7:\"article\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:9:{s:5:\"table\";s:18:\"node__field_banner\";s:2:\"id\";s:5:\"field\";s:10:\"field_name\";s:12:\"field_banner\";s:11:\"entity_type\";s:4:\"node\";s:10:\"real field\";s:22:\"field_banner_target_id\";s:17:\"additional fields\";a:8:{i:0;s:5:\"delta\";i:1;s:8:\"langcode\";i:2;s:6:\"bundle\";i:3;s:22:\"field_banner_target_id\";i:4;s:16:\"field_banner_alt\";i:5;s:18:\"field_banner_title\";i:6;s:18:\"field_banner_width\";i:7;s:19:\"field_banner_height\";}s:12:\"element type\";s:3:\"div\";s:11:\"is revision\";b:0;s:14:\"click sortable\";b:1;}}s:22:\"field_banner_target_id\";a:8:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:6:\"Banner\";s:5:\"@name\";s:12:\"field_banner\";s:7:\"@column\";s:9:\"target_id\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:6:\"Banner\";s:7:\"@column\";s:9:\"target_id\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:7:\"article\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:22:\"field_banner_target_id\";s:5:\"table\";s:18:\"node__field_banner\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"field_banner_target_id\";i:7;s:16:\"field_banner_alt\";i:8;s:18:\"field_banner_title\";i:9;s:18:\"field_banner_width\";i:10;s:19:\"field_banner_height\";}s:10:\"field_name\";s:12:\"field_banner\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:22:\"field_banner_target_id\";s:5:\"table\";s:18:\"node__field_banner\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"field_banner_target_id\";i:7;s:16:\"field_banner_alt\";i:8;s:18:\"field_banner_title\";i:9;s:18:\"field_banner_width\";i:10;s:19:\"field_banner_height\";}s:10:\"field_name\";s:12:\"field_banner\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:22:\"field_banner_target_id\";s:5:\"table\";s:18:\"node__field_banner\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"field_banner_target_id\";i:7;s:16:\"field_banner_alt\";i:8;s:18:\"field_banner_title\";i:9;s:18:\"field_banner_width\";i:10;s:19:\"field_banner_height\";}s:10:\"field_name\";s:12:\"field_banner\";s:11:\"entity_type\";s:4:\"node\";}s:12:\"relationship\";a:5:{s:2:\"id\";s:8:\"standard\";s:4:\"base\";s:12:\"file_managed\";s:11:\"entity type\";s:4:\"file\";s:10:\"base field\";s:3:\"fid\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"image from @field_name\";s:12:\"\0*\0arguments\";a:1:{s:11:\"@field_name\";s:12:\"field_banner\";}s:10:\"\0*\0options\";a:0:{}}}}s:16:\"field_banner_alt\";a:7:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:6:\"Banner\";s:5:\"@name\";s:12:\"field_banner\";s:7:\"@column\";s:3:\"alt\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:6:\"Banner\";s:7:\"@column\";s:3:\"alt\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:7:\"article\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:16:\"field_banner_alt\";s:5:\"table\";s:18:\"node__field_banner\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"field_banner_target_id\";i:7;s:16:\"field_banner_alt\";i:8;s:18:\"field_banner_title\";i:9;s:18:\"field_banner_width\";i:10;s:19:\"field_banner_height\";}s:10:\"field_name\";s:12:\"field_banner\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:16:\"field_banner_alt\";s:5:\"table\";s:18:\"node__field_banner\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"field_banner_target_id\";i:7;s:16:\"field_banner_alt\";i:8;s:18:\"field_banner_title\";i:9;s:18:\"field_banner_width\";i:10;s:19:\"field_banner_height\";}s:10:\"field_name\";s:12:\"field_banner\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:16:\"field_banner_alt\";s:5:\"table\";s:18:\"node__field_banner\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"field_banner_target_id\";i:7;s:16:\"field_banner_alt\";i:8;s:18:\"field_banner_title\";i:9;s:18:\"field_banner_width\";i:10;s:19:\"field_banner_height\";}s:10:\"field_name\";s:12:\"field_banner\";s:11:\"entity_type\";s:4:\"node\";}}s:18:\"field_banner_title\";a:7:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:6:\"Banner\";s:5:\"@name\";s:12:\"field_banner\";s:7:\"@column\";s:5:\"title\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:6:\"Banner\";s:7:\"@column\";s:5:\"title\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:7:\"article\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:18:\"field_banner_title\";s:5:\"table\";s:18:\"node__field_banner\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"field_banner_target_id\";i:7;s:16:\"field_banner_alt\";i:8;s:18:\"field_banner_title\";i:9;s:18:\"field_banner_width\";i:10;s:19:\"field_banner_height\";}s:10:\"field_name\";s:12:\"field_banner\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:18:\"field_banner_title\";s:5:\"table\";s:18:\"node__field_banner\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"field_banner_target_id\";i:7;s:16:\"field_banner_alt\";i:8;s:18:\"field_banner_title\";i:9;s:18:\"field_banner_width\";i:10;s:19:\"field_banner_height\";}s:10:\"field_name\";s:12:\"field_banner\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:18:\"field_banner_title\";s:5:\"table\";s:18:\"node__field_banner\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"field_banner_target_id\";i:7;s:16:\"field_banner_alt\";i:8;s:18:\"field_banner_title\";i:9;s:18:\"field_banner_width\";i:10;s:19:\"field_banner_height\";}s:10:\"field_name\";s:12:\"field_banner\";s:11:\"entity_type\";s:4:\"node\";}}s:18:\"field_banner_width\";a:7:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:6:\"Banner\";s:5:\"@name\";s:12:\"field_banner\";s:7:\"@column\";s:5:\"width\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:6:\"Banner\";s:7:\"@column\";s:5:\"width\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:7:\"article\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:18:\"field_banner_width\";s:5:\"table\";s:18:\"node__field_banner\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"field_banner_target_id\";i:7;s:16:\"field_banner_alt\";i:8;s:18:\"field_banner_title\";i:9;s:18:\"field_banner_width\";i:10;s:19:\"field_banner_height\";}s:10:\"field_name\";s:12:\"field_banner\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:18:\"field_banner_width\";s:5:\"table\";s:18:\"node__field_banner\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"field_banner_target_id\";i:7;s:16:\"field_banner_alt\";i:8;s:18:\"field_banner_title\";i:9;s:18:\"field_banner_width\";i:10;s:19:\"field_banner_height\";}s:10:\"field_name\";s:12:\"field_banner\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:18:\"field_banner_width\";s:5:\"table\";s:18:\"node__field_banner\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"field_banner_target_id\";i:7;s:16:\"field_banner_alt\";i:8;s:18:\"field_banner_title\";i:9;s:18:\"field_banner_width\";i:10;s:19:\"field_banner_height\";}s:10:\"field_name\";s:12:\"field_banner\";s:11:\"entity_type\";s:4:\"node\";}}s:19:\"field_banner_height\";a:7:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:6:\"Banner\";s:5:\"@name\";s:12:\"field_banner\";s:7:\"@column\";s:6:\"height\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:6:\"Banner\";s:7:\"@column\";s:6:\"height\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:7:\"article\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:19:\"field_banner_height\";s:5:\"table\";s:18:\"node__field_banner\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"field_banner_target_id\";i:7;s:16:\"field_banner_alt\";i:8;s:18:\"field_banner_title\";i:9;s:18:\"field_banner_width\";i:10;s:19:\"field_banner_height\";}s:10:\"field_name\";s:12:\"field_banner\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:19:\"field_banner_height\";s:5:\"table\";s:18:\"node__field_banner\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"field_banner_target_id\";i:7;s:16:\"field_banner_alt\";i:8;s:18:\"field_banner_title\";i:9;s:18:\"field_banner_width\";i:10;s:19:\"field_banner_height\";}s:10:\"field_name\";s:12:\"field_banner\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:19:\"field_banner_height\";s:5:\"table\";s:18:\"node__field_banner\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"field_banner_target_id\";i:7;s:16:\"field_banner_alt\";i:8;s:18:\"field_banner_title\";i:9;s:18:\"field_banner_width\";i:10;s:19:\"field_banner_height\";}s:10:\"field_name\";s:12:\"field_banner\";s:11:\"entity_type\";s:4:\"node\";}}}s:27:\"node_revision__field_banner\";a:7:{s:5:\"table\";a:2:{s:4:\"join\";a:1:{s:19:\"node_field_revision\";a:4:{s:5:\"table\";s:27:\"node_revision__field_banner\";s:10:\"left_field\";s:3:\"vid\";s:5:\"field\";s:11:\"revision_id\";s:5:\"extra\";a:2:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}i:1;a:2:{s:10:\"left_field\";s:8:\"langcode\";s:5:\"field\";s:8:\"langcode\";}}}}s:8:\"provider\";s:5:\"views\";}s:24:\"field_banner-revision_id\";a:5:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";s:6:\"Banner\";s:11:\"title short\";s:6:\"Banner\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:7:\"article\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:8:{s:5:\"table\";s:27:\"node_revision__field_banner\";s:2:\"id\";s:5:\"field\";s:10:\"field_name\";s:12:\"field_banner\";s:11:\"entity_type\";s:4:\"node\";s:10:\"real field\";s:34:\"field_banner-revision_id_target_id\";s:17:\"additional fields\";a:8:{i:0;s:5:\"delta\";i:1;s:8:\"langcode\";i:2;s:6:\"bundle\";i:3;s:22:\"field_banner_target_id\";i:4;s:16:\"field_banner_alt\";i:5;s:18:\"field_banner_title\";i:6;s:18:\"field_banner_width\";i:7;s:19:\"field_banner_height\";}s:12:\"element type\";s:3:\"div\";s:11:\"is revision\";b:1;}}s:22:\"field_banner_target_id\";a:8:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";r:9165;s:11:\"title short\";r:9172;s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:7:\"article\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:22:\"field_banner_target_id\";s:5:\"table\";s:27:\"node_revision__field_banner\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"field_banner_target_id\";i:7;s:16:\"field_banner_alt\";i:8;s:18:\"field_banner_title\";i:9;s:18:\"field_banner_width\";i:10;s:19:\"field_banner_height\";}s:10:\"field_name\";s:12:\"field_banner\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:22:\"field_banner_target_id\";s:5:\"table\";s:27:\"node_revision__field_banner\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"field_banner_target_id\";i:7;s:16:\"field_banner_alt\";i:8;s:18:\"field_banner_title\";i:9;s:18:\"field_banner_width\";i:10;s:19:\"field_banner_height\";}s:10:\"field_name\";s:12:\"field_banner\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:22:\"field_banner_target_id\";s:5:\"table\";s:27:\"node_revision__field_banner\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"field_banner_target_id\";i:7;s:16:\"field_banner_alt\";i:8;s:18:\"field_banner_title\";i:9;s:18:\"field_banner_width\";i:10;s:19:\"field_banner_height\";}s:10:\"field_name\";s:12:\"field_banner\";s:11:\"entity_type\";s:4:\"node\";}s:12:\"relationship\";a:5:{s:2:\"id\";s:8:\"standard\";s:4:\"base\";s:12:\"file_managed\";s:11:\"entity type\";s:4:\"file\";s:10:\"base field\";s:3:\"fid\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"image from @field_name\";s:12:\"\0*\0arguments\";a:1:{s:11:\"@field_name\";s:12:\"field_banner\";}s:10:\"\0*\0options\";a:0:{}}}}s:16:\"field_banner_alt\";a:7:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";r:9254;s:11:\"title short\";r:9261;s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:7:\"article\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:16:\"field_banner_alt\";s:5:\"table\";s:27:\"node_revision__field_banner\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"field_banner_target_id\";i:7;s:16:\"field_banner_alt\";i:8;s:18:\"field_banner_title\";i:9;s:18:\"field_banner_width\";i:10;s:19:\"field_banner_height\";}s:10:\"field_name\";s:12:\"field_banner\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:16:\"field_banner_alt\";s:5:\"table\";s:27:\"node_revision__field_banner\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"field_banner_target_id\";i:7;s:16:\"field_banner_alt\";i:8;s:18:\"field_banner_title\";i:9;s:18:\"field_banner_width\";i:10;s:19:\"field_banner_height\";}s:10:\"field_name\";s:12:\"field_banner\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:16:\"field_banner_alt\";s:5:\"table\";s:27:\"node_revision__field_banner\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"field_banner_target_id\";i:7;s:16:\"field_banner_alt\";i:8;s:18:\"field_banner_title\";i:9;s:18:\"field_banner_width\";i:10;s:19:\"field_banner_height\";}s:10:\"field_name\";s:12:\"field_banner\";s:11:\"entity_type\";s:4:\"node\";}}s:18:\"field_banner_title\";a:7:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";r:9333;s:11:\"title short\";r:9340;s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:7:\"article\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:18:\"field_banner_title\";s:5:\"table\";s:27:\"node_revision__field_banner\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"field_banner_target_id\";i:7;s:16:\"field_banner_alt\";i:8;s:18:\"field_banner_title\";i:9;s:18:\"field_banner_width\";i:10;s:19:\"field_banner_height\";}s:10:\"field_name\";s:12:\"field_banner\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:18:\"field_banner_title\";s:5:\"table\";s:27:\"node_revision__field_banner\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"field_banner_target_id\";i:7;s:16:\"field_banner_alt\";i:8;s:18:\"field_banner_title\";i:9;s:18:\"field_banner_width\";i:10;s:19:\"field_banner_height\";}s:10:\"field_name\";s:12:\"field_banner\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:18:\"field_banner_title\";s:5:\"table\";s:27:\"node_revision__field_banner\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"field_banner_target_id\";i:7;s:16:\"field_banner_alt\";i:8;s:18:\"field_banner_title\";i:9;s:18:\"field_banner_width\";i:10;s:19:\"field_banner_height\";}s:10:\"field_name\";s:12:\"field_banner\";s:11:\"entity_type\";s:4:\"node\";}}s:18:\"field_banner_width\";a:7:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";r:9412;s:11:\"title short\";r:9419;s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:7:\"article\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:18:\"field_banner_width\";s:5:\"table\";s:27:\"node_revision__field_banner\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"field_banner_target_id\";i:7;s:16:\"field_banner_alt\";i:8;s:18:\"field_banner_title\";i:9;s:18:\"field_banner_width\";i:10;s:19:\"field_banner_height\";}s:10:\"field_name\";s:12:\"field_banner\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:18:\"field_banner_width\";s:5:\"table\";s:27:\"node_revision__field_banner\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"field_banner_target_id\";i:7;s:16:\"field_banner_alt\";i:8;s:18:\"field_banner_title\";i:9;s:18:\"field_banner_width\";i:10;s:19:\"field_banner_height\";}s:10:\"field_name\";s:12:\"field_banner\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:18:\"field_banner_width\";s:5:\"table\";s:27:\"node_revision__field_banner\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"field_banner_target_id\";i:7;s:16:\"field_banner_alt\";i:8;s:18:\"field_banner_title\";i:9;s:18:\"field_banner_width\";i:10;s:19:\"field_banner_height\";}s:10:\"field_name\";s:12:\"field_banner\";s:11:\"entity_type\";s:4:\"node\";}}s:19:\"field_banner_height\";a:7:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";r:9491;s:11:\"title short\";r:9498;s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:7:\"article\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:19:\"field_banner_height\";s:5:\"table\";s:27:\"node_revision__field_banner\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"field_banner_target_id\";i:7;s:16:\"field_banner_alt\";i:8;s:18:\"field_banner_title\";i:9;s:18:\"field_banner_width\";i:10;s:19:\"field_banner_height\";}s:10:\"field_name\";s:12:\"field_banner\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:19:\"field_banner_height\";s:5:\"table\";s:27:\"node_revision__field_banner\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"field_banner_target_id\";i:7;s:16:\"field_banner_alt\";i:8;s:18:\"field_banner_title\";i:9;s:18:\"field_banner_width\";i:10;s:19:\"field_banner_height\";}s:10:\"field_name\";s:12:\"field_banner\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:19:\"field_banner_height\";s:5:\"table\";s:27:\"node_revision__field_banner\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"field_banner_target_id\";i:7;s:16:\"field_banner_alt\";i:8;s:18:\"field_banner_title\";i:9;s:18:\"field_banner_width\";i:10;s:19:\"field_banner_height\";}s:10:\"field_name\";s:12:\"field_banner\";s:11:\"entity_type\";s:4:\"node\";}}}s:13:\"node__comment\";a:3:{s:5:\"table\";a:2:{s:4:\"join\";a:1:{s:15:\"node_field_data\";a:4:{s:5:\"table\";s:13:\"node__comment\";s:10:\"left_field\";s:3:\"nid\";s:5:\"field\";s:9:\"entity_id\";s:5:\"extra\";a:2:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}i:1;a:2:{s:10:\"left_field\";s:8:\"langcode\";s:5:\"field\";s:8:\"langcode\";}}}}s:8:\"provider\";s:5:\"views\";}s:7:\"comment\";a:5:{s:5:\"group\";r:296;s:5:\"title\";s:8:\"Comments\";s:11:\"title short\";s:8:\"Comments\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:13:\"article, blog\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:9:{s:5:\"table\";s:13:\"node__comment\";s:2:\"id\";s:5:\"field\";s:10:\"field_name\";s:7:\"comment\";s:11:\"entity_type\";s:4:\"node\";s:10:\"real field\";s:14:\"comment_status\";s:17:\"additional fields\";a:4:{i:0;s:5:\"delta\";i:1;s:8:\"langcode\";i:2;s:6:\"bundle\";i:3;s:14:\"comment_status\";}s:12:\"element type\";s:3:\"div\";s:11:\"is revision\";b:0;s:14:\"click sortable\";b:1;}}s:14:\"comment_status\";a:7:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label (@name)\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:8:\"Comments\";s:5:\"@name\";s:7:\"comment\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";s:8:\"Comments\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:13:\"article, blog\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:14:\"comment_status\";s:5:\"table\";s:13:\"node__comment\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:14:\"comment_status\";}s:10:\"field_name\";s:7:\"comment\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:14:\"comment_status\";s:5:\"table\";s:13:\"node__comment\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:14:\"comment_status\";}s:10:\"field_name\";s:7:\"comment\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:14:\"comment_status\";s:5:\"table\";s:13:\"node__comment\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:14:\"comment_status\";}s:10:\"field_name\";s:7:\"comment\";s:11:\"entity_type\";s:4:\"node\";}}}s:22:\"node_revision__comment\";a:3:{s:5:\"table\";a:2:{s:4:\"join\";a:1:{s:19:\"node_field_revision\";a:4:{s:5:\"table\";s:22:\"node_revision__comment\";s:10:\"left_field\";s:3:\"vid\";s:5:\"field\";s:11:\"revision_id\";s:5:\"extra\";a:2:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}i:1;a:2:{s:10:\"left_field\";s:8:\"langcode\";s:5:\"field\";s:8:\"langcode\";}}}}s:8:\"provider\";s:5:\"views\";}s:19:\"comment-revision_id\";a:5:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";s:8:\"Comments\";s:11:\"title short\";s:8:\"Comments\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:13:\"article, blog\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:8:{s:5:\"table\";s:22:\"node_revision__comment\";s:2:\"id\";s:5:\"field\";s:10:\"field_name\";s:7:\"comment\";s:11:\"entity_type\";s:4:\"node\";s:10:\"real field\";s:26:\"comment-revision_id_status\";s:17:\"additional fields\";a:4:{i:0;s:5:\"delta\";i:1;s:8:\"langcode\";i:2;s:6:\"bundle\";i:3;s:14:\"comment_status\";}s:12:\"element type\";s:3:\"div\";s:11:\"is revision\";b:1;}}s:14:\"comment_status\";a:7:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";r:10025;s:11:\"title short\";s:8:\"Comments\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:13:\"article, blog\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:14:\"comment_status\";s:5:\"table\";s:22:\"node_revision__comment\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:14:\"comment_status\";}s:10:\"field_name\";s:7:\"comment\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:14:\"comment_status\";s:5:\"table\";s:22:\"node_revision__comment\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:14:\"comment_status\";}s:10:\"field_name\";s:7:\"comment\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:14:\"comment_status\";s:5:\"table\";s:22:\"node_revision__comment\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:14:\"comment_status\";}s:10:\"field_name\";s:7:\"comment\";s:11:\"entity_type\";s:4:\"node\";}}}s:10:\"node__body\";a:5:{s:5:\"table\";a:2:{s:4:\"join\";a:1:{s:15:\"node_field_data\";a:5:{s:5:\"table\";s:10:\"node__body\";s:10:\"left_field\";s:3:\"nid\";s:5:\"field\";s:9:\"entity_id\";s:5:\"extra\";a:3:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}i:1;a:2:{s:10:\"left_field\";s:8:\"langcode\";s:5:\"field\";s:8:\"langcode\";}i:2;a:2:{s:5:\"field\";s:6:\"bundle\";s:5:\"value\";a:7:{i:0;s:8:\"partners\";i:1;s:9:\"portfolio\";i:2;s:6:\"banner\";i:3;s:16:\"simplenews_issue\";i:4;s:11:\"our_mission\";i:5;s:6:\"why_us\";i:6;s:12:\"our_services\";}}}s:7:\"join_id\";s:22:\"field_or_language_join\";}}s:8:\"provider\";s:5:\"views\";}s:4:\"body\";a:6:{s:5:\"group\";r:296;s:5:\"title\";s:4:\"Body\";s:11:\"title short\";s:4:\"Body\";s:4:\"help\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:156:\"Appears in: page, article, partners, portfolio, blog, banner, simplenews_issue, our_mission, why_us, our_services. Also known as: Content: Short description\";}s:7:\"aliases\";a:1:{i:0;a:4:{s:4:\"base\";s:4:\"node\";s:5:\"group\";r:296;s:5:\"title\";s:17:\"Short description\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"This is an alias of @group: @field.\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@group\";r:296;s:6:\"@field\";s:4:\"Body\";}s:10:\"\0*\0options\";a:0:{}}}}s:5:\"field\";a:9:{s:5:\"table\";s:10:\"node__body\";s:2:\"id\";s:5:\"field\";s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";s:10:\"real field\";s:10:\"body_value\";s:17:\"additional fields\";a:6:{i:0;s:5:\"delta\";i:1;s:8:\"langcode\";i:2;s:6:\"bundle\";i:3;s:10:\"body_value\";i:4;s:12:\"body_summary\";i:5;s:11:\"body_format\";}s:12:\"element type\";s:3:\"div\";s:11:\"is revision\";b:0;s:14:\"click sortable\";b:1;}}s:10:\"body_value\";a:8:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label (@name)\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:4:\"Body\";s:5:\"@name\";s:4:\"body\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";s:4:\"Body\";s:4:\"help\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:150:\"Appears in: page, article, partners, portfolio, blog, banner, simplenews_issue, our_mission, why_us, our_services. Also known as: Content: Body (body)\";}s:7:\"aliases\";a:1:{i:0;a:3:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label (@name)\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:17:\"Short description\";s:5:\"@name\";s:4:\"body\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"This is an alias of @group: @field.\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@group\";r:296;s:6:\"@field\";r:10248;}s:10:\"\0*\0options\";a:0:{}}}}s:8:\"argument\";a:7:{s:5:\"field\";s:10:\"body_value\";s:5:\"table\";s:10:\"node__body\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:10:\"body_value\";i:7;s:12:\"body_summary\";i:8;s:11:\"body_format\";}s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:10:\"body_value\";s:5:\"table\";s:10:\"node__body\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:10:\"body_value\";i:7;s:12:\"body_summary\";i:8;s:11:\"body_format\";}s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:10:\"body_value\";s:5:\"table\";s:10:\"node__body\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:10:\"body_value\";i:7;s:12:\"body_summary\";i:8;s:11:\"body_format\";}s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";}}s:12:\"body_summary\";a:8:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:4:\"Body\";s:5:\"@name\";s:4:\"body\";s:7:\"@column\";s:7:\"summary\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:4:\"Body\";s:7:\"@column\";s:7:\"summary\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:158:\"Appears in: page, article, partners, portfolio, blog, banner, simplenews_issue, our_mission, why_us, our_services. Also known as: Content: Body (body:summary)\";}s:7:\"aliases\";a:1:{i:0;a:3:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:17:\"Short description\";s:5:\"@name\";s:4:\"body\";s:7:\"@column\";s:7:\"summary\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"This is an alias of @group: @field.\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@group\";r:296;s:6:\"@field\";r:10327;}s:10:\"\0*\0options\";a:0:{}}}}s:8:\"argument\";a:7:{s:5:\"field\";s:12:\"body_summary\";s:5:\"table\";s:10:\"node__body\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:10:\"body_value\";i:7;s:12:\"body_summary\";i:8;s:11:\"body_format\";}s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:12:\"body_summary\";s:5:\"table\";s:10:\"node__body\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:10:\"body_value\";i:7;s:12:\"body_summary\";i:8;s:11:\"body_format\";}s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:12:\"body_summary\";s:5:\"table\";s:10:\"node__body\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:10:\"body_value\";i:7;s:12:\"body_summary\";i:8;s:11:\"body_format\";}s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";}}s:11:\"body_format\";a:8:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:4:\"Body\";s:5:\"@name\";s:4:\"body\";s:7:\"@column\";s:6:\"format\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:4:\"Body\";s:7:\"@column\";s:6:\"format\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:157:\"Appears in: page, article, partners, portfolio, blog, banner, simplenews_issue, our_mission, why_us, our_services. Also known as: Content: Body (body:format)\";}s:7:\"aliases\";a:1:{i:0;a:3:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:17:\"Short description\";s:5:\"@name\";s:4:\"body\";s:7:\"@column\";s:6:\"format\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"This is an alias of @group: @field.\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@group\";r:296;s:6:\"@field\";r:10413;}s:10:\"\0*\0options\";a:0:{}}}}s:8:\"argument\";a:7:{s:5:\"field\";s:11:\"body_format\";s:5:\"table\";s:10:\"node__body\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:10:\"body_value\";i:7;s:12:\"body_summary\";i:8;s:11:\"body_format\";}s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:11:\"body_format\";s:5:\"table\";s:10:\"node__body\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:10:\"body_value\";i:7;s:12:\"body_summary\";i:8;s:11:\"body_format\";}s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:11:\"body_format\";s:5:\"table\";s:10:\"node__body\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:10:\"body_value\";i:7;s:12:\"body_summary\";i:8;s:11:\"body_format\";}s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";}}}s:19:\"node_revision__body\";a:5:{s:5:\"table\";a:2:{s:4:\"join\";a:1:{s:19:\"node_field_revision\";a:5:{s:5:\"table\";s:19:\"node_revision__body\";s:10:\"left_field\";s:3:\"vid\";s:5:\"field\";s:11:\"revision_id\";s:5:\"extra\";a:3:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}i:1;a:2:{s:10:\"left_field\";s:8:\"langcode\";s:5:\"field\";s:8:\"langcode\";}i:2;a:2:{s:5:\"value\";a:7:{i:0;s:8:\"partners\";i:1;s:9:\"portfolio\";i:2;s:6:\"banner\";i:3;s:16:\"simplenews_issue\";i:4;s:11:\"our_mission\";i:5;s:6:\"why_us\";i:6;s:12:\"our_services\";}s:5:\"field\";s:6:\"bundle\";}}s:7:\"join_id\";s:22:\"field_or_language_join\";}}s:8:\"provider\";s:5:\"views\";}s:16:\"body-revision_id\";a:6:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";s:4:\"Body\";s:11:\"title short\";s:4:\"Body\";s:4:\"help\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:174:\"Appears in: page, article, partners, portfolio, blog, banner, simplenews_issue, our_mission, why_us, our_services. Also known as: Content (historical data): Short description\";}s:7:\"aliases\";a:1:{i:0;a:4:{s:4:\"base\";s:19:\"node_revision__body\";s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";s:17:\"Short description\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"This is an alias of @group: @field.\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@group\";r:296;s:6:\"@field\";s:4:\"Body\";}s:10:\"\0*\0options\";a:0:{}}}}s:5:\"field\";a:8:{s:5:\"table\";s:19:\"node_revision__body\";s:2:\"id\";s:5:\"field\";s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";s:10:\"real field\";s:22:\"body-revision_id_value\";s:17:\"additional fields\";a:6:{i:0;s:5:\"delta\";i:1;s:8:\"langcode\";i:2;s:6:\"bundle\";i:3;s:10:\"body_value\";i:4;s:12:\"body_summary\";i:5;s:11:\"body_format\";}s:12:\"element type\";s:3:\"div\";s:11:\"is revision\";b:1;}}s:10:\"body_value\";a:8:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";r:10248;s:11:\"title short\";s:4:\"Body\";s:4:\"help\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:150:\"Appears in: page, article, partners, portfolio, blog, banner, simplenews_issue, our_mission, why_us, our_services. Also known as: Content: Body (body)\";}s:7:\"aliases\";a:1:{i:0;a:3:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label (@name)\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:17:\"Short description\";s:5:\"@name\";s:4:\"body\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"This is an alias of @group: @field.\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@group\";r:296;s:6:\"@field\";r:10248;}s:10:\"\0*\0options\";a:0:{}}}}s:8:\"argument\";a:7:{s:5:\"field\";s:10:\"body_value\";s:5:\"table\";s:19:\"node_revision__body\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:10:\"body_value\";i:7;s:12:\"body_summary\";i:8;s:11:\"body_format\";}s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:10:\"body_value\";s:5:\"table\";s:19:\"node_revision__body\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:10:\"body_value\";i:7;s:12:\"body_summary\";i:8;s:11:\"body_format\";}s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:10:\"body_value\";s:5:\"table\";s:19:\"node_revision__body\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:10:\"body_value\";i:7;s:12:\"body_summary\";i:8;s:11:\"body_format\";}s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";}}s:12:\"body_summary\";a:8:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";r:10327;s:11:\"title short\";r:10334;s:4:\"help\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:158:\"Appears in: page, article, partners, portfolio, blog, banner, simplenews_issue, our_mission, why_us, our_services. Also known as: Content: Body (body:summary)\";}s:7:\"aliases\";a:1:{i:0;a:3:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:17:\"Short description\";s:5:\"@name\";s:4:\"body\";s:7:\"@column\";s:7:\"summary\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"This is an alias of @group: @field.\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@group\";r:296;s:6:\"@field\";r:10327;}s:10:\"\0*\0options\";a:0:{}}}}s:8:\"argument\";a:7:{s:5:\"field\";s:12:\"body_summary\";s:5:\"table\";s:19:\"node_revision__body\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:10:\"body_value\";i:7;s:12:\"body_summary\";i:8;s:11:\"body_format\";}s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:12:\"body_summary\";s:5:\"table\";s:19:\"node_revision__body\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:10:\"body_value\";i:7;s:12:\"body_summary\";i:8;s:11:\"body_format\";}s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:12:\"body_summary\";s:5:\"table\";s:19:\"node_revision__body\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:10:\"body_value\";i:7;s:12:\"body_summary\";i:8;s:11:\"body_format\";}s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";}}s:11:\"body_format\";a:8:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";r:10413;s:11:\"title short\";r:10420;s:4:\"help\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:157:\"Appears in: page, article, partners, portfolio, blog, banner, simplenews_issue, our_mission, why_us, our_services. Also known as: Content: Body (body:format)\";}s:7:\"aliases\";a:1:{i:0;a:3:{s:5:\"group\";r:296;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:17:\"Short description\";s:5:\"@name\";s:4:\"body\";s:7:\"@column\";s:6:\"format\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"This is an alias of @group: @field.\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@group\";r:296;s:6:\"@field\";r:10413;}s:10:\"\0*\0options\";a:0:{}}}}s:8:\"argument\";a:7:{s:5:\"field\";s:11:\"body_format\";s:5:\"table\";s:19:\"node_revision__body\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:10:\"body_value\";i:7;s:12:\"body_summary\";i:8;s:11:\"body_format\";}s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:11:\"body_format\";s:5:\"table\";s:19:\"node_revision__body\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:10:\"body_value\";i:7;s:12:\"body_summary\";i:8;s:11:\"body_format\";}s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:11:\"body_format\";s:5:\"table\";s:19:\"node_revision__body\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:10:\"body_value\";i:7;s:12:\"body_summary\";i:8;s:11:\"body_format\";}s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";}}}s:21:\"comment__comment_body\";a:4:{s:5:\"table\";a:2:{s:4:\"join\";a:1:{s:18:\"comment_field_data\";a:4:{s:5:\"table\";s:21:\"comment__comment_body\";s:10:\"left_field\";s:3:\"cid\";s:5:\"field\";s:9:\"entity_id\";s:5:\"extra\";a:1:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}}}}s:8:\"provider\";s:5:\"views\";}s:12:\"comment_body\";a:5:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Comment\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";s:7:\"Comment\";s:11:\"title short\";s:7:\"Comment\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:7:\"comment\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:9:{s:5:\"table\";s:21:\"comment__comment_body\";s:2:\"id\";s:5:\"field\";s:10:\"field_name\";s:12:\"comment_body\";s:11:\"entity_type\";s:7:\"comment\";s:10:\"real field\";s:18:\"comment_body_value\";s:17:\"additional fields\";a:5:{i:0;s:5:\"delta\";i:1;s:8:\"langcode\";i:2;s:6:\"bundle\";i:3;s:18:\"comment_body_value\";i:4;s:19:\"comment_body_format\";}s:12:\"element type\";s:3:\"div\";s:11:\"is revision\";b:0;s:14:\"click sortable\";b:1;}}s:18:\"comment_body_value\";a:7:{s:5:\"group\";r:10814;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label (@name)\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:7:\"Comment\";s:5:\"@name\";s:12:\"comment_body\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";s:7:\"Comment\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:7:\"comment\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:18:\"comment_body_value\";s:5:\"table\";s:21:\"comment__comment_body\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:8:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:18:\"comment_body_value\";i:7;s:19:\"comment_body_format\";}s:10:\"field_name\";s:12:\"comment_body\";s:11:\"entity_type\";s:7:\"comment\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:18:\"comment_body_value\";s:5:\"table\";s:21:\"comment__comment_body\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:8:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:18:\"comment_body_value\";i:7;s:19:\"comment_body_format\";}s:10:\"field_name\";s:12:\"comment_body\";s:11:\"entity_type\";s:7:\"comment\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:18:\"comment_body_value\";s:5:\"table\";s:21:\"comment__comment_body\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:8:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:18:\"comment_body_value\";i:7;s:19:\"comment_body_format\";}s:10:\"field_name\";s:12:\"comment_body\";s:11:\"entity_type\";s:7:\"comment\";}}s:19:\"comment_body_format\";a:7:{s:5:\"group\";r:10814;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:7:\"Comment\";s:5:\"@name\";s:12:\"comment_body\";s:7:\"@column\";s:6:\"format\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:7:\"Comment\";s:7:\"@column\";s:6:\"format\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:7:\"comment\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:19:\"comment_body_format\";s:5:\"table\";s:21:\"comment__comment_body\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:8:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:18:\"comment_body_value\";i:7;s:19:\"comment_body_format\";}s:10:\"field_name\";s:12:\"comment_body\";s:11:\"entity_type\";s:7:\"comment\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:19:\"comment_body_format\";s:5:\"table\";s:21:\"comment__comment_body\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:8:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:18:\"comment_body_value\";i:7;s:19:\"comment_body_format\";}s:10:\"field_name\";s:12:\"comment_body\";s:11:\"entity_type\";s:7:\"comment\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:19:\"comment_body_format\";s:5:\"table\";s:21:\"comment__comment_body\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:8:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:18:\"comment_body_value\";i:7;s:19:\"comment_body_format\";}s:10:\"field_name\";s:12:\"comment_body\";s:11:\"entity_type\";s:7:\"comment\";}}}s:19:\"block_content__body\";a:5:{s:5:\"table\";a:2:{s:4:\"join\";a:1:{s:24:\"block_content_field_data\";a:4:{s:5:\"table\";s:19:\"block_content__body\";s:10:\"left_field\";s:2:\"id\";s:5:\"field\";s:9:\"entity_id\";s:5:\"extra\";a:1:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}}}}s:8:\"provider\";s:5:\"views\";}s:4:\"body\";a:5:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Custom block\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";s:4:\"Body\";s:11:\"title short\";s:4:\"Body\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:5:\"basic\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:9:{s:5:\"table\";s:19:\"block_content__body\";s:2:\"id\";s:5:\"field\";s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:13:\"block_content\";s:10:\"real field\";s:10:\"body_value\";s:17:\"additional fields\";a:6:{i:0;s:5:\"delta\";i:1;s:8:\"langcode\";i:2;s:6:\"bundle\";i:3;s:10:\"body_value\";i:4;s:12:\"body_summary\";i:5;s:11:\"body_format\";}s:12:\"element type\";s:3:\"div\";s:11:\"is revision\";b:0;s:14:\"click sortable\";b:1;}}s:10:\"body_value\";a:7:{s:5:\"group\";r:10988;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label (@name)\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:4:\"Body\";s:5:\"@name\";s:4:\"body\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";s:4:\"Body\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:5:\"basic\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:10:\"body_value\";s:5:\"table\";s:19:\"block_content__body\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:10:\"body_value\";i:7;s:12:\"body_summary\";i:8;s:11:\"body_format\";}s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:13:\"block_content\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:10:\"body_value\";s:5:\"table\";s:19:\"block_content__body\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:10:\"body_value\";i:7;s:12:\"body_summary\";i:8;s:11:\"body_format\";}s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:13:\"block_content\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:10:\"body_value\";s:5:\"table\";s:19:\"block_content__body\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:10:\"body_value\";i:7;s:12:\"body_summary\";i:8;s:11:\"body_format\";}s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:13:\"block_content\";}}s:12:\"body_summary\";a:7:{s:5:\"group\";r:10988;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:4:\"Body\";s:5:\"@name\";s:4:\"body\";s:7:\"@column\";s:7:\"summary\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:4:\"Body\";s:7:\"@column\";s:7:\"summary\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:5:\"basic\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:12:\"body_summary\";s:5:\"table\";s:19:\"block_content__body\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:10:\"body_value\";i:7;s:12:\"body_summary\";i:8;s:11:\"body_format\";}s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:13:\"block_content\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:12:\"body_summary\";s:5:\"table\";s:19:\"block_content__body\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:10:\"body_value\";i:7;s:12:\"body_summary\";i:8;s:11:\"body_format\";}s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:13:\"block_content\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:12:\"body_summary\";s:5:\"table\";s:19:\"block_content__body\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:10:\"body_value\";i:7;s:12:\"body_summary\";i:8;s:11:\"body_format\";}s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:13:\"block_content\";}}s:11:\"body_format\";a:7:{s:5:\"group\";r:10988;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:4:\"Body\";s:5:\"@name\";s:4:\"body\";s:7:\"@column\";s:6:\"format\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:4:\"Body\";s:7:\"@column\";s:6:\"format\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:5:\"basic\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:11:\"body_format\";s:5:\"table\";s:19:\"block_content__body\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:10:\"body_value\";i:7;s:12:\"body_summary\";i:8;s:11:\"body_format\";}s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:13:\"block_content\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:11:\"body_format\";s:5:\"table\";s:19:\"block_content__body\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:10:\"body_value\";i:7;s:12:\"body_summary\";i:8;s:11:\"body_format\";}s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:13:\"block_content\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:11:\"body_format\";s:5:\"table\";s:19:\"block_content__body\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:10:\"body_value\";i:7;s:12:\"body_summary\";i:8;s:11:\"body_format\";}s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:13:\"block_content\";}}}s:28:\"block_content_revision__body\";a:5:{s:5:\"table\";a:2:{s:4:\"join\";a:1:{s:28:\"block_content_field_revision\";a:4:{s:5:\"table\";s:28:\"block_content_revision__body\";s:10:\"left_field\";s:11:\"revision_id\";s:5:\"field\";s:11:\"revision_id\";s:5:\"extra\";a:1:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}}}}s:8:\"provider\";s:5:\"views\";}s:16:\"body-revision_id\";a:5:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:10988;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";s:4:\"Body\";s:11:\"title short\";s:4:\"Body\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:5:\"basic\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:8:{s:5:\"table\";s:28:\"block_content_revision__body\";s:2:\"id\";s:5:\"field\";s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:13:\"block_content\";s:10:\"real field\";s:22:\"body-revision_id_value\";s:17:\"additional fields\";a:6:{i:0;s:5:\"delta\";i:1;s:8:\"langcode\";i:2;s:6:\"bundle\";i:3;s:10:\"body_value\";i:4;s:12:\"body_summary\";i:5;s:11:\"body_format\";}s:12:\"element type\";s:3:\"div\";s:11:\"is revision\";b:1;}}s:10:\"body_value\";a:7:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:10988;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";r:11017;s:11:\"title short\";s:4:\"Body\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:5:\"basic\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:10:\"body_value\";s:5:\"table\";s:28:\"block_content_revision__body\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:10:\"body_value\";i:7;s:12:\"body_summary\";i:8;s:11:\"body_format\";}s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:13:\"block_content\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:10:\"body_value\";s:5:\"table\";s:28:\"block_content_revision__body\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:10:\"body_value\";i:7;s:12:\"body_summary\";i:8;s:11:\"body_format\";}s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:13:\"block_content\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:10:\"body_value\";s:5:\"table\";s:28:\"block_content_revision__body\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:10:\"body_value\";i:7;s:12:\"body_summary\";i:8;s:11:\"body_format\";}s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:13:\"block_content\";}}s:12:\"body_summary\";a:7:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:10988;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";r:11084;s:11:\"title short\";r:11091;s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:5:\"basic\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:12:\"body_summary\";s:5:\"table\";s:28:\"block_content_revision__body\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:10:\"body_value\";i:7;s:12:\"body_summary\";i:8;s:11:\"body_format\";}s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:13:\"block_content\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:12:\"body_summary\";s:5:\"table\";s:28:\"block_content_revision__body\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:10:\"body_value\";i:7;s:12:\"body_summary\";i:8;s:11:\"body_format\";}s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:13:\"block_content\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:12:\"body_summary\";s:5:\"table\";s:28:\"block_content_revision__body\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:10:\"body_value\";i:7;s:12:\"body_summary\";i:8;s:11:\"body_format\";}s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:13:\"block_content\";}}s:11:\"body_format\";a:7:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"@group (historical data)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@group\";r:10988;}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";r:11157;s:11:\"title short\";r:11164;s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:5:\"basic\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:11:\"body_format\";s:5:\"table\";s:28:\"block_content_revision__body\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:10:\"body_value\";i:7;s:12:\"body_summary\";i:8;s:11:\"body_format\";}s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:13:\"block_content\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:11:\"body_format\";s:5:\"table\";s:28:\"block_content_revision__body\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:10:\"body_value\";i:7;s:12:\"body_summary\";i:8;s:11:\"body_format\";}s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:13:\"block_content\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:11:\"body_format\";s:5:\"table\";s:28:\"block_content_revision__body\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:10:\"body_value\";i:7;s:12:\"body_summary\";i:8;s:11:\"body_format\";}s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:13:\"block_content\";}}}s:5:\"views\";a:29:{s:5:\"table\";a:3:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Global\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"join\";a:1:{s:7:\"#global\";a:0:{}}s:8:\"provider\";s:5:\"views\";}s:6:\"random\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Random\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:28:\"Randomize the display order.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"sort\";a:1:{s:2:\"id\";s:6:\"random\";}}s:4:\"null\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Null\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:213:\"Allow a contextual filter value to be ignored. The query will not be altered by this contextual filter value. Can be used when contextual filter values come from the URL, and a part of the URL needs to be ignored.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:1:{s:2:\"id\";s:4:\"null\";}}s:7:\"nothing\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Custom text\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:28:\"Provide custom text or link.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:6:\"custom\";}}s:7:\"counter\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"View result counter\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"Displays the actual position of the view result\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:7:\"counter\";}}s:4:\"area\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Text area\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Provide markup text for the area.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"area\";a:1:{s:2:\"id\";s:4:\"text\";}}s:16:\"area_text_custom\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Unfiltered text\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:82:\"Add unrestricted, custom text or markup. This is similar to the custom text field.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"area\";a:1:{s:2:\"id\";s:11:\"text_custom\";}}s:5:\"title\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Title override\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:115:\"Override the default view title for this view. This is useful to display an alternative title when a view is empty.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"area\";a:2:{s:2:\"id\";s:5:\"title\";s:8:\"sub_type\";s:5:\"empty\";}}s:4:\"view\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"View area\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Insert a view inside an area.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"area\";a:1:{s:2:\"id\";s:4:\"view\";}}s:6:\"result\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Result summary\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:53:\"Shows result summary, for example the items per page.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"area\";a:1:{s:2:\"id\";s:6:\"result\";}}s:8:\"messages\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Messages\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Displays messages in an area.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"area\";a:1:{s:2:\"id\";s:8:\"messages\";}}s:16:\"http_status_code\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Response status code\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:88:\"Alter the HTTP response status code used by this view, mostly helpful for empty results.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"area\";a:1:{s:2:\"id\";s:16:\"http_status_code\";}}s:7:\"combine\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Combine fields filter\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"Combine multiple fields together and search by them.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"combine\";}}s:10:\"dropbutton\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Dropbutton\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"Display fields in a dropbutton.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:10:\"dropbutton\";}}s:12:\"display_link\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Link to display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:141:\"Displays a link to a path-based display of this view while keeping the filter criteria, sort criteria, pager settings and contextual filters.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"area\";a:1:{s:2:\"id\";s:12:\"display_link\";}}s:12:\"entity_block\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Rendered entity - @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Block\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"Displays a rendered @label entity in an area.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:11635;}s:10:\"\0*\0options\";a:0:{}}s:4:\"area\";a:2:{s:11:\"entity_type\";s:5:\"block\";s:2:\"id\";s:6:\"entity\";}}s:20:\"entity_block_content\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Rendered entity - @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:10988;}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"Displays a rendered @label entity in an area.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:10988;}s:10:\"\0*\0options\";a:0:{}}s:4:\"area\";a:2:{s:11:\"entity_type\";s:13:\"block_content\";s:2:\"id\";s:6:\"entity\";}}s:14:\"entity_comment\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Rendered entity - @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:10814;}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"Displays a rendered @label entity in an area.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:10814;}s:10:\"\0*\0options\";a:0:{}}s:4:\"area\";a:2:{s:11:\"entity_type\";s:7:\"comment\";s:2:\"id\";s:6:\"entity\";}}s:22:\"entity_contact_message\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Rendered entity - @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Contact message\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"Displays a rendered @label entity in an area.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:11680;}s:10:\"\0*\0options\";a:0:{}}s:4:\"area\";a:2:{s:11:\"entity_type\";s:15:\"contact_message\";s:2:\"id\";s:6:\"entity\";}}s:11:\"entity_file\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Rendered entity - @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"File\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"Displays a rendered @label entity in an area.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:11697;}s:10:\"\0*\0options\";a:0:{}}s:4:\"area\";a:2:{s:11:\"entity_type\";s:4:\"file\";s:2:\"id\";s:6:\"entity\";}}s:11:\"entity_node\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Rendered entity - @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"Displays a rendered @label entity in an area.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:4:\"area\";a:2:{s:11:\"entity_type\";s:4:\"node\";s:2:\"id\";s:6:\"entity\";}}s:17:\"entity_path_alias\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Rendered entity - @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"URL alias\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"Displays a rendered @label entity in an area.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:11728;}s:10:\"\0*\0options\";a:0:{}}s:4:\"area\";a:2:{s:11:\"entity_type\";s:10:\"path_alias\";s:2:\"id\";s:6:\"entity\";}}s:15:\"entity_shortcut\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Rendered entity - @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Shortcut link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"Displays a rendered @label entity in an area.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:11745;}s:10:\"\0*\0options\";a:0:{}}s:4:\"area\";a:2:{s:11:\"entity_type\";s:8:\"shortcut\";s:2:\"id\";s:6:\"entity\";}}s:28:\"entity_simplenews_subscriber\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Rendered entity - @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:1113;}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"Displays a rendered @label entity in an area.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:1113;}s:10:\"\0*\0options\";a:0:{}}s:4:\"area\";a:2:{s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:2:\"id\";s:6:\"entity\";}}s:20:\"entity_taxonomy_term\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Rendered entity - @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:3151;}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"Displays a rendered @label entity in an area.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:3151;}s:10:\"\0*\0options\";a:0:{}}s:4:\"area\";a:2:{s:11:\"entity_type\";s:13:\"taxonomy_term\";s:2:\"id\";s:6:\"entity\";}}s:11:\"entity_tour\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Rendered entity - @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Tour\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"Displays a rendered @label entity in an area.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:11790;}s:10:\"\0*\0options\";a:0:{}}s:4:\"area\";a:2:{s:11:\"entity_type\";s:4:\"tour\";s:2:\"id\";s:6:\"entity\";}}s:11:\"entity_user\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Rendered entity - @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:665;}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"Displays a rendered @label entity in an area.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:665;}s:10:\"\0*\0options\";a:0:{}}s:4:\"area\";a:2:{s:11:\"entity_type\";s:4:\"user\";s:2:\"id\";s:6:\"entity\";}}s:24:\"entity_menu_link_content\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Rendered entity - @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Custom menu link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"Displays a rendered @label entity in an area.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:11821;}s:10:\"\0*\0options\";a:0:{}}s:4:\"area\";a:2:{s:11:\"entity_type\";s:17:\"menu_link_content\";s:2:\"id\";s:6:\"entity\";}}s:16:\"contextual_links\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Contextual Links\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:42:\"Display fields in a contextual links menu.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:16:\"contextual_links\";}}}s:7:\"comment\";a:11:{s:17:\"comment_bulk_form\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:28:\"Comment operations bulk form\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:69:\"Add a form element that lets you run operations on multiple comments.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:17:\"comment_bulk_form\";}}s:5:\"table\";a:5:{s:5:\"group\";r:10814;s:8:\"provider\";s:7:\"comment\";s:15:\"entity revision\";b:0;s:4:\"join\";a:1:{s:18:\"comment_field_data\";a:3:{s:10:\"left_field\";s:3:\"cid\";s:5:\"field\";s:3:\"cid\";s:4:\"type\";s:5:\"INNER\";}}s:11:\"entity type\";s:7:\"comment\";}s:10:\"operations\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Operations links\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:44:\"Provides links to perform entity operations.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:17:\"entity_operations\";}}s:15:\"rendered_entity\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Rendered entity\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Renders an entity in a view mode.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:15:\"rendered_entity\";}}s:12:\"view_comment\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"Link to @entity_type_label\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:10814;}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Provide a view link to the @entity_type_label.\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:10814;}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:11:\"entity_link\";}}s:12:\"edit_comment\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"Link to edit @entity_type_label\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:10814;}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"Provide an edit link to the @entity_type_label.\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:10814;}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:16:\"entity_link_edit\";}}s:14:\"delete_comment\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Link to delete @entity_type_label\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:10814;}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:48:\"Provide a delete link to the @entity_type_label.\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:10814;}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:18:\"entity_link_delete\";}}s:4:\"uuid\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"The comment UUID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:2:{s:2:\"id\";s:5:\"field\";s:14:\"click sortable\";b:0;}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:4:\"uuid\";}s:8:\"langcode\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Original language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"The comment language code.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:8:\"language\";}s:6:\"filter\";a:1:{s:2:\"id\";s:8:\"language\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:8:\"langcode\";}s:15:\"approve_comment\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"Link to approve comment\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"Provide a simple link to approve the comment.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:20:\"comment_link_approve\";}}s:15:\"replyto_comment\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Link to reply-to comment\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Provide a simple link to reply to the comment.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:18:\"comment_link_reply\";}}}s:5:\"users\";a:12:{s:14:\"user_bulk_form\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Bulk update\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:66:\"Add a form element that lets you run operations on multiple users.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:14:\"user_bulk_form\";}}s:5:\"table\";a:5:{s:5:\"group\";r:665;s:8:\"provider\";s:4:\"user\";s:15:\"entity revision\";b:0;s:4:\"join\";a:1:{s:16:\"users_field_data\";a:3:{s:10:\"left_field\";s:3:\"uid\";s:5:\"field\";s:3:\"uid\";s:4:\"type\";s:5:\"INNER\";}}s:11:\"entity type\";s:4:\"user\";}s:10:\"operations\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Operations links\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:44:\"Provides links to perform entity operations.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:17:\"entity_operations\";}}s:15:\"rendered_entity\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Rendered entity\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Renders an entity in a view mode.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:15:\"rendered_entity\";}}s:9:\"view_user\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"Link to @entity_type_label\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:665;}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Provide a view link to the @entity_type_label.\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:665;}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:11:\"entity_link\";}}s:9:\"edit_user\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"Link to edit @entity_type_label\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:665;}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"Provide an edit link to the @entity_type_label.\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:665;}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:16:\"entity_link_edit\";}}s:4:\"uuid\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"The user UUID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:2:{s:2:\"id\";s:5:\"field\";s:14:\"click sortable\";b:0;}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:4:\"uuid\";}s:8:\"langcode\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Original language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"The user language code.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:8:\"language\";}s:6:\"filter\";a:1:{s:2:\"id\";s:8:\"language\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:8:\"langcode\";}s:11:\"uid_current\";a:4:{s:10:\"real field\";s:3:\"uid\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Current\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:48:\"Filter the view to the currently logged in user.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"filter\";a:2:{s:2:\"id\";s:12:\"user_current\";s:4:\"type\";s:6:\"yes-no\";}}s:4:\"data\";a:4:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Data\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:41:\"Provides access to the user data service.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"real field\";s:3:\"uid\";s:5:\"field\";a:1:{s:2:\"id\";s:9:\"user_data\";}}s:7:\"contact\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Contact link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"Provide a simple link to the user contact page.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:12:\"contact_link\";}}s:16:\"translation_link\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:36:\"Link to translate @entity_type_label\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:665;}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:53:\"Provide a translation link to the @entity_type_label.\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:665;}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:24:\"content_translation_link\";}}}s:13:\"block_content\";a:9:{s:5:\"table\";a:5:{s:5:\"group\";r:10988;s:8:\"provider\";s:13:\"block_content\";s:15:\"entity revision\";b:0;s:4:\"join\";a:1:{s:24:\"block_content_field_data\";a:3:{s:10:\"left_field\";s:2:\"id\";s:5:\"field\";s:2:\"id\";s:4:\"type\";s:5:\"INNER\";}}s:11:\"entity type\";s:13:\"block_content\";}s:10:\"operations\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Operations links\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:44:\"Provides links to perform entity operations.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:17:\"entity_operations\";}}s:15:\"rendered_entity\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Rendered entity\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Renders an entity in a view mode.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:15:\"rendered_entity\";}}s:18:\"view_block_content\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"Link to @entity_type_label\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:10988;}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Provide a view link to the @entity_type_label.\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:10988;}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:11:\"entity_link\";}}s:18:\"edit_block_content\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"Link to edit @entity_type_label\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:10988;}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"Provide an edit link to the @entity_type_label.\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:10988;}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:16:\"entity_link_edit\";}}s:20:\"delete_block_content\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Link to delete @entity_type_label\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:10988;}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:48:\"Provide a delete link to the @entity_type_label.\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:10988;}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:18:\"entity_link_delete\";}}s:4:\"uuid\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"The custom block UUID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:2:{s:2:\"id\";s:5:\"field\";s:14:\"click sortable\";b:0;}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:4:\"uuid\";}s:8:\"langcode\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Original language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"The custom block language code.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:8:\"language\";}s:6:\"filter\";a:1:{s:2:\"id\";s:8:\"language\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:8:\"langcode\";}s:27:\"block_content_listing_empty\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:28:\"Empty block library behavior\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"Provides a link to add a new block.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"area\";a:1:{s:2:\"id\";s:27:\"block_content_listing_empty\";}}}s:24:\"block_content_field_data\";a:11:{s:5:\"table\";a:6:{s:4:\"base\";a:5:{s:5:\"field\";s:2:\"id\";s:5:\"title\";r:10988;s:14:\"cache_contexts\";a:0:{}s:16:\"access query tag\";s:20:\"block_content_access\";s:8:\"defaults\";a:2:{s:5:\"field\";s:4:\"info\";s:5:\"table\";s:24:\"block_content_field_data\";}}s:5:\"group\";r:10988;s:8:\"provider\";s:13:\"block_content\";s:15:\"entity revision\";b:0;s:11:\"entity type\";s:13:\"block_content\";s:9:\"wizard_id\";s:13:\"block_content\";}s:2:\"id\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Custom block ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"The custom block ID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:2:\"id\";}s:11:\"revision_id\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Revision ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"The revision ID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:11:\"revision_id\";}s:4:\"type\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Block type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"The block type.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"bundle\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:4:\"type\";}s:8:\"langcode\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Translation language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";r:12239;s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:8:\"language\";}s:6:\"filter\";a:1:{s:2:\"id\";s:8:\"language\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:8:\"langcode\";}s:6:\"status\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Published\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"boolean\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:6:\"status\";}s:4:\"info\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Block description\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:34:\"A brief description of your block.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:2:{s:2:\"id\";s:5:\"field\";s:22:\"link_to_entity default\";b:1;}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:4:\"info\";}s:7:\"changed\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Changed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"The time that the custom block was last edited.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:4:\"date\";}s:6:\"filter\";a:1:{s:2:\"id\";s:4:\"date\";}s:4:\"sort\";a:1:{s:2:\"id\";s:4:\"date\";}s:12:\"entity field\";s:7:\"changed\";}s:8:\"reusable\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Reusable\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"A boolean indicating whether this block is reusable.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"boolean\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:8:\"reusable\";}s:16:\"default_langcode\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Default translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:58:\"A flag indicating whether this is the default translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"boolean\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:16:\"default_langcode\";}s:29:\"revision_translation_affected\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Revision translation affected\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"Indicates if the last edit of a translation belongs to current revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"boolean\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:29:\"revision_translation_affected\";}}s:22:\"block_content_revision\";a:9:{s:10:\"operations\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Operations links\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:44:\"Provides links to perform entity operations.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:17:\"entity_operations\";}}s:5:\"table\";a:4:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"@entity_type revision\";s:12:\"\0*\0arguments\";a:1:{s:12:\"@entity_type\";r:10988;}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:13:\"block_content\";s:4:\"join\";a:1:{s:28:\"block_content_field_revision\";a:3:{s:10:\"left_field\";s:11:\"revision_id\";s:5:\"field\";s:11:\"revision_id\";s:4:\"type\";s:5:\"INNER\";}}s:11:\"entity type\";s:13:\"block_content\";}s:15:\"latest_revision\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Is Latest Revision\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:81:\"Restrict the view to only revisions that are the latest revision of their entity.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"filter\";a:1:{s:2:\"id\";s:15:\"latest_revision\";}}s:36:\"latest_translation_affected_revision\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:39:\"Is Latest Translation Affected Revision\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:102:\"Restrict the view to only revisions that are the latest translation affected revision of their entity.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"filter\";a:1:{s:2:\"id\";s:36:\"latest_translation_affected_revision\";}}s:8:\"langcode\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Original language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";r:12239;s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:8:\"language\";}s:6:\"filter\";a:1:{s:2:\"id\";s:8:\"language\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:8:\"langcode\";}s:13:\"revision_user\";a:8:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Revision user\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:50:\"The user ID of the author of the current revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"relationship\";a:5:{s:4:\"base\";s:16:\"users_field_data\";s:10:\"base field\";s:3:\"uid\";s:5:\"label\";r:665;s:5:\"title\";r:665;s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:13:\"revision_user\";}s:16:\"revision_created\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Revision create time\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"The time that the current revision was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:4:\"date\";}s:6:\"filter\";a:1:{s:2:\"id\";s:4:\"date\";}s:4:\"sort\";a:1:{s:2:\"id\";s:4:\"date\";}s:12:\"entity field\";s:16:\"revision_created\";}s:12:\"revision_log\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Revision log message\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:54:\"The log entry explaining the changes in this revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:12:\"revision_log\";}s:16:\"revision_default\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Default revision\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"A flag indicating whether this was a default revision when it was saved.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"boolean\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:16:\"revision_default\";}}s:28:\"block_content_field_revision\";a:12:{s:5:\"table\";a:6:{s:15:\"entity revision\";b:1;s:4:\"base\";a:4:{s:5:\"field\";s:11:\"revision_id\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@entity_type revisions\";s:12:\"\0*\0arguments\";a:1:{s:12:\"@entity_type\";r:10988;}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:64:\"Block Content revision is a history of changes to block content.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"defaults\";a:1:{s:5:\"title\";s:4:\"info\";}}s:4:\"join\";a:1:{s:24:\"block_content_field_data\";a:3:{s:10:\"left_field\";s:11:\"revision_id\";s:5:\"field\";s:11:\"revision_id\";s:4:\"type\";s:5:\"INNER\";}}s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"@entity_type revision\";s:12:\"\0*\0arguments\";a:1:{s:12:\"@entity_type\";r:10988;}s:10:\"\0*\0options\";a:0:{}}s:11:\"entity type\";s:13:\"block_content\";s:8:\"provider\";s:5:\"views\";}s:18:\"view_block_content\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"Link to @entity_type_label\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:10988;}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Provide a view link to the @entity_type_label.\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:10988;}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:11:\"entity_link\";}}s:18:\"edit_block_content\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"Link to edit @entity_type_label\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:10988;}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"Provide an edit link to the @entity_type_label.\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:10988;}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:16:\"entity_link_edit\";}}s:20:\"delete_block_content\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Link to delete @entity_type_label\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:10988;}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:48:\"Provide a delete link to the @entity_type_label.\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:10988;}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:18:\"entity_link_delete\";}}s:2:\"id\";a:8:{s:5:\"title\";r:12279;s:4:\"help\";r:12283;s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:2:\"id\";s:12:\"relationship\";a:5:{s:2:\"id\";s:8:\"standard\";s:4:\"base\";s:24:\"block_content_field_data\";s:10:\"base field\";s:2:\"id\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Block Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:59:\"Get the actual block content from a block content revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:11:\"revision_id\";a:8:{s:5:\"title\";r:12297;s:4:\"help\";r:12301;s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:11:\"revision_id\";s:12:\"relationship\";a:5:{s:2:\"id\";s:8:\"standard\";s:4:\"base\";s:24:\"block_content_field_data\";s:10:\"base field\";s:11:\"revision_id\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Block Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:59:\"Get the actual block content from a block content revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:8:\"langcode\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Translation language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";r:12239;s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:8:\"language\";}s:6:\"filter\";a:1:{s:2:\"id\";s:8:\"language\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:8:\"langcode\";}s:6:\"status\";a:6:{s:5:\"title\";r:12348;s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"boolean\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:6:\"status\";}s:4:\"info\";a:7:{s:5:\"title\";r:12362;s:4:\"help\";r:12366;s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:4:\"info\";}s:7:\"changed\";a:7:{s:5:\"title\";r:12381;s:4:\"help\";r:12385;s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:4:\"date\";}s:6:\"filter\";a:1:{s:2:\"id\";s:4:\"date\";}s:4:\"sort\";a:1:{s:2:\"id\";s:4:\"date\";}s:12:\"entity field\";s:7:\"changed\";}s:16:\"default_langcode\";a:7:{s:5:\"title\";r:12417;s:4:\"help\";r:12421;s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"boolean\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:16:\"default_langcode\";}s:29:\"revision_translation_affected\";a:7:{s:5:\"title\";r:12435;s:4:\"help\";r:12439;s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"boolean\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:29:\"revision_translation_affected\";}}s:18:\"comment_field_data\";a:32:{s:5:\"table\";a:6:{s:4:\"base\";a:6:{s:5:\"field\";s:3:\"cid\";s:5:\"title\";r:10814;s:14:\"cache_contexts\";a:0:{}s:16:\"access query tag\";s:14:\"comment_access\";s:8:\"defaults\";a:2:{s:5:\"field\";s:7:\"subject\";s:5:\"table\";s:18:\"comment_field_data\";}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:34:\"Comments are responses to content.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:5:\"group\";r:10814;s:8:\"provider\";s:7:\"comment\";s:15:\"entity revision\";b:0;s:11:\"entity type\";s:7:\"comment\";s:9:\"wizard_id\";s:7:\"comment\";}s:3:\"cid\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Comment ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"The comment ID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:3:\"cid\";}s:12:\"comment_type\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Comment Type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"The comment type.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"bundle\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:12:\"comment_type\";}s:8:\"langcode\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Translation language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";r:11952;s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:8:\"language\";}s:6:\"filter\";a:1:{s:2:\"id\";s:8:\"language\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:8:\"langcode\";}s:6:\"status\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Approved status\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:3:{s:2:\"id\";s:7:\"boolean\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"Approved comment status\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:6:\"yes-no\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:6:\"status\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:67:\"Whether the comment is approved (or still in the moderation queue).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:3:\"uid\";a:8:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Author uid\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:73:\"If you need more fields than the uid add the comment: author relationship\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"relationship\";a:6:{s:4:\"base\";s:16:\"users_field_data\";s:10:\"base field\";s:3:\"uid\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"author\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Author\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:8:\"standard\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:36:\"The User ID of the comment\'s author.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:12:\"entity field\";s:3:\"uid\";}s:3:\"pid\";a:8:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Parent CID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:54:\"The parent comment ID if this is a reply to a comment.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"relationship\";a:6:{s:4:\"base\";s:18:\"comment_field_data\";s:10:\"base field\";s:3:\"cid\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"parent\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Parent comment\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:8:\"standard\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"The parent comment\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:12:\"entity field\";s:3:\"pid\";}s:9:\"entity_id\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Entity ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:54:\"The ID of the entity of which this comment is a reply.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:16:\"commented_entity\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:9:\"entity_id\";}s:7:\"subject\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Title\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:2:{s:2:\"id\";s:5:\"field\";s:17:\"default_formatter\";s:17:\"comment_permalink\";}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:7:\"subject\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"The title of the comment.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:4:\"name\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Author\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:85:\"The name of the comment\'s author. Can be rendered as a link to the author\'s homepage.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:2:{s:2:\"id\";s:5:\"field\";s:17:\"default_formatter\";s:16:\"comment_username\";}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:4:\"name\";}s:4:\"mail\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Email\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:88:\"Email of user that posted the comment. Will be empty if the author is a registered user.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:4:\"mail\";}s:8:\"homepage\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Author\'s website\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:121:\"The website address of the comment\'s author. Can be rendered as a link. Will be empty if the author is a registered user.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:2:{s:2:\"id\";s:5:\"field\";s:17:\"default_formatter\";s:6:\"string\";}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:8:\"homepage\";}s:8:\"hostname\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Hostname\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:30:\"The comment author\'s hostname.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:8:\"hostname\";}s:7:\"created\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Post date\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Date and time of when the comment was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:4:\"date\";}s:6:\"filter\";a:1:{s:2:\"id\";s:4:\"date\";}s:4:\"sort\";a:1:{s:2:\"id\";s:4:\"date\";}s:12:\"entity field\";s:7:\"created\";}s:7:\"changed\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Updated date\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:51:\"Date and time of when the comment was last updated.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:4:\"date\";}s:6:\"filter\";a:1:{s:2:\"id\";s:4:\"date\";}s:4:\"sort\";a:1:{s:2:\"id\";s:4:\"date\";}s:12:\"entity field\";s:7:\"changed\";}s:6:\"thread\";a:5:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Thread place\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:144:\"The alphadecimal representation of the comment\'s place in a thread, consisting of a base 36 string prefixed by an integer indicating its length.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Depth\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:51:\"Display the depth of the comment if it is threaded.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:13:\"comment_depth\";}s:4:\"sort\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Thread\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:86:\"Sort by the threaded order. This will keep child comments together with their parents.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:14:\"comment_thread\";}s:12:\"entity field\";s:6:\"thread\";}s:11:\"entity_type\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Entity type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:50:\"The entity type to which this comment is attached.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:11:\"entity_type\";}s:10:\"field_name\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Comment field name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"The field name through which this comment was added.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:10:\"field_name\";}s:16:\"default_langcode\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Default translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:58:\"A flag indicating whether this is the default translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"boolean\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:16:\"default_langcode\";}s:16:\"created_fulldata\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Created date\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Date in the form of CCYYMMDD.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"created\";s:2:\"id\";s:13:\"date_fulldate\";}}s:18:\"created_year_month\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Created year + month\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:27:\"Date in the form of YYYYMM.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"created\";s:2:\"id\";s:15:\"date_year_month\";}}s:12:\"created_year\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Created year\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"Date in the form of YYYY.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"created\";s:2:\"id\";s:9:\"date_year\";}}s:13:\"created_month\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Created month\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Date in the form of MM (01 - 12).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"created\";s:2:\"id\";s:10:\"date_month\";}}s:11:\"created_day\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Created day\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Date in the form of DD (01 - 31).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"created\";s:2:\"id\";s:8:\"date_day\";}}s:12:\"created_week\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Created week\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Date in the form of WW (01 - 53).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"created\";s:2:\"id\";s:9:\"date_week\";}}s:16:\"changed_fulldata\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Changed date\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Date in the form of CCYYMMDD.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"changed\";s:2:\"id\";s:13:\"date_fulldate\";}}s:18:\"changed_year_month\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Changed year + month\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:27:\"Date in the form of YYYYMM.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"changed\";s:2:\"id\";s:15:\"date_year_month\";}}s:12:\"changed_year\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Changed year\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"Date in the form of YYYY.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"changed\";s:2:\"id\";s:9:\"date_year\";}}s:13:\"changed_month\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Changed month\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Date in the form of MM (01 - 12).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"changed\";s:2:\"id\";s:10:\"date_month\";}}s:11:\"changed_day\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Changed day\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Date in the form of DD (01 - 31).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"changed\";s:2:\"id\";s:8:\"date_day\";}}s:12:\"changed_week\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Changed week\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Date in the form of WW (01 - 53).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"changed\";s:2:\"id\";s:9:\"date_week\";}}s:4:\"node\";a:1:{s:12:\"relationship\";a:8:{s:5:\"title\";r:296;s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"The @entity_type to which the comment is a reply to.\";s:12:\"\0*\0arguments\";a:1:{s:12:\"@entity_type\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:4:\"base\";s:15:\"node_field_data\";s:10:\"base field\";s:3:\"nid\";s:18:\"relationship field\";s:9:\"entity_id\";s:2:\"id\";s:8:\"standard\";s:5:\"label\";r:296;s:5:\"extra\";a:1:{i:0;a:3:{s:5:\"field\";s:11:\"entity_type\";s:5:\"value\";s:4:\"node\";s:5:\"table\";s:18:\"comment_field_data\";}}}}}s:25:\"comment_entity_statistics\";a:9:{s:5:\"table\";a:3:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Comment Statistics\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"join\";a:1:{s:15:\"node_field_data\";a:4:{s:4:\"type\";s:4:\"LEFT\";s:10:\"left_field\";s:3:\"nid\";s:5:\"field\";s:9:\"entity_id\";s:5:\"extra\";a:1:{i:0;a:2:{s:5:\"field\";s:11:\"entity_type\";s:5:\"value\";s:4:\"node\";}}}}s:8:\"provider\";s:5:\"views\";}s:22:\"last_comment_timestamp\";a:5:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Last comment time\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:50:\"Date and time of when the last comment was posted.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:22:\"comment_last_timestamp\";}s:4:\"sort\";a:1:{s:2:\"id\";s:4:\"date\";}s:6:\"filter\";a:1:{s:2:\"id\";s:4:\"date\";}}s:17:\"last_comment_name\";a:4:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Last comment author\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:50:\"The name of the author of the last posted comment.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:2:{s:2:\"id\";s:29:\"comment_ces_last_comment_name\";s:11:\"no group by\";b:1;}s:4:\"sort\";a:2:{s:2:\"id\";s:29:\"comment_ces_last_comment_name\";s:11:\"no group by\";b:1;}}s:13:\"comment_count\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Comment count\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:37:\"The number of comments an entity has.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:8:\"argument\";a:1:{s:2:\"id\";s:8:\"standard\";}}s:12:\"last_updated\";a:5:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"Updated/commented date\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:62:\"The most recent of last comment posted or entity updated time.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:2:{s:2:\"id\";s:24:\"comment_ces_last_updated\";s:11:\"no group by\";b:1;}s:4:\"sort\";a:2:{s:2:\"id\";s:24:\"comment_ces_last_updated\";s:11:\"no group by\";b:1;}s:6:\"filter\";a:1:{s:2:\"id\";s:24:\"comment_ces_last_updated\";}}s:3:\"cid\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Last comment CID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:37:\"Display the last comment of an entity\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"relationship\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Last comment\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:30:\"The last comment of an entity.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Comment\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"base\";s:7:\"comment\";s:10:\"base field\";s:3:\"cid\";s:2:\"id\";s:8:\"standard\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Last Comment\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:16:\"last_comment_uid\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Last comment uid\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:59:\"The User ID of the author of the last comment of an entity.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"relationship\";a:5:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Last comment author\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"base\";s:5:\"users\";s:10:\"base field\";s:3:\"uid\";s:2:\"id\";s:8:\"standard\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Last comment author\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:5:\"field\";a:1:{s:2:\"id\";s:7:\"numeric\";}}s:11:\"entity_type\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Entity type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:51:\"The entity type to which the comment is a reply to.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:8:\"standard\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}}s:10:\"field_name\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Comment field name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:49:\"The field name from which the comment originated.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:8:\"standard\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}}}s:12:\"file_managed\";a:20:{s:5:\"table\";a:6:{s:5:\"group\";r:11697;s:8:\"provider\";s:4:\"file\";s:4:\"base\";a:6:{s:5:\"field\";s:3:\"fid\";s:5:\"title\";r:11697;s:14:\"cache_contexts\";a:0:{}s:16:\"access query tag\";s:11:\"file_access\";s:8:\"defaults\";a:1:{s:5:\"field\";s:8:\"filename\";}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"Files maintained by Drupal and various modules.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:15:\"entity revision\";b:0;s:11:\"entity type\";s:4:\"file\";s:9:\"wizard_id\";s:12:\"file_managed\";}s:15:\"rendered_entity\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Rendered entity\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Renders an entity in a view mode.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:15:\"rendered_entity\";}}s:3:\"fid\";a:8:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"File ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"The file ID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:3:{s:2:\"id\";s:8:\"file_fid\";s:10:\"name field\";s:8:\"filename\";s:7:\"numeric\";b:1;}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:3:\"fid\";s:12:\"relationship\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"File usage\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:36:\"Relate file entities to their usage.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:8:\"standard\";s:4:\"base\";s:10:\"file_usage\";s:10:\"base field\";s:3:\"fid\";s:5:\"field\";s:3:\"fid\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"File usage\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:4:\"uuid\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"The file UUID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:2:{s:2:\"id\";s:5:\"field\";s:14:\"click sortable\";b:0;}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:4:\"uuid\";}s:8:\"langcode\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Original language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"The file language code.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:8:\"language\";}s:6:\"filter\";a:1:{s:2:\"id\";s:8:\"language\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:8:\"langcode\";}s:3:\"uid\";a:8:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"User ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"The user ID of the file.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"relationship\";a:5:{s:4:\"base\";s:16:\"users_field_data\";s:10:\"base field\";s:3:\"uid\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"User who uploaded\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"User who uploaded\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:3:\"uid\";}s:8:\"filename\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Filename\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:41:\"Name of the file with no path components.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:8:\"filename\";}s:3:\"uri\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"URI\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"The URI to access the file (either local or remote).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:2:{s:2:\"id\";s:5:\"field\";s:17:\"default_formatter\";s:8:\"file_uri\";}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:3:\"uri\";}s:8:\"filemime\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"File MIME type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"The file\'s MIME type.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:2:{s:2:\"id\";s:5:\"field\";s:17:\"default_formatter\";s:13:\"file_filemime\";}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:8:\"filemime\";}s:8:\"filesize\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"File size\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:30:\"The size of the file in bytes.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:2:{s:2:\"id\";s:5:\"field\";s:17:\"default_formatter\";s:9:\"file_size\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:8:\"filesize\";}s:6:\"status\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Status\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:63:\"The status of the file, temporary (FALSE) and permanent (TRUE).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:2:{s:2:\"id\";s:5:\"field\";s:26:\"default_formatter_settings\";a:3:{s:6:\"format\";s:6:\"custom\";s:19:\"format_custom_false\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Temporary\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:18:\"format_custom_true\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Permanent\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:11:\"file_status\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:6:\"status\";}s:7:\"created\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Created\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:40:\"The timestamp that the file was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:4:\"date\";}s:6:\"filter\";a:1:{s:2:\"id\";s:4:\"date\";}s:4:\"sort\";a:1:{s:2:\"id\";s:4:\"date\";}s:12:\"entity field\";s:7:\"created\";}s:7:\"changed\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Changed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"The timestamp that the file was last changed.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:4:\"date\";}s:6:\"filter\";a:1:{s:2:\"id\";s:4:\"date\";}s:4:\"sort\";a:1:{s:2:\"id\";s:4:\"date\";}s:12:\"entity field\";s:7:\"changed\";}s:9:\"extension\";a:4:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Extension\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"The extension of the file.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"real field\";s:8:\"filename\";s:5:\"field\";a:5:{s:11:\"entity_type\";s:4:\"file\";s:10:\"field_name\";s:8:\"filename\";s:17:\"default_formatter\";s:14:\"file_extension\";s:2:\"id\";s:5:\"field\";s:14:\"click sortable\";b:0;}}s:25:\"reverse_field_banner_node\";a:1:{s:12:\"relationship\";a:12:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"@entity using @field\";s:12:\"\0*\0arguments\";a:2:{s:7:\"@entity\";r:296;s:6:\"@field\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"@field_name\";s:12:\"\0*\0arguments\";a:1:{s:11:\"@field_name\";s:12:\"field_banner\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:51:\"Relate each @entity with a @field set to the image.\";s:12:\"\0*\0arguments\";a:2:{s:7:\"@entity\";r:296;s:6:\"@field\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"group\";r:296;s:2:\"id\";s:14:\"entity_reverse\";s:4:\"base\";s:15:\"node_field_data\";s:11:\"entity_type\";s:4:\"node\";s:10:\"base field\";s:3:\"nid\";s:10:\"field_name\";s:12:\"field_banner\";s:11:\"field table\";s:18:\"node__field_banner\";s:11:\"field field\";s:22:\"field_banner_target_id\";s:10:\"join_extra\";a:1:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}}}}s:26:\"reverse_field_gallery_node\";a:1:{s:12:\"relationship\";a:12:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"@entity using @field\";s:12:\"\0*\0arguments\";a:2:{s:7:\"@entity\";r:296;s:6:\"@field\";s:7:\"Gallery\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"@field_name\";s:12:\"\0*\0arguments\";a:1:{s:11:\"@field_name\";s:13:\"field_gallery\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:51:\"Relate each @entity with a @field set to the image.\";s:12:\"\0*\0arguments\";a:2:{s:7:\"@entity\";r:296;s:6:\"@field\";s:7:\"Gallery\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"group\";r:296;s:2:\"id\";s:14:\"entity_reverse\";s:4:\"base\";s:15:\"node_field_data\";s:11:\"entity_type\";s:4:\"node\";s:10:\"base field\";s:3:\"nid\";s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"field table\";s:19:\"node__field_gallery\";s:11:\"field field\";s:23:\"field_gallery_target_id\";s:10:\"join_extra\";a:1:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}}}}s:24:\"reverse_field_image_node\";a:1:{s:12:\"relationship\";a:12:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"@entity using @field\";s:12:\"\0*\0arguments\";a:2:{s:7:\"@entity\";r:296;s:6:\"@field\";s:5:\"Image\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"@field_name\";s:12:\"\0*\0arguments\";a:1:{s:11:\"@field_name\";s:11:\"field_image\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:51:\"Relate each @entity with a @field set to the image.\";s:12:\"\0*\0arguments\";a:2:{s:7:\"@entity\";r:296;s:6:\"@field\";s:5:\"Image\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"group\";r:296;s:2:\"id\";s:14:\"entity_reverse\";s:4:\"base\";s:15:\"node_field_data\";s:11:\"entity_type\";s:4:\"node\";s:10:\"base field\";s:3:\"nid\";s:10:\"field_name\";s:11:\"field_image\";s:11:\"field table\";s:17:\"node__field_image\";s:11:\"field field\";s:21:\"field_image_target_id\";s:10:\"join_extra\";a:1:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}}}}s:27:\"reverse_field_partners_node\";a:1:{s:12:\"relationship\";a:12:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"@entity using @field\";s:12:\"\0*\0arguments\";a:2:{s:7:\"@entity\";r:296;s:6:\"@field\";s:8:\"Partners\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"@field_name\";s:12:\"\0*\0arguments\";a:1:{s:11:\"@field_name\";s:14:\"field_partners\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:51:\"Relate each @entity with a @field set to the image.\";s:12:\"\0*\0arguments\";a:2:{s:7:\"@entity\";r:296;s:6:\"@field\";s:8:\"Partners\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"group\";r:296;s:2:\"id\";s:14:\"entity_reverse\";s:4:\"base\";s:15:\"node_field_data\";s:11:\"entity_type\";s:4:\"node\";s:10:\"base field\";s:3:\"nid\";s:10:\"field_name\";s:14:\"field_partners\";s:11:\"field table\";s:20:\"node__field_partners\";s:11:\"field field\";s:24:\"field_partners_target_id\";s:10:\"join_extra\";a:1:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}}}}s:28:\"reverse_field_slideshow_node\";a:1:{s:12:\"relationship\";a:12:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"@entity using @field\";s:12:\"\0*\0arguments\";a:2:{s:7:\"@entity\";r:296;s:6:\"@field\";s:9:\"Slideshow\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"@field_name\";s:12:\"\0*\0arguments\";a:1:{s:11:\"@field_name\";s:15:\"field_slideshow\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:51:\"Relate each @entity with a @field set to the image.\";s:12:\"\0*\0arguments\";a:2:{s:7:\"@entity\";r:296;s:6:\"@field\";s:9:\"Slideshow\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"group\";r:296;s:2:\"id\";s:14:\"entity_reverse\";s:4:\"base\";s:15:\"node_field_data\";s:11:\"entity_type\";s:4:\"node\";s:10:\"base field\";s:3:\"nid\";s:10:\"field_name\";s:15:\"field_slideshow\";s:11:\"field table\";s:21:\"node__field_slideshow\";s:11:\"field field\";s:25:\"field_slideshow_target_id\";s:10:\"join_extra\";a:1:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}}}}s:25:\"reverse_user_picture_user\";a:1:{s:12:\"relationship\";a:12:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"@entity using @field\";s:12:\"\0*\0arguments\";a:2:{s:7:\"@entity\";r:665;s:6:\"@field\";s:7:\"Picture\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"@field_name\";s:12:\"\0*\0arguments\";a:1:{s:11:\"@field_name\";s:12:\"user_picture\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:51:\"Relate each @entity with a @field set to the image.\";s:12:\"\0*\0arguments\";a:2:{s:7:\"@entity\";r:665;s:6:\"@field\";s:7:\"Picture\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"group\";r:665;s:2:\"id\";s:14:\"entity_reverse\";s:4:\"base\";s:16:\"users_field_data\";s:11:\"entity_type\";s:4:\"user\";s:10:\"base field\";s:3:\"uid\";s:10:\"field_name\";s:12:\"user_picture\";s:11:\"field table\";s:18:\"user__user_picture\";s:11:\"field field\";s:22:\"user_picture_target_id\";s:10:\"join_extra\";a:1:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}}}}}s:10:\"file_usage\";a:14:{s:5:\"table\";a:3:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"File Usage\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"join\";a:5:{s:12:\"file_managed\";a:2:{s:5:\"field\";s:3:\"fid\";s:10:\"left_field\";s:3:\"fid\";}s:15:\"node_field_data\";a:3:{s:5:\"field\";s:2:\"id\";s:10:\"left_field\";s:3:\"nid\";s:5:\"extra\";a:1:{i:0;a:2:{s:5:\"field\";s:4:\"type\";s:5:\"value\";s:4:\"node\";}}}s:16:\"users_field_data\";a:3:{s:5:\"field\";s:2:\"id\";s:10:\"left_field\";s:3:\"uid\";s:5:\"extra\";a:1:{i:0;a:2:{s:5:\"field\";s:4:\"type\";s:5:\"value\";s:4:\"user\";}}}s:7:\"comment\";a:3:{s:5:\"field\";s:2:\"id\";s:10:\"left_field\";s:3:\"cid\";s:5:\"extra\";a:1:{i:0;a:2:{s:5:\"field\";s:4:\"type\";s:5:\"value\";s:7:\"comment\";}}}s:18:\"taxonomy_term_data\";a:3:{s:5:\"field\";s:2:\"id\";s:10:\"left_field\";s:3:\"tid\";s:5:\"extra\";a:1:{i:0;a:2:{s:5:\"field\";s:4:\"type\";s:5:\"value\";s:13:\"taxonomy_term\";}}}}s:8:\"provider\";s:5:\"views\";}s:12:\"file_to_node\";a:5:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:98:\"Content that is associated with this file, usually because this file is in a field on the content.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"skip base\";a:5:{i:0;s:15:\"node_field_data\";i:1;s:19:\"node_field_revision\";i:2;s:16:\"users_field_data\";i:3;s:18:\"comment_field_data\";i:4;s:24:\"taxonomy_term_field_data\";}s:10:\"real field\";s:2:\"id\";s:12:\"relationship\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"base\";s:15:\"node_field_data\";s:10:\"base field\";s:3:\"nid\";s:18:\"relationship field\";s:2:\"id\";s:5:\"extra\";a:1:{i:0;a:4:{s:5:\"table\";s:10:\"file_usage\";s:5:\"field\";s:4:\"type\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:4:\"node\";}}}}s:12:\"node_to_file\";a:5:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"File\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:87:\"A file that is associated with this node, usually because it is in a field on the node.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"skip base\";a:4:{i:0;s:12:\"file_managed\";i:1;s:16:\"users_field_data\";i:2;s:18:\"comment_field_data\";i:3;s:24:\"taxonomy_term_field_data\";}s:10:\"real field\";s:3:\"fid\";s:12:\"relationship\";a:5:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"File\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"File\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"base\";s:12:\"file_managed\";s:10:\"base field\";s:3:\"fid\";s:18:\"relationship field\";s:3:\"fid\";}}s:12:\"file_to_user\";a:5:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"User\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:94:\"A user that is associated with this file, usually because this file is in a field on the user.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"skip base\";a:5:{i:0;s:15:\"node_field_data\";i:1;s:19:\"node_field_revision\";i:2;s:16:\"users_field_data\";i:3;s:18:\"comment_field_data\";i:4;s:24:\"taxonomy_term_field_data\";}s:10:\"real field\";s:2:\"id\";s:12:\"relationship\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"User\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"User\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"base\";s:5:\"users\";s:10:\"base field\";s:3:\"uid\";s:18:\"relationship field\";s:2:\"id\";s:5:\"extra\";a:1:{i:0;a:4:{s:5:\"table\";s:10:\"file_usage\";s:5:\"field\";s:4:\"type\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:4:\"user\";}}}}s:12:\"user_to_file\";a:5:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"File\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:87:\"A file that is associated with this user, usually because it is in a field on the user.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"skip base\";a:5:{i:0;s:12:\"file_managed\";i:1;s:15:\"node_field_data\";i:2;s:19:\"node_field_revision\";i:3;s:18:\"comment_field_data\";i:4;s:24:\"taxonomy_term_field_data\";}s:10:\"real field\";s:3:\"fid\";s:12:\"relationship\";a:5:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"File\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"File\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"base\";s:12:\"file_managed\";s:10:\"base field\";s:3:\"fid\";s:18:\"relationship field\";s:3:\"fid\";}}s:15:\"file_to_comment\";a:5:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Comment\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:100:\"A comment that is associated with this file, usually because this file is in a field on the comment.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"skip base\";a:5:{i:0;s:15:\"node_field_data\";i:1;s:19:\"node_field_revision\";i:2;s:16:\"users_field_data\";i:3;s:18:\"comment_field_data\";i:4;s:24:\"taxonomy_term_field_data\";}s:10:\"real field\";s:2:\"id\";s:12:\"relationship\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Comment\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Comment\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"base\";s:18:\"comment_field_data\";s:10:\"base field\";s:3:\"cid\";s:18:\"relationship field\";s:2:\"id\";s:5:\"extra\";a:1:{i:0;a:4:{s:5:\"table\";s:10:\"file_usage\";s:5:\"field\";s:4:\"type\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:7:\"comment\";}}}}s:15:\"comment_to_file\";a:5:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"File\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:93:\"A file that is associated with this comment, usually because it is in a field on the comment.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"skip base\";a:5:{i:0;s:12:\"file_managed\";i:1;s:15:\"node_field_data\";i:2;s:19:\"node_field_revision\";i:3;s:16:\"users_field_data\";i:4;s:24:\"taxonomy_term_field_data\";}s:10:\"real field\";s:3:\"fid\";s:12:\"relationship\";a:5:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"File\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"File\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"base\";s:12:\"file_managed\";s:10:\"base field\";s:3:\"fid\";s:18:\"relationship field\";s:3:\"fid\";}}s:21:\"file_to_taxonomy_term\";a:5:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Taxonomy Term\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:112:\"A taxonomy term that is associated with this file, usually because this file is in a field on the taxonomy term.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"skip base\";a:5:{i:0;s:15:\"node_field_data\";i:1;s:19:\"node_field_revision\";i:2;s:16:\"users_field_data\";i:3;s:18:\"comment_field_data\";i:4;s:24:\"taxonomy_term_field_data\";}s:10:\"real field\";s:2:\"id\";s:12:\"relationship\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Taxonomy Term\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Taxonomy Term\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"base\";s:18:\"taxonomy_term_data\";s:10:\"base field\";s:3:\"tid\";s:18:\"relationship field\";s:2:\"id\";s:5:\"extra\";a:1:{i:0;a:4:{s:5:\"table\";s:10:\"file_usage\";s:5:\"field\";s:4:\"type\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:13:\"taxonomy_term\";}}}}s:21:\"taxonomy_term_to_file\";a:5:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"File\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:105:\"A file that is associated with this taxonomy term, usually because it is in a field on the taxonomy term.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"skip base\";a:5:{i:0;s:12:\"file_managed\";i:1;s:15:\"node_field_data\";i:2;s:19:\"node_field_revision\";i:3;s:16:\"users_field_data\";i:4;s:18:\"comment_field_data\";}s:10:\"real field\";s:3:\"fid\";s:12:\"relationship\";a:5:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"File\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"File\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"base\";s:12:\"file_managed\";s:10:\"base field\";s:3:\"fid\";s:18:\"relationship field\";s:3:\"fid\";}}s:6:\"module\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Module\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:43:\"The module managing this file relationship.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:8:\"standard\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}}s:4:\"type\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Entity type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"The type of entity that is related to the file.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:8:\"standard\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}}s:2:\"id\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Entity ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:49:\"The ID of the entity that is related to the file.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}}s:5:\"count\";a:5:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Use count\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"The number of times the file is used by this entity.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}}s:12:\"entity_label\";a:4:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Entity label\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"The label of the entity that is related to the file.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"real field\";s:2:\"id\";s:5:\"field\";a:2:{s:2:\"id\";s:12:\"entity_label\";s:17:\"entity type field\";s:4:\"type\";}}}s:15:\"node_field_data\";a:37:{s:5:\"table\";a:6:{s:4:\"base\";a:6:{s:5:\"field\";s:3:\"nid\";s:5:\"title\";r:296;s:14:\"cache_contexts\";a:1:{i:0;s:21:\"user.node_grants:view\";}s:16:\"access query tag\";s:11:\"node_access\";s:8:\"defaults\";a:2:{s:5:\"field\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";}s:6:\"weight\";i:-10;}s:5:\"group\";r:296;s:8:\"provider\";s:4:\"node\";s:15:\"entity revision\";b:0;s:11:\"entity type\";s:4:\"node\";s:9:\"wizard_id\";s:4:\"node\";}s:3:\"nid\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:4:{s:2:\"id\";s:8:\"node_nid\";s:10:\"name field\";s:5:\"title\";s:7:\"numeric\";b:1;s:13:\"validate type\";s:3:\"nid\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:3:\"nid\";}s:3:\"vid\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Revision ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:3:\"vid\";}s:4:\"type\";a:6:{s:5:\"title\";s:12:\"Content type\";s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:9:\"node_type\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"bundle\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:4:\"type\";}s:8:\"langcode\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Translation language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:8:\"language\";}s:6:\"filter\";a:1:{s:2:\"id\";s:8:\"language\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:8:\"langcode\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:43:\"The language of the content or translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"status\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Published\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:4:{s:2:\"id\";s:7:\"boolean\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Published status\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:6:\"yes-no\";s:9:\"use_equal\";b:1;}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:6:\"status\";}s:3:\"uid\";a:8:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Authored by\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:105:\"The user authoring the content. If you need more fields than the uid add the content: author relationship\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:9:\"user_name\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"relationship\";a:6:{s:4:\"base\";s:16:\"users_field_data\";s:10:\"base field\";s:3:\"uid\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"author\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Content author\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:8:\"standard\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:42:\"Relate content to the user who created it.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:12:\"entity field\";s:3:\"uid\";}s:5:\"title\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Title\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:3:{s:2:\"id\";s:5:\"field\";s:26:\"default_formatter_settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:20:\"link_to_node default\";b:1;}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:5:\"title\";}s:7:\"created\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Authored on\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"The time that the node was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:4:\"date\";}s:6:\"filter\";a:1:{s:2:\"id\";s:4:\"date\";}s:4:\"sort\";a:1:{s:2:\"id\";s:4:\"date\";}s:12:\"entity field\";s:7:\"created\";}s:7:\"changed\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Changed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:39:\"The time that the node was last edited.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:4:\"date\";}s:6:\"filter\";a:1:{s:2:\"id\";s:4:\"date\";}s:4:\"sort\";a:1:{s:2:\"id\";s:4:\"date\";}s:12:\"entity field\";s:7:\"changed\";}s:7:\"promote\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"Promoted to front page\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:3:{s:2:\"id\";s:7:\"boolean\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Promoted to front page status\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:6:\"yes-no\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:7:\"promote\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:67:\"A boolean indicating whether the node is visible on the front page.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"sticky\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"Sticky at top of lists\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:3:{s:2:\"id\";s:7:\"boolean\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Sticky status\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:6:\"yes-no\";}s:4:\"sort\";a:2:{s:2:\"id\";s:8:\"standard\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:91:\"Whether or not the content is sticky. To list sticky content first, set this to descending.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:12:\"entity field\";s:6:\"sticky\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:78:\"A boolean indicating whether the node should sort to the top of content lists.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:16:\"default_langcode\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Default translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:58:\"A flag indicating whether this is the default translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"boolean\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:16:\"default_langcode\";}s:29:\"revision_translation_affected\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Revision translation affected\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"Indicates if the last edit of a translation belongs to current revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"boolean\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:29:\"revision_translation_affected\";}s:26:\"content_translation_source\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Translation source\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:60:\"The source language from which this translation was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:8:\"language\";}s:6:\"filter\";a:1:{s:2:\"id\";s:8:\"language\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:26:\"content_translation_source\";}s:28:\"content_translation_outdated\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Translation outdated\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:66:\"A boolean indicating whether this translation needs to be updated.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"boolean\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:28:\"content_translation_outdated\";}s:10:\"node_class\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"CSS class(es)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:10:\"node_class\";}s:12:\"status_extra\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:30:\"Published status or admin user\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:67:\"Filters out unpublished content if the current user cannot view it.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"filter\";a:3:{s:5:\"field\";s:6:\"status\";s:2:\"id\";s:11:\"node_status\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:30:\"Published status or admin user\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:16:\"created_fulldate\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Created date\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Date in the form of CCYYMMDD.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"created\";s:2:\"id\";s:13:\"date_fulldate\";}}s:18:\"created_year_month\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Created year + month\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:27:\"Date in the form of YYYYMM.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"created\";s:2:\"id\";s:15:\"date_year_month\";}}s:12:\"created_year\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Created year\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"Date in the form of YYYY.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"created\";s:2:\"id\";s:9:\"date_year\";}}s:13:\"created_month\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Created month\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Date in the form of MM (01 - 12).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"created\";s:2:\"id\";s:10:\"date_month\";}}s:11:\"created_day\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Created day\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Date in the form of DD (01 - 31).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"created\";s:2:\"id\";s:8:\"date_day\";}}s:12:\"created_week\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Created week\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Date in the form of WW (01 - 53).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"created\";s:2:\"id\";s:9:\"date_week\";}}s:16:\"changed_fulldate\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Updated date\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Date in the form of CCYYMMDD.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"changed\";s:2:\"id\";s:13:\"date_fulldate\";}}s:18:\"changed_year_month\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Updated year + month\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:27:\"Date in the form of YYYYMM.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"changed\";s:2:\"id\";s:15:\"date_year_month\";}}s:12:\"changed_year\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Updated year\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"Date in the form of YYYY.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"changed\";s:2:\"id\";s:9:\"date_year\";}}s:13:\"changed_month\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Updated month\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Date in the form of MM (01 - 12).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"changed\";s:2:\"id\";s:10:\"date_month\";}}s:11:\"changed_day\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Updated day\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Date in the form of DD (01 - 31).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"changed\";s:2:\"id\";s:8:\"date_day\";}}s:12:\"changed_week\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Updated week\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Date in the form of WW (01 - 53).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"changed\";s:2:\"id\";s:9:\"date_week\";}}s:12:\"uid_revision\";a:5:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"User has a revision\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"All nodes where a certain user has a revision\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"real field\";s:3:\"nid\";s:6:\"filter\";a:1:{s:2:\"id\";s:17:\"node_uid_revision\";}s:8:\"argument\";a:1:{s:2:\"id\";s:17:\"node_uid_revision\";}}s:13:\"comments_link\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Add comment link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:140:\"Display the standard add comment link used on regular @entity_type, which will only display if the viewing user has access to add a comment.\";s:12:\"\0*\0arguments\";a:1:{s:12:\"@entity_type\";s:4:\"node\";}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:19:\"comment_entity_link\";}}s:9:\"uid_touch\";a:4:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"User posted or commented\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:86:\"Display nodes only if a user posted the @entity_type or commented on the @entity_type.\";s:12:\"\0*\0arguments\";a:1:{s:12:\"@entity_type\";s:4:\"node\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:3:\"uid\";s:10:\"name table\";s:16:\"users_field_data\";s:10:\"name field\";s:4:\"name\";s:2:\"id\";s:25:\"argument_comment_user_uid\";s:11:\"no group by\";b:1;s:11:\"entity_type\";s:4:\"node\";s:9:\"entity_id\";s:3:\"nid\";}s:6:\"filter\";a:6:{s:5:\"field\";s:3:\"uid\";s:10:\"name table\";s:16:\"users_field_data\";s:10:\"name field\";s:4:\"name\";s:2:\"id\";s:16:\"comment_user_uid\";s:11:\"entity_type\";s:4:\"node\";s:9:\"entity_id\";s:3:\"nid\";}}s:11:\"comment_cid\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:53:\"Comments of the @entity_type using field: @field_name\";s:12:\"\0*\0arguments\";a:2:{s:12:\"@entity_type\";s:4:\"node\";s:11:\"@field_name\";s:7:\"comment\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:159:\"Relate all comments on the @entity_type. This will create 1 duplicate record for every comment. Usually if you need this it is better to create a comment view.\";s:12:\"\0*\0arguments\";a:1:{s:12:\"@entity_type\";s:4:\"node\";}s:10:\"\0*\0options\";a:0:{}}s:12:\"relationship\";a:7:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Comment\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Comments\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"base\";s:18:\"comment_field_data\";s:10:\"base field\";s:9:\"entity_id\";s:18:\"relationship field\";s:3:\"nid\";s:2:\"id\";s:8:\"standard\";s:5:\"extra\";a:2:{i:0;a:2:{s:5:\"field\";s:11:\"entity_type\";s:5:\"value\";s:4:\"node\";}i:1;a:2:{s:5:\"field\";s:10:\"field_name\";s:5:\"value\";s:7:\"comment\";}}}}s:13:\"term_node_tid\";a:4:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"Taxonomy terms on node\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:160:\"Relate nodes to taxonomy terms, specifying which vocabulary or vocabularies to use. This relationship will cause duplicated records if there are multiple terms.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"relationship\";a:3:{s:2:\"id\";s:14:\"node_term_data\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"term\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"base\";s:24:\"taxonomy_term_field_data\";}s:5:\"field\";a:5:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"All taxonomy terms\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:78:\"Display all taxonomy terms associated with a node from specified vocabularies.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:18:\"taxonomy_index_tid\";s:11:\"no group by\";b:1;s:14:\"click sortable\";b:0;}}s:19:\"term_node_tid_depth\";a:4:{s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:175:\"Display content if it has the selected taxonomy terms, or children of the selected terms. Due to additional complexity, this has fewer options than the versions without depth.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"real field\";s:3:\"nid\";s:8:\"argument\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Has taxonomy term ID (with depth)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:24:\"taxonomy_index_tid_depth\";s:21:\"accept depth modifier\";b:1;}s:6:\"filter\";a:2:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"Has taxonomy terms (with depth)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:24:\"taxonomy_index_tid_depth\";}}s:28:\"term_node_tid_depth_modifier\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"Has taxonomy term ID depth modifier\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:111:\"Allows the \"depth\" for Taxonomy: Term ID (with depth) to be modified via an additional contextual filter value.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:1:{s:2:\"id\";s:33:\"taxonomy_index_tid_depth_modifier\";}}}s:13:\"node_revision\";a:9:{s:10:\"operations\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Operations links\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:44:\"Provides links to perform entity operations.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:17:\"entity_operations\";}}s:5:\"table\";a:4:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"@entity_type revision\";s:12:\"\0*\0arguments\";a:1:{s:12:\"@entity_type\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"node\";s:4:\"join\";a:2:{s:19:\"node_field_revision\";a:3:{s:10:\"left_field\";s:3:\"vid\";s:5:\"field\";s:3:\"vid\";s:4:\"type\";s:5:\"INNER\";}s:15:\"node_field_data\";a:2:{s:10:\"left_field\";s:3:\"vid\";s:5:\"field\";s:3:\"vid\";}}s:11:\"entity type\";s:4:\"node\";}s:15:\"latest_revision\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Is Latest Revision\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:81:\"Restrict the view to only revisions that are the latest revision of their entity.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"filter\";a:1:{s:2:\"id\";s:15:\"latest_revision\";}}s:36:\"latest_translation_affected_revision\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:39:\"Is Latest Translation Affected Revision\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:102:\"Restrict the view to only revisions that are the latest translation affected revision of their entity.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"filter\";a:1:{s:2:\"id\";s:36:\"latest_translation_affected_revision\";}}s:8:\"langcode\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Original language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:8:\"language\";}s:6:\"filter\";a:1:{s:2:\"id\";s:8:\"language\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:8:\"langcode\";}s:16:\"revision_default\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Default revision\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"A flag indicating whether this was a default revision when it was saved.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"boolean\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:16:\"revision_default\";}s:12:\"revision_uid\";a:8:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Revision user\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:34:\"The user who created the revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:9:\"user_name\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"relationship\";a:5:{s:4:\"base\";s:16:\"users_field_data\";s:10:\"base field\";s:3:\"uid\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"revision user\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";r:665;s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:12:\"revision_uid\";}s:18:\"revision_timestamp\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Revision create time\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"The time that the current revision was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:4:\"date\";}s:6:\"filter\";a:1:{s:2:\"id\";s:4:\"date\";}s:4:\"sort\";a:1:{s:2:\"id\";s:4:\"date\";}s:12:\"entity field\";s:18:\"revision_timestamp\";}s:12:\"revision_log\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Revision log message\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:43:\"Briefly describe the changes you have made.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:12:\"revision_log\";}}s:19:\"node_field_revision\";a:21:{s:5:\"table\";a:7:{s:15:\"entity revision\";b:1;s:4:\"base\";a:4:{s:5:\"field\";s:3:\"vid\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@entity_type revisions\";s:12:\"\0*\0arguments\";a:1:{s:12:\"@entity_type\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"Content revision is a history of changes to content.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"defaults\";a:1:{s:5:\"title\";s:5:\"title\";}}s:4:\"join\";a:1:{s:15:\"node_field_data\";a:3:{s:10:\"left_field\";s:3:\"vid\";s:5:\"field\";s:3:\"vid\";s:4:\"type\";s:5:\"INNER\";}}s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"@entity_type revision\";s:12:\"\0*\0arguments\";a:1:{s:12:\"@entity_type\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:11:\"entity type\";s:4:\"node\";s:9:\"wizard_id\";s:19:\"node_field_revision\";s:8:\"provider\";s:5:\"views\";}s:9:\"view_node\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"Link to @entity_type_label\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Provide a view link to the @entity_type_label.\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:11:\"entity_link\";}}s:9:\"edit_node\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"Link to edit @entity_type_label\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"Provide an edit link to the @entity_type_label.\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:16:\"entity_link_edit\";}}s:11:\"delete_node\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Link to delete @entity_type_label\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:48:\"Provide a delete link to the @entity_type_label.\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:296;}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:18:\"entity_link_delete\";}}s:3:\"nid\";a:7:{s:5:\"title\";r:14368;s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:2:{s:2:\"id\";s:8:\"node_nid\";s:7:\"numeric\";b:1;}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:3:\"nid\";s:12:\"relationship\";a:6:{s:2:\"id\";s:8:\"standard\";s:4:\"base\";s:15:\"node_field_data\";s:10:\"base field\";s:3:\"nid\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"Get the actual content from a content revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"extra\";a:1:{i:0;a:2:{s:5:\"field\";s:8:\"langcode\";s:10:\"left_field\";s:8:\"langcode\";}}}}s:3:\"vid\";a:7:{s:8:\"argument\";a:2:{s:2:\"id\";s:8:\"node_vid\";s:7:\"numeric\";b:1;}s:12:\"relationship\";a:6:{s:2:\"id\";s:8:\"standard\";s:4:\"base\";s:15:\"node_field_data\";s:10:\"base field\";s:3:\"vid\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"Get the actual content from a content revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"extra\";a:1:{i:0;a:2:{s:5:\"field\";s:8:\"langcode\";s:10:\"left_field\";s:8:\"langcode\";}}}s:5:\"title\";r:14385;s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:3:\"vid\";}s:8:\"langcode\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Translation language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:8:\"language\";}s:6:\"filter\";a:1:{s:2:\"id\";s:8:\"language\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:8:\"langcode\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:43:\"The language of the content or translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"status\";a:6:{s:5:\"title\";r:14428;s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:4:{s:2:\"id\";s:7:\"boolean\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Published\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:6:\"yes-no\";s:9:\"use_equal\";b:1;}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:6:\"status\";}s:3:\"uid\";a:8:{s:5:\"title\";r:14448;s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"The username of the content author.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"relationship\";a:5:{s:4:\"base\";s:16:\"users_field_data\";s:10:\"base field\";s:3:\"uid\";s:5:\"label\";r:665;s:5:\"title\";r:665;s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:3:\"uid\";}s:5:\"title\";a:6:{s:5:\"title\";r:14482;s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:5:\"title\";}s:7:\"created\";a:7:{s:5:\"title\";r:14499;s:4:\"help\";r:14503;s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:4:\"date\";}s:6:\"filter\";a:1:{s:2:\"id\";s:4:\"date\";}s:4:\"sort\";a:1:{s:2:\"id\";s:4:\"date\";}s:12:\"entity field\";s:7:\"created\";}s:7:\"changed\";a:7:{s:5:\"title\";r:14517;s:4:\"help\";r:14521;s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:4:\"date\";}s:6:\"filter\";a:1:{s:2:\"id\";s:4:\"date\";}s:4:\"sort\";a:1:{s:2:\"id\";s:4:\"date\";}s:12:\"entity field\";s:7:\"changed\";}s:7:\"promote\";a:7:{s:5:\"title\";r:14535;s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"boolean\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:7:\"promote\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:67:\"A boolean indicating whether the node is visible on the front page.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"sticky\";a:7:{s:5:\"title\";r:14558;s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"boolean\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:6:\"sticky\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:78:\"A boolean indicating whether the node should sort to the top of content lists.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:16:\"default_langcode\";a:7:{s:5:\"title\";r:14585;s:4:\"help\";r:14589;s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"boolean\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:16:\"default_langcode\";}s:29:\"revision_translation_affected\";a:7:{s:5:\"title\";r:14603;s:4:\"help\";r:14607;s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"boolean\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:29:\"revision_translation_affected\";}s:26:\"content_translation_source\";a:7:{s:5:\"title\";r:14621;s:4:\"help\";r:14625;s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:8:\"language\";}s:6:\"filter\";a:1:{s:2:\"id\";s:8:\"language\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:26:\"content_translation_source\";}s:28:\"content_translation_outdated\";a:7:{s:5:\"title\";r:14639;s:4:\"help\";r:14643;s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"boolean\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:28:\"content_translation_outdated\";}s:16:\"link_to_revision\";a:1:{s:5:\"field\";a:4:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Link to revision\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:38:\"Provide a simple link to the revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:18:\"node_revision_link\";s:14:\"click sortable\";b:0;}}s:15:\"revert_revision\";a:1:{s:5:\"field\";a:4:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"Link to revert revision\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:48:\"Provide a simple link to revert to the revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:25:\"node_revision_link_revert\";s:14:\"click sortable\";b:0;}}s:15:\"delete_revision\";a:1:{s:5:\"field\";a:4:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"Link to delete revision\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:53:\"Provide a simple link to delete the content revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:25:\"node_revision_link_delete\";s:14:\"click sortable\";b:0;}}}s:11:\"node_access\";a:2:{s:5:\"table\";a:3:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Content access\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"join\";a:1:{s:15:\"node_field_data\";a:2:{s:10:\"left_field\";s:3:\"nid\";s:5:\"field\";s:3:\"nid\";}}s:8:\"provider\";s:5:\"views\";}s:3:\"nid\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Access\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Filter by access.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"filter\";a:2:{s:2:\"id\";s:11:\"node_access\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:107:\"Filter for content by view access. <strong>Not necessary if you are using node as your base table.</strong>\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:17:\"node_search_index\";a:3:{s:5:\"table\";a:3:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Search\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"join\";a:1:{s:15:\"node_field_data\";a:4:{s:10:\"left_field\";s:3:\"nid\";s:5:\"field\";s:3:\"sid\";s:5:\"table\";s:12:\"search_index\";s:5:\"extra\";s:96:\"node_search_index.type = \'node_search\' AND node_search_index.langcode = node_field_data.langcode\";}}s:8:\"provider\";s:5:\"views\";}s:5:\"score\";a:4:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Score\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:93:\"The score of the search item. This will not be used if the search filter is not also present.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:3:{s:2:\"id\";s:12:\"search_score\";s:5:\"float\";b:1;s:11:\"no group by\";b:1;}s:4:\"sort\";a:2:{s:2:\"id\";s:12:\"search_score\";s:11:\"no group by\";b:1;}}s:4:\"keys\";a:4:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Search Keywords\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:27:\"The keywords to search for.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"filter\";a:3:{s:2:\"id\";s:15:\"search_keywords\";s:11:\"no group by\";b:1;s:11:\"search_type\";s:11:\"node_search\";}s:8:\"argument\";a:3:{s:2:\"id\";s:6:\"search\";s:11:\"no group by\";b:1;s:11:\"search_type\";s:11:\"node_search\";}}}s:17:\"node_search_total\";a:1:{s:5:\"table\";a:2:{s:4:\"join\";a:1:{s:17:\"node_search_index\";a:2:{s:10:\"left_field\";s:4:\"word\";s:5:\"field\";s:4:\"word\";}}s:8:\"provider\";s:5:\"views\";}}s:19:\"node_search_dataset\";a:1:{s:5:\"table\";a:2:{s:4:\"join\";a:1:{s:15:\"node_field_data\";a:6:{s:10:\"left_field\";s:3:\"sid\";s:10:\"left_table\";s:17:\"node_search_index\";s:5:\"field\";s:3:\"sid\";s:5:\"table\";s:14:\"search_dataset\";s:5:\"extra\";s:111:\"node_search_index.type = node_search_dataset.type AND node_search_index.langcode = node_search_dataset.langcode\";s:4:\"type\";s:5:\"INNER\";}}s:8:\"provider\";s:5:\"views\";}}s:21:\"simplenews_subscriber\";a:16:{s:5:\"table\";a:5:{s:5:\"group\";r:1113;s:8:\"provider\";s:10:\"simplenews\";s:4:\"base\";a:5:{s:5:\"field\";s:2:\"id\";s:5:\"title\";r:1113;s:14:\"cache_contexts\";a:0:{}s:16:\"access query tag\";s:28:\"simplenews_subscriber_access\";s:8:\"defaults\";a:1:{s:5:\"field\";s:4:\"mail\";}}s:15:\"entity revision\";b:0;s:11:\"entity type\";s:21:\"simplenews_subscriber\";}s:10:\"operations\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Operations links\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:44:\"Provides links to perform entity operations.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:17:\"entity_operations\";}}s:15:\"rendered_entity\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Rendered entity\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Renders an entity in a view mode.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:15:\"rendered_entity\";}}s:26:\"edit_simplenews_subscriber\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"Link to edit @entity_type_label\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:1113;}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"Provide an edit link to the @entity_type_label.\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:1113;}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:16:\"entity_link_edit\";}}s:28:\"delete_simplenews_subscriber\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Link to delete @entity_type_label\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:1113;}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:48:\"Provide a delete link to the @entity_type_label.\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:1113;}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:18:\"entity_link_delete\";}}s:2:\"id\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Subscriber ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:34:\"Primary key: Unique subscriber ID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:2:\"id\";}s:4:\"uuid\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"The subscriber UUID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:2:{s:2:\"id\";s:5:\"field\";s:14:\"click sortable\";b:0;}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:4:\"uuid\";}s:6:\"status\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Status\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:48:\"Boolean indicating the status of the subscriber.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"boolean\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:6:\"status\";}s:4:\"mail\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Email\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"The subscriber\'s email address.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:4:\"mail\";}s:3:\"uid\";a:8:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"User\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"The corresponding user.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"relationship\";a:5:{s:4:\"base\";s:16:\"users_field_data\";s:10:\"base field\";s:3:\"uid\";s:5:\"label\";r:665;s:5:\"title\";r:665;s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:3:\"uid\";}s:8:\"langcode\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:36:\"The subscriber\'s preferred language.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:8:\"language\";}s:6:\"filter\";a:1:{s:2:\"id\";s:8:\"language\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:8:\"langcode\";}s:7:\"changes\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Changes\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:44:\"Contains the requested subscription changes.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:7:\"changes\";}s:7:\"created\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Created\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:41:\"The time that the subscriber was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:4:\"date\";}s:6:\"filter\";a:1:{s:2:\"id\";s:4:\"date\";}s:4:\"sort\";a:1:{s:2:\"id\";s:4:\"date\";}s:12:\"entity field\";s:7:\"created\";}s:9:\"edit_link\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Link to edit\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"Provide a simple link to edit the subscriber.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:20:\"subscriber_link_edit\";}}s:11:\"delete_link\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Link to delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"Provide a simple link to delete the subscriber.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:22:\"subscriber_link_delete\";}}s:9:\"user_name\";a:2:{s:10:\"real field\";s:3:\"uid\";s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Username\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:56:\"Provide a simple link to the subscriber\'s user account .\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:20:\"simplenews_user_name\";}}}s:18:\"taxonomy_term_data\";a:9:{s:5:\"table\";a:5:{s:5:\"group\";r:3151;s:8:\"provider\";s:8:\"taxonomy\";s:15:\"entity revision\";b:0;s:4:\"join\";a:1:{s:24:\"taxonomy_term_field_data\";a:3:{s:10:\"left_field\";s:3:\"tid\";s:5:\"field\";s:3:\"tid\";s:4:\"type\";s:5:\"INNER\";}}s:11:\"entity type\";s:13:\"taxonomy_term\";}s:10:\"operations\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Operations links\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:44:\"Provides links to perform entity operations.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:17:\"entity_operations\";}}s:15:\"rendered_entity\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Rendered entity\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Renders an entity in a view mode.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:15:\"rendered_entity\";}}s:18:\"view_taxonomy_term\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"Link to @entity_type_label\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:3151;}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Provide a view link to the @entity_type_label.\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:3151;}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:11:\"entity_link\";}}s:18:\"edit_taxonomy_term\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"Link to edit @entity_type_label\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:3151;}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"Provide an edit link to the @entity_type_label.\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:3151;}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:16:\"entity_link_edit\";}}s:20:\"delete_taxonomy_term\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Link to delete @entity_type_label\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:3151;}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:48:\"Provide a delete link to the @entity_type_label.\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:3151;}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:18:\"entity_link_delete\";}}s:4:\"uuid\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"The term UUID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:2:{s:2:\"id\";s:5:\"field\";s:14:\"click sortable\";b:0;}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:4:\"uuid\";}s:8:\"langcode\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Original language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";r:3625;s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:8:\"language\";}s:6:\"filter\";a:1:{s:2:\"id\";s:8:\"language\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:8:\"langcode\";}s:16:\"translation_link\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:36:\"Link to translate @entity_type_label\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:3151;}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:53:\"Provide a translation link to the @entity_type_label.\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:3151;}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:24:\"content_translation_link\";}}}s:22:\"taxonomy_term_revision\";a:9:{s:10:\"operations\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Operations links\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:44:\"Provides links to perform entity operations.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:17:\"entity_operations\";}}s:5:\"table\";a:4:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"@entity_type revision\";s:12:\"\0*\0arguments\";a:1:{s:12:\"@entity_type\";r:3151;}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:8:\"taxonomy\";s:4:\"join\";a:1:{s:28:\"taxonomy_term_field_revision\";a:3:{s:10:\"left_field\";s:11:\"revision_id\";s:5:\"field\";s:11:\"revision_id\";s:4:\"type\";s:5:\"INNER\";}}s:11:\"entity type\";s:13:\"taxonomy_term\";}s:15:\"latest_revision\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Is Latest Revision\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:81:\"Restrict the view to only revisions that are the latest revision of their entity.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"filter\";a:1:{s:2:\"id\";s:15:\"latest_revision\";}}s:36:\"latest_translation_affected_revision\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:39:\"Is Latest Translation Affected Revision\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:102:\"Restrict the view to only revisions that are the latest translation affected revision of their entity.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"filter\";a:1:{s:2:\"id\";s:36:\"latest_translation_affected_revision\";}}s:8:\"langcode\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Original language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";r:3625;s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:8:\"language\";}s:6:\"filter\";a:1:{s:2:\"id\";s:8:\"language\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:8:\"langcode\";}s:16:\"revision_default\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Default revision\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"A flag indicating whether this was a default revision when it was saved.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"boolean\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:16:\"revision_default\";}s:13:\"revision_user\";a:8:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Revision user\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:50:\"The user ID of the author of the current revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"relationship\";a:5:{s:4:\"base\";s:16:\"users_field_data\";s:10:\"base field\";s:3:\"uid\";s:5:\"label\";r:665;s:5:\"title\";r:665;s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:13:\"revision_user\";}s:16:\"revision_created\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Revision create time\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"The time that the current revision was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:4:\"date\";}s:6:\"filter\";a:1:{s:2:\"id\";s:4:\"date\";}s:4:\"sort\";a:1:{s:2:\"id\";s:4:\"date\";}s:12:\"entity field\";s:16:\"revision_created\";}s:20:\"revision_log_message\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Revision log message\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:43:\"Briefly describe the changes you have made.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:20:\"revision_log_message\";}}s:28:\"taxonomy_term_field_revision\";a:18:{s:5:\"table\";a:6:{s:15:\"entity revision\";b:1;s:4:\"base\";a:2:{s:5:\"field\";s:11:\"revision_id\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@entity_type revisions\";s:12:\"\0*\0arguments\";a:1:{s:12:\"@entity_type\";r:3151;}s:10:\"\0*\0options\";a:0:{}}}s:4:\"join\";a:1:{s:24:\"taxonomy_term_field_data\";a:3:{s:10:\"left_field\";s:11:\"revision_id\";s:5:\"field\";s:11:\"revision_id\";s:4:\"type\";s:5:\"INNER\";}}s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"@entity_type revision\";s:12:\"\0*\0arguments\";a:1:{s:12:\"@entity_type\";r:3151;}s:10:\"\0*\0options\";a:0:{}}s:11:\"entity type\";s:13:\"taxonomy_term\";s:8:\"provider\";s:5:\"views\";}s:18:\"view_taxonomy_term\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"Link to @entity_type_label\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:3151;}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Provide a view link to the @entity_type_label.\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:3151;}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:11:\"entity_link\";}}s:18:\"edit_taxonomy_term\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"Link to edit @entity_type_label\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:3151;}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"Provide an edit link to the @entity_type_label.\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:3151;}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:16:\"entity_link_edit\";}}s:20:\"delete_taxonomy_term\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Link to delete @entity_type_label\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:3151;}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:48:\"Provide a delete link to the @entity_type_label.\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:3151;}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:18:\"entity_link_delete\";}}s:3:\"tid\";a:7:{s:5:\"title\";r:3557;s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"The term ID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:3:\"tid\";}s:11:\"revision_id\";a:6:{s:5:\"title\";r:3587;s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:11:\"revision_id\";}s:8:\"langcode\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Translation language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";r:3625;s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:8:\"language\";}s:6:\"filter\";a:1:{s:2:\"id\";s:8:\"language\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:8:\"langcode\";}s:6:\"status\";a:6:{s:5:\"title\";r:3639;s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"boolean\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:6:\"status\";}s:4:\"name\";a:6:{s:5:\"title\";r:3653;s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:4:\"name\";}s:18:\"description__value\";a:6:{s:5:\"title\";r:3672;s:5:\"field\";a:2:{s:2:\"id\";s:5:\"field\";s:6:\"format\";s:19:\"description__format\";}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:11:\"description\";}s:19:\"description__format\";a:6:{s:5:\"title\";s:20:\"Description (format)\";s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:11:\"description\";}s:7:\"changed\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Changed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:39:\"The time that the term was last edited.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:4:\"date\";}s:6:\"filter\";a:1:{s:2:\"id\";s:4:\"date\";}s:4:\"sort\";a:1:{s:2:\"id\";s:4:\"date\";}s:12:\"entity field\";s:7:\"changed\";}s:16:\"default_langcode\";a:7:{s:5:\"title\";r:3735;s:4:\"help\";r:3739;s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"boolean\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:16:\"default_langcode\";}s:29:\"revision_translation_affected\";a:7:{s:5:\"title\";r:3753;s:4:\"help\";r:3757;s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"boolean\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:29:\"revision_translation_affected\";}s:26:\"content_translation_source\";a:7:{s:5:\"title\";r:3771;s:4:\"help\";r:3775;s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:8:\"language\";}s:6:\"filter\";a:1:{s:2:\"id\";s:8:\"language\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:26:\"content_translation_source\";}s:28:\"content_translation_outdated\";a:7:{s:5:\"title\";r:3789;s:4:\"help\";r:3793;s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"boolean\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:28:\"content_translation_outdated\";}s:23:\"content_translation_uid\";a:8:{s:5:\"title\";r:3807;s:4:\"help\";r:3811;s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"relationship\";a:5:{s:4:\"base\";s:16:\"users_field_data\";s:10:\"base field\";s:3:\"uid\";s:5:\"label\";r:665;s:5:\"title\";r:665;s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:23:\"content_translation_uid\";}s:27:\"content_translation_created\";a:7:{s:5:\"title\";r:3831;s:4:\"help\";r:3835;s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:4:\"date\";}s:6:\"filter\";a:1:{s:2:\"id\";s:4:\"date\";}s:4:\"sort\";a:1:{s:2:\"id\";s:4:\"date\";}s:12:\"entity field\";s:27:\"content_translation_created\";}}s:21:\"taxonomy_term__parent\";a:2:{s:16:\"parent_target_id\";a:8:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Term Parents\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:123:\"The parent term of the term. This can produce duplicate entries if you are using a vocabulary that allows multiple parents.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:8:\"taxonomy\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"relationship\";a:5:{s:4:\"base\";s:24:\"taxonomy_term_field_data\";s:10:\"base field\";s:3:\"tid\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Parent\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";r:3151;s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:6:\"parent\";}s:5:\"table\";a:4:{s:5:\"group\";r:3151;s:8:\"provider\";s:8:\"taxonomy\";s:4:\"join\";a:2:{s:24:\"taxonomy_term_field_data\";a:3:{s:10:\"left_field\";s:3:\"tid\";s:5:\"field\";s:9:\"entity_id\";s:5:\"extra\";a:1:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}}}s:21:\"taxonomy_term__parent\";a:2:{s:10:\"left_field\";s:9:\"entity_id\";s:5:\"field\";s:16:\"parent_target_id\";}}s:11:\"entity type\";s:13:\"taxonomy_term\";}}s:30:\"taxonomy_term_revision__parent\";a:2:{s:16:\"parent_target_id\";a:8:{s:5:\"title\";r:16285;s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"The parents of this term.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"relationship\";a:5:{s:4:\"base\";s:24:\"taxonomy_term_field_data\";s:10:\"base field\";s:3:\"tid\";s:5:\"label\";r:3151;s:5:\"title\";r:3151;s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:6:\"parent\";}s:5:\"table\";a:4:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"@entity_type revision\";s:12:\"\0*\0arguments\";a:1:{s:12:\"@entity_type\";r:3151;}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:8:\"taxonomy\";s:4:\"join\";a:1:{s:28:\"taxonomy_term_field_revision\";a:3:{s:10:\"left_field\";s:11:\"revision_id\";s:5:\"field\";s:9:\"entity_id\";s:5:\"extra\";a:1:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}}}}s:11:\"entity type\";s:13:\"taxonomy_term\";}}s:14:\"taxonomy_index\";a:6:{s:5:\"table\";a:3:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Taxonomy term\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"join\";a:3:{s:24:\"taxonomy_term_field_data\";a:2:{s:10:\"left_field\";s:3:\"tid\";s:5:\"field\";s:3:\"tid\";}s:15:\"node_field_data\";a:2:{s:10:\"left_field\";s:3:\"nid\";s:5:\"field\";s:3:\"nid\";}s:21:\"taxonomy_term__parent\";a:2:{s:10:\"left_field\";s:9:\"entity_id\";s:5:\"field\";s:3:\"tid\";}}s:8:\"provider\";s:5:\"views\";}s:3:\"nid\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Content with term\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:38:\"Relate all content tagged with a term.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"relationship\";a:5:{s:2:\"id\";s:8:\"standard\";s:4:\"base\";s:15:\"node_field_data\";s:10:\"base field\";s:3:\"nid\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"node\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"skip base\";s:15:\"node_field_data\";}}s:3:\"tid\";a:5:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Has taxonomy term ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:54:\"Display content if it has the selected taxonomy terms.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:6:{s:2:\"id\";s:18:\"taxonomy_index_tid\";s:10:\"name table\";s:24:\"taxonomy_term_field_data\";s:10:\"name field\";s:4:\"name\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Uncategorized\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"numeric\";b:1;s:9:\"skip base\";s:24:\"taxonomy_term_field_data\";}s:6:\"filter\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Has taxonomy term\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:18:\"taxonomy_index_tid\";s:15:\"hierarchy table\";s:21:\"taxonomy_term__parent\";s:7:\"numeric\";b:1;s:9:\"skip base\";s:24:\"taxonomy_term_field_data\";s:11:\"allow empty\";b:1;}}s:6:\"status\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Publish status\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:58:\"Whether or not the content related to a term is published.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"filter\";a:3:{s:2:\"id\";s:7:\"boolean\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Published status\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:6:\"yes-no\";}}s:6:\"sticky\";a:4:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Sticky status\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:55:\"Whether or not the content related to a term is sticky.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"filter\";a:3:{s:2:\"id\";s:7:\"boolean\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Sticky status\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:6:\"yes-no\";}s:4:\"sort\";a:2:{s:2:\"id\";s:8:\"standard\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:109:\"Whether or not the content related to a term is sticky. To list sticky content first, set this to descending.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:7:\"created\";a:4:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Post date\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:50:\"The date the content related to a term was posted.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"sort\";a:1:{s:2:\"id\";s:4:\"date\";}s:6:\"filter\";a:1:{s:2:\"id\";s:4:\"date\";}}}s:16:\"users_field_data\";a:35:{s:5:\"table\";a:6:{s:4:\"base\";a:5:{s:5:\"field\";s:3:\"uid\";s:5:\"title\";r:665;s:14:\"cache_contexts\";a:0:{}s:16:\"access query tag\";s:11:\"user_access\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"Users who have created accounts on your site.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:5:\"group\";r:665;s:8:\"provider\";s:4:\"user\";s:15:\"entity revision\";b:0;s:11:\"entity type\";s:4:\"user\";s:9:\"wizard_id\";s:4:\"user\";}s:3:\"uid\";a:8:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"User ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"The user ID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:4:{s:2:\"id\";s:8:\"user_uid\";s:10:\"name table\";s:16:\"users_field_data\";s:10:\"name field\";s:4:\"name\";s:16:\"empty field name\";s:9:\"Anonymous\";}s:6:\"filter\";a:3:{s:2:\"id\";s:9:\"user_name\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Name (autocomplete)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:119:\"The user or author name. Uses an autocomplete widget to find a user name, the actual filter uses the resulting user ID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:3:\"uid\";s:12:\"relationship\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Content authored\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:126:\"Relate content to the user who created it. This relationship will create one record for each content item created by the user.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:8:\"standard\";s:4:\"base\";s:15:\"node_field_data\";s:10:\"base field\";s:3:\"uid\";s:5:\"field\";s:3:\"uid\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"nodes\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:8:\"langcode\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Translation language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"Language of the translation of user information\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:8:\"language\";}s:6:\"filter\";a:1:{s:2:\"id\";s:8:\"language\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:8:\"langcode\";}s:18:\"preferred_langcode\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Preferred language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:30:\"Preferred language of the user\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:8:\"language\";}s:6:\"filter\";a:1:{s:2:\"id\";s:8:\"language\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:18:\"preferred_langcode\";}s:24:\"preferred_admin_langcode\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Preferred admin language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"Preferred administrative language of the user\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:8:\"language\";}s:6:\"filter\";a:1:{s:2:\"id\";s:8:\"language\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:24:\"preferred_admin_langcode\";}s:4:\"name\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"The user or author name.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:2:{s:2:\"id\";s:5:\"field\";s:17:\"default_formatter\";s:9:\"user_name\";}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:3:{s:2:\"id\";s:6:\"string\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Name (raw)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:126:\"The user or author name. This filter does not check if the user exists and allows partial matching. Does not use autocomplete.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:4:\"name\";}s:4:\"pass\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Password\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"The password of this user (hashed).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:4:\"pass\";}s:4:\"mail\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Email\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:104:\"Email address for a given user. This field is normally not shown to users, so be cautious when using it.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:4:\"mail\";}s:8:\"timezone\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Timezone\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"The timezone of this user.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:8:\"timezone\";}s:6:\"status\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"User status\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:38:\"Whether the user is active or blocked.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:3:{s:2:\"id\";s:7:\"boolean\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Active\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:6:\"yes-no\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:6:\"status\";}s:7:\"created\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Created\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"The time that the user was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:4:\"date\";}s:6:\"filter\";a:1:{s:2:\"id\";s:4:\"date\";}s:4:\"sort\";a:1:{s:2:\"id\";s:4:\"date\";}s:12:\"entity field\";s:7:\"created\";}s:7:\"changed\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Updated date\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:39:\"The time that the user was last edited.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:4:\"date\";}s:6:\"filter\";a:1:{s:2:\"id\";s:4:\"date\";}s:4:\"sort\";a:1:{s:2:\"id\";s:4:\"date\";}s:12:\"entity field\";s:7:\"changed\";}s:6:\"access\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Last access\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"The time that the user last accessed the site.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:4:\"date\";}s:6:\"filter\";a:1:{s:2:\"id\";s:4:\"date\";}s:4:\"sort\";a:1:{s:2:\"id\";s:4:\"date\";}s:12:\"entity field\";s:6:\"access\";}s:5:\"login\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Last login\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:38:\"The time that the user last logged in.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:4:\"date\";}s:6:\"filter\";a:1:{s:2:\"id\";s:4:\"date\";}s:4:\"sort\";a:1:{s:2:\"id\";s:4:\"date\";}s:12:\"entity field\";s:5:\"login\";}s:4:\"init\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Initial email\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"The email address used for initial account creation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:4:\"init\";}s:16:\"default_langcode\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Default translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:58:\"A flag indicating whether this is the default translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"boolean\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:16:\"default_langcode\";}s:26:\"content_translation_source\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Translation source\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:60:\"The source language from which this translation was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:8:\"language\";}s:6:\"filter\";a:1:{s:2:\"id\";s:8:\"language\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:26:\"content_translation_source\";}s:28:\"content_translation_outdated\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Translation outdated\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:66:\"A boolean indicating whether this translation needs to be updated.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"boolean\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:28:\"content_translation_outdated\";}s:23:\"content_translation_uid\";a:8:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Translation author\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"The author of this translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"relationship\";a:5:{s:4:\"base\";s:16:\"users_field_data\";s:10:\"base field\";s:3:\"uid\";s:5:\"label\";r:665;s:5:\"title\";r:665;s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:23:\"content_translation_uid\";}s:26:\"content_translation_status\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Translation status\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:75:\"A boolean indicating whether the translation is visible to non-translators.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"boolean\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:26:\"content_translation_status\";}s:27:\"content_translation_created\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Translation created time\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"The Unix timestamp when the translation was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:4:\"date\";}s:6:\"filter\";a:1:{s:2:\"id\";s:4:\"date\";}s:4:\"sort\";a:1:{s:2:\"id\";s:4:\"date\";}s:12:\"entity field\";s:27:\"content_translation_created\";}s:7:\"uid_raw\";a:3:{s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"The raw numeric user ID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"real field\";s:3:\"uid\";s:6:\"filter\";a:2:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"The user ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:7:\"numeric\";}}s:18:\"uid_representative\";a:1:{s:12:\"relationship\";a:11:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Representative node\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Representative node\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:89:\"Obtains a single representative node for each user, according to a chosen sort criterion.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:13:\"groupwise_max\";s:18:\"relationship field\";s:3:\"uid\";s:11:\"outer field\";s:20:\"users_field_data.uid\";s:14:\"argument table\";s:16:\"users_field_data\";s:14:\"argument field\";s:3:\"uid\";s:4:\"base\";s:15:\"node_field_data\";s:5:\"field\";s:3:\"nid\";s:12:\"relationship\";s:19:\"node_field_data:uid\";}}s:16:\"created_fulldate\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Created date\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Date in the form of CCYYMMDD.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"created\";s:2:\"id\";s:13:\"date_fulldate\";}}s:18:\"created_year_month\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Created year + month\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:27:\"Date in the form of YYYYMM.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"created\";s:2:\"id\";s:15:\"date_year_month\";}}s:12:\"created_year\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Created year\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"Date in the form of YYYY.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"created\";s:2:\"id\";s:9:\"date_year\";}}s:13:\"created_month\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Created month\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Date in the form of MM (01 - 12).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"created\";s:2:\"id\";s:10:\"date_month\";}}s:11:\"created_day\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Created day\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Date in the form of DD (01 - 31).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"created\";s:2:\"id\";s:8:\"date_day\";}}s:12:\"created_week\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Created week\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Date in the form of WW (01 - 53).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"created\";s:2:\"id\";s:9:\"date_week\";}}s:16:\"changed_fulldate\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Updated date\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Date in the form of CCYYMMDD.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"changed\";s:2:\"id\";s:13:\"date_fulldate\";}}s:18:\"changed_year_month\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Updated year + month\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:27:\"Date in the form of YYYYMM.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"changed\";s:2:\"id\";s:15:\"date_year_month\";}}s:12:\"changed_year\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Updated year\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"Date in the form of YYYY.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"changed\";s:2:\"id\";s:9:\"date_year\";}}s:13:\"changed_month\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Updated month\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Date in the form of MM (01 - 12).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"changed\";s:2:\"id\";s:10:\"date_month\";}}s:11:\"changed_day\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Updated day\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Date in the form of DD (01 - 31).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"changed\";s:2:\"id\";s:8:\"date_day\";}}s:12:\"changed_week\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Updated week\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Date in the form of WW (01 - 53).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"changed\";s:2:\"id\";s:9:\"date_week\";}}}s:11:\"user__roles\";a:3:{s:15:\"roles_target_id\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Roles\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"The roles the user has.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:2:{s:2:\"id\";s:10:\"user_roles\";s:11:\"no group by\";b:1;}s:8:\"argument\";a:6:{s:2:\"id\";s:15:\"user__roles_rid\";s:10:\"name table\";s:4:\"role\";s:10:\"name field\";s:4:\"name\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"No role\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"zero is null\";b:1;s:7:\"numeric\";b:1;}s:6:\"filter\";a:2:{s:2:\"id\";s:10:\"user_roles\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:5:\"roles\";}s:5:\"table\";a:4:{s:5:\"group\";r:665;s:8:\"provider\";s:4:\"user\";s:4:\"join\";a:1:{s:16:\"users_field_data\";a:3:{s:10:\"left_field\";s:3:\"uid\";s:5:\"field\";s:9:\"entity_id\";s:5:\"extra\";a:1:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}}}}s:11:\"entity type\";s:4:\"user\";}s:10:\"permission\";a:4:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Permission\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"The user permissions.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:2:{s:2:\"id\";s:16:\"user_permissions\";s:11:\"no group by\";b:1;}s:6:\"filter\";a:2:{s:2:\"id\";s:16:\"user_permissions\";s:10:\"real field\";s:15:\"roles_target_id\";}}}s:17:\"views_entity_node\";a:1:{s:5:\"table\";a:3:{s:4:\"join\";a:4:{s:4:\"node\";a:1:{s:10:\"left_table\";s:4:\"node\";}s:15:\"node_field_data\";a:1:{s:10:\"left_table\";s:15:\"node_field_data\";}s:13:\"node_revision\";a:1:{s:10:\"left_table\";s:13:\"node_revision\";}s:19:\"node_field_revision\";a:1:{s:10:\"left_table\";s:19:\"node_field_revision\";}}s:11:\"entity type\";s:4:\"node\";s:5:\"group\";r:296;}}s:26:\"views_entity_taxonomy_term\";a:1:{s:5:\"table\";a:3:{s:4:\"join\";a:6:{s:24:\"taxonomy_term_field_data\";a:1:{s:10:\"left_table\";s:24:\"taxonomy_term_field_data\";}s:18:\"taxonomy_term_data\";a:1:{s:10:\"left_table\";s:18:\"taxonomy_term_data\";}s:22:\"taxonomy_term_revision\";a:1:{s:10:\"left_table\";s:22:\"taxonomy_term_revision\";}s:28:\"taxonomy_term_field_revision\";a:1:{s:10:\"left_table\";s:28:\"taxonomy_term_field_revision\";}s:21:\"taxonomy_term__parent\";a:1:{s:10:\"left_table\";s:21:\"taxonomy_term__parent\";}s:30:\"taxonomy_term_revision__parent\";a:1:{s:10:\"left_table\";s:30:\"taxonomy_term_revision__parent\";}}s:11:\"entity type\";s:13:\"taxonomy_term\";s:5:\"group\";r:3151;}}s:20:\"views_entity_comment\";a:1:{s:5:\"table\";a:3:{s:4:\"join\";a:2:{s:7:\"comment\";a:1:{s:10:\"left_table\";s:7:\"comment\";}s:18:\"comment_field_data\";a:1:{s:10:\"left_table\";s:18:\"comment_field_data\";}}s:11:\"entity type\";s:7:\"comment\";s:5:\"group\";r:10814;}}s:17:\"views_entity_user\";a:1:{s:5:\"table\";a:3:{s:4:\"join\";a:3:{s:5:\"users\";a:1:{s:10:\"left_table\";s:5:\"users\";}s:16:\"users_field_data\";a:1:{s:10:\"left_table\";s:16:\"users_field_data\";}s:11:\"user__roles\";a:1:{s:10:\"left_table\";s:11:\"user__roles\";}}s:11:\"entity type\";s:4:\"user\";s:5:\"group\";r:665;}}s:26:\"views_entity_block_content\";a:1:{s:5:\"table\";a:3:{s:4:\"join\";a:4:{s:13:\"block_content\";a:1:{s:10:\"left_table\";s:13:\"block_content\";}s:24:\"block_content_field_data\";a:1:{s:10:\"left_table\";s:24:\"block_content_field_data\";}s:22:\"block_content_revision\";a:1:{s:10:\"left_table\";s:22:\"block_content_revision\";}s:28:\"block_content_field_revision\";a:1:{s:10:\"left_table\";s:28:\"block_content_field_revision\";}}s:11:\"entity type\";s:13:\"block_content\";s:5:\"group\";r:10988;}}s:17:\"views_entity_file\";a:1:{s:5:\"table\";a:3:{s:4:\"join\";a:1:{s:12:\"file_managed\";a:1:{s:10:\"left_table\";s:12:\"file_managed\";}}s:11:\"entity type\";s:4:\"file\";s:5:\"group\";r:11697;}}s:34:\"views_entity_simplenews_subscriber\";a:1:{s:5:\"table\";a:3:{s:4:\"join\";a:1:{s:21:\"simplenews_subscriber\";a:1:{s:10:\"left_table\";s:21:\"simplenews_subscriber\";}}s:11:\"entity type\";s:21:\"simplenews_subscriber\";s:5:\"group\";r:1113;}}}',-1,1636011227.396,1,'config:core.extension views_data','7'),('views_data:file_managed:en','a:20:{s:5:\"table\";a:6:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"File\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"file\";s:4:\"base\";a:6:{s:5:\"field\";s:3:\"fid\";s:5:\"title\";r:3;s:14:\"cache_contexts\";a:0:{}s:16:\"access query tag\";s:11:\"file_access\";s:8:\"defaults\";a:1:{s:5:\"field\";s:8:\"filename\";}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"Files maintained by Drupal and various modules.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:15:\"entity revision\";b:0;s:11:\"entity type\";s:4:\"file\";s:9:\"wizard_id\";s:12:\"file_managed\";}s:15:\"rendered_entity\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Rendered entity\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Renders an entity in a view mode.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:15:\"rendered_entity\";}}s:3:\"fid\";a:8:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"File ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"The file ID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:3:{s:2:\"id\";s:8:\"file_fid\";s:10:\"name field\";s:8:\"filename\";s:7:\"numeric\";b:1;}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:3:\"fid\";s:12:\"relationship\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"File usage\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:36:\"Relate file entities to their usage.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:8:\"standard\";s:4:\"base\";s:10:\"file_usage\";s:10:\"base field\";s:3:\"fid\";s:5:\"field\";s:3:\"fid\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"File usage\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:4:\"uuid\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"The file UUID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:2:{s:2:\"id\";s:5:\"field\";s:14:\"click sortable\";b:0;}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:4:\"uuid\";}s:8:\"langcode\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Original language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"The file language code.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:8:\"language\";}s:6:\"filter\";a:1:{s:2:\"id\";s:8:\"language\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:8:\"langcode\";}s:3:\"uid\";a:8:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"User ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"The user ID of the file.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"relationship\";a:5:{s:4:\"base\";s:16:\"users_field_data\";s:10:\"base field\";s:3:\"uid\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"User who uploaded\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"User who uploaded\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:3:\"uid\";}s:8:\"filename\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Filename\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:41:\"Name of the file with no path components.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:8:\"filename\";}s:3:\"uri\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"URI\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"The URI to access the file (either local or remote).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:2:{s:2:\"id\";s:5:\"field\";s:17:\"default_formatter\";s:8:\"file_uri\";}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:3:\"uri\";}s:8:\"filemime\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"File MIME type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"The file\'s MIME type.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:2:{s:2:\"id\";s:5:\"field\";s:17:\"default_formatter\";s:13:\"file_filemime\";}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:8:\"filemime\";}s:8:\"filesize\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"File size\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:30:\"The size of the file in bytes.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:2:{s:2:\"id\";s:5:\"field\";s:17:\"default_formatter\";s:9:\"file_size\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:8:\"filesize\";}s:6:\"status\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Status\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:63:\"The status of the file, temporary (FALSE) and permanent (TRUE).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:2:{s:2:\"id\";s:5:\"field\";s:26:\"default_formatter_settings\";a:3:{s:6:\"format\";s:6:\"custom\";s:19:\"format_custom_false\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Temporary\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:18:\"format_custom_true\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Permanent\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:11:\"file_status\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:6:\"status\";}s:7:\"created\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Created\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:40:\"The timestamp that the file was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:4:\"date\";}s:6:\"filter\";a:1:{s:2:\"id\";s:4:\"date\";}s:4:\"sort\";a:1:{s:2:\"id\";s:4:\"date\";}s:12:\"entity field\";s:7:\"created\";}s:7:\"changed\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Changed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"The timestamp that the file was last changed.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:4:\"date\";}s:6:\"filter\";a:1:{s:2:\"id\";s:4:\"date\";}s:4:\"sort\";a:1:{s:2:\"id\";s:4:\"date\";}s:12:\"entity field\";s:7:\"changed\";}s:9:\"extension\";a:4:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Extension\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"The extension of the file.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"real field\";s:8:\"filename\";s:5:\"field\";a:5:{s:11:\"entity_type\";s:4:\"file\";s:10:\"field_name\";s:8:\"filename\";s:17:\"default_formatter\";s:14:\"file_extension\";s:2:\"id\";s:5:\"field\";s:14:\"click sortable\";b:0;}}s:25:\"reverse_field_banner_node\";a:1:{s:12:\"relationship\";a:12:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"@entity using @field\";s:12:\"\0*\0arguments\";a:2:{s:7:\"@entity\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"@field\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"@field_name\";s:12:\"\0*\0arguments\";a:1:{s:11:\"@field_name\";s:12:\"field_banner\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:51:\"Relate each @entity with a @field set to the image.\";s:12:\"\0*\0arguments\";a:2:{s:7:\"@entity\";r:297;s:6:\"@field\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"group\";r:297;s:2:\"id\";s:14:\"entity_reverse\";s:4:\"base\";s:15:\"node_field_data\";s:11:\"entity_type\";s:4:\"node\";s:10:\"base field\";s:3:\"nid\";s:10:\"field_name\";s:12:\"field_banner\";s:11:\"field table\";s:18:\"node__field_banner\";s:11:\"field field\";s:22:\"field_banner_target_id\";s:10:\"join_extra\";a:1:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}}}}s:26:\"reverse_field_gallery_node\";a:1:{s:12:\"relationship\";a:12:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"@entity using @field\";s:12:\"\0*\0arguments\";a:2:{s:7:\"@entity\";r:297;s:6:\"@field\";s:7:\"Gallery\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"@field_name\";s:12:\"\0*\0arguments\";a:1:{s:11:\"@field_name\";s:13:\"field_gallery\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:51:\"Relate each @entity with a @field set to the image.\";s:12:\"\0*\0arguments\";a:2:{s:7:\"@entity\";r:297;s:6:\"@field\";s:7:\"Gallery\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"group\";r:297;s:2:\"id\";s:14:\"entity_reverse\";s:4:\"base\";s:15:\"node_field_data\";s:11:\"entity_type\";s:4:\"node\";s:10:\"base field\";s:3:\"nid\";s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"field table\";s:19:\"node__field_gallery\";s:11:\"field field\";s:23:\"field_gallery_target_id\";s:10:\"join_extra\";a:1:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}}}}s:24:\"reverse_field_image_node\";a:1:{s:12:\"relationship\";a:12:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"@entity using @field\";s:12:\"\0*\0arguments\";a:2:{s:7:\"@entity\";r:297;s:6:\"@field\";s:5:\"Image\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"@field_name\";s:12:\"\0*\0arguments\";a:1:{s:11:\"@field_name\";s:11:\"field_image\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:51:\"Relate each @entity with a @field set to the image.\";s:12:\"\0*\0arguments\";a:2:{s:7:\"@entity\";r:297;s:6:\"@field\";s:5:\"Image\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"group\";r:297;s:2:\"id\";s:14:\"entity_reverse\";s:4:\"base\";s:15:\"node_field_data\";s:11:\"entity_type\";s:4:\"node\";s:10:\"base field\";s:3:\"nid\";s:10:\"field_name\";s:11:\"field_image\";s:11:\"field table\";s:17:\"node__field_image\";s:11:\"field field\";s:21:\"field_image_target_id\";s:10:\"join_extra\";a:1:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}}}}s:27:\"reverse_field_partners_node\";a:1:{s:12:\"relationship\";a:12:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"@entity using @field\";s:12:\"\0*\0arguments\";a:2:{s:7:\"@entity\";r:297;s:6:\"@field\";s:8:\"Partners\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"@field_name\";s:12:\"\0*\0arguments\";a:1:{s:11:\"@field_name\";s:14:\"field_partners\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:51:\"Relate each @entity with a @field set to the image.\";s:12:\"\0*\0arguments\";a:2:{s:7:\"@entity\";r:297;s:6:\"@field\";s:8:\"Partners\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"group\";r:297;s:2:\"id\";s:14:\"entity_reverse\";s:4:\"base\";s:15:\"node_field_data\";s:11:\"entity_type\";s:4:\"node\";s:10:\"base field\";s:3:\"nid\";s:10:\"field_name\";s:14:\"field_partners\";s:11:\"field table\";s:20:\"node__field_partners\";s:11:\"field field\";s:24:\"field_partners_target_id\";s:10:\"join_extra\";a:1:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}}}}s:28:\"reverse_field_slideshow_node\";a:1:{s:12:\"relationship\";a:12:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"@entity using @field\";s:12:\"\0*\0arguments\";a:2:{s:7:\"@entity\";r:297;s:6:\"@field\";s:9:\"Slideshow\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"@field_name\";s:12:\"\0*\0arguments\";a:1:{s:11:\"@field_name\";s:15:\"field_slideshow\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:51:\"Relate each @entity with a @field set to the image.\";s:12:\"\0*\0arguments\";a:2:{s:7:\"@entity\";r:297;s:6:\"@field\";s:9:\"Slideshow\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"group\";r:297;s:2:\"id\";s:14:\"entity_reverse\";s:4:\"base\";s:15:\"node_field_data\";s:11:\"entity_type\";s:4:\"node\";s:10:\"base field\";s:3:\"nid\";s:10:\"field_name\";s:15:\"field_slideshow\";s:11:\"field table\";s:21:\"node__field_slideshow\";s:11:\"field field\";s:25:\"field_slideshow_target_id\";s:10:\"join_extra\";a:1:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}}}}s:25:\"reverse_user_picture_user\";a:1:{s:12:\"relationship\";a:12:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"@entity using @field\";s:12:\"\0*\0arguments\";a:2:{s:7:\"@entity\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"User\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"@field\";s:7:\"Picture\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"@field_name\";s:12:\"\0*\0arguments\";a:1:{s:11:\"@field_name\";s:12:\"user_picture\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:51:\"Relate each @entity with a @field set to the image.\";s:12:\"\0*\0arguments\";a:2:{s:7:\"@entity\";r:460;s:6:\"@field\";s:7:\"Picture\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"group\";r:460;s:2:\"id\";s:14:\"entity_reverse\";s:4:\"base\";s:16:\"users_field_data\";s:11:\"entity_type\";s:4:\"user\";s:10:\"base field\";s:3:\"uid\";s:10:\"field_name\";s:12:\"user_picture\";s:11:\"field table\";s:18:\"user__user_picture\";s:11:\"field field\";s:22:\"user_picture_target_id\";s:10:\"join_extra\";a:1:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}}}}}',-1,1636011227.531,1,'config:core.extension views_data','7'),('views_data:menu_link_content:en','a:0:{}',-1,1636011227.590,1,'config:core.extension views_data','7'),('views_data:node:en','a:14:{s:14:\"sharethis_node\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"ShareThis Link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:39:\"Link provided by the ShareThis service.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:2:{s:2:\"id\";s:14:\"sharethis_node\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:37:\"Show Sharethis for a particular node.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:11:\"send_status\";a:3:{s:10:\"real field\";s:3:\"nid\";s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Send status\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:30:\"Send status of the newsletter.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:22:\"simplenews_send_status\";}s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:14:\"node_bulk_form\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"Node operations bulk form\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:66:\"Add a form element that lets you run operations on multiple nodes.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:14:\"node_bulk_form\";}}s:5:\"table\";a:5:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"node\";s:15:\"entity revision\";b:0;s:4:\"join\";a:1:{s:15:\"node_field_data\";a:3:{s:10:\"left_field\";s:3:\"nid\";s:5:\"field\";s:3:\"nid\";s:4:\"type\";s:5:\"INNER\";}}s:11:\"entity type\";s:4:\"node\";}s:10:\"operations\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Operations links\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:44:\"Provides links to perform entity operations.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:17:\"entity_operations\";}}s:15:\"rendered_entity\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Rendered entity\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Renders an entity in a view mode.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:15:\"rendered_entity\";}}s:9:\"view_node\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"Link to @entity_type_label\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:45;}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Provide a view link to the @entity_type_label.\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:45;}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:11:\"entity_link\";}}s:9:\"edit_node\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"Link to edit @entity_type_label\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:45;}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"Provide an edit link to the @entity_type_label.\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:45;}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:16:\"entity_link_edit\";}}s:11:\"delete_node\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Link to delete @entity_type_label\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:45;}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:48:\"Provide a delete link to the @entity_type_label.\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:45;}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:18:\"entity_link_delete\";}}s:4:\"uuid\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:2:{s:2:\"id\";s:5:\"field\";s:14:\"click sortable\";b:0;}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:4:\"uuid\";}s:8:\"langcode\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Original language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:8:\"language\";}s:6:\"filter\";a:1:{s:2:\"id\";s:8:\"language\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:8:\"langcode\";}s:18:\"node_listing_empty\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Empty Node Frontpage behavior\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Provides a link to the node add overview page.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"area\";a:1:{s:2:\"id\";s:18:\"node_listing_empty\";}}s:12:\"new_comments\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"New comments\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:39:\"The number of new comments on the node.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:2:{s:2:\"id\";s:17:\"node_new_comments\";s:11:\"no group by\";b:1;}}s:16:\"translation_link\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:36:\"Link to translate @entity_type_label\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:45;}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:53:\"Provide a translation link to the @entity_type_label.\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:45;}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:24:\"content_translation_link\";}}}',-1,1636011227.535,1,'config:core.extension views_data','7'),('views_data:node__body:en','a:5:{s:5:\"table\";a:2:{s:4:\"join\";a:1:{s:15:\"node_field_data\";a:5:{s:5:\"table\";s:10:\"node__body\";s:10:\"left_field\";s:3:\"nid\";s:5:\"field\";s:9:\"entity_id\";s:5:\"extra\";a:3:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}i:1;a:2:{s:10:\"left_field\";s:8:\"langcode\";s:5:\"field\";s:8:\"langcode\";}i:2;a:2:{s:5:\"field\";s:6:\"bundle\";s:5:\"value\";a:7:{i:0;s:8:\"partners\";i:1;s:9:\"portfolio\";i:2;s:6:\"banner\";i:3;s:16:\"simplenews_issue\";i:4;s:11:\"our_mission\";i:5;s:6:\"why_us\";i:6;s:12:\"our_services\";}}}s:7:\"join_id\";s:22:\"field_or_language_join\";}}s:8:\"provider\";s:5:\"views\";}s:4:\"body\";a:6:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";s:4:\"Body\";s:11:\"title short\";s:4:\"Body\";s:4:\"help\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:156:\"Appears in: page, article, partners, portfolio, blog, banner, simplenews_issue, our_mission, why_us, our_services. Also known as: Content: Short description\";}s:7:\"aliases\";a:1:{i:0;a:4:{s:4:\"base\";s:4:\"node\";s:5:\"group\";r:29;s:5:\"title\";s:17:\"Short description\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"This is an alias of @group: @field.\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@group\";r:29;s:6:\"@field\";s:4:\"Body\";}s:10:\"\0*\0options\";a:0:{}}}}s:5:\"field\";a:9:{s:5:\"table\";s:10:\"node__body\";s:2:\"id\";s:5:\"field\";s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";s:10:\"real field\";s:10:\"body_value\";s:17:\"additional fields\";a:6:{i:0;s:5:\"delta\";i:1;s:8:\"langcode\";i:2;s:6:\"bundle\";i:3;s:10:\"body_value\";i:4;s:12:\"body_summary\";i:5;s:11:\"body_format\";}s:12:\"element type\";s:3:\"div\";s:11:\"is revision\";b:0;s:14:\"click sortable\";b:1;}}s:10:\"body_value\";a:8:{s:5:\"group\";r:29;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label (@name)\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:4:\"Body\";s:5:\"@name\";s:4:\"body\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";s:4:\"Body\";s:4:\"help\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:150:\"Appears in: page, article, partners, portfolio, blog, banner, simplenews_issue, our_mission, why_us, our_services. Also known as: Content: Body (body)\";}s:7:\"aliases\";a:1:{i:0;a:3:{s:5:\"group\";r:29;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label (@name)\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:17:\"Short description\";s:5:\"@name\";s:4:\"body\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"This is an alias of @group: @field.\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@group\";r:29;s:6:\"@field\";r:66;}s:10:\"\0*\0options\";a:0:{}}}}s:8:\"argument\";a:7:{s:5:\"field\";s:10:\"body_value\";s:5:\"table\";s:10:\"node__body\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:10:\"body_value\";i:7;s:12:\"body_summary\";i:8;s:11:\"body_format\";}s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:10:\"body_value\";s:5:\"table\";s:10:\"node__body\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:10:\"body_value\";i:7;s:12:\"body_summary\";i:8;s:11:\"body_format\";}s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:10:\"body_value\";s:5:\"table\";s:10:\"node__body\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:10:\"body_value\";i:7;s:12:\"body_summary\";i:8;s:11:\"body_format\";}s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";}}s:12:\"body_summary\";a:8:{s:5:\"group\";r:29;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:4:\"Body\";s:5:\"@name\";s:4:\"body\";s:7:\"@column\";s:7:\"summary\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:4:\"Body\";s:7:\"@column\";s:7:\"summary\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:158:\"Appears in: page, article, partners, portfolio, blog, banner, simplenews_issue, our_mission, why_us, our_services. Also known as: Content: Body (body:summary)\";}s:7:\"aliases\";a:1:{i:0;a:3:{s:5:\"group\";r:29;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:17:\"Short description\";s:5:\"@name\";s:4:\"body\";s:7:\"@column\";s:7:\"summary\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"This is an alias of @group: @field.\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@group\";r:29;s:6:\"@field\";r:145;}s:10:\"\0*\0options\";a:0:{}}}}s:8:\"argument\";a:7:{s:5:\"field\";s:12:\"body_summary\";s:5:\"table\";s:10:\"node__body\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:10:\"body_value\";i:7;s:12:\"body_summary\";i:8;s:11:\"body_format\";}s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:12:\"body_summary\";s:5:\"table\";s:10:\"node__body\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:10:\"body_value\";i:7;s:12:\"body_summary\";i:8;s:11:\"body_format\";}s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:12:\"body_summary\";s:5:\"table\";s:10:\"node__body\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:10:\"body_value\";i:7;s:12:\"body_summary\";i:8;s:11:\"body_format\";}s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";}}s:11:\"body_format\";a:8:{s:5:\"group\";r:29;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:4:\"Body\";s:5:\"@name\";s:4:\"body\";s:7:\"@column\";s:6:\"format\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:4:\"Body\";s:7:\"@column\";s:6:\"format\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:157:\"Appears in: page, article, partners, portfolio, blog, banner, simplenews_issue, our_mission, why_us, our_services. Also known as: Content: Body (body:format)\";}s:7:\"aliases\";a:1:{i:0;a:3:{s:5:\"group\";r:29;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:17:\"Short description\";s:5:\"@name\";s:4:\"body\";s:7:\"@column\";s:6:\"format\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"This is an alias of @group: @field.\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@group\";r:29;s:6:\"@field\";r:231;}s:10:\"\0*\0options\";a:0:{}}}}s:8:\"argument\";a:7:{s:5:\"field\";s:11:\"body_format\";s:5:\"table\";s:10:\"node__body\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:10:\"body_value\";i:7;s:12:\"body_summary\";i:8;s:11:\"body_format\";}s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:11:\"body_format\";s:5:\"table\";s:10:\"node__body\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:10:\"body_value\";i:7;s:12:\"body_summary\";i:8;s:11:\"body_format\";}s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:11:\"body_format\";s:5:\"table\";s:10:\"node__body\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:10:\"body_value\";i:7;s:12:\"body_summary\";i:8;s:11:\"body_format\";}s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";}}}',-1,1636012247.528,1,'config:core.extension views_data','7'),('views_data:node__field_banner:en','a:7:{s:5:\"table\";a:2:{s:4:\"join\";a:1:{s:15:\"node_field_data\";a:4:{s:5:\"table\";s:18:\"node__field_banner\";s:10:\"left_field\";s:3:\"nid\";s:5:\"field\";s:9:\"entity_id\";s:5:\"extra\";a:2:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}i:1;a:2:{s:10:\"left_field\";s:8:\"langcode\";s:5:\"field\";s:8:\"langcode\";}}}}s:8:\"provider\";s:5:\"views\";}s:12:\"field_banner\";a:5:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";s:6:\"Banner\";s:11:\"title short\";s:6:\"Banner\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:7:\"article\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:9:{s:5:\"table\";s:18:\"node__field_banner\";s:2:\"id\";s:5:\"field\";s:10:\"field_name\";s:12:\"field_banner\";s:11:\"entity_type\";s:4:\"node\";s:10:\"real field\";s:22:\"field_banner_target_id\";s:17:\"additional fields\";a:8:{i:0;s:5:\"delta\";i:1;s:8:\"langcode\";i:2;s:6:\"bundle\";i:3;s:22:\"field_banner_target_id\";i:4;s:16:\"field_banner_alt\";i:5;s:18:\"field_banner_title\";i:6;s:18:\"field_banner_width\";i:7;s:19:\"field_banner_height\";}s:12:\"element type\";s:3:\"div\";s:11:\"is revision\";b:0;s:14:\"click sortable\";b:1;}}s:22:\"field_banner_target_id\";a:8:{s:5:\"group\";r:18;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:6:\"Banner\";s:5:\"@name\";s:12:\"field_banner\";s:7:\"@column\";s:9:\"target_id\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:6:\"Banner\";s:7:\"@column\";s:9:\"target_id\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:7:\"article\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:22:\"field_banner_target_id\";s:5:\"table\";s:18:\"node__field_banner\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"field_banner_target_id\";i:7;s:16:\"field_banner_alt\";i:8;s:18:\"field_banner_title\";i:9;s:18:\"field_banner_width\";i:10;s:19:\"field_banner_height\";}s:10:\"field_name\";s:12:\"field_banner\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:22:\"field_banner_target_id\";s:5:\"table\";s:18:\"node__field_banner\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"field_banner_target_id\";i:7;s:16:\"field_banner_alt\";i:8;s:18:\"field_banner_title\";i:9;s:18:\"field_banner_width\";i:10;s:19:\"field_banner_height\";}s:10:\"field_name\";s:12:\"field_banner\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:22:\"field_banner_target_id\";s:5:\"table\";s:18:\"node__field_banner\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"field_banner_target_id\";i:7;s:16:\"field_banner_alt\";i:8;s:18:\"field_banner_title\";i:9;s:18:\"field_banner_width\";i:10;s:19:\"field_banner_height\";}s:10:\"field_name\";s:12:\"field_banner\";s:11:\"entity_type\";s:4:\"node\";}s:12:\"relationship\";a:5:{s:2:\"id\";s:8:\"standard\";s:4:\"base\";s:12:\"file_managed\";s:11:\"entity type\";s:4:\"file\";s:10:\"base field\";s:3:\"fid\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"image from @field_name\";s:12:\"\0*\0arguments\";a:1:{s:11:\"@field_name\";s:12:\"field_banner\";}s:10:\"\0*\0options\";a:0:{}}}}s:16:\"field_banner_alt\";a:7:{s:5:\"group\";r:18;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:6:\"Banner\";s:5:\"@name\";s:12:\"field_banner\";s:7:\"@column\";s:3:\"alt\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:6:\"Banner\";s:7:\"@column\";s:3:\"alt\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:7:\"article\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:16:\"field_banner_alt\";s:5:\"table\";s:18:\"node__field_banner\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"field_banner_target_id\";i:7;s:16:\"field_banner_alt\";i:8;s:18:\"field_banner_title\";i:9;s:18:\"field_banner_width\";i:10;s:19:\"field_banner_height\";}s:10:\"field_name\";s:12:\"field_banner\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:16:\"field_banner_alt\";s:5:\"table\";s:18:\"node__field_banner\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"field_banner_target_id\";i:7;s:16:\"field_banner_alt\";i:8;s:18:\"field_banner_title\";i:9;s:18:\"field_banner_width\";i:10;s:19:\"field_banner_height\";}s:10:\"field_name\";s:12:\"field_banner\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:16:\"field_banner_alt\";s:5:\"table\";s:18:\"node__field_banner\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"field_banner_target_id\";i:7;s:16:\"field_banner_alt\";i:8;s:18:\"field_banner_title\";i:9;s:18:\"field_banner_width\";i:10;s:19:\"field_banner_height\";}s:10:\"field_name\";s:12:\"field_banner\";s:11:\"entity_type\";s:4:\"node\";}}s:18:\"field_banner_title\";a:7:{s:5:\"group\";r:18;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:6:\"Banner\";s:5:\"@name\";s:12:\"field_banner\";s:7:\"@column\";s:5:\"title\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:6:\"Banner\";s:7:\"@column\";s:5:\"title\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:7:\"article\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:18:\"field_banner_title\";s:5:\"table\";s:18:\"node__field_banner\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"field_banner_target_id\";i:7;s:16:\"field_banner_alt\";i:8;s:18:\"field_banner_title\";i:9;s:18:\"field_banner_width\";i:10;s:19:\"field_banner_height\";}s:10:\"field_name\";s:12:\"field_banner\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:18:\"field_banner_title\";s:5:\"table\";s:18:\"node__field_banner\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"field_banner_target_id\";i:7;s:16:\"field_banner_alt\";i:8;s:18:\"field_banner_title\";i:9;s:18:\"field_banner_width\";i:10;s:19:\"field_banner_height\";}s:10:\"field_name\";s:12:\"field_banner\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:18:\"field_banner_title\";s:5:\"table\";s:18:\"node__field_banner\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"field_banner_target_id\";i:7;s:16:\"field_banner_alt\";i:8;s:18:\"field_banner_title\";i:9;s:18:\"field_banner_width\";i:10;s:19:\"field_banner_height\";}s:10:\"field_name\";s:12:\"field_banner\";s:11:\"entity_type\";s:4:\"node\";}}s:18:\"field_banner_width\";a:7:{s:5:\"group\";r:18;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:6:\"Banner\";s:5:\"@name\";s:12:\"field_banner\";s:7:\"@column\";s:5:\"width\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:6:\"Banner\";s:7:\"@column\";s:5:\"width\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:7:\"article\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:18:\"field_banner_width\";s:5:\"table\";s:18:\"node__field_banner\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"field_banner_target_id\";i:7;s:16:\"field_banner_alt\";i:8;s:18:\"field_banner_title\";i:9;s:18:\"field_banner_width\";i:10;s:19:\"field_banner_height\";}s:10:\"field_name\";s:12:\"field_banner\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:18:\"field_banner_width\";s:5:\"table\";s:18:\"node__field_banner\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"field_banner_target_id\";i:7;s:16:\"field_banner_alt\";i:8;s:18:\"field_banner_title\";i:9;s:18:\"field_banner_width\";i:10;s:19:\"field_banner_height\";}s:10:\"field_name\";s:12:\"field_banner\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:18:\"field_banner_width\";s:5:\"table\";s:18:\"node__field_banner\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"field_banner_target_id\";i:7;s:16:\"field_banner_alt\";i:8;s:18:\"field_banner_title\";i:9;s:18:\"field_banner_width\";i:10;s:19:\"field_banner_height\";}s:10:\"field_name\";s:12:\"field_banner\";s:11:\"entity_type\";s:4:\"node\";}}s:19:\"field_banner_height\";a:7:{s:5:\"group\";r:18;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:6:\"Banner\";s:5:\"@name\";s:12:\"field_banner\";s:7:\"@column\";s:6:\"height\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:6:\"Banner\";s:7:\"@column\";s:6:\"height\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:7:\"article\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:19:\"field_banner_height\";s:5:\"table\";s:18:\"node__field_banner\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"field_banner_target_id\";i:7;s:16:\"field_banner_alt\";i:8;s:18:\"field_banner_title\";i:9;s:18:\"field_banner_width\";i:10;s:19:\"field_banner_height\";}s:10:\"field_name\";s:12:\"field_banner\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:19:\"field_banner_height\";s:5:\"table\";s:18:\"node__field_banner\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"field_banner_target_id\";i:7;s:16:\"field_banner_alt\";i:8;s:18:\"field_banner_title\";i:9;s:18:\"field_banner_width\";i:10;s:19:\"field_banner_height\";}s:10:\"field_name\";s:12:\"field_banner\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:19:\"field_banner_height\";s:5:\"table\";s:18:\"node__field_banner\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"field_banner_target_id\";i:7;s:16:\"field_banner_alt\";i:8;s:18:\"field_banner_title\";i:9;s:18:\"field_banner_width\";i:10;s:19:\"field_banner_height\";}s:10:\"field_name\";s:12:\"field_banner\";s:11:\"entity_type\";s:4:\"node\";}}}',-1,1636012250.134,1,'config:core.extension views_data','7'),('views_data:node__field_gallery:en','a:8:{s:5:\"table\";a:2:{s:4:\"join\";a:1:{s:15:\"node_field_data\";a:4:{s:5:\"table\";s:19:\"node__field_gallery\";s:10:\"left_field\";s:3:\"nid\";s:5:\"field\";s:9:\"entity_id\";s:5:\"extra\";a:1:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}}}}s:8:\"provider\";s:5:\"views\";}s:13:\"field_gallery\";a:5:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";s:7:\"Gallery\";s:11:\"title short\";s:7:\"Gallery\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:9:\"portfolio\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:9:{s:5:\"table\";s:19:\"node__field_gallery\";s:2:\"id\";s:5:\"field\";s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";s:10:\"real field\";s:23:\"field_gallery_target_id\";s:17:\"additional fields\";a:8:{i:0;s:5:\"delta\";i:1;s:8:\"langcode\";i:2;s:6:\"bundle\";i:3;s:23:\"field_gallery_target_id\";i:4;s:17:\"field_gallery_alt\";i:5;s:19:\"field_gallery_title\";i:6;s:19:\"field_gallery_width\";i:7;s:20:\"field_gallery_height\";}s:12:\"element type\";s:3:\"div\";s:11:\"is revision\";b:0;s:14:\"click sortable\";b:1;}}s:23:\"field_gallery_target_id\";a:8:{s:5:\"group\";r:15;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:7:\"Gallery\";s:5:\"@name\";s:13:\"field_gallery\";s:7:\"@column\";s:9:\"target_id\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:7:\"Gallery\";s:7:\"@column\";s:9:\"target_id\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:9:\"portfolio\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:23:\"field_gallery_target_id\";s:5:\"table\";s:19:\"node__field_gallery\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_gallery_target_id\";i:7;s:17:\"field_gallery_alt\";i:8;s:19:\"field_gallery_title\";i:9;s:19:\"field_gallery_width\";i:10;s:20:\"field_gallery_height\";}s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:23:\"field_gallery_target_id\";s:5:\"table\";s:19:\"node__field_gallery\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_gallery_target_id\";i:7;s:17:\"field_gallery_alt\";i:8;s:19:\"field_gallery_title\";i:9;s:19:\"field_gallery_width\";i:10;s:20:\"field_gallery_height\";}s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:23:\"field_gallery_target_id\";s:5:\"table\";s:19:\"node__field_gallery\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_gallery_target_id\";i:7;s:17:\"field_gallery_alt\";i:8;s:19:\"field_gallery_title\";i:9;s:19:\"field_gallery_width\";i:10;s:20:\"field_gallery_height\";}s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";}s:12:\"relationship\";a:5:{s:2:\"id\";s:8:\"standard\";s:4:\"base\";s:12:\"file_managed\";s:11:\"entity type\";s:4:\"file\";s:10:\"base field\";s:3:\"fid\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"image from @field_name\";s:12:\"\0*\0arguments\";a:1:{s:11:\"@field_name\";s:13:\"field_gallery\";}s:10:\"\0*\0options\";a:0:{}}}}s:5:\"delta\";a:8:{s:5:\"group\";r:15;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"@label (@name:delta)\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:7:\"Gallery\";s:5:\"@name\";s:13:\"field_gallery\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@label:delta\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:7:\"Gallery\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Delta - Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:9:\"portfolio\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:8:\"argument\";a:7:{s:5:\"field\";s:5:\"delta\";s:5:\"table\";s:19:\"node__field_gallery\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_gallery_target_id\";i:7;s:17:\"field_gallery_alt\";i:8;s:19:\"field_gallery_title\";i:9;s:19:\"field_gallery_width\";i:10;s:20:\"field_gallery_height\";}s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";}s:6:\"filter\";a:7:{s:5:\"field\";s:5:\"delta\";s:5:\"table\";s:19:\"node__field_gallery\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_gallery_target_id\";i:7;s:17:\"field_gallery_alt\";i:8;s:19:\"field_gallery_title\";i:9;s:19:\"field_gallery_width\";i:10;s:20:\"field_gallery_height\";}s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:5:\"delta\";s:5:\"table\";s:19:\"node__field_gallery\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_gallery_target_id\";i:7;s:17:\"field_gallery_alt\";i:8;s:19:\"field_gallery_title\";i:9;s:19:\"field_gallery_width\";i:10;s:20:\"field_gallery_height\";}s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";}}s:17:\"field_gallery_alt\";a:7:{s:5:\"group\";r:15;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:7:\"Gallery\";s:5:\"@name\";s:13:\"field_gallery\";s:7:\"@column\";s:3:\"alt\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:7:\"Gallery\";s:7:\"@column\";s:3:\"alt\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:9:\"portfolio\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:17:\"field_gallery_alt\";s:5:\"table\";s:19:\"node__field_gallery\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_gallery_target_id\";i:7;s:17:\"field_gallery_alt\";i:8;s:19:\"field_gallery_title\";i:9;s:19:\"field_gallery_width\";i:10;s:20:\"field_gallery_height\";}s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:17:\"field_gallery_alt\";s:5:\"table\";s:19:\"node__field_gallery\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_gallery_target_id\";i:7;s:17:\"field_gallery_alt\";i:8;s:19:\"field_gallery_title\";i:9;s:19:\"field_gallery_width\";i:10;s:20:\"field_gallery_height\";}s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:17:\"field_gallery_alt\";s:5:\"table\";s:19:\"node__field_gallery\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_gallery_target_id\";i:7;s:17:\"field_gallery_alt\";i:8;s:19:\"field_gallery_title\";i:9;s:19:\"field_gallery_width\";i:10;s:20:\"field_gallery_height\";}s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";}}s:19:\"field_gallery_title\";a:7:{s:5:\"group\";r:15;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:7:\"Gallery\";s:5:\"@name\";s:13:\"field_gallery\";s:7:\"@column\";s:5:\"title\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:7:\"Gallery\";s:7:\"@column\";s:5:\"title\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:9:\"portfolio\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:19:\"field_gallery_title\";s:5:\"table\";s:19:\"node__field_gallery\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_gallery_target_id\";i:7;s:17:\"field_gallery_alt\";i:8;s:19:\"field_gallery_title\";i:9;s:19:\"field_gallery_width\";i:10;s:20:\"field_gallery_height\";}s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:19:\"field_gallery_title\";s:5:\"table\";s:19:\"node__field_gallery\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_gallery_target_id\";i:7;s:17:\"field_gallery_alt\";i:8;s:19:\"field_gallery_title\";i:9;s:19:\"field_gallery_width\";i:10;s:20:\"field_gallery_height\";}s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:19:\"field_gallery_title\";s:5:\"table\";s:19:\"node__field_gallery\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_gallery_target_id\";i:7;s:17:\"field_gallery_alt\";i:8;s:19:\"field_gallery_title\";i:9;s:19:\"field_gallery_width\";i:10;s:20:\"field_gallery_height\";}s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";}}s:19:\"field_gallery_width\";a:7:{s:5:\"group\";r:15;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:7:\"Gallery\";s:5:\"@name\";s:13:\"field_gallery\";s:7:\"@column\";s:5:\"width\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:7:\"Gallery\";s:7:\"@column\";s:5:\"width\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:9:\"portfolio\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:19:\"field_gallery_width\";s:5:\"table\";s:19:\"node__field_gallery\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_gallery_target_id\";i:7;s:17:\"field_gallery_alt\";i:8;s:19:\"field_gallery_title\";i:9;s:19:\"field_gallery_width\";i:10;s:20:\"field_gallery_height\";}s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:19:\"field_gallery_width\";s:5:\"table\";s:19:\"node__field_gallery\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_gallery_target_id\";i:7;s:17:\"field_gallery_alt\";i:8;s:19:\"field_gallery_title\";i:9;s:19:\"field_gallery_width\";i:10;s:20:\"field_gallery_height\";}s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:19:\"field_gallery_width\";s:5:\"table\";s:19:\"node__field_gallery\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_gallery_target_id\";i:7;s:17:\"field_gallery_alt\";i:8;s:19:\"field_gallery_title\";i:9;s:19:\"field_gallery_width\";i:10;s:20:\"field_gallery_height\";}s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";}}s:20:\"field_gallery_height\";a:7:{s:5:\"group\";r:15;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:7:\"Gallery\";s:5:\"@name\";s:13:\"field_gallery\";s:7:\"@column\";s:6:\"height\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:7:\"Gallery\";s:7:\"@column\";s:6:\"height\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:9:\"portfolio\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:20:\"field_gallery_height\";s:5:\"table\";s:19:\"node__field_gallery\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_gallery_target_id\";i:7;s:17:\"field_gallery_alt\";i:8;s:19:\"field_gallery_title\";i:9;s:19:\"field_gallery_width\";i:10;s:20:\"field_gallery_height\";}s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:20:\"field_gallery_height\";s:5:\"table\";s:19:\"node__field_gallery\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_gallery_target_id\";i:7;s:17:\"field_gallery_alt\";i:8;s:19:\"field_gallery_title\";i:9;s:19:\"field_gallery_width\";i:10;s:20:\"field_gallery_height\";}s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:20:\"field_gallery_height\";s:5:\"table\";s:19:\"node__field_gallery\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:23:\"field_gallery_target_id\";i:7;s:17:\"field_gallery_alt\";i:8;s:19:\"field_gallery_title\";i:9;s:19:\"field_gallery_width\";i:10;s:20:\"field_gallery_height\";}s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";}}}',-1,1636012250.206,1,'config:core.extension views_data','7'),('views_data:node__field_icon_class:en','a:3:{s:5:\"table\";a:2:{s:4:\"join\";a:1:{s:15:\"node_field_data\";a:4:{s:5:\"table\";s:22:\"node__field_icon_class\";s:10:\"left_field\";s:3:\"nid\";s:5:\"field\";s:9:\"entity_id\";s:5:\"extra\";a:2:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}i:1;a:2:{s:10:\"left_field\";s:8:\"langcode\";s:5:\"field\";s:8:\"langcode\";}}}}s:8:\"provider\";s:5:\"views\";}s:16:\"field_icon_class\";a:5:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";s:10:\"Icon class\";s:11:\"title short\";s:10:\"Icon class\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:4:\"page\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:9:{s:5:\"table\";s:22:\"node__field_icon_class\";s:2:\"id\";s:5:\"field\";s:10:\"field_name\";s:16:\"field_icon_class\";s:11:\"entity_type\";s:4:\"node\";s:10:\"real field\";s:22:\"field_icon_class_value\";s:17:\"additional fields\";a:4:{i:0;s:5:\"delta\";i:1;s:8:\"langcode\";i:2;s:6:\"bundle\";i:3;s:22:\"field_icon_class_value\";}s:12:\"element type\";s:3:\"div\";s:11:\"is revision\";b:0;s:14:\"click sortable\";b:1;}}s:22:\"field_icon_class_value\";a:7:{s:5:\"group\";r:18;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label (@name)\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:10:\"Icon class\";s:5:\"@name\";s:16:\"field_icon_class\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";s:10:\"Icon class\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:4:\"page\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:22:\"field_icon_class_value\";s:5:\"table\";s:22:\"node__field_icon_class\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"field_icon_class_value\";}s:10:\"field_name\";s:16:\"field_icon_class\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:22:\"field_icon_class_value\";s:5:\"table\";s:22:\"node__field_icon_class\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"field_icon_class_value\";}s:10:\"field_name\";s:16:\"field_icon_class\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:22:\"field_icon_class_value\";s:5:\"table\";s:22:\"node__field_icon_class\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:22:\"field_icon_class_value\";}s:10:\"field_name\";s:16:\"field_icon_class\";s:11:\"entity_type\";s:4:\"node\";}}}',-1,1636012247.615,1,'config:core.extension views_data','7'),('views_data:node__field_image:en','a:7:{s:5:\"table\";a:2:{s:4:\"join\";a:1:{s:15:\"node_field_data\";a:5:{s:5:\"table\";s:17:\"node__field_image\";s:10:\"left_field\";s:3:\"nid\";s:5:\"field\";s:9:\"entity_id\";s:5:\"extra\";a:3:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}i:1;a:2:{s:10:\"left_field\";s:8:\"langcode\";s:5:\"field\";s:8:\"langcode\";}i:2;a:2:{s:5:\"field\";s:6:\"bundle\";s:5:\"value\";a:2:{i:0;s:6:\"banner\";i:1;s:11:\"our_mission\";}}}s:7:\"join_id\";s:22:\"field_or_language_join\";}}s:8:\"provider\";s:5:\"views\";}s:11:\"field_image\";a:6:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";s:5:\"Image\";s:11:\"title short\";s:5:\"Image\";s:4:\"help\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:78:\"Appears in: article, blog, banner, our_mission. Also known as: Content: Banner\";}s:7:\"aliases\";a:1:{i:0;a:4:{s:4:\"base\";s:4:\"node\";s:5:\"group\";r:24;s:5:\"title\";s:6:\"Banner\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"This is an alias of @group: @field.\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@group\";r:24;s:6:\"@field\";s:5:\"Image\";}s:10:\"\0*\0options\";a:0:{}}}}s:5:\"field\";a:9:{s:5:\"table\";s:17:\"node__field_image\";s:2:\"id\";s:5:\"field\";s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";s:10:\"real field\";s:21:\"field_image_target_id\";s:17:\"additional fields\";a:8:{i:0;s:5:\"delta\";i:1;s:8:\"langcode\";i:2;s:6:\"bundle\";i:3;s:21:\"field_image_target_id\";i:4;s:15:\"field_image_alt\";i:5;s:17:\"field_image_title\";i:6;s:17:\"field_image_width\";i:7;s:18:\"field_image_height\";}s:12:\"element type\";s:3:\"div\";s:11:\"is revision\";b:0;s:14:\"click sortable\";b:1;}}s:21:\"field_image_target_id\";a:9:{s:5:\"group\";r:24;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:5:\"Image\";s:5:\"@name\";s:11:\"field_image\";s:7:\"@column\";s:9:\"target_id\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:5:\"Image\";s:7:\"@column\";s:9:\"target_id\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:101:\"Appears in: article, blog, banner, our_mission. Also known as: Content: Image (field_image:target_id)\";}s:7:\"aliases\";a:1:{i:0;a:3:{s:5:\"group\";r:24;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:6:\"Banner\";s:5:\"@name\";s:11:\"field_image\";s:7:\"@column\";s:9:\"target_id\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"This is an alias of @group: @field.\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@group\";r:24;s:6:\"@field\";r:63;}s:10:\"\0*\0options\";a:0:{}}}}s:8:\"argument\";a:7:{s:5:\"field\";s:21:\"field_image_target_id\";s:5:\"table\";s:17:\"node__field_image\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:21:\"field_image_target_id\";i:7;s:15:\"field_image_alt\";i:8;s:17:\"field_image_title\";i:9;s:17:\"field_image_width\";i:10;s:18:\"field_image_height\";}s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:21:\"field_image_target_id\";s:5:\"table\";s:17:\"node__field_image\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:21:\"field_image_target_id\";i:7;s:15:\"field_image_alt\";i:8;s:17:\"field_image_title\";i:9;s:17:\"field_image_width\";i:10;s:18:\"field_image_height\";}s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:21:\"field_image_target_id\";s:5:\"table\";s:17:\"node__field_image\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:21:\"field_image_target_id\";i:7;s:15:\"field_image_alt\";i:8;s:17:\"field_image_title\";i:9;s:17:\"field_image_width\";i:10;s:18:\"field_image_height\";}s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";}s:12:\"relationship\";a:5:{s:2:\"id\";s:8:\"standard\";s:4:\"base\";s:12:\"file_managed\";s:11:\"entity type\";s:4:\"file\";s:10:\"base field\";s:3:\"fid\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"image from @field_name\";s:12:\"\0*\0arguments\";a:1:{s:11:\"@field_name\";s:11:\"field_image\";}s:10:\"\0*\0options\";a:0:{}}}}s:15:\"field_image_alt\";a:8:{s:5:\"group\";r:24;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:5:\"Image\";s:5:\"@name\";s:11:\"field_image\";s:7:\"@column\";s:3:\"alt\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:5:\"Image\";s:7:\"@column\";s:3:\"alt\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:95:\"Appears in: article, blog, banner, our_mission. Also known as: Content: Image (field_image:alt)\";}s:7:\"aliases\";a:1:{i:0;a:3:{s:5:\"group\";r:24;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:6:\"Banner\";s:5:\"@name\";s:11:\"field_image\";s:7:\"@column\";s:3:\"alt\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"This is an alias of @group: @field.\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@group\";r:24;s:6:\"@field\";r:165;}s:10:\"\0*\0options\";a:0:{}}}}s:8:\"argument\";a:7:{s:5:\"field\";s:15:\"field_image_alt\";s:5:\"table\";s:17:\"node__field_image\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:21:\"field_image_target_id\";i:7;s:15:\"field_image_alt\";i:8;s:17:\"field_image_title\";i:9;s:17:\"field_image_width\";i:10;s:18:\"field_image_height\";}s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:15:\"field_image_alt\";s:5:\"table\";s:17:\"node__field_image\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:21:\"field_image_target_id\";i:7;s:15:\"field_image_alt\";i:8;s:17:\"field_image_title\";i:9;s:17:\"field_image_width\";i:10;s:18:\"field_image_height\";}s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:15:\"field_image_alt\";s:5:\"table\";s:17:\"node__field_image\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:21:\"field_image_target_id\";i:7;s:15:\"field_image_alt\";i:8;s:17:\"field_image_title\";i:9;s:17:\"field_image_width\";i:10;s:18:\"field_image_height\";}s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";}}s:17:\"field_image_title\";a:8:{s:5:\"group\";r:24;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:5:\"Image\";s:5:\"@name\";s:11:\"field_image\";s:7:\"@column\";s:5:\"title\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:5:\"Image\";s:7:\"@column\";s:5:\"title\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:97:\"Appears in: article, blog, banner, our_mission. Also known as: Content: Image (field_image:title)\";}s:7:\"aliases\";a:1:{i:0;a:3:{s:5:\"group\";r:24;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:6:\"Banner\";s:5:\"@name\";s:11:\"field_image\";s:7:\"@column\";s:5:\"title\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"This is an alias of @group: @field.\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@group\";r:24;s:6:\"@field\";r:257;}s:10:\"\0*\0options\";a:0:{}}}}s:8:\"argument\";a:7:{s:5:\"field\";s:17:\"field_image_title\";s:5:\"table\";s:17:\"node__field_image\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:21:\"field_image_target_id\";i:7;s:15:\"field_image_alt\";i:8;s:17:\"field_image_title\";i:9;s:17:\"field_image_width\";i:10;s:18:\"field_image_height\";}s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:17:\"field_image_title\";s:5:\"table\";s:17:\"node__field_image\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:21:\"field_image_target_id\";i:7;s:15:\"field_image_alt\";i:8;s:17:\"field_image_title\";i:9;s:17:\"field_image_width\";i:10;s:18:\"field_image_height\";}s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:17:\"field_image_title\";s:5:\"table\";s:17:\"node__field_image\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:21:\"field_image_target_id\";i:7;s:15:\"field_image_alt\";i:8;s:17:\"field_image_title\";i:9;s:17:\"field_image_width\";i:10;s:18:\"field_image_height\";}s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";}}s:17:\"field_image_width\";a:8:{s:5:\"group\";r:24;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:5:\"Image\";s:5:\"@name\";s:11:\"field_image\";s:7:\"@column\";s:5:\"width\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:5:\"Image\";s:7:\"@column\";s:5:\"width\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:97:\"Appears in: article, blog, banner, our_mission. Also known as: Content: Image (field_image:width)\";}s:7:\"aliases\";a:1:{i:0;a:3:{s:5:\"group\";r:24;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:6:\"Banner\";s:5:\"@name\";s:11:\"field_image\";s:7:\"@column\";s:5:\"width\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"This is an alias of @group: @field.\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@group\";r:24;s:6:\"@field\";r:349;}s:10:\"\0*\0options\";a:0:{}}}}s:8:\"argument\";a:7:{s:5:\"field\";s:17:\"field_image_width\";s:5:\"table\";s:17:\"node__field_image\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:21:\"field_image_target_id\";i:7;s:15:\"field_image_alt\";i:8;s:17:\"field_image_title\";i:9;s:17:\"field_image_width\";i:10;s:18:\"field_image_height\";}s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:17:\"field_image_width\";s:5:\"table\";s:17:\"node__field_image\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:21:\"field_image_target_id\";i:7;s:15:\"field_image_alt\";i:8;s:17:\"field_image_title\";i:9;s:17:\"field_image_width\";i:10;s:18:\"field_image_height\";}s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:17:\"field_image_width\";s:5:\"table\";s:17:\"node__field_image\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:21:\"field_image_target_id\";i:7;s:15:\"field_image_alt\";i:8;s:17:\"field_image_title\";i:9;s:17:\"field_image_width\";i:10;s:18:\"field_image_height\";}s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";}}s:18:\"field_image_height\";a:8:{s:5:\"group\";r:24;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:5:\"Image\";s:5:\"@name\";s:11:\"field_image\";s:7:\"@column\";s:6:\"height\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:5:\"Image\";s:7:\"@column\";s:6:\"height\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:98:\"Appears in: article, blog, banner, our_mission. Also known as: Content: Image (field_image:height)\";}s:7:\"aliases\";a:1:{i:0;a:3:{s:5:\"group\";r:24;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:6:\"Banner\";s:5:\"@name\";s:11:\"field_image\";s:7:\"@column\";s:6:\"height\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"This is an alias of @group: @field.\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@group\";r:24;s:6:\"@field\";r:441;}s:10:\"\0*\0options\";a:0:{}}}}s:8:\"argument\";a:7:{s:5:\"field\";s:18:\"field_image_height\";s:5:\"table\";s:17:\"node__field_image\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:21:\"field_image_target_id\";i:7;s:15:\"field_image_alt\";i:8;s:17:\"field_image_title\";i:9;s:17:\"field_image_width\";i:10;s:18:\"field_image_height\";}s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:18:\"field_image_height\";s:5:\"table\";s:17:\"node__field_image\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:21:\"field_image_target_id\";i:7;s:15:\"field_image_alt\";i:8;s:17:\"field_image_title\";i:9;s:17:\"field_image_width\";i:10;s:18:\"field_image_height\";}s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:18:\"field_image_height\";s:5:\"table\";s:17:\"node__field_image\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:21:\"field_image_target_id\";i:7;s:15:\"field_image_alt\";i:8;s:17:\"field_image_title\";i:9;s:17:\"field_image_width\";i:10;s:18:\"field_image_height\";}s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";}}}',-1,1636012250.537,1,'config:core.extension views_data','7'),('views_data:node__field_link:en','a:5:{s:5:\"table\";a:2:{s:4:\"join\";a:1:{s:15:\"node_field_data\";a:4:{s:5:\"table\";s:16:\"node__field_link\";s:10:\"left_field\";s:3:\"nid\";s:5:\"field\";s:9:\"entity_id\";s:5:\"extra\";a:1:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}}}}s:8:\"provider\";s:5:\"views\";}s:10:\"field_link\";a:5:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";s:4:\"Link\";s:11:\"title short\";s:4:\"Link\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:8:\"partners\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:9:{s:5:\"table\";s:16:\"node__field_link\";s:2:\"id\";s:5:\"field\";s:10:\"field_name\";s:10:\"field_link\";s:11:\"entity_type\";s:4:\"node\";s:10:\"real field\";s:14:\"field_link_uri\";s:17:\"additional fields\";a:6:{i:0;s:5:\"delta\";i:1;s:8:\"langcode\";i:2;s:6:\"bundle\";i:3;s:14:\"field_link_uri\";i:4;s:16:\"field_link_title\";i:5;s:18:\"field_link_options\";}s:12:\"element type\";s:3:\"div\";s:11:\"is revision\";b:0;s:14:\"click sortable\";b:0;}}s:14:\"field_link_uri\";a:7:{s:5:\"group\";r:15;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:4:\"Link\";s:5:\"@name\";s:10:\"field_link\";s:7:\"@column\";s:3:\"uri\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:4:\"Link\";s:7:\"@column\";s:3:\"uri\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:8:\"partners\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:14:\"field_link_uri\";s:5:\"table\";s:16:\"node__field_link\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:14:\"field_link_uri\";i:7;s:16:\"field_link_title\";i:8;s:18:\"field_link_options\";}s:10:\"field_name\";s:10:\"field_link\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:14:\"field_link_uri\";s:5:\"table\";s:16:\"node__field_link\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:14:\"field_link_uri\";i:7;s:16:\"field_link_title\";i:8;s:18:\"field_link_options\";}s:10:\"field_name\";s:10:\"field_link\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:14:\"field_link_uri\";s:5:\"table\";s:16:\"node__field_link\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:14:\"field_link_uri\";i:7;s:16:\"field_link_title\";i:8;s:18:\"field_link_options\";}s:10:\"field_name\";s:10:\"field_link\";s:11:\"entity_type\";s:4:\"node\";}}s:16:\"field_link_title\";a:7:{s:5:\"group\";r:15;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:4:\"Link\";s:5:\"@name\";s:10:\"field_link\";s:7:\"@column\";s:5:\"title\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:4:\"Link\";s:7:\"@column\";s:5:\"title\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:8:\"partners\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:16:\"field_link_title\";s:5:\"table\";s:16:\"node__field_link\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:14:\"field_link_uri\";i:7;s:16:\"field_link_title\";i:8;s:18:\"field_link_options\";}s:10:\"field_name\";s:10:\"field_link\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:16:\"field_link_title\";s:5:\"table\";s:16:\"node__field_link\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:14:\"field_link_uri\";i:7;s:16:\"field_link_title\";i:8;s:18:\"field_link_options\";}s:10:\"field_name\";s:10:\"field_link\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:16:\"field_link_title\";s:5:\"table\";s:16:\"node__field_link\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:14:\"field_link_uri\";i:7;s:16:\"field_link_title\";i:8;s:18:\"field_link_options\";}s:10:\"field_name\";s:10:\"field_link\";s:11:\"entity_type\";s:4:\"node\";}}s:18:\"field_link_options\";a:6:{s:5:\"group\";r:15;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:4:\"Link\";s:5:\"@name\";s:10:\"field_link\";s:7:\"@column\";s:7:\"options\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:4:\"Link\";s:7:\"@column\";s:7:\"options\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:8:\"partners\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:18:\"field_link_options\";s:5:\"table\";s:16:\"node__field_link\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:14:\"field_link_uri\";i:7;s:16:\"field_link_title\";i:8;s:18:\"field_link_options\";}s:10:\"field_name\";s:10:\"field_link\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:18:\"field_link_options\";s:5:\"table\";s:16:\"node__field_link\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:9:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:14:\"field_link_uri\";i:7;s:16:\"field_link_title\";i:8;s:18:\"field_link_options\";}s:10:\"field_name\";s:10:\"field_link\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}}}',-1,1636012250.749,1,'config:core.extension views_data','7'),('views_data:node__field_partners:en','a:7:{s:5:\"table\";a:2:{s:4:\"join\";a:1:{s:15:\"node_field_data\";a:4:{s:5:\"table\";s:20:\"node__field_partners\";s:10:\"left_field\";s:3:\"nid\";s:5:\"field\";s:9:\"entity_id\";s:5:\"extra\";a:1:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}}}}s:8:\"provider\";s:5:\"views\";}s:14:\"field_partners\";a:5:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";s:8:\"Partners\";s:11:\"title short\";s:8:\"Partners\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:8:\"partners\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:9:{s:5:\"table\";s:20:\"node__field_partners\";s:2:\"id\";s:5:\"field\";s:10:\"field_name\";s:14:\"field_partners\";s:11:\"entity_type\";s:4:\"node\";s:10:\"real field\";s:24:\"field_partners_target_id\";s:17:\"additional fields\";a:8:{i:0;s:5:\"delta\";i:1;s:8:\"langcode\";i:2;s:6:\"bundle\";i:3;s:24:\"field_partners_target_id\";i:4;s:18:\"field_partners_alt\";i:5;s:20:\"field_partners_title\";i:6;s:20:\"field_partners_width\";i:7;s:21:\"field_partners_height\";}s:12:\"element type\";s:3:\"div\";s:11:\"is revision\";b:0;s:14:\"click sortable\";b:1;}}s:24:\"field_partners_target_id\";a:8:{s:5:\"group\";r:15;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:8:\"Partners\";s:5:\"@name\";s:14:\"field_partners\";s:7:\"@column\";s:9:\"target_id\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:8:\"Partners\";s:7:\"@column\";s:9:\"target_id\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:8:\"partners\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:24:\"field_partners_target_id\";s:5:\"table\";s:20:\"node__field_partners\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:24:\"field_partners_target_id\";i:7;s:18:\"field_partners_alt\";i:8;s:20:\"field_partners_title\";i:9;s:20:\"field_partners_width\";i:10;s:21:\"field_partners_height\";}s:10:\"field_name\";s:14:\"field_partners\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:24:\"field_partners_target_id\";s:5:\"table\";s:20:\"node__field_partners\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:24:\"field_partners_target_id\";i:7;s:18:\"field_partners_alt\";i:8;s:20:\"field_partners_title\";i:9;s:20:\"field_partners_width\";i:10;s:21:\"field_partners_height\";}s:10:\"field_name\";s:14:\"field_partners\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:24:\"field_partners_target_id\";s:5:\"table\";s:20:\"node__field_partners\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:24:\"field_partners_target_id\";i:7;s:18:\"field_partners_alt\";i:8;s:20:\"field_partners_title\";i:9;s:20:\"field_partners_width\";i:10;s:21:\"field_partners_height\";}s:10:\"field_name\";s:14:\"field_partners\";s:11:\"entity_type\";s:4:\"node\";}s:12:\"relationship\";a:5:{s:2:\"id\";s:8:\"standard\";s:4:\"base\";s:12:\"file_managed\";s:11:\"entity type\";s:4:\"file\";s:10:\"base field\";s:3:\"fid\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"image from @field_name\";s:12:\"\0*\0arguments\";a:1:{s:11:\"@field_name\";s:14:\"field_partners\";}s:10:\"\0*\0options\";a:0:{}}}}s:18:\"field_partners_alt\";a:7:{s:5:\"group\";r:15;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:8:\"Partners\";s:5:\"@name\";s:14:\"field_partners\";s:7:\"@column\";s:3:\"alt\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:8:\"Partners\";s:7:\"@column\";s:3:\"alt\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:8:\"partners\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:18:\"field_partners_alt\";s:5:\"table\";s:20:\"node__field_partners\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:24:\"field_partners_target_id\";i:7;s:18:\"field_partners_alt\";i:8;s:20:\"field_partners_title\";i:9;s:20:\"field_partners_width\";i:10;s:21:\"field_partners_height\";}s:10:\"field_name\";s:14:\"field_partners\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:18:\"field_partners_alt\";s:5:\"table\";s:20:\"node__field_partners\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:24:\"field_partners_target_id\";i:7;s:18:\"field_partners_alt\";i:8;s:20:\"field_partners_title\";i:9;s:20:\"field_partners_width\";i:10;s:21:\"field_partners_height\";}s:10:\"field_name\";s:14:\"field_partners\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:18:\"field_partners_alt\";s:5:\"table\";s:20:\"node__field_partners\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:24:\"field_partners_target_id\";i:7;s:18:\"field_partners_alt\";i:8;s:20:\"field_partners_title\";i:9;s:20:\"field_partners_width\";i:10;s:21:\"field_partners_height\";}s:10:\"field_name\";s:14:\"field_partners\";s:11:\"entity_type\";s:4:\"node\";}}s:20:\"field_partners_title\";a:7:{s:5:\"group\";r:15;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:8:\"Partners\";s:5:\"@name\";s:14:\"field_partners\";s:7:\"@column\";s:5:\"title\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:8:\"Partners\";s:7:\"@column\";s:5:\"title\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:8:\"partners\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:20:\"field_partners_title\";s:5:\"table\";s:20:\"node__field_partners\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:24:\"field_partners_target_id\";i:7;s:18:\"field_partners_alt\";i:8;s:20:\"field_partners_title\";i:9;s:20:\"field_partners_width\";i:10;s:21:\"field_partners_height\";}s:10:\"field_name\";s:14:\"field_partners\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:20:\"field_partners_title\";s:5:\"table\";s:20:\"node__field_partners\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:24:\"field_partners_target_id\";i:7;s:18:\"field_partners_alt\";i:8;s:20:\"field_partners_title\";i:9;s:20:\"field_partners_width\";i:10;s:21:\"field_partners_height\";}s:10:\"field_name\";s:14:\"field_partners\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:20:\"field_partners_title\";s:5:\"table\";s:20:\"node__field_partners\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:24:\"field_partners_target_id\";i:7;s:18:\"field_partners_alt\";i:8;s:20:\"field_partners_title\";i:9;s:20:\"field_partners_width\";i:10;s:21:\"field_partners_height\";}s:10:\"field_name\";s:14:\"field_partners\";s:11:\"entity_type\";s:4:\"node\";}}s:20:\"field_partners_width\";a:7:{s:5:\"group\";r:15;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:8:\"Partners\";s:5:\"@name\";s:14:\"field_partners\";s:7:\"@column\";s:5:\"width\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:8:\"Partners\";s:7:\"@column\";s:5:\"width\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:8:\"partners\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:20:\"field_partners_width\";s:5:\"table\";s:20:\"node__field_partners\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:24:\"field_partners_target_id\";i:7;s:18:\"field_partners_alt\";i:8;s:20:\"field_partners_title\";i:9;s:20:\"field_partners_width\";i:10;s:21:\"field_partners_height\";}s:10:\"field_name\";s:14:\"field_partners\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:20:\"field_partners_width\";s:5:\"table\";s:20:\"node__field_partners\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:24:\"field_partners_target_id\";i:7;s:18:\"field_partners_alt\";i:8;s:20:\"field_partners_title\";i:9;s:20:\"field_partners_width\";i:10;s:21:\"field_partners_height\";}s:10:\"field_name\";s:14:\"field_partners\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:20:\"field_partners_width\";s:5:\"table\";s:20:\"node__field_partners\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:24:\"field_partners_target_id\";i:7;s:18:\"field_partners_alt\";i:8;s:20:\"field_partners_title\";i:9;s:20:\"field_partners_width\";i:10;s:21:\"field_partners_height\";}s:10:\"field_name\";s:14:\"field_partners\";s:11:\"entity_type\";s:4:\"node\";}}s:21:\"field_partners_height\";a:7:{s:5:\"group\";r:15;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:8:\"Partners\";s:5:\"@name\";s:14:\"field_partners\";s:7:\"@column\";s:6:\"height\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:8:\"Partners\";s:7:\"@column\";s:6:\"height\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:8:\"partners\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:21:\"field_partners_height\";s:5:\"table\";s:20:\"node__field_partners\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:24:\"field_partners_target_id\";i:7;s:18:\"field_partners_alt\";i:8;s:20:\"field_partners_title\";i:9;s:20:\"field_partners_width\";i:10;s:21:\"field_partners_height\";}s:10:\"field_name\";s:14:\"field_partners\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:21:\"field_partners_height\";s:5:\"table\";s:20:\"node__field_partners\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:24:\"field_partners_target_id\";i:7;s:18:\"field_partners_alt\";i:8;s:20:\"field_partners_title\";i:9;s:20:\"field_partners_width\";i:10;s:21:\"field_partners_height\";}s:10:\"field_name\";s:14:\"field_partners\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:21:\"field_partners_height\";s:5:\"table\";s:20:\"node__field_partners\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:24:\"field_partners_target_id\";i:7;s:18:\"field_partners_alt\";i:8;s:20:\"field_partners_title\";i:9;s:20:\"field_partners_width\";i:10;s:21:\"field_partners_height\";}s:10:\"field_name\";s:14:\"field_partners\";s:11:\"entity_type\";s:4:\"node\";}}}',-1,1636012250.755,1,'config:core.extension views_data','7'),('views_data:node__field_slideshow:en','a:7:{s:5:\"table\";a:2:{s:4:\"join\";a:1:{s:15:\"node_field_data\";a:4:{s:5:\"table\";s:21:\"node__field_slideshow\";s:10:\"left_field\";s:3:\"nid\";s:5:\"field\";s:9:\"entity_id\";s:5:\"extra\";a:2:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}i:1;a:2:{s:10:\"left_field\";s:8:\"langcode\";s:5:\"field\";s:8:\"langcode\";}}}}s:8:\"provider\";s:5:\"views\";}s:15:\"field_slideshow\";a:5:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";s:9:\"Slideshow\";s:11:\"title short\";s:9:\"Slideshow\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:4:\"blog\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:9:{s:5:\"table\";s:21:\"node__field_slideshow\";s:2:\"id\";s:5:\"field\";s:10:\"field_name\";s:15:\"field_slideshow\";s:11:\"entity_type\";s:4:\"node\";s:10:\"real field\";s:25:\"field_slideshow_target_id\";s:17:\"additional fields\";a:8:{i:0;s:5:\"delta\";i:1;s:8:\"langcode\";i:2;s:6:\"bundle\";i:3;s:25:\"field_slideshow_target_id\";i:4;s:19:\"field_slideshow_alt\";i:5;s:21:\"field_slideshow_title\";i:6;s:21:\"field_slideshow_width\";i:7;s:22:\"field_slideshow_height\";}s:12:\"element type\";s:3:\"div\";s:11:\"is revision\";b:0;s:14:\"click sortable\";b:1;}}s:25:\"field_slideshow_target_id\";a:8:{s:5:\"group\";r:18;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:9:\"Slideshow\";s:5:\"@name\";s:15:\"field_slideshow\";s:7:\"@column\";s:9:\"target_id\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:9:\"Slideshow\";s:7:\"@column\";s:9:\"target_id\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:4:\"blog\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:25:\"field_slideshow_target_id\";s:5:\"table\";s:21:\"node__field_slideshow\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:25:\"field_slideshow_target_id\";i:7;s:19:\"field_slideshow_alt\";i:8;s:21:\"field_slideshow_title\";i:9;s:21:\"field_slideshow_width\";i:10;s:22:\"field_slideshow_height\";}s:10:\"field_name\";s:15:\"field_slideshow\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:25:\"field_slideshow_target_id\";s:5:\"table\";s:21:\"node__field_slideshow\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:25:\"field_slideshow_target_id\";i:7;s:19:\"field_slideshow_alt\";i:8;s:21:\"field_slideshow_title\";i:9;s:21:\"field_slideshow_width\";i:10;s:22:\"field_slideshow_height\";}s:10:\"field_name\";s:15:\"field_slideshow\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:25:\"field_slideshow_target_id\";s:5:\"table\";s:21:\"node__field_slideshow\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:25:\"field_slideshow_target_id\";i:7;s:19:\"field_slideshow_alt\";i:8;s:21:\"field_slideshow_title\";i:9;s:21:\"field_slideshow_width\";i:10;s:22:\"field_slideshow_height\";}s:10:\"field_name\";s:15:\"field_slideshow\";s:11:\"entity_type\";s:4:\"node\";}s:12:\"relationship\";a:5:{s:2:\"id\";s:8:\"standard\";s:4:\"base\";s:12:\"file_managed\";s:11:\"entity type\";s:4:\"file\";s:10:\"base field\";s:3:\"fid\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"image from @field_name\";s:12:\"\0*\0arguments\";a:1:{s:11:\"@field_name\";s:15:\"field_slideshow\";}s:10:\"\0*\0options\";a:0:{}}}}s:19:\"field_slideshow_alt\";a:7:{s:5:\"group\";r:18;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:9:\"Slideshow\";s:5:\"@name\";s:15:\"field_slideshow\";s:7:\"@column\";s:3:\"alt\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:9:\"Slideshow\";s:7:\"@column\";s:3:\"alt\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:4:\"blog\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:19:\"field_slideshow_alt\";s:5:\"table\";s:21:\"node__field_slideshow\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:25:\"field_slideshow_target_id\";i:7;s:19:\"field_slideshow_alt\";i:8;s:21:\"field_slideshow_title\";i:9;s:21:\"field_slideshow_width\";i:10;s:22:\"field_slideshow_height\";}s:10:\"field_name\";s:15:\"field_slideshow\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:19:\"field_slideshow_alt\";s:5:\"table\";s:21:\"node__field_slideshow\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:25:\"field_slideshow_target_id\";i:7;s:19:\"field_slideshow_alt\";i:8;s:21:\"field_slideshow_title\";i:9;s:21:\"field_slideshow_width\";i:10;s:22:\"field_slideshow_height\";}s:10:\"field_name\";s:15:\"field_slideshow\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:19:\"field_slideshow_alt\";s:5:\"table\";s:21:\"node__field_slideshow\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:25:\"field_slideshow_target_id\";i:7;s:19:\"field_slideshow_alt\";i:8;s:21:\"field_slideshow_title\";i:9;s:21:\"field_slideshow_width\";i:10;s:22:\"field_slideshow_height\";}s:10:\"field_name\";s:15:\"field_slideshow\";s:11:\"entity_type\";s:4:\"node\";}}s:21:\"field_slideshow_title\";a:7:{s:5:\"group\";r:18;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:9:\"Slideshow\";s:5:\"@name\";s:15:\"field_slideshow\";s:7:\"@column\";s:5:\"title\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:9:\"Slideshow\";s:7:\"@column\";s:5:\"title\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:4:\"blog\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:21:\"field_slideshow_title\";s:5:\"table\";s:21:\"node__field_slideshow\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:25:\"field_slideshow_target_id\";i:7;s:19:\"field_slideshow_alt\";i:8;s:21:\"field_slideshow_title\";i:9;s:21:\"field_slideshow_width\";i:10;s:22:\"field_slideshow_height\";}s:10:\"field_name\";s:15:\"field_slideshow\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:21:\"field_slideshow_title\";s:5:\"table\";s:21:\"node__field_slideshow\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:25:\"field_slideshow_target_id\";i:7;s:19:\"field_slideshow_alt\";i:8;s:21:\"field_slideshow_title\";i:9;s:21:\"field_slideshow_width\";i:10;s:22:\"field_slideshow_height\";}s:10:\"field_name\";s:15:\"field_slideshow\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:21:\"field_slideshow_title\";s:5:\"table\";s:21:\"node__field_slideshow\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:25:\"field_slideshow_target_id\";i:7;s:19:\"field_slideshow_alt\";i:8;s:21:\"field_slideshow_title\";i:9;s:21:\"field_slideshow_width\";i:10;s:22:\"field_slideshow_height\";}s:10:\"field_name\";s:15:\"field_slideshow\";s:11:\"entity_type\";s:4:\"node\";}}s:21:\"field_slideshow_width\";a:7:{s:5:\"group\";r:18;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:9:\"Slideshow\";s:5:\"@name\";s:15:\"field_slideshow\";s:7:\"@column\";s:5:\"width\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:9:\"Slideshow\";s:7:\"@column\";s:5:\"width\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:4:\"blog\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:21:\"field_slideshow_width\";s:5:\"table\";s:21:\"node__field_slideshow\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:25:\"field_slideshow_target_id\";i:7;s:19:\"field_slideshow_alt\";i:8;s:21:\"field_slideshow_title\";i:9;s:21:\"field_slideshow_width\";i:10;s:22:\"field_slideshow_height\";}s:10:\"field_name\";s:15:\"field_slideshow\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:21:\"field_slideshow_width\";s:5:\"table\";s:21:\"node__field_slideshow\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:25:\"field_slideshow_target_id\";i:7;s:19:\"field_slideshow_alt\";i:8;s:21:\"field_slideshow_title\";i:9;s:21:\"field_slideshow_width\";i:10;s:22:\"field_slideshow_height\";}s:10:\"field_name\";s:15:\"field_slideshow\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:21:\"field_slideshow_width\";s:5:\"table\";s:21:\"node__field_slideshow\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:25:\"field_slideshow_target_id\";i:7;s:19:\"field_slideshow_alt\";i:8;s:21:\"field_slideshow_title\";i:9;s:21:\"field_slideshow_width\";i:10;s:22:\"field_slideshow_height\";}s:10:\"field_name\";s:15:\"field_slideshow\";s:11:\"entity_type\";s:4:\"node\";}}s:22:\"field_slideshow_height\";a:7:{s:5:\"group\";r:18;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:9:\"Slideshow\";s:5:\"@name\";s:15:\"field_slideshow\";s:7:\"@column\";s:6:\"height\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:9:\"Slideshow\";s:7:\"@column\";s:6:\"height\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:4:\"blog\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:22:\"field_slideshow_height\";s:5:\"table\";s:21:\"node__field_slideshow\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:25:\"field_slideshow_target_id\";i:7;s:19:\"field_slideshow_alt\";i:8;s:21:\"field_slideshow_title\";i:9;s:21:\"field_slideshow_width\";i:10;s:22:\"field_slideshow_height\";}s:10:\"field_name\";s:15:\"field_slideshow\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:22:\"field_slideshow_height\";s:5:\"table\";s:21:\"node__field_slideshow\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:25:\"field_slideshow_target_id\";i:7;s:19:\"field_slideshow_alt\";i:8;s:21:\"field_slideshow_title\";i:9;s:21:\"field_slideshow_width\";i:10;s:22:\"field_slideshow_height\";}s:10:\"field_name\";s:15:\"field_slideshow\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:22:\"field_slideshow_height\";s:5:\"table\";s:21:\"node__field_slideshow\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:11:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:25:\"field_slideshow_target_id\";i:7;s:19:\"field_slideshow_alt\";i:8;s:21:\"field_slideshow_title\";i:9;s:21:\"field_slideshow_width\";i:10;s:22:\"field_slideshow_height\";}s:10:\"field_name\";s:15:\"field_slideshow\";s:11:\"entity_type\";s:4:\"node\";}}}',-1,1636012249.725,1,'config:core.extension views_data','7'),('views_data:node__field_su:en','a:4:{s:5:\"table\";a:2:{s:4:\"join\";a:1:{s:15:\"node_field_data\";a:4:{s:5:\"table\";s:14:\"node__field_su\";s:10:\"left_field\";s:3:\"nid\";s:5:\"field\";s:9:\"entity_id\";s:5:\"extra\";a:2:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}i:1;a:2:{s:10:\"left_field\";s:8:\"langcode\";s:5:\"field\";s:8:\"langcode\";}}}}s:8:\"provider\";s:5:\"views\";}s:8:\"field_su\";a:5:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";s:7:\"Summary\";s:11:\"title short\";s:7:\"Summary\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:7:\"article\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:9:{s:5:\"table\";s:14:\"node__field_su\";s:2:\"id\";s:5:\"field\";s:10:\"field_name\";s:8:\"field_su\";s:11:\"entity_type\";s:4:\"node\";s:10:\"real field\";s:14:\"field_su_value\";s:17:\"additional fields\";a:5:{i:0;s:5:\"delta\";i:1;s:8:\"langcode\";i:2;s:6:\"bundle\";i:3;s:14:\"field_su_value\";i:4;s:15:\"field_su_format\";}s:12:\"element type\";s:3:\"div\";s:11:\"is revision\";b:0;s:14:\"click sortable\";b:1;}}s:14:\"field_su_value\";a:7:{s:5:\"group\";r:18;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label (@name)\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:7:\"Summary\";s:5:\"@name\";s:8:\"field_su\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";s:7:\"Summary\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:7:\"article\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:14:\"field_su_value\";s:5:\"table\";s:14:\"node__field_su\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:8:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:14:\"field_su_value\";i:7;s:15:\"field_su_format\";}s:10:\"field_name\";s:8:\"field_su\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:14:\"field_su_value\";s:5:\"table\";s:14:\"node__field_su\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:8:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:14:\"field_su_value\";i:7;s:15:\"field_su_format\";}s:10:\"field_name\";s:8:\"field_su\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:14:\"field_su_value\";s:5:\"table\";s:14:\"node__field_su\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:8:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:14:\"field_su_value\";i:7;s:15:\"field_su_format\";}s:10:\"field_name\";s:8:\"field_su\";s:11:\"entity_type\";s:4:\"node\";}}s:15:\"field_su_format\";a:7:{s:5:\"group\";r:18;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"@label (@name:@column)\";s:12:\"\0*\0arguments\";a:3:{s:6:\"@label\";s:7:\"Summary\";s:5:\"@name\";s:8:\"field_su\";s:7:\"@column\";s:6:\"format\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label:@column\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:7:\"Summary\";s:7:\"@column\";s:6:\"format\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:7:\"article\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:15:\"field_su_format\";s:5:\"table\";s:14:\"node__field_su\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:8:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:14:\"field_su_value\";i:7;s:15:\"field_su_format\";}s:10:\"field_name\";s:8:\"field_su\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:15:\"field_su_format\";s:5:\"table\";s:14:\"node__field_su\";s:2:\"id\";s:6:\"string\";s:17:\"additional fields\";a:8:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:14:\"field_su_value\";i:7;s:15:\"field_su_format\";}s:10:\"field_name\";s:8:\"field_su\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:15:\"field_su_format\";s:5:\"table\";s:14:\"node__field_su\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:8:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:14:\"field_su_value\";i:7;s:15:\"field_su_format\";}s:10:\"field_name\";s:8:\"field_su\";s:11:\"entity_type\";s:4:\"node\";}}}',-1,1636012250.139,1,'config:core.extension views_data','7'),('views_data:node__field_tags:en','a:4:{s:5:\"table\";a:2:{s:4:\"join\";a:1:{s:15:\"node_field_data\";a:4:{s:5:\"table\";s:16:\"node__field_tags\";s:10:\"left_field\";s:3:\"nid\";s:5:\"field\";s:9:\"entity_id\";s:5:\"extra\";a:2:{i:0;a:3:{s:5:\"field\";s:7:\"deleted\";s:5:\"value\";i:0;s:7:\"numeric\";b:1;}i:1;a:2:{s:10:\"left_field\";s:8:\"langcode\";s:5:\"field\";s:8:\"langcode\";}}}}s:8:\"provider\";s:5:\"views\";}s:10:\"field_tags\";a:6:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";s:4:\"Tags\";s:11:\"title short\";s:4:\"Tags\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:13:\"article, blog\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:9:{s:5:\"table\";s:16:\"node__field_tags\";s:2:\"id\";s:5:\"field\";s:10:\"field_name\";s:10:\"field_tags\";s:11:\"entity_type\";s:4:\"node\";s:10:\"real field\";s:20:\"field_tags_target_id\";s:17:\"additional fields\";a:4:{i:0;s:5:\"delta\";i:1;s:8:\"langcode\";i:2;s:6:\"bundle\";i:3;s:20:\"field_tags_target_id\";}s:12:\"element type\";s:3:\"div\";s:11:\"is revision\";b:0;s:14:\"click sortable\";b:1;}s:12:\"relationship\";a:9:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:34:\"@label referenced from @field_name\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Taxonomy term\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"@field_name\";s:10:\"field_tags\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"@field_name: @label\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";r:47;s:11:\"@field_name\";s:10:\"field_tags\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"group\";r:18;s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:13:\"article, blog\";}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:8:\"standard\";s:4:\"base\";s:24:\"taxonomy_term_field_data\";s:11:\"entity type\";s:13:\"taxonomy_term\";s:10:\"base field\";s:3:\"tid\";s:18:\"relationship field\";s:20:\"field_tags_target_id\";}}s:20:\"field_tags_target_id\";a:7:{s:5:\"group\";r:18;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@label (@name)\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:4:\"Tags\";s:5:\"@name\";s:10:\"field_tags\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";s:4:\"Tags\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:13:\"article, blog\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:20:\"field_tags_target_id\";s:5:\"table\";s:16:\"node__field_tags\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:20:\"field_tags_target_id\";}s:10:\"field_name\";s:10:\"field_tags\";s:11:\"entity_type\";s:4:\"node\";s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"filter\";a:7:{s:5:\"field\";s:20:\"field_tags_target_id\";s:5:\"table\";s:16:\"node__field_tags\";s:2:\"id\";s:18:\"taxonomy_index_tid\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:20:\"field_tags_target_id\";}s:10:\"field_name\";s:10:\"field_tags\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:20:\"field_tags_target_id\";s:5:\"table\";s:16:\"node__field_tags\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:20:\"field_tags_target_id\";}s:10:\"field_name\";s:10:\"field_tags\";s:11:\"entity_type\";s:4:\"node\";}}s:5:\"delta\";a:8:{s:5:\"group\";r:18;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"@label (@name:delta)\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@label\";s:4:\"Tags\";s:5:\"@name\";s:10:\"field_tags\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"title short\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"@label:delta\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:4:\"Tags\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Delta - Appears in: @bundles.\";s:12:\"\0*\0arguments\";a:1:{s:8:\"@bundles\";s:13:\"article, blog\";}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:8:\"argument\";a:7:{s:5:\"field\";s:5:\"delta\";s:5:\"table\";s:16:\"node__field_tags\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:20:\"field_tags_target_id\";}s:16:\"empty field name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"- No value -\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"field_name\";s:10:\"field_tags\";s:11:\"entity_type\";s:4:\"node\";}s:6:\"filter\";a:7:{s:5:\"field\";s:5:\"delta\";s:5:\"table\";s:16:\"node__field_tags\";s:2:\"id\";s:7:\"numeric\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:20:\"field_tags_target_id\";}s:10:\"field_name\";s:10:\"field_tags\";s:11:\"entity_type\";s:4:\"node\";s:11:\"allow empty\";b:1;}s:4:\"sort\";a:6:{s:5:\"field\";s:5:\"delta\";s:5:\"table\";s:16:\"node__field_tags\";s:2:\"id\";s:8:\"standard\";s:17:\"additional fields\";a:7:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";i:6;s:20:\"field_tags_target_id\";}s:10:\"field_name\";s:10:\"field_tags\";s:11:\"entity_type\";s:4:\"node\";}}}',-1,1636012250.543,1,'config:core.extension views_data','7'),('views_data:node_field_data:en','a:37:{s:5:\"table\";a:6:{s:4:\"base\";a:6:{s:5:\"field\";s:3:\"nid\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"cache_contexts\";a:1:{i:0;s:21:\"user.node_grants:view\";}s:16:\"access query tag\";s:11:\"node_access\";s:8:\"defaults\";a:2:{s:5:\"field\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";}s:6:\"weight\";i:-10;}s:5:\"group\";r:5;s:8:\"provider\";s:4:\"node\";s:15:\"entity revision\";b:0;s:11:\"entity type\";s:4:\"node\";s:9:\"wizard_id\";s:4:\"node\";}s:3:\"nid\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:4:{s:2:\"id\";s:8:\"node_nid\";s:10:\"name field\";s:5:\"title\";s:7:\"numeric\";b:1;s:13:\"validate type\";s:3:\"nid\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:3:\"nid\";}s:3:\"vid\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Revision ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:3:\"vid\";}s:4:\"type\";a:6:{s:5:\"title\";s:12:\"Content type\";s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:9:\"node_type\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"bundle\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:4:\"type\";}s:8:\"langcode\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Translation language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:8:\"language\";}s:6:\"filter\";a:1:{s:2:\"id\";s:8:\"language\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:8:\"langcode\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:43:\"The language of the content or translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"status\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Published\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:4:{s:2:\"id\";s:7:\"boolean\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Published status\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:6:\"yes-no\";s:9:\"use_equal\";b:1;}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:6:\"status\";}s:3:\"uid\";a:8:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Authored by\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:105:\"The user authoring the content. If you need more fields than the uid add the content: author relationship\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:9:\"user_name\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"relationship\";a:6:{s:4:\"base\";s:16:\"users_field_data\";s:10:\"base field\";s:3:\"uid\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"author\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Content author\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:8:\"standard\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:42:\"Relate content to the user who created it.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:12:\"entity field\";s:3:\"uid\";}s:5:\"title\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Title\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:3:{s:2:\"id\";s:5:\"field\";s:26:\"default_formatter_settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:20:\"link_to_node default\";b:1;}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:5:\"title\";}s:7:\"created\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Authored on\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"The time that the node was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:4:\"date\";}s:6:\"filter\";a:1:{s:2:\"id\";s:4:\"date\";}s:4:\"sort\";a:1:{s:2:\"id\";s:4:\"date\";}s:12:\"entity field\";s:7:\"created\";}s:7:\"changed\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Changed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:39:\"The time that the node was last edited.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:4:\"date\";}s:6:\"filter\";a:1:{s:2:\"id\";s:4:\"date\";}s:4:\"sort\";a:1:{s:2:\"id\";s:4:\"date\";}s:12:\"entity field\";s:7:\"changed\";}s:7:\"promote\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"Promoted to front page\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:3:{s:2:\"id\";s:7:\"boolean\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Promoted to front page status\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:6:\"yes-no\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:7:\"promote\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:67:\"A boolean indicating whether the node is visible on the front page.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:6:\"sticky\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"Sticky at top of lists\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:3:{s:2:\"id\";s:7:\"boolean\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Sticky status\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:6:\"yes-no\";}s:4:\"sort\";a:2:{s:2:\"id\";s:8:\"standard\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:91:\"Whether or not the content is sticky. To list sticky content first, set this to descending.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:12:\"entity field\";s:6:\"sticky\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:78:\"A boolean indicating whether the node should sort to the top of content lists.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:16:\"default_langcode\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Default translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:58:\"A flag indicating whether this is the default translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"boolean\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:16:\"default_langcode\";}s:29:\"revision_translation_affected\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Revision translation affected\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"Indicates if the last edit of a translation belongs to current revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"boolean\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:29:\"revision_translation_affected\";}s:26:\"content_translation_source\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Translation source\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:60:\"The source language from which this translation was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:8:\"language\";}s:6:\"filter\";a:1:{s:2:\"id\";s:8:\"language\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:26:\"content_translation_source\";}s:28:\"content_translation_outdated\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Translation outdated\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:66:\"A boolean indicating whether this translation needs to be updated.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"boolean\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:28:\"content_translation_outdated\";}s:10:\"node_class\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"CSS class(es)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:10:\"node_class\";}s:12:\"status_extra\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:30:\"Published status or admin user\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:67:\"Filters out unpublished content if the current user cannot view it.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"filter\";a:3:{s:5:\"field\";s:6:\"status\";s:2:\"id\";s:11:\"node_status\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:30:\"Published status or admin user\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:16:\"created_fulldate\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Created date\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Date in the form of CCYYMMDD.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"created\";s:2:\"id\";s:13:\"date_fulldate\";}}s:18:\"created_year_month\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Created year + month\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:27:\"Date in the form of YYYYMM.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"created\";s:2:\"id\";s:15:\"date_year_month\";}}s:12:\"created_year\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Created year\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"Date in the form of YYYY.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"created\";s:2:\"id\";s:9:\"date_year\";}}s:13:\"created_month\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Created month\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Date in the form of MM (01 - 12).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"created\";s:2:\"id\";s:10:\"date_month\";}}s:11:\"created_day\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Created day\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Date in the form of DD (01 - 31).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"created\";s:2:\"id\";s:8:\"date_day\";}}s:12:\"created_week\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Created week\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Date in the form of WW (01 - 53).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"created\";s:2:\"id\";s:9:\"date_week\";}}s:16:\"changed_fulldate\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Updated date\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Date in the form of CCYYMMDD.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"changed\";s:2:\"id\";s:13:\"date_fulldate\";}}s:18:\"changed_year_month\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Updated year + month\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:27:\"Date in the form of YYYYMM.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"changed\";s:2:\"id\";s:15:\"date_year_month\";}}s:12:\"changed_year\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Updated year\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"Date in the form of YYYY.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"changed\";s:2:\"id\";s:9:\"date_year\";}}s:13:\"changed_month\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Updated month\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Date in the form of MM (01 - 12).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"changed\";s:2:\"id\";s:10:\"date_month\";}}s:11:\"changed_day\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Updated day\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Date in the form of DD (01 - 31).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"changed\";s:2:\"id\";s:8:\"date_day\";}}s:12:\"changed_week\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Updated week\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Date in the form of WW (01 - 53).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"changed\";s:2:\"id\";s:9:\"date_week\";}}s:12:\"uid_revision\";a:5:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"User has a revision\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"All nodes where a certain user has a revision\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"real field\";s:3:\"nid\";s:6:\"filter\";a:1:{s:2:\"id\";s:17:\"node_uid_revision\";}s:8:\"argument\";a:1:{s:2:\"id\";s:17:\"node_uid_revision\";}}s:13:\"comments_link\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Add comment link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:140:\"Display the standard add comment link used on regular @entity_type, which will only display if the viewing user has access to add a comment.\";s:12:\"\0*\0arguments\";a:1:{s:12:\"@entity_type\";s:4:\"node\";}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:19:\"comment_entity_link\";}}s:9:\"uid_touch\";a:4:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"User posted or commented\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:86:\"Display nodes only if a user posted the @entity_type or commented on the @entity_type.\";s:12:\"\0*\0arguments\";a:1:{s:12:\"@entity_type\";s:4:\"node\";}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:7:{s:5:\"field\";s:3:\"uid\";s:10:\"name table\";s:16:\"users_field_data\";s:10:\"name field\";s:4:\"name\";s:2:\"id\";s:25:\"argument_comment_user_uid\";s:11:\"no group by\";b:1;s:11:\"entity_type\";s:4:\"node\";s:9:\"entity_id\";s:3:\"nid\";}s:6:\"filter\";a:6:{s:5:\"field\";s:3:\"uid\";s:10:\"name table\";s:16:\"users_field_data\";s:10:\"name field\";s:4:\"name\";s:2:\"id\";s:16:\"comment_user_uid\";s:11:\"entity_type\";s:4:\"node\";s:9:\"entity_id\";s:3:\"nid\";}}s:11:\"comment_cid\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:53:\"Comments of the @entity_type using field: @field_name\";s:12:\"\0*\0arguments\";a:2:{s:12:\"@entity_type\";s:4:\"node\";s:11:\"@field_name\";s:7:\"comment\";}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:159:\"Relate all comments on the @entity_type. This will create 1 duplicate record for every comment. Usually if you need this it is better to create a comment view.\";s:12:\"\0*\0arguments\";a:1:{s:12:\"@entity_type\";s:4:\"node\";}s:10:\"\0*\0options\";a:0:{}}s:12:\"relationship\";a:7:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Comment\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Comments\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"base\";s:18:\"comment_field_data\";s:10:\"base field\";s:9:\"entity_id\";s:18:\"relationship field\";s:3:\"nid\";s:2:\"id\";s:8:\"standard\";s:5:\"extra\";a:2:{i:0;a:2:{s:5:\"field\";s:11:\"entity_type\";s:5:\"value\";s:4:\"node\";}i:1;a:2:{s:5:\"field\";s:10:\"field_name\";s:5:\"value\";s:7:\"comment\";}}}}s:13:\"term_node_tid\";a:4:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"Taxonomy terms on node\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:160:\"Relate nodes to taxonomy terms, specifying which vocabulary or vocabularies to use. This relationship will cause duplicated records if there are multiple terms.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"relationship\";a:3:{s:2:\"id\";s:14:\"node_term_data\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"term\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"base\";s:24:\"taxonomy_term_field_data\";}s:5:\"field\";a:5:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"All taxonomy terms\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:78:\"Display all taxonomy terms associated with a node from specified vocabularies.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:18:\"taxonomy_index_tid\";s:11:\"no group by\";b:1;s:14:\"click sortable\";b:0;}}s:19:\"term_node_tid_depth\";a:4:{s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:175:\"Display content if it has the selected taxonomy terms, or children of the selected terms. Due to additional complexity, this has fewer options than the versions without depth.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"real field\";s:3:\"nid\";s:8:\"argument\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Has taxonomy term ID (with depth)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:24:\"taxonomy_index_tid_depth\";s:21:\"accept depth modifier\";b:1;}s:6:\"filter\";a:2:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"Has taxonomy terms (with depth)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:24:\"taxonomy_index_tid_depth\";}}s:28:\"term_node_tid_depth_modifier\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"Has taxonomy term ID depth modifier\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:111:\"Allows the \"depth\" for Taxonomy: Term ID (with depth) to be modified via an additional contextual filter value.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:1:{s:2:\"id\";s:33:\"taxonomy_index_tid_depth_modifier\";}}}',-1,1636012247.469,1,'config:core.extension views_data','7'),('views_data:path_alias:en','a:0:{}',-1,1636011227.559,1,'config:core.extension views_data','7'),('views_data:shortcut:en','a:0:{}',-1,1636011227.564,1,'config:core.extension views_data','7'),('views_data:simplenews_subscriber:en','a:16:{s:5:\"table\";a:5:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Simplenews subscriber\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:10:\"simplenews\";s:4:\"base\";a:5:{s:5:\"field\";s:2:\"id\";s:5:\"title\";r:3;s:14:\"cache_contexts\";a:0:{}s:16:\"access query tag\";s:28:\"simplenews_subscriber_access\";s:8:\"defaults\";a:1:{s:5:\"field\";s:4:\"mail\";}}s:15:\"entity revision\";b:0;s:11:\"entity type\";s:21:\"simplenews_subscriber\";}s:10:\"operations\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Operations links\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:44:\"Provides links to perform entity operations.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:17:\"entity_operations\";}}s:15:\"rendered_entity\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Rendered entity\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Renders an entity in a view mode.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:15:\"rendered_entity\";}}s:26:\"edit_simplenews_subscriber\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"Link to edit @entity_type_label\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:3;}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"Provide an edit link to the @entity_type_label.\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:3;}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:16:\"entity_link_edit\";}}s:28:\"delete_simplenews_subscriber\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Link to delete @entity_type_label\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:3;}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:48:\"Provide a delete link to the @entity_type_label.\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:3;}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:18:\"entity_link_delete\";}}s:2:\"id\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Subscriber ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:34:\"Primary key: Unique subscriber ID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:2:\"id\";}s:4:\"uuid\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"The subscriber UUID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:2:{s:2:\"id\";s:5:\"field\";s:14:\"click sortable\";b:0;}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:4:\"uuid\";}s:6:\"status\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Status\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:48:\"Boolean indicating the status of the subscriber.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"boolean\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:6:\"status\";}s:4:\"mail\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Email\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"The subscriber\'s email address.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:4:\"mail\";}s:3:\"uid\";a:8:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"User\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"The corresponding user.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"relationship\";a:5:{s:4:\"base\";s:16:\"users_field_data\";s:10:\"base field\";s:3:\"uid\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"User\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"title\";r:158;s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:3:\"uid\";}s:8:\"langcode\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:36:\"The subscriber\'s preferred language.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:8:\"language\";}s:6:\"filter\";a:1:{s:2:\"id\";s:8:\"language\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:8:\"langcode\";}s:7:\"changes\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Changes\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:44:\"Contains the requested subscription changes.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:7:\"changes\";}s:7:\"created\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Created\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:41:\"The time that the subscriber was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:4:\"date\";}s:6:\"filter\";a:1:{s:2:\"id\";s:4:\"date\";}s:4:\"sort\";a:1:{s:2:\"id\";s:4:\"date\";}s:12:\"entity field\";s:7:\"created\";}s:9:\"edit_link\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Link to edit\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"Provide a simple link to edit the subscriber.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:20:\"subscriber_link_edit\";}}s:11:\"delete_link\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Link to delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"Provide a simple link to delete the subscriber.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:22:\"subscriber_link_delete\";}}s:9:\"user_name\";a:2:{s:10:\"real field\";s:3:\"uid\";s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Username\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:56:\"Provide a simple link to the subscriber\'s user account .\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:20:\"simplenews_user_name\";}}}',-1,1636011227.569,1,'config:core.extension views_data','7'),('views_data:taxonomy_term_data:en','a:9:{s:5:\"table\";a:5:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Taxonomy term\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:8:\"taxonomy\";s:15:\"entity revision\";b:0;s:4:\"join\";a:1:{s:24:\"taxonomy_term_field_data\";a:3:{s:10:\"left_field\";s:3:\"tid\";s:5:\"field\";s:3:\"tid\";s:4:\"type\";s:5:\"INNER\";}}s:11:\"entity type\";s:13:\"taxonomy_term\";}s:10:\"operations\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Operations links\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:44:\"Provides links to perform entity operations.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:17:\"entity_operations\";}}s:15:\"rendered_entity\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Rendered entity\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Renders an entity in a view mode.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:15:\"rendered_entity\";}}s:18:\"view_taxonomy_term\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"Link to @entity_type_label\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:3;}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Provide a view link to the @entity_type_label.\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:3;}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:11:\"entity_link\";}}s:18:\"edit_taxonomy_term\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"Link to edit @entity_type_label\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:3;}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"Provide an edit link to the @entity_type_label.\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:3;}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:16:\"entity_link_edit\";}}s:20:\"delete_taxonomy_term\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Link to delete @entity_type_label\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:3;}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:48:\"Provide a delete link to the @entity_type_label.\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:3;}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:18:\"entity_link_delete\";}}s:4:\"uuid\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"The term UUID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:2:{s:2:\"id\";s:5:\"field\";s:14:\"click sortable\";b:0;}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:4:\"uuid\";}s:8:\"langcode\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Original language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"The term language code.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:8:\"language\";}s:6:\"filter\";a:1:{s:2:\"id\";s:8:\"language\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:8:\"langcode\";}s:16:\"translation_link\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:36:\"Link to translate @entity_type_label\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:3;}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:53:\"Provide a translation link to the @entity_type_label.\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:3;}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:24:\"content_translation_link\";}}}',-1,1636011227.575,1,'config:core.extension views_data','7'),('views_data:users:en','a:12:{s:14:\"user_bulk_form\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Bulk update\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:66:\"Add a form element that lets you run operations on multiple users.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:14:\"user_bulk_form\";}}s:5:\"table\";a:5:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"User\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"user\";s:15:\"entity revision\";b:0;s:4:\"join\";a:1:{s:16:\"users_field_data\";a:3:{s:10:\"left_field\";s:3:\"uid\";s:5:\"field\";s:3:\"uid\";s:4:\"type\";s:5:\"INNER\";}}s:11:\"entity type\";s:4:\"user\";}s:10:\"operations\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Operations links\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:44:\"Provides links to perform entity operations.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:17:\"entity_operations\";}}s:15:\"rendered_entity\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Rendered entity\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Renders an entity in a view mode.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:15:\"rendered_entity\";}}s:9:\"view_user\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"Link to @entity_type_label\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:14;}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Provide a view link to the @entity_type_label.\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:14;}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:11:\"entity_link\";}}s:9:\"edit_user\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"Link to edit @entity_type_label\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:14;}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"Provide an edit link to the @entity_type_label.\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:14;}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:16:\"entity_link_edit\";}}s:4:\"uuid\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"The user UUID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:2:{s:2:\"id\";s:5:\"field\";s:14:\"click sortable\";b:0;}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:4:\"uuid\";}s:8:\"langcode\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Original language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"The user language code.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:8:\"language\";}s:6:\"filter\";a:1:{s:2:\"id\";s:8:\"language\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:8:\"langcode\";}s:11:\"uid_current\";a:4:{s:10:\"real field\";s:3:\"uid\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Current\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:48:\"Filter the view to the currently logged in user.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"filter\";a:2:{s:2:\"id\";s:12:\"user_current\";s:4:\"type\";s:6:\"yes-no\";}}s:4:\"data\";a:4:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Data\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:41:\"Provides access to the user data service.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"real field\";s:3:\"uid\";s:5:\"field\";a:1:{s:2:\"id\";s:9:\"user_data\";}}s:7:\"contact\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Contact link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"Provide a simple link to the user contact page.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:12:\"contact_link\";}}s:16:\"translation_link\";a:1:{s:5:\"field\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:36:\"Link to translate @entity_type_label\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:14;}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:53:\"Provide a translation link to the @entity_type_label.\";s:12:\"\0*\0arguments\";a:1:{s:18:\"@entity_type_label\";r:14;}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:24:\"content_translation_link\";}}}',-1,1636011227.580,1,'config:core.extension views_data','7'),('views_data:users_field_data:en','a:35:{s:5:\"table\";a:6:{s:4:\"base\";a:5:{s:5:\"field\";s:3:\"uid\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"User\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"cache_contexts\";a:0:{}s:16:\"access query tag\";s:11:\"user_access\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"Users who have created accounts on your site.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:5:\"group\";r:5;s:8:\"provider\";s:4:\"user\";s:15:\"entity revision\";b:0;s:11:\"entity type\";s:4:\"user\";s:9:\"wizard_id\";s:4:\"user\";}s:3:\"uid\";a:8:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"User ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"The user ID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:4:{s:2:\"id\";s:8:\"user_uid\";s:10:\"name table\";s:16:\"users_field_data\";s:10:\"name field\";s:4:\"name\";s:16:\"empty field name\";s:9:\"Anonymous\";}s:6:\"filter\";a:3:{s:2:\"id\";s:9:\"user_name\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Name (autocomplete)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:119:\"The user or author name. Uses an autocomplete widget to find a user name, the actual filter uses the resulting user ID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:3:\"uid\";s:12:\"relationship\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Content authored\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:126:\"Relate content to the user who created it. This relationship will create one record for each content item created by the user.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:8:\"standard\";s:4:\"base\";s:15:\"node_field_data\";s:10:\"base field\";s:3:\"uid\";s:5:\"field\";s:3:\"uid\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"nodes\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:8:\"langcode\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Translation language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"Language of the translation of user information\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:8:\"language\";}s:6:\"filter\";a:1:{s:2:\"id\";s:8:\"language\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:8:\"langcode\";}s:18:\"preferred_langcode\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Preferred language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:30:\"Preferred language of the user\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:8:\"language\";}s:6:\"filter\";a:1:{s:2:\"id\";s:8:\"language\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:18:\"preferred_langcode\";}s:24:\"preferred_admin_langcode\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Preferred admin language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"Preferred administrative language of the user\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:8:\"language\";}s:6:\"filter\";a:1:{s:2:\"id\";s:8:\"language\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:24:\"preferred_admin_langcode\";}s:4:\"name\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"The user or author name.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:2:{s:2:\"id\";s:5:\"field\";s:17:\"default_formatter\";s:9:\"user_name\";}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:3:{s:2:\"id\";s:6:\"string\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Name (raw)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:126:\"The user or author name. This filter does not check if the user exists and allows partial matching. Does not use autocomplete.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:4:\"name\";}s:4:\"pass\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Password\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"The password of this user (hashed).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:4:\"pass\";}s:4:\"mail\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Email\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:104:\"Email address for a given user. This field is normally not shown to users, so be cautious when using it.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:4:\"mail\";}s:8:\"timezone\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Timezone\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"The timezone of this user.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:8:\"timezone\";}s:6:\"status\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"User status\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:38:\"Whether the user is active or blocked.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:3:{s:2:\"id\";s:7:\"boolean\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Active\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";s:6:\"yes-no\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:6:\"status\";}s:7:\"created\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Created\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"The time that the user was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:4:\"date\";}s:6:\"filter\";a:1:{s:2:\"id\";s:4:\"date\";}s:4:\"sort\";a:1:{s:2:\"id\";s:4:\"date\";}s:12:\"entity field\";s:7:\"created\";}s:7:\"changed\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Updated date\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:39:\"The time that the user was last edited.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:4:\"date\";}s:6:\"filter\";a:1:{s:2:\"id\";s:4:\"date\";}s:4:\"sort\";a:1:{s:2:\"id\";s:4:\"date\";}s:12:\"entity field\";s:7:\"changed\";}s:6:\"access\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Last access\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"The time that the user last accessed the site.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:4:\"date\";}s:6:\"filter\";a:1:{s:2:\"id\";s:4:\"date\";}s:4:\"sort\";a:1:{s:2:\"id\";s:4:\"date\";}s:12:\"entity field\";s:6:\"access\";}s:5:\"login\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Last login\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:38:\"The time that the user last logged in.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:4:\"date\";}s:6:\"filter\";a:1:{s:2:\"id\";s:4:\"date\";}s:4:\"sort\";a:1:{s:2:\"id\";s:4:\"date\";}s:12:\"entity field\";s:5:\"login\";}s:4:\"init\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Initial email\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"The email address used for initial account creation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:6:\"string\";}s:6:\"filter\";a:1:{s:2:\"id\";s:6:\"string\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:4:\"init\";}s:16:\"default_langcode\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Default translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:58:\"A flag indicating whether this is the default translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"boolean\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:16:\"default_langcode\";}s:26:\"content_translation_source\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Translation source\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:60:\"The source language from which this translation was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:8:\"language\";}s:6:\"filter\";a:1:{s:2:\"id\";s:8:\"language\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:26:\"content_translation_source\";}s:28:\"content_translation_outdated\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Translation outdated\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:66:\"A boolean indicating whether this translation needs to be updated.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"boolean\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:28:\"content_translation_outdated\";}s:23:\"content_translation_uid\";a:8:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Translation author\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"The author of this translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"relationship\";a:5:{s:4:\"base\";s:16:\"users_field_data\";s:10:\"base field\";s:3:\"uid\";s:5:\"label\";r:5;s:5:\"title\";r:5;s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:23:\"content_translation_uid\";}s:26:\"content_translation_status\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Translation status\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:75:\"A boolean indicating whether the translation is visible to non-translators.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:7:\"numeric\";}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"boolean\";}s:4:\"sort\";a:1:{s:2:\"id\";s:8:\"standard\";}s:12:\"entity field\";s:26:\"content_translation_status\";}s:27:\"content_translation_created\";a:7:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Translation created time\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"The Unix timestamp when the translation was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:5:\"field\";}s:8:\"argument\";a:1:{s:2:\"id\";s:4:\"date\";}s:6:\"filter\";a:1:{s:2:\"id\";s:4:\"date\";}s:4:\"sort\";a:1:{s:2:\"id\";s:4:\"date\";}s:12:\"entity field\";s:27:\"content_translation_created\";}s:7:\"uid_raw\";a:3:{s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"The raw numeric user ID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"real field\";s:3:\"uid\";s:6:\"filter\";a:2:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"The user ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:7:\"numeric\";}}s:18:\"uid_representative\";a:1:{s:12:\"relationship\";a:11:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Representative node\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Representative node\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:89:\"Obtains a single representative node for each user, according to a chosen sort criterion.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:13:\"groupwise_max\";s:18:\"relationship field\";s:3:\"uid\";s:11:\"outer field\";s:20:\"users_field_data.uid\";s:14:\"argument table\";s:16:\"users_field_data\";s:14:\"argument field\";s:3:\"uid\";s:4:\"base\";s:15:\"node_field_data\";s:5:\"field\";s:3:\"nid\";s:12:\"relationship\";s:19:\"node_field_data:uid\";}}s:16:\"created_fulldate\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Created date\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Date in the form of CCYYMMDD.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"created\";s:2:\"id\";s:13:\"date_fulldate\";}}s:18:\"created_year_month\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Created year + month\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:27:\"Date in the form of YYYYMM.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"created\";s:2:\"id\";s:15:\"date_year_month\";}}s:12:\"created_year\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Created year\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"Date in the form of YYYY.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"created\";s:2:\"id\";s:9:\"date_year\";}}s:13:\"created_month\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Created month\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Date in the form of MM (01 - 12).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"created\";s:2:\"id\";s:10:\"date_month\";}}s:11:\"created_day\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Created day\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Date in the form of DD (01 - 31).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"created\";s:2:\"id\";s:8:\"date_day\";}}s:12:\"created_week\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Created week\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Date in the form of WW (01 - 53).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"created\";s:2:\"id\";s:9:\"date_week\";}}s:16:\"changed_fulldate\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Updated date\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Date in the form of CCYYMMDD.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"changed\";s:2:\"id\";s:13:\"date_fulldate\";}}s:18:\"changed_year_month\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Updated year + month\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:27:\"Date in the form of YYYYMM.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"changed\";s:2:\"id\";s:15:\"date_year_month\";}}s:12:\"changed_year\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Updated year\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"Date in the form of YYYY.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"changed\";s:2:\"id\";s:9:\"date_year\";}}s:13:\"changed_month\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Updated month\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Date in the form of MM (01 - 12).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"changed\";s:2:\"id\";s:10:\"date_month\";}}s:11:\"changed_day\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Updated day\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Date in the form of DD (01 - 31).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"changed\";s:2:\"id\";s:8:\"date_day\";}}s:12:\"changed_week\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Updated week\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Date in the form of WW (01 - 53).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:2:{s:5:\"field\";s:7:\"changed\";s:2:\"id\";s:9:\"date_week\";}}}',-1,1636012248.286,1,'config:core.extension views_data','7'),('views_data:views:en','a:29:{s:5:\"table\";a:3:{s:5:\"group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Global\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"join\";a:1:{s:7:\"#global\";a:0:{}}s:8:\"provider\";s:5:\"views\";}s:6:\"random\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Random\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:28:\"Randomize the display order.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"sort\";a:1:{s:2:\"id\";s:6:\"random\";}}s:4:\"null\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Null\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:213:\"Allow a contextual filter value to be ignored. The query will not be altered by this contextual filter value. Can be used when contextual filter values come from the URL, and a part of the URL needs to be ignored.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"argument\";a:1:{s:2:\"id\";s:4:\"null\";}}s:7:\"nothing\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Custom text\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:28:\"Provide custom text or link.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:6:\"custom\";}}s:7:\"counter\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"View result counter\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"Displays the actual position of the view result\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:7:\"counter\";}}s:4:\"area\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Text area\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Provide markup text for the area.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"area\";a:1:{s:2:\"id\";s:4:\"text\";}}s:16:\"area_text_custom\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Unfiltered text\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:82:\"Add unrestricted, custom text or markup. This is similar to the custom text field.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"area\";a:1:{s:2:\"id\";s:11:\"text_custom\";}}s:5:\"title\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Title override\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:115:\"Override the default view title for this view. This is useful to display an alternative title when a view is empty.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"area\";a:2:{s:2:\"id\";s:5:\"title\";s:8:\"sub_type\";s:5:\"empty\";}}s:4:\"view\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"View area\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Insert a view inside an area.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"area\";a:1:{s:2:\"id\";s:4:\"view\";}}s:6:\"result\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Result summary\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:53:\"Shows result summary, for example the items per page.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"area\";a:1:{s:2:\"id\";s:6:\"result\";}}s:8:\"messages\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Messages\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Displays messages in an area.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"area\";a:1:{s:2:\"id\";s:8:\"messages\";}}s:16:\"http_status_code\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Response status code\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:88:\"Alter the HTTP response status code used by this view, mostly helpful for empty results.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"area\";a:1:{s:2:\"id\";s:16:\"http_status_code\";}}s:7:\"combine\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Combine fields filter\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"Combine multiple fields together and search by them.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"filter\";a:1:{s:2:\"id\";s:7:\"combine\";}}s:10:\"dropbutton\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Dropbutton\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"Display fields in a dropbutton.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:10:\"dropbutton\";}}s:12:\"display_link\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Link to display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:141:\"Displays a link to a path-based display of this view while keeping the filter criteria, sort criteria, pager settings and contextual filters.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"area\";a:1:{s:2:\"id\";s:12:\"display_link\";}}s:12:\"entity_block\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Rendered entity - @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Block\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"Displays a rendered @label entity in an area.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:169;}s:10:\"\0*\0options\";a:0:{}}s:4:\"area\";a:2:{s:11:\"entity_type\";s:5:\"block\";s:2:\"id\";s:6:\"entity\";}}s:20:\"entity_block_content\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Rendered entity - @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Custom block\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"Displays a rendered @label entity in an area.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:186;}s:10:\"\0*\0options\";a:0:{}}s:4:\"area\";a:2:{s:11:\"entity_type\";s:13:\"block_content\";s:2:\"id\";s:6:\"entity\";}}s:14:\"entity_comment\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Rendered entity - @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Comment\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"Displays a rendered @label entity in an area.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:203;}s:10:\"\0*\0options\";a:0:{}}s:4:\"area\";a:2:{s:11:\"entity_type\";s:7:\"comment\";s:2:\"id\";s:6:\"entity\";}}s:22:\"entity_contact_message\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Rendered entity - @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Contact message\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"Displays a rendered @label entity in an area.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:220;}s:10:\"\0*\0options\";a:0:{}}s:4:\"area\";a:2:{s:11:\"entity_type\";s:15:\"contact_message\";s:2:\"id\";s:6:\"entity\";}}s:11:\"entity_file\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Rendered entity - @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"File\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"Displays a rendered @label entity in an area.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:237;}s:10:\"\0*\0options\";a:0:{}}s:4:\"area\";a:2:{s:11:\"entity_type\";s:4:\"file\";s:2:\"id\";s:6:\"entity\";}}s:11:\"entity_node\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Rendered entity - @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"Displays a rendered @label entity in an area.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:254;}s:10:\"\0*\0options\";a:0:{}}s:4:\"area\";a:2:{s:11:\"entity_type\";s:4:\"node\";s:2:\"id\";s:6:\"entity\";}}s:17:\"entity_path_alias\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Rendered entity - @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"URL alias\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"Displays a rendered @label entity in an area.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:271;}s:10:\"\0*\0options\";a:0:{}}s:4:\"area\";a:2:{s:11:\"entity_type\";s:10:\"path_alias\";s:2:\"id\";s:6:\"entity\";}}s:15:\"entity_shortcut\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Rendered entity - @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Shortcut link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"Displays a rendered @label entity in an area.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:288;}s:10:\"\0*\0options\";a:0:{}}s:4:\"area\";a:2:{s:11:\"entity_type\";s:8:\"shortcut\";s:2:\"id\";s:6:\"entity\";}}s:28:\"entity_simplenews_subscriber\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Rendered entity - @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Simplenews subscriber\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"Displays a rendered @label entity in an area.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:305;}s:10:\"\0*\0options\";a:0:{}}s:4:\"area\";a:2:{s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:2:\"id\";s:6:\"entity\";}}s:20:\"entity_taxonomy_term\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Rendered entity - @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Taxonomy term\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"Displays a rendered @label entity in an area.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:322;}s:10:\"\0*\0options\";a:0:{}}s:4:\"area\";a:2:{s:11:\"entity_type\";s:13:\"taxonomy_term\";s:2:\"id\";s:6:\"entity\";}}s:11:\"entity_tour\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Rendered entity - @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Tour\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"Displays a rendered @label entity in an area.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:339;}s:10:\"\0*\0options\";a:0:{}}s:4:\"area\";a:2:{s:11:\"entity_type\";s:4:\"tour\";s:2:\"id\";s:6:\"entity\";}}s:11:\"entity_user\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Rendered entity - @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"User\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"Displays a rendered @label entity in an area.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:356;}s:10:\"\0*\0options\";a:0:{}}s:4:\"area\";a:2:{s:11:\"entity_type\";s:4:\"user\";s:2:\"id\";s:6:\"entity\";}}s:24:\"entity_menu_link_content\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Rendered entity - @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Custom menu link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"Displays a rendered @label entity in an area.\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:373;}s:10:\"\0*\0options\";a:0:{}}s:4:\"area\";a:2:{s:11:\"entity_type\";s:17:\"menu_link_content\";s:2:\"id\";s:6:\"entity\";}}s:16:\"contextual_links\";a:3:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Contextual Links\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:42:\"Display fields in a contextual links menu.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"field\";a:1:{s:2:\"id\";s:16:\"contextual_links\";}}}',-1,1636012247.545,1,'config:core.extension views_data','7');
/*!40000 ALTER TABLE `cache_default` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_discovery`
--

DROP TABLE IF EXISTS `cache_discovery`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_discovery` (
  `cid` varchar(255) CHARACTER SET ascii COLLATE ascii_bin NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob DEFAULT NULL COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT 0 COMMENT 'A Unix timestamp indicating when the cache entry should expire, or -1 for never.',
  `created` decimal(14,3) NOT NULL DEFAULT 0.000 COMMENT 'A timestamp with millisecond precision indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT 0 COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  `tags` longtext DEFAULT NULL COMMENT 'Space-separated list of cache tags for this entry.',
  `checksum` varchar(255) CHARACTER SET ascii NOT NULL COMMENT 'The tag invalidation checksum when this entry was saved.',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`),
  KEY `created` (`created`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Storage for the cache API.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_discovery`
--

LOCK TABLES `cache_discovery` WRITE;
/*!40000 ALTER TABLE `cache_discovery` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `cache_discovery` VALUES ('block_plugins','a:77:{s:50:\"block_content:3740ba50-c010-4c70-b600-b0caeb076315\";a:9:{s:11:\"admin_label\";s:4:\"Blog\";s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Custom\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:13:\"block_content\";s:7:\"deriver\";s:51:\"Drupal\\block_content\\Plugin\\Derivative\\BlockContent\";s:5:\"class\";s:51:\"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock\";s:8:\"provider\";s:13:\"block_content\";s:19:\"config_dependencies\";a:1:{s:7:\"content\";a:1:{i:0;s:56:\"block_content:basic:3740ba50-c010-4c70-b600-b0caeb076315\";}}}s:50:\"block_content:b7be088a-40ae-4f2f-9614-8e1bae7b453d\";a:9:{s:11:\"admin_label\";s:10:\"Contact us\";s:8:\"category\";r:4;s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:13:\"block_content\";s:7:\"deriver\";s:51:\"Drupal\\block_content\\Plugin\\Derivative\\BlockContent\";s:5:\"class\";s:51:\"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock\";s:8:\"provider\";s:13:\"block_content\";s:19:\"config_dependencies\";a:1:{s:7:\"content\";a:1:{i:0;s:56:\"block_content:basic:b7be088a-40ae-4f2f-9614-8e1bae7b453d\";}}}s:50:\"block_content:f714da14-65b4-4919-8791-25debf49859d\";a:9:{s:11:\"admin_label\";s:12:\"Our location\";s:8:\"category\";r:4;s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:13:\"block_content\";s:7:\"deriver\";s:51:\"Drupal\\block_content\\Plugin\\Derivative\\BlockContent\";s:5:\"class\";s:51:\"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock\";s:8:\"provider\";s:13:\"block_content\";s:19:\"config_dependencies\";a:1:{s:7:\"content\";a:1:{i:0;s:56:\"block_content:basic:f714da14-65b4-4919-8791-25debf49859d\";}}}s:50:\"block_content:d077ed59-d2a0-42b7-afc6-ed94b9621584\";a:9:{s:11:\"admin_label\";s:20:\"Copyright by Weebpal\";s:8:\"category\";r:4;s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:13:\"block_content\";s:7:\"deriver\";s:51:\"Drupal\\block_content\\Plugin\\Derivative\\BlockContent\";s:5:\"class\";s:51:\"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock\";s:8:\"provider\";s:13:\"block_content\";s:19:\"config_dependencies\";a:1:{s:7:\"content\";a:1:{i:0;s:56:\"block_content:basic:d077ed59-d2a0-42b7-afc6-ed94b9621584\";}}}s:50:\"block_content:caaeb8df-fb22-4075-bc78-ecb39e4c711e\";a:9:{s:11:\"admin_label\";s:11:\"Social icon\";s:8:\"category\";r:4;s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:13:\"block_content\";s:7:\"deriver\";s:51:\"Drupal\\block_content\\Plugin\\Derivative\\BlockContent\";s:5:\"class\";s:51:\"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock\";s:8:\"provider\";s:13:\"block_content\";s:19:\"config_dependencies\";a:1:{s:7:\"content\";a:1:{i:0;s:56:\"block_content:basic:caaeb8df-fb22-4075-bc78-ecb39e4c711e\";}}}s:50:\"block_content:b0c92726-50bb-4afe-8a60-e078803c0753\";a:9:{s:11:\"admin_label\";s:16:\"Newsletter block\";s:8:\"category\";r:4;s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:13:\"block_content\";s:7:\"deriver\";s:51:\"Drupal\\block_content\\Plugin\\Derivative\\BlockContent\";s:5:\"class\";s:51:\"Drupal\\block_content\\Plugin\\Block\\BlockContentBlock\";s:8:\"provider\";s:13:\"block_content\";s:19:\"config_dependencies\";a:1:{s:7:\"content\";a:1:{i:0;s:56:\"block_content:basic:b0c92726-50bb-4afe-8a60-e078803c0753\";}}}s:17:\"entity_view:block\";a:8:{s:11:\"admin_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Entity view (@label)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Block\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:10:\"\0*\0options\";a:0:{}}s:8:\"category\";s:11:\"Chaos Tools\";s:7:\"context\";a:1:{s:6:\"entity\";O:50:\"Drupal\\Core\\Plugin\\Context\\EntityContextDefinition\":10:{s:11:\"\0*\0dataType\";s:12:\"entity:block\";s:8:\"\0*\0label\";N;s:14:\"\0*\0description\";N;s:13:\"\0*\0isMultiple\";b:0;s:13:\"\0*\0isRequired\";b:1;s:15:\"\0*\0defaultValue\";N;s:14:\"\0*\0constraints\";a:0:{}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:19:\"\0*\0typedDataManager\";N;}}s:19:\"context_definitions\";a:1:{s:6:\"entity\";r:88;}s:2:\"id\";s:11:\"entity_view\";s:7:\"deriver\";s:46:\"Drupal\\ctools\\Plugin\\Deriver\\EntityViewDeriver\";s:5:\"class\";s:37:\"Drupal\\ctools\\Plugin\\Block\\EntityView\";s:8:\"provider\";s:6:\"ctools\";}s:25:\"entity_view:block_content\";a:8:{s:11:\"admin_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Entity view (@label)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Custom block\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:10:\"\0*\0options\";a:0:{}}s:8:\"category\";s:11:\"Chaos Tools\";s:7:\"context\";a:1:{s:6:\"entity\";O:50:\"Drupal\\Core\\Plugin\\Context\\EntityContextDefinition\":10:{s:11:\"\0*\0dataType\";s:20:\"entity:block_content\";s:8:\"\0*\0label\";N;s:14:\"\0*\0description\";N;s:13:\"\0*\0isMultiple\";b:0;s:13:\"\0*\0isRequired\";b:1;s:15:\"\0*\0defaultValue\";N;s:14:\"\0*\0constraints\";a:0:{}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:19:\"\0*\0typedDataManager\";N;}}s:19:\"context_definitions\";a:1:{s:6:\"entity\";r:116;}s:2:\"id\";s:11:\"entity_view\";s:7:\"deriver\";s:46:\"Drupal\\ctools\\Plugin\\Deriver\\EntityViewDeriver\";s:5:\"class\";s:37:\"Drupal\\ctools\\Plugin\\Block\\EntityView\";s:8:\"provider\";s:6:\"ctools\";}s:19:\"entity_view:comment\";a:8:{s:11:\"admin_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Entity view (@label)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Comment\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:10:\"\0*\0options\";a:0:{}}s:8:\"category\";s:11:\"Chaos Tools\";s:7:\"context\";a:1:{s:6:\"entity\";O:50:\"Drupal\\Core\\Plugin\\Context\\EntityContextDefinition\":10:{s:11:\"\0*\0dataType\";s:14:\"entity:comment\";s:8:\"\0*\0label\";N;s:14:\"\0*\0description\";N;s:13:\"\0*\0isMultiple\";b:0;s:13:\"\0*\0isRequired\";b:1;s:15:\"\0*\0defaultValue\";N;s:14:\"\0*\0constraints\";a:0:{}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:19:\"\0*\0typedDataManager\";N;}}s:19:\"context_definitions\";a:1:{s:6:\"entity\";r:144;}s:2:\"id\";s:11:\"entity_view\";s:7:\"deriver\";s:46:\"Drupal\\ctools\\Plugin\\Deriver\\EntityViewDeriver\";s:5:\"class\";s:37:\"Drupal\\ctools\\Plugin\\Block\\EntityView\";s:8:\"provider\";s:6:\"ctools\";}s:27:\"entity_view:contact_message\";a:8:{s:11:\"admin_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Entity view (@label)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Contact message\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:10:\"\0*\0options\";a:0:{}}s:8:\"category\";s:11:\"Chaos Tools\";s:7:\"context\";a:1:{s:6:\"entity\";O:50:\"Drupal\\Core\\Plugin\\Context\\EntityContextDefinition\":10:{s:11:\"\0*\0dataType\";s:22:\"entity:contact_message\";s:8:\"\0*\0label\";N;s:14:\"\0*\0description\";N;s:13:\"\0*\0isMultiple\";b:0;s:13:\"\0*\0isRequired\";b:1;s:15:\"\0*\0defaultValue\";N;s:14:\"\0*\0constraints\";a:0:{}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:19:\"\0*\0typedDataManager\";N;}}s:19:\"context_definitions\";a:1:{s:6:\"entity\";r:172;}s:2:\"id\";s:11:\"entity_view\";s:7:\"deriver\";s:46:\"Drupal\\ctools\\Plugin\\Deriver\\EntityViewDeriver\";s:5:\"class\";s:37:\"Drupal\\ctools\\Plugin\\Block\\EntityView\";s:8:\"provider\";s:6:\"ctools\";}s:16:\"entity_view:file\";a:8:{s:11:\"admin_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Entity view (@label)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"File\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:10:\"\0*\0options\";a:0:{}}s:8:\"category\";s:11:\"Chaos Tools\";s:7:\"context\";a:1:{s:6:\"entity\";O:50:\"Drupal\\Core\\Plugin\\Context\\EntityContextDefinition\":10:{s:11:\"\0*\0dataType\";s:11:\"entity:file\";s:8:\"\0*\0label\";N;s:14:\"\0*\0description\";N;s:13:\"\0*\0isMultiple\";b:0;s:13:\"\0*\0isRequired\";b:1;s:15:\"\0*\0defaultValue\";N;s:14:\"\0*\0constraints\";a:0:{}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:19:\"\0*\0typedDataManager\";N;}}s:19:\"context_definitions\";a:1:{s:6:\"entity\";r:200;}s:2:\"id\";s:11:\"entity_view\";s:7:\"deriver\";s:46:\"Drupal\\ctools\\Plugin\\Deriver\\EntityViewDeriver\";s:5:\"class\";s:37:\"Drupal\\ctools\\Plugin\\Block\\EntityView\";s:8:\"provider\";s:6:\"ctools\";}s:16:\"entity_view:node\";a:8:{s:11:\"admin_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Entity view (@label)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:10:\"\0*\0options\";a:0:{}}s:8:\"category\";s:11:\"Chaos Tools\";s:7:\"context\";a:1:{s:6:\"entity\";O:50:\"Drupal\\Core\\Plugin\\Context\\EntityContextDefinition\":10:{s:11:\"\0*\0dataType\";s:11:\"entity:node\";s:8:\"\0*\0label\";N;s:14:\"\0*\0description\";N;s:13:\"\0*\0isMultiple\";b:0;s:13:\"\0*\0isRequired\";b:1;s:15:\"\0*\0defaultValue\";N;s:14:\"\0*\0constraints\";a:0:{}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:19:\"\0*\0typedDataManager\";N;}}s:19:\"context_definitions\";a:1:{s:6:\"entity\";r:228;}s:2:\"id\";s:11:\"entity_view\";s:7:\"deriver\";s:46:\"Drupal\\ctools\\Plugin\\Deriver\\EntityViewDeriver\";s:5:\"class\";s:37:\"Drupal\\ctools\\Plugin\\Block\\EntityView\";s:8:\"provider\";s:6:\"ctools\";}s:22:\"entity_view:path_alias\";a:8:{s:11:\"admin_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Entity view (@label)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"URL alias\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:10:\"\0*\0options\";a:0:{}}s:8:\"category\";s:11:\"Chaos Tools\";s:7:\"context\";a:1:{s:6:\"entity\";O:50:\"Drupal\\Core\\Plugin\\Context\\EntityContextDefinition\":10:{s:11:\"\0*\0dataType\";s:17:\"entity:path_alias\";s:8:\"\0*\0label\";N;s:14:\"\0*\0description\";N;s:13:\"\0*\0isMultiple\";b:0;s:13:\"\0*\0isRequired\";b:1;s:15:\"\0*\0defaultValue\";N;s:14:\"\0*\0constraints\";a:0:{}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:19:\"\0*\0typedDataManager\";N;}}s:19:\"context_definitions\";a:1:{s:6:\"entity\";r:256;}s:2:\"id\";s:11:\"entity_view\";s:7:\"deriver\";s:46:\"Drupal\\ctools\\Plugin\\Deriver\\EntityViewDeriver\";s:5:\"class\";s:37:\"Drupal\\ctools\\Plugin\\Block\\EntityView\";s:8:\"provider\";s:6:\"ctools\";}s:20:\"entity_view:shortcut\";a:8:{s:11:\"admin_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Entity view (@label)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Shortcut link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:10:\"\0*\0options\";a:0:{}}s:8:\"category\";s:11:\"Chaos Tools\";s:7:\"context\";a:1:{s:6:\"entity\";O:50:\"Drupal\\Core\\Plugin\\Context\\EntityContextDefinition\":10:{s:11:\"\0*\0dataType\";s:15:\"entity:shortcut\";s:8:\"\0*\0label\";N;s:14:\"\0*\0description\";N;s:13:\"\0*\0isMultiple\";b:0;s:13:\"\0*\0isRequired\";b:1;s:15:\"\0*\0defaultValue\";N;s:14:\"\0*\0constraints\";a:0:{}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:19:\"\0*\0typedDataManager\";N;}}s:19:\"context_definitions\";a:1:{s:6:\"entity\";r:284;}s:2:\"id\";s:11:\"entity_view\";s:7:\"deriver\";s:46:\"Drupal\\ctools\\Plugin\\Deriver\\EntityViewDeriver\";s:5:\"class\";s:37:\"Drupal\\ctools\\Plugin\\Block\\EntityView\";s:8:\"provider\";s:6:\"ctools\";}s:33:\"entity_view:simplenews_subscriber\";a:8:{s:11:\"admin_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Entity view (@label)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Simplenews subscriber\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:10:\"\0*\0options\";a:0:{}}s:8:\"category\";s:11:\"Chaos Tools\";s:7:\"context\";a:1:{s:6:\"entity\";O:50:\"Drupal\\Core\\Plugin\\Context\\EntityContextDefinition\":10:{s:11:\"\0*\0dataType\";s:28:\"entity:simplenews_subscriber\";s:8:\"\0*\0label\";N;s:14:\"\0*\0description\";N;s:13:\"\0*\0isMultiple\";b:0;s:13:\"\0*\0isRequired\";b:1;s:15:\"\0*\0defaultValue\";N;s:14:\"\0*\0constraints\";a:0:{}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:19:\"\0*\0typedDataManager\";N;}}s:19:\"context_definitions\";a:1:{s:6:\"entity\";r:312;}s:2:\"id\";s:11:\"entity_view\";s:7:\"deriver\";s:46:\"Drupal\\ctools\\Plugin\\Deriver\\EntityViewDeriver\";s:5:\"class\";s:37:\"Drupal\\ctools\\Plugin\\Block\\EntityView\";s:8:\"provider\";s:6:\"ctools\";}s:25:\"entity_view:taxonomy_term\";a:8:{s:11:\"admin_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Entity view (@label)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Taxonomy term\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:10:\"\0*\0options\";a:0:{}}s:8:\"category\";s:11:\"Chaos Tools\";s:7:\"context\";a:1:{s:6:\"entity\";O:50:\"Drupal\\Core\\Plugin\\Context\\EntityContextDefinition\":10:{s:11:\"\0*\0dataType\";s:20:\"entity:taxonomy_term\";s:8:\"\0*\0label\";N;s:14:\"\0*\0description\";N;s:13:\"\0*\0isMultiple\";b:0;s:13:\"\0*\0isRequired\";b:1;s:15:\"\0*\0defaultValue\";N;s:14:\"\0*\0constraints\";a:0:{}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:19:\"\0*\0typedDataManager\";N;}}s:19:\"context_definitions\";a:1:{s:6:\"entity\";r:340;}s:2:\"id\";s:11:\"entity_view\";s:7:\"deriver\";s:46:\"Drupal\\ctools\\Plugin\\Deriver\\EntityViewDeriver\";s:5:\"class\";s:37:\"Drupal\\ctools\\Plugin\\Block\\EntityView\";s:8:\"provider\";s:6:\"ctools\";}s:16:\"entity_view:tour\";a:8:{s:11:\"admin_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Entity view (@label)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Tour\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:10:\"\0*\0options\";a:0:{}}s:8:\"category\";s:11:\"Chaos Tools\";s:7:\"context\";a:1:{s:6:\"entity\";O:50:\"Drupal\\Core\\Plugin\\Context\\EntityContextDefinition\":10:{s:11:\"\0*\0dataType\";s:11:\"entity:tour\";s:8:\"\0*\0label\";N;s:14:\"\0*\0description\";N;s:13:\"\0*\0isMultiple\";b:0;s:13:\"\0*\0isRequired\";b:1;s:15:\"\0*\0defaultValue\";N;s:14:\"\0*\0constraints\";a:0:{}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:19:\"\0*\0typedDataManager\";N;}}s:19:\"context_definitions\";a:1:{s:6:\"entity\";r:368;}s:2:\"id\";s:11:\"entity_view\";s:7:\"deriver\";s:46:\"Drupal\\ctools\\Plugin\\Deriver\\EntityViewDeriver\";s:5:\"class\";s:37:\"Drupal\\ctools\\Plugin\\Block\\EntityView\";s:8:\"provider\";s:6:\"ctools\";}s:16:\"entity_view:user\";a:8:{s:11:\"admin_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Entity view (@label)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"User\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:10:\"\0*\0options\";a:0:{}}s:8:\"category\";s:11:\"Chaos Tools\";s:7:\"context\";a:1:{s:6:\"entity\";O:50:\"Drupal\\Core\\Plugin\\Context\\EntityContextDefinition\":10:{s:11:\"\0*\0dataType\";s:11:\"entity:user\";s:8:\"\0*\0label\";N;s:14:\"\0*\0description\";N;s:13:\"\0*\0isMultiple\";b:0;s:13:\"\0*\0isRequired\";b:1;s:15:\"\0*\0defaultValue\";N;s:14:\"\0*\0constraints\";a:0:{}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:19:\"\0*\0typedDataManager\";N;}}s:19:\"context_definitions\";a:1:{s:6:\"entity\";r:396;}s:2:\"id\";s:11:\"entity_view\";s:7:\"deriver\";s:46:\"Drupal\\ctools\\Plugin\\Deriver\\EntityViewDeriver\";s:5:\"class\";s:37:\"Drupal\\ctools\\Plugin\\Block\\EntityView\";s:8:\"provider\";s:6:\"ctools\";}s:29:\"entity_view:menu_link_content\";a:8:{s:11:\"admin_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Entity view (@label)\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Custom menu link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:10:\"\0*\0options\";a:0:{}}s:8:\"category\";s:11:\"Chaos Tools\";s:7:\"context\";a:1:{s:6:\"entity\";O:50:\"Drupal\\Core\\Plugin\\Context\\EntityContextDefinition\":10:{s:11:\"\0*\0dataType\";s:24:\"entity:menu_link_content\";s:8:\"\0*\0label\";N;s:14:\"\0*\0description\";N;s:13:\"\0*\0isMultiple\";b:0;s:13:\"\0*\0isRequired\";b:1;s:15:\"\0*\0defaultValue\";N;s:14:\"\0*\0constraints\";a:0:{}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:19:\"\0*\0typedDataManager\";N;}}s:19:\"context_definitions\";a:1:{s:6:\"entity\";r:424;}s:2:\"id\";s:11:\"entity_view\";s:7:\"deriver\";s:46:\"Drupal\\ctools\\Plugin\\Deriver\\EntityViewDeriver\";s:5:\"class\";s:37:\"Drupal\\ctools\\Plugin\\Block\\EntityView\";s:8:\"provider\";s:6:\"ctools\";}s:10:\"help_block\";a:8:{s:11:\"admin_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Help\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"category\";s:4:\"Help\";s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:10:\"help_block\";s:5:\"forms\";a:1:{s:13:\"settings_tray\";b:0;}s:5:\"class\";s:34:\"Drupal\\help\\Plugin\\Block\\HelpBlock\";s:8:\"provider\";s:4:\"help\";}s:33:\"language_block:language_interface\";a:8:{s:11:\"admin_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Language switcher\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"System\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:14:\"language_block\";s:7:\"deriver\";s:47:\"Drupal\\language\\Plugin\\Derivative\\LanguageBlock\";s:5:\"class\";s:42:\"Drupal\\language\\Plugin\\Block\\LanguageBlock\";s:8:\"provider\";s:8:\"language\";}s:20:\"node_syndicate_block\";a:7:{s:11:\"admin_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Syndicate\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"System\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:20:\"node_syndicate_block\";s:5:\"class\";s:39:\"Drupal\\node\\Plugin\\Block\\SyndicateBlock\";s:8:\"provider\";s:4:\"node\";}s:17:\"search_form_block\";a:7:{s:11:\"admin_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Search form\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Forms\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:17:\"search_form_block\";s:5:\"class\";s:38:\"Drupal\\search\\Plugin\\Block\\SearchBlock\";s:8:\"provider\";s:6:\"search\";}s:22:\"sharethis_widget_block\";a:7:{s:11:\"admin_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Sharethis Widget\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Widgets\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:22:\"sharethis_widget_block\";s:5:\"class\";s:50:\"Drupal\\sharethis\\Plugin\\Block\\SharethisWidgetBlock\";s:8:\"provider\";s:9:\"sharethis\";}s:15:\"sharethis_block\";a:7:{s:11:\"admin_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Sharethis\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"category\";s:9:\"ShareThis\";s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:15:\"sharethis_block\";s:5:\"class\";s:44:\"Drupal\\sharethis\\Plugin\\Block\\SharethisBlock\";s:8:\"provider\";s:9:\"sharethis\";}s:9:\"shortcuts\";a:7:{s:11:\"admin_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Shortcuts\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Menus\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:9:\"shortcuts\";s:5:\"class\";s:43:\"Drupal\\shortcut\\Plugin\\Block\\ShortcutsBlock\";s:8:\"provider\";s:8:\"shortcut\";}s:29:\"simplenews_subscription_block\";a:7:{s:11:\"admin_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"Simplenews subscription\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Simplenews\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:29:\"simplenews_subscription_block\";s:5:\"class\";s:58:\"Drupal\\simplenews\\Plugin\\Block\\SimplenewsSubscriptionBlock\";s:8:\"provider\";s:10:\"simplenews\";}s:23:\"system_breadcrumb_block\";a:7:{s:11:\"admin_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Breadcrumbs\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"category\";s:6:\"System\";s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:23:\"system_breadcrumb_block\";s:5:\"class\";s:48:\"Drupal\\system\\Plugin\\Block\\SystemBreadcrumbBlock\";s:8:\"provider\";s:6:\"system\";}s:21:\"system_branding_block\";a:8:{s:11:\"admin_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Site branding\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"category\";s:6:\"System\";s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:21:\"system_branding_block\";s:5:\"forms\";a:1:{s:13:\"settings_tray\";s:46:\"Drupal\\system\\Form\\SystemBrandingOffCanvasForm\";}s:5:\"class\";s:46:\"Drupal\\system\\Plugin\\Block\\SystemBrandingBlock\";s:8:\"provider\";s:6:\"system\";}s:25:\"system_menu_block:account\";a:10:{s:11:\"admin_label\";s:17:\"User account menu\";s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Menus\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:17:\"system_menu_block\";s:7:\"deriver\";s:47:\"Drupal\\system\\Plugin\\Derivative\\SystemMenuBlock\";s:5:\"forms\";a:1:{s:13:\"settings_tray\";s:43:\"\\Drupal\\system\\Form\\SystemMenuOffCanvasForm\";}s:5:\"class\";s:42:\"Drupal\\system\\Plugin\\Block\\SystemMenuBlock\";s:8:\"provider\";s:6:\"system\";s:19:\"config_dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:19:\"system.menu.account\";}}}s:23:\"system_menu_block:admin\";a:10:{s:11:\"admin_label\";s:14:\"Administration\";s:8:\"category\";r:576;s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:17:\"system_menu_block\";s:7:\"deriver\";s:47:\"Drupal\\system\\Plugin\\Derivative\\SystemMenuBlock\";s:5:\"forms\";a:1:{s:13:\"settings_tray\";s:43:\"\\Drupal\\system\\Form\\SystemMenuOffCanvasForm\";}s:5:\"class\";s:42:\"Drupal\\system\\Plugin\\Block\\SystemMenuBlock\";s:8:\"provider\";s:6:\"system\";s:19:\"config_dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:17:\"system.menu.admin\";}}}s:24:\"system_menu_block:footer\";a:10:{s:11:\"admin_label\";s:6:\"Footer\";s:8:\"category\";r:576;s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:17:\"system_menu_block\";s:7:\"deriver\";s:47:\"Drupal\\system\\Plugin\\Derivative\\SystemMenuBlock\";s:5:\"forms\";a:1:{s:13:\"settings_tray\";s:43:\"\\Drupal\\system\\Form\\SystemMenuOffCanvasForm\";}s:5:\"class\";s:42:\"Drupal\\system\\Plugin\\Block\\SystemMenuBlock\";s:8:\"provider\";s:6:\"system\";s:19:\"config_dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:18:\"system.menu.footer\";}}}s:22:\"system_menu_block:main\";a:10:{s:11:\"admin_label\";s:15:\"Main navigation\";s:8:\"category\";r:576;s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:17:\"system_menu_block\";s:7:\"deriver\";s:47:\"Drupal\\system\\Plugin\\Derivative\\SystemMenuBlock\";s:5:\"forms\";a:1:{s:13:\"settings_tray\";s:43:\"\\Drupal\\system\\Form\\SystemMenuOffCanvasForm\";}s:5:\"class\";s:42:\"Drupal\\system\\Plugin\\Block\\SystemMenuBlock\";s:8:\"provider\";s:6:\"system\";s:19:\"config_dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:16:\"system.menu.main\";}}}s:23:\"system_menu_block:quick\";a:10:{s:11:\"admin_label\";s:11:\"Quick links\";s:8:\"category\";r:576;s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:17:\"system_menu_block\";s:7:\"deriver\";s:47:\"Drupal\\system\\Plugin\\Derivative\\SystemMenuBlock\";s:5:\"forms\";a:1:{s:13:\"settings_tray\";s:43:\"\\Drupal\\system\\Form\\SystemMenuOffCanvasForm\";}s:5:\"class\";s:42:\"Drupal\\system\\Plugin\\Block\\SystemMenuBlock\";s:8:\"provider\";s:6:\"system\";s:19:\"config_dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:17:\"system.menu.quick\";}}}s:23:\"system_menu_block:tools\";a:10:{s:11:\"admin_label\";s:5:\"Tools\";s:8:\"category\";r:576;s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:17:\"system_menu_block\";s:7:\"deriver\";s:47:\"Drupal\\system\\Plugin\\Derivative\\SystemMenuBlock\";s:5:\"forms\";a:1:{s:13:\"settings_tray\";s:43:\"\\Drupal\\system\\Form\\SystemMenuOffCanvasForm\";}s:5:\"class\";s:42:\"Drupal\\system\\Plugin\\Block\\SystemMenuBlock\";s:8:\"provider\";s:6:\"system\";s:19:\"config_dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:17:\"system.menu.tools\";}}}s:21:\"system_messages_block\";a:7:{s:11:\"admin_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Messages\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"category\";s:6:\"System\";s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:21:\"system_messages_block\";s:5:\"class\";s:46:\"Drupal\\system\\Plugin\\Block\\SystemMessagesBlock\";s:8:\"provider\";s:6:\"system\";}s:17:\"system_main_block\";a:8:{s:11:\"admin_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Main page content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"category\";s:6:\"System\";s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:17:\"system_main_block\";s:5:\"forms\";a:1:{s:13:\"settings_tray\";b:0;}s:5:\"class\";s:42:\"Drupal\\system\\Plugin\\Block\\SystemMainBlock\";s:8:\"provider\";s:6:\"system\";}s:23:\"system_powered_by_block\";a:7:{s:11:\"admin_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Powered by Drupal\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"category\";s:6:\"System\";s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:23:\"system_powered_by_block\";s:5:\"class\";s:47:\"Drupal\\system\\Plugin\\Block\\SystemPoweredByBlock\";s:8:\"provider\";s:6:\"system\";}s:16:\"user_login_block\";a:7:{s:11:\"admin_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"User login\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Forms\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:16:\"user_login_block\";s:5:\"class\";s:39:\"Drupal\\user\\Plugin\\Block\\UserLoginBlock\";s:8:\"provider\";s:4:\"user\";}s:23:\"we_megamenu_block:admin\";a:8:{s:11:\"admin_label\";s:14:\"Administration\";s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Drupal 8 Mega Menu\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:17:\"we_megamenu_block\";s:7:\"deriver\";s:52:\"Drupal\\we_megamenu\\Plugin\\Derivative\\WeMegaMenuBlock\";s:5:\"class\";s:47:\"Drupal\\we_megamenu\\Plugin\\Block\\WeMegaMenuBlock\";s:8:\"provider\";s:11:\"we_megamenu\";}s:24:\"we_megamenu_block:footer\";a:8:{s:11:\"admin_label\";s:6:\"Footer\";s:8:\"category\";r:712;s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:17:\"we_megamenu_block\";s:7:\"deriver\";s:52:\"Drupal\\we_megamenu\\Plugin\\Derivative\\WeMegaMenuBlock\";s:5:\"class\";s:47:\"Drupal\\we_megamenu\\Plugin\\Block\\WeMegaMenuBlock\";s:8:\"provider\";s:11:\"we_megamenu\";}s:22:\"we_megamenu_block:main\";a:8:{s:11:\"admin_label\";s:15:\"Main navigation\";s:8:\"category\";r:712;s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:17:\"we_megamenu_block\";s:7:\"deriver\";s:52:\"Drupal\\we_megamenu\\Plugin\\Derivative\\WeMegaMenuBlock\";s:5:\"class\";s:47:\"Drupal\\we_megamenu\\Plugin\\Block\\WeMegaMenuBlock\";s:8:\"provider\";s:11:\"we_megamenu\";}s:23:\"we_megamenu_block:quick\";a:8:{s:11:\"admin_label\";s:11:\"Quick links\";s:8:\"category\";r:712;s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:17:\"we_megamenu_block\";s:7:\"deriver\";s:52:\"Drupal\\we_megamenu\\Plugin\\Derivative\\WeMegaMenuBlock\";s:5:\"class\";s:47:\"Drupal\\we_megamenu\\Plugin\\Block\\WeMegaMenuBlock\";s:8:\"provider\";s:11:\"we_megamenu\";}s:23:\"we_megamenu_block:tools\";a:8:{s:11:\"admin_label\";s:5:\"Tools\";s:8:\"category\";r:712;s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:17:\"we_megamenu_block\";s:7:\"deriver\";s:52:\"Drupal\\we_megamenu\\Plugin\\Derivative\\WeMegaMenuBlock\";s:5:\"class\";s:47:\"Drupal\\we_megamenu\\Plugin\\Block\\WeMegaMenuBlock\";s:8:\"provider\";s:11:\"we_megamenu\";}s:25:\"we_megamenu_block:account\";a:8:{s:11:\"admin_label\";s:17:\"User account menu\";s:8:\"category\";r:712;s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:17:\"we_megamenu_block\";s:7:\"deriver\";s:52:\"Drupal\\we_megamenu\\Plugin\\Derivative\\WeMegaMenuBlock\";s:5:\"class\";s:47:\"Drupal\\we_megamenu\\Plugin\\Block\\WeMegaMenuBlock\";s:8:\"provider\";s:11:\"we_megamenu\";}s:29:\"views_block:frontpage-block_1\";a:9:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Lists (Views)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"admin_label\";s:9:\"Frontpage\";s:19:\"config_dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:20:\"views.view.frontpage\";}}s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:11:\"views_block\";s:7:\"deriver\";s:41:\"Drupal\\views\\Plugin\\Derivative\\ViewsBlock\";s:5:\"class\";s:36:\"Drupal\\views\\Plugin\\Block\\ViewsBlock\";s:8:\"provider\";s:5:\"views\";}s:28:\"views_block:about_us-block_1\";a:9:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Lists (Views)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"admin_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"@view: @display\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@view\";s:8:\"About us\";s:8:\"@display\";s:8:\"About us\";}s:10:\"\0*\0options\";a:0:{}}s:19:\"config_dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:19:\"views.view.about_us\";}}s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:11:\"views_block\";s:7:\"deriver\";s:41:\"Drupal\\views\\Plugin\\Derivative\\ViewsBlock\";s:5:\"class\";s:36:\"Drupal\\views\\Plugin\\Block\\ViewsBlock\";s:8:\"provider\";s:5:\"views\";}s:26:\"views_block:banner-block_1\";a:9:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Lists (Views)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"admin_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"@view: @display\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@view\";s:6:\"Banner\";s:8:\"@display\";s:11:\"Blog banner\";}s:10:\"\0*\0options\";a:0:{}}s:19:\"config_dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:17:\"views.view.banner\";}}s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:11:\"views_block\";s:7:\"deriver\";s:41:\"Drupal\\views\\Plugin\\Derivative\\ViewsBlock\";s:5:\"class\";s:36:\"Drupal\\views\\Plugin\\Block\\ViewsBlock\";s:8:\"provider\";s:5:\"views\";}s:26:\"views_block:banner-block_2\";a:9:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Lists (Views)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"admin_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"@view: @display\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@view\";s:6:\"Banner\";s:8:\"@display\";s:15:\"Porfolio banner\";}s:10:\"\0*\0options\";a:0:{}}s:19:\"config_dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:17:\"views.view.banner\";}}s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:11:\"views_block\";s:7:\"deriver\";s:41:\"Drupal\\views\\Plugin\\Derivative\\ViewsBlock\";s:5:\"class\";s:36:\"Drupal\\views\\Plugin\\Block\\ViewsBlock\";s:8:\"provider\";s:5:\"views\";}s:26:\"views_block:banner-block_3\";a:9:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Lists (Views)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"admin_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"@view: @display\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@view\";s:6:\"Banner\";s:8:\"@display\";s:16:\"Blog page banner\";}s:10:\"\0*\0options\";a:0:{}}s:19:\"config_dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:17:\"views.view.banner\";}}s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:11:\"views_block\";s:7:\"deriver\";s:41:\"Drupal\\views\\Plugin\\Derivative\\ViewsBlock\";s:5:\"class\";s:36:\"Drupal\\views\\Plugin\\Block\\ViewsBlock\";s:8:\"provider\";s:5:\"views\";}s:26:\"views_block:banner-block_4\";a:9:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Lists (Views)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"admin_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"@view: @display\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@view\";s:6:\"Banner\";s:8:\"@display\";s:20:\"About us page banner\";}s:10:\"\0*\0options\";a:0:{}}s:19:\"config_dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:17:\"views.view.banner\";}}s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:11:\"views_block\";s:7:\"deriver\";s:41:\"Drupal\\views\\Plugin\\Derivative\\ViewsBlock\";s:5:\"class\";s:36:\"Drupal\\views\\Plugin\\Block\\ViewsBlock\";s:8:\"provider\";s:5:\"views\";}s:26:\"views_block:banner-block_5\";a:9:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Lists (Views)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"admin_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"@view: @display\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@view\";s:6:\"Banner\";s:8:\"@display\";s:20:\"Services page banner\";}s:10:\"\0*\0options\";a:0:{}}s:19:\"config_dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:17:\"views.view.banner\";}}s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:11:\"views_block\";s:7:\"deriver\";s:41:\"Drupal\\views\\Plugin\\Derivative\\ViewsBlock\";s:5:\"class\";s:36:\"Drupal\\views\\Plugin\\Block\\ViewsBlock\";s:8:\"provider\";s:5:\"views\";}s:26:\"views_block:banner-block_6\";a:9:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Lists (Views)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"admin_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"@view: @display\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@view\";s:6:\"Banner\";s:8:\"@display\";s:19:\"Contact page banner\";}s:10:\"\0*\0options\";a:0:{}}s:19:\"config_dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:17:\"views.view.banner\";}}s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:11:\"views_block\";s:7:\"deriver\";s:41:\"Drupal\\views\\Plugin\\Derivative\\ViewsBlock\";s:5:\"class\";s:36:\"Drupal\\views\\Plugin\\Block\\ViewsBlock\";s:8:\"provider\";s:5:\"views\";}s:26:\"views_block:banner-block_7\";a:9:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Lists (Views)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"admin_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"@view: @display\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@view\";s:6:\"Banner\";s:8:\"@display\";s:16:\"User page banner\";}s:10:\"\0*\0options\";a:0:{}}s:19:\"config_dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:17:\"views.view.banner\";}}s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:11:\"views_block\";s:7:\"deriver\";s:41:\"Drupal\\views\\Plugin\\Derivative\\ViewsBlock\";s:5:\"class\";s:36:\"Drupal\\views\\Plugin\\Block\\ViewsBlock\";s:8:\"provider\";s:5:\"views\";}s:32:\"views_block:blog_details-block_1\";a:9:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Lists (Views)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"admin_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"@view: @display\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@view\";s:12:\"Blog details\";s:8:\"@display\";s:10:\"Blog Image\";}s:10:\"\0*\0options\";a:0:{}}s:19:\"config_dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:23:\"views.view.blog_details\";}}s:19:\"context_definitions\";a:1:{s:3:\"nid\";O:44:\"Drupal\\Core\\Plugin\\Context\\ContextDefinition\":10:{s:11:\"\0*\0dataType\";s:7:\"integer\";s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@group: @title\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"@title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0description\";N;s:13:\"\0*\0isMultiple\";b:0;s:13:\"\0*\0isRequired\";b:0;s:15:\"\0*\0defaultValue\";N;s:14:\"\0*\0constraints\";a:0:{}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:19:\"\0*\0typedDataManager\";N;}}s:7:\"context\";a:1:{s:3:\"nid\";r:957;}s:2:\"id\";s:11:\"views_block\";s:7:\"deriver\";s:41:\"Drupal\\views\\Plugin\\Derivative\\ViewsBlock\";s:5:\"class\";s:36:\"Drupal\\views\\Plugin\\Block\\ViewsBlock\";s:8:\"provider\";s:5:\"views\";}s:32:\"views_block:blog_details-block_3\";a:9:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Lists (Views)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"admin_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"@view: @display\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@view\";s:12:\"Blog details\";s:8:\"@display\";s:9:\"Blog time\";}s:10:\"\0*\0options\";a:0:{}}s:19:\"config_dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:23:\"views.view.blog_details\";}}s:19:\"context_definitions\";a:1:{s:3:\"nid\";O:44:\"Drupal\\Core\\Plugin\\Context\\ContextDefinition\":10:{s:11:\"\0*\0dataType\";s:7:\"integer\";s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@group: @title\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@group\";r:962;s:6:\"@title\";r:966;}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0description\";N;s:13:\"\0*\0isMultiple\";b:0;s:13:\"\0*\0isRequired\";b:0;s:15:\"\0*\0defaultValue\";N;s:14:\"\0*\0constraints\";a:0:{}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:19:\"\0*\0typedDataManager\";N;}}s:7:\"context\";a:1:{s:3:\"nid\";r:1000;}s:2:\"id\";s:11:\"views_block\";s:7:\"deriver\";s:41:\"Drupal\\views\\Plugin\\Derivative\\ViewsBlock\";s:5:\"class\";s:36:\"Drupal\\views\\Plugin\\Block\\ViewsBlock\";s:8:\"provider\";s:5:\"views\";}s:29:\"views_block:blog_page-block_1\";a:9:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Lists (Views)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"admin_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"@view: @display\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@view\";s:9:\"Blog page\";s:8:\"@display\";s:12:\"Recent posts\";}s:10:\"\0*\0options\";a:0:{}}s:19:\"config_dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:20:\"views.view.blog_page\";}}s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:11:\"views_block\";s:7:\"deriver\";s:41:\"Drupal\\views\\Plugin\\Derivative\\ViewsBlock\";s:5:\"class\";s:36:\"Drupal\\views\\Plugin\\Block\\ViewsBlock\";s:8:\"provider\";s:5:\"views\";}s:29:\"views_block:blog_page-block_2\";a:9:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Lists (Views)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"admin_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"@view: @display\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@view\";s:9:\"Blog page\";s:8:\"@display\";s:9:\"Blog news\";}s:10:\"\0*\0options\";a:0:{}}s:19:\"config_dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:20:\"views.view.blog_page\";}}s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:11:\"views_block\";s:7:\"deriver\";s:41:\"Drupal\\views\\Plugin\\Derivative\\ViewsBlock\";s:5:\"class\";s:36:\"Drupal\\views\\Plugin\\Block\\ViewsBlock\";s:8:\"provider\";s:5:\"views\";}s:29:\"views_block:blog_page-block_3\";a:9:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Lists (Views)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"admin_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"@view: @display\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@view\";s:9:\"Blog page\";s:8:\"@display\";s:11:\"Latest news\";}s:10:\"\0*\0options\";a:0:{}}s:19:\"config_dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:20:\"views.view.blog_page\";}}s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:11:\"views_block\";s:7:\"deriver\";s:41:\"Drupal\\views\\Plugin\\Derivative\\ViewsBlock\";s:5:\"class\";s:36:\"Drupal\\views\\Plugin\\Block\\ViewsBlock\";s:8:\"provider\";s:5:\"views\";}s:33:\"views_block:comment_block-block_1\";a:9:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Lists (Views)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"admin_label\";s:13:\"Comment block\";s:19:\"config_dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:24:\"views.view.comment_block\";}}s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:11:\"views_block\";s:7:\"deriver\";s:41:\"Drupal\\views\\Plugin\\Derivative\\ViewsBlock\";s:5:\"class\";s:36:\"Drupal\\views\\Plugin\\Block\\ViewsBlock\";s:8:\"provider\";s:5:\"views\";}s:35:\"views_block:comments_recent-block_1\";a:9:{s:8:\"category\";s:13:\"Lists (Views)\";s:11:\"admin_label\";s:15:\"Recent comments\";s:19:\"config_dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:26:\"views.view.comments_recent\";}}s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:11:\"views_block\";s:7:\"deriver\";s:41:\"Drupal\\views\\Plugin\\Derivative\\ViewsBlock\";s:5:\"class\";s:36:\"Drupal\\views\\Plugin\\Block\\ViewsBlock\";s:8:\"provider\";s:5:\"views\";}s:34:\"views_block:content_recent-block_1\";a:9:{s:8:\"category\";r:1083;s:11:\"admin_label\";s:14:\"Recent content\";s:19:\"config_dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:25:\"views.view.content_recent\";}}s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:11:\"views_block\";s:7:\"deriver\";s:41:\"Drupal\\views\\Plugin\\Derivative\\ViewsBlock\";s:5:\"class\";s:36:\"Drupal\\views\\Plugin\\Block\\ViewsBlock\";s:8:\"provider\";s:5:\"views\";}s:31:\"views_block:our_mission-block_1\";a:9:{s:8:\"category\";r:803;s:11:\"admin_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"@view: @display\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@view\";s:11:\"Our mission\";s:8:\"@display\";s:11:\"Our mission\";}s:10:\"\0*\0options\";a:0:{}}s:19:\"config_dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:22:\"views.view.our_mission\";}}s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:11:\"views_block\";s:7:\"deriver\";s:41:\"Drupal\\views\\Plugin\\Derivative\\ViewsBlock\";s:5:\"class\";s:36:\"Drupal\\views\\Plugin\\Block\\ViewsBlock\";s:8:\"provider\";s:5:\"views\";}s:32:\"views_block:our_partners-block_1\";a:9:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Lists (Views)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"admin_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"@view: @display\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@view\";s:12:\"Our partners\";s:8:\"@display\";s:12:\"Our partners\";}s:10:\"\0*\0options\";a:0:{}}s:19:\"config_dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:23:\"views.view.our_partners\";}}s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:11:\"views_block\";s:7:\"deriver\";s:41:\"Drupal\\views\\Plugin\\Derivative\\ViewsBlock\";s:5:\"class\";s:36:\"Drupal\\views\\Plugin\\Block\\ViewsBlock\";s:8:\"provider\";s:5:\"views\";}s:32:\"views_block:our_services-block_1\";a:9:{s:8:\"category\";r:1083;s:11:\"admin_label\";s:12:\"Our services\";s:19:\"config_dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:23:\"views.view.our_services\";}}s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:11:\"views_block\";s:7:\"deriver\";s:41:\"Drupal\\views\\Plugin\\Derivative\\ViewsBlock\";s:5:\"class\";s:36:\"Drupal\\views\\Plugin\\Block\\ViewsBlock\";s:8:\"provider\";s:5:\"views\";}s:29:\"views_block:portfolio-block_1\";a:9:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Lists (Views)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"admin_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"@view: @display\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@view\";s:9:\"Portfolio\";s:8:\"@display\";s:19:\"Porfolio front page\";}s:10:\"\0*\0options\";a:0:{}}s:19:\"config_dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:20:\"views.view.portfolio\";}}s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:11:\"views_block\";s:7:\"deriver\";s:41:\"Drupal\\views\\Plugin\\Derivative\\ViewsBlock\";s:5:\"class\";s:36:\"Drupal\\views\\Plugin\\Block\\ViewsBlock\";s:8:\"provider\";s:5:\"views\";}s:29:\"views_block:slideshow-block_1\";a:9:{s:8:\"category\";r:1083;s:11:\"admin_label\";s:9:\"Slideshow\";s:19:\"config_dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:20:\"views.view.slideshow\";}}s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:11:\"views_block\";s:7:\"deriver\";s:41:\"Drupal\\views\\Plugin\\Derivative\\ViewsBlock\";s:5:\"class\";s:36:\"Drupal\\views\\Plugin\\Block\\ViewsBlock\";s:8:\"provider\";s:5:\"views\";}s:24:\"views_block:tags-block_1\";a:9:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Lists (Views)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"admin_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"@view: @display\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@view\";s:4:\"Tags\";s:8:\"@display\";s:4:\"Tags\";}s:10:\"\0*\0options\";a:0:{}}s:19:\"config_dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:15:\"views.view.tags\";}}s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:11:\"views_block\";s:7:\"deriver\";s:41:\"Drupal\\views\\Plugin\\Derivative\\ViewsBlock\";s:5:\"class\";s:36:\"Drupal\\views\\Plugin\\Block\\ViewsBlock\";s:8:\"provider\";s:5:\"views\";}s:36:\"views_block:user_page_banner-block_1\";a:9:{s:8:\"category\";r:1083;s:11:\"admin_label\";s:16:\"User Page Banner\";s:19:\"config_dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:27:\"views.view.user_page_banner\";}}s:19:\"context_definitions\";a:1:{s:3:\"uid\";O:44:\"Drupal\\Core\\Plugin\\Context\\ContextDefinition\":10:{s:11:\"\0*\0dataType\";s:7:\"integer\";s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"@group: @title\";s:12:\"\0*\0arguments\";a:2:{s:6:\"@group\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"User\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"@title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"User ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0description\";N;s:13:\"\0*\0isMultiple\";b:0;s:13:\"\0*\0isRequired\";b:0;s:15:\"\0*\0defaultValue\";N;s:14:\"\0*\0constraints\";a:0:{}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:19:\"\0*\0typedDataManager\";N;}}s:7:\"context\";a:1:{s:3:\"uid\";r:1229;}s:2:\"id\";s:11:\"views_block\";s:7:\"deriver\";s:41:\"Drupal\\views\\Plugin\\Derivative\\ViewsBlock\";s:5:\"class\";s:36:\"Drupal\\views\\Plugin\\Block\\ViewsBlock\";s:8:\"provider\";s:5:\"views\";}s:29:\"views_block:who_s_new-block_1\";a:9:{s:8:\"category\";s:4:\"User\";s:11:\"admin_label\";s:9:\"Who\'s new\";s:19:\"config_dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:20:\"views.view.who_s_new\";}}s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:11:\"views_block\";s:7:\"deriver\";s:41:\"Drupal\\views\\Plugin\\Derivative\\ViewsBlock\";s:5:\"class\";s:36:\"Drupal\\views\\Plugin\\Block\\ViewsBlock\";s:8:\"provider\";s:5:\"views\";}s:43:\"views_block:who_s_online-who_s_online_block\";a:9:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Lists (Views)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"admin_label\";s:12:\"Who\'s online\";s:19:\"config_dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:23:\"views.view.who_s_online\";}}s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:11:\"views_block\";s:7:\"deriver\";s:41:\"Drupal\\views\\Plugin\\Derivative\\ViewsBlock\";s:5:\"class\";s:36:\"Drupal\\views\\Plugin\\Block\\ViewsBlock\";s:8:\"provider\";s:5:\"views\";}s:33:\"views_block:why_choose_us-block_1\";a:9:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Lists (Views)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"admin_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"@view: @display\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@view\";s:13:\"Why choose us\";s:8:\"@display\";s:13:\"Why choose us\";}s:10:\"\0*\0options\";a:0:{}}s:19:\"config_dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:24:\"views.view.why_choose_us\";}}s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:11:\"views_block\";s:7:\"deriver\";s:41:\"Drupal\\views\\Plugin\\Derivative\\ViewsBlock\";s:5:\"class\";s:36:\"Drupal\\views\\Plugin\\Block\\ViewsBlock\";s:8:\"provider\";s:5:\"views\";}s:33:\"views_block:why_choose_us-block_2\";a:9:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Lists (Views)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"admin_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"@view: @display\";s:12:\"\0*\0arguments\";a:2:{s:5:\"@view\";s:13:\"Why choose us\";s:8:\"@display\";s:20:\"OUR AMAZING FEATURES\";}s:10:\"\0*\0options\";a:0:{}}s:19:\"config_dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:24:\"views.view.why_choose_us\";}}s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:11:\"views_block\";s:7:\"deriver\";s:41:\"Drupal\\views\\Plugin\\Derivative\\ViewsBlock\";s:5:\"class\";s:36:\"Drupal\\views\\Plugin\\Block\\ViewsBlock\";s:8:\"provider\";s:5:\"views\";}s:6:\"broken\";a:7:{s:11:\"admin_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Broken/Missing\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Block\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:6:\"broken\";s:5:\"class\";s:37:\"Drupal\\Core\\Block\\Plugin\\Block\\Broken\";s:8:\"provider\";s:4:\"core\";}s:16:\"page_title_block\";a:8:{s:11:\"admin_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Page title\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"category\";s:4:\"core\";s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:16:\"page_title_block\";s:5:\"forms\";a:1:{s:13:\"settings_tray\";b:0;}s:5:\"class\";s:45:\"Drupal\\Core\\Block\\Plugin\\Block\\PageTitleBlock\";s:8:\"provider\";s:4:\"core\";}s:17:\"local_tasks_block\";a:7:{s:11:\"admin_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Tabs\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"category\";s:4:\"core\";s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:17:\"local_tasks_block\";s:5:\"class\";s:45:\"Drupal\\Core\\Menu\\Plugin\\Block\\LocalTasksBlock\";s:8:\"provider\";s:4:\"core\";}s:19:\"local_actions_block\";a:7:{s:11:\"admin_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Primary admin actions\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"category\";s:4:\"core\";s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:19:\"local_actions_block\";s:5:\"class\";s:47:\"Drupal\\Core\\Menu\\Plugin\\Block\\LocalActionsBlock\";s:8:\"provider\";s:4:\"core\";}}',-1,1636012248.335,1,'','0'),('breakpoints','a:12:{s:32:\"responsive_image.viewport_sizing\";a:8:{s:5:\"label\";s:15:\"Viewport Sizing\";s:10:\"mediaQuery\";s:0:\"\";s:6:\"weight\";i:0;s:11:\"multipliers\";a:1:{i:0;s:2:\"1x\";}s:5:\"group\";s:16:\"responsive_image\";s:5:\"class\";s:28:\"Drupal\\breakpoint\\Breakpoint\";s:2:\"id\";s:32:\"responsive_image.viewport_sizing\";s:8:\"provider\";s:16:\"responsive_image\";}s:14:\"toolbar.narrow\";a:8:{s:5:\"label\";s:6:\"narrow\";s:10:\"mediaQuery\";s:35:\"only screen and (min-width: 16.5em)\";s:6:\"weight\";i:0;s:11:\"multipliers\";a:1:{i:0;s:2:\"1x\";}s:5:\"group\";s:7:\"toolbar\";s:5:\"class\";s:28:\"Drupal\\breakpoint\\Breakpoint\";s:2:\"id\";s:14:\"toolbar.narrow\";s:8:\"provider\";s:7:\"toolbar\";}s:16:\"toolbar.standard\";a:8:{s:5:\"label\";s:8:\"standard\";s:10:\"mediaQuery\";s:37:\"only screen and (min-width: 38.125em)\";s:6:\"weight\";i:1;s:11:\"multipliers\";a:1:{i:0;s:2:\"1x\";}s:5:\"group\";s:7:\"toolbar\";s:5:\"class\";s:28:\"Drupal\\breakpoint\\Breakpoint\";s:2:\"id\";s:16:\"toolbar.standard\";s:8:\"provider\";s:7:\"toolbar\";}s:12:\"toolbar.wide\";a:8:{s:5:\"label\";s:4:\"wide\";s:10:\"mediaQuery\";s:33:\"only screen and (min-width: 61em)\";s:6:\"weight\";i:2;s:11:\"multipliers\";a:1:{i:0;s:2:\"1x\";}s:5:\"group\";s:7:\"toolbar\";s:5:\"class\";s:28:\"Drupal\\breakpoint\\Breakpoint\";s:2:\"id\";s:12:\"toolbar.wide\";s:8:\"provider\";s:7:\"toolbar\";}s:13:\"bartik.mobile\";a:8:{s:5:\"label\";s:6:\"mobile\";s:10:\"mediaQuery\";s:0:\"\";s:6:\"weight\";i:0;s:11:\"multipliers\";a:1:{i:0;s:2:\"1x\";}s:5:\"group\";s:6:\"bartik\";s:5:\"class\";s:28:\"Drupal\\breakpoint\\Breakpoint\";s:2:\"id\";s:13:\"bartik.mobile\";s:8:\"provider\";s:6:\"bartik\";}s:13:\"bartik.narrow\";a:8:{s:5:\"label\";s:6:\"narrow\";s:10:\"mediaQuery\";s:49:\"all and (min-width: 560px) and (max-width: 850px)\";s:6:\"weight\";i:1;s:11:\"multipliers\";a:1:{i:0;s:2:\"1x\";}s:5:\"group\";s:6:\"bartik\";s:5:\"class\";s:28:\"Drupal\\breakpoint\\Breakpoint\";s:2:\"id\";s:13:\"bartik.narrow\";s:8:\"provider\";s:6:\"bartik\";}s:11:\"bartik.wide\";a:8:{s:5:\"label\";s:4:\"wide\";s:10:\"mediaQuery\";s:26:\"all and (min-width: 851px)\";s:6:\"weight\";i:2;s:11:\"multipliers\";a:1:{i:0;s:2:\"1x\";}s:5:\"group\";s:6:\"bartik\";s:5:\"class\";s:28:\"Drupal\\breakpoint\\Breakpoint\";s:2:\"id\";s:11:\"bartik.wide\";s:8:\"provider\";s:6:\"bartik\";}s:12:\"seven.mobile\";a:8:{s:5:\"label\";s:6:\"mobile\";s:10:\"mediaQuery\";s:16:\"(min-width: 0em)\";s:6:\"weight\";i:0;s:11:\"multipliers\";a:1:{i:0;s:2:\"1x\";}s:5:\"group\";s:5:\"seven\";s:5:\"class\";s:28:\"Drupal\\breakpoint\\Breakpoint\";s:2:\"id\";s:12:\"seven.mobile\";s:8:\"provider\";s:5:\"seven\";}s:10:\"seven.wide\";a:8:{s:5:\"label\";s:4:\"wide\";s:10:\"mediaQuery\";s:28:\"screen and (min-width: 40em)\";s:6:\"weight\";i:1;s:11:\"multipliers\";a:1:{i:0;s:2:\"1x\";}s:5:\"group\";s:5:\"seven\";s:5:\"class\";s:28:\"Drupal\\breakpoint\\Breakpoint\";s:2:\"id\";s:10:\"seven.wide\";s:8:\"provider\";s:5:\"seven\";}s:16:\"luxestate.mobile\";a:8:{s:5:\"label\";s:6:\"mobile\";s:10:\"mediaQuery\";s:16:\"(min-width: 0px)\";s:6:\"weight\";i:0;s:11:\"multipliers\";a:1:{i:0;s:2:\"1x\";}s:5:\"group\";s:9:\"luxestate\";s:5:\"class\";s:28:\"Drupal\\breakpoint\\Breakpoint\";s:2:\"id\";s:16:\"luxestate.mobile\";s:8:\"provider\";s:9:\"luxestate\";}s:16:\"luxestate.narrow\";a:8:{s:5:\"label\";s:6:\"narrow\";s:10:\"mediaQuery\";s:49:\"all and (min-width: 560px) and (max-width: 850px)\";s:6:\"weight\";i:1;s:11:\"multipliers\";a:1:{i:0;s:2:\"1x\";}s:5:\"group\";s:9:\"luxestate\";s:5:\"class\";s:28:\"Drupal\\breakpoint\\Breakpoint\";s:2:\"id\";s:16:\"luxestate.narrow\";s:8:\"provider\";s:9:\"luxestate\";}s:14:\"luxestate.wide\";a:8:{s:5:\"label\";s:4:\"wide\";s:10:\"mediaQuery\";s:26:\"all and (min-width: 851px)\";s:6:\"weight\";i:2;s:11:\"multipliers\";a:1:{i:0;s:2:\"1x\";}s:5:\"group\";s:9:\"luxestate\";s:5:\"class\";s:28:\"Drupal\\breakpoint\\Breakpoint\";s:2:\"id\";s:14:\"luxestate.wide\";s:8:\"provider\";s:9:\"luxestate\";}}',-1,1636012248.405,1,'breakpoints','57'),('breakpoints:toolbar','a:3:{s:14:\"toolbar.narrow\";a:8:{s:5:\"label\";s:6:\"narrow\";s:10:\"mediaQuery\";s:35:\"only screen and (min-width: 16.5em)\";s:6:\"weight\";i:0;s:11:\"multipliers\";a:1:{i:0;s:2:\"1x\";}s:5:\"group\";s:7:\"toolbar\";s:5:\"class\";s:28:\"Drupal\\breakpoint\\Breakpoint\";s:2:\"id\";s:14:\"toolbar.narrow\";s:8:\"provider\";s:7:\"toolbar\";}s:16:\"toolbar.standard\";a:8:{s:5:\"label\";s:8:\"standard\";s:10:\"mediaQuery\";s:37:\"only screen and (min-width: 38.125em)\";s:6:\"weight\";i:1;s:11:\"multipliers\";a:1:{i:0;s:2:\"1x\";}s:5:\"group\";s:7:\"toolbar\";s:5:\"class\";s:28:\"Drupal\\breakpoint\\Breakpoint\";s:2:\"id\";s:16:\"toolbar.standard\";s:8:\"provider\";s:7:\"toolbar\";}s:12:\"toolbar.wide\";a:8:{s:5:\"label\";s:4:\"wide\";s:10:\"mediaQuery\";s:33:\"only screen and (min-width: 61em)\";s:6:\"weight\";i:2;s:11:\"multipliers\";a:1:{i:0;s:2:\"1x\";}s:5:\"group\";s:7:\"toolbar\";s:5:\"class\";s:28:\"Drupal\\breakpoint\\Breakpoint\";s:2:\"id\";s:12:\"toolbar.wide\";s:8:\"provider\";s:7:\"toolbar\";}}',-1,1636012248.409,1,'breakpoints','57'),('ckeditor_plugins','a:6:{s:11:\"stylescombo\";a:4:{s:2:\"id\";s:11:\"stylescombo\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Styles dropdown\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:49:\"Drupal\\ckeditor\\Plugin\\CKEditorPlugin\\StylesCombo\";s:8:\"provider\";s:8:\"ckeditor\";}s:11:\"drupalimage\";a:5:{s:2:\"id\";s:11:\"drupalimage\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Image\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:8:\"ckeditor\";s:5:\"class\";s:49:\"Drupal\\ckeditor\\Plugin\\CKEditorPlugin\\DrupalImage\";s:8:\"provider\";s:8:\"ckeditor\";}s:8:\"language\";a:4:{s:2:\"id\";s:8:\"language\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:46:\"Drupal\\ckeditor\\Plugin\\CKEditorPlugin\\Language\";s:8:\"provider\";s:8:\"ckeditor\";}s:10:\"drupallink\";a:5:{s:2:\"id\";s:10:\"drupallink\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Drupal link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:8:\"ckeditor\";s:5:\"class\";s:48:\"Drupal\\ckeditor\\Plugin\\CKEditorPlugin\\DrupalLink\";s:8:\"provider\";s:8:\"ckeditor\";}s:18:\"drupalimagecaption\";a:5:{s:2:\"id\";s:18:\"drupalimagecaption\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:27:\"Drupal image caption widget\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"module\";s:8:\"ckeditor\";s:5:\"class\";s:56:\"Drupal\\ckeditor\\Plugin\\CKEditorPlugin\\DrupalImageCaption\";s:8:\"provider\";s:8:\"ckeditor\";}s:8:\"internal\";a:4:{s:2:\"id\";s:8:\"internal\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"CKEditor core\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:46:\"Drupal\\ckeditor\\Plugin\\CKEditorPlugin\\Internal\";s:8:\"provider\";s:8:\"ckeditor\";}}',-1,1636012255.494,1,'','0'),('condition_plugins','a:12:{s:27:\"entity_bundle:block_content\";a:7:{s:7:\"context\";a:1:{s:13:\"block_content\";O:50:\"Drupal\\Core\\Plugin\\Context\\EntityContextDefinition\":10:{s:11:\"\0*\0dataType\";s:20:\"entity:block_content\";s:8:\"\0*\0label\";N;s:14:\"\0*\0description\";N;s:13:\"\0*\0isMultiple\";b:0;s:13:\"\0*\0isRequired\";b:1;s:15:\"\0*\0defaultValue\";N;s:14:\"\0*\0constraints\";a:0:{}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:19:\"\0*\0typedDataManager\";N;}}s:19:\"context_definitions\";a:1:{s:13:\"block_content\";r:4;}s:2:\"id\";s:13:\"entity_bundle\";s:7:\"deriver\";s:42:\"\\Drupal\\ctools\\Plugin\\Deriver\\EntityBundle\";s:5:\"class\";s:43:\"Drupal\\ctools\\Plugin\\Condition\\EntityBundle\";s:8:\"provider\";s:6:\"ctools\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:17:\"Custom block type\";}s:10:\"\0*\0options\";a:0:{}}}s:21:\"entity_bundle:comment\";a:7:{s:7:\"context\";a:1:{s:7:\"comment\";O:50:\"Drupal\\Core\\Plugin\\Context\\EntityContextDefinition\":10:{s:11:\"\0*\0dataType\";s:14:\"entity:comment\";s:8:\"\0*\0label\";N;s:14:\"\0*\0description\";N;s:13:\"\0*\0isMultiple\";b:0;s:13:\"\0*\0isRequired\";b:1;s:15:\"\0*\0defaultValue\";N;s:14:\"\0*\0constraints\";a:0:{}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:19:\"\0*\0typedDataManager\";N;}}s:19:\"context_definitions\";a:1:{s:7:\"comment\";r:28;}s:2:\"id\";s:13:\"entity_bundle\";s:7:\"deriver\";s:42:\"\\Drupal\\ctools\\Plugin\\Deriver\\EntityBundle\";s:5:\"class\";s:43:\"Drupal\\ctools\\Plugin\\Condition\\EntityBundle\";s:8:\"provider\";s:6:\"ctools\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:12:\"Comment type\";}s:10:\"\0*\0options\";a:0:{}}}s:29:\"entity_bundle:contact_message\";a:7:{s:7:\"context\";a:1:{s:15:\"contact_message\";O:50:\"Drupal\\Core\\Plugin\\Context\\EntityContextDefinition\":10:{s:11:\"\0*\0dataType\";s:22:\"entity:contact_message\";s:8:\"\0*\0label\";N;s:14:\"\0*\0description\";N;s:13:\"\0*\0isMultiple\";b:0;s:13:\"\0*\0isRequired\";b:1;s:15:\"\0*\0defaultValue\";N;s:14:\"\0*\0constraints\";a:0:{}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:19:\"\0*\0typedDataManager\";N;}}s:19:\"context_definitions\";a:1:{s:15:\"contact_message\";r:52;}s:2:\"id\";s:13:\"entity_bundle\";s:7:\"deriver\";s:42:\"\\Drupal\\ctools\\Plugin\\Deriver\\EntityBundle\";s:5:\"class\";s:43:\"Drupal\\ctools\\Plugin\\Condition\\EntityBundle\";s:8:\"provider\";s:6:\"ctools\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:12:\"Contact form\";}s:10:\"\0*\0options\";a:0:{}}}s:18:\"entity_bundle:node\";a:7:{s:7:\"context\";a:1:{s:4:\"node\";O:50:\"Drupal\\Core\\Plugin\\Context\\EntityContextDefinition\":10:{s:11:\"\0*\0dataType\";s:11:\"entity:node\";s:8:\"\0*\0label\";N;s:14:\"\0*\0description\";N;s:13:\"\0*\0isMultiple\";b:0;s:13:\"\0*\0isRequired\";b:1;s:15:\"\0*\0defaultValue\";N;s:14:\"\0*\0constraints\";a:0:{}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:19:\"\0*\0typedDataManager\";N;}}s:19:\"context_definitions\";a:1:{s:4:\"node\";r:76;}s:2:\"id\";s:13:\"entity_bundle\";s:7:\"deriver\";s:42:\"\\Drupal\\ctools\\Plugin\\Deriver\\EntityBundle\";s:5:\"class\";s:43:\"Drupal\\ctools\\Plugin\\Condition\\EntityBundle\";s:8:\"provider\";s:6:\"ctools\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:12:\"Content type\";}s:10:\"\0*\0options\";a:0:{}}}s:22:\"entity_bundle:shortcut\";a:7:{s:7:\"context\";a:1:{s:8:\"shortcut\";O:50:\"Drupal\\Core\\Plugin\\Context\\EntityContextDefinition\":10:{s:11:\"\0*\0dataType\";s:15:\"entity:shortcut\";s:8:\"\0*\0label\";N;s:14:\"\0*\0description\";N;s:13:\"\0*\0isMultiple\";b:0;s:13:\"\0*\0isRequired\";b:1;s:15:\"\0*\0defaultValue\";N;s:14:\"\0*\0constraints\";a:0:{}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:19:\"\0*\0typedDataManager\";N;}}s:19:\"context_definitions\";a:1:{s:8:\"shortcut\";r:100;}s:2:\"id\";s:13:\"entity_bundle\";s:7:\"deriver\";s:42:\"\\Drupal\\ctools\\Plugin\\Deriver\\EntityBundle\";s:5:\"class\";s:43:\"Drupal\\ctools\\Plugin\\Condition\\EntityBundle\";s:8:\"provider\";s:6:\"ctools\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:12:\"Shortcut set\";}s:10:\"\0*\0options\";a:0:{}}}s:27:\"entity_bundle:taxonomy_term\";a:7:{s:7:\"context\";a:1:{s:13:\"taxonomy_term\";O:50:\"Drupal\\Core\\Plugin\\Context\\EntityContextDefinition\":10:{s:11:\"\0*\0dataType\";s:20:\"entity:taxonomy_term\";s:8:\"\0*\0label\";N;s:14:\"\0*\0description\";N;s:13:\"\0*\0isMultiple\";b:0;s:13:\"\0*\0isRequired\";b:1;s:15:\"\0*\0defaultValue\";N;s:14:\"\0*\0constraints\";a:0:{}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:19:\"\0*\0typedDataManager\";N;}}s:19:\"context_definitions\";a:1:{s:13:\"taxonomy_term\";r:124;}s:2:\"id\";s:13:\"entity_bundle\";s:7:\"deriver\";s:42:\"\\Drupal\\ctools\\Plugin\\Deriver\\EntityBundle\";s:5:\"class\";s:43:\"Drupal\\ctools\\Plugin\\Condition\\EntityBundle\";s:8:\"provider\";s:6:\"ctools\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:10:\"Vocabulary\";}s:10:\"\0*\0options\";a:0:{}}}s:31:\"entity_bundle:menu_link_content\";a:7:{s:7:\"context\";a:1:{s:17:\"menu_link_content\";O:50:\"Drupal\\Core\\Plugin\\Context\\EntityContextDefinition\":10:{s:11:\"\0*\0dataType\";s:24:\"entity:menu_link_content\";s:8:\"\0*\0label\";N;s:14:\"\0*\0description\";N;s:13:\"\0*\0isMultiple\";b:0;s:13:\"\0*\0isRequired\";b:1;s:15:\"\0*\0defaultValue\";N;s:14:\"\0*\0constraints\";a:0:{}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:19:\"\0*\0typedDataManager\";N;}}s:19:\"context_definitions\";a:1:{s:17:\"menu_link_content\";r:148;}s:2:\"id\";s:13:\"entity_bundle\";s:7:\"deriver\";s:42:\"\\Drupal\\ctools\\Plugin\\Deriver\\EntityBundle\";s:5:\"class\";s:43:\"Drupal\\ctools\\Plugin\\Condition\\EntityBundle\";s:8:\"provider\";s:6:\"ctools\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:23:\"Custom menu link bundle\";}s:10:\"\0*\0options\";a:0:{}}}s:8:\"language\";a:6:{s:7:\"context\";a:1:{s:8:\"language\";O:44:\"Drupal\\Core\\Plugin\\Context\\ContextDefinition\":10:{s:11:\"\0*\0dataType\";s:8:\"language\";s:8:\"\0*\0label\";s:8:\"Language\";s:14:\"\0*\0description\";N;s:13:\"\0*\0isMultiple\";b:0;s:13:\"\0*\0isRequired\";b:1;s:15:\"\0*\0defaultValue\";N;s:14:\"\0*\0constraints\";a:0:{}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:19:\"\0*\0typedDataManager\";N;}}s:19:\"context_definitions\";a:1:{s:8:\"language\";r:172;}s:2:\"id\";s:8:\"language\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:41:\"Drupal\\language\\Plugin\\Condition\\Language\";s:8:\"provider\";s:8:\"language\";}s:9:\"node_type\";a:6:{s:7:\"context\";a:1:{s:4:\"node\";O:50:\"Drupal\\Core\\Plugin\\Context\\EntityContextDefinition\":10:{s:11:\"\0*\0dataType\";s:11:\"entity:node\";s:8:\"\0*\0label\";s:4:\"Node\";s:14:\"\0*\0description\";N;s:13:\"\0*\0isMultiple\";b:0;s:13:\"\0*\0isRequired\";b:1;s:15:\"\0*\0defaultValue\";N;s:14:\"\0*\0constraints\";a:0:{}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:19:\"\0*\0typedDataManager\";N;}}s:19:\"context_definitions\";a:1:{s:4:\"node\";r:194;}s:2:\"id\";s:9:\"node_type\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Node Bundle\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:39:\"Drupal\\ctools\\Plugin\\Condition\\NodeType\";s:8:\"provider\";s:4:\"node\";}s:13:\"current_theme\";a:6:{s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:13:\"current_theme\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Current Theme\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:52:\"Drupal\\system\\Plugin\\Condition\\CurrentThemeCondition\";s:8:\"provider\";s:6:\"system\";}s:12:\"request_path\";a:6:{s:7:\"context\";a:0:{}s:19:\"context_definitions\";a:0:{}s:2:\"id\";s:12:\"request_path\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Request Path\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:42:\"Drupal\\system\\Plugin\\Condition\\RequestPath\";s:8:\"provider\";s:6:\"system\";}s:9:\"user_role\";a:6:{s:7:\"context\";a:1:{s:4:\"user\";O:50:\"Drupal\\Core\\Plugin\\Context\\EntityContextDefinition\":10:{s:11:\"\0*\0dataType\";s:11:\"entity:user\";s:8:\"\0*\0label\";s:4:\"User\";s:14:\"\0*\0description\";N;s:13:\"\0*\0isMultiple\";b:0;s:13:\"\0*\0isRequired\";b:1;s:15:\"\0*\0defaultValue\";N;s:14:\"\0*\0constraints\";a:0:{}s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:19:\"\0*\0typedDataManager\";N;}}s:19:\"context_definitions\";a:1:{s:4:\"user\";r:236;}s:2:\"id\";s:9:\"user_role\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"User Role\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:37:\"Drupal\\user\\Plugin\\Condition\\UserRole\";s:8:\"provider\";s:4:\"user\";}}',-1,1636012248.017,1,'','0'),('config_translation_info_plugins:en','a:32:{s:19:\"simplenews.settings\";a:7:{s:5:\"title\";s:19:\"Simplenews settings\";s:5:\"names\";a:1:{i:0;s:19:\"simplenews.settings\";}s:6:\"weight\";i:20;s:5:\"class\";s:43:\"Drupal\\config_translation\\ConfigNamesMapper\";s:15:\"base_route_name\";s:26:\"simplenews.newsletter_list\";s:8:\"provider\";s:10:\"simplenews\";s:2:\"id\";s:19:\"simplenews.settings\";}s:28:\"system.site_maintenance_mode\";a:7:{s:5:\"title\";s:18:\"System maintenance\";s:5:\"names\";a:1:{i:0;s:18:\"system.maintenance\";}s:6:\"weight\";i:20;s:5:\"class\";s:43:\"Drupal\\config_translation\\ConfigNamesMapper\";s:15:\"base_route_name\";s:28:\"system.site_maintenance_mode\";s:8:\"provider\";s:6:\"system\";s:2:\"id\";s:28:\"system.site_maintenance_mode\";}s:32:\"system.site_information_settings\";a:7:{s:5:\"title\";s:18:\"System information\";s:5:\"names\";a:1:{i:0;s:11:\"system.site\";}s:6:\"weight\";i:20;s:5:\"class\";s:43:\"Drupal\\config_translation\\ConfigNamesMapper\";s:15:\"base_route_name\";s:32:\"system.site_information_settings\";s:8:\"provider\";s:6:\"system\";s:2:\"id\";s:32:\"system.site_information_settings\";}s:25:\"system.rss_feeds_settings\";a:7:{s:5:\"title\";s:14:\"RSS publishing\";s:5:\"names\";a:1:{i:0;s:10:\"system.rss\";}s:6:\"weight\";i:20;s:5:\"class\";s:43:\"Drupal\\config_translation\\ConfigNamesMapper\";s:15:\"base_route_name\";s:25:\"system.rss_feeds_settings\";s:8:\"provider\";s:6:\"system\";s:2:\"id\";s:25:\"system.rss_feeds_settings\";}s:22:\"entity.user.admin_form\";a:7:{s:5:\"title\";s:16:\"Account settings\";s:5:\"names\";a:2:{i:0;s:13:\"user.settings\";i:1;s:9:\"user.mail\";}s:6:\"weight\";i:20;s:5:\"class\";s:43:\"Drupal\\config_translation\\ConfigNamesMapper\";s:15:\"base_route_name\";s:22:\"entity.user.admin_form\";s:8:\"provider\";s:4:\"user\";s:2:\"id\";s:22:\"entity.user.admin_form\";}s:20:\"block_content_fields\";a:7:{s:5:\"title\";s:0:\"\";s:5:\"names\";a:0:{}s:6:\"weight\";i:10;s:5:\"class\";s:43:\"Drupal\\config_translation\\ConfigFieldMapper\";s:15:\"base_route_name\";s:49:\"entity.field_config.block_content_field_edit_form\";s:11:\"entity_type\";s:12:\"field_config\";s:16:\"base_entity_type\";s:13:\"block_content\";}s:14:\"comment_fields\";a:7:{s:5:\"title\";s:0:\"\";s:5:\"names\";a:0:{}s:6:\"weight\";i:10;s:5:\"class\";s:43:\"Drupal\\config_translation\\ConfigFieldMapper\";s:15:\"base_route_name\";s:43:\"entity.field_config.comment_field_edit_form\";s:11:\"entity_type\";s:12:\"field_config\";s:16:\"base_entity_type\";s:7:\"comment\";}s:22:\"contact_message_fields\";a:7:{s:5:\"title\";s:0:\"\";s:5:\"names\";a:0:{}s:6:\"weight\";i:10;s:5:\"class\";s:43:\"Drupal\\config_translation\\ConfigFieldMapper\";s:15:\"base_route_name\";s:51:\"entity.field_config.contact_message_field_edit_form\";s:11:\"entity_type\";s:12:\"field_config\";s:16:\"base_entity_type\";s:15:\"contact_message\";}s:11:\"node_fields\";a:7:{s:5:\"title\";s:0:\"\";s:5:\"names\";a:0:{}s:6:\"weight\";i:10;s:5:\"class\";s:43:\"Drupal\\config_translation\\ConfigFieldMapper\";s:15:\"base_route_name\";s:40:\"entity.field_config.node_field_edit_form\";s:11:\"entity_type\";s:12:\"field_config\";s:16:\"base_entity_type\";s:4:\"node\";}s:28:\"simplenews_subscriber_fields\";a:7:{s:5:\"title\";s:0:\"\";s:5:\"names\";a:0:{}s:6:\"weight\";i:10;s:5:\"class\";s:43:\"Drupal\\config_translation\\ConfigFieldMapper\";s:15:\"base_route_name\";s:57:\"entity.field_config.simplenews_subscriber_field_edit_form\";s:11:\"entity_type\";s:12:\"field_config\";s:16:\"base_entity_type\";s:21:\"simplenews_subscriber\";}s:20:\"taxonomy_term_fields\";a:7:{s:5:\"title\";s:0:\"\";s:5:\"names\";a:0:{}s:6:\"weight\";i:10;s:5:\"class\";s:43:\"Drupal\\config_translation\\ConfigFieldMapper\";s:15:\"base_route_name\";s:49:\"entity.field_config.taxonomy_term_field_edit_form\";s:11:\"entity_type\";s:12:\"field_config\";s:16:\"base_entity_type\";s:13:\"taxonomy_term\";}s:11:\"user_fields\";a:7:{s:5:\"title\";s:0:\"\";s:5:\"names\";a:0:{}s:6:\"weight\";i:10;s:5:\"class\";s:43:\"Drupal\\config_translation\\ConfigFieldMapper\";s:15:\"base_route_name\";s:40:\"entity.field_config.user_field_edit_form\";s:11:\"entity_type\";s:12:\"field_config\";s:16:\"base_entity_type\";s:4:\"user\";}s:5:\"block\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"block\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"names\";a:0:{}s:6:\"weight\";i:10;s:5:\"class\";s:44:\"Drupal\\config_translation\\ConfigEntityMapper\";s:15:\"base_route_name\";s:22:\"entity.block.edit_form\";s:11:\"entity_type\";s:5:\"block\";}s:18:\"block_content_type\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"custom block type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"names\";a:0:{}s:6:\"weight\";i:10;s:5:\"class\";s:44:\"Drupal\\config_translation\\ConfigEntityMapper\";s:15:\"base_route_name\";s:35:\"entity.block_content_type.edit_form\";s:11:\"entity_type\";s:18:\"block_content_type\";}s:12:\"comment_type\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"comment type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"names\";a:0:{}s:6:\"weight\";i:10;s:5:\"class\";s:44:\"Drupal\\config_translation\\ConfigEntityMapper\";s:15:\"base_route_name\";s:29:\"entity.comment_type.edit_form\";s:11:\"entity_type\";s:12:\"comment_type\";}s:12:\"contact_form\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"contact form\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"names\";a:0:{}s:6:\"weight\";i:10;s:5:\"class\";s:44:\"Drupal\\config_translation\\ConfigEntityMapper\";s:15:\"base_route_name\";s:29:\"entity.contact_form.edit_form\";s:11:\"entity_type\";s:12:\"contact_form\";}s:13:\"filter_format\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"text format\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"names\";a:0:{}s:6:\"weight\";i:10;s:5:\"class\";s:44:\"Drupal\\config_translation\\ConfigEntityMapper\";s:15:\"base_route_name\";s:30:\"entity.filter_format.edit_form\";s:11:\"entity_type\";s:13:\"filter_format\";}s:11:\"image_style\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"image style\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"names\";a:0:{}s:6:\"weight\";i:10;s:5:\"class\";s:44:\"Drupal\\config_translation\\ConfigEntityMapper\";s:15:\"base_route_name\";s:28:\"entity.image_style.edit_form\";s:11:\"entity_type\";s:11:\"image_style\";}s:21:\"configurable_language\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"names\";a:0:{}s:6:\"weight\";i:10;s:5:\"class\";s:44:\"Drupal\\config_translation\\ConfigEntityMapper\";s:15:\"base_route_name\";s:38:\"entity.configurable_language.edit_form\";s:11:\"entity_type\";s:21:\"configurable_language\";}s:9:\"node_type\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"content type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"names\";a:0:{}s:6:\"weight\";i:10;s:5:\"class\";s:44:\"Drupal\\node\\ConfigTranslation\\NodeTypeMapper\";s:15:\"base_route_name\";s:26:\"entity.node_type.edit_form\";s:11:\"entity_type\";s:9:\"node_type\";}s:22:\"responsive_image_style\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"responsive image style\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"names\";a:0:{}s:6:\"weight\";i:10;s:5:\"class\";s:44:\"Drupal\\config_translation\\ConfigEntityMapper\";s:15:\"base_route_name\";s:39:\"entity.responsive_image_style.edit_form\";s:11:\"entity_type\";s:22:\"responsive_image_style\";}s:11:\"search_page\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"search page\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"names\";a:0:{}s:6:\"weight\";i:10;s:5:\"class\";s:44:\"Drupal\\config_translation\\ConfigEntityMapper\";s:15:\"base_route_name\";s:28:\"entity.search_page.edit_form\";s:11:\"entity_type\";s:11:\"search_page\";}s:12:\"shortcut_set\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"shortcut set\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"names\";a:0:{}s:6:\"weight\";i:10;s:5:\"class\";s:44:\"Drupal\\config_translation\\ConfigEntityMapper\";s:15:\"base_route_name\";s:29:\"entity.shortcut_set.edit_form\";s:11:\"entity_type\";s:12:\"shortcut_set\";}s:21:\"simplenews_newsletter\";a:6:{s:5:\"title\";s:21:\"simplenews newsletter\";s:5:\"names\";a:0:{}s:6:\"weight\";i:10;s:5:\"class\";s:44:\"Drupal\\config_translation\\ConfigEntityMapper\";s:15:\"base_route_name\";s:38:\"entity.simplenews_newsletter.edit_form\";s:11:\"entity_type\";s:21:\"simplenews_newsletter\";}s:4:\"menu\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"menu\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"names\";a:0:{}s:6:\"weight\";i:10;s:5:\"class\";s:44:\"Drupal\\config_translation\\ConfigEntityMapper\";s:15:\"base_route_name\";s:21:\"entity.menu.edit_form\";s:11:\"entity_type\";s:4:\"menu\";}s:19:\"taxonomy_vocabulary\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"vocabulary\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"names\";a:0:{}s:6:\"weight\";i:10;s:5:\"class\";s:44:\"Drupal\\config_translation\\ConfigEntityMapper\";s:15:\"base_route_name\";s:36:\"entity.taxonomy_vocabulary.edit_form\";s:11:\"entity_type\";s:19:\"taxonomy_vocabulary\";}s:9:\"user_role\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"role\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"names\";a:0:{}s:6:\"weight\";i:10;s:5:\"class\";s:44:\"Drupal\\config_translation\\ConfigEntityMapper\";s:15:\"base_route_name\";s:26:\"entity.user_role.edit_form\";s:11:\"entity_type\";s:9:\"user_role\";}s:16:\"pathauto_pattern\";a:6:{s:5:\"title\";s:16:\"pathauto pattern\";s:5:\"names\";a:0:{}s:6:\"weight\";i:10;s:5:\"class\";s:44:\"Drupal\\config_translation\\ConfigEntityMapper\";s:15:\"base_route_name\";s:33:\"entity.pathauto_pattern.edit_form\";s:11:\"entity_type\";s:16:\"pathauto_pattern\";}s:4:\"view\";a:6:{s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"view\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:16:\"View entity type\";}}s:5:\"names\";a:0:{}s:6:\"weight\";i:10;s:5:\"class\";s:44:\"Drupal\\config_translation\\ConfigEntityMapper\";s:15:\"base_route_name\";s:21:\"entity.view.edit_form\";s:11:\"entity_type\";s:4:\"view\";}s:11:\"date_format\";a:6:{s:5:\"title\";s:11:\"date format\";s:5:\"names\";a:0:{}s:6:\"weight\";i:10;s:5:\"class\";s:44:\"Drupal\\config_translation\\ConfigEntityMapper\";s:15:\"base_route_name\";s:28:\"entity.date_format.edit_form\";s:11:\"entity_type\";s:11:\"date_format\";}s:16:\"entity_form_mode\";a:6:{s:5:\"title\";s:9:\"form mode\";s:5:\"names\";a:0:{}s:6:\"weight\";i:10;s:5:\"class\";s:44:\"Drupal\\config_translation\\ConfigEntityMapper\";s:15:\"base_route_name\";s:33:\"entity.entity_form_mode.edit_form\";s:11:\"entity_type\";s:16:\"entity_form_mode\";}s:16:\"entity_view_mode\";a:6:{s:5:\"title\";s:9:\"view mode\";s:5:\"names\";a:0:{}s:6:\"weight\";i:10;s:5:\"class\";s:44:\"Drupal\\config_translation\\ConfigEntityMapper\";s:15:\"base_route_name\";s:33:\"entity.entity_view_mode.edit_form\";s:11:\"entity_type\";s:16:\"entity_view_mode\";}}',-1,1636011227.890,1,'config_translation_info_plugins','57'),('contextual_links_plugins:en','a:23:{s:15:\"block_configure\";a:8:{s:10:\"route_name\";s:22:\"entity.block.edit_form\";s:5:\"group\";s:5:\"block\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Configure block\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"options\";a:0:{}s:6:\"weight\";N;s:5:\"class\";s:38:\"Drupal\\Core\\Menu\\ContextualLinkDefault\";s:2:\"id\";s:15:\"block_configure\";s:8:\"provider\";s:5:\"block\";}s:24:\"block_content.block_edit\";a:8:{s:10:\"route_name\";s:30:\"entity.block_content.canonical\";s:5:\"group\";s:13:\"block_content\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Edit\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"options\";a:0:{}s:6:\"weight\";N;s:5:\"class\";s:38:\"Drupal\\Core\\Menu\\ContextualLinkDefault\";s:2:\"id\";s:24:\"block_content.block_edit\";s:8:\"provider\";s:13:\"block_content\";}s:76:\"config_translation.contextual_links:entity.block.config_translation_overview\";a:10:{s:10:\"route_name\";s:40:\"entity.block.config_translation_overview\";s:5:\"group\";s:5:\"block\";s:5:\"title\";s:0:\"\";s:7:\"options\";a:0:{}s:6:\"weight\";i:100;s:5:\"class\";s:84:\"Drupal\\config_translation\\Plugin\\Menu\\ContextualLink\\ConfigTranslationContextualLink\";s:2:\"id\";s:35:\"config_translation.contextual_links\";s:7:\"deriver\";s:76:\"Drupal\\config_translation\\Plugin\\Derivative\\ConfigTranslationContextualLinks\";s:8:\"provider\";s:18:\"config_translation\";s:28:\"config_translation_plugin_id\";s:5:\"block\";}s:75:\"config_translation.contextual_links:entity.menu.config_translation_overview\";a:10:{s:10:\"route_name\";s:39:\"entity.menu.config_translation_overview\";s:5:\"group\";s:4:\"menu\";s:5:\"title\";s:0:\"\";s:7:\"options\";a:0:{}s:6:\"weight\";i:100;s:5:\"class\";s:84:\"Drupal\\config_translation\\Plugin\\Menu\\ContextualLink\\ConfigTranslationContextualLink\";s:2:\"id\";s:35:\"config_translation.contextual_links\";s:7:\"deriver\";s:76:\"Drupal\\config_translation\\Plugin\\Derivative\\ConfigTranslationContextualLinks\";s:8:\"provider\";s:18:\"config_translation\";s:28:\"config_translation_plugin_id\";s:4:\"menu\";}s:75:\"config_translation.contextual_links:entity.view.config_translation_overview\";a:10:{s:10:\"route_name\";s:39:\"entity.view.config_translation_overview\";s:5:\"group\";s:21:\"entity.view.edit_form\";s:5:\"title\";s:0:\"\";s:7:\"options\";a:0:{}s:6:\"weight\";i:100;s:5:\"class\";s:84:\"Drupal\\config_translation\\Plugin\\Menu\\ContextualLink\\ConfigTranslationContextualLink\";s:2:\"id\";s:35:\"config_translation.contextual_links\";s:7:\"deriver\";s:76:\"Drupal\\config_translation\\Plugin\\Derivative\\ConfigTranslationContextualLinks\";s:8:\"provider\";s:18:\"config_translation\";s:28:\"config_translation_plugin_id\";s:4:\"view\";}s:50:\"content_translation.contextual_links:block_content\";a:7:{s:10:\"route_name\";s:49:\"entity.block_content.content_translation_overview\";s:5:\"group\";s:13:\"block_content\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Translate\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"options\";a:0:{}s:6:\"weight\";N;s:5:\"class\";s:38:\"Drupal\\Core\\Menu\\ContextualLinkDefault\";s:2:\"id\";s:0:\"\";}s:44:\"content_translation.contextual_links:comment\";a:7:{s:10:\"route_name\";s:43:\"entity.comment.content_translation_overview\";s:5:\"group\";s:7:\"comment\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Translate\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"options\";a:0:{}s:6:\"weight\";N;s:5:\"class\";s:38:\"Drupal\\Core\\Menu\\ContextualLinkDefault\";s:2:\"id\";s:0:\"\";}s:41:\"content_translation.contextual_links:node\";a:7:{s:10:\"route_name\";s:40:\"entity.node.content_translation_overview\";s:5:\"group\";s:4:\"node\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Translate\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"options\";a:0:{}s:6:\"weight\";N;s:5:\"class\";s:38:\"Drupal\\Core\\Menu\\ContextualLinkDefault\";s:2:\"id\";s:0:\"\";}s:45:\"content_translation.contextual_links:shortcut\";a:7:{s:10:\"route_name\";s:44:\"entity.shortcut.content_translation_overview\";s:5:\"group\";s:8:\"shortcut\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Translate\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"options\";a:0:{}s:6:\"weight\";N;s:5:\"class\";s:38:\"Drupal\\Core\\Menu\\ContextualLinkDefault\";s:2:\"id\";s:0:\"\";}s:50:\"content_translation.contextual_links:taxonomy_term\";a:7:{s:10:\"route_name\";s:49:\"entity.taxonomy_term.content_translation_overview\";s:5:\"group\";s:13:\"taxonomy_term\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Translate\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"options\";a:0:{}s:6:\"weight\";N;s:5:\"class\";s:38:\"Drupal\\Core\\Menu\\ContextualLinkDefault\";s:2:\"id\";s:0:\"\";}s:41:\"content_translation.contextual_links:user\";a:7:{s:10:\"route_name\";s:40:\"entity.user.content_translation_overview\";s:5:\"group\";s:4:\"user\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Translate\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"options\";a:0:{}s:6:\"weight\";N;s:5:\"class\";s:38:\"Drupal\\Core\\Menu\\ContextualLinkDefault\";s:2:\"id\";s:0:\"\";}s:54:\"content_translation.contextual_links:menu_link_content\";a:7:{s:10:\"route_name\";s:53:\"entity.menu_link_content.content_translation_overview\";s:5:\"group\";s:17:\"menu_link_content\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Translate\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"options\";a:0:{}s:6:\"weight\";N;s:5:\"class\";s:38:\"Drupal\\Core\\Menu\\ContextualLinkDefault\";s:2:\"id\";s:0:\"\";}s:21:\"entity.menu.edit_form\";a:8:{s:10:\"route_name\";s:21:\"entity.menu.edit_form\";s:5:\"group\";s:4:\"menu\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Edit menu\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"options\";a:0:{}s:6:\"weight\";N;s:5:\"class\";s:38:\"Drupal\\Core\\Menu\\ContextualLinkDefault\";s:2:\"id\";s:21:\"entity.menu.edit_form\";s:8:\"provider\";s:7:\"menu_ui\";}s:21:\"entity.node.edit_form\";a:8:{s:10:\"route_name\";s:21:\"entity.node.edit_form\";s:5:\"group\";s:4:\"node\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Edit\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"options\";a:0:{}s:6:\"weight\";N;s:5:\"class\";s:38:\"Drupal\\Core\\Menu\\ContextualLinkDefault\";s:2:\"id\";s:21:\"entity.node.edit_form\";s:8:\"provider\";s:4:\"node\";}s:23:\"entity.node.delete_form\";a:8:{s:10:\"route_name\";s:23:\"entity.node.delete_form\";s:5:\"group\";s:4:\"node\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"options\";a:0:{}s:6:\"weight\";i:10;s:5:\"class\";s:38:\"Drupal\\Core\\Menu\\ContextualLinkDefault\";s:2:\"id\";s:23:\"entity.node.delete_form\";s:8:\"provider\";s:4:\"node\";}s:25:\"sharethis_block_configure\";a:8:{s:10:\"route_name\";s:28:\"sharethis.configuration_form\";s:5:\"group\";s:5:\"block\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"Configure Sharethis block\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"options\";a:0:{}s:6:\"weight\";N;s:5:\"class\";s:38:\"Drupal\\Core\\Menu\\ContextualLinkDefault\";s:2:\"id\";s:25:\"sharethis_block_configure\";s:8:\"provider\";s:9:\"sharethis\";}s:30:\"entity.taxonomy_term.edit_form\";a:8:{s:10:\"route_name\";s:30:\"entity.taxonomy_term.edit_form\";s:5:\"group\";s:13:\"taxonomy_term\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Edit\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"options\";a:0:{}s:6:\"weight\";i:10;s:5:\"class\";s:38:\"Drupal\\Core\\Menu\\ContextualLinkDefault\";s:2:\"id\";s:30:\"entity.taxonomy_term.edit_form\";s:8:\"provider\";s:8:\"taxonomy\";}s:32:\"entity.taxonomy_term.delete_form\";a:8:{s:10:\"route_name\";s:32:\"entity.taxonomy_term.delete_form\";s:5:\"group\";s:13:\"taxonomy_term\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"options\";a:0:{}s:6:\"weight\";i:20;s:5:\"class\";s:38:\"Drupal\\Core\\Menu\\ContextualLinkDefault\";s:2:\"id\";s:32:\"entity.taxonomy_term.delete_form\";s:8:\"provider\";s:8:\"taxonomy\";}s:38:\"entity.taxonomy_vocabulary.delete_form\";a:8:{s:10:\"route_name\";s:38:\"entity.taxonomy_vocabulary.delete_form\";s:5:\"group\";s:19:\"taxonomy_vocabulary\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"options\";a:0:{}s:6:\"weight\";i:20;s:5:\"class\";s:38:\"Drupal\\Core\\Menu\\ContextualLinkDefault\";s:2:\"id\";s:38:\"entity.taxonomy_vocabulary.delete_form\";s:8:\"provider\";s:8:\"taxonomy\";}s:28:\"entity.user_role.delete_form\";a:8:{s:10:\"route_name\";s:28:\"entity.user_role.delete_form\";s:5:\"group\";s:4:\"role\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Delete role\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"options\";a:0:{}s:6:\"weight\";i:10;s:5:\"class\";s:38:\"Drupal\\Core\\Menu\\ContextualLinkDefault\";s:2:\"id\";s:28:\"entity.user_role.delete_form\";s:8:\"provider\";s:4:\"user\";}s:21:\"entity.view.edit_form\";a:8:{s:10:\"route_name\";s:21:\"entity.view.edit_form\";s:5:\"group\";s:21:\"entity.view.edit_form\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Edit view\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"options\";a:0:{}s:6:\"weight\";N;s:5:\"class\";s:38:\"Drupal\\Core\\Menu\\ContextualLinkDefault\";s:2:\"id\";s:21:\"entity.view.edit_form\";s:8:\"provider\";s:8:\"views_ui\";}s:24:\"entity.view.preview_form\";a:8:{s:10:\"route_name\";s:24:\"entity.view.preview_form\";s:5:\"group\";s:24:\"entity.view.preview_form\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Preview view\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"options\";a:0:{}s:6:\"weight\";N;s:5:\"class\";s:38:\"Drupal\\Core\\Menu\\ContextualLinkDefault\";s:2:\"id\";s:24:\"entity.view.preview_form\";s:8:\"provider\";s:8:\"views_ui\";}s:34:\"we_megamenu.block.contextual_links\";a:8:{s:10:\"route_name\";s:27:\"we_megamenu.admin.configure\";s:5:\"group\";s:17:\"we_megamenu_block\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:28:\"Drupal 8 Mega Menu Configure\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"options\";a:0:{}s:6:\"weight\";N;s:5:\"class\";s:38:\"Drupal\\Core\\Menu\\ContextualLinkDefault\";s:2:\"id\";s:34:\"we_megamenu.block.contextual_links\";s:8:\"provider\";s:11:\"we_megamenu\";}}',-1,1636012254.650,1,'contextual_links_plugins','55'),('contextual_links_plugins:en:block','a:3:{s:15:\"block_configure\";a:8:{s:10:\"route_name\";s:22:\"entity.block.edit_form\";s:5:\"group\";s:5:\"block\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Configure block\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"options\";a:0:{}s:6:\"weight\";N;s:5:\"class\";s:38:\"Drupal\\Core\\Menu\\ContextualLinkDefault\";s:2:\"id\";s:15:\"block_configure\";s:8:\"provider\";s:5:\"block\";}s:76:\"config_translation.contextual_links:entity.block.config_translation_overview\";a:10:{s:10:\"route_name\";s:40:\"entity.block.config_translation_overview\";s:5:\"group\";s:5:\"block\";s:5:\"title\";s:0:\"\";s:7:\"options\";a:0:{}s:6:\"weight\";i:100;s:5:\"class\";s:84:\"Drupal\\config_translation\\Plugin\\Menu\\ContextualLink\\ConfigTranslationContextualLink\";s:2:\"id\";s:35:\"config_translation.contextual_links\";s:7:\"deriver\";s:76:\"Drupal\\config_translation\\Plugin\\Derivative\\ConfigTranslationContextualLinks\";s:8:\"provider\";s:18:\"config_translation\";s:28:\"config_translation_plugin_id\";s:5:\"block\";}s:25:\"sharethis_block_configure\";a:8:{s:10:\"route_name\";s:28:\"sharethis.configuration_form\";s:5:\"group\";s:5:\"block\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"Configure Sharethis block\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"options\";a:0:{}s:6:\"weight\";N;s:5:\"class\";s:38:\"Drupal\\Core\\Menu\\ContextualLinkDefault\";s:2:\"id\";s:25:\"sharethis_block_configure\";s:8:\"provider\";s:9:\"sharethis\";}}',-1,1636012254.656,1,'','0'),('contextual_links_plugins:en:block_content','a:2:{s:24:\"block_content.block_edit\";a:8:{s:10:\"route_name\";s:30:\"entity.block_content.canonical\";s:5:\"group\";s:13:\"block_content\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Edit\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"options\";a:0:{}s:6:\"weight\";N;s:5:\"class\";s:38:\"Drupal\\Core\\Menu\\ContextualLinkDefault\";s:2:\"id\";s:24:\"block_content.block_edit\";s:8:\"provider\";s:13:\"block_content\";}s:50:\"content_translation.contextual_links:block_content\";a:7:{s:10:\"route_name\";s:49:\"entity.block_content.content_translation_overview\";s:5:\"group\";s:13:\"block_content\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Translate\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"options\";a:0:{}s:6:\"weight\";N;s:5:\"class\";s:38:\"Drupal\\Core\\Menu\\ContextualLinkDefault\";s:2:\"id\";s:0:\"\";}}',-1,1636012255.128,1,'','0'),('contextual_links_plugins:en:entity.view.edit_form','a:2:{s:75:\"config_translation.contextual_links:entity.view.config_translation_overview\";a:10:{s:10:\"route_name\";s:39:\"entity.view.config_translation_overview\";s:5:\"group\";s:21:\"entity.view.edit_form\";s:5:\"title\";s:0:\"\";s:7:\"options\";a:0:{}s:6:\"weight\";i:100;s:5:\"class\";s:84:\"Drupal\\config_translation\\Plugin\\Menu\\ContextualLink\\ConfigTranslationContextualLink\";s:2:\"id\";s:35:\"config_translation.contextual_links\";s:7:\"deriver\";s:76:\"Drupal\\config_translation\\Plugin\\Derivative\\ConfigTranslationContextualLinks\";s:8:\"provider\";s:18:\"config_translation\";s:28:\"config_translation_plugin_id\";s:4:\"view\";}s:21:\"entity.view.edit_form\";a:8:{s:10:\"route_name\";s:21:\"entity.view.edit_form\";s:5:\"group\";s:21:\"entity.view.edit_form\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Edit view\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"options\";a:0:{}s:6:\"weight\";N;s:5:\"class\";s:38:\"Drupal\\Core\\Menu\\ContextualLinkDefault\";s:2:\"id\";s:21:\"entity.view.edit_form\";s:8:\"provider\";s:8:\"views_ui\";}}',-1,1636012255.047,1,'','0'),('contextual_links_plugins:en:menu','a:2:{s:75:\"config_translation.contextual_links:entity.menu.config_translation_overview\";a:10:{s:10:\"route_name\";s:39:\"entity.menu.config_translation_overview\";s:5:\"group\";s:4:\"menu\";s:5:\"title\";s:0:\"\";s:7:\"options\";a:0:{}s:6:\"weight\";i:100;s:5:\"class\";s:84:\"Drupal\\config_translation\\Plugin\\Menu\\ContextualLink\\ConfigTranslationContextualLink\";s:2:\"id\";s:35:\"config_translation.contextual_links\";s:7:\"deriver\";s:76:\"Drupal\\config_translation\\Plugin\\Derivative\\ConfigTranslationContextualLinks\";s:8:\"provider\";s:18:\"config_translation\";s:28:\"config_translation_plugin_id\";s:4:\"menu\";}s:21:\"entity.menu.edit_form\";a:8:{s:10:\"route_name\";s:21:\"entity.menu.edit_form\";s:5:\"group\";s:4:\"menu\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Edit menu\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"options\";a:0:{}s:6:\"weight\";N;s:5:\"class\";s:38:\"Drupal\\Core\\Menu\\ContextualLinkDefault\";s:2:\"id\";s:21:\"entity.menu.edit_form\";s:8:\"provider\";s:7:\"menu_ui\";}}',-1,1636012255.008,1,'','0'),('contextual_links_plugins:en:we_megamenu_block','a:1:{s:34:\"we_megamenu.block.contextual_links\";a:8:{s:10:\"route_name\";s:27:\"we_megamenu.admin.configure\";s:5:\"group\";s:17:\"we_megamenu_block\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:28:\"Drupal 8 Mega Menu Configure\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"options\";a:0:{}s:6:\"weight\";N;s:5:\"class\";s:38:\"Drupal\\Core\\Menu\\ContextualLinkDefault\";s:2:\"id\";s:34:\"we_megamenu.block.contextual_links\";s:8:\"provider\";s:11:\"we_megamenu\";}}',-1,1636012255.035,1,'','0'),('editor_plugins','a:1:{s:8:\"ckeditor\";a:8:{s:2:\"id\";s:8:\"ckeditor\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"CKEditor\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:26:\"supports_content_filtering\";b:1;s:23:\"supports_inline_editing\";b:1;s:11:\"is_xss_safe\";b:0;s:23:\"supported_element_types\";a:1:{i:0;s:8:\"textarea\";}s:5:\"class\";s:38:\"Drupal\\ckeditor\\Plugin\\Editor\\CKEditor\";s:8:\"provider\";s:8:\"ckeditor\";}}',-1,1636012254.741,1,'','0'),('element_info','a:71:{s:28:\"contextual_links_placeholder\";a:3:{s:2:\"id\";s:28:\"contextual_links_placeholder\";s:5:\"class\";s:52:\"Drupal\\contextual\\Element\\ContextualLinksPlaceholder\";s:8:\"provider\";s:10:\"contextual\";}s:16:\"contextual_links\";a:3:{s:2:\"id\";s:16:\"contextual_links\";s:5:\"class\";s:41:\"Drupal\\contextual\\Element\\ContextualLinks\";s:8:\"provider\";s:10:\"contextual\";}s:14:\"field_ui_table\";a:3:{s:2:\"id\";s:14:\"field_ui_table\";s:5:\"class\";s:36:\"Drupal\\field_ui\\Element\\FieldUiTable\";s:8:\"provider\";s:8:\"field_ui\";}s:12:\"managed_file\";a:3:{s:2:\"id\";s:12:\"managed_file\";s:5:\"class\";s:31:\"Drupal\\file\\Element\\ManagedFile\";s:8:\"provider\";s:4:\"file\";}s:14:\"processed_text\";a:3:{s:2:\"id\";s:14:\"processed_text\";s:5:\"class\";s:35:\"Drupal\\filter\\Element\\ProcessedText\";s:8:\"provider\";s:6:\"filter\";}s:11:\"text_format\";a:3:{s:2:\"id\";s:11:\"text_format\";s:5:\"class\";s:32:\"Drupal\\filter\\Element\\TextFormat\";s:8:\"provider\";s:6:\"filter\";}s:22:\"language_configuration\";a:3:{s:2:\"id\";s:22:\"language_configuration\";s:5:\"class\";s:45:\"Drupal\\language\\Element\\LanguageConfiguration\";s:8:\"provider\";s:8:\"language\";}s:16:\"responsive_image\";a:3:{s:2:\"id\";s:16:\"responsive_image\";s:5:\"class\";s:47:\"Drupal\\responsive_image\\Element\\ResponsiveImage\";s:8:\"provider\";s:16:\"responsive_image\";}s:18:\"status_report_page\";a:3:{s:2:\"id\";s:18:\"status_report_page\";s:5:\"class\";s:38:\"Drupal\\system\\Element\\StatusReportPage\";s:8:\"provider\";s:6:\"system\";}s:16:\"token_tree_table\";a:3:{s:2:\"id\";s:16:\"token_tree_table\";s:5:\"class\";s:35:\"Drupal\\token\\Element\\TokenTreeTable\";s:8:\"provider\";s:5:\"token\";}s:7:\"toolbar\";a:3:{s:2:\"id\";s:7:\"toolbar\";s:5:\"class\";s:30:\"Drupal\\toolbar\\Element\\Toolbar\";s:8:\"provider\";s:7:\"toolbar\";}s:12:\"toolbar_item\";a:3:{s:2:\"id\";s:12:\"toolbar_item\";s:5:\"class\";s:34:\"Drupal\\toolbar\\Element\\ToolbarItem\";s:8:\"provider\";s:7:\"toolbar\";}s:18:\"video_embed_iframe\";a:3:{s:2:\"id\";s:18:\"video_embed_iframe\";s:5:\"class\";s:49:\"Drupal\\video_embed_field\\Element\\VideoEmbedIFrame\";s:8:\"provider\";s:17:\"video_embed_field\";}s:4:\"view\";a:3:{s:2:\"id\";s:4:\"view\";s:5:\"class\";s:25:\"Drupal\\views\\Element\\View\";s:8:\"provider\";s:5:\"views\";}s:8:\"datetime\";a:3:{s:2:\"id\";s:8:\"datetime\";s:5:\"class\";s:37:\"Drupal\\Core\\Datetime\\Element\\Datetime\";s:8:\"provider\";s:4:\"core\";}s:8:\"datelist\";a:3:{s:2:\"id\";s:8:\"datelist\";s:5:\"class\";s:37:\"Drupal\\Core\\Datetime\\Element\\Datelist\";s:8:\"provider\";s:4:\"core\";}s:19:\"entity_autocomplete\";a:3:{s:2:\"id\";s:19:\"entity_autocomplete\";s:5:\"class\";s:45:\"Drupal\\Core\\Entity\\Element\\EntityAutocomplete\";s:8:\"provider\";s:4:\"core\";}s:19:\"system_compact_link\";a:3:{s:2:\"id\";s:19:\"system_compact_link\";s:5:\"class\";s:44:\"Drupal\\Core\\Render\\Element\\SystemCompactLink\";s:8:\"provider\";s:4:\"core\";}s:10:\"fieldgroup\";a:3:{s:2:\"id\";s:10:\"fieldgroup\";s:5:\"class\";s:37:\"Drupal\\Core\\Render\\Element\\Fieldgroup\";s:8:\"provider\";s:4:\"core\";}s:8:\"checkbox\";a:3:{s:2:\"id\";s:8:\"checkbox\";s:5:\"class\";s:35:\"Drupal\\Core\\Render\\Element\\Checkbox\";s:8:\"provider\";s:4:\"core\";}s:10:\"dropbutton\";a:3:{s:2:\"id\";s:10:\"dropbutton\";s:5:\"class\";s:37:\"Drupal\\Core\\Render\\Element\\Dropbutton\";s:8:\"provider\";s:4:\"core\";}s:16:\"password_confirm\";a:3:{s:2:\"id\";s:16:\"password_confirm\";s:5:\"class\";s:42:\"Drupal\\Core\\Render\\Element\\PasswordConfirm\";s:8:\"provider\";s:4:\"core\";}s:4:\"link\";a:3:{s:2:\"id\";s:4:\"link\";s:5:\"class\";s:31:\"Drupal\\Core\\Render\\Element\\Link\";s:8:\"provider\";s:4:\"core\";}s:12:\"image_button\";a:3:{s:2:\"id\";s:12:\"image_button\";s:5:\"class\";s:38:\"Drupal\\Core\\Render\\Element\\ImageButton\";s:8:\"provider\";s:4:\"core\";}s:8:\"password\";a:3:{s:2:\"id\";s:8:\"password\";s:5:\"class\";s:35:\"Drupal\\Core\\Render\\Element\\Password\";s:8:\"provider\";s:4:\"core\";}s:3:\"url\";a:3:{s:2:\"id\";s:3:\"url\";s:5:\"class\";s:30:\"Drupal\\Core\\Render\\Element\\Url\";s:8:\"provider\";s:4:\"core\";}s:12:\"machine_name\";a:3:{s:2:\"id\";s:12:\"machine_name\";s:5:\"class\";s:38:\"Drupal\\Core\\Render\\Element\\MachineName\";s:8:\"provider\";s:4:\"core\";}s:4:\"page\";a:3:{s:2:\"id\";s:4:\"page\";s:5:\"class\";s:31:\"Drupal\\Core\\Render\\Element\\Page\";s:8:\"provider\";s:4:\"core\";}s:15:\"status_messages\";a:3:{s:2:\"id\";s:15:\"status_messages\";s:5:\"class\";s:41:\"Drupal\\Core\\Render\\Element\\StatusMessages\";s:8:\"provider\";s:4:\"core\";}s:9:\"more_link\";a:3:{s:2:\"id\";s:9:\"more_link\";s:5:\"class\";s:35:\"Drupal\\Core\\Render\\Element\\MoreLink\";s:8:\"provider\";s:4:\"core\";}s:5:\"token\";a:3:{s:2:\"id\";s:5:\"token\";s:5:\"class\";s:32:\"Drupal\\Core\\Render\\Element\\Token\";s:8:\"provider\";s:4:\"core\";}s:4:\"path\";a:3:{s:2:\"id\";s:4:\"path\";s:5:\"class\";s:38:\"Drupal\\Core\\Render\\Element\\PathElement\";s:8:\"provider\";s:4:\"core\";}s:15:\"inline_template\";a:3:{s:2:\"id\";s:15:\"inline_template\";s:5:\"class\";s:41:\"Drupal\\Core\\Render\\Element\\InlineTemplate\";s:8:\"provider\";s:4:\"core\";}s:10:\"page_title\";a:3:{s:2:\"id\";s:10:\"page_title\";s:5:\"class\";s:36:\"Drupal\\Core\\Render\\Element\\PageTitle\";s:8:\"provider\";s:4:\"core\";}s:4:\"item\";a:3:{s:2:\"id\";s:4:\"item\";s:5:\"class\";s:31:\"Drupal\\Core\\Render\\Element\\Item\";s:8:\"provider\";s:4:\"core\";}s:5:\"email\";a:3:{s:2:\"id\";s:5:\"email\";s:5:\"class\";s:32:\"Drupal\\Core\\Render\\Element\\Email\";s:8:\"provider\";s:4:\"core\";}s:5:\"table\";a:3:{s:2:\"id\";s:5:\"table\";s:5:\"class\";s:32:\"Drupal\\Core\\Render\\Element\\Table\";s:8:\"provider\";s:4:\"core\";}s:6:\"number\";a:3:{s:2:\"id\";s:6:\"number\";s:5:\"class\";s:33:\"Drupal\\Core\\Render\\Element\\Number\";s:8:\"provider\";s:4:\"core\";}s:4:\"ajax\";a:3:{s:2:\"id\";s:4:\"ajax\";s:5:\"class\";s:31:\"Drupal\\Core\\Render\\Element\\Ajax\";s:8:\"provider\";s:4:\"core\";}s:13:\"status_report\";a:3:{s:2:\"id\";s:13:\"status_report\";s:5:\"class\";s:39:\"Drupal\\Core\\Render\\Element\\StatusReport\";s:8:\"provider\";s:4:\"core\";}s:8:\"fieldset\";a:3:{s:2:\"id\";s:8:\"fieldset\";s:5:\"class\";s:35:\"Drupal\\Core\\Render\\Element\\Fieldset\";s:8:\"provider\";s:4:\"core\";}s:8:\"html_tag\";a:3:{s:2:\"id\";s:8:\"html_tag\";s:5:\"class\";s:34:\"Drupal\\Core\\Render\\Element\\HtmlTag\";s:8:\"provider\";s:4:\"core\";}s:7:\"details\";a:3:{s:2:\"id\";s:7:\"details\";s:5:\"class\";s:34:\"Drupal\\Core\\Render\\Element\\Details\";s:8:\"provider\";s:4:\"core\";}s:5:\"label\";a:3:{s:2:\"id\";s:5:\"label\";s:5:\"class\";s:32:\"Drupal\\Core\\Render\\Element\\Label\";s:8:\"provider\";s:4:\"core\";}s:15:\"language_select\";a:3:{s:2:\"id\";s:15:\"language_select\";s:5:\"class\";s:41:\"Drupal\\Core\\Render\\Element\\LanguageSelect\";s:8:\"provider\";s:4:\"core\";}s:6:\"button\";a:3:{s:2:\"id\";s:6:\"button\";s:5:\"class\";s:33:\"Drupal\\Core\\Render\\Element\\Button\";s:8:\"provider\";s:4:\"core\";}s:5:\"range\";a:3:{s:2:\"id\";s:5:\"range\";s:5:\"class\";s:32:\"Drupal\\Core\\Render\\Element\\Range\";s:8:\"provider\";s:4:\"core\";}s:10:\"operations\";a:3:{s:2:\"id\";s:10:\"operations\";s:5:\"class\";s:37:\"Drupal\\Core\\Render\\Element\\Operations\";s:8:\"provider\";s:4:\"core\";}s:7:\"actions\";a:3:{s:2:\"id\";s:7:\"actions\";s:5:\"class\";s:34:\"Drupal\\Core\\Render\\Element\\Actions\";s:8:\"provider\";s:4:\"core\";}s:6:\"select\";a:3:{s:2:\"id\";s:6:\"select\";s:5:\"class\";s:33:\"Drupal\\Core\\Render\\Element\\Select\";s:8:\"provider\";s:4:\"core\";}s:5:\"pager\";a:3:{s:2:\"id\";s:5:\"pager\";s:5:\"class\";s:32:\"Drupal\\Core\\Render\\Element\\Pager\";s:8:\"provider\";s:4:\"core\";}s:6:\"submit\";a:3:{s:2:\"id\";s:6:\"submit\";s:5:\"class\";s:33:\"Drupal\\Core\\Render\\Element\\Submit\";s:8:\"provider\";s:4:\"core\";}s:6:\"radios\";a:3:{s:2:\"id\";s:6:\"radios\";s:5:\"class\";s:33:\"Drupal\\Core\\Render\\Element\\Radios\";s:8:\"provider\";s:4:\"core\";}s:6:\"weight\";a:3:{s:2:\"id\";s:6:\"weight\";s:5:\"class\";s:33:\"Drupal\\Core\\Render\\Element\\Weight\";s:8:\"provider\";s:4:\"core\";}s:8:\"textarea\";a:3:{s:2:\"id\";s:8:\"textarea\";s:5:\"class\";s:35:\"Drupal\\Core\\Render\\Element\\Textarea\";s:8:\"provider\";s:4:\"core\";}s:4:\"date\";a:3:{s:2:\"id\";s:4:\"date\";s:5:\"class\";s:31:\"Drupal\\Core\\Render\\Element\\Date\";s:8:\"provider\";s:4:\"core\";}s:6:\"hidden\";a:3:{s:2:\"id\";s:6:\"hidden\";s:5:\"class\";s:33:\"Drupal\\Core\\Render\\Element\\Hidden\";s:8:\"provider\";s:4:\"core\";}s:5:\"radio\";a:3:{s:2:\"id\";s:5:\"radio\";s:5:\"class\";s:32:\"Drupal\\Core\\Render\\Element\\Radio\";s:8:\"provider\";s:4:\"core\";}s:4:\"html\";a:3:{s:2:\"id\";s:4:\"html\";s:5:\"class\";s:31:\"Drupal\\Core\\Render\\Element\\Html\";s:8:\"provider\";s:4:\"core\";}s:5:\"color\";a:3:{s:2:\"id\";s:5:\"color\";s:5:\"class\";s:32:\"Drupal\\Core\\Render\\Element\\Color\";s:8:\"provider\";s:4:\"core\";}s:13:\"vertical_tabs\";a:3:{s:2:\"id\";s:13:\"vertical_tabs\";s:5:\"class\";s:39:\"Drupal\\Core\\Render\\Element\\VerticalTabs\";s:8:\"provider\";s:4:\"core\";}s:5:\"value\";a:3:{s:2:\"id\";s:5:\"value\";s:5:\"class\";s:32:\"Drupal\\Core\\Render\\Element\\Value\";s:8:\"provider\";s:4:\"core\";}s:9:\"textfield\";a:3:{s:2:\"id\";s:9:\"textfield\";s:5:\"class\";s:36:\"Drupal\\Core\\Render\\Element\\Textfield\";s:8:\"provider\";s:4:\"core\";}s:6:\"search\";a:3:{s:2:\"id\";s:6:\"search\";s:5:\"class\";s:33:\"Drupal\\Core\\Render\\Element\\Search\";s:8:\"provider\";s:4:\"core\";}s:11:\"tableselect\";a:3:{s:2:\"id\";s:11:\"tableselect\";s:5:\"class\";s:38:\"Drupal\\Core\\Render\\Element\\Tableselect\";s:8:\"provider\";s:4:\"core\";}s:4:\"file\";a:3:{s:2:\"id\";s:4:\"file\";s:5:\"class\";s:31:\"Drupal\\Core\\Render\\Element\\File\";s:8:\"provider\";s:4:\"core\";}s:9:\"container\";a:3:{s:2:\"id\";s:9:\"container\";s:5:\"class\";s:36:\"Drupal\\Core\\Render\\Element\\Container\";s:8:\"provider\";s:4:\"core\";}s:10:\"checkboxes\";a:3:{s:2:\"id\";s:10:\"checkboxes\";s:5:\"class\";s:37:\"Drupal\\Core\\Render\\Element\\Checkboxes\";s:8:\"provider\";s:4:\"core\";}s:4:\"form\";a:3:{s:2:\"id\";s:4:\"form\";s:5:\"class\";s:31:\"Drupal\\Core\\Render\\Element\\Form\";s:8:\"provider\";s:4:\"core\";}s:3:\"tel\";a:3:{s:2:\"id\";s:3:\"tel\";s:5:\"class\";s:30:\"Drupal\\Core\\Render\\Element\\Tel\";s:8:\"provider\";s:4:\"core\";}s:15:\"break_lock_link\";a:3:{s:2:\"id\";s:15:\"break_lock_link\";s:5:\"class\";s:43:\"Drupal\\Core\\TempStore\\Element\\BreakLockLink\";s:8:\"provider\";s:4:\"core\";}}',-1,1636012247.423,1,'','0'),('element_info_build:luxestate','a:71:{s:28:\"contextual_links_placeholder\";a:3:{s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:52:\"Drupal\\contextual\\Element\\ContextualLinksPlaceholder\";i:1;s:20:\"preRenderPlaceholder\";}}s:3:\"#id\";N;s:5:\"#type\";s:28:\"contextual_links_placeholder\";}s:16:\"contextual_links\";a:6:{s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:41:\"Drupal\\contextual\\Element\\ContextualLinks\";i:1;s:14:\"preRenderLinks\";}}s:6:\"#theme\";s:17:\"links__contextual\";s:6:\"#links\";a:0:{}s:11:\"#attributes\";a:1:{s:5:\"class\";a:1:{i:0;s:16:\"contextual-links\";}}s:9:\"#attached\";a:1:{s:7:\"library\";a:1:{i:0;s:34:\"contextual/drupal.contextual-links\";}}s:5:\"#type\";s:16:\"contextual_links\";}s:14:\"field_ui_table\";a:18:{s:7:\"#header\";a:0:{}s:5:\"#rows\";a:0:{}s:6:\"#empty\";s:0:\"\";s:6:\"#input\";b:1;s:5:\"#tree\";b:1;s:12:\"#tableselect\";b:0;s:7:\"#sticky\";b:0;s:11:\"#responsive\";b:1;s:9:\"#multiple\";b:1;s:10:\"#js_select\";b:1;s:8:\"#process\";a:1:{i:0;a:2:{i:0;s:36:\"Drupal\\field_ui\\Element\\FieldUiTable\";i:1;s:12:\"processTable\";}}s:17:\"#element_validate\";a:1:{i:0;a:2:{i:0;s:36:\"Drupal\\field_ui\\Element\\FieldUiTable\";i:1;s:13:\"validateTable\";}}s:10:\"#tabledrag\";a:0:{}s:11:\"#pre_render\";a:3:{i:0;a:2:{i:0;O:36:\"Drupal\\field_ui\\Element\\FieldUiTable\":7:{s:11:\"\0*\0pluginId\";s:14:\"field_ui_table\";s:19:\"\0*\0pluginDefinition\";a:3:{s:2:\"id\";s:14:\"field_ui_table\";s:5:\"class\";s:36:\"Drupal\\field_ui\\Element\\FieldUiTable\";s:8:\"provider\";s:8:\"field_ui\";}s:16:\"\0*\0configuration\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0messenger\";N;}i:1;s:14:\"tablePreRender\";}i:1;a:2:{i:0;r:45;i:1;s:19:\"preRenderRegionRows\";}i:2;a:2:{i:0;s:36:\"Drupal\\field_ui\\Element\\FieldUiTable\";i:1;s:14:\"preRenderTable\";}}s:6:\"#theme\";s:14:\"field_ui_table\";s:8:\"#regions\";a:1:{s:0:\"\";a:0:{}}s:15:\"#value_callback\";a:2:{i:0;s:36:\"Drupal\\field_ui\\Element\\FieldUiTable\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:14:\"field_ui_table\";}s:12:\"managed_file\";a:17:{s:6:\"#input\";b:1;s:8:\"#process\";a:1:{i:0;a:2:{i:0;s:31:\"Drupal\\file\\Element\\ManagedFile\";i:1;s:18:\"processManagedFile\";}}s:17:\"#element_validate\";a:1:{i:0;a:2:{i:0;s:31:\"Drupal\\file\\Element\\ManagedFile\";i:1;s:19:\"validateManagedFile\";}}s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:31:\"Drupal\\file\\Element\\ManagedFile\";i:1;s:20:\"preRenderManagedFile\";}}s:6:\"#theme\";s:17:\"file_managed_file\";s:15:\"#theme_wrappers\";a:1:{i:0;s:12:\"form_element\";}s:19:\"#progress_indicator\";s:8:\"throbber\";s:17:\"#progress_message\";N;s:18:\"#upload_validators\";a:0:{}s:16:\"#upload_location\";N;s:5:\"#size\";i:22;s:9:\"#multiple\";b:0;s:9:\"#extended\";b:0;s:9:\"#attached\";a:1:{s:7:\"library\";a:1:{i:0;s:16:\"file/drupal.file\";}}s:7:\"#accept\";N;s:15:\"#value_callback\";a:2:{i:0;s:31:\"Drupal\\file\\Element\\ManagedFile\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:12:\"managed_file\";}s:14:\"processed_text\";a:6:{s:5:\"#text\";s:0:\"\";s:7:\"#format\";N;s:21:\"#filter_types_to_skip\";a:0:{}s:9:\"#langcode\";s:0:\"\";s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:35:\"Drupal\\filter\\Element\\ProcessedText\";i:1;s:13:\"preRenderText\";}}s:5:\"#type\";s:14:\"processed_text\";}s:11:\"text_format\";a:5:{s:8:\"#process\";a:2:{i:0;a:2:{i:0;s:32:\"Drupal\\filter\\Element\\TextFormat\";i:1;s:13:\"processFormat\";}i:1;s:26:\"stable_process_text_format\";}s:10:\"#base_type\";s:8:\"textarea\";s:15:\"#theme_wrappers\";a:1:{i:0;s:19:\"text_format_wrapper\";}s:5:\"#type\";s:11:\"text_format\";s:11:\"#pre_render\";a:1:{i:0;s:34:\"element.editor:preRenderTextFormat\";}}s:22:\"language_configuration\";a:5:{s:6:\"#input\";b:1;s:5:\"#tree\";b:1;s:8:\"#process\";a:2:{i:0;a:2:{i:0;s:45:\"Drupal\\language\\Element\\LanguageConfiguration\";i:1;s:28:\"processLanguageConfiguration\";}i:1;s:58:\"content_translation_language_configuration_element_process\";}s:15:\"#value_callback\";a:2:{i:0;s:45:\"Drupal\\language\\Element\\LanguageConfiguration\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:22:\"language_configuration\";}s:16:\"responsive_image\";a:3:{s:6:\"#theme\";s:16:\"responsive_image\";s:9:\"#attached\";a:1:{s:7:\"library\";a:1:{i:0;s:16:\"core/picturefill\";}}s:5:\"#type\";s:16:\"responsive_image\";}s:18:\"status_report_page\";a:3:{s:6:\"#theme\";s:18:\"status_report_page\";s:11:\"#pre_render\";a:3:{i:0;a:2:{i:0;s:38:\"Drupal\\system\\Element\\StatusReportPage\";i:1;s:17:\"preRenderCounters\";}i:1;a:2:{i:0;s:38:\"Drupal\\system\\Element\\StatusReportPage\";i:1;s:20:\"preRenderGeneralInfo\";}i:2;a:2:{i:0;s:38:\"Drupal\\system\\Element\\StatusReportPage\";i:1;s:21:\"preRenderRequirements\";}}s:5:\"#type\";s:18:\"status_report_page\";}s:16:\"token_tree_table\";a:17:{s:7:\"#header\";a:0:{}s:5:\"#rows\";a:0:{}s:11:\"#token_tree\";a:0:{}s:8:\"#columns\";a:3:{i:0;s:4:\"name\";i:1;s:5:\"token\";i:2;s:11:\"description\";}s:6:\"#empty\";s:0:\"\";s:16:\"#show_restricted\";b:0;s:12:\"#show_nested\";b:0;s:18:\"#skip_empty_values\";b:0;s:13:\"#click_insert\";b:1;s:7:\"#sticky\";b:0;s:11:\"#responsive\";b:1;s:6:\"#input\";b:1;s:11:\"#pre_render\";a:2:{i:0;a:2:{i:0;s:35:\"Drupal\\token\\Element\\TokenTreeTable\";i:1;s:18:\"preRenderTokenTree\";}i:1;a:2:{i:0;s:35:\"Drupal\\token\\Element\\TokenTreeTable\";i:1;s:14:\"preRenderTable\";}}s:6:\"#theme\";s:17:\"table__token_tree\";s:9:\"#attached\";a:1:{s:7:\"library\";a:1:{i:0;s:11:\"token/token\";}}s:15:\"#value_callback\";a:2:{i:0;s:35:\"Drupal\\token\\Element\\TokenTreeTable\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:16:\"token_tree_table\";}s:7:\"toolbar\";a:6:{s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:30:\"Drupal\\toolbar\\Element\\Toolbar\";i:1;s:16:\"preRenderToolbar\";}}s:6:\"#theme\";s:7:\"toolbar\";s:9:\"#attached\";a:1:{s:7:\"library\";a:1:{i:0;s:15:\"toolbar/toolbar\";}}s:11:\"#attributes\";a:3:{s:2:\"id\";s:22:\"toolbar-administration\";s:4:\"role\";s:5:\"group\";s:10:\"aria-label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:27:\"Site administration toolbar\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:4:\"#bar\";a:2:{s:8:\"#heading\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Toolbar items\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"#attributes\";a:3:{s:2:\"id\";s:11:\"toolbar-bar\";s:4:\"role\";s:10:\"navigation\";s:10:\"aria-label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Toolbar items\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:5:\"#type\";s:7:\"toolbar\";}s:12:\"toolbar_item\";a:3:{s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:34:\"Drupal\\toolbar\\Element\\ToolbarItem\";i:1;s:20:\"preRenderToolbarItem\";}}s:3:\"tab\";a:3:{s:5:\"#type\";s:4:\"link\";s:6:\"#title\";N;s:4:\"#url\";O:15:\"Drupal\\Core\\Url\":12:{s:15:\"\0*\0urlGenerator\";N;s:15:\"\0*\0urlAssembler\";N;s:16:\"\0*\0accessManager\";N;s:12:\"\0*\0routeName\";s:7:\"<front>\";s:18:\"\0*\0routeParameters\";a:0:{}s:10:\"\0*\0options\";a:0:{}s:11:\"\0*\0external\";b:0;s:11:\"\0*\0unrouted\";b:0;s:6:\"\0*\0uri\";N;s:15:\"\0*\0internalPath\";N;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}}}s:5:\"#type\";s:12:\"toolbar_item\";}s:18:\"video_embed_iframe\";a:8:{s:6:\"#theme\";s:18:\"video_embed_iframe\";s:9:\"#provider\";s:0:\"\";s:4:\"#url\";s:0:\"\";s:6:\"#query\";a:0:{}s:11:\"#attributes\";a:0:{}s:9:\"#fragment\";a:0:{}s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:49:\"Drupal\\video_embed_field\\Element\\VideoEmbedIFrame\";i:1;s:25:\"preRenderInlineFrameEmbed\";}}s:5:\"#type\";s:18:\"video_embed_iframe\";}s:4:\"view\";a:7:{s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:25:\"Drupal\\views\\Element\\View\";i:1;s:20:\"preRenderViewElement\";}}s:5:\"#name\";N;s:11:\"#display_id\";s:7:\"default\";s:10:\"#arguments\";a:0:{}s:6:\"#embed\";b:1;s:6:\"#cache\";a:0:{}s:5:\"#type\";s:4:\"view\";}s:8:\"datetime\";a:16:{s:6:\"#input\";b:1;s:17:\"#element_validate\";a:1:{i:0;a:2:{i:0;s:37:\"Drupal\\Core\\Datetime\\Element\\Datetime\";i:1;s:16:\"validateDatetime\";}}s:8:\"#process\";a:3:{i:0;a:2:{i:0;s:37:\"Drupal\\Core\\Datetime\\Element\\Datetime\";i:1;s:15:\"processDatetime\";}i:1;a:2:{i:0;s:37:\"Drupal\\Core\\Datetime\\Element\\Datetime\";i:1;s:15:\"processAjaxForm\";}i:2;a:2:{i:0;s:37:\"Drupal\\Core\\Datetime\\Element\\Datetime\";i:1;s:12:\"processGroup\";}}s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:37:\"Drupal\\Core\\Datetime\\Element\\Datetime\";i:1;s:14:\"preRenderGroup\";}}s:6:\"#theme\";s:13:\"datetime_form\";s:15:\"#theme_wrappers\";a:1:{i:0;s:16:\"datetime_wrapper\";}s:17:\"#date_date_format\";s:5:\"Y-m-d\";s:18:\"#date_date_element\";s:4:\"date\";s:20:\"#date_date_callbacks\";a:0:{}s:17:\"#date_time_format\";s:5:\"H:i:s\";s:18:\"#date_time_element\";s:4:\"time\";s:20:\"#date_time_callbacks\";a:0:{}s:16:\"#date_year_range\";s:9:\"1900:2050\";s:15:\"#date_increment\";i:1;s:15:\"#value_callback\";a:2:{i:0;s:37:\"Drupal\\Core\\Datetime\\Element\\Datetime\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:8:\"datetime\";}s:8:\"datelist\";a:12:{s:6:\"#input\";b:1;s:17:\"#element_validate\";a:1:{i:0;a:2:{i:0;s:37:\"Drupal\\Core\\Datetime\\Element\\Datelist\";i:1;s:16:\"validateDatelist\";}}s:8:\"#process\";a:1:{i:0;a:2:{i:0;s:37:\"Drupal\\Core\\Datetime\\Element\\Datelist\";i:1;s:15:\"processDatelist\";}}s:6:\"#theme\";s:13:\"datetime_form\";s:15:\"#theme_wrappers\";a:1:{i:0;s:16:\"datetime_wrapper\";}s:16:\"#date_part_order\";a:5:{i:0;s:4:\"year\";i:1;s:5:\"month\";i:2;s:3:\"day\";i:3;s:4:\"hour\";i:4;s:6:\"minute\";}s:16:\"#date_year_range\";s:9:\"1900:2050\";s:15:\"#date_increment\";i:1;s:20:\"#date_date_callbacks\";a:0:{}s:14:\"#date_timezone\";s:12:\"Europe/Paris\";s:15:\"#value_callback\";a:2:{i:0;s:37:\"Drupal\\Core\\Datetime\\Element\\Datelist\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:8:\"datelist\";}s:19:\"entity_autocomplete\";a:18:{s:6:\"#input\";b:1;s:5:\"#size\";i:60;s:10:\"#maxlength\";i:128;s:24:\"#autocomplete_route_name\";b:0;s:8:\"#process\";a:5:{i:0;a:2:{i:0;s:45:\"Drupal\\Core\\Entity\\Element\\EntityAutocomplete\";i:1;s:25:\"processEntityAutocomplete\";}i:1;a:2:{i:0;s:45:\"Drupal\\Core\\Entity\\Element\\EntityAutocomplete\";i:1;s:19:\"processAutocomplete\";}i:2;a:2:{i:0;s:45:\"Drupal\\Core\\Entity\\Element\\EntityAutocomplete\";i:1;s:15:\"processAjaxForm\";}i:3;a:2:{i:0;s:45:\"Drupal\\Core\\Entity\\Element\\EntityAutocomplete\";i:1;s:14:\"processPattern\";}i:4;a:2:{i:0;s:45:\"Drupal\\Core\\Entity\\Element\\EntityAutocomplete\";i:1;s:12:\"processGroup\";}}s:11:\"#pre_render\";a:2:{i:0;a:2:{i:0;s:45:\"Drupal\\Core\\Entity\\Element\\EntityAutocomplete\";i:1;s:18:\"preRenderTextfield\";}i:1;a:2:{i:0;s:45:\"Drupal\\Core\\Entity\\Element\\EntityAutocomplete\";i:1;s:14:\"preRenderGroup\";}}s:6:\"#theme\";s:16:\"input__textfield\";s:15:\"#theme_wrappers\";a:1:{i:0;s:12:\"form_element\";}s:12:\"#target_type\";N;s:18:\"#selection_handler\";s:7:\"default\";s:19:\"#selection_settings\";a:0:{}s:5:\"#tags\";b:0;s:11:\"#autocreate\";N;s:19:\"#validate_reference\";b:1;s:22:\"#process_default_value\";b:1;s:17:\"#element_validate\";a:1:{i:0;a:2:{i:0;s:45:\"Drupal\\Core\\Entity\\Element\\EntityAutocomplete\";i:1;s:26:\"validateEntityAutocomplete\";}}s:15:\"#value_callback\";a:2:{i:0;s:45:\"Drupal\\Core\\Entity\\Element\\EntityAutocomplete\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:19:\"entity_autocomplete\";}s:19:\"system_compact_link\";a:3:{s:11:\"#pre_render\";a:2:{i:0;a:2:{i:0;s:44:\"Drupal\\Core\\Render\\Element\\SystemCompactLink\";i:1;s:20:\"preRenderCompactLink\";}i:1;a:2:{i:0;s:44:\"Drupal\\Core\\Render\\Element\\SystemCompactLink\";i:1;s:13:\"preRenderLink\";}}s:15:\"#theme_wrappers\";a:1:{s:9:\"container\";a:1:{s:11:\"#attributes\";a:1:{s:5:\"class\";a:1:{i:0;s:12:\"compact-link\";}}}}s:5:\"#type\";s:19:\"system_compact_link\";}s:10:\"fieldgroup\";a:6:{s:11:\"#attributes\";a:1:{s:5:\"class\";a:1:{i:0;s:10:\"fieldgroup\";}}s:8:\"#process\";a:2:{i:0;a:2:{i:0;s:37:\"Drupal\\Core\\Render\\Element\\Fieldgroup\";i:1;s:12:\"processGroup\";}i:1;a:2:{i:0;s:37:\"Drupal\\Core\\Render\\Element\\Fieldgroup\";i:1;s:15:\"processAjaxForm\";}}s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:37:\"Drupal\\Core\\Render\\Element\\Fieldgroup\";i:1;s:14:\"preRenderGroup\";}}s:6:\"#value\";N;s:15:\"#theme_wrappers\";a:1:{i:0;s:8:\"fieldset\";}s:5:\"#type\";s:10:\"fieldgroup\";}s:8:\"checkbox\";a:9:{s:6:\"#input\";b:1;s:13:\"#return_value\";i:1;s:8:\"#process\";a:3:{i:0;a:2:{i:0;s:35:\"Drupal\\Core\\Render\\Element\\Checkbox\";i:1;s:15:\"processCheckbox\";}i:1;a:2:{i:0;s:35:\"Drupal\\Core\\Render\\Element\\Checkbox\";i:1;s:15:\"processAjaxForm\";}i:2;a:2:{i:0;s:35:\"Drupal\\Core\\Render\\Element\\Checkbox\";i:1;s:12:\"processGroup\";}}s:11:\"#pre_render\";a:2:{i:0;a:2:{i:0;s:35:\"Drupal\\Core\\Render\\Element\\Checkbox\";i:1;s:17:\"preRenderCheckbox\";}i:1;a:2:{i:0;s:35:\"Drupal\\Core\\Render\\Element\\Checkbox\";i:1;s:14:\"preRenderGroup\";}}s:6:\"#theme\";s:15:\"input__checkbox\";s:15:\"#theme_wrappers\";a:1:{i:0;s:12:\"form_element\";}s:14:\"#title_display\";s:5:\"after\";s:15:\"#value_callback\";a:2:{i:0;s:35:\"Drupal\\Core\\Render\\Element\\Checkbox\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:8:\"checkbox\";}s:10:\"dropbutton\";a:3:{s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:37:\"Drupal\\Core\\Render\\Element\\Dropbutton\";i:1;s:19:\"preRenderDropbutton\";}}s:6:\"#theme\";s:17:\"links__dropbutton\";s:5:\"#type\";s:10:\"dropbutton\";}s:16:\"password_confirm\";a:6:{s:6:\"#input\";b:1;s:7:\"#markup\";s:0:\"\";s:8:\"#process\";a:2:{i:0;a:2:{i:0;s:42:\"Drupal\\Core\\Render\\Element\\PasswordConfirm\";i:1;s:22:\"processPasswordConfirm\";}i:1;s:34:\"user_form_process_password_confirm\";}s:15:\"#theme_wrappers\";a:1:{i:0;s:12:\"form_element\";}s:15:\"#value_callback\";a:2:{i:0;s:42:\"Drupal\\Core\\Render\\Element\\PasswordConfirm\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:16:\"password_confirm\";}s:4:\"link\";a:2:{s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:31:\"Drupal\\Core\\Render\\Element\\Link\";i:1;s:13:\"preRenderLink\";}}s:5:\"#type\";s:4:\"link\";}s:12:\"image_button\";a:13:{s:13:\"#return_value\";b:1;s:18:\"#has_garbage_value\";b:1;s:4:\"#src\";N;s:15:\"#theme_wrappers\";a:1:{i:0;s:19:\"input__image_button\";}s:25:\"#executes_submit_callback\";b:1;s:6:\"#input\";b:1;s:5:\"#name\";s:2:\"op\";s:10:\"#is_button\";b:1;s:24:\"#limit_validation_errors\";b:0;s:8:\"#process\";a:2:{i:0;a:2:{i:0;s:38:\"Drupal\\Core\\Render\\Element\\ImageButton\";i:1;s:13:\"processButton\";}i:1;a:2:{i:0;s:38:\"Drupal\\Core\\Render\\Element\\ImageButton\";i:1;s:15:\"processAjaxForm\";}}s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:38:\"Drupal\\Core\\Render\\Element\\ImageButton\";i:1;s:15:\"preRenderButton\";}}s:15:\"#value_callback\";a:2:{i:0;s:38:\"Drupal\\Core\\Render\\Element\\ImageButton\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:12:\"image_button\";}s:8:\"password\";a:9:{s:6:\"#input\";b:1;s:5:\"#size\";i:60;s:10:\"#maxlength\";i:128;s:8:\"#process\";a:2:{i:0;a:2:{i:0;s:35:\"Drupal\\Core\\Render\\Element\\Password\";i:1;s:15:\"processAjaxForm\";}i:1;a:2:{i:0;s:35:\"Drupal\\Core\\Render\\Element\\Password\";i:1;s:14:\"processPattern\";}}s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:35:\"Drupal\\Core\\Render\\Element\\Password\";i:1;s:17:\"preRenderPassword\";}}s:6:\"#theme\";s:15:\"input__password\";s:15:\"#theme_wrappers\";a:1:{i:0;s:12:\"form_element\";}s:15:\"#value_callback\";a:2:{i:0;s:35:\"Drupal\\Core\\Render\\Element\\Password\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:8:\"password\";}s:3:\"url\";a:11:{s:6:\"#input\";b:1;s:5:\"#size\";i:60;s:10:\"#maxlength\";i:255;s:24:\"#autocomplete_route_name\";b:0;s:8:\"#process\";a:3:{i:0;a:2:{i:0;s:30:\"Drupal\\Core\\Render\\Element\\Url\";i:1;s:19:\"processAutocomplete\";}i:1;a:2:{i:0;s:30:\"Drupal\\Core\\Render\\Element\\Url\";i:1;s:15:\"processAjaxForm\";}i:2;a:2:{i:0;s:30:\"Drupal\\Core\\Render\\Element\\Url\";i:1;s:14:\"processPattern\";}}s:17:\"#element_validate\";a:1:{i:0;a:2:{i:0;s:30:\"Drupal\\Core\\Render\\Element\\Url\";i:1;s:11:\"validateUrl\";}}s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:30:\"Drupal\\Core\\Render\\Element\\Url\";i:1;s:12:\"preRenderUrl\";}}s:6:\"#theme\";s:10:\"input__url\";s:15:\"#theme_wrappers\";a:1:{i:0;s:12:\"form_element\";}s:15:\"#value_callback\";a:2:{i:0;s:30:\"Drupal\\Core\\Render\\Element\\Url\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:3:\"url\";}s:12:\"machine_name\";a:13:{s:6:\"#input\";b:1;s:14:\"#default_value\";N;s:9:\"#required\";b:1;s:10:\"#maxlength\";i:64;s:5:\"#size\";i:60;s:24:\"#autocomplete_route_name\";b:0;s:8:\"#process\";a:3:{i:0;a:2:{i:0;s:38:\"Drupal\\Core\\Render\\Element\\MachineName\";i:1;s:18:\"processMachineName\";}i:1;a:2:{i:0;s:38:\"Drupal\\Core\\Render\\Element\\MachineName\";i:1;s:19:\"processAutocomplete\";}i:2;a:2:{i:0;s:38:\"Drupal\\Core\\Render\\Element\\MachineName\";i:1;s:15:\"processAjaxForm\";}}s:17:\"#element_validate\";a:1:{i:0;a:2:{i:0;s:38:\"Drupal\\Core\\Render\\Element\\MachineName\";i:1;s:19:\"validateMachineName\";}}s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:38:\"Drupal\\Core\\Render\\Element\\MachineName\";i:1;s:18:\"preRenderTextfield\";}}s:6:\"#theme\";s:16:\"input__textfield\";s:15:\"#theme_wrappers\";a:1:{i:0;s:12:\"form_element\";}s:15:\"#value_callback\";a:2:{i:0;s:38:\"Drupal\\Core\\Render\\Element\\MachineName\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:12:\"machine_name\";}s:4:\"page\";a:4:{s:6:\"#theme\";s:4:\"page\";s:6:\"#title\";s:0:\"\";s:5:\"#type\";s:4:\"page\";s:15:\"#theme_wrappers\";a:1:{s:23:\"off_canvas_page_wrapper\";a:1:{s:7:\"#weight\";i:-1000;}}}s:15:\"status_messages\";a:4:{s:8:\"#display\";N;s:11:\"#pre_render\";a:1:{i:0;s:62:\"Drupal\\Core\\Render\\Element\\StatusMessages::generatePlaceholder\";}s:17:\"#include_fallback\";b:0;s:5:\"#type\";s:15:\"status_messages\";}s:9:\"more_link\";a:4:{s:6:\"#title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"More\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"#theme_wrappers\";a:1:{s:9:\"container\";a:1:{s:11:\"#attributes\";a:1:{s:5:\"class\";a:1:{i:0;s:9:\"more-link\";}}}}s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:35:\"Drupal\\Core\\Render\\Element\\MoreLink\";i:1;s:13:\"preRenderLink\";}}s:5:\"#type\";s:9:\"more_link\";}s:5:\"token\";a:5:{s:6:\"#input\";b:1;s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:32:\"Drupal\\Core\\Render\\Element\\Token\";i:1;s:15:\"preRenderHidden\";}}s:6:\"#theme\";s:13:\"input__hidden\";s:15:\"#value_callback\";a:2:{i:0;s:32:\"Drupal\\Core\\Render\\Element\\Token\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:5:\"token\";}s:4:\"path\";a:13:{s:6:\"#input\";b:1;s:5:\"#size\";i:60;s:10:\"#maxlength\";i:128;s:24:\"#autocomplete_route_name\";b:0;s:8:\"#process\";a:4:{i:0;a:2:{i:0;s:38:\"Drupal\\Core\\Render\\Element\\PathElement\";i:1;s:19:\"processAutocomplete\";}i:1;a:2:{i:0;s:38:\"Drupal\\Core\\Render\\Element\\PathElement\";i:1;s:15:\"processAjaxForm\";}i:2;a:2:{i:0;s:38:\"Drupal\\Core\\Render\\Element\\PathElement\";i:1;s:14:\"processPattern\";}i:3;a:2:{i:0;s:38:\"Drupal\\Core\\Render\\Element\\PathElement\";i:1;s:12:\"processGroup\";}}s:11:\"#pre_render\";a:2:{i:0;a:2:{i:0;s:38:\"Drupal\\Core\\Render\\Element\\PathElement\";i:1;s:18:\"preRenderTextfield\";}i:1;a:2:{i:0;s:38:\"Drupal\\Core\\Render\\Element\\PathElement\";i:1;s:14:\"preRenderGroup\";}}s:6:\"#theme\";s:16:\"input__textfield\";s:15:\"#theme_wrappers\";a:1:{i:0;s:12:\"form_element\";}s:14:\"#validate_path\";b:1;s:13:\"#convert_path\";i:1;s:17:\"#element_validate\";a:1:{i:0;a:2:{i:0;s:38:\"Drupal\\Core\\Render\\Element\\PathElement\";i:1;s:19:\"validateMatchedPath\";}}s:15:\"#value_callback\";a:2:{i:0;s:38:\"Drupal\\Core\\Render\\Element\\PathElement\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:4:\"path\";}s:15:\"inline_template\";a:4:{s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:41:\"Drupal\\Core\\Render\\Element\\InlineTemplate\";i:1;s:23:\"preRenderInlineTemplate\";}}s:9:\"#template\";s:0:\"\";s:8:\"#context\";a:0:{}s:5:\"#type\";s:15:\"inline_template\";}s:10:\"page_title\";a:3:{s:6:\"#theme\";s:10:\"page_title\";s:6:\"#title\";N;s:5:\"#type\";s:10:\"page_title\";}s:4:\"item\";a:5:{s:6:\"#input\";b:1;s:7:\"#markup\";s:0:\"\";s:15:\"#theme_wrappers\";a:1:{i:0;s:12:\"form_element\";}s:15:\"#value_callback\";a:2:{i:0;s:31:\"Drupal\\Core\\Render\\Element\\Item\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:4:\"item\";}s:5:\"email\";a:11:{s:6:\"#input\";b:1;s:5:\"#size\";i:60;s:10:\"#maxlength\";i:254;s:24:\"#autocomplete_route_name\";b:0;s:8:\"#process\";a:3:{i:0;a:2:{i:0;s:32:\"Drupal\\Core\\Render\\Element\\Email\";i:1;s:19:\"processAutocomplete\";}i:1;a:2:{i:0;s:32:\"Drupal\\Core\\Render\\Element\\Email\";i:1;s:15:\"processAjaxForm\";}i:2;a:2:{i:0;s:32:\"Drupal\\Core\\Render\\Element\\Email\";i:1;s:14:\"processPattern\";}}s:17:\"#element_validate\";a:1:{i:0;a:2:{i:0;s:32:\"Drupal\\Core\\Render\\Element\\Email\";i:1;s:13:\"validateEmail\";}}s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:32:\"Drupal\\Core\\Render\\Element\\Email\";i:1;s:14:\"preRenderEmail\";}}s:6:\"#theme\";s:12:\"input__email\";s:15:\"#theme_wrappers\";a:1:{i:0;s:12:\"form_element\";}s:15:\"#value_callback\";a:2:{i:0;s:32:\"Drupal\\Core\\Render\\Element\\Email\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:5:\"email\";}s:5:\"table\";a:17:{s:7:\"#header\";a:0:{}s:5:\"#rows\";a:0:{}s:6:\"#empty\";s:0:\"\";s:6:\"#input\";b:1;s:5:\"#tree\";b:1;s:12:\"#tableselect\";b:0;s:7:\"#sticky\";b:0;s:11:\"#responsive\";b:1;s:9:\"#multiple\";b:1;s:10:\"#js_select\";b:1;s:8:\"#process\";a:1:{i:0;a:2:{i:0;s:32:\"Drupal\\Core\\Render\\Element\\Table\";i:1;s:12:\"processTable\";}}s:17:\"#element_validate\";a:1:{i:0;a:2:{i:0;s:32:\"Drupal\\Core\\Render\\Element\\Table\";i:1;s:13:\"validateTable\";}}s:10:\"#tabledrag\";a:0:{}s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:32:\"Drupal\\Core\\Render\\Element\\Table\";i:1;s:14:\"preRenderTable\";}}s:6:\"#theme\";s:5:\"table\";s:15:\"#value_callback\";a:2:{i:0;s:32:\"Drupal\\Core\\Render\\Element\\Table\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:5:\"table\";}s:6:\"number\";a:9:{s:6:\"#input\";b:1;s:5:\"#step\";i:1;s:8:\"#process\";a:1:{i:0;a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Number\";i:1;s:15:\"processAjaxForm\";}}s:17:\"#element_validate\";a:1:{i:0;a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Number\";i:1;s:14:\"validateNumber\";}}s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Number\";i:1;s:15:\"preRenderNumber\";}}s:6:\"#theme\";s:13:\"input__number\";s:15:\"#theme_wrappers\";a:1:{i:0;s:12:\"form_element\";}s:15:\"#value_callback\";a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Number\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:6:\"number\";}s:4:\"ajax\";a:4:{s:7:\"#header\";b:1;s:9:\"#commands\";a:0:{}s:6:\"#error\";N;s:5:\"#type\";s:4:\"ajax\";}s:13:\"status_report\";a:4:{s:6:\"#theme\";s:21:\"status_report_grouped\";s:11:\"#priorities\";a:4:{i:0;s:5:\"error\";i:1;s:7:\"warning\";i:2;s:7:\"checked\";i:3;s:2:\"ok\";}s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:39:\"Drupal\\Core\\Render\\Element\\StatusReport\";i:1;s:26:\"preRenderGroupRequirements\";}}s:5:\"#type\";s:13:\"status_report\";}s:8:\"fieldset\";a:5:{s:8:\"#process\";a:2:{i:0;a:2:{i:0;s:35:\"Drupal\\Core\\Render\\Element\\Fieldset\";i:1;s:12:\"processGroup\";}i:1;a:2:{i:0;s:35:\"Drupal\\Core\\Render\\Element\\Fieldset\";i:1;s:15:\"processAjaxForm\";}}s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:35:\"Drupal\\Core\\Render\\Element\\Fieldset\";i:1;s:14:\"preRenderGroup\";}}s:6:\"#value\";N;s:15:\"#theme_wrappers\";a:1:{i:0;s:8:\"fieldset\";}s:5:\"#type\";s:8:\"fieldset\";}s:8:\"html_tag\";a:4:{s:11:\"#pre_render\";a:2:{i:0;a:2:{i:0;s:34:\"Drupal\\Core\\Render\\Element\\HtmlTag\";i:1;s:28:\"preRenderConditionalComments\";}i:1;a:2:{i:0;s:34:\"Drupal\\Core\\Render\\Element\\HtmlTag\";i:1;s:16:\"preRenderHtmlTag\";}}s:11:\"#attributes\";a:0:{}s:6:\"#value\";N;s:5:\"#type\";s:8:\"html_tag\";}s:7:\"details\";a:7:{s:5:\"#open\";b:0;s:19:\"#summary_attributes\";a:0:{}s:6:\"#value\";N;s:8:\"#process\";a:2:{i:0;a:2:{i:0;s:34:\"Drupal\\Core\\Render\\Element\\Details\";i:1;s:12:\"processGroup\";}i:1;a:2:{i:0;s:34:\"Drupal\\Core\\Render\\Element\\Details\";i:1;s:15:\"processAjaxForm\";}}s:11:\"#pre_render\";a:2:{i:0;a:2:{i:0;s:34:\"Drupal\\Core\\Render\\Element\\Details\";i:1;s:16:\"preRenderDetails\";}i:1;a:2:{i:0;s:34:\"Drupal\\Core\\Render\\Element\\Details\";i:1;s:14:\"preRenderGroup\";}}s:15:\"#theme_wrappers\";a:1:{i:0;s:7:\"details\";}s:5:\"#type\";s:7:\"details\";}s:5:\"label\";a:2:{s:6:\"#theme\";s:18:\"form_element_label\";s:5:\"#type\";s:5:\"label\";}s:15:\"language_select\";a:9:{s:6:\"#input\";b:1;s:14:\"#default_value\";s:3:\"und\";s:15:\"#value_callback\";a:2:{i:0;s:41:\"Drupal\\Core\\Render\\Element\\LanguageSelect\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:15:\"language_select\";s:8:\"#process\";a:3:{i:0;s:32:\"language_process_language_select\";i:1;a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Select\";i:1;s:13:\"processSelect\";}i:2;a:2:{i:0;s:40:\"Drupal\\Core\\Render\\Element\\RenderElement\";i:1;s:15:\"processAjaxForm\";}}s:15:\"#theme_wrappers\";a:1:{i:0;s:12:\"form_element\";}s:6:\"#theme\";s:6:\"select\";s:10:\"#languages\";i:1;s:9:\"#multiple\";b:0;}s:6:\"button\";a:10:{s:6:\"#input\";b:1;s:5:\"#name\";s:2:\"op\";s:10:\"#is_button\";b:1;s:25:\"#executes_submit_callback\";b:0;s:24:\"#limit_validation_errors\";b:0;s:8:\"#process\";a:2:{i:0;a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Button\";i:1;s:13:\"processButton\";}i:1;a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Button\";i:1;s:15:\"processAjaxForm\";}}s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Button\";i:1;s:15:\"preRenderButton\";}}s:15:\"#theme_wrappers\";a:1:{i:0;s:13:\"input__submit\";}s:15:\"#value_callback\";a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Button\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:6:\"button\";}s:5:\"range\";a:11:{s:4:\"#min\";i:0;s:4:\"#max\";i:100;s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:32:\"Drupal\\Core\\Render\\Element\\Range\";i:1;s:14:\"preRenderRange\";}}s:6:\"#theme\";s:12:\"input__range\";s:6:\"#input\";b:1;s:5:\"#step\";i:1;s:8:\"#process\";a:1:{i:0;a:2:{i:0;s:32:\"Drupal\\Core\\Render\\Element\\Range\";i:1;s:15:\"processAjaxForm\";}}s:17:\"#element_validate\";a:1:{i:0;a:2:{i:0;s:32:\"Drupal\\Core\\Render\\Element\\Range\";i:1;s:14:\"validateNumber\";}}s:15:\"#theme_wrappers\";a:1:{i:0;s:12:\"form_element\";}s:15:\"#value_callback\";a:2:{i:0;s:32:\"Drupal\\Core\\Render\\Element\\Range\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:5:\"range\";}s:10:\"operations\";a:3:{s:6:\"#theme\";s:29:\"links__dropbutton__operations\";s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:37:\"Drupal\\Core\\Render\\Element\\Operations\";i:1;s:19:\"preRenderDropbutton\";}}s:5:\"#type\";s:10:\"operations\";}s:7:\"actions\";a:4:{s:8:\"#process\";a:3:{i:0;a:2:{i:0;s:34:\"Drupal\\Core\\Render\\Element\\Actions\";i:1;s:26:\"preRenderActionsDropbutton\";}i:1;a:2:{i:0;s:34:\"Drupal\\Core\\Render\\Element\\Actions\";i:1;s:14:\"processActions\";}i:2;a:2:{i:0;s:34:\"Drupal\\Core\\Render\\Element\\Actions\";i:1;s:16:\"processContainer\";}}s:7:\"#weight\";i:100;s:15:\"#theme_wrappers\";a:1:{i:0;s:9:\"container\";}s:5:\"#type\";s:7:\"actions\";}s:6:\"select\";a:11:{s:6:\"#input\";b:1;s:9:\"#multiple\";b:0;s:13:\"#sort_options\";b:0;s:11:\"#sort_start\";N;s:8:\"#process\";a:2:{i:0;a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Select\";i:1;s:13:\"processSelect\";}i:1;a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Select\";i:1;s:15:\"processAjaxForm\";}}s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Select\";i:1;s:15:\"preRenderSelect\";}}s:6:\"#theme\";s:6:\"select\";s:15:\"#theme_wrappers\";a:1:{i:0;s:12:\"form_element\";}s:8:\"#options\";a:0:{}s:15:\"#value_callback\";a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Select\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:6:\"select\";}s:5:\"pager\";a:8:{s:11:\"#pre_render\";a:1:{i:0;s:48:\"Drupal\\Core\\Render\\Element\\Pager::preRenderPager\";}s:6:\"#theme\";s:5:\"pager\";s:8:\"#element\";i:0;s:11:\"#parameters\";a:0:{}s:9:\"#quantity\";i:9;s:5:\"#tags\";a:0:{}s:11:\"#route_name\";s:6:\"<none>\";s:5:\"#type\";s:5:\"pager\";}s:6:\"submit\";a:10:{s:25:\"#executes_submit_callback\";b:1;s:6:\"#input\";b:1;s:5:\"#name\";s:2:\"op\";s:10:\"#is_button\";b:1;s:24:\"#limit_validation_errors\";b:0;s:8:\"#process\";a:2:{i:0;a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Submit\";i:1;s:13:\"processButton\";}i:1;a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Submit\";i:1;s:15:\"processAjaxForm\";}}s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Submit\";i:1;s:15:\"preRenderButton\";}}s:15:\"#theme_wrappers\";a:1:{i:0;s:13:\"input__submit\";}s:15:\"#value_callback\";a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Submit\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:6:\"submit\";}s:6:\"radios\";a:6:{s:6:\"#input\";b:1;s:8:\"#process\";a:1:{i:0;a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Radios\";i:1;s:13:\"processRadios\";}}s:15:\"#theme_wrappers\";a:1:{i:0;s:6:\"radios\";}s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Radios\";i:1;s:29:\"preRenderCompositeFormElement\";}}s:15:\"#value_callback\";a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Radios\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:6:\"radios\";}s:6:\"weight\";a:6:{s:6:\"#input\";b:1;s:6:\"#delta\";i:10;s:14:\"#default_value\";i:0;s:8:\"#process\";a:2:{i:0;a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Weight\";i:1;s:13:\"processWeight\";}i:1;a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Weight\";i:1;s:15:\"processAjaxForm\";}}s:15:\"#value_callback\";a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Weight\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:6:\"weight\";}s:8:\"textarea\";a:10:{s:6:\"#input\";b:1;s:5:\"#cols\";i:60;s:5:\"#rows\";i:5;s:10:\"#resizable\";s:8:\"vertical\";s:8:\"#process\";a:2:{i:0;a:2:{i:0;s:35:\"Drupal\\Core\\Render\\Element\\Textarea\";i:1;s:15:\"processAjaxForm\";}i:1;a:2:{i:0;s:35:\"Drupal\\Core\\Render\\Element\\Textarea\";i:1;s:12:\"processGroup\";}}s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:35:\"Drupal\\Core\\Render\\Element\\Textarea\";i:1;s:14:\"preRenderGroup\";}}s:6:\"#theme\";s:8:\"textarea\";s:15:\"#theme_wrappers\";a:1:{i:0;s:12:\"form_element\";}s:15:\"#value_callback\";a:2:{i:0;s:35:\"Drupal\\Core\\Render\\Element\\Textarea\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:8:\"textarea\";}s:4:\"date\";a:9:{s:6:\"#input\";b:1;s:6:\"#theme\";s:11:\"input__date\";s:8:\"#process\";a:2:{i:0;a:2:{i:0;s:31:\"Drupal\\Core\\Render\\Element\\Date\";i:1;s:15:\"processAjaxForm\";}i:1;a:2:{i:0;s:31:\"Drupal\\Core\\Render\\Element\\Date\";i:1;s:11:\"processDate\";}}s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:31:\"Drupal\\Core\\Render\\Element\\Date\";i:1;s:13:\"preRenderDate\";}}s:15:\"#theme_wrappers\";a:1:{i:0;s:12:\"form_element\";}s:11:\"#attributes\";a:1:{s:4:\"type\";s:4:\"date\";}s:17:\"#date_date_format\";s:5:\"Y-m-d\";s:15:\"#value_callback\";a:2:{i:0;s:31:\"Drupal\\Core\\Render\\Element\\Date\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:4:\"date\";}s:6:\"hidden\";a:6:{s:6:\"#input\";b:1;s:8:\"#process\";a:1:{i:0;a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Hidden\";i:1;s:15:\"processAjaxForm\";}}s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Hidden\";i:1;s:15:\"preRenderHidden\";}}s:6:\"#theme\";s:13:\"input__hidden\";s:15:\"#value_callback\";a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Hidden\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:6:\"hidden\";}s:5:\"radio\";a:9:{s:6:\"#input\";b:1;s:14:\"#default_value\";N;s:8:\"#process\";a:1:{i:0;a:2:{i:0;s:32:\"Drupal\\Core\\Render\\Element\\Radio\";i:1;s:15:\"processAjaxForm\";}}s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:32:\"Drupal\\Core\\Render\\Element\\Radio\";i:1;s:14:\"preRenderRadio\";}}s:6:\"#theme\";s:12:\"input__radio\";s:15:\"#theme_wrappers\";a:1:{i:0;s:12:\"form_element\";}s:14:\"#title_display\";s:5:\"after\";s:15:\"#value_callback\";a:2:{i:0;s:32:\"Drupal\\Core\\Render\\Element\\Radio\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:5:\"radio\";}s:4:\"html\";a:3:{s:6:\"#theme\";s:4:\"html\";s:9:\"#attached\";a:1:{s:7:\"library\";a:1:{i:0;s:14:\"core/html5shiv\";}}s:5:\"#type\";s:4:\"html\";}s:5:\"color\";a:8:{s:6:\"#input\";b:1;s:8:\"#process\";a:1:{i:0;a:2:{i:0;s:32:\"Drupal\\Core\\Render\\Element\\Color\";i:1;s:15:\"processAjaxForm\";}}s:17:\"#element_validate\";a:1:{i:0;a:2:{i:0;s:32:\"Drupal\\Core\\Render\\Element\\Color\";i:1;s:13:\"validateColor\";}}s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:32:\"Drupal\\Core\\Render\\Element\\Color\";i:1;s:14:\"preRenderColor\";}}s:6:\"#theme\";s:12:\"input__color\";s:15:\"#theme_wrappers\";a:1:{i:0;s:12:\"form_element\";}s:15:\"#value_callback\";a:2:{i:0;s:32:\"Drupal\\Core\\Render\\Element\\Color\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:5:\"color\";}s:13:\"vertical_tabs\";a:5:{s:12:\"#default_tab\";s:0:\"\";s:8:\"#process\";a:1:{i:0;a:2:{i:0;s:39:\"Drupal\\Core\\Render\\Element\\VerticalTabs\";i:1;s:19:\"processVerticalTabs\";}}s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:39:\"Drupal\\Core\\Render\\Element\\VerticalTabs\";i:1;s:21:\"preRenderVerticalTabs\";}}s:15:\"#theme_wrappers\";a:2:{i:0;s:13:\"vertical_tabs\";i:1;s:12:\"form_element\";}s:5:\"#type\";s:13:\"vertical_tabs\";}s:5:\"value\";a:3:{s:6:\"#input\";b:1;s:15:\"#value_callback\";a:2:{i:0;s:32:\"Drupal\\Core\\Render\\Element\\Value\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:5:\"value\";}s:9:\"textfield\";a:10:{s:6:\"#input\";b:1;s:5:\"#size\";i:60;s:10:\"#maxlength\";i:128;s:24:\"#autocomplete_route_name\";b:0;s:8:\"#process\";a:4:{i:0;a:2:{i:0;s:36:\"Drupal\\Core\\Render\\Element\\Textfield\";i:1;s:19:\"processAutocomplete\";}i:1;a:2:{i:0;s:36:\"Drupal\\Core\\Render\\Element\\Textfield\";i:1;s:15:\"processAjaxForm\";}i:2;a:2:{i:0;s:36:\"Drupal\\Core\\Render\\Element\\Textfield\";i:1;s:14:\"processPattern\";}i:3;a:2:{i:0;s:36:\"Drupal\\Core\\Render\\Element\\Textfield\";i:1;s:12:\"processGroup\";}}s:11:\"#pre_render\";a:2:{i:0;a:2:{i:0;s:36:\"Drupal\\Core\\Render\\Element\\Textfield\";i:1;s:18:\"preRenderTextfield\";}i:1;a:2:{i:0;s:36:\"Drupal\\Core\\Render\\Element\\Textfield\";i:1;s:14:\"preRenderGroup\";}}s:6:\"#theme\";s:16:\"input__textfield\";s:15:\"#theme_wrappers\";a:1:{i:0;s:12:\"form_element\";}s:15:\"#value_callback\";a:2:{i:0;s:36:\"Drupal\\Core\\Render\\Element\\Textfield\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:9:\"textfield\";}s:6:\"search\";a:10:{s:6:\"#input\";b:1;s:5:\"#size\";i:60;s:10:\"#maxlength\";i:128;s:24:\"#autocomplete_route_name\";b:0;s:8:\"#process\";a:2:{i:0;a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Search\";i:1;s:19:\"processAutocomplete\";}i:1;a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Search\";i:1;s:15:\"processAjaxForm\";}}s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Search\";i:1;s:15:\"preRenderSearch\";}}s:6:\"#theme\";s:13:\"input__search\";s:15:\"#theme_wrappers\";a:1:{i:0;s:12:\"form_element\";}s:15:\"#value_callback\";a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Search\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:6:\"search\";}s:11:\"tableselect\";a:12:{s:6:\"#input\";b:1;s:10:\"#js_select\";b:1;s:9:\"#multiple\";b:1;s:11:\"#responsive\";b:1;s:7:\"#sticky\";b:0;s:11:\"#pre_render\";a:2:{i:0;a:2:{i:0;s:38:\"Drupal\\Core\\Render\\Element\\Tableselect\";i:1;s:14:\"preRenderTable\";}i:1;a:2:{i:0;s:38:\"Drupal\\Core\\Render\\Element\\Tableselect\";i:1;s:20:\"preRenderTableselect\";}}s:8:\"#process\";a:1:{i:0;a:2:{i:0;s:38:\"Drupal\\Core\\Render\\Element\\Tableselect\";i:1;s:18:\"processTableselect\";}}s:8:\"#options\";a:0:{}s:6:\"#empty\";s:0:\"\";s:6:\"#theme\";s:18:\"table__tableselect\";s:15:\"#value_callback\";a:2:{i:0;s:38:\"Drupal\\Core\\Render\\Element\\Tableselect\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:11:\"tableselect\";}s:4:\"file\";a:9:{s:6:\"#input\";b:1;s:9:\"#multiple\";b:0;s:8:\"#process\";a:1:{i:0;a:2:{i:0;s:31:\"Drupal\\Core\\Render\\Element\\File\";i:1;s:11:\"processFile\";}}s:5:\"#size\";i:60;s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:31:\"Drupal\\Core\\Render\\Element\\File\";i:1;s:13:\"preRenderFile\";}}s:6:\"#theme\";s:11:\"input__file\";s:15:\"#theme_wrappers\";a:1:{i:0;s:12:\"form_element\";}s:15:\"#value_callback\";a:2:{i:0;s:31:\"Drupal\\Core\\Render\\Element\\File\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:4:\"file\";}s:9:\"container\";a:5:{s:9:\"#optional\";b:0;s:8:\"#process\";a:2:{i:0;a:2:{i:0;s:36:\"Drupal\\Core\\Render\\Element\\Container\";i:1;s:12:\"processGroup\";}i:1;a:2:{i:0;s:36:\"Drupal\\Core\\Render\\Element\\Container\";i:1;s:16:\"processContainer\";}}s:11:\"#pre_render\";a:2:{i:0;a:2:{i:0;s:36:\"Drupal\\Core\\Render\\Element\\Container\";i:1;s:14:\"preRenderGroup\";}i:1;a:2:{i:0;s:36:\"Drupal\\Core\\Render\\Element\\Container\";i:1;s:18:\"preRenderContainer\";}}s:15:\"#theme_wrappers\";a:1:{i:0;s:9:\"container\";}s:5:\"#type\";s:9:\"container\";}s:10:\"checkboxes\";a:6:{s:6:\"#input\";b:1;s:8:\"#process\";a:1:{i:0;a:2:{i:0;s:37:\"Drupal\\Core\\Render\\Element\\Checkboxes\";i:1;s:17:\"processCheckboxes\";}}s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:37:\"Drupal\\Core\\Render\\Element\\Checkboxes\";i:1;s:29:\"preRenderCompositeFormElement\";}}s:15:\"#theme_wrappers\";a:1:{i:0;s:10:\"checkboxes\";}s:15:\"#value_callback\";a:2:{i:0;s:37:\"Drupal\\Core\\Render\\Element\\Checkboxes\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:10:\"checkboxes\";}s:4:\"form\";a:3:{s:7:\"#method\";s:4:\"post\";s:15:\"#theme_wrappers\";a:1:{i:0;s:4:\"form\";}s:5:\"#type\";s:4:\"form\";}s:3:\"tel\";a:10:{s:6:\"#input\";b:1;s:5:\"#size\";i:30;s:10:\"#maxlength\";i:128;s:24:\"#autocomplete_route_name\";b:0;s:8:\"#process\";a:3:{i:0;a:2:{i:0;s:30:\"Drupal\\Core\\Render\\Element\\Tel\";i:1;s:19:\"processAutocomplete\";}i:1;a:2:{i:0;s:30:\"Drupal\\Core\\Render\\Element\\Tel\";i:1;s:15:\"processAjaxForm\";}i:2;a:2:{i:0;s:30:\"Drupal\\Core\\Render\\Element\\Tel\";i:1;s:14:\"processPattern\";}}s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:30:\"Drupal\\Core\\Render\\Element\\Tel\";i:1;s:12:\"preRenderTel\";}}s:6:\"#theme\";s:10:\"input__tel\";s:15:\"#theme_wrappers\";a:1:{i:0;s:12:\"form_element\";}s:15:\"#value_callback\";a:2:{i:0;s:30:\"Drupal\\Core\\Render\\Element\\Tel\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:3:\"tel\";}s:15:\"break_lock_link\";a:2:{s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;O:43:\"Drupal\\Core\\TempStore\\Element\\BreakLockLink\":7:{s:11:\"\0*\0pluginId\";s:15:\"break_lock_link\";s:19:\"\0*\0pluginDefinition\";a:3:{s:2:\"id\";s:15:\"break_lock_link\";s:5:\"class\";s:43:\"Drupal\\Core\\TempStore\\Element\\BreakLockLink\";s:8:\"provider\";s:4:\"core\";}s:16:\"\0*\0configuration\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:14:\"\0*\0_serviceIds\";a:3:{s:13:\"dateFormatter\";s:14:\"date.formatter\";s:17:\"entityTypeManager\";s:19:\"entity_type.manager\";s:8:\"renderer\";s:8:\"renderer\";}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0messenger\";N;}i:1;s:13:\"preRenderLock\";}}s:5:\"#type\";s:15:\"break_lock_link\";}}',-1,1636012247.453,1,'element_info_build','55'),('element_info_build:seven','a:71:{s:28:\"contextual_links_placeholder\";a:3:{s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:52:\"Drupal\\contextual\\Element\\ContextualLinksPlaceholder\";i:1;s:20:\"preRenderPlaceholder\";}}s:3:\"#id\";N;s:5:\"#type\";s:28:\"contextual_links_placeholder\";}s:16:\"contextual_links\";a:6:{s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:41:\"Drupal\\contextual\\Element\\ContextualLinks\";i:1;s:14:\"preRenderLinks\";}}s:6:\"#theme\";s:17:\"links__contextual\";s:6:\"#links\";a:0:{}s:11:\"#attributes\";a:1:{s:5:\"class\";a:1:{i:0;s:16:\"contextual-links\";}}s:9:\"#attached\";a:1:{s:7:\"library\";a:1:{i:0;s:34:\"contextual/drupal.contextual-links\";}}s:5:\"#type\";s:16:\"contextual_links\";}s:14:\"field_ui_table\";a:18:{s:7:\"#header\";a:0:{}s:5:\"#rows\";a:0:{}s:6:\"#empty\";s:0:\"\";s:6:\"#input\";b:1;s:5:\"#tree\";b:1;s:12:\"#tableselect\";b:0;s:7:\"#sticky\";b:0;s:11:\"#responsive\";b:1;s:9:\"#multiple\";b:1;s:10:\"#js_select\";b:1;s:8:\"#process\";a:1:{i:0;a:2:{i:0;s:36:\"Drupal\\field_ui\\Element\\FieldUiTable\";i:1;s:12:\"processTable\";}}s:17:\"#element_validate\";a:1:{i:0;a:2:{i:0;s:36:\"Drupal\\field_ui\\Element\\FieldUiTable\";i:1;s:13:\"validateTable\";}}s:10:\"#tabledrag\";a:0:{}s:11:\"#pre_render\";a:3:{i:0;a:2:{i:0;O:36:\"Drupal\\field_ui\\Element\\FieldUiTable\":7:{s:11:\"\0*\0pluginId\";s:14:\"field_ui_table\";s:19:\"\0*\0pluginDefinition\";a:3:{s:2:\"id\";s:14:\"field_ui_table\";s:5:\"class\";s:36:\"Drupal\\field_ui\\Element\\FieldUiTable\";s:8:\"provider\";s:8:\"field_ui\";}s:16:\"\0*\0configuration\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0messenger\";N;}i:1;s:14:\"tablePreRender\";}i:1;a:2:{i:0;r:45;i:1;s:19:\"preRenderRegionRows\";}i:2;a:2:{i:0;s:36:\"Drupal\\field_ui\\Element\\FieldUiTable\";i:1;s:14:\"preRenderTable\";}}s:6:\"#theme\";s:14:\"field_ui_table\";s:8:\"#regions\";a:1:{s:0:\"\";a:0:{}}s:15:\"#value_callback\";a:2:{i:0;s:36:\"Drupal\\field_ui\\Element\\FieldUiTable\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:14:\"field_ui_table\";}s:12:\"managed_file\";a:17:{s:6:\"#input\";b:1;s:8:\"#process\";a:1:{i:0;a:2:{i:0;s:31:\"Drupal\\file\\Element\\ManagedFile\";i:1;s:18:\"processManagedFile\";}}s:17:\"#element_validate\";a:1:{i:0;a:2:{i:0;s:31:\"Drupal\\file\\Element\\ManagedFile\";i:1;s:19:\"validateManagedFile\";}}s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:31:\"Drupal\\file\\Element\\ManagedFile\";i:1;s:20:\"preRenderManagedFile\";}}s:6:\"#theme\";s:17:\"file_managed_file\";s:15:\"#theme_wrappers\";a:1:{i:0;s:12:\"form_element\";}s:19:\"#progress_indicator\";s:8:\"throbber\";s:17:\"#progress_message\";N;s:18:\"#upload_validators\";a:0:{}s:16:\"#upload_location\";N;s:5:\"#size\";i:22;s:9:\"#multiple\";b:0;s:9:\"#extended\";b:0;s:9:\"#attached\";a:1:{s:7:\"library\";a:1:{i:0;s:16:\"file/drupal.file\";}}s:7:\"#accept\";N;s:15:\"#value_callback\";a:2:{i:0;s:31:\"Drupal\\file\\Element\\ManagedFile\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:12:\"managed_file\";}s:14:\"processed_text\";a:6:{s:5:\"#text\";s:0:\"\";s:7:\"#format\";N;s:21:\"#filter_types_to_skip\";a:0:{}s:9:\"#langcode\";s:0:\"\";s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:35:\"Drupal\\filter\\Element\\ProcessedText\";i:1;s:13:\"preRenderText\";}}s:5:\"#type\";s:14:\"processed_text\";}s:11:\"text_format\";a:5:{s:8:\"#process\";a:2:{i:0;a:2:{i:0;s:32:\"Drupal\\filter\\Element\\TextFormat\";i:1;s:13:\"processFormat\";}i:1;s:26:\"stable_process_text_format\";}s:10:\"#base_type\";s:8:\"textarea\";s:15:\"#theme_wrappers\";a:1:{i:0;s:19:\"text_format_wrapper\";}s:5:\"#type\";s:11:\"text_format\";s:11:\"#pre_render\";a:1:{i:0;s:34:\"element.editor:preRenderTextFormat\";}}s:22:\"language_configuration\";a:5:{s:6:\"#input\";b:1;s:5:\"#tree\";b:1;s:8:\"#process\";a:2:{i:0;a:2:{i:0;s:45:\"Drupal\\language\\Element\\LanguageConfiguration\";i:1;s:28:\"processLanguageConfiguration\";}i:1;s:58:\"content_translation_language_configuration_element_process\";}s:15:\"#value_callback\";a:2:{i:0;s:45:\"Drupal\\language\\Element\\LanguageConfiguration\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:22:\"language_configuration\";}s:16:\"responsive_image\";a:3:{s:6:\"#theme\";s:16:\"responsive_image\";s:9:\"#attached\";a:1:{s:7:\"library\";a:1:{i:0;s:16:\"core/picturefill\";}}s:5:\"#type\";s:16:\"responsive_image\";}s:18:\"status_report_page\";a:3:{s:6:\"#theme\";s:18:\"status_report_page\";s:11:\"#pre_render\";a:3:{i:0;a:2:{i:0;s:38:\"Drupal\\system\\Element\\StatusReportPage\";i:1;s:17:\"preRenderCounters\";}i:1;a:2:{i:0;s:38:\"Drupal\\system\\Element\\StatusReportPage\";i:1;s:20:\"preRenderGeneralInfo\";}i:2;a:2:{i:0;s:38:\"Drupal\\system\\Element\\StatusReportPage\";i:1;s:21:\"preRenderRequirements\";}}s:5:\"#type\";s:18:\"status_report_page\";}s:16:\"token_tree_table\";a:17:{s:7:\"#header\";a:0:{}s:5:\"#rows\";a:0:{}s:11:\"#token_tree\";a:0:{}s:8:\"#columns\";a:3:{i:0;s:4:\"name\";i:1;s:5:\"token\";i:2;s:11:\"description\";}s:6:\"#empty\";s:0:\"\";s:16:\"#show_restricted\";b:0;s:12:\"#show_nested\";b:0;s:18:\"#skip_empty_values\";b:0;s:13:\"#click_insert\";b:1;s:7:\"#sticky\";b:0;s:11:\"#responsive\";b:1;s:6:\"#input\";b:1;s:11:\"#pre_render\";a:2:{i:0;a:2:{i:0;s:35:\"Drupal\\token\\Element\\TokenTreeTable\";i:1;s:18:\"preRenderTokenTree\";}i:1;a:2:{i:0;s:35:\"Drupal\\token\\Element\\TokenTreeTable\";i:1;s:14:\"preRenderTable\";}}s:6:\"#theme\";s:17:\"table__token_tree\";s:9:\"#attached\";a:1:{s:7:\"library\";a:1:{i:0;s:11:\"token/token\";}}s:15:\"#value_callback\";a:2:{i:0;s:35:\"Drupal\\token\\Element\\TokenTreeTable\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:16:\"token_tree_table\";}s:7:\"toolbar\";a:6:{s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:30:\"Drupal\\toolbar\\Element\\Toolbar\";i:1;s:16:\"preRenderToolbar\";}}s:6:\"#theme\";s:7:\"toolbar\";s:9:\"#attached\";a:1:{s:7:\"library\";a:1:{i:0;s:15:\"toolbar/toolbar\";}}s:11:\"#attributes\";a:3:{s:2:\"id\";s:22:\"toolbar-administration\";s:4:\"role\";s:5:\"group\";s:10:\"aria-label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:27:\"Site administration toolbar\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:4:\"#bar\";a:2:{s:8:\"#heading\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Toolbar items\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"#attributes\";a:3:{s:2:\"id\";s:11:\"toolbar-bar\";s:4:\"role\";s:10:\"navigation\";s:10:\"aria-label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Toolbar items\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}s:5:\"#type\";s:7:\"toolbar\";}s:12:\"toolbar_item\";a:3:{s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:34:\"Drupal\\toolbar\\Element\\ToolbarItem\";i:1;s:20:\"preRenderToolbarItem\";}}s:3:\"tab\";a:3:{s:5:\"#type\";s:4:\"link\";s:6:\"#title\";N;s:4:\"#url\";O:15:\"Drupal\\Core\\Url\":12:{s:15:\"\0*\0urlGenerator\";N;s:15:\"\0*\0urlAssembler\";N;s:16:\"\0*\0accessManager\";N;s:12:\"\0*\0routeName\";s:7:\"<front>\";s:18:\"\0*\0routeParameters\";a:0:{}s:10:\"\0*\0options\";a:0:{}s:11:\"\0*\0external\";b:0;s:11:\"\0*\0unrouted\";b:0;s:6:\"\0*\0uri\";N;s:15:\"\0*\0internalPath\";N;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}}}s:5:\"#type\";s:12:\"toolbar_item\";}s:18:\"video_embed_iframe\";a:8:{s:6:\"#theme\";s:18:\"video_embed_iframe\";s:9:\"#provider\";s:0:\"\";s:4:\"#url\";s:0:\"\";s:6:\"#query\";a:0:{}s:11:\"#attributes\";a:0:{}s:9:\"#fragment\";a:0:{}s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:49:\"Drupal\\video_embed_field\\Element\\VideoEmbedIFrame\";i:1;s:25:\"preRenderInlineFrameEmbed\";}}s:5:\"#type\";s:18:\"video_embed_iframe\";}s:4:\"view\";a:7:{s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:25:\"Drupal\\views\\Element\\View\";i:1;s:20:\"preRenderViewElement\";}}s:5:\"#name\";N;s:11:\"#display_id\";s:7:\"default\";s:10:\"#arguments\";a:0:{}s:6:\"#embed\";b:1;s:6:\"#cache\";a:0:{}s:5:\"#type\";s:4:\"view\";}s:8:\"datetime\";a:16:{s:6:\"#input\";b:1;s:17:\"#element_validate\";a:1:{i:0;a:2:{i:0;s:37:\"Drupal\\Core\\Datetime\\Element\\Datetime\";i:1;s:16:\"validateDatetime\";}}s:8:\"#process\";a:3:{i:0;a:2:{i:0;s:37:\"Drupal\\Core\\Datetime\\Element\\Datetime\";i:1;s:15:\"processDatetime\";}i:1;a:2:{i:0;s:37:\"Drupal\\Core\\Datetime\\Element\\Datetime\";i:1;s:15:\"processAjaxForm\";}i:2;a:2:{i:0;s:37:\"Drupal\\Core\\Datetime\\Element\\Datetime\";i:1;s:12:\"processGroup\";}}s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:37:\"Drupal\\Core\\Datetime\\Element\\Datetime\";i:1;s:14:\"preRenderGroup\";}}s:6:\"#theme\";s:13:\"datetime_form\";s:15:\"#theme_wrappers\";a:1:{i:0;s:16:\"datetime_wrapper\";}s:17:\"#date_date_format\";s:5:\"Y-m-d\";s:18:\"#date_date_element\";s:4:\"date\";s:20:\"#date_date_callbacks\";a:0:{}s:17:\"#date_time_format\";s:5:\"H:i:s\";s:18:\"#date_time_element\";s:4:\"time\";s:20:\"#date_time_callbacks\";a:0:{}s:16:\"#date_year_range\";s:9:\"1900:2050\";s:15:\"#date_increment\";i:1;s:15:\"#value_callback\";a:2:{i:0;s:37:\"Drupal\\Core\\Datetime\\Element\\Datetime\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:8:\"datetime\";}s:8:\"datelist\";a:12:{s:6:\"#input\";b:1;s:17:\"#element_validate\";a:1:{i:0;a:2:{i:0;s:37:\"Drupal\\Core\\Datetime\\Element\\Datelist\";i:1;s:16:\"validateDatelist\";}}s:8:\"#process\";a:1:{i:0;a:2:{i:0;s:37:\"Drupal\\Core\\Datetime\\Element\\Datelist\";i:1;s:15:\"processDatelist\";}}s:6:\"#theme\";s:13:\"datetime_form\";s:15:\"#theme_wrappers\";a:1:{i:0;s:16:\"datetime_wrapper\";}s:16:\"#date_part_order\";a:5:{i:0;s:4:\"year\";i:1;s:5:\"month\";i:2;s:3:\"day\";i:3;s:4:\"hour\";i:4;s:6:\"minute\";}s:16:\"#date_year_range\";s:9:\"1900:2050\";s:15:\"#date_increment\";i:1;s:20:\"#date_date_callbacks\";a:0:{}s:14:\"#date_timezone\";s:12:\"Europe/Paris\";s:15:\"#value_callback\";a:2:{i:0;s:37:\"Drupal\\Core\\Datetime\\Element\\Datelist\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:8:\"datelist\";}s:19:\"entity_autocomplete\";a:18:{s:6:\"#input\";b:1;s:5:\"#size\";i:60;s:10:\"#maxlength\";i:128;s:24:\"#autocomplete_route_name\";b:0;s:8:\"#process\";a:5:{i:0;a:2:{i:0;s:45:\"Drupal\\Core\\Entity\\Element\\EntityAutocomplete\";i:1;s:25:\"processEntityAutocomplete\";}i:1;a:2:{i:0;s:45:\"Drupal\\Core\\Entity\\Element\\EntityAutocomplete\";i:1;s:19:\"processAutocomplete\";}i:2;a:2:{i:0;s:45:\"Drupal\\Core\\Entity\\Element\\EntityAutocomplete\";i:1;s:15:\"processAjaxForm\";}i:3;a:2:{i:0;s:45:\"Drupal\\Core\\Entity\\Element\\EntityAutocomplete\";i:1;s:14:\"processPattern\";}i:4;a:2:{i:0;s:45:\"Drupal\\Core\\Entity\\Element\\EntityAutocomplete\";i:1;s:12:\"processGroup\";}}s:11:\"#pre_render\";a:2:{i:0;a:2:{i:0;s:45:\"Drupal\\Core\\Entity\\Element\\EntityAutocomplete\";i:1;s:18:\"preRenderTextfield\";}i:1;a:2:{i:0;s:45:\"Drupal\\Core\\Entity\\Element\\EntityAutocomplete\";i:1;s:14:\"preRenderGroup\";}}s:6:\"#theme\";s:16:\"input__textfield\";s:15:\"#theme_wrappers\";a:1:{i:0;s:12:\"form_element\";}s:12:\"#target_type\";N;s:18:\"#selection_handler\";s:7:\"default\";s:19:\"#selection_settings\";a:0:{}s:5:\"#tags\";b:0;s:11:\"#autocreate\";N;s:19:\"#validate_reference\";b:1;s:22:\"#process_default_value\";b:1;s:17:\"#element_validate\";a:1:{i:0;a:2:{i:0;s:45:\"Drupal\\Core\\Entity\\Element\\EntityAutocomplete\";i:1;s:26:\"validateEntityAutocomplete\";}}s:15:\"#value_callback\";a:2:{i:0;s:45:\"Drupal\\Core\\Entity\\Element\\EntityAutocomplete\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:19:\"entity_autocomplete\";}s:19:\"system_compact_link\";a:3:{s:11:\"#pre_render\";a:2:{i:0;a:2:{i:0;s:44:\"Drupal\\Core\\Render\\Element\\SystemCompactLink\";i:1;s:20:\"preRenderCompactLink\";}i:1;a:2:{i:0;s:44:\"Drupal\\Core\\Render\\Element\\SystemCompactLink\";i:1;s:13:\"preRenderLink\";}}s:15:\"#theme_wrappers\";a:1:{s:9:\"container\";a:1:{s:11:\"#attributes\";a:1:{s:5:\"class\";a:1:{i:0;s:12:\"compact-link\";}}}}s:5:\"#type\";s:19:\"system_compact_link\";}s:10:\"fieldgroup\";a:6:{s:11:\"#attributes\";a:1:{s:5:\"class\";a:1:{i:0;s:10:\"fieldgroup\";}}s:8:\"#process\";a:2:{i:0;a:2:{i:0;s:37:\"Drupal\\Core\\Render\\Element\\Fieldgroup\";i:1;s:12:\"processGroup\";}i:1;a:2:{i:0;s:37:\"Drupal\\Core\\Render\\Element\\Fieldgroup\";i:1;s:15:\"processAjaxForm\";}}s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:37:\"Drupal\\Core\\Render\\Element\\Fieldgroup\";i:1;s:14:\"preRenderGroup\";}}s:6:\"#value\";N;s:15:\"#theme_wrappers\";a:1:{i:0;s:8:\"fieldset\";}s:5:\"#type\";s:10:\"fieldgroup\";}s:8:\"checkbox\";a:9:{s:6:\"#input\";b:1;s:13:\"#return_value\";i:1;s:8:\"#process\";a:3:{i:0;a:2:{i:0;s:35:\"Drupal\\Core\\Render\\Element\\Checkbox\";i:1;s:15:\"processCheckbox\";}i:1;a:2:{i:0;s:35:\"Drupal\\Core\\Render\\Element\\Checkbox\";i:1;s:15:\"processAjaxForm\";}i:2;a:2:{i:0;s:35:\"Drupal\\Core\\Render\\Element\\Checkbox\";i:1;s:12:\"processGroup\";}}s:11:\"#pre_render\";a:2:{i:0;a:2:{i:0;s:35:\"Drupal\\Core\\Render\\Element\\Checkbox\";i:1;s:17:\"preRenderCheckbox\";}i:1;a:2:{i:0;s:35:\"Drupal\\Core\\Render\\Element\\Checkbox\";i:1;s:14:\"preRenderGroup\";}}s:6:\"#theme\";s:15:\"input__checkbox\";s:15:\"#theme_wrappers\";a:1:{i:0;s:12:\"form_element\";}s:14:\"#title_display\";s:5:\"after\";s:15:\"#value_callback\";a:2:{i:0;s:35:\"Drupal\\Core\\Render\\Element\\Checkbox\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:8:\"checkbox\";}s:10:\"dropbutton\";a:3:{s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:37:\"Drupal\\Core\\Render\\Element\\Dropbutton\";i:1;s:19:\"preRenderDropbutton\";}}s:6:\"#theme\";s:17:\"links__dropbutton\";s:5:\"#type\";s:10:\"dropbutton\";}s:16:\"password_confirm\";a:6:{s:6:\"#input\";b:1;s:7:\"#markup\";s:0:\"\";s:8:\"#process\";a:2:{i:0;a:2:{i:0;s:42:\"Drupal\\Core\\Render\\Element\\PasswordConfirm\";i:1;s:22:\"processPasswordConfirm\";}i:1;s:34:\"user_form_process_password_confirm\";}s:15:\"#theme_wrappers\";a:1:{i:0;s:12:\"form_element\";}s:15:\"#value_callback\";a:2:{i:0;s:42:\"Drupal\\Core\\Render\\Element\\PasswordConfirm\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:16:\"password_confirm\";}s:4:\"link\";a:2:{s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:31:\"Drupal\\Core\\Render\\Element\\Link\";i:1;s:13:\"preRenderLink\";}}s:5:\"#type\";s:4:\"link\";}s:12:\"image_button\";a:13:{s:13:\"#return_value\";b:1;s:18:\"#has_garbage_value\";b:1;s:4:\"#src\";N;s:15:\"#theme_wrappers\";a:1:{i:0;s:19:\"input__image_button\";}s:25:\"#executes_submit_callback\";b:1;s:6:\"#input\";b:1;s:5:\"#name\";s:2:\"op\";s:10:\"#is_button\";b:1;s:24:\"#limit_validation_errors\";b:0;s:8:\"#process\";a:2:{i:0;a:2:{i:0;s:38:\"Drupal\\Core\\Render\\Element\\ImageButton\";i:1;s:13:\"processButton\";}i:1;a:2:{i:0;s:38:\"Drupal\\Core\\Render\\Element\\ImageButton\";i:1;s:15:\"processAjaxForm\";}}s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:38:\"Drupal\\Core\\Render\\Element\\ImageButton\";i:1;s:15:\"preRenderButton\";}}s:15:\"#value_callback\";a:2:{i:0;s:38:\"Drupal\\Core\\Render\\Element\\ImageButton\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:12:\"image_button\";}s:8:\"password\";a:9:{s:6:\"#input\";b:1;s:5:\"#size\";i:60;s:10:\"#maxlength\";i:128;s:8:\"#process\";a:2:{i:0;a:2:{i:0;s:35:\"Drupal\\Core\\Render\\Element\\Password\";i:1;s:15:\"processAjaxForm\";}i:1;a:2:{i:0;s:35:\"Drupal\\Core\\Render\\Element\\Password\";i:1;s:14:\"processPattern\";}}s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:35:\"Drupal\\Core\\Render\\Element\\Password\";i:1;s:17:\"preRenderPassword\";}}s:6:\"#theme\";s:15:\"input__password\";s:15:\"#theme_wrappers\";a:1:{i:0;s:12:\"form_element\";}s:15:\"#value_callback\";a:2:{i:0;s:35:\"Drupal\\Core\\Render\\Element\\Password\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:8:\"password\";}s:3:\"url\";a:11:{s:6:\"#input\";b:1;s:5:\"#size\";i:60;s:10:\"#maxlength\";i:255;s:24:\"#autocomplete_route_name\";b:0;s:8:\"#process\";a:3:{i:0;a:2:{i:0;s:30:\"Drupal\\Core\\Render\\Element\\Url\";i:1;s:19:\"processAutocomplete\";}i:1;a:2:{i:0;s:30:\"Drupal\\Core\\Render\\Element\\Url\";i:1;s:15:\"processAjaxForm\";}i:2;a:2:{i:0;s:30:\"Drupal\\Core\\Render\\Element\\Url\";i:1;s:14:\"processPattern\";}}s:17:\"#element_validate\";a:1:{i:0;a:2:{i:0;s:30:\"Drupal\\Core\\Render\\Element\\Url\";i:1;s:11:\"validateUrl\";}}s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:30:\"Drupal\\Core\\Render\\Element\\Url\";i:1;s:12:\"preRenderUrl\";}}s:6:\"#theme\";s:10:\"input__url\";s:15:\"#theme_wrappers\";a:1:{i:0;s:12:\"form_element\";}s:15:\"#value_callback\";a:2:{i:0;s:30:\"Drupal\\Core\\Render\\Element\\Url\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:3:\"url\";}s:12:\"machine_name\";a:13:{s:6:\"#input\";b:1;s:14:\"#default_value\";N;s:9:\"#required\";b:1;s:10:\"#maxlength\";i:64;s:5:\"#size\";i:60;s:24:\"#autocomplete_route_name\";b:0;s:8:\"#process\";a:3:{i:0;a:2:{i:0;s:38:\"Drupal\\Core\\Render\\Element\\MachineName\";i:1;s:18:\"processMachineName\";}i:1;a:2:{i:0;s:38:\"Drupal\\Core\\Render\\Element\\MachineName\";i:1;s:19:\"processAutocomplete\";}i:2;a:2:{i:0;s:38:\"Drupal\\Core\\Render\\Element\\MachineName\";i:1;s:15:\"processAjaxForm\";}}s:17:\"#element_validate\";a:1:{i:0;a:2:{i:0;s:38:\"Drupal\\Core\\Render\\Element\\MachineName\";i:1;s:19:\"validateMachineName\";}}s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:38:\"Drupal\\Core\\Render\\Element\\MachineName\";i:1;s:18:\"preRenderTextfield\";}}s:6:\"#theme\";s:16:\"input__textfield\";s:15:\"#theme_wrappers\";a:1:{i:0;s:12:\"form_element\";}s:15:\"#value_callback\";a:2:{i:0;s:38:\"Drupal\\Core\\Render\\Element\\MachineName\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:12:\"machine_name\";}s:4:\"page\";a:4:{s:6:\"#theme\";s:4:\"page\";s:6:\"#title\";s:0:\"\";s:5:\"#type\";s:4:\"page\";s:15:\"#theme_wrappers\";a:1:{s:23:\"off_canvas_page_wrapper\";a:1:{s:7:\"#weight\";i:-1000;}}}s:15:\"status_messages\";a:4:{s:8:\"#display\";N;s:11:\"#pre_render\";a:1:{i:0;s:62:\"Drupal\\Core\\Render\\Element\\StatusMessages::generatePlaceholder\";}s:17:\"#include_fallback\";b:0;s:5:\"#type\";s:15:\"status_messages\";}s:9:\"more_link\";a:4:{s:6:\"#title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"More\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"#theme_wrappers\";a:1:{s:9:\"container\";a:1:{s:11:\"#attributes\";a:1:{s:5:\"class\";a:1:{i:0;s:9:\"more-link\";}}}}s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:35:\"Drupal\\Core\\Render\\Element\\MoreLink\";i:1;s:13:\"preRenderLink\";}}s:5:\"#type\";s:9:\"more_link\";}s:5:\"token\";a:5:{s:6:\"#input\";b:1;s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:32:\"Drupal\\Core\\Render\\Element\\Token\";i:1;s:15:\"preRenderHidden\";}}s:6:\"#theme\";s:13:\"input__hidden\";s:15:\"#value_callback\";a:2:{i:0;s:32:\"Drupal\\Core\\Render\\Element\\Token\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:5:\"token\";}s:4:\"path\";a:13:{s:6:\"#input\";b:1;s:5:\"#size\";i:60;s:10:\"#maxlength\";i:128;s:24:\"#autocomplete_route_name\";b:0;s:8:\"#process\";a:4:{i:0;a:2:{i:0;s:38:\"Drupal\\Core\\Render\\Element\\PathElement\";i:1;s:19:\"processAutocomplete\";}i:1;a:2:{i:0;s:38:\"Drupal\\Core\\Render\\Element\\PathElement\";i:1;s:15:\"processAjaxForm\";}i:2;a:2:{i:0;s:38:\"Drupal\\Core\\Render\\Element\\PathElement\";i:1;s:14:\"processPattern\";}i:3;a:2:{i:0;s:38:\"Drupal\\Core\\Render\\Element\\PathElement\";i:1;s:12:\"processGroup\";}}s:11:\"#pre_render\";a:2:{i:0;a:2:{i:0;s:38:\"Drupal\\Core\\Render\\Element\\PathElement\";i:1;s:18:\"preRenderTextfield\";}i:1;a:2:{i:0;s:38:\"Drupal\\Core\\Render\\Element\\PathElement\";i:1;s:14:\"preRenderGroup\";}}s:6:\"#theme\";s:16:\"input__textfield\";s:15:\"#theme_wrappers\";a:1:{i:0;s:12:\"form_element\";}s:14:\"#validate_path\";b:1;s:13:\"#convert_path\";i:1;s:17:\"#element_validate\";a:1:{i:0;a:2:{i:0;s:38:\"Drupal\\Core\\Render\\Element\\PathElement\";i:1;s:19:\"validateMatchedPath\";}}s:15:\"#value_callback\";a:2:{i:0;s:38:\"Drupal\\Core\\Render\\Element\\PathElement\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:4:\"path\";}s:15:\"inline_template\";a:4:{s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:41:\"Drupal\\Core\\Render\\Element\\InlineTemplate\";i:1;s:23:\"preRenderInlineTemplate\";}}s:9:\"#template\";s:0:\"\";s:8:\"#context\";a:0:{}s:5:\"#type\";s:15:\"inline_template\";}s:10:\"page_title\";a:3:{s:6:\"#theme\";s:10:\"page_title\";s:6:\"#title\";N;s:5:\"#type\";s:10:\"page_title\";}s:4:\"item\";a:5:{s:6:\"#input\";b:1;s:7:\"#markup\";s:0:\"\";s:15:\"#theme_wrappers\";a:1:{i:0;s:12:\"form_element\";}s:15:\"#value_callback\";a:2:{i:0;s:31:\"Drupal\\Core\\Render\\Element\\Item\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:4:\"item\";}s:5:\"email\";a:11:{s:6:\"#input\";b:1;s:5:\"#size\";i:60;s:10:\"#maxlength\";i:254;s:24:\"#autocomplete_route_name\";b:0;s:8:\"#process\";a:3:{i:0;a:2:{i:0;s:32:\"Drupal\\Core\\Render\\Element\\Email\";i:1;s:19:\"processAutocomplete\";}i:1;a:2:{i:0;s:32:\"Drupal\\Core\\Render\\Element\\Email\";i:1;s:15:\"processAjaxForm\";}i:2;a:2:{i:0;s:32:\"Drupal\\Core\\Render\\Element\\Email\";i:1;s:14:\"processPattern\";}}s:17:\"#element_validate\";a:1:{i:0;a:2:{i:0;s:32:\"Drupal\\Core\\Render\\Element\\Email\";i:1;s:13:\"validateEmail\";}}s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:32:\"Drupal\\Core\\Render\\Element\\Email\";i:1;s:14:\"preRenderEmail\";}}s:6:\"#theme\";s:12:\"input__email\";s:15:\"#theme_wrappers\";a:1:{i:0;s:12:\"form_element\";}s:15:\"#value_callback\";a:2:{i:0;s:32:\"Drupal\\Core\\Render\\Element\\Email\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:5:\"email\";}s:5:\"table\";a:17:{s:7:\"#header\";a:0:{}s:5:\"#rows\";a:0:{}s:6:\"#empty\";s:0:\"\";s:6:\"#input\";b:1;s:5:\"#tree\";b:1;s:12:\"#tableselect\";b:0;s:7:\"#sticky\";b:0;s:11:\"#responsive\";b:1;s:9:\"#multiple\";b:1;s:10:\"#js_select\";b:1;s:8:\"#process\";a:1:{i:0;a:2:{i:0;s:32:\"Drupal\\Core\\Render\\Element\\Table\";i:1;s:12:\"processTable\";}}s:17:\"#element_validate\";a:1:{i:0;a:2:{i:0;s:32:\"Drupal\\Core\\Render\\Element\\Table\";i:1;s:13:\"validateTable\";}}s:10:\"#tabledrag\";a:0:{}s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:32:\"Drupal\\Core\\Render\\Element\\Table\";i:1;s:14:\"preRenderTable\";}}s:6:\"#theme\";s:5:\"table\";s:15:\"#value_callback\";a:2:{i:0;s:32:\"Drupal\\Core\\Render\\Element\\Table\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:5:\"table\";}s:6:\"number\";a:9:{s:6:\"#input\";b:1;s:5:\"#step\";i:1;s:8:\"#process\";a:1:{i:0;a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Number\";i:1;s:15:\"processAjaxForm\";}}s:17:\"#element_validate\";a:1:{i:0;a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Number\";i:1;s:14:\"validateNumber\";}}s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Number\";i:1;s:15:\"preRenderNumber\";}}s:6:\"#theme\";s:13:\"input__number\";s:15:\"#theme_wrappers\";a:1:{i:0;s:12:\"form_element\";}s:15:\"#value_callback\";a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Number\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:6:\"number\";}s:4:\"ajax\";a:4:{s:7:\"#header\";b:1;s:9:\"#commands\";a:0:{}s:6:\"#error\";N;s:5:\"#type\";s:4:\"ajax\";}s:13:\"status_report\";a:4:{s:6:\"#theme\";s:21:\"status_report_grouped\";s:11:\"#priorities\";a:4:{i:0;s:5:\"error\";i:1;s:7:\"warning\";i:2;s:7:\"checked\";i:3;s:2:\"ok\";}s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:39:\"Drupal\\Core\\Render\\Element\\StatusReport\";i:1;s:26:\"preRenderGroupRequirements\";}}s:5:\"#type\";s:13:\"status_report\";}s:8:\"fieldset\";a:5:{s:8:\"#process\";a:2:{i:0;a:2:{i:0;s:35:\"Drupal\\Core\\Render\\Element\\Fieldset\";i:1;s:12:\"processGroup\";}i:1;a:2:{i:0;s:35:\"Drupal\\Core\\Render\\Element\\Fieldset\";i:1;s:15:\"processAjaxForm\";}}s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:35:\"Drupal\\Core\\Render\\Element\\Fieldset\";i:1;s:14:\"preRenderGroup\";}}s:6:\"#value\";N;s:15:\"#theme_wrappers\";a:1:{i:0;s:8:\"fieldset\";}s:5:\"#type\";s:8:\"fieldset\";}s:8:\"html_tag\";a:4:{s:11:\"#pre_render\";a:2:{i:0;a:2:{i:0;s:34:\"Drupal\\Core\\Render\\Element\\HtmlTag\";i:1;s:28:\"preRenderConditionalComments\";}i:1;a:2:{i:0;s:34:\"Drupal\\Core\\Render\\Element\\HtmlTag\";i:1;s:16:\"preRenderHtmlTag\";}}s:11:\"#attributes\";a:0:{}s:6:\"#value\";N;s:5:\"#type\";s:8:\"html_tag\";}s:7:\"details\";a:7:{s:5:\"#open\";b:0;s:19:\"#summary_attributes\";a:0:{}s:6:\"#value\";N;s:8:\"#process\";a:2:{i:0;a:2:{i:0;s:34:\"Drupal\\Core\\Render\\Element\\Details\";i:1;s:12:\"processGroup\";}i:1;a:2:{i:0;s:34:\"Drupal\\Core\\Render\\Element\\Details\";i:1;s:15:\"processAjaxForm\";}}s:11:\"#pre_render\";a:2:{i:0;a:2:{i:0;s:34:\"Drupal\\Core\\Render\\Element\\Details\";i:1;s:16:\"preRenderDetails\";}i:1;a:2:{i:0;s:34:\"Drupal\\Core\\Render\\Element\\Details\";i:1;s:14:\"preRenderGroup\";}}s:15:\"#theme_wrappers\";a:1:{i:0;s:7:\"details\";}s:5:\"#type\";s:7:\"details\";}s:5:\"label\";a:2:{s:6:\"#theme\";s:18:\"form_element_label\";s:5:\"#type\";s:5:\"label\";}s:15:\"language_select\";a:9:{s:6:\"#input\";b:1;s:14:\"#default_value\";s:3:\"und\";s:15:\"#value_callback\";a:2:{i:0;s:41:\"Drupal\\Core\\Render\\Element\\LanguageSelect\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:15:\"language_select\";s:8:\"#process\";a:3:{i:0;s:32:\"language_process_language_select\";i:1;a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Select\";i:1;s:13:\"processSelect\";}i:2;a:2:{i:0;s:40:\"Drupal\\Core\\Render\\Element\\RenderElement\";i:1;s:15:\"processAjaxForm\";}}s:15:\"#theme_wrappers\";a:1:{i:0;s:12:\"form_element\";}s:6:\"#theme\";s:6:\"select\";s:10:\"#languages\";i:1;s:9:\"#multiple\";b:0;}s:6:\"button\";a:11:{s:6:\"#input\";b:1;s:5:\"#name\";s:2:\"op\";s:10:\"#is_button\";b:1;s:25:\"#executes_submit_callback\";b:0;s:24:\"#limit_validation_errors\";b:0;s:8:\"#process\";a:2:{i:0;a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Button\";i:1;s:13:\"processButton\";}i:1;a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Button\";i:1;s:15:\"processAjaxForm\";}}s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Button\";i:1;s:15:\"preRenderButton\";}}s:15:\"#theme_wrappers\";a:1:{i:0;s:13:\"input__submit\";}s:15:\"#value_callback\";a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Button\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:6:\"button\";s:9:\"#attached\";a:1:{s:7:\"library\";a:1:{i:0;s:14:\"core/modernizr\";}}}s:5:\"range\";a:11:{s:4:\"#min\";i:0;s:4:\"#max\";i:100;s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:32:\"Drupal\\Core\\Render\\Element\\Range\";i:1;s:14:\"preRenderRange\";}}s:6:\"#theme\";s:12:\"input__range\";s:6:\"#input\";b:1;s:5:\"#step\";i:1;s:8:\"#process\";a:1:{i:0;a:2:{i:0;s:32:\"Drupal\\Core\\Render\\Element\\Range\";i:1;s:15:\"processAjaxForm\";}}s:17:\"#element_validate\";a:1:{i:0;a:2:{i:0;s:32:\"Drupal\\Core\\Render\\Element\\Range\";i:1;s:14:\"validateNumber\";}}s:15:\"#theme_wrappers\";a:1:{i:0;s:12:\"form_element\";}s:15:\"#value_callback\";a:2:{i:0;s:32:\"Drupal\\Core\\Render\\Element\\Range\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:5:\"range\";}s:10:\"operations\";a:3:{s:6:\"#theme\";s:29:\"links__dropbutton__operations\";s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:37:\"Drupal\\Core\\Render\\Element\\Operations\";i:1;s:19:\"preRenderDropbutton\";}}s:5:\"#type\";s:10:\"operations\";}s:7:\"actions\";a:4:{s:8:\"#process\";a:3:{i:0;a:2:{i:0;s:34:\"Drupal\\Core\\Render\\Element\\Actions\";i:1;s:26:\"preRenderActionsDropbutton\";}i:1;a:2:{i:0;s:34:\"Drupal\\Core\\Render\\Element\\Actions\";i:1;s:14:\"processActions\";}i:2;a:2:{i:0;s:34:\"Drupal\\Core\\Render\\Element\\Actions\";i:1;s:16:\"processContainer\";}}s:7:\"#weight\";i:100;s:15:\"#theme_wrappers\";a:1:{i:0;s:9:\"container\";}s:5:\"#type\";s:7:\"actions\";}s:6:\"select\";a:11:{s:6:\"#input\";b:1;s:9:\"#multiple\";b:0;s:13:\"#sort_options\";b:0;s:11:\"#sort_start\";N;s:8:\"#process\";a:2:{i:0;a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Select\";i:1;s:13:\"processSelect\";}i:1;a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Select\";i:1;s:15:\"processAjaxForm\";}}s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Select\";i:1;s:15:\"preRenderSelect\";}}s:6:\"#theme\";s:6:\"select\";s:15:\"#theme_wrappers\";a:1:{i:0;s:12:\"form_element\";}s:8:\"#options\";a:0:{}s:15:\"#value_callback\";a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Select\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:6:\"select\";}s:5:\"pager\";a:8:{s:11:\"#pre_render\";a:1:{i:0;s:48:\"Drupal\\Core\\Render\\Element\\Pager::preRenderPager\";}s:6:\"#theme\";s:5:\"pager\";s:8:\"#element\";i:0;s:11:\"#parameters\";a:0:{}s:9:\"#quantity\";i:9;s:5:\"#tags\";a:0:{}s:11:\"#route_name\";s:6:\"<none>\";s:5:\"#type\";s:5:\"pager\";}s:6:\"submit\";a:10:{s:25:\"#executes_submit_callback\";b:1;s:6:\"#input\";b:1;s:5:\"#name\";s:2:\"op\";s:10:\"#is_button\";b:1;s:24:\"#limit_validation_errors\";b:0;s:8:\"#process\";a:2:{i:0;a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Submit\";i:1;s:13:\"processButton\";}i:1;a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Submit\";i:1;s:15:\"processAjaxForm\";}}s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Submit\";i:1;s:15:\"preRenderButton\";}}s:15:\"#theme_wrappers\";a:1:{i:0;s:13:\"input__submit\";}s:15:\"#value_callback\";a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Submit\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:6:\"submit\";}s:6:\"radios\";a:6:{s:6:\"#input\";b:1;s:8:\"#process\";a:1:{i:0;a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Radios\";i:1;s:13:\"processRadios\";}}s:15:\"#theme_wrappers\";a:1:{i:0;s:6:\"radios\";}s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Radios\";i:1;s:29:\"preRenderCompositeFormElement\";}}s:15:\"#value_callback\";a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Radios\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:6:\"radios\";}s:6:\"weight\";a:6:{s:6:\"#input\";b:1;s:6:\"#delta\";i:10;s:14:\"#default_value\";i:0;s:8:\"#process\";a:2:{i:0;a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Weight\";i:1;s:13:\"processWeight\";}i:1;a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Weight\";i:1;s:15:\"processAjaxForm\";}}s:15:\"#value_callback\";a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Weight\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:6:\"weight\";}s:8:\"textarea\";a:10:{s:6:\"#input\";b:1;s:5:\"#cols\";i:60;s:5:\"#rows\";i:5;s:10:\"#resizable\";s:8:\"vertical\";s:8:\"#process\";a:2:{i:0;a:2:{i:0;s:35:\"Drupal\\Core\\Render\\Element\\Textarea\";i:1;s:15:\"processAjaxForm\";}i:1;a:2:{i:0;s:35:\"Drupal\\Core\\Render\\Element\\Textarea\";i:1;s:12:\"processGroup\";}}s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:35:\"Drupal\\Core\\Render\\Element\\Textarea\";i:1;s:14:\"preRenderGroup\";}}s:6:\"#theme\";s:8:\"textarea\";s:15:\"#theme_wrappers\";a:1:{i:0;s:12:\"form_element\";}s:15:\"#value_callback\";a:2:{i:0;s:35:\"Drupal\\Core\\Render\\Element\\Textarea\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:8:\"textarea\";}s:4:\"date\";a:9:{s:6:\"#input\";b:1;s:6:\"#theme\";s:11:\"input__date\";s:8:\"#process\";a:2:{i:0;a:2:{i:0;s:31:\"Drupal\\Core\\Render\\Element\\Date\";i:1;s:15:\"processAjaxForm\";}i:1;a:2:{i:0;s:31:\"Drupal\\Core\\Render\\Element\\Date\";i:1;s:11:\"processDate\";}}s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:31:\"Drupal\\Core\\Render\\Element\\Date\";i:1;s:13:\"preRenderDate\";}}s:15:\"#theme_wrappers\";a:1:{i:0;s:12:\"form_element\";}s:11:\"#attributes\";a:1:{s:4:\"type\";s:4:\"date\";}s:17:\"#date_date_format\";s:5:\"Y-m-d\";s:15:\"#value_callback\";a:2:{i:0;s:31:\"Drupal\\Core\\Render\\Element\\Date\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:4:\"date\";}s:6:\"hidden\";a:6:{s:6:\"#input\";b:1;s:8:\"#process\";a:1:{i:0;a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Hidden\";i:1;s:15:\"processAjaxForm\";}}s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Hidden\";i:1;s:15:\"preRenderHidden\";}}s:6:\"#theme\";s:13:\"input__hidden\";s:15:\"#value_callback\";a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Hidden\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:6:\"hidden\";}s:5:\"radio\";a:9:{s:6:\"#input\";b:1;s:14:\"#default_value\";N;s:8:\"#process\";a:1:{i:0;a:2:{i:0;s:32:\"Drupal\\Core\\Render\\Element\\Radio\";i:1;s:15:\"processAjaxForm\";}}s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:32:\"Drupal\\Core\\Render\\Element\\Radio\";i:1;s:14:\"preRenderRadio\";}}s:6:\"#theme\";s:12:\"input__radio\";s:15:\"#theme_wrappers\";a:1:{i:0;s:12:\"form_element\";}s:14:\"#title_display\";s:5:\"after\";s:15:\"#value_callback\";a:2:{i:0;s:32:\"Drupal\\Core\\Render\\Element\\Radio\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:5:\"radio\";}s:4:\"html\";a:3:{s:6:\"#theme\";s:4:\"html\";s:9:\"#attached\";a:1:{s:7:\"library\";a:1:{i:0;s:14:\"core/html5shiv\";}}s:5:\"#type\";s:4:\"html\";}s:5:\"color\";a:8:{s:6:\"#input\";b:1;s:8:\"#process\";a:1:{i:0;a:2:{i:0;s:32:\"Drupal\\Core\\Render\\Element\\Color\";i:1;s:15:\"processAjaxForm\";}}s:17:\"#element_validate\";a:1:{i:0;a:2:{i:0;s:32:\"Drupal\\Core\\Render\\Element\\Color\";i:1;s:13:\"validateColor\";}}s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:32:\"Drupal\\Core\\Render\\Element\\Color\";i:1;s:14:\"preRenderColor\";}}s:6:\"#theme\";s:12:\"input__color\";s:15:\"#theme_wrappers\";a:1:{i:0;s:12:\"form_element\";}s:15:\"#value_callback\";a:2:{i:0;s:32:\"Drupal\\Core\\Render\\Element\\Color\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:5:\"color\";}s:13:\"vertical_tabs\";a:5:{s:12:\"#default_tab\";s:0:\"\";s:8:\"#process\";a:1:{i:0;a:2:{i:0;s:39:\"Drupal\\Core\\Render\\Element\\VerticalTabs\";i:1;s:19:\"processVerticalTabs\";}}s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:39:\"Drupal\\Core\\Render\\Element\\VerticalTabs\";i:1;s:21:\"preRenderVerticalTabs\";}}s:15:\"#theme_wrappers\";a:2:{i:0;s:13:\"vertical_tabs\";i:1;s:12:\"form_element\";}s:5:\"#type\";s:13:\"vertical_tabs\";}s:5:\"value\";a:3:{s:6:\"#input\";b:1;s:15:\"#value_callback\";a:2:{i:0;s:32:\"Drupal\\Core\\Render\\Element\\Value\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:5:\"value\";}s:9:\"textfield\";a:10:{s:6:\"#input\";b:1;s:5:\"#size\";i:60;s:10:\"#maxlength\";i:128;s:24:\"#autocomplete_route_name\";b:0;s:8:\"#process\";a:4:{i:0;a:2:{i:0;s:36:\"Drupal\\Core\\Render\\Element\\Textfield\";i:1;s:19:\"processAutocomplete\";}i:1;a:2:{i:0;s:36:\"Drupal\\Core\\Render\\Element\\Textfield\";i:1;s:15:\"processAjaxForm\";}i:2;a:2:{i:0;s:36:\"Drupal\\Core\\Render\\Element\\Textfield\";i:1;s:14:\"processPattern\";}i:3;a:2:{i:0;s:36:\"Drupal\\Core\\Render\\Element\\Textfield\";i:1;s:12:\"processGroup\";}}s:11:\"#pre_render\";a:2:{i:0;a:2:{i:0;s:36:\"Drupal\\Core\\Render\\Element\\Textfield\";i:1;s:18:\"preRenderTextfield\";}i:1;a:2:{i:0;s:36:\"Drupal\\Core\\Render\\Element\\Textfield\";i:1;s:14:\"preRenderGroup\";}}s:6:\"#theme\";s:16:\"input__textfield\";s:15:\"#theme_wrappers\";a:1:{i:0;s:12:\"form_element\";}s:15:\"#value_callback\";a:2:{i:0;s:36:\"Drupal\\Core\\Render\\Element\\Textfield\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:9:\"textfield\";}s:6:\"search\";a:10:{s:6:\"#input\";b:1;s:5:\"#size\";i:60;s:10:\"#maxlength\";i:128;s:24:\"#autocomplete_route_name\";b:0;s:8:\"#process\";a:2:{i:0;a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Search\";i:1;s:19:\"processAutocomplete\";}i:1;a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Search\";i:1;s:15:\"processAjaxForm\";}}s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Search\";i:1;s:15:\"preRenderSearch\";}}s:6:\"#theme\";s:13:\"input__search\";s:15:\"#theme_wrappers\";a:1:{i:0;s:12:\"form_element\";}s:15:\"#value_callback\";a:2:{i:0;s:33:\"Drupal\\Core\\Render\\Element\\Search\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:6:\"search\";}s:11:\"tableselect\";a:12:{s:6:\"#input\";b:1;s:10:\"#js_select\";b:1;s:9:\"#multiple\";b:1;s:11:\"#responsive\";b:1;s:7:\"#sticky\";b:0;s:11:\"#pre_render\";a:2:{i:0;a:2:{i:0;s:38:\"Drupal\\Core\\Render\\Element\\Tableselect\";i:1;s:14:\"preRenderTable\";}i:1;a:2:{i:0;s:38:\"Drupal\\Core\\Render\\Element\\Tableselect\";i:1;s:20:\"preRenderTableselect\";}}s:8:\"#process\";a:1:{i:0;a:2:{i:0;s:38:\"Drupal\\Core\\Render\\Element\\Tableselect\";i:1;s:18:\"processTableselect\";}}s:8:\"#options\";a:0:{}s:6:\"#empty\";s:0:\"\";s:6:\"#theme\";s:18:\"table__tableselect\";s:15:\"#value_callback\";a:2:{i:0;s:38:\"Drupal\\Core\\Render\\Element\\Tableselect\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:11:\"tableselect\";}s:4:\"file\";a:9:{s:6:\"#input\";b:1;s:9:\"#multiple\";b:0;s:8:\"#process\";a:1:{i:0;a:2:{i:0;s:31:\"Drupal\\Core\\Render\\Element\\File\";i:1;s:11:\"processFile\";}}s:5:\"#size\";i:60;s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:31:\"Drupal\\Core\\Render\\Element\\File\";i:1;s:13:\"preRenderFile\";}}s:6:\"#theme\";s:11:\"input__file\";s:15:\"#theme_wrappers\";a:1:{i:0;s:12:\"form_element\";}s:15:\"#value_callback\";a:2:{i:0;s:31:\"Drupal\\Core\\Render\\Element\\File\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:4:\"file\";}s:9:\"container\";a:5:{s:9:\"#optional\";b:0;s:8:\"#process\";a:2:{i:0;a:2:{i:0;s:36:\"Drupal\\Core\\Render\\Element\\Container\";i:1;s:12:\"processGroup\";}i:1;a:2:{i:0;s:36:\"Drupal\\Core\\Render\\Element\\Container\";i:1;s:16:\"processContainer\";}}s:11:\"#pre_render\";a:2:{i:0;a:2:{i:0;s:36:\"Drupal\\Core\\Render\\Element\\Container\";i:1;s:14:\"preRenderGroup\";}i:1;a:2:{i:0;s:36:\"Drupal\\Core\\Render\\Element\\Container\";i:1;s:18:\"preRenderContainer\";}}s:15:\"#theme_wrappers\";a:1:{i:0;s:9:\"container\";}s:5:\"#type\";s:9:\"container\";}s:10:\"checkboxes\";a:6:{s:6:\"#input\";b:1;s:8:\"#process\";a:1:{i:0;a:2:{i:0;s:37:\"Drupal\\Core\\Render\\Element\\Checkboxes\";i:1;s:17:\"processCheckboxes\";}}s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:37:\"Drupal\\Core\\Render\\Element\\Checkboxes\";i:1;s:29:\"preRenderCompositeFormElement\";}}s:15:\"#theme_wrappers\";a:1:{i:0;s:10:\"checkboxes\";}s:15:\"#value_callback\";a:2:{i:0;s:37:\"Drupal\\Core\\Render\\Element\\Checkboxes\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:10:\"checkboxes\";}s:4:\"form\";a:3:{s:7:\"#method\";s:4:\"post\";s:15:\"#theme_wrappers\";a:1:{i:0;s:4:\"form\";}s:5:\"#type\";s:4:\"form\";}s:3:\"tel\";a:10:{s:6:\"#input\";b:1;s:5:\"#size\";i:30;s:10:\"#maxlength\";i:128;s:24:\"#autocomplete_route_name\";b:0;s:8:\"#process\";a:3:{i:0;a:2:{i:0;s:30:\"Drupal\\Core\\Render\\Element\\Tel\";i:1;s:19:\"processAutocomplete\";}i:1;a:2:{i:0;s:30:\"Drupal\\Core\\Render\\Element\\Tel\";i:1;s:15:\"processAjaxForm\";}i:2;a:2:{i:0;s:30:\"Drupal\\Core\\Render\\Element\\Tel\";i:1;s:14:\"processPattern\";}}s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;s:30:\"Drupal\\Core\\Render\\Element\\Tel\";i:1;s:12:\"preRenderTel\";}}s:6:\"#theme\";s:10:\"input__tel\";s:15:\"#theme_wrappers\";a:1:{i:0;s:12:\"form_element\";}s:15:\"#value_callback\";a:2:{i:0;s:30:\"Drupal\\Core\\Render\\Element\\Tel\";i:1;s:13:\"valueCallback\";}s:5:\"#type\";s:3:\"tel\";}s:15:\"break_lock_link\";a:2:{s:11:\"#pre_render\";a:1:{i:0;a:2:{i:0;O:43:\"Drupal\\Core\\TempStore\\Element\\BreakLockLink\":7:{s:11:\"\0*\0pluginId\";s:15:\"break_lock_link\";s:19:\"\0*\0pluginDefinition\";a:3:{s:2:\"id\";s:15:\"break_lock_link\";s:5:\"class\";s:43:\"Drupal\\Core\\TempStore\\Element\\BreakLockLink\";s:8:\"provider\";s:4:\"core\";}s:16:\"\0*\0configuration\";a:0:{}s:20:\"\0*\0stringTranslation\";N;s:14:\"\0*\0_serviceIds\";a:3:{s:13:\"dateFormatter\";s:14:\"date.formatter\";s:17:\"entityTypeManager\";s:19:\"entity_type.manager\";s:8:\"renderer\";s:8:\"renderer\";}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0messenger\";N;}i:1;s:13:\"preRenderLock\";}}s:5:\"#type\";s:15:\"break_lock_link\";}}',-1,1636012332.394,1,'element_info_build','55'),('entity_base_field_definitions:block_content:en','a:15:{s:2:\"id\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:2;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Custom block ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"The custom block ID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:2:\"id\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:31;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"The custom block UUID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}}s:11:\"revision_id\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:57;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Revision ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"The revision ID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:11:\"revision_id\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:86;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"display\";a:2:{s:4:\"view\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;}s:12:\"configurable\";b:1;}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"The custom block language code.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}}s:4:\"type\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:120;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:18:\"block_content_type\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Block type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:9:\"read-only\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"The block type.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:4:\"type\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}}s:16:\"revision_created\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"created\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:147;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:created\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Revision create time\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"The time that the current revision was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:16:\"revision_created\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}}s:13:\"revision_user\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:170;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:4:\"user\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Revision user\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:50:\"The user ID of the author of the current revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:13:\"revision_user\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}}s:12:\"revision_log\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:196;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:22:\"field_item:string_long\";s:8:\"settings\";a:1:{s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Revision log message\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:54:\"The log entry explaining the changes in this revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:0:\"\";}}s:7:\"display\";a:1:{s:4:\"form\";a:1:{s:7:\"options\";a:3:{s:4:\"type\";s:15:\"string_textarea\";s:6:\"weight\";i:25;s:8:\"settings\";a:1:{s:4:\"rows\";i:4;}}}}s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:12:\"revision_log\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}}s:6:\"status\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:230;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Published\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}}s:4:\"info\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:261;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:11:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Block description\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:34:\"A brief description of your block.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"required\";b:1;s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:-5;}s:12:\"configurable\";b:1;}}s:11:\"constraints\";a:1:{s:11:\"UniqueField\";a:0:{}}s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:4:\"info\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}}s:7:\"changed\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"changed\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:297;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:changed\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Changed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"The time that the custom block was last edited.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}}s:8:\"reusable\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:321;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Reusable\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"A boolean indicating whether this block is reusable.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;s:12:\"revisionable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:8:\"reusable\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}}s:16:\"default_langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:356;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Default translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:58:\"A flag indicating whether this is the default translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:16:\"default_langcode\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}}s:16:\"revision_default\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:391;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Default revision\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"A flag indicating whether this was a default revision when it was saved.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:16:\"storage_required\";b:1;s:8:\"internal\";b:1;s:12:\"translatable\";b:0;s:12:\"revisionable\";b:1;s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:16:\"revision_default\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}}s:29:\"revision_translation_affected\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:425;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Revision translation affected\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"Indicates if the last edit of a translation belongs to current revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:29:\"revision_translation_affected\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}}}',-1,1636011226.647,1,'entity_field_info entity_types','140'),('entity_base_field_definitions:comment:en','a:19:{s:3:\"cid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:2;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Comment ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"The comment ID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:3:\"cid\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:31;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"The comment UUID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:57;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"display\";a:2:{s:4:\"view\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;}s:12:\"configurable\";b:1;}}s:12:\"translatable\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"The comment language code.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}}s:12:\"comment_type\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:90;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:12:\"comment_type\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Comment Type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:9:\"read-only\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"The comment type.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:12:\"comment_type\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}}s:6:\"status\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:117;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Published\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:22:\"default_value_callback\";s:47:\"Drupal\\comment\\Entity\\Comment::getDefaultStatus\";s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}}s:3:\"uid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:149;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:4:\"user\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"User ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:22:\"default_value_callback\";s:52:\"Drupal\\comment\\Entity\\Comment::getDefaultEntityOwner\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:34:\"The user ID of the comment author.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}}s:3:\"pid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:176;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:7:\"comment\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Parent ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:54:\"The parent comment ID if this is a reply to a comment.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:3:\"pid\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}}s:9:\"entity_id\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:201;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:4:\"node\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Entity ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:54:\"The ID of the entity of which this comment is a reply.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:9:\"entity_id\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}}s:7:\"subject\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:227;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:64;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Subject\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:10;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:7:\"subject\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}}s:4:\"name\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:255;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:60;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"The comment author\'s name.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:0:\"\";}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:4:\"name\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}}s:4:\"mail\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:5:\"email\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:284;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:16:\"field_item:email\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Email\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"The comment author\'s email address.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:4:\"mail\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}}s:8:\"homepage\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:3:\"uri\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:307;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:14:\"field_item:uri\";s:8:\"settings\";a:2:{s:10:\"max_length\";i:255;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Homepage\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:39:\"The comment author\'s home page address.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:8:\"homepage\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}}s:8:\"hostname\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:332;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Hostname\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:30:\"The comment author\'s hostname.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:22:\"default_value_callback\";s:49:\"Drupal\\comment\\Entity\\Comment::getDefaultHostname\";s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:8:\"hostname\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}}s:7:\"created\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"created\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:359;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:created\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Created\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:38:\"The time that the comment was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}}s:7:\"changed\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"changed\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:382;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:changed\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Changed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:42:\"The time that the comment was last edited.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}}s:6:\"thread\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:405;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Thread place\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:144:\"The alphadecimal representation of the comment\'s place in a thread, consisting of a base 36 string prefixed by an integer indicating its length.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:6:\"thread\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}}s:11:\"entity_type\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:430;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:32;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Entity type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:50:\"The entity type to which this comment is attached.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:11:\"entity_type\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}}s:10:\"field_name\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:456;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:32;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Comment field name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"The field name through which this comment was added.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:10:\"field_name\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}}s:16:\"default_langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:482;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Default translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:58:\"A flag indicating whether this is the default translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:16:\"default_langcode\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}}}',-1,1636011226.697,1,'entity_field_info entity_types','140'),('entity_base_field_definitions:contact_message:en','a:9:{s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:2;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"The message UUID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:7:\"contact\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:15:\"contact_message\";s:6:\"bundle\";N;}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:28;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"display\";a:2:{s:4:\"view\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;}s:12:\"configurable\";b:1;}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"The message language code.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:7:\"contact\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:15:\"contact_message\";s:6:\"bundle\";N;}}s:12:\"contact_form\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:60;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:12:\"contact_form\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Form ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:9:\"read-only\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:30:\"The ID of the associated form.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:7:\"contact\";s:10:\"field_name\";s:12:\"contact_form\";s:11:\"entity_type\";s:15:\"contact_message\";s:6:\"bundle\";N;}}s:4:\"name\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:87;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"The sender\'s name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:59:\"The name of the person that is sending the contact message.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:7:\"contact\";s:10:\"field_name\";s:4:\"name\";s:11:\"entity_type\";s:15:\"contact_message\";s:6:\"bundle\";N;}}s:4:\"mail\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:5:\"email\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:112;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:16:\"field_item:email\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"The sender\'s email\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:60:\"The email of the person that is sending the contact message.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:7:\"contact\";s:10:\"field_name\";s:4:\"mail\";s:11:\"entity_type\";s:15:\"contact_message\";s:6:\"bundle\";N;}}s:7:\"subject\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:134;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:100;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Subject\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:-10;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:7:\"contact\";s:10:\"field_name\";s:7:\"subject\";s:11:\"entity_type\";s:15:\"contact_message\";s:6:\"bundle\";N;}}s:7:\"message\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:162;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:22:\"field_item:string_long\";s:8:\"settings\";a:1:{s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Message\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:7:\"display\";a:2:{s:4:\"form\";a:2:{s:7:\"options\";a:3:{s:4:\"type\";s:15:\"string_textarea\";s:6:\"weight\";i:0;s:8:\"settings\";a:1:{s:4:\"rows\";i:12;}}s:12:\"configurable\";b:1;}s:4:\"view\";a:2:{s:7:\"options\";a:3:{s:4:\"type\";s:6:\"string\";s:6:\"weight\";i:0;s:5:\"label\";s:5:\"above\";}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:7:\"contact\";s:10:\"field_name\";s:7:\"message\";s:11:\"entity_type\";s:15:\"contact_message\";s:6:\"bundle\";N;}}s:4:\"copy\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:196;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Copy\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"Whether to send a copy of the message to the sender.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:7:\"contact\";s:10:\"field_name\";s:4:\"copy\";s:11:\"entity_type\";s:15:\"contact_message\";s:6:\"bundle\";N;}}s:9:\"recipient\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:226;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:4:\"user\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Recipient ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:59:\"The ID of the recipient user for personal contact messages.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:7:\"contact\";s:10:\"field_name\";s:9:\"recipient\";s:11:\"entity_type\";s:15:\"contact_message\";s:6:\"bundle\";N;}}}',-1,1636011226.760,1,'entity_field_info entity_types','140'),('entity_base_field_definitions:file:en','a:11:{s:3:\"fid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:2;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"File ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"The file ID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"file\";s:10:\"field_name\";s:3:\"fid\";s:11:\"entity_type\";s:4:\"file\";s:6:\"bundle\";N;}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:31;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"The file UUID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"file\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:4:\"file\";s:6:\"bundle\";N;}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:57;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Language code\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"display\";a:2:{s:4:\"view\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;}s:12:\"configurable\";b:1;}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"The file language code.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"file\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:4:\"file\";s:6:\"bundle\";N;}}s:3:\"uid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:89;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:4:\"user\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"User ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;s:22:\"default_value_callback\";s:46:\"Drupal\\file\\Entity\\File::getDefaultEntityOwner\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"The user ID of the file.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"file\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:4:\"file\";s:6:\"bundle\";N;}}s:8:\"filename\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:116;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Filename\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:41:\"Name of the file with no path components.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"file\";s:10:\"field_name\";s:8:\"filename\";s:11:\"entity_type\";s:4:\"file\";s:6:\"bundle\";N;}}s:3:\"uri\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:8:\"file_uri\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:141;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:file_uri\";s:8:\"settings\";a:2:{s:10:\"max_length\";i:255;s:14:\"case_sensitive\";b:1;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"URI\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"The URI to access the file (either local or remote).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:13:\"FileUriUnique\";N;}s:8:\"provider\";s:4:\"file\";s:10:\"field_name\";s:3:\"uri\";s:11:\"entity_type\";s:4:\"file\";s:6:\"bundle\";N;}}s:8:\"filemime\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:167;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"File MIME type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"The file\'s MIME type.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"file\";s:10:\"field_name\";s:8:\"filemime\";s:11:\"entity_type\";s:4:\"file\";s:6:\"bundle\";N;}}s:8:\"filesize\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:192;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:3:\"big\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"File size\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:30:\"The size of the file in bytes.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"file\";s:10:\"field_name\";s:8:\"filesize\";s:11:\"entity_type\";s:4:\"file\";s:6:\"bundle\";N;}}s:6:\"status\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:220;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Status\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:63:\"The status of the file, temporary (FALSE) and permanent (TRUE).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:8:\"provider\";s:4:\"file\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:4:\"file\";s:6:\"bundle\";N;}}s:7:\"created\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"created\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:253;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:created\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Created\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:40:\"The timestamp that the file was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"file\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:4:\"file\";s:6:\"bundle\";N;}}s:7:\"changed\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"changed\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:275;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:changed\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Changed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"The timestamp that the file was last changed.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"file\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:4:\"file\";s:6:\"bundle\";N;}}}',-1,1636011226.768,1,'entity_field_info entity_types','140'),('entity_base_field_definitions:menu_link_content:en','a:22:{s:2:\"id\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:2;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Entity ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:48:\"The entity ID for this menu link content entity.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:2:\"id\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:31;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:27:\"The content menu link UUID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:11:\"revision_id\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:57;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Revision ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:11:\"revision_id\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:82;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"display\";a:2:{s:4:\"view\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;}s:12:\"configurable\";b:1;}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:28:\"The menu link language code.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:6:\"bundle\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:116;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:32;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";s:23:\"Custom menu link bundle\";s:8:\"required\";b:1;s:9:\"read-only\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"The content menu link bundle.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:6:\"bundle\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:16:\"revision_created\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"created\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:140;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:created\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Revision create time\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"The time that the current revision was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:16:\"revision_created\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:13:\"revision_user\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:163;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:4:\"user\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Revision user\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:50:\"The user ID of the author of the current revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:13:\"revision_user\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:20:\"revision_log_message\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:189;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:22:\"field_item:string_long\";s:8:\"settings\";a:1:{s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Revision log message\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:43:\"Briefly describe the changes you have made.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:0:\"\";}}s:7:\"display\";a:1:{s:4:\"form\";a:1:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:20:\"revision_log_message\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:7:\"enabled\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:220;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Enabled\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:65:\"A flag for whether the link should be enabled in menus or hidden.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:7:\"boolean\";s:6:\"weight\";i:0;}}s:4:\"form\";a:1:{s:7:\"options\";a:2:{s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:-1;}}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:7:\"enabled\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:5:\"title\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:266;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Menu link title\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"The text to be used for this link in the menu.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"string\";s:6:\"weight\";i:-5;}}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:-5;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:11:\"description\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:305;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Description\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:39:\"Shown when hovering over the menu link.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"string\";s:6:\"weight\";i:0;}}s:4:\"form\";a:1:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;}}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:11:\"description\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:9:\"menu_name\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:342;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Menu name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:93:\"The menu name. All links with the same menu name (such as \"tools\") are part of the same menu.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:5:\"tools\";}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:9:\"menu_name\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:4:\"link\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:4:\"link\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:370;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:link\";s:8:\"settings\";a:2:{s:5:\"title\";i:0;s:9:\"link_type\";i:17;}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:38:\"The location this menu link points to.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:8:\"required\";b:1;s:7:\"display\";a:1:{s:4:\"form\";a:1:{s:7:\"options\";a:2:{s:4:\"type\";s:12:\"link_default\";s:6:\"weight\";i:-2;}}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:4:\"link\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:8:\"external\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:401;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"External\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:120:\"A flag to indicate if the link points to a full URL starting with a protocol, like http:// (1 = external, 0 = internal).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:12:\"revisionable\";b:1;s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:8:\"external\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:10:\"rediscover\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:435;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:54:\"Indicates whether the menu link should be rediscovered\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:10:\"rediscover\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:6:\"weight\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:464;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:0;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Weight\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:172:\"Link weight among links in the same menu at the same depth. In the menu, the links with high weight will sink and links with a low weight will be positioned nearer the top.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:14:\"number_integer\";s:6:\"weight\";i:0;}}s:4:\"form\";a:1:{s:7:\"options\";a:2:{s:4:\"type\";s:6:\"number\";s:6:\"weight\";i:20;}}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:6:\"weight\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:8:\"expanded\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:505;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Show as expanded\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:164:\"If selected and this menu link has children, the menu will always appear expanded. This option may be overridden for the entire menu tree when placing a menu block.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:7:\"boolean\";s:6:\"weight\";i:0;}}s:4:\"form\";a:1:{s:7:\"options\";a:2:{s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:0;}}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:8:\"expanded\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:6:\"parent\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:549;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Parent plugin ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:94:\"The ID of the parent menu link plugin, or empty string when at the top level of the hierarchy.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:6:\"parent\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:7:\"changed\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"changed\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:574;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:changed\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Changed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:44:\"The time that the menu link was last edited.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:16:\"default_langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:598;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Default translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:58:\"A flag indicating whether this is the default translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:16:\"default_langcode\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:16:\"revision_default\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:633;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Default revision\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"A flag indicating whether this was a default revision when it was saved.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:16:\"storage_required\";b:1;s:8:\"internal\";b:1;s:12:\"translatable\";b:0;s:12:\"revisionable\";b:1;s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:16:\"revision_default\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:29:\"revision_translation_affected\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:667;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Revision translation affected\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"Indicates if the last edit of a translation belongs to current revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:29:\"revision_translation_affected\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}}',-1,1636011226.818,1,'entity_field_info entity_types','140'),('entity_base_field_definitions:node:en','a:24:{s:3:\"nid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:2;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:3:\"nid\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:27;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}}s:3:\"vid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:49;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Revision ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:3:\"vid\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:74;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"display\";a:2:{s:4:\"view\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;}s:12:\"configurable\";b:1;}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}}s:4:\"type\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:104;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:9:\"node_type\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";s:12:\"Content type\";s:8:\"required\";b:1;s:9:\"read-only\";b:1;s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:4:\"type\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}}s:18:\"revision_timestamp\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"created\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:124;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:created\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Revision create time\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"The time that the current revision was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:18:\"revision_timestamp\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}}s:12:\"revision_uid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:147;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:4:\"user\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Revision user\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:50:\"The user ID of the author of the current revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:12:\"revision_uid\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}}s:12:\"revision_log\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:173;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:22:\"field_item:string_long\";s:8:\"settings\";a:1:{s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Revision log message\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:43:\"Briefly describe the changes you have made.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:0:\"\";}}s:7:\"display\";a:1:{s:4:\"form\";a:1:{s:7:\"options\";a:3:{s:4:\"type\";s:15:\"string_textarea\";s:6:\"weight\";i:25;s:8:\"settings\";a:1:{s:4:\"rows\";i:4;}}}}s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:12:\"revision_log\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}}s:6:\"status\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:207;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Published\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:3:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:120;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}}s:3:\"uid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:246;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:4:\"user\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Authored by\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:22:\"default_value_callback\";s:46:\"Drupal\\node\\Entity\\Node::getDefaultEntityOwner\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"The username of the content author.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"author\";s:6:\"weight\";i:0;}}s:4:\"form\";a:2:{s:7:\"options\";a:3:{s:4:\"type\";s:29:\"entity_reference_autocomplete\";s:6:\"weight\";i:5;s:8:\"settings\";a:3:{s:14:\"match_operator\";s:8:\"CONTAINS\";s:4:\"size\";s:2:\"60\";s:11:\"placeholder\";s:0:\"\";}}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}}s:5:\"title\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:289;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Title\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"string\";s:6:\"weight\";i:-5;}}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:-5;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}}s:7:\"created\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"created\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:324;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:created\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Authored on\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"The time that the node was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:9:\"timestamp\";s:6:\"weight\";i:0;}}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:18:\"datetime_timestamp\";s:6:\"weight\";i:10;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}}s:7:\"changed\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"changed\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:359;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:changed\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Changed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:39:\"The time that the node was last edited.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}}s:7:\"promote\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:383;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"Promoted to front page\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:3:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:15;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:7:\"promote\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}}s:6:\"sticky\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:422;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"Sticky at top of lists\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:3:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:16;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:6:\"sticky\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}}s:16:\"default_langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:461;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Default translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:58:\"A flag indicating whether this is the default translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:16:\"default_langcode\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}}s:16:\"revision_default\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:496;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Default revision\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"A flag indicating whether this was a default revision when it was saved.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:16:\"storage_required\";b:1;s:8:\"internal\";b:1;s:12:\"translatable\";b:0;s:12:\"revisionable\";b:1;s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:16:\"revision_default\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}}s:29:\"revision_translation_affected\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:530;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Revision translation affected\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"Indicates if the last edit of a translation belongs to current revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:29:\"revision_translation_affected\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}}s:26:\"content_translation_source\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:563;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Translation source\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:60:\"The source language from which this translation was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:3:\"und\";}}s:13:\"initial_value\";a:1:{i:0;a:1:{s:5:\"value\";s:3:\"und\";}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:19:\"content_translation\";s:10:\"field_name\";s:26:\"content_translation_source\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}}s:28:\"content_translation_outdated\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:593;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Translation outdated\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:66:\"A boolean indicating whether this translation needs to be updated.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:13:\"initial_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:19:\"content_translation\";s:10:\"field_name\";s:28:\"content_translation_outdated\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}}s:10:\"node_class\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:631;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"CSS class(es)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:35;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:10:\"node_class\";s:10:\"field_name\";s:10:\"node_class\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}}s:13:\"mymodule_text\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:658;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"The text\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:34:\"A text property added by mymodule.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"computed\";b:1;s:8:\"provider\";s:10:\"node_class\";s:10:\"field_name\";s:13:\"mymodule_text\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}}s:4:\"path\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:4:\"path\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:684;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:path\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"URL alias\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:4:\"path\";s:6:\"weight\";i:30;}s:12:\"configurable\";b:1;}}s:8:\"computed\";b:1;s:8:\"provider\";s:4:\"path\";s:10:\"field_name\";s:4:\"path\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}}s:9:\"menu_link\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:710;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:17:\"menu_link_content\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:12:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Menu link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:68:\"Computed menu link for the node (only available during node saving).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:5:\"class\";s:35:\"\\Drupal\\token\\MenuLinkFieldItemList\";s:12:\"translatable\";b:1;s:8:\"internal\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:2:{s:5:\"label\";s:6:\"hidden\";s:6:\"region\";s:6:\"hidden\";}}s:4:\"form\";a:1:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}}}s:8:\"computed\";b:1;s:8:\"provider\";s:5:\"token\";s:10:\"field_name\";s:9:\"menu_link\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}}}',-1,1636011226.733,1,'entity_field_info entity_types','140'),('entity_base_field_definitions:path_alias:en','a:8:{s:2:\"id\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:2;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:10:\"path_alias\";s:10:\"field_name\";s:2:\"id\";s:11:\"entity_type\";s:10:\"path_alias\";s:6:\"bundle\";N;}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:27;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:10:\"path_alias\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:10:\"path_alias\";s:6:\"bundle\";N;}}s:11:\"revision_id\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:49;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Revision ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:10:\"path_alias\";s:10:\"field_name\";s:11:\"revision_id\";s:11:\"entity_type\";s:10:\"path_alias\";s:6:\"bundle\";N;}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:74;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"display\";a:2:{s:4:\"view\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}s:4:\"form\";a:2:{s:7:\"options\";a:3:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:0;s:8:\"settings\";a:1:{s:14:\"include_locked\";b:0;}}s:12:\"configurable\";b:1;}}s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:3:\"und\";}}s:8:\"provider\";s:10:\"path_alias\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:10:\"path_alias\";s:6:\"bundle\";N;}}s:4:\"path\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:108;s:13:\"\0*\0definition\";a:3:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}s:11:\"constraints\";a:1:{s:11:\"ComplexData\";a:1:{s:5:\"value\";a:2:{s:9:\"ValidPath\";a:0:{}s:5:\"Regex\";a:2:{s:7:\"pattern\";s:6:\"/^\\//i\";s:7:\"message\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:42:\"The source path has to start with a slash.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"System path\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:36:\"The path that this alias belongs to.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:12:\"revisionable\";b:1;s:8:\"provider\";s:10:\"path_alias\";s:10:\"field_name\";s:4:\"path\";s:11:\"entity_type\";s:10:\"path_alias\";s:6:\"bundle\";N;s:7:\"display\";a:1:{s:4:\"form\";a:1:{s:7:\"options\";a:3:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:5;s:8:\"settings\";a:1:{s:4:\"size\";i:45;}}}}}}s:5:\"alias\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:152;s:13:\"\0*\0definition\";a:3:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}s:11:\"constraints\";a:1:{s:11:\"ComplexData\";a:1:{s:5:\"value\";a:1:{s:5:\"Regex\";a:2:{s:7:\"pattern\";s:6:\"/^\\//i\";s:7:\"message\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:41:\"The alias path has to start with a slash.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"URL alias\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"An alias used with this path.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:12:\"revisionable\";b:1;s:8:\"provider\";s:10:\"path_alias\";s:10:\"field_name\";s:5:\"alias\";s:11:\"entity_type\";s:10:\"path_alias\";s:6:\"bundle\";N;s:7:\"display\";a:1:{s:4:\"form\";a:1:{s:7:\"options\";a:3:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:10;s:8:\"settings\";a:1:{s:4:\"size\";i:45;}}}}}}s:6:\"status\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:195;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Published\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:10:\"path_alias\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:10:\"path_alias\";s:6:\"bundle\";N;}}s:16:\"revision_default\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:226;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Default revision\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"A flag indicating whether this was a default revision when it was saved.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:16:\"storage_required\";b:1;s:8:\"internal\";b:1;s:12:\"translatable\";b:0;s:12:\"revisionable\";b:1;s:8:\"provider\";s:10:\"path_alias\";s:10:\"field_name\";s:16:\"revision_default\";s:11:\"entity_type\";s:10:\"path_alias\";s:6:\"bundle\";N;}}}',-1,1636011226.776,1,'entity_field_info entity_types','140'),('entity_base_field_definitions:shortcut:en','a:8:{s:2:\"id\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:2;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"The ID of the shortcut.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:8:\"shortcut\";s:10:\"field_name\";s:2:\"id\";s:11:\"entity_type\";s:8:\"shortcut\";s:6:\"bundle\";N;}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:31;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"The UUID of the shortcut.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:8:\"shortcut\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:8:\"shortcut\";s:6:\"bundle\";N;}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:57;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"display\";a:2:{s:4:\"view\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;}s:12:\"configurable\";b:1;}}s:12:\"translatable\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:34:\"The language code of the shortcut.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:8:\"shortcut\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:8:\"shortcut\";s:6:\"bundle\";N;}}s:12:\"shortcut_set\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:90;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:12:\"shortcut_set\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Shortcut set\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:9:\"read-only\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:27:\"The bundle of the shortcut.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:8:\"shortcut\";s:10:\"field_name\";s:12:\"shortcut_set\";s:11:\"entity_type\";s:8:\"shortcut\";s:6:\"bundle\";N;}}s:5:\"title\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:117;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"The name of the shortcut.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:12:\"translatable\";b:1;s:7:\"display\";a:1:{s:4:\"form\";a:1:{s:7:\"options\";a:3:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:-10;s:8:\"settings\";a:1:{s:4:\"size\";i:40;}}}}s:8:\"provider\";s:8:\"shortcut\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:8:\"shortcut\";s:6:\"bundle\";N;}}s:6:\"weight\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:151;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:0;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Weight\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:48:\"Weight among shortcuts in the same shortcut set.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:8:\"shortcut\";s:10:\"field_name\";s:6:\"weight\";s:11:\"entity_type\";s:8:\"shortcut\";s:6:\"bundle\";N;}}s:4:\"link\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:4:\"link\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:179;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:link\";s:8:\"settings\";a:2:{s:5:\"title\";i:0;s:9:\"link_type\";i:1;}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Path\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:37:\"The location this shortcut points to.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:12:\"link_default\";s:6:\"weight\";i:0;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:8:\"shortcut\";s:10:\"field_name\";s:4:\"link\";s:11:\"entity_type\";s:8:\"shortcut\";s:6:\"bundle\";N;}}s:16:\"default_langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:210;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Default translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:58:\"A flag indicating whether this is the default translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:8:\"shortcut\";s:10:\"field_name\";s:16:\"default_langcode\";s:11:\"entity_type\";s:8:\"shortcut\";s:6:\"bundle\";N;}}}',-1,1636011226.785,1,'entity_field_info entity_types','140'),('entity_base_field_definitions:simplenews_subscriber:en','a:8:{s:2:\"id\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:2;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Subscriber ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:34:\"Primary key: Unique subscriber ID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:10:\"simplenews\";s:10:\"field_name\";s:2:\"id\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";N;}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:31;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"The subscriber UUID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:10:\"simplenews\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";N;}}s:6:\"status\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:57;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Status\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:48:\"Boolean indicating the status of the subscriber.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:10:\"simplenews\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";N;}}s:4:\"mail\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:5:\"email\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:90;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:16:\"field_item:email\";s:8:\"settings\";a:1:{s:13:\"default_value\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Email\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"The subscriber\'s email address.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:3:{s:4:\"type\";s:13:\"email_default\";s:8:\"settings\";a:0:{}s:6:\"weight\";i:5;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:10:\"simplenews\";s:10:\"field_name\";s:4:\"mail\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";N;}}s:3:\"uid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:121;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:4:\"user\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"User\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"The corresponding user.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:10:\"simplenews\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";N;}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:146;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:36:\"The subscriber\'s preferred language.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:10:\"simplenews\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";N;}}s:7:\"changes\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:168;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:22:\"field_item:string_long\";s:8:\"settings\";a:1:{s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Changes\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:44:\"Contains the requested subscription changes.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:10:\"simplenews\";s:10:\"field_name\";s:7:\"changes\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";N;}}s:7:\"created\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"created\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:191;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:created\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Created\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:41:\"The time that the subscriber was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:10:\"simplenews\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";N;}}}',-1,1636011226.799,1,'entity_field_info entity_types','140'),('entity_base_field_definitions:taxonomy_term:en','a:22:{s:3:\"tid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:2;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Term ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"The term ID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:3:\"tid\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:31;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"The term UUID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:11:\"revision_id\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:57;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Revision ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:11:\"revision_id\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:82;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"display\";a:2:{s:4:\"view\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;}s:12:\"configurable\";b:1;}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"The term language code.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:3:\"vid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:116;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:19:\"taxonomy_vocabulary\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Vocabulary\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:9:\"read-only\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"The vocabulary to which the term is assigned.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:3:\"vid\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:16:\"revision_created\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"created\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:143;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:created\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Revision create time\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"The time that the current revision was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:16:\"revision_created\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:13:\"revision_user\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:166;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:4:\"user\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Revision user\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:50:\"The user ID of the author of the current revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:13:\"revision_user\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:20:\"revision_log_message\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:192;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:22:\"field_item:string_long\";s:8:\"settings\";a:1:{s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Revision log message\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:43:\"Briefly describe the changes you have made.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:0:\"\";}}s:7:\"display\";a:1:{s:4:\"form\";a:1:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}}}s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:20:\"revision_log_message\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:6:\"status\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:223;s:13:\"\0*\0definition\";a:3:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:5:\"class\";s:22:\"Drupal\\user\\StatusItem\";}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Published\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:3:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:100;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:4:\"name\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:263;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:8:\"required\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"string\";s:6:\"weight\";i:-5;}}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:-5;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:4:\"name\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:11:\"description\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:9:\"text_long\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:298;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:20:\"field_item:text_long\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Description\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:2:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;}s:12:\"configurable\";b:1;}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:14:\"text_textfield\";s:6:\"weight\";i:0;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:11:\"description\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:6:\"weight\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:330;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:0;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Weight\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:51:\"The weight of this term in relation to other terms.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:6:\"weight\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:6:\"parent\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:361;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:13:\"taxonomy_term\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Term Parents\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"The parents of this term.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"cardinality\";i:-1;s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:6:\"parent\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:7:\"changed\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"changed\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:387;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:changed\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Changed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:39:\"The time that the term was last edited.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:16:\"default_langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:411;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Default translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:58:\"A flag indicating whether this is the default translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:16:\"default_langcode\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:16:\"revision_default\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:446;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Default revision\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"A flag indicating whether this was a default revision when it was saved.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:16:\"storage_required\";b:1;s:8:\"internal\";b:1;s:12:\"translatable\";b:0;s:12:\"revisionable\";b:1;s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:16:\"revision_default\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:29:\"revision_translation_affected\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:480;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Revision translation affected\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"Indicates if the last edit of a translation belongs to current revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:29:\"revision_translation_affected\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:26:\"content_translation_source\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:513;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Translation source\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:60:\"The source language from which this translation was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:3:\"und\";}}s:13:\"initial_value\";a:1:{i:0;a:1:{s:5:\"value\";s:3:\"und\";}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:19:\"content_translation\";s:10:\"field_name\";s:26:\"content_translation_source\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:28:\"content_translation_outdated\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:543;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Translation outdated\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:66:\"A boolean indicating whether this translation needs to be updated.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:13:\"initial_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:19:\"content_translation\";s:10:\"field_name\";s:28:\"content_translation_outdated\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:23:\"content_translation_uid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:581;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:4:\"user\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Translation author\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"The author of this translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:22:\"default_value_callback\";s:57:\"Drupal\\taxonomy\\TermTranslationHandler::getDefaultOwnerId\";s:12:\"translatable\";b:1;s:8:\"provider\";s:19:\"content_translation\";s:10:\"field_name\";s:23:\"content_translation_uid\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:27:\"content_translation_created\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"created\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:609;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:created\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Translation created time\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"The Unix timestamp when the translation was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:19:\"content_translation\";s:10:\"field_name\";s:27:\"content_translation_created\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:4:\"path\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:4:\"path\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:633;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:path\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"URL alias\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:4:\"path\";s:6:\"weight\";i:30;}s:12:\"configurable\";b:1;}}s:8:\"computed\";b:1;s:8:\"provider\";s:4:\"path\";s:10:\"field_name\";s:4:\"path\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}}',-1,1636011226.804,1,'entity_field_info entity_types','140'),('entity_base_field_definitions:user:en','a:23:{s:3:\"uid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:2;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"User ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"The user ID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:31;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"The user UUID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:57;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Language code\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"display\";a:2:{s:4:\"view\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}s:4:\"form\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}}s:12:\"translatable\";b:1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"The user language code.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:18:\"preferred_langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:89;s:13:\"\0*\0definition\";a:3:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}s:11:\"constraints\";a:1:{s:11:\"ComplexData\";a:1:{s:5:\"value\";a:2:{s:13:\"AllowedValues\";a:1:{s:8:\"callback\";s:60:\"Drupal\\user\\Entity\\User::getAllowedConfigurableLanguageCodes\";}s:6:\"Length\";a:1:{s:3:\"max\";i:12;}}}}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"Preferred language code\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:77:\"The user\'s preferred language code for receiving emails and viewing the site.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:18:\"preferred_langcode\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:24:\"preferred_admin_langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:118;s:13:\"\0*\0definition\";a:3:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}s:11:\"constraints\";a:1:{s:11:\"ComplexData\";a:1:{s:5:\"value\";a:2:{s:13:\"AllowedValues\";a:1:{s:8:\"callback\";s:60:\"Drupal\\user\\Entity\\User::getAllowedConfigurableLanguageCodes\";}s:6:\"Length\";a:1:{s:3:\"max\";i:12;}}}}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Preferred admin language code\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:68:\"The user\'s preferred language code for viewing administration pages.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";N;}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:24:\"preferred_admin_langcode\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:4:\"name\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:150;s:13:\"\0*\0definition\";a:3:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}s:5:\"class\";s:25:\"\\Drupal\\user\\UserNameItem\";}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"The name of this user.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:11:\"constraints\";a:2:{s:8:\"UserName\";a:0:{}s:14:\"UserNameUnique\";a:0:{}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:4:\"name\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:4:\"pass\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:8:\"password\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:180;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:password\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Password\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"The password of this user (hashed).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:18:\"ProtectedUserField\";N;}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:4:\"pass\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:4:\"mail\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:5:\"email\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:207;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:16:\"field_item:email\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Email\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"The email of this user.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:0:\"\";}}s:11:\"constraints\";a:3:{s:14:\"UserMailUnique\";N;s:16:\"UserMailRequired\";N;s:18:\"ProtectedUserField\";N;}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:4:\"mail\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:8:\"timezone\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:236;s:13:\"\0*\0definition\";a:4:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:32;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}s:11:\"constraints\";a:1:{s:11:\"ComplexData\";a:1:{s:5:\"value\";a:1:{s:13:\"AllowedValues\";a:1:{s:8:\"callback\";s:44:\"Drupal\\user\\Entity\\User::getAllowedTimezones\";}}}}s:5:\"class\";s:24:\"Drupal\\user\\TimeZoneItem\";}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Timezone\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"The timezone of this user.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:8:\"timezone\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:6:\"status\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:267;s:13:\"\0*\0definition\";a:3:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:5:\"class\";s:22:\"Drupal\\user\\StatusItem\";}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"User status\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:38:\"Whether the user is active or blocked.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:7:\"created\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"created\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:301;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:created\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Created\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"The time that the user was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:7:\"changed\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"changed\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:323;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:changed\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Changed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:39:\"The time that the user was last edited.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:6:\"access\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:9:\"timestamp\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:346;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:20:\"field_item:timestamp\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Last access\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"The time that the user last accessed the site.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:6:\"access\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:5:\"login\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:9:\"timestamp\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:371;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:20:\"field_item:timestamp\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Last login\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:38:\"The time that the user last logged in.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:5:\"login\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:4:\"init\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:5:\"email\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:396;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:16:\"field_item:email\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Initial email\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"The email address used for initial account creation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:0:\"\";}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:4:\"init\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:5:\"roles\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:421;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:9:\"user_role\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Roles\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"cardinality\";i:-1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"The roles the user has.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:5:\"roles\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:16:\"default_langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:447;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Default translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:58:\"A flag indicating whether this is the default translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:16:\"default_langcode\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:26:\"content_translation_source\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:482;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Translation source\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:60:\"The source language from which this translation was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:3:\"und\";}}s:13:\"initial_value\";a:1:{i:0;a:1:{s:5:\"value\";s:3:\"und\";}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:19:\"content_translation\";s:10:\"field_name\";s:26:\"content_translation_source\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:28:\"content_translation_outdated\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:512;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Translation outdated\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:66:\"A boolean indicating whether this translation needs to be updated.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:13:\"initial_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:19:\"content_translation\";s:10:\"field_name\";s:28:\"content_translation_outdated\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:23:\"content_translation_uid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:550;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:4:\"user\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Translation author\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"The author of this translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:22:\"default_value_callback\";s:56:\"Drupal\\user\\ProfileTranslationHandler::getDefaultOwnerId\";s:12:\"translatable\";b:1;s:8:\"provider\";s:19:\"content_translation\";s:10:\"field_name\";s:23:\"content_translation_uid\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:26:\"content_translation_status\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:578;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Translation status\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:75:\"A boolean indicating whether the translation is visible to non-translators.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:13:\"initial_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:19:\"content_translation\";s:10:\"field_name\";s:26:\"content_translation_status\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:27:\"content_translation_created\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"created\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:616;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:created\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Translation created time\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"The Unix timestamp when the translation was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:19:\"content_translation\";s:10:\"field_name\";s:27:\"content_translation_created\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:4:\"path\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:4:\"path\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:640;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:path\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:9:{s:14:\"custom_storage\";b:1;s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"URL alias\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"computed\";b:1;s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:4:\"path\";s:6:\"weight\";i:30;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:8:\"pathauto\";s:10:\"field_name\";s:4:\"path\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}}',-1,1636011226.677,1,'entity_field_info entity_types','140'),('entity_bundle_extra_fields:block_content:basic:en','a:2:{s:4:\"form\";a:0:{}s:7:\"display\";a:0:{}}',-1,1636012251.268,1,'entity_field_info','56'),('entity_bundle_extra_fields:simplenews_subscriber:simplenews_subscriber:en','a:2:{s:4:\"form\";a:0:{}s:7:\"display\";a:0:{}}',-1,1636012251.223,1,'entity_field_info','56'),('entity_bundle_extra_fields:user:user:en','a:2:{s:4:\"form\";a:6:{s:7:\"contact\";a:3:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Contact settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:28:\"Contact module form element.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"weight\";i:5;}s:11:\"translation\";a:3:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Translation settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"weight\";i:10;}s:10:\"simplenews\";a:3:{s:5:\"label\";s:11:\"Newsletters\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:36:\"Newsletter subscriptions of the user\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"weight\";i:5;}s:7:\"account\";a:3:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"User name and password\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:34:\"User module account form elements.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"weight\";i:-10;}s:8:\"language\";a:3:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Language settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"User module form element.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"weight\";i:0;}s:8:\"timezone\";a:3:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Timezone\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:27:\"System module form element.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"weight\";i:6;}}s:7:\"display\";a:2:{s:10:\"simplenews\";a:4:{s:5:\"label\";s:11:\"Newsletters\";s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:36:\"Newsletter subscriptions of the user\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"weight\";i:30;s:7:\"visible\";b:0;}s:10:\"member_for\";a:3:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Member for\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:38:\"User module \'member for\' view element.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"weight\";i:5;}}}',-1,1636711421.255,1,'entity_field_info','56'),('entity_bundle_field_definitions:block_content:basic:en','a:3:{s:4:\"info\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:24:\"block_content.basic.info\";s:13:\"\0*\0field_name\";s:4:\"info\";s:13:\"\0*\0field_type\";s:6:\"string\";s:14:\"\0*\0entity_type\";s:13:\"block_content\";s:9:\"\0*\0bundle\";s:5:\"basic\";s:8:\"\0*\0label\";s:17:\"Block description\";s:14:\"\0*\0description\";s:34:\"A brief description of your block.\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:1;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:24:\"block_content.basic.info\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"18bc6ab1-fdd2-4936-8aa5-e27b18bb0b02\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:24:\"block_content.type.basic\";}}s:12:\"\0*\0isSyncing\";b:0;}s:7:\"changed\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:27:\"block_content.basic.changed\";s:13:\"\0*\0field_name\";s:7:\"changed\";s:13:\"\0*\0field_type\";s:7:\"changed\";s:14:\"\0*\0entity_type\";s:13:\"block_content\";s:9:\"\0*\0bundle\";s:5:\"basic\";s:8:\"\0*\0label\";s:7:\"Changed\";s:14:\"\0*\0description\";s:47:\"The time that the custom block was last edited.\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:27:\"block_content.basic.changed\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"0888b0af-dbb3-4b71-abaa-90394adaef39\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:24:\"block_content.type.basic\";}}s:12:\"\0*\0isSyncing\";b:0;}s:4:\"body\";O:31:\"Drupal\\field\\Entity\\FieldConfig\":32:{s:10:\"\0*\0deleted\";b:0;s:5:\"\0*\0id\";s:24:\"block_content.basic.body\";s:13:\"\0*\0field_name\";s:4:\"body\";s:13:\"\0*\0field_type\";s:17:\"text_with_summary\";s:14:\"\0*\0entity_type\";s:13:\"block_content\";s:9:\"\0*\0bundle\";s:5:\"basic\";s:8:\"\0*\0label\";s:4:\"Body\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:2:{s:15:\"display_summary\";b:0;s:16:\"required_summary\";b:0;}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:24:\"block_content.basic.body\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"617fc148-b825-49eb-a0f8-1c795ecd7ea6\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:1:{s:19:\"default_config_hash\";s:43:\"R__6wc-rMfFMO8d7jcgqnqiA92j8spKhcc5MiqecrMc\";}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:12:\"field_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:24:\"block_content.type.basic\";i:1;s:32:\"field.storage.block_content.body\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:12:\"\0*\0isSyncing\";b:0;}}',-1,1636011226.949,1,'entity_field_info entity_types','140'),('entity_bundle_field_definitions:comment:comment:en','a:11:{s:9:\"entity_id\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:2;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:4:\"node\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Entity ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:54:\"The ID of the entity of which this comment is a reply.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:9:\"entity_id\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:7:\"comment\";}}s:6:\"status\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:22:\"comment.comment.status\";s:13:\"\0*\0field_name\";s:6:\"status\";s:13:\"\0*\0field_type\";s:7:\"boolean\";s:14:\"\0*\0entity_type\";s:7:\"comment\";s:9:\"\0*\0bundle\";s:7:\"comment\";s:8:\"\0*\0label\";s:17:\"Publishing status\";s:14:\"\0*\0description\";s:54:\"A boolean indicating whether the comment is published.\";s:11:\"\0*\0settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:1;}}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:22:\"comment.comment.status\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"9d25da66-fbf5-4c9f-9e8b-0497951dbdf1\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:20:\"comment.type.comment\";}}s:12:\"\0*\0isSyncing\";b:0;}s:3:\"uid\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:19:\"comment.comment.uid\";s:13:\"\0*\0field_name\";s:3:\"uid\";s:13:\"\0*\0field_type\";s:16:\"entity_reference\";s:14:\"\0*\0entity_type\";s:7:\"comment\";s:9:\"\0*\0bundle\";s:7:\"comment\";s:8:\"\0*\0label\";s:7:\"User ID\";s:14:\"\0*\0description\";s:34:\"The user ID of the comment author.\";s:11:\"\0*\0settings\";a:2:{s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:1:{i:0;a:1:{s:9:\"target_id\";s:1:\"0\";}}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:19:\"comment.comment.uid\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"56886831-90f5-4917-9d74-1b57755cfe84\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:20:\"comment.type.comment\";}}s:12:\"\0*\0isSyncing\";b:0;}s:7:\"subject\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:23:\"comment.comment.subject\";s:13:\"\0*\0field_name\";s:7:\"subject\";s:13:\"\0*\0field_type\";s:6:\"string\";s:14:\"\0*\0entity_type\";s:7:\"comment\";s:9:\"\0*\0bundle\";s:7:\"comment\";s:8:\"\0*\0label\";s:7:\"Subject\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:23:\"comment.comment.subject\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"5037bb2a-67ff-453c-b3d7-04434719a5bc\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:20:\"comment.type.comment\";}}s:12:\"\0*\0isSyncing\";b:0;}s:4:\"name\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:20:\"comment.comment.name\";s:13:\"\0*\0field_name\";s:4:\"name\";s:13:\"\0*\0field_type\";s:6:\"string\";s:14:\"\0*\0entity_type\";s:7:\"comment\";s:9:\"\0*\0bundle\";s:7:\"comment\";s:8:\"\0*\0label\";s:4:\"Name\";s:14:\"\0*\0description\";s:26:\"The comment author\'s name.\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:0:\"\";}}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:20:\"comment.comment.name\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"5ad9bc80-cd2f-4631-90bc-a7e34096603a\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:20:\"comment.type.comment\";}}s:12:\"\0*\0isSyncing\";b:0;}s:4:\"mail\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:20:\"comment.comment.mail\";s:13:\"\0*\0field_name\";s:4:\"mail\";s:13:\"\0*\0field_type\";s:5:\"email\";s:14:\"\0*\0entity_type\";s:7:\"comment\";s:9:\"\0*\0bundle\";s:7:\"comment\";s:8:\"\0*\0label\";s:5:\"Email\";s:14:\"\0*\0description\";s:35:\"The comment author\'s email address.\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:20:\"comment.comment.mail\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"8c5f47a9-627b-4cb5-b23e-b3959664f40b\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:20:\"comment.type.comment\";}}s:12:\"\0*\0isSyncing\";b:0;}s:8:\"homepage\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:24:\"comment.comment.homepage\";s:13:\"\0*\0field_name\";s:8:\"homepage\";s:13:\"\0*\0field_type\";s:3:\"uri\";s:14:\"\0*\0entity_type\";s:7:\"comment\";s:9:\"\0*\0bundle\";s:7:\"comment\";s:8:\"\0*\0label\";s:8:\"Homepage\";s:14:\"\0*\0description\";s:39:\"The comment author\'s home page address.\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:24:\"comment.comment.homepage\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"26471f53-b64c-47c7-b472-3420407e1022\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:20:\"comment.type.comment\";}}s:12:\"\0*\0isSyncing\";b:0;}s:8:\"hostname\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:24:\"comment.comment.hostname\";s:13:\"\0*\0field_name\";s:8:\"hostname\";s:13:\"\0*\0field_type\";s:6:\"string\";s:14:\"\0*\0entity_type\";s:7:\"comment\";s:9:\"\0*\0bundle\";s:7:\"comment\";s:8:\"\0*\0label\";s:8:\"Hostname\";s:14:\"\0*\0description\";s:30:\"The comment author\'s hostname.\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:24:\"comment.comment.hostname\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"470f6eb9-33d7-4dd5-a755-7a002ae82f36\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:20:\"comment.type.comment\";}}s:12:\"\0*\0isSyncing\";b:0;}s:7:\"created\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:23:\"comment.comment.created\";s:13:\"\0*\0field_name\";s:7:\"created\";s:13:\"\0*\0field_type\";s:7:\"created\";s:14:\"\0*\0entity_type\";s:7:\"comment\";s:9:\"\0*\0bundle\";s:7:\"comment\";s:8:\"\0*\0label\";s:7:\"Created\";s:14:\"\0*\0description\";s:38:\"The time that the comment was created.\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:23:\"comment.comment.created\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"452b5a60-9b36-4c1b-969d-ca3ec80d8f05\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:20:\"comment.type.comment\";}}s:12:\"\0*\0isSyncing\";b:0;}s:7:\"changed\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:23:\"comment.comment.changed\";s:13:\"\0*\0field_name\";s:7:\"changed\";s:13:\"\0*\0field_type\";s:7:\"changed\";s:14:\"\0*\0entity_type\";s:7:\"comment\";s:9:\"\0*\0bundle\";s:7:\"comment\";s:8:\"\0*\0label\";s:7:\"Changed\";s:14:\"\0*\0description\";s:42:\"The time that the comment was last edited.\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:23:\"comment.comment.changed\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"998839ab-612e-4fea-8154-f1ea85492f8a\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:20:\"comment.type.comment\";}}s:12:\"\0*\0isSyncing\";b:0;}s:12:\"comment_body\";O:31:\"Drupal\\field\\Entity\\FieldConfig\":32:{s:10:\"\0*\0deleted\";b:0;s:5:\"\0*\0id\";s:28:\"comment.comment.comment_body\";s:13:\"\0*\0field_name\";s:12:\"comment_body\";s:13:\"\0*\0field_type\";s:9:\"text_long\";s:14:\"\0*\0entity_type\";s:7:\"comment\";s:9:\"\0*\0bundle\";s:7:\"comment\";s:8:\"\0*\0label\";s:7:\"Comment\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:1;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:28:\"comment.comment.comment_body\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"963c436d-85aa-4b14-97bc-05d7813594bc\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:1:{s:19:\"default_config_hash\";s:43:\"TmAKjNrJ7RR60YpqvJq_QqEewYe_S8Kd23n8VRCqiWs\";}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:12:\"field_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:20:\"comment.type.comment\";i:1;s:34:\"field.storage.comment.comment_body\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:12:\"\0*\0isSyncing\";b:0;}}',-1,1636011226.971,1,'entity_field_info entity_types','140'),('entity_bundle_field_definitions:contact_message:feedback:en','a:0:{}',-1,1637057230.678,1,'entity_field_info entity_types','140'),('entity_bundle_field_definitions:contact_message:personal:en','a:0:{}',-1,1637057230.688,1,'entity_field_info entity_types','140'),('entity_bundle_field_definitions:file:file:en','a:0:{}',-1,1636012249.763,1,'entity_field_info entity_types','140'),('entity_bundle_field_definitions:menu_link_content:menu_link_content:en','a:3:{s:5:\"title\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:41:\"menu_link_content.menu_link_content.title\";s:13:\"\0*\0field_name\";s:5:\"title\";s:13:\"\0*\0field_type\";s:6:\"string\";s:14:\"\0*\0entity_type\";s:17:\"menu_link_content\";s:9:\"\0*\0bundle\";s:17:\"menu_link_content\";s:8:\"\0*\0label\";s:15:\"Menu link title\";s:14:\"\0*\0description\";s:46:\"The text to be used for this link in the menu.\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:1;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:41:\"menu_link_content.menu_link_content.title\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"72d3717c-caa5-4c4d-a4cc-4561fcace5b2\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"menu_link_content\";}}s:12:\"\0*\0isSyncing\";b:0;}s:11:\"description\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:47:\"menu_link_content.menu_link_content.description\";s:13:\"\0*\0field_name\";s:11:\"description\";s:13:\"\0*\0field_type\";s:6:\"string\";s:14:\"\0*\0entity_type\";s:17:\"menu_link_content\";s:9:\"\0*\0bundle\";s:17:\"menu_link_content\";s:8:\"\0*\0label\";s:11:\"Description\";s:14:\"\0*\0description\";s:39:\"Shown when hovering over the menu link.\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:47:\"menu_link_content.menu_link_content.description\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"3b2dc857-4d58-4731-8643-9154cde95748\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"menu_link_content\";}}s:12:\"\0*\0isSyncing\";b:0;}s:7:\"changed\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:43:\"menu_link_content.menu_link_content.changed\";s:13:\"\0*\0field_name\";s:7:\"changed\";s:13:\"\0*\0field_type\";s:7:\"changed\";s:14:\"\0*\0entity_type\";s:17:\"menu_link_content\";s:9:\"\0*\0bundle\";s:17:\"menu_link_content\";s:8:\"\0*\0label\";s:7:\"Changed\";s:14:\"\0*\0description\";s:44:\"The time that the menu link was last edited.\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:43:\"menu_link_content.menu_link_content.changed\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"be96a82e-4241-478e-8c65-7c7051a3e35f\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"menu_link_content\";}}s:12:\"\0*\0isSyncing\";b:0;}}',-1,1636011228.217,1,'entity_field_info entity_types','140'),('entity_bundle_field_definitions:node:article:en','a:6:{s:4:\"body\";O:31:\"Drupal\\field\\Entity\\FieldConfig\":32:{s:10:\"\0*\0deleted\";b:0;s:5:\"\0*\0id\";s:17:\"node.article.body\";s:13:\"\0*\0field_name\";s:4:\"body\";s:13:\"\0*\0field_type\";s:17:\"text_with_summary\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:7:\"article\";s:8:\"\0*\0label\";s:4:\"Body\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:2:{s:15:\"display_summary\";b:1;s:16:\"required_summary\";b:0;}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:1;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:17:\"node.article.body\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"8535255e-3824-4bb3-9164-fba7825bdb3b\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:1:{s:19:\"default_config_hash\";s:43:\"Ay3b2hq42cpQTFB_lNu8S2ZxuVIY6-dlBsc7vLeJ-YY\";}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:12:\"field_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:23:\"field.storage.node.body\";i:1;s:17:\"node.type.article\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:12:\"\0*\0isSyncing\";b:0;}s:7:\"comment\";O:31:\"Drupal\\field\\Entity\\FieldConfig\":32:{s:10:\"\0*\0deleted\";b:0;s:5:\"\0*\0id\";s:20:\"node.article.comment\";s:13:\"\0*\0field_name\";s:7:\"comment\";s:13:\"\0*\0field_type\";s:7:\"comment\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:7:\"article\";s:8:\"\0*\0label\";s:8:\"Comments\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:5:{s:12:\"default_mode\";i:1;s:8:\"per_page\";i:50;s:13:\"form_location\";b:1;s:9:\"anonymous\";i:0;s:7:\"preview\";i:1;}s:11:\"\0*\0required\";b:1;s:15:\"\0*\0translatable\";b:1;s:16:\"\0*\0default_value\";a:1:{i:0;a:6:{s:6:\"status\";i:2;s:3:\"cid\";i:0;s:17:\"last_comment_name\";N;s:22:\"last_comment_timestamp\";i:0;s:16:\"last_comment_uid\";i:0;s:13:\"comment_count\";i:0;}}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:20:\"node.article.comment\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"d022d48f-52dc-4609-8898-515da38879ec\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:1:{s:19:\"default_config_hash\";s:43:\"szSOp-8eNsMcuh8usDre1x76RhDKaPhNUuwzRX5cgv4\";}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:12:\"field_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:26:\"field.storage.node.comment\";i:1;s:17:\"node.type.article\";}s:6:\"module\";a:1:{i:0;s:7:\"comment\";}}s:12:\"\0*\0isSyncing\";b:0;}s:12:\"field_banner\";O:31:\"Drupal\\field\\Entity\\FieldConfig\":32:{s:10:\"\0*\0deleted\";b:0;s:5:\"\0*\0id\";s:25:\"node.article.field_banner\";s:13:\"\0*\0field_name\";s:12:\"field_banner\";s:13:\"\0*\0field_type\";s:5:\"image\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:7:\"article\";s:8:\"\0*\0label\";s:6:\"Banner\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:12:{s:14:\"file_directory\";s:12:\"field/banner\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:18:\"alt_field_required\";b:0;s:11:\"title_field\";b:1;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:1;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:25:\"node.article.field_banner\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"0d775f34-813a-4f1b-832e-e3ff7f10e6e0\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:16:\"translation_sync\";a:3:{s:3:\"alt\";s:3:\"alt\";s:5:\"title\";s:5:\"title\";s:4:\"file\";s:1:\"0\";}}}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:12:\"field_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:31:\"field.storage.node.field_banner\";i:1;s:17:\"node.type.article\";}s:6:\"module\";a:2:{i:0;s:19:\"content_translation\";i:1;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;}s:11:\"field_image\";O:31:\"Drupal\\field\\Entity\\FieldConfig\":32:{s:10:\"\0*\0deleted\";b:0;s:5:\"\0*\0id\";s:24:\"node.article.field_image\";s:13:\"\0*\0field_name\";s:11:\"field_image\";s:13:\"\0*\0field_type\";s:5:\"image\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:7:\"article\";s:8:\"\0*\0label\";s:5:\"Image\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:12:{s:14:\"file_directory\";s:31:\"[date:custom:Y]-[date:custom:m]\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:11:\"title_field\";b:0;s:18:\"alt_field_required\";b:1;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";N;s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:1;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:24:\"node.article.field_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"5cd96fc2-a268-4565-acbb-47d1d7a661dc\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:16:\"translation_sync\";a:3:{s:3:\"alt\";s:3:\"alt\";s:5:\"title\";s:5:\"title\";s:4:\"file\";s:1:\"0\";}}}s:8:\"\0*\0_core\";a:1:{s:19:\"default_config_hash\";s:43:\"tgJzhA7Swh4M_gWU5FwFe5lPxPj5rebpMbvhpdNrERs\";}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:12:\"field_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:30:\"field.storage.node.field_image\";i:1;s:17:\"node.type.article\";}s:6:\"module\";a:2:{i:0;s:19:\"content_translation\";i:1;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;}s:8:\"field_su\";O:31:\"Drupal\\field\\Entity\\FieldConfig\":32:{s:10:\"\0*\0deleted\";b:0;s:5:\"\0*\0id\";s:21:\"node.article.field_su\";s:13:\"\0*\0field_name\";s:8:\"field_su\";s:13:\"\0*\0field_type\";s:9:\"text_long\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:7:\"article\";s:8:\"\0*\0label\";s:7:\"Summary\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:1;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:21:\"node.article.field_su\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"838268ab-2a51-4c16-8fda-aea368e2c03b\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:12:\"field_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:27:\"field.storage.node.field_su\";i:1;s:17:\"node.type.article\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:12:\"\0*\0isSyncing\";b:0;}s:10:\"field_tags\";O:31:\"Drupal\\field\\Entity\\FieldConfig\":32:{s:10:\"\0*\0deleted\";b:0;s:5:\"\0*\0id\";s:23:\"node.article.field_tags\";s:13:\"\0*\0field_name\";s:10:\"field_tags\";s:13:\"\0*\0field_type\";s:16:\"entity_reference\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:7:\"article\";s:8:\"\0*\0label\";s:4:\"Tags\";s:14:\"\0*\0description\";s:84:\"Enter a comma-separated list. For example: Amsterdam, Mexico City, \"Cleveland, Ohio\"\";s:11:\"\0*\0settings\";a:2:{s:7:\"handler\";s:21:\"default:taxonomy_term\";s:16:\"handler_settings\";a:3:{s:14:\"target_bundles\";a:1:{s:4:\"tags\";s:4:\"tags\";}s:4:\"sort\";a:1:{s:5:\"field\";s:5:\"_none\";}s:11:\"auto_create\";b:1;}}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:1;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:23:\"node.article.field_tags\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"2db5574a-d8e5-4f25-89f8-bad82b3f89a4\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:1:{s:19:\"default_config_hash\";s:43:\"QdUgf_beeoaPiyKorFv0q1fcJpWH_uZTqe_xoVJacrw\";}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:12:\"field_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:3:{i:0;s:29:\"field.storage.node.field_tags\";i:1;s:17:\"node.type.article\";i:2;s:24:\"taxonomy.vocabulary.tags\";}}s:12:\"\0*\0isSyncing\";b:0;}}',-1,1636011227.093,1,'entity_field_info entity_types','140'),('entity_bundle_field_definitions:node:banner:en','a:11:{s:6:\"status\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:18:\"node.banner.status\";s:13:\"\0*\0field_name\";s:6:\"status\";s:13:\"\0*\0field_type\";s:7:\"boolean\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:6:\"banner\";s:8:\"\0*\0label\";s:17:\"Publishing status\";s:14:\"\0*\0description\";s:51:\"A boolean indicating whether the node is published.\";s:11:\"\0*\0settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:1;}}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:18:\"node.banner.status\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"03df651f-1fc3-40c9-8281-10b78dcb759b\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:16:\"node.type.banner\";}}s:12:\"\0*\0isSyncing\";b:0;}s:3:\"uid\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:15:\"node.banner.uid\";s:13:\"\0*\0field_name\";s:3:\"uid\";s:13:\"\0*\0field_type\";s:16:\"entity_reference\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:6:\"banner\";s:8:\"\0*\0label\";s:11:\"Authored by\";s:14:\"\0*\0description\";s:35:\"The username of the content author.\";s:11:\"\0*\0settings\";a:2:{s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:41:\"Drupal\\node\\Entity\\Node::getCurrentUserId\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:15:\"node.banner.uid\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"88fbb663-a777-4ac7-b6a1-2a95c007e5a5\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:16:\"node.type.banner\";}}s:12:\"\0*\0isSyncing\";b:0;}s:5:\"title\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:17:\"node.banner.title\";s:13:\"\0*\0field_name\";s:5:\"title\";s:13:\"\0*\0field_type\";s:6:\"string\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:6:\"banner\";s:8:\"\0*\0label\";s:5:\"Title\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:1;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:17:\"node.banner.title\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"bd27b94b-ae12-4cf4-90f8-b3df3d5a99e1\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:16:\"node.type.banner\";}}s:12:\"\0*\0isSyncing\";b:0;}s:7:\"created\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:19:\"node.banner.created\";s:13:\"\0*\0field_name\";s:7:\"created\";s:13:\"\0*\0field_type\";s:7:\"created\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:6:\"banner\";s:8:\"\0*\0label\";s:11:\"Authored on\";s:14:\"\0*\0description\";s:35:\"The time that the node was created.\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:19:\"node.banner.created\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"20d9bf7f-bba7-47ac-9ac5-55474739d526\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:16:\"node.type.banner\";}}s:12:\"\0*\0isSyncing\";b:0;}s:7:\"changed\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:19:\"node.banner.changed\";s:13:\"\0*\0field_name\";s:7:\"changed\";s:13:\"\0*\0field_type\";s:7:\"changed\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:6:\"banner\";s:8:\"\0*\0label\";s:7:\"Changed\";s:14:\"\0*\0description\";s:39:\"The time that the node was last edited.\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:19:\"node.banner.changed\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"7b729932-c723-44eb-badd-753875f0c626\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:16:\"node.type.banner\";}}s:12:\"\0*\0isSyncing\";b:0;}s:7:\"promote\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:19:\"node.banner.promote\";s:13:\"\0*\0field_name\";s:7:\"promote\";s:13:\"\0*\0field_type\";s:7:\"boolean\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:6:\"banner\";s:8:\"\0*\0label\";s:22:\"Promoted to front page\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:19:\"node.banner.promote\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"98ba52dc-faf3-4775-b80c-f6f50b94fdb7\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:16:\"node.type.banner\";}}s:12:\"\0*\0isSyncing\";b:0;}s:6:\"sticky\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:18:\"node.banner.sticky\";s:13:\"\0*\0field_name\";s:6:\"sticky\";s:13:\"\0*\0field_type\";s:7:\"boolean\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:6:\"banner\";s:8:\"\0*\0label\";s:22:\"Sticky at top of lists\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:18:\"node.banner.sticky\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"993f418a-f71d-48cf-b4c3-f43e7796eb7b\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:16:\"node.type.banner\";}}s:12:\"\0*\0isSyncing\";b:0;}s:4:\"body\";O:31:\"Drupal\\field\\Entity\\FieldConfig\":32:{s:10:\"\0*\0deleted\";b:0;s:5:\"\0*\0id\";s:16:\"node.banner.body\";s:13:\"\0*\0field_name\";s:4:\"body\";s:13:\"\0*\0field_type\";s:17:\"text_with_summary\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:6:\"banner\";s:8:\"\0*\0label\";s:17:\"Short description\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:2:{s:15:\"display_summary\";b:1;s:16:\"required_summary\";b:0;}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:16:\"node.banner.body\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"7ebb332b-5502-40e1-b3e7-69a45afe4b84\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:12:\"field_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:23:\"field.storage.node.body\";i:1;s:16:\"node.type.banner\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:12:\"\0*\0isSyncing\";b:0;}s:18:\"field_banner_title\";O:31:\"Drupal\\field\\Entity\\FieldConfig\":32:{s:10:\"\0*\0deleted\";b:0;s:5:\"\0*\0id\";s:30:\"node.banner.field_banner_title\";s:13:\"\0*\0field_name\";s:18:\"field_banner_title\";s:13:\"\0*\0field_type\";s:11:\"string_long\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:6:\"banner\";s:8:\"\0*\0label\";s:12:\"Banner title\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:1;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:30:\"node.banner.field_banner_title\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"3c51716a-2a87-4c86-baaf-bb758019980d\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:12:\"field_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:2:{i:0;s:37:\"field.storage.node.field_banner_title\";i:1;s:16:\"node.type.banner\";}}s:12:\"\0*\0isSyncing\";b:0;}s:11:\"field_image\";O:31:\"Drupal\\field\\Entity\\FieldConfig\":32:{s:10:\"\0*\0deleted\";b:0;s:5:\"\0*\0id\";s:23:\"node.banner.field_image\";s:13:\"\0*\0field_name\";s:11:\"field_image\";s:13:\"\0*\0field_type\";s:5:\"image\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:6:\"banner\";s:8:\"\0*\0label\";s:6:\"Banner\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:12:{s:14:\"file_directory\";s:12:\"field/banner\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:18:\"alt_field_required\";b:0;s:11:\"title_field\";b:1;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:23:\"node.banner.field_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"8099a257-5265-484c-90c8-eb10f94e5104\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:12:\"field_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:30:\"field.storage.node.field_image\";i:1;s:16:\"node.type.banner\";}s:6:\"module\";a:1:{i:0;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;}s:10:\"field_type\";O:31:\"Drupal\\field\\Entity\\FieldConfig\":32:{s:10:\"\0*\0deleted\";b:0;s:5:\"\0*\0id\";s:22:\"node.banner.field_type\";s:13:\"\0*\0field_name\";s:10:\"field_type\";s:13:\"\0*\0field_type\";s:11:\"list_string\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:6:\"banner\";s:8:\"\0*\0label\";s:4:\"Type\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:1;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:22:\"node.banner.field_type\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"f7f01996-237c-46f7-b3dc-8f5acec7245d\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:12:\"field_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:29:\"field.storage.node.field_type\";i:1;s:16:\"node.type.banner\";}s:6:\"module\";a:1:{i:0;s:7:\"options\";}}s:12:\"\0*\0isSyncing\";b:0;}}',-1,1636011227.115,1,'entity_field_info entity_types','140'),('entity_bundle_field_definitions:node:blog:en','a:13:{s:6:\"status\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:16:\"node.blog.status\";s:13:\"\0*\0field_name\";s:6:\"status\";s:13:\"\0*\0field_type\";s:7:\"boolean\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:4:\"blog\";s:8:\"\0*\0label\";s:17:\"Publishing status\";s:14:\"\0*\0description\";s:51:\"A boolean indicating whether the node is published.\";s:11:\"\0*\0settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:1;s:16:\"\0*\0default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:1;}}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:16:\"node.blog.status\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"c6327e7a-dc6e-46ec-952f-1b9efe453cac\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.blog\";}}s:12:\"\0*\0isSyncing\";b:0;}s:3:\"uid\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:13:\"node.blog.uid\";s:13:\"\0*\0field_name\";s:3:\"uid\";s:13:\"\0*\0field_type\";s:16:\"entity_reference\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:4:\"blog\";s:8:\"\0*\0label\";s:11:\"Authored by\";s:14:\"\0*\0description\";s:35:\"The username of the content author.\";s:11:\"\0*\0settings\";a:2:{s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:1;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:41:\"Drupal\\node\\Entity\\Node::getCurrentUserId\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:13:\"node.blog.uid\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"aee566d9-3688-4510-bfe7-373fd364993b\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.blog\";}}s:12:\"\0*\0isSyncing\";b:0;}s:5:\"title\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:15:\"node.blog.title\";s:13:\"\0*\0field_name\";s:5:\"title\";s:13:\"\0*\0field_type\";s:6:\"string\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:4:\"blog\";s:8:\"\0*\0label\";s:5:\"Title\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:1;s:15:\"\0*\0translatable\";b:1;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:15:\"node.blog.title\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"a44832a3-1c61-499d-809f-36628b926d57\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.blog\";}}s:12:\"\0*\0isSyncing\";b:0;}s:7:\"created\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:17:\"node.blog.created\";s:13:\"\0*\0field_name\";s:7:\"created\";s:13:\"\0*\0field_type\";s:7:\"created\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:4:\"blog\";s:8:\"\0*\0label\";s:11:\"Authored on\";s:14:\"\0*\0description\";s:35:\"The time that the node was created.\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:1;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:17:\"node.blog.created\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"5e4a4be8-3a2b-4023-8ff1-ccec77207856\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.blog\";}}s:12:\"\0*\0isSyncing\";b:0;}s:7:\"changed\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:17:\"node.blog.changed\";s:13:\"\0*\0field_name\";s:7:\"changed\";s:13:\"\0*\0field_type\";s:7:\"changed\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:4:\"blog\";s:8:\"\0*\0label\";s:7:\"Changed\";s:14:\"\0*\0description\";s:39:\"The time that the node was last edited.\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:1;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:17:\"node.blog.changed\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"a67e5619-a7de-4ef2-898e-70b8359f01a8\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.blog\";}}s:12:\"\0*\0isSyncing\";b:0;}s:7:\"promote\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:17:\"node.blog.promote\";s:13:\"\0*\0field_name\";s:7:\"promote\";s:13:\"\0*\0field_type\";s:7:\"boolean\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:4:\"blog\";s:8:\"\0*\0label\";s:22:\"Promoted to front page\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:1;s:16:\"\0*\0default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:17:\"node.blog.promote\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"94a806fc-d0c2-4b13-afc8-e43b7bda082b\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.blog\";}}s:12:\"\0*\0isSyncing\";b:0;}s:6:\"sticky\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:16:\"node.blog.sticky\";s:13:\"\0*\0field_name\";s:6:\"sticky\";s:13:\"\0*\0field_type\";s:7:\"boolean\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:4:\"blog\";s:8:\"\0*\0label\";s:22:\"Sticky at top of lists\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:1;s:16:\"\0*\0default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:16:\"node.blog.sticky\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"4b8de43f-a246-46cc-86a8-d32b187bfb75\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.blog\";}}s:12:\"\0*\0isSyncing\";b:0;}s:4:\"body\";O:31:\"Drupal\\field\\Entity\\FieldConfig\":32:{s:10:\"\0*\0deleted\";b:0;s:5:\"\0*\0id\";s:14:\"node.blog.body\";s:13:\"\0*\0field_name\";s:4:\"body\";s:13:\"\0*\0field_type\";s:17:\"text_with_summary\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:4:\"blog\";s:8:\"\0*\0label\";s:4:\"Body\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:2:{s:15:\"display_summary\";b:1;s:16:\"required_summary\";b:0;}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:1;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:14:\"node.blog.body\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"f88faf78-0644-43b4-91fc-77f58f3a76b0\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:12:\"field_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:23:\"field.storage.node.body\";i:1;s:14:\"node.type.blog\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:12:\"\0*\0isSyncing\";b:0;}s:7:\"comment\";O:31:\"Drupal\\field\\Entity\\FieldConfig\":32:{s:10:\"\0*\0deleted\";b:0;s:5:\"\0*\0id\";s:17:\"node.blog.comment\";s:13:\"\0*\0field_name\";s:7:\"comment\";s:13:\"\0*\0field_type\";s:7:\"comment\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:4:\"blog\";s:8:\"\0*\0label\";s:8:\"Comments\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:5:{s:12:\"default_mode\";i:1;s:8:\"per_page\";i:50;s:9:\"anonymous\";i:0;s:13:\"form_location\";b:1;s:7:\"preview\";i:1;}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:1;s:16:\"\0*\0default_value\";a:1:{i:0;a:6:{s:6:\"status\";i:2;s:3:\"cid\";i:0;s:22:\"last_comment_timestamp\";i:0;s:17:\"last_comment_name\";N;s:16:\"last_comment_uid\";i:0;s:13:\"comment_count\";i:0;}}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:17:\"node.blog.comment\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"23ecfb1a-3ea9-4143-afca-bfabb30ea05e\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:12:\"field_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:26:\"field.storage.node.comment\";i:1;s:14:\"node.type.blog\";}s:6:\"module\";a:1:{i:0;s:7:\"comment\";}}s:12:\"\0*\0isSyncing\";b:0;}s:11:\"field_image\";O:31:\"Drupal\\field\\Entity\\FieldConfig\":32:{s:10:\"\0*\0deleted\";b:0;s:5:\"\0*\0id\";s:21:\"node.blog.field_image\";s:13:\"\0*\0field_name\";s:11:\"field_image\";s:13:\"\0*\0field_type\";s:5:\"image\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:4:\"blog\";s:8:\"\0*\0label\";s:5:\"Image\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:12:{s:14:\"file_directory\";s:10:\"field/blog\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:18:\"alt_field_required\";b:0;s:11:\"title_field\";b:1;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:1;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:21:\"node.blog.field_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"f3cc3618-60b4-4e4c-aabe-fbcd3a2d6d90\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:16:\"translation_sync\";a:3:{s:3:\"alt\";s:3:\"alt\";s:5:\"title\";s:5:\"title\";s:4:\"file\";s:1:\"0\";}}}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:12:\"field_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:30:\"field.storage.node.field_image\";i:1;s:14:\"node.type.blog\";}s:6:\"module\";a:2:{i:0;s:19:\"content_translation\";i:1;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;}s:15:\"field_slideshow\";O:31:\"Drupal\\field\\Entity\\FieldConfig\":32:{s:10:\"\0*\0deleted\";b:0;s:5:\"\0*\0id\";s:25:\"node.blog.field_slideshow\";s:13:\"\0*\0field_name\";s:15:\"field_slideshow\";s:13:\"\0*\0field_type\";s:5:\"image\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:4:\"blog\";s:8:\"\0*\0label\";s:9:\"Slideshow\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:12:{s:14:\"file_directory\";s:15:\"field/slideshow\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:18:\"alt_field_required\";b:0;s:11:\"title_field\";b:1;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:1;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:25:\"node.blog.field_slideshow\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"29727e2e-df46-488a-a810-f11ea23511e5\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:16:\"translation_sync\";a:3:{s:3:\"alt\";s:3:\"alt\";s:5:\"title\";s:5:\"title\";s:4:\"file\";s:1:\"0\";}}}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:12:\"field_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:34:\"field.storage.node.field_slideshow\";i:1;s:14:\"node.type.blog\";}s:6:\"module\";a:2:{i:0;s:19:\"content_translation\";i:1;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;}s:10:\"field_tags\";O:31:\"Drupal\\field\\Entity\\FieldConfig\":32:{s:10:\"\0*\0deleted\";b:0;s:5:\"\0*\0id\";s:20:\"node.blog.field_tags\";s:13:\"\0*\0field_name\";s:10:\"field_tags\";s:13:\"\0*\0field_type\";s:16:\"entity_reference\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:4:\"blog\";s:8:\"\0*\0label\";s:4:\"Tags\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:2:{s:7:\"handler\";s:21:\"default:taxonomy_term\";s:16:\"handler_settings\";a:4:{s:14:\"target_bundles\";a:1:{s:4:\"tags\";s:4:\"tags\";}s:4:\"sort\";a:1:{s:5:\"field\";s:5:\"_none\";}s:11:\"auto_create\";b:0;s:18:\"auto_create_bundle\";s:0:\"\";}}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:1;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:20:\"node.blog.field_tags\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"328b7f74-1b58-4d96-a5ca-97070084fa91\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:12:\"field_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:3:{i:0;s:29:\"field.storage.node.field_tags\";i:1;s:14:\"node.type.blog\";i:2;s:24:\"taxonomy.vocabulary.tags\";}}s:12:\"\0*\0isSyncing\";b:0;}s:11:\"field_video\";O:31:\"Drupal\\field\\Entity\\FieldConfig\":32:{s:10:\"\0*\0deleted\";b:0;s:5:\"\0*\0id\";s:21:\"node.blog.field_video\";s:13:\"\0*\0field_name\";s:11:\"field_video\";s:13:\"\0*\0field_type\";s:17:\"video_embed_field\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:4:\"blog\";s:8:\"\0*\0label\";s:5:\"Video\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:1:{s:17:\"allowed_providers\";a:3:{s:5:\"vimeo\";s:5:\"vimeo\";s:7:\"youtube\";s:7:\"youtube\";s:16:\"youtube_playlist\";s:1:\"0\";}}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:1;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:21:\"node.blog.field_video\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"02c3e309-16ad-4a27-b424-3379ed09e32f\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:12:\"field_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:30:\"field.storage.node.field_video\";i:1;s:14:\"node.type.blog\";}s:6:\"module\";a:1:{i:0;s:17:\"video_embed_field\";}}s:12:\"\0*\0isSyncing\";b:0;}}',-1,1636011227.142,1,'entity_field_info entity_types','140'),('entity_bundle_field_definitions:node:our_mission:en','a:9:{s:6:\"status\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:23:\"node.our_mission.status\";s:13:\"\0*\0field_name\";s:6:\"status\";s:13:\"\0*\0field_type\";s:7:\"boolean\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:11:\"our_mission\";s:8:\"\0*\0label\";s:17:\"Publishing status\";s:14:\"\0*\0description\";s:51:\"A boolean indicating whether the node is published.\";s:11:\"\0*\0settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:1;}}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:23:\"node.our_mission.status\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"820324ae-317e-45a1-ab2b-d9f1556549b3\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:21:\"node.type.our_mission\";}}s:12:\"\0*\0isSyncing\";b:0;}s:3:\"uid\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:20:\"node.our_mission.uid\";s:13:\"\0*\0field_name\";s:3:\"uid\";s:13:\"\0*\0field_type\";s:16:\"entity_reference\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:11:\"our_mission\";s:8:\"\0*\0label\";s:11:\"Authored by\";s:14:\"\0*\0description\";s:35:\"The username of the content author.\";s:11:\"\0*\0settings\";a:2:{s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:41:\"Drupal\\node\\Entity\\Node::getCurrentUserId\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:20:\"node.our_mission.uid\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"e037941a-1e3e-43bd-a2aa-a99136df4a72\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:21:\"node.type.our_mission\";}}s:12:\"\0*\0isSyncing\";b:0;}s:5:\"title\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:22:\"node.our_mission.title\";s:13:\"\0*\0field_name\";s:5:\"title\";s:13:\"\0*\0field_type\";s:6:\"string\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:11:\"our_mission\";s:8:\"\0*\0label\";s:5:\"Title\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:1;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:22:\"node.our_mission.title\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"2aaf4966-7f64-43b4-a9b2-c251869c5773\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:21:\"node.type.our_mission\";}}s:12:\"\0*\0isSyncing\";b:0;}s:7:\"created\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:24:\"node.our_mission.created\";s:13:\"\0*\0field_name\";s:7:\"created\";s:13:\"\0*\0field_type\";s:7:\"created\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:11:\"our_mission\";s:8:\"\0*\0label\";s:11:\"Authored on\";s:14:\"\0*\0description\";s:35:\"The time that the node was created.\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:24:\"node.our_mission.created\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"eb1914e0-af7f-415a-b962-0f332bb2e4fe\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:21:\"node.type.our_mission\";}}s:12:\"\0*\0isSyncing\";b:0;}s:7:\"changed\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:24:\"node.our_mission.changed\";s:13:\"\0*\0field_name\";s:7:\"changed\";s:13:\"\0*\0field_type\";s:7:\"changed\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:11:\"our_mission\";s:8:\"\0*\0label\";s:7:\"Changed\";s:14:\"\0*\0description\";s:39:\"The time that the node was last edited.\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:24:\"node.our_mission.changed\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"f3806e33-b7fe-4011-bc41-f59a39be0252\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:21:\"node.type.our_mission\";}}s:12:\"\0*\0isSyncing\";b:0;}s:7:\"promote\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:24:\"node.our_mission.promote\";s:13:\"\0*\0field_name\";s:7:\"promote\";s:13:\"\0*\0field_type\";s:7:\"boolean\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:11:\"our_mission\";s:8:\"\0*\0label\";s:22:\"Promoted to front page\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:24:\"node.our_mission.promote\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"6447bdd5-518b-4163-896e-503fbd73dda9\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:21:\"node.type.our_mission\";}}s:12:\"\0*\0isSyncing\";b:0;}s:6:\"sticky\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:23:\"node.our_mission.sticky\";s:13:\"\0*\0field_name\";s:6:\"sticky\";s:13:\"\0*\0field_type\";s:7:\"boolean\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:11:\"our_mission\";s:8:\"\0*\0label\";s:22:\"Sticky at top of lists\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:23:\"node.our_mission.sticky\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"83f2334e-4108-437e-81ac-702049da7a59\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:21:\"node.type.our_mission\";}}s:12:\"\0*\0isSyncing\";b:0;}s:4:\"body\";O:31:\"Drupal\\field\\Entity\\FieldConfig\":32:{s:10:\"\0*\0deleted\";b:0;s:5:\"\0*\0id\";s:21:\"node.our_mission.body\";s:13:\"\0*\0field_name\";s:4:\"body\";s:13:\"\0*\0field_type\";s:17:\"text_with_summary\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:11:\"our_mission\";s:8:\"\0*\0label\";s:4:\"Body\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:2:{s:15:\"display_summary\";b:1;s:16:\"required_summary\";b:0;}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:21:\"node.our_mission.body\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"40793a2c-16a2-4f41-9b28-6d1b631497bf\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:12:\"field_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:23:\"field.storage.node.body\";i:1;s:21:\"node.type.our_mission\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:12:\"\0*\0isSyncing\";b:0;}s:11:\"field_image\";O:31:\"Drupal\\field\\Entity\\FieldConfig\":32:{s:10:\"\0*\0deleted\";b:0;s:5:\"\0*\0id\";s:28:\"node.our_mission.field_image\";s:13:\"\0*\0field_name\";s:11:\"field_image\";s:13:\"\0*\0field_type\";s:5:\"image\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:11:\"our_mission\";s:8:\"\0*\0label\";s:5:\"Image\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:12:{s:14:\"file_directory\";s:17:\"field/our_mission\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:18:\"alt_field_required\";b:0;s:11:\"title_field\";b:1;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:28:\"node.our_mission.field_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"51baa96d-12fb-45f4-8e4c-889896ac394d\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:12:\"field_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:30:\"field.storage.node.field_image\";i:1;s:21:\"node.type.our_mission\";}s:6:\"module\";a:1:{i:0;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;}}',-1,1636011227.173,1,'entity_field_info entity_types','140'),('entity_bundle_field_definitions:node:our_services:en','a:9:{s:6:\"status\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:24:\"node.our_services.status\";s:13:\"\0*\0field_name\";s:6:\"status\";s:13:\"\0*\0field_type\";s:7:\"boolean\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:12:\"our_services\";s:8:\"\0*\0label\";s:17:\"Publishing status\";s:14:\"\0*\0description\";s:51:\"A boolean indicating whether the node is published.\";s:11:\"\0*\0settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:1;}}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:24:\"node.our_services.status\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"a396116f-1305-4222-b6be-7524cba2aa07\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:22:\"node.type.our_services\";}}s:12:\"\0*\0isSyncing\";b:0;}s:3:\"uid\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:21:\"node.our_services.uid\";s:13:\"\0*\0field_name\";s:3:\"uid\";s:13:\"\0*\0field_type\";s:16:\"entity_reference\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:12:\"our_services\";s:8:\"\0*\0label\";s:11:\"Authored by\";s:14:\"\0*\0description\";s:35:\"The username of the content author.\";s:11:\"\0*\0settings\";a:2:{s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:41:\"Drupal\\node\\Entity\\Node::getCurrentUserId\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:21:\"node.our_services.uid\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"95dae5b0-d6fe-4444-96a2-84243b5c6300\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:22:\"node.type.our_services\";}}s:12:\"\0*\0isSyncing\";b:0;}s:5:\"title\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:23:\"node.our_services.title\";s:13:\"\0*\0field_name\";s:5:\"title\";s:13:\"\0*\0field_type\";s:6:\"string\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:12:\"our_services\";s:8:\"\0*\0label\";s:5:\"Title\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:1;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:23:\"node.our_services.title\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"5e24793b-e933-46cc-93f5-83b7d9b9c554\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:22:\"node.type.our_services\";}}s:12:\"\0*\0isSyncing\";b:0;}s:7:\"created\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:25:\"node.our_services.created\";s:13:\"\0*\0field_name\";s:7:\"created\";s:13:\"\0*\0field_type\";s:7:\"created\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:12:\"our_services\";s:8:\"\0*\0label\";s:11:\"Authored on\";s:14:\"\0*\0description\";s:35:\"The time that the node was created.\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:25:\"node.our_services.created\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"512cce3f-52d0-4937-958d-b06316a71941\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:22:\"node.type.our_services\";}}s:12:\"\0*\0isSyncing\";b:0;}s:7:\"changed\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:25:\"node.our_services.changed\";s:13:\"\0*\0field_name\";s:7:\"changed\";s:13:\"\0*\0field_type\";s:7:\"changed\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:12:\"our_services\";s:8:\"\0*\0label\";s:7:\"Changed\";s:14:\"\0*\0description\";s:39:\"The time that the node was last edited.\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:25:\"node.our_services.changed\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"09c8cb9e-3d03-44ab-9c07-584fe0b7617d\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:22:\"node.type.our_services\";}}s:12:\"\0*\0isSyncing\";b:0;}s:7:\"promote\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:25:\"node.our_services.promote\";s:13:\"\0*\0field_name\";s:7:\"promote\";s:13:\"\0*\0field_type\";s:7:\"boolean\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:12:\"our_services\";s:8:\"\0*\0label\";s:22:\"Promoted to front page\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:25:\"node.our_services.promote\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"1892cc9a-a91d-484e-adfd-17c7b1993b6a\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:22:\"node.type.our_services\";}}s:12:\"\0*\0isSyncing\";b:0;}s:6:\"sticky\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:24:\"node.our_services.sticky\";s:13:\"\0*\0field_name\";s:6:\"sticky\";s:13:\"\0*\0field_type\";s:7:\"boolean\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:12:\"our_services\";s:8:\"\0*\0label\";s:22:\"Sticky at top of lists\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:24:\"node.our_services.sticky\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"144dc4e1-f407-4aeb-af22-a7cb792f7a4f\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:22:\"node.type.our_services\";}}s:12:\"\0*\0isSyncing\";b:0;}s:4:\"body\";O:31:\"Drupal\\field\\Entity\\FieldConfig\":32:{s:10:\"\0*\0deleted\";b:0;s:5:\"\0*\0id\";s:22:\"node.our_services.body\";s:13:\"\0*\0field_name\";s:4:\"body\";s:13:\"\0*\0field_type\";s:17:\"text_with_summary\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:12:\"our_services\";s:8:\"\0*\0label\";s:4:\"Body\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:2:{s:15:\"display_summary\";b:1;s:16:\"required_summary\";b:0;}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:22:\"node.our_services.body\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"9e0a03ef-8ad0-4c36-b505-bf6f9a56dcab\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:12:\"field_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:23:\"field.storage.node.body\";i:1;s:22:\"node.type.our_services\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:12:\"\0*\0isSyncing\";b:0;}s:13:\"field_percent\";O:31:\"Drupal\\field\\Entity\\FieldConfig\":32:{s:10:\"\0*\0deleted\";b:0;s:5:\"\0*\0id\";s:31:\"node.our_services.field_percent\";s:13:\"\0*\0field_name\";s:13:\"field_percent\";s:13:\"\0*\0field_type\";s:5:\"float\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:12:\"our_services\";s:8:\"\0*\0label\";s:7:\"Percent\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:4:{s:3:\"min\";d:0;s:3:\"max\";d:100;s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:1:\"%\";}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:31:\"node.our_services.field_percent\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"fbfdc492-6233-4ca9-a11a-38b7957e4257\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:12:\"field_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:2:{i:0;s:32:\"field.storage.node.field_percent\";i:1;s:22:\"node.type.our_services\";}}s:12:\"\0*\0isSyncing\";b:0;}}',-1,1636011227.204,1,'entity_field_info entity_types','140'),('entity_bundle_field_definitions:node:page:en','a:9:{s:6:\"status\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:16:\"node.page.status\";s:13:\"\0*\0field_name\";s:6:\"status\";s:13:\"\0*\0field_type\";s:7:\"boolean\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:4:\"page\";s:8:\"\0*\0label\";s:17:\"Publishing status\";s:14:\"\0*\0description\";s:51:\"A boolean indicating whether the node is published.\";s:11:\"\0*\0settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:1;s:16:\"\0*\0default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:1;}}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:16:\"node.page.status\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"d3ae6269-253d-43cf-8b3a-ced54dd4d946\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}}s:12:\"\0*\0isSyncing\";b:0;}s:3:\"uid\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:13:\"node.page.uid\";s:13:\"\0*\0field_name\";s:3:\"uid\";s:13:\"\0*\0field_type\";s:16:\"entity_reference\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:4:\"page\";s:8:\"\0*\0label\";s:11:\"Authored by\";s:14:\"\0*\0description\";s:35:\"The username of the content author.\";s:11:\"\0*\0settings\";a:2:{s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:1;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:41:\"Drupal\\node\\Entity\\Node::getCurrentUserId\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:13:\"node.page.uid\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"9dfefbb4-e0c9-4afe-bdb3-4c082847d856\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}}s:12:\"\0*\0isSyncing\";b:0;}s:5:\"title\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:15:\"node.page.title\";s:13:\"\0*\0field_name\";s:5:\"title\";s:13:\"\0*\0field_type\";s:6:\"string\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:4:\"page\";s:8:\"\0*\0label\";s:5:\"Title\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:1;s:15:\"\0*\0translatable\";b:1;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:15:\"node.page.title\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"494bf3f7-0fc0-490e-9889-ed23d9ce2f84\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}}s:12:\"\0*\0isSyncing\";b:0;}s:7:\"created\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:17:\"node.page.created\";s:13:\"\0*\0field_name\";s:7:\"created\";s:13:\"\0*\0field_type\";s:7:\"created\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:4:\"page\";s:8:\"\0*\0label\";s:11:\"Authored on\";s:14:\"\0*\0description\";s:35:\"The time that the node was created.\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:1;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:17:\"node.page.created\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"d7f0ea97-0b7a-44ac-8963-754b00c381ee\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}}s:12:\"\0*\0isSyncing\";b:0;}s:7:\"changed\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:17:\"node.page.changed\";s:13:\"\0*\0field_name\";s:7:\"changed\";s:13:\"\0*\0field_type\";s:7:\"changed\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:4:\"page\";s:8:\"\0*\0label\";s:7:\"Changed\";s:14:\"\0*\0description\";s:39:\"The time that the node was last edited.\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:1;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:17:\"node.page.changed\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"ff00964f-4802-4583-b887-0c4924be50e0\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}}s:12:\"\0*\0isSyncing\";b:0;}s:7:\"promote\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:17:\"node.page.promote\";s:13:\"\0*\0field_name\";s:7:\"promote\";s:13:\"\0*\0field_type\";s:7:\"boolean\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:4:\"page\";s:8:\"\0*\0label\";s:22:\"Promoted to front page\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:1;s:16:\"\0*\0default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:17:\"node.page.promote\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"df5d2528-7fff-4e75-b489-d98f3417fced\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:1:{s:19:\"default_config_hash\";s:43:\"fPUEnm4T5zfZRr3ttDUqq7yCDd2uW3clWD-pvos4tlQ\";}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}}s:12:\"\0*\0isSyncing\";b:0;}s:6:\"sticky\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:16:\"node.page.sticky\";s:13:\"\0*\0field_name\";s:6:\"sticky\";s:13:\"\0*\0field_type\";s:7:\"boolean\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:4:\"page\";s:8:\"\0*\0label\";s:22:\"Sticky at top of lists\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:1;s:16:\"\0*\0default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:16:\"node.page.sticky\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"a8d5bea5-4d19-456b-857e-462a23ec7357\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}}s:12:\"\0*\0isSyncing\";b:0;}s:4:\"body\";O:31:\"Drupal\\field\\Entity\\FieldConfig\":32:{s:10:\"\0*\0deleted\";b:0;s:5:\"\0*\0id\";s:14:\"node.page.body\";s:13:\"\0*\0field_name\";s:4:\"body\";s:13:\"\0*\0field_type\";s:17:\"text_with_summary\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:4:\"page\";s:8:\"\0*\0label\";s:4:\"Body\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:2:{s:15:\"display_summary\";b:1;s:16:\"required_summary\";b:0;}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:1;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:14:\"node.page.body\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"5afd535f-4955-4738-b95d-c9eccf70e2d0\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:1:{s:19:\"default_config_hash\";s:43:\"rUop-8b6hvxxDYbv-KobTfNIBNbPY9qOPl8f6kBNSpw\";}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:12:\"field_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:23:\"field.storage.node.body\";i:1;s:14:\"node.type.page\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:12:\"\0*\0isSyncing\";b:0;}s:16:\"field_icon_class\";O:31:\"Drupal\\field\\Entity\\FieldConfig\":32:{s:10:\"\0*\0deleted\";b:0;s:5:\"\0*\0id\";s:26:\"node.page.field_icon_class\";s:13:\"\0*\0field_name\";s:16:\"field_icon_class\";s:13:\"\0*\0field_type\";s:6:\"string\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:4:\"page\";s:8:\"\0*\0label\";s:10:\"Icon class\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:1;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:26:\"node.page.field_icon_class\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"5eab01ba-0567-43cf-9dbc-864792008222\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:12:\"field_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:2:{i:0;s:35:\"field.storage.node.field_icon_class\";i:1;s:14:\"node.type.page\";}}s:12:\"\0*\0isSyncing\";b:0;}}',-1,1636011227.228,1,'entity_field_info entity_types','140'),('entity_bundle_field_definitions:node:partners:en','a:10:{s:6:\"status\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:20:\"node.partners.status\";s:13:\"\0*\0field_name\";s:6:\"status\";s:13:\"\0*\0field_type\";s:7:\"boolean\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:8:\"partners\";s:8:\"\0*\0label\";s:17:\"Publishing status\";s:14:\"\0*\0description\";s:51:\"A boolean indicating whether the node is published.\";s:11:\"\0*\0settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:1;}}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:20:\"node.partners.status\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"b23fcdf9-291c-4109-9307-32001b3c05a0\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:18:\"node.type.partners\";}}s:12:\"\0*\0isSyncing\";b:0;}s:3:\"uid\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:17:\"node.partners.uid\";s:13:\"\0*\0field_name\";s:3:\"uid\";s:13:\"\0*\0field_type\";s:16:\"entity_reference\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:8:\"partners\";s:8:\"\0*\0label\";s:11:\"Authored by\";s:14:\"\0*\0description\";s:35:\"The username of the content author.\";s:11:\"\0*\0settings\";a:2:{s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:41:\"Drupal\\node\\Entity\\Node::getCurrentUserId\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:17:\"node.partners.uid\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"4348f9ec-1813-458e-916f-eacc7b064b95\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:18:\"node.type.partners\";}}s:12:\"\0*\0isSyncing\";b:0;}s:5:\"title\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:19:\"node.partners.title\";s:13:\"\0*\0field_name\";s:5:\"title\";s:13:\"\0*\0field_type\";s:6:\"string\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:8:\"partners\";s:8:\"\0*\0label\";s:5:\"Title\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:1;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:19:\"node.partners.title\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"0f9bf904-d747-45fc-bfe1-45903aa49fcc\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:18:\"node.type.partners\";}}s:12:\"\0*\0isSyncing\";b:0;}s:7:\"created\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:21:\"node.partners.created\";s:13:\"\0*\0field_name\";s:7:\"created\";s:13:\"\0*\0field_type\";s:7:\"created\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:8:\"partners\";s:8:\"\0*\0label\";s:11:\"Authored on\";s:14:\"\0*\0description\";s:35:\"The time that the node was created.\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:21:\"node.partners.created\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"4719b7ba-5e2c-44bd-94bc-1906043dc38b\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:18:\"node.type.partners\";}}s:12:\"\0*\0isSyncing\";b:0;}s:7:\"changed\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:21:\"node.partners.changed\";s:13:\"\0*\0field_name\";s:7:\"changed\";s:13:\"\0*\0field_type\";s:7:\"changed\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:8:\"partners\";s:8:\"\0*\0label\";s:7:\"Changed\";s:14:\"\0*\0description\";s:39:\"The time that the node was last edited.\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:21:\"node.partners.changed\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"5a091269-d0bf-4ebd-8657-cefb8b598a35\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:18:\"node.type.partners\";}}s:12:\"\0*\0isSyncing\";b:0;}s:7:\"promote\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:21:\"node.partners.promote\";s:13:\"\0*\0field_name\";s:7:\"promote\";s:13:\"\0*\0field_type\";s:7:\"boolean\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:8:\"partners\";s:8:\"\0*\0label\";s:22:\"Promoted to front page\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:21:\"node.partners.promote\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"d051456e-ffc7-4ed6-ba3d-c438daa34819\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:18:\"node.type.partners\";}}s:12:\"\0*\0isSyncing\";b:0;}s:6:\"sticky\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:20:\"node.partners.sticky\";s:13:\"\0*\0field_name\";s:6:\"sticky\";s:13:\"\0*\0field_type\";s:7:\"boolean\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:8:\"partners\";s:8:\"\0*\0label\";s:22:\"Sticky at top of lists\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:20:\"node.partners.sticky\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"9d5e6c2b-8d66-4604-a0be-ded3febec41f\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:18:\"node.type.partners\";}}s:12:\"\0*\0isSyncing\";b:0;}s:4:\"body\";O:31:\"Drupal\\field\\Entity\\FieldConfig\":32:{s:10:\"\0*\0deleted\";b:0;s:5:\"\0*\0id\";s:18:\"node.partners.body\";s:13:\"\0*\0field_name\";s:4:\"body\";s:13:\"\0*\0field_type\";s:17:\"text_with_summary\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:8:\"partners\";s:8:\"\0*\0label\";s:4:\"Body\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:2:{s:15:\"display_summary\";b:1;s:16:\"required_summary\";b:0;}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:18:\"node.partners.body\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"2d693a5a-f25e-47fc-be01-15b07589ebd5\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:12:\"field_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:23:\"field.storage.node.body\";i:1;s:18:\"node.type.partners\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:12:\"\0*\0isSyncing\";b:0;}s:10:\"field_link\";O:31:\"Drupal\\field\\Entity\\FieldConfig\":32:{s:10:\"\0*\0deleted\";b:0;s:5:\"\0*\0id\";s:24:\"node.partners.field_link\";s:13:\"\0*\0field_name\";s:10:\"field_link\";s:13:\"\0*\0field_type\";s:4:\"link\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:8:\"partners\";s:8:\"\0*\0label\";s:4:\"Link\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:2:{s:9:\"link_type\";i:17;s:5:\"title\";i:1;}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:24:\"node.partners.field_link\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"1b46fda6-bf86-4cb4-b5e8-3bdb73899123\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:12:\"field_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:29:\"field.storage.node.field_link\";i:1;s:18:\"node.type.partners\";}s:6:\"module\";a:1:{i:0;s:4:\"link\";}}s:12:\"\0*\0isSyncing\";b:0;}s:14:\"field_partners\";O:31:\"Drupal\\field\\Entity\\FieldConfig\":32:{s:10:\"\0*\0deleted\";b:0;s:5:\"\0*\0id\";s:28:\"node.partners.field_partners\";s:13:\"\0*\0field_name\";s:14:\"field_partners\";s:13:\"\0*\0field_type\";s:5:\"image\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:8:\"partners\";s:8:\"\0*\0label\";s:8:\"Partners\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:12:{s:14:\"file_directory\";s:14:\"field/partners\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:18:\"alt_field_required\";b:0;s:11:\"title_field\";b:1;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:28:\"node.partners.field_partners\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"c5c621d8-c239-44fa-8585-9625710009f3\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:12:\"field_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:33:\"field.storage.node.field_partners\";i:1;s:18:\"node.type.partners\";}s:6:\"module\";a:1:{i:0;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;}}',-1,1636011227.250,1,'entity_field_info entity_types','140'),('entity_bundle_field_definitions:node:portfolio:en','a:9:{s:6:\"status\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:21:\"node.portfolio.status\";s:13:\"\0*\0field_name\";s:6:\"status\";s:13:\"\0*\0field_type\";s:7:\"boolean\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:9:\"portfolio\";s:8:\"\0*\0label\";s:17:\"Publishing status\";s:14:\"\0*\0description\";s:51:\"A boolean indicating whether the node is published.\";s:11:\"\0*\0settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:1;}}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:21:\"node.portfolio.status\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"b5ee00c5-6460-4848-9011-16a2a3d1ef2b\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:19:\"node.type.portfolio\";}}s:12:\"\0*\0isSyncing\";b:0;}s:3:\"uid\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:18:\"node.portfolio.uid\";s:13:\"\0*\0field_name\";s:3:\"uid\";s:13:\"\0*\0field_type\";s:16:\"entity_reference\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:9:\"portfolio\";s:8:\"\0*\0label\";s:11:\"Authored by\";s:14:\"\0*\0description\";s:35:\"The username of the content author.\";s:11:\"\0*\0settings\";a:2:{s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:41:\"Drupal\\node\\Entity\\Node::getCurrentUserId\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:18:\"node.portfolio.uid\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"f23385cb-1248-4d2f-8576-f8557e18fe92\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:19:\"node.type.portfolio\";}}s:12:\"\0*\0isSyncing\";b:0;}s:5:\"title\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:20:\"node.portfolio.title\";s:13:\"\0*\0field_name\";s:5:\"title\";s:13:\"\0*\0field_type\";s:6:\"string\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:9:\"portfolio\";s:8:\"\0*\0label\";s:5:\"Title\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:1;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:20:\"node.portfolio.title\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"feb08c84-0493-4ef5-b6d8-7e8bd147ee47\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:19:\"node.type.portfolio\";}}s:12:\"\0*\0isSyncing\";b:0;}s:7:\"created\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:22:\"node.portfolio.created\";s:13:\"\0*\0field_name\";s:7:\"created\";s:13:\"\0*\0field_type\";s:7:\"created\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:9:\"portfolio\";s:8:\"\0*\0label\";s:11:\"Authored on\";s:14:\"\0*\0description\";s:35:\"The time that the node was created.\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:22:\"node.portfolio.created\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"27f6e62d-370e-4499-b867-ca02d28c6db4\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:19:\"node.type.portfolio\";}}s:12:\"\0*\0isSyncing\";b:0;}s:7:\"changed\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:22:\"node.portfolio.changed\";s:13:\"\0*\0field_name\";s:7:\"changed\";s:13:\"\0*\0field_type\";s:7:\"changed\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:9:\"portfolio\";s:8:\"\0*\0label\";s:7:\"Changed\";s:14:\"\0*\0description\";s:39:\"The time that the node was last edited.\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:22:\"node.portfolio.changed\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"f7353d61-a93d-44d4-a647-3b94ddbe2e0e\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:19:\"node.type.portfolio\";}}s:12:\"\0*\0isSyncing\";b:0;}s:7:\"promote\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:22:\"node.portfolio.promote\";s:13:\"\0*\0field_name\";s:7:\"promote\";s:13:\"\0*\0field_type\";s:7:\"boolean\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:9:\"portfolio\";s:8:\"\0*\0label\";s:22:\"Promoted to front page\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:22:\"node.portfolio.promote\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"0c9f04e7-e524-42ac-afe1-b67961334758\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:19:\"node.type.portfolio\";}}s:12:\"\0*\0isSyncing\";b:0;}s:6:\"sticky\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:21:\"node.portfolio.sticky\";s:13:\"\0*\0field_name\";s:6:\"sticky\";s:13:\"\0*\0field_type\";s:7:\"boolean\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:9:\"portfolio\";s:8:\"\0*\0label\";s:22:\"Sticky at top of lists\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:21:\"node.portfolio.sticky\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"0ea9d636-cf2f-4621-9698-46835575d05e\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:19:\"node.type.portfolio\";}}s:12:\"\0*\0isSyncing\";b:0;}s:4:\"body\";O:31:\"Drupal\\field\\Entity\\FieldConfig\":32:{s:10:\"\0*\0deleted\";b:0;s:5:\"\0*\0id\";s:19:\"node.portfolio.body\";s:13:\"\0*\0field_name\";s:4:\"body\";s:13:\"\0*\0field_type\";s:17:\"text_with_summary\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:9:\"portfolio\";s:8:\"\0*\0label\";s:4:\"Body\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:2:{s:15:\"display_summary\";b:1;s:16:\"required_summary\";b:0;}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:19:\"node.portfolio.body\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"64091b85-f7dc-4af0-a67b-d5412e5617c5\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:12:\"field_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:23:\"field.storage.node.body\";i:1;s:19:\"node.type.portfolio\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:12:\"\0*\0isSyncing\";b:0;}s:13:\"field_gallery\";O:31:\"Drupal\\field\\Entity\\FieldConfig\":32:{s:10:\"\0*\0deleted\";b:0;s:5:\"\0*\0id\";s:28:\"node.portfolio.field_gallery\";s:13:\"\0*\0field_name\";s:13:\"field_gallery\";s:13:\"\0*\0field_type\";s:5:\"image\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:9:\"portfolio\";s:8:\"\0*\0label\";s:7:\"Gallery\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:12:{s:14:\"file_directory\";s:13:\"field/gallery\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:18:\"alt_field_required\";b:0;s:11:\"title_field\";b:1;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:28:\"node.portfolio.field_gallery\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"b59f96e5-9c60-4b17-be0b-1d9507ee63e6\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:12:\"field_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:32:\"field.storage.node.field_gallery\";i:1;s:19:\"node.type.portfolio\";}s:6:\"module\";a:1:{i:0;s:5:\"image\";}}s:12:\"\0*\0isSyncing\";b:0;}}',-1,1636011227.272,1,'entity_field_info entity_types','140'),('entity_bundle_field_definitions:node:simplenews_issue:en','a:9:{s:6:\"status\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:28:\"node.simplenews_issue.status\";s:13:\"\0*\0field_name\";s:6:\"status\";s:13:\"\0*\0field_type\";s:7:\"boolean\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:16:\"simplenews_issue\";s:8:\"\0*\0label\";s:17:\"Publishing status\";s:14:\"\0*\0description\";s:51:\"A boolean indicating whether the node is published.\";s:11:\"\0*\0settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:1;}}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:28:\"node.simplenews_issue.status\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"f7b0e40e-d1de-483c-b777-d4c1fdfe3347\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:26:\"node.type.simplenews_issue\";}}s:12:\"\0*\0isSyncing\";b:0;}s:3:\"uid\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:25:\"node.simplenews_issue.uid\";s:13:\"\0*\0field_name\";s:3:\"uid\";s:13:\"\0*\0field_type\";s:16:\"entity_reference\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:16:\"simplenews_issue\";s:8:\"\0*\0label\";s:11:\"Authored by\";s:14:\"\0*\0description\";s:35:\"The username of the content author.\";s:11:\"\0*\0settings\";a:2:{s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:41:\"Drupal\\node\\Entity\\Node::getCurrentUserId\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:25:\"node.simplenews_issue.uid\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"ab6f4ac7-245d-455e-8cad-5abb502430bc\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:26:\"node.type.simplenews_issue\";}}s:12:\"\0*\0isSyncing\";b:0;}s:5:\"title\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:27:\"node.simplenews_issue.title\";s:13:\"\0*\0field_name\";s:5:\"title\";s:13:\"\0*\0field_type\";s:6:\"string\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:16:\"simplenews_issue\";s:8:\"\0*\0label\";s:5:\"Title\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:1;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:27:\"node.simplenews_issue.title\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"94d28040-185d-4c39-a002-72d974e3cdcf\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:26:\"node.type.simplenews_issue\";}}s:12:\"\0*\0isSyncing\";b:0;}s:7:\"created\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:29:\"node.simplenews_issue.created\";s:13:\"\0*\0field_name\";s:7:\"created\";s:13:\"\0*\0field_type\";s:7:\"created\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:16:\"simplenews_issue\";s:8:\"\0*\0label\";s:11:\"Authored on\";s:14:\"\0*\0description\";s:35:\"The time that the node was created.\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:29:\"node.simplenews_issue.created\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"ac0c39ac-2fcf-412a-8924-b3449703a7ab\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:26:\"node.type.simplenews_issue\";}}s:12:\"\0*\0isSyncing\";b:0;}s:7:\"changed\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:29:\"node.simplenews_issue.changed\";s:13:\"\0*\0field_name\";s:7:\"changed\";s:13:\"\0*\0field_type\";s:7:\"changed\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:16:\"simplenews_issue\";s:8:\"\0*\0label\";s:7:\"Changed\";s:14:\"\0*\0description\";s:39:\"The time that the node was last edited.\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:29:\"node.simplenews_issue.changed\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"cc0f115f-6b29-44f5-b41b-33526e018e6b\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:26:\"node.type.simplenews_issue\";}}s:12:\"\0*\0isSyncing\";b:0;}s:7:\"promote\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:29:\"node.simplenews_issue.promote\";s:13:\"\0*\0field_name\";s:7:\"promote\";s:13:\"\0*\0field_type\";s:7:\"boolean\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:16:\"simplenews_issue\";s:8:\"\0*\0label\";s:22:\"Promoted to front page\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:1;}}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:29:\"node.simplenews_issue.promote\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"39c095f6-2005-42d3-abf8-a223a16a6927\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:26:\"node.type.simplenews_issue\";}}s:12:\"\0*\0isSyncing\";b:0;}s:6:\"sticky\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:28:\"node.simplenews_issue.sticky\";s:13:\"\0*\0field_name\";s:6:\"sticky\";s:13:\"\0*\0field_type\";s:7:\"boolean\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:16:\"simplenews_issue\";s:8:\"\0*\0label\";s:22:\"Sticky at top of lists\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:28:\"node.simplenews_issue.sticky\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"18db0e37-4602-42a4-9b14-81b0f079ac99\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:26:\"node.type.simplenews_issue\";}}s:12:\"\0*\0isSyncing\";b:0;}s:4:\"body\";O:31:\"Drupal\\field\\Entity\\FieldConfig\":32:{s:10:\"\0*\0deleted\";b:0;s:5:\"\0*\0id\";s:26:\"node.simplenews_issue.body\";s:13:\"\0*\0field_name\";s:4:\"body\";s:13:\"\0*\0field_type\";s:17:\"text_with_summary\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:16:\"simplenews_issue\";s:8:\"\0*\0label\";s:4:\"Body\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:2:{s:15:\"display_summary\";b:0;s:16:\"required_summary\";b:0;}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:26:\"node.simplenews_issue.body\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"fa08d833-71d4-4634-be81-deb833e6be3e\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:1:{s:19:\"default_config_hash\";s:43:\"WmXguLYedqjDlEM-2yau5wACNAMvrbCVHXQUn4GQEDA\";}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:12:\"field_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:23:\"field.storage.node.body\";i:1;s:26:\"node.type.simplenews_issue\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:12:\"\0*\0isSyncing\";b:0;}s:16:\"simplenews_issue\";O:31:\"Drupal\\field\\Entity\\FieldConfig\":32:{s:10:\"\0*\0deleted\";b:0;s:5:\"\0*\0id\";s:38:\"node.simplenews_issue.simplenews_issue\";s:13:\"\0*\0field_name\";s:16:\"simplenews_issue\";s:13:\"\0*\0field_type\";s:16:\"simplenews_issue\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:16:\"simplenews_issue\";s:8:\"\0*\0label\";s:10:\"Newsletter\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:2:{s:7:\"handler\";s:29:\"default:simplenews_newsletter\";s:16:\"handler_settings\";a:1:{s:14:\"target_bundles\";N;}}s:11:\"\0*\0required\";b:1;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:1:{i:0;a:6:{s:9:\"target_id\";s:7:\"default\";s:7:\"handler\";s:14:\"simplenews_all\";s:16:\"handler_settings\";a:0:{}s:6:\"status\";i:0;s:10:\"sent_count\";i:0;s:11:\"subscribers\";i:0;}}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:38:\"node.simplenews_issue.simplenews_issue\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"767f9d7a-6ee4-4a54-bc98-d5419bd53a6d\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:1:{s:19:\"default_config_hash\";s:43:\"7I8TFo87YOgsZYmlZeFxbC-uebIhSy0RGoSxIem8zUQ\";}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:12:\"field_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:35:\"field.storage.node.simplenews_issue\";i:1;s:26:\"node.type.simplenews_issue\";}s:6:\"module\";a:1:{i:0;s:10:\"simplenews\";}}s:12:\"\0*\0isSyncing\";b:0;}}',-1,1636011227.299,1,'entity_field_info entity_types','140'),('entity_bundle_field_definitions:node:why_us:en','a:9:{s:6:\"status\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:18:\"node.why_us.status\";s:13:\"\0*\0field_name\";s:6:\"status\";s:13:\"\0*\0field_type\";s:7:\"boolean\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:6:\"why_us\";s:8:\"\0*\0label\";s:17:\"Publishing status\";s:14:\"\0*\0description\";s:51:\"A boolean indicating whether the node is published.\";s:11:\"\0*\0settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:1;}}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:18:\"node.why_us.status\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"757f0ddf-1683-43af-a414-252bddd4b3a5\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:16:\"node.type.why_us\";}}s:12:\"\0*\0isSyncing\";b:0;}s:3:\"uid\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:15:\"node.why_us.uid\";s:13:\"\0*\0field_name\";s:3:\"uid\";s:13:\"\0*\0field_type\";s:16:\"entity_reference\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:6:\"why_us\";s:8:\"\0*\0label\";s:11:\"Authored by\";s:14:\"\0*\0description\";s:35:\"The username of the content author.\";s:11:\"\0*\0settings\";a:2:{s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:41:\"Drupal\\node\\Entity\\Node::getCurrentUserId\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:15:\"node.why_us.uid\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"423d924b-3328-47c7-8b6a-2864237ce911\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:16:\"node.type.why_us\";}}s:12:\"\0*\0isSyncing\";b:0;}s:5:\"title\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:17:\"node.why_us.title\";s:13:\"\0*\0field_name\";s:5:\"title\";s:13:\"\0*\0field_type\";s:6:\"string\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:6:\"why_us\";s:8:\"\0*\0label\";s:5:\"Title\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:1;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:17:\"node.why_us.title\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"bd8a3c37-84f9-46a2-b167-7aa2b9981eda\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:16:\"node.type.why_us\";}}s:12:\"\0*\0isSyncing\";b:0;}s:7:\"created\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:19:\"node.why_us.created\";s:13:\"\0*\0field_name\";s:7:\"created\";s:13:\"\0*\0field_type\";s:7:\"created\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:6:\"why_us\";s:8:\"\0*\0label\";s:11:\"Authored on\";s:14:\"\0*\0description\";s:35:\"The time that the node was created.\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:19:\"node.why_us.created\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"a44b1ba8-4d31-414c-b124-22a457ea04f8\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:16:\"node.type.why_us\";}}s:12:\"\0*\0isSyncing\";b:0;}s:7:\"changed\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:19:\"node.why_us.changed\";s:13:\"\0*\0field_name\";s:7:\"changed\";s:13:\"\0*\0field_type\";s:7:\"changed\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:6:\"why_us\";s:8:\"\0*\0label\";s:7:\"Changed\";s:14:\"\0*\0description\";s:39:\"The time that the node was last edited.\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:19:\"node.why_us.changed\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"3208534b-0f12-45e8-b744-404c9c4052e7\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:16:\"node.type.why_us\";}}s:12:\"\0*\0isSyncing\";b:0;}s:7:\"promote\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:19:\"node.why_us.promote\";s:13:\"\0*\0field_name\";s:7:\"promote\";s:13:\"\0*\0field_type\";s:7:\"boolean\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:6:\"why_us\";s:8:\"\0*\0label\";s:22:\"Promoted to front page\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:19:\"node.why_us.promote\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"afbb8f85-68a6-4409-8fc9-424bd4605322\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:16:\"node.type.why_us\";}}s:12:\"\0*\0isSyncing\";b:0;}s:6:\"sticky\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:18:\"node.why_us.sticky\";s:13:\"\0*\0field_name\";s:6:\"sticky\";s:13:\"\0*\0field_type\";s:7:\"boolean\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:6:\"why_us\";s:8:\"\0*\0label\";s:22:\"Sticky at top of lists\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:18:\"node.why_us.sticky\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"710974ed-5fc2-4622-92cb-124fd5083329\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:16:\"node.type.why_us\";}}s:12:\"\0*\0isSyncing\";b:0;}s:4:\"body\";O:31:\"Drupal\\field\\Entity\\FieldConfig\":32:{s:10:\"\0*\0deleted\";b:0;s:5:\"\0*\0id\";s:16:\"node.why_us.body\";s:13:\"\0*\0field_name\";s:4:\"body\";s:13:\"\0*\0field_type\";s:17:\"text_with_summary\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:6:\"why_us\";s:8:\"\0*\0label\";s:4:\"Body\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:2:{s:15:\"display_summary\";b:1;s:16:\"required_summary\";b:0;}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:16:\"node.why_us.body\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"a54538db-ea2c-485a-bcec-dc37d879c449\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:12:\"field_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:23:\"field.storage.node.body\";i:1;s:16:\"node.type.why_us\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:12:\"\0*\0isSyncing\";b:0;}s:17:\"field_why_us_type\";O:31:\"Drupal\\field\\Entity\\FieldConfig\":32:{s:10:\"\0*\0deleted\";b:0;s:5:\"\0*\0id\";s:29:\"node.why_us.field_why_us_type\";s:13:\"\0*\0field_name\";s:17:\"field_why_us_type\";s:13:\"\0*\0field_type\";s:11:\"list_string\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:9:\"\0*\0bundle\";s:6:\"why_us\";s:8:\"\0*\0label\";s:11:\"Why us type\";s:14:\"\0*\0description\";s:0:\"\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:29:\"node.why_us.field_why_us_type\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"c9aaa05c-1a36-4433-b956-719da4bd2794\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:12:\"field_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:36:\"field.storage.node.field_why_us_type\";i:1;s:16:\"node.type.why_us\";}s:6:\"module\";a:1:{i:0;s:7:\"options\";}}s:12:\"\0*\0isSyncing\";b:0;}}',-1,1636011227.330,1,'entity_field_info entity_types','140'),('entity_bundle_field_definitions:path_alias:path_alias:en','a:0:{}',-1,1637057230.722,1,'entity_field_info entity_types','140'),('entity_bundle_field_definitions:shortcut:default:en','a:1:{s:5:\"title\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:22:\"shortcut.default.title\";s:13:\"\0*\0field_name\";s:5:\"title\";s:13:\"\0*\0field_type\";s:6:\"string\";s:14:\"\0*\0entity_type\";s:8:\"shortcut\";s:9:\"\0*\0bundle\";s:7:\"default\";s:8:\"\0*\0label\";s:4:\"Name\";s:14:\"\0*\0description\";s:25:\"The name of the shortcut.\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:1;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:22:\"shortcut.default.title\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"55acaedf-540d-4c74-b615-5ecbed395f55\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:20:\"shortcut.set.default\";}}s:12:\"\0*\0isSyncing\";b:0;}}',-1,1636012251.344,1,'entity_field_info entity_types','140'),('entity_bundle_field_definitions:simplenews_subscriber:simplenews_subscriber:en','a:1:{s:13:\"subscriptions\";O:31:\"Drupal\\field\\Entity\\FieldConfig\":32:{s:10:\"\0*\0deleted\";b:0;s:5:\"\0*\0id\";s:57:\"simplenews_subscriber.simplenews_subscriber.subscriptions\";s:13:\"\0*\0field_name\";s:13:\"subscriptions\";s:13:\"\0*\0field_type\";s:23:\"simplenews_subscription\";s:14:\"\0*\0entity_type\";s:21:\"simplenews_subscriber\";s:9:\"\0*\0bundle\";s:21:\"simplenews_subscriber\";s:8:\"\0*\0label\";s:13:\"Subscriptions\";s:14:\"\0*\0description\";s:24:\"We respect your privacy.\";s:11:\"\0*\0settings\";a:2:{s:7:\"handler\";s:29:\"default:simplenews_newsletter\";s:16:\"handler_settings\";a:2:{s:14:\"target_bundles\";N;s:11:\"auto_create\";b:0;}}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:0;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:57:\"simplenews_subscriber.simplenews_subscriber.subscriptions\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"c266e9df-f450-4123-87ae-affd53fe6357\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:1:{s:19:\"default_config_hash\";s:43:\"-FGoXJQMTtfhnYhAdYmmB815lFLwEn09sI0nyn2EbKM\";}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:12:\"field_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:49:\"field.storage.simplenews_subscriber.subscriptions\";}s:6:\"module\";a:1:{i:0;s:10:\"simplenews\";}}s:12:\"\0*\0isSyncing\";b:0;}}',-1,1636011227.364,1,'entity_field_info entity_types','140'),('entity_bundle_field_definitions:taxonomy_term:tags:en','a:4:{s:6:\"parent\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:2;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:13:\"taxonomy_term\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:1:{s:14:\"target_bundles\";a:1:{s:4:\"tags\";s:4:\"tags\";}}}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Term Parents\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"The parents of this term.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"cardinality\";i:-1;s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:6:\"parent\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:4:\"tags\";}}s:4:\"name\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:23:\"taxonomy_term.tags.name\";s:13:\"\0*\0field_name\";s:4:\"name\";s:13:\"\0*\0field_type\";s:6:\"string\";s:14:\"\0*\0entity_type\";s:13:\"taxonomy_term\";s:9:\"\0*\0bundle\";s:4:\"tags\";s:8:\"\0*\0label\";s:4:\"Name\";s:14:\"\0*\0description\";s:14:\"The term name.\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:1;s:15:\"\0*\0translatable\";b:1;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:23:\"taxonomy_term.tags.name\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"e11c2191-a1f9-4355-9c67-454f314df5c0\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:24:\"taxonomy.vocabulary.tags\";}}s:12:\"\0*\0isSyncing\";b:0;}s:11:\"description\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:30:\"taxonomy_term.tags.description\";s:13:\"\0*\0field_name\";s:11:\"description\";s:13:\"\0*\0field_type\";s:9:\"text_long\";s:14:\"\0*\0entity_type\";s:13:\"taxonomy_term\";s:9:\"\0*\0bundle\";s:4:\"tags\";s:8:\"\0*\0label\";s:11:\"Description\";s:14:\"\0*\0description\";s:26:\"A description of the term.\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:1;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:30:\"taxonomy_term.tags.description\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"3532f61e-0afc-429c-89c7-f5a8976725d4\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:24:\"taxonomy.vocabulary.tags\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:12:\"\0*\0isSyncing\";b:0;}s:7:\"changed\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:26:\"taxonomy_term.tags.changed\";s:13:\"\0*\0field_name\";s:7:\"changed\";s:13:\"\0*\0field_type\";s:7:\"changed\";s:14:\"\0*\0entity_type\";s:13:\"taxonomy_term\";s:9:\"\0*\0bundle\";s:4:\"tags\";s:8:\"\0*\0label\";s:7:\"Changed\";s:14:\"\0*\0description\";s:39:\"The time that the term was last edited.\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:1;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:26:\"taxonomy_term.tags.changed\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"545e7ab9-c952-4998-9005-9bb50fc12285\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:24:\"taxonomy.vocabulary.tags\";}}s:12:\"\0*\0isSyncing\";b:0;}}',-1,1636012250.630,1,'entity_field_info entity_types','140'),('entity_bundle_field_definitions:user:user:en','a:2:{s:7:\"changed\";O:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\":31:{s:5:\"\0*\0id\";s:17:\"user.user.changed\";s:13:\"\0*\0field_name\";s:7:\"changed\";s:13:\"\0*\0field_type\";s:7:\"changed\";s:14:\"\0*\0entity_type\";s:4:\"user\";s:9:\"\0*\0bundle\";s:4:\"user\";s:8:\"\0*\0label\";s:7:\"Changed\";s:14:\"\0*\0description\";s:39:\"The time that the user was last edited.\";s:11:\"\0*\0settings\";a:0:{}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:1;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:17:\"user.user.changed\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"139c11a6-0611-41fc-9f1c-949fd6220904\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:19:\"base_field_override\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:12:\"\0*\0isSyncing\";b:0;}s:12:\"user_picture\";O:31:\"Drupal\\field\\Entity\\FieldConfig\":32:{s:10:\"\0*\0deleted\";b:0;s:5:\"\0*\0id\";s:22:\"user.user.user_picture\";s:13:\"\0*\0field_name\";s:12:\"user_picture\";s:13:\"\0*\0field_type\";s:5:\"image\";s:14:\"\0*\0entity_type\";s:4:\"user\";s:9:\"\0*\0bundle\";s:4:\"user\";s:8:\"\0*\0label\";s:7:\"Picture\";s:14:\"\0*\0description\";s:29:\"Your virtual face or picture.\";s:11:\"\0*\0settings\";a:12:{s:14:\"file_directory\";s:40:\"pictures/[date:custom:Y]-[date:custom:m]\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:5:\"30 KB\";s:14:\"max_resolution\";s:7:\"250x250\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:0;s:18:\"alt_field_required\";b:0;s:11:\"title_field\";b:0;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}}s:11:\"\0*\0required\";b:0;s:15:\"\0*\0translatable\";b:1;s:16:\"\0*\0default_value\";a:0:{}s:25:\"\0*\0default_value_callback\";s:0:\"\";s:14:\"\0*\0constraints\";a:0:{}s:22:\"\0*\0propertyConstraints\";a:0:{}s:13:\"\0*\0originalId\";s:22:\"user.user.user_picture\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"e41371ef-0349-4e25-afc6-9bf888b580b4\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:16:\"translation_sync\";a:3:{s:3:\"alt\";s:3:\"alt\";s:5:\"title\";s:5:\"title\";s:4:\"file\";s:1:\"0\";}}}s:8:\"\0*\0_core\";a:1:{s:19:\"default_config_hash\";s:43:\"cL7i1kgJvlJa6H00f0E_fZ2KdD1ag0ASpLts0K-KNII\";}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:12:\"field_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:31:\"field.storage.user.user_picture\";}s:6:\"module\";a:3:{i:0;s:19:\"content_translation\";i:1;s:5:\"image\";i:2;s:4:\"user\";}}s:12:\"\0*\0isSyncing\";b:0;}}',-1,1636011227.390,1,'entity_field_info entity_types','140'),('entity_bundle_info:en','a:41:{s:5:\"block\";a:1:{s:5:\"block\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Block\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:18:\"block_content_type\";a:1:{s:18:\"block_content_type\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Custom block type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:13:\"block_content\";a:1:{s:5:\"basic\";a:2:{s:5:\"label\";s:11:\"Basic block\";s:12:\"translatable\";b:0;}}s:12:\"comment_type\";a:1:{s:12:\"comment_type\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Comment type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:7:\"comment\";a:1:{s:7:\"comment\";a:2:{s:5:\"label\";s:16:\"Default comments\";s:12:\"translatable\";b:0;}}s:15:\"contact_message\";a:2:{s:8:\"feedback\";a:2:{s:5:\"label\";s:16:\"Website feedback\";s:12:\"translatable\";b:0;}s:8:\"personal\";a:2:{s:5:\"label\";s:21:\"Personal contact form\";s:12:\"translatable\";b:0;}}s:12:\"contact_form\";a:1:{s:12:\"contact_form\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Contact form\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:6:\"editor\";a:1:{s:6:\"editor\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Text Editor\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:20:\"field_storage_config\";a:1:{s:20:\"field_storage_config\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Field storage\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:12:\"field_config\";a:1:{s:12:\"field_config\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Field\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:4:\"file\";a:1:{s:4:\"file\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"File\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:13:\"filter_format\";a:1:{s:13:\"filter_format\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Text format\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:11:\"image_style\";a:1:{s:11:\"image_style\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Image style\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:25:\"language_content_settings\";a:1:{s:25:\"language_content_settings\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"Content Language Settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:21:\"configurable_language\";a:1:{s:21:\"configurable_language\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:4:\"node\";a:10:{s:7:\"article\";a:3:{s:5:\"label\";s:7:\"Article\";s:12:\"translatable\";b:1;s:50:\"untranslatable_fields.default_translation_affected\";b:0;}s:6:\"banner\";a:2:{s:5:\"label\";s:6:\"Banner\";s:12:\"translatable\";b:0;}s:4:\"blog\";a:3:{s:5:\"label\";s:4:\"Blog\";s:12:\"translatable\";b:1;s:50:\"untranslatable_fields.default_translation_affected\";b:0;}s:11:\"our_mission\";a:2:{s:5:\"label\";s:11:\"Our mission\";s:12:\"translatable\";b:0;}s:12:\"our_services\";a:2:{s:5:\"label\";s:12:\"Our services\";s:12:\"translatable\";b:0;}s:4:\"page\";a:3:{s:5:\"label\";s:10:\"Basic page\";s:12:\"translatable\";b:1;s:50:\"untranslatable_fields.default_translation_affected\";b:0;}s:8:\"partners\";a:2:{s:5:\"label\";s:8:\"Partners\";s:12:\"translatable\";b:0;}s:9:\"portfolio\";a:2:{s:5:\"label\";s:9:\"Portfolio\";s:12:\"translatable\";b:0;}s:16:\"simplenews_issue\";a:2:{s:5:\"label\";s:16:\"Newsletter Issue\";s:12:\"translatable\";b:0;}s:6:\"why_us\";a:2:{s:5:\"label\";s:6:\"Why us\";s:12:\"translatable\";b:0;}}s:9:\"node_type\";a:1:{s:9:\"node_type\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Content type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:10:\"path_alias\";a:1:{s:10:\"path_alias\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"URL alias\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:11:\"rdf_mapping\";a:1:{s:11:\"rdf_mapping\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"RDF mapping\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:22:\"responsive_image_style\";a:1:{s:22:\"responsive_image_style\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"Responsive image style\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:11:\"search_page\";a:1:{s:11:\"search_page\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Search page\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:12:\"shortcut_set\";a:1:{s:12:\"shortcut_set\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Shortcut set\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:8:\"shortcut\";a:1:{s:7:\"default\";a:2:{s:5:\"label\";s:7:\"Default\";s:12:\"translatable\";b:0;}}s:21:\"simplenews_newsletter\";a:1:{s:21:\"simplenews_newsletter\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Simplenews newsletter\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:21:\"simplenews_subscriber\";a:1:{s:21:\"simplenews_subscriber\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Simplenews subscriber\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:4:\"menu\";a:1:{s:4:\"menu\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Menu\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:6:\"action\";a:1:{s:6:\"action\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Action\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:13:\"taxonomy_term\";a:1:{s:4:\"tags\";a:3:{s:5:\"label\";s:4:\"Tags\";s:12:\"translatable\";b:1;s:50:\"untranslatable_fields.default_translation_affected\";b:0;}}s:19:\"taxonomy_vocabulary\";a:1:{s:19:\"taxonomy_vocabulary\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Taxonomy vocabulary\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:4:\"tour\";a:1:{s:4:\"tour\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Tour\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:4:\"user\";a:1:{s:4:\"user\";a:3:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"User\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:50:\"untranslatable_fields.default_translation_affected\";b:0;}}s:9:\"user_role\";a:1:{s:9:\"user_role\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Role\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:17:\"menu_link_content\";a:1:{s:17:\"menu_link_content\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Custom menu link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:16:\"pathauto_pattern\";a:1:{s:16:\"pathauto_pattern\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Pathauto pattern\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:4:\"view\";a:1:{s:4:\"view\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"View\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:16:\"View entity type\";}}s:12:\"translatable\";b:0;}}s:11:\"date_format\";a:1:{s:11:\"date_format\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Date format\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:16:\"entity_form_mode\";a:1:{s:16:\"entity_form_mode\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Form mode\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:16:\"entity_view_mode\";a:1:{s:16:\"entity_view_mode\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"View mode\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:19:\"entity_view_display\";a:1:{s:19:\"entity_view_display\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Entity view display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:19:\"entity_form_display\";a:1:{s:19:\"entity_form_display\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Entity form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}s:19:\"base_field_override\";a:1:{s:19:\"base_field_override\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Base field override\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;}}}',-1,1636011226.599,1,'entity_bundles entity_types','124'),('entity_field_map','a:11:{s:13:\"block_content\";a:16:{s:2:\"id\";a:2:{s:4:\"type\";s:7:\"integer\";s:7:\"bundles\";a:1:{s:5:\"basic\";s:5:\"basic\";}}s:4:\"uuid\";a:2:{s:4:\"type\";s:4:\"uuid\";s:7:\"bundles\";a:1:{s:5:\"basic\";s:5:\"basic\";}}s:11:\"revision_id\";a:2:{s:4:\"type\";s:7:\"integer\";s:7:\"bundles\";a:1:{s:5:\"basic\";s:5:\"basic\";}}s:8:\"langcode\";a:2:{s:4:\"type\";s:8:\"language\";s:7:\"bundles\";a:1:{s:5:\"basic\";s:5:\"basic\";}}s:4:\"type\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:5:\"basic\";s:5:\"basic\";}}s:16:\"revision_created\";a:2:{s:4:\"type\";s:7:\"created\";s:7:\"bundles\";a:1:{s:5:\"basic\";s:5:\"basic\";}}s:13:\"revision_user\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:5:\"basic\";s:5:\"basic\";}}s:12:\"revision_log\";a:2:{s:4:\"type\";s:11:\"string_long\";s:7:\"bundles\";a:1:{s:5:\"basic\";s:5:\"basic\";}}s:6:\"status\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:1:{s:5:\"basic\";s:5:\"basic\";}}s:4:\"info\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:1:{s:5:\"basic\";s:5:\"basic\";}}s:7:\"changed\";a:2:{s:4:\"type\";s:7:\"changed\";s:7:\"bundles\";a:1:{s:5:\"basic\";s:5:\"basic\";}}s:8:\"reusable\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:1:{s:5:\"basic\";s:5:\"basic\";}}s:16:\"default_langcode\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:1:{s:5:\"basic\";s:5:\"basic\";}}s:16:\"revision_default\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:1:{s:5:\"basic\";s:5:\"basic\";}}s:29:\"revision_translation_affected\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:1:{s:5:\"basic\";s:5:\"basic\";}}s:4:\"body\";a:2:{s:4:\"type\";s:17:\"text_with_summary\";s:7:\"bundles\";a:1:{s:5:\"basic\";s:5:\"basic\";}}}s:7:\"comment\";a:20:{s:3:\"cid\";a:2:{s:4:\"type\";s:7:\"integer\";s:7:\"bundles\";a:1:{s:7:\"comment\";s:7:\"comment\";}}s:4:\"uuid\";a:2:{s:4:\"type\";s:4:\"uuid\";s:7:\"bundles\";a:1:{s:7:\"comment\";s:7:\"comment\";}}s:8:\"langcode\";a:2:{s:4:\"type\";s:8:\"language\";s:7:\"bundles\";a:1:{s:7:\"comment\";s:7:\"comment\";}}s:12:\"comment_type\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:7:\"comment\";s:7:\"comment\";}}s:6:\"status\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:1:{s:7:\"comment\";s:7:\"comment\";}}s:3:\"uid\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:7:\"comment\";s:7:\"comment\";}}s:3:\"pid\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:7:\"comment\";s:7:\"comment\";}}s:9:\"entity_id\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:7:\"comment\";s:7:\"comment\";}}s:7:\"subject\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:1:{s:7:\"comment\";s:7:\"comment\";}}s:4:\"name\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:1:{s:7:\"comment\";s:7:\"comment\";}}s:4:\"mail\";a:2:{s:4:\"type\";s:5:\"email\";s:7:\"bundles\";a:1:{s:7:\"comment\";s:7:\"comment\";}}s:8:\"homepage\";a:2:{s:4:\"type\";s:3:\"uri\";s:7:\"bundles\";a:1:{s:7:\"comment\";s:7:\"comment\";}}s:8:\"hostname\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:1:{s:7:\"comment\";s:7:\"comment\";}}s:7:\"created\";a:2:{s:4:\"type\";s:7:\"created\";s:7:\"bundles\";a:1:{s:7:\"comment\";s:7:\"comment\";}}s:7:\"changed\";a:2:{s:4:\"type\";s:7:\"changed\";s:7:\"bundles\";a:1:{s:7:\"comment\";s:7:\"comment\";}}s:6:\"thread\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:1:{s:7:\"comment\";s:7:\"comment\";}}s:11:\"entity_type\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:1:{s:7:\"comment\";s:7:\"comment\";}}s:10:\"field_name\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:1:{s:7:\"comment\";s:7:\"comment\";}}s:16:\"default_langcode\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:1:{s:7:\"comment\";s:7:\"comment\";}}s:12:\"comment_body\";a:2:{s:4:\"type\";s:9:\"text_long\";s:7:\"bundles\";a:1:{s:7:\"comment\";s:7:\"comment\";}}}s:15:\"contact_message\";a:9:{s:4:\"uuid\";a:2:{s:4:\"type\";s:4:\"uuid\";s:7:\"bundles\";a:2:{s:8:\"feedback\";s:8:\"feedback\";s:8:\"personal\";s:8:\"personal\";}}s:8:\"langcode\";a:2:{s:4:\"type\";s:8:\"language\";s:7:\"bundles\";a:2:{s:8:\"feedback\";s:8:\"feedback\";s:8:\"personal\";s:8:\"personal\";}}s:12:\"contact_form\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:2:{s:8:\"feedback\";s:8:\"feedback\";s:8:\"personal\";s:8:\"personal\";}}s:4:\"name\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:2:{s:8:\"feedback\";s:8:\"feedback\";s:8:\"personal\";s:8:\"personal\";}}s:4:\"mail\";a:2:{s:4:\"type\";s:5:\"email\";s:7:\"bundles\";a:2:{s:8:\"feedback\";s:8:\"feedback\";s:8:\"personal\";s:8:\"personal\";}}s:7:\"subject\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:2:{s:8:\"feedback\";s:8:\"feedback\";s:8:\"personal\";s:8:\"personal\";}}s:7:\"message\";a:2:{s:4:\"type\";s:11:\"string_long\";s:7:\"bundles\";a:2:{s:8:\"feedback\";s:8:\"feedback\";s:8:\"personal\";s:8:\"personal\";}}s:4:\"copy\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:2:{s:8:\"feedback\";s:8:\"feedback\";s:8:\"personal\";s:8:\"personal\";}}s:9:\"recipient\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:2:{s:8:\"feedback\";s:8:\"feedback\";s:8:\"personal\";s:8:\"personal\";}}}s:4:\"file\";a:11:{s:3:\"fid\";a:2:{s:4:\"type\";s:7:\"integer\";s:7:\"bundles\";a:1:{s:4:\"file\";s:4:\"file\";}}s:4:\"uuid\";a:2:{s:4:\"type\";s:4:\"uuid\";s:7:\"bundles\";a:1:{s:4:\"file\";s:4:\"file\";}}s:8:\"langcode\";a:2:{s:4:\"type\";s:8:\"language\";s:7:\"bundles\";a:1:{s:4:\"file\";s:4:\"file\";}}s:3:\"uid\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:4:\"file\";s:4:\"file\";}}s:8:\"filename\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:1:{s:4:\"file\";s:4:\"file\";}}s:3:\"uri\";a:2:{s:4:\"type\";s:8:\"file_uri\";s:7:\"bundles\";a:1:{s:4:\"file\";s:4:\"file\";}}s:8:\"filemime\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:1:{s:4:\"file\";s:4:\"file\";}}s:8:\"filesize\";a:2:{s:4:\"type\";s:7:\"integer\";s:7:\"bundles\";a:1:{s:4:\"file\";s:4:\"file\";}}s:6:\"status\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:1:{s:4:\"file\";s:4:\"file\";}}s:7:\"created\";a:2:{s:4:\"type\";s:7:\"created\";s:7:\"bundles\";a:1:{s:4:\"file\";s:4:\"file\";}}s:7:\"changed\";a:2:{s:4:\"type\";s:7:\"changed\";s:7:\"bundles\";a:1:{s:4:\"file\";s:4:\"file\";}}}s:4:\"node\";a:41:{s:3:\"nid\";a:2:{s:4:\"type\";s:7:\"integer\";s:7:\"bundles\";a:10:{s:7:\"article\";s:7:\"article\";s:6:\"banner\";s:6:\"banner\";s:4:\"blog\";s:4:\"blog\";s:11:\"our_mission\";s:11:\"our_mission\";s:12:\"our_services\";s:12:\"our_services\";s:4:\"page\";s:4:\"page\";s:8:\"partners\";s:8:\"partners\";s:9:\"portfolio\";s:9:\"portfolio\";s:16:\"simplenews_issue\";s:16:\"simplenews_issue\";s:6:\"why_us\";s:6:\"why_us\";}}s:4:\"uuid\";a:2:{s:4:\"type\";s:4:\"uuid\";s:7:\"bundles\";a:10:{s:7:\"article\";s:7:\"article\";s:6:\"banner\";s:6:\"banner\";s:4:\"blog\";s:4:\"blog\";s:11:\"our_mission\";s:11:\"our_mission\";s:12:\"our_services\";s:12:\"our_services\";s:4:\"page\";s:4:\"page\";s:8:\"partners\";s:8:\"partners\";s:9:\"portfolio\";s:9:\"portfolio\";s:16:\"simplenews_issue\";s:16:\"simplenews_issue\";s:6:\"why_us\";s:6:\"why_us\";}}s:3:\"vid\";a:2:{s:4:\"type\";s:7:\"integer\";s:7:\"bundles\";a:10:{s:7:\"article\";s:7:\"article\";s:6:\"banner\";s:6:\"banner\";s:4:\"blog\";s:4:\"blog\";s:11:\"our_mission\";s:11:\"our_mission\";s:12:\"our_services\";s:12:\"our_services\";s:4:\"page\";s:4:\"page\";s:8:\"partners\";s:8:\"partners\";s:9:\"portfolio\";s:9:\"portfolio\";s:16:\"simplenews_issue\";s:16:\"simplenews_issue\";s:6:\"why_us\";s:6:\"why_us\";}}s:8:\"langcode\";a:2:{s:4:\"type\";s:8:\"language\";s:7:\"bundles\";a:10:{s:7:\"article\";s:7:\"article\";s:6:\"banner\";s:6:\"banner\";s:4:\"blog\";s:4:\"blog\";s:11:\"our_mission\";s:11:\"our_mission\";s:12:\"our_services\";s:12:\"our_services\";s:4:\"page\";s:4:\"page\";s:8:\"partners\";s:8:\"partners\";s:9:\"portfolio\";s:9:\"portfolio\";s:16:\"simplenews_issue\";s:16:\"simplenews_issue\";s:6:\"why_us\";s:6:\"why_us\";}}s:4:\"type\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:10:{s:7:\"article\";s:7:\"article\";s:6:\"banner\";s:6:\"banner\";s:4:\"blog\";s:4:\"blog\";s:11:\"our_mission\";s:11:\"our_mission\";s:12:\"our_services\";s:12:\"our_services\";s:4:\"page\";s:4:\"page\";s:8:\"partners\";s:8:\"partners\";s:9:\"portfolio\";s:9:\"portfolio\";s:16:\"simplenews_issue\";s:16:\"simplenews_issue\";s:6:\"why_us\";s:6:\"why_us\";}}s:18:\"revision_timestamp\";a:2:{s:4:\"type\";s:7:\"created\";s:7:\"bundles\";a:10:{s:7:\"article\";s:7:\"article\";s:6:\"banner\";s:6:\"banner\";s:4:\"blog\";s:4:\"blog\";s:11:\"our_mission\";s:11:\"our_mission\";s:12:\"our_services\";s:12:\"our_services\";s:4:\"page\";s:4:\"page\";s:8:\"partners\";s:8:\"partners\";s:9:\"portfolio\";s:9:\"portfolio\";s:16:\"simplenews_issue\";s:16:\"simplenews_issue\";s:6:\"why_us\";s:6:\"why_us\";}}s:12:\"revision_uid\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:10:{s:7:\"article\";s:7:\"article\";s:6:\"banner\";s:6:\"banner\";s:4:\"blog\";s:4:\"blog\";s:11:\"our_mission\";s:11:\"our_mission\";s:12:\"our_services\";s:12:\"our_services\";s:4:\"page\";s:4:\"page\";s:8:\"partners\";s:8:\"partners\";s:9:\"portfolio\";s:9:\"portfolio\";s:16:\"simplenews_issue\";s:16:\"simplenews_issue\";s:6:\"why_us\";s:6:\"why_us\";}}s:12:\"revision_log\";a:2:{s:4:\"type\";s:11:\"string_long\";s:7:\"bundles\";a:10:{s:7:\"article\";s:7:\"article\";s:6:\"banner\";s:6:\"banner\";s:4:\"blog\";s:4:\"blog\";s:11:\"our_mission\";s:11:\"our_mission\";s:12:\"our_services\";s:12:\"our_services\";s:4:\"page\";s:4:\"page\";s:8:\"partners\";s:8:\"partners\";s:9:\"portfolio\";s:9:\"portfolio\";s:16:\"simplenews_issue\";s:16:\"simplenews_issue\";s:6:\"why_us\";s:6:\"why_us\";}}s:6:\"status\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:10:{s:7:\"article\";s:7:\"article\";s:6:\"banner\";s:6:\"banner\";s:4:\"blog\";s:4:\"blog\";s:11:\"our_mission\";s:11:\"our_mission\";s:12:\"our_services\";s:12:\"our_services\";s:4:\"page\";s:4:\"page\";s:8:\"partners\";s:8:\"partners\";s:9:\"portfolio\";s:9:\"portfolio\";s:16:\"simplenews_issue\";s:16:\"simplenews_issue\";s:6:\"why_us\";s:6:\"why_us\";}}s:3:\"uid\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:10:{s:7:\"article\";s:7:\"article\";s:6:\"banner\";s:6:\"banner\";s:4:\"blog\";s:4:\"blog\";s:11:\"our_mission\";s:11:\"our_mission\";s:12:\"our_services\";s:12:\"our_services\";s:4:\"page\";s:4:\"page\";s:8:\"partners\";s:8:\"partners\";s:9:\"portfolio\";s:9:\"portfolio\";s:16:\"simplenews_issue\";s:16:\"simplenews_issue\";s:6:\"why_us\";s:6:\"why_us\";}}s:5:\"title\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:10:{s:7:\"article\";s:7:\"article\";s:6:\"banner\";s:6:\"banner\";s:4:\"blog\";s:4:\"blog\";s:11:\"our_mission\";s:11:\"our_mission\";s:12:\"our_services\";s:12:\"our_services\";s:4:\"page\";s:4:\"page\";s:8:\"partners\";s:8:\"partners\";s:9:\"portfolio\";s:9:\"portfolio\";s:16:\"simplenews_issue\";s:16:\"simplenews_issue\";s:6:\"why_us\";s:6:\"why_us\";}}s:7:\"created\";a:2:{s:4:\"type\";s:7:\"created\";s:7:\"bundles\";a:10:{s:7:\"article\";s:7:\"article\";s:6:\"banner\";s:6:\"banner\";s:4:\"blog\";s:4:\"blog\";s:11:\"our_mission\";s:11:\"our_mission\";s:12:\"our_services\";s:12:\"our_services\";s:4:\"page\";s:4:\"page\";s:8:\"partners\";s:8:\"partners\";s:9:\"portfolio\";s:9:\"portfolio\";s:16:\"simplenews_issue\";s:16:\"simplenews_issue\";s:6:\"why_us\";s:6:\"why_us\";}}s:7:\"changed\";a:2:{s:4:\"type\";s:7:\"changed\";s:7:\"bundles\";a:10:{s:7:\"article\";s:7:\"article\";s:6:\"banner\";s:6:\"banner\";s:4:\"blog\";s:4:\"blog\";s:11:\"our_mission\";s:11:\"our_mission\";s:12:\"our_services\";s:12:\"our_services\";s:4:\"page\";s:4:\"page\";s:8:\"partners\";s:8:\"partners\";s:9:\"portfolio\";s:9:\"portfolio\";s:16:\"simplenews_issue\";s:16:\"simplenews_issue\";s:6:\"why_us\";s:6:\"why_us\";}}s:7:\"promote\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:10:{s:7:\"article\";s:7:\"article\";s:6:\"banner\";s:6:\"banner\";s:4:\"blog\";s:4:\"blog\";s:11:\"our_mission\";s:11:\"our_mission\";s:12:\"our_services\";s:12:\"our_services\";s:4:\"page\";s:4:\"page\";s:8:\"partners\";s:8:\"partners\";s:9:\"portfolio\";s:9:\"portfolio\";s:16:\"simplenews_issue\";s:16:\"simplenews_issue\";s:6:\"why_us\";s:6:\"why_us\";}}s:6:\"sticky\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:10:{s:7:\"article\";s:7:\"article\";s:6:\"banner\";s:6:\"banner\";s:4:\"blog\";s:4:\"blog\";s:11:\"our_mission\";s:11:\"our_mission\";s:12:\"our_services\";s:12:\"our_services\";s:4:\"page\";s:4:\"page\";s:8:\"partners\";s:8:\"partners\";s:9:\"portfolio\";s:9:\"portfolio\";s:16:\"simplenews_issue\";s:16:\"simplenews_issue\";s:6:\"why_us\";s:6:\"why_us\";}}s:16:\"default_langcode\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:10:{s:7:\"article\";s:7:\"article\";s:6:\"banner\";s:6:\"banner\";s:4:\"blog\";s:4:\"blog\";s:11:\"our_mission\";s:11:\"our_mission\";s:12:\"our_services\";s:12:\"our_services\";s:4:\"page\";s:4:\"page\";s:8:\"partners\";s:8:\"partners\";s:9:\"portfolio\";s:9:\"portfolio\";s:16:\"simplenews_issue\";s:16:\"simplenews_issue\";s:6:\"why_us\";s:6:\"why_us\";}}s:16:\"revision_default\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:10:{s:7:\"article\";s:7:\"article\";s:6:\"banner\";s:6:\"banner\";s:4:\"blog\";s:4:\"blog\";s:11:\"our_mission\";s:11:\"our_mission\";s:12:\"our_services\";s:12:\"our_services\";s:4:\"page\";s:4:\"page\";s:8:\"partners\";s:8:\"partners\";s:9:\"portfolio\";s:9:\"portfolio\";s:16:\"simplenews_issue\";s:16:\"simplenews_issue\";s:6:\"why_us\";s:6:\"why_us\";}}s:29:\"revision_translation_affected\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:10:{s:7:\"article\";s:7:\"article\";s:6:\"banner\";s:6:\"banner\";s:4:\"blog\";s:4:\"blog\";s:11:\"our_mission\";s:11:\"our_mission\";s:12:\"our_services\";s:12:\"our_services\";s:4:\"page\";s:4:\"page\";s:8:\"partners\";s:8:\"partners\";s:9:\"portfolio\";s:9:\"portfolio\";s:16:\"simplenews_issue\";s:16:\"simplenews_issue\";s:6:\"why_us\";s:6:\"why_us\";}}s:26:\"content_translation_source\";a:2:{s:4:\"type\";s:8:\"language\";s:7:\"bundles\";a:10:{s:7:\"article\";s:7:\"article\";s:6:\"banner\";s:6:\"banner\";s:4:\"blog\";s:4:\"blog\";s:11:\"our_mission\";s:11:\"our_mission\";s:12:\"our_services\";s:12:\"our_services\";s:4:\"page\";s:4:\"page\";s:8:\"partners\";s:8:\"partners\";s:9:\"portfolio\";s:9:\"portfolio\";s:16:\"simplenews_issue\";s:16:\"simplenews_issue\";s:6:\"why_us\";s:6:\"why_us\";}}s:28:\"content_translation_outdated\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:10:{s:7:\"article\";s:7:\"article\";s:6:\"banner\";s:6:\"banner\";s:4:\"blog\";s:4:\"blog\";s:11:\"our_mission\";s:11:\"our_mission\";s:12:\"our_services\";s:12:\"our_services\";s:4:\"page\";s:4:\"page\";s:8:\"partners\";s:8:\"partners\";s:9:\"portfolio\";s:9:\"portfolio\";s:16:\"simplenews_issue\";s:16:\"simplenews_issue\";s:6:\"why_us\";s:6:\"why_us\";}}s:10:\"node_class\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:10:{s:7:\"article\";s:7:\"article\";s:6:\"banner\";s:6:\"banner\";s:4:\"blog\";s:4:\"blog\";s:11:\"our_mission\";s:11:\"our_mission\";s:12:\"our_services\";s:12:\"our_services\";s:4:\"page\";s:4:\"page\";s:8:\"partners\";s:8:\"partners\";s:9:\"portfolio\";s:9:\"portfolio\";s:16:\"simplenews_issue\";s:16:\"simplenews_issue\";s:6:\"why_us\";s:6:\"why_us\";}}s:13:\"mymodule_text\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:10:{s:7:\"article\";s:7:\"article\";s:6:\"banner\";s:6:\"banner\";s:4:\"blog\";s:4:\"blog\";s:11:\"our_mission\";s:11:\"our_mission\";s:12:\"our_services\";s:12:\"our_services\";s:4:\"page\";s:4:\"page\";s:8:\"partners\";s:8:\"partners\";s:9:\"portfolio\";s:9:\"portfolio\";s:16:\"simplenews_issue\";s:16:\"simplenews_issue\";s:6:\"why_us\";s:6:\"why_us\";}}s:4:\"path\";a:2:{s:4:\"type\";s:4:\"path\";s:7:\"bundles\";a:10:{s:7:\"article\";s:7:\"article\";s:6:\"banner\";s:6:\"banner\";s:4:\"blog\";s:4:\"blog\";s:11:\"our_mission\";s:11:\"our_mission\";s:12:\"our_services\";s:12:\"our_services\";s:4:\"page\";s:4:\"page\";s:8:\"partners\";s:8:\"partners\";s:9:\"portfolio\";s:9:\"portfolio\";s:16:\"simplenews_issue\";s:16:\"simplenews_issue\";s:6:\"why_us\";s:6:\"why_us\";}}s:9:\"menu_link\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:10:{s:7:\"article\";s:7:\"article\";s:6:\"banner\";s:6:\"banner\";s:4:\"blog\";s:4:\"blog\";s:11:\"our_mission\";s:11:\"our_mission\";s:12:\"our_services\";s:12:\"our_services\";s:4:\"page\";s:4:\"page\";s:8:\"partners\";s:8:\"partners\";s:9:\"portfolio\";s:9:\"portfolio\";s:16:\"simplenews_issue\";s:16:\"simplenews_issue\";s:6:\"why_us\";s:6:\"why_us\";}}s:11:\"field_image\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:4:{s:7:\"article\";s:7:\"article\";s:4:\"blog\";s:4:\"blog\";s:6:\"banner\";s:6:\"banner\";s:11:\"our_mission\";s:11:\"our_mission\";}}s:7:\"comment\";a:2:{s:4:\"type\";s:7:\"comment\";s:7:\"bundles\";a:2:{s:7:\"article\";s:7:\"article\";s:4:\"blog\";s:4:\"blog\";}}s:10:\"field_tags\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:2:{s:7:\"article\";s:7:\"article\";s:4:\"blog\";s:4:\"blog\";}}s:4:\"body\";a:2:{s:4:\"type\";s:17:\"text_with_summary\";s:7:\"bundles\";a:10:{s:4:\"page\";s:4:\"page\";s:7:\"article\";s:7:\"article\";s:8:\"partners\";s:8:\"partners\";s:9:\"portfolio\";s:9:\"portfolio\";s:4:\"blog\";s:4:\"blog\";s:6:\"banner\";s:6:\"banner\";s:16:\"simplenews_issue\";s:16:\"simplenews_issue\";s:11:\"our_mission\";s:11:\"our_mission\";s:6:\"why_us\";s:6:\"why_us\";s:12:\"our_services\";s:12:\"our_services\";}}s:14:\"field_partners\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:1:{s:8:\"partners\";s:8:\"partners\";}}s:10:\"field_link\";a:2:{s:4:\"type\";s:4:\"link\";s:7:\"bundles\";a:1:{s:8:\"partners\";s:8:\"partners\";}}s:13:\"field_gallery\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:1:{s:9:\"portfolio\";s:9:\"portfolio\";}}s:10:\"field_type\";a:2:{s:4:\"type\";s:11:\"list_string\";s:7:\"bundles\";a:1:{s:6:\"banner\";s:6:\"banner\";}}s:18:\"field_banner_title\";a:2:{s:4:\"type\";s:11:\"string_long\";s:7:\"bundles\";a:1:{s:6:\"banner\";s:6:\"banner\";}}s:16:\"simplenews_issue\";a:2:{s:4:\"type\";s:16:\"simplenews_issue\";s:7:\"bundles\";a:1:{s:16:\"simplenews_issue\";s:16:\"simplenews_issue\";}}s:15:\"field_slideshow\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:1:{s:4:\"blog\";s:4:\"blog\";}}s:16:\"field_icon_class\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:1:{s:4:\"page\";s:4:\"page\";}}s:12:\"field_banner\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:1:{s:7:\"article\";s:7:\"article\";}}s:13:\"field_percent\";a:2:{s:4:\"type\";s:5:\"float\";s:7:\"bundles\";a:1:{s:12:\"our_services\";s:12:\"our_services\";}}s:17:\"field_why_us_type\";a:2:{s:4:\"type\";s:11:\"list_string\";s:7:\"bundles\";a:1:{s:6:\"why_us\";s:6:\"why_us\";}}s:8:\"field_su\";a:2:{s:4:\"type\";s:9:\"text_long\";s:7:\"bundles\";a:1:{s:7:\"article\";s:7:\"article\";}}s:11:\"field_video\";a:2:{s:4:\"type\";s:17:\"video_embed_field\";s:7:\"bundles\";a:1:{s:4:\"blog\";s:4:\"blog\";}}}s:10:\"path_alias\";a:8:{s:2:\"id\";a:2:{s:4:\"type\";s:7:\"integer\";s:7:\"bundles\";a:1:{s:10:\"path_alias\";s:10:\"path_alias\";}}s:4:\"uuid\";a:2:{s:4:\"type\";s:4:\"uuid\";s:7:\"bundles\";a:1:{s:10:\"path_alias\";s:10:\"path_alias\";}}s:11:\"revision_id\";a:2:{s:4:\"type\";s:7:\"integer\";s:7:\"bundles\";a:1:{s:10:\"path_alias\";s:10:\"path_alias\";}}s:8:\"langcode\";a:2:{s:4:\"type\";s:8:\"language\";s:7:\"bundles\";a:1:{s:10:\"path_alias\";s:10:\"path_alias\";}}s:4:\"path\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:1:{s:10:\"path_alias\";s:10:\"path_alias\";}}s:5:\"alias\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:1:{s:10:\"path_alias\";s:10:\"path_alias\";}}s:6:\"status\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:1:{s:10:\"path_alias\";s:10:\"path_alias\";}}s:16:\"revision_default\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:1:{s:10:\"path_alias\";s:10:\"path_alias\";}}}s:8:\"shortcut\";a:8:{s:2:\"id\";a:2:{s:4:\"type\";s:7:\"integer\";s:7:\"bundles\";a:1:{s:7:\"default\";s:7:\"default\";}}s:4:\"uuid\";a:2:{s:4:\"type\";s:4:\"uuid\";s:7:\"bundles\";a:1:{s:7:\"default\";s:7:\"default\";}}s:8:\"langcode\";a:2:{s:4:\"type\";s:8:\"language\";s:7:\"bundles\";a:1:{s:7:\"default\";s:7:\"default\";}}s:12:\"shortcut_set\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:7:\"default\";s:7:\"default\";}}s:5:\"title\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:1:{s:7:\"default\";s:7:\"default\";}}s:6:\"weight\";a:2:{s:4:\"type\";s:7:\"integer\";s:7:\"bundles\";a:1:{s:7:\"default\";s:7:\"default\";}}s:4:\"link\";a:2:{s:4:\"type\";s:4:\"link\";s:7:\"bundles\";a:1:{s:7:\"default\";s:7:\"default\";}}s:16:\"default_langcode\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:1:{s:7:\"default\";s:7:\"default\";}}}s:21:\"simplenews_subscriber\";a:9:{s:2:\"id\";a:2:{s:4:\"type\";s:7:\"integer\";s:7:\"bundles\";a:1:{s:21:\"simplenews_subscriber\";s:21:\"simplenews_subscriber\";}}s:4:\"uuid\";a:2:{s:4:\"type\";s:4:\"uuid\";s:7:\"bundles\";a:1:{s:21:\"simplenews_subscriber\";s:21:\"simplenews_subscriber\";}}s:6:\"status\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:1:{s:21:\"simplenews_subscriber\";s:21:\"simplenews_subscriber\";}}s:4:\"mail\";a:2:{s:4:\"type\";s:5:\"email\";s:7:\"bundles\";a:1:{s:21:\"simplenews_subscriber\";s:21:\"simplenews_subscriber\";}}s:3:\"uid\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:21:\"simplenews_subscriber\";s:21:\"simplenews_subscriber\";}}s:8:\"langcode\";a:2:{s:4:\"type\";s:8:\"language\";s:7:\"bundles\";a:1:{s:21:\"simplenews_subscriber\";s:21:\"simplenews_subscriber\";}}s:7:\"changes\";a:2:{s:4:\"type\";s:11:\"string_long\";s:7:\"bundles\";a:1:{s:21:\"simplenews_subscriber\";s:21:\"simplenews_subscriber\";}}s:7:\"created\";a:2:{s:4:\"type\";s:7:\"created\";s:7:\"bundles\";a:1:{s:21:\"simplenews_subscriber\";s:21:\"simplenews_subscriber\";}}s:13:\"subscriptions\";a:2:{s:4:\"type\";s:23:\"simplenews_subscription\";s:7:\"bundles\";a:1:{s:21:\"simplenews_subscriber\";s:21:\"simplenews_subscriber\";}}}s:13:\"taxonomy_term\";a:22:{s:3:\"tid\";a:2:{s:4:\"type\";s:7:\"integer\";s:7:\"bundles\";a:1:{s:4:\"tags\";s:4:\"tags\";}}s:4:\"uuid\";a:2:{s:4:\"type\";s:4:\"uuid\";s:7:\"bundles\";a:1:{s:4:\"tags\";s:4:\"tags\";}}s:11:\"revision_id\";a:2:{s:4:\"type\";s:7:\"integer\";s:7:\"bundles\";a:1:{s:4:\"tags\";s:4:\"tags\";}}s:8:\"langcode\";a:2:{s:4:\"type\";s:8:\"language\";s:7:\"bundles\";a:1:{s:4:\"tags\";s:4:\"tags\";}}s:3:\"vid\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:4:\"tags\";s:4:\"tags\";}}s:16:\"revision_created\";a:2:{s:4:\"type\";s:7:\"created\";s:7:\"bundles\";a:1:{s:4:\"tags\";s:4:\"tags\";}}s:13:\"revision_user\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:4:\"tags\";s:4:\"tags\";}}s:20:\"revision_log_message\";a:2:{s:4:\"type\";s:11:\"string_long\";s:7:\"bundles\";a:1:{s:4:\"tags\";s:4:\"tags\";}}s:6:\"status\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:1:{s:4:\"tags\";s:4:\"tags\";}}s:4:\"name\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:1:{s:4:\"tags\";s:4:\"tags\";}}s:11:\"description\";a:2:{s:4:\"type\";s:9:\"text_long\";s:7:\"bundles\";a:1:{s:4:\"tags\";s:4:\"tags\";}}s:6:\"weight\";a:2:{s:4:\"type\";s:7:\"integer\";s:7:\"bundles\";a:1:{s:4:\"tags\";s:4:\"tags\";}}s:6:\"parent\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:4:\"tags\";s:4:\"tags\";}}s:7:\"changed\";a:2:{s:4:\"type\";s:7:\"changed\";s:7:\"bundles\";a:1:{s:4:\"tags\";s:4:\"tags\";}}s:16:\"default_langcode\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:1:{s:4:\"tags\";s:4:\"tags\";}}s:16:\"revision_default\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:1:{s:4:\"tags\";s:4:\"tags\";}}s:29:\"revision_translation_affected\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:1:{s:4:\"tags\";s:4:\"tags\";}}s:26:\"content_translation_source\";a:2:{s:4:\"type\";s:8:\"language\";s:7:\"bundles\";a:1:{s:4:\"tags\";s:4:\"tags\";}}s:28:\"content_translation_outdated\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:1:{s:4:\"tags\";s:4:\"tags\";}}s:23:\"content_translation_uid\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:4:\"tags\";s:4:\"tags\";}}s:27:\"content_translation_created\";a:2:{s:4:\"type\";s:7:\"created\";s:7:\"bundles\";a:1:{s:4:\"tags\";s:4:\"tags\";}}s:4:\"path\";a:2:{s:4:\"type\";s:4:\"path\";s:7:\"bundles\";a:1:{s:4:\"tags\";s:4:\"tags\";}}}s:4:\"user\";a:24:{s:3:\"uid\";a:2:{s:4:\"type\";s:7:\"integer\";s:7:\"bundles\";a:1:{s:4:\"user\";s:4:\"user\";}}s:4:\"uuid\";a:2:{s:4:\"type\";s:4:\"uuid\";s:7:\"bundles\";a:1:{s:4:\"user\";s:4:\"user\";}}s:8:\"langcode\";a:2:{s:4:\"type\";s:8:\"language\";s:7:\"bundles\";a:1:{s:4:\"user\";s:4:\"user\";}}s:18:\"preferred_langcode\";a:2:{s:4:\"type\";s:8:\"language\";s:7:\"bundles\";a:1:{s:4:\"user\";s:4:\"user\";}}s:24:\"preferred_admin_langcode\";a:2:{s:4:\"type\";s:8:\"language\";s:7:\"bundles\";a:1:{s:4:\"user\";s:4:\"user\";}}s:4:\"name\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:1:{s:4:\"user\";s:4:\"user\";}}s:4:\"pass\";a:2:{s:4:\"type\";s:8:\"password\";s:7:\"bundles\";a:1:{s:4:\"user\";s:4:\"user\";}}s:4:\"mail\";a:2:{s:4:\"type\";s:5:\"email\";s:7:\"bundles\";a:1:{s:4:\"user\";s:4:\"user\";}}s:8:\"timezone\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:1:{s:4:\"user\";s:4:\"user\";}}s:6:\"status\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:1:{s:4:\"user\";s:4:\"user\";}}s:7:\"created\";a:2:{s:4:\"type\";s:7:\"created\";s:7:\"bundles\";a:1:{s:4:\"user\";s:4:\"user\";}}s:7:\"changed\";a:2:{s:4:\"type\";s:7:\"changed\";s:7:\"bundles\";a:1:{s:4:\"user\";s:4:\"user\";}}s:6:\"access\";a:2:{s:4:\"type\";s:9:\"timestamp\";s:7:\"bundles\";a:1:{s:4:\"user\";s:4:\"user\";}}s:5:\"login\";a:2:{s:4:\"type\";s:9:\"timestamp\";s:7:\"bundles\";a:1:{s:4:\"user\";s:4:\"user\";}}s:4:\"init\";a:2:{s:4:\"type\";s:5:\"email\";s:7:\"bundles\";a:1:{s:4:\"user\";s:4:\"user\";}}s:5:\"roles\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:4:\"user\";s:4:\"user\";}}s:16:\"default_langcode\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:1:{s:4:\"user\";s:4:\"user\";}}s:26:\"content_translation_source\";a:2:{s:4:\"type\";s:8:\"language\";s:7:\"bundles\";a:1:{s:4:\"user\";s:4:\"user\";}}s:28:\"content_translation_outdated\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:1:{s:4:\"user\";s:4:\"user\";}}s:23:\"content_translation_uid\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:4:\"user\";s:4:\"user\";}}s:26:\"content_translation_status\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:1:{s:4:\"user\";s:4:\"user\";}}s:27:\"content_translation_created\";a:2:{s:4:\"type\";s:7:\"created\";s:7:\"bundles\";a:1:{s:4:\"user\";s:4:\"user\";}}s:4:\"path\";a:2:{s:4:\"type\";s:4:\"path\";s:7:\"bundles\";a:1:{s:4:\"user\";s:4:\"user\";}}s:12:\"user_picture\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:1:{s:4:\"user\";s:4:\"user\";}}}s:17:\"menu_link_content\";a:22:{s:2:\"id\";a:2:{s:4:\"type\";s:7:\"integer\";s:7:\"bundles\";a:1:{s:17:\"menu_link_content\";s:17:\"menu_link_content\";}}s:4:\"uuid\";a:2:{s:4:\"type\";s:4:\"uuid\";s:7:\"bundles\";a:1:{s:17:\"menu_link_content\";s:17:\"menu_link_content\";}}s:11:\"revision_id\";a:2:{s:4:\"type\";s:7:\"integer\";s:7:\"bundles\";a:1:{s:17:\"menu_link_content\";s:17:\"menu_link_content\";}}s:8:\"langcode\";a:2:{s:4:\"type\";s:8:\"language\";s:7:\"bundles\";a:1:{s:17:\"menu_link_content\";s:17:\"menu_link_content\";}}s:6:\"bundle\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:1:{s:17:\"menu_link_content\";s:17:\"menu_link_content\";}}s:16:\"revision_created\";a:2:{s:4:\"type\";s:7:\"created\";s:7:\"bundles\";a:1:{s:17:\"menu_link_content\";s:17:\"menu_link_content\";}}s:13:\"revision_user\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:1:{s:17:\"menu_link_content\";s:17:\"menu_link_content\";}}s:20:\"revision_log_message\";a:2:{s:4:\"type\";s:11:\"string_long\";s:7:\"bundles\";a:1:{s:17:\"menu_link_content\";s:17:\"menu_link_content\";}}s:7:\"enabled\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:1:{s:17:\"menu_link_content\";s:17:\"menu_link_content\";}}s:5:\"title\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:1:{s:17:\"menu_link_content\";s:17:\"menu_link_content\";}}s:11:\"description\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:1:{s:17:\"menu_link_content\";s:17:\"menu_link_content\";}}s:9:\"menu_name\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:1:{s:17:\"menu_link_content\";s:17:\"menu_link_content\";}}s:4:\"link\";a:2:{s:4:\"type\";s:4:\"link\";s:7:\"bundles\";a:1:{s:17:\"menu_link_content\";s:17:\"menu_link_content\";}}s:8:\"external\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:1:{s:17:\"menu_link_content\";s:17:\"menu_link_content\";}}s:10:\"rediscover\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:1:{s:17:\"menu_link_content\";s:17:\"menu_link_content\";}}s:6:\"weight\";a:2:{s:4:\"type\";s:7:\"integer\";s:7:\"bundles\";a:1:{s:17:\"menu_link_content\";s:17:\"menu_link_content\";}}s:8:\"expanded\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:1:{s:17:\"menu_link_content\";s:17:\"menu_link_content\";}}s:6:\"parent\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:1:{s:17:\"menu_link_content\";s:17:\"menu_link_content\";}}s:7:\"changed\";a:2:{s:4:\"type\";s:7:\"changed\";s:7:\"bundles\";a:1:{s:17:\"menu_link_content\";s:17:\"menu_link_content\";}}s:16:\"default_langcode\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:1:{s:17:\"menu_link_content\";s:17:\"menu_link_content\";}}s:16:\"revision_default\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:1:{s:17:\"menu_link_content\";s:17:\"menu_link_content\";}}s:29:\"revision_translation_affected\";a:2:{s:4:\"type\";s:7:\"boolean\";s:7:\"bundles\";a:1:{s:17:\"menu_link_content\";s:17:\"menu_link_content\";}}}}',-1,1636011226.824,1,'entity_field_info entity_types','140'),('entity_field_storage_definitions:block_content:en','a:1:{s:4:\"body\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:5:\"\0*\0id\";s:18:\"block_content.body\";s:13:\"\0*\0field_name\";s:4:\"body\";s:14:\"\0*\0entity_type\";s:13:\"block_content\";s:7:\"\0*\0type\";s:17:\"text_with_summary\";s:9:\"\0*\0module\";s:4:\"text\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:1;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:13:\"\0*\0originalId\";s:18:\"block_content.body\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"376513d3-9d75-4403-b578-ad97f71231fa\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:1:{s:19:\"default_config_hash\";s:43:\"eS0snV_L3dx9shtWRTzm5eblwOJ7qKWC9IE-4GMTDFc\";}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:13:\"block_content\";i:1;s:4:\"text\";}}s:12:\"\0*\0isSyncing\";b:0;}}',-1,1636011226.664,1,'entity_field_info entity_types','140'),('entity_field_storage_definitions:comment:en','a:1:{s:12:\"comment_body\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:5:\"\0*\0id\";s:20:\"comment.comment_body\";s:13:\"\0*\0field_name\";s:12:\"comment_body\";s:14:\"\0*\0entity_type\";s:7:\"comment\";s:7:\"\0*\0type\";s:9:\"text_long\";s:9:\"\0*\0module\";s:4:\"text\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:1;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:13:\"\0*\0originalId\";s:20:\"comment.comment_body\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"9b748097-7a4f-464f-96c4-4aa975cb0c86\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:1:{s:19:\"default_config_hash\";s:43:\"swYoCch_hY8QO5uwr4FURplfnUCUlpPB4idF8WGVCpw\";}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:7:\"comment\";i:1;s:4:\"text\";}}s:12:\"\0*\0isSyncing\";b:0;}}',-1,1636011226.725,1,'entity_field_info entity_types','140'),('entity_field_storage_definitions:file:en','a:0:{}',-1,1636011226.832,1,'entity_field_info entity_types','140'),('entity_field_storage_definitions:node:en','a:17:{s:4:\"body\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:5:\"\0*\0id\";s:9:\"node.body\";s:13:\"\0*\0field_name\";s:4:\"body\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:17:\"text_with_summary\";s:9:\"\0*\0module\";s:4:\"text\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:1;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:13:\"\0*\0originalId\";s:9:\"node.body\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"5b4f7200-9ce1-47fd-8771-3f4f0fe45388\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:1:{s:19:\"default_config_hash\";s:43:\"EBUo7qOWqaiZaQ_RC9sLY5IoDKphS34v77VIHSACmVY\";}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:4:\"text\";}}s:12:\"\0*\0isSyncing\";b:0;}s:7:\"comment\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:5:\"\0*\0id\";s:12:\"node.comment\";s:13:\"\0*\0field_name\";s:7:\"comment\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:7:\"comment\";s:9:\"\0*\0module\";s:7:\"comment\";s:11:\"\0*\0settings\";a:1:{s:12:\"comment_type\";s:7:\"comment\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:13:\"\0*\0originalId\";s:12:\"node.comment\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"2664db21-7715-460e-85f4-70b5c70ba1bc\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:1:{s:19:\"default_config_hash\";s:43:\"ktCna9xmWvYZIUfOCUyDQvedn5RtnS4CRmEIwNmvYjc\";}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:7:\"comment\";i:1;s:4:\"node\";}}s:12:\"\0*\0isSyncing\";b:0;}s:12:\"field_banner\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:5:\"\0*\0id\";s:17:\"node.field_banner\";s:13:\"\0*\0field_name\";s:12:\"field_banner\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:13:\"\0*\0originalId\";s:17:\"node.field_banner\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"c66cc57d-76b7-4dc9-994b-f68c4bcf6e0d\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:4:\"file\";i:1;s:5:\"image\";i:2;s:4:\"node\";}}s:12:\"\0*\0isSyncing\";b:0;}s:18:\"field_banner_title\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:5:\"\0*\0id\";s:23:\"node.field_banner_title\";s:13:\"\0*\0field_name\";s:18:\"field_banner_title\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:14:\"case_sensitive\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:13:\"\0*\0originalId\";s:23:\"node.field_banner_title\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"5a5cb1c4-0b64-4ad6-931e-858dafc0789f\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:12:\"\0*\0isSyncing\";b:0;}s:13:\"field_gallery\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:5:\"\0*\0id\";s:18:\"node.field_gallery\";s:13:\"\0*\0field_name\";s:13:\"field_gallery\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:13:\"\0*\0originalId\";s:18:\"node.field_gallery\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"1517bdc8-d091-4e0f-8a1c-d287bd383250\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:4:\"file\";i:1;s:5:\"image\";i:2;s:4:\"node\";}}s:12:\"\0*\0isSyncing\";b:0;}s:16:\"field_icon_class\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:5:\"\0*\0id\";s:21:\"node.field_icon_class\";s:13:\"\0*\0field_name\";s:16:\"field_icon_class\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:13:\"\0*\0originalId\";s:21:\"node.field_icon_class\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"7779bda3-6dd2-4c89-ad2a-3b07a9adc912\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:12:\"\0*\0isSyncing\";b:0;}s:11:\"field_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:5:\"\0*\0id\";s:16:\"node.field_image\";s:13:\"\0*\0field_name\";s:11:\"field_image\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";N;s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:10:\"\0*\0deleted\";b:0;s:13:\"\0*\0originalId\";s:16:\"node.field_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"99270b75-d166-44ea-adc5-35245a8806e2\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:1:{s:19:\"default_config_hash\";s:43:\"SkXIPKZYiIMMtnBmfnxk58RYfbZ8cHSw5NZPY_JByME\";}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:4:\"file\";i:1;s:5:\"image\";i:2;s:4:\"node\";}}s:12:\"\0*\0isSyncing\";b:0;}s:10:\"field_link\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:5:\"\0*\0id\";s:15:\"node.field_link\";s:13:\"\0*\0field_name\";s:10:\"field_link\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:4:\"link\";s:9:\"\0*\0module\";s:4:\"link\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:13:\"\0*\0originalId\";s:15:\"node.field_link\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"53c02de5-9554-4167-89f9-66e39fb7652a\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"link\";i:1;s:4:\"node\";}}s:12:\"\0*\0isSyncing\";b:0;}s:14:\"field_partners\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:5:\"\0*\0id\";s:19:\"node.field_partners\";s:13:\"\0*\0field_name\";s:14:\"field_partners\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:13:\"\0*\0originalId\";s:19:\"node.field_partners\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"631deb2f-20f7-4e93-9457-e3bfe1c8cd19\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:4:\"file\";i:1;s:5:\"image\";i:2;s:4:\"node\";}}s:12:\"\0*\0isSyncing\";b:0;}s:13:\"field_percent\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:5:\"\0*\0id\";s:18:\"node.field_percent\";s:13:\"\0*\0field_name\";s:13:\"field_percent\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:5:\"float\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:13:\"\0*\0originalId\";s:18:\"node.field_percent\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"cab51041-9a45-4c8f-a921-be60ddfa27ce\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:12:\"\0*\0isSyncing\";b:0;}s:15:\"field_slideshow\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:5:\"\0*\0id\";s:20:\"node.field_slideshow\";s:13:\"\0*\0field_name\";s:15:\"field_slideshow\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:13:\"\0*\0originalId\";s:20:\"node.field_slideshow\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"de75d22f-44ac-4dd0-a92b-10683cfca971\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:4:\"file\";i:1;s:5:\"image\";i:2;s:4:\"node\";}}s:12:\"\0*\0isSyncing\";b:0;}s:8:\"field_su\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:5:\"\0*\0id\";s:13:\"node.field_su\";s:13:\"\0*\0field_name\";s:8:\"field_su\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:9:\"text_long\";s:9:\"\0*\0module\";s:4:\"text\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:13:\"\0*\0originalId\";s:13:\"node.field_su\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"51ea101f-de2d-4147-92f2-a1aa27aa9be8\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:4:\"text\";}}s:12:\"\0*\0isSyncing\";b:0;}s:10:\"field_tags\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:5:\"\0*\0id\";s:15:\"node.field_tags\";s:13:\"\0*\0field_name\";s:10:\"field_tags\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:13:\"taxonomy_term\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:13:\"\0*\0originalId\";s:15:\"node.field_tags\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"b12e67cb-3bac-442c-b039-65ce91937ca5\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:1:{s:19:\"default_config_hash\";s:43:\"WpOE_bs8Bs_HY2ns7n2r__de-xno0-Bxkqep5-MsHAs\";}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:8:\"taxonomy\";}}s:12:\"\0*\0isSyncing\";b:0;}s:10:\"field_type\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:5:\"\0*\0id\";s:15:\"node.field_type\";s:13:\"\0*\0field_name\";s:10:\"field_type\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:11:\"list_string\";s:9:\"\0*\0module\";s:7:\"options\";s:11:\"\0*\0settings\";a:2:{s:14:\"allowed_values\";a:8:{i:1;s:12:\"Blog details\";i:2;s:9:\"Blog page\";i:3;s:17:\"Portfolio details\";i:4;s:14:\"Portfolio page\";i:5;s:8:\"About us\";i:6;s:7:\"Service\";i:7;s:7:\"Contact\";i:8;s:14:\"Userlogin page\";}s:23:\"allowed_values_function\";s:0:\"\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:13:\"\0*\0originalId\";s:15:\"node.field_type\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"77a6aad6-0a3f-4c7a-914d-cfc651a97328\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:7:\"options\";}}s:12:\"\0*\0isSyncing\";b:0;}s:11:\"field_video\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:5:\"\0*\0id\";s:16:\"node.field_video\";s:13:\"\0*\0field_name\";s:11:\"field_video\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:17:\"video_embed_field\";s:9:\"\0*\0module\";s:17:\"video_embed_field\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:13:\"\0*\0originalId\";s:16:\"node.field_video\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"9b3c12ca-5601-4aa1-9786-aa727082ca17\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:17:\"video_embed_field\";}}s:12:\"\0*\0isSyncing\";b:0;}s:17:\"field_why_us_type\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:5:\"\0*\0id\";s:22:\"node.field_why_us_type\";s:13:\"\0*\0field_name\";s:17:\"field_why_us_type\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:11:\"list_string\";s:9:\"\0*\0module\";s:7:\"options\";s:11:\"\0*\0settings\";a:2:{s:14:\"allowed_values\";a:2:{i:1;s:8:\"About us\";i:2;s:8:\"Services\";}s:23:\"allowed_values_function\";s:0:\"\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:13:\"\0*\0originalId\";s:22:\"node.field_why_us_type\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"a50b1fb6-85ee-4dd7-bd60-1d1b3f59bffa\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:7:\"options\";}}s:12:\"\0*\0isSyncing\";b:0;}s:16:\"simplenews_issue\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:5:\"\0*\0id\";s:21:\"node.simplenews_issue\";s:13:\"\0*\0field_name\";s:16:\"simplenews_issue\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:16:\"simplenews_issue\";s:9:\"\0*\0module\";s:10:\"simplenews\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:21:\"simplenews_newsletter\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:13:\"\0*\0originalId\";s:21:\"node.simplenews_issue\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"1b245196-bf51-4c0b-b807-66f1b282e695\";s:11:\"\0*\0langcode\";s:3:\"und\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:1:{s:19:\"default_config_hash\";s:43:\"WH-ddyUo4oWNnk6HaulK2RLdPTM4CV0xBZSj5HFqAnQ\";}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:10:\"simplenews\";}}s:12:\"\0*\0isSyncing\";b:0;}}',-1,1636011226.856,1,'entity_field_info entity_types','140'),('entity_field_storage_definitions:path_alias:en','a:0:{}',-1,1636011227.842,1,'entity_field_info entity_types','140'),('entity_field_storage_definitions:simplenews_subscriber:en','a:1:{s:13:\"subscriptions\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:5:\"\0*\0id\";s:35:\"simplenews_subscriber.subscriptions\";s:13:\"\0*\0field_name\";s:13:\"subscriptions\";s:14:\"\0*\0entity_type\";s:21:\"simplenews_subscriber\";s:7:\"\0*\0type\";s:23:\"simplenews_subscription\";s:9:\"\0*\0module\";s:10:\"simplenews\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:21:\"simplenews_newsletter\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:13:\"\0*\0originalId\";s:35:\"simplenews_subscriber.subscriptions\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"c7e7a770-0ad8-43e0-a3dd-f26ab3f0870b\";s:11:\"\0*\0langcode\";s:3:\"und\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:1:{s:19:\"default_config_hash\";s:43:\"wPBNO4_O9cizdnYp2mpq2Dd3O163g-2v5v6_yazR4MA\";}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:10:\"simplenews\";}}s:12:\"\0*\0isSyncing\";b:0;}}',-1,1636011226.883,1,'entity_field_info entity_types','140'),('entity_field_storage_definitions:taxonomy_term:en','a:0:{}',-1,1636011226.890,1,'entity_field_info entity_types','140'),('entity_field_storage_definitions:user:en','a:1:{s:12:\"user_picture\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:5:\"\0*\0id\";s:17:\"user.user_picture\";s:13:\"\0*\0field_name\";s:12:\"user_picture\";s:14:\"\0*\0entity_type\";s:4:\"user\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";N;s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:10:\"\0*\0deleted\";b:0;s:13:\"\0*\0originalId\";s:17:\"user.user_picture\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"e64d8313-b823-473d-b7c5-f51613cc8e75\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:1:{s:19:\"default_config_hash\";s:43:\"6k-VBFilDLuzgSOT-77CFgHFlcd5D-kqRixtH89EShU\";}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:4:\"file\";i:1;s:5:\"image\";i:2;s:4:\"user\";}}s:12:\"\0*\0isSyncing\";b:0;}}',-1,1636011226.909,1,'entity_field_info entity_types','140'),('entity_form_mode_info:en','a:2:{s:21:\"simplenews_subscriber\";a:3:{s:7:\"account\";a:9:{s:4:\"uuid\";s:36:\"3d9fe5e6-0bfe-469f-aa07-70c715e88cdd\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:10:\"simplenews\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"3Ly1xMx90SxhhhBmZjDhcBCQ4kyR4u7tS5vLgA84B2M\";}s:2:\"id\";s:29:\"simplenews_subscriber.account\";s:5:\"label\";s:7:\"Account\";s:16:\"targetEntityType\";s:21:\"simplenews_subscriber\";s:5:\"cache\";b:1;}s:5:\"block\";a:9:{s:4:\"uuid\";s:36:\"01473263-9e4a-4cb1-9d49-578c9fc816a3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:10:\"simplenews\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"7EIO8InzdeUlS1NCs5hq23QRzWmqAKGjeSqd3hQP62s\";}s:2:\"id\";s:27:\"simplenews_subscriber.block\";s:5:\"label\";s:5:\"Block\";s:16:\"targetEntityType\";s:21:\"simplenews_subscriber\";s:5:\"cache\";b:1;}s:4:\"page\";a:9:{s:4:\"uuid\";s:36:\"45aa92b8-6a12-44a0-aa54-8d9932eae7f9\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:10:\"simplenews\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"ZNiTMgBURMLUyp3dwxIn7Zz_hREzPRpyF2M-Dm3e1BI\";}s:2:\"id\";s:26:\"simplenews_subscriber.page\";s:5:\"label\";s:4:\"Page\";s:16:\"targetEntityType\";s:21:\"simplenews_subscriber\";s:5:\"cache\";b:1;}}s:4:\"user\";a:1:{s:8:\"register\";a:9:{s:4:\"uuid\";s:36:\"970e7df6-6557-4734-aca7-2e59c0b28555\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"flXhTcp55yLcyy7ZLOhPGKGZobZQJdkAFVWV3LseiuI\";}s:2:\"id\";s:13:\"user.register\";s:5:\"label\";s:8:\"Register\";s:16:\"targetEntityType\";s:4:\"user\";s:5:\"cache\";b:1;}}}',-1,1636012250.059,1,'entity_field_info entity_types','140'),('entity_type','a:41:{s:5:\"block\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":44:{s:16:\"\0*\0config_prefix\";N;s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:2:{i:0;s:5:\"theme\";i:1;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:8:{i:0;s:2:\"id\";i:1;s:5:\"theme\";i:2;s:6:\"region\";i:3;s:6:\"weight\";i:4;s:8:\"provider\";i:5;s:6:\"plugin\";i:6;s:8:\"settings\";i:7;s:10:\"visibility\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:6:\"status\";s:6:\"status\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:5:\"block\";s:16:\"\0*\0originalClass\";s:25:\"Drupal\\block\\Entity\\Block\";s:11:\"\0*\0handlers\";a:6:{s:6:\"access\";s:38:\"Drupal\\block\\BlockAccessControlHandler\";s:12:\"view_builder\";s:29:\"Drupal\\block\\BlockViewBuilder\";s:12:\"list_builder\";s:29:\"Drupal\\block\\BlockListBuilder\";s:4:\"form\";a:2:{s:7:\"default\";s:22:\"Drupal\\block\\BlockForm\";s:6:\"delete\";s:33:\"Drupal\\block\\Form\\BlockDeleteForm\";}s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";s:23:\"config_translation_list\";s:70:\"Drupal\\config_translation\\Controller\\ConfigTranslationBlockListBuilder\";}s:19:\"\0*\0admin_permission\";s:17:\"administer blocks\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:5:{s:11:\"delete-form\";s:44:\"/admin/structure/block/manage/{block}/delete\";s:9:\"edit-form\";s:37:\"/admin/structure/block/manage/{block}\";s:6:\"enable\";s:44:\"/admin/structure/block/manage/{block}/enable\";s:7:\"disable\";s:45:\"/admin/structure/block/manage/{block}/disable\";s:27:\"config-translation-overview\";s:47:\"/admin/structure/block/manage/{block}/translate\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Block\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Blocks\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"block\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"blocks\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:12:\"@count block\";s:6:\"plural\";s:13:\"@count blocks\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:17:\"config:block_list\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:5:\"block\";}s:8:\"\0*\0class\";s:25:\"Drupal\\block\\Entity\\Block\";s:11:\"\0*\0provider\";s:5:\"block\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}s:18:\"block_content_type\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":44:{s:16:\"\0*\0config_prefix\";s:4:\"type\";s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:4:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:8:\"revision\";i:3;s:11:\"description\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:18:\"block_content_type\";s:16:\"\0*\0originalClass\";s:44:\"Drupal\\block_content\\Entity\\BlockContentType\";s:11:\"\0*\0handlers\";a:6:{s:4:\"form\";a:4:{s:7:\"default\";s:41:\"Drupal\\block_content\\BlockContentTypeForm\";s:3:\"add\";s:41:\"Drupal\\block_content\\BlockContentTypeForm\";s:4:\"edit\";s:41:\"Drupal\\block_content\\BlockContentTypeForm\";s:6:\"delete\";s:52:\"Drupal\\block_content\\Form\\BlockContentTypeDeleteForm\";}s:14:\"route_provider\";a:1:{s:4:\"html\";s:49:\"Drupal\\Core\\Entity\\Routing\\AdminHtmlRouteProvider\";}s:12:\"list_builder\";s:48:\"Drupal\\block_content\\BlockContentTypeListBuilder\";s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";s:17:\"administer blocks\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:4:{s:11:\"delete-form\";s:71:\"/admin/structure/block/block-content/manage/{block_content_type}/delete\";s:9:\"edit-form\";s:64:\"/admin/structure/block/block-content/manage/{block_content_type}\";s:10:\"collection\";s:42:\"/admin/structure/block/block-content/types\";s:27:\"config-translation-overview\";s:74:\"/admin/structure/block/block-content/manage/{block_content_type}/translate\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";s:13:\"block_content\";s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Custom block type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Custom block library\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"custom block type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"custom block types\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:24:\"@count custom block type\";s:6:\"plural\";s:25:\"@count custom block types\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:30:\"config:block_content_type_list\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:18:\"block_content_type\";}s:8:\"\0*\0class\";s:44:\"Drupal\\block_content\\Entity\\BlockContentType\";s:11:\"\0*\0provider\";s:13:\"block_content\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}s:13:\"block_content\";O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":42:{s:25:\"\0*\0revision_metadata_keys\";a:4:{s:13:\"revision_user\";s:13:\"revision_user\";s:16:\"revision_created\";s:16:\"revision_created\";s:20:\"revision_log_message\";s:12:\"revision_log\";s:16:\"revision_default\";s:16:\"revision_default\";}s:31:\"\0*\0requiredRevisionMetadataKeys\";a:1:{s:16:\"revision_default\";s:16:\"revision_default\";}s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:0;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:9:{s:2:\"id\";s:2:\"id\";s:8:\"revision\";s:11:\"revision_id\";s:6:\"bundle\";s:4:\"type\";s:5:\"label\";s:4:\"info\";s:8:\"langcode\";s:8:\"langcode\";s:4:\"uuid\";s:4:\"uuid\";s:9:\"published\";s:6:\"status\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";}s:5:\"\0*\0id\";s:13:\"block_content\";s:16:\"\0*\0originalClass\";s:40:\"Drupal\\block_content\\Entity\\BlockContent\";s:11:\"\0*\0handlers\";a:7:{s:7:\"storage\";s:46:\"Drupal\\Core\\Entity\\Sql\\SqlContentEntityStorage\";s:6:\"access\";s:53:\"Drupal\\block_content\\BlockContentAccessControlHandler\";s:12:\"list_builder\";s:44:\"Drupal\\block_content\\BlockContentListBuilder\";s:12:\"view_builder\";s:44:\"Drupal\\block_content\\BlockContentViewBuilder\";s:10:\"views_data\";s:42:\"Drupal\\block_content\\BlockContentViewsData\";s:4:\"form\";a:5:{s:3:\"add\";s:37:\"Drupal\\block_content\\BlockContentForm\";s:4:\"edit\";s:37:\"Drupal\\block_content\\BlockContentForm\";s:6:\"delete\";s:48:\"Drupal\\block_content\\Form\\BlockContentDeleteForm\";s:7:\"default\";s:37:\"Drupal\\block_content\\BlockContentForm\";s:28:\"content_translation_deletion\";s:61:\"\\Drupal\\content_translation\\Form\\ContentTranslationDeleteForm\";}s:11:\"translation\";s:51:\"Drupal\\block_content\\BlockContentTranslationHandler\";}s:19:\"\0*\0admin_permission\";s:17:\"administer blocks\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:9:{s:9:\"canonical\";s:22:\"/block/{block_content}\";s:11:\"delete-form\";s:29:\"/block/{block_content}/delete\";s:9:\"edit-form\";s:22:\"/block/{block_content}\";s:10:\"collection\";s:36:\"/admin/structure/block/block-content\";s:6:\"create\";s:6:\"/block\";s:35:\"drupal:content-translation-overview\";s:35:\"/block/{block_content}/translations\";s:30:\"drupal:content-translation-add\";s:57:\"/block/{block_content}/translations/add/{source}/{target}\";s:31:\"drupal:content-translation-edit\";s:51:\"/block/{block_content}/translations/edit/{language}\";s:33:\"drupal:content-translation-delete\";s:53:\"/block/{block_content}/translations/delete/{language}\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";s:18:\"block_content_type\";s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Custom block type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"\0*\0base_table\";s:13:\"block_content\";s:22:\"\0*\0revision_data_table\";s:28:\"block_content_field_revision\";s:17:\"\0*\0revision_table\";s:22:\"block_content_revision\";s:13:\"\0*\0data_table\";s:24:\"block_content_field_data\";s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:1;s:19:\"\0*\0show_revision_ui\";b:1;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Custom block\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Custom blocks\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"custom block\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"custom blocks\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:19:\"@count custom block\";s:6:\"plural\";s:20:\"@count custom blocks\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";s:35:\"entity.block_content_type.edit_form\";s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:18:\"block_content_list\";}s:14:\"\0*\0constraints\";a:3:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:3:{s:11:\"translation\";a:2:{s:13:\"block_content\";b:1;s:19:\"content_translation\";a:1:{s:15:\"access_callback\";s:36:\"content_translation_translate_access\";}}s:10:\"token_type\";s:13:\"block_content\";s:28:\"content_translation_metadata\";s:60:\"Drupal\\content_translation\\ContentTranslationMetadataWrapper\";}s:8:\"\0*\0class\";s:40:\"Drupal\\block_content\\Entity\\BlockContent\";s:11:\"\0*\0provider\";s:13:\"block_content\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}s:12:\"comment_type\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":44:{s:16:\"\0*\0config_prefix\";s:4:\"type\";s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:4:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:21:\"target_entity_type_id\";i:3;s:11:\"description\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:12:\"comment_type\";s:16:\"\0*\0originalClass\";s:33:\"Drupal\\comment\\Entity\\CommentType\";s:11:\"\0*\0handlers\";a:5:{s:4:\"form\";a:4:{s:7:\"default\";s:30:\"Drupal\\comment\\CommentTypeForm\";s:3:\"add\";s:30:\"Drupal\\comment\\CommentTypeForm\";s:4:\"edit\";s:30:\"Drupal\\comment\\CommentTypeForm\";s:6:\"delete\";s:41:\"Drupal\\comment\\Form\\CommentTypeDeleteForm\";}s:12:\"list_builder\";s:37:\"Drupal\\comment\\CommentTypeListBuilder\";s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";s:24:\"administer comment types\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:5:{s:11:\"delete-form\";s:53:\"/admin/structure/comment/manage/{comment_type}/delete\";s:9:\"edit-form\";s:46:\"/admin/structure/comment/manage/{comment_type}\";s:8:\"add-form\";s:34:\"/admin/structure/comment/types/add\";s:10:\"collection\";s:24:\"/admin/structure/comment\";s:27:\"config-translation-overview\";s:56:\"/admin/structure/comment/manage/{comment_type}/translate\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";s:7:\"comment\";s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Comment type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"comment type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"comment types\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:19:\"@count comment type\";s:6:\"plural\";s:20:\"@count comment types\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:24:\"config:comment_type_list\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:12:\"comment_type\";}s:8:\"\0*\0class\";s:33:\"Drupal\\comment\\Entity\\CommentType\";s:11:\"\0*\0provider\";s:7:\"comment\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}s:7:\"comment\";O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":42:{s:25:\"\0*\0revision_metadata_keys\";a:1:{s:16:\"revision_default\";s:16:\"revision_default\";}s:31:\"\0*\0requiredRevisionMetadataKeys\";a:1:{s:16:\"revision_default\";s:16:\"revision_default\";}s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:10:{s:2:\"id\";s:3:\"cid\";s:6:\"bundle\";s:12:\"comment_type\";s:5:\"label\";s:7:\"subject\";s:8:\"langcode\";s:8:\"langcode\";s:4:\"uuid\";s:4:\"uuid\";s:9:\"published\";s:6:\"status\";s:5:\"owner\";s:3:\"uid\";s:8:\"revision\";s:0:\"\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";}s:5:\"\0*\0id\";s:7:\"comment\";s:16:\"\0*\0originalClass\";s:29:\"Drupal\\comment\\Entity\\Comment\";s:11:\"\0*\0handlers\";a:8:{s:7:\"storage\";s:29:\"Drupal\\comment\\CommentStorage\";s:14:\"storage_schema\";s:35:\"Drupal\\comment\\CommentStorageSchema\";s:6:\"access\";s:42:\"Drupal\\comment\\CommentAccessControlHandler\";s:12:\"list_builder\";s:36:\"Drupal\\Core\\Entity\\EntityListBuilder\";s:12:\"view_builder\";s:33:\"Drupal\\comment\\CommentViewBuilder\";s:10:\"views_data\";s:31:\"Drupal\\comment\\CommentViewsData\";s:4:\"form\";a:3:{s:7:\"default\";s:26:\"Drupal\\comment\\CommentForm\";s:6:\"delete\";s:30:\"Drupal\\comment\\Form\\DeleteForm\";s:28:\"content_translation_deletion\";s:61:\"\\Drupal\\content_translation\\Form\\ContentTranslationDeleteForm\";}s:11:\"translation\";s:40:\"Drupal\\comment\\CommentTranslationHandler\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:9:{s:9:\"canonical\";s:18:\"/comment/{comment}\";s:11:\"delete-form\";s:25:\"/comment/{comment}/delete\";s:20:\"delete-multiple-form\";s:29:\"/admin/content/comment/delete\";s:9:\"edit-form\";s:23:\"/comment/{comment}/edit\";s:6:\"create\";s:8:\"/comment\";s:35:\"drupal:content-translation-overview\";s:31:\"/comment/{comment}/translations\";s:30:\"drupal:content-translation-add\";s:53:\"/comment/{comment}/translations/add/{source}/{target}\";s:31:\"drupal:content-translation-edit\";s:47:\"/comment/{comment}/translations/edit/{language}\";s:33:\"drupal:content-translation-delete\";s:49:\"/comment/{comment}/translations/delete/{language}\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";s:12:\"comment_type\";s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Comment type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"\0*\0base_table\";s:7:\"comment\";s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";s:18:\"comment_field_data\";s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:1;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Comment\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"comment\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"comments\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:14:\"@count comment\";s:6:\"plural\";s:15:\"@count comments\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";s:11:\"comment_uri\";s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";s:29:\"entity.comment_type.edit_form\";s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:12:\"comment_list\";}s:14:\"\0*\0constraints\";a:4:{s:11:\"CommentName\";a:0:{}s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:3:{s:10:\"token_type\";s:7:\"comment\";s:28:\"content_translation_metadata\";s:60:\"Drupal\\content_translation\\ContentTranslationMetadataWrapper\";s:11:\"translation\";a:1:{s:19:\"content_translation\";a:1:{s:15:\"access_callback\";s:36:\"content_translation_translate_access\";}}}s:8:\"\0*\0class\";s:29:\"Drupal\\comment\\Entity\\Comment\";s:11:\"\0*\0provider\";s:7:\"comment\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}s:15:\"contact_message\";O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":42:{s:25:\"\0*\0revision_metadata_keys\";a:1:{s:16:\"revision_default\";s:16:\"revision_default\";}s:31:\"\0*\0requiredRevisionMetadataKeys\";a:1:{s:16:\"revision_default\";s:16:\"revision_default\";}s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:6:{s:6:\"bundle\";s:12:\"contact_form\";s:4:\"uuid\";s:4:\"uuid\";s:8:\"langcode\";s:8:\"langcode\";s:8:\"revision\";s:0:\"\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";}s:5:\"\0*\0id\";s:15:\"contact_message\";s:16:\"\0*\0originalClass\";s:29:\"Drupal\\contact\\Entity\\Message\";s:11:\"\0*\0handlers\";a:4:{s:6:\"access\";s:49:\"Drupal\\contact\\ContactMessageAccessControlHandler\";s:7:\"storage\";s:43:\"Drupal\\Core\\Entity\\ContentEntityNullStorage\";s:12:\"view_builder\";s:33:\"Drupal\\contact\\MessageViewBuilder\";s:4:\"form\";a:1:{s:7:\"default\";s:26:\"Drupal\\contact\\MessageForm\";}}s:19:\"\0*\0admin_permission\";s:24:\"administer contact forms\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";s:12:\"contact_form\";s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Contact form\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Contact message\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Contact messages\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"contact message\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"contact messages\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:22:\"@count contact message\";s:6:\"plural\";s:23:\"@count contact messages\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";s:29:\"entity.contact_form.edit_form\";s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:20:\"contact_message_list\";}s:14:\"\0*\0constraints\";a:2:{s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:15:\"contact_message\";}s:8:\"\0*\0class\";s:29:\"Drupal\\contact\\Entity\\Message\";s:11:\"\0*\0provider\";s:7:\"contact\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}s:12:\"contact_form\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":44:{s:16:\"\0*\0config_prefix\";s:4:\"form\";s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:7:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:10:\"recipients\";i:3;s:5:\"reply\";i:4;s:6:\"weight\";i:5;s:7:\"message\";i:6;s:8:\"redirect\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:12:\"contact_form\";s:16:\"\0*\0originalClass\";s:33:\"Drupal\\contact\\Entity\\ContactForm\";s:11:\"\0*\0handlers\";a:5:{s:6:\"access\";s:46:\"Drupal\\contact\\ContactFormAccessControlHandler\";s:12:\"list_builder\";s:37:\"Drupal\\contact\\ContactFormListBuilder\";s:4:\"form\";a:3:{s:3:\"add\";s:34:\"Drupal\\contact\\ContactFormEditForm\";s:4:\"edit\";s:34:\"Drupal\\contact\\ContactFormEditForm\";s:6:\"delete\";s:35:\"Drupal\\Core\\Entity\\EntityDeleteForm\";}s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";s:24:\"administer contact forms\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:5:{s:11:\"delete-form\";s:53:\"/admin/structure/contact/manage/{contact_form}/delete\";s:9:\"edit-form\";s:46:\"/admin/structure/contact/manage/{contact_form}\";s:10:\"collection\";s:24:\"/admin/structure/contact\";s:9:\"canonical\";s:23:\"/contact/{contact_form}\";s:27:\"config-translation-overview\";s:56:\"/admin/structure/contact/manage/{contact_form}/translate\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";s:15:\"contact_message\";s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Contact form\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Contact forms\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"contact form\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"contact forms\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:19:\"@count contact form\";s:6:\"plural\";s:20:\"@count contact forms\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:24:\"config:contact_form_list\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:12:\"contact_form\";}s:8:\"\0*\0class\";s:33:\"Drupal\\contact\\Entity\\ContactForm\";s:11:\"\0*\0provider\";s:7:\"contact\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}s:6:\"editor\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":44:{s:16:\"\0*\0config_prefix\";N;s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:4:{i:0;s:6:\"format\";i:1;s:6:\"editor\";i:2;s:8:\"settings\";i:3;s:12:\"image_upload\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:6:\"format\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:6:\"editor\";s:16:\"\0*\0originalClass\";s:27:\"Drupal\\editor\\Entity\\Editor\";s:11:\"\0*\0handlers\";a:3:{s:6:\"access\";s:40:\"Drupal\\editor\\EditorAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Text Editor\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Text Editors\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"text editor\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"text editors\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:18:\"@count text editor\";s:6:\"plural\";s:19:\"@count text editors\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:18:\"config:editor_list\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:6:\"editor\";}s:8:\"\0*\0class\";s:27:\"Drupal\\editor\\Entity\\Editor\";s:11:\"\0*\0provider\";s:6:\"editor\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}s:20:\"field_storage_config\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":44:{s:16:\"\0*\0config_prefix\";s:7:\"storage\";s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:12:{i:0;s:2:\"id\";i:1;s:10:\"field_name\";i:2;s:11:\"entity_type\";i:3;s:4:\"type\";i:4;s:8:\"settings\";i:5;s:6:\"module\";i:6;s:6:\"locked\";i:7;s:11:\"cardinality\";i:8;s:12:\"translatable\";i:9;s:7:\"indexes\";i:10;s:22:\"persist_with_no_fields\";i:11;s:14:\"custom_storage\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:2:\"id\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:20:\"field_storage_config\";s:16:\"\0*\0originalClass\";s:38:\"Drupal\\field\\Entity\\FieldStorageConfig\";s:11:\"\0*\0handlers\";a:5:{s:6:\"access\";s:51:\"Drupal\\field\\FieldStorageConfigAccessControlHandler\";s:7:\"storage\";s:38:\"Drupal\\field\\FieldStorageConfigStorage\";s:4:\"form\";a:1:{s:4:\"edit\";s:47:\"Drupal\\field_ui\\Form\\FieldStorageConfigEditForm\";}s:12:\"list_builder\";s:45:\"Drupal\\field_ui\\FieldStorageConfigListBuilder\";s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:1:{s:10:\"collection\";s:21:\"/admin/reports/fields\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Field storage\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Field storages\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"field storage\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"field storages\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:20:\"@count field storage\";s:6:\"plural\";s:21:\"@count field storages\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:32:\"config:field_storage_config_list\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:20:\"field_storage_config\";}s:8:\"\0*\0class\";s:38:\"Drupal\\field\\Entity\\FieldStorageConfig\";s:11:\"\0*\0provider\";s:5:\"field\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}s:12:\"field_config\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":44:{s:16:\"\0*\0config_prefix\";s:5:\"field\";s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:12:{i:0;s:2:\"id\";i:1;s:10:\"field_name\";i:2;s:11:\"entity_type\";i:3;s:6:\"bundle\";i:4;s:5:\"label\";i:5;s:11:\"description\";i:6;s:8:\"required\";i:7;s:12:\"translatable\";i:8;s:13:\"default_value\";i:9;s:22:\"default_value_callback\";i:10;s:8:\"settings\";i:11;s:10:\"field_type\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:12:\"field_config\";s:16:\"\0*\0originalClass\";s:31:\"Drupal\\field\\Entity\\FieldConfig\";s:11:\"\0*\0handlers\";a:5:{s:6:\"access\";s:44:\"Drupal\\field\\FieldConfigAccessControlHandler\";s:7:\"storage\";s:31:\"Drupal\\field\\FieldConfigStorage\";s:4:\"form\";a:2:{s:4:\"edit\";s:40:\"Drupal\\field_ui\\Form\\FieldConfigEditForm\";s:6:\"delete\";s:42:\"Drupal\\field_ui\\Form\\FieldConfigDeleteForm\";}s:12:\"list_builder\";s:38:\"Drupal\\field_ui\\FieldConfigListBuilder\";s:23:\"config_translation_list\";s:70:\"Drupal\\config_translation\\Controller\\ConfigTranslationFieldListBuilder\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:1:{s:27:\"config-translation-overview\";s:10:\"/translate\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Field\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"field\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:12:\"@count field\";s:6:\"plural\";s:13:\"@count fields\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:24:\"config:field_config_list\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:12:\"field_config\";}s:8:\"\0*\0class\";s:31:\"Drupal\\field\\Entity\\FieldConfig\";s:11:\"\0*\0provider\";s:5:\"field\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}s:4:\"file\";O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":42:{s:25:\"\0*\0revision_metadata_keys\";a:1:{s:16:\"revision_default\";s:16:\"revision_default\";}s:31:\"\0*\0requiredRevisionMetadataKeys\";a:1:{s:16:\"revision_default\";s:16:\"revision_default\";}s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:9:{s:2:\"id\";s:3:\"fid\";s:5:\"label\";s:8:\"filename\";s:8:\"langcode\";s:8:\"langcode\";s:4:\"uuid\";s:4:\"uuid\";s:5:\"owner\";s:3:\"uid\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";}s:5:\"\0*\0id\";s:4:\"file\";s:16:\"\0*\0originalClass\";s:23:\"Drupal\\file\\Entity\\File\";s:11:\"\0*\0handlers\";a:5:{s:7:\"storage\";s:23:\"Drupal\\file\\FileStorage\";s:14:\"storage_schema\";s:29:\"Drupal\\file\\FileStorageSchema\";s:6:\"access\";s:36:\"Drupal\\file\\FileAccessControlHandler\";s:10:\"views_data\";s:25:\"Drupal\\file\\FileViewsData\";s:12:\"view_builder\";s:36:\"Drupal\\Core\\Entity\\EntityViewBuilder\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";s:12:\"file_managed\";s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"File\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Files\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"file\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"files\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:11:\"@count file\";s:6:\"plural\";s:12:\"@count files\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:9:\"file_list\";}s:14:\"\0*\0constraints\";a:3:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:4:\"file\";}s:8:\"\0*\0class\";s:23:\"Drupal\\file\\Entity\\File\";s:11:\"\0*\0provider\";s:4:\"file\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}s:13:\"filter_format\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":44:{s:16:\"\0*\0config_prefix\";s:6:\"format\";s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:5:{i:0;s:4:\"name\";i:1;s:6:\"format\";i:2;s:6:\"weight\";i:3;s:5:\"roles\";i:4;s:7:\"filters\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:10:{s:2:\"id\";s:6:\"format\";s:5:\"label\";s:4:\"name\";s:6:\"weight\";s:6:\"weight\";s:6:\"status\";s:6:\"status\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:13:\"filter_format\";s:16:\"\0*\0originalClass\";s:33:\"Drupal\\filter\\Entity\\FilterFormat\";s:11:\"\0*\0handlers\";a:5:{s:4:\"form\";a:3:{s:3:\"add\";s:33:\"Drupal\\filter\\FilterFormatAddForm\";s:4:\"edit\";s:34:\"Drupal\\filter\\FilterFormatEditForm\";s:7:\"disable\";s:36:\"Drupal\\filter\\Form\\FilterDisableForm\";}s:12:\"list_builder\";s:37:\"Drupal\\filter\\FilterFormatListBuilder\";s:6:\"access\";s:46:\"Drupal\\filter\\FilterFormatAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";s:18:\"administer filters\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:3:{s:9:\"edit-form\";s:52:\"/admin/config/content/formats/manage/{filter_format}\";s:7:\"disable\";s:60:\"/admin/config/content/formats/manage/{filter_format}/disable\";s:27:\"config-translation-overview\";s:62:\"/admin/config/content/formats/manage/{filter_format}/translate\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Text format\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Text formats\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"text format\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"text formats\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:18:\"@count text format\";s:6:\"plural\";s:19:\"@count text formats\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:25:\"config:filter_format_list\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:13:\"filter_format\";}s:8:\"\0*\0class\";s:33:\"Drupal\\filter\\Entity\\FilterFormat\";s:11:\"\0*\0provider\";s:6:\"filter\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}s:11:\"image_style\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":44:{s:16:\"\0*\0config_prefix\";s:5:\"style\";s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:3:{i:0;s:4:\"name\";i:1;s:5:\"label\";i:2;s:7:\"effects\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:4:\"name\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:11:\"image_style\";s:16:\"\0*\0originalClass\";s:30:\"Drupal\\image\\Entity\\ImageStyle\";s:11:\"\0*\0handlers\";a:5:{s:4:\"form\";a:4:{s:3:\"add\";s:35:\"Drupal\\image\\Form\\ImageStyleAddForm\";s:4:\"edit\";s:36:\"Drupal\\image\\Form\\ImageStyleEditForm\";s:6:\"delete\";s:38:\"Drupal\\image\\Form\\ImageStyleDeleteForm\";s:5:\"flush\";s:37:\"Drupal\\image\\Form\\ImageStyleFlushForm\";}s:12:\"list_builder\";s:34:\"Drupal\\image\\ImageStyleListBuilder\";s:7:\"storage\";s:30:\"Drupal\\image\\ImageStyleStorage\";s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";s:23:\"administer image styles\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:5:{s:10:\"flush-form\";s:59:\"/admin/config/media/image-styles/manage/{image_style}/flush\";s:9:\"edit-form\";s:53:\"/admin/config/media/image-styles/manage/{image_style}\";s:11:\"delete-form\";s:60:\"/admin/config/media/image-styles/manage/{image_style}/delete\";s:10:\"collection\";s:32:\"/admin/config/media/image-styles\";s:27:\"config-translation-overview\";s:63:\"/admin/config/media/image-styles/manage/{image_style}/translate\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Image style\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Image styles\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"image style\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"image styles\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:18:\"@count image style\";s:6:\"plural\";s:19:\"@count image styles\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:23:\"config:image_style_list\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:11:\"image_style\";}s:8:\"\0*\0class\";s:30:\"Drupal\\image\\Entity\\ImageStyle\";s:11:\"\0*\0provider\";s:5:\"image\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}s:25:\"language_content_settings\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":44:{s:16:\"\0*\0config_prefix\";s:16:\"content_settings\";s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:5:{i:0;s:2:\"id\";i:1;s:21:\"target_entity_type_id\";i:2;s:13:\"target_bundle\";i:3;s:16:\"default_langcode\";i:4;s:18:\"language_alterable\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:2:\"id\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:25:\"language_content_settings\";s:16:\"\0*\0originalClass\";s:46:\"Drupal\\language\\Entity\\ContentLanguageSettings\";s:11:\"\0*\0handlers\";a:3:{s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";s:20:\"administer languages\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"Content Language Settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"Content Language Settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"content language setting\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"content languages settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:31:\"@count content language setting\";s:6:\"plural\";s:33:\"@count content languages settings\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:8:\"rendered\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:25:\"language_content_settings\";}s:8:\"\0*\0class\";s:46:\"Drupal\\language\\Entity\\ContentLanguageSettings\";s:11:\"\0*\0provider\";s:8:\"language\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}s:21:\"configurable_language\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":44:{s:16:\"\0*\0config_prefix\";s:6:\"entity\";s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:5:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:9:\"direction\";i:3;s:6:\"weight\";i:4;s:6:\"locked\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:9:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:6:\"weight\";s:6:\"weight\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:21:\"configurable_language\";s:16:\"\0*\0originalClass\";s:43:\"Drupal\\language\\Entity\\ConfigurableLanguage\";s:11:\"\0*\0handlers\";a:5:{s:12:\"list_builder\";s:35:\"Drupal\\language\\LanguageListBuilder\";s:6:\"access\";s:44:\"Drupal\\language\\LanguageAccessControlHandler\";s:4:\"form\";a:3:{s:3:\"add\";s:36:\"Drupal\\language\\Form\\LanguageAddForm\";s:4:\"edit\";s:37:\"Drupal\\language\\Form\\LanguageEditForm\";s:6:\"delete\";s:39:\"Drupal\\language\\Form\\LanguageDeleteForm\";}s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";s:20:\"administer languages\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:4:{s:11:\"delete-form\";s:62:\"/admin/config/regional/language/delete/{configurable_language}\";s:9:\"edit-form\";s:60:\"/admin/config/regional/language/edit/{configurable_language}\";s:10:\"collection\";s:31:\"/admin/config/regional/language\";s:27:\"config-translation-overview\";s:70:\"/admin/config/regional/language/edit/{configurable_language}/translate\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Languages\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"languages\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:15:\"@count language\";s:6:\"plural\";s:16:\"@count languages\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:33:\"config:configurable_language_list\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:21:\"configurable_language\";}s:8:\"\0*\0class\";s:43:\"Drupal\\language\\Entity\\ConfigurableLanguage\";s:11:\"\0*\0provider\";s:8:\"language\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}s:4:\"node\";O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":42:{s:25:\"\0*\0revision_metadata_keys\";a:4:{s:13:\"revision_user\";s:12:\"revision_uid\";s:16:\"revision_created\";s:18:\"revision_timestamp\";s:20:\"revision_log_message\";s:12:\"revision_log\";s:16:\"revision_default\";s:16:\"revision_default\";}s:31:\"\0*\0requiredRevisionMetadataKeys\";a:1:{s:16:\"revision_default\";s:16:\"revision_default\";}s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:12:{s:2:\"id\";s:3:\"nid\";s:8:\"revision\";s:3:\"vid\";s:6:\"bundle\";s:4:\"type\";s:5:\"label\";s:5:\"title\";s:8:\"langcode\";s:8:\"langcode\";s:4:\"uuid\";s:4:\"uuid\";s:6:\"status\";s:6:\"status\";s:9:\"published\";s:6:\"status\";s:3:\"uid\";s:3:\"uid\";s:5:\"owner\";s:3:\"uid\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";}s:5:\"\0*\0id\";s:4:\"node\";s:16:\"\0*\0originalClass\";s:23:\"Drupal\\node\\Entity\\Node\";s:11:\"\0*\0handlers\";a:9:{s:7:\"storage\";s:23:\"Drupal\\node\\NodeStorage\";s:14:\"storage_schema\";s:29:\"Drupal\\node\\NodeStorageSchema\";s:12:\"view_builder\";s:27:\"Drupal\\node\\NodeViewBuilder\";s:6:\"access\";s:36:\"Drupal\\node\\NodeAccessControlHandler\";s:10:\"views_data\";s:25:\"Drupal\\node\\NodeViewsData\";s:4:\"form\";a:5:{s:7:\"default\";s:20:\"Drupal\\node\\NodeForm\";s:6:\"delete\";s:31:\"Drupal\\node\\Form\\NodeDeleteForm\";s:4:\"edit\";s:20:\"Drupal\\node\\NodeForm\";s:23:\"delete-multiple-confirm\";s:31:\"Drupal\\node\\Form\\DeleteMultiple\";s:28:\"content_translation_deletion\";s:61:\"\\Drupal\\content_translation\\Form\\ContentTranslationDeleteForm\";}s:14:\"route_provider\";a:1:{s:4:\"html\";s:36:\"Drupal\\node\\Entity\\NodeRouteProvider\";}s:12:\"list_builder\";s:27:\"Drupal\\node\\NodeListBuilder\";s:11:\"translation\";s:34:\"Drupal\\node\\NodeTranslationHandler\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:6:\"bundle\";s:8:\"\0*\0links\";a:11:{s:9:\"canonical\";s:12:\"/node/{node}\";s:11:\"delete-form\";s:19:\"/node/{node}/delete\";s:20:\"delete-multiple-form\";s:26:\"/admin/content/node/delete\";s:9:\"edit-form\";s:17:\"/node/{node}/edit\";s:15:\"version-history\";s:22:\"/node/{node}/revisions\";s:8:\"revision\";s:43:\"/node/{node}/revisions/{node_revision}/view\";s:6:\"create\";s:5:\"/node\";s:35:\"drupal:content-translation-overview\";s:25:\"/node/{node}/translations\";s:30:\"drupal:content-translation-add\";s:47:\"/node/{node}/translations/add/{source}/{target}\";s:31:\"drupal:content-translation-edit\";s:41:\"/node/{node}/translations/edit/{language}\";s:33:\"drupal:content-translation-delete\";s:43:\"/node/{node}/translations/delete/{language}\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";s:9:\"node_type\";s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Content type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"\0*\0base_table\";s:4:\"node\";s:22:\"\0*\0revision_data_table\";s:19:\"node_field_revision\";s:17:\"\0*\0revision_table\";s:13:\"node_revision\";s:13:\"\0*\0data_table\";s:15:\"node_field_data\";s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:1;s:19:\"\0*\0show_revision_ui\";b:1;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"content item\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"content items\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:19:\"@count content item\";s:6:\"plural\";s:20:\"@count content items\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";s:26:\"entity.node_type.edit_form\";s:26:\"\0*\0common_reference_target\";b:1;s:22:\"\0*\0list_cache_contexts\";a:1:{i:0;s:21:\"user.node_grants:view\";}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:9:\"node_list\";}s:14:\"\0*\0constraints\";a:4:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:12:\"MenuSettings\";a:0:{}s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:3:{s:10:\"token_type\";s:4:\"node\";s:28:\"content_translation_metadata\";s:60:\"Drupal\\content_translation\\ContentTranslationMetadataWrapper\";s:11:\"translation\";a:1:{s:19:\"content_translation\";a:1:{s:15:\"access_callback\";s:36:\"content_translation_translate_access\";}}}s:8:\"\0*\0class\";s:23:\"Drupal\\node\\Entity\\Node\";s:11:\"\0*\0provider\";s:4:\"node\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}s:9:\"node_type\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":44:{s:16:\"\0*\0config_prefix\";s:4:\"type\";s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:7:{i:0;s:4:\"name\";i:1;s:4:\"type\";i:2;s:11:\"description\";i:3;s:4:\"help\";i:4;s:12:\"new_revision\";i:5;s:12:\"preview_mode\";i:6;s:17:\"display_submitted\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"label\";s:4:\"name\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:9:\"node_type\";s:16:\"\0*\0originalClass\";s:27:\"Drupal\\node\\Entity\\NodeType\";s:11:\"\0*\0handlers\";a:5:{s:6:\"access\";s:40:\"Drupal\\node\\NodeTypeAccessControlHandler\";s:4:\"form\";a:3:{s:3:\"add\";s:24:\"Drupal\\node\\NodeTypeForm\";s:4:\"edit\";s:24:\"Drupal\\node\\NodeTypeForm\";s:6:\"delete\";s:38:\"Drupal\\node\\Form\\NodeTypeDeleteConfirm\";}s:12:\"list_builder\";s:31:\"Drupal\\node\\NodeTypeListBuilder\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";s:24:\"administer content types\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:4:{s:9:\"edit-form\";s:41:\"/admin/structure/types/manage/{node_type}\";s:11:\"delete-form\";s:48:\"/admin/structure/types/manage/{node_type}/delete\";s:10:\"collection\";s:22:\"/admin/structure/types\";s:27:\"config-translation-overview\";s:51:\"/admin/structure/types/manage/{node_type}/translate\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";s:4:\"node\";s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Content type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Content types\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"content type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"content types\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:19:\"@count content type\";s:6:\"plural\";s:20:\"@count content types\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:21:\"config:node_type_list\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:9:\"node_type\";}s:8:\"\0*\0class\";s:27:\"Drupal\\node\\Entity\\NodeType\";s:11:\"\0*\0provider\";s:4:\"node\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}s:10:\"path_alias\";O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":42:{s:25:\"\0*\0revision_metadata_keys\";a:1:{s:16:\"revision_default\";s:16:\"revision_default\";}s:31:\"\0*\0requiredRevisionMetadataKeys\";a:1:{s:16:\"revision_default\";s:16:\"revision_default\";}s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:8:\"revision\";s:11:\"revision_id\";s:8:\"langcode\";s:8:\"langcode\";s:4:\"uuid\";s:4:\"uuid\";s:9:\"published\";s:6:\"status\";s:6:\"bundle\";s:0:\"\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";}s:5:\"\0*\0id\";s:10:\"path_alias\";s:16:\"\0*\0originalClass\";s:34:\"Drupal\\path_alias\\Entity\\PathAlias\";s:11:\"\0*\0handlers\";a:7:{s:7:\"storage\";s:34:\"Drupal\\path_alias\\PathAliasStorage\";s:14:\"storage_schema\";s:40:\"Drupal\\path_alias\\PathAliasStorageSchema\";s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:12:\"view_builder\";s:36:\"Drupal\\Core\\Entity\\EntityViewBuilder\";s:4:\"form\";a:2:{s:7:\"default\";s:25:\"Drupal\\path\\PathAliasForm\";s:6:\"delete\";s:42:\"Drupal\\Core\\Entity\\ContentEntityDeleteForm\";}s:14:\"route_provider\";a:1:{s:4:\"html\";s:49:\"Drupal\\Core\\Entity\\Routing\\AdminHtmlRouteProvider\";}s:12:\"list_builder\";s:32:\"Drupal\\path\\PathAliasListBuilder\";}s:19:\"\0*\0admin_permission\";s:22:\"administer url aliases\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:4:{s:10:\"collection\";s:25:\"/admin/config/search/path\";s:8:\"add-form\";s:29:\"/admin/config/search/path/add\";s:9:\"edit-form\";s:43:\"/admin/config/search/path/edit/{path_alias}\";s:11:\"delete-form\";s:45:\"/admin/config/search/path/delete/{path_alias}\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";s:10:\"path_alias\";s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";s:19:\"path_alias_revision\";s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"URL alias\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"URL aliases\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"URL alias\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"URL aliases\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:16:\"@count URL alias\";s:6:\"plural\";s:18:\"@count URL aliases\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:11:\"route_match\";}s:14:\"\0*\0constraints\";a:3:{s:15:\"UniquePathAlias\";a:0:{}s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:10:\"path_alias\";}s:8:\"\0*\0class\";s:34:\"Drupal\\path_alias\\Entity\\PathAlias\";s:11:\"\0*\0provider\";s:10:\"path_alias\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}s:11:\"rdf_mapping\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":44:{s:16:\"\0*\0config_prefix\";s:7:\"mapping\";s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:5:{i:0;s:2:\"id\";i:1;s:16:\"targetEntityType\";i:2;s:6:\"bundle\";i:3;s:5:\"types\";i:4;s:13:\"fieldMappings\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:2:\"id\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:11:\"rdf_mapping\";s:16:\"\0*\0originalClass\";s:28:\"Drupal\\rdf\\Entity\\RdfMapping\";s:11:\"\0*\0handlers\";a:3:{s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";s:29:\"administer site configuration\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"RDF mapping\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"RDF mapping item\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"RDF mappings items\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:23:\"@count RDF mapping item\";s:6:\"plural\";s:24:\"@count RDF mapping items\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:23:\"config:rdf_mapping_list\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:11:\"rdf_mapping\";}s:8:\"\0*\0class\";s:28:\"Drupal\\rdf\\Entity\\RdfMapping\";s:11:\"\0*\0provider\";s:3:\"rdf\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}s:22:\"responsive_image_style\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":44:{s:16:\"\0*\0config_prefix\";s:6:\"styles\";s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:5:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:20:\"image_style_mappings\";i:3;s:16:\"breakpoint_group\";i:4;s:20:\"fallback_image_style\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:22:\"responsive_image_style\";s:16:\"\0*\0originalClass\";s:51:\"Drupal\\responsive_image\\Entity\\ResponsiveImageStyle\";s:11:\"\0*\0handlers\";a:5:{s:12:\"list_builder\";s:55:\"Drupal\\responsive_image\\ResponsiveImageStyleListBuilder\";s:4:\"form\";a:4:{s:4:\"edit\";s:48:\"Drupal\\responsive_image\\ResponsiveImageStyleForm\";s:3:\"add\";s:48:\"Drupal\\responsive_image\\ResponsiveImageStyleForm\";s:6:\"delete\";s:35:\"Drupal\\Core\\Entity\\EntityDeleteForm\";s:9:\"duplicate\";s:48:\"Drupal\\responsive_image\\ResponsiveImageStyleForm\";}s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";s:28:\"administer responsive images\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:5:{s:9:\"edit-form\";s:67:\"/admin/config/media/responsive-image-style/{responsive_image_style}\";s:14:\"duplicate-form\";s:77:\"/admin/config/media/responsive-image-style/{responsive_image_style}/duplicate\";s:11:\"delete-form\";s:74:\"/admin/config/media/responsive-image-style/{responsive_image_style}/delete\";s:10:\"collection\";s:42:\"/admin/config/media/responsive-image-style\";s:27:\"config-translation-overview\";s:77:\"/admin/config/media/responsive-image-style/{responsive_image_style}/translate\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"Responsive image style\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"Responsive image styles\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"responsive image style\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"responsive image styles\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:29:\"@count responsive image style\";s:6:\"plural\";s:30:\"@count responsive image styles\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:34:\"config:responsive_image_style_list\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:22:\"responsive_image_style\";}s:8:\"\0*\0class\";s:51:\"Drupal\\responsive_image\\Entity\\ResponsiveImageStyle\";s:11:\"\0*\0provider\";s:16:\"responsive_image\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}s:11:\"search_page\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":44:{s:16:\"\0*\0config_prefix\";s:4:\"page\";s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:6:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:4:\"path\";i:3;s:6:\"weight\";i:4;s:6:\"plugin\";i:5;s:13:\"configuration\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:10:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:6:\"weight\";s:6:\"weight\";s:6:\"status\";s:6:\"status\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:11:\"search_page\";s:16:\"\0*\0originalClass\";s:31:\"Drupal\\search\\Entity\\SearchPage\";s:11:\"\0*\0handlers\";a:5:{s:6:\"access\";s:44:\"Drupal\\search\\SearchPageAccessControlHandler\";s:12:\"list_builder\";s:35:\"Drupal\\search\\SearchPageListBuilder\";s:4:\"form\";a:3:{s:3:\"add\";s:36:\"Drupal\\search\\Form\\SearchPageAddForm\";s:4:\"edit\";s:37:\"Drupal\\search\\Form\\SearchPageEditForm\";s:6:\"delete\";s:35:\"Drupal\\Core\\Entity\\EntityDeleteForm\";}s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";s:17:\"administer search\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:7:{s:9:\"edit-form\";s:47:\"/admin/config/search/pages/manage/{search_page}\";s:11:\"delete-form\";s:54:\"/admin/config/search/pages/manage/{search_page}/delete\";s:6:\"enable\";s:54:\"/admin/config/search/pages/manage/{search_page}/enable\";s:7:\"disable\";s:55:\"/admin/config/search/pages/manage/{search_page}/disable\";s:11:\"set-default\";s:59:\"/admin/config/search/pages/manage/{search_page}/set-default\";s:10:\"collection\";s:26:\"/admin/config/search/pages\";s:27:\"config-translation-overview\";s:57:\"/admin/config/search/pages/manage/{search_page}/translate\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Search page\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Search pages\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"search page\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"search pages\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:18:\"@count search page\";s:6:\"plural\";s:19:\"@count search pages\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:23:\"config:search_page_list\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:11:\"search_page\";}s:8:\"\0*\0class\";s:31:\"Drupal\\search\\Entity\\SearchPage\";s:11:\"\0*\0provider\";s:6:\"search\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}s:12:\"shortcut_set\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":44:{s:16:\"\0*\0config_prefix\";s:3:\"set\";s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:2:{i:0;s:2:\"id\";i:1;s:5:\"label\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:12:\"shortcut_set\";s:16:\"\0*\0originalClass\";s:34:\"Drupal\\shortcut\\Entity\\ShortcutSet\";s:11:\"\0*\0handlers\";a:5:{s:7:\"storage\";s:34:\"Drupal\\shortcut\\ShortcutSetStorage\";s:6:\"access\";s:47:\"Drupal\\shortcut\\ShortcutSetAccessControlHandler\";s:12:\"list_builder\";s:38:\"Drupal\\shortcut\\ShortcutSetListBuilder\";s:4:\"form\";a:5:{s:7:\"default\";s:31:\"Drupal\\shortcut\\ShortcutSetForm\";s:3:\"add\";s:31:\"Drupal\\shortcut\\ShortcutSetForm\";s:4:\"edit\";s:31:\"Drupal\\shortcut\\ShortcutSetForm\";s:9:\"customize\";s:33:\"Drupal\\shortcut\\Form\\SetCustomize\";s:6:\"delete\";s:42:\"Drupal\\shortcut\\Form\\ShortcutSetDeleteForm\";}s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:5:{s:14:\"customize-form\";s:69:\"/admin/config/user-interface/shortcut/manage/{shortcut_set}/customize\";s:11:\"delete-form\";s:66:\"/admin/config/user-interface/shortcut/manage/{shortcut_set}/delete\";s:9:\"edit-form\";s:59:\"/admin/config/user-interface/shortcut/manage/{shortcut_set}\";s:10:\"collection\";s:37:\"/admin/config/user-interface/shortcut\";s:27:\"config-translation-overview\";s:69:\"/admin/config/user-interface/shortcut/manage/{shortcut_set}/translate\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";s:8:\"shortcut\";s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Shortcut set\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Shortcut sets\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"shortcut set\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"shortcut sets\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:19:\"@count shortcut set\";s:6:\"plural\";s:20:\"@count shortcut sets\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:24:\"config:shortcut_set_list\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:12:\"shortcut_set\";}s:8:\"\0*\0class\";s:34:\"Drupal\\shortcut\\Entity\\ShortcutSet\";s:11:\"\0*\0provider\";s:8:\"shortcut\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}s:8:\"shortcut\";O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":42:{s:25:\"\0*\0revision_metadata_keys\";a:1:{s:16:\"revision_default\";s:16:\"revision_default\";}s:31:\"\0*\0requiredRevisionMetadataKeys\";a:1:{s:16:\"revision_default\";s:16:\"revision_default\";}s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:4:\"uuid\";s:4:\"uuid\";s:6:\"bundle\";s:12:\"shortcut_set\";s:5:\"label\";s:5:\"title\";s:8:\"langcode\";s:8:\"langcode\";s:8:\"revision\";s:0:\"\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";}s:5:\"\0*\0id\";s:8:\"shortcut\";s:16:\"\0*\0originalClass\";s:31:\"Drupal\\shortcut\\Entity\\Shortcut\";s:11:\"\0*\0handlers\";a:5:{s:6:\"access\";s:44:\"Drupal\\shortcut\\ShortcutAccessControlHandler\";s:4:\"form\";a:5:{s:7:\"default\";s:28:\"Drupal\\shortcut\\ShortcutForm\";s:3:\"add\";s:28:\"Drupal\\shortcut\\ShortcutForm\";s:4:\"edit\";s:28:\"Drupal\\shortcut\\ShortcutForm\";s:6:\"delete\";s:39:\"Drupal\\shortcut\\Form\\ShortcutDeleteForm\";s:28:\"content_translation_deletion\";s:61:\"\\Drupal\\content_translation\\Form\\ContentTranslationDeleteForm\";}s:7:\"storage\";s:46:\"Drupal\\Core\\Entity\\Sql\\SqlContentEntityStorage\";s:12:\"view_builder\";s:36:\"Drupal\\Core\\Entity\\EntityViewBuilder\";s:11:\"translation\";s:52:\"Drupal\\content_translation\\ContentTranslationHandler\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:7:{s:9:\"canonical\";s:53:\"/admin/config/user-interface/shortcut/link/{shortcut}\";s:11:\"delete-form\";s:60:\"/admin/config/user-interface/shortcut/link/{shortcut}/delete\";s:9:\"edit-form\";s:53:\"/admin/config/user-interface/shortcut/link/{shortcut}\";s:35:\"drupal:content-translation-overview\";s:66:\"/admin/config/user-interface/shortcut/link/{shortcut}/translations\";s:30:\"drupal:content-translation-add\";s:88:\"/admin/config/user-interface/shortcut/link/{shortcut}/translations/add/{source}/{target}\";s:31:\"drupal:content-translation-edit\";s:82:\"/admin/config/user-interface/shortcut/link/{shortcut}/translations/edit/{language}\";s:33:\"drupal:content-translation-delete\";s:84:\"/admin/config/user-interface/shortcut/link/{shortcut}/translations/delete/{language}\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";s:12:\"shortcut_set\";s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Shortcut set\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"\0*\0base_table\";s:8:\"shortcut\";s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";s:19:\"shortcut_field_data\";s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:1;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Shortcut link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Shortcut links\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"shortcut link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"shortcut links\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:20:\"@count shortcut link\";s:6:\"plural\";s:21:\"@count shortcut links\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:24:\"config:shortcut_set_list\";}s:14:\"\0*\0constraints\";a:2:{s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:3:{s:10:\"token_type\";s:8:\"shortcut\";s:28:\"content_translation_metadata\";s:60:\"Drupal\\content_translation\\ContentTranslationMetadataWrapper\";s:11:\"translation\";a:1:{s:19:\"content_translation\";a:1:{s:15:\"access_callback\";s:36:\"content_translation_translate_access\";}}}s:8:\"\0*\0class\";s:31:\"Drupal\\shortcut\\Entity\\Shortcut\";s:11:\"\0*\0provider\";s:8:\"shortcut\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}s:21:\"simplenews_newsletter\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":44:{s:16:\"\0*\0config_prefix\";s:10:\"newsletter\";s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:13:{i:0;s:4:\"name\";i:1;s:2:\"id\";i:2;s:11:\"description\";i:3;s:6:\"format\";i:4;s:8:\"priority\";i:5;s:7:\"receipt\";i:6;s:9:\"from_name\";i:7;s:7:\"subject\";i:8;s:12:\"from_address\";i:9;s:10:\"hyperlinks\";i:10;s:11:\"new_account\";i:11;s:9:\"opt_inout\";i:12;s:6:\"weight\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:4:\"name\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:21:\"simplenews_newsletter\";s:16:\"\0*\0originalClass\";s:35:\"Drupal\\simplenews\\Entity\\Newsletter\";s:11:\"\0*\0handlers\";a:5:{s:12:\"list_builder\";s:39:\"Drupal\\simplenews\\NewsletterListBuilder\";s:4:\"form\";a:3:{s:3:\"add\";s:37:\"Drupal\\simplenews\\Form\\NewsletterForm\";s:4:\"edit\";s:37:\"Drupal\\simplenews\\Form\\NewsletterForm\";s:6:\"delete\";s:43:\"Drupal\\simplenews\\Form\\NewsletterDeleteForm\";}s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";s:22:\"administer newsletters\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:3:{s:11:\"delete-form\";s:71:\"/admin/config/services/simplenews/manage/{simplenews_newsletter}/delete\";s:9:\"edit-form\";s:64:\"/admin/config/services/simplenews/manage/{simplenews_newsletter}\";s:27:\"config-translation-overview\";s:74:\"/admin/config/services/simplenews/manage/{simplenews_newsletter}/translate\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Simplenews newsletter\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:33:\"config:simplenews_newsletter_list\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:21:\"simplenews_newsletter\";}s:8:\"\0*\0class\";s:35:\"Drupal\\simplenews\\Entity\\Newsletter\";s:11:\"\0*\0provider\";s:10:\"simplenews\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}s:21:\"simplenews_subscriber\";O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":42:{s:25:\"\0*\0revision_metadata_keys\";a:1:{s:16:\"revision_default\";s:16:\"revision_default\";}s:31:\"\0*\0requiredRevisionMetadataKeys\";a:1:{s:16:\"revision_default\";s:16:\"revision_default\";}s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:4:\"mail\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:0:\"\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";}s:5:\"\0*\0id\";s:21:\"simplenews_subscriber\";s:16:\"\0*\0originalClass\";s:35:\"Drupal\\simplenews\\Entity\\Subscriber\";s:11:\"\0*\0handlers\";a:6:{s:7:\"storage\";s:50:\"Drupal\\simplenews\\Subscription\\SubscriptionStorage\";s:6:\"access\";s:48:\"Drupal\\simplenews\\SubscriberAccessControlHandler\";s:4:\"form\";a:5:{s:7:\"default\";s:37:\"Drupal\\simplenews\\Form\\SubscriberForm\";s:7:\"account\";s:47:\"Drupal\\simplenews\\Form\\SubscriptionsAccountForm\";s:5:\"block\";s:45:\"Drupal\\simplenews\\Form\\SubscriptionsBlockForm\";s:4:\"page\";s:44:\"Drupal\\simplenews\\Form\\SubscriptionsPageForm\";s:6:\"delete\";s:43:\"Drupal\\simplenews\\Form\\SubscriberDeleteForm\";}s:12:\"view_builder\";s:36:\"Drupal\\Core\\Entity\\EntityViewBuilder\";s:12:\"list_builder\";s:36:\"Drupal\\Core\\Entity\\EntityListBuilder\";s:10:\"views_data\";s:37:\"Drupal\\simplenews\\SubscriberViewsData\";}s:19:\"\0*\0admin_permission\";s:35:\"administer simplenews subscriptions\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:2:{s:9:\"edit-form\";s:53:\"/admin/people/simplenews/edit/{simplenews_subscriber}\";s:11:\"delete-form\";s:55:\"/admin/people/simplenews/delete/{simplenews_subscriber}\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";s:21:\"simplenews_subscriber\";s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Simplenews subscriber\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";s:30:\"simplenews.settings_subscriber\";s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:26:\"simplenews_subscriber_list\";}s:14:\"\0*\0constraints\";a:2:{s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:21:\"simplenews_subscriber\";}s:8:\"\0*\0class\";s:35:\"Drupal\\simplenews\\Entity\\Subscriber\";s:11:\"\0*\0provider\";s:10:\"simplenews\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}s:4:\"menu\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":44:{s:16:\"\0*\0config_prefix\";N;s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:4:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:11:\"description\";i:3;s:6:\"locked\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:4:\"menu\";s:16:\"\0*\0originalClass\";s:25:\"Drupal\\system\\Entity\\Menu\";s:11:\"\0*\0handlers\";a:5:{s:6:\"access\";s:38:\"Drupal\\system\\MenuAccessControlHandler\";s:7:\"storage\";s:25:\"Drupal\\system\\MenuStorage\";s:4:\"form\";a:3:{s:3:\"add\";s:23:\"Drupal\\menu_ui\\MenuForm\";s:4:\"edit\";s:23:\"Drupal\\menu_ui\\MenuForm\";s:6:\"delete\";s:34:\"Drupal\\menu_ui\\Form\\MenuDeleteForm\";}s:12:\"list_builder\";s:30:\"Drupal\\menu_ui\\MenuListBuilder\";s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";s:15:\"administer menu\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:6:{s:8:\"add-form\";s:25:\"/admin/structure/menu/add\";s:11:\"delete-form\";s:42:\"/admin/structure/menu/manage/{menu}/delete\";s:9:\"edit-form\";s:35:\"/admin/structure/menu/manage/{menu}\";s:13:\"add-link-form\";s:39:\"/admin/structure/menu/manage/{menu}/add\";s:10:\"collection\";s:21:\"/admin/structure/menu\";s:27:\"config-translation-overview\";s:45:\"/admin/structure/menu/manage/{menu}/translate\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Menu\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Menus\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"menu\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"menus\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:11:\"@count menu\";s:6:\"plural\";s:12:\"@count menus\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:16:\"config:menu_list\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:4:\"menu\";}s:8:\"\0*\0class\";s:25:\"Drupal\\system\\Entity\\Menu\";s:11:\"\0*\0provider\";s:6:\"system\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}s:6:\"action\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":44:{s:16:\"\0*\0config_prefix\";N;s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:5:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:4:\"type\";i:3;s:6:\"plugin\";i:4;s:13:\"configuration\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:6:\"action\";s:16:\"\0*\0originalClass\";s:27:\"Drupal\\system\\Entity\\Action\";s:11:\"\0*\0handlers\";a:3:{s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";s:18:\"administer actions\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Action\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Actions\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"action\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"actions\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:13:\"@count action\";s:6:\"plural\";s:14:\"@count actions\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:18:\"config:action_list\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:6:\"action\";}s:8:\"\0*\0class\";s:27:\"Drupal\\system\\Entity\\Action\";s:11:\"\0*\0provider\";s:6:\"system\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}s:13:\"taxonomy_term\";O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":42:{s:25:\"\0*\0revision_metadata_keys\";a:4:{s:13:\"revision_user\";s:13:\"revision_user\";s:16:\"revision_created\";s:16:\"revision_created\";s:20:\"revision_log_message\";s:20:\"revision_log_message\";s:16:\"revision_default\";s:16:\"revision_default\";}s:31:\"\0*\0requiredRevisionMetadataKeys\";a:1:{s:16:\"revision_default\";s:16:\"revision_default\";}s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:9:{s:2:\"id\";s:3:\"tid\";s:8:\"revision\";s:11:\"revision_id\";s:6:\"bundle\";s:3:\"vid\";s:5:\"label\";s:4:\"name\";s:8:\"langcode\";s:8:\"langcode\";s:4:\"uuid\";s:4:\"uuid\";s:9:\"published\";s:6:\"status\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";}s:5:\"\0*\0id\";s:13:\"taxonomy_term\";s:16:\"\0*\0originalClass\";s:27:\"Drupal\\taxonomy\\Entity\\Term\";s:11:\"\0*\0handlers\";a:9:{s:7:\"storage\";s:27:\"Drupal\\taxonomy\\TermStorage\";s:14:\"storage_schema\";s:33:\"Drupal\\taxonomy\\TermStorageSchema\";s:12:\"view_builder\";s:36:\"Drupal\\Core\\Entity\\EntityViewBuilder\";s:12:\"list_builder\";s:36:\"Drupal\\Core\\Entity\\EntityListBuilder\";s:6:\"access\";s:40:\"Drupal\\taxonomy\\TermAccessControlHandler\";s:10:\"views_data\";s:29:\"Drupal\\taxonomy\\TermViewsData\";s:4:\"form\";a:3:{s:7:\"default\";s:24:\"Drupal\\taxonomy\\TermForm\";s:6:\"delete\";s:35:\"Drupal\\taxonomy\\Form\\TermDeleteForm\";s:28:\"content_translation_deletion\";s:61:\"\\Drupal\\content_translation\\Form\\ContentTranslationDeleteForm\";}s:11:\"translation\";s:38:\"Drupal\\taxonomy\\TermTranslationHandler\";s:10:\"moderation\";s:0:\"\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:6:\"bundle\";s:8:\"\0*\0links\";a:8:{s:9:\"canonical\";s:30:\"/taxonomy/term/{taxonomy_term}\";s:11:\"delete-form\";s:37:\"/taxonomy/term/{taxonomy_term}/delete\";s:9:\"edit-form\";s:35:\"/taxonomy/term/{taxonomy_term}/edit\";s:6:\"create\";s:14:\"/taxonomy/term\";s:35:\"drupal:content-translation-overview\";s:43:\"/taxonomy/term/{taxonomy_term}/translations\";s:30:\"drupal:content-translation-add\";s:65:\"/taxonomy/term/{taxonomy_term}/translations/add/{source}/{target}\";s:31:\"drupal:content-translation-edit\";s:59:\"/taxonomy/term/{taxonomy_term}/translations/edit/{language}\";s:33:\"drupal:content-translation-delete\";s:61:\"/taxonomy/term/{taxonomy_term}/translations/delete/{language}\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";s:19:\"taxonomy_vocabulary\";s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Vocabulary\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"\0*\0base_table\";s:18:\"taxonomy_term_data\";s:22:\"\0*\0revision_data_table\";s:28:\"taxonomy_term_field_revision\";s:17:\"\0*\0revision_table\";s:22:\"taxonomy_term_revision\";s:13:\"\0*\0data_table\";s:24:\"taxonomy_term_field_data\";s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:1;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Taxonomy term\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Taxonomy terms\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"taxonomy term\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"taxonomy terms\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:20:\"@count taxonomy term\";s:6:\"plural\";s:21:\"@count taxonomy terms\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";s:17:\"taxonomy_term_uri\";s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";s:40:\"entity.taxonomy_vocabulary.overview_form\";s:26:\"\0*\0common_reference_target\";b:1;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:18:\"taxonomy_term_list\";}s:14:\"\0*\0constraints\";a:4:{s:17:\"TaxonomyHierarchy\";a:0:{}s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:3:{s:10:\"token_type\";s:4:\"term\";s:28:\"content_translation_metadata\";s:60:\"Drupal\\content_translation\\ContentTranslationMetadataWrapper\";s:11:\"translation\";a:1:{s:19:\"content_translation\";a:1:{s:15:\"access_callback\";s:36:\"content_translation_translate_access\";}}}s:8:\"\0*\0class\";s:27:\"Drupal\\taxonomy\\Entity\\Term\";s:11:\"\0*\0provider\";s:8:\"taxonomy\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}s:19:\"taxonomy_vocabulary\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":44:{s:16:\"\0*\0config_prefix\";s:10:\"vocabulary\";s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:4:{i:0;s:4:\"name\";i:1;s:3:\"vid\";i:2;s:11:\"description\";i:3;s:6:\"weight\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:9:{s:2:\"id\";s:3:\"vid\";s:5:\"label\";s:4:\"name\";s:6:\"weight\";s:6:\"weight\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:19:\"taxonomy_vocabulary\";s:16:\"\0*\0originalClass\";s:33:\"Drupal\\taxonomy\\Entity\\Vocabulary\";s:11:\"\0*\0handlers\";a:6:{s:7:\"storage\";s:33:\"Drupal\\taxonomy\\VocabularyStorage\";s:12:\"list_builder\";s:37:\"Drupal\\taxonomy\\VocabularyListBuilder\";s:6:\"access\";s:46:\"Drupal\\taxonomy\\VocabularyAccessControlHandler\";s:4:\"form\";a:4:{s:7:\"default\";s:30:\"Drupal\\taxonomy\\VocabularyForm\";s:5:\"reset\";s:40:\"Drupal\\taxonomy\\Form\\VocabularyResetForm\";s:6:\"delete\";s:41:\"Drupal\\taxonomy\\Form\\VocabularyDeleteForm\";s:8:\"overview\";s:34:\"Drupal\\taxonomy\\Form\\OverviewTerms\";}s:14:\"route_provider\";a:1:{s:4:\"html\";s:54:\"Drupal\\taxonomy\\Entity\\Routing\\VocabularyRouteProvider\";}s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";s:19:\"administer taxonomy\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:7:{s:8:\"add-form\";s:29:\"/admin/structure/taxonomy/add\";s:11:\"delete-form\";s:61:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/delete\";s:10:\"reset-form\";s:60:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/reset\";s:13:\"overview-form\";s:63:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview\";s:9:\"edit-form\";s:54:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}\";s:10:\"collection\";s:25:\"/admin/structure/taxonomy\";s:27:\"config-translation-overview\";s:64:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/translate\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";s:13:\"taxonomy_term\";s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Taxonomy vocabulary\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Taxonomy\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"vocabulary\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"vocabularies\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:17:\"@count vocabulary\";s:6:\"plural\";s:19:\"@count vocabularies\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:31:\"config:taxonomy_vocabulary_list\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:10:\"vocabulary\";}s:8:\"\0*\0class\";s:33:\"Drupal\\taxonomy\\Entity\\Vocabulary\";s:11:\"\0*\0provider\";s:8:\"taxonomy\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}s:4:\"tour\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":44:{s:16:\"\0*\0config_prefix\";N;s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:2:{i:0;s:19:\"routes.*.route_name\";i:1;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:5:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:6:\"module\";i:3;s:6:\"routes\";i:4;s:4:\"tips\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:4:\"tour\";s:16:\"\0*\0originalClass\";s:23:\"Drupal\\tour\\Entity\\Tour\";s:11:\"\0*\0handlers\";a:4:{s:12:\"view_builder\";s:27:\"Drupal\\tour\\TourViewBuilder\";s:6:\"access\";s:36:\"Drupal\\tour\\TourAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";s:29:\"administer site configuration\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Tour\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Tours\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"tour\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"tours\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:11:\"@count tour\";s:6:\"plural\";s:12:\"@count tours\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:16:\"config:tour_list\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:4:\"tour\";}s:8:\"\0*\0class\";s:23:\"Drupal\\tour\\Entity\\Tour\";s:11:\"\0*\0provider\";s:4:\"tour\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}s:4:\"user\";O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":42:{s:25:\"\0*\0revision_metadata_keys\";a:1:{s:16:\"revision_default\";s:16:\"revision_default\";}s:31:\"\0*\0requiredRevisionMetadataKeys\";a:1:{s:16:\"revision_default\";s:16:\"revision_default\";}s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:3:\"uid\";s:8:\"langcode\";s:8:\"langcode\";s:4:\"uuid\";s:4:\"uuid\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";}s:5:\"\0*\0id\";s:4:\"user\";s:16:\"\0*\0originalClass\";s:23:\"Drupal\\user\\Entity\\User\";s:11:\"\0*\0handlers\";a:9:{s:7:\"storage\";s:23:\"Drupal\\user\\UserStorage\";s:14:\"storage_schema\";s:29:\"Drupal\\user\\UserStorageSchema\";s:6:\"access\";s:36:\"Drupal\\user\\UserAccessControlHandler\";s:12:\"list_builder\";s:27:\"Drupal\\user\\UserListBuilder\";s:10:\"views_data\";s:25:\"Drupal\\user\\UserViewsData\";s:14:\"route_provider\";a:1:{s:4:\"html\";s:36:\"Drupal\\user\\Entity\\UserRouteProvider\";}s:4:\"form\";a:4:{s:7:\"default\";s:23:\"Drupal\\user\\ProfileForm\";s:6:\"cancel\";s:31:\"Drupal\\user\\Form\\UserCancelForm\";s:8:\"register\";s:24:\"Drupal\\user\\RegisterForm\";s:28:\"content_translation_deletion\";s:61:\"\\Drupal\\content_translation\\Form\\ContentTranslationDeleteForm\";}s:11:\"translation\";s:37:\"Drupal\\user\\ProfileTranslationHandler\";s:12:\"view_builder\";s:36:\"Drupal\\Core\\Entity\\EntityViewBuilder\";}s:19:\"\0*\0admin_permission\";s:16:\"administer users\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:9:{s:9:\"canonical\";s:12:\"/user/{user}\";s:9:\"edit-form\";s:17:\"/user/{user}/edit\";s:11:\"cancel-form\";s:19:\"/user/{user}/cancel\";s:10:\"collection\";s:13:\"/admin/people\";s:12:\"contact-form\";s:20:\"/user/{user}/contact\";s:35:\"drupal:content-translation-overview\";s:25:\"/user/{user}/translations\";s:30:\"drupal:content-translation-add\";s:47:\"/user/{user}/translations/add/{source}/{target}\";s:31:\"drupal:content-translation-edit\";s:41:\"/user/{user}/translations/edit/{language}\";s:33:\"drupal:content-translation-delete\";s:43:\"/user/{user}/translations/delete/{language}\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";s:5:\"users\";s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";s:16:\"users_field_data\";s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:1;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"User\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Users\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"user\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"users\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:11:\"@count user\";s:6:\"plural\";s:12:\"@count users\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";s:22:\"entity.user.admin_form\";s:26:\"\0*\0common_reference_target\";b:1;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:9:\"user_list\";}s:14:\"\0*\0constraints\";a:3:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:3:{s:10:\"token_type\";s:4:\"user\";s:28:\"content_translation_metadata\";s:60:\"Drupal\\content_translation\\ContentTranslationMetadataWrapper\";s:11:\"translation\";a:1:{s:19:\"content_translation\";a:1:{s:15:\"access_callback\";s:36:\"content_translation_translate_access\";}}}s:8:\"\0*\0class\";s:23:\"Drupal\\user\\Entity\\User\";s:11:\"\0*\0provider\";s:4:\"user\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}s:9:\"user_role\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":44:{s:16:\"\0*\0config_prefix\";s:4:\"role\";s:15:\"\0*\0static_cache\";b:1;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:5:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:6:\"weight\";i:3;s:8:\"is_admin\";i:4;s:11:\"permissions\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:9:{s:2:\"id\";s:2:\"id\";s:6:\"weight\";s:6:\"weight\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:9:\"user_role\";s:16:\"\0*\0originalClass\";s:23:\"Drupal\\user\\Entity\\Role\";s:11:\"\0*\0handlers\";a:5:{s:7:\"storage\";s:23:\"Drupal\\user\\RoleStorage\";s:6:\"access\";s:36:\"Drupal\\user\\RoleAccessControlHandler\";s:12:\"list_builder\";s:27:\"Drupal\\user\\RoleListBuilder\";s:4:\"form\";a:2:{s:7:\"default\";s:20:\"Drupal\\user\\RoleForm\";s:6:\"delete\";s:35:\"Drupal\\Core\\Entity\\EntityDeleteForm\";}s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";s:22:\"administer permissions\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:5:{s:11:\"delete-form\";s:45:\"/admin/people/roles/manage/{user_role}/delete\";s:9:\"edit-form\";s:38:\"/admin/people/roles/manage/{user_role}\";s:21:\"edit-permissions-form\";s:37:\"/admin/people/permissions/{user_role}\";s:10:\"collection\";s:19:\"/admin/people/roles\";s:27:\"config-translation-overview\";s:48:\"/admin/people/roles/manage/{user_role}/translate\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Role\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Roles\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"role\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"roles\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:11:\"@count role\";s:6:\"plural\";s:12:\"@count roles\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:21:\"config:user_role_list\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:9:\"user_role\";}s:8:\"\0*\0class\";s:23:\"Drupal\\user\\Entity\\Role\";s:11:\"\0*\0provider\";s:4:\"user\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}s:17:\"menu_link_content\";O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":42:{s:25:\"\0*\0revision_metadata_keys\";a:4:{s:13:\"revision_user\";s:13:\"revision_user\";s:16:\"revision_created\";s:16:\"revision_created\";s:20:\"revision_log_message\";s:20:\"revision_log_message\";s:16:\"revision_default\";s:16:\"revision_default\";}s:31:\"\0*\0requiredRevisionMetadataKeys\";a:1:{s:16:\"revision_default\";s:16:\"revision_default\";}s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:9:{s:2:\"id\";s:2:\"id\";s:8:\"revision\";s:11:\"revision_id\";s:5:\"label\";s:5:\"title\";s:8:\"langcode\";s:8:\"langcode\";s:4:\"uuid\";s:4:\"uuid\";s:6:\"bundle\";s:6:\"bundle\";s:9:\"published\";s:7:\"enabled\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";}s:5:\"\0*\0id\";s:17:\"menu_link_content\";s:16:\"\0*\0originalClass\";s:47:\"Drupal\\menu_link_content\\Entity\\MenuLinkContent\";s:11:\"\0*\0handlers\";a:7:{s:7:\"storage\";s:48:\"\\Drupal\\menu_link_content\\MenuLinkContentStorage\";s:14:\"storage_schema\";s:53:\"Drupal\\menu_link_content\\MenuLinkContentStorageSchema\";s:6:\"access\";s:60:\"Drupal\\menu_link_content\\MenuLinkContentAccessControlHandler\";s:4:\"form\";a:3:{s:7:\"default\";s:49:\"Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";s:6:\"delete\";s:55:\"Drupal\\menu_link_content\\Form\\MenuLinkContentDeleteForm\";s:28:\"content_translation_deletion\";s:61:\"\\Drupal\\content_translation\\Form\\ContentTranslationDeleteForm\";}s:12:\"view_builder\";s:36:\"Drupal\\Core\\Entity\\EntityViewBuilder\";s:10:\"moderation\";s:0:\"\";s:11:\"translation\";s:52:\"Drupal\\content_translation\\ContentTranslationHandler\";}s:19:\"\0*\0admin_permission\";s:15:\"administer menu\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:7:{s:9:\"canonical\";s:51:\"/admin/structure/menu/item/{menu_link_content}/edit\";s:9:\"edit-form\";s:51:\"/admin/structure/menu/item/{menu_link_content}/edit\";s:11:\"delete-form\";s:53:\"/admin/structure/menu/item/{menu_link_content}/delete\";s:35:\"drupal:content-translation-overview\";s:64:\"/admin/structure/menu/item/{menu_link_content}/edit/translations\";s:30:\"drupal:content-translation-add\";s:86:\"/admin/structure/menu/item/{menu_link_content}/edit/translations/add/{source}/{target}\";s:31:\"drupal:content-translation-edit\";s:80:\"/admin/structure/menu/item/{menu_link_content}/edit/translations/edit/{language}\";s:33:\"drupal:content-translation-delete\";s:82:\"/admin/structure/menu/item/{menu_link_content}/edit/translations/delete/{language}\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";s:17:\"menu_link_content\";s:22:\"\0*\0revision_data_table\";s:32:\"menu_link_content_field_revision\";s:17:\"\0*\0revision_table\";s:26:\"menu_link_content_revision\";s:13:\"\0*\0data_table\";s:22:\"menu_link_content_data\";s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:1;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Custom menu link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Custom menu links\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"custom menu link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"custom menu links\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:23:\"@count custom menu link\";s:6:\"plural\";s:24:\"@count custom menu links\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:22:\"menu_link_content_list\";}s:14:\"\0*\0constraints\";a:4:{s:17:\"MenuTreeHierarchy\";a:0:{}s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:3:{s:10:\"token_type\";s:17:\"menu_link_content\";s:28:\"content_translation_metadata\";s:60:\"Drupal\\content_translation\\ContentTranslationMetadataWrapper\";s:11:\"translation\";a:1:{s:19:\"content_translation\";a:1:{s:15:\"access_callback\";s:36:\"content_translation_translate_access\";}}}s:8:\"\0*\0class\";s:47:\"Drupal\\menu_link_content\\Entity\\MenuLinkContent\";s:11:\"\0*\0provider\";s:17:\"menu_link_content\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}s:16:\"pathauto_pattern\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":44:{s:16:\"\0*\0config_prefix\";s:7:\"pattern\";s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:3:{i:0;s:4:\"type\";i:1;s:6:\"status\";i:2;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:8:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:4:\"type\";i:3;s:7:\"pattern\";i:4;s:18:\"selection_criteria\";i:5;s:15:\"selection_logic\";i:6;s:6:\"weight\";i:7;s:13:\"relationships\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:10:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:4:\"uuid\";s:4:\"uuid\";s:6:\"weight\";s:6:\"weight\";s:6:\"status\";s:6:\"status\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";}s:5:\"\0*\0id\";s:16:\"pathauto_pattern\";s:16:\"\0*\0originalClass\";s:38:\"Drupal\\pathauto\\Entity\\PathautoPattern\";s:11:\"\0*\0handlers\";a:6:{s:12:\"list_builder\";s:42:\"Drupal\\pathauto\\PathautoPatternListBuilder\";s:4:\"form\";a:5:{s:7:\"default\";s:36:\"Drupal\\pathauto\\Form\\PatternEditForm\";s:9:\"duplicate\";s:41:\"Drupal\\pathauto\\Form\\PatternDuplicateForm\";s:6:\"delete\";s:35:\"Drupal\\Core\\Entity\\EntityDeleteForm\";s:6:\"enable\";s:38:\"Drupal\\pathauto\\Form\\PatternEnableForm\";s:7:\"disable\";s:39:\"Drupal\\pathauto\\Form\\PatternDisableForm\";}s:14:\"route_provider\";a:1:{s:4:\"html\";s:51:\"Drupal\\Core\\Entity\\Routing\\DefaultHtmlRouteProvider\";}s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";s:19:\"administer pathauto\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:7:{s:10:\"collection\";s:34:\"/admin/config/search/path/patterns\";s:9:\"edit-form\";s:53:\"/admin/config/search/path/patterns/{pathauto_pattern}\";s:11:\"delete-form\";s:60:\"/admin/config/search/path/patterns/{pathauto_pattern}/delete\";s:6:\"enable\";s:60:\"/admin/config/search/path/patterns/{pathauto_pattern}/enable\";s:7:\"disable\";s:61:\"/admin/config/search/path/patterns/{pathauto_pattern}/disable\";s:14:\"duplicate-form\";s:63:\"/admin/config/search/path/patterns/{pathauto_pattern}/duplicate\";s:27:\"config-translation-overview\";s:63:\"/admin/config/search/path/patterns/{pathauto_pattern}/translate\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Pathauto pattern\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:28:\"config:pathauto_pattern_list\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:16:\"pathauto_pattern\";}s:8:\"\0*\0class\";s:38:\"Drupal\\pathauto\\Entity\\PathautoPattern\";s:11:\"\0*\0provider\";s:8:\"pathauto\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}s:4:\"view\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":44:{s:16:\"\0*\0config_prefix\";N;s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:8:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:6:\"module\";i:3;s:11:\"description\";i:4;s:3:\"tag\";i:5;s:10:\"base_table\";i:6;s:10:\"base_field\";i:7;s:7:\"display\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:9:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:6:\"status\";s:6:\"status\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:4:\"view\";s:16:\"\0*\0originalClass\";s:24:\"Drupal\\views\\Entity\\View\";s:11:\"\0*\0handlers\";a:5:{s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";s:4:\"form\";a:6:{s:4:\"edit\";s:28:\"Drupal\\views_ui\\ViewEditForm\";s:3:\"add\";s:27:\"Drupal\\views_ui\\ViewAddForm\";s:7:\"preview\";s:31:\"Drupal\\views_ui\\ViewPreviewForm\";s:9:\"duplicate\";s:33:\"Drupal\\views_ui\\ViewDuplicateForm\";s:6:\"delete\";s:35:\"Drupal\\Core\\Entity\\EntityDeleteForm\";s:10:\"break_lock\";s:34:\"Drupal\\views_ui\\Form\\BreakLockForm\";}s:12:\"list_builder\";s:31:\"Drupal\\views_ui\\ViewListBuilder\";s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";s:16:\"administer views\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:10:{s:9:\"edit-form\";s:34:\"/admin/structure/views/view/{view}\";s:17:\"edit-display-form\";s:52:\"/admin/structure/views/view/{view}/edit/{display_id}\";s:12:\"preview-form\";s:55:\"/admin/structure/views/view/{view}/preview/{display_id}\";s:14:\"duplicate-form\";s:44:\"/admin/structure/views/view/{view}/duplicate\";s:11:\"delete-form\";s:41:\"/admin/structure/views/view/{view}/delete\";s:6:\"enable\";s:41:\"/admin/structure/views/view/{view}/enable\";s:7:\"disable\";s:42:\"/admin/structure/views/view/{view}/disable\";s:15:\"break-lock-form\";s:45:\"/admin/structure/views/view/{view}/break-lock\";s:10:\"collection\";s:22:\"/admin/structure/views\";s:27:\"config-translation-overview\";s:44:\"/admin/structure/views/view/{view}/translate\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"View\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:16:\"View entity type\";}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Views\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:16:\"View entity type\";}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"view\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:16:\"View entity type\";}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"views\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:16:\"View entity type\";}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:11:\"@count view\";s:6:\"plural\";s:12:\"@count views\";s:7:\"context\";s:16:\"View entity type\";}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:16:\"config:view_list\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:4:\"view\";}s:8:\"\0*\0class\";s:24:\"Drupal\\views\\Entity\\View\";s:11:\"\0*\0provider\";s:5:\"views\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}s:11:\"date_format\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":44:{s:16:\"\0*\0config_prefix\";N;s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:4:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:6:\"locked\";i:3;s:7:\"pattern\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:11:\"date_format\";s:16:\"\0*\0originalClass\";s:38:\"Drupal\\Core\\Datetime\\Entity\\DateFormat\";s:11:\"\0*\0handlers\";a:5:{s:6:\"access\";s:44:\"Drupal\\system\\DateFormatAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";s:4:\"form\";a:3:{s:3:\"add\";s:36:\"Drupal\\system\\Form\\DateFormatAddForm\";s:4:\"edit\";s:37:\"Drupal\\system\\Form\\DateFormatEditForm\";s:6:\"delete\";s:39:\"Drupal\\system\\Form\\DateFormatDeleteForm\";}s:12:\"list_builder\";s:35:\"Drupal\\system\\DateFormatListBuilder\";s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";s:29:\"administer site configuration\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:4:{s:9:\"edit-form\";s:61:\"/admin/config/regional/date-time/formats/manage/{date_format}\";s:11:\"delete-form\";s:68:\"/admin/config/regional/date-time/formats/manage/{date_format}/delete\";s:10:\"collection\";s:40:\"/admin/config/regional/date-time/formats\";s:27:\"config-translation-overview\";s:71:\"/admin/config/regional/date-time/formats/manage/{date_format}/translate\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Date format\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:8:\"rendered\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:11:\"date_format\";}s:8:\"\0*\0class\";s:38:\"Drupal\\Core\\Datetime\\Entity\\DateFormat\";s:11:\"\0*\0provider\";s:4:\"core\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}s:16:\"entity_form_mode\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":44:{s:16:\"\0*\0config_prefix\";N;s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:4:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:16:\"targetEntityType\";i:3;s:5:\"cache\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:16:\"entity_form_mode\";s:16:\"\0*\0originalClass\";s:40:\"Drupal\\Core\\Entity\\Entity\\EntityFormMode\";s:11:\"\0*\0handlers\";a:5:{s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";s:12:\"list_builder\";s:41:\"Drupal\\field_ui\\EntityFormModeListBuilder\";s:4:\"form\";a:3:{s:3:\"add\";s:42:\"Drupal\\field_ui\\Form\\EntityFormModeAddForm\";s:4:\"edit\";s:46:\"Drupal\\field_ui\\Form\\EntityDisplayModeEditForm\";s:6:\"delete\";s:48:\"Drupal\\field_ui\\Form\\EntityDisplayModeDeleteForm\";}s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";s:24:\"administer display modes\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:5:{s:11:\"delete-form\";s:68:\"/admin/structure/display-modes/form/manage/{entity_form_mode}/delete\";s:9:\"edit-form\";s:61:\"/admin/structure/display-modes/form/manage/{entity_form_mode}\";s:8:\"add-form\";s:56:\"/admin/structure/display-modes/form/add/{entity_type_id}\";s:10:\"collection\";s:35:\"/admin/structure/display-modes/form\";s:27:\"config-translation-overview\";s:71:\"/admin/structure/display-modes/form/manage/{entity_form_mode}/translate\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Form mode\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:28:\"config:entity_form_mode_list\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:16:\"entity_form_mode\";}s:8:\"\0*\0class\";s:40:\"Drupal\\Core\\Entity\\Entity\\EntityFormMode\";s:11:\"\0*\0provider\";s:4:\"core\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}s:16:\"entity_view_mode\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":44:{s:16:\"\0*\0config_prefix\";N;s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:4:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:16:\"targetEntityType\";i:3;s:5:\"cache\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:16:\"entity_view_mode\";s:16:\"\0*\0originalClass\";s:40:\"Drupal\\Core\\Entity\\Entity\\EntityViewMode\";s:11:\"\0*\0handlers\";a:5:{s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";s:12:\"list_builder\";s:44:\"Drupal\\field_ui\\EntityDisplayModeListBuilder\";s:4:\"form\";a:3:{s:3:\"add\";s:45:\"Drupal\\field_ui\\Form\\EntityDisplayModeAddForm\";s:4:\"edit\";s:46:\"Drupal\\field_ui\\Form\\EntityDisplayModeEditForm\";s:6:\"delete\";s:48:\"Drupal\\field_ui\\Form\\EntityDisplayModeDeleteForm\";}s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";s:24:\"administer display modes\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:5:{s:11:\"delete-form\";s:68:\"/admin/structure/display-modes/view/manage/{entity_view_mode}/delete\";s:9:\"edit-form\";s:61:\"/admin/structure/display-modes/view/manage/{entity_view_mode}\";s:8:\"add-form\";s:56:\"/admin/structure/display-modes/view/add/{entity_type_id}\";s:10:\"collection\";s:35:\"/admin/structure/display-modes/view\";s:27:\"config-translation-overview\";s:71:\"/admin/structure/display-modes/view/manage/{entity_view_mode}/translate\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"View mode\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:28:\"config:entity_view_mode_list\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:16:\"entity_view_mode\";}s:8:\"\0*\0class\";s:40:\"Drupal\\Core\\Entity\\Entity\\EntityViewMode\";s:11:\"\0*\0provider\";s:4:\"core\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}s:19:\"entity_view_display\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":44:{s:16:\"\0*\0config_prefix\";N;s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:6:{i:0;s:2:\"id\";i:1;s:16:\"targetEntityType\";i:2;s:6:\"bundle\";i:3;s:4:\"mode\";i:4;s:7:\"content\";i:5;s:6:\"hidden\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:6:\"status\";s:6:\"status\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:19:\"entity_view_display\";s:16:\"\0*\0originalClass\";s:43:\"Drupal\\Core\\Entity\\Entity\\EntityViewDisplay\";s:11:\"\0*\0handlers\";a:4:{s:6:\"access\";s:71:\"\\Drupal\\Core\\Entity\\Entity\\Access\\EntityViewDisplayAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";s:4:\"form\";a:1:{s:4:\"edit\";s:46:\"Drupal\\field_ui\\Form\\EntityViewDisplayEditForm\";}s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Entity view display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:31:\"config:entity_view_display_list\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:19:\"entity_view_display\";}s:8:\"\0*\0class\";s:43:\"Drupal\\Core\\Entity\\Entity\\EntityViewDisplay\";s:11:\"\0*\0provider\";s:4:\"core\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}s:19:\"entity_form_display\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":44:{s:16:\"\0*\0config_prefix\";N;s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:6:{i:0;s:2:\"id\";i:1;s:16:\"targetEntityType\";i:2;s:6:\"bundle\";i:3;s:4:\"mode\";i:4;s:7:\"content\";i:5;s:6:\"hidden\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:6:\"status\";s:6:\"status\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:19:\"entity_form_display\";s:16:\"\0*\0originalClass\";s:43:\"Drupal\\Core\\Entity\\Entity\\EntityFormDisplay\";s:11:\"\0*\0handlers\";a:4:{s:6:\"access\";s:71:\"\\Drupal\\Core\\Entity\\Entity\\Access\\EntityFormDisplayAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";s:4:\"form\";a:1:{s:4:\"edit\";s:46:\"Drupal\\field_ui\\Form\\EntityFormDisplayEditForm\";}s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Entity form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:31:\"config:entity_form_display_list\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:19:\"entity_form_display\";}s:8:\"\0*\0class\";s:43:\"Drupal\\Core\\Entity\\Entity\\EntityFormDisplay\";s:11:\"\0*\0provider\";s:4:\"core\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}s:19:\"base_field_override\";O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":44:{s:16:\"\0*\0config_prefix\";s:19:\"base_field_override\";s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:12:{i:0;s:2:\"id\";i:1;s:10:\"field_name\";i:2;s:11:\"entity_type\";i:3;s:6:\"bundle\";i:4;s:5:\"label\";i:5;s:11:\"description\";i:6;s:8:\"required\";i:7;s:12:\"translatable\";i:8;s:13:\"default_value\";i:9;s:22:\"default_value_callback\";i:10;s:8:\"settings\";i:11;s:10:\"field_type\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:19:\"base_field_override\";s:16:\"\0*\0originalClass\";s:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\";s:11:\"\0*\0handlers\";a:3:{s:7:\"storage\";s:42:\"Drupal\\Core\\Field\\BaseFieldOverrideStorage\";s:6:\"access\";s:55:\"Drupal\\Core\\Field\\BaseFieldOverrideAccessControlHandler\";s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Base field override\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:31:\"config:base_field_override_list\";}s:14:\"\0*\0constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:19:\"base_field_override\";}s:8:\"\0*\0class\";s:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\";s:11:\"\0*\0provider\";s:4:\"core\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}}',-1,1636011226.038,1,'entity_types','84'),('entity_view_mode_info:en','a:11:{s:5:\"block\";a:1:{s:5:\"token\";a:8:{s:4:\"uuid\";s:36:\"21310d1e-472a-4623-8336-ae04a450c9b6\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:5:\"block\";}}s:2:\"id\";s:11:\"block.token\";s:5:\"label\";s:5:\"Token\";s:16:\"targetEntityType\";s:5:\"block\";s:5:\"cache\";b:1;}}s:13:\"block_content\";a:2:{s:4:\"full\";a:9:{s:4:\"uuid\";s:36:\"a4ac9bda-198f-43bc-a947-1a2f4058351c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:13:\"block_content\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"4tedlMuvQjDOdvHdw86_e-2Rt78aR7TGFMfOK8Ejppg\";}s:2:\"id\";s:18:\"block_content.full\";s:5:\"label\";s:4:\"Full\";s:16:\"targetEntityType\";s:13:\"block_content\";s:5:\"cache\";b:1;}s:5:\"token\";a:8:{s:4:\"uuid\";s:36:\"1e28e7b1-2b2e-4714-b87a-ba8517c6505c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:13:\"block_content\";}}s:2:\"id\";s:19:\"block_content.token\";s:5:\"label\";s:5:\"Token\";s:16:\"targetEntityType\";s:13:\"block_content\";s:5:\"cache\";b:1;}}s:7:\"comment\";a:2:{s:4:\"full\";a:9:{s:4:\"uuid\";s:36:\"e7b2fc96-4cfc-4145-8384-f0593aceaf63\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:7:\"comment\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"K7eNlfU7NEUajz01wItywZklr2oaPgL6s1_97fmDXLA\";}s:2:\"id\";s:12:\"comment.full\";s:5:\"label\";s:12:\"Full comment\";s:16:\"targetEntityType\";s:7:\"comment\";s:5:\"cache\";b:1;}s:5:\"token\";a:8:{s:4:\"uuid\";s:36:\"1e63c648-ea0c-4c85-9b8d-7cba9ed36d08\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:7:\"comment\";}}s:2:\"id\";s:13:\"comment.token\";s:5:\"label\";s:5:\"Token\";s:16:\"targetEntityType\";s:7:\"comment\";s:5:\"cache\";b:1;}}s:15:\"contact_message\";a:1:{s:5:\"token\";a:8:{s:4:\"uuid\";s:36:\"ff589cba-3995-4b9f-ae88-f0ea4eff90ff\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:7:\"contact\";}}s:2:\"id\";s:21:\"contact_message.token\";s:5:\"label\";s:5:\"Token\";s:16:\"targetEntityType\";s:15:\"contact_message\";s:5:\"cache\";b:1;}}s:4:\"file\";a:1:{s:5:\"token\";a:8:{s:4:\"uuid\";s:36:\"79a84e8c-7d6d-4910-a4ba-f548fece6d24\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"file\";}}s:2:\"id\";s:10:\"file.token\";s:5:\"label\";s:5:\"Token\";s:16:\"targetEntityType\";s:4:\"file\";s:5:\"cache\";b:1;}}s:17:\"menu_link_content\";a:1:{s:5:\"token\";a:8:{s:4:\"uuid\";s:36:\"37d1a394-5d96-4872-a4e8-8d4d2d085f0e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"menu_link_content\";}}s:2:\"id\";s:23:\"menu_link_content.token\";s:5:\"label\";s:5:\"Token\";s:16:\"targetEntityType\";s:17:\"menu_link_content\";s:5:\"cache\";b:1;}}s:4:\"node\";a:9:{s:10:\"email_html\";a:9:{s:4:\"uuid\";s:36:\"b240fc1f-30f7-4d0d-876c-cf5c44e4dbf5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:2:{s:8:\"enforced\";a:1:{s:6:\"module\";a:1:{i:0;s:10:\"simplenews\";}}s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"iQNOEsNlbBFbVMOoSwtfUd8YC0XpRLzTjXv48HYfxwE\";}s:2:\"id\";s:15:\"node.email_html\";s:5:\"label\";s:11:\"Email: HTML\";s:16:\"targetEntityType\";s:4:\"node\";s:5:\"cache\";b:1;}s:11:\"email_plain\";a:9:{s:4:\"uuid\";s:36:\"6c74b1f8-f113-4940-a6c1-58332c377bd6\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:2:{s:8:\"enforced\";a:1:{s:6:\"module\";a:1:{i:0;s:10:\"simplenews\";}}s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"rCDGCl6pMFu6zZuErLQggKvmawfFDysFcZNCDL72U4M\";}s:2:\"id\";s:16:\"node.email_plain\";s:5:\"label\";s:12:\"Email: Plain\";s:16:\"targetEntityType\";s:4:\"node\";s:5:\"cache\";b:1;}s:13:\"email_textalt\";a:9:{s:4:\"uuid\";s:36:\"b7c20b42-33c6-43a4-96fe-8619f28fd96a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:2:{s:8:\"enforced\";a:1:{s:6:\"module\";a:1:{i:0;s:10:\"simplenews\";}}s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"3VUPDEGmxWyAGCr0U_RTGoPS3xmNiOj3NU0wy4vxgwI\";}s:2:\"id\";s:18:\"node.email_textalt\";s:5:\"label\";s:28:\"Email: HTML text alternative\";s:16:\"targetEntityType\";s:4:\"node\";s:5:\"cache\";b:1;}s:4:\"full\";a:9:{s:4:\"uuid\";s:36:\"651b023b-49de-4c40-9cf2-71170d3cd709\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"ElrtInxGjZd7GaapJ5O9n-ugi2hG2IxFivtgn0tHOsk\";}s:2:\"id\";s:9:\"node.full\";s:5:\"label\";s:12:\"Full content\";s:16:\"targetEntityType\";s:4:\"node\";s:5:\"cache\";b:1;}s:3:\"rss\";a:9:{s:4:\"uuid\";s:36:\"ab44ddff-9f3b-4b89-9f6f-8601dacc16f0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"vlYzr-rp2f9NMp-Qlr4sFjlqRq-90mco5-afLNGwCrU\";}s:2:\"id\";s:8:\"node.rss\";s:5:\"label\";s:3:\"RSS\";s:16:\"targetEntityType\";s:4:\"node\";s:5:\"cache\";b:1;}s:12:\"search_index\";a:9:{s:4:\"uuid\";s:36:\"34d350ab-2db4-480d-a608-2536c67ba343\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"fVFfJv_GzBRE-wpRHbfD5a3VjnhbEOXG6lvRd3uaccY\";}s:2:\"id\";s:17:\"node.search_index\";s:5:\"label\";s:12:\"Search index\";s:16:\"targetEntityType\";s:4:\"node\";s:5:\"cache\";b:1;}s:13:\"search_result\";a:9:{s:4:\"uuid\";s:36:\"322e223e-e9da-4f41-8de1-02492ebd3cb8\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"6GCOQ-jP2RbdbHA5YWQ6bT8CfGbqrBYKOSC_XY4E3ZM\";}s:2:\"id\";s:18:\"node.search_result\";s:5:\"label\";s:32:\"Search result highlighting input\";s:16:\"targetEntityType\";s:4:\"node\";s:5:\"cache\";b:1;}s:6:\"teaser\";a:9:{s:4:\"uuid\";s:36:\"026a8761-bc16-4de5-bff7-37e0c0c7be8e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"Mz9qWr1kUYK0mjRAGDsr5XS6PvtZ24en_7ndt-pyWe4\";}s:2:\"id\";s:11:\"node.teaser\";s:5:\"label\";s:6:\"Teaser\";s:16:\"targetEntityType\";s:4:\"node\";s:5:\"cache\";b:1;}s:5:\"token\";a:8:{s:4:\"uuid\";s:36:\"4fc3c08f-567d-415a-be2d-b84db5f7283c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:10:\"node.token\";s:5:\"label\";s:5:\"Token\";s:16:\"targetEntityType\";s:4:\"node\";s:5:\"cache\";b:1;}}s:8:\"shortcut\";a:1:{s:5:\"token\";a:8:{s:4:\"uuid\";s:36:\"170950bf-7d2d-44a7-9b71-4356798ade52\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:8:\"shortcut\";}}s:2:\"id\";s:14:\"shortcut.token\";s:5:\"label\";s:5:\"Token\";s:16:\"targetEntityType\";s:8:\"shortcut\";s:5:\"cache\";b:1;}}s:13:\"taxonomy_term\";a:2:{s:4:\"full\";a:9:{s:4:\"uuid\";s:36:\"9cce7646-9f8c-4000-9317-81242a77e183\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:8:\"taxonomy\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"-PPKjsNQPvoIDjOuUAvlLocYD976MNjb9Zpgyz5_BWE\";}s:2:\"id\";s:18:\"taxonomy_term.full\";s:5:\"label\";s:18:\"Taxonomy term page\";s:16:\"targetEntityType\";s:13:\"taxonomy_term\";s:5:\"cache\";b:1;}s:5:\"token\";a:8:{s:4:\"uuid\";s:36:\"4b62e7f3-e70b-4de4-bfd9-f77daa493d80\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:8:\"taxonomy\";}}s:2:\"id\";s:19:\"taxonomy_term.token\";s:5:\"label\";s:5:\"Token\";s:16:\"targetEntityType\";s:13:\"taxonomy_term\";s:5:\"cache\";b:1;}}s:4:\"tour\";a:1:{s:5:\"token\";a:8:{s:4:\"uuid\";s:36:\"3371dda6-434b-411f-a6ed-1d0d88529d67\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"tour\";}}s:2:\"id\";s:10:\"tour.token\";s:5:\"label\";s:5:\"Token\";s:16:\"targetEntityType\";s:4:\"tour\";s:5:\"cache\";b:1;}}s:4:\"user\";a:3:{s:7:\"compact\";a:9:{s:4:\"uuid\";s:36:\"79198018-bf67-4ae7-a786-86e30e0fc2fd\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"71CSAr_LNPcgu6D6jI4INl1KATkahmeyUFBETAWya8g\";}s:2:\"id\";s:12:\"user.compact\";s:5:\"label\";s:7:\"Compact\";s:16:\"targetEntityType\";s:4:\"user\";s:5:\"cache\";b:1;}s:4:\"full\";a:9:{s:4:\"uuid\";s:36:\"99237fee-d81d-423f-bcc0-7ac477f27595\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"mQIF_foYjmnVSr9MpcD4CTaJE_FpO1AyDd_DskztGhM\";}s:2:\"id\";s:9:\"user.full\";s:5:\"label\";s:12:\"User account\";s:16:\"targetEntityType\";s:4:\"user\";s:5:\"cache\";b:1;}s:5:\"token\";a:8:{s:4:\"uuid\";s:36:\"9d4a4f31-0332-4f48-89e6-d1a0de7951f4\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:2:\"id\";s:10:\"user.token\";s:5:\"label\";s:5:\"Token\";s:16:\"targetEntityType\";s:4:\"user\";s:5:\"cache\";b:1;}}}',-1,1636012250.080,1,'entity_field_info entity_types','140'),('field_formatter_types_plugins','a:51:{s:8:\"colorbox\";a:7:{s:11:\"field_types\";a:1:{i:0;s:5:\"image\";}s:2:\"id\";s:8:\"colorbox\";s:6:\"module\";s:8:\"colorbox\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Colorbox\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:61:\"Drupal\\colorbox\\Plugin\\Field\\FieldFormatter\\ColorboxFormatter\";s:8:\"provider\";s:8:\"colorbox\";s:9:\"quickedit\";a:1:{s:6:\"editor\";s:4:\"form\";}}s:16:\"comment_username\";a:7:{s:11:\"field_types\";a:1:{i:0;s:6:\"string\";}s:2:\"id\";s:16:\"comment_username\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Author name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Display the author name.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:62:\"Drupal\\comment\\Plugin\\Field\\FieldFormatter\\AuthorNameFormatter\";s:8:\"provider\";s:7:\"comment\";s:9:\"quickedit\";a:1:{s:6:\"editor\";s:4:\"form\";}}s:15:\"comment_default\";a:7:{s:11:\"field_types\";a:1:{i:0;s:7:\"comment\";}s:2:\"id\";s:15:\"comment_default\";s:6:\"module\";s:7:\"comment\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Comment list\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"quickedit\";a:1:{s:6:\"editor\";s:8:\"disabled\";}s:5:\"class\";s:66:\"Drupal\\comment\\Plugin\\Field\\FieldFormatter\\CommentDefaultFormatter\";s:8:\"provider\";s:7:\"comment\";}s:17:\"comment_permalink\";a:6:{s:11:\"field_types\";a:2:{i:0;s:6:\"string\";i:1;s:3:\"uri\";}s:2:\"id\";s:17:\"comment_permalink\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Comment Permalink\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"quickedit\";a:1:{s:6:\"editor\";s:10:\"plain_text\";}s:5:\"class\";s:68:\"Drupal\\comment\\Plugin\\Field\\FieldFormatter\\CommentPermalinkFormatter\";s:8:\"provider\";s:7:\"comment\";}s:17:\"datetime_time_ago\";a:6:{s:11:\"field_types\";a:1:{i:0;s:8:\"datetime\";}s:2:\"id\";s:17:\"datetime_time_ago\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Time ago\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:68:\"Drupal\\datetime\\Plugin\\Field\\FieldFormatter\\DateTimeTimeAgoFormatter\";s:8:\"provider\";s:8:\"datetime\";s:9:\"quickedit\";a:1:{s:6:\"editor\";s:4:\"form\";}}s:14:\"datetime_plain\";a:6:{s:11:\"field_types\";a:1:{i:0;s:8:\"datetime\";}s:2:\"id\";s:14:\"datetime_plain\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Plain\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:66:\"Drupal\\datetime\\Plugin\\Field\\FieldFormatter\\DateTimePlainFormatter\";s:8:\"provider\";s:8:\"datetime\";s:9:\"quickedit\";a:1:{s:6:\"editor\";s:4:\"form\";}}s:16:\"datetime_default\";a:6:{s:11:\"field_types\";a:1:{i:0;s:8:\"datetime\";}s:2:\"id\";s:16:\"datetime_default\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Default\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:68:\"Drupal\\datetime\\Plugin\\Field\\FieldFormatter\\DateTimeDefaultFormatter\";s:8:\"provider\";s:8:\"datetime\";s:9:\"quickedit\";a:1:{s:6:\"editor\";s:4:\"form\";}}s:15:\"datetime_custom\";a:6:{s:11:\"field_types\";a:1:{i:0;s:8:\"datetime\";}s:2:\"id\";s:15:\"datetime_custom\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Custom\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:67:\"Drupal\\datetime\\Plugin\\Field\\FieldFormatter\\DateTimeCustomFormatter\";s:8:\"provider\";s:8:\"datetime\";s:9:\"quickedit\";a:1:{s:6:\"editor\";s:4:\"form\";}}s:14:\"file_url_plain\";a:6:{s:11:\"field_types\";a:1:{i:0;s:4:\"file\";}s:2:\"id\";s:14:\"file_url_plain\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"URL to file\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:57:\"Drupal\\file\\Plugin\\Field\\FieldFormatter\\UrlPlainFormatter\";s:8:\"provider\";s:4:\"file\";s:9:\"quickedit\";a:1:{s:6:\"editor\";s:4:\"form\";}}s:10:\"file_video\";a:7:{s:11:\"field_types\";a:1:{i:0;s:4:\"file\";}s:2:\"id\";s:10:\"file_video\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Video\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:42:\"Display the file using an HTML5 video tag.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:58:\"Drupal\\file\\Plugin\\Field\\FieldFormatter\\FileVideoFormatter\";s:8:\"provider\";s:4:\"file\";s:9:\"quickedit\";a:1:{s:6:\"editor\";s:4:\"form\";}}s:12:\"file_default\";a:6:{s:11:\"field_types\";a:1:{i:0;s:4:\"file\";}s:2:\"id\";s:12:\"file_default\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Generic file\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:60:\"Drupal\\file\\Plugin\\Field\\FieldFormatter\\GenericFileFormatter\";s:8:\"provider\";s:4:\"file\";s:9:\"quickedit\";a:1:{s:6:\"editor\";s:4:\"form\";}}s:13:\"file_filemime\";a:6:{s:11:\"field_types\";a:1:{i:0;s:6:\"string\";}s:2:\"id\";s:13:\"file_filemime\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"File MIME\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:57:\"Drupal\\file\\Plugin\\Field\\FieldFormatter\\FilemimeFormatter\";s:8:\"provider\";s:4:\"file\";s:9:\"quickedit\";a:1:{s:6:\"editor\";s:4:\"form\";}}s:8:\"file_uri\";a:6:{s:11:\"field_types\";a:2:{i:0;s:3:\"uri\";i:1;s:8:\"file_uri\";}s:2:\"id\";s:8:\"file_uri\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"File URI\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:56:\"Drupal\\file\\Plugin\\Field\\FieldFormatter\\FileUriFormatter\";s:8:\"provider\";s:4:\"file\";s:9:\"quickedit\";a:1:{s:6:\"editor\";s:4:\"form\";}}s:10:\"file_audio\";a:7:{s:11:\"field_types\";a:1:{i:0;s:4:\"file\";}s:2:\"id\";s:10:\"file_audio\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Audio\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:42:\"Display the file using an HTML5 audio tag.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:58:\"Drupal\\file\\Plugin\\Field\\FieldFormatter\\FileAudioFormatter\";s:8:\"provider\";s:4:\"file\";s:9:\"quickedit\";a:1:{s:6:\"editor\";s:4:\"form\";}}s:14:\"file_extension\";a:6:{s:11:\"field_types\";a:1:{i:0;s:6:\"string\";}s:2:\"id\";s:14:\"file_extension\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"File extension\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:62:\"Drupal\\file\\Plugin\\Field\\FieldFormatter\\FileExtensionFormatter\";s:8:\"provider\";s:4:\"file\";s:9:\"quickedit\";a:1:{s:6:\"editor\";s:4:\"form\";}}s:10:\"file_table\";a:6:{s:11:\"field_types\";a:1:{i:0;s:4:\"file\";}s:2:\"id\";s:10:\"file_table\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Table of files\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:54:\"Drupal\\file\\Plugin\\Field\\FieldFormatter\\TableFormatter\";s:8:\"provider\";s:4:\"file\";s:9:\"quickedit\";a:1:{s:6:\"editor\";s:4:\"form\";}}s:9:\"file_link\";a:6:{s:11:\"field_types\";a:1:{i:0;s:6:\"string\";}s:2:\"id\";s:9:\"file_link\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"File link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:60:\"Drupal\\file\\Plugin\\Field\\FieldFormatter\\DefaultFileFormatter\";s:8:\"provider\";s:4:\"file\";s:9:\"quickedit\";a:1:{s:6:\"editor\";s:4:\"form\";}}s:18:\"file_rss_enclosure\";a:6:{s:11:\"field_types\";a:1:{i:0;s:4:\"file\";}s:2:\"id\";s:18:\"file_rss_enclosure\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"RSS enclosure\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:61:\"Drupal\\file\\Plugin\\Field\\FieldFormatter\\RSSEnclosureFormatter\";s:8:\"provider\";s:4:\"file\";s:9:\"quickedit\";a:1:{s:6:\"editor\";s:4:\"form\";}}s:9:\"file_size\";a:6:{s:11:\"field_types\";a:1:{i:0;s:7:\"integer\";}s:2:\"id\";s:9:\"file_size\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"File size\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:48:\"Drupal\\file\\Plugin\\Field\\FieldFormatter\\FileSize\";s:8:\"provider\";s:4:\"file\";s:9:\"quickedit\";a:1:{s:6:\"editor\";s:4:\"form\";}}s:5:\"image\";a:6:{s:11:\"field_types\";a:1:{i:0;s:5:\"image\";}s:2:\"id\";s:5:\"image\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Image\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"quickedit\";a:1:{s:6:\"editor\";s:5:\"image\";}s:5:\"class\";s:55:\"Drupal\\image\\Plugin\\Field\\FieldFormatter\\ImageFormatter\";s:8:\"provider\";s:5:\"image\";}s:9:\"image_url\";a:6:{s:11:\"field_types\";a:1:{i:0;s:5:\"image\";}s:2:\"id\";s:9:\"image_url\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"URL to image\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:58:\"Drupal\\image\\Plugin\\Field\\FieldFormatter\\ImageUrlFormatter\";s:8:\"provider\";s:5:\"image\";s:9:\"quickedit\";a:1:{s:6:\"editor\";s:4:\"form\";}}s:4:\"link\";a:6:{s:11:\"field_types\";a:1:{i:0;s:4:\"link\";}s:2:\"id\";s:4:\"link\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:53:\"Drupal\\link\\Plugin\\Field\\FieldFormatter\\LinkFormatter\";s:8:\"provider\";s:4:\"link\";s:9:\"quickedit\";a:1:{s:6:\"editor\";s:4:\"form\";}}s:13:\"link_separate\";a:6:{s:11:\"field_types\";a:1:{i:0;s:4:\"link\";}s:2:\"id\";s:13:\"link_separate\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"Separate link text and URL\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:61:\"Drupal\\link\\Plugin\\Field\\FieldFormatter\\LinkSeparateFormatter\";s:8:\"provider\";s:4:\"link\";s:9:\"quickedit\";a:1:{s:6:\"editor\";s:4:\"form\";}}s:8:\"list_key\";a:6:{s:11:\"field_types\";a:3:{i:0;s:12:\"list_integer\";i:1;s:10:\"list_float\";i:2;s:11:\"list_string\";}s:2:\"id\";s:8:\"list_key\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Key\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:62:\"Drupal\\options\\Plugin\\Field\\FieldFormatter\\OptionsKeyFormatter\";s:8:\"provider\";s:7:\"options\";s:9:\"quickedit\";a:1:{s:6:\"editor\";s:4:\"form\";}}s:12:\"list_default\";a:6:{s:11:\"field_types\";a:3:{i:0;s:12:\"list_integer\";i:1;s:10:\"list_float\";i:2;s:11:\"list_string\";}s:2:\"id\";s:12:\"list_default\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Default\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:66:\"Drupal\\options\\Plugin\\Field\\FieldFormatter\\OptionsDefaultFormatter\";s:8:\"provider\";s:7:\"options\";s:9:\"quickedit\";a:1:{s:6:\"editor\";s:4:\"form\";}}s:16:\"responsive_image\";a:6:{s:11:\"field_types\";a:1:{i:0;s:5:\"image\";}s:2:\"id\";s:16:\"responsive_image\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Responsive image\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"quickedit\";a:1:{s:6:\"editor\";s:5:\"image\";}s:5:\"class\";s:76:\"Drupal\\responsive_image\\Plugin\\Field\\FieldFormatter\\ResponsiveImageFormatter\";s:8:\"provider\";s:16:\"responsive_image\";}s:30:\"simplenews_subscription_status\";a:6:{s:11:\"field_types\";a:1:{i:0;s:23:\"simplenews_subscription\";}s:2:\"id\";s:30:\"simplenews_subscription_status\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Subscriptions Status\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:83:\"Drupal\\simplenews\\Plugin\\Field\\FieldFormatter\\SimplenewsSubscriptionStatusFormatter\";s:8:\"provider\";s:10:\"simplenews\";s:9:\"quickedit\";a:1:{s:6:\"editor\";s:4:\"form\";}}s:29:\"entity_reference_rss_category\";a:7:{s:11:\"field_types\";a:1:{i:0;s:16:\"entity_reference\";}s:2:\"id\";s:29:\"entity_reference_rss_category\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"RSS category\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:42:\"Display reference to taxonomy term in RSS.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:83:\"Drupal\\taxonomy\\Plugin\\Field\\FieldFormatter\\EntityReferenceTaxonomyTermRssFormatter\";s:8:\"provider\";s:8:\"taxonomy\";s:9:\"quickedit\";a:1:{s:6:\"editor\";s:4:\"form\";}}s:23:\"text_summary_or_trimmed\";a:6:{s:11:\"field_types\";a:1:{i:0;s:17:\"text_with_summary\";}s:2:\"id\";s:23:\"text_summary_or_trimmed\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Summary or trimmed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"quickedit\";a:1:{s:6:\"editor\";s:4:\"form\";}s:5:\"class\";s:69:\"Drupal\\text\\Plugin\\Field\\FieldFormatter\\TextSummaryOrTrimmedFormatter\";s:8:\"provider\";s:4:\"text\";}s:12:\"text_default\";a:6:{s:11:\"field_types\";a:3:{i:0;s:4:\"text\";i:1;s:9:\"text_long\";i:2;s:17:\"text_with_summary\";}s:2:\"id\";s:12:\"text_default\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Default\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:60:\"Drupal\\text\\Plugin\\Field\\FieldFormatter\\TextDefaultFormatter\";s:8:\"provider\";s:4:\"text\";s:9:\"quickedit\";a:1:{s:6:\"editor\";s:6:\"editor\";}}s:12:\"text_trimmed\";a:6:{s:11:\"field_types\";a:3:{i:0;s:4:\"text\";i:1;s:9:\"text_long\";i:2;s:17:\"text_with_summary\";}s:2:\"id\";s:12:\"text_trimmed\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Trimmed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"quickedit\";a:1:{s:6:\"editor\";s:4:\"form\";}s:5:\"class\";s:60:\"Drupal\\text\\Plugin\\Field\\FieldFormatter\\TextTrimmedFormatter\";s:8:\"provider\";s:4:\"text\";}s:9:\"user_name\";a:7:{s:11:\"field_types\";a:1:{i:0;s:6:\"string\";}s:2:\"id\";s:9:\"user_name\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"User name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:32:\"Display the user or author name.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:57:\"Drupal\\user\\Plugin\\Field\\FieldFormatter\\UserNameFormatter\";s:8:\"provider\";s:4:\"user\";s:9:\"quickedit\";a:1:{s:6:\"editor\";s:4:\"form\";}}s:6:\"author\";a:7:{s:11:\"field_types\";a:1:{i:0;s:16:\"entity_reference\";}s:2:\"id\";s:6:\"author\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Author\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:42:\"Display the referenced author user entity.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:55:\"Drupal\\user\\Plugin\\Field\\FieldFormatter\\AuthorFormatter\";s:8:\"provider\";s:4:\"user\";s:9:\"quickedit\";a:1:{s:6:\"editor\";s:4:\"form\";}}s:27:\"video_embed_field_thumbnail\";a:6:{s:11:\"field_types\";a:1:{i:0;s:17:\"video_embed_field\";}s:2:\"id\";s:27:\"video_embed_field_thumbnail\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Thumbnail\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:62:\"Drupal\\video_embed_field\\Plugin\\Field\\FieldFormatter\\Thumbnail\";s:8:\"provider\";s:17:\"video_embed_field\";s:9:\"quickedit\";a:1:{s:6:\"editor\";s:4:\"form\";}}s:23:\"video_embed_field_video\";a:6:{s:11:\"field_types\";a:1:{i:0;s:17:\"video_embed_field\";}s:2:\"id\";s:23:\"video_embed_field_video\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Video\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:58:\"Drupal\\video_embed_field\\Plugin\\Field\\FieldFormatter\\Video\";s:8:\"provider\";s:17:\"video_embed_field\";s:9:\"quickedit\";a:1:{s:6:\"editor\";s:4:\"form\";}}s:26:\"video_embed_field_lazyload\";a:6:{s:11:\"field_types\";a:1:{i:0;s:17:\"video_embed_field\";}s:2:\"id\";s:26:\"video_embed_field_lazyload\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Video (lazy load)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:61:\"Drupal\\video_embed_field\\Plugin\\Field\\FieldFormatter\\LazyLoad\";s:8:\"provider\";s:17:\"video_embed_field\";s:9:\"quickedit\";a:1:{s:6:\"editor\";s:4:\"form\";}}s:26:\"video_embed_field_colorbox\";a:6:{s:11:\"field_types\";a:1:{i:0;s:17:\"video_embed_field\";}s:2:\"id\";s:26:\"video_embed_field_colorbox\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Colorbox Modal\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:61:\"Drupal\\video_embed_field\\Plugin\\Field\\FieldFormatter\\Colorbox\";s:8:\"provider\";s:17:\"video_embed_field\";s:9:\"quickedit\";a:1:{s:6:\"editor\";s:4:\"form\";}}s:7:\"boolean\";a:6:{s:11:\"field_types\";a:1:{i:0;s:7:\"boolean\";}s:2:\"id\";s:7:\"boolean\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Boolean\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:62:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldFormatter\\BooleanFormatter\";s:8:\"provider\";s:4:\"core\";s:9:\"quickedit\";a:1:{s:6:\"editor\";s:4:\"form\";}}s:22:\"entity_reference_label\";a:7:{s:11:\"field_types\";a:3:{i:0;s:16:\"entity_reference\";i:1;s:23:\"simplenews_subscription\";i:2;s:16:\"simplenews_issue\";}s:2:\"id\";s:22:\"entity_reference_label\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Label\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"Display the label of the referenced entities.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:75:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldFormatter\\EntityReferenceLabelFormatter\";s:8:\"provider\";s:4:\"core\";s:9:\"quickedit\";a:1:{s:6:\"editor\";s:4:\"form\";}}s:14:\"number_integer\";a:6:{s:11:\"field_types\";a:1:{i:0;s:7:\"integer\";}s:2:\"id\";s:14:\"number_integer\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Default\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:62:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldFormatter\\IntegerFormatter\";s:8:\"provider\";s:4:\"core\";s:9:\"quickedit\";a:1:{s:6:\"editor\";s:4:\"form\";}}s:18:\"number_unformatted\";a:6:{s:11:\"field_types\";a:3:{i:0;s:7:\"integer\";i:1;s:7:\"decimal\";i:2;s:5:\"float\";}s:2:\"id\";s:18:\"number_unformatted\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Unformatted\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:73:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldFormatter\\NumericUnformattedFormatter\";s:8:\"provider\";s:4:\"core\";s:9:\"quickedit\";a:1:{s:6:\"editor\";s:4:\"form\";}}s:8:\"language\";a:6:{s:11:\"field_types\";a:1:{i:0;s:8:\"language\";}s:2:\"id\";s:8:\"language\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:63:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldFormatter\\LanguageFormatter\";s:8:\"provider\";s:4:\"core\";s:9:\"quickedit\";a:1:{s:6:\"editor\";s:4:\"form\";}}s:13:\"timestamp_ago\";a:6:{s:11:\"field_types\";a:3:{i:0;s:9:\"timestamp\";i:1;s:7:\"created\";i:2;s:7:\"changed\";}s:2:\"id\";s:13:\"timestamp_ago\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Time ago\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:67:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldFormatter\\TimestampAgoFormatter\";s:8:\"provider\";s:4:\"core\";s:9:\"quickedit\";a:1:{s:6:\"editor\";s:4:\"form\";}}s:6:\"string\";a:6:{s:11:\"field_types\";a:2:{i:0;s:6:\"string\";i:1;s:3:\"uri\";}s:2:\"id\";s:6:\"string\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Plain text\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"quickedit\";a:1:{s:6:\"editor\";s:10:\"plain_text\";}s:5:\"class\";s:61:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldFormatter\\StringFormatter\";s:8:\"provider\";s:4:\"core\";}s:9:\"timestamp\";a:6:{s:11:\"field_types\";a:3:{i:0;s:9:\"timestamp\";i:1;s:7:\"created\";i:2;s:7:\"changed\";}s:2:\"id\";s:9:\"timestamp\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Default\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:64:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldFormatter\\TimestampFormatter\";s:8:\"provider\";s:4:\"core\";s:9:\"quickedit\";a:1:{s:6:\"editor\";s:4:\"form\";}}s:28:\"entity_reference_entity_view\";a:7:{s:11:\"field_types\";a:1:{i:0;s:16:\"entity_reference\";}s:2:\"id\";s:28:\"entity_reference_entity_view\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Rendered entity\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:58:\"Display the referenced entities rendered by entity_view().\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:76:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldFormatter\\EntityReferenceEntityFormatter\";s:8:\"provider\";s:4:\"core\";s:9:\"quickedit\";a:1:{s:6:\"editor\";s:4:\"form\";}}s:14:\"number_decimal\";a:6:{s:11:\"field_types\";a:2:{i:0;s:7:\"decimal\";i:1;s:5:\"float\";}s:2:\"id\";s:14:\"number_decimal\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Default\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:62:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldFormatter\\DecimalFormatter\";s:8:\"provider\";s:4:\"core\";s:9:\"quickedit\";a:1:{s:6:\"editor\";s:4:\"form\";}}s:12:\"basic_string\";a:6:{s:11:\"field_types\";a:2:{i:0;s:11:\"string_long\";i:1;s:5:\"email\";}s:2:\"id\";s:12:\"basic_string\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Plain text\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"quickedit\";a:1:{s:6:\"editor\";s:10:\"plain_text\";}s:5:\"class\";s:66:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldFormatter\\BasicStringFormatter\";s:8:\"provider\";s:4:\"core\";}s:26:\"entity_reference_entity_id\";a:7:{s:11:\"field_types\";a:1:{i:0;s:16:\"entity_reference\";}s:2:\"id\";s:26:\"entity_reference_entity_id\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Entity ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:42:\"Display the ID of the referenced entities.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:72:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldFormatter\\EntityReferenceIdFormatter\";s:8:\"provider\";s:4:\"core\";s:9:\"quickedit\";a:1:{s:6:\"editor\";s:4:\"form\";}}s:8:\"uri_link\";a:6:{s:11:\"field_types\";a:1:{i:0;s:3:\"uri\";}s:2:\"id\";s:8:\"uri_link\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Link to URI\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:62:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldFormatter\\UriLinkFormatter\";s:8:\"provider\";s:4:\"core\";s:9:\"quickedit\";a:1:{s:6:\"editor\";s:4:\"form\";}}s:12:\"email_mailto\";a:6:{s:11:\"field_types\";a:1:{i:0;s:5:\"email\";}s:2:\"id\";s:12:\"email_mailto\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Email\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:61:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldFormatter\\MailToFormatter\";s:8:\"provider\";s:4:\"core\";s:9:\"quickedit\";a:1:{s:6:\"editor\";s:4:\"form\";}}}',-1,1636012247.821,1,'','0'),('field_types_plugins','a:32:{s:7:\"comment\";a:15:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:7:\"comment\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Comments\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:75:\"This field manages configuration and presentation of comments on an entity.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"list_class\";s:36:\"\\Drupal\\comment\\CommentFieldItemList\";s:14:\"default_widget\";s:15:\"comment_default\";s:17:\"default_formatter\";s:15:\"comment_default\";s:11:\"cardinality\";i:1;s:5:\"class\";s:49:\"Drupal\\comment\\Plugin\\Field\\FieldType\\CommentItem\";s:8:\"provider\";s:7:\"comment\";s:13:\"column_groups\";a:0:{}}s:8:\"datetime\";a:15:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:8:\"datetime\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Date\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Create and store date values.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:16:\"datetime_default\";s:17:\"default_formatter\";s:16:\"datetime_default\";s:10:\"list_class\";s:61:\"\\Drupal\\datetime\\Plugin\\Field\\FieldType\\DateTimeFieldItemList\";s:11:\"constraints\";a:1:{s:14:\"DateTimeFormat\";a:0:{}}s:5:\"class\";s:51:\"Drupal\\datetime\\Plugin\\Field\\FieldType\\DateTimeItem\";s:8:\"provider\";s:8:\"datetime\";s:13:\"column_groups\";a:0:{}}s:4:\"file\";a:16:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Reference\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:4:\"file\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"File\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:55:\"This field stores the ID of a file as an integer value.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:12:\"file_generic\";s:17:\"default_formatter\";s:12:\"file_default\";s:10:\"list_class\";s:53:\"\\Drupal\\file\\Plugin\\Field\\FieldType\\FileFieldItemList\";s:11:\"constraints\";a:2:{s:15:\"ReferenceAccess\";a:0:{}s:14:\"FileValidation\";a:0:{}}s:5:\"class\";s:43:\"Drupal\\file\\Plugin\\Field\\FieldType\\FileItem\";s:8:\"provider\";s:4:\"file\";s:13:\"column_groups\";a:0:{}s:23:\"default_token_formatter\";s:14:\"file_url_plain\";}s:8:\"file_uri\";a:14:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:1;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:8:\"file_uri\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"File URI\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:77:\"An entity field containing a file URI, and a computed root-relative file URL.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"default_formatter\";s:8:\"file_uri\";s:14:\"default_widget\";s:3:\"uri\";s:5:\"class\";s:46:\"Drupal\\file\\Plugin\\Field\\FieldType\\FileUriItem\";s:8:\"provider\";s:4:\"file\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:5:\"image\";a:16:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Reference\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:5:\"image\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Image\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:62:\"This field stores the ID of an image file as an integer value.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:11:\"image_image\";s:17:\"default_formatter\";s:5:\"image\";s:13:\"column_groups\";a:3:{s:4:\"file\";a:3:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"File\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"columns\";a:3:{i:0;s:9:\"target_id\";i:1;s:5:\"width\";i:2;s:6:\"height\";}s:34:\"require_all_groups_for_translation\";b:1;}s:3:\"alt\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Alt\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;}s:5:\"title\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Title\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;}}s:10:\"list_class\";s:53:\"\\Drupal\\file\\Plugin\\Field\\FieldType\\FileFieldItemList\";s:11:\"constraints\";a:2:{s:15:\"ReferenceAccess\";a:0:{}s:14:\"FileValidation\";a:0:{}}s:5:\"class\";s:45:\"Drupal\\image\\Plugin\\Field\\FieldType\\ImageItem\";s:8:\"provider\";s:5:\"image\";s:23:\"default_token_formatter\";s:14:\"file_url_plain\";}s:4:\"link\";a:15:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:4:\"link\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:100:\"Stores a URL string, optional varchar link text, and optional blob of attributes to assemble a link.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:12:\"link_default\";s:17:\"default_formatter\";s:4:\"link\";s:11:\"constraints\";a:4:{s:8:\"LinkType\";a:0:{}s:10:\"LinkAccess\";a:0:{}s:21:\"LinkExternalProtocols\";a:0:{}s:23:\"LinkNotExistingInternal\";a:0:{}}s:5:\"class\";s:43:\"Drupal\\link\\Plugin\\Field\\FieldType\\LinkItem\";s:8:\"provider\";s:4:\"link\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:11:\"list_string\";a:15:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Text\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:11:\"list_string\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"List (text)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:137:\"This field stores text values from a list of allowed \'value => label\' pairs, i.e. \'US States\': IL => Illinois, IA => Iowa, IN => Indiana.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:14:\"options_select\";s:17:\"default_formatter\";s:12:\"list_default\";s:5:\"class\";s:52:\"Drupal\\options\\Plugin\\Field\\FieldType\\ListStringItem\";s:8:\"provider\";s:7:\"options\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}s:23:\"default_token_formatter\";s:12:\"list_default\";}s:12:\"list_integer\";a:15:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Number\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:12:\"list_integer\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"List (integer)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:144:\"This field stores integer values from a list of allowed \'value => label\' pairs, i.e. \'Lifetime in days\': 1 => 1 day, 7 => 1 week, 31 => 1 month.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:14:\"options_select\";s:17:\"default_formatter\";s:12:\"list_default\";s:5:\"class\";s:53:\"Drupal\\options\\Plugin\\Field\\FieldType\\ListIntegerItem\";s:8:\"provider\";s:7:\"options\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}s:23:\"default_token_formatter\";s:12:\"list_default\";}s:10:\"list_float\";a:15:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Number\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:10:\"list_float\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"List (float)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:134:\"This field stores float values from a list of allowed \'value => label\' pairs, i.e. \'Fraction\': 0 => 0, .25 => 1/4, .75 => 3/4, 1 => 1.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:14:\"options_select\";s:17:\"default_formatter\";s:12:\"list_default\";s:5:\"class\";s:51:\"Drupal\\options\\Plugin\\Field\\FieldType\\ListFloatItem\";s:8:\"provider\";s:7:\"options\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}s:23:\"default_token_formatter\";s:12:\"list_default\";}s:4:\"path\";a:14:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:1;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:4:\"path\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Path\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:57:\"An entity field containing a path alias and related data.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:4:\"path\";s:10:\"list_class\";s:37:\"Drupal\\pathauto\\PathautoFieldItemList\";s:11:\"constraints\";a:1:{s:9:\"PathAlias\";a:0:{}}s:5:\"class\";s:28:\"Drupal\\pathauto\\PathautoItem\";s:8:\"provider\";s:4:\"path\";s:13:\"column_groups\";a:0:{}}s:16:\"simplenews_issue\";a:13:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:1;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:16:\"simplenews_issue\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Simplenews issue\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:55:\"An entity field containing an extended entityreference.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:14:\"options_select\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\Field\\EntityReferenceFieldItemList\";s:5:\"class\";s:50:\"Drupal\\simplenews\\Plugin\\Field\\FieldType\\IssueItem\";s:8:\"provider\";s:10:\"simplenews\";s:13:\"column_groups\";a:0:{}}s:23:\"simplenews_subscription\";a:13:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:1;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:23:\"simplenews_subscription\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"Simplenews subscription\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:55:\"An entity field containing an extended entityreference.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:30:\"simplenews_subscription_select\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\Field\\EntityReferenceFieldItemList\";s:5:\"class\";s:57:\"Drupal\\simplenews\\Plugin\\Field\\FieldType\\SubscriptionItem\";s:8:\"provider\";s:10:\"simplenews\";s:13:\"column_groups\";a:0:{}}s:17:\"text_with_summary\";a:15:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Text\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:17:\"text_with_summary\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:36:\"Text (formatted, long, with summary)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:66:\"This field stores long text with a format and an optional summary.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:26:\"text_textarea_with_summary\";s:17:\"default_formatter\";s:12:\"text_default\";s:5:\"class\";s:54:\"Drupal\\text\\Plugin\\Field\\FieldType\\TextWithSummaryItem\";s:8:\"provider\";s:4:\"text\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}s:23:\"default_token_formatter\";s:12:\"text_default\";}s:4:\"text\";a:15:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Text\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:4:\"text\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Text (formatted)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:44:\"This field stores a text with a text format.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:14:\"text_textfield\";s:17:\"default_formatter\";s:12:\"text_default\";s:5:\"class\";s:43:\"Drupal\\text\\Plugin\\Field\\FieldType\\TextItem\";s:8:\"provider\";s:4:\"text\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}s:23:\"default_token_formatter\";s:12:\"text_default\";}s:9:\"text_long\";a:15:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Text\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:9:\"text_long\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"Text (formatted, long)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:49:\"This field stores a long text with a text format.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:13:\"text_textarea\";s:17:\"default_formatter\";s:12:\"text_default\";s:5:\"class\";s:47:\"Drupal\\text\\Plugin\\Field\\FieldType\\TextLongItem\";s:8:\"provider\";s:4:\"text\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}s:23:\"default_token_formatter\";s:12:\"text_default\";}s:17:\"video_embed_field\";a:15:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Media\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:17:\"video_embed_field\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Video Embed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:48:\"Stores a video and then outputs some embed code.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:27:\"video_embed_field_textfield\";s:17:\"default_formatter\";s:23:\"video_embed_field_video\";s:11:\"constraints\";a:1:{s:20:\"VideoEmbedValidation\";a:0:{}}s:5:\"class\";s:63:\"Drupal\\video_embed_field\\Plugin\\Field\\FieldType\\VideoEmbedField\";s:8:\"provider\";s:17:\"video_embed_field\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:8:\"language\";a:15:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:1;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:8:\"language\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:39:\"An entity field referencing a language.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:15:\"language_select\";s:17:\"default_formatter\";s:8:\"language\";s:11:\"constraints\";a:1:{s:11:\"ComplexData\";a:1:{s:5:\"value\";a:1:{s:6:\"Length\";a:1:{s:3:\"max\";i:12;}}}}s:5:\"class\";s:36:\"\\Drupal\\language\\DefaultLanguageItem\";s:8:\"provider\";s:4:\"core\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:16:\"entity_reference\";a:14:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Reference\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:16:\"entity_reference\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Entity reference\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"An entity field containing an entity reference.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:29:\"entity_reference_autocomplete\";s:17:\"default_formatter\";s:22:\"entity_reference_label\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\Field\\EntityReferenceFieldItemList\";s:5:\"class\";s:60:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\EntityReferenceItem\";s:8:\"provider\";s:4:\"core\";s:13:\"column_groups\";a:0:{}}s:5:\"email\";a:14:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:5:\"email\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Email\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:42:\"An entity field containing an email value.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:13:\"email_default\";s:17:\"default_formatter\";s:12:\"basic_string\";s:5:\"class\";s:50:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\EmailItem\";s:8:\"provider\";s:4:\"core\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:4:\"uuid\";a:13:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:1;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:4:\"uuid\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:34:\"An entity field containing a UUID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"default_formatter\";s:6:\"string\";s:5:\"class\";s:49:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\UuidItem\";s:8:\"provider\";s:4:\"core\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:8:\"password\";a:12:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:1;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:8:\"password\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Password\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:44:\"An entity field containing a password value.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:53:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\PasswordItem\";s:8:\"provider\";s:4:\"core\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:7:\"integer\";a:14:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Number\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:7:\"integer\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Number (integer)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:57:\"This field stores a number in the database as an integer.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:6:\"number\";s:17:\"default_formatter\";s:14:\"number_integer\";s:5:\"class\";s:52:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\IntegerItem\";s:8:\"provider\";s:4:\"core\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:7:\"changed\";a:14:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:1;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:7:\"changed\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Last changed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:85:\"An entity field containing a UNIX timestamp of when the entity has been last updated.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:18:\"datetime_timestamp\";s:17:\"default_formatter\";s:9:\"timestamp\";s:10:\"list_class\";s:39:\"\\Drupal\\Core\\Field\\ChangedFieldItemList\";s:5:\"class\";s:52:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\ChangedItem\";s:8:\"provider\";s:4:\"core\";s:13:\"column_groups\";a:0:{}}s:9:\"timestamp\";a:15:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:9:\"timestamp\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Timestamp\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:50:\"An entity field containing a UNIX timestamp value.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:18:\"datetime_timestamp\";s:17:\"default_formatter\";s:9:\"timestamp\";s:11:\"constraints\";a:1:{s:11:\"ComplexData\";a:1:{s:5:\"value\";a:1:{s:5:\"Range\";a:2:{s:3:\"min\";s:11:\"-2147483648\";s:3:\"max\";s:10:\"2147483648\";}}}}s:5:\"class\";s:54:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\TimestampItem\";s:8:\"provider\";s:4:\"core\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:5:\"float\";a:14:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Number\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:5:\"float\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Number (float)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:70:\"This field stores a number in the database in a floating point format.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:6:\"number\";s:17:\"default_formatter\";s:14:\"number_decimal\";s:5:\"class\";s:50:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\FloatItem\";s:8:\"provider\";s:4:\"core\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:3:\"uri\";a:14:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:1;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:3:\"uri\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"URI\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"An entity field containing a URI.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"default_formatter\";s:8:\"uri_link\";s:14:\"default_widget\";s:3:\"uri\";s:5:\"class\";s:48:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\UriItem\";s:8:\"provider\";s:4:\"core\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:6:\"string\";a:14:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Text\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"string\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Text (plain)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:40:\"A field containing a plain string value.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:16:\"string_textfield\";s:17:\"default_formatter\";s:6:\"string\";s:5:\"class\";s:51:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\StringItem\";s:8:\"provider\";s:4:\"core\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:11:\"string_long\";a:14:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Text\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:11:\"string_long\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Text (plain, long)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:39:\"A field containing a long string value.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:15:\"string_textarea\";s:17:\"default_formatter\";s:12:\"basic_string\";s:5:\"class\";s:55:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\StringLongItem\";s:8:\"provider\";s:4:\"core\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:7:\"boolean\";a:14:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:7:\"boolean\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Boolean\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:43:\"An entity field containing a boolean value.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:16:\"boolean_checkbox\";s:17:\"default_formatter\";s:7:\"boolean\";s:5:\"class\";s:52:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\BooleanItem\";s:8:\"provider\";s:4:\"core\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:7:\"created\";a:14:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:1;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:7:\"created\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Created\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:80:\"An entity field containing a UNIX timestamp of when the entity has been created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:18:\"datetime_timestamp\";s:17:\"default_formatter\";s:9:\"timestamp\";s:5:\"class\";s:52:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\CreatedItem\";s:8:\"provider\";s:4:\"core\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:7:\"decimal\";a:14:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Number\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:7:\"decimal\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Number (decimal)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:69:\"This field stores a number in the database in a fixed decimal format.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:6:\"number\";s:17:\"default_formatter\";s:14:\"number_decimal\";s:5:\"class\";s:52:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\DecimalItem\";s:8:\"provider\";s:4:\"core\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:3:\"map\";a:12:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:1;s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:3:\"map\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Map\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:57:\"An entity field for storing a serialized array of values.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"list_class\";s:35:\"\\Drupal\\Core\\Field\\MapFieldItemList\";s:5:\"class\";s:48:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\MapItem\";s:8:\"provider\";s:4:\"core\";s:13:\"column_groups\";a:0:{}}}',-1,1636011226.327,1,'','0'),('field_widget_types_plugins','a:24:{s:15:\"comment_default\";a:6:{s:11:\"field_types\";a:1:{i:0;s:7:\"comment\";}s:15:\"multiple_values\";b:0;s:2:\"id\";s:15:\"comment_default\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Comment\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:53:\"Drupal\\comment\\Plugin\\Field\\FieldWidget\\CommentWidget\";s:8:\"provider\";s:7:\"comment\";}s:16:\"datetime_default\";a:6:{s:11:\"field_types\";a:1:{i:0;s:8:\"datetime\";}s:15:\"multiple_values\";b:0;s:2:\"id\";s:16:\"datetime_default\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Date and time\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:62:\"Drupal\\datetime\\Plugin\\Field\\FieldWidget\\DateTimeDefaultWidget\";s:8:\"provider\";s:8:\"datetime\";}s:17:\"datetime_datelist\";a:6:{s:11:\"field_types\";a:1:{i:0;s:8:\"datetime\";}s:15:\"multiple_values\";b:0;s:2:\"id\";s:17:\"datetime_datelist\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Select list\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:63:\"Drupal\\datetime\\Plugin\\Field\\FieldWidget\\DateTimeDatelistWidget\";s:8:\"provider\";s:8:\"datetime\";}s:12:\"file_generic\";a:6:{s:11:\"field_types\";a:1:{i:0;s:4:\"file\";}s:15:\"multiple_values\";b:0;s:2:\"id\";s:12:\"file_generic\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"File\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:47:\"Drupal\\file\\Plugin\\Field\\FieldWidget\\FileWidget\";s:8:\"provider\";s:4:\"file\";}s:11:\"image_image\";a:6:{s:11:\"field_types\";a:1:{i:0;s:5:\"image\";}s:15:\"multiple_values\";b:0;s:2:\"id\";s:11:\"image_image\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Image\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:49:\"Drupal\\image\\Plugin\\Field\\FieldWidget\\ImageWidget\";s:8:\"provider\";s:5:\"image\";}s:12:\"link_default\";a:6:{s:11:\"field_types\";a:1:{i:0;s:4:\"link\";}s:15:\"multiple_values\";b:0;s:2:\"id\";s:12:\"link_default\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:47:\"Drupal\\link\\Plugin\\Field\\FieldWidget\\LinkWidget\";s:8:\"provider\";s:4:\"link\";}s:4:\"path\";a:6:{s:11:\"field_types\";a:1:{i:0;s:4:\"path\";}s:15:\"multiple_values\";b:0;s:2:\"id\";s:4:\"path\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"URL alias\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:30:\"Drupal\\pathauto\\PathautoWidget\";s:8:\"provider\";s:4:\"path\";}s:30:\"simplenews_subscription_select\";a:6:{s:11:\"field_types\";a:1:{i:0;s:23:\"simplenews_subscription\";}s:15:\"multiple_values\";b:1;s:2:\"id\";s:30:\"simplenews_subscription_select\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Select list\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:61:\"Drupal\\simplenews\\Plugin\\Field\\FieldWidget\\SubscriptionWidget\";s:8:\"provider\";s:10:\"simplenews\";}s:26:\"text_textarea_with_summary\";a:6:{s:11:\"field_types\";a:1:{i:0;s:17:\"text_with_summary\";}s:15:\"multiple_values\";b:0;s:2:\"id\";s:26:\"text_textarea_with_summary\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Text area with a summary\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:62:\"Drupal\\text\\Plugin\\Field\\FieldWidget\\TextareaWithSummaryWidget\";s:8:\"provider\";s:4:\"text\";}s:14:\"text_textfield\";a:6:{s:11:\"field_types\";a:1:{i:0;s:4:\"text\";}s:15:\"multiple_values\";b:0;s:2:\"id\";s:14:\"text_textfield\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Text field\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:52:\"Drupal\\text\\Plugin\\Field\\FieldWidget\\TextfieldWidget\";s:8:\"provider\";s:4:\"text\";}s:13:\"text_textarea\";a:6:{s:11:\"field_types\";a:1:{i:0;s:9:\"text_long\";}s:15:\"multiple_values\";b:0;s:2:\"id\";s:13:\"text_textarea\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"Text area (multiple rows)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:51:\"Drupal\\text\\Plugin\\Field\\FieldWidget\\TextareaWidget\";s:8:\"provider\";s:4:\"text\";}s:27:\"video_embed_field_textfield\";a:6:{s:11:\"field_types\";a:1:{i:0;s:17:\"video_embed_field\";}s:15:\"multiple_values\";b:0;s:2:\"id\";s:27:\"video_embed_field_textfield\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Video Textfield\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:64:\"Drupal\\video_embed_field\\Plugin\\Field\\FieldWidget\\VideoTextfield\";s:8:\"provider\";s:17:\"video_embed_field\";}s:18:\"datetime_timestamp\";a:6:{s:11:\"field_types\";a:2:{i:0;s:9:\"timestamp\";i:1;s:7:\"created\";}s:15:\"multiple_values\";b:0;s:2:\"id\";s:18:\"datetime_timestamp\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Datetime Timestamp\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:69:\"Drupal\\Core\\Datetime\\Plugin\\Field\\FieldWidget\\TimestampDatetimeWidget\";s:8:\"provider\";s:4:\"core\";}s:15:\"language_select\";a:6:{s:11:\"field_types\";a:1:{i:0;s:8:\"language\";}s:15:\"multiple_values\";b:0;s:2:\"id\";s:15:\"language_select\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Language select\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:63:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldWidget\\LanguageSelectWidget\";s:8:\"provider\";s:4:\"core\";}s:15:\"options_buttons\";a:6:{s:11:\"field_types\";a:5:{i:0;s:7:\"boolean\";i:1;s:16:\"entity_reference\";i:2;s:12:\"list_integer\";i:3;s:10:\"list_float\";i:4;s:11:\"list_string\";}s:15:\"multiple_values\";b:1;s:2:\"id\";s:15:\"options_buttons\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"Check boxes/radio buttons\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:63:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldWidget\\OptionsButtonsWidget\";s:8:\"provider\";s:4:\"core\";}s:14:\"options_select\";a:6:{s:11:\"field_types\";a:5:{i:0;s:16:\"entity_reference\";i:1;s:12:\"list_integer\";i:2;s:10:\"list_float\";i:3;s:11:\"list_string\";i:4;s:16:\"simplenews_issue\";}s:15:\"multiple_values\";b:1;s:2:\"id\";s:14:\"options_select\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Select list\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:62:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldWidget\\OptionsSelectWidget\";s:8:\"provider\";s:4:\"core\";}s:6:\"number\";a:6:{s:11:\"field_types\";a:3:{i:0;s:7:\"integer\";i:1;s:7:\"decimal\";i:2;s:5:\"float\";}s:15:\"multiple_values\";b:0;s:2:\"id\";s:6:\"number\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Number field\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:55:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldWidget\\NumberWidget\";s:8:\"provider\";s:4:\"core\";}s:15:\"string_textarea\";a:6:{s:11:\"field_types\";a:1:{i:0;s:11:\"string_long\";}s:15:\"multiple_values\";b:0;s:2:\"id\";s:15:\"string_textarea\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"Text area (multiple rows)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:63:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldWidget\\StringTextareaWidget\";s:8:\"provider\";s:4:\"core\";}s:16:\"boolean_checkbox\";a:6:{s:11:\"field_types\";a:1:{i:0;s:7:\"boolean\";}s:15:\"multiple_values\";b:1;s:2:\"id\";s:16:\"boolean_checkbox\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"Single on/off checkbox\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:64:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldWidget\\BooleanCheckboxWidget\";s:8:\"provider\";s:4:\"core\";}s:16:\"string_textfield\";a:6:{s:11:\"field_types\";a:1:{i:0;s:6:\"string\";}s:15:\"multiple_values\";b:0;s:2:\"id\";s:16:\"string_textfield\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Textfield\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:64:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldWidget\\StringTextfieldWidget\";s:8:\"provider\";s:4:\"core\";}s:13:\"email_default\";a:6:{s:11:\"field_types\";a:1:{i:0;s:5:\"email\";}s:15:\"multiple_values\";b:0;s:2:\"id\";s:13:\"email_default\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Email\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:61:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldWidget\\EmailDefaultWidget\";s:8:\"provider\";s:4:\"core\";}s:3:\"uri\";a:6:{s:11:\"field_types\";a:2:{i:0;s:3:\"uri\";i:1;s:8:\"file_uri\";}s:15:\"multiple_values\";b:0;s:2:\"id\";s:3:\"uri\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"URI field\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:52:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldWidget\\UriWidget\";s:8:\"provider\";s:4:\"core\";}s:34:\"entity_reference_autocomplete_tags\";a:7:{s:11:\"field_types\";a:1:{i:0;s:16:\"entity_reference\";}s:15:\"multiple_values\";b:1;s:2:\"id\";s:34:\"entity_reference_autocomplete_tags\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"Autocomplete (Tags style)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:48:\"An autocomplete text field with tagging support.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:80:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldWidget\\EntityReferenceAutocompleteTagsWidget\";s:8:\"provider\";s:4:\"core\";}s:29:\"entity_reference_autocomplete\";a:7:{s:11:\"field_types\";a:1:{i:0;s:16:\"entity_reference\";}s:15:\"multiple_values\";b:0;s:2:\"id\";s:29:\"entity_reference_autocomplete\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Autocomplete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:27:\"An autocomplete text field.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:76:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldWidget\\EntityReferenceAutocompleteWidget\";s:8:\"provider\";s:4:\"core\";}}',-1,1636012251.238,1,'','0'),('filter_plugins','a:10:{s:21:\"editor_file_reference\";a:9:{s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:84:\"Ensures that the latest versions of images uploaded via a Text Editor are displayed.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"weight\";i:0;s:6:\"status\";b:0;s:8:\"settings\";a:0:{}s:2:\"id\";s:21:\"editor_file_reference\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:39:\"Track images uploaded via a Text Editor\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";i:2;s:5:\"class\";s:47:\"Drupal\\editor\\Plugin\\Filter\\EditorFileReference\";s:8:\"provider\";s:6:\"editor\";}s:18:\"filter_html_escape\";a:9:{s:11:\"description\";s:0:\"\";s:6:\"weight\";i:-10;s:6:\"status\";b:0;s:8:\"settings\";a:0:{}s:2:\"id\";s:18:\"filter_html_escape\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:30:\"Display any HTML as plain text\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";i:1;s:5:\"class\";s:44:\"Drupal\\filter\\Plugin\\Filter\\FilterHtmlEscape\";s:8:\"provider\";s:6:\"filter\";}s:12:\"filter_align\";a:9:{s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:90:\"Uses a <code>data-align</code> attribute on <code>&lt;img&gt;</code> tags to align images.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"weight\";i:0;s:6:\"status\";b:0;s:8:\"settings\";a:0:{}s:2:\"id\";s:12:\"filter_align\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Align images\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";i:2;s:5:\"class\";s:39:\"Drupal\\filter\\Plugin\\Filter\\FilterAlign\";s:8:\"provider\";s:6:\"filter\";}s:24:\"filter_html_image_secure\";a:9:{s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:119:\"Disallows usage of &lt;img&gt; tag sources that are not hosted on this site by replacing them with a placeholder image.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"weight\";i:9;s:6:\"status\";b:0;s:8:\"settings\";a:0:{}s:2:\"id\";s:24:\"filter_html_image_secure\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:28:\"Restrict images to this site\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";i:3;s:5:\"class\";s:49:\"Drupal\\filter\\Plugin\\Filter\\FilterHtmlImageSecure\";s:8:\"provider\";s:6:\"filter\";}s:14:\"filter_caption\";a:9:{s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:94:\"Uses a <code>data-caption</code> attribute on <code>&lt;img&gt;</code> tags to caption images.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"weight\";i:0;s:6:\"status\";b:0;s:8:\"settings\";a:0:{}s:2:\"id\";s:14:\"filter_caption\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Caption images\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";i:2;s:5:\"class\";s:41:\"Drupal\\filter\\Plugin\\Filter\\FilterCaption\";s:8:\"provider\";s:6:\"filter\";}s:11:\"filter_html\";a:9:{s:11:\"description\";s:0:\"\";s:6:\"weight\";i:-10;s:6:\"status\";b:0;s:8:\"settings\";a:3:{s:12:\"allowed_html\";s:166:\"<a href hreflang> <em> <strong> <cite> <blockquote cite> <code> <ul type> <ol start type=\'1 A I\'> <li> <dl> <dt> <dd> <h2 id=\'jump-*\'> <h3 id> <h4 id> <h5 id> <h6 id>\";s:16:\"filter_html_help\";b:1;s:20:\"filter_html_nofollow\";b:0;}s:2:\"id\";s:11:\"filter_html\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"Limit allowed HTML tags and correct faulty HTML\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";i:1;s:5:\"class\";s:38:\"Drupal\\filter\\Plugin\\Filter\\FilterHtml\";s:8:\"provider\";s:6:\"filter\";}s:20:\"filter_htmlcorrector\";a:9:{s:11:\"description\";s:0:\"\";s:6:\"weight\";i:10;s:6:\"status\";b:0;s:8:\"settings\";a:0:{}s:2:\"id\";s:20:\"filter_htmlcorrector\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"Correct faulty and chopped off HTML\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";i:3;s:5:\"class\";s:47:\"Drupal\\filter\\Plugin\\Filter\\FilterHtmlCorrector\";s:8:\"provider\";s:6:\"filter\";}s:10:\"filter_url\";a:9:{s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;s:6:\"status\";b:0;s:8:\"settings\";a:1:{s:17:\"filter_url_length\";i:72;}s:2:\"id\";s:10:\"filter_url\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"Convert URLs into links\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";i:0;s:5:\"class\";s:37:\"Drupal\\filter\\Plugin\\Filter\\FilterUrl\";s:8:\"provider\";s:6:\"filter\";}s:11:\"filter_null\";a:9:{s:11:\"description\";s:0:\"\";s:6:\"weight\";i:-10;s:6:\"status\";b:0;s:8:\"settings\";a:0:{}s:2:\"id\";s:11:\"filter_null\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"Provides a fallback for missing filters. Do not use.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";i:1;s:5:\"class\";s:38:\"Drupal\\filter\\Plugin\\Filter\\FilterNull\";s:8:\"provider\";s:6:\"filter\";}s:12:\"filter_autop\";a:9:{s:11:\"description\";s:0:\"\";s:6:\"weight\";i:0;s:6:\"status\";b:0;s:8:\"settings\";a:0:{}s:2:\"id\";s:12:\"filter_autop\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:87:\"Convert line breaks into HTML (i.e. <code>&lt;br&gt;</code> and <code>&lt;p&gt;</code>)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"type\";i:0;s:5:\"class\";s:39:\"Drupal\\filter\\Plugin\\Filter\\FilterAutoP\";s:8:\"provider\";s:6:\"filter\";}}',-1,1636012247.888,1,'','0'),('image_effect_plugins','a:7:{s:12:\"image_rotate\";a:5:{s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:87:\"Rotating an image may cause the dimensions of an image to increase to fit the diagonal.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:12:\"image_rotate\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Rotate\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:49:\"Drupal\\image\\Plugin\\ImageEffect\\RotateImageEffect\";s:8:\"provider\";s:5:\"image\";}s:10:\"image_crop\";a:5:{s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:121:\"Resizing will make images an exact set of dimensions. This may cause images to be stretched or shrunk disproportionately.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:10:\"image_crop\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Crop\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:47:\"Drupal\\image\\Plugin\\ImageEffect\\CropImageEffect\";s:8:\"provider\";s:5:\"image\";}s:16:\"image_desaturate\";a:5:{s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:42:\"Desaturate converts an image to grayscale.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:16:\"image_desaturate\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Desaturate\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:53:\"Drupal\\image\\Plugin\\ImageEffect\\DesaturateImageEffect\";s:8:\"provider\";s:5:\"image\";}s:13:\"image_convert\";a:5:{s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:61:\"Converts an image between extensions (e.g. from PNG to JPEG).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:13:\"image_convert\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Convert\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:50:\"Drupal\\image\\Plugin\\ImageEffect\\ConvertImageEffect\";s:8:\"provider\";s:5:\"image\";}s:20:\"image_scale_and_crop\";a:5:{s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:191:\"Scale and crop will maintain the aspect-ratio of the original image, then crop the larger dimension. This is most useful for creating perfectly square thumbnails without stretching the image.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:20:\"image_scale_and_crop\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Scale and crop\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:55:\"Drupal\\image\\Plugin\\ImageEffect\\ScaleAndCropImageEffect\";s:8:\"provider\";s:5:\"image\";}s:12:\"image_resize\";a:5:{s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:121:\"Resizing will make images an exact set of dimensions. This may cause images to be stretched or shrunk disproportionately.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:12:\"image_resize\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Resize\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:49:\"Drupal\\image\\Plugin\\ImageEffect\\ResizeImageEffect\";s:8:\"provider\";s:5:\"image\";}s:11:\"image_scale\";a:5:{s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:142:\"Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:11:\"image_scale\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Scale\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:48:\"Drupal\\image\\Plugin\\ImageEffect\\ScaleImageEffect\";s:8:\"provider\";s:5:\"image\";}}',-1,1636012249.805,1,'','0'),('image_toolkit_plugins','a:1:{s:2:\"gd\";a:4:{s:2:\"id\";s:2:\"gd\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:30:\"GD2 image manipulation toolkit\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:43:\"Drupal\\system\\Plugin\\ImageToolkit\\GDToolkit\";s:8:\"provider\";s:6:\"system\";}}',-1,1636012249.832,1,'','0'),('language_negotiation_plugins','a:9:{s:16:\"language-session\";a:7:{s:2:\"id\";s:16:\"language-session\";s:6:\"weight\";i:-6;s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Session\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:42:\"Language from a request/session parameter.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"config_route_name\";s:28:\"language.negotiation_session\";s:5:\"class\";s:69:\"Drupal\\language\\Plugin\\LanguageNegotiation\\LanguageNegotiationSession\";s:8:\"provider\";s:8:\"language\";}s:21:\"language-url-fallback\";a:7:{s:2:\"id\";s:21:\"language-url-fallback\";s:5:\"types\";a:1:{i:0;s:12:\"language_url\";}s:6:\"weight\";i:8;s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"URL fallback\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:59:\"Use an already detected language for URLs if none is found.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:73:\"Drupal\\language\\Plugin\\LanguageNegotiation\\LanguageNegotiationUrlFallback\";s:8:\"provider\";s:8:\"language\";}s:17:\"language-selected\";a:7:{s:2:\"id\";s:17:\"language-selected\";s:6:\"weight\";i:12;s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Selected language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:38:\"Language based on a selected language.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"config_route_name\";s:29:\"language.negotiation_selected\";s:5:\"class\";s:70:\"Drupal\\language\\Plugin\\LanguageNegotiation\\LanguageNegotiationSelected\";s:8:\"provider\";s:8:\"language\";}s:23:\"language-content-entity\";a:7:{s:2:\"id\";s:23:\"language-content-entity\";s:5:\"types\";a:1:{i:0;s:16:\"language_content\";}s:6:\"weight\";i:-9;s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Content language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:57:\"Determines the content language from a request parameter.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:75:\"Drupal\\language\\Plugin\\LanguageNegotiation\\LanguageNegotiationContentEntity\";s:8:\"provider\";s:8:\"language\";}s:12:\"language-url\";a:8:{s:2:\"id\";s:12:\"language-url\";s:5:\"types\";a:3:{i:0;s:18:\"language_interface\";i:1;s:16:\"language_content\";i:2;s:12:\"language_url\";}s:6:\"weight\";i:-8;s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"URL\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Language from the URL (Path prefix or domain).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"config_route_name\";s:24:\"language.negotiation_url\";s:5:\"class\";s:65:\"Drupal\\language\\Plugin\\LanguageNegotiation\\LanguageNegotiationUrl\";s:8:\"provider\";s:8:\"language\";}s:18:\"language-interface\";a:7:{s:2:\"id\";s:18:\"language-interface\";s:5:\"types\";a:1:{i:0;s:16:\"language_content\";}s:6:\"weight\";i:9;s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Interface\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:36:\"Use the detected interface language.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:64:\"Drupal\\language\\Plugin\\LanguageNegotiation\\LanguageNegotiationUI\";s:8:\"provider\";s:8:\"language\";}s:16:\"language-browser\";a:7:{s:2:\"id\";s:16:\"language-browser\";s:6:\"weight\";i:-2;s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Browser\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Language from the browser\'s language settings.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"config_route_name\";s:28:\"language.negotiation_browser\";s:5:\"class\";s:69:\"Drupal\\language\\Plugin\\LanguageNegotiation\\LanguageNegotiationBrowser\";s:8:\"provider\";s:8:\"language\";}s:13:\"language-user\";a:6:{s:2:\"id\";s:13:\"language-user\";s:6:\"weight\";i:-4;s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"User\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:38:\"Follow the user\'s language preference.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:62:\"Drupal\\user\\Plugin\\LanguageNegotiation\\LanguageNegotiationUser\";s:8:\"provider\";s:4:\"user\";}s:19:\"language-user-admin\";a:7:{s:2:\"id\";s:19:\"language-user-admin\";s:5:\"types\";a:1:{i:0;s:18:\"language_interface\";}s:6:\"weight\";i:-10;s:4:\"name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:28:\"Account administration pages\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Account administration pages language setting.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:67:\"Drupal\\user\\Plugin\\LanguageNegotiation\\LanguageNegotiationUserAdmin\";s:8:\"provider\";s:4:\"user\";}}',-1,1636011228.230,1,'','0');
INSERT INTO `cache_discovery` VALUES ('library_info:luxestate','a:22:{s:6:\"stable\";a:2:{s:11:\"drupal.ajax\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:29:\"core/themes/stable/js/ajax.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:0:{}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:11:\"drupal.user\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:35:\"core/themes/stable/js/user.theme.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:0:{}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}}s:6:\"classy\";a:16:{s:4:\"base\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:23:{i:0;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:50:\"core/themes/classy/css/components/action-links.css\";s:7:\"version\";s:6:\"8.9.19\";}i:1;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/classy/css/components/breadcrumb.css\";s:7:\"version\";s:6:\"8.9.19\";}i:2;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:44:\"core/themes/classy/css/components/button.css\";s:7:\"version\";s:6:\"8.9.19\";}i:3;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/themes/classy/css/components/collapse-processed.css\";s:7:\"version\";s:6:\"8.9.19\";}i:4;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/themes/classy/css/components/container-inline.css\";s:7:\"version\";s:6:\"8.9.19\";}i:5;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/themes/classy/css/components/details.css\";s:7:\"version\";s:6:\"8.9.19\";}i:6;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/themes/classy/css/components/exposed-filters.css\";s:7:\"version\";s:6:\"8.9.19\";}i:7;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/themes/classy/css/components/field.css\";s:7:\"version\";s:6:\"8.9.19\";}i:8;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:42:\"core/themes/classy/css/components/form.css\";s:7:\"version\";s:6:\"8.9.19\";}i:9;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/themes/classy/css/components/icons.css\";s:7:\"version\";s:6:\"8.9.19\";}i:10;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/themes/classy/css/components/inline-form.css\";s:7:\"version\";s:6:\"8.9.19\";}i:11;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/classy/css/components/item-list.css\";s:7:\"version\";s:6:\"8.9.19\";}i:12;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:42:\"core/themes/classy/css/components/link.css\";s:7:\"version\";s:6:\"8.9.19\";}i:13;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/themes/classy/css/components/links.css\";s:7:\"version\";s:6:\"8.9.19\";}i:14;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:42:\"core/themes/classy/css/components/menu.css\";s:7:\"version\";s:6:\"8.9.19\";}i:15;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/classy/css/components/more-link.css\";s:7:\"version\";s:6:\"8.9.19\";}i:16;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/themes/classy/css/components/pager.css\";s:7:\"version\";s:6:\"8.9.19\";}i:17;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/classy/css/components/tabledrag.css\";s:7:\"version\";s:6:\"8.9.19\";}i:18;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/themes/classy/css/components/tableselect.css\";s:7:\"version\";s:6:\"8.9.19\";}i:19;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/classy/css/components/tablesort.css\";s:7:\"version\";s:6:\"8.9.19\";}i:20;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:42:\"core/themes/classy/css/components/tabs.css\";s:7:\"version\";s:6:\"8.9.19\";}i:21;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/themes/classy/css/components/textarea.css\";s:7:\"version\";s:6:\"8.9.19\";}i:22;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/classy/css/components/ui-dialog.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:15:\"book-navigation\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/themes/classy/css/components/book-navigation.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:6:\"dialog\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:44:\"core/themes/classy/css/components/dialog.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:10:\"dropbutton\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/classy/css/components/dropbutton.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:4:\"file\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:42:\"core/themes/classy/css/components/file.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:5:\"forum\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/themes/classy/css/components/forum.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:12:\"image-widget\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:50:\"core/themes/classy/css/components/image-widget.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:8:\"indented\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/themes/classy/css/components/indented.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:13:\"media_library\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:-100;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/classy/css/layout/media-library.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:8:\"messages\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/themes/classy/css/components/messages.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:4:\"node\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:42:\"core/themes/classy/css/components/node.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:8:\"progress\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/themes/classy/css/components/progress.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:14:\"search-results\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/themes/classy/css/components/search-results.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:4:\"user\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:42:\"core/themes/classy/css/components/user.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:17:\"media_embed_error\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/themes/classy/css/components/media-embed-error.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:26:\"media_embed_ckeditor_theme\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:51:\"core/themes/classy/js/media_embed_ckeditor.theme.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:0:{}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}}s:4:\"core\";a:90:{s:8:\"backbone\";a:6:{s:6:\"remote\";s:37:\"https://github.com/jashkenas/backbone\";s:7:\"version\";s:5:\"1.4.0\";s:7:\"license\";a:3:{s:4:\"name\";s:3:\"MIT\";s:3:\"url\";s:56:\"https://github.com/jashkenas/backbone/blob/1.4.0/LICENSE\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:6:{s:6:\"weight\";i:-19;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/assets/vendor/backbone/backbone-min.js\";s:7:\"version\";s:5:\"1.4.0\";}}s:12:\"dependencies\";a:1:{i:0;s:15:\"core/underscore\";}s:3:\"css\";a:0:{}}s:9:\"classList\";a:7:{s:6:\"remote\";s:39:\"https://github.com/eligrey/classList.js\";s:7:\"version\";s:10:\"2014-12-13\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:66:\"https://github.com/eligrey/classList.js/blob/2014-12-13/LICENSE.md\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:7:{s:6:\"weight\";i:-21;s:8:\"browsers\";a:2:{s:2:\"IE\";s:8:\"lte IE 9\";s:3:\"!IE\";b:0;}s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/classList/classList.min.js\";s:7:\"version\";s:10:\"2014-12-13\";}}s:10:\"deprecated\";s:183:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. Use the native browser implementation instead. See https://www.drupal.org/node/3089511\";s:12:\"dependencies\";a:0:{}s:3:\"css\";a:0:{}}s:8:\"ckeditor\";a:6:{s:6:\"remote\";s:40:\"https://github.com/ckeditor/ckeditor-dev\";s:7:\"version\";s:6:\"4.16.2\";s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:60:\"https://github.com/ckeditor/ckeditor4/blob/4.16.2/LICENSE.md\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:6:{s:10:\"preprocess\";b:0;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:39:\"core/assets/vendor/ckeditor/ckeditor.js\";s:7:\"version\";s:6:\"4.16.2\";}}s:12:\"dependencies\";a:0:{}s:3:\"css\";a:0:{}}s:8:\"domready\";a:7:{s:6:\"remote\";s:31:\"https://github.com/ded/domready\";s:7:\"version\";s:5:\"1.0.8\";s:7:\"license\";a:3:{s:4:\"name\";s:3:\"MIT\";s:3:\"url\";s:51:\"https://github.com/ded/domready/blob/v1.0.8/LICENSE\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:6:{s:6:\"weight\";i:-21;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:40:\"core/assets/vendor/domready/ready.min.js\";s:7:\"version\";s:5:\"1.0.8\";}}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3086669\";s:12:\"dependencies\";a:0:{}s:3:\"css\";a:0:{}}s:6:\"drupal\";a:6:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:2:{i:0;a:6:{s:6:\"weight\";i:-18;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:19:\"core/misc/drupal.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:1;a:6:{s:6:\"weight\";i:-17;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:24:\"core/misc/drupal.init.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:2:{i:0;s:19:\"core/drupalSettings\";i:1;s:19:\"locale/translations\";}s:14:\"drupalSettings\";a:1:{s:25:\"suppressDeprecationErrors\";b:1;}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:14:\"drupalSettings\";a:6:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:6:{s:6:\"weight\";i:-18;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:33:\"core/misc/drupalSettingsLoader.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:14:\"drupalSettings\";a:2:{s:4:\"path\";a:7:{s:7:\"baseUrl\";N;s:10:\"scriptPath\";N;s:10:\"pathPrefix\";N;s:11:\"currentPath\";N;s:18:\"currentPathIsAdmin\";N;s:7:\"isFront\";N;s:15:\"currentLanguage\";N;}s:15:\"pluralDelimiter\";N;}s:12:\"dependencies\";a:0:{}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:18:\"drupal.active-link\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:24:\"core/misc/active-link.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:3:{i:0;s:11:\"core/drupal\";i:1;s:19:\"core/drupalSettings\";i:2;s:14:\"core/classList\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:11:\"drupal.ajax\";a:6:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:2:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:17:\"core/misc/ajax.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:1;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:29:\"core/themes/stable/js/ajax.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:14:\"drupalSettings\";a:2:{s:13:\"ajaxPageState\";a:3:{s:9:\"libraries\";N;s:5:\"theme\";N;s:11:\"theme_token\";N;}s:14:\"ajaxTrustedUrl\";a:0:{}}s:12:\"dependencies\";a:6:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:19:\"core/drupalSettings\";i:3;s:20:\"core/drupal.progress\";i:4;s:16:\"core/jquery.once\";i:5;s:21:\"responsive_image/ajax\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:15:\"drupal.announce\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:21:\"core/misc/announce.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:2:{i:0;s:11:\"core/drupal\";i:1;s:20:\"core/drupal.debounce\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:19:\"drupal.autocomplete\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:6:{s:6:\"weight\";i:-1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:25:\"core/misc/autocomplete.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:5:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:19:\"core/drupalSettings\";i:3;s:16:\"core/drupal.ajax\";i:4;s:27:\"core/jquery.ui.autocomplete\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:12:\"drupal.batch\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:6:{s:5:\"cache\";b:0;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:18:\"core/misc/batch.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:6:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:19:\"core/drupalSettings\";i:3;s:16:\"core/drupal.ajax\";i:4;s:20:\"core/drupal.progress\";i:5;s:16:\"core/jquery.once\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:15:\"drupal.checkbox\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:21:\"core/misc/checkbox.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:1:{i:0;s:11:\"core/drupal\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:15:\"drupal.collapse\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:2:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:25:\"core/misc/details-aria.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:1;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:21:\"core/misc/collapse.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:5:{i:0;s:11:\"core/jquery\";i:1;s:14:\"core/modernizr\";i:2;s:11:\"core/drupal\";i:3;s:16:\"core/drupal.form\";i:4;s:16:\"core/jquery.once\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:11:\"drupal.date\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:17:\"core/misc/date.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:4:{i:0;s:11:\"core/drupal\";i:1;s:14:\"core/modernizr\";i:2;s:16:\"core/jquery.once\";i:3;s:25:\"core/jquery.ui.datepicker\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:15:\"drupal.debounce\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:21:\"core/misc/debounce.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:1:{i:0;s:11:\"core/drupal\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:13:\"drupal.dialog\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:3:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:26:\"core/misc/dialog/dialog.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:1;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:35:\"core/misc/dialog/dialog.position.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:2;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:36:\"core/misc/dialog/dialog.jquery-ui.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:6:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:19:\"core/drupalSettings\";i:3;s:20:\"core/drupal.debounce\";i:4;s:20:\"core/drupal.displace\";i:5;s:21:\"core/jquery.ui.dialog\";}s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:44:\"core/themes/classy/css/components/dialog.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:18:\"drupal.dialog.ajax\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:31:\"core/misc/dialog/dialog.ajax.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:5:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:19:\"core/drupalSettings\";i:3;s:16:\"core/drupal.ajax\";i:4;s:18:\"core/drupal.dialog\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:15:\"drupal.displace\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:21:\"core/misc/displace.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:3:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:20:\"core/drupal.debounce\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:17:\"drupal.dropbutton\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:34:\"core/misc/dropbutton/dropbutton.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:3:\"css\";a:2:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/themes/stable/css/core/dropbutton/dropbutton.css\";s:7:\"version\";s:6:\"8.9.19\";}i:1;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/classy/css/components/dropbutton.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:4:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:19:\"core/drupalSettings\";i:3;s:16:\"core/jquery.once\";}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:18:\"drupal.entity-form\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:24:\"core/misc/entity-form.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:1:{i:0;s:16:\"core/drupal.form\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:11:\"drupal.form\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:17:\"core/misc/form.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:4:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:20:\"core/drupal.debounce\";i:3;s:16:\"core/jquery.once\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:19:\"drupal.machine-name\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:25:\"core/misc/machine-name.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:5:{i:0;s:11:\"core/jquery\";i:1;s:16:\"core/jquery.once\";i:2;s:11:\"core/drupal\";i:3;s:19:\"core/drupalSettings\";i:4;s:16:\"core/drupal.form\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:14:\"drupal.message\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:20:\"core/misc/message.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:2:{i:0;s:11:\"core/drupal\";i:1;s:20:\"core/drupal.announce\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:20:\"drupal.object.assign\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:6:{s:6:\"weight\";i:-20;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:36:\"core/misc/polyfills/object.assign.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:0:{}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:15:\"drupal.progress\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:21:\"core/misc/progress.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:3:{i:0;s:11:\"core/drupal\";i:1;s:11:\"core/jquery\";i:2;s:19:\"core/drupalSettings\";}s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/themes/classy/css/components/progress.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:13:\"drupal.states\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:19:\"core/misc/states.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:4:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:19:\"core/drupalSettings\";i:3;s:16:\"core/jquery.once\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:21:\"drupal.tabbingmanager\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:27:\"core/misc/tabbingmanager.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:3:{i:0;s:11:\"core/jquery\";i:1;s:14:\"core/jquery.ui\";i:2;s:11:\"core/drupal\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:16:\"drupal.tabledrag\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:6:{s:6:\"weight\";i:-1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:22:\"core/misc/tabledrag.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:4:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:19:\"core/drupalSettings\";i:3;s:16:\"core/jquery.once\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:18:\"drupal.tableheader\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:24:\"core/misc/tableheader.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:5:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:19:\"core/drupalSettings\";i:3;s:16:\"core/jquery.once\";i:4;s:20:\"core/drupal.displace\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:22:\"drupal.tableresponsive\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:28:\"core/misc/tableresponsive.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:3:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:16:\"core/jquery.once\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:18:\"drupal.tableselect\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:24:\"core/misc/tableselect.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:4:{i:0;s:11:\"core/drupal\";i:1;s:20:\"core/drupal.checkbox\";i:2;s:11:\"core/jquery\";i:3;s:16:\"core/jquery.once\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:15:\"drupal.timezone\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:21:\"core/misc/timezone.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:3:{i:0;s:11:\"core/jquery\";i:1;s:16:\"core/jquery.once\";i:2;s:11:\"core/drupal\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:20:\"drupal.vertical-tabs\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:6:{s:6:\"weight\";i:-1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:26:\"core/misc/vertical-tabs.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/themes/stable/css/core/vertical-tabs.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:6:{i:0;s:11:\"core/jquery\";i:1;s:16:\"core/jquery.once\";i:2;s:11:\"core/drupal\";i:3;s:19:\"core/drupalSettings\";i:4;s:16:\"core/drupal.form\";i:5;s:15:\"core/matchmedia\";}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:9:\"html5shiv\";a:8:{s:6:\"header\";b:1;s:6:\"remote\";s:36:\"https://github.com/aFarkas/html5shiv\";s:7:\"version\";s:5:\"3.7.3\";s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:40:\"http://www.gnu.org/licenses/gpl-2.0.html\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:7:{s:6:\"weight\";i:-22;s:8:\"browsers\";a:2:{s:2:\"IE\";s:8:\"lte IE 8\";s:3:\"!IE\";b:0;}s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/html5shiv/html5shiv.min.js\";s:7:\"version\";s:5:\"3.7.3\";}}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3086383\";s:12:\"dependencies\";a:0:{}s:3:\"css\";a:0:{}}s:6:\"jquery\";a:6:{s:6:\"remote\";s:32:\"https://github.com/jquery/jquery\";s:7:\"version\";s:5:\"3.5.1\";s:7:\"license\";a:3:{s:4:\"name\";s:3:\"MIT\";s:3:\"url\";s:55:\"https://github.com/jquery/jquery/blob/3.5.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:6:{s:8:\"minified\";b:1;s:6:\"weight\";i:-20;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:39:\"core/assets/vendor/jquery/jquery.min.js\";s:7:\"version\";s:5:\"3.5.1\";}}s:12:\"dependencies\";a:0:{}s:3:\"css\";a:0:{}}s:13:\"jquery.cookie\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:31:\"core/misc/jquery.cookie.shim.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:4:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:14:\"core/js-cookie\";i:3;s:25:\"core/drupal.object.assign\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:17:\"jquery.farbtastic\";a:6:{s:6:\"remote\";s:40:\"https://github.com/mattfarina/farbtastic\";s:7:\"version\";s:3:\"1.2\";s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:64:\"https://github.com/mattfarina/farbtastic/blob/master/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/assets/vendor/farbtastic/farbtastic.js\";s:7:\"version\";s:3:\"1.2\";}}s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:44:\"core/assets/vendor/farbtastic/farbtastic.css\";s:7:\"version\";s:3:\"1.2\";}}s:12:\"dependencies\";a:1:{i:0;s:11:\"core/jquery\";}}s:11:\"jquery.form\";a:6:{s:6:\"remote\";s:35:\"https://github.com/jquery-form/form\";s:7:\"version\";s:4:\"4.22\";s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:72:\"https://raw.githubusercontent.com/jquery-form/form/master/LICENSE-LGPLv3\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/assets/vendor/jquery-form/jquery.form.min.js\";s:7:\"version\";s:4:\"4.22\";}}s:12:\"dependencies\";a:1:{i:0;s:11:\"core/jquery\";}s:3:\"css\";a:0:{}}s:14:\"jquery.joyride\";a:6:{s:6:\"remote\";s:31:\"https://github.com/zurb/joyride\";s:7:\"version\";s:7:\"2.1.0.1\";s:7:\"license\";a:3:{s:4:\"name\";s:3:\"MIT\";s:3:\"url\";s:59:\"https://github.com/zurb/joyride/blob/v2.1.0/README.markdown\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/assets/vendor/jquery-joyride/jquery.joyride-2.1.js\";s:7:\"version\";s:7:\"2.1.0.1\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:1:{i:0;s:11:\"core/jquery\";}s:3:\"css\";a:0:{}}s:11:\"jquery.once\";a:6:{s:6:\"remote\";s:39:\"https://github.com/RobLoach/jquery-once\";s:7:\"version\";s:5:\"2.2.3\";s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:61:\"https://github.com/RobLoach/jquery-once/blob/2.2.3/LICENSE.md\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:6:{s:6:\"weight\";i:-19;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/assets/vendor/jquery-once/jquery.once.min.js\";s:7:\"version\";s:5:\"2.2.3\";}}s:12:\"dependencies\";a:1:{i:0;s:11:\"core/jquery\";}s:3:\"css\";a:0:{}}s:9:\"jquery.ui\";a:6:{s:6:\"remote\";s:35:\"https://github.com/jquery/jquery-ui\";s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:16:{i:0;a:6:{s:6:\"weight\";i:-11;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/assets/vendor/jquery.ui/ui/data-min.js\";s:7:\"version\";s:6:\"1.12.1\";}i:1;a:6:{s:6:\"weight\";i:-11;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/assets/vendor/jquery.ui/ui/disable-selection-min.js\";s:7:\"version\";s:6:\"1.12.1\";}i:2;a:6:{s:6:\"weight\";i:-11;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/assets/vendor/jquery.ui/ui/form-min.js\";s:7:\"version\";s:6:\"1.12.1\";}i:3;a:6:{s:6:\"weight\";i:-11;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/jquery.ui/ui/labels-min.js\";s:7:\"version\";s:6:\"1.12.1\";}i:4;a:6:{s:6:\"weight\";i:-11;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/assets/vendor/jquery.ui/ui/jquery-1-7-min.js\";s:7:\"version\";s:6:\"1.12.1\";}i:5;a:6:{s:6:\"weight\";i:-11;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/assets/vendor/jquery.ui/ui/scroll-parent-min.js\";s:7:\"version\";s:6:\"1.12.1\";}i:6;a:6:{s:6:\"weight\";i:-11;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/assets/vendor/jquery.ui/ui/tabbable-min.js\";s:7:\"version\";s:6:\"1.12.1\";}i:7;a:6:{s:6:\"weight\";i:-11;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/assets/vendor/jquery.ui/ui/unique-id-min.js\";s:7:\"version\";s:6:\"1.12.1\";}i:8;a:6:{s:6:\"weight\";i:-11;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/assets/vendor/jquery.ui/ui/version-min.js\";s:7:\"version\";s:6:\"1.12.1\";}i:9;a:6:{s:6:\"weight\";i:-11;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/assets/vendor/jquery.ui/ui/escape-selector-min.js\";s:7:\"version\";s:6:\"1.12.1\";}i:10;a:6:{s:6:\"weight\";i:-11;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/assets/vendor/jquery.ui/ui/focusable-min.js\";s:7:\"version\";s:6:\"1.12.1\";}i:11;a:6:{s:6:\"weight\";i:-11;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"core/assets/vendor/jquery.ui/ui/ie-min.js\";s:7:\"version\";s:6:\"1.12.1\";}i:12;a:6:{s:6:\"weight\";i:-11;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/assets/vendor/jquery.ui/ui/keycode-min.js\";s:7:\"version\";s:6:\"1.12.1\";}i:13;a:6:{s:6:\"weight\";i:-11;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/jquery.ui/ui/plugin-min.js\";s:7:\"version\";s:6:\"1.12.1\";}i:14;a:6:{s:6:\"weight\";i:-11;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/assets/vendor/jquery.ui/ui/safe-active-element-min.js\";s:7:\"version\";s:6:\"1.12.1\";}i:15;a:6:{s:6:\"weight\";i:-11;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/assets/vendor/jquery.ui/ui/safe-blur-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:3:\"css\";a:2:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/assets/vendor/jquery.ui/themes/base/core.css\";s:7:\"version\";s:6:\"1.12.1\";}i:1;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:50:\"core/assets/vendor/jquery.ui/themes/base/theme.css\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:1:{i:0;s:11:\"core/jquery\";}}s:19:\"jquery.ui.accordion\";a:6:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/assets/vendor/jquery.ui/ui/widgets/accordion-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/assets/vendor/jquery.ui/themes/base/accordion.css\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:2:{i:0;s:14:\"core/jquery.ui\";i:1;s:21:\"core/jquery.ui.widget\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3067969\";}s:22:\"jquery.ui.autocomplete\";a:5:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:59:\"core/assets/vendor/jquery.ui/ui/widgets/autocomplete-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/assets/vendor/jquery.ui/themes/base/autocomplete.css\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:4:{i:0;s:14:\"core/jquery.ui\";i:1;s:21:\"core/jquery.ui.widget\";i:2;s:23:\"core/jquery.ui.position\";i:3;s:19:\"core/jquery.ui.menu\";}}s:16:\"jquery.ui.button\";a:5:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/assets/vendor/jquery.ui/ui/widgets/button-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:51:\"core/assets/vendor/jquery.ui/themes/base/button.css\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:4:{i:0;s:14:\"core/jquery.ui\";i:1;s:21:\"core/jquery.ui.widget\";i:2;s:28:\"core/jquery.ui.checkboxradio\";i:3;s:27:\"core/jquery.ui.controlgroup\";}}s:23:\"jquery.ui.checkboxradio\";a:6:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:2:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/assets/vendor/jquery.ui/ui/form-reset-mixin-min.js\";s:7:\"version\";s:6:\"1.12.1\";}i:1;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:60:\"core/assets/vendor/jquery.ui/ui/widgets/checkboxradio-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:3:\"css\";a:2:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/assets/vendor/jquery.ui/themes/base/checkboxradio.css\";s:7:\"version\";s:6:\"1.12.1\";}i:1;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:51:\"core/assets/vendor/jquery.ui/themes/base/button.css\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:2:{i:0;s:14:\"core/jquery.ui\";i:1;s:21:\"core/jquery.ui.widget\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3067969\";}s:22:\"jquery.ui.controlgroup\";a:6:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:59:\"core/assets/vendor/jquery.ui/ui/widgets/controlgroup-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/assets/vendor/jquery.ui/themes/base/controlgroup.css\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:2:{i:0;s:14:\"core/jquery.ui\";i:1;s:21:\"core/jquery.ui.widget\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3067969\";}s:20:\"jquery.ui.datepicker\";a:7:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/assets/vendor/jquery.ui/ui/widgets/datepicker-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/assets/vendor/jquery.ui/themes/base/datepicker.css\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:2:{i:0;s:14:\"core/jquery.ui\";i:1;s:31:\"locale/drupal.locale.datepicker\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3081864\";s:14:\"drupalSettings\";a:1:{s:6:\"jquery\";a:1:{s:2:\"ui\";a:1:{s:10:\"datepicker\";a:2:{s:5:\"isRTL\";N;s:8:\"firstDay\";N;}}}}}s:16:\"jquery.ui.dialog\";a:5:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/assets/vendor/jquery.ui/ui/widgets/dialog-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:51:\"core/assets/vendor/jquery.ui/themes/base/dialog.css\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:7:{i:0;s:14:\"core/jquery.ui\";i:1;s:21:\"core/jquery.ui.widget\";i:2;s:21:\"core/jquery.ui.button\";i:3;s:24:\"core/jquery.ui.draggable\";i:4;s:20:\"core/jquery.ui.mouse\";i:5;s:23:\"core/jquery.ui.position\";i:6;s:24:\"core/jquery.ui.resizable\";}}s:19:\"jquery.ui.draggable\";a:5:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/assets/vendor/jquery.ui/ui/widgets/draggable-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:3:{i:0;s:14:\"core/jquery.ui\";i:1;s:20:\"core/jquery.ui.mouse\";i:2;s:21:\"core/jquery.ui.widget\";}s:3:\"css\";a:0:{}}s:19:\"jquery.ui.droppable\";a:6:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/assets/vendor/jquery.ui/ui/widgets/droppable-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:4:{i:0;s:14:\"core/jquery.ui\";i:1;s:21:\"core/jquery.ui.widget\";i:2;s:20:\"core/jquery.ui.mouse\";i:3;s:24:\"core/jquery.ui.draggable\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3067969\";s:3:\"css\";a:0:{}}s:22:\"jquery.ui.effects.core\";a:6:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:6:{s:6:\"weight\";i:-9;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/jquery.ui/ui/effect-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3067969\";s:12:\"dependencies\";a:0:{}s:3:\"css\";a:0:{}}s:23:\"jquery.ui.effects.blind\";a:6:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:59:\"core/assets/vendor/jquery.ui/ui/effects/effect-blind-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:1:{i:0;s:27:\"core/jquery.ui.effects.core\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3067969\";s:3:\"css\";a:0:{}}s:24:\"jquery.ui.effects.bounce\";a:6:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:60:\"core/assets/vendor/jquery.ui/ui/effects/effect-bounce-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:1:{i:0;s:27:\"core/jquery.ui.effects.core\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3067969\";s:3:\"css\";a:0:{}}s:22:\"jquery.ui.effects.clip\";a:6:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/assets/vendor/jquery.ui/ui/effects/effect-clip-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:1:{i:0;s:27:\"core/jquery.ui.effects.core\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3067969\";s:3:\"css\";a:0:{}}s:22:\"jquery.ui.effects.drop\";a:6:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/assets/vendor/jquery.ui/ui/effects/effect-drop-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:1:{i:0;s:27:\"core/jquery.ui.effects.core\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3067969\";s:3:\"css\";a:0:{}}s:25:\"jquery.ui.effects.explode\";a:6:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:61:\"core/assets/vendor/jquery.ui/ui/effects/effect-explode-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:1:{i:0;s:27:\"core/jquery.ui.effects.core\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3067969\";s:3:\"css\";a:0:{}}s:22:\"jquery.ui.effects.fade\";a:6:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/assets/vendor/jquery.ui/ui/effects/effect-fade-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:1:{i:0;s:27:\"core/jquery.ui.effects.core\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3067969\";s:3:\"css\";a:0:{}}s:22:\"jquery.ui.effects.fold\";a:6:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/assets/vendor/jquery.ui/ui/effects/effect-fold-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:1:{i:0;s:27:\"core/jquery.ui.effects.core\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3067969\";s:3:\"css\";a:0:{}}s:27:\"jquery.ui.effects.highlight\";a:6:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:63:\"core/assets/vendor/jquery.ui/ui/effects/effect-highlight-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:1:{i:0;s:27:\"core/jquery.ui.effects.core\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3067969\";s:3:\"css\";a:0:{}}s:22:\"jquery.ui.effects.puff\";a:6:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/assets/vendor/jquery.ui/ui/effects/effect-puff-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:2:{i:0;s:27:\"core/jquery.ui.effects.core\";i:1;s:28:\"core/jquery.ui.effects.scale\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3067969\";s:3:\"css\";a:0:{}}s:25:\"jquery.ui.effects.pulsate\";a:6:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:61:\"core/assets/vendor/jquery.ui/ui/effects/effect-pulsate-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:1:{i:0;s:27:\"core/jquery.ui.effects.core\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3067969\";s:3:\"css\";a:0:{}}s:23:\"jquery.ui.effects.scale\";a:6:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:59:\"core/assets/vendor/jquery.ui/ui/effects/effect-scale-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:2:{i:0;s:27:\"core/jquery.ui.effects.core\";i:1;s:27:\"core/jquery.ui.effects.size\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3067969\";s:3:\"css\";a:0:{}}s:23:\"jquery.ui.effects.shake\";a:6:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:59:\"core/assets/vendor/jquery.ui/ui/effects/effect-shake-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:1:{i:0;s:27:\"core/jquery.ui.effects.core\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3067969\";s:3:\"css\";a:0:{}}s:22:\"jquery.ui.effects.size\";a:6:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/assets/vendor/jquery.ui/ui/effects/effect-size-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:1:{i:0;s:27:\"core/jquery.ui.effects.core\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3067969\";s:3:\"css\";a:0:{}}s:23:\"jquery.ui.effects.slide\";a:6:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:59:\"core/assets/vendor/jquery.ui/ui/effects/effect-slide-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:1:{i:0;s:27:\"core/jquery.ui.effects.core\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3067969\";s:3:\"css\";a:0:{}}s:26:\"jquery.ui.effects.transfer\";a:6:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:62:\"core/assets/vendor/jquery.ui/ui/effects/effect-transfer-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:1:{i:0;s:27:\"core/jquery.ui.effects.core\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3067969\";s:3:\"css\";a:0:{}}s:14:\"jquery.ui.menu\";a:5:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:51:\"core/assets/vendor/jquery.ui/ui/widgets/menu-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/assets/vendor/jquery.ui/themes/base/menu.css\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:3:{i:0;s:14:\"core/jquery.ui\";i:1;s:23:\"core/jquery.ui.position\";i:2;s:21:\"core/jquery.ui.widget\";}}s:15:\"jquery.ui.mouse\";a:5:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:2:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"core/assets/vendor/jquery.ui/ui/ie-min.js\";s:7:\"version\";s:6:\"1.12.1\";}i:1;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/assets/vendor/jquery.ui/ui/widgets/mouse-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:1:{i:0;s:21:\"core/jquery.ui.widget\";}s:3:\"css\";a:0:{}}s:18:\"jquery.ui.position\";a:5:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/assets/vendor/jquery.ui/ui/position-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:1:{i:0;s:14:\"core/jquery.ui\";}s:3:\"css\";a:0:{}}s:21:\"jquery.ui.progressbar\";a:6:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/assets/vendor/jquery.ui/ui/widgets/progressbar-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/assets/vendor/jquery.ui/themes/base/progressbar.css\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:2:{i:0;s:14:\"core/jquery.ui\";i:1;s:21:\"core/jquery.ui.widget\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3067969\";}s:19:\"jquery.ui.resizable\";a:5:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/assets/vendor/jquery.ui/ui/widgets/resizable-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/assets/vendor/jquery.ui/themes/base/resizable.css\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:3:{i:0;s:14:\"core/jquery.ui\";i:1;s:21:\"core/jquery.ui.widget\";i:2;s:20:\"core/jquery.ui.mouse\";}}s:20:\"jquery.ui.selectable\";a:6:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/assets/vendor/jquery.ui/ui/widgets/selectable-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/assets/vendor/jquery.ui/themes/base/selectable.css\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:3:{i:0;s:14:\"core/jquery.ui\";i:1;s:20:\"core/jquery.ui.mouse\";i:2;s:21:\"core/jquery.ui.widget\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3067969\";}s:20:\"jquery.ui.selectmenu\";a:6:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:2:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/assets/vendor/jquery.ui/ui/form-reset-mixin-min.js\";s:7:\"version\";s:6:\"1.12.1\";}i:1;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/assets/vendor/jquery.ui/ui/widgets/selectmenu-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:3:\"css\";a:2:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/assets/vendor/jquery.ui/themes/base/selectmenu.css\";s:7:\"version\";s:6:\"1.12.1\";}i:1;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:51:\"core/assets/vendor/jquery.ui/themes/base/button.css\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:4:{i:0;s:14:\"core/jquery.ui\";i:1;s:19:\"core/jquery.ui.menu\";i:2;s:23:\"core/jquery.ui.position\";i:3;s:21:\"core/jquery.ui.widget\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3067969\";}s:16:\"jquery.ui.slider\";a:6:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/assets/vendor/jquery.ui/ui/widgets/slider-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:51:\"core/assets/vendor/jquery.ui/themes/base/slider.css\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:3:{i:0;s:14:\"core/jquery.ui\";i:1;s:20:\"core/jquery.ui.mouse\";i:2;s:21:\"core/jquery.ui.widget\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3067969\";}s:18:\"jquery.ui.sortable\";a:6:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/assets/vendor/jquery.ui/ui/widgets/sortable-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:3:{i:0;s:14:\"core/jquery.ui\";i:1;s:20:\"core/jquery.ui.mouse\";i:2;s:21:\"core/jquery.ui.widget\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3084730\";s:3:\"css\";a:0:{}}s:17:\"jquery.ui.spinner\";a:6:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/assets/vendor/jquery.ui/ui/widgets/spinner-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/assets/vendor/jquery.ui/themes/base/spinner.css\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:3:{i:0;s:14:\"core/jquery.ui\";i:1;s:21:\"core/jquery.ui.widget\";i:2;s:21:\"core/jquery.ui.button\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3067969\";}s:14:\"jquery.ui.tabs\";a:6:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:51:\"core/assets/vendor/jquery.ui/ui/widgets/tabs-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/assets/vendor/jquery.ui/themes/base/tabs.css\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:2:{i:0;s:14:\"core/jquery.ui\";i:1;s:21:\"core/jquery.ui.widget\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3067969\";}s:17:\"jquery.ui.tooltip\";a:6:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/assets/vendor/jquery.ui/ui/widgets/tooltip-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/assets/vendor/jquery.ui/themes/base/tooltip.css\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:3:{i:0;s:14:\"core/jquery.ui\";i:1;s:21:\"core/jquery.ui.widget\";i:2;s:23:\"core/jquery.ui.position\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3067969\";}s:21:\"jquery.ui.touch-punch\";a:7:{s:6:\"remote\";s:45:\"https://github.com/furf/jquery-ui-touch-punch\";s:7:\"version\";s:5:\"0.2.3\";s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:45:\"https://github.com/furf/jquery-ui-touch-punch\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:65:\"core/assets/vendor/jquery-ui-touch-punch/jquery.ui.touch-punch.js\";s:7:\"version\";s:5:\"0.2.3\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:3:{i:0;s:14:\"core/jquery.ui\";i:1;s:20:\"core/jquery.ui.mouse\";i:2;s:21:\"core/jquery.ui.widget\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3084730\";s:3:\"css\";a:0:{}}s:16:\"jquery.ui.widget\";a:5:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:6:{s:6:\"weight\";i:-10;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/jquery.ui/ui/widget-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:1:{i:0;s:14:\"core/jquery.ui\";}s:3:\"css\";a:0:{}}s:10:\"matchmedia\";a:7:{s:6:\"remote\";s:42:\"https://github.com/paulirish/matchMedia.js\";s:7:\"version\";s:5:\"0.2.0\";s:7:\"license\";a:3:{s:4:\"name\";s:3:\"MIT\";s:3:\"url\";s:65:\"https://github.com/paulirish/matchMedia.js/blob/0.2.0/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/assets/vendor/matchMedia/matchMedia.min.js\";s:7:\"version\";s:5:\"0.2.0\";}}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3086653\";s:12:\"dependencies\";a:0:{}s:3:\"css\";a:0:{}}s:22:\"matchmedia.addListener\";a:6:{s:7:\"version\";s:5:\"0.2.0\";s:7:\"license\";a:3:{s:4:\"name\";s:3:\"MIT\";s:3:\"url\";s:65:\"https://github.com/paulirish/matchMedia.js/blob/0.2.0/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:59:\"core/assets/vendor/matchMedia/matchMedia.addListener.min.js\";s:7:\"version\";s:5:\"0.2.0\";}}s:12:\"dependencies\";a:1:{i:0;s:15:\"core/matchmedia\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3086653\";s:3:\"css\";a:0:{}}s:9:\"modernizr\";a:7:{s:6:\"header\";b:1;s:6:\"remote\";s:38:\"https://github.com/Modernizr/Modernizr\";s:7:\"license\";a:3:{s:4:\"name\";s:3:\"MIT\";s:3:\"url\";s:29:\"http://modernizr.com/license/\";s:14:\"gpl-compatible\";b:1;}s:7:\"version\";s:5:\"3.3.1\";s:2:\"js\";a:1:{i:0;a:7:{s:10:\"preprocess\";i:0;s:6:\"weight\";i:-21;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/modernizr/modernizr.min.js\";s:7:\"version\";s:5:\"3.3.1\";}}s:12:\"dependencies\";a:0:{}s:3:\"css\";a:0:{}}s:9:\"normalize\";a:6:{s:6:\"remote\";s:40:\"https://github.com/necolas/normalize.css\";s:7:\"version\";s:5:\"3.0.3\";s:7:\"license\";a:3:{s:4:\"name\";s:3:\"MIT\";s:3:\"url\";s:63:\"https://github.com/necolas/normalize.css/blob/master/LICENSE.md\";s:14:\"gpl-compatible\";b:1;}s:3:\"css\";a:2:{i:0;a:5:{s:6:\"weight\";i:-220;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/assets/vendor/normalize-css/normalize.css\";s:7:\"version\";s:5:\"3.0.3\";}i:1;a:5:{s:6:\"weight\";i:-219;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:29:\"core/misc/normalize-fixes.css\";s:7:\"version\";s:5:\"3.0.3\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}}s:11:\"picturefill\";a:6:{s:6:\"remote\";s:40:\"https://github.com/scottjehl/picturefill\";s:7:\"version\";s:5:\"3.0.3\";s:7:\"license\";a:3:{s:4:\"name\";s:3:\"MIT\";s:3:\"url\";s:59:\"https://github.com/scottjehl/picturefill/blob/3.0.3/LICENSE\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:6:{s:6:\"weight\";i:-10;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/assets/vendor/picturefill/picturefill.min.js\";s:7:\"version\";s:5:\"3.0.3\";}}s:12:\"dependencies\";a:1:{i:0;s:15:\"core/matchmedia\";}s:3:\"css\";a:0:{}}s:8:\"popperjs\";a:5:{s:7:\"version\";s:6:\"1.16.0\";s:7:\"license\";a:3:{s:4:\"name\";s:3:\"MIT\";s:3:\"url\";s:61:\"https://github.com/popperjs/popper.js/blob/v1.16.0/LICENSE.md\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"core/assets/vendor/popperjs/popper.min.js\";s:7:\"version\";s:6:\"1.16.0\";}}s:12:\"dependencies\";a:0:{}s:3:\"css\";a:0:{}}s:8:\"sortable\";a:6:{s:6:\"remote\";s:38:\"https://github.com/SortableJS/Sortable\";s:7:\"version\";s:6:\"1.10.2\";s:7:\"license\";a:3:{s:4:\"name\";s:3:\"MIT\";s:3:\"url\";s:62:\"https://github.com/SortableJS/Sortable/tree/1.10.2#mit-license\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/assets/vendor/sortable/Sortable.min.js\";s:7:\"version\";s:6:\"1.10.2\";}}s:12:\"dependencies\";a:0:{}s:3:\"css\";a:0:{}}s:10:\"underscore\";a:6:{s:6:\"remote\";s:39:\"https://github.com/jashkenas/underscore\";s:7:\"version\";s:6:\"1.13.1\";s:7:\"license\";a:3:{s:4:\"name\";s:3:\"MIT\";s:3:\"url\";s:59:\"https://github.com/jashkenas/underscore/blob/1.13.1/LICENSE\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:6:{s:6:\"weight\";i:-20;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/assets/vendor/underscore/underscore-min.js\";s:7:\"version\";s:6:\"1.13.1\";}}s:12:\"dependencies\";a:0:{}s:3:\"css\";a:0:{}}s:24:\"drupal.dialog.off_canvas\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:30:\"core/misc/dialog/off-canvas.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:3:\"css\";a:12:{i:0;a:5:{s:6:\"weight\";i:-200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/themes/stable/css/core/dialog/off-canvas.reset.css\";s:7:\"version\";s:6:\"8.9.19\";}i:1;a:5:{s:6:\"weight\";i:-200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/themes/stable/css/core/dialog/off-canvas.base.css\";s:7:\"version\";s:6:\"8.9.19\";}i:2;a:5:{s:6:\"weight\";i:-200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/themes/stable/css/core/dialog/off-canvas.css\";s:7:\"version\";s:6:\"8.9.19\";}i:3;a:5:{s:5:\"group\";i:0;s:6:\"weight\";i:-200;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/themes/stable/css/core/dialog/off-canvas.theme.css\";s:7:\"version\";s:6:\"8.9.19\";}i:4;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/themes/stable/css/core/dialog/off-canvas.motion.css\";s:7:\"version\";s:6:\"8.9.19\";}i:5;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/themes/stable/css/core/dialog/off-canvas.button.css\";s:7:\"version\";s:6:\"8.9.19\";}i:6;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/themes/stable/css/core/dialog/off-canvas.form.css\";s:7:\"version\";s:6:\"8.9.19\";}i:7;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/themes/stable/css/core/dialog/off-canvas.table.css\";s:7:\"version\";s:6:\"8.9.19\";}i:8;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/themes/stable/css/core/dialog/off-canvas.details.css\";s:7:\"version\";s:6:\"8.9.19\";}i:9;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:59:\"core/themes/stable/css/core/dialog/off-canvas.tabledrag.css\";s:7:\"version\";s:6:\"8.9.19\";}i:10;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:60:\"core/themes/stable/css/core/dialog/off-canvas.dropbutton.css\";s:7:\"version\";s:6:\"8.9.19\";}i:11;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/themes/stable/css/core/dialog/off-canvas.layout.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:6:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:16:\"core/drupal.ajax\";i:3;s:20:\"core/drupal.announce\";i:4;s:18:\"core/drupal.dialog\";i:5;s:23:\"core/drupal.dialog.ajax\";}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:9:\"js-cookie\";a:6:{s:6:\"remote\";s:38:\"https://github.com/js-cookie/js-cookie\";s:7:\"version\";s:9:\"3.0.0-rc0\";s:7:\"license\";a:3:{s:4:\"name\";s:3:\"MIT\";s:3:\"url\";s:63:\"https://github.com/js-cookie/js-cookie/blob/v3.0.0-rc.0/LICENSE\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/js-cookie/js.cookie.min.js\";s:7:\"version\";s:9:\"3.0.0-rc0\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:0:{}s:3:\"css\";a:0:{}}}s:10:\"contextual\";a:2:{s:23:\"drupal.contextual-links\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:6:{i:0;a:6:{s:6:\"weight\";i:-2;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:40:\"core/modules/contextual/js/contextual.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:1;a:6:{s:6:\"weight\";i:-2;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/modules/contextual/js/models/StateModel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:2;a:6:{s:6:\"weight\";i:-2;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/modules/contextual/js/views/AuralView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:3;a:6:{s:6:\"weight\";i:-2;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/modules/contextual/js/views/KeyboardView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:4;a:6:{s:6:\"weight\";i:-2;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/modules/contextual/js/views/RegionView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:5;a:6:{s:6:\"weight\";i:-2;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/modules/contextual/js/views/VisualView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:3:\"css\";a:3:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/themes/stable/css/contextual/contextual.module.css\";s:7:\"version\";s:6:\"8.9.19\";}i:1;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/themes/stable/css/contextual/contextual.theme.css\";s:7:\"version\";s:6:\"8.9.19\";}i:2;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:60:\"core/themes/stable/css/contextual/contextual.icons.theme.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:7:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:16:\"core/drupal.ajax\";i:3;s:19:\"core/drupalSettings\";i:4;s:13:\"core/backbone\";i:5;s:14:\"core/modernizr\";i:6;s:16:\"core/jquery.once\";}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:25:\"drupal.contextual-toolbar\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:4:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/modules/contextual/js/contextual.toolbar.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:1;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/modules/contextual/js/toolbar/models/StateModel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:2;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/modules/contextual/js/toolbar/views/AuralView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:3;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/modules/contextual/js/toolbar/views/VisualView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/themes/stable/css/contextual/contextual.toolbar.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:6:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:13:\"core/backbone\";i:3;s:16:\"core/jquery.once\";i:4;s:26:\"core/drupal.tabbingmanager\";i:5;s:20:\"core/drupal.announce\";}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}}s:6:\"locale\";a:3:{s:19:\"drupal.locale.admin\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:35:\"core/modules/locale/locale.admin.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/themes/stable/css/locale/locale.admin.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:4:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:16:\"core/drupal.form\";i:3;s:16:\"core/jquery.once\";}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:24:\"drupal.locale.datepicker\";a:6:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:40:\"core/modules/locale/locale.datepicker.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:3:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:19:\"core/drupalSettings\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3081864\";s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:12:\"translations\";a:4:{s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"core/modules/locale/locale.translation.js\";s:7:\"version\";i:-1;s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:0:{}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}}s:16:\"responsive_image\";a:1:{s:4:\"ajax\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/modules/responsive_image/js/responsive_image.ajax.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:0:{}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}}s:9:\"quickedit\";a:3:{s:9:\"quickedit\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:15:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:38:\"core/modules/quickedit/js/quickedit.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:1;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:33:\"core/modules/quickedit/js/util.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:2;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/modules/quickedit/js/models/BaseModel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:3;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:44:\"core/modules/quickedit/js/models/AppModel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:4;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/modules/quickedit/js/models/EntityModel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:5;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/modules/quickedit/js/models/FieldModel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:6;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/modules/quickedit/js/models/EditorModel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:7;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:42:\"core/modules/quickedit/js/views/AppView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:8;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/modules/quickedit/js/views/FieldDecorationView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:9;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/modules/quickedit/js/views/EntityDecorationView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:10;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/modules/quickedit/js/views/EntityToolbarView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:11;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/modules/quickedit/js/views/ContextualLinkView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:12;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:51:\"core/modules/quickedit/js/views/FieldToolbarView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:13;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/modules/quickedit/js/views/EditorView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:14;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:34:\"core/modules/quickedit/js/theme.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:3:\"css\";a:4:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/themes/stable/css/quickedit/quickedit.module.css\";s:7:\"version\";s:6:\"8.9.19\";}i:1;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/themes/seven/css/components/quickedit.css\";s:7:\"version\";s:6:\"8.9.19\";}i:2;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/themes/stable/css/quickedit/quickedit.theme.css\";s:7:\"version\";s:6:\"8.9.19\";}i:3;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/themes/stable/css/quickedit/quickedit.icons.theme.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:13:{i:0;s:11:\"core/jquery\";i:1;s:16:\"core/jquery.once\";i:2;s:15:\"core/underscore\";i:3;s:13:\"core/backbone\";i:4;s:16:\"core/jquery.form\";i:5;s:11:\"core/drupal\";i:6;s:20:\"core/drupal.displace\";i:7;s:16:\"core/drupal.form\";i:8;s:16:\"core/drupal.ajax\";i:9;s:20:\"core/drupal.debounce\";i:10;s:19:\"core/drupalSettings\";i:11;s:18:\"core/drupal.dialog\";i:12;s:13:\"core/popperjs\";}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:28:\"quickedit.inPlaceEditor.form\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/modules/quickedit/js/editors/formEditor.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:1:{i:0;s:19:\"quickedit/quickedit\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:33:\"quickedit.inPlaceEditor.plainText\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/modules/quickedit/js/editors/plainTextEditor.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:1:{i:0;s:19:\"quickedit/quickedit\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}}s:6:\"system\";a:7:{s:4:\"base\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:22:{i:0;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:65:\"core/themes/stable/css/system/components/ajax-progress.module.css\";s:7:\"version\";s:6:\"8.9.19\";}i:1;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/themes/stable/css/system/components/align.module.css\";s:7:\"version\";s:6:\"8.9.19\";}i:2;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:72:\"core/themes/stable/css/system/components/autocomplete-loading.module.css\";s:7:\"version\";s:6:\"8.9.19\";}i:3;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:62:\"core/themes/stable/css/system/components/fieldgroup.module.css\";s:7:\"version\";s:6:\"8.9.19\";}i:4;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:68:\"core/themes/stable/css/system/components/container-inline.module.css\";s:7:\"version\";s:6:\"8.9.19\";}i:5;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:60:\"core/themes/stable/css/system/components/clearfix.module.css\";s:7:\"version\";s:6:\"8.9.19\";}i:6;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:59:\"core/themes/stable/css/system/components/details.module.css\";s:7:\"version\";s:6:\"8.9.19\";}i:7;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/themes/stable/css/system/components/hidden.module.css\";s:7:\"version\";s:6:\"8.9.19\";}i:8;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:61:\"core/themes/stable/css/system/components/item-list.module.css\";s:7:\"version\";s:6:\"8.9.19\";}i:9;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/themes/stable/css/system/components/js.module.css\";s:7:\"version\";s:6:\"8.9.19\";}i:10;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/themes/stable/css/system/components/nowrap.module.css\";s:7:\"version\";s:6:\"8.9.19\";}i:11;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:70:\"core/themes/stable/css/system/components/position-container.module.css\";s:7:\"version\";s:6:\"8.9.19\";}i:12;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:60:\"core/themes/stable/css/system/components/progress.module.css\";s:7:\"version\";s:6:\"8.9.19\";}i:13;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:68:\"core/themes/stable/css/system/components/reset-appearance.module.css\";s:7:\"version\";s:6:\"8.9.19\";}i:14;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/themes/stable/css/system/components/resize.module.css\";s:7:\"version\";s:6:\"8.9.19\";}i:15;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:65:\"core/themes/stable/css/system/components/sticky-header.module.css\";s:7:\"version\";s:6:\"8.9.19\";}i:16;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:66:\"core/themes/stable/css/system/components/system-status-counter.css\";s:7:\"version\";s:6:\"8.9.19\";}i:17;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:74:\"core/themes/stable/css/system/components/system-status-report-counters.css\";s:7:\"version\";s:6:\"8.9.19\";}i:18;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:78:\"core/themes/stable/css/system/components/system-status-report-general-info.css\";s:7:\"version\";s:6:\"8.9.19\";}i:19;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:61:\"core/themes/stable/css/system/components/tabledrag.module.css\";s:7:\"version\";s:6:\"8.9.19\";}i:20;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:61:\"core/themes/stable/css/system/components/tablesort.module.css\";s:7:\"version\";s:6:\"8.9.19\";}i:21;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:62:\"core/themes/stable/css/system/components/tree-child.module.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:5:\"admin\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:190;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/themes/stable/css/system/system.admin.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:1:{i:0;s:11:\"system/base\";}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:11:\"maintenance\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:190;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/themes/stable/css/system/system.maintenance.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:2:{i:0;s:11:\"system/base\";i:1;s:12:\"system/admin\";}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:13:\"drupal.system\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:32:\"core/modules/system/js/system.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:4:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:19:\"core/drupalSettings\";i:3;s:16:\"core/jquery.once\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:21:\"drupal.system.modules\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:40:\"core/modules/system/js/system.modules.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:5:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:20:\"core/drupal.debounce\";i:3;s:16:\"core/jquery.once\";i:4;s:20:\"core/drupal.announce\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:4:\"diff\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/themes/stable/css/system/system.diff.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:18:\"drupal.system.date\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:37:\"core/modules/system/js/system.date.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:5:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:19:\"core/drupalSettings\";i:3;s:16:\"core/jquery.once\";i:4;s:16:\"core/drupal.form\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}}s:9:\"luxestate\";a:5:{s:14:\"global-styling\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:5:{i:0;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:62:\"themes/luxestate/assets/includes/owl-carousel/owl.carousel.css\";s:7:\"version\";s:6:\"8.9.19\";}i:1;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"themes/luxestate/assets/includes/slick/slick/slick.css\";s:7:\"version\";s:6:\"8.9.19\";}i:2;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"themes/luxestate/assets/includes/slick/css/style.css\";s:7:\"version\";s:6:\"8.9.19\";}i:3;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:37:\"themes/luxestate/assets/css/style.css\";s:7:\"version\";s:6:\"8.9.19\";}i:4;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"themes/luxestate/assets/css/style-rtl.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:13:\"color.preview\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:34:\"themes/luxestate/color/preview.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:33:\"themes/luxestate/color/preview.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:1:{i:0;s:18:\"color/drupal.color\";}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:10:\"corescript\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:18:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:42:\"themes/luxestate/assets/js/jquery.fixes.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:1;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"themes/luxestate/assets/includes/jssor/js/jssor.core.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:2;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"themes/luxestate/assets/includes/jssor/js/jssor.utils.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:3;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"themes/luxestate/assets/includes/jssor/js/jssor.slider.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:4;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:62:\"themes/luxestate/assets/includes/bootstrap/js/bootstrap.min.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:5;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:61:\"themes/luxestate/assets/includes/owl-carousel/owl.carousel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:6;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:64:\"themes/luxestate/assets/includes/flexslider/jquery.flexslider.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:7;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"themes/luxestate/assets/includes/jquery.colorbox-min.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:8;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"themes/luxestate/assets/includes/respond/html5shiv.min.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:9;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"themes/luxestate/assets/includes/respond/respond.min.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:10;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:50:\"themes/luxestate/assets/js/jquery.smooth-scroll.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:11;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"themes/luxestate/assets/js/jquery.matchHeight.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:12;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:39:\"themes/luxestate/assets/js/slideshow.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:13;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:39:\"themes/luxestate/assets/js/luxestate.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:14;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:40:\"themes/luxestate/assets/js/flexslider.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:15;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:40:\"themes/luxestate/assets/js/fix_script.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:16;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"themes/luxestate/assets/includes/skins-menu/skins_menu.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:17;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"themes/luxestate/assets/includes/slick/slick/slick.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:5:{i:0;s:15:\"core/matchmedia\";i:1;s:11:\"core/jquery\";i:2;s:11:\"core/drupal\";i:3;s:16:\"core/jquery.once\";i:4;s:21:\"core/jquery.intrinsic\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:16:\"maintenance_page\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"themes/luxestate/css/maintenance-page.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:2:{i:0;s:18:\"system/maintenance\";i:1;s:24:\"luxestate/global-styling\";}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:10:\"skins-menu\";a:5:{s:7:\"version\";s:3:\"1.x\";s:2:\"js\";a:2:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"themes/luxestate/assets/includes/skins-menu/skins_menu.js\";s:7:\"version\";s:3:\"1.x\";s:8:\"minified\";b:0;}i:1;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"themes/luxestate/assets/js/jquery.cookie.js\";s:7:\"version\";s:3:\"1.x\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:3:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:19:\"core/drupalSettings\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}}s:5:\"views\";a:2:{s:12:\"views.module\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/themes/stable/css/views/views.module.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:10:\"views.ajax\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:2:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:29:\"core/modules/views/js/base.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:1;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:34:\"core/modules/views/js/ajax_view.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:6:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:19:\"core/drupalSettings\";i:3;s:16:\"core/jquery.once\";i:4;s:16:\"core/jquery.form\";i:5;s:16:\"core/drupal.ajax\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}}s:8:\"colorbox\";a:11:{s:8:\"colorbox\";a:6:{s:6:\"remote\";s:36:\"http://github.com/jackmoore/colorbox\";s:7:\"version\";s:6:\"8.9.19\";s:7:\"license\";a:2:{s:4:\"name\";s:3:\"MIT\";s:14:\"gpl-compatible\";b:0;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"libraries/colorbox/jquery.colorbox-min.js\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:2:{i:0;s:11:\"core/jquery\";i:1;s:16:\"core/jquery.once\";}s:3:\"css\";a:0:{}}s:12:\"colorbox-dev\";a:6:{s:6:\"remote\";s:36:\"http://github.com/jackmoore/colorbox\";s:7:\"version\";s:6:\"8.9.19\";s:7:\"license\";a:2:{s:4:\"name\";s:3:\"MIT\";s:14:\"gpl-compatible\";b:0;}s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:37:\"libraries/colorbox/jquery.colorbox.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:2:{i:0;s:11:\"core/jquery\";i:1;s:16:\"core/jquery.once\";}s:3:\"css\";a:0:{}}s:4:\"init\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:31:\"modules/colorbox/js/colorbox.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:2:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:5:\"plain\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"modules/colorbox/styles/plain/colorbox_style.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"modules/colorbox/styles/plain/colorbox_style.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:1:{i:0;s:13:\"colorbox/init\";}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:17:\"stockholmsyndrome\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:59:\"modules/colorbox/styles/stockholmsyndrome/colorbox_style.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:60:\"modules/colorbox/styles/stockholmsyndrome/colorbox_style.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:1:{i:0;s:13:\"colorbox/init\";}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:7:\"default\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"modules/colorbox/styles/default/colorbox_style.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:50:\"modules/colorbox/styles/default/colorbox_style.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:1:{i:0;s:13:\"colorbox/init\";}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:8:\"example1\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:40:\"libraries/colorbox/example1/colorbox.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:1:{i:0;s:13:\"colorbox/init\";}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:8:\"example2\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:40:\"libraries/colorbox/example2/colorbox.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:1:{i:0;s:13:\"colorbox/init\";}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:8:\"example3\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:40:\"libraries/colorbox/example3/colorbox.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:1:{i:0;s:13:\"colorbox/init\";}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:8:\"example4\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:40:\"libraries/colorbox/example4/colorbox.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:1:{i:0;s:13:\"colorbox/init\";}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:8:\"example5\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:40:\"libraries/colorbox/example5/colorbox.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:1:{i:0;s:13:\"colorbox/init\";}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}}s:11:\"we_megamenu\";a:2:{s:25:\"form.we-mega-menu-backend\";a:5:{s:7:\"version\";N;s:3:\"css\";a:5:{i:0;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:67:\"modules/we_megamenu/assets/includes/bootstrap/css/bootstrap.min.css\";s:7:\"version\";i:-1;}i:1;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"modules/we_megamenu/assets/includes/jquery-ui.css\";s:7:\"version\";i:-1;}i:2;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"modules/we_megamenu/assets/includes/animate.css\";s:7:\"version\";i:-1;}i:3;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"modules/we_megamenu/assets/includes/chosen/chosen.css\";s:7:\"version\";i:-1;}i:4;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"modules/we_megamenu/assets/css/we_megamenu_backend.css\";s:7:\"version\";i:-1;}}s:2:\"js\";a:6:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:65:\"modules/we_megamenu/assets/includes/bootstrap/js/bootstrap.min.js\";s:7:\"version\";i:-1;s:8:\"minified\";b:0;}i:1;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:42:\"modules/we_megamenu/assets/js/jquery-ui.js\";s:7:\"version\";i:-1;s:8:\"minified\";b:0;}i:2;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:76:\"modules/we_megamenu/assets/includes/bootstrap-notify/bootstrap-notify.min.js\";s:7:\"version\";i:-1;s:8:\"minified\";b:0;}i:3;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:59:\"modules/we_megamenu/assets/includes/chosen/chosen.jquery.js\";s:7:\"version\";i:-1;s:8:\"minified\";b:0;}i:4;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"modules/we_megamenu/assets/js/we_megamenu.icon.js\";s:7:\"version\";i:-1;s:8:\"minified\";b:0;}i:5;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:44:\"modules/we_megamenu/assets/js/we_megamenu.js\";s:7:\"version\";i:-1;s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:4:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:19:\"core/drupalSettings\";i:3;s:16:\"core/jquery.once\";}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:26:\"form.we-mega-menu-frontend\";a:5:{s:7:\"version\";d:1;s:3:\"css\";a:2:{i:0;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:67:\"modules/we_megamenu/assets/includes/bootstrap/css/bootstrap.min.css\";s:7:\"version\";d:1;}i:1;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"modules/we_megamenu/assets/css/we_megamenu_backend.css\";s:7:\"version\";d:1;}}s:2:\"js\";a:2:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"modules/we_megamenu/assets/js/we_mobile_menu.js\";s:7:\"version\";d:1;s:8:\"minified\";b:0;}i:1;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"modules/we_megamenu/assets/js/we_megamenu_frontend.js\";s:7:\"version\";d:1;s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:4:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:19:\"core/drupalSettings\";i:3;s:16:\"core/jquery.once\";}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}}s:7:\"toolbar\";a:3:{s:7:\"toolbar\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:7:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:34:\"core/modules/toolbar/js/toolbar.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:1;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/modules/toolbar/js/models/MenuModel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:2;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/modules/toolbar/js/models/ToolbarModel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:3;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/modules/toolbar/js/views/BodyVisualView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:4;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/modules/toolbar/js/views/MenuVisualView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:5;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/modules/toolbar/js/views/ToolbarAuralView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:6;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:50:\"core/modules/toolbar/js/views/ToolbarVisualView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:3:\"css\";a:3:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/themes/stable/css/toolbar/toolbar.module.css\";s:7:\"version\";s:6:\"8.9.19\";}i:1;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/stable/css/toolbar/toolbar.theme.css\";s:7:\"version\";s:6:\"8.9.19\";}i:2;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/themes/stable/css/toolbar/toolbar.icons.theme.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:12:{i:0;s:14:\"core/modernizr\";i:1;s:11:\"core/jquery\";i:2;s:11:\"core/drupal\";i:3;s:19:\"core/drupalSettings\";i:4;s:16:\"core/drupal.ajax\";i:5;s:20:\"core/drupal.announce\";i:6;s:13:\"core/backbone\";i:7;s:15:\"core/matchmedia\";i:8;s:27:\"core/matchmedia.addListener\";i:9;s:16:\"core/jquery.once\";i:10;s:20:\"core/drupal.displace\";i:11;s:20:\"toolbar/toolbar.menu\";}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:12:\"toolbar.menu\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:39:\"core/modules/toolbar/js/toolbar.menu.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:100;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/stable/css/toolbar/toolbar.menu.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:3:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:16:\"core/jquery.once\";}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:19:\"toolbar.escapeAdmin\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:38:\"core/modules/toolbar/js/escapeAdmin.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:4:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:19:\"core/drupalSettings\";i:3;s:16:\"core/jquery.once\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}}s:20:\"admin_toolbar_search\";a:1:{s:6:\"search\";a:4:{s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:71:\"modules/admin_toolbar/admin_toolbar_search/css/admin.toolbar_search.css\";s:7:\"version\";i:-1;}}s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:69:\"modules/admin_toolbar/admin_toolbar_search/js/admin_toolbar_search.js\";s:7:\"version\";i:-1;s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:4:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:16:\"core/jquery.once\";i:3;s:27:\"core/jquery.ui.autocomplete\";}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}}s:4:\"user\";a:4:{s:11:\"drupal.user\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:3:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:25:\"core/modules/user/user.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:1;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:31:\"core/modules/user/user.theme.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:2;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:35:\"core/themes/stable/js/user.theme.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:3:\"css\";a:2:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/themes/stable/css/user/user.module.css\";s:7:\"version\";s:6:\"8.9.19\";}i:1;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:42:\"core/themes/classy/css/components/user.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:3:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:16:\"core/jquery.once\";}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:17:\"drupal.user.admin\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:42:\"core/themes/stable/css/user/user.admin.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:23:\"drupal.user.permissions\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:37:\"core/modules/user/user.permissions.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:5:{i:0;s:11:\"core/jquery\";i:1;s:16:\"core/jquery.once\";i:2;s:11:\"core/drupal\";i:3;s:19:\"core/drupalSettings\";i:4;s:22:\"user/drupal.user.admin\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:17:\"drupal.user.icons\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/stable/css/user/user.icons.admin.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}}s:4:\"tour\";a:2:{s:4:\"tour\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:28:\"core/modules/tour/js/tour.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:6:{i:0;s:11:\"core/jquery\";i:1;s:16:\"core/jquery.once\";i:2;s:11:\"core/drupal\";i:3;s:13:\"core/backbone\";i:4;s:19:\"core/jquery.joyride\";i:5;s:17:\"tour/tour-styling\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:12:\"tour-styling\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:6:{s:5:\"media\";s:6:\"screen\";s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/themes/stable/css/tour/tour.module.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}}s:19:\"admin_toolbar_tools\";a:1:{s:12:\"toolbar.icon\";a:4:{s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"modules/admin_toolbar/admin_toolbar_tools/css/tools.css\";s:7:\"version\";i:-1;}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}}s:8:\"shortcut\";a:1:{s:15:\"drupal.shortcut\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:2:{i:0;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:50:\"core/themes/stable/css/shortcut/shortcut.theme.css\";s:7:\"version\";s:6:\"8.9.19\";}i:1;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/themes/stable/css/shortcut/shortcut.icons.theme.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}}s:13:\"admin_toolbar\";a:1:{s:12:\"toolbar.tree\";a:4:{s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"modules/admin_toolbar/css/admin.toolbar.css\";s:7:\"version\";i:-1;}}s:2:\"js\";a:2:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"modules/admin_toolbar/js/jquery.hoverIntent.js\";s:7:\"version\";i:-1;s:8:\"minified\";b:0;}i:1;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"modules/admin_toolbar/js/admin_toolbar.js\";s:7:\"version\";i:-1;s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:2:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}}s:8:\"ckeditor\";a:7:{s:15:\"drupal.ckeditor\";a:6:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:2:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:36:\"core/modules/ckeditor/js/ckeditor.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:1;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/modules/ckeditor/js/ckeditor.off-canvas-css-reset.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:100;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:44:\"core/themes/stable/css/ckeditor/ckeditor.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:8:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:19:\"core/drupalSettings\";i:3;s:20:\"core/drupal.debounce\";i:4;s:20:\"core/drupal.displace\";i:5;s:13:\"core/ckeditor\";i:6;s:20:\"editor/drupal.editor\";i:7;s:15:\"core/matchmedia\";}s:14:\"drupalSettings\";a:1:{s:8:\"ckeditor\";a:1:{s:9:\"timestamp\";s:6:\"r21ec5\";}}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:42:\"drupal.ckeditor.plugins.drupalimagecaption\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:90:\"core/themes/stable/css/ckeditor/plugins/drupalimagecaption/ckeditor.drupalimagecaption.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:1:{i:0;s:14:\"filter/caption\";}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:32:\"drupal.ckeditor.plugins.language\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:70:\"core/themes/stable/css/ckeditor/plugins/language/ckeditor.language.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:21:\"drupal.ckeditor.admin\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:6:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:42:\"core/modules/ckeditor/js/ckeditor.admin.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:1;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:40:\"core/modules/ckeditor/js/models/Model.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:2;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/modules/ckeditor/js/views/AuralView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:3;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/modules/ckeditor/js/views/KeyboardView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:4;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/modules/ckeditor/js/views/ControllerView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:5;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:44:\"core/modules/ckeditor/js/views/VisualView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:3:\"css\";a:2:{i:0;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/assets/vendor/ckeditor/skins/moono-lisa/editor.css\";s:7:\"version\";s:6:\"8.9.19\";}i:1;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:50:\"core/themes/stable/css/ckeditor/ckeditor.admin.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:11:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:19:\"core/drupalSettings\";i:3;s:16:\"core/jquery.once\";i:4;s:13:\"core/backbone\";i:5;s:18:\"core/drupal.dialog\";i:6;s:20:\"core/drupal.announce\";i:7;s:13:\"core/ckeditor\";i:8;s:13:\"core/sortable\";i:9;s:26:\"editor/drupal.editor.admin\";i:10;s:25:\"core/drupal.vertical-tabs\";}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:33:\"drupal.ckeditor.drupalimage.admin\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/modules/ckeditor/js/ckeditor.drupalimage.admin.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:5:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:16:\"core/jquery.once\";i:3;s:25:\"core/drupal.vertical-tabs\";i:4;s:19:\"core/drupalSettings\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:33:\"drupal.ckeditor.stylescombo.admin\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/modules/ckeditor/js/ckeditor.stylescombo.admin.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:5:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:25:\"core/drupal.vertical-tabs\";i:3;s:19:\"core/drupalSettings\";i:4;s:30:\"ckeditor/drupal.ckeditor.admin\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:30:\"drupal.ckeditor.language.admin\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:51:\"core/modules/ckeditor/js/ckeditor.language.admin.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:3:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:25:\"core/drupal.vertical-tabs\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}}s:6:\"editor\";a:4:{s:19:\"drupal.editor.admin\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:38:\"core/modules/editor/js/editor.admin.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:3:{i:0;s:11:\"core/jquery\";i:1;s:16:\"core/jquery.once\";i:2;s:11:\"core/drupal\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:13:\"drupal.editor\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:32:\"core/modules/editor/js/editor.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:5:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:19:\"core/drupalSettings\";i:3;s:16:\"core/jquery.once\";i:4;s:18:\"core/drupal.dialog\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:20:\"drupal.editor.dialog\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:39:\"core/modules/editor/js/editor.dialog.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:4:{i:0;s:11:\"core/jquery\";i:1;s:18:\"core/drupal.dialog\";i:2;s:16:\"core/drupal.ajax\";i:3;s:19:\"core/drupalSettings\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:37:\"quickedit.inPlaceEditor.formattedText\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:6:{s:10:\"attributes\";a:1:{s:5:\"defer\";b:1;}s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/modules/editor/js/editor.formattedTextEditor.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:4:{i:0;s:19:\"quickedit/quickedit\";i:1;s:20:\"editor/drupal.editor\";i:2;s:16:\"core/drupal.ajax\";i:3;s:19:\"core/drupalSettings\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}}s:6:\"filter\";a:4:{s:19:\"drupal.filter.admin\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:35:\"core/modules/filter/filter.admin.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:4:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:16:\"core/jquery.once\";i:3;s:16:\"core/drupal.form\";}s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/themes/stable/css/filter/filter.admin.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:31:\"drupal.filter.filter_html.admin\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/modules/filter/filter.filter_html.admin.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:3:{i:0;s:11:\"core/jquery\";i:1;s:16:\"core/jquery.once\";i:2;s:15:\"core/underscore\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:13:\"drupal.filter\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:29:\"core/modules/filter/filter.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:3:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:16:\"core/jquery.once\";}s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/themes/stable/css/filter/filter.admin.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:7:\"caption\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/stable/css/filter/filter.caption.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}}}',-1,1636012255.623,1,'library_info','0'),('library_info:seven','a:18:{s:5:\"seven\";a:28:{s:14:\"global-styling\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:34:{i:0;a:5:{s:6:\"weight\";i:-200;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:39:\"core/themes/seven/css/base/elements.css\";s:7:\"version\";s:6:\"8.9.19\";}i:1;a:5:{s:6:\"weight\";i:-200;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"core/themes/seven/css/base/typography.css\";s:7:\"version\";s:6:\"8.9.19\";}i:2;a:5:{s:6:\"weight\";i:-200;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:36:\"core/themes/seven/css/base/print.css\";s:7:\"version\";s:6:\"8.9.19\";}i:3;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/seven/css/components/admin-list.css\";s:7:\"version\";s:6:\"8.9.19\";}i:4;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:51:\"core/themes/seven/css/components/content-header.css\";s:7:\"version\";s:6:\"8.9.19\";}i:5;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/themes/seven/css/components/container-inline.css\";s:7:\"version\";s:6:\"8.9.19\";}i:6;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:60:\"core/themes/seven/css/components/container-inline.module.css\";s:7:\"version\";s:6:\"8.9.19\";}i:7;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/seven/css/components/breadcrumb.css\";s:7:\"version\";s:6:\"8.9.19\";}i:8;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:44:\"core/themes/seven/css/components/buttons.css\";s:7:\"version\";s:6:\"8.9.19\";}i:9;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:44:\"core/themes/seven/css/components/details.css\";s:7:\"version\";s:6:\"8.9.19\";}i:10;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/themes/seven/css/components/messages.css\";s:7:\"version\";s:6:\"8.9.19\";}i:11;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/themes/seven/css/components/dropbutton.component.css\";s:7:\"version\";s:6:\"8.9.19\";}i:12;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/seven/css/components/entity-meta.css\";s:7:\"version\";s:6:\"8.9.19\";}i:13;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/themes/seven/css/components/field-ui.css\";s:7:\"version\";s:6:\"8.9.19\";}i:14;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"core/themes/seven/css/components/form.css\";s:7:\"version\";s:6:\"8.9.19\";}i:15;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"core/themes/seven/css/components/help.css\";s:7:\"version\";s:6:\"8.9.19\";}i:16;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/themes/seven/css/components/menus-and-lists.css\";s:7:\"version\";s:6:\"8.9.19\";}i:17;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/themes/seven/css/components/modules-page.css\";s:7:\"version\";s:6:\"8.9.19\";}i:18;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"core/themes/seven/css/components/node.css\";s:7:\"version\";s:6:\"8.9.19\";}i:19;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/seven/css/components/page-title.css\";s:7:\"version\";s:6:\"8.9.19\";}i:20;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:42:\"core/themes/seven/css/components/pager.css\";s:7:\"version\";s:6:\"8.9.19\";}i:21;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:42:\"core/themes/seven/css/components/panel.css\";s:7:\"version\";s:6:\"8.9.19\";}i:22;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/themes/seven/css/components/skip-link.css\";s:7:\"version\";s:6:\"8.9.19\";}i:23;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/themes/seven/css/components/tables.css\";s:7:\"version\";s:6:\"8.9.19\";}i:24;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/themes/seven/css/components/search-admin-settings.css\";s:7:\"version\";s:6:\"8.9.19\";}i:25;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/themes/seven/css/components/tablesort-indicator.css\";s:7:\"version\";s:6:\"8.9.19\";}i:26;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:70:\"core/themes/seven/css/components/system-status-report-general-info.css\";s:7:\"version\";s:6:\"8.9.19\";}i:27;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/themes/seven/css/components/system-status-report.css\";s:7:\"version\";s:6:\"8.9.19\";}i:28;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:66:\"core/themes/seven/css/components/system-status-report-counters.css\";s:7:\"version\";s:6:\"8.9.19\";}i:29;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/themes/seven/css/components/system-status-counter.css\";s:7:\"version\";s:6:\"8.9.19\";}i:30;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"core/themes/seven/css/components/tabs.css\";s:7:\"version\";s:6:\"8.9.19\";}i:31;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/themes/seven/css/components/views-ui.css\";s:7:\"version\";s:6:\"8.9.19\";}i:32;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:38:\"core/themes/seven/css/theme/colors.css\";s:7:\"version\";s:6:\"8.9.19\";}i:33;a:5:{s:6:\"weight\";i:-100;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:39:\"core/themes/seven/css/layout/layout.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:1:{i:0;s:12:\"system/admin\";}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:9:\"node-form\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:-100;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"core/themes/seven/css/layout/node-add.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:1:{i:0;s:9:\"node/form\";}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:16:\"maintenance-page\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:38:\"core/themes/seven/js/mobile.install.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/seven/css/theme/maintenance-page.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:2:{i:0;s:18:\"system/maintenance\";i:1;s:20:\"seven/global-styling\";}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:13:\"update-report\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/themes/seven/css/theme/update-report.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:12:\"install-page\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:38:\"core/themes/seven/js/mobile.install.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:44:\"core/themes/seven/css/theme/install-page.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:1:{i:0;s:22:\"seven/maintenance-page\";}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:15:\"drupal.nav-tabs\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:32:\"core/themes/seven/js/nav-tabs.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:6:{i:0;s:15:\"core/matchmedia\";i:1;s:11:\"core/jquery\";i:2;s:11:\"core/drupal\";i:3;s:16:\"core/jquery.once\";i:4;s:20:\"core/drupal.debounce\";i:5;s:13:\"core/collapse\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:24:\"drupal.responsive-detail\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:42:\"core/themes/seven/js/responsive-details.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:5:{i:0;s:15:\"core/matchmedia\";i:1;s:27:\"core/matchmedia.addListener\";i:2;s:11:\"core/jquery\";i:3;s:16:\"core/jquery.once\";i:4;s:13:\"core/collapse\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:13:\"vertical-tabs\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:50:\"core/themes/seven/css/components/vertical-tabs.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:15:\"seven.jquery.ui\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:-1;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/themes/seven/css/components/jquery.ui/theme.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:19:\"seven.drupal.dialog\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/themes/seven/css/components/dialog.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:15:\"ckeditor-dialog\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/seven/css/theme/ckeditor-dialog.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:12:\"tour-styling\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/seven/css/components/tour.theme.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:10:\"media-form\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:-100;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:42:\"core/themes/seven/css/components/media.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:1:{i:0;s:10:\"media/form\";}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:13:\"media_library\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/themes/seven/css/theme/media-library.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:40:\"layout_builder_content_translation_admin\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:71:\"core/themes/seven/css/components/layout-builder-content-translation.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:22:\"classy.book-navigation\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:59:\"core/themes/seven/css/classy/components/book-navigation.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:17:\"classy.dropbutton\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/themes/seven/css/classy/components/dropbutton.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:11:\"classy.file\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/seven/css/classy/components/file.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:12:\"classy.forum\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/themes/seven/css/classy/components/forum.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:19:\"classy.image-widget\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/themes/seven/css/classy/components/image-widget.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:15:\"classy.indented\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/themes/seven/css/classy/components/indented.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:33:\"classy.media_embed_ckeditor_theme\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/themes/seven/js/classy/media_embed_ckeditor.theme.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:0:{}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:24:\"classy.media_embed_error\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:61:\"core/themes/seven/css/classy/components/media-embed-error.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:15:\"classy.messages\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/themes/seven/css/classy/components/messages.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:11:\"classy.node\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/seven/css/classy/components/node.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:15:\"classy.progress\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/themes/seven/css/classy/components/progress.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:21:\"classy.search-results\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/themes/seven/css/classy/components/search-results.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:11:\"classy.user\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/seven/css/classy/components/user.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}}s:6:\"stable\";a:2:{s:11:\"drupal.ajax\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:29:\"core/themes/stable/js/ajax.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:0:{}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:11:\"drupal.user\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:35:\"core/themes/stable/js/user.theme.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:0:{}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}}s:6:\"classy\";a:16:{s:4:\"base\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:22:{i:0;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/themes/seven/css/classy/components/action-links.css\";s:7:\"version\";s:6:\"8.9.19\";}i:1;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/themes/seven/css/classy/components/breadcrumb.css\";s:7:\"version\";s:6:\"8.9.19\";}i:2;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:50:\"core/themes/seven/css/classy/components/button.css\";s:7:\"version\";s:6:\"8.9.19\";}i:3;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:62:\"core/themes/seven/css/classy/components/collapse-processed.css\";s:7:\"version\";s:6:\"8.9.19\";}i:4;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:60:\"core/themes/seven/css/classy/components/container-inline.css\";s:7:\"version\";s:6:\"8.9.19\";}i:5;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:59:\"core/themes/seven/css/classy/components/exposed-filters.css\";s:7:\"version\";s:6:\"8.9.19\";}i:6;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/themes/seven/css/classy/components/field.css\";s:7:\"version\";s:6:\"8.9.19\";}i:7;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/seven/css/classy/components/form.css\";s:7:\"version\";s:6:\"8.9.19\";}i:8;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/themes/seven/css/classy/components/icons.css\";s:7:\"version\";s:6:\"8.9.19\";}i:9;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/themes/seven/css/classy/components/inline-form.css\";s:7:\"version\";s:6:\"8.9.19\";}i:10;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/themes/seven/css/classy/components/item-list.css\";s:7:\"version\";s:6:\"8.9.19\";}i:11;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/seven/css/classy/components/link.css\";s:7:\"version\";s:6:\"8.9.19\";}i:12;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/themes/seven/css/classy/components/links.css\";s:7:\"version\";s:6:\"8.9.19\";}i:13;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/seven/css/classy/components/menu.css\";s:7:\"version\";s:6:\"8.9.19\";}i:14;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/themes/seven/css/classy/components/more-link.css\";s:7:\"version\";s:6:\"8.9.19\";}i:15;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/themes/seven/css/classy/components/pager.css\";s:7:\"version\";s:6:\"8.9.19\";}i:16;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/themes/seven/css/classy/components/tabledrag.css\";s:7:\"version\";s:6:\"8.9.19\";}i:17;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/themes/seven/css/classy/components/tableselect.css\";s:7:\"version\";s:6:\"8.9.19\";}i:18;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/themes/seven/css/classy/components/tablesort.css\";s:7:\"version\";s:6:\"8.9.19\";}i:19;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/seven/css/classy/components/tabs.css\";s:7:\"version\";s:6:\"8.9.19\";}i:20;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/themes/seven/css/classy/components/textarea.css\";s:7:\"version\";s:6:\"8.9.19\";}i:21;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/themes/seven/css/classy/components/ui-dialog.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:15:\"book-navigation\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:59:\"core/themes/seven/css/classy/components/book-navigation.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:6:\"dialog\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/themes/seven/css/components/dialog.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:10:\"dropbutton\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/themes/seven/css/classy/components/dropbutton.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:4:\"file\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/seven/css/classy/components/file.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:5:\"forum\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/themes/seven/css/classy/components/forum.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:12:\"image-widget\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/themes/seven/css/classy/components/image-widget.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:8:\"indented\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/themes/seven/css/classy/components/indented.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:13:\"media_library\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:0:{}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:8:\"messages\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/themes/seven/css/classy/components/messages.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:4:\"node\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/seven/css/classy/components/node.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:8:\"progress\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/themes/seven/css/classy/components/progress.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:14:\"search-results\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/themes/seven/css/classy/components/search-results.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:4:\"user\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/seven/css/classy/components/user.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:17:\"media_embed_error\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:61:\"core/themes/seven/css/classy/components/media-embed-error.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:26:\"media_embed_ckeditor_theme\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/themes/seven/js/classy/media_embed_ckeditor.theme.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:0:{}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}}s:4:\"core\";a:90:{s:8:\"backbone\";a:6:{s:6:\"remote\";s:37:\"https://github.com/jashkenas/backbone\";s:7:\"version\";s:5:\"1.4.0\";s:7:\"license\";a:3:{s:4:\"name\";s:3:\"MIT\";s:3:\"url\";s:56:\"https://github.com/jashkenas/backbone/blob/1.4.0/LICENSE\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:6:{s:6:\"weight\";i:-19;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/assets/vendor/backbone/backbone-min.js\";s:7:\"version\";s:5:\"1.4.0\";}}s:12:\"dependencies\";a:1:{i:0;s:15:\"core/underscore\";}s:3:\"css\";a:0:{}}s:9:\"classList\";a:7:{s:6:\"remote\";s:39:\"https://github.com/eligrey/classList.js\";s:7:\"version\";s:10:\"2014-12-13\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:66:\"https://github.com/eligrey/classList.js/blob/2014-12-13/LICENSE.md\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:7:{s:6:\"weight\";i:-21;s:8:\"browsers\";a:2:{s:2:\"IE\";s:8:\"lte IE 9\";s:3:\"!IE\";b:0;}s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/classList/classList.min.js\";s:7:\"version\";s:10:\"2014-12-13\";}}s:10:\"deprecated\";s:183:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. Use the native browser implementation instead. See https://www.drupal.org/node/3089511\";s:12:\"dependencies\";a:0:{}s:3:\"css\";a:0:{}}s:8:\"ckeditor\";a:6:{s:6:\"remote\";s:40:\"https://github.com/ckeditor/ckeditor-dev\";s:7:\"version\";s:6:\"8.9.19\";s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:6:{s:10:\"preprocess\";b:0;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:39:\"core/assets/vendor/ckeditor/ckeditor.js\";s:7:\"version\";s:6:\"4.16.2\";}}s:12:\"dependencies\";a:0:{}s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/seven/css/theme/ckeditor-dialog.css\";s:7:\"version\";s:6:\"8.9.19\";}}}s:8:\"domready\";a:7:{s:6:\"remote\";s:31:\"https://github.com/ded/domready\";s:7:\"version\";s:5:\"1.0.8\";s:7:\"license\";a:3:{s:4:\"name\";s:3:\"MIT\";s:3:\"url\";s:51:\"https://github.com/ded/domready/blob/v1.0.8/LICENSE\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:6:{s:6:\"weight\";i:-21;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:40:\"core/assets/vendor/domready/ready.min.js\";s:7:\"version\";s:5:\"1.0.8\";}}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3086669\";s:12:\"dependencies\";a:0:{}s:3:\"css\";a:0:{}}s:6:\"drupal\";a:6:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:2:{i:0;a:6:{s:6:\"weight\";i:-18;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:19:\"core/misc/drupal.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:1;a:6:{s:6:\"weight\";i:-17;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:24:\"core/misc/drupal.init.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:2:{i:0;s:19:\"core/drupalSettings\";i:1;s:19:\"locale/translations\";}s:14:\"drupalSettings\";a:1:{s:25:\"suppressDeprecationErrors\";b:1;}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:14:\"drupalSettings\";a:6:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:6:{s:6:\"weight\";i:-18;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:33:\"core/misc/drupalSettingsLoader.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:14:\"drupalSettings\";a:2:{s:4:\"path\";a:7:{s:7:\"baseUrl\";N;s:10:\"scriptPath\";N;s:10:\"pathPrefix\";N;s:11:\"currentPath\";N;s:18:\"currentPathIsAdmin\";N;s:7:\"isFront\";N;s:15:\"currentLanguage\";N;}s:15:\"pluralDelimiter\";N;}s:12:\"dependencies\";a:0:{}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:18:\"drupal.active-link\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:24:\"core/misc/active-link.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:3:{i:0;s:11:\"core/drupal\";i:1;s:19:\"core/drupalSettings\";i:2;s:14:\"core/classList\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:11:\"drupal.ajax\";a:6:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:2:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:17:\"core/misc/ajax.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:1;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:29:\"core/themes/stable/js/ajax.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:14:\"drupalSettings\";a:2:{s:13:\"ajaxPageState\";a:3:{s:9:\"libraries\";N;s:5:\"theme\";N;s:11:\"theme_token\";N;}s:14:\"ajaxTrustedUrl\";a:0:{}}s:12:\"dependencies\";a:6:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:19:\"core/drupalSettings\";i:3;s:20:\"core/drupal.progress\";i:4;s:16:\"core/jquery.once\";i:5;s:21:\"responsive_image/ajax\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:15:\"drupal.announce\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:21:\"core/misc/announce.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:2:{i:0;s:11:\"core/drupal\";i:1;s:20:\"core/drupal.debounce\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:19:\"drupal.autocomplete\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:6:{s:6:\"weight\";i:-1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:25:\"core/misc/autocomplete.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:5:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:19:\"core/drupalSettings\";i:3;s:16:\"core/drupal.ajax\";i:4;s:27:\"core/jquery.ui.autocomplete\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:12:\"drupal.batch\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:6:{s:5:\"cache\";b:0;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:18:\"core/misc/batch.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:6:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:19:\"core/drupalSettings\";i:3;s:16:\"core/drupal.ajax\";i:4;s:20:\"core/drupal.progress\";i:5;s:16:\"core/jquery.once\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:15:\"drupal.checkbox\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:21:\"core/misc/checkbox.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:1:{i:0;s:11:\"core/drupal\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:15:\"drupal.collapse\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:2:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:25:\"core/misc/details-aria.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:1;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:21:\"core/misc/collapse.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:5:{i:0;s:11:\"core/jquery\";i:1;s:14:\"core/modernizr\";i:2;s:11:\"core/drupal\";i:3;s:16:\"core/drupal.form\";i:4;s:16:\"core/jquery.once\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:11:\"drupal.date\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:17:\"core/misc/date.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:4:{i:0;s:11:\"core/drupal\";i:1;s:14:\"core/modernizr\";i:2;s:16:\"core/jquery.once\";i:3;s:25:\"core/jquery.ui.datepicker\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:15:\"drupal.debounce\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:21:\"core/misc/debounce.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:1:{i:0;s:11:\"core/drupal\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:13:\"drupal.dialog\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:3:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:26:\"core/misc/dialog/dialog.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:1;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:35:\"core/misc/dialog/dialog.position.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:2;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:36:\"core/misc/dialog/dialog.jquery-ui.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:6:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:19:\"core/drupalSettings\";i:3;s:20:\"core/drupal.debounce\";i:4;s:20:\"core/drupal.displace\";i:5;s:21:\"core/jquery.ui.dialog\";}s:3:\"css\";a:2:{i:0;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/themes/seven/css/components/dialog.css\";s:7:\"version\";s:6:\"8.9.19\";}i:1;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/themes/seven/css/components/dialog.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:18:\"drupal.dialog.ajax\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:31:\"core/misc/dialog/dialog.ajax.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:5:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:19:\"core/drupalSettings\";i:3;s:16:\"core/drupal.ajax\";i:4;s:18:\"core/drupal.dialog\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:15:\"drupal.displace\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:21:\"core/misc/displace.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:3:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:20:\"core/drupal.debounce\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:17:\"drupal.dropbutton\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:34:\"core/misc/dropbutton/dropbutton.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:3:\"css\";a:3:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/themes/stable/css/core/dropbutton/dropbutton.css\";s:7:\"version\";s:6:\"8.9.19\";}i:1;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/themes/seven/css/classy/components/dropbutton.css\";s:7:\"version\";s:6:\"8.9.19\";}i:2;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/themes/seven/css/classy/components/dropbutton.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:4:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:19:\"core/drupalSettings\";i:3;s:16:\"core/jquery.once\";}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:18:\"drupal.entity-form\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:24:\"core/misc/entity-form.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:1:{i:0;s:16:\"core/drupal.form\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:11:\"drupal.form\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:17:\"core/misc/form.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:4:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:20:\"core/drupal.debounce\";i:3;s:16:\"core/jquery.once\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:19:\"drupal.machine-name\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:25:\"core/misc/machine-name.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:5:{i:0;s:11:\"core/jquery\";i:1;s:16:\"core/jquery.once\";i:2;s:11:\"core/drupal\";i:3;s:19:\"core/drupalSettings\";i:4;s:16:\"core/drupal.form\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:14:\"drupal.message\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:20:\"core/misc/message.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:2:{i:0;s:11:\"core/drupal\";i:1;s:20:\"core/drupal.announce\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:20:\"drupal.object.assign\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:6:{s:6:\"weight\";i:-20;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:36:\"core/misc/polyfills/object.assign.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:0:{}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:15:\"drupal.progress\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:21:\"core/misc/progress.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:3:{i:0;s:11:\"core/drupal\";i:1;s:11:\"core/jquery\";i:2;s:19:\"core/drupalSettings\";}s:3:\"css\";a:2:{i:0;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/themes/seven/css/classy/components/progress.css\";s:7:\"version\";s:6:\"8.9.19\";}i:1;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/themes/seven/css/classy/components/progress.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:13:\"drupal.states\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:19:\"core/misc/states.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:4:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:19:\"core/drupalSettings\";i:3;s:16:\"core/jquery.once\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:21:\"drupal.tabbingmanager\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:27:\"core/misc/tabbingmanager.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:3:{i:0;s:11:\"core/jquery\";i:1;s:14:\"core/jquery.ui\";i:2;s:11:\"core/drupal\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:16:\"drupal.tabledrag\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:6:{s:6:\"weight\";i:-1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:22:\"core/misc/tabledrag.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:4:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:19:\"core/drupalSettings\";i:3;s:16:\"core/jquery.once\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:18:\"drupal.tableheader\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:24:\"core/misc/tableheader.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:5:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:19:\"core/drupalSettings\";i:3;s:16:\"core/jquery.once\";i:4;s:20:\"core/drupal.displace\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:22:\"drupal.tableresponsive\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:28:\"core/misc/tableresponsive.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:3:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:16:\"core/jquery.once\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:18:\"drupal.tableselect\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:24:\"core/misc/tableselect.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:4:{i:0;s:11:\"core/drupal\";i:1;s:20:\"core/drupal.checkbox\";i:2;s:11:\"core/jquery\";i:3;s:16:\"core/jquery.once\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:15:\"drupal.timezone\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:21:\"core/misc/timezone.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:3:{i:0;s:11:\"core/jquery\";i:1;s:16:\"core/jquery.once\";i:2;s:11:\"core/drupal\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:20:\"drupal.vertical-tabs\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:6:{s:6:\"weight\";i:-1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:26:\"core/misc/vertical-tabs.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:50:\"core/themes/seven/css/components/vertical-tabs.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:6:{i:0;s:11:\"core/jquery\";i:1;s:16:\"core/jquery.once\";i:2;s:11:\"core/drupal\";i:3;s:19:\"core/drupalSettings\";i:4;s:16:\"core/drupal.form\";i:5;s:15:\"core/matchmedia\";}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:9:\"html5shiv\";a:8:{s:6:\"header\";b:1;s:6:\"remote\";s:36:\"https://github.com/aFarkas/html5shiv\";s:7:\"version\";s:5:\"3.7.3\";s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:40:\"http://www.gnu.org/licenses/gpl-2.0.html\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:7:{s:6:\"weight\";i:-22;s:8:\"browsers\";a:2:{s:2:\"IE\";s:8:\"lte IE 8\";s:3:\"!IE\";b:0;}s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/html5shiv/html5shiv.min.js\";s:7:\"version\";s:5:\"3.7.3\";}}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3086383\";s:12:\"dependencies\";a:0:{}s:3:\"css\";a:0:{}}s:6:\"jquery\";a:6:{s:6:\"remote\";s:32:\"https://github.com/jquery/jquery\";s:7:\"version\";s:5:\"3.5.1\";s:7:\"license\";a:3:{s:4:\"name\";s:3:\"MIT\";s:3:\"url\";s:55:\"https://github.com/jquery/jquery/blob/3.5.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:6:{s:8:\"minified\";b:1;s:6:\"weight\";i:-20;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:39:\"core/assets/vendor/jquery/jquery.min.js\";s:7:\"version\";s:5:\"3.5.1\";}}s:12:\"dependencies\";a:0:{}s:3:\"css\";a:0:{}}s:13:\"jquery.cookie\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:31:\"core/misc/jquery.cookie.shim.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:4:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:14:\"core/js-cookie\";i:3;s:25:\"core/drupal.object.assign\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:17:\"jquery.farbtastic\";a:6:{s:6:\"remote\";s:40:\"https://github.com/mattfarina/farbtastic\";s:7:\"version\";s:3:\"1.2\";s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:64:\"https://github.com/mattfarina/farbtastic/blob/master/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/assets/vendor/farbtastic/farbtastic.js\";s:7:\"version\";s:3:\"1.2\";}}s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:44:\"core/assets/vendor/farbtastic/farbtastic.css\";s:7:\"version\";s:3:\"1.2\";}}s:12:\"dependencies\";a:1:{i:0;s:11:\"core/jquery\";}}s:11:\"jquery.form\";a:6:{s:6:\"remote\";s:35:\"https://github.com/jquery-form/form\";s:7:\"version\";s:4:\"4.22\";s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:72:\"https://raw.githubusercontent.com/jquery-form/form/master/LICENSE-LGPLv3\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/assets/vendor/jquery-form/jquery.form.min.js\";s:7:\"version\";s:4:\"4.22\";}}s:12:\"dependencies\";a:1:{i:0;s:11:\"core/jquery\";}s:3:\"css\";a:0:{}}s:14:\"jquery.joyride\";a:6:{s:6:\"remote\";s:31:\"https://github.com/zurb/joyride\";s:7:\"version\";s:7:\"2.1.0.1\";s:7:\"license\";a:3:{s:4:\"name\";s:3:\"MIT\";s:3:\"url\";s:59:\"https://github.com/zurb/joyride/blob/v2.1.0/README.markdown\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/assets/vendor/jquery-joyride/jquery.joyride-2.1.js\";s:7:\"version\";s:7:\"2.1.0.1\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:1:{i:0;s:11:\"core/jquery\";}s:3:\"css\";a:0:{}}s:11:\"jquery.once\";a:6:{s:6:\"remote\";s:39:\"https://github.com/RobLoach/jquery-once\";s:7:\"version\";s:5:\"2.2.3\";s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:61:\"https://github.com/RobLoach/jquery-once/blob/2.2.3/LICENSE.md\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:6:{s:6:\"weight\";i:-19;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/assets/vendor/jquery-once/jquery.once.min.js\";s:7:\"version\";s:5:\"2.2.3\";}}s:12:\"dependencies\";a:1:{i:0;s:11:\"core/jquery\";}s:3:\"css\";a:0:{}}s:9:\"jquery.ui\";a:6:{s:6:\"remote\";s:35:\"https://github.com/jquery/jquery-ui\";s:7:\"version\";s:6:\"8.9.19\";s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:16:{i:0;a:6:{s:6:\"weight\";i:-11;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/assets/vendor/jquery.ui/ui/data-min.js\";s:7:\"version\";s:6:\"1.12.1\";}i:1;a:6:{s:6:\"weight\";i:-11;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/assets/vendor/jquery.ui/ui/disable-selection-min.js\";s:7:\"version\";s:6:\"1.12.1\";}i:2;a:6:{s:6:\"weight\";i:-11;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/assets/vendor/jquery.ui/ui/form-min.js\";s:7:\"version\";s:6:\"1.12.1\";}i:3;a:6:{s:6:\"weight\";i:-11;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/jquery.ui/ui/labels-min.js\";s:7:\"version\";s:6:\"1.12.1\";}i:4;a:6:{s:6:\"weight\";i:-11;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/assets/vendor/jquery.ui/ui/jquery-1-7-min.js\";s:7:\"version\";s:6:\"1.12.1\";}i:5;a:6:{s:6:\"weight\";i:-11;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/assets/vendor/jquery.ui/ui/scroll-parent-min.js\";s:7:\"version\";s:6:\"1.12.1\";}i:6;a:6:{s:6:\"weight\";i:-11;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/assets/vendor/jquery.ui/ui/tabbable-min.js\";s:7:\"version\";s:6:\"1.12.1\";}i:7;a:6:{s:6:\"weight\";i:-11;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/assets/vendor/jquery.ui/ui/unique-id-min.js\";s:7:\"version\";s:6:\"1.12.1\";}i:8;a:6:{s:6:\"weight\";i:-11;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/assets/vendor/jquery.ui/ui/version-min.js\";s:7:\"version\";s:6:\"1.12.1\";}i:9;a:6:{s:6:\"weight\";i:-11;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/assets/vendor/jquery.ui/ui/escape-selector-min.js\";s:7:\"version\";s:6:\"1.12.1\";}i:10;a:6:{s:6:\"weight\";i:-11;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/assets/vendor/jquery.ui/ui/focusable-min.js\";s:7:\"version\";s:6:\"1.12.1\";}i:11;a:6:{s:6:\"weight\";i:-11;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"core/assets/vendor/jquery.ui/ui/ie-min.js\";s:7:\"version\";s:6:\"1.12.1\";}i:12;a:6:{s:6:\"weight\";i:-11;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/assets/vendor/jquery.ui/ui/keycode-min.js\";s:7:\"version\";s:6:\"1.12.1\";}i:13;a:6:{s:6:\"weight\";i:-11;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/jquery.ui/ui/plugin-min.js\";s:7:\"version\";s:6:\"1.12.1\";}i:14;a:6:{s:6:\"weight\";i:-11;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/assets/vendor/jquery.ui/ui/safe-active-element-min.js\";s:7:\"version\";s:6:\"1.12.1\";}i:15;a:6:{s:6:\"weight\";i:-11;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/assets/vendor/jquery.ui/ui/safe-blur-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:3:\"css\";a:2:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/assets/vendor/jquery.ui/themes/base/core.css\";s:7:\"version\";s:6:\"1.12.1\";}i:1;a:5:{s:6:\"weight\";i:-1;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/themes/seven/css/components/jquery.ui/theme.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:1:{i:0;s:11:\"core/jquery\";}}s:19:\"jquery.ui.accordion\";a:6:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/assets/vendor/jquery.ui/ui/widgets/accordion-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/assets/vendor/jquery.ui/themes/base/accordion.css\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:2:{i:0;s:14:\"core/jquery.ui\";i:1;s:21:\"core/jquery.ui.widget\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3067969\";}s:22:\"jquery.ui.autocomplete\";a:5:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:59:\"core/assets/vendor/jquery.ui/ui/widgets/autocomplete-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/assets/vendor/jquery.ui/themes/base/autocomplete.css\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:4:{i:0;s:14:\"core/jquery.ui\";i:1;s:21:\"core/jquery.ui.widget\";i:2;s:23:\"core/jquery.ui.position\";i:3;s:19:\"core/jquery.ui.menu\";}}s:16:\"jquery.ui.button\";a:5:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/assets/vendor/jquery.ui/ui/widgets/button-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:51:\"core/assets/vendor/jquery.ui/themes/base/button.css\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:4:{i:0;s:14:\"core/jquery.ui\";i:1;s:21:\"core/jquery.ui.widget\";i:2;s:28:\"core/jquery.ui.checkboxradio\";i:3;s:27:\"core/jquery.ui.controlgroup\";}}s:23:\"jquery.ui.checkboxradio\";a:6:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:2:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/assets/vendor/jquery.ui/ui/form-reset-mixin-min.js\";s:7:\"version\";s:6:\"1.12.1\";}i:1;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:60:\"core/assets/vendor/jquery.ui/ui/widgets/checkboxradio-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:3:\"css\";a:2:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/assets/vendor/jquery.ui/themes/base/checkboxradio.css\";s:7:\"version\";s:6:\"1.12.1\";}i:1;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:51:\"core/assets/vendor/jquery.ui/themes/base/button.css\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:2:{i:0;s:14:\"core/jquery.ui\";i:1;s:21:\"core/jquery.ui.widget\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3067969\";}s:22:\"jquery.ui.controlgroup\";a:6:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:59:\"core/assets/vendor/jquery.ui/ui/widgets/controlgroup-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/assets/vendor/jquery.ui/themes/base/controlgroup.css\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:2:{i:0;s:14:\"core/jquery.ui\";i:1;s:21:\"core/jquery.ui.widget\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3067969\";}s:20:\"jquery.ui.datepicker\";a:7:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/assets/vendor/jquery.ui/ui/widgets/datepicker-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/assets/vendor/jquery.ui/themes/base/datepicker.css\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:2:{i:0;s:14:\"core/jquery.ui\";i:1;s:31:\"locale/drupal.locale.datepicker\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3081864\";s:14:\"drupalSettings\";a:1:{s:6:\"jquery\";a:1:{s:2:\"ui\";a:1:{s:10:\"datepicker\";a:2:{s:5:\"isRTL\";N;s:8:\"firstDay\";N;}}}}}s:16:\"jquery.ui.dialog\";a:5:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/assets/vendor/jquery.ui/ui/widgets/dialog-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:3:\"css\";a:0:{}s:12:\"dependencies\";a:7:{i:0;s:14:\"core/jquery.ui\";i:1;s:21:\"core/jquery.ui.widget\";i:2;s:21:\"core/jquery.ui.button\";i:3;s:24:\"core/jquery.ui.draggable\";i:4;s:20:\"core/jquery.ui.mouse\";i:5;s:23:\"core/jquery.ui.position\";i:6;s:24:\"core/jquery.ui.resizable\";}}s:19:\"jquery.ui.draggable\";a:5:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/assets/vendor/jquery.ui/ui/widgets/draggable-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:3:{i:0;s:14:\"core/jquery.ui\";i:1;s:20:\"core/jquery.ui.mouse\";i:2;s:21:\"core/jquery.ui.widget\";}s:3:\"css\";a:0:{}}s:19:\"jquery.ui.droppable\";a:6:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/assets/vendor/jquery.ui/ui/widgets/droppable-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:4:{i:0;s:14:\"core/jquery.ui\";i:1;s:21:\"core/jquery.ui.widget\";i:2;s:20:\"core/jquery.ui.mouse\";i:3;s:24:\"core/jquery.ui.draggable\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3067969\";s:3:\"css\";a:0:{}}s:22:\"jquery.ui.effects.core\";a:6:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:6:{s:6:\"weight\";i:-9;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/jquery.ui/ui/effect-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3067969\";s:12:\"dependencies\";a:0:{}s:3:\"css\";a:0:{}}s:23:\"jquery.ui.effects.blind\";a:6:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:59:\"core/assets/vendor/jquery.ui/ui/effects/effect-blind-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:1:{i:0;s:27:\"core/jquery.ui.effects.core\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3067969\";s:3:\"css\";a:0:{}}s:24:\"jquery.ui.effects.bounce\";a:6:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:60:\"core/assets/vendor/jquery.ui/ui/effects/effect-bounce-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:1:{i:0;s:27:\"core/jquery.ui.effects.core\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3067969\";s:3:\"css\";a:0:{}}s:22:\"jquery.ui.effects.clip\";a:6:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/assets/vendor/jquery.ui/ui/effects/effect-clip-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:1:{i:0;s:27:\"core/jquery.ui.effects.core\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3067969\";s:3:\"css\";a:0:{}}s:22:\"jquery.ui.effects.drop\";a:6:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/assets/vendor/jquery.ui/ui/effects/effect-drop-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:1:{i:0;s:27:\"core/jquery.ui.effects.core\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3067969\";s:3:\"css\";a:0:{}}s:25:\"jquery.ui.effects.explode\";a:6:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:61:\"core/assets/vendor/jquery.ui/ui/effects/effect-explode-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:1:{i:0;s:27:\"core/jquery.ui.effects.core\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3067969\";s:3:\"css\";a:0:{}}s:22:\"jquery.ui.effects.fade\";a:6:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/assets/vendor/jquery.ui/ui/effects/effect-fade-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:1:{i:0;s:27:\"core/jquery.ui.effects.core\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3067969\";s:3:\"css\";a:0:{}}s:22:\"jquery.ui.effects.fold\";a:6:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/assets/vendor/jquery.ui/ui/effects/effect-fold-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:1:{i:0;s:27:\"core/jquery.ui.effects.core\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3067969\";s:3:\"css\";a:0:{}}s:27:\"jquery.ui.effects.highlight\";a:6:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:63:\"core/assets/vendor/jquery.ui/ui/effects/effect-highlight-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:1:{i:0;s:27:\"core/jquery.ui.effects.core\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3067969\";s:3:\"css\";a:0:{}}s:22:\"jquery.ui.effects.puff\";a:6:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/assets/vendor/jquery.ui/ui/effects/effect-puff-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:2:{i:0;s:27:\"core/jquery.ui.effects.core\";i:1;s:28:\"core/jquery.ui.effects.scale\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3067969\";s:3:\"css\";a:0:{}}s:25:\"jquery.ui.effects.pulsate\";a:6:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:61:\"core/assets/vendor/jquery.ui/ui/effects/effect-pulsate-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:1:{i:0;s:27:\"core/jquery.ui.effects.core\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3067969\";s:3:\"css\";a:0:{}}s:23:\"jquery.ui.effects.scale\";a:6:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:59:\"core/assets/vendor/jquery.ui/ui/effects/effect-scale-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:2:{i:0;s:27:\"core/jquery.ui.effects.core\";i:1;s:27:\"core/jquery.ui.effects.size\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3067969\";s:3:\"css\";a:0:{}}s:23:\"jquery.ui.effects.shake\";a:6:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:59:\"core/assets/vendor/jquery.ui/ui/effects/effect-shake-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:1:{i:0;s:27:\"core/jquery.ui.effects.core\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3067969\";s:3:\"css\";a:0:{}}s:22:\"jquery.ui.effects.size\";a:6:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/assets/vendor/jquery.ui/ui/effects/effect-size-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:1:{i:0;s:27:\"core/jquery.ui.effects.core\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3067969\";s:3:\"css\";a:0:{}}s:23:\"jquery.ui.effects.slide\";a:6:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:59:\"core/assets/vendor/jquery.ui/ui/effects/effect-slide-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:1:{i:0;s:27:\"core/jquery.ui.effects.core\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3067969\";s:3:\"css\";a:0:{}}s:26:\"jquery.ui.effects.transfer\";a:6:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:62:\"core/assets/vendor/jquery.ui/ui/effects/effect-transfer-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:1:{i:0;s:27:\"core/jquery.ui.effects.core\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3067969\";s:3:\"css\";a:0:{}}s:14:\"jquery.ui.menu\";a:5:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:51:\"core/assets/vendor/jquery.ui/ui/widgets/menu-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/assets/vendor/jquery.ui/themes/base/menu.css\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:3:{i:0;s:14:\"core/jquery.ui\";i:1;s:23:\"core/jquery.ui.position\";i:2;s:21:\"core/jquery.ui.widget\";}}s:15:\"jquery.ui.mouse\";a:5:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:2:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"core/assets/vendor/jquery.ui/ui/ie-min.js\";s:7:\"version\";s:6:\"1.12.1\";}i:1;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/assets/vendor/jquery.ui/ui/widgets/mouse-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:1:{i:0;s:21:\"core/jquery.ui.widget\";}s:3:\"css\";a:0:{}}s:18:\"jquery.ui.position\";a:5:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/assets/vendor/jquery.ui/ui/position-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:1:{i:0;s:14:\"core/jquery.ui\";}s:3:\"css\";a:0:{}}s:21:\"jquery.ui.progressbar\";a:6:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/assets/vendor/jquery.ui/ui/widgets/progressbar-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/assets/vendor/jquery.ui/themes/base/progressbar.css\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:2:{i:0;s:14:\"core/jquery.ui\";i:1;s:21:\"core/jquery.ui.widget\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3067969\";}s:19:\"jquery.ui.resizable\";a:5:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/assets/vendor/jquery.ui/ui/widgets/resizable-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/assets/vendor/jquery.ui/themes/base/resizable.css\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:3:{i:0;s:14:\"core/jquery.ui\";i:1;s:21:\"core/jquery.ui.widget\";i:2;s:20:\"core/jquery.ui.mouse\";}}s:20:\"jquery.ui.selectable\";a:6:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/assets/vendor/jquery.ui/ui/widgets/selectable-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/assets/vendor/jquery.ui/themes/base/selectable.css\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:3:{i:0;s:14:\"core/jquery.ui\";i:1;s:20:\"core/jquery.ui.mouse\";i:2;s:21:\"core/jquery.ui.widget\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3067969\";}s:20:\"jquery.ui.selectmenu\";a:6:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:2:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/assets/vendor/jquery.ui/ui/form-reset-mixin-min.js\";s:7:\"version\";s:6:\"1.12.1\";}i:1;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/assets/vendor/jquery.ui/ui/widgets/selectmenu-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:3:\"css\";a:2:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/assets/vendor/jquery.ui/themes/base/selectmenu.css\";s:7:\"version\";s:6:\"1.12.1\";}i:1;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:51:\"core/assets/vendor/jquery.ui/themes/base/button.css\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:4:{i:0;s:14:\"core/jquery.ui\";i:1;s:19:\"core/jquery.ui.menu\";i:2;s:23:\"core/jquery.ui.position\";i:3;s:21:\"core/jquery.ui.widget\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3067969\";}s:16:\"jquery.ui.slider\";a:6:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/assets/vendor/jquery.ui/ui/widgets/slider-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:51:\"core/assets/vendor/jquery.ui/themes/base/slider.css\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:3:{i:0;s:14:\"core/jquery.ui\";i:1;s:20:\"core/jquery.ui.mouse\";i:2;s:21:\"core/jquery.ui.widget\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3067969\";}s:18:\"jquery.ui.sortable\";a:6:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/assets/vendor/jquery.ui/ui/widgets/sortable-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:3:{i:0;s:14:\"core/jquery.ui\";i:1;s:20:\"core/jquery.ui.mouse\";i:2;s:21:\"core/jquery.ui.widget\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3084730\";s:3:\"css\";a:0:{}}s:17:\"jquery.ui.spinner\";a:6:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/assets/vendor/jquery.ui/ui/widgets/spinner-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/assets/vendor/jquery.ui/themes/base/spinner.css\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:3:{i:0;s:14:\"core/jquery.ui\";i:1;s:21:\"core/jquery.ui.widget\";i:2;s:21:\"core/jquery.ui.button\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3067969\";}s:14:\"jquery.ui.tabs\";a:6:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:51:\"core/assets/vendor/jquery.ui/ui/widgets/tabs-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/assets/vendor/jquery.ui/themes/base/tabs.css\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:2:{i:0;s:14:\"core/jquery.ui\";i:1;s:21:\"core/jquery.ui.widget\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3067969\";}s:17:\"jquery.ui.tooltip\";a:6:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/assets/vendor/jquery.ui/ui/widgets/tooltip-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/assets/vendor/jquery.ui/themes/base/tooltip.css\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:3:{i:0;s:14:\"core/jquery.ui\";i:1;s:21:\"core/jquery.ui.widget\";i:2;s:23:\"core/jquery.ui.position\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3067969\";}s:21:\"jquery.ui.touch-punch\";a:7:{s:6:\"remote\";s:45:\"https://github.com/furf/jquery-ui-touch-punch\";s:7:\"version\";s:5:\"0.2.3\";s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:45:\"https://github.com/furf/jquery-ui-touch-punch\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:65:\"core/assets/vendor/jquery-ui-touch-punch/jquery.ui.touch-punch.js\";s:7:\"version\";s:5:\"0.2.3\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:3:{i:0;s:14:\"core/jquery.ui\";i:1;s:20:\"core/jquery.ui.mouse\";i:2;s:21:\"core/jquery.ui.widget\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3084730\";s:3:\"css\";a:0:{}}s:16:\"jquery.ui.widget\";a:5:{s:7:\"version\";s:6:\"1.12.1\";s:7:\"license\";a:3:{s:4:\"name\";s:13:\"Public Domain\";s:3:\"url\";s:59:\"https://github.com/jquery/jquery-ui/blob/1.12.1/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:6:{s:6:\"weight\";i:-10;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/jquery.ui/ui/widget-min.js\";s:7:\"version\";s:6:\"1.12.1\";}}s:12:\"dependencies\";a:1:{i:0;s:14:\"core/jquery.ui\";}s:3:\"css\";a:0:{}}s:10:\"matchmedia\";a:7:{s:6:\"remote\";s:42:\"https://github.com/paulirish/matchMedia.js\";s:7:\"version\";s:5:\"0.2.0\";s:7:\"license\";a:3:{s:4:\"name\";s:3:\"MIT\";s:3:\"url\";s:65:\"https://github.com/paulirish/matchMedia.js/blob/0.2.0/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/assets/vendor/matchMedia/matchMedia.min.js\";s:7:\"version\";s:5:\"0.2.0\";}}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3086653\";s:12:\"dependencies\";a:0:{}s:3:\"css\";a:0:{}}s:22:\"matchmedia.addListener\";a:6:{s:7:\"version\";s:5:\"0.2.0\";s:7:\"license\";a:3:{s:4:\"name\";s:3:\"MIT\";s:3:\"url\";s:65:\"https://github.com/paulirish/matchMedia.js/blob/0.2.0/LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:59:\"core/assets/vendor/matchMedia/matchMedia.addListener.min.js\";s:7:\"version\";s:5:\"0.2.0\";}}s:12:\"dependencies\";a:1:{i:0;s:15:\"core/matchmedia\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3086653\";s:3:\"css\";a:0:{}}s:9:\"modernizr\";a:7:{s:6:\"header\";b:1;s:6:\"remote\";s:38:\"https://github.com/Modernizr/Modernizr\";s:7:\"license\";a:3:{s:4:\"name\";s:3:\"MIT\";s:3:\"url\";s:29:\"http://modernizr.com/license/\";s:14:\"gpl-compatible\";b:1;}s:7:\"version\";s:5:\"3.3.1\";s:2:\"js\";a:1:{i:0;a:7:{s:10:\"preprocess\";i:0;s:6:\"weight\";i:-21;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/modernizr/modernizr.min.js\";s:7:\"version\";s:5:\"3.3.1\";}}s:12:\"dependencies\";a:0:{}s:3:\"css\";a:0:{}}s:9:\"normalize\";a:6:{s:6:\"remote\";s:40:\"https://github.com/necolas/normalize.css\";s:7:\"version\";s:5:\"3.0.3\";s:7:\"license\";a:3:{s:4:\"name\";s:3:\"MIT\";s:3:\"url\";s:63:\"https://github.com/necolas/normalize.css/blob/master/LICENSE.md\";s:14:\"gpl-compatible\";b:1;}s:3:\"css\";a:2:{i:0;a:5:{s:6:\"weight\";i:-220;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/assets/vendor/normalize-css/normalize.css\";s:7:\"version\";s:5:\"3.0.3\";}i:1;a:5:{s:6:\"weight\";i:-219;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:29:\"core/misc/normalize-fixes.css\";s:7:\"version\";s:5:\"3.0.3\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}}s:11:\"picturefill\";a:6:{s:6:\"remote\";s:40:\"https://github.com/scottjehl/picturefill\";s:7:\"version\";s:5:\"3.0.3\";s:7:\"license\";a:3:{s:4:\"name\";s:3:\"MIT\";s:3:\"url\";s:59:\"https://github.com/scottjehl/picturefill/blob/3.0.3/LICENSE\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:6:{s:6:\"weight\";i:-10;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/assets/vendor/picturefill/picturefill.min.js\";s:7:\"version\";s:5:\"3.0.3\";}}s:12:\"dependencies\";a:1:{i:0;s:15:\"core/matchmedia\";}s:3:\"css\";a:0:{}}s:8:\"popperjs\";a:5:{s:7:\"version\";s:6:\"1.16.0\";s:7:\"license\";a:3:{s:4:\"name\";s:3:\"MIT\";s:3:\"url\";s:61:\"https://github.com/popperjs/popper.js/blob/v1.16.0/LICENSE.md\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"core/assets/vendor/popperjs/popper.min.js\";s:7:\"version\";s:6:\"1.16.0\";}}s:12:\"dependencies\";a:0:{}s:3:\"css\";a:0:{}}s:8:\"sortable\";a:6:{s:6:\"remote\";s:38:\"https://github.com/SortableJS/Sortable\";s:7:\"version\";s:6:\"1.10.2\";s:7:\"license\";a:3:{s:4:\"name\";s:3:\"MIT\";s:3:\"url\";s:62:\"https://github.com/SortableJS/Sortable/tree/1.10.2#mit-license\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/assets/vendor/sortable/Sortable.min.js\";s:7:\"version\";s:6:\"1.10.2\";}}s:12:\"dependencies\";a:0:{}s:3:\"css\";a:0:{}}s:10:\"underscore\";a:6:{s:6:\"remote\";s:39:\"https://github.com/jashkenas/underscore\";s:7:\"version\";s:6:\"1.13.1\";s:7:\"license\";a:3:{s:4:\"name\";s:3:\"MIT\";s:3:\"url\";s:59:\"https://github.com/jashkenas/underscore/blob/1.13.1/LICENSE\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:6:{s:6:\"weight\";i:-20;s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/assets/vendor/underscore/underscore-min.js\";s:7:\"version\";s:6:\"1.13.1\";}}s:12:\"dependencies\";a:0:{}s:3:\"css\";a:0:{}}s:24:\"drupal.dialog.off_canvas\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:30:\"core/misc/dialog/off-canvas.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:3:\"css\";a:12:{i:0;a:5:{s:6:\"weight\";i:-200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/themes/stable/css/core/dialog/off-canvas.reset.css\";s:7:\"version\";s:6:\"8.9.19\";}i:1;a:5:{s:6:\"weight\";i:-200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/themes/stable/css/core/dialog/off-canvas.base.css\";s:7:\"version\";s:6:\"8.9.19\";}i:2;a:5:{s:6:\"weight\";i:-200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/themes/stable/css/core/dialog/off-canvas.css\";s:7:\"version\";s:6:\"8.9.19\";}i:3;a:5:{s:5:\"group\";i:0;s:6:\"weight\";i:-200;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/themes/stable/css/core/dialog/off-canvas.theme.css\";s:7:\"version\";s:6:\"8.9.19\";}i:4;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/themes/stable/css/core/dialog/off-canvas.motion.css\";s:7:\"version\";s:6:\"8.9.19\";}i:5;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/themes/stable/css/core/dialog/off-canvas.button.css\";s:7:\"version\";s:6:\"8.9.19\";}i:6;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/themes/stable/css/core/dialog/off-canvas.form.css\";s:7:\"version\";s:6:\"8.9.19\";}i:7;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/themes/stable/css/core/dialog/off-canvas.table.css\";s:7:\"version\";s:6:\"8.9.19\";}i:8;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/themes/stable/css/core/dialog/off-canvas.details.css\";s:7:\"version\";s:6:\"8.9.19\";}i:9;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:59:\"core/themes/stable/css/core/dialog/off-canvas.tabledrag.css\";s:7:\"version\";s:6:\"8.9.19\";}i:10;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:60:\"core/themes/stable/css/core/dialog/off-canvas.dropbutton.css\";s:7:\"version\";s:6:\"8.9.19\";}i:11;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/themes/stable/css/core/dialog/off-canvas.layout.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:6:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:16:\"core/drupal.ajax\";i:3;s:20:\"core/drupal.announce\";i:4;s:18:\"core/drupal.dialog\";i:5;s:23:\"core/drupal.dialog.ajax\";}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:9:\"js-cookie\";a:6:{s:6:\"remote\";s:38:\"https://github.com/js-cookie/js-cookie\";s:7:\"version\";s:9:\"3.0.0-rc0\";s:7:\"license\";a:3:{s:4:\"name\";s:3:\"MIT\";s:3:\"url\";s:63:\"https://github.com/js-cookie/js-cookie/blob/v3.0.0-rc.0/LICENSE\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/assets/vendor/js-cookie/js.cookie.min.js\";s:7:\"version\";s:9:\"3.0.0-rc0\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:0:{}s:3:\"css\";a:0:{}}}s:10:\"contextual\";a:2:{s:23:\"drupal.contextual-links\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:6:{i:0;a:6:{s:6:\"weight\";i:-2;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:40:\"core/modules/contextual/js/contextual.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:1;a:6:{s:6:\"weight\";i:-2;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/modules/contextual/js/models/StateModel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:2;a:6:{s:6:\"weight\";i:-2;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/modules/contextual/js/views/AuralView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:3;a:6:{s:6:\"weight\";i:-2;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/modules/contextual/js/views/KeyboardView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:4;a:6:{s:6:\"weight\";i:-2;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/modules/contextual/js/views/RegionView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:5;a:6:{s:6:\"weight\";i:-2;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/modules/contextual/js/views/VisualView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:3:\"css\";a:3:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/themes/stable/css/contextual/contextual.module.css\";s:7:\"version\";s:6:\"8.9.19\";}i:1;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/themes/stable/css/contextual/contextual.theme.css\";s:7:\"version\";s:6:\"8.9.19\";}i:2;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:60:\"core/themes/stable/css/contextual/contextual.icons.theme.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:7:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:16:\"core/drupal.ajax\";i:3;s:19:\"core/drupalSettings\";i:4;s:13:\"core/backbone\";i:5;s:14:\"core/modernizr\";i:6;s:16:\"core/jquery.once\";}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:25:\"drupal.contextual-toolbar\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:4:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/modules/contextual/js/contextual.toolbar.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:1;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"core/modules/contextual/js/toolbar/models/StateModel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:2;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:53:\"core/modules/contextual/js/toolbar/views/AuralView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:3;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/modules/contextual/js/toolbar/views/VisualView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/themes/stable/css/contextual/contextual.toolbar.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:6:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:13:\"core/backbone\";i:3;s:16:\"core/jquery.once\";i:4;s:26:\"core/drupal.tabbingmanager\";i:5;s:20:\"core/drupal.announce\";}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}}s:6:\"locale\";a:3:{s:19:\"drupal.locale.admin\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:35:\"core/modules/locale/locale.admin.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/themes/stable/css/locale/locale.admin.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:4:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:16:\"core/drupal.form\";i:3;s:16:\"core/jquery.once\";}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:24:\"drupal.locale.datepicker\";a:6:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:40:\"core/modules/locale/locale.datepicker.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:3:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:19:\"core/drupalSettings\";}s:10:\"deprecated\";s:136:\"The \"%library_id%\" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3081864\";s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:12:\"translations\";a:4:{s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"core/modules/locale/locale.translation.js\";s:7:\"version\";i:-1;s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:0:{}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}}s:16:\"responsive_image\";a:1:{s:4:\"ajax\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/modules/responsive_image/js/responsive_image.ajax.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:0:{}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}}s:6:\"system\";a:7:{s:4:\"base\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:22:{i:0;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:65:\"core/themes/stable/css/system/components/ajax-progress.module.css\";s:7:\"version\";s:6:\"8.9.19\";}i:1;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:57:\"core/themes/stable/css/system/components/align.module.css\";s:7:\"version\";s:6:\"8.9.19\";}i:2;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:72:\"core/themes/stable/css/system/components/autocomplete-loading.module.css\";s:7:\"version\";s:6:\"8.9.19\";}i:3;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:62:\"core/themes/stable/css/system/components/fieldgroup.module.css\";s:7:\"version\";s:6:\"8.9.19\";}i:4;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:68:\"core/themes/stable/css/system/components/container-inline.module.css\";s:7:\"version\";s:6:\"8.9.19\";}i:5;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:60:\"core/themes/stable/css/system/components/clearfix.module.css\";s:7:\"version\";s:6:\"8.9.19\";}i:6;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:59:\"core/themes/stable/css/system/components/details.module.css\";s:7:\"version\";s:6:\"8.9.19\";}i:7;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/themes/stable/css/system/components/hidden.module.css\";s:7:\"version\";s:6:\"8.9.19\";}i:8;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:61:\"core/themes/stable/css/system/components/item-list.module.css\";s:7:\"version\";s:6:\"8.9.19\";}i:9;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/themes/stable/css/system/components/js.module.css\";s:7:\"version\";s:6:\"8.9.19\";}i:10;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/themes/stable/css/system/components/nowrap.module.css\";s:7:\"version\";s:6:\"8.9.19\";}i:11;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:70:\"core/themes/stable/css/system/components/position-container.module.css\";s:7:\"version\";s:6:\"8.9.19\";}i:12;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:60:\"core/themes/stable/css/system/components/progress.module.css\";s:7:\"version\";s:6:\"8.9.19\";}i:13;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:68:\"core/themes/stable/css/system/components/reset-appearance.module.css\";s:7:\"version\";s:6:\"8.9.19\";}i:14;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/themes/stable/css/system/components/resize.module.css\";s:7:\"version\";s:6:\"8.9.19\";}i:15;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:65:\"core/themes/stable/css/system/components/sticky-header.module.css\";s:7:\"version\";s:6:\"8.9.19\";}i:16;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:61:\"core/themes/stable/css/system/components/tabledrag.module.css\";s:7:\"version\";s:6:\"8.9.19\";}i:17;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:61:\"core/themes/stable/css/system/components/tablesort.module.css\";s:7:\"version\";s:6:\"8.9.19\";}i:18;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:62:\"core/themes/stable/css/system/components/tree-child.module.css\";s:7:\"version\";s:6:\"8.9.19\";}i:19;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:58:\"core/themes/seven/css/components/system-status-counter.css\";s:7:\"version\";s:6:\"8.9.19\";}i:20;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:66:\"core/themes/seven/css/components/system-status-report-counters.css\";s:7:\"version\";s:6:\"8.9.19\";}i:21;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:70:\"core/themes/seven/css/components/system-status-report-general-info.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:5:\"admin\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:190;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/themes/stable/css/system/system.admin.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:1:{i:0;s:11:\"system/base\";}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:11:\"maintenance\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:190;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/themes/stable/css/system/system.maintenance.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:2:{i:0;s:11:\"system/base\";i:1;s:12:\"system/admin\";}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:13:\"drupal.system\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:32:\"core/modules/system/js/system.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:4:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:19:\"core/drupalSettings\";i:3;s:16:\"core/jquery.once\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:21:\"drupal.system.modules\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:40:\"core/modules/system/js/system.modules.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:5:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:20:\"core/drupal.debounce\";i:3;s:16:\"core/jquery.once\";i:4;s:20:\"core/drupal.announce\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:4:\"diff\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:45:\"core/themes/stable/css/system/system.diff.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:18:\"drupal.system.date\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:37:\"core/modules/system/js/system.date.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:5:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:19:\"core/drupalSettings\";i:3;s:16:\"core/jquery.once\";i:4;s:16:\"core/drupal.form\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}}s:8:\"shortcut\";a:1:{s:15:\"drupal.shortcut\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:2:{i:0;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:50:\"core/themes/stable/css/shortcut/shortcut.theme.css\";s:7:\"version\";s:6:\"8.9.19\";}i:1;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:56:\"core/themes/stable/css/shortcut/shortcut.icons.theme.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}}s:7:\"toolbar\";a:3:{s:7:\"toolbar\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:7:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:34:\"core/modules/toolbar/js/toolbar.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:1;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/modules/toolbar/js/models/MenuModel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:2;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"core/modules/toolbar/js/models/ToolbarModel.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:3;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/modules/toolbar/js/views/BodyVisualView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:4;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/modules/toolbar/js/views/MenuVisualView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:5;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/modules/toolbar/js/views/ToolbarAuralView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:6;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:50:\"core/modules/toolbar/js/views/ToolbarVisualView.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:3:\"css\";a:3:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"core/themes/stable/css/toolbar/toolbar.module.css\";s:7:\"version\";s:6:\"8.9.19\";}i:1;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/stable/css/toolbar/toolbar.theme.css\";s:7:\"version\";s:6:\"8.9.19\";}i:2;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:54:\"core/themes/stable/css/toolbar/toolbar.icons.theme.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:12:{i:0;s:14:\"core/modernizr\";i:1;s:11:\"core/jquery\";i:2;s:11:\"core/drupal\";i:3;s:19:\"core/drupalSettings\";i:4;s:16:\"core/drupal.ajax\";i:5;s:20:\"core/drupal.announce\";i:6;s:13:\"core/backbone\";i:7;s:15:\"core/matchmedia\";i:8;s:27:\"core/matchmedia.addListener\";i:9;s:16:\"core/jquery.once\";i:10;s:20:\"core/drupal.displace\";i:11;s:20:\"toolbar/toolbar.menu\";}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:12:\"toolbar.menu\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:39:\"core/modules/toolbar/js/toolbar.menu.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:100;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/stable/css/toolbar/toolbar.menu.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:3:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:16:\"core/jquery.once\";}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:19:\"toolbar.escapeAdmin\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:38:\"core/modules/toolbar/js/escapeAdmin.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:4:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:19:\"core/drupalSettings\";i:3;s:16:\"core/jquery.once\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}}s:20:\"admin_toolbar_search\";a:1:{s:6:\"search\";a:4:{s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:71:\"modules/admin_toolbar/admin_toolbar_search/css/admin.toolbar_search.css\";s:7:\"version\";i:-1;}}s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:69:\"modules/admin_toolbar/admin_toolbar_search/js/admin_toolbar_search.js\";s:7:\"version\";i:-1;s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:4:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:16:\"core/jquery.once\";i:3;s:27:\"core/jquery.ui.autocomplete\";}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}}s:4:\"user\";a:4:{s:11:\"drupal.user\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:3:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:25:\"core/modules/user/user.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:1;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:31:\"core/modules/user/user.theme.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}i:2;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:35:\"core/themes/stable/js/user.theme.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:3:\"css\";a:3:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/themes/stable/css/user/user.module.css\";s:7:\"version\";s:6:\"8.9.19\";}i:1;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/seven/css/classy/components/user.css\";s:7:\"version\";s:6:\"8.9.19\";}i:2;a:5:{s:6:\"weight\";i:-10;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/seven/css/classy/components/user.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:3:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";i:2;s:16:\"core/jquery.once\";}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:17:\"drupal.user.admin\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:42:\"core/themes/stable/css/user/user.admin.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:23:\"drupal.user.permissions\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:37:\"core/modules/user/user.permissions.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:5:{i:0;s:11:\"core/jquery\";i:1;s:16:\"core/jquery.once\";i:2;s:11:\"core/drupal\";i:3;s:19:\"core/drupalSettings\";i:4;s:22:\"user/drupal.user.admin\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:17:\"drupal.user.icons\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"core/themes/stable/css/user/user.icons.admin.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}}s:4:\"tour\";a:2:{s:4:\"tour\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:28:\"core/modules/tour/js/tour.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:6:{i:0;s:11:\"core/jquery\";i:1;s:16:\"core/jquery.once\";i:2;s:11:\"core/drupal\";i:3;s:13:\"core/backbone\";i:4;s:19:\"core/jquery.joyride\";i:5;s:17:\"tour/tour-styling\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:12:\"tour-styling\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:2:{i:0;a:6:{s:5:\"media\";s:6:\"screen\";s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"core/themes/stable/css/tour/tour.module.css\";s:7:\"version\";s:6:\"8.9.19\";}i:1;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"core/themes/seven/css/components/tour.theme.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}}s:19:\"admin_toolbar_tools\";a:1:{s:12:\"toolbar.icon\";a:4:{s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:55:\"modules/admin_toolbar/admin_toolbar_tools/css/tools.css\";s:7:\"version\";i:-1;}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}}s:13:\"admin_toolbar\";a:1:{s:12:\"toolbar.tree\";a:4:{s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"modules/admin_toolbar/css/admin.toolbar.css\";s:7:\"version\";i:-1;}}s:2:\"js\";a:2:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:46:\"modules/admin_toolbar/js/jquery.hoverIntent.js\";s:7:\"version\";i:-1;s:8:\"minified\";b:0;}i:1;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"modules/admin_toolbar/js/admin_toolbar.js\";s:7:\"version\";i:-1;s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:2:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}}s:6:\"update\";a:1:{s:19:\"drupal.update.admin\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:52:\"core/themes/stable/css/update/update.admin.theme.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:0:{}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}}s:8:\"colorbox\";a:11:{s:8:\"colorbox\";a:6:{s:6:\"remote\";s:36:\"http://github.com/jackmoore/colorbox\";s:7:\"version\";s:6:\"8.9.19\";s:7:\"license\";a:2:{s:4:\"name\";s:3:\"MIT\";s:14:\"gpl-compatible\";b:0;}s:2:\"js\";a:1:{i:0;a:5:{s:8:\"minified\";b:1;s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:41:\"libraries/colorbox/jquery.colorbox-min.js\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:2:{i:0;s:11:\"core/jquery\";i:1;s:16:\"core/jquery.once\";}s:3:\"css\";a:0:{}}s:12:\"colorbox-dev\";a:6:{s:6:\"remote\";s:36:\"http://github.com/jackmoore/colorbox\";s:7:\"version\";s:6:\"8.9.19\";s:7:\"license\";a:2:{s:4:\"name\";s:3:\"MIT\";s:14:\"gpl-compatible\";b:0;}s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:37:\"libraries/colorbox/jquery.colorbox.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:2:{i:0;s:11:\"core/jquery\";i:1;s:16:\"core/jquery.once\";}s:3:\"css\";a:0:{}}s:4:\"init\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:31:\"modules/colorbox/js/colorbox.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:12:\"dependencies\";a:2:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";}s:3:\"css\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:5:\"plain\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:47:\"modules/colorbox/styles/plain/colorbox_style.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:48:\"modules/colorbox/styles/plain/colorbox_style.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:1:{i:0;s:13:\"colorbox/init\";}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:17:\"stockholmsyndrome\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:59:\"modules/colorbox/styles/stockholmsyndrome/colorbox_style.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:60:\"modules/colorbox/styles/stockholmsyndrome/colorbox_style.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:1:{i:0;s:13:\"colorbox/init\";}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:7:\"default\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:49:\"modules/colorbox/styles/default/colorbox_style.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:50:\"modules/colorbox/styles/default/colorbox_style.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:1:{i:0;s:13:\"colorbox/init\";}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:8:\"example1\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:40:\"libraries/colorbox/example1/colorbox.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:1:{i:0;s:13:\"colorbox/init\";}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:8:\"example2\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:40:\"libraries/colorbox/example2/colorbox.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:1:{i:0;s:13:\"colorbox/init\";}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:8:\"example3\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:40:\"libraries/colorbox/example3/colorbox.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:1:{i:0;s:13:\"colorbox/init\";}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:8:\"example4\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:40:\"libraries/colorbox/example4/colorbox.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:1:{i:0;s:13:\"colorbox/init\";}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}s:8:\"example5\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:200;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:40:\"libraries/colorbox/example5/colorbox.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:1:{i:0;s:13:\"colorbox/init\";}s:2:\"js\";a:0:{}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}}s:5:\"token\";a:2:{s:16:\"jquery.treeTable\";a:6:{s:6:\"remote\";s:36:\"http://plugins.jquery.com/treetable/\";s:7:\"version\";s:5:\"3.2.0\";s:7:\"license\";a:3:{s:4:\"name\";s:3:\"MIT\";s:3:\"url\";s:67:\"https://github.com/ludo/jquery-treetable/blob/3.2.0/MIT-LICENSE.txt\";s:14:\"gpl-compatible\";b:1;}s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:36:\"modules/token/js/jquery.treetable.js\";s:7:\"version\";s:5:\"3.2.0\";s:8:\"minified\";b:0;}}s:3:\"css\";a:2:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:38:\"modules/token/css/jquery.treetable.css\";s:7:\"version\";s:5:\"3.2.0\";}i:1;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:43:\"modules/token/css/token.treetable.theme.css\";s:7:\"version\";s:5:\"3.2.0\";}}s:12:\"dependencies\";a:1:{i:0;s:11:\"core/jquery\";}}s:5:\"token\";a:5:{s:7:\"version\";s:6:\"8.9.19\";s:2:\"js\";a:1:{i:0;a:5:{s:5:\"group\";i:-100;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:25:\"modules/token/js/token.js\";s:7:\"version\";s:6:\"8.9.19\";s:8:\"minified\";b:0;}}s:3:\"css\";a:1:{i:0;a:5:{s:6:\"weight\";i:0;s:5:\"group\";i:0;s:4:\"type\";s:4:\"file\";s:4:\"data\";s:27:\"modules/token/css/token.css\";s:7:\"version\";s:6:\"8.9.19\";}}s:12:\"dependencies\";a:2:{i:0;s:11:\"core/jquery\";i:1;s:11:\"core/drupal\";}s:7:\"license\";a:3:{s:4:\"name\";s:20:\"GNU-GPL-2.0-or-later\";s:3:\"url\";s:36:\"https://www.drupal.org/licensing/faq\";s:14:\"gpl-compatible\";b:1;}}}}',-1,1637057237.648,1,'library_info','0'),('local_action_plugins:en','a:39:{s:22:\"block_content_type_add\";a:9:{s:2:\"id\";s:22:\"block_content_type_add\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Add custom block type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"weight\";N;s:10:\"route_name\";s:22:\"block_content.type_add\";s:16:\"route_parameters\";a:0:{}s:7:\"options\";a:0:{}s:10:\"appears_on\";a:1:{i:0;s:36:\"entity.block_content_type.collection\";}s:5:\"class\";s:35:\"Drupal\\Core\\Menu\\LocalActionDefault\";s:8:\"provider\";s:13:\"block_content\";}s:24:\"block_content_add_action\";a:9:{s:2:\"id\";s:24:\"block_content_add_action\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Add custom block\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"weight\";N;s:10:\"route_name\";s:22:\"block_content.add_page\";s:16:\"route_parameters\";a:0:{}s:7:\"options\";a:0:{}s:10:\"appears_on\";a:2:{i:0;s:19:\"block.admin_library\";i:1;s:31:\"entity.block_content.collection\";}s:5:\"class\";s:71:\"Drupal\\block_content\\Plugin\\Menu\\LocalAction\\BlockContentAddLocalAction\";s:8:\"provider\";s:13:\"block_content\";}s:16:\"comment_type_add\";a:9:{s:2:\"id\";s:16:\"comment_type_add\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Add comment type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"weight\";N;s:10:\"route_name\";s:28:\"entity.comment_type.add_form\";s:16:\"route_parameters\";a:0:{}s:7:\"options\";a:0:{}s:10:\"appears_on\";a:1:{i:0;s:30:\"entity.comment_type.collection\";}s:5:\"class\";s:35:\"Drupal\\Core\\Menu\\LocalActionDefault\";s:8:\"provider\";s:7:\"comment\";}s:16:\"contact.form_add\";a:9:{s:2:\"id\";s:16:\"contact.form_add\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Add contact form\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"weight\";i:1;s:10:\"route_name\";s:16:\"contact.form_add\";s:16:\"route_parameters\";a:0:{}s:7:\"options\";a:0:{}s:10:\"appears_on\";a:1:{i:0;s:30:\"entity.contact_form.collection\";}s:5:\"class\";s:35:\"Drupal\\Core\\Menu\\LocalActionDefault\";s:8:\"provider\";s:7:\"contact\";}s:29:\"field_ui.entity_view_mode_add\";a:9:{s:2:\"id\";s:29:\"field_ui.entity_view_mode_add\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Add view mode\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"weight\";i:1;s:10:\"route_name\";s:29:\"field_ui.entity_view_mode_add\";s:16:\"route_parameters\";a:0:{}s:7:\"options\";a:0:{}s:10:\"appears_on\";a:1:{i:0;s:34:\"entity.entity_view_mode.collection\";}s:5:\"class\";s:35:\"Drupal\\Core\\Menu\\LocalActionDefault\";s:8:\"provider\";s:8:\"field_ui\";}s:29:\"field_ui.entity_form_mode_add\";a:9:{s:2:\"id\";s:29:\"field_ui.entity_form_mode_add\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Add form mode\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"weight\";i:1;s:10:\"route_name\";s:29:\"field_ui.entity_form_mode_add\";s:16:\"route_parameters\";a:0:{}s:7:\"options\";a:0:{}s:10:\"appears_on\";a:1:{i:0;s:34:\"entity.entity_form_mode.collection\";}s:5:\"class\";s:35:\"Drupal\\Core\\Menu\\LocalActionDefault\";s:8:\"provider\";s:8:\"field_ui\";}s:72:\"field_ui.field_storage_config_add:field_storage_config_add_block_content\";a:10:{s:2:\"id\";s:33:\"field_ui.field_storage_config_add\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Add field\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"weight\";N;s:10:\"route_name\";s:47:\"field_ui.field_storage_config_add_block_content\";s:16:\"route_parameters\";a:0:{}s:7:\"options\";a:0:{}s:10:\"appears_on\";a:1:{i:0;s:36:\"entity.block_content.field_ui_fields\";}s:5:\"class\";s:35:\"Drupal\\Core\\Menu\\LocalActionDefault\";s:7:\"deriver\";s:53:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalAction\";s:8:\"provider\";s:8:\"field_ui\";}s:66:\"field_ui.field_storage_config_add:field_storage_config_add_comment\";a:10:{s:2:\"id\";s:33:\"field_ui.field_storage_config_add\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Add field\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"weight\";N;s:10:\"route_name\";s:41:\"field_ui.field_storage_config_add_comment\";s:16:\"route_parameters\";a:0:{}s:7:\"options\";a:0:{}s:10:\"appears_on\";a:1:{i:0;s:30:\"entity.comment.field_ui_fields\";}s:5:\"class\";s:35:\"Drupal\\Core\\Menu\\LocalActionDefault\";s:7:\"deriver\";s:53:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalAction\";s:8:\"provider\";s:8:\"field_ui\";}s:74:\"field_ui.field_storage_config_add:field_storage_config_add_contact_message\";a:10:{s:2:\"id\";s:33:\"field_ui.field_storage_config_add\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Add field\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"weight\";N;s:10:\"route_name\";s:49:\"field_ui.field_storage_config_add_contact_message\";s:16:\"route_parameters\";a:0:{}s:7:\"options\";a:0:{}s:10:\"appears_on\";a:1:{i:0;s:38:\"entity.contact_message.field_ui_fields\";}s:5:\"class\";s:35:\"Drupal\\Core\\Menu\\LocalActionDefault\";s:7:\"deriver\";s:53:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalAction\";s:8:\"provider\";s:8:\"field_ui\";}s:63:\"field_ui.field_storage_config_add:field_storage_config_add_node\";a:10:{s:2:\"id\";s:33:\"field_ui.field_storage_config_add\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Add field\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"weight\";N;s:10:\"route_name\";s:38:\"field_ui.field_storage_config_add_node\";s:16:\"route_parameters\";a:0:{}s:7:\"options\";a:0:{}s:10:\"appears_on\";a:1:{i:0;s:27:\"entity.node.field_ui_fields\";}s:5:\"class\";s:35:\"Drupal\\Core\\Menu\\LocalActionDefault\";s:7:\"deriver\";s:53:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalAction\";s:8:\"provider\";s:8:\"field_ui\";}s:80:\"field_ui.field_storage_config_add:field_storage_config_add_simplenews_subscriber\";a:10:{s:2:\"id\";s:33:\"field_ui.field_storage_config_add\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Add field\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"weight\";N;s:10:\"route_name\";s:55:\"field_ui.field_storage_config_add_simplenews_subscriber\";s:16:\"route_parameters\";a:0:{}s:7:\"options\";a:0:{}s:10:\"appears_on\";a:1:{i:0;s:44:\"entity.simplenews_subscriber.field_ui_fields\";}s:5:\"class\";s:35:\"Drupal\\Core\\Menu\\LocalActionDefault\";s:7:\"deriver\";s:53:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalAction\";s:8:\"provider\";s:8:\"field_ui\";}s:72:\"field_ui.field_storage_config_add:field_storage_config_add_taxonomy_term\";a:10:{s:2:\"id\";s:33:\"field_ui.field_storage_config_add\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Add field\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"weight\";N;s:10:\"route_name\";s:47:\"field_ui.field_storage_config_add_taxonomy_term\";s:16:\"route_parameters\";a:0:{}s:7:\"options\";a:0:{}s:10:\"appears_on\";a:1:{i:0;s:36:\"entity.taxonomy_term.field_ui_fields\";}s:5:\"class\";s:35:\"Drupal\\Core\\Menu\\LocalActionDefault\";s:7:\"deriver\";s:53:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalAction\";s:8:\"provider\";s:8:\"field_ui\";}s:63:\"field_ui.field_storage_config_add:field_storage_config_add_user\";a:10:{s:2:\"id\";s:33:\"field_ui.field_storage_config_add\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Add field\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"weight\";N;s:10:\"route_name\";s:38:\"field_ui.field_storage_config_add_user\";s:16:\"route_parameters\";a:0:{}s:7:\"options\";a:0:{}s:10:\"appears_on\";a:1:{i:0;s:27:\"entity.user.field_ui_fields\";}s:5:\"class\";s:35:\"Drupal\\Core\\Menu\\LocalActionDefault\";s:7:\"deriver\";s:53:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalAction\";s:8:\"provider\";s:8:\"field_ui\";}s:30:\"filter_format_add_local_action\";a:9:{s:2:\"id\";s:30:\"filter_format_add_local_action\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Add text format\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"weight\";N;s:10:\"route_name\";s:17:\"filter.format_add\";s:16:\"route_parameters\";a:0:{}s:7:\"options\";a:0:{}s:10:\"appears_on\";a:1:{i:0;s:21:\"filter.admin_overview\";}s:5:\"class\";s:35:\"Drupal\\Core\\Menu\\LocalActionDefault\";s:8:\"provider\";s:6:\"filter\";}s:22:\"image_style_add_action\";a:9:{s:2:\"id\";s:22:\"image_style_add_action\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Add image style\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"weight\";N;s:10:\"route_name\";s:15:\"image.style_add\";s:16:\"route_parameters\";a:0:{}s:7:\"options\";a:0:{}s:10:\"appears_on\";a:1:{i:0;s:29:\"entity.image_style.collection\";}s:5:\"class\";s:35:\"Drupal\\Core\\Menu\\LocalActionDefault\";s:8:\"provider\";s:5:\"image\";}s:25:\"language_add_local_action\";a:9:{s:2:\"id\";s:25:\"language_add_local_action\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Add language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"weight\";N;s:10:\"route_name\";s:12:\"language.add\";s:16:\"route_parameters\";a:0:{}s:7:\"options\";a:0:{}s:10:\"appears_on\";a:1:{i:0;s:39:\"entity.configurable_language.collection\";}s:5:\"class\";s:35:\"Drupal\\Core\\Menu\\LocalActionDefault\";s:8:\"provider\";s:8:\"language\";}s:25:\"entity.menu.add_link_form\";a:9:{s:2:\"id\";s:25:\"entity.menu.add_link_form\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Add link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"weight\";N;s:10:\"route_name\";s:25:\"entity.menu.add_link_form\";s:16:\"route_parameters\";a:0:{}s:7:\"options\";a:0:{}s:10:\"appears_on\";a:1:{i:0;s:21:\"entity.menu.edit_form\";}s:5:\"class\";s:50:\"Drupal\\menu_ui\\Plugin\\Menu\\LocalAction\\MenuLinkAdd\";s:8:\"provider\";s:7:\"menu_ui\";}s:20:\"entity.menu.add_form\";a:9:{s:2:\"id\";s:20:\"entity.menu.add_form\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Add menu\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"weight\";N;s:10:\"route_name\";s:20:\"entity.menu.add_form\";s:16:\"route_parameters\";a:0:{}s:7:\"options\";a:0:{}s:10:\"appears_on\";a:1:{i:0;s:22:\"entity.menu.collection\";}s:5:\"class\";s:35:\"Drupal\\Core\\Menu\\LocalActionDefault\";s:8:\"provider\";s:7:\"menu_ui\";}s:13:\"node.type_add\";a:9:{s:2:\"id\";s:13:\"node.type_add\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Add content type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"weight\";N;s:10:\"route_name\";s:13:\"node.type_add\";s:16:\"route_parameters\";a:0:{}s:7:\"options\";a:0:{}s:10:\"appears_on\";a:1:{i:0;s:27:\"entity.node_type.collection\";}s:5:\"class\";s:35:\"Drupal\\Core\\Menu\\LocalActionDefault\";s:8:\"provider\";s:4:\"node\";}s:13:\"node.add_page\";a:9:{s:2:\"id\";s:13:\"node.add_page\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Add content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"weight\";N;s:10:\"route_name\";s:13:\"node.add_page\";s:16:\"route_parameters\";a:0:{}s:7:\"options\";a:0:{}s:10:\"appears_on\";a:1:{i:0;s:20:\"system.admin_content\";}s:5:\"class\";s:35:\"Drupal\\Core\\Menu\\LocalActionDefault\";s:8:\"provider\";s:4:\"node\";}s:26:\"entity.path_alias.add_form\";a:9:{s:2:\"id\";s:26:\"entity.path_alias.add_form\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Add alias\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"weight\";N;s:10:\"route_name\";s:26:\"entity.path_alias.add_form\";s:16:\"route_parameters\";a:0:{}s:7:\"options\";a:0:{}s:10:\"appears_on\";a:1:{i:0;s:28:\"entity.path_alias.collection\";}s:5:\"class\";s:35:\"Drupal\\Core\\Menu\\LocalActionDefault\";s:8:\"provider\";s:4:\"path\";}s:31:\"responsive_image.style_page_add\";a:9:{s:2:\"id\";s:31:\"responsive_image.style_page_add\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"Add responsive image style\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"weight\";N;s:10:\"route_name\";s:31:\"responsive_image.style_page_add\";s:16:\"route_parameters\";a:0:{}s:7:\"options\";a:0:{}s:10:\"appears_on\";a:1:{i:0;s:40:\"entity.responsive_image_style.collection\";}s:5:\"class\";s:35:\"Drupal\\Core\\Menu\\LocalActionDefault\";s:8:\"provider\";s:16:\"responsive_image\";}s:29:\"shortcut_set_add_local_action\";a:9:{s:2:\"id\";s:29:\"shortcut_set_add_local_action\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Add shortcut set\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"weight\";N;s:10:\"route_name\";s:16:\"shortcut.set_add\";s:16:\"route_parameters\";a:0:{}s:7:\"options\";a:0:{}s:10:\"appears_on\";a:1:{i:0;s:30:\"entity.shortcut_set.collection\";}s:5:\"class\";s:35:\"Drupal\\Core\\Menu\\LocalActionDefault\";s:8:\"provider\";s:8:\"shortcut\";}s:17:\"shortcut.link_add\";a:9:{s:2:\"id\";s:17:\"shortcut.link_add\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Add shortcut\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"weight\";N;s:10:\"route_name\";s:17:\"shortcut.link_add\";s:16:\"route_parameters\";a:0:{}s:7:\"options\";a:0:{}s:10:\"appears_on\";a:1:{i:0;s:34:\"entity.shortcut_set.customize_form\";}s:5:\"class\";s:35:\"Drupal\\Core\\Menu\\LocalActionDefault\";s:8:\"provider\";s:8:\"shortcut\";}s:25:\"simplenews.newsletter_add\";a:9:{s:2:\"id\";s:25:\"simplenews.newsletter_add\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Add newsletter\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"weight\";N;s:10:\"route_name\";s:25:\"simplenews.newsletter_add\";s:16:\"route_parameters\";a:0:{}s:7:\"options\";a:0:{}s:10:\"appears_on\";a:1:{i:0;s:26:\"simplenews.newsletter_list\";}s:5:\"class\";s:35:\"Drupal\\Core\\Menu\\LocalActionDefault\";s:8:\"provider\";s:10:\"simplenews\";}s:28:\"simplenews.subscriber_import\";a:9:{s:2:\"id\";s:28:\"simplenews.subscriber_import\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Mass subscribe\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"weight\";N;s:10:\"route_name\";s:28:\"simplenews.subscriber_import\";s:16:\"route_parameters\";a:0:{}s:7:\"options\";a:0:{}s:10:\"appears_on\";a:1:{i:0;s:34:\"view.simplenews_subscribers.page_1\";}s:5:\"class\";s:35:\"Drupal\\Core\\Menu\\LocalActionDefault\";s:8:\"provider\";s:10:\"simplenews\";}s:33:\"simplenews.subscriber_unsubscribe\";a:9:{s:2:\"id\";s:33:\"simplenews.subscriber_unsubscribe\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Mass unsubscribe\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"weight\";N;s:10:\"route_name\";s:33:\"simplenews.subscriber_unsubscribe\";s:16:\"route_parameters\";a:0:{}s:7:\"options\";a:0:{}s:10:\"appears_on\";a:1:{i:0;s:34:\"view.simplenews_subscribers.page_1\";}s:5:\"class\";s:35:\"Drupal\\Core\\Menu\\LocalActionDefault\";s:8:\"provider\";s:10:\"simplenews\";}s:28:\"simplenews.subscriber_export\";a:9:{s:2:\"id\";s:28:\"simplenews.subscriber_export\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Export\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"weight\";N;s:10:\"route_name\";s:28:\"simplenews.subscriber_export\";s:16:\"route_parameters\";a:0:{}s:7:\"options\";a:0:{}s:10:\"appears_on\";a:1:{i:0;s:34:\"view.simplenews_subscribers.page_1\";}s:5:\"class\";s:35:\"Drupal\\Core\\Menu\\LocalActionDefault\";s:8:\"provider\";s:10:\"simplenews\";}s:48:\"simplenews.newsletter_issue_add:simplenews_issue\";a:10:{s:2:\"id\";s:31:\"simplenews.newsletter_issue_add\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslationWrapper\":3:{s:9:\"\0*\0string\";s:10:\"Add @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:16:\"Newsletter Issue\";}s:10:\"\0*\0options\";a:0:{}}s:6:\"weight\";N;s:10:\"route_name\";s:8:\"node.add\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:16:\"simplenews_issue\";}s:7:\"options\";a:0:{}s:10:\"appears_on\";a:1:{i:0;s:34:\"view.simplenews_newsletters.page_1\";}s:5:\"class\";s:35:\"Drupal\\Core\\Menu\\LocalActionDefault\";s:7:\"deriver\";s:65:\"Drupal\\simplenews\\Plugin\\Derivative\\AddSimplenewsIssueActionLinks\";s:8:\"provider\";s:10:\"simplenews\";}s:22:\"system.date_format_add\";a:9:{s:2:\"id\";s:22:\"system.date_format_add\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Add format\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"weight\";i:-10;s:10:\"route_name\";s:22:\"system.date_format_add\";s:16:\"route_parameters\";a:0:{}s:7:\"options\";a:0:{}s:10:\"appears_on\";a:1:{i:0;s:29:\"entity.date_format.collection\";}s:5:\"class\";s:35:\"Drupal\\Core\\Menu\\LocalActionDefault\";s:8:\"provider\";s:6:\"system\";}s:35:\"entity.taxonomy_vocabulary.add_form\";a:9:{s:2:\"id\";s:35:\"entity.taxonomy_vocabulary.add_form\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Add vocabulary\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"weight\";N;s:10:\"route_name\";s:35:\"entity.taxonomy_vocabulary.add_form\";s:16:\"route_parameters\";a:0:{}s:7:\"options\";a:0:{}s:10:\"appears_on\";a:1:{i:0;s:37:\"entity.taxonomy_vocabulary.collection\";}s:5:\"class\";s:35:\"Drupal\\Core\\Menu\\LocalActionDefault\";s:8:\"provider\";s:8:\"taxonomy\";}s:29:\"entity.taxonomy_term.add_form\";a:9:{s:2:\"id\";s:29:\"entity.taxonomy_term.add_form\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Add term\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"weight\";N;s:10:\"route_name\";s:29:\"entity.taxonomy_term.add_form\";s:16:\"route_parameters\";a:0:{}s:7:\"options\";a:0:{}s:10:\"appears_on\";a:1:{i:0;s:40:\"entity.taxonomy_vocabulary.overview_form\";}s:5:\"class\";s:35:\"Drupal\\Core\\Menu\\LocalActionDefault\";s:8:\"provider\";s:8:\"taxonomy\";}s:21:\"update.report_install\";a:9:{s:2:\"id\";s:21:\"update.report_install\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:27:\"Install new module or theme\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"weight\";i:25;s:10:\"route_name\";s:21:\"update.report_install\";s:16:\"route_parameters\";a:0:{}s:7:\"options\";a:0:{}s:10:\"appears_on\";a:1:{i:0;s:13:\"update.status\";}s:5:\"class\";s:35:\"Drupal\\Core\\Menu\\LocalActionDefault\";s:8:\"provider\";s:6:\"update\";}s:21:\"update.module_install\";a:9:{s:2:\"id\";s:21:\"update.module_install\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Install new module\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"weight\";i:25;s:10:\"route_name\";s:21:\"update.module_install\";s:16:\"route_parameters\";a:0:{}s:7:\"options\";a:0:{}s:10:\"appears_on\";a:1:{i:0;s:19:\"system.modules_list\";}s:5:\"class\";s:35:\"Drupal\\Core\\Menu\\LocalActionDefault\";s:8:\"provider\";s:6:\"update\";}s:20:\"update.theme_install\";a:9:{s:2:\"id\";s:20:\"update.theme_install\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Install new theme\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"weight\";i:25;s:10:\"route_name\";s:20:\"update.theme_install\";s:16:\"route_parameters\";a:0:{}s:7:\"options\";a:0:{}s:10:\"appears_on\";a:1:{i:0;s:18:\"system.themes_page\";}s:5:\"class\";s:35:\"Drupal\\Core\\Menu\\LocalActionDefault\";s:8:\"provider\";s:6:\"update\";}s:17:\"user_admin_create\";a:9:{s:2:\"id\";s:17:\"user_admin_create\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Add user\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"weight\";N;s:10:\"route_name\";s:17:\"user.admin_create\";s:16:\"route_parameters\";a:0:{}s:7:\"options\";a:0:{}s:10:\"appears_on\";a:1:{i:0;s:22:\"entity.user.collection\";}s:5:\"class\";s:35:\"Drupal\\Core\\Menu\\LocalActionDefault\";s:8:\"provider\";s:4:\"user\";}s:13:\"user.role_add\";a:9:{s:2:\"id\";s:13:\"user.role_add\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Add role\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"weight\";N;s:10:\"route_name\";s:13:\"user.role_add\";s:16:\"route_parameters\";a:0:{}s:7:\"options\";a:0:{}s:10:\"appears_on\";a:1:{i:0;s:27:\"entity.user_role.collection\";}s:5:\"class\";s:35:\"Drupal\\Core\\Menu\\LocalActionDefault\";s:8:\"provider\";s:4:\"user\";}s:22:\"views_add_local_action\";a:9:{s:2:\"id\";s:22:\"views_add_local_action\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Add view\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"weight\";N;s:10:\"route_name\";s:12:\"views_ui.add\";s:16:\"route_parameters\";a:0:{}s:7:\"options\";a:0:{}s:10:\"appears_on\";a:1:{i:0;s:22:\"entity.view.collection\";}s:5:\"class\";s:35:\"Drupal\\Core\\Menu\\LocalActionDefault\";s:8:\"provider\";s:8:\"views_ui\";}s:32:\"entity.pathauto_pattern.add_form\";a:9:{s:2:\"id\";s:32:\"entity.pathauto_pattern.add_form\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Add Pathauto pattern\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:6:\"weight\";N;s:10:\"route_name\";s:32:\"entity.pathauto_pattern.add_form\";s:16:\"route_parameters\";a:0:{}s:7:\"options\";a:0:{}s:10:\"appears_on\";a:1:{i:0;s:34:\"entity.pathauto_pattern.collection\";}s:5:\"class\";s:35:\"Drupal\\Core\\Menu\\LocalActionDefault\";s:8:\"provider\";s:8:\"pathauto\";}}',-1,1636012249.989,1,'local_action','55'),('local_task_plugins:en','a:232:{s:22:\"entity.block.edit_form\";a:10:{s:10:\"route_name\";s:22:\"entity.block.edit_form\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Configure block\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:22:\"entity.block.edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:22:\"entity.block.edit_form\";s:8:\"provider\";s:5:\"block\";}s:19:\"block.admin_display\";a:10:{s:10:\"route_name\";s:19:\"block.admin_display\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Block layout\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:19:\"block.admin_display\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:19:\"block.admin_display\";s:8:\"provider\";s:5:\"block\";}s:32:\"block.admin_display_theme:bartik\";a:11:{s:10:\"route_name\";s:25:\"block.admin_display_theme\";s:16:\"route_parameters\";a:1:{s:5:\"theme\";s:6:\"bartik\";}s:5:\"title\";s:6:\"Bartik\";s:10:\"base_route\";s:0:\"\";s:9:\"parent_id\";s:19:\"block.admin_display\";s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:25:\"block.admin_display_theme\";s:7:\"deriver\";s:45:\"Drupal\\block\\Plugin\\Derivative\\ThemeLocalTask\";s:8:\"provider\";s:5:\"block\";}s:31:\"block.admin_display_theme:seven\";a:11:{s:10:\"route_name\";s:25:\"block.admin_display_theme\";s:16:\"route_parameters\";a:1:{s:5:\"theme\";s:5:\"seven\";}s:5:\"title\";s:5:\"Seven\";s:10:\"base_route\";s:0:\"\";s:9:\"parent_id\";s:19:\"block.admin_display\";s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:25:\"block.admin_display_theme\";s:7:\"deriver\";s:45:\"Drupal\\block\\Plugin\\Derivative\\ThemeLocalTask\";s:8:\"provider\";s:5:\"block\";}s:35:\"block.admin_display_theme:luxestate\";a:11:{s:10:\"route_name\";s:19:\"block.admin_display\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";s:9:\"Luxestate\";s:10:\"base_route\";s:0:\"\";s:9:\"parent_id\";s:19:\"block.admin_display\";s:6:\"weight\";i:-10;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:25:\"block.admin_display_theme\";s:7:\"deriver\";s:45:\"Drupal\\block\\Plugin\\Derivative\\ThemeLocalTask\";s:8:\"provider\";s:5:\"block\";}s:31:\"entity.block_content.collection\";a:10:{s:10:\"route_name\";s:31:\"entity.block_content.collection\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Custom block library\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:19:\"block.admin_display\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:31:\"entity.block_content.collection\";s:8:\"provider\";s:13:\"block_content\";}s:22:\"block_content.list_sub\";a:10:{s:10:\"route_name\";s:31:\"entity.block_content.collection\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Blocks\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:0:\"\";s:9:\"parent_id\";s:31:\"entity.block_content.collection\";s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:22:\"block_content.list_sub\";s:8:\"provider\";s:13:\"block_content\";}s:36:\"entity.block_content_type.collection\";a:10:{s:10:\"route_name\";s:36:\"entity.block_content_type.collection\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Block types\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:0:\"\";s:9:\"parent_id\";s:31:\"entity.block_content.collection\";s:6:\"weight\";i:1;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:36:\"entity.block_content_type.collection\";s:8:\"provider\";s:13:\"block_content\";}s:30:\"entity.block_content.canonical\";a:10:{s:10:\"route_name\";s:30:\"entity.block_content.canonical\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Edit\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:30:\"entity.block_content.canonical\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:30:\"entity.block_content.canonical\";s:8:\"provider\";s:13:\"block_content\";}s:32:\"entity.block_content.delete_form\";a:10:{s:10:\"route_name\";s:32:\"entity.block_content.delete_form\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:30:\"entity.block_content.canonical\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:32:\"entity.block_content.delete_form\";s:8:\"provider\";s:13:\"block_content\";}s:35:\"entity.block_content_type.edit_form\";a:10:{s:10:\"route_name\";s:35:\"entity.block_content_type.edit_form\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Edit\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:35:\"entity.block_content_type.edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:35:\"entity.block_content_type.edit_form\";s:8:\"provider\";s:13:\"block_content\";}s:28:\"entity.comment.canonical_tab\";a:10:{s:10:\"route_name\";s:24:\"entity.comment.canonical\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"View comment\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:24:\"entity.comment.canonical\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:28:\"entity.comment.canonical_tab\";s:8:\"provider\";s:7:\"comment\";}s:28:\"entity.comment.edit_form_tab\";a:10:{s:10:\"route_name\";s:24:\"entity.comment.edit_form\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Edit\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:24:\"entity.comment.canonical\";s:9:\"parent_id\";N;s:6:\"weight\";i:0;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:28:\"entity.comment.edit_form_tab\";s:8:\"provider\";s:7:\"comment\";}s:30:\"entity.comment.delete_form_tab\";a:10:{s:10:\"route_name\";s:26:\"entity.comment.delete_form\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:24:\"entity.comment.canonical\";s:9:\"parent_id\";N;s:6:\"weight\";i:10;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:30:\"entity.comment.delete_form_tab\";s:8:\"provider\";s:7:\"comment\";}s:13:\"comment.admin\";a:10:{s:10:\"route_name\";s:13:\"comment.admin\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Comments\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:20:\"system.admin_content\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:13:\"comment.admin\";s:8:\"provider\";s:7:\"comment\";}s:17:\"comment.admin_new\";a:10:{s:10:\"route_name\";s:13:\"comment.admin\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Published comments\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:0:\"\";s:9:\"parent_id\";s:13:\"comment.admin\";s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:17:\"comment.admin_new\";s:8:\"provider\";s:7:\"comment\";}s:22:\"comment.admin_approval\";a:11:{s:10:\"route_name\";s:22:\"comment.admin_approval\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Unapproved comments\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:0:\"\";s:9:\"parent_id\";s:13:\"comment.admin\";s:6:\"weight\";i:1;s:7:\"options\";a:0:{}s:5:\"class\";s:55:\"Drupal\\comment\\Plugin\\Menu\\LocalTask\\UnapprovedComments\";s:2:\"id\";s:22:\"comment.admin_approval\";s:10:\"cache_tags\";a:1:{i:0;s:12:\"comment_list\";}s:8:\"provider\";s:7:\"comment\";}s:29:\"entity.comment_type.edit_form\";a:10:{s:10:\"route_name\";s:29:\"entity.comment_type.edit_form\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Edit\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:29:\"entity.comment_type.edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:29:\"entity.comment_type.edit_form\";s:8:\"provider\";s:7:\"comment\";}s:11:\"config.sync\";a:10:{s:10:\"route_name\";s:11:\"config.sync\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Synchronize\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:11:\"config.sync\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:11:\"config.sync\";s:8:\"provider\";s:6:\"config\";}s:13:\"config.import\";a:10:{s:10:\"route_name\";s:18:\"config.import_full\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Import\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:11:\"config.sync\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:13:\"config.import\";s:8:\"provider\";s:6:\"config\";}s:13:\"config.export\";a:10:{s:10:\"route_name\";s:18:\"config.export_full\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Export\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:11:\"config.sync\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:13:\"config.export\";s:8:\"provider\";s:6:\"config\";}s:18:\"config.export_full\";a:10:{s:10:\"route_name\";s:18:\"config.export_full\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Full archive\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:0:\"\";s:9:\"parent_id\";s:13:\"config.export\";s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:18:\"config.export_full\";s:8:\"provider\";s:6:\"config\";}s:18:\"config.import_full\";a:10:{s:10:\"route_name\";s:18:\"config.import_full\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Full archive\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:0:\"\";s:9:\"parent_id\";s:13:\"config.import\";s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:18:\"config.import_full\";s:8:\"provider\";s:6:\"config\";}s:20:\"config.export_single\";a:10:{s:10:\"route_name\";s:20:\"config.export_single\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Single item\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:0:\"\";s:9:\"parent_id\";s:13:\"config.export\";s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:20:\"config.export_single\";s:8:\"provider\";s:6:\"config\";}s:20:\"config.import_single\";a:10:{s:10:\"route_name\";s:20:\"config.import_single\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Single item\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:0:\"\";s:9:\"parent_id\";s:13:\"config.import\";s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:20:\"config.import_single\";s:8:\"provider\";s:6:\"config\";}s:90:\"config_translation.local_tasks:config_translation.item.overview.simplenews.newsletter_list\";a:12:{s:10:\"route_name\";s:59:\"config_translation.item.overview.simplenews.newsletter_list\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";s:0:\"\";s:10:\"base_route\";s:26:\"simplenews.newsletter_list\";s:9:\"parent_id\";N;s:6:\"weight\";i:100;s:7:\"options\";a:0:{}s:5:\"class\";s:74:\"Drupal\\config_translation\\Plugin\\Menu\\LocalTask\\ConfigTranslationLocalTask\";s:2:\"id\";s:30:\"config_translation.local_tasks\";s:7:\"deriver\";s:71:\"Drupal\\config_translation\\Plugin\\Derivative\\ConfigTranslationLocalTasks\";s:8:\"provider\";s:18:\"config_translation\";s:28:\"config_translation_plugin_id\";s:19:\"simplenews.settings\";}s:92:\"config_translation.local_tasks:config_translation.item.overview.system.site_maintenance_mode\";a:12:{s:10:\"route_name\";s:61:\"config_translation.item.overview.system.site_maintenance_mode\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";s:0:\"\";s:10:\"base_route\";s:28:\"system.site_maintenance_mode\";s:9:\"parent_id\";N;s:6:\"weight\";i:100;s:7:\"options\";a:0:{}s:5:\"class\";s:74:\"Drupal\\config_translation\\Plugin\\Menu\\LocalTask\\ConfigTranslationLocalTask\";s:2:\"id\";s:30:\"config_translation.local_tasks\";s:7:\"deriver\";s:71:\"Drupal\\config_translation\\Plugin\\Derivative\\ConfigTranslationLocalTasks\";s:8:\"provider\";s:18:\"config_translation\";s:28:\"config_translation_plugin_id\";s:28:\"system.site_maintenance_mode\";}s:96:\"config_translation.local_tasks:config_translation.item.overview.system.site_information_settings\";a:12:{s:10:\"route_name\";s:65:\"config_translation.item.overview.system.site_information_settings\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";s:0:\"\";s:10:\"base_route\";s:32:\"system.site_information_settings\";s:9:\"parent_id\";N;s:6:\"weight\";i:100;s:7:\"options\";a:0:{}s:5:\"class\";s:74:\"Drupal\\config_translation\\Plugin\\Menu\\LocalTask\\ConfigTranslationLocalTask\";s:2:\"id\";s:30:\"config_translation.local_tasks\";s:7:\"deriver\";s:71:\"Drupal\\config_translation\\Plugin\\Derivative\\ConfigTranslationLocalTasks\";s:8:\"provider\";s:18:\"config_translation\";s:28:\"config_translation_plugin_id\";s:32:\"system.site_information_settings\";}s:89:\"config_translation.local_tasks:config_translation.item.overview.system.rss_feeds_settings\";a:12:{s:10:\"route_name\";s:58:\"config_translation.item.overview.system.rss_feeds_settings\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";s:0:\"\";s:10:\"base_route\";s:25:\"system.rss_feeds_settings\";s:9:\"parent_id\";N;s:6:\"weight\";i:100;s:7:\"options\";a:0:{}s:5:\"class\";s:74:\"Drupal\\config_translation\\Plugin\\Menu\\LocalTask\\ConfigTranslationLocalTask\";s:2:\"id\";s:30:\"config_translation.local_tasks\";s:7:\"deriver\";s:71:\"Drupal\\config_translation\\Plugin\\Derivative\\ConfigTranslationLocalTasks\";s:8:\"provider\";s:18:\"config_translation\";s:28:\"config_translation_plugin_id\";s:25:\"system.rss_feeds_settings\";}s:86:\"config_translation.local_tasks:config_translation.item.overview.entity.user.admin_form\";a:12:{s:10:\"route_name\";s:55:\"config_translation.item.overview.entity.user.admin_form\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";s:0:\"\";s:10:\"base_route\";s:22:\"entity.user.admin_form\";s:9:\"parent_id\";N;s:6:\"weight\";i:100;s:7:\"options\";a:0:{}s:5:\"class\";s:74:\"Drupal\\config_translation\\Plugin\\Menu\\LocalTask\\ConfigTranslationLocalTask\";s:2:\"id\";s:30:\"config_translation.local_tasks\";s:7:\"deriver\";s:71:\"Drupal\\config_translation\\Plugin\\Derivative\\ConfigTranslationLocalTasks\";s:8:\"provider\";s:18:\"config_translation\";s:28:\"config_translation_plugin_id\";s:22:\"entity.user.admin_form\";}s:92:\"config_translation.local_tasks:entity.field_config.config_translation_overview.block_content\";a:12:{s:10:\"route_name\";s:61:\"entity.field_config.config_translation_overview.block_content\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";s:0:\"\";s:10:\"base_route\";s:49:\"entity.field_config.block_content_field_edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";i:100;s:7:\"options\";a:0:{}s:5:\"class\";s:74:\"Drupal\\config_translation\\Plugin\\Menu\\LocalTask\\ConfigTranslationLocalTask\";s:2:\"id\";s:30:\"config_translation.local_tasks\";s:7:\"deriver\";s:71:\"Drupal\\config_translation\\Plugin\\Derivative\\ConfigTranslationLocalTasks\";s:8:\"provider\";s:18:\"config_translation\";s:28:\"config_translation_plugin_id\";s:20:\"block_content_fields\";}s:86:\"config_translation.local_tasks:entity.field_config.config_translation_overview.comment\";a:12:{s:10:\"route_name\";s:55:\"entity.field_config.config_translation_overview.comment\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";s:0:\"\";s:10:\"base_route\";s:43:\"entity.field_config.comment_field_edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";i:100;s:7:\"options\";a:0:{}s:5:\"class\";s:74:\"Drupal\\config_translation\\Plugin\\Menu\\LocalTask\\ConfigTranslationLocalTask\";s:2:\"id\";s:30:\"config_translation.local_tasks\";s:7:\"deriver\";s:71:\"Drupal\\config_translation\\Plugin\\Derivative\\ConfigTranslationLocalTasks\";s:8:\"provider\";s:18:\"config_translation\";s:28:\"config_translation_plugin_id\";s:14:\"comment_fields\";}s:94:\"config_translation.local_tasks:entity.field_config.config_translation_overview.contact_message\";a:12:{s:10:\"route_name\";s:63:\"entity.field_config.config_translation_overview.contact_message\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";s:0:\"\";s:10:\"base_route\";s:51:\"entity.field_config.contact_message_field_edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";i:100;s:7:\"options\";a:0:{}s:5:\"class\";s:74:\"Drupal\\config_translation\\Plugin\\Menu\\LocalTask\\ConfigTranslationLocalTask\";s:2:\"id\";s:30:\"config_translation.local_tasks\";s:7:\"deriver\";s:71:\"Drupal\\config_translation\\Plugin\\Derivative\\ConfigTranslationLocalTasks\";s:8:\"provider\";s:18:\"config_translation\";s:28:\"config_translation_plugin_id\";s:22:\"contact_message_fields\";}s:83:\"config_translation.local_tasks:entity.field_config.config_translation_overview.node\";a:12:{s:10:\"route_name\";s:52:\"entity.field_config.config_translation_overview.node\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";s:0:\"\";s:10:\"base_route\";s:40:\"entity.field_config.node_field_edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";i:100;s:7:\"options\";a:0:{}s:5:\"class\";s:74:\"Drupal\\config_translation\\Plugin\\Menu\\LocalTask\\ConfigTranslationLocalTask\";s:2:\"id\";s:30:\"config_translation.local_tasks\";s:7:\"deriver\";s:71:\"Drupal\\config_translation\\Plugin\\Derivative\\ConfigTranslationLocalTasks\";s:8:\"provider\";s:18:\"config_translation\";s:28:\"config_translation_plugin_id\";s:11:\"node_fields\";}s:100:\"config_translation.local_tasks:entity.field_config.config_translation_overview.simplenews_subscriber\";a:12:{s:10:\"route_name\";s:69:\"entity.field_config.config_translation_overview.simplenews_subscriber\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";s:0:\"\";s:10:\"base_route\";s:57:\"entity.field_config.simplenews_subscriber_field_edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";i:100;s:7:\"options\";a:0:{}s:5:\"class\";s:74:\"Drupal\\config_translation\\Plugin\\Menu\\LocalTask\\ConfigTranslationLocalTask\";s:2:\"id\";s:30:\"config_translation.local_tasks\";s:7:\"deriver\";s:71:\"Drupal\\config_translation\\Plugin\\Derivative\\ConfigTranslationLocalTasks\";s:8:\"provider\";s:18:\"config_translation\";s:28:\"config_translation_plugin_id\";s:28:\"simplenews_subscriber_fields\";}s:92:\"config_translation.local_tasks:entity.field_config.config_translation_overview.taxonomy_term\";a:12:{s:10:\"route_name\";s:61:\"entity.field_config.config_translation_overview.taxonomy_term\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";s:0:\"\";s:10:\"base_route\";s:49:\"entity.field_config.taxonomy_term_field_edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";i:100;s:7:\"options\";a:0:{}s:5:\"class\";s:74:\"Drupal\\config_translation\\Plugin\\Menu\\LocalTask\\ConfigTranslationLocalTask\";s:2:\"id\";s:30:\"config_translation.local_tasks\";s:7:\"deriver\";s:71:\"Drupal\\config_translation\\Plugin\\Derivative\\ConfigTranslationLocalTasks\";s:8:\"provider\";s:18:\"config_translation\";s:28:\"config_translation_plugin_id\";s:20:\"taxonomy_term_fields\";}s:83:\"config_translation.local_tasks:entity.field_config.config_translation_overview.user\";a:12:{s:10:\"route_name\";s:52:\"entity.field_config.config_translation_overview.user\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";s:0:\"\";s:10:\"base_route\";s:40:\"entity.field_config.user_field_edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";i:100;s:7:\"options\";a:0:{}s:5:\"class\";s:74:\"Drupal\\config_translation\\Plugin\\Menu\\LocalTask\\ConfigTranslationLocalTask\";s:2:\"id\";s:30:\"config_translation.local_tasks\";s:7:\"deriver\";s:71:\"Drupal\\config_translation\\Plugin\\Derivative\\ConfigTranslationLocalTasks\";s:8:\"provider\";s:18:\"config_translation\";s:28:\"config_translation_plugin_id\";s:11:\"user_fields\";}s:71:\"config_translation.local_tasks:entity.block.config_translation_overview\";a:12:{s:10:\"route_name\";s:40:\"entity.block.config_translation_overview\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";s:0:\"\";s:10:\"base_route\";s:22:\"entity.block.edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";i:100;s:7:\"options\";a:0:{}s:5:\"class\";s:74:\"Drupal\\config_translation\\Plugin\\Menu\\LocalTask\\ConfigTranslationLocalTask\";s:2:\"id\";s:30:\"config_translation.local_tasks\";s:7:\"deriver\";s:71:\"Drupal\\config_translation\\Plugin\\Derivative\\ConfigTranslationLocalTasks\";s:8:\"provider\";s:18:\"config_translation\";s:28:\"config_translation_plugin_id\";s:5:\"block\";}s:84:\"config_translation.local_tasks:entity.block_content_type.config_translation_overview\";a:12:{s:10:\"route_name\";s:53:\"entity.block_content_type.config_translation_overview\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";s:0:\"\";s:10:\"base_route\";s:35:\"entity.block_content_type.edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";i:100;s:7:\"options\";a:0:{}s:5:\"class\";s:74:\"Drupal\\config_translation\\Plugin\\Menu\\LocalTask\\ConfigTranslationLocalTask\";s:2:\"id\";s:30:\"config_translation.local_tasks\";s:7:\"deriver\";s:71:\"Drupal\\config_translation\\Plugin\\Derivative\\ConfigTranslationLocalTasks\";s:8:\"provider\";s:18:\"config_translation\";s:28:\"config_translation_plugin_id\";s:18:\"block_content_type\";}s:78:\"config_translation.local_tasks:entity.comment_type.config_translation_overview\";a:12:{s:10:\"route_name\";s:47:\"entity.comment_type.config_translation_overview\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";s:0:\"\";s:10:\"base_route\";s:29:\"entity.comment_type.edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";i:100;s:7:\"options\";a:0:{}s:5:\"class\";s:74:\"Drupal\\config_translation\\Plugin\\Menu\\LocalTask\\ConfigTranslationLocalTask\";s:2:\"id\";s:30:\"config_translation.local_tasks\";s:7:\"deriver\";s:71:\"Drupal\\config_translation\\Plugin\\Derivative\\ConfigTranslationLocalTasks\";s:8:\"provider\";s:18:\"config_translation\";s:28:\"config_translation_plugin_id\";s:12:\"comment_type\";}s:78:\"config_translation.local_tasks:entity.contact_form.config_translation_overview\";a:12:{s:10:\"route_name\";s:47:\"entity.contact_form.config_translation_overview\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";s:0:\"\";s:10:\"base_route\";s:29:\"entity.contact_form.edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";i:100;s:7:\"options\";a:0:{}s:5:\"class\";s:74:\"Drupal\\config_translation\\Plugin\\Menu\\LocalTask\\ConfigTranslationLocalTask\";s:2:\"id\";s:30:\"config_translation.local_tasks\";s:7:\"deriver\";s:71:\"Drupal\\config_translation\\Plugin\\Derivative\\ConfigTranslationLocalTasks\";s:8:\"provider\";s:18:\"config_translation\";s:28:\"config_translation_plugin_id\";s:12:\"contact_form\";}s:79:\"config_translation.local_tasks:entity.filter_format.config_translation_overview\";a:12:{s:10:\"route_name\";s:48:\"entity.filter_format.config_translation_overview\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";s:0:\"\";s:10:\"base_route\";s:30:\"entity.filter_format.edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";i:100;s:7:\"options\";a:0:{}s:5:\"class\";s:74:\"Drupal\\config_translation\\Plugin\\Menu\\LocalTask\\ConfigTranslationLocalTask\";s:2:\"id\";s:30:\"config_translation.local_tasks\";s:7:\"deriver\";s:71:\"Drupal\\config_translation\\Plugin\\Derivative\\ConfigTranslationLocalTasks\";s:8:\"provider\";s:18:\"config_translation\";s:28:\"config_translation_plugin_id\";s:13:\"filter_format\";}s:77:\"config_translation.local_tasks:entity.image_style.config_translation_overview\";a:12:{s:10:\"route_name\";s:46:\"entity.image_style.config_translation_overview\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";s:0:\"\";s:10:\"base_route\";s:28:\"entity.image_style.edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";i:100;s:7:\"options\";a:0:{}s:5:\"class\";s:74:\"Drupal\\config_translation\\Plugin\\Menu\\LocalTask\\ConfigTranslationLocalTask\";s:2:\"id\";s:30:\"config_translation.local_tasks\";s:7:\"deriver\";s:71:\"Drupal\\config_translation\\Plugin\\Derivative\\ConfigTranslationLocalTasks\";s:8:\"provider\";s:18:\"config_translation\";s:28:\"config_translation_plugin_id\";s:11:\"image_style\";}s:87:\"config_translation.local_tasks:entity.configurable_language.config_translation_overview\";a:12:{s:10:\"route_name\";s:56:\"entity.configurable_language.config_translation_overview\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";s:0:\"\";s:10:\"base_route\";s:38:\"entity.configurable_language.edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";i:100;s:7:\"options\";a:0:{}s:5:\"class\";s:74:\"Drupal\\config_translation\\Plugin\\Menu\\LocalTask\\ConfigTranslationLocalTask\";s:2:\"id\";s:30:\"config_translation.local_tasks\";s:7:\"deriver\";s:71:\"Drupal\\config_translation\\Plugin\\Derivative\\ConfigTranslationLocalTasks\";s:8:\"provider\";s:18:\"config_translation\";s:28:\"config_translation_plugin_id\";s:21:\"configurable_language\";}s:75:\"config_translation.local_tasks:entity.node_type.config_translation_overview\";a:12:{s:10:\"route_name\";s:44:\"entity.node_type.config_translation_overview\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";s:0:\"\";s:10:\"base_route\";s:26:\"entity.node_type.edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";i:100;s:7:\"options\";a:0:{}s:5:\"class\";s:74:\"Drupal\\config_translation\\Plugin\\Menu\\LocalTask\\ConfigTranslationLocalTask\";s:2:\"id\";s:30:\"config_translation.local_tasks\";s:7:\"deriver\";s:71:\"Drupal\\config_translation\\Plugin\\Derivative\\ConfigTranslationLocalTasks\";s:8:\"provider\";s:18:\"config_translation\";s:28:\"config_translation_plugin_id\";s:9:\"node_type\";}s:88:\"config_translation.local_tasks:entity.responsive_image_style.config_translation_overview\";a:12:{s:10:\"route_name\";s:57:\"entity.responsive_image_style.config_translation_overview\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";s:0:\"\";s:10:\"base_route\";s:39:\"entity.responsive_image_style.edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";i:100;s:7:\"options\";a:0:{}s:5:\"class\";s:74:\"Drupal\\config_translation\\Plugin\\Menu\\LocalTask\\ConfigTranslationLocalTask\";s:2:\"id\";s:30:\"config_translation.local_tasks\";s:7:\"deriver\";s:71:\"Drupal\\config_translation\\Plugin\\Derivative\\ConfigTranslationLocalTasks\";s:8:\"provider\";s:18:\"config_translation\";s:28:\"config_translation_plugin_id\";s:22:\"responsive_image_style\";}s:77:\"config_translation.local_tasks:entity.search_page.config_translation_overview\";a:12:{s:10:\"route_name\";s:46:\"entity.search_page.config_translation_overview\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";s:0:\"\";s:10:\"base_route\";s:28:\"entity.search_page.edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";i:100;s:7:\"options\";a:0:{}s:5:\"class\";s:74:\"Drupal\\config_translation\\Plugin\\Menu\\LocalTask\\ConfigTranslationLocalTask\";s:2:\"id\";s:30:\"config_translation.local_tasks\";s:7:\"deriver\";s:71:\"Drupal\\config_translation\\Plugin\\Derivative\\ConfigTranslationLocalTasks\";s:8:\"provider\";s:18:\"config_translation\";s:28:\"config_translation_plugin_id\";s:11:\"search_page\";}s:78:\"config_translation.local_tasks:entity.shortcut_set.config_translation_overview\";a:12:{s:10:\"route_name\";s:47:\"entity.shortcut_set.config_translation_overview\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";s:0:\"\";s:10:\"base_route\";s:29:\"entity.shortcut_set.edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";i:100;s:7:\"options\";a:0:{}s:5:\"class\";s:74:\"Drupal\\config_translation\\Plugin\\Menu\\LocalTask\\ConfigTranslationLocalTask\";s:2:\"id\";s:30:\"config_translation.local_tasks\";s:7:\"deriver\";s:71:\"Drupal\\config_translation\\Plugin\\Derivative\\ConfigTranslationLocalTasks\";s:8:\"provider\";s:18:\"config_translation\";s:28:\"config_translation_plugin_id\";s:12:\"shortcut_set\";}s:87:\"config_translation.local_tasks:entity.simplenews_newsletter.config_translation_overview\";a:12:{s:10:\"route_name\";s:56:\"entity.simplenews_newsletter.config_translation_overview\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";s:0:\"\";s:10:\"base_route\";s:38:\"entity.simplenews_newsletter.edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";i:100;s:7:\"options\";a:0:{}s:5:\"class\";s:74:\"Drupal\\config_translation\\Plugin\\Menu\\LocalTask\\ConfigTranslationLocalTask\";s:2:\"id\";s:30:\"config_translation.local_tasks\";s:7:\"deriver\";s:71:\"Drupal\\config_translation\\Plugin\\Derivative\\ConfigTranslationLocalTasks\";s:8:\"provider\";s:18:\"config_translation\";s:28:\"config_translation_plugin_id\";s:21:\"simplenews_newsletter\";}s:70:\"config_translation.local_tasks:entity.menu.config_translation_overview\";a:12:{s:10:\"route_name\";s:39:\"entity.menu.config_translation_overview\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";s:0:\"\";s:10:\"base_route\";s:21:\"entity.menu.edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";i:100;s:7:\"options\";a:0:{}s:5:\"class\";s:74:\"Drupal\\config_translation\\Plugin\\Menu\\LocalTask\\ConfigTranslationLocalTask\";s:2:\"id\";s:30:\"config_translation.local_tasks\";s:7:\"deriver\";s:71:\"Drupal\\config_translation\\Plugin\\Derivative\\ConfigTranslationLocalTasks\";s:8:\"provider\";s:18:\"config_translation\";s:28:\"config_translation_plugin_id\";s:4:\"menu\";}s:85:\"config_translation.local_tasks:entity.taxonomy_vocabulary.config_translation_overview\";a:12:{s:10:\"route_name\";s:54:\"entity.taxonomy_vocabulary.config_translation_overview\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";s:0:\"\";s:10:\"base_route\";s:36:\"entity.taxonomy_vocabulary.edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";i:100;s:7:\"options\";a:0:{}s:5:\"class\";s:74:\"Drupal\\config_translation\\Plugin\\Menu\\LocalTask\\ConfigTranslationLocalTask\";s:2:\"id\";s:30:\"config_translation.local_tasks\";s:7:\"deriver\";s:71:\"Drupal\\config_translation\\Plugin\\Derivative\\ConfigTranslationLocalTasks\";s:8:\"provider\";s:18:\"config_translation\";s:28:\"config_translation_plugin_id\";s:19:\"taxonomy_vocabulary\";}s:75:\"config_translation.local_tasks:entity.user_role.config_translation_overview\";a:12:{s:10:\"route_name\";s:44:\"entity.user_role.config_translation_overview\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";s:0:\"\";s:10:\"base_route\";s:26:\"entity.user_role.edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";i:100;s:7:\"options\";a:0:{}s:5:\"class\";s:74:\"Drupal\\config_translation\\Plugin\\Menu\\LocalTask\\ConfigTranslationLocalTask\";s:2:\"id\";s:30:\"config_translation.local_tasks\";s:7:\"deriver\";s:71:\"Drupal\\config_translation\\Plugin\\Derivative\\ConfigTranslationLocalTasks\";s:8:\"provider\";s:18:\"config_translation\";s:28:\"config_translation_plugin_id\";s:9:\"user_role\";}s:82:\"config_translation.local_tasks:entity.pathauto_pattern.config_translation_overview\";a:12:{s:10:\"route_name\";s:51:\"entity.pathauto_pattern.config_translation_overview\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";s:0:\"\";s:10:\"base_route\";s:33:\"entity.pathauto_pattern.edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";i:100;s:7:\"options\";a:0:{}s:5:\"class\";s:74:\"Drupal\\config_translation\\Plugin\\Menu\\LocalTask\\ConfigTranslationLocalTask\";s:2:\"id\";s:30:\"config_translation.local_tasks\";s:7:\"deriver\";s:71:\"Drupal\\config_translation\\Plugin\\Derivative\\ConfigTranslationLocalTasks\";s:8:\"provider\";s:18:\"config_translation\";s:28:\"config_translation_plugin_id\";s:16:\"pathauto_pattern\";}s:70:\"config_translation.local_tasks:entity.view.config_translation_overview\";a:12:{s:10:\"route_name\";s:39:\"entity.view.config_translation_overview\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";s:0:\"\";s:10:\"base_route\";s:21:\"entity.view.edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";i:100;s:7:\"options\";a:0:{}s:5:\"class\";s:74:\"Drupal\\config_translation\\Plugin\\Menu\\LocalTask\\ConfigTranslationLocalTask\";s:2:\"id\";s:30:\"config_translation.local_tasks\";s:7:\"deriver\";s:71:\"Drupal\\config_translation\\Plugin\\Derivative\\ConfigTranslationLocalTasks\";s:8:\"provider\";s:18:\"config_translation\";s:28:\"config_translation_plugin_id\";s:4:\"view\";}s:77:\"config_translation.local_tasks:entity.date_format.config_translation_overview\";a:12:{s:10:\"route_name\";s:46:\"entity.date_format.config_translation_overview\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";s:0:\"\";s:10:\"base_route\";s:28:\"entity.date_format.edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";i:100;s:7:\"options\";a:0:{}s:5:\"class\";s:74:\"Drupal\\config_translation\\Plugin\\Menu\\LocalTask\\ConfigTranslationLocalTask\";s:2:\"id\";s:30:\"config_translation.local_tasks\";s:7:\"deriver\";s:71:\"Drupal\\config_translation\\Plugin\\Derivative\\ConfigTranslationLocalTasks\";s:8:\"provider\";s:18:\"config_translation\";s:28:\"config_translation_plugin_id\";s:11:\"date_format\";}s:82:\"config_translation.local_tasks:entity.entity_form_mode.config_translation_overview\";a:12:{s:10:\"route_name\";s:51:\"entity.entity_form_mode.config_translation_overview\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";s:0:\"\";s:10:\"base_route\";s:33:\"entity.entity_form_mode.edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";i:100;s:7:\"options\";a:0:{}s:5:\"class\";s:74:\"Drupal\\config_translation\\Plugin\\Menu\\LocalTask\\ConfigTranslationLocalTask\";s:2:\"id\";s:30:\"config_translation.local_tasks\";s:7:\"deriver\";s:71:\"Drupal\\config_translation\\Plugin\\Derivative\\ConfigTranslationLocalTasks\";s:8:\"provider\";s:18:\"config_translation\";s:28:\"config_translation_plugin_id\";s:16:\"entity_form_mode\";}s:82:\"config_translation.local_tasks:entity.entity_view_mode.config_translation_overview\";a:12:{s:10:\"route_name\";s:51:\"entity.entity_view_mode.config_translation_overview\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";s:0:\"\";s:10:\"base_route\";s:33:\"entity.entity_view_mode.edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";i:100;s:7:\"options\";a:0:{}s:5:\"class\";s:74:\"Drupal\\config_translation\\Plugin\\Menu\\LocalTask\\ConfigTranslationLocalTask\";s:2:\"id\";s:30:\"config_translation.local_tasks\";s:7:\"deriver\";s:71:\"Drupal\\config_translation\\Plugin\\Derivative\\ConfigTranslationLocalTasks\";s:8:\"provider\";s:18:\"config_translation\";s:28:\"config_translation_plugin_id\";s:16:\"entity_view_mode\";}s:29:\"entity.contact_form.edit_form\";a:10:{s:10:\"route_name\";s:29:\"entity.contact_form.edit_form\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Edit\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:29:\"entity.contact_form.edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:29:\"entity.contact_form.edit_form\";s:8:\"provider\";s:7:\"contact\";}s:24:\"entity.user.contact_form\";a:10:{s:10:\"route_name\";s:24:\"entity.user.contact_form\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Contact\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:21:\"entity.user.canonical\";s:9:\"parent_id\";N;s:6:\"weight\";i:2;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:24:\"entity.user.contact_form\";s:8:\"provider\";s:7:\"contact\";}s:81:\"content_translation.local_tasks:entity.block_content.content_translation_overview\";a:12:{s:10:\"route_name\";s:49:\"entity.block_content.content_translation_overview\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Translate\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:30:\"entity.block_content.canonical\";s:9:\"parent_id\";N;s:6:\"weight\";i:100;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:31:\"content_translation.local_tasks\";s:11:\"entity_type\";s:13:\"block_content\";s:7:\"deriver\";s:73:\"Drupal\\content_translation\\Plugin\\Derivative\\ContentTranslationLocalTasks\";s:8:\"provider\";s:19:\"content_translation\";}s:75:\"content_translation.local_tasks:entity.comment.content_translation_overview\";a:12:{s:10:\"route_name\";s:43:\"entity.comment.content_translation_overview\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Translate\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:24:\"entity.comment.canonical\";s:9:\"parent_id\";N;s:6:\"weight\";i:100;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:31:\"content_translation.local_tasks\";s:11:\"entity_type\";s:7:\"comment\";s:7:\"deriver\";s:73:\"Drupal\\content_translation\\Plugin\\Derivative\\ContentTranslationLocalTasks\";s:8:\"provider\";s:19:\"content_translation\";}s:72:\"content_translation.local_tasks:entity.node.content_translation_overview\";a:12:{s:10:\"route_name\";s:40:\"entity.node.content_translation_overview\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Translate\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:21:\"entity.node.canonical\";s:9:\"parent_id\";N;s:6:\"weight\";i:100;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:31:\"content_translation.local_tasks\";s:11:\"entity_type\";s:4:\"node\";s:7:\"deriver\";s:73:\"Drupal\\content_translation\\Plugin\\Derivative\\ContentTranslationLocalTasks\";s:8:\"provider\";s:19:\"content_translation\";}s:76:\"content_translation.local_tasks:entity.shortcut.content_translation_overview\";a:12:{s:10:\"route_name\";s:44:\"entity.shortcut.content_translation_overview\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Translate\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:25:\"entity.shortcut.canonical\";s:9:\"parent_id\";N;s:6:\"weight\";i:100;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:31:\"content_translation.local_tasks\";s:11:\"entity_type\";s:8:\"shortcut\";s:7:\"deriver\";s:73:\"Drupal\\content_translation\\Plugin\\Derivative\\ContentTranslationLocalTasks\";s:8:\"provider\";s:19:\"content_translation\";}s:81:\"content_translation.local_tasks:entity.taxonomy_term.content_translation_overview\";a:12:{s:10:\"route_name\";s:49:\"entity.taxonomy_term.content_translation_overview\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Translate\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:30:\"entity.taxonomy_term.canonical\";s:9:\"parent_id\";N;s:6:\"weight\";i:100;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:31:\"content_translation.local_tasks\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:7:\"deriver\";s:73:\"Drupal\\content_translation\\Plugin\\Derivative\\ContentTranslationLocalTasks\";s:8:\"provider\";s:19:\"content_translation\";}s:72:\"content_translation.local_tasks:entity.user.content_translation_overview\";a:12:{s:10:\"route_name\";s:40:\"entity.user.content_translation_overview\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Translate\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:21:\"entity.user.canonical\";s:9:\"parent_id\";N;s:6:\"weight\";i:100;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:31:\"content_translation.local_tasks\";s:11:\"entity_type\";s:4:\"user\";s:7:\"deriver\";s:73:\"Drupal\\content_translation\\Plugin\\Derivative\\ContentTranslationLocalTasks\";s:8:\"provider\";s:19:\"content_translation\";}s:85:\"content_translation.local_tasks:entity.menu_link_content.content_translation_overview\";a:12:{s:10:\"route_name\";s:53:\"entity.menu_link_content.content_translation_overview\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Translate\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:34:\"entity.menu_link_content.canonical\";s:9:\"parent_id\";N;s:6:\"weight\";i:100;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:31:\"content_translation.local_tasks\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:7:\"deriver\";s:73:\"Drupal\\content_translation\\Plugin\\Derivative\\ContentTranslationLocalTasks\";s:8:\"provider\";s:19:\"content_translation\";}s:15:\"dblog.view_logs\";a:10:{s:10:\"route_name\";s:14:\"dblog.overview\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"View\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:14:\"dblog.overview\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"dblog.view_logs\";s:8:\"provider\";s:5:\"dblog\";}s:16:\"dblog.clear_logs\";a:10:{s:10:\"route_name\";s:13:\"dblog.confirm\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:14:\"dblog.overview\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:16:\"dblog.clear_logs\";s:8:\"provider\";s:5:\"dblog\";}s:38:\"entity.field_storage_config.collection\";a:10:{s:10:\"route_name\";s:38:\"entity.field_storage_config.collection\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Entities\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:38:\"entity.field_storage_config.collection\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:38:\"entity.field_storage_config.collection\";s:8:\"provider\";s:8:\"field_ui\";}s:38:\"field_ui.fields:overview_block_content\";a:11:{s:10:\"route_name\";s:36:\"entity.block_content.field_ui_fields\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:35:\"entity.block_content_type.edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";i:1;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:51:\"field_ui.fields:form_display_overview_block_content\";a:11:{s:10:\"route_name\";s:48:\"entity.entity_form_display.block_content.default\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:35:\"entity.block_content_type.edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";i:2;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:46:\"field_ui.fields:display_overview_block_content\";a:11:{s:10:\"route_name\";s:48:\"entity.entity_view_display.block_content.default\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:35:\"entity.block_content_type.edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";i:3;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:40:\"field_ui.fields:field_edit_block_content\";a:11:{s:10:\"route_name\";s:49:\"entity.field_config.block_content_field_edit_form\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Edit\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:49:\"entity.field_config.block_content_field_edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:43:\"field_ui.fields:field_storage_block_content\";a:11:{s:10:\"route_name\";s:51:\"entity.field_config.block_content_storage_edit_form\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Field settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:49:\"entity.field_config.block_content_field_edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:56:\"field_ui.fields:field_form_display_default_block_content\";a:11:{s:10:\"route_name\";s:48:\"entity.entity_form_display.block_content.default\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";s:7:\"Default\";s:10:\"base_route\";s:35:\"entity.block_content_type.edit_form\";s:9:\"parent_id\";s:51:\"field_ui.fields:form_display_overview_block_content\";s:6:\"weight\";i:-1;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:51:\"field_ui.fields:field_display_default_block_content\";a:11:{s:10:\"route_name\";s:48:\"entity.entity_view_display.block_content.default\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";s:7:\"Default\";s:10:\"base_route\";s:35:\"entity.block_content_type.edit_form\";s:9:\"parent_id\";s:46:\"field_ui.fields:display_overview_block_content\";s:6:\"weight\";i:-1;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:48:\"field_ui.fields:field_display_full_block_content\";a:12:{s:10:\"route_name\";s:50:\"entity.entity_view_display.block_content.view_mode\";s:16:\"route_parameters\";a:1:{s:14:\"view_mode_name\";s:4:\"full\";}s:5:\"title\";s:4:\"Full\";s:10:\"base_route\";s:35:\"entity.block_content_type.edit_form\";s:9:\"parent_id\";s:46:\"field_ui.fields:display_overview_block_content\";s:6:\"weight\";i:0;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:10:\"cache_tags\";a:1:{i:0;s:31:\"config:entity_view_display_list\";}s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:49:\"field_ui.fields:field_display_token_block_content\";a:12:{s:10:\"route_name\";s:50:\"entity.entity_view_display.block_content.view_mode\";s:16:\"route_parameters\";a:1:{s:14:\"view_mode_name\";s:5:\"token\";}s:5:\"title\";s:5:\"Token\";s:10:\"base_route\";s:35:\"entity.block_content_type.edit_form\";s:9:\"parent_id\";s:46:\"field_ui.fields:display_overview_block_content\";s:6:\"weight\";i:1;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:10:\"cache_tags\";a:1:{i:0;s:31:\"config:entity_view_display_list\";}s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:32:\"field_ui.fields:overview_comment\";a:11:{s:10:\"route_name\";s:30:\"entity.comment.field_ui_fields\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:29:\"entity.comment_type.edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";i:1;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:45:\"field_ui.fields:form_display_overview_comment\";a:11:{s:10:\"route_name\";s:42:\"entity.entity_form_display.comment.default\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:29:\"entity.comment_type.edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";i:2;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:40:\"field_ui.fields:display_overview_comment\";a:11:{s:10:\"route_name\";s:42:\"entity.entity_view_display.comment.default\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:29:\"entity.comment_type.edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";i:3;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:34:\"field_ui.fields:field_edit_comment\";a:11:{s:10:\"route_name\";s:43:\"entity.field_config.comment_field_edit_form\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Edit\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:43:\"entity.field_config.comment_field_edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:37:\"field_ui.fields:field_storage_comment\";a:11:{s:10:\"route_name\";s:45:\"entity.field_config.comment_storage_edit_form\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Field settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:43:\"entity.field_config.comment_field_edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:50:\"field_ui.fields:field_form_display_default_comment\";a:11:{s:10:\"route_name\";s:42:\"entity.entity_form_display.comment.default\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";s:7:\"Default\";s:10:\"base_route\";s:29:\"entity.comment_type.edit_form\";s:9:\"parent_id\";s:45:\"field_ui.fields:form_display_overview_comment\";s:6:\"weight\";i:-1;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:45:\"field_ui.fields:field_display_default_comment\";a:11:{s:10:\"route_name\";s:42:\"entity.entity_view_display.comment.default\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";s:7:\"Default\";s:10:\"base_route\";s:29:\"entity.comment_type.edit_form\";s:9:\"parent_id\";s:40:\"field_ui.fields:display_overview_comment\";s:6:\"weight\";i:-1;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:42:\"field_ui.fields:field_display_full_comment\";a:12:{s:10:\"route_name\";s:44:\"entity.entity_view_display.comment.view_mode\";s:16:\"route_parameters\";a:1:{s:14:\"view_mode_name\";s:4:\"full\";}s:5:\"title\";s:12:\"Full comment\";s:10:\"base_route\";s:29:\"entity.comment_type.edit_form\";s:9:\"parent_id\";s:40:\"field_ui.fields:display_overview_comment\";s:6:\"weight\";i:0;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:10:\"cache_tags\";a:1:{i:0;s:31:\"config:entity_view_display_list\";}s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:43:\"field_ui.fields:field_display_token_comment\";a:12:{s:10:\"route_name\";s:44:\"entity.entity_view_display.comment.view_mode\";s:16:\"route_parameters\";a:1:{s:14:\"view_mode_name\";s:5:\"token\";}s:5:\"title\";s:5:\"Token\";s:10:\"base_route\";s:29:\"entity.comment_type.edit_form\";s:9:\"parent_id\";s:40:\"field_ui.fields:display_overview_comment\";s:6:\"weight\";i:1;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:10:\"cache_tags\";a:1:{i:0;s:31:\"config:entity_view_display_list\";}s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:40:\"field_ui.fields:overview_contact_message\";a:11:{s:10:\"route_name\";s:38:\"entity.contact_message.field_ui_fields\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:29:\"entity.contact_form.edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";i:1;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:53:\"field_ui.fields:form_display_overview_contact_message\";a:11:{s:10:\"route_name\";s:50:\"entity.entity_form_display.contact_message.default\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:29:\"entity.contact_form.edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";i:2;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:48:\"field_ui.fields:display_overview_contact_message\";a:11:{s:10:\"route_name\";s:50:\"entity.entity_view_display.contact_message.default\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:29:\"entity.contact_form.edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";i:3;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:42:\"field_ui.fields:field_edit_contact_message\";a:11:{s:10:\"route_name\";s:51:\"entity.field_config.contact_message_field_edit_form\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Edit\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:51:\"entity.field_config.contact_message_field_edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:45:\"field_ui.fields:field_storage_contact_message\";a:11:{s:10:\"route_name\";s:53:\"entity.field_config.contact_message_storage_edit_form\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Field settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:51:\"entity.field_config.contact_message_field_edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:58:\"field_ui.fields:field_form_display_default_contact_message\";a:11:{s:10:\"route_name\";s:50:\"entity.entity_form_display.contact_message.default\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";s:7:\"Default\";s:10:\"base_route\";s:29:\"entity.contact_form.edit_form\";s:9:\"parent_id\";s:53:\"field_ui.fields:form_display_overview_contact_message\";s:6:\"weight\";i:-1;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:53:\"field_ui.fields:field_display_default_contact_message\";a:11:{s:10:\"route_name\";s:50:\"entity.entity_view_display.contact_message.default\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";s:7:\"Default\";s:10:\"base_route\";s:29:\"entity.contact_form.edit_form\";s:9:\"parent_id\";s:48:\"field_ui.fields:display_overview_contact_message\";s:6:\"weight\";i:-1;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:51:\"field_ui.fields:field_display_token_contact_message\";a:12:{s:10:\"route_name\";s:52:\"entity.entity_view_display.contact_message.view_mode\";s:16:\"route_parameters\";a:1:{s:14:\"view_mode_name\";s:5:\"token\";}s:5:\"title\";s:5:\"Token\";s:10:\"base_route\";s:29:\"entity.contact_form.edit_form\";s:9:\"parent_id\";s:48:\"field_ui.fields:display_overview_contact_message\";s:6:\"weight\";i:0;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:10:\"cache_tags\";a:1:{i:0;s:31:\"config:entity_view_display_list\";}s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:29:\"field_ui.fields:overview_node\";a:11:{s:10:\"route_name\";s:27:\"entity.node.field_ui_fields\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:26:\"entity.node_type.edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";i:1;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:42:\"field_ui.fields:form_display_overview_node\";a:11:{s:10:\"route_name\";s:39:\"entity.entity_form_display.node.default\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:26:\"entity.node_type.edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";i:2;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:37:\"field_ui.fields:display_overview_node\";a:11:{s:10:\"route_name\";s:39:\"entity.entity_view_display.node.default\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:26:\"entity.node_type.edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";i:3;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:31:\"field_ui.fields:field_edit_node\";a:11:{s:10:\"route_name\";s:40:\"entity.field_config.node_field_edit_form\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Edit\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:40:\"entity.field_config.node_field_edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:34:\"field_ui.fields:field_storage_node\";a:11:{s:10:\"route_name\";s:42:\"entity.field_config.node_storage_edit_form\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Field settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:40:\"entity.field_config.node_field_edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:47:\"field_ui.fields:field_form_display_default_node\";a:11:{s:10:\"route_name\";s:39:\"entity.entity_form_display.node.default\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";s:7:\"Default\";s:10:\"base_route\";s:26:\"entity.node_type.edit_form\";s:9:\"parent_id\";s:42:\"field_ui.fields:form_display_overview_node\";s:6:\"weight\";i:-1;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:42:\"field_ui.fields:field_display_default_node\";a:11:{s:10:\"route_name\";s:39:\"entity.entity_view_display.node.default\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";s:7:\"Default\";s:10:\"base_route\";s:26:\"entity.node_type.edit_form\";s:9:\"parent_id\";s:37:\"field_ui.fields:display_overview_node\";s:6:\"weight\";i:-1;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:45:\"field_ui.fields:field_display_email_html_node\";a:12:{s:10:\"route_name\";s:41:\"entity.entity_view_display.node.view_mode\";s:16:\"route_parameters\";a:1:{s:14:\"view_mode_name\";s:10:\"email_html\";}s:5:\"title\";s:11:\"Email: HTML\";s:10:\"base_route\";s:26:\"entity.node_type.edit_form\";s:9:\"parent_id\";s:37:\"field_ui.fields:display_overview_node\";s:6:\"weight\";i:0;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:10:\"cache_tags\";a:1:{i:0;s:31:\"config:entity_view_display_list\";}s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:46:\"field_ui.fields:field_display_email_plain_node\";a:12:{s:10:\"route_name\";s:41:\"entity.entity_view_display.node.view_mode\";s:16:\"route_parameters\";a:1:{s:14:\"view_mode_name\";s:11:\"email_plain\";}s:5:\"title\";s:12:\"Email: Plain\";s:10:\"base_route\";s:26:\"entity.node_type.edit_form\";s:9:\"parent_id\";s:37:\"field_ui.fields:display_overview_node\";s:6:\"weight\";i:1;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:10:\"cache_tags\";a:1:{i:0;s:31:\"config:entity_view_display_list\";}s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:48:\"field_ui.fields:field_display_email_textalt_node\";a:12:{s:10:\"route_name\";s:41:\"entity.entity_view_display.node.view_mode\";s:16:\"route_parameters\";a:1:{s:14:\"view_mode_name\";s:13:\"email_textalt\";}s:5:\"title\";s:28:\"Email: HTML text alternative\";s:10:\"base_route\";s:26:\"entity.node_type.edit_form\";s:9:\"parent_id\";s:37:\"field_ui.fields:display_overview_node\";s:6:\"weight\";i:2;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:10:\"cache_tags\";a:1:{i:0;s:31:\"config:entity_view_display_list\";}s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:39:\"field_ui.fields:field_display_full_node\";a:12:{s:10:\"route_name\";s:41:\"entity.entity_view_display.node.view_mode\";s:16:\"route_parameters\";a:1:{s:14:\"view_mode_name\";s:4:\"full\";}s:5:\"title\";s:12:\"Full content\";s:10:\"base_route\";s:26:\"entity.node_type.edit_form\";s:9:\"parent_id\";s:37:\"field_ui.fields:display_overview_node\";s:6:\"weight\";i:3;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:10:\"cache_tags\";a:1:{i:0;s:31:\"config:entity_view_display_list\";}s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:38:\"field_ui.fields:field_display_rss_node\";a:12:{s:10:\"route_name\";s:41:\"entity.entity_view_display.node.view_mode\";s:16:\"route_parameters\";a:1:{s:14:\"view_mode_name\";s:3:\"rss\";}s:5:\"title\";s:3:\"RSS\";s:10:\"base_route\";s:26:\"entity.node_type.edit_form\";s:9:\"parent_id\";s:37:\"field_ui.fields:display_overview_node\";s:6:\"weight\";i:4;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:10:\"cache_tags\";a:1:{i:0;s:31:\"config:entity_view_display_list\";}s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:47:\"field_ui.fields:field_display_search_index_node\";a:12:{s:10:\"route_name\";s:41:\"entity.entity_view_display.node.view_mode\";s:16:\"route_parameters\";a:1:{s:14:\"view_mode_name\";s:12:\"search_index\";}s:5:\"title\";s:12:\"Search index\";s:10:\"base_route\";s:26:\"entity.node_type.edit_form\";s:9:\"parent_id\";s:37:\"field_ui.fields:display_overview_node\";s:6:\"weight\";i:5;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:10:\"cache_tags\";a:1:{i:0;s:31:\"config:entity_view_display_list\";}s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:48:\"field_ui.fields:field_display_search_result_node\";a:12:{s:10:\"route_name\";s:41:\"entity.entity_view_display.node.view_mode\";s:16:\"route_parameters\";a:1:{s:14:\"view_mode_name\";s:13:\"search_result\";}s:5:\"title\";s:32:\"Search result highlighting input\";s:10:\"base_route\";s:26:\"entity.node_type.edit_form\";s:9:\"parent_id\";s:37:\"field_ui.fields:display_overview_node\";s:6:\"weight\";i:6;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:10:\"cache_tags\";a:1:{i:0;s:31:\"config:entity_view_display_list\";}s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:41:\"field_ui.fields:field_display_teaser_node\";a:12:{s:10:\"route_name\";s:41:\"entity.entity_view_display.node.view_mode\";s:16:\"route_parameters\";a:1:{s:14:\"view_mode_name\";s:6:\"teaser\";}s:5:\"title\";s:6:\"Teaser\";s:10:\"base_route\";s:26:\"entity.node_type.edit_form\";s:9:\"parent_id\";s:37:\"field_ui.fields:display_overview_node\";s:6:\"weight\";i:7;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:10:\"cache_tags\";a:1:{i:0;s:31:\"config:entity_view_display_list\";}s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:40:\"field_ui.fields:field_display_token_node\";a:12:{s:10:\"route_name\";s:41:\"entity.entity_view_display.node.view_mode\";s:16:\"route_parameters\";a:1:{s:14:\"view_mode_name\";s:5:\"token\";}s:5:\"title\";s:5:\"Token\";s:10:\"base_route\";s:26:\"entity.node_type.edit_form\";s:9:\"parent_id\";s:37:\"field_ui.fields:display_overview_node\";s:6:\"weight\";i:8;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:10:\"cache_tags\";a:1:{i:0;s:31:\"config:entity_view_display_list\";}s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:46:\"field_ui.fields:overview_simplenews_subscriber\";a:11:{s:10:\"route_name\";s:44:\"entity.simplenews_subscriber.field_ui_fields\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:30:\"simplenews.settings_subscriber\";s:9:\"parent_id\";N;s:6:\"weight\";i:1;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:59:\"field_ui.fields:form_display_overview_simplenews_subscriber\";a:11:{s:10:\"route_name\";s:56:\"entity.entity_form_display.simplenews_subscriber.default\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:30:\"simplenews.settings_subscriber\";s:9:\"parent_id\";N;s:6:\"weight\";i:2;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:54:\"field_ui.fields:display_overview_simplenews_subscriber\";a:11:{s:10:\"route_name\";s:56:\"entity.entity_view_display.simplenews_subscriber.default\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:30:\"simplenews.settings_subscriber\";s:9:\"parent_id\";N;s:6:\"weight\";i:3;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:48:\"field_ui.fields:field_edit_simplenews_subscriber\";a:11:{s:10:\"route_name\";s:57:\"entity.field_config.simplenews_subscriber_field_edit_form\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Edit\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:57:\"entity.field_config.simplenews_subscriber_field_edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:51:\"field_ui.fields:field_storage_simplenews_subscriber\";a:11:{s:10:\"route_name\";s:59:\"entity.field_config.simplenews_subscriber_storage_edit_form\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Field settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:57:\"entity.field_config.simplenews_subscriber_field_edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:64:\"field_ui.fields:field_form_display_default_simplenews_subscriber\";a:11:{s:10:\"route_name\";s:56:\"entity.entity_form_display.simplenews_subscriber.default\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";s:7:\"Default\";s:10:\"base_route\";s:30:\"simplenews.settings_subscriber\";s:9:\"parent_id\";s:59:\"field_ui.fields:form_display_overview_simplenews_subscriber\";s:6:\"weight\";i:-1;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:59:\"field_ui.fields:field_display_default_simplenews_subscriber\";a:11:{s:10:\"route_name\";s:56:\"entity.entity_view_display.simplenews_subscriber.default\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";s:7:\"Default\";s:10:\"base_route\";s:30:\"simplenews.settings_subscriber\";s:9:\"parent_id\";s:54:\"field_ui.fields:display_overview_simplenews_subscriber\";s:6:\"weight\";i:-1;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:64:\"field_ui.fields:field_form_display_account_simplenews_subscriber\";a:12:{s:10:\"route_name\";s:58:\"entity.entity_form_display.simplenews_subscriber.form_mode\";s:16:\"route_parameters\";a:1:{s:14:\"form_mode_name\";s:7:\"account\";}s:5:\"title\";s:7:\"Account\";s:10:\"base_route\";s:30:\"simplenews.settings_subscriber\";s:9:\"parent_id\";s:59:\"field_ui.fields:form_display_overview_simplenews_subscriber\";s:6:\"weight\";i:0;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:10:\"cache_tags\";a:1:{i:0;s:31:\"config:entity_form_display_list\";}s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:62:\"field_ui.fields:field_form_display_block_simplenews_subscriber\";a:12:{s:10:\"route_name\";s:58:\"entity.entity_form_display.simplenews_subscriber.form_mode\";s:16:\"route_parameters\";a:1:{s:14:\"form_mode_name\";s:5:\"block\";}s:5:\"title\";s:5:\"Block\";s:10:\"base_route\";s:30:\"simplenews.settings_subscriber\";s:9:\"parent_id\";s:59:\"field_ui.fields:form_display_overview_simplenews_subscriber\";s:6:\"weight\";i:1;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:10:\"cache_tags\";a:1:{i:0;s:31:\"config:entity_form_display_list\";}s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:61:\"field_ui.fields:field_form_display_page_simplenews_subscriber\";a:12:{s:10:\"route_name\";s:58:\"entity.entity_form_display.simplenews_subscriber.form_mode\";s:16:\"route_parameters\";a:1:{s:14:\"form_mode_name\";s:4:\"page\";}s:5:\"title\";s:4:\"Page\";s:10:\"base_route\";s:30:\"simplenews.settings_subscriber\";s:9:\"parent_id\";s:59:\"field_ui.fields:form_display_overview_simplenews_subscriber\";s:6:\"weight\";i:2;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:10:\"cache_tags\";a:1:{i:0;s:31:\"config:entity_form_display_list\";}s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:38:\"field_ui.fields:overview_taxonomy_term\";a:11:{s:10:\"route_name\";s:36:\"entity.taxonomy_term.field_ui_fields\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:40:\"entity.taxonomy_vocabulary.overview_form\";s:9:\"parent_id\";N;s:6:\"weight\";i:1;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:51:\"field_ui.fields:form_display_overview_taxonomy_term\";a:11:{s:10:\"route_name\";s:48:\"entity.entity_form_display.taxonomy_term.default\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:40:\"entity.taxonomy_vocabulary.overview_form\";s:9:\"parent_id\";N;s:6:\"weight\";i:2;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:46:\"field_ui.fields:display_overview_taxonomy_term\";a:11:{s:10:\"route_name\";s:48:\"entity.entity_view_display.taxonomy_term.default\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:40:\"entity.taxonomy_vocabulary.overview_form\";s:9:\"parent_id\";N;s:6:\"weight\";i:3;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:40:\"field_ui.fields:field_edit_taxonomy_term\";a:11:{s:10:\"route_name\";s:49:\"entity.field_config.taxonomy_term_field_edit_form\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Edit\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:49:\"entity.field_config.taxonomy_term_field_edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:43:\"field_ui.fields:field_storage_taxonomy_term\";a:11:{s:10:\"route_name\";s:51:\"entity.field_config.taxonomy_term_storage_edit_form\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Field settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:49:\"entity.field_config.taxonomy_term_field_edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:56:\"field_ui.fields:field_form_display_default_taxonomy_term\";a:11:{s:10:\"route_name\";s:48:\"entity.entity_form_display.taxonomy_term.default\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";s:7:\"Default\";s:10:\"base_route\";s:40:\"entity.taxonomy_vocabulary.overview_form\";s:9:\"parent_id\";s:51:\"field_ui.fields:form_display_overview_taxonomy_term\";s:6:\"weight\";i:-1;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:51:\"field_ui.fields:field_display_default_taxonomy_term\";a:11:{s:10:\"route_name\";s:48:\"entity.entity_view_display.taxonomy_term.default\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";s:7:\"Default\";s:10:\"base_route\";s:40:\"entity.taxonomy_vocabulary.overview_form\";s:9:\"parent_id\";s:46:\"field_ui.fields:display_overview_taxonomy_term\";s:6:\"weight\";i:-1;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:48:\"field_ui.fields:field_display_full_taxonomy_term\";a:12:{s:10:\"route_name\";s:50:\"entity.entity_view_display.taxonomy_term.view_mode\";s:16:\"route_parameters\";a:1:{s:14:\"view_mode_name\";s:4:\"full\";}s:5:\"title\";s:18:\"Taxonomy term page\";s:10:\"base_route\";s:40:\"entity.taxonomy_vocabulary.overview_form\";s:9:\"parent_id\";s:46:\"field_ui.fields:display_overview_taxonomy_term\";s:6:\"weight\";i:0;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:10:\"cache_tags\";a:1:{i:0;s:31:\"config:entity_view_display_list\";}s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:49:\"field_ui.fields:field_display_token_taxonomy_term\";a:12:{s:10:\"route_name\";s:50:\"entity.entity_view_display.taxonomy_term.view_mode\";s:16:\"route_parameters\";a:1:{s:14:\"view_mode_name\";s:5:\"token\";}s:5:\"title\";s:5:\"Token\";s:10:\"base_route\";s:40:\"entity.taxonomy_vocabulary.overview_form\";s:9:\"parent_id\";s:46:\"field_ui.fields:display_overview_taxonomy_term\";s:6:\"weight\";i:1;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:10:\"cache_tags\";a:1:{i:0;s:31:\"config:entity_view_display_list\";}s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:29:\"field_ui.fields:overview_user\";a:11:{s:10:\"route_name\";s:27:\"entity.user.field_ui_fields\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:22:\"entity.user.admin_form\";s:9:\"parent_id\";N;s:6:\"weight\";i:1;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:42:\"field_ui.fields:form_display_overview_user\";a:11:{s:10:\"route_name\";s:39:\"entity.entity_form_display.user.default\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:22:\"entity.user.admin_form\";s:9:\"parent_id\";N;s:6:\"weight\";i:2;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:37:\"field_ui.fields:display_overview_user\";a:11:{s:10:\"route_name\";s:39:\"entity.entity_view_display.user.default\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:22:\"entity.user.admin_form\";s:9:\"parent_id\";N;s:6:\"weight\";i:3;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:31:\"field_ui.fields:field_edit_user\";a:11:{s:10:\"route_name\";s:40:\"entity.field_config.user_field_edit_form\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Edit\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:40:\"entity.field_config.user_field_edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:34:\"field_ui.fields:field_storage_user\";a:11:{s:10:\"route_name\";s:42:\"entity.field_config.user_storage_edit_form\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Field settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:40:\"entity.field_config.user_field_edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:47:\"field_ui.fields:field_form_display_default_user\";a:11:{s:10:\"route_name\";s:39:\"entity.entity_form_display.user.default\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";s:7:\"Default\";s:10:\"base_route\";s:22:\"entity.user.admin_form\";s:9:\"parent_id\";s:42:\"field_ui.fields:form_display_overview_user\";s:6:\"weight\";i:-1;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:42:\"field_ui.fields:field_display_default_user\";a:11:{s:10:\"route_name\";s:39:\"entity.entity_view_display.user.default\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";s:7:\"Default\";s:10:\"base_route\";s:22:\"entity.user.admin_form\";s:9:\"parent_id\";s:37:\"field_ui.fields:display_overview_user\";s:6:\"weight\";i:-1;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:48:\"field_ui.fields:field_form_display_register_user\";a:12:{s:10:\"route_name\";s:41:\"entity.entity_form_display.user.form_mode\";s:16:\"route_parameters\";a:1:{s:14:\"form_mode_name\";s:8:\"register\";}s:5:\"title\";s:8:\"Register\";s:10:\"base_route\";s:22:\"entity.user.admin_form\";s:9:\"parent_id\";s:42:\"field_ui.fields:form_display_overview_user\";s:6:\"weight\";i:0;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:10:\"cache_tags\";a:1:{i:0;s:31:\"config:entity_form_display_list\";}s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:42:\"field_ui.fields:field_display_compact_user\";a:12:{s:10:\"route_name\";s:41:\"entity.entity_view_display.user.view_mode\";s:16:\"route_parameters\";a:1:{s:14:\"view_mode_name\";s:7:\"compact\";}s:5:\"title\";s:7:\"Compact\";s:10:\"base_route\";s:22:\"entity.user.admin_form\";s:9:\"parent_id\";s:37:\"field_ui.fields:display_overview_user\";s:6:\"weight\";i:0;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:10:\"cache_tags\";a:1:{i:0;s:31:\"config:entity_view_display_list\";}s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:39:\"field_ui.fields:field_display_full_user\";a:12:{s:10:\"route_name\";s:41:\"entity.entity_view_display.user.view_mode\";s:16:\"route_parameters\";a:1:{s:14:\"view_mode_name\";s:4:\"full\";}s:5:\"title\";s:12:\"User account\";s:10:\"base_route\";s:22:\"entity.user.admin_form\";s:9:\"parent_id\";s:37:\"field_ui.fields:display_overview_user\";s:6:\"weight\";i:1;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:10:\"cache_tags\";a:1:{i:0;s:31:\"config:entity_view_display_list\";}s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:40:\"field_ui.fields:field_display_token_user\";a:12:{s:10:\"route_name\";s:41:\"entity.entity_view_display.user.view_mode\";s:16:\"route_parameters\";a:1:{s:14:\"view_mode_name\";s:5:\"token\";}s:5:\"title\";s:5:\"Token\";s:10:\"base_route\";s:22:\"entity.user.admin_form\";s:9:\"parent_id\";s:37:\"field_ui.fields:display_overview_user\";s:6:\"weight\";i:2;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:10:\"cache_tags\";a:1:{i:0;s:31:\"config:entity_view_display_list\";}s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:33:\"entity.entity_view_mode.edit_form\";a:10:{s:10:\"route_name\";s:33:\"entity.entity_view_mode.edit_form\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Edit\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:33:\"entity.entity_view_mode.edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:33:\"entity.entity_view_mode.edit_form\";s:8:\"provider\";s:8:\"field_ui\";}s:33:\"entity.entity_form_mode.edit_form\";a:10:{s:10:\"route_name\";s:33:\"entity.entity_form_mode.edit_form\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Edit\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:33:\"entity.entity_form_mode.edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:33:\"entity.entity_form_mode.edit_form\";s:8:\"provider\";s:8:\"field_ui\";}s:34:\"entity.entity_view_mode.collection\";a:10:{s:10:\"route_name\";s:34:\"entity.entity_view_mode.collection\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"List\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:34:\"entity.entity_view_mode.collection\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:34:\"entity.entity_view_mode.collection\";s:8:\"provider\";s:8:\"field_ui\";}s:34:\"entity.entity_form_mode.collection\";a:10:{s:10:\"route_name\";s:34:\"entity.entity_form_mode.collection\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"List\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:34:\"entity.entity_form_mode.collection\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:34:\"entity.entity_form_mode.collection\";s:8:\"provider\";s:8:\"field_ui\";}s:34:\"entity.filter_format.edit_form_tab\";a:10:{s:10:\"route_name\";s:30:\"entity.filter_format.edit_form\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Configure\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:30:\"entity.filter_format.edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";i:-10;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:34:\"entity.filter_format.edit_form_tab\";s:8:\"provider\";s:6:\"filter\";}s:21:\"filter.admin_overview\";a:10:{s:10:\"route_name\";s:21:\"filter.admin_overview\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"List\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:21:\"filter.admin_overview\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:21:\"filter.admin_overview\";s:8:\"provider\";s:6:\"filter\";}s:28:\"entity.image_style.edit_form\";a:10:{s:10:\"route_name\";s:28:\"entity.image_style.edit_form\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Edit\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:28:\"entity.image_style.edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:28:\"entity.image_style.edit_form\";s:8:\"provider\";s:5:\"image\";}s:29:\"entity.image_style.collection\";a:10:{s:10:\"route_name\";s:29:\"entity.image_style.collection\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"List\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:29:\"entity.image_style.collection\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:29:\"entity.image_style.collection\";s:8:\"provider\";s:5:\"image\";}s:39:\"entity.configurable_language.collection\";a:10:{s:10:\"route_name\";s:39:\"entity.configurable_language.collection\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"List\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:39:\"entity.configurable_language.collection\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:39:\"entity.configurable_language.collection\";s:8:\"provider\";s:8:\"language\";}s:20:\"language.negotiation\";a:10:{s:10:\"route_name\";s:20:\"language.negotiation\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"Detection and selection\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:39:\"entity.configurable_language.collection\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:20:\"language.negotiation\";s:8:\"provider\";s:8:\"language\";}s:38:\"entity.configurable_language.edit_form\";a:10:{s:10:\"route_name\";s:38:\"entity.configurable_language.edit_form\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Edit\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:38:\"entity.configurable_language.edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:38:\"entity.configurable_language.edit_form\";s:8:\"provider\";s:8:\"language\";}s:21:\"locale.translate_page\";a:10:{s:10:\"route_name\";s:21:\"locale.translate_page\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Translate\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:21:\"locale.translate_page\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:21:\"locale.translate_page\";s:8:\"provider\";s:6:\"locale\";}s:23:\"locale.translate_import\";a:10:{s:10:\"route_name\";s:23:\"locale.translate_import\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Import\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:21:\"locale.translate_page\";s:9:\"parent_id\";N;s:6:\"weight\";i:20;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:23:\"locale.translate_import\";s:8:\"provider\";s:6:\"locale\";}s:23:\"locale.translate_export\";a:10:{s:10:\"route_name\";s:23:\"locale.translate_export\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Export\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:21:\"locale.translate_page\";s:9:\"parent_id\";N;s:6:\"weight\";i:30;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:23:\"locale.translate_export\";s:8:\"provider\";s:6:\"locale\";}s:15:\"locale.settings\";a:10:{s:10:\"route_name\";s:15:\"locale.settings\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:21:\"locale.translate_page\";s:9:\"parent_id\";N;s:6:\"weight\";i:100;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"locale.settings\";s:8:\"provider\";s:6:\"locale\";}s:27:\"menu_link_attributes.config\";a:10:{s:10:\"route_name\";s:27:\"menu_link_attributes.config\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Available attributes\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:22:\"entity.menu.collection\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:27:\"menu_link_attributes.config\";s:8:\"provider\";s:20:\"menu_link_attributes\";}s:21:\"entity.menu.edit_form\";a:10:{s:10:\"route_name\";s:21:\"entity.menu.edit_form\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Edit menu\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:21:\"entity.menu.edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:21:\"entity.menu.edit_form\";s:8:\"provider\";s:7:\"menu_ui\";}s:22:\"entity.menu.collection\";a:10:{s:10:\"route_name\";s:22:\"entity.menu.collection\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"List\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:22:\"entity.menu.collection\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:22:\"entity.menu.collection\";s:8:\"provider\";s:7:\"menu_ui\";}s:21:\"entity.node.canonical\";a:10:{s:10:\"route_name\";s:21:\"entity.node.canonical\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"View\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:21:\"entity.node.canonical\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:21:\"entity.node.canonical\";s:8:\"provider\";s:4:\"node\";}s:21:\"entity.node.edit_form\";a:10:{s:10:\"route_name\";s:21:\"entity.node.edit_form\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Edit\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:21:\"entity.node.canonical\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:21:\"entity.node.edit_form\";s:8:\"provider\";s:4:\"node\";}s:23:\"entity.node.delete_form\";a:10:{s:10:\"route_name\";s:23:\"entity.node.delete_form\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:21:\"entity.node.canonical\";s:9:\"parent_id\";N;s:6:\"weight\";i:10;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:23:\"entity.node.delete_form\";s:8:\"provider\";s:4:\"node\";}s:27:\"entity.node.version_history\";a:10:{s:10:\"route_name\";s:27:\"entity.node.version_history\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Revisions\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:21:\"entity.node.canonical\";s:9:\"parent_id\";N;s:6:\"weight\";i:20;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:27:\"entity.node.version_history\";s:8:\"provider\";s:4:\"node\";}s:26:\"entity.node_type.edit_form\";a:10:{s:10:\"route_name\";s:26:\"entity.node_type.edit_form\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Edit\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:26:\"entity.node_type.edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:26:\"entity.node_type.edit_form\";s:8:\"provider\";s:4:\"node\";}s:27:\"entity.node_type.collection\";a:10:{s:10:\"route_name\";s:27:\"entity.node_type.collection\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"List\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:27:\"entity.node_type.collection\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:27:\"entity.node_type.collection\";s:8:\"provider\";s:4:\"node\";}s:28:\"entity.path_alias.collection\";a:10:{s:10:\"route_name\";s:28:\"entity.path_alias.collection\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"List\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:28:\"entity.path_alias.collection\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:28:\"entity.path_alias.collection\";s:8:\"provider\";s:4:\"path\";}s:39:\"entity.responsive_image_style.edit_form\";a:10:{s:10:\"route_name\";s:39:\"entity.responsive_image_style.edit_form\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Edit\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:39:\"entity.responsive_image_style.edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";i:-10;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:39:\"entity.responsive_image_style.edit_form\";s:8:\"provider\";s:16:\"responsive_image\";}s:26:\"search.plugins:node_search\";a:9:{s:10:\"route_name\";s:23:\"search.view_node_search\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";s:7:\"Content\";s:10:\"base_route\";s:26:\"search.plugins:node_search\";s:9:\"parent_id\";N;s:6:\"weight\";i:-10;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:0:\"\";}s:26:\"search.plugins:user_search\";a:9:{s:10:\"route_name\";s:23:\"search.view_user_search\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";s:5:\"Users\";s:10:\"base_route\";s:26:\"search.plugins:node_search\";s:9:\"parent_id\";N;s:6:\"weight\";i:0;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:0:\"\";}s:19:\"shortcut.set_switch\";a:10:{s:10:\"route_name\";s:19:\"shortcut.set_switch\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Shortcuts\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:21:\"entity.user.canonical\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:19:\"shortcut.set_switch\";s:8:\"provider\";s:8:\"shortcut\";}s:34:\"entity.shortcut_set.customize_form\";a:10:{s:10:\"route_name\";s:34:\"entity.shortcut_set.customize_form\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"List links\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:34:\"entity.shortcut_set.customize_form\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:34:\"entity.shortcut_set.customize_form\";s:8:\"provider\";s:8:\"shortcut\";}s:29:\"entity.shortcut_set.edit_form\";a:10:{s:10:\"route_name\";s:29:\"entity.shortcut_set.edit_form\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Edit set name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:34:\"entity.shortcut_set.customize_form\";s:9:\"parent_id\";N;s:6:\"weight\";i:10;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:29:\"entity.shortcut_set.edit_form\";s:8:\"provider\";s:8:\"shortcut\";}s:25:\"entity.shortcut.canonical\";a:10:{s:10:\"route_name\";s:25:\"entity.shortcut.canonical\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Edit\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:25:\"entity.shortcut.canonical\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:25:\"entity.shortcut.canonical\";s:8:\"provider\";s:8:\"shortcut\";}s:30:\"simplenews.settings_subscriber\";a:11:{s:10:\"route_name\";s:30:\"simplenews.settings_subscriber\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:30:\"simplenews.settings_subscriber\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:30:\"simplenews.settings_subscriber\";s:11:\"description\";s:31:\"Simplenews subscriber settings.\";s:8:\"provider\";s:10:\"simplenews\";}s:26:\"simplenews.newsletter_list\";a:11:{s:10:\"route_name\";s:26:\"simplenews.newsletter_list\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Newsletters\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:26:\"simplenews.newsletter_list\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:26:\"simplenews.newsletter_list\";s:11:\"description\";s:27:\"Listing of all newsletters.\";s:8:\"provider\";s:10:\"simplenews\";}s:19:\"simplenews.settings\";a:11:{s:10:\"route_name\";s:30:\"simplenews.settings_newsletter\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:26:\"simplenews.newsletter_list\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:19:\"simplenews.settings\";s:11:\"description\";s:20:\"Simplenews settings.\";s:8:\"provider\";s:10:\"simplenews\";}s:30:\"simplenews.settings_newsletter\";a:11:{s:10:\"route_name\";s:30:\"simplenews.settings_newsletter\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Newsletter\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:26:\"simplenews.newsletter_list\";s:9:\"parent_id\";s:19:\"simplenews.settings\";s:6:\"weight\";i:-15;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:30:\"simplenews.settings_newsletter\";s:11:\"description\";s:31:\"Simplenews newsletter settings.\";s:8:\"provider\";s:10:\"simplenews\";}s:32:\"simplenews.settings_subscription\";a:11:{s:10:\"route_name\";s:32:\"simplenews.settings_subscription\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Subscription\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:26:\"simplenews.newsletter_list\";s:9:\"parent_id\";s:19:\"simplenews.settings\";s:6:\"weight\";i:-10;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:32:\"simplenews.settings_subscription\";s:11:\"description\";s:58:\"Subscription settings, opt-in/out confirmation email text.\";s:8:\"provider\";s:10:\"simplenews\";}s:24:\"simplenews.settings_mail\";a:11:{s:10:\"route_name\";s:24:\"simplenews.settings_mail\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Send mail\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:26:\"simplenews.newsletter_list\";s:9:\"parent_id\";s:19:\"simplenews.settings\";s:6:\"weight\";i:-5;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:24:\"simplenews.settings_mail\";s:11:\"description\";s:34:\"Send mail, cron and debug options.\";s:8:\"provider\";s:10:\"simplenews\";}s:37:\"simplenews.settings_prepare_uninstall\";a:11:{s:10:\"route_name\";s:37:\"simplenews.settings_prepare_uninstall\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Prepare uninstall\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:26:\"simplenews.newsletter_list\";s:9:\"parent_id\";s:19:\"simplenews.settings\";s:6:\"weight\";i:-4;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:37:\"simplenews.settings_prepare_uninstall\";s:11:\"description\";s:52:\"Remove fields and data created by Simplenews module.\";s:8:\"provider\";s:10:\"simplenews\";}s:40:\"simplenews.newsletter_subscriptions_user\";a:11:{s:10:\"route_name\";s:40:\"simplenews.newsletter_subscriptions_user\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Newsletters\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:21:\"entity.user.canonical\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:40:\"simplenews.newsletter_subscriptions_user\";s:11:\"description\";s:40:\"Configure your newsletter subscriptions.\";s:8:\"provider\";s:10:\"simplenews\";}s:19:\"simplenews.node_tab\";a:10:{s:10:\"route_name\";s:19:\"simplenews.node_tab\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Newsletter\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:21:\"entity.node.canonical\";s:9:\"parent_id\";N;s:6:\"weight\";i:5;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:19:\"simplenews.node_tab\";s:8:\"provider\";s:10:\"simplenews\";}s:29:\"system.rss_feeds_settings_tab\";a:10:{s:10:\"route_name\";s:25:\"system.rss_feeds_settings\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:25:\"system.rss_feeds_settings\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:29:\"system.rss_feeds_settings_tab\";s:8:\"provider\";s:6:\"system\";}s:32:\"system.site_maintenance_mode_tab\";a:10:{s:10:\"route_name\";s:28:\"system.site_maintenance_mode\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:28:\"system.site_maintenance_mode\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:32:\"system.site_maintenance_mode_tab\";s:8:\"provider\";s:6:\"system\";}s:36:\"system.site_information_settings_tab\";a:10:{s:10:\"route_name\";s:32:\"system.site_information_settings\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:32:\"system.site_information_settings\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:36:\"system.site_information_settings_tab\";s:8:\"provider\";s:6:\"system\";}s:18:\"system.themes_page\";a:10:{s:10:\"route_name\";s:18:\"system.themes_page\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"List\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:18:\"system.themes_page\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:18:\"system.themes_page\";s:8:\"provider\";s:6:\"system\";}s:21:\"system.theme_settings\";a:10:{s:10:\"route_name\";s:21:\"system.theme_settings\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:18:\"system.themes_page\";s:9:\"parent_id\";N;s:6:\"weight\";i:100;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:21:\"system.theme_settings\";s:8:\"provider\";s:6:\"system\";}s:28:\"system.theme_settings_global\";a:10:{s:10:\"route_name\";s:21:\"system.theme_settings\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Global settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:0:\"\";s:9:\"parent_id\";s:21:\"system.theme_settings\";s:6:\"weight\";i:-100;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:28:\"system.theme_settings_global\";s:8:\"provider\";s:6:\"system\";}s:34:\"system.theme_settings_theme:bartik\";a:11:{s:10:\"route_name\";s:27:\"system.theme_settings_theme\";s:16:\"route_parameters\";a:1:{s:5:\"theme\";s:6:\"bartik\";}s:5:\"title\";s:6:\"Bartik\";s:10:\"base_route\";s:0:\"\";s:9:\"parent_id\";s:21:\"system.theme_settings\";s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:27:\"system.theme_settings_theme\";s:7:\"deriver\";s:46:\"Drupal\\system\\Plugin\\Derivative\\ThemeLocalTask\";s:8:\"provider\";s:6:\"system\";}s:33:\"system.theme_settings_theme:seven\";a:11:{s:10:\"route_name\";s:27:\"system.theme_settings_theme\";s:16:\"route_parameters\";a:1:{s:5:\"theme\";s:5:\"seven\";}s:5:\"title\";s:5:\"Seven\";s:10:\"base_route\";s:0:\"\";s:9:\"parent_id\";s:21:\"system.theme_settings\";s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:27:\"system.theme_settings_theme\";s:7:\"deriver\";s:46:\"Drupal\\system\\Plugin\\Derivative\\ThemeLocalTask\";s:8:\"provider\";s:6:\"system\";}s:37:\"system.theme_settings_theme:luxestate\";a:11:{s:10:\"route_name\";s:27:\"system.theme_settings_theme\";s:16:\"route_parameters\";a:1:{s:5:\"theme\";s:9:\"luxestate\";}s:5:\"title\";s:9:\"Luxestate\";s:10:\"base_route\";s:0:\"\";s:9:\"parent_id\";s:21:\"system.theme_settings\";s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:27:\"system.theme_settings_theme\";s:7:\"deriver\";s:46:\"Drupal\\system\\Plugin\\Derivative\\ThemeLocalTask\";s:8:\"provider\";s:6:\"system\";}s:19:\"system.modules_list\";a:10:{s:10:\"route_name\";s:19:\"system.modules_list\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"List\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:19:\"system.modules_list\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:19:\"system.modules_list\";s:8:\"provider\";s:6:\"system\";}s:24:\"system.modules_uninstall\";a:10:{s:10:\"route_name\";s:24:\"system.modules_uninstall\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Uninstall\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:19:\"system.modules_list\";s:9:\"parent_id\";N;s:6:\"weight\";i:20;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:24:\"system.modules_uninstall\";s:8:\"provider\";s:6:\"system\";}s:12:\"system.admin\";a:10:{s:10:\"route_name\";s:12:\"system.admin\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Tasks\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:12:\"system.admin\";s:9:\"parent_id\";N;s:6:\"weight\";i:-20;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:12:\"system.admin\";s:8:\"provider\";s:6:\"system\";}s:18:\"system.admin_index\";a:10:{s:10:\"route_name\";s:18:\"system.admin_index\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Index\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:12:\"system.admin\";s:9:\"parent_id\";N;s:6:\"weight\";i:-18;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:18:\"system.admin_index\";s:8:\"provider\";s:6:\"system\";}s:29:\"entity.date_format.collection\";a:10:{s:10:\"route_name\";s:29:\"entity.date_format.collection\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"List\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:29:\"entity.date_format.collection\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:29:\"entity.date_format.collection\";s:8:\"provider\";s:6:\"system\";}s:28:\"entity.date_format.edit_form\";a:10:{s:10:\"route_name\";s:28:\"entity.date_format.edit_form\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Edit\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:28:\"entity.date_format.edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:28:\"entity.date_format.edit_form\";s:8:\"provider\";s:6:\"system\";}s:20:\"system.admin_content\";a:10:{s:10:\"route_name\";s:20:\"system.admin_content\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:20:\"system.admin_content\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:20:\"system.admin_content\";s:8:\"provider\";s:6:\"system\";}s:27:\"system.performance_settings\";a:10:{s:10:\"route_name\";s:27:\"system.performance_settings\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Performance\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:27:\"system.performance_settings\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:27:\"system.performance_settings\";s:8:\"provider\";s:6:\"system\";}s:30:\"entity.taxonomy_term.canonical\";a:10:{s:10:\"route_name\";s:30:\"entity.taxonomy_term.canonical\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"View\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:30:\"entity.taxonomy_term.canonical\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:30:\"entity.taxonomy_term.canonical\";s:8:\"provider\";s:8:\"taxonomy\";}s:30:\"entity.taxonomy_term.edit_form\";a:10:{s:10:\"route_name\";s:30:\"entity.taxonomy_term.edit_form\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Edit\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:30:\"entity.taxonomy_term.canonical\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:30:\"entity.taxonomy_term.edit_form\";s:8:\"provider\";s:8:\"taxonomy\";}s:40:\"entity.taxonomy_vocabulary.overview_form\";a:10:{s:10:\"route_name\";s:40:\"entity.taxonomy_vocabulary.overview_form\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"List\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:40:\"entity.taxonomy_vocabulary.overview_form\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:40:\"entity.taxonomy_vocabulary.overview_form\";s:8:\"provider\";s:8:\"taxonomy\";}s:36:\"entity.taxonomy_vocabulary.edit_form\";a:10:{s:10:\"route_name\";s:36:\"entity.taxonomy_vocabulary.edit_form\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Edit\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:40:\"entity.taxonomy_vocabulary.overview_form\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:36:\"entity.taxonomy_vocabulary.edit_form\";s:8:\"provider\";s:8:\"taxonomy\";}s:13:\"update.status\";a:10:{s:10:\"route_name\";s:13:\"update.status\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"List\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:20:\"system.admin_reports\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:13:\"update.status\";s:8:\"provider\";s:6:\"update\";}s:15:\"update.settings\";a:10:{s:10:\"route_name\";s:15:\"update.settings\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:20:\"system.admin_reports\";s:9:\"parent_id\";N;s:6:\"weight\";i:50;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"update.settings\";s:8:\"provider\";s:6:\"update\";}s:20:\"update.report_update\";a:10:{s:10:\"route_name\";s:20:\"update.report_update\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Update\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:20:\"system.admin_reports\";s:9:\"parent_id\";N;s:6:\"weight\";i:10;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:20:\"update.report_update\";s:8:\"provider\";s:6:\"update\";}s:20:\"update.module_update\";a:10:{s:10:\"route_name\";s:20:\"update.module_update\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Update\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:19:\"system.modules_list\";s:9:\"parent_id\";N;s:6:\"weight\";i:10;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:20:\"update.module_update\";s:8:\"provider\";s:6:\"update\";}s:19:\"update.theme_update\";a:10:{s:10:\"route_name\";s:19:\"update.theme_update\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Update\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:18:\"system.themes_page\";s:9:\"parent_id\";N;s:6:\"weight\";i:10;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:19:\"update.theme_update\";s:8:\"provider\";s:6:\"update\";}s:26:\"entity.user_role.edit_form\";a:10:{s:10:\"route_name\";s:26:\"entity.user_role.edit_form\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Edit\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:26:\"entity.user_role.edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:26:\"entity.user_role.edit_form\";s:8:\"provider\";s:4:\"user\";}s:25:\"user.account_settings_tab\";a:10:{s:10:\"route_name\";s:22:\"entity.user.admin_form\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:22:\"entity.user.admin_form\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:25:\"user.account_settings_tab\";s:8:\"provider\";s:4:\"user\";}s:13:\"user.register\";a:10:{s:10:\"route_name\";s:13:\"user.register\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Create new account\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:9:\"user.page\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:13:\"user.register\";s:8:\"provider\";s:4:\"user\";}s:9:\"user.pass\";a:10:{s:10:\"route_name\";s:9:\"user.pass\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Reset your password\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:9:\"user.page\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:9:\"user.pass\";s:8:\"provider\";s:4:\"user\";}s:10:\"user.login\";a:10:{s:10:\"route_name\";s:10:\"user.login\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Log in\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:9:\"user.page\";s:9:\"parent_id\";N;s:6:\"weight\";i:-10;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:10:\"user.login\";s:8:\"provider\";s:4:\"user\";}s:21:\"entity.user.canonical\";a:10:{s:10:\"route_name\";s:21:\"entity.user.canonical\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"View\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:21:\"entity.user.canonical\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:21:\"entity.user.canonical\";s:8:\"provider\";s:4:\"user\";}s:21:\"entity.user.edit_form\";a:10:{s:10:\"route_name\";s:21:\"entity.user.edit_form\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Edit\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:21:\"entity.user.canonical\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:21:\"entity.user.edit_form\";s:8:\"provider\";s:4:\"user\";}s:22:\"entity.user.collection\";a:10:{s:10:\"route_name\";s:22:\"entity.user.collection\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"List\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:22:\"entity.user.collection\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:22:\"entity.user.collection\";s:8:\"provider\";s:4:\"user\";}s:22:\"user.admin_permissions\";a:10:{s:10:\"route_name\";s:22:\"user.admin_permissions\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Permissions\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:22:\"entity.user.collection\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:22:\"user.admin_permissions\";s:8:\"provider\";s:4:\"user\";}s:27:\"entity.user_role.collection\";a:10:{s:10:\"route_name\";s:27:\"entity.user_role.collection\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Roles\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:22:\"entity.user.collection\";s:9:\"parent_id\";N;s:6:\"weight\";i:10;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:27:\"entity.user_role.collection\";s:8:\"provider\";s:4:\"user\";}s:21:\"views_ui.settings_tab\";a:10:{s:10:\"route_name\";s:23:\"views_ui.settings_basic\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:22:\"entity.view.collection\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:21:\"views_ui.settings_tab\";s:8:\"provider\";s:8:\"views_ui\";}s:27:\"views_ui.settings_basic_tab\";a:10:{s:10:\"route_name\";s:23:\"views_ui.settings_basic\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Basic\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:0:\"\";s:9:\"parent_id\";s:21:\"views_ui.settings_tab\";s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:27:\"views_ui.settings_basic_tab\";s:8:\"provider\";s:8:\"views_ui\";}s:30:\"views_ui.settings_advanced_tab\";a:10:{s:10:\"route_name\";s:26:\"views_ui.settings_advanced\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Advanced\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:0:\"\";s:9:\"parent_id\";s:21:\"views_ui.settings_tab\";s:6:\"weight\";i:10;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:30:\"views_ui.settings_advanced_tab\";s:8:\"provider\";s:8:\"views_ui\";}s:17:\"views_ui.list_tab\";a:10:{s:10:\"route_name\";s:22:\"entity.view.collection\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"List\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:22:\"entity.view.collection\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:17:\"views_ui.list_tab\";s:8:\"provider\";s:8:\"views_ui\";}s:23:\"views_ui.reports_fields\";a:10:{s:10:\"route_name\";s:23:\"views_ui.reports_fields\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Used in views\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:38:\"entity.field_storage_config.collection\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:23:\"views_ui.reports_fields\";s:8:\"provider\";s:8:\"views_ui\";}s:21:\"entity.view.edit_form\";a:10:{s:10:\"route_name\";s:21:\"entity.view.edit_form\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Edit\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:21:\"entity.view.edit_form\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:21:\"entity.view.edit_form\";s:8:\"provider\";s:8:\"views_ui\";}s:34:\"entity.menu_link_content.canonical\";a:10:{s:10:\"route_name\";s:34:\"entity.menu_link_content.canonical\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Edit\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:34:\"entity.menu_link_content.canonical\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:34:\"entity.menu_link_content.canonical\";s:8:\"provider\";s:17:\"menu_link_content\";}s:22:\"pathauto.patterns.form\";a:10:{s:10:\"route_name\";s:34:\"entity.pathauto_pattern.collection\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Patterns\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:28:\"entity.path_alias.collection\";s:9:\"parent_id\";N;s:6:\"weight\";i:10;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:22:\"pathauto.patterns.form\";s:8:\"provider\";s:8:\"pathauto\";}s:22:\"pathauto.settings.form\";a:10:{s:10:\"route_name\";s:22:\"pathauto.settings.form\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:28:\"entity.path_alias.collection\";s:9:\"parent_id\";N;s:6:\"weight\";i:20;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:22:\"pathauto.settings.form\";s:8:\"provider\";s:8:\"pathauto\";}s:25:\"pathauto.bulk.update.form\";a:10:{s:10:\"route_name\";s:25:\"pathauto.bulk.update.form\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Bulk generate\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:28:\"entity.path_alias.collection\";s:9:\"parent_id\";N;s:6:\"weight\";i:30;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:25:\"pathauto.bulk.update.form\";s:8:\"provider\";s:8:\"pathauto\";}s:21:\"pathauto.admin.delete\";a:10:{s:10:\"route_name\";s:21:\"pathauto.admin.delete\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Delete aliases\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:28:\"entity.path_alias.collection\";s:9:\"parent_id\";N;s:6:\"weight\";i:40;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:21:\"pathauto.admin.delete\";s:8:\"provider\";s:8:\"pathauto\";}s:28:\"views_view:view.files.page_1\";a:11:{s:10:\"route_name\";s:17:\"view.files.page_1\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";s:5:\"Files\";s:10:\"base_route\";s:20:\"system.admin_content\";s:9:\"parent_id\";N;s:6:\"weight\";i:0;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:10:\"views_view\";s:7:\"deriver\";s:46:\"\\Drupal\\views\\Plugin\\Derivative\\ViewsLocalTask\";s:8:\"provider\";s:5:\"views\";}s:45:\"views_view:view.simplenews_newsletters.page_1\";a:11:{s:10:\"route_name\";s:34:\"view.simplenews_newsletters.page_1\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";s:17:\"Newsletter issues\";s:10:\"base_route\";s:20:\"system.admin_content\";s:9:\"parent_id\";N;s:6:\"weight\";i:0;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:10:\"views_view\";s:7:\"deriver\";s:46:\"\\Drupal\\views\\Plugin\\Derivative\\ViewsLocalTask\";s:8:\"provider\";s:5:\"views\";}s:45:\"views_view:view.simplenews_subscribers.page_1\";a:11:{s:10:\"route_name\";s:34:\"view.simplenews_subscribers.page_1\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";s:11:\"Subscribers\";s:10:\"base_route\";s:22:\"entity.user.collection\";s:9:\"parent_id\";N;s:6:\"weight\";i:11;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:10:\"views_view\";s:7:\"deriver\";s:46:\"\\Drupal\\views\\Plugin\\Derivative\\ViewsLocalTask\";s:8:\"provider\";s:5:\"views\";}}',-1,1636012250.112,1,'local_task','70'),('local_task_plugins:en:entity.user.admin_form','a:3:{s:11:\"base_routes\";a:1:{s:22:\"entity.user.admin_form\";s:22:\"entity.user.admin_form\";}s:7:\"parents\";a:1:{s:25:\"user.account_settings_tab\";b:1;}s:8:\"children\";a:1:{s:24:\"> entity.user.admin_form\";a:5:{s:86:\"config_translation.local_tasks:config_translation.item.overview.entity.user.admin_form\";a:12:{s:10:\"route_name\";s:55:\"config_translation.item.overview.entity.user.admin_form\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";s:0:\"\";s:10:\"base_route\";s:22:\"entity.user.admin_form\";s:9:\"parent_id\";N;s:6:\"weight\";d:100.000009;s:7:\"options\";a:0:{}s:5:\"class\";s:74:\"Drupal\\config_translation\\Plugin\\Menu\\LocalTask\\ConfigTranslationLocalTask\";s:2:\"id\";s:30:\"config_translation.local_tasks\";s:7:\"deriver\";s:71:\"Drupal\\config_translation\\Plugin\\Derivative\\ConfigTranslationLocalTasks\";s:8:\"provider\";s:18:\"config_translation\";s:28:\"config_translation_plugin_id\";s:22:\"entity.user.admin_form\";}s:29:\"field_ui.fields:overview_user\";a:11:{s:10:\"route_name\";s:27:\"entity.user.field_ui_fields\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:22:\"entity.user.admin_form\";s:9:\"parent_id\";N;s:6:\"weight\";d:1.000094;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:42:\"field_ui.fields:form_display_overview_user\";a:11:{s:10:\"route_name\";s:39:\"entity.entity_form_display.user.default\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:22:\"entity.user.admin_form\";s:9:\"parent_id\";N;s:6:\"weight\";d:2.000095;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:37:\"field_ui.fields:display_overview_user\";a:11:{s:10:\"route_name\";s:39:\"entity.entity_view_display.user.default\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:22:\"entity.user.admin_form\";s:9:\"parent_id\";N;s:6:\"weight\";d:3.000096;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:15:\"field_ui.fields\";s:7:\"deriver\";s:51:\"\\Drupal\\field_ui\\Plugin\\Derivative\\FieldUiLocalTask\";s:8:\"provider\";s:8:\"field_ui\";}s:25:\"user.account_settings_tab\";a:10:{s:10:\"route_name\";s:22:\"entity.user.admin_form\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:22:\"entity.user.admin_form\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:25:\"user.account_settings_tab\";s:8:\"provider\";s:4:\"user\";}}}}',-1,1637057237.366,1,'local_task','70'),('local_task_plugins:en:entity.user.canonical','a:3:{s:11:\"base_routes\";a:1:{s:21:\"entity.user.canonical\";s:21:\"entity.user.canonical\";}s:7:\"parents\";a:1:{s:21:\"entity.user.canonical\";b:1;}s:8:\"children\";a:1:{s:23:\"> entity.user.canonical\";a:6:{s:24:\"entity.user.contact_form\";a:10:{s:10:\"route_name\";s:24:\"entity.user.contact_form\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Contact\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:21:\"entity.user.canonical\";s:9:\"parent_id\";N;s:6:\"weight\";d:2.000037;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:24:\"entity.user.contact_form\";s:8:\"provider\";s:7:\"contact\";}s:72:\"content_translation.local_tasks:entity.user.content_translation_overview\";a:12:{s:10:\"route_name\";s:40:\"entity.user.content_translation_overview\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Translate\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:21:\"entity.user.canonical\";s:9:\"parent_id\";N;s:6:\"weight\";d:100.000043;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:31:\"content_translation.local_tasks\";s:11:\"entity_type\";s:4:\"user\";s:7:\"deriver\";s:73:\"Drupal\\content_translation\\Plugin\\Derivative\\ContentTranslationLocalTasks\";s:8:\"provider\";s:19:\"content_translation\";}s:19:\"shortcut.set_switch\";a:10:{s:10:\"route_name\";s:19:\"shortcut.set_switch\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Shortcuts\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:21:\"entity.user.canonical\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:19:\"shortcut.set_switch\";s:8:\"provider\";s:8:\"shortcut\";}s:40:\"simplenews.newsletter_subscriptions_user\";a:11:{s:10:\"route_name\";s:40:\"simplenews.newsletter_subscriptions_user\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Newsletters\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:21:\"entity.user.canonical\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:40:\"simplenews.newsletter_subscriptions_user\";s:11:\"description\";s:40:\"Configure your newsletter subscriptions.\";s:8:\"provider\";s:10:\"simplenews\";}s:21:\"entity.user.canonical\";a:10:{s:10:\"route_name\";s:21:\"entity.user.canonical\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"View\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:21:\"entity.user.canonical\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:21:\"entity.user.canonical\";s:8:\"provider\";s:4:\"user\";}s:21:\"entity.user.edit_form\";a:10:{s:10:\"route_name\";s:21:\"entity.user.edit_form\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Edit\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:21:\"entity.user.canonical\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:21:\"entity.user.edit_form\";s:8:\"provider\";s:4:\"user\";}}}}',-1,1636711422.223,1,'local_task','70'),('local_task_plugins:en:system.admin_config','a:3:{s:11:\"base_routes\";a:0:{}s:7:\"parents\";a:0:{}s:8:\"children\";a:0:{}}',-1,1637057231.055,1,'local_task','70'),('local_task_plugins:en:system.modules_list','a:3:{s:11:\"base_routes\";a:1:{s:19:\"system.modules_list\";s:19:\"system.modules_list\";}s:7:\"parents\";a:1:{s:19:\"system.modules_list\";b:1;}s:8:\"children\";a:1:{s:21:\"> system.modules_list\";a:3:{s:19:\"system.modules_list\";a:10:{s:10:\"route_name\";s:19:\"system.modules_list\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"List\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:19:\"system.modules_list\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:19:\"system.modules_list\";s:8:\"provider\";s:6:\"system\";}s:24:\"system.modules_uninstall\";a:10:{s:10:\"route_name\";s:24:\"system.modules_uninstall\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Uninstall\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:19:\"system.modules_list\";s:9:\"parent_id\";N;s:6:\"weight\";d:20.00012;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:24:\"system.modules_uninstall\";s:8:\"provider\";s:6:\"system\";}s:20:\"update.module_update\";a:10:{s:10:\"route_name\";s:20:\"update.module_update\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Update\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:19:\"system.modules_list\";s:9:\"parent_id\";N;s:6:\"weight\";d:10.000125;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:20:\"update.module_update\";s:8:\"provider\";s:6:\"update\";}}}}',-1,1636012333.162,1,'local_task','70'),('local_task_plugins:en:system.modules_uninstall','a:3:{s:11:\"base_routes\";a:1:{s:19:\"system.modules_list\";s:19:\"system.modules_list\";}s:7:\"parents\";a:1:{s:24:\"system.modules_uninstall\";b:1;}s:8:\"children\";a:1:{s:21:\"> system.modules_list\";a:3:{s:19:\"system.modules_list\";a:10:{s:10:\"route_name\";s:19:\"system.modules_list\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"List\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:19:\"system.modules_list\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:19:\"system.modules_list\";s:8:\"provider\";s:6:\"system\";}s:24:\"system.modules_uninstall\";a:10:{s:10:\"route_name\";s:24:\"system.modules_uninstall\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Uninstall\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:19:\"system.modules_list\";s:9:\"parent_id\";N;s:6:\"weight\";d:20.00012;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:24:\"system.modules_uninstall\";s:8:\"provider\";s:6:\"system\";}s:20:\"update.module_update\";a:10:{s:10:\"route_name\";s:20:\"update.module_update\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Update\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:19:\"system.modules_list\";s:9:\"parent_id\";N;s:6:\"weight\";d:10.000125;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:20:\"update.module_update\";s:8:\"provider\";s:6:\"update\";}}}}',-1,1636012338.108,1,'local_task','70'),('local_task_plugins:en:system.site_information_settings','a:3:{s:11:\"base_routes\";a:1:{s:32:\"system.site_information_settings\";s:32:\"system.site_information_settings\";}s:7:\"parents\";a:1:{s:36:\"system.site_information_settings_tab\";b:1;}s:8:\"children\";a:1:{s:34:\"> system.site_information_settings\";a:2:{s:96:\"config_translation.local_tasks:config_translation.item.overview.system.site_information_settings\";a:12:{s:10:\"route_name\";s:65:\"config_translation.item.overview.system.site_information_settings\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";s:0:\"\";s:10:\"base_route\";s:32:\"system.site_information_settings\";s:9:\"parent_id\";N;s:6:\"weight\";d:100.000007;s:7:\"options\";a:0:{}s:5:\"class\";s:74:\"Drupal\\config_translation\\Plugin\\Menu\\LocalTask\\ConfigTranslationLocalTask\";s:2:\"id\";s:30:\"config_translation.local_tasks\";s:7:\"deriver\";s:71:\"Drupal\\config_translation\\Plugin\\Derivative\\ConfigTranslationLocalTasks\";s:8:\"provider\";s:18:\"config_translation\";s:28:\"config_translation_plugin_id\";s:32:\"system.site_information_settings\";}s:36:\"system.site_information_settings_tab\";a:10:{s:10:\"route_name\";s:32:\"system.site_information_settings\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:32:\"system.site_information_settings\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:36:\"system.site_information_settings_tab\";s:8:\"provider\";s:6:\"system\";}}}}',-1,1637057262.108,1,'local_task','70'),('local_task_plugins:en:update.module_update','a:3:{s:11:\"base_routes\";a:1:{s:19:\"system.modules_list\";s:19:\"system.modules_list\";}s:7:\"parents\";a:1:{s:20:\"update.module_update\";b:1;}s:8:\"children\";a:1:{s:21:\"> system.modules_list\";a:3:{s:19:\"system.modules_list\";a:10:{s:10:\"route_name\";s:19:\"system.modules_list\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"List\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:19:\"system.modules_list\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:19:\"system.modules_list\";s:8:\"provider\";s:6:\"system\";}s:24:\"system.modules_uninstall\";a:10:{s:10:\"route_name\";s:24:\"system.modules_uninstall\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Uninstall\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:19:\"system.modules_list\";s:9:\"parent_id\";N;s:6:\"weight\";d:20.00012;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:24:\"system.modules_uninstall\";s:8:\"provider\";s:6:\"system\";}s:20:\"update.module_update\";a:10:{s:10:\"route_name\";s:20:\"update.module_update\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Update\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:19:\"system.modules_list\";s:9:\"parent_id\";N;s:6:\"weight\";d:10.000125;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:20:\"update.module_update\";s:8:\"provider\";s:6:\"update\";}}}}',-1,1636012340.327,1,'local_task','70'),('local_task_plugins:en:user.login','a:3:{s:11:\"base_routes\";a:1:{s:9:\"user.page\";s:9:\"user.page\";}s:7:\"parents\";a:1:{s:10:\"user.login\";b:1;}s:8:\"children\";a:1:{s:11:\"> user.page\";a:3:{s:13:\"user.register\";a:10:{s:10:\"route_name\";s:13:\"user.register\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Create new account\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:9:\"user.page\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:13:\"user.register\";s:8:\"provider\";s:4:\"user\";}s:9:\"user.pass\";a:10:{s:10:\"route_name\";s:9:\"user.pass\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Reset your password\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:9:\"user.page\";s:9:\"parent_id\";N;s:6:\"weight\";N;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:9:\"user.pass\";s:8:\"provider\";s:4:\"user\";}s:10:\"user.login\";a:10:{s:10:\"route_name\";s:10:\"user.login\";s:16:\"route_parameters\";a:0:{}s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Log in\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"base_route\";s:9:\"user.page\";s:9:\"parent_id\";N;s:6:\"weight\";d:-9.999873;s:7:\"options\";a:0:{}s:5:\"class\";s:33:\"Drupal\\Core\\Menu\\LocalTaskDefault\";s:2:\"id\";s:10:\"user.login\";s:8:\"provider\";s:4:\"user\";}}}}',-1,1636709607.983,1,'local_task','70'),('local_task_plugins:en:view.frontpage.page_1','a:3:{s:11:\"base_routes\";a:0:{}s:7:\"parents\";a:0:{}s:8:\"children\";a:0:{}}',-1,1636012250.121,1,'local_task','70'),('mail_backend_plugins','a:3:{s:25:\"test_simplenews_html_mail\";a:5:{s:2:\"id\";s:25:\"test_simplenews_html_mail\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"HTML test mailer\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:68:\"Sends the message as plain text, using PHP\'s native mail() function.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:51:\"Drupal\\simplenews\\Plugin\\Mail\\HTMLTestingMailSystem\";s:8:\"provider\";s:10:\"simplenews\";}s:8:\"php_mail\";a:5:{s:2:\"id\";s:8:\"php_mail\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Default PHP mailer\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:68:\"Sends the message as plain text, using PHP\'s native mail() function.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:36:\"Drupal\\Core\\Mail\\Plugin\\Mail\\PhpMail\";s:8:\"provider\";s:4:\"core\";}s:19:\"test_mail_collector\";a:5:{s:2:\"id\";s:19:\"test_mail_collector\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Mail collector\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:93:\"Does not send the message, but stores it in Drupal within the state system. Used for testing.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:46:\"Drupal\\Core\\Mail\\Plugin\\Mail\\TestMailCollector\";s:8:\"provider\";s:4:\"core\";}}',-1,1636709612.807,1,'','0'),('queue_plugins','a:1:{s:18:\"locale_translation\";a:5:{s:2:\"id\";s:18:\"locale_translation\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Update translations\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"cron\";a:1:{s:4:\"time\";i:30;}s:5:\"class\";s:50:\"Drupal\\locale\\Plugin\\QueueWorker\\LocaleTranslation\";s:8:\"provider\";s:6:\"locale\";}}',-1,1636709609.988,1,'','0'),('quickedit:editor','a:4:{s:6:\"editor\";a:3:{s:2:\"id\";s:6:\"editor\";s:5:\"class\";s:41:\"Drupal\\editor\\Plugin\\InPlaceEditor\\Editor\";s:8:\"provider\";s:6:\"editor\";}s:5:\"image\";a:3:{s:2:\"id\";s:5:\"image\";s:5:\"class\";s:39:\"Drupal\\image\\Plugin\\InPlaceEditor\\Image\";s:8:\"provider\";s:5:\"image\";}s:10:\"plain_text\";a:3:{s:2:\"id\";s:10:\"plain_text\";s:5:\"class\";s:53:\"Drupal\\quickedit\\Plugin\\InPlaceEditor\\PlainTextEditor\";s:8:\"provider\";s:9:\"quickedit\";}s:4:\"form\";a:3:{s:2:\"id\";s:4:\"form\";s:5:\"class\";s:48:\"Drupal\\quickedit\\Plugin\\InPlaceEditor\\FormEditor\";s:8:\"provider\";s:9:\"quickedit\";}}',-1,1636012254.727,1,'','0'),('search_plugins','a:2:{s:11:\"node_search\";a:4:{s:2:\"id\";s:11:\"node_search\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:36:\"Drupal\\node\\Plugin\\Search\\NodeSearch\";s:8:\"provider\";s:4:\"node\";}s:11:\"user_search\";a:4:{s:2:\"id\";s:11:\"user_search\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Users\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:36:\"Drupal\\user\\Plugin\\Search\\UserSearch\";s:8:\"provider\";s:4:\"user\";}}',-1,1636011226.864,1,'','0'),('typed_config_definitions','a:619:{s:9:\"undefined\";a:2:{s:5:\"label\";s:9:\"Undefined\";s:5:\"class\";s:35:\"Drupal\\Core\\Config\\Schema\\Undefined\";}s:6:\"ignore\";a:2:{s:5:\"label\";s:6:\"Ignore\";s:5:\"class\";s:32:\"Drupal\\Core\\Config\\Schema\\Ignore\";}s:7:\"boolean\";a:2:{s:5:\"label\";s:7:\"Boolean\";s:5:\"class\";s:49:\"Drupal\\Core\\TypedData\\Plugin\\DataType\\BooleanData\";}s:5:\"email\";a:2:{s:5:\"label\";s:5:\"Email\";s:5:\"class\";s:43:\"Drupal\\Core\\TypedData\\Plugin\\DataType\\Email\";}s:7:\"integer\";a:2:{s:5:\"label\";s:7:\"Integer\";s:5:\"class\";s:49:\"Drupal\\Core\\TypedData\\Plugin\\DataType\\IntegerData\";}s:9:\"timestamp\";a:2:{s:5:\"label\";s:9:\"Timestamp\";s:5:\"class\";s:47:\"Drupal\\Core\\TypedData\\Plugin\\DataType\\Timestamp\";}s:5:\"float\";a:2:{s:5:\"label\";s:5:\"Float\";s:5:\"class\";s:47:\"Drupal\\Core\\TypedData\\Plugin\\DataType\\FloatData\";}s:6:\"string\";a:2:{s:5:\"label\";s:6:\"String\";s:5:\"class\";s:48:\"Drupal\\Core\\TypedData\\Plugin\\DataType\\StringData\";}s:3:\"uri\";a:2:{s:5:\"label\";s:3:\"Uri\";s:5:\"class\";s:41:\"Drupal\\Core\\TypedData\\Plugin\\DataType\\Uri\";}s:7:\"mapping\";a:4:{s:5:\"label\";s:7:\"Mapping\";s:5:\"class\";s:33:\"Drupal\\Core\\Config\\Schema\\Mapping\";s:16:\"definition_class\";s:40:\"\\Drupal\\Core\\TypedData\\MapDataDefinition\";s:18:\"form_element_class\";s:50:\"\\Drupal\\config_translation\\FormElement\\ListElement\";}s:8:\"sequence\";a:4:{s:5:\"label\";s:8:\"Sequence\";s:5:\"class\";s:34:\"Drupal\\Core\\Config\\Schema\\Sequence\";s:16:\"definition_class\";s:49:\"\\Drupal\\Core\\Config\\Schema\\SequenceDataDefinition\";s:18:\"form_element_class\";s:50:\"\\Drupal\\config_translation\\FormElement\\ListElement\";}s:5:\"label\";a:4:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:5:\"Label\";s:12:\"translatable\";b:1;s:18:\"form_element_class\";s:48:\"\\Drupal\\config_translation\\FormElement\\Textfield\";}s:12:\"plural_label\";a:3:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:15:\"Plural variants\";s:18:\"form_element_class\";s:53:\"\\Drupal\\config_translation\\FormElement\\PluralVariants\";}s:4:\"path\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:4:\"Path\";}s:4:\"text\";a:4:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:4:\"Text\";s:12:\"translatable\";b:1;s:18:\"form_element_class\";s:47:\"\\Drupal\\config_translation\\FormElement\\Textarea\";}s:4:\"uuid\";a:3:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:4:\"UUID\";s:11:\"constraints\";a:1:{s:4:\"Uuid\";a:0:{}}}s:11:\"date_format\";a:5:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:11:\"Date format\";s:12:\"translatable\";b:1;s:19:\"translation context\";s:15:\"PHP date format\";s:18:\"form_element_class\";s:49:\"\\Drupal\\config_translation\\FormElement\\DateFormat\";}s:9:\"color_hex\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:5:\"Color\";}s:17:\"_core_config_info\";a:2:{s:4:\"type\";s:7:\"mapping\";s:7:\"mapping\";a:1:{s:19:\"default_config_hash\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:26:\"Default configuration hash\";}}}s:13:\"config_object\";a:2:{s:4:\"type\";s:7:\"mapping\";s:7:\"mapping\";a:2:{s:8:\"langcode\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:13:\"Language code\";}s:5:\"_core\";a:1:{s:4:\"type\";s:17:\"_core_config_info\";}}}s:4:\"mail\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:4:\"Mail\";s:7:\"mapping\";a:2:{s:7:\"subject\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:7:\"Subject\";}s:4:\"body\";a:2:{s:4:\"type\";s:4:\"text\";s:5:\"label\";s:4:\"Body\";}}}s:6:\"filter\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:6:\"Filter\";s:7:\"mapping\";a:5:{s:2:\"id\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:2:\"ID\";}s:8:\"provider\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:8:\"Provider\";}s:6:\"status\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:6:\"Status\";}s:6:\"weight\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:6:\"Weight\";}s:8:\"settings\";a:1:{s:4:\"type\";s:28:\"filter_settings.[%parent.id]\";}}}s:28:\"action_configuration_default\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:20:\"Action configuration\";s:8:\"sequence\";a:1:{s:4:\"type\";s:6:\"string\";}}s:14:\"theme_settings\";a:2:{s:4:\"type\";s:13:\"config_object\";s:7:\"mapping\";a:4:{s:7:\"favicon\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:22:\"Shortcut icon settings\";s:7:\"mapping\";a:4:{s:8:\"mimetype\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:9:\"MIME type\";}s:4:\"path\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:4:\"Path\";}s:3:\"url\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:3:\"URL\";}s:11:\"use_default\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:51:\"Use the default shortcut icon supplied by the theme\";}}}s:8:\"features\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:17:\"Optional features\";s:7:\"mapping\";a:7:{s:20:\"comment_user_picture\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:25:\"User pictures in comments\";}s:25:\"comment_user_verification\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:36:\"User verification status in comments\";}s:7:\"favicon\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:13:\"Shortcut icon\";}s:4:\"logo\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:4:\"Logo\";}s:4:\"name\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:9:\"Site name\";}s:17:\"node_user_picture\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:22:\"User pictures in posts\";}s:6:\"slogan\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:11:\"Site slogan\";}}}s:4:\"logo\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:13:\"Logo settings\";s:7:\"mapping\";a:3:{s:4:\"path\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:9:\"Logo path\";}s:3:\"url\";a:2:{s:4:\"type\";s:3:\"uri\";s:5:\"label\";s:3:\"URL\";}s:11:\"use_default\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:11:\"Use default\";}}}s:20:\"third_party_settings\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:20:\"Third party settings\";s:8:\"sequence\";a:1:{s:4:\"type\";s:33:\"theme_settings.third_party.[%key]\";}}}}s:5:\"route\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:5:\"Route\";s:7:\"mapping\";a:2:{s:10:\"route_name\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:10:\"Route Name\";}s:12:\"route_params\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:12:\"Route Params\";s:8:\"sequence\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:5:\"Param\";}}}}s:24:\"config_dependencies_base\";a:2:{s:4:\"type\";s:7:\"mapping\";s:7:\"mapping\";a:4:{s:6:\"config\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:33:\"Configuration entity dependencies\";s:8:\"sequence\";a:1:{s:4:\"type\";s:6:\"string\";}}s:7:\"content\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:27:\"Content entity dependencies\";s:8:\"sequence\";a:1:{s:4:\"type\";s:6:\"string\";}}s:6:\"module\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:19:\"Module dependencies\";s:8:\"sequence\";a:1:{s:4:\"type\";s:6:\"string\";}}s:5:\"theme\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:18:\"Theme dependencies\";s:8:\"sequence\";a:1:{s:4:\"type\";s:6:\"string\";}}}}s:19:\"config_dependencies\";a:3:{s:4:\"type\";s:24:\"config_dependencies_base\";s:5:\"label\";s:26:\"Configuration dependencies\";s:7:\"mapping\";a:1:{s:8:\"enforced\";a:2:{s:4:\"type\";s:24:\"config_dependencies_base\";s:5:\"label\";s:35:\"Enforced configuration dependencies\";}}}s:13:\"config_entity\";a:2:{s:4:\"type\";s:7:\"mapping\";s:7:\"mapping\";a:6:{s:4:\"uuid\";a:2:{s:4:\"type\";s:4:\"uuid\";s:5:\"label\";s:4:\"UUID\";}s:8:\"langcode\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:13:\"Language code\";}s:6:\"status\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:6:\"Status\";}s:12:\"dependencies\";a:2:{s:4:\"type\";s:19:\"config_dependencies\";s:5:\"label\";s:12:\"Dependencies\";}s:20:\"third_party_settings\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:20:\"Third party settings\";s:8:\"sequence\";a:1:{s:4:\"type\";s:42:\"[%parent.%parent.%type].third_party.[%key]\";}}s:5:\"_core\";a:1:{s:4:\"type\";s:17:\"_core_config_info\";}}}s:16:\"block.settings.*\";a:1:{s:4:\"type\";s:14:\"block_settings\";}s:14:\"block_settings\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:14:\"Block settings\";s:7:\"mapping\";a:8:{s:2:\"id\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:2:\"ID\";}s:5:\"label\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:11:\"Description\";}s:13:\"label_display\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:13:\"Display title\";}s:6:\"status\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:6:\"Status\";}s:4:\"info\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:10:\"Admin info\";}s:9:\"view_mode\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:9:\"View mode\";}s:8:\"provider\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:8:\"Provider\";}s:15:\"context_mapping\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:19:\"Context assignments\";s:8:\"sequence\";a:1:{s:4:\"type\";s:6:\"string\";}}}}s:16:\"condition.plugin\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:9:\"Condition\";s:7:\"mapping\";a:4:{s:2:\"id\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:2:\"ID\";}s:6:\"negate\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:6:\"Negate\";}s:4:\"uuid\";a:1:{s:4:\"type\";s:4:\"uuid\";}s:15:\"context_mapping\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:19:\"Context assignments\";s:8:\"sequence\";a:1:{s:4:\"type\";s:6:\"string\";}}}}s:22:\"display_variant.plugin\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:15:\"Display variant\";s:7:\"mapping\";a:4:{s:2:\"id\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:2:\"ID\";}s:5:\"label\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:5:\"Label\";}s:6:\"weight\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:6:\"Weight\";}s:4:\"uuid\";a:1:{s:4:\"type\";s:4:\"uuid\";}}}s:22:\"layout_plugin.settings\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:15:\"Layout settings\";s:7:\"mapping\";a:1:{s:5:\"label\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:5:\"Label\";}}}s:24:\"layout_plugin.settings.*\";a:1:{s:4:\"type\";s:22:\"layout_plugin.settings\";}s:36:\"base_entity_reference_field_settings\";a:2:{s:4:\"type\";s:7:\"mapping\";s:7:\"mapping\";a:1:{s:11:\"target_type\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:25:\"Type of item to reference\";}}}s:17:\"field_config_base\";a:2:{s:4:\"type\";s:13:\"config_entity\";s:7:\"mapping\";a:12:{s:2:\"id\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:2:\"ID\";}s:10:\"field_name\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:10:\"Field name\";}s:11:\"entity_type\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:11:\"Entity type\";}s:6:\"bundle\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"Bundle\";}s:5:\"label\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:5:\"Label\";}s:11:\"description\";a:2:{s:4:\"type\";s:4:\"text\";s:5:\"label\";s:9:\"Help text\";}s:8:\"required\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:14:\"Required field\";}s:12:\"translatable\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:12:\"Translatable\";}s:13:\"default_value\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:14:\"Default values\";s:8:\"sequence\";a:2:{s:4:\"type\";s:40:\"field.value.[%parent.%parent.field_type]\";s:5:\"label\";s:13:\"Default value\";}}s:22:\"default_value_callback\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:22:\"Default value callback\";}s:8:\"settings\";a:1:{s:4:\"type\";s:41:\"field.field_settings.[%parent.field_type]\";}s:10:\"field_type\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:10:\"Field type\";}}}s:30:\"core.base_field_override.*.*.*\";a:2:{s:4:\"type\";s:17:\"field_config_base\";s:5:\"label\";s:26:\"Base field bundle override\";}s:18:\"core.date_format.*\";a:3:{s:4:\"type\";s:13:\"config_entity\";s:5:\"label\";s:11:\"Date format\";s:7:\"mapping\";a:4:{s:2:\"id\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:2:\"ID\";}s:5:\"label\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:5:\"Label\";}s:6:\"locked\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:6:\"Locked\";}s:7:\"pattern\";a:2:{s:4:\"type\";s:41:\"core_date_format_pattern.[%parent.locked]\";s:5:\"label\";s:15:\"PHP date format\";}}}s:26:\"core_date_format_pattern.0\";a:2:{s:4:\"type\";s:11:\"date_format\";s:5:\"label\";s:11:\"Date format\";}s:26:\"core_date_format_pattern.1\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:11:\"Date format\";}s:24:\"field.storage_settings.*\";a:2:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:8:\"Settings\";}s:22:\"field.field_settings.*\";a:2:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:8:\"Settings\";}s:13:\"field.value.*\";a:2:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:13:\"Default value\";}s:29:\"field.storage_settings.string\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:15:\"String settings\";s:7:\"mapping\";a:3:{s:10:\"max_length\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:14:\"Maximum length\";}s:14:\"case_sensitive\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:14:\"Case sensitive\";}s:8:\"is_ascii\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:33:\"Contains US ASCII characters only\";}}}s:27:\"field.field_settings.string\";a:2:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:15:\"String settings\";}s:18:\"field.value.string\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:13:\"Default value\";s:7:\"mapping\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:5:\"Value\";}}}s:34:\"field.storage_settings.string_long\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:22:\"String (long) settings\";s:7:\"mapping\";a:1:{s:14:\"case_sensitive\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:14:\"Case sensitive\";}}}s:32:\"field.field_settings.string_long\";a:2:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:22:\"String (long) settings\";}s:23:\"field.value.string_long\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:13:\"Default value\";s:7:\"mapping\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:4:\"text\";s:5:\"label\";s:5:\"Value\";}}}s:26:\"field.storage_settings.uri\";a:3:{s:4:\"type\";s:29:\"field.storage_settings.string\";s:5:\"label\";s:12:\"URI settings\";s:7:\"mapping\";a:2:{s:10:\"max_length\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:14:\"Maximum length\";}s:14:\"case_sensitive\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:14:\"Case sensitive\";}}}s:24:\"field.field_settings.uri\";a:2:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:12:\"URI settings\";}s:15:\"field.value.uri\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:13:\"Default value\";s:7:\"mapping\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:5:\"Value\";}}}s:30:\"field.storage_settings.created\";a:2:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:26:\"Created timestamp settings\";}s:28:\"field.field_settings.created\";a:2:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:26:\"Created timestamp settings\";}s:19:\"field.value.created\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:13:\"Default value\";s:7:\"mapping\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:5:\"Value\";}}}s:30:\"field.storage_settings.changed\";a:2:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:26:\"Changed timestamp settings\";}s:28:\"field.field_settings.changed\";a:2:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:26:\"Changed timestamp settings\";}s:19:\"field.value.changed\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:13:\"Default value\";s:7:\"mapping\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:5:\"Value\";}}}s:39:\"field.storage_settings.entity_reference\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:39:\"Entity reference field storage settings\";s:7:\"mapping\";a:1:{s:11:\"target_type\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:25:\"Type of item to reference\";}}}s:37:\"field.field_settings.entity_reference\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:31:\"Entity reference field settings\";s:7:\"mapping\";a:2:{s:7:\"handler\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:16:\"Reference method\";}s:16:\"handler_settings\";a:2:{s:4:\"type\";s:44:\"entity_reference_selection.[%parent.handler]\";s:5:\"label\";s:42:\"Entity reference selection plugin settings\";}}}s:28:\"field.value.entity_reference\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:13:\"Default value\";s:7:\"mapping\";a:2:{s:9:\"target_id\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:5:\"Value\";}s:11:\"target_uuid\";a:1:{s:4:\"type\";s:4:\"uuid\";}}}s:28:\"field.field_settings.boolean\";a:3:{s:5:\"label\";s:16:\"Boolean settings\";s:4:\"type\";s:7:\"mapping\";s:7:\"mapping\";a:2:{s:8:\"on_label\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:8:\"On label\";}s:9:\"off_label\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:9:\"Off label\";}}}s:19:\"field.value.boolean\";a:2:{s:4:\"type\";s:7:\"mapping\";s:7:\"mapping\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:5:\"Value\";}}}s:28:\"field.storage_settings.email\";a:2:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:14:\"Email settings\";}s:26:\"field.field_settings.email\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:14:\"Email settings\";s:8:\"sequence\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:7:\"Setting\";}}s:17:\"field.value.email\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:13:\"Default value\";s:7:\"mapping\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:5:\"email\";s:5:\"label\";s:5:\"Value\";}}}s:30:\"field.storage_settings.integer\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:16:\"Integer settings\";s:7:\"mapping\";a:2:{s:8:\"unsigned\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:8:\"Unsigned\";}s:4:\"size\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:21:\"Database storage size\";}}}s:28:\"field.field_settings.integer\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:7:\"Integer\";s:7:\"mapping\";a:4:{s:3:\"min\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:7:\"Minimum\";}s:3:\"max\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:7:\"Maximum\";}s:6:\"prefix\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:6:\"Prefix\";}s:6:\"suffix\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:6:\"Suffix\";}}}s:19:\"field.value.integer\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:13:\"Default value\";s:7:\"mapping\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:5:\"Value\";}}}s:30:\"field.storage_settings.decimal\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:16:\"Decimal settings\";s:7:\"mapping\";a:2:{s:9:\"precision\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:9:\"Precision\";}s:5:\"scale\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:5:\"Scale\";}}}s:28:\"field.field_settings.decimal\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:16:\"Decimal settings\";s:7:\"mapping\";a:4:{s:3:\"min\";a:2:{s:4:\"type\";s:5:\"float\";s:5:\"label\";s:7:\"Minimum\";}s:3:\"max\";a:2:{s:4:\"type\";s:5:\"float\";s:5:\"label\";s:7:\"Maximum\";}s:6:\"prefix\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:6:\"Prefix\";}s:6:\"suffix\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:6:\"Suffix\";}}}s:19:\"field.value.decimal\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:13:\"Default value\";s:7:\"mapping\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:5:\"float\";s:5:\"label\";s:5:\"Value\";}}}s:28:\"field.storage_settings.float\";a:2:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:14:\"Float settings\";}s:26:\"field.field_settings.float\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:14:\"Float settings\";s:7:\"mapping\";a:4:{s:3:\"min\";a:2:{s:4:\"type\";s:5:\"float\";s:5:\"label\";s:7:\"Minimum\";}s:3:\"max\";a:2:{s:4:\"type\";s:5:\"float\";s:5:\"label\";s:7:\"Maximum\";}s:6:\"prefix\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:6:\"Prefix\";}s:6:\"suffix\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:6:\"Suffix\";}}}s:17:\"field.value.float\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:13:\"Default value\";s:7:\"mapping\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:5:\"float\";s:5:\"label\";s:5:\"Value\";}}}s:21:\"field.value.timestamp\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:15:\"Timestamp value\";s:7:\"mapping\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:9:\"timestamp\";s:5:\"label\";s:5:\"Value\";}}}s:11:\"text_format\";a:5:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:21:\"Text with text format\";s:12:\"translatable\";b:1;s:7:\"mapping\";a:2:{s:5:\"value\";a:3:{s:4:\"type\";s:4:\"text\";s:5:\"label\";s:4:\"Text\";s:12:\"translatable\";b:1;}s:6:\"format\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:11:\"Text format\";}}s:18:\"form_element_class\";s:49:\"\\Drupal\\config_translation\\FormElement\\TextFormat\";}s:26:\"entity_reference_selection\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:43:\"Entity reference selection handler settings\";s:7:\"mapping\";a:1:{s:11:\"target_type\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:25:\"Type of item to reference\";}}}s:28:\"entity_reference_selection.*\";a:1:{s:4:\"type\";s:26:\"entity_reference_selection\";}s:34:\"entity_reference_selection.default\";a:3:{s:4:\"type\";s:26:\"entity_reference_selection\";s:5:\"label\";s:34:\"Default selection handler settings\";s:7:\"mapping\";a:4:{s:14:\"target_bundles\";a:4:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:5:\"types\";s:8:\"nullable\";b:1;s:8:\"sequence\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"Bundle\";}}s:4:\"sort\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:13:\"Sort settings\";s:7:\"mapping\";a:2:{s:5:\"field\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:7:\"Sort by\";}s:9:\"direction\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:14:\"Sort direction\";}}}s:11:\"auto_create\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:54:\"Create referenced entities if they don\'t already exist\";}s:18:\"auto_create_bundle\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:45:\"Bundle assigned to the auto-created entities.\";}}}s:36:\"entity_reference_selection.default:*\";a:1:{s:4:\"type\";s:34:\"entity_reference_selection.default\";}s:25:\"core.entity_view_mode.*.*\";a:3:{s:4:\"type\";s:13:\"config_entity\";s:5:\"label\";s:25:\"Entity view mode settings\";s:7:\"mapping\";a:4:{s:2:\"id\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:2:\"ID\";}s:5:\"label\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:40:\"The human-readable name of the view mode\";}s:16:\"targetEntityType\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:18:\"Target entity type\";}s:5:\"cache\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:6:\"Cached\";}}}s:25:\"core.entity_form_mode.*.*\";a:3:{s:4:\"type\";s:13:\"config_entity\";s:5:\"label\";s:25:\"Entity form mode settings\";s:7:\"mapping\";a:4:{s:2:\"id\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:2:\"ID\";}s:5:\"label\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:5:\"Label\";}s:16:\"targetEntityType\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:18:\"Target entity type\";}s:5:\"cache\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:5:\"Cache\";}}}s:30:\"core.entity_view_display.*.*.*\";a:3:{s:4:\"type\";s:13:\"config_entity\";s:5:\"label\";s:14:\"Entity display\";s:7:\"mapping\";a:6:{s:2:\"id\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:2:\"ID\";}s:16:\"targetEntityType\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:18:\"Target entity type\";}s:6:\"bundle\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"Bundle\";}s:4:\"mode\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:30:\"View or form mode machine name\";}s:7:\"content\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:16:\"Field formatters\";s:8:\"sequence\";a:1:{s:4:\"type\";s:35:\"field_formatter.entity_view_display\";}}s:6:\"hidden\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:21:\"Field display setting\";s:8:\"sequence\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:5:\"Value\";}}}}s:15:\"field_formatter\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:15:\"Field formatter\";s:7:\"mapping\";a:4:{s:4:\"type\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:24:\"Format type machine name\";}s:5:\"label\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:26:\"Label setting machine name\";}s:8:\"settings\";a:2:{s:4:\"type\";s:39:\"field.formatter.settings.[%parent.type]\";s:5:\"label\";s:8:\"Settings\";}s:20:\"third_party_settings\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:20:\"Third party settings\";s:8:\"sequence\";a:1:{s:4:\"type\";s:34:\"field.formatter.third_party.[%key]\";}}}}s:35:\"field_formatter.entity_view_display\";a:2:{s:4:\"type\";s:15:\"field_formatter\";s:7:\"mapping\";a:2:{s:6:\"weight\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:6:\"Weight\";}s:6:\"region\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"Region\";}}}s:30:\"core.entity_form_display.*.*.*\";a:3:{s:4:\"type\";s:13:\"config_entity\";s:5:\"label\";s:19:\"Entity form display\";s:7:\"mapping\";a:7:{s:2:\"id\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:2:\"ID\";}s:16:\"targetEntityType\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:18:\"Target entity type\";}s:6:\"bundle\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"Bundle\";}s:4:\"mode\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:30:\"View or form mode machine name\";}s:6:\"status\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:7:\"Enabled\";}s:7:\"content\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:13:\"Field widgets\";s:8:\"sequence\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:12:\"Field widget\";s:7:\"mapping\";a:5:{s:4:\"type\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:24:\"Widget type machine name\";}s:6:\"weight\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:6:\"Weight\";}s:6:\"region\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"Region\";}s:8:\"settings\";a:2:{s:4:\"type\";s:36:\"field.widget.settings.[%parent.type]\";s:5:\"label\";s:8:\"Settings\";}s:20:\"third_party_settings\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:20:\"Third party settings\";s:8:\"sequence\";a:1:{s:4:\"type\";s:31:\"field.widget.third_party.[%key]\";}}}}}s:6:\"hidden\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:6:\"Hidden\";s:8:\"sequence\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:9:\"Component\";}}}}s:26:\"field.formatter.settings.*\";a:1:{s:4:\"type\";s:7:\"mapping\";}s:23:\"field.widget.settings.*\";a:1:{s:4:\"type\";s:7:\"mapping\";}s:38:\"field.widget.settings.string_textfield\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:34:\"Text field display format settings\";s:7:\"mapping\";a:2:{s:4:\"size\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:17:\"Size of textfield\";}s:11:\"placeholder\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:11:\"Placeholder\";}}}s:37:\"field.widget.settings.string_textarea\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:32:\"Textarea display format settings\";s:7:\"mapping\";a:2:{s:4:\"rows\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:4:\"Rows\";}s:11:\"placeholder\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:11:\"Placeholder\";}}}s:25:\"field.widget.settings.uri\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:9:\"URI field\";s:7:\"mapping\";a:2:{s:4:\"size\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:17:\"Size of URI field\";}s:11:\"placeholder\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:11:\"Placeholder\";}}}s:35:\"field.widget.settings.email_default\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:35:\"Email field display format settings\";s:7:\"mapping\";a:2:{s:11:\"placeholder\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:11:\"Placeholder\";}s:4:\"size\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:19:\"Size of email field\";}}}s:40:\"field.widget.settings.datetime_timestamp\";a:2:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:42:\"Datetime timestamp display format settings\";}s:38:\"field.widget.settings.boolean_checkbox\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:40:\"Boolean checkbox display format settings\";s:7:\"mapping\";a:1:{s:13:\"display_label\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:13:\"Display label\";}}}s:28:\"field.widget.settings.hidden\";a:2:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:26:\"- Hidden - format settings\";}s:28:\"field.widget.settings.number\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:38:\"Number default display format settings\";s:7:\"mapping\";a:1:{s:11:\"placeholder\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:11:\"Placeholder\";}}}s:30:\"field.widget.settings.checkbox\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:38:\"Single on/off checkbox format settings\";s:7:\"mapping\";a:1:{s:13:\"display_label\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:50:\"Use field label instead of the \"On value\" as label\";}}}s:56:\"field.widget.settings.entity_reference_autocomplete_tags\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:66:\"Entity reference autocomplete (Tags style) display format settings\";s:7:\"mapping\";a:4:{s:14:\"match_operator\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:21:\"Autocomplete matching\";}s:11:\"match_limit\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:43:\"Maximum number of autocomplete suggestions.\";}s:4:\"size\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:17:\"Size of textfield\";}s:11:\"placeholder\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:11:\"Placeholder\";}}}s:51:\"field.widget.settings.entity_reference_autocomplete\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:53:\"Entity reference autocomplete display format settings\";s:7:\"mapping\";a:4:{s:14:\"match_operator\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:21:\"Autocomplete matching\";}s:11:\"match_limit\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:43:\"Maximum number of autocomplete suggestions.\";}s:4:\"size\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:17:\"Size of textfield\";}s:11:\"placeholder\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:11:\"Placeholder\";}}}s:32:\"field.formatter.settings.boolean\";a:2:{s:4:\"type\";s:7:\"mapping\";s:7:\"mapping\";a:3:{s:6:\"format\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:13:\"Output format\";}s:19:\"format_custom_false\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:23:\"Custom output for FALSE\";}s:18:\"format_custom_true\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:22:\"Custom output for TRUE\";}}}s:31:\"field.formatter.settings.string\";a:2:{s:4:\"type\";s:7:\"mapping\";s:7:\"mapping\";a:1:{s:14:\"link_to_entity\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:18:\"Link to the entity\";}}}s:33:\"field.formatter.settings.language\";a:2:{s:4:\"type\";s:31:\"field.formatter.settings.string\";s:7:\"mapping\";a:1:{s:15:\"native_language\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:26:\"Display in native language\";}}}s:39:\"field.formatter.settings.number_decimal\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:38:\"Number decimal display format settings\";s:7:\"mapping\";a:4:{s:18:\"thousand_separator\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:15:\"Thousand marker\";}s:17:\"decimal_separator\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:14:\"Decimal marker\";}s:5:\"scale\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:5:\"Scale\";}s:13:\"prefix_suffix\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:26:\"Display prefix and suffix.\";}}}s:39:\"field.formatter.settings.number_integer\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:38:\"Number integer display format settings\";s:7:\"mapping\";a:2:{s:18:\"thousand_separator\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:15:\"Thousand marker\";}s:13:\"prefix_suffix\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:26:\"Display prefix and suffix.\";}}}s:43:\"field.formatter.settings.number_unformatted\";a:2:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:42:\"Number unformatted display format settings\";}s:33:\"field.formatter.settings.uri_link\";a:2:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:35:\"URI as link display format settings\";}s:34:\"field.formatter.settings.timestamp\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:33:\"Timestamp display format settings\";s:7:\"mapping\";a:3:{s:11:\"date_format\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:11:\"Date format\";}s:18:\"custom_date_format\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:18:\"Custom date format\";}s:8:\"timezone\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:9:\"Time zone\";}}}s:38:\"field.formatter.settings.timestamp_ago\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:37:\"Timestamp ago display format settings\";s:7:\"mapping\";a:3:{s:13:\"future_format\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:13:\"Future format\";}s:11:\"past_format\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:11:\"Past format\";}s:11:\"granularity\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:11:\"Granularity\";}}}s:53:\"field.formatter.settings.entity_reference_entity_view\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:56:\"Entity reference rendered entity display format settings\";s:7:\"mapping\";a:2:{s:9:\"view_mode\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:9:\"View mode\";}s:4:\"link\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:10:\"Show links\";}}}s:51:\"field.formatter.settings.entity_reference_entity_id\";a:2:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:50:\"Entity reference entity ID display format settings\";}s:47:\"field.formatter.settings.entity_reference_label\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:46:\"Entity reference label display format settings\";s:7:\"mapping\";a:1:{s:4:\"link\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:35:\"Link label to the referenced entity\";}}}s:32:\"block.settings.field_block:*:*:*\";a:2:{s:4:\"type\";s:14:\"block_settings\";s:7:\"mapping\";a:1:{s:9:\"formatter\";a:1:{s:4:\"type\";s:15:\"field_formatter\";}}}s:31:\"action.configuration.entity:*:*\";a:2:{s:4:\"type\";s:28:\"action_configuration_default\";s:5:\"label\";s:13:\"Entity action\";}s:45:\"action.configuration.action_send_email_action\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:24:\"Send email configuration\";s:7:\"mapping\";a:3:{s:9:\"recipient\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:9:\"Recipient\";}s:7:\"subject\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:7:\"Subject\";}s:7:\"message\";a:2:{s:4:\"type\";s:4:\"text\";s:5:\"label\";s:7:\"Message\";}}}s:39:\"action.configuration.action_goto_action\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:29:\"Redirect to URL configuration\";s:7:\"mapping\";a:1:{s:3:\"url\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:3:\"URL\";}}}s:42:\"action.configuration.action_message_action\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:43:\"Display a message to the user configuration\";s:7:\"mapping\";a:1:{s:7:\"message\";a:2:{s:4:\"type\";s:4:\"text\";s:5:\"label\";s:7:\"Message\";}}}s:14:\"core.extension\";a:3:{s:4:\"type\";s:13:\"config_object\";s:5:\"label\";s:18:\"Extension settings\";s:7:\"mapping\";a:3:{s:6:\"module\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:15:\"Enabled modules\";s:8:\"sequence\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:6:\"Weight\";}}s:5:\"theme\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:16:\"Installed themes\";s:8:\"sequence\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:6:\"Weight\";}}s:7:\"profile\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:15:\"Install profile\";}}}s:36:\"core.menu.static_menu_link_overrides\";a:3:{s:4:\"type\";s:13:\"config_object\";s:5:\"label\";s:26:\"Static menu link overrides\";s:7:\"mapping\";a:1:{s:11:\"definitions\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:11:\"Definitions\";s:8:\"sequence\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:10:\"Definition\";s:7:\"mapping\";a:5:{s:9:\"menu_name\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:9:\"Menu name\";}s:6:\"parent\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"Parent\";}s:6:\"weight\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:6:\"Weight\";}s:8:\"expanded\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:8:\"Expanded\";}s:7:\"enabled\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:7:\"Enabled\";}}}}}}s:23:\"automated_cron.settings\";a:3:{s:4:\"type\";s:13:\"config_object\";s:5:\"label\";s:23:\"Automated cron settings\";s:7:\"mapping\";a:1:{s:8:\"interval\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:14:\"Run cron every\";}}}s:13:\"block.block.*\";a:3:{s:4:\"type\";s:13:\"config_entity\";s:5:\"label\";s:5:\"Block\";s:7:\"mapping\";a:8:{s:2:\"id\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:2:\"ID\";}s:5:\"theme\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:5:\"Theme\";}s:6:\"region\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"Region\";}s:6:\"weight\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:6:\"Weight\";}s:8:\"provider\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:8:\"Provider\";}s:6:\"plugin\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"Plugin\";}s:8:\"settings\";a:1:{s:4:\"type\";s:31:\"block.settings.[%parent.plugin]\";}s:10:\"visibility\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:21:\"Visibility Conditions\";s:8:\"sequence\";a:2:{s:4:\"type\";s:21:\"condition.plugin.[id]\";s:5:\"label\";s:20:\"Visibility Condition\";}}}}s:37:\"block.block.*.third_party.block_class\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:32:\"Block class third party settings\";s:7:\"mapping\";a:1:{s:7:\"classes\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:32:\"Additional classes for the block\";}}}s:20:\"block_content.type.*\";a:3:{s:4:\"type\";s:13:\"config_entity\";s:5:\"label\";s:26:\"Custom block type settings\";s:7:\"mapping\";a:4:{s:2:\"id\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:2:\"ID\";}s:5:\"label\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:5:\"Label\";}s:8:\"revision\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:19:\"Create new revision\";}s:11:\"description\";a:2:{s:4:\"type\";s:4:\"text\";s:5:\"label\";s:11:\"Description\";}}}s:24:\"editor.settings.ckeditor\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:17:\"CKEditor settings\";s:7:\"mapping\";a:2:{s:7:\"toolbar\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:21:\"Toolbar configuration\";s:7:\"mapping\";a:1:{s:4:\"rows\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:4:\"Rows\";s:8:\"sequence\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:13:\"Button groups\";s:8:\"sequence\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:12:\"Button group\";s:7:\"mapping\";a:2:{s:4:\"name\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:17:\"Button group name\";}s:5:\"items\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:7:\"Buttons\";s:8:\"sequence\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"Button\";}}}}}}}}s:7:\"plugins\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:7:\"Plugins\";s:8:\"sequence\";a:1:{s:4:\"type\";s:22:\"ckeditor.plugin.[%key]\";}}}}s:24:\"ckeditor.plugin.language\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:8:\"Language\";s:7:\"mapping\";a:1:{s:13:\"language_list\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:16:\"Language list ID\";}}}s:27:\"ckeditor.plugin.stylescombo\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:15:\"Styles dropdown\";s:7:\"mapping\";a:1:{s:6:\"styles\";a:2:{s:4:\"type\";s:4:\"text\";s:5:\"label\";s:14:\"List of styles\";}}}s:13:\"color.theme.*\";a:3:{s:4:\"type\";s:13:\"config_object\";s:5:\"label\";s:20:\"Color theme settings\";s:7:\"mapping\";a:4:{s:7:\"palette\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:16:\"Palette settings\";s:8:\"sequence\";a:1:{s:4:\"type\";s:9:\"color_hex\";}}s:4:\"logo\";a:2:{s:4:\"type\";s:4:\"path\";s:5:\"label\";s:9:\"Logo path\";}s:11:\"stylesheets\";a:2:{s:4:\"type\";s:8:\"sequence\";s:8:\"sequence\";a:1:{s:4:\"type\";s:4:\"path\";}}s:5:\"files\";a:2:{s:4:\"type\";s:8:\"sequence\";s:8:\"sequence\";a:1:{s:4:\"type\";s:4:\"path\";}}}}s:33:\"field.formatter.settings.colorbox\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:42:\"Entity reference field formatter settings.\";s:7:\"mapping\";a:7:{s:19:\"colorbox_node_style\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:10:\"Node Style\";}s:25:\"colorbox_node_style_first\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:16:\"Node style first\";}s:20:\"colorbox_image_style\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:11:\"Image style\";}s:16:\"colorbox_gallery\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:7:\"Gallery\";}s:23:\"colorbox_gallery_custom\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:14:\"Gallery custom\";}s:16:\"colorbox_caption\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:7:\"Caption\";}s:23:\"colorbox_caption_custom\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:14:\"Caption custom\";}}}s:17:\"colorbox.settings\";a:3:{s:4:\"type\";s:13:\"config_object\";s:5:\"label\";s:17:\"Colorbox settings\";s:7:\"mapping\";a:2:{s:6:\"custom\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:15:\"Custom Settings\";s:7:\"mapping\";a:18:{s:5:\"style\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:5:\"Style\";}s:8:\"activate\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:7:\"Options\";}s:15:\"transition_type\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:15:\"Transition type\";}s:16:\"transition_speed\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:16:\"Transition speed\";}s:7:\"opacity\";a:2:{s:4:\"type\";s:5:\"float\";s:5:\"label\";s:7:\"Opacity\";}s:12:\"text_current\";a:2:{s:4:\"type\";s:4:\"text\";s:5:\"label\";s:7:\"Current\";}s:13:\"text_previous\";a:2:{s:4:\"type\";s:4:\"text\";s:5:\"label\";s:8:\"Previous\";}s:9:\"text_next\";a:2:{s:4:\"type\";s:4:\"text\";s:5:\"label\";s:4:\"Next\";}s:10:\"text_close\";a:2:{s:4:\"type\";s:4:\"text\";s:5:\"label\";s:5:\"Close\";}s:8:\"maxwidth\";a:2:{s:4:\"type\";s:4:\"text\";s:5:\"label\";s:9:\"Max width\";}s:9:\"maxheight\";a:2:{s:4:\"type\";s:4:\"text\";s:5:\"label\";s:10:\"Max height\";}s:12:\"initialwidth\";a:2:{s:4:\"type\";s:4:\"text\";s:5:\"label\";s:13:\"Initial width\";}s:13:\"initialheight\";a:2:{s:4:\"type\";s:4:\"text\";s:5:\"label\";s:14:\"Initial height\";}s:12:\"overlayclose\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:13:\"Overlay close\";}s:11:\"returnfocus\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:12:\"Return focus\";}s:5:\"fixed\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:5:\"Fixed\";}s:9:\"scrolling\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:10:\"Scrollbars\";}s:9:\"slideshow\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:9:\"Slideshow\";s:7:\"mapping\";a:5:{s:9:\"slideshow\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:9:\"Slideshow\";}s:4:\"auto\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:19:\"Slideshow autostart\";}s:5:\"speed\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:15:\"Slideshow speed\";}s:10:\"text_start\";a:2:{s:4:\"type\";s:4:\"text\";s:5:\"label\";s:15:\"Start slideshow\";}s:9:\"text_stop\";a:2:{s:4:\"type\";s:4:\"text\";s:5:\"label\";s:14:\"Stop slideshow\";}}}}}s:8:\"advanced\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:17:\"Advanced settings\";s:7:\"mapping\";a:6:{s:12:\"unique_token\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:32:\"Unique per-request gallery token\";}s:13:\"mobile_detect\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:16:\"Mobile detection\";}s:19:\"mobile_device_width\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:12:\"Device width\";}s:12:\"caption_trim\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:18:\"Caption shortening\";}s:19:\"caption_trim_length\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:18:\"Caption max length\";}s:16:\"compression_type\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:26:\"Colorbox compression level\";}}}}}s:16:\"comment.settings\";a:3:{s:4:\"type\";s:13:\"config_object\";s:5:\"label\";s:16:\"Comment settings\";s:7:\"mapping\";a:1:{s:16:\"log_ip_addresses\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:49:\"Whether to log IP addresses with comments or not.\";}}}s:40:\"field.formatter.settings.comment_default\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:31:\"Comment display format settings\";s:7:\"mapping\";a:2:{s:9:\"view_mode\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:57:\"The comment entity view mode to be used in this formatter\";}s:8:\"pager_id\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:8:\"Pager ID\";}}}s:37:\"field.widget.settings.comment_default\";a:2:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:31:\"Comment display format settings\";}s:43:\"action.configuration.comment_publish_action\";a:2:{s:4:\"type\";s:28:\"action_configuration_default\";s:5:\"label\";s:29:\"Publish comment configuration\";}s:40:\"action.configuration.comment_save_action\";a:2:{s:4:\"type\";s:28:\"action_configuration_default\";s:5:\"label\";s:26:\"Save comment configuration\";}s:56:\"action.configuration.comment_unpublish_by_keyword_action\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:53:\"Unpublish comment containing keyword(s) configuration\";s:7:\"mapping\";a:1:{s:8:\"keywords\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:8:\"Keywords\";s:8:\"sequence\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:7:\"Keyword\";}}}}s:45:\"action.configuration.comment_unpublish_action\";a:2:{s:4:\"type\";s:28:\"action_configuration_default\";s:5:\"label\";s:31:\"Unpublish comment configuration\";}s:42:\"action.configuration.comment_delete_action\";a:2:{s:4:\"type\";s:28:\"action_configuration_default\";s:5:\"label\";s:28:\"Delete comment configuration\";}s:14:\"comment.type.*\";a:3:{s:4:\"type\";s:13:\"config_entity\";s:5:\"label\";s:21:\"Comment type settings\";s:7:\"mapping\";a:4:{s:2:\"id\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:2:\"ID\";}s:5:\"label\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:5:\"Label\";}s:21:\"target_entity_type_id\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:21:\"Target Entity Type ID\";}s:11:\"description\";a:2:{s:4:\"type\";s:4:\"text\";s:5:\"label\";s:11:\"Description\";}}}s:30:\"field.storage_settings.comment\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:16:\"Comment settings\";s:7:\"mapping\";a:1:{s:12:\"comment_type\";a:2:{s:5:\"label\";s:12:\"Comment type\";s:4:\"type\";s:6:\"string\";}}}s:19:\"field.value.comment\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:13:\"Default value\";s:7:\"mapping\";a:6:{s:6:\"status\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:14:\"Comment status\";}s:3:\"cid\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:15:\"Last comment ID\";}s:22:\"last_comment_timestamp\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:22:\"Last comment timestamp\";}s:17:\"last_comment_name\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:17:\"Last comment name\";}s:16:\"last_comment_uid\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:20:\"Last comment user ID\";}s:13:\"comment_count\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:18:\"Number of comments\";}}}s:28:\"field.field_settings.comment\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:16:\"Comment settings\";s:7:\"mapping\";a:5:{s:12:\"default_mode\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:9:\"Threading\";}s:8:\"per_page\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:17:\"Comments per page\";}s:9:\"anonymous\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:4:\"Mode\";}s:13:\"form_location\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:19:\"Allow comment title\";}s:7:\"preview\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:15:\"Preview comment\";}}}s:42:\"field.formatter.settings.comment_permalink\";a:1:{s:4:\"type\";s:31:\"field.formatter.settings.string\";}s:40:\"views.argument.argument_comment_user_uid\";a:2:{s:4:\"type\";s:14:\"views_argument\";s:5:\"label\";s:17:\"Commented user ID\";}s:25:\"views.field.comment_depth\";a:2:{s:4:\"type\";s:11:\"views_field\";s:5:\"label\";s:13:\"Comment depth\";}s:31:\"views.field.comment_entity_link\";a:3:{s:4:\"type\";s:11:\"views_field\";s:5:\"label\";s:12:\"Comment link\";s:7:\"mapping\";a:1:{s:6:\"teaser\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:22:\"Show teaser-style link\";}}}s:29:\"views.field.comment_bulk_form\";a:2:{s:4:\"type\";s:21:\"views_field_bulk_form\";s:5:\"label\";s:17:\"Comment bulk form\";}s:28:\"views.field.commented_entity\";a:2:{s:4:\"type\";s:17:\"views.field.field\";s:5:\"label\";s:16:\"Commented entity\";}s:34:\"views.field.comment_last_timestamp\";a:2:{s:4:\"type\";s:16:\"views.field.date\";s:5:\"label\";s:17:\"Last comment date\";}s:32:\"views.field.comment_link_approve\";a:2:{s:4:\"type\";s:24:\"views.field.comment_link\";s:5:\"label\";s:20:\"Comment approve link\";}s:30:\"views.field.comment_link_reply\";a:2:{s:4:\"type\";s:24:\"views.field.comment_link\";s:5:\"label\";s:18:\"Comment reply link\";}s:29:\"views.field.node_new_comments\";a:3:{s:4:\"type\";s:19:\"views.field.numeric\";s:5:\"label\";s:22:\"Number of new comments\";s:7:\"mapping\";a:1:{s:15:\"link_to_comment\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:31:\"Link this field to new comments\";}}}s:41:\"views.field.comment_ces_last_comment_name\";a:2:{s:4:\"type\";s:11:\"views_field\";s:5:\"label\";s:27:\"Name of last comment poster\";}s:36:\"views.field.comment_ces_last_updated\";a:2:{s:4:\"type\";s:11:\"views_field\";s:5:\"label\";s:36:\"Newer of last comment / node updated\";}s:25:\"views.filter.node_comment\";a:2:{s:4:\"type\";s:24:\"views.filter.in_operator\";s:5:\"label\";s:19:\"Comment node status\";}s:37:\"views.filter.comment_ces_last_updated\";a:2:{s:4:\"type\";s:17:\"views.filter.date\";s:5:\"label\";s:36:\"Newer of last comment / node updated\";}s:29:\"views.filter.comment_user_uid\";a:2:{s:4:\"type\";s:12:\"views_filter\";s:5:\"label\";s:24:\"Node user posted comment\";}s:21:\"views.row.comment_rss\";a:3:{s:4:\"type\";s:9:\"views_row\";s:5:\"label\";s:7:\"Comment\";s:7:\"mapping\";a:1:{s:9:\"view_mode\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:12:\"Display type\";}}}s:40:\"views.sort.comment_ces_last_comment_name\";a:2:{s:4:\"type\";s:10:\"views_sort\";s:5:\"label\";s:17:\"Last comment name\";}s:35:\"views.sort.comment_ces_last_updated\";a:2:{s:4:\"type\";s:15:\"views.sort.date\";s:5:\"label\";s:38:\"Newer of last comment / entity updated\";}s:25:\"views.sort.comment_thread\";a:2:{s:4:\"type\";s:10:\"views_sort\";s:5:\"label\";s:6:\"Thread\";}s:14:\"contact.form.*\";a:3:{s:4:\"type\";s:13:\"config_entity\";s:5:\"label\";s:12:\"Contact form\";s:7:\"mapping\";a:7:{s:2:\"id\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:2:\"ID\";}s:5:\"label\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:5:\"Label\";}s:10:\"recipients\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:10:\"Recipients\";s:8:\"sequence\";a:2:{s:4:\"type\";s:5:\"email\";s:5:\"label\";s:13:\"Email address\";}}s:5:\"reply\";a:2:{s:4:\"type\";s:4:\"text\";s:5:\"label\";s:10:\"Auto-reply\";}s:6:\"weight\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:6:\"Weight\";}s:7:\"message\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:39:\"Message displayed to user on submission\";}s:8:\"redirect\";a:2:{s:4:\"type\";s:4:\"path\";s:5:\"label\";s:27:\"Redirect path on submission\";}}}s:16:\"contact.settings\";a:3:{s:4:\"type\";s:13:\"config_object\";s:5:\"label\";s:16:\"Contact settings\";s:7:\"mapping\";a:3:{s:12:\"default_form\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:23:\"Default form identifier\";}s:5:\"flood\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:13:\"Flood control\";s:7:\"mapping\";a:2:{s:5:\"limit\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:5:\"Limit\";}s:8:\"interval\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:8:\"Interval\";}}}s:20:\"user_default_enabled\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:40:\"Personal contact form enabled by default\";}}}s:24:\"views.field.contact_link\";a:2:{s:4:\"type\";s:21:\"views.field.user_link\";s:5:\"label\";s:25:\"Link to user contact page\";}s:49:\"field.field.*.*.*.third_party.content_translation\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:34:\"Content translation field settings\";s:7:\"mapping\";a:1:{s:16:\"translation_sync\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:54:\"Field properties for which to synchronize translations\";s:8:\"sequence\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:50:\"Field column for which to synchronize translations\";}}}}s:61:\"language.content_settings.*.*.third_party.content_translation\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:36:\"Content translation content settings\";s:7:\"mapping\";a:2:{s:7:\"enabled\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:27:\"Content translation enabled\";}s:15:\"bundle_settings\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:35:\"Content translation bundle settings\";s:8:\"sequence\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:22:\"Bundle settings values\";}}}}s:36:\"views.field.content_translation_link\";a:3:{s:4:\"type\";s:11:\"views_field\";s:5:\"label\";s:24:\"Content translation link\";s:7:\"mapping\";a:1:{s:4:\"text\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:15:\"Text to display\";}}}s:28:\"views.field.contextual_links\";a:3:{s:4:\"type\";s:11:\"views_field\";s:5:\"label\";s:15:\"Contextual link\";s:7:\"mapping\";a:2:{s:6:\"fields\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:6:\"Fields\";s:8:\"sequence\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:4:\"Link\";}}s:11:\"destination\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:19:\"Include destination\";}}}s:14:\"ctools.context\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:7:\"Context\";s:7:\"mapping\";a:4:{s:5:\"label\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:20:\"Label of the context\";}s:4:\"type\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:12:\"Context type\";}s:11:\"description\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:26:\"Description of the context\";}s:5:\"value\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:13:\"Context value\";}}}s:19:\"ctools.relationship\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:12:\"Relationship\";s:7:\"mapping\";a:2:{s:2:\"id\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:2:\"ID\";}s:5:\"label\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:5:\"Label\";}}}s:32:\"condition.plugin.entity_bundle:*\";a:2:{s:4:\"type\";s:16:\"condition.plugin\";s:7:\"mapping\";a:1:{s:7:\"bundles\";a:2:{s:4:\"type\";s:8:\"sequence\";s:8:\"sequence\";a:1:{s:4:\"type\";s:6:\"string\";}}}}s:21:\"ctools.block_plugin.*\";a:2:{s:4:\"type\";s:19:\"block.settings.[id]\";s:7:\"mapping\";a:4:{s:6:\"region\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"Region\";}s:6:\"weight\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:6:\"Weight\";}s:4:\"uuid\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:4:\"UUID\";}s:15:\"context_mapping\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:19:\"Context assignments\";s:8:\"sequence\";a:1:{i:0;a:1:{s:4:\"type\";s:6:\"string\";}}}}}s:28:\"ctools.block_display_variant\";a:3:{s:4:\"type\";s:22:\"display_variant.plugin\";s:5:\"label\";s:21:\"Block display variant\";s:7:\"mapping\";a:1:{s:6:\"blocks\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:6:\"Blocks\";s:8:\"sequence\";a:1:{i:0;a:1:{s:4:\"type\";s:24:\"ctools.block_plugin.[id]\";}}}}}s:31:\"field.storage_settings.datetime\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:17:\"Datetime settings\";s:7:\"mapping\";a:1:{s:13:\"datetime_type\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:9:\"Date type\";}}}s:29:\"field.field_settings.datetime\";a:2:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:17:\"Datetime settings\";}s:20:\"field.value.datetime\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:13:\"Default value\";s:7:\"mapping\";a:2:{s:17:\"default_date_type\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:17:\"Default date type\";}s:12:\"default_date\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:18:\"Default date value\";}}}s:38:\"field.formatter.settings.datetime_base\";a:2:{s:4:\"type\";s:7:\"mapping\";s:7:\"mapping\";a:1:{s:17:\"timezone_override\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:18:\"Time zone override\";}}}s:41:\"field.formatter.settings.datetime_default\";a:3:{s:4:\"type\";s:38:\"field.formatter.settings.datetime_base\";s:5:\"label\";s:40:\"Datetime default display format settings\";s:7:\"mapping\";a:1:{s:11:\"format_type\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:11:\"Date format\";}}}s:39:\"field.formatter.settings.datetime_plain\";a:2:{s:4:\"type\";s:38:\"field.formatter.settings.datetime_base\";s:5:\"label\";s:38:\"Datetime plain display format settings\";}s:40:\"field.formatter.settings.datetime_custom\";a:3:{s:4:\"type\";s:38:\"field.formatter.settings.datetime_base\";s:5:\"label\";s:39:\"Datetime custom display format settings\";s:7:\"mapping\";a:1:{s:11:\"date_format\";a:2:{s:4:\"type\";s:11:\"date_format\";s:5:\"label\";s:16:\"Date/time format\";}}}s:42:\"field.formatter.settings.datetime_time_ago\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:41:\"Datetime time ago display format settings\";s:7:\"mapping\";a:3:{s:13:\"future_format\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:13:\"Future format\";}s:11:\"past_format\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:11:\"Past format\";}s:11:\"granularity\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:11:\"Granularity\";}}}s:39:\"field.widget.settings.datetime_datelist\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:44:\"Datetime select list display format settings\";s:7:\"mapping\";a:3:{s:9:\"increment\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:15:\"Time increments\";}s:10:\"date_order\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:15:\"Date part order\";}s:9:\"time_type\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:9:\"Time type\";}}}s:38:\"field.widget.settings.datetime_default\";a:2:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:40:\"Datetime default display format settings\";}s:23:\"views.argument.datetime\";a:1:{s:4:\"type\";s:19:\"views.argument.date\";}s:27:\"views.argument.datetime_day\";a:1:{s:4:\"type\";s:23:\"views.argument.datetime\";}s:33:\"views.argument.datetime_full_date\";a:1:{s:4:\"type\";s:23:\"views.argument.datetime\";}s:29:\"views.argument.datetime_month\";a:1:{s:4:\"type\";s:23:\"views.argument.datetime\";}s:28:\"views.argument.datetime_week\";a:1:{s:4:\"type\";s:23:\"views.argument.datetime\";}s:28:\"views.argument.datetime_year\";a:1:{s:4:\"type\";s:23:\"views.argument.datetime\";}s:34:\"views.argument.datetime_year_month\";a:1:{s:4:\"type\";s:23:\"views.argument.datetime\";}s:21:\"views.filter.datetime\";a:1:{s:4:\"type\";s:17:\"views.filter.date\";}s:27:\"views.filter_value.datetime\";a:1:{s:4:\"type\";s:23:\"views.filter_value.date\";}s:19:\"views.sort.datetime\";a:1:{s:4:\"type\";s:15:\"views.sort.date\";}s:26:\"views.sort_expose.datetime\";a:1:{s:4:\"type\";s:22:\"views.sort_expose.date\";}s:14:\"dblog.settings\";a:3:{s:4:\"type\";s:13:\"config_object\";s:5:\"label\";s:25:\"Database logging settings\";s:7:\"mapping\";a:1:{s:9:\"row_limit\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:29:\"Database log messages to keep\";}}}s:25:\"views.field.dblog_message\";a:3:{s:4:\"type\";s:11:\"views_field\";s:5:\"label\";s:17:\"Log event message\";s:7:\"mapping\";a:1:{s:17:\"replace_variables\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:17:\"Replace variables\";}}}s:28:\"views.field.dblog_operations\";a:2:{s:4:\"type\";s:11:\"views_field\";s:5:\"label\";s:21:\"Operation link markup\";}s:24:\"views.filter.dblog_types\";a:2:{s:4:\"type\";s:24:\"views.filter.in_operator\";s:5:\"label\";s:5:\"Types\";}s:15:\"editor.editor.*\";a:3:{s:4:\"type\";s:13:\"config_entity\";s:5:\"label\";s:11:\"Text editor\";s:7:\"mapping\";a:4:{s:6:\"format\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:4:\"Name\";}s:6:\"editor\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:11:\"Text editor\";}s:8:\"settings\";a:1:{s:4:\"type\";s:32:\"editor.settings.[%parent.editor]\";}s:12:\"image_upload\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:21:\"Image upload settings\";s:7:\"mapping\";a:5:{s:6:\"status\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:6:\"Status\";}s:6:\"scheme\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:12:\"File storage\";}s:9:\"directory\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:16:\"Upload directory\";}s:8:\"max_size\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:17:\"Maximum file size\";}s:14:\"max_dimensions\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:18:\"Maximum dimensions\";s:7:\"mapping\";a:2:{s:5:\"width\";a:3:{s:4:\"type\";s:7:\"integer\";s:8:\"nullable\";b:1;s:5:\"label\";s:13:\"Maximum width\";}s:6:\"height\";a:3:{s:4:\"type\";s:7:\"integer\";s:8:\"nullable\";b:1;s:5:\"label\";s:14:\"Maximum height\";}}}}}}}s:14:\"field.settings\";a:3:{s:4:\"type\";s:13:\"config_object\";s:5:\"label\";s:14:\"Field settings\";s:7:\"mapping\";a:1:{s:16:\"purge_batch_size\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:45:\"Maximum number of field data records to purge\";}}}s:17:\"field.storage.*.*\";a:3:{s:4:\"type\";s:13:\"config_entity\";s:5:\"label\";s:5:\"Field\";s:7:\"mapping\";a:12:{s:2:\"id\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:2:\"ID\";}s:10:\"field_name\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:10:\"Field name\";}s:11:\"entity_type\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:11:\"Entity type\";}s:4:\"type\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:4:\"Type\";}s:8:\"settings\";a:1:{s:4:\"type\";s:37:\"field.storage_settings.[%parent.type]\";}s:6:\"module\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"Module\";}s:6:\"locked\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:6:\"Locked\";}s:11:\"cardinality\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:40:\"Maximum number of values users can enter\";}s:12:\"translatable\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:12:\"Translatable\";}s:7:\"indexes\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:7:\"Indexes\";s:8:\"sequence\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:7:\"Indexes\";s:8:\"sequence\";a:2:{s:4:\"type\";s:6:\"ignore\";s:5:\"label\";s:5:\"Index\";}}}s:22:\"persist_with_no_fields\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:36:\"Persist field storage with no fields\";}s:14:\"custom_storage\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:21:\"Enable custom storage\";}}}s:17:\"field.field.*.*.*\";a:2:{s:4:\"type\";s:17:\"field_config_base\";s:5:\"label\";s:5:\"Field\";}s:33:\"views.relationship.entity_reverse\";a:2:{s:4:\"type\";s:18:\"views_relationship\";s:5:\"label\";s:24:\"Reverse entity reference\";}s:17:\"field_ui.settings\";a:3:{s:4:\"type\";s:13:\"config_object\";s:5:\"label\";s:17:\"Field UI settings\";s:7:\"mapping\";a:1:{s:12:\"field_prefix\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:46:\"The prefix for new fields created via Field UI\";}}}s:13:\"file.settings\";a:3:{s:4:\"type\";s:13:\"config_object\";s:5:\"label\";s:13:\"File settings\";s:7:\"mapping\";a:3:{s:11:\"description\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:11:\"Description\";s:7:\"mapping\";a:2:{s:4:\"type\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:4:\"Type\";}s:6:\"length\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:6:\"Length\";}}}s:4:\"icon\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:4:\"Icon\";s:7:\"mapping\";a:1:{s:9:\"directory\";a:2:{s:4:\"type\";s:4:\"path\";s:5:\"label\";s:9:\"Directory\";}}}s:35:\"make_unused_managed_files_temporary\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:51:\"Controls if unused files should be marked temporary\";}}}s:27:\"field.storage_settings.file\";a:3:{s:4:\"type\";s:36:\"base_entity_reference_field_settings\";s:5:\"label\";s:13:\"File settings\";s:7:\"mapping\";a:3:{s:13:\"display_field\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:20:\"Enable Display field\";}s:15:\"display_default\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:26:\"Files displayed by default\";}s:10:\"uri_scheme\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:18:\"Upload destination\";}}}s:16:\"field.value.file\";a:2:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:13:\"Default value\";}s:30:\"base_file_field_field_settings\";a:2:{s:4:\"type\";s:7:\"mapping\";s:7:\"mapping\";a:5:{s:7:\"handler\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:16:\"Reference method\";}s:16:\"handler_settings\";a:2:{s:4:\"type\";s:44:\"entity_reference_selection.[%parent.handler]\";s:5:\"label\";s:31:\"File selection handler settings\";}s:14:\"file_directory\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:14:\"File directory\";}s:15:\"file_extensions\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:23:\"Allowed file extensions\";}s:12:\"max_filesize\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:19:\"Maximum upload size\";}}}s:25:\"field.field_settings.file\";a:3:{s:4:\"type\";s:30:\"base_file_field_field_settings\";s:5:\"label\";s:13:\"File settings\";s:7:\"mapping\";a:1:{s:17:\"description_field\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:24:\"Enable Description field\";}}}s:20:\"file.formatter.media\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:29:\"Media display format settings\";s:7:\"mapping\";a:4:{s:8:\"controls\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:22:\"Show playback controls\";}s:8:\"autoplay\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:8:\"Autoplay\";}s:4:\"loop\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:4:\"Loop\";}s:26:\"multiple_file_display_type\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:25:\"Display of multiple files\";}}}s:35:\"field.formatter.settings.file_audio\";a:2:{s:4:\"type\";s:20:\"file.formatter.media\";s:5:\"label\";s:34:\"Audio file display format settings\";}s:35:\"field.formatter.settings.file_video\";a:3:{s:4:\"type\";s:20:\"file.formatter.media\";s:5:\"label\";s:34:\"Video file display format settings\";s:7:\"mapping\";a:3:{s:5:\"muted\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:5:\"Muted\";}s:5:\"width\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:5:\"Width\";}s:6:\"height\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:6:\"Height\";}}}s:37:\"field.formatter.settings.file_default\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:28:\"Generic file format settings\";s:7:\"mapping\";a:1:{s:28:\"use_description_as_link_text\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:55:\"Replace the file name by its description when available\";}}}s:43:\"field.formatter.settings.file_rss_enclosure\";a:2:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:29:\"RSS enclosure format settings\";}s:35:\"field.formatter.settings.file_table\";a:2:{s:4:\"type\";s:37:\"field.formatter.settings.file_default\";s:5:\"label\";s:30:\"Table of files format settings\";}s:39:\"field.formatter.settings.file_url_plain\";a:2:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:27:\"URL to file format settings\";}s:34:\"field.widget.settings.file_generic\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:20:\"File format settings\";s:7:\"mapping\";a:1:{s:18:\"progress_indicator\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:18:\"Progress indicator\";}}}s:34:\"field_formatter_settings_base_file\";a:2:{s:4:\"type\";s:7:\"mapping\";s:7:\"mapping\";a:1:{s:12:\"link_to_file\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:12:\"Link to file\";}}}s:34:\"field.formatter.settings.file_link\";a:1:{s:4:\"type\";s:34:\"field_formatter_settings_base_file\";}s:33:\"field.formatter.settings.file_uri\";a:2:{s:4:\"type\";s:34:\"field_formatter_settings_base_file\";s:7:\"mapping\";a:1:{s:18:\"file_download_path\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:21:\"Display download path\";}}}s:38:\"field.formatter.settings.file_filemime\";a:2:{s:4:\"type\";s:34:\"field_formatter_settings_base_file\";s:7:\"mapping\";a:1:{s:14:\"filemime_image\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:28:\"Display the filemime as icon\";}}}s:39:\"field.formatter.settings.file_extension\";a:2:{s:4:\"type\";s:34:\"field_formatter_settings_base_file\";s:7:\"mapping\";a:1:{s:20:\"extension_detect_tar\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:10:\"Detect tar\";}}}s:23:\"views.argument.file_fid\";a:2:{s:4:\"type\";s:22:\"views.argument.numeric\";s:5:\"label\";s:7:\"File ID\";}s:26:\"views.field.file_extension\";a:3:{s:4:\"type\";s:11:\"views_field\";s:5:\"label\";s:14:\"File extension\";s:7:\"mapping\";a:1:{s:20:\"extension_detect_tar\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:38:\"Detect if tar is part of the extension\";}}}s:16:\"views.field.file\";a:3:{s:4:\"type\";s:11:\"views_field\";s:5:\"label\";s:4:\"File\";s:7:\"mapping\";a:1:{s:12:\"link_to_file\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:36:\"Link this field to download the file\";}}}s:25:\"views.field.file_filemime\";a:3:{s:4:\"type\";s:16:\"views.field.file\";s:5:\"label\";s:9:\"File MIME\";s:7:\"mapping\";a:1:{s:14:\"filemime_image\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:91:\"Display an icon representing the file type, instead of the MIME text (such as \"image/jpeg\")\";}}}s:20:\"views.field.file_uri\";a:3:{s:4:\"type\";s:16:\"views.field.file\";s:5:\"label\";s:8:\"File URI\";s:7:\"mapping\";a:1:{s:18:\"file_download_path\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:49:\"Display download path instead of file storage URI\";}}}s:24:\"views.filter.file_status\";a:2:{s:4:\"type\";s:24:\"views.filter.in_operator\";s:5:\"label\";s:11:\"File status\";}s:15:\"filter.settings\";a:3:{s:4:\"type\";s:13:\"config_object\";s:5:\"label\";s:15:\"Filter settings\";s:7:\"mapping\";a:2:{s:15:\"fallback_format\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:20:\"Fallback text format\";}s:27:\"always_show_fallback_choice\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:27:\"Always show fallback choice\";}}}s:15:\"filter.format.*\";a:3:{s:4:\"type\";s:13:\"config_entity\";s:5:\"label\";s:12:\"Text formats\";s:7:\"mapping\";a:6:{s:4:\"name\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:4:\"Name\";}s:6:\"format\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:12:\"Machine name\";}s:6:\"weight\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:6:\"Weight\";}s:5:\"roles\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:5:\"Roles\";s:8:\"sequence\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:4:\"Role\";}}s:7:\"filters\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:15:\"Enabled filters\";s:8:\"sequence\";a:1:{s:4:\"type\";s:6:\"filter\";}}s:12:\"dependencies\";a:2:{s:4:\"type\";s:19:\"config_dependencies\";s:5:\"label\";s:12:\"Dependencies\";}}}s:17:\"filter_settings.*\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:15:\"Filter settings\";s:8:\"sequence\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:5:\"Value\";}}s:27:\"filter_settings.filter_html\";a:3:{s:4:\"type\";s:6:\"filter\";s:5:\"label\";s:11:\"Filter HTML\";s:7:\"mapping\";a:3:{s:12:\"allowed_html\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:12:\"Allowed HTML\";}s:16:\"filter_html_help\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:9:\"HTML help\";}s:20:\"filter_html_nofollow\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:13:\"HTML nofollow\";}}}s:26:\"filter_settings.filter_url\";a:3:{s:4:\"type\";s:6:\"filter\";s:5:\"label\";s:10:\"Filter URL\";s:7:\"mapping\";a:1:{s:17:\"filter_url_length\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:10:\"URL length\";}}}s:34:\"views.field.history_user_timestamp\";a:3:{s:4:\"type\";s:16:\"views.field.node\";s:5:\"label\";s:12:\"History user\";s:7:\"mapping\";a:1:{s:8:\"comments\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:30:\"Check for new comments as well\";}}}s:35:\"views.filter.history_user_timestamp\";a:2:{s:4:\"type\";s:12:\"views_filter\";s:5:\"label\";s:12:\"History user\";}s:10:\"image_size\";a:2:{s:4:\"type\";s:7:\"mapping\";s:7:\"mapping\";a:2:{s:5:\"width\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:5:\"Width\";}s:6:\"height\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:6:\"Height\";}}}s:19:\"field_default_image\";a:2:{s:4:\"type\";s:7:\"mapping\";s:7:\"mapping\";a:5:{s:4:\"uuid\";a:1:{s:4:\"type\";s:4:\"uuid\";}s:3:\"alt\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:16:\"Alternative text\";}s:5:\"title\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:5:\"Title\";}s:5:\"width\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:5:\"Width\";}s:6:\"height\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:6:\"Height\";}}}s:13:\"image.style.*\";a:3:{s:4:\"type\";s:13:\"config_entity\";s:5:\"label\";s:11:\"Image style\";s:7:\"mapping\";a:3:{s:4:\"name\";a:1:{s:4:\"type\";s:6:\"string\";}s:5:\"label\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:5:\"Label\";}s:7:\"effects\";a:2:{s:4:\"type\";s:8:\"sequence\";s:8:\"sequence\";a:2:{s:4:\"type\";s:7:\"mapping\";s:7:\"mapping\";a:4:{s:2:\"id\";a:1:{s:4:\"type\";s:6:\"string\";}s:4:\"data\";a:1:{s:4:\"type\";s:25:\"image.effect.[%parent.id]\";}s:6:\"weight\";a:1:{s:4:\"type\";s:7:\"integer\";}s:4:\"uuid\";a:1:{s:4:\"type\";s:4:\"uuid\";}}}}}}s:14:\"image.effect.*\";a:2:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:15:\"Effect settings\";}s:23:\"image.effect.image_crop\";a:3:{s:4:\"type\";s:10:\"image_size\";s:5:\"label\";s:10:\"Image crop\";s:7:\"mapping\";a:1:{s:6:\"anchor\";a:2:{s:5:\"label\";s:6:\"Anchor\";s:4:\"type\";s:6:\"string\";}}}s:26:\"image.effect.image_convert\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:7:\"Convert\";s:7:\"mapping\";a:1:{s:9:\"extension\";a:2:{s:5:\"label\";s:9:\"Extension\";s:4:\"type\";s:6:\"string\";}}}s:25:\"image.effect.image_resize\";a:2:{s:4:\"type\";s:10:\"image_size\";s:5:\"label\";s:12:\"Image resize\";}s:25:\"image.effect.image_rotate\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:12:\"Image rotate\";s:7:\"mapping\";a:3:{s:7:\"degrees\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:14:\"Rotation angle\";}s:7:\"bgcolor\";a:2:{s:5:\"label\";s:16:\"Background color\";s:4:\"type\";s:9:\"color_hex\";}s:6:\"random\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:9:\"Randomize\";}}}s:24:\"image.effect.image_scale\";a:3:{s:4:\"type\";s:10:\"image_size\";s:5:\"label\";s:11:\"Image scale\";s:7:\"mapping\";a:1:{s:7:\"upscale\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:7:\"Upscale\";}}}s:29:\"image.effect.image_desaturate\";a:1:{s:4:\"type\";s:8:\"sequence\";}s:33:\"image.effect.image_scale_and_crop\";a:3:{s:4:\"type\";s:10:\"image_size\";s:5:\"label\";s:20:\"Image scale and crop\";s:7:\"mapping\";a:1:{s:6:\"anchor\";a:2:{s:5:\"label\";s:6:\"Anchor\";s:4:\"type\";s:6:\"string\";}}}s:14:\"image.settings\";a:2:{s:4:\"type\";s:13:\"config_object\";s:7:\"mapping\";a:3:{s:13:\"preview_image\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:13:\"Preview image\";}s:26:\"allow_insecure_derivatives\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:32:\"Allow insecure image derivatives\";}s:20:\"suppress_itok_output\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:52:\"Suppress the itok query string for image derivatives\";}}}s:28:\"field.storage_settings.image\";a:3:{s:4:\"type\";s:27:\"field.storage_settings.file\";s:5:\"label\";s:14:\"Image settings\";s:7:\"mapping\";a:1:{s:13:\"default_image\";a:2:{s:4:\"type\";s:19:\"field_default_image\";s:5:\"label\";s:13:\"Default value\";}}}s:26:\"field.field_settings.image\";a:3:{s:4:\"type\";s:30:\"base_file_field_field_settings\";s:5:\"label\";s:14:\"Image settings\";s:7:\"mapping\";a:7:{s:14:\"max_resolution\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:24:\"Maximum image resolution\";}s:14:\"min_resolution\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:24:\"Minimum image resolution\";}s:9:\"alt_field\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:16:\"Enable Alt field\";}s:18:\"alt_field_required\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:18:\"Alt field required\";}s:11:\"title_field\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:18:\"Enable Title field\";}s:20:\"title_field_required\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:20:\"Title field required\";}s:13:\"default_image\";a:2:{s:4:\"type\";s:19:\"field_default_image\";s:5:\"label\";s:13:\"Default value\";}}}s:17:\"field.value.image\";a:2:{s:4:\"type\";s:19:\"field_default_image\";s:5:\"label\";s:13:\"Default value\";}s:30:\"field.formatter.settings.image\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:35:\"Image field display format settings\";s:7:\"mapping\";a:2:{s:10:\"image_link\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:13:\"Link image to\";}s:11:\"image_style\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:11:\"Image style\";}}}s:34:\"field.formatter.settings.image_url\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:28:\"Image URL formatter settings\";s:7:\"mapping\";a:1:{s:11:\"image_style\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:11:\"Image style\";}}}s:33:\"field.widget.settings.image_image\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:35:\"Image field display format settings\";s:7:\"mapping\";a:2:{s:18:\"progress_indicator\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:18:\"Progress indicator\";}s:19:\"preview_image_style\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:19:\"Preview image style\";}}}s:25:\"language_type_negotiation\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:37:\"Language negotiation per type setting\";s:7:\"mapping\";a:2:{s:7:\"enabled\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:19:\"Enabled negotiators\";s:8:\"sequence\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:6:\"Weight\";}}s:14:\"method_weights\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:18:\"Negotiator weights\";s:8:\"sequence\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:6:\"Weight\";}}}}s:14:\"language.types\";a:3:{s:4:\"type\";s:13:\"config_object\";s:5:\"label\";s:14:\"Language types\";s:7:\"mapping\";a:3:{s:3:\"all\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:18:\"All language types\";s:8:\"sequence\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:13:\"Language type\";}}s:12:\"configurable\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:27:\"Configurable language types\";s:8:\"sequence\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:13:\"Language type\";}}s:11:\"negotiation\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:38:\"Language negotiation per type settings\";s:8:\"sequence\";a:2:{s:4:\"type\";s:25:\"language_type_negotiation\";s:5:\"label\";s:37:\"Language negotiation per type setting\";}}}}s:20:\"language.negotiation\";a:3:{s:4:\"type\";s:13:\"config_object\";s:5:\"label\";s:26:\"Language detection methods\";s:7:\"mapping\";a:3:{s:7:\"session\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:7:\"Session\";s:7:\"mapping\";a:1:{s:9:\"parameter\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:25:\"Request/session parameter\";}}}s:3:\"url\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:46:\"Language from the URL (Path prefix or domain).\";s:7:\"mapping\";a:3:{s:6:\"source\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:40:\"Part of the URL that determines language\";}s:8:\"prefixes\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:25:\"Path prefix configuration\";s:8:\"sequence\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:11:\"Path prefix\";}}s:7:\"domains\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:20:\"Domain configuration\";s:8:\"sequence\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"Domain\";}}}}s:17:\"selected_langcode\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:17:\"Selected language\";}}}s:17:\"language.mappings\";a:3:{s:4:\"type\";s:13:\"config_object\";s:5:\"label\";s:16:\"Language mapping\";s:7:\"mapping\";a:1:{s:3:\"map\";a:2:{s:4:\"type\";s:8:\"sequence\";s:8:\"sequence\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:8:\"Language\";}}}}s:17:\"language.entity.*\";a:3:{s:4:\"type\";s:13:\"config_entity\";s:5:\"label\";s:8:\"Language\";s:7:\"mapping\";a:5:{s:2:\"id\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:2:\"ID\";}s:5:\"label\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:5:\"Label\";}s:9:\"direction\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:9:\"Direction\";}s:6:\"weight\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:6:\"Weight\";}s:6:\"locked\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:6:\"Locked\";}}}s:29:\"language.content_settings.*.*\";a:3:{s:4:\"type\";s:13:\"config_entity\";s:5:\"label\";s:25:\"Content Language Settings\";s:7:\"mapping\";a:5:{s:2:\"id\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:2:\"ID\";}s:21:\"target_entity_type_id\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:14:\"Entity Type ID\";}s:13:\"target_bundle\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"Bundle\";}s:16:\"default_langcode\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:16:\"Default language\";}s:18:\"language_alterable\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:27:\"Allow to alter the language\";}}}s:25:\"condition.plugin.language\";a:2:{s:4:\"type\";s:16:\"condition.plugin\";s:7:\"mapping\";a:1:{s:9:\"langcodes\";a:2:{s:4:\"type\";s:8:\"sequence\";s:8:\"sequence\";a:1:{s:4:\"type\";s:6:\"string\";}}}}s:37:\"field.widget.settings.language_select\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:24:\"Language format settings\";s:7:\"mapping\";a:1:{s:14:\"include_locked\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:24:\"Include locked languages\";}}}s:18:\"libraries.settings\";a:3:{s:4:\"type\";s:13:\"config_object\";s:5:\"label\";s:22:\"Libraries API settings\";s:7:\"mapping\";a:2:{s:10:\"definition\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:27:\"Library definition settings\";s:7:\"mapping\";a:2:{s:5:\"local\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:5:\"Local\";s:7:\"mapping\";a:1:{s:4:\"path\";a:2:{s:4:\"type\";s:4:\"path\";s:5:\"label\";s:10:\"Local path\";}}}s:6:\"remote\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"title\";s:6:\"Remote\";s:7:\"mapping\";a:2:{s:6:\"enable\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:45:\"Enable remote fetching of library definitions\";}s:4:\"urls\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:38:\"A list of remote library registry URLs\";s:8:\"sequence\";a:2:{s:4:\"type\";s:3:\"uri\";s:5:\"label\";s:36:\"The URL of a remote library registry\";}}}}}}s:15:\"global_locators\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"title\";s:23:\"Global library locators\";s:8:\"sequence\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"title\";s:22:\"Global locator plugins\";s:7:\"mapping\";a:2:{s:2:\"id\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"title\";s:21:\"The locator plugin id\";}s:13:\"configuration\";a:2:{s:4:\"type\";s:30:\"libraries.locator.[%parent.id]\";s:5:\"title\";s:24:\"The plugin configuration\";}}}}}}s:21:\"libraries.locator.uri\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:25:\"URI locator configuration\";s:7:\"mapping\";a:1:{s:3:\"uri\";a:2:{s:4:\"type\";s:3:\"uri\";s:5:\"label\";s:15:\"The locator URI\";}}}s:29:\"field.formatter.settings.link\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:20:\"Link format settings\";s:7:\"mapping\";a:5:{s:11:\"trim_length\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:21:\"Trim link text length\";}s:8:\"url_only\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:8:\"URL only\";}s:9:\"url_plain\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:22:\"Show URL as plain text\";}s:3:\"rel\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:27:\"Add rel=\"nofollow\" to links\";}s:6:\"target\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:23:\"Open link in new window\";}}}s:38:\"field.formatter.settings.link_separate\";a:2:{s:4:\"type\";s:29:\"field.formatter.settings.link\";s:5:\"label\";s:20:\"Link format settings\";}s:34:\"field.widget.settings.link_default\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:20:\"Link format settings\";s:7:\"mapping\";a:2:{s:15:\"placeholder_url\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:19:\"Placeholder for URL\";}s:17:\"placeholder_title\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:25:\"Placeholder for link text\";}}}s:27:\"field.storage_settings.link\";a:2:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:13:\"Link settings\";}s:25:\"field.field_settings.link\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:13:\"Link settings\";s:7:\"mapping\";a:2:{s:5:\"title\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:15:\"Allow link text\";}s:9:\"link_type\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:17:\"Allowed link type\";}}}s:16:\"field.value.link\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:13:\"Default value\";s:7:\"mapping\";a:3:{s:5:\"title\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:9:\"Link text\";}s:3:\"url\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:3:\"URL\";}s:7:\"options\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:12:\"Link options\";s:7:\"mapping\";a:5:{s:5:\"query\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:25:\"URL query key value pairs\";s:8:\"sequence\";a:1:{s:4:\"type\";s:6:\"string\";}}s:8:\"fragment\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:12:\"URL fragment\";}s:8:\"absolute\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:83:\"Whether to force the output to be an absolute link (beginning with http: or https:)\";}s:5:\"https\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:79:\"Whether to force this URL to point to a secure location (beginning with https:)\";}s:10:\"attributes\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:15:\"Link attributes\";s:8:\"sequence\";a:1:{s:4:\"type\";s:6:\"string\";}}}}}}s:15:\"locale.settings\";a:3:{s:4:\"type\";s:13:\"config_object\";s:5:\"label\";s:28:\"Translate interface settings\";s:7:\"mapping\";a:4:{s:13:\"cache_strings\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:13:\"Cache strings\";}s:17:\"translate_english\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:26:\"Enable English translation\";}s:10:\"javascript\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:19:\"JavaScript settings\";s:7:\"mapping\";a:1:{s:9:\"directory\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:21:\"Translation directory\";}}}s:11:\"translation\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:20:\"Translation settings\";s:7:\"mapping\";a:8:{s:10:\"use_source\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:18:\"Translation source\";}s:16:\"default_filename\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:36:\"Default translation filename pattern\";}s:22:\"default_server_pattern\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:34:\"Default translation server pattern\";}s:20:\"overwrite_customized\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:33:\"Overwrite customized translations\";}s:24:\"overwrite_not_customized\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:37:\"Overwrite non customized translations\";}s:20:\"update_interval_days\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:17:\"Check for updates\";}s:4:\"path\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:32:\"Interface translations directory\";}s:14:\"import_enabled\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:14:\"Import enabled\";}}}}}s:27:\"menu_link_attributes.config\";a:2:{s:4:\"type\";s:13:\"config_object\";s:7:\"mapping\";a:1:{s:10:\"attributes\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:10:\"Attributes\";s:8:\"sequence\";a:2:{s:4:\"type\";s:31:\"_menu_link_attributes.attribute\";s:5:\"label\";s:12:\"An attribute\";}}}}s:31:\"_menu_link_attributes.attribute\";a:2:{s:4:\"type\";s:7:\"mapping\";s:7:\"mapping\";a:5:{s:5:\"label\";a:1:{s:4:\"type\";s:6:\"string\";}s:11:\"description\";a:1:{s:4:\"type\";s:6:\"string\";}s:4:\"type\";a:1:{s:4:\"type\";s:6:\"string\";}s:7:\"options\";a:2:{s:4:\"type\";s:8:\"sequence\";s:8:\"sequence\";a:1:{s:4:\"type\";s:6:\"string\";}}s:13:\"default_value\";a:1:{s:4:\"type\";s:6:\"string\";}}}s:16:\"menu_ui.settings\";a:3:{s:4:\"type\";s:13:\"config_object\";s:5:\"label\";s:13:\"Menu settings\";s:7:\"mapping\";a:1:{s:24:\"override_parent_selector\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:24:\"Override parent selector\";}}}s:31:\"node.type.*.third_party.menu_ui\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:30:\"Per-content type menu settings\";s:7:\"mapping\";a:2:{s:15:\"available_menus\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:15:\"Available menus\";s:8:\"sequence\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:17:\"Menu machine name\";}}s:6:\"parent\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"Parent\";}}}s:13:\"node.settings\";a:3:{s:4:\"type\";s:13:\"config_object\";s:5:\"label\";s:13:\"Node settings\";s:7:\"mapping\";a:1:{s:15:\"use_admin_theme\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:57:\"Use administration theme when editing or creating content\";}}}s:11:\"node.type.*\";a:3:{s:4:\"type\";s:13:\"config_entity\";s:5:\"label\";s:12:\"Content type\";s:7:\"mapping\";a:7:{s:4:\"name\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:4:\"Name\";}s:4:\"type\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:21:\"Machine-readable name\";}s:11:\"description\";a:2:{s:4:\"type\";s:4:\"text\";s:5:\"label\";s:11:\"Description\";}s:4:\"help\";a:2:{s:4:\"type\";s:4:\"text\";s:5:\"label\";s:36:\"Explanation or submission guidelines\";}s:12:\"new_revision\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:51:\"Whether a new revision should be created by default\";}s:12:\"preview_mode\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:25:\"Preview before submitting\";}s:17:\"display_submitted\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:65:\"Display setting for author and date Submitted by post information\";}}}s:25:\"search.plugin.node_search\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:14:\"Content search\";s:7:\"mapping\";a:1:{s:8:\"rankings\";a:4:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:15:\"Content ranking\";s:7:\"orderby\";s:3:\"key\";s:8:\"sequence\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:9:\"Influence\";}}}}s:45:\"action.configuration.node_assign_owner_action\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:42:\"Change the author of content configuration\";s:7:\"mapping\";a:1:{s:9:\"owner_uid\";a:2:{s:4:\"type\";s:4:\"text\";s:5:\"label\";s:8:\"Username\";}}}s:42:\"action.configuration.node_unpromote_action\";a:2:{s:4:\"type\";s:28:\"action_configuration_default\";s:5:\"label\";s:53:\"Demote selected content from front page configuration\";}s:40:\"action.configuration.node_promote_action\";a:2:{s:4:\"type\";s:28:\"action_configuration_default\";s:5:\"label\";s:54:\"Promote selected content from front page configuration\";}s:40:\"action.configuration.node_publish_action\";a:2:{s:4:\"type\";s:28:\"action_configuration_default\";s:5:\"label\";s:38:\"Publish selected content configuration\";}s:42:\"action.configuration.node_unpublish_action\";a:2:{s:4:\"type\";s:28:\"action_configuration_default\";s:5:\"label\";s:40:\"Unpublish selected content configuration\";}s:37:\"action.configuration.node_save_action\";a:2:{s:4:\"type\";s:28:\"action_configuration_default\";s:5:\"label\";s:26:\"Save content configuration\";}s:39:\"action.configuration.node_delete_action\";a:2:{s:4:\"type\";s:28:\"action_configuration_default\";s:5:\"label\";s:28:\"Delete content configuration\";}s:44:\"action.configuration.node_make_sticky_action\";a:2:{s:4:\"type\";s:28:\"action_configuration_default\";s:5:\"label\";s:42:\"Make selected content sticky configuration\";}s:46:\"action.configuration.node_make_unsticky_action\";a:2:{s:4:\"type\";s:28:\"action_configuration_default\";s:5:\"label\";s:44:\"Make selected content unsticky configuration\";}s:53:\"action.configuration.node_unpublish_by_keyword_action\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:53:\"Unpublish content containing keyword(s) configuration\";s:7:\"mapping\";a:1:{s:8:\"keywords\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:8:\"Keywords\";s:8:\"sequence\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:7:\"Keyword\";}}}}s:35:\"block.settings.node_syndicate_block\";a:3:{s:4:\"type\";s:14:\"block_settings\";s:5:\"label\";s:15:\"Syndicate block\";s:7:\"mapping\";a:1:{s:11:\"block_count\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:11:\"Block count\";}}}s:26:\"condition.plugin.node_type\";a:2:{s:4:\"type\";s:16:\"condition.plugin\";s:7:\"mapping\";a:1:{s:7:\"bundles\";a:2:{s:4:\"type\";s:8:\"sequence\";s:8:\"sequence\";a:1:{s:4:\"type\";s:6:\"string\";}}}}s:29:\"views.area.node_listing_empty\";a:2:{s:4:\"type\";s:10:\"views_area\";s:5:\"label\";s:9:\"Node link\";}s:23:\"views.argument.node_nid\";a:3:{s:4:\"type\";s:14:\"views_argument\";s:5:\"label\";s:7:\"Node ID\";s:7:\"mapping\";a:2:{s:12:\"break_phrase\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:21:\"Allow multiple values\";}s:3:\"not\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:7:\"Exclude\";}}}s:24:\"views.argument.node_type\";a:3:{s:4:\"type\";s:14:\"views_argument\";s:5:\"label\";s:9:\"Node type\";s:7:\"mapping\";a:8:{s:8:\"glossary\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:13:\"Glossary mode\";}s:5:\"limit\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:15:\"Character limit\";}s:4:\"case\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:4:\"Case\";}s:9:\"path_case\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:12:\"Case in path\";}s:14:\"transform_dash\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:33:\"Transform spaces to dashes in URL\";}s:12:\"break_phrase\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:21:\"Allow multiple values\";}s:9:\"add_table\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:45:\"Allow multiple filter values to work together\";}s:13:\"require_value\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:45:\"Do not display items with no value in summary\";}}}s:32:\"views.argument.node_uid_revision\";a:3:{s:4:\"type\";s:14:\"views_argument\";s:5:\"label\";s:12:\"Node user ID\";s:7:\"mapping\";a:2:{s:12:\"break_phrase\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:21:\"Allow multiple values\";}s:3:\"not\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:7:\"Exclude\";}}}s:23:\"views.argument.node_vid\";a:3:{s:4:\"type\";s:14:\"views_argument\";s:5:\"label\";s:16:\"Node revision ID\";s:7:\"mapping\";a:2:{s:12:\"break_phrase\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:21:\"Allow multiple values\";}s:3:\"not\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:7:\"Exclude\";}}}s:16:\"views.field.node\";a:3:{s:4:\"type\";s:11:\"views_field\";s:5:\"label\";s:4:\"Node\";s:7:\"mapping\";a:1:{s:12:\"link_to_node\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:48:\"Link this field to the original piece of content\";}}}s:26:\"views.field.node_bulk_form\";a:2:{s:4:\"type\";s:21:\"views_field_bulk_form\";s:5:\"label\";s:14:\"Node bulk form\";}s:21:\"views.field.node_path\";a:3:{s:4:\"type\";s:11:\"views_field\";s:5:\"label\";s:9:\"Node path\";s:7:\"mapping\";a:1:{s:8:\"absolute\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:41:\"Use absolute link (begins with \"http://\")\";}}}s:30:\"views.field.node_revision_link\";a:3:{s:4:\"type\";s:11:\"views_field\";s:5:\"label\";s:23:\"Link to a node revision\";s:7:\"mapping\";a:1:{s:4:\"text\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:15:\"Text to display\";}}}s:37:\"views.field.node_revision_link_delete\";a:3:{s:4:\"type\";s:11:\"views_field\";s:5:\"label\";s:30:\"Link to delete a node revision\";s:7:\"mapping\";a:1:{s:4:\"text\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:15:\"Text to display\";}}}s:37:\"views.field.node_revision_link_revert\";a:3:{s:4:\"type\";s:11:\"views_field\";s:5:\"label\";s:35:\"Link to revert a node to a revision\";s:7:\"mapping\";a:1:{s:4:\"text\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:15:\"Text to display\";}}}s:24:\"views.filter.node_access\";a:2:{s:4:\"type\";s:12:\"views_filter\";s:5:\"label\";s:11:\"Node access\";}s:24:\"views.filter.node_status\";a:2:{s:4:\"type\";s:12:\"views_filter\";s:5:\"label\";s:11:\"Node status\";}s:30:\"views.filter.node_uid_revision\";a:3:{s:4:\"type\";s:12:\"views_filter\";s:5:\"label\";s:25:\"Node revisions of an user\";s:7:\"mapping\";a:3:{s:8:\"operator\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:8:\"Operator\";}s:5:\"value\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:6:\"Values\";s:8:\"sequence\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:5:\"Value\";}}s:6:\"expose\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:6:\"Expose\";s:7:\"mapping\";a:1:{s:6:\"reduce\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:6:\"Reduce\";}}}}}s:30:\"views.filter_value.node_access\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"Access\";}s:30:\"views.filter_value.node_status\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:6:\"Status\";}s:18:\"views.row.node_rss\";a:3:{s:4:\"type\";s:9:\"views_row\";s:5:\"label\";s:15:\"Content options\";s:7:\"mapping\";a:1:{s:9:\"view_mode\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:12:\"Display type\";}}}s:35:\"field.storage_settings.list_integer\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:23:\"List (integer) settings\";s:7:\"mapping\";a:2:{s:14:\"allowed_values\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:19:\"Allowed values list\";s:8:\"sequence\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:24:\"Allowed value with label\";s:7:\"mapping\";a:2:{s:5:\"value\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:5:\"Value\";}s:5:\"label\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:5:\"Label\";}}}}s:23:\"allowed_values_function\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:23:\"Allowed values function\";}}}s:33:\"field.field_settings.list_integer\";a:2:{s:5:\"label\";s:23:\"List (integer) settings\";s:4:\"type\";s:7:\"mapping\";}s:24:\"field.value.list_integer\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:13:\"Default value\";s:7:\"mapping\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:5:\"Value\";}}}s:33:\"field.storage_settings.list_float\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:21:\"List (float) settings\";s:7:\"mapping\";a:2:{s:14:\"allowed_values\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:19:\"Allowed values list\";s:8:\"sequence\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:24:\"Allowed value with label\";s:7:\"mapping\";a:2:{s:5:\"value\";a:2:{s:4:\"type\";s:5:\"float\";s:5:\"label\";s:5:\"Value\";}s:5:\"label\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:5:\"Label\";}}}}s:23:\"allowed_values_function\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:23:\"Allowed values function\";}}}s:31:\"field.field_settings.list_float\";a:2:{s:5:\"label\";s:21:\"List (float) settings\";s:4:\"type\";s:7:\"mapping\";}s:22:\"field.value.list_float\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:13:\"Default value\";s:7:\"mapping\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:5:\"Value\";}}}s:34:\"field.storage_settings.list_string\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:20:\"List (text) settings\";s:7:\"mapping\";a:2:{s:14:\"allowed_values\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:19:\"Allowed values list\";s:8:\"sequence\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:24:\"Allowed value with label\";s:7:\"mapping\";a:2:{s:5:\"value\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:5:\"Value\";}s:5:\"label\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:5:\"Label\";}}}}s:23:\"allowed_values_function\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:23:\"Allowed values function\";}}}s:32:\"field.field_settings.list_string\";a:2:{s:5:\"label\";s:20:\"List (text) settings\";s:4:\"type\";s:7:\"mapping\";}s:23:\"field.value.list_string\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:13:\"Default value\";s:7:\"mapping\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:5:\"Value\";}}}s:37:\"field.formatter.settings.list_default\";a:2:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:37:\"Options list default display settings\";}s:33:\"field.formatter.settings.list_key\";a:2:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:19:\"Key format settings\";}s:37:\"field.widget.settings.options_buttons\";a:2:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:41:\"Check boxes/radio buttons format settings\";}s:36:\"field.widget.settings.options_select\";a:2:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:27:\"Select list format settings\";}s:32:\"views.argument.number_list_field\";a:2:{s:4:\"type\";s:22:\"views.argument.numeric\";s:7:\"mapping\";a:1:{s:7:\"summary\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:17:\"Display a summary\";s:7:\"mapping\";a:4:{s:10:\"sort_order\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:10:\"Sort order\";}s:17:\"number_of_records\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:7:\"Sort by\";}s:6:\"format\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"Format\";}s:5:\"human\";a:1:{s:4:\"type\";s:7:\"boolean\";}}}}}s:32:\"views.argument.string_list_field\";a:2:{s:4:\"type\";s:21:\"views.argument.string\";s:7:\"mapping\";a:1:{s:7:\"summary\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:17:\"Display a summary\";s:7:\"mapping\";a:4:{s:10:\"sort_order\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:10:\"Sort order\";}s:17:\"number_of_records\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:7:\"Sort by\";}s:6:\"format\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"Format\";}s:5:\"human\";a:1:{s:4:\"type\";s:7:\"boolean\";}}}}}s:23:\"views.filter.list_field\";a:1:{s:4:\"type\";s:24:\"views.filter.many_to_one\";}s:26:\"field.widget.settings.path\";a:2:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:20:\"Link format settings\";}s:17:\"rdf_field_mapping\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:11:\"RDF mapping\";s:7:\"mapping\";a:4:{s:10:\"properties\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:10:\"Properties\";s:8:\"sequence\";a:1:{s:4:\"type\";s:6:\"string\";}}s:8:\"datatype\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:9:\"Data type\";}s:17:\"datatype_callback\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:18:\"Data type callback\";s:7:\"mapping\";a:2:{s:8:\"callable\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:8:\"Callable\";}s:9:\"arguments\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:9:\"Arguments\";s:7:\"mapping\";a:1:{s:16:\"interaction_type\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:16:\"Interaction type\";}}}}}s:12:\"mapping_type\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:12:\"Mapping type\";}}}s:15:\"rdf.mapping.*.*\";a:3:{s:4:\"type\";s:13:\"config_entity\";s:5:\"label\";s:11:\"RDF mapping\";s:7:\"mapping\";a:5:{s:2:\"id\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:2:\"ID\";}s:16:\"targetEntityType\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:18:\"Target entity type\";}s:6:\"bundle\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"Bundle\";}s:5:\"types\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:5:\"Types\";s:8:\"sequence\";a:1:{s:4:\"type\";s:6:\"string\";}}s:13:\"fieldMappings\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:14:\"Field mappings\";s:8:\"sequence\";a:1:{s:4:\"type\";s:17:\"rdf_field_mapping\";}}}}s:25:\"responsive_image.styles.*\";a:3:{s:4:\"type\";s:13:\"config_entity\";s:5:\"label\";s:22:\"Responsive image style\";s:7:\"mapping\";a:5:{s:2:\"id\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:21:\"Machine-readable name\";}s:5:\"label\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:5:\"Label\";}s:20:\"image_style_mappings\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:20:\"Image style mappings\";s:8:\"sequence\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:19:\"Image style mapping\";s:7:\"mapping\";a:4:{s:18:\"image_mapping_type\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:29:\"Responsive image mapping type\";}s:13:\"image_mapping\";a:1:{s:4:\"type\";s:64:\"responsive_image.image_mapping_type.[%parent.image_mapping_type]\";}s:13:\"breakpoint_id\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:13:\"Breakpoint ID\";}s:10:\"multiplier\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:10:\"Multiplier\";}}}}s:16:\"breakpoint_group\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:16:\"Breakpoint group\";}s:20:\"fallback_image_style\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:20:\"Fallback image style\";}}}s:47:\"responsive_image.image_mapping_type.image_style\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:11:\"Image style\";}s:41:\"responsive_image.image_mapping_type.sizes\";a:2:{s:4:\"type\";s:7:\"mapping\";s:7:\"mapping\";a:2:{s:5:\"sizes\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:15:\"Sizes attribute\";}s:18:\"sizes_image_styles\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:56:\"Image styles to be used when using the \'sizes\' attribute\";s:8:\"sequence\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:11:\"Image style\";}}}}s:41:\"field.formatter.settings.responsive_image\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:37:\"Responsive image list format settings\";s:7:\"mapping\";a:2:{s:22:\"responsive_image_style\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:22:\"Responsive image style\";}s:10:\"image_link\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:13:\"Link image to\";}}}s:15:\"search.settings\";a:3:{s:4:\"type\";s:13:\"config_object\";s:5:\"label\";s:15:\"Search settings\";s:7:\"mapping\";a:4:{s:12:\"and_or_limit\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:24:\"AND/OR combination limit\";}s:12:\"default_page\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:19:\"Default search page\";}s:5:\"index\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:17:\"Indexing settings\";s:7:\"mapping\";a:4:{s:10:\"cron_limit\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:37:\"Number of items to index per cron run\";}s:11:\"overlap_cjk\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:19:\"Simple CJK handling\";}s:17:\"minimum_word_size\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:28:\"Minimum word length to index\";}s:11:\"tag_weights\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:16:\"HTML tags weight\";s:7:\"mapping\";a:12:{s:2:\"h1\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:13:\"Tag h1 weight\";}s:2:\"h2\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:13:\"Tag h2 weight\";}s:2:\"h3\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:13:\"Tag h3 weight\";}s:2:\"h4\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:13:\"Tag h4 weight\";}s:2:\"h5\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:13:\"Tag h5 weight\";}s:2:\"h6\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:13:\"Tag h6 weight\";}s:1:\"u\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:12:\"Tag u weight\";}s:1:\"b\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:12:\"Tag b weight\";}s:1:\"i\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:12:\"Tag i weight\";}s:6:\"strong\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:17:\"Tag strong weight\";}s:2:\"em\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:13:\"Tag em weight\";}s:1:\"a\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:12:\"Tag a weight\";}}}}}s:7:\"logging\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:12:\"Log searches\";}}}s:13:\"search.page.*\";a:3:{s:4:\"type\";s:13:\"config_entity\";s:5:\"label\";s:11:\"Search page\";s:7:\"mapping\";a:6:{s:2:\"id\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:2:\"ID\";}s:5:\"label\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:5:\"Label\";}s:4:\"path\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:16:\"Search page path\";}s:6:\"weight\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:6:\"Weight\";}s:6:\"plugin\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"Plugin\";}s:13:\"configuration\";a:1:{s:4:\"type\";s:30:\"search.plugin.[%parent.plugin]\";}}}s:32:\"block.settings.search_form_block\";a:3:{s:4:\"type\";s:14:\"block_settings\";s:5:\"label\";s:12:\"Search block\";s:7:\"mapping\";a:1:{s:7:\"page_id\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:11:\"Search page\";}}}s:21:\"views.argument.search\";a:2:{s:4:\"type\";s:14:\"views_argument\";s:5:\"label\";s:9:\"Query key\";}s:24:\"views.field.search_score\";a:3:{s:4:\"type\";s:19:\"views.field.numeric\";s:5:\"label\";s:12:\"Search score\";s:7:\"mapping\";a:2:{s:14:\"alternate_sort\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:16:\"Alternative sort\";}s:15:\"alternate_order\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:20:\"Alternate sort order\";}}}s:19:\"views.filter.search\";a:3:{s:4:\"type\";s:12:\"views_filter\";s:5:\"label\";s:12:\"Link to node\";s:7:\"mapping\";a:1:{s:8:\"operator\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:14:\"On empty input\";}}}s:34:\"views.filter_value.search_keywords\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:15:\"Search keywords\";}s:21:\"views.row.search_view\";a:3:{s:4:\"type\";s:9:\"views_row\";s:5:\"label\";s:11:\"Source link\";s:7:\"mapping\";a:1:{s:5:\"score\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:13:\"Display score\";}}}s:23:\"views.sort.search_score\";a:2:{s:4:\"type\";s:10:\"views_sort\";s:5:\"label\";s:12:\"Search score\";}s:18:\"sharethis.settings\";a:2:{s:4:\"type\";s:13:\"config_object\";s:7:\"mapping\";a:20:{s:13:\"button_option\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:17:\"Max timeout value\";}s:8:\"comments\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:15:\"Enable comments\";}s:9:\"late_load\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:16:\"Enable late load\";}s:8:\"location\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:33:\"Location of the sharethis buttons\";}s:7:\"callesi\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:7:\"Callesi\";}s:10:\"node_types\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:13:\"Content types\";s:8:\"sequence\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:7:\"Bundles\";}}s:13:\"option_extras\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:13:\"Options extra\";s:7:\"mapping\";a:2:{s:23:\"Google Plus One:plusone\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:15:\"Google Plus One\";}s:20:\"Facebook Like:fblike\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:13:\"Facebook Like\";}}}s:16:\"option_neworzero\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:18:\"Option New or Zero\";}s:14:\"option_onhover\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:15:\"Option on hover\";}s:14:\"option_shorten\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:14:\"Option Shorten\";}s:11:\"publisherID\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:12:\"Publisher ID\";}s:14:\"service_option\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:14:\"Service Option\";}s:14:\"twitter_handle\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:14:\"Twitter handle\";}s:18:\"twitter_recommends\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:18:\"Twitter Recommends\";}s:14:\"twitter_suffix\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:14:\"Twitter Suffix\";}s:15:\"webform_options\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:15:\"Webform Options\";}s:6:\"weight\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:6:\"Weight\";}s:13:\"widget_option\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:13:\"Widget Option\";}s:3:\"cns\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:3:\"CNS\";s:7:\"mapping\";a:2:{s:9:\"donotcopy\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:11:\"Do not Copy\";}s:11:\"hashaddress\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:11:\"Has Address\";}}}s:14:\"sharethisnodes\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:17:\"Node Option Modes\";s:8:\"sequence\";a:2:{s:4:\"type\";s:8:\"sequence\";s:8:\"sequence\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:10:\"View Modes\";}}}}}s:26:\"views.field.sharethis_node\";a:2:{s:4:\"type\";s:11:\"views_field\";s:5:\"label\";s:14:\"Sharethis node\";}s:14:\"shortcut.set.*\";a:3:{s:4:\"type\";s:13:\"config_entity\";s:5:\"label\";s:17:\"Shortcut settings\";s:7:\"mapping\";a:2:{s:2:\"id\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:2:\"ID\";}s:5:\"label\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:5:\"Label\";}}}s:35:\"theme_settings.third_party.shortcut\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:17:\"Shortcut settings\";s:7:\"mapping\";a:1:{s:11:\"module_link\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:17:\"Add shortcut link\";}}}s:19:\"simplenews.settings\";a:3:{s:4:\"type\";s:13:\"config_object\";s:5:\"label\";s:19:\"Simplenews settings\";s:7:\"mapping\";a:5:{s:15:\"hash_expiration\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:15:\"Hash expiration\";}s:10:\"newsletter\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:19:\"Newsletter settings\";s:7:\"mapping\";a:5:{s:6:\"format\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:34:\"Default format for new newsletters\";}s:8:\"priority\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:36:\"Default priority for new newsletters\";}s:7:\"receipt\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:47:\"Default require receipt setting for newsletters\";}s:12:\"from_address\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:26:\"Default from email address\";}s:9:\"from_name\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:17:\"Default from name\";}}}s:10:\"subscriber\";a:2:{s:4:\"type\";s:7:\"mapping\";s:7:\"mapping\";a:1:{s:11:\"sync_fields\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:42:\"Sync between account and subscriber fields\";}}}s:12:\"subscription\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:21:\"Subscription settings\";s:7:\"mapping\";a:15:{s:12:\"use_combined\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:16:\"Combined setting\";}s:25:\"confirm_subscribe_subject\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:30:\"Subscribe confirmation subject\";}s:30:\"confirm_subscribe_unsubscribed\";a:2:{s:4:\"type\";s:4:\"text\";s:5:\"label\";s:30:\"Subscribe confirmation message\";}s:28:\"confirm_subscribe_subscribed\";a:2:{s:4:\"type\";s:4:\"text\";s:5:\"label\";s:26:\"Already subscribed message\";}s:30:\"confirm_unsubscribe_subscribed\";a:2:{s:4:\"type\";s:4:\"text\";s:5:\"label\";s:19:\"Unsubscribe message\";}s:32:\"confirm_unsubscribe_unsubscribed\";a:2:{s:4:\"type\";s:4:\"text\";s:5:\"label\";s:27:\"Already Unsubscribe message\";}s:24:\"confirm_combined_subject\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:26:\"Combined subscribe subject\";}s:21:\"confirm_combined_body\";a:2:{s:4:\"type\";s:4:\"text\";s:5:\"label\";s:26:\"Combined subscribe message\";}s:31:\"confirm_combined_body_unchanged\";a:2:{s:4:\"type\";s:4:\"text\";s:5:\"label\";s:36:\"Combined subscribe unchanged message\";}s:44:\"confirm_combined_line_subscribe_unsubscribed\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:26:\"Combined subscribe message\";}s:42:\"confirm_combined_line_subscribe_subscribed\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:35:\"Combined already subscribed message\";}s:44:\"confirm_combined_line_unsubscribe_subscribed\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:28:\"Combined unsubscribe message\";}s:46:\"confirm_combined_line_unsubscribe_unsubscribed\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:37:\"Combined already unsubscribed message\";}s:22:\"confirm_subscribe_page\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:36:\"Confirmation subscribe redirect page\";}s:24:\"confirm_unsubscribe_page\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:38:\"Confirmation unsubscribe redirect page\";}}}s:4:\"mail\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:13:\"Mail settings\";s:7:\"mapping\";a:5:{s:8:\"use_cron\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:8:\"Use cron\";}s:8:\"throttle\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:26:\"Mails to send per cron run\";}s:25:\"spool_progress_expiration\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:28:\"Spool in progress expiration\";}s:12:\"spool_expire\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:33:\"Expiration of sent mails in spool\";}s:5:\"debug\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:5:\"Debug\";}}}}}s:23:\"simplenews.newsletter.*\";a:3:{s:4:\"type\";s:13:\"config_entity\";s:5:\"label\";s:10:\"Newsletter\";s:7:\"mapping\";a:13:{s:4:\"name\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:4:\"Name\";}s:2:\"id\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:21:\"Machine-readable name\";}s:11:\"description\";a:2:{s:4:\"type\";s:4:\"text\";s:5:\"label\";s:29:\"Description of the newsletter\";}s:6:\"format\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:38:\"HTML or plaintext newsletter indicator\";}s:8:\"priority\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:18:\"Priority indicator\";}s:7:\"receipt\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:43:\"TRUE if a read receipt should be requested.\";}s:9:\"from_name\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:25:\"Name of the email author.\";}s:7:\"subject\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:48:\"Subject of newsletter email. May contain tokens.\";}s:12:\"from_address\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:20:\"Email author address\";}s:10:\"hyperlinks\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:59:\"Indicates if hyperlinks should be kept inline or extracted.\";}s:11:\"new_account\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:50:\"Indicates how to integrate with the register form.\";}s:9:\"opt_inout\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:31:\"Defines the Opt-In/out options.\";}s:6:\"weight\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:45:\"Weight of this newsletter (used for sorting).\";}}}s:38:\"field.simplenews_subscription.settings\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:21:\"Subscription settings\";s:7:\"mapping\";a:1:{s:11:\"target_type\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:25:\"Type of item to reference\";}}}s:47:\"field.simplenews_subscription.instance_settings\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:21:\"Subscription settings\";s:7:\"mapping\";a:2:{s:7:\"handler\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:16:\"Reference method\";}s:16:\"handler_settings\";a:2:{s:4:\"type\";s:51:\"entity_reference.[%parent.handler].handler_settings\";s:5:\"label\";s:25:\"Reference method settings\";}}}s:38:\"monitoring.settings.simplenews_pending\";a:3:{s:4:\"type\";s:24:\"monitoring.settings_base\";s:5:\"label\";s:34:\"Simplenews pending sensor settings\";s:7:\"mapping\";a:0:{}}s:39:\"field.storage_settings.simplenews_issue\";a:3:{s:4:\"type\";s:39:\"field.storage_settings.entity_reference\";s:5:\"label\";s:25:\"Simplenews issue settings\";s:7:\"mapping\";a:0:{}}s:37:\"field.field_settings.simplenews_issue\";a:2:{s:4:\"type\";s:37:\"field.field_settings.entity_reference\";s:5:\"label\";s:25:\"Simplenews issue settings\";}s:28:\"field.value.simplenews_issue\";a:3:{s:4:\"type\";s:28:\"field.value.entity_reference\";s:5:\"label\";s:13:\"Default value\";s:7:\"mapping\";a:5:{s:7:\"handler\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:7:\"Handler\";}s:16:\"handler_settings\";a:2:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:16:\"Handler settings\";}s:6:\"status\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:11:\"Sent status\";}s:10:\"sent_count\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:10:\"Sent count\";}s:11:\"subscribers\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:16:\"Subscriber count\";}}}s:46:\"field.storage_settings.simplenews_subscription\";a:3:{s:4:\"type\";s:39:\"field.storage_settings.entity_reference\";s:5:\"label\";s:32:\"Simplenews subscription settings\";s:7:\"mapping\";a:0:{}}s:44:\"field.field_settings.simplenews_subscription\";a:2:{s:4:\"type\";s:37:\"field.field_settings.entity_reference\";s:5:\"label\";s:32:\"Simplenews subscription settings\";}s:35:\"field.value.simplenews_subscription\";a:3:{s:4:\"type\";s:28:\"field.value.entity_reference\";s:5:\"label\";s:13:\"Default value\";s:7:\"mapping\";a:0:{}}s:44:\"block.settings.simplenews_subscription_block\";a:2:{s:4:\"type\";s:14:\"block_settings\";s:7:\"mapping\";a:3:{s:11:\"newsletters\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:11:\"Newsletters\";s:8:\"sequence\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:13:\"Newsletter ID\";}}s:7:\"message\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:7:\"Message\";}s:9:\"unique_id\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:9:\"Unique ID\";}}}s:43:\"action.configuration.simplenews_send_action\";a:2:{s:4:\"type\";s:28:\"action_configuration_default\";s:5:\"label\";s:30:\"Send selected newsletter issue\";}s:43:\"action.configuration.simplenews_stop_action\";a:2:{s:4:\"type\";s:28:\"action_configuration_default\";s:5:\"label\";s:30:\"Stop selected newsletter issue\";}s:34:\"views.field.subscriber_link_delete\";a:3:{s:4:\"type\";s:11:\"views_field\";s:5:\"label\";s:22:\"Subscriber delete link\";s:7:\"mapping\";a:1:{s:4:\"text\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:15:\"Text to display\";}}}s:32:\"views.field.subscriber_link_edit\";a:3:{s:4:\"type\";s:11:\"views_field\";s:5:\"label\";s:20:\"Subscriber edit link\";s:7:\"mapping\";a:1:{s:4:\"text\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:15:\"Text to display\";}}}s:32:\"views.field.simplenews_user_name\";a:3:{s:4:\"type\";s:11:\"views_field\";s:5:\"label\";s:14:\"Username field\";s:7:\"mapping\";a:1:{s:4:\"text\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:15:\"Text to display\";}}}s:11:\"system.site\";a:3:{s:4:\"type\";s:13:\"config_object\";s:5:\"label\";s:16:\"Site information\";s:7:\"mapping\";a:9:{s:4:\"uuid\";a:3:{s:4:\"type\";s:4:\"uuid\";s:5:\"label\";s:9:\"Site UUID\";s:11:\"constraints\";a:2:{s:4:\"Uuid\";a:0:{}s:7:\"NotNull\";a:0:{}}}s:4:\"name\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:9:\"Site name\";}s:4:\"mail\";a:2:{s:4:\"type\";s:5:\"email\";s:5:\"label\";s:13:\"Email address\";}s:6:\"slogan\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:6:\"Slogan\";}s:4:\"page\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:5:\"Pages\";s:7:\"mapping\";a:3:{i:403;a:2:{s:4:\"type\";s:4:\"path\";s:5:\"label\";s:32:\"Default 403 (access denied) page\";}i:404;a:2:{s:4:\"type\";s:4:\"path\";s:5:\"label\";s:28:\"Default 404 (not found) page\";}s:5:\"front\";a:2:{s:4:\"type\";s:4:\"path\";s:5:\"label\";s:18:\"Default front page\";}}}s:18:\"admin_compact_mode\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:12:\"Compact mode\";}s:17:\"weight_select_max\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:28:\"Weight element maximum value\";}s:16:\"default_langcode\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:26:\"Site default language code\";}s:17:\"mail_notification\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:26:\"Notification email address\";}}}s:18:\"system.maintenance\";a:3:{s:4:\"type\";s:13:\"config_object\";s:5:\"label\";s:16:\"Maintenance mode\";s:7:\"mapping\";a:1:{s:7:\"message\";a:2:{s:4:\"type\";s:4:\"text\";s:5:\"label\";s:43:\"Message to display when in maintenance mode\";}}}s:16:\"system.authorize\";a:3:{s:4:\"type\";s:13:\"config_object\";s:5:\"label\";s:18:\"Authorize settings\";s:7:\"mapping\";a:1:{s:20:\"filetransfer_default\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:30:\"Default file transfer protocol\";}}}s:11:\"system.cron\";a:3:{s:4:\"type\";s:13:\"config_object\";s:5:\"label\";s:13:\"Cron settings\";s:7:\"mapping\";a:2:{s:9:\"threshold\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:10:\"Thresholds\";s:7:\"mapping\";a:2:{s:20:\"requirements_warning\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:27:\"Requirements warning period\";}s:18:\"requirements_error\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:25:\"Requirements error period\";}}}s:7:\"logging\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:21:\"Detailed cron logging\";}}}s:11:\"system.date\";a:3:{s:4:\"type\";s:13:\"config_object\";s:5:\"label\";s:13:\"Date settings\";s:7:\"mapping\";a:3:{s:9:\"first_day\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:17:\"First day of week\";}s:7:\"country\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:7:\"Country\";s:7:\"mapping\";a:1:{s:7:\"default\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:15:\"Default country\";}}}s:8:\"timezone\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:18:\"Time zone settings\";s:7:\"mapping\";a:2:{s:7:\"default\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:17:\"Default time zone\";}s:4:\"user\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:4:\"User\";s:7:\"mapping\";a:3:{s:12:\"configurable\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:33:\"Users may set their own time zone\";}s:7:\"default\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:23:\"Time zone for new users\";}s:4:\"warn\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:51:\"Remind users at login if their time zone is not set\";}}}}}}}s:11:\"system.diff\";a:3:{s:4:\"type\";s:13:\"config_object\";s:5:\"label\";s:13:\"Diff settings\";s:7:\"mapping\";a:1:{s:7:\"context\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:7:\"Context\";s:7:\"mapping\";a:2:{s:13:\"lines_leading\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:33:\"Number of leading lines in a diff\";}s:14:\"lines_trailing\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:34:\"Number of trailing lines in a diff\";}}}}}s:14:\"system.logging\";a:3:{s:4:\"type\";s:13:\"config_object\";s:5:\"label\";s:16:\"Logging settings\";s:7:\"mapping\";a:1:{s:11:\"error_level\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:25:\"Error messages to display\";}}}s:18:\"system.performance\";a:3:{s:4:\"type\";s:13:\"config_object\";s:5:\"label\";s:20:\"Performance settings\";s:7:\"mapping\";a:5:{s:5:\"cache\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:7:\"Caching\";s:7:\"mapping\";a:1:{s:4:\"page\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:12:\"Page caching\";s:7:\"mapping\";a:1:{s:7:\"max_age\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:7:\"Max age\";}}}}}s:3:\"css\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:24:\"CSS performance settings\";s:7:\"mapping\";a:2:{s:10:\"preprocess\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:19:\"Aggregate CSS files\";}s:4:\"gzip\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:18:\"Compress CSS files\";}}}s:8:\"fast_404\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:17:\"Fast 404 settings\";s:7:\"mapping\";a:4:{s:7:\"enabled\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:16:\"Fast 404 enabled\";}s:5:\"paths\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:27:\"Regular expression to match\";}s:13:\"exclude_paths\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:31:\"Regular expression to not match\";}s:4:\"html\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:18:\"Fast 404 page html\";}}}s:2:\"js\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:31:\"JavaScript performance settings\";s:7:\"mapping\";a:2:{s:10:\"preprocess\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:21:\"JavaScript preprocess\";}s:4:\"gzip\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:26:\"Compress JavaScript files.\";}}}s:20:\"stale_file_threshold\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:20:\"Stale file threshold\";}}}s:10:\"system.rss\";a:3:{s:4:\"type\";s:13:\"config_object\";s:5:\"label\";s:13:\"Feed settings\";s:7:\"mapping\";a:2:{s:7:\"channel\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:12:\"Feed channel\";s:7:\"mapping\";a:1:{s:11:\"description\";a:2:{s:4:\"type\";s:4:\"text\";s:5:\"label\";s:16:\"Feed description\";}}}s:5:\"items\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:10:\"Feed items\";s:7:\"mapping\";a:2:{s:5:\"limit\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:15:\"Feed item limit\";}s:9:\"view_mode\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:12:\"Feed content\";}}}}}s:12:\"system.theme\";a:3:{s:4:\"type\";s:13:\"config_object\";s:5:\"label\";s:14:\"Theme settings\";s:7:\"mapping\";a:2:{s:5:\"admin\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:20:\"Administration theme\";}s:7:\"default\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:13:\"Default theme\";}}}s:13:\"system.menu.*\";a:3:{s:4:\"type\";s:13:\"config_entity\";s:5:\"label\";s:4:\"Menu\";s:7:\"mapping\";a:4:{s:2:\"id\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:2:\"ID\";}s:5:\"label\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:5:\"Label\";}s:11:\"description\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:16:\"Menu description\";}s:6:\"locked\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:0:\"\";}}}s:15:\"system.action.*\";a:3:{s:4:\"type\";s:13:\"config_entity\";s:5:\"label\";s:13:\"System action\";s:7:\"mapping\";a:5:{s:2:\"id\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:2:\"ID\";}s:5:\"label\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:5:\"Label\";}s:4:\"type\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:4:\"Type\";}s:6:\"plugin\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"Plugin\";}s:13:\"configuration\";a:1:{s:4:\"type\";s:37:\"action.configuration.[%parent.plugin]\";}}}s:11:\"system.file\";a:3:{s:4:\"type\";s:13:\"config_object\";s:5:\"label\";s:11:\"File system\";s:7:\"mapping\";a:4:{s:22:\"allow_insecure_uploads\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:22:\"Allow insecure uploads\";}s:14:\"default_scheme\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:23:\"Default download method\";}s:4:\"path\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:13:\"Path settings\";s:7:\"mapping\";a:1:{s:9:\"temporary\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:19:\"Temporary directory\";}}}s:21:\"temporary_maximum_age\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:31:\"Maximum age for temporary files\";}}}s:12:\"system.image\";a:3:{s:4:\"type\";s:13:\"config_object\";s:5:\"label\";s:14:\"Image settings\";s:7:\"mapping\";a:1:{s:7:\"toolkit\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:7:\"Toolkit\";}}}s:15:\"system.image.gd\";a:3:{s:4:\"type\";s:13:\"config_object\";s:5:\"label\";s:14:\"Image settings\";s:7:\"mapping\";a:1:{s:12:\"jpeg_quality\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:12:\"JPEG quality\";}}}s:11:\"system.mail\";a:3:{s:4:\"type\";s:13:\"config_object\";s:5:\"label\";s:11:\"Mail system\";s:7:\"mapping\";a:1:{s:9:\"interface\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:10:\"Interfaces\";s:8:\"sequence\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:9:\"Interface\";}}}}s:19:\"system.theme.global\";a:2:{s:4:\"type\";s:14:\"theme_settings\";s:5:\"label\";s:21:\"Theme global settings\";}s:36:\"block.settings.system_branding_block\";a:3:{s:4:\"type\";s:14:\"block_settings\";s:5:\"label\";s:14:\"Branding block\";s:7:\"mapping\";a:3:{s:13:\"use_site_logo\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:13:\"Use site logo\";}s:13:\"use_site_name\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:13:\"Use site name\";}s:15:\"use_site_slogan\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:15:\"Use site slogan\";}}}s:34:\"block.settings.system_menu_block:*\";a:3:{s:4:\"type\";s:14:\"block_settings\";s:5:\"label\";s:10:\"Menu block\";s:7:\"mapping\";a:3:{s:5:\"level\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:14:\"Starting level\";}s:5:\"depth\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:24:\"Maximum number of levels\";}s:16:\"expand_all_items\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:16:\"Expand all items\";}}}s:32:\"block.settings.local_tasks_block\";a:3:{s:4:\"type\";s:14:\"block_settings\";s:5:\"label\";s:10:\"Tabs block\";s:7:\"mapping\";a:2:{s:7:\"primary\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:30:\"Whether primary tabs are shown\";}s:9:\"secondary\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:32:\"Whether secondary tabs are shown\";}}}s:29:\"condition.plugin.request_path\";a:2:{s:4:\"type\";s:16:\"condition.plugin\";s:7:\"mapping\";a:1:{s:5:\"pages\";a:1:{s:4:\"type\";s:6:\"string\";}}}s:17:\"taxonomy.settings\";a:3:{s:4:\"type\";s:13:\"config_object\";s:5:\"label\";s:17:\"Taxonomy settings\";s:7:\"mapping\";a:3:{s:20:\"maintain_index_table\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:20:\"Maintain index table\";}s:17:\"override_selector\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:17:\"Override selector\";}s:20:\"terms_per_page_admin\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:24:\"Number of terms per page\";}}}s:21:\"taxonomy.vocabulary.*\";a:3:{s:4:\"type\";s:13:\"config_entity\";s:5:\"label\";s:10:\"Vocabulary\";s:7:\"mapping\";a:4:{s:4:\"name\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:4:\"Name\";}s:3:\"vid\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:12:\"Machine name\";}s:11:\"description\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:11:\"Description\";}s:6:\"weight\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:6:\"Weight\";}}}s:54:\"field.formatter.settings.entity_reference_rss_category\";a:2:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:24:\"Taxonomy format settings\";}s:33:\"views.argument.taxonomy_index_tid\";a:2:{s:4:\"type\";s:26:\"views.argument.many_to_one\";s:5:\"label\";s:16:\"Taxonomy term ID\";}s:39:\"views.argument.taxonomy_index_tid_depth\";a:3:{s:4:\"type\";s:14:\"views_argument\";s:5:\"label\";s:16:\"Taxonomy term ID\";s:7:\"mapping\";a:3:{s:5:\"depth\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:5:\"Depth\";}s:12:\"break_phrase\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:21:\"Allow multiple values\";}s:22:\"use_taxonomy_term_path\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:22:\"Use taxonomy term path\";}}}s:48:\"views.argument.taxonomy_index_tid_depth_modifier\";a:2:{s:4:\"type\";s:14:\"views_argument\";s:5:\"label\";s:23:\"Taxonomy depth modifier\";}s:23:\"views.argument.taxonomy\";a:3:{s:4:\"type\";s:14:\"views_argument\";s:5:\"label\";s:8:\"Taxonomy\";s:7:\"mapping\";a:2:{s:12:\"break_phrase\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:21:\"Allow multiple values\";}s:3:\"not\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:7:\"Exclude\";}}}s:29:\"views.argument.vocabulary_vid\";a:3:{s:4:\"type\";s:14:\"views_argument\";s:5:\"label\";s:10:\"Vocabulary\";s:7:\"mapping\";a:2:{s:12:\"break_phrase\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:21:\"Allow multiple values\";}s:3:\"not\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:7:\"Exclude\";}}}s:45:\"views.argument_validator.entity:taxonomy_term\";a:2:{s:4:\"type\";s:31:\"views.argument_validator_entity\";s:5:\"label\";s:13:\"Taxonomy term\";}s:43:\"views.argument_validator.taxonomy_term_name\";a:3:{s:4:\"type\";s:31:\"views.argument_validator_entity\";s:5:\"label\";s:13:\"Taxonomy term\";s:7:\"mapping\";a:2:{s:4:\"vids\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:12:\"Vocabularies\";s:8:\"sequence\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:10:\"Vocabulary\";}}s:9:\"transform\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:60:\"Transform dashes in URL to spaces in term name filter values\";}}}s:35:\"views.argument_default.taxonomy_tid\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:25:\"Taxonomy term ID from URL\";s:7:\"mapping\";a:5:{s:9:\"term_page\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:34:\"Load default filter from term page\";}s:4:\"node\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:75:\"Load default filter from node page, that\'s good for related taxonomy blocks\";}s:5:\"limit\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:25:\"Limit terms by vocabulary\";}s:4:\"vids\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:12:\"Vocabularies\";s:8:\"sequence\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:10:\"Vocabulary\";}}s:6:\"anyall\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:23:\"Multiple-value handling\";}}}s:21:\"views.field.term_name\";a:2:{s:4:\"type\";s:17:\"views.field.field\";s:7:\"mapping\";a:1:{s:14:\"convert_spaces\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:39:\"Convert spaces in term names to hyphens\";}}}s:30:\"views.field.taxonomy_index_tid\";a:3:{s:4:\"type\";s:11:\"views_field\";s:5:\"label\";s:17:\"Taxonomy language\";s:7:\"mapping\";a:5:{s:4:\"type\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:12:\"Display type\";}s:9:\"separator\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:9:\"Separator\";}s:16:\"link_to_taxonomy\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:32:\"Link this field to its term page\";}s:5:\"limit\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:25:\"Limit terms by vocabulary\";}s:4:\"vids\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:12:\"Vocabularies\";s:8:\"sequence\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:10:\"Vocabulary\";}}}}s:31:\"views.filter.taxonomy_index_tid\";a:3:{s:4:\"type\";s:24:\"views.filter.many_to_one\";s:5:\"label\";s:16:\"Taxonomy term ID\";s:7:\"mapping\";a:6:{s:3:\"vid\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:10:\"Vocabulary\";}s:4:\"type\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:14:\"Selection type\";}s:9:\"hierarchy\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:26:\"Show hierarchy in dropdown\";}s:5:\"limit\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:19:\"Limit to vocabulary\";}s:13:\"error_message\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:21:\"Display error message\";}s:5:\"value\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:6:\"Values\";s:8:\"sequence\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:5:\"Value\";}}}}s:37:\"views.filter.taxonomy_index_tid_depth\";a:3:{s:4:\"type\";s:31:\"views.filter.taxonomy_index_tid\";s:5:\"label\";s:27:\"Taxonomy term ID with depth\";s:7:\"mapping\";a:1:{s:5:\"depth\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:5:\"Depth\";}}}s:33:\"views.relationship.node_term_data\";a:3:{s:4:\"type\";s:18:\"views_relationship\";s:5:\"label\";s:13:\"Taxonomy term\";s:7:\"mapping\";a:1:{s:4:\"vids\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:12:\"Vocabularies\";s:8:\"sequence\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:10:\"Vocabulary\";}}}}s:13:\"text.settings\";a:3:{s:4:\"type\";s:13:\"config_object\";s:5:\"label\";s:13:\"Text settings\";s:7:\"mapping\";a:1:{s:22:\"default_summary_length\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:22:\"Default summary length\";}}}s:27:\"field.storage_settings.text\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:25:\"Text (formatted) settings\";s:7:\"mapping\";a:1:{s:10:\"max_length\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:14:\"Maximum length\";}}}s:25:\"field.field_settings.text\";a:2:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:25:\"Text (formatted) settings\";}s:16:\"field.value.text\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:13:\"Default value\";s:7:\"mapping\";a:2:{s:5:\"value\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:5:\"Value\";}s:6:\"format\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:11:\"Text format\";}}}s:32:\"field.storage_settings.text_long\";a:2:{s:5:\"label\";s:31:\"Text (formatted, long) settings\";s:4:\"type\";s:7:\"mapping\";}s:30:\"field.field_settings.text_long\";a:2:{s:5:\"label\";s:31:\"Text (formatted, long) settings\";s:4:\"type\";s:7:\"mapping\";}s:21:\"field.value.text_long\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:13:\"Default value\";s:7:\"mapping\";a:2:{s:5:\"value\";a:2:{s:4:\"type\";s:4:\"text\";s:5:\"label\";s:5:\"Value\";}s:6:\"format\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:11:\"Text format\";}}}s:40:\"field.storage_settings.text_with_summary\";a:2:{s:5:\"label\";s:45:\"Text (formatted, long, with summary) settings\";s:4:\"type\";s:7:\"mapping\";}s:38:\"field.field_settings.text_with_summary\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:45:\"Text (formatted, long, with summary) settings\";s:7:\"mapping\";a:2:{s:15:\"display_summary\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:13:\"Summary input\";}s:16:\"required_summary\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:15:\"Require summary\";}}}s:29:\"field.value.text_with_summary\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:13:\"Default value\";s:7:\"mapping\";a:3:{s:5:\"value\";a:2:{s:4:\"type\";s:4:\"text\";s:5:\"label\";s:4:\"Body\";}s:7:\"summary\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:7:\"Summary\";}s:6:\"format\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:11:\"Text format\";}}}s:37:\"field.formatter.settings.text_default\";a:2:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:46:\"Formatted text default display format settings\";}s:48:\"field.formatter.settings.text_summary_or_trimmed\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:57:\"Summary or trimmed formatted text display format settings\";s:7:\"mapping\";a:1:{s:11:\"trim_length\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:11:\"Trim length\";}}}s:37:\"field.formatter.settings.text_trimmed\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:36:\"Trimmed text display format settings\";s:7:\"mapping\";a:1:{s:11:\"trim_length\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:11:\"Trim length\";}}}s:35:\"field.widget.settings.text_textarea\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:49:\"Text area (multiple rows) display format settings\";s:7:\"mapping\";a:2:{s:4:\"rows\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:4:\"Rows\";}s:11:\"placeholder\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:11:\"Placeholder\";}}}s:48:\"field.widget.settings.text_textarea_with_summary\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:48:\"Text area with a summary display format settings\";s:7:\"mapping\";a:4:{s:4:\"rows\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:4:\"Rows\";}s:12:\"summary_rows\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:22:\"Number of summary rows\";}s:11:\"placeholder\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:11:\"Placeholder\";}s:12:\"show_summary\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:19:\"Always show summary\";}}}s:36:\"field.widget.settings.text_textfield\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:34:\"Text field display format settings\";s:7:\"mapping\";a:2:{s:4:\"size\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:17:\"Size of textfield\";}s:11:\"placeholder\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:11:\"Placeholder\";}}}s:11:\"tour.tour.*\";a:3:{s:4:\"type\";s:13:\"config_entity\";s:5:\"label\";s:13:\"Tour settings\";s:7:\"mapping\";a:5:{s:2:\"id\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:2:\"ID\";}s:5:\"label\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:5:\"Label\";}s:6:\"module\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:16:\"Providing module\";}s:6:\"routes\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:14:\"Route settings\";s:8:\"sequence\";a:2:{s:4:\"type\";s:5:\"route\";s:5:\"label\";s:5:\"Route\";}}s:4:\"tips\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:4:\"Tips\";s:8:\"sequence\";a:2:{s:4:\"type\";s:17:\"tour.tip.[plugin]\";s:5:\"label\";s:8:\"Tour tip\";}}}}s:8:\"tour.tip\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:8:\"Tour tip\";s:7:\"mapping\";a:6:{s:2:\"id\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:2:\"ID\";}s:6:\"plugin\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"Plugin\";}s:5:\"label\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:5:\"Label\";}s:6:\"weight\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:6:\"Weight\";}s:8:\"location\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:8:\"Location\";}s:10:\"attributes\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:10:\"Attributes\";s:8:\"sequence\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:9:\"Attribute\";}}}}s:13:\"tour.tip.text\";a:3:{s:4:\"type\";s:8:\"tour.tip\";s:5:\"label\";s:16:\"Textual tour tip\";s:7:\"mapping\";a:1:{s:4:\"body\";a:2:{s:4:\"type\";s:4:\"text\";s:5:\"label\";s:4:\"Body\";}}}s:15:\"update.settings\";a:3:{s:4:\"type\";s:13:\"config_object\";s:5:\"label\";s:15:\"Update settings\";s:7:\"mapping\";a:3:{s:5:\"check\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:14:\"Check settings\";s:7:\"mapping\";a:2:{s:19:\"disabled_extensions\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:51:\"Check for updates of uninstalled modules and themes\";}s:13:\"interval_days\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:21:\"Days since last check\";}}}s:5:\"fetch\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:14:\"Fetch settings\";s:7:\"mapping\";a:3:{s:3:\"url\";a:2:{s:4:\"type\";s:3:\"uri\";s:5:\"label\";s:38:\"URL for fetching available update data\";}s:12:\"max_attempts\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:16:\"Maximum attempts\";}s:7:\"timeout\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:18:\"Timeout in seconds\";}}}s:12:\"notification\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:21:\"Notification settings\";s:7:\"mapping\";a:2:{s:6:\"emails\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:52:\"Email addresses to notify when updates are available\";s:8:\"sequence\";a:2:{s:4:\"type\";s:5:\"email\";s:5:\"label\";s:5:\"Email\";}}s:9:\"threshold\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:28:\"Email notification threshold\";}}}}}s:13:\"user.settings\";a:3:{s:4:\"type\";s:13:\"config_object\";s:5:\"label\";s:13:\"User settings\";s:7:\"mapping\";a:7:{s:9:\"anonymous\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:4:\"Name\";}s:11:\"verify_mail\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:60:\"Require email verification when a visitor creates an account\";}s:6:\"notify\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:11:\"Notify user\";s:7:\"mapping\";a:8:{s:14:\"cancel_confirm\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:33:\"Account cancellation confirmation\";}s:14:\"password_reset\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:31:\"Notify user when password reset\";}s:16:\"status_activated\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:37:\"Notify user when account is activated\";}s:14:\"status_blocked\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:15:\"Account blocked\";}s:15:\"status_canceled\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:16:\"Account canceled\";}s:22:\"register_admin_created\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:43:\"Welcome (new user created by administrator)\";}s:29:\"register_no_approval_required\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:30:\"Welcome (no approval required)\";}s:25:\"register_pending_approval\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:27:\"Welcome (awaiting approval)\";}}}s:8:\"register\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:26:\"Who can register accounts?\";}s:13:\"cancel_method\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:30:\"When cancelling a user account\";}s:22:\"password_reset_timeout\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:22:\"Password reset timeout\";}s:17:\"password_strength\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:34:\"Enable password strength indicator\";}}}s:9:\"user.mail\";a:3:{s:4:\"type\";s:13:\"config_object\";s:5:\"label\";s:14:\"Email settings\";s:7:\"mapping\";a:9:{s:14:\"cancel_confirm\";a:2:{s:4:\"type\";s:4:\"mail\";s:5:\"label\";s:33:\"Account cancellation confirmation\";}s:14:\"password_reset\";a:2:{s:4:\"type\";s:4:\"mail\";s:5:\"label\";s:17:\"Password recovery\";}s:22:\"register_admin_created\";a:2:{s:4:\"type\";s:4:\"mail\";s:5:\"label\";s:32:\"Account created by administrator\";}s:29:\"register_no_approval_required\";a:2:{s:4:\"type\";s:4:\"mail\";s:5:\"label\";s:48:\"Registration confirmation (No approval required)\";}s:25:\"register_pending_approval\";a:2:{s:4:\"type\";s:4:\"mail\";s:5:\"label\";s:44:\"Registration confirmation (Pending approval)\";}s:31:\"register_pending_approval_admin\";a:2:{s:4:\"type\";s:4:\"mail\";s:5:\"label\";s:30:\"Admin (user awaiting approval)\";}s:16:\"status_activated\";a:2:{s:4:\"type\";s:4:\"mail\";s:5:\"label\";s:18:\"Account activation\";}s:14:\"status_blocked\";a:2:{s:4:\"type\";s:4:\"mail\";s:5:\"label\";s:15:\"Account blocked\";}s:15:\"status_canceled\";a:2:{s:4:\"type\";s:4:\"mail\";s:5:\"label\";s:17:\"Account cancelled\";}}}s:10:\"user.flood\";a:3:{s:4:\"type\";s:13:\"config_object\";s:5:\"label\";s:19:\"User flood settings\";s:7:\"mapping\";a:5:{s:8:\"uid_only\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:19:\"UID only identifier\";}s:8:\"ip_limit\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:8:\"IP limit\";}s:9:\"ip_window\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:9:\"IP window\";}s:10:\"user_limit\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:10:\"User limit\";}s:11:\"user_window\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:11:\"User window\";}}}s:11:\"user.role.*\";a:3:{s:4:\"type\";s:13:\"config_entity\";s:5:\"label\";s:18:\"User role settings\";s:7:\"mapping\";a:5:{s:2:\"id\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:2:\"ID\";}s:5:\"label\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:5:\"Label\";}s:6:\"weight\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:16:\"User role weight\";}s:8:\"is_admin\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:13:\"User is admin\";}s:11:\"permissions\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:11:\"Permissions\";s:8:\"sequence\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:10:\"Permission\";}}}}s:41:\"action.configuration.user_add_role_action\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:37:\"Configuration for the add role action\";s:7:\"mapping\";a:1:{s:3:\"rid\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:25:\"The ID of the role to add\";}}}s:43:\"action.configuration.user_block_user_action\";a:2:{s:4:\"type\";s:28:\"action_configuration_default\";s:5:\"label\";s:38:\"Block the selected users configuration\";}s:44:\"action.configuration.user_cancel_user_action\";a:2:{s:4:\"type\";s:28:\"action_configuration_default\";s:5:\"label\";s:47:\"Cancel the selected user accounts configuration\";}s:44:\"action.configuration.user_remove_role_action\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:40:\"Configuration for the remove role action\";s:7:\"mapping\";a:1:{s:3:\"rid\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:28:\"The ID of the role to remove\";}}}s:45:\"action.configuration.user_unblock_user_action\";a:2:{s:4:\"type\";s:28:\"action_configuration_default\";s:5:\"label\";s:40:\"Unblock the selected users configuration\";}s:25:\"search.plugin.user_search\";a:2:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:11:\"User search\";}s:26:\"condition.plugin.user_role\";a:2:{s:4:\"type\";s:16:\"condition.plugin\";s:7:\"mapping\";a:1:{s:5:\"roles\";a:2:{s:4:\"type\";s:8:\"sequence\";s:8:\"sequence\";a:1:{s:4:\"type\";s:6:\"string\";}}}}s:39:\"entity_reference_selection.default:user\";a:3:{s:4:\"type\";s:34:\"entity_reference_selection.default\";s:5:\"label\";s:31:\"User selection handler settings\";s:7:\"mapping\";a:2:{s:6:\"filter\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:15:\"Filter settings\";s:7:\"mapping\";a:2:{s:4:\"type\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:9:\"Filter by\";}s:4:\"role\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:30:\"Restrict to the selected roles\";s:8:\"sequence\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:4:\"Role\";}}}}s:17:\"include_anonymous\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:51:\"Include the anonymous user in the matched entities.\";}}}s:34:\"field.formatter.settings.user_name\";a:2:{s:4:\"type\";s:7:\"mapping\";s:7:\"mapping\";a:1:{s:14:\"link_to_entity\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:16:\"Link to the user\";}}}s:17:\"views.access.perm\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:10:\"Permission\";s:7:\"mapping\";a:1:{s:4:\"perm\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:10:\"Permission\";}}}s:17:\"views.access.role\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:5:\"Roles\";s:7:\"mapping\";a:1:{s:4:\"role\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:13:\"List of roles\";s:8:\"sequence\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:4:\"Role\";}}}}s:23:\"views.argument.user_uid\";a:2:{s:4:\"type\";s:22:\"views.argument.numeric\";s:5:\"label\";s:7:\"User ID\";}s:30:\"views.argument.user__roles_rid\";a:2:{s:4:\"type\";s:26:\"views.argument.many_to_one\";s:5:\"label\";s:7:\"Role ID\";}s:36:\"views.argument_validator.entity:user\";a:3:{s:4:\"type\";s:31:\"views.argument_validator_entity\";s:5:\"label\";s:4:\"User\";s:7:\"mapping\";a:2:{s:14:\"restrict_roles\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:27:\"Restrict user based on role\";}s:5:\"roles\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:30:\"Restrict to the selected roles\";s:8:\"sequence\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:4:\"Role\";}}}}s:27:\"views.argument_default.user\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:16:\"User ID from URL\";s:7:\"mapping\";a:1:{s:4:\"user\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:44:\"Also look for a node and use the node author\";}}}s:16:\"views_field_user\";a:2:{s:4:\"type\";s:11:\"views_field\";s:7:\"mapping\";a:1:{s:12:\"link_to_user\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:27:\"Link this field to its user\";}}}s:28:\"views.field.user_permissions\";a:2:{s:4:\"type\";s:26:\"views.field.prerender_list\";s:5:\"label\";s:18:\"List of permission\";}s:22:\"views.field.user_roles\";a:2:{s:4:\"type\";s:26:\"views.field.prerender_list\";s:5:\"label\";s:13:\"List of roles\";}s:16:\"views.field.user\";a:2:{s:4:\"type\";s:16:\"views_field_user\";s:5:\"label\";s:4:\"User\";}s:26:\"views.field.user_bulk_form\";a:2:{s:4:\"type\";s:21:\"views_field_bulk_form\";s:5:\"label\";s:25:\"User operations bulk form\";}s:21:\"views.field.user_data\";a:3:{s:4:\"type\";s:11:\"views_field\";s:5:\"label\";s:15:\"User data field\";s:7:\"mapping\";a:2:{s:11:\"data_module\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:11:\"Module name\";}s:9:\"data_name\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:4:\"Name\";}}}s:25:\"views.filter.user_current\";a:2:{s:4:\"type\";s:20:\"views.filter.boolean\";s:5:\"label\";s:12:\"Current user\";}s:22:\"views.filter.user_name\";a:2:{s:4:\"type\";s:24:\"views.filter.in_operator\";s:5:\"label\";s:9:\"User name\";}s:29:\"views.filter.user_permissions\";a:2:{s:4:\"type\";s:24:\"views.filter.many_to_one\";s:5:\"label\";s:10:\"Permission\";}s:23:\"views.filter.user_roles\";a:2:{s:4:\"type\";s:24:\"views.filter.many_to_one\";s:5:\"label\";s:4:\"Role\";}s:31:\"views.filter_value.user_current\";a:2:{s:4:\"type\";s:26:\"views.filter_value.boolean\";s:5:\"label\";s:12:\"Current user\";}s:52:\"field.formatter.settings.video_embed_field_thumbnail\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:29:\"Thumbnail formatter settings.\";s:7:\"mapping\";a:2:{s:11:\"image_style\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:11:\"Image Style\";}s:13:\"link_image_to\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:13:\"Link image to\";}}}s:48:\"field.formatter.settings.video_embed_field_video\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:25:\"Video formatter settings.\";s:7:\"mapping\";a:4:{s:8:\"autoplay\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:8:\"Autoplay\";}s:10:\"responsive\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:10:\"Responsive\";}s:5:\"width\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:5:\"Width\";}s:6:\"height\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:6:\"Height\";}}}s:43:\"field.formatter.settings.video_embed_hybrid\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:35:\"Colorbox hybrid formatter settings.\";s:7:\"mapping\";a:7:{s:8:\"autoplay\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:8:\"Autoplay\";}s:10:\"responsive\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:10:\"Responsive\";}s:5:\"width\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:5:\"Width\";}s:6:\"height\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:6:\"Height\";}s:11:\"image_style\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:11:\"Image Style\";}s:13:\"link_image_to\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:13:\"Link image to\";}s:15:\"modal_max_width\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:15:\"Modal max width\";}}}s:51:\"field.formatter.settings.video_embed_field_lazyload\";a:2:{s:4:\"type\";s:43:\"field.formatter.settings.video_embed_hybrid\";s:5:\"label\";s:29:\"Lazy load formatter settings.\";}s:51:\"field.formatter.settings.video_embed_field_colorbox\";a:3:{s:4:\"type\";s:43:\"field.formatter.settings.video_embed_hybrid\";s:5:\"label\";s:28:\"Colorbox formatter settings.\";s:7:\"mapping\";a:1:{s:15:\"modal_max_width\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:15:\"Modal max width\";}}}s:38:\"field.field_settings.video_embed_field\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:21:\"Video field settings.\";s:7:\"mapping\";a:1:{s:17:\"allowed_providers\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:17:\"Allowed Providers\";s:8:\"sequence\";a:1:{s:4:\"type\";s:6:\"string\";}}}}s:29:\"field.value.video_embed_field\";a:2:{s:4:\"type\";s:7:\"mapping\";s:7:\"mapping\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:9:\"Video URL\";}}}s:17:\"pathauto.settings\";a:2:{s:4:\"type\";s:13:\"config_object\";s:7:\"mapping\";a:12:{s:20:\"enabled_entity_types\";a:3:{s:5:\"label\";s:20:\"Enabled entity types\";s:4:\"type\";s:8:\"sequence\";s:8:\"sequence\";a:1:{s:4:\"type\";s:6:\"string\";}}s:11:\"punctuation\";a:2:{s:4:\"type\";s:8:\"sequence\";s:8:\"sequence\";a:1:{s:4:\"type\";s:7:\"integer\";}}s:7:\"verbose\";a:1:{s:4:\"type\";s:7:\"boolean\";}s:9:\"separator\";a:1:{s:4:\"type\";s:6:\"string\";}s:10:\"max_length\";a:1:{s:4:\"type\";s:7:\"integer\";}s:20:\"max_component_length\";a:1:{s:4:\"type\";s:7:\"integer\";}s:13:\"transliterate\";a:1:{s:4:\"type\";s:7:\"boolean\";}s:12:\"reduce_ascii\";a:1:{s:4:\"type\";s:7:\"boolean\";}s:4:\"case\";a:1:{s:4:\"type\";s:7:\"boolean\";}s:12:\"ignore_words\";a:1:{s:4:\"type\";s:6:\"string\";}s:13:\"update_action\";a:1:{s:4:\"type\";s:7:\"integer\";}s:11:\"safe_tokens\";a:3:{s:5:\"label\";s:58:\"Tokens that are safe to use and do not need to be cleaned.\";s:4:\"type\";s:8:\"sequence\";s:8:\"sequence\";a:1:{s:4:\"type\";s:6:\"string\";}}}}s:42:\"action.configuration.pathauto_update_alias\";a:2:{s:4:\"type\";s:28:\"action_configuration_default\";s:5:\"label\";s:16:\"Update URL alias\";}s:18:\"pathauto.pattern.*\";a:3:{s:4:\"type\";s:13:\"config_entity\";s:5:\"label\";s:23:\"Pathauto pattern config\";s:7:\"mapping\";a:8:{s:2:\"id\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:2:\"ID\";}s:5:\"label\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:5:\"Label\";}s:4:\"type\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:12:\"Pattern type\";}s:7:\"pattern\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:7:\"Pattern\";}s:18:\"selection_criteria\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:18:\"Selection criteria\";s:8:\"sequence\";a:2:{s:4:\"type\";s:21:\"condition.plugin.[id]\";s:5:\"label\";s:19:\"Selection condition\";}}s:15:\"selection_logic\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:15:\"Selection logic\";}s:6:\"weight\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:6:\"Weight\";}s:13:\"relationships\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:19:\"Context definitions\";s:8:\"sequence\";a:1:{i:0;a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:12:\"Relationship\";s:7:\"mapping\";a:1:{s:5:\"label\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:5:\"Label\";}}}}}}}s:17:\"views.access.none\";a:2:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:4:\"None\";}s:12:\"views.area.*\";a:2:{s:4:\"type\";s:10:\"views_area\";s:5:\"label\";s:12:\"Default area\";}s:17:\"views.area.entity\";a:3:{s:4:\"type\";s:10:\"views_area\";s:5:\"label\";s:6:\"Entity\";s:7:\"mapping\";a:4:{s:6:\"target\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:17:\"The target entity\";}s:9:\"view_mode\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:9:\"View mode\";}s:8:\"tokenize\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:52:\"Should replacement tokens be used from the first row\";}s:13:\"bypass_access\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:20:\"Bypass access checks\";}}}s:15:\"views.area.text\";a:3:{s:4:\"type\";s:10:\"views_area\";s:5:\"label\";s:4:\"Text\";s:7:\"mapping\";a:2:{s:7:\"content\";a:2:{s:4:\"type\";s:11:\"text_format\";s:5:\"label\";s:30:\"The formatted text of the area\";}s:8:\"tokenize\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:52:\"Should replacement tokens be used from the first row\";}}}s:22:\"views.area.text_custom\";a:3:{s:4:\"type\";s:10:\"views_area\";s:5:\"label\";s:11:\"Text custom\";s:7:\"mapping\";a:2:{s:7:\"content\";a:2:{s:4:\"type\";s:4:\"text\";s:5:\"label\";s:26:\"The shown text of the area\";}s:8:\"tokenize\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:52:\"Should replacement tokens be used from the first row\";}}}s:17:\"views.area.result\";a:3:{s:4:\"type\";s:10:\"views_area\";s:5:\"label\";s:6:\"Result\";s:7:\"mapping\";a:1:{s:7:\"content\";a:2:{s:4:\"type\";s:4:\"text\";s:5:\"label\";s:41:\"The shown text of the result summary area\";}}}s:16:\"views.area.title\";a:3:{s:4:\"type\";s:10:\"views_area\";s:5:\"label\";s:5:\"Title\";s:7:\"mapping\";a:1:{s:5:\"title\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:47:\"The title which will be overridden for the page\";}}}s:15:\"views.area.view\";a:3:{s:4:\"type\";s:10:\"views_area\";s:5:\"label\";s:4:\"View\";s:7:\"mapping\";a:2:{s:14:\"view_to_insert\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:14:\"View to insert\";}s:17:\"inherit_arguments\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:26:\"Inherit contextual filters\";}}}s:27:\"views.area.http_status_code\";a:3:{s:4:\"type\";s:10:\"views_area\";s:5:\"label\";s:16:\"HTTP status code\";s:7:\"mapping\";a:1:{s:11:\"status_code\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:16:\"HTTP status code\";}}}s:23:\"views.area.display_link\";a:3:{s:4:\"type\";s:10:\"views_area\";s:5:\"label\";s:12:\"Display link\";s:7:\"mapping\";a:2:{s:10:\"display_id\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:46:\"The display ID of the view display to link to.\";}s:5:\"label\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:22:\"The label of the link.\";}}}s:16:\"views.argument.*\";a:2:{s:4:\"type\";s:14:\"views_argument\";s:5:\"label\";s:16:\"Default argument\";}s:26:\"views.argument.many_to_one\";a:3:{s:4:\"type\";s:14:\"views_argument\";s:5:\"label\";s:11:\"Many to one\";s:7:\"mapping\";a:4:{s:12:\"break_phrase\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:21:\"Allow multiple values\";}s:9:\"add_table\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:45:\"Allow multiple filter values to work together\";}s:13:\"require_value\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:45:\"Do not display items with no value in summary\";}s:17:\"reduce_duplicates\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:17:\"Reduce duplicates\";}}}s:19:\"views.argument.null\";a:3:{s:4:\"type\";s:14:\"views_argument\";s:5:\"label\";s:4:\"Null\";s:7:\"mapping\";a:1:{s:11:\"must_not_be\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:46:\"Fail basic validation if any argument is given\";}}}s:22:\"views.argument.numeric\";a:3:{s:4:\"type\";s:14:\"views_argument\";s:5:\"label\";s:7:\"Numeric\";s:7:\"mapping\";a:2:{s:12:\"break_phrase\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:21:\"Allow multiple values\";}s:3:\"not\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:7:\"Exclude\";}}}s:21:\"views.argument.string\";a:3:{s:4:\"type\";s:14:\"views_argument\";s:5:\"label\";s:6:\"String\";s:7:\"mapping\";a:8:{s:8:\"glossary\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:13:\"Glossary mode\";}s:5:\"limit\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:15:\"Character limit\";}s:4:\"case\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:4:\"Case\";}s:9:\"path_case\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:12:\"Case in path\";}s:14:\"transform_dash\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:33:\"Transform spaces to dashes in URL\";}s:12:\"break_phrase\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:21:\"Allow multiple values\";}s:9:\"add_table\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:45:\"Allow multiple filter values to work together\";}s:13:\"require_value\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:45:\"Do not display items with no value in summary\";}}}s:21:\"views.argument.broken\";a:2:{s:4:\"type\";s:14:\"views_argument\";s:5:\"label\";s:6:\"Broken\";}s:19:\"views.argument.date\";a:3:{s:4:\"type\";s:14:\"views_argument\";s:5:\"label\";s:4:\"Date\";s:7:\"mapping\";a:3:{s:4:\"date\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:4:\"Date\";}s:12:\"node_created\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:18:\"Node Creation Time\";}s:12:\"node_changed\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:16:\"Node Update Time\";}}}s:23:\"views.argument.date_day\";a:3:{s:4:\"type\";s:19:\"views.argument.date\";s:5:\"label\";s:8:\"Day Date\";s:7:\"mapping\";a:1:{s:3:\"day\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:3:\"Day\";}}}s:22:\"views.argument.formula\";a:3:{s:4:\"type\";s:14:\"views_argument\";s:5:\"label\";s:7:\"Formula\";s:7:\"mapping\";a:2:{s:11:\"placeholder\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:12:\"Place Holder\";}s:7:\"formula\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:12:\"Formula Used\";}}}s:28:\"views.argument.date_fulldate\";a:3:{s:4:\"type\";s:19:\"views.argument.date\";s:5:\"label\";s:9:\"Full Date\";s:7:\"mapping\";a:1:{s:7:\"created\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:9:\"Full Date\";}}}s:30:\"views.argument.groupby_numeric\";a:2:{s:4:\"type\";s:14:\"views_argument\";s:5:\"label\";s:16:\"Group by Numeric\";}s:25:\"views.argument.date_month\";a:3:{s:4:\"type\";s:19:\"views.argument.date\";s:5:\"label\";s:10:\"Month Date\";s:7:\"mapping\";a:1:{s:5:\"month\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:5:\"Month\";}}}s:23:\"views.argument.standard\";a:2:{s:4:\"type\";s:14:\"views_argument\";s:5:\"label\";s:8:\"Standard\";}s:24:\"views.argument.date_week\";a:2:{s:4:\"type\";s:19:\"views.argument.date\";s:5:\"label\";s:9:\"Week Date\";}s:24:\"views.argument.date_year\";a:2:{s:4:\"type\";s:19:\"views.argument.date\";s:5:\"label\";s:9:\"Year Date\";}s:30:\"views.argument.date_year_month\";a:3:{s:4:\"type\";s:19:\"views.argument.date\";s:5:\"label\";s:13:\"YearMonthDate\";s:7:\"mapping\";a:1:{s:7:\"created\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:15:\"Date Year month\";}}}s:23:\"views.argument.language\";a:2:{s:4:\"type\";s:14:\"views_argument\";s:5:\"label\";s:8:\"Language\";}s:24:\"views.argument_default.*\";a:2:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:21:\"Base default argument\";}s:28:\"views.argument_default.fixed\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:5:\"Fixed\";s:7:\"mapping\";a:1:{s:8:\"argument\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:11:\"Fixed value\";}}}s:26:\"views.argument_default.raw\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:18:\"Raw value from URL\";s:7:\"mapping\";a:2:{s:5:\"index\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:14:\"Path component\";}s:9:\"use_alias\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:14:\"Use path alias\";}}}s:38:\"views.argument_default.query_parameter\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:15:\"Query parameter\";s:7:\"mapping\";a:3:{s:11:\"query_param\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:9:\"Parameter\";}s:8:\"fallback\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:14:\"Fallback value\";}s:8:\"multiple\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:15:\"Multiple values\";}}}s:29:\"views.argument_validator.none\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:16:\"Basic validation\";s:8:\"sequence\";a:1:{s:4:\"type\";s:6:\"string\";}}s:28:\"views.argument_validator.php\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:8:\"PHP Code\";s:7:\"mapping\";a:1:{s:4:\"code\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:17:\"PHP validate code\";}}}s:26:\"views.argument_validator.*\";a:2:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:26:\"Default argument validator\";}s:31:\"views.argument_validator_entity\";a:2:{s:4:\"type\";s:7:\"mapping\";s:7:\"mapping\";a:4:{s:7:\"bundles\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:7:\"Bundles\";s:8:\"sequence\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"Bundle\";}}s:6:\"access\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:6:\"Access\";}s:9:\"operation\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:25:\"Access operation to check\";}s:8:\"multiple\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:18:\"Multiple arguments\";}}}s:33:\"views.argument_validator.entity:*\";a:1:{s:4:\"type\";s:31:\"views.argument_validator_entity\";}s:16:\"views.cache.none\";a:3:{s:4:\"type\";s:11:\"views_cache\";s:5:\"label\";s:10:\"No caching\";s:7:\"mapping\";a:1:{s:7:\"options\";a:2:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:7:\"Options\";}}}s:15:\"views.cache.tag\";a:3:{s:4:\"type\";s:11:\"views_cache\";s:5:\"label\";s:17:\"Tag based caching\";s:7:\"mapping\";a:1:{s:7:\"options\";a:2:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:7:\"Options\";}}}s:16:\"views.cache.time\";a:3:{s:4:\"type\";s:11:\"views_cache\";s:5:\"label\";s:18:\"Time based caching\";s:7:\"mapping\";a:1:{s:7:\"options\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:13:\"Cache options\";s:7:\"mapping\";a:4:{s:16:\"results_lifespan\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:54:\"The length of time raw query results should be cached.\";}s:23:\"results_lifespan_custom\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:61:\"Length of time in seconds raw query results should be cached.\";}s:15:\"output_lifespan\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:57:\"The length of time rendered HTML output should be cached.\";}s:22:\"output_lifespan_custom\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:64:\"Length of time in seconds rendered HTML output should be cached.\";}}}}}s:13:\"views_display\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:15:\"Display options\";s:7:\"mapping\";a:35:{s:7:\"enabled\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:6:\"Status\";}s:5:\"title\";a:2:{s:4:\"type\";s:4:\"text\";s:5:\"label\";s:13:\"Display title\";}s:6:\"format\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"Format\";}s:6:\"fields\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:6:\"Fields\";s:8:\"sequence\";a:1:{s:4:\"type\";s:23:\"views.field.[plugin_id]\";}}s:5:\"pager\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:5:\"Pager\";s:7:\"mapping\";a:2:{s:4:\"type\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:10:\"Pager type\";}s:7:\"options\";a:1:{s:4:\"type\";s:26:\"views.pager.[%parent.type]\";}}}s:12:\"exposed_form\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:12:\"Exposed form\";s:7:\"mapping\";a:2:{s:4:\"type\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:17:\"Exposed form type\";}s:7:\"options\";a:2:{s:5:\"label\";s:7:\"Options\";s:4:\"type\";s:33:\"views.exposed_form.[%parent.type]\";}}}s:6:\"access\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:6:\"Access\";s:7:\"mapping\";a:2:{s:4:\"type\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:11:\"Access type\";}s:7:\"options\";a:1:{s:4:\"type\";s:27:\"views.access.[%parent.type]\";}}}s:5:\"cache\";a:1:{s:4:\"type\";s:18:\"views.cache.[type]\";}s:5:\"empty\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:19:\"No results behavior\";s:8:\"sequence\";a:1:{s:4:\"type\";s:22:\"views.area.[plugin_id]\";}}s:5:\"sorts\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:5:\"Sorts\";s:8:\"sequence\";a:1:{s:4:\"type\";s:22:\"views.sort.[plugin_id]\";}}s:9:\"arguments\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:9:\"Arguments\";s:8:\"sequence\";a:1:{s:4:\"type\";s:26:\"views.argument.[plugin_id]\";}}s:7:\"filters\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:7:\"Filters\";s:8:\"sequence\";a:1:{s:4:\"type\";s:24:\"views.filter.[plugin_id]\";}}s:13:\"filter_groups\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:6:\"Groups\";s:7:\"mapping\";a:2:{s:8:\"operator\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:8:\"Operator\";}s:6:\"groups\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:6:\"Groups\";s:8:\"sequence\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:8:\"Operator\";}}}}s:5:\"style\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:6:\"Format\";s:7:\"mapping\";a:2:{s:4:\"type\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:4:\"Type\";}s:7:\"options\";a:1:{s:4:\"type\";s:26:\"views.style.[%parent.type]\";}}}s:3:\"row\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:3:\"Row\";s:7:\"mapping\";a:2:{s:4:\"type\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:8:\"Row type\";}s:7:\"options\";a:1:{s:4:\"type\";s:24:\"views.row.[%parent.type]\";}}}s:5:\"query\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:5:\"Query\";s:7:\"mapping\";a:2:{s:4:\"type\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:10:\"Query type\";}s:7:\"options\";a:1:{s:4:\"type\";s:26:\"views.query.[%parent.type]\";}}}s:8:\"defaults\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:8:\"Defaults\";s:7:\"mapping\";a:28:{s:5:\"empty\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:5:\"Empty\";}s:6:\"access\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:19:\"Access restrictions\";}s:5:\"cache\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:7:\"Caching\";}s:5:\"query\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:13:\"Query options\";}s:5:\"title\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:5:\"Title\";}s:9:\"css_class\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:9:\"CSS class\";}s:19:\"display_description\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:26:\"Administrative description\";}s:8:\"use_ajax\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:8:\"Use AJAX\";}s:23:\"hide_attachment_summary\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:60:\"Hide attachments when displaying a contextual filter summary\";}s:16:\"show_admin_links\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:21:\"Show contextual links\";}s:5:\"pager\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:9:\"Use pager\";}s:8:\"use_more\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:16:\"Create more link\";}s:15:\"use_more_always\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:49:\"Display \'more\' link only if there is more content\";}s:13:\"use_more_text\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:38:\"The text to display for the more link.\";}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:18:\"Exposed form style\";}s:12:\"link_display\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:12:\"Link display\";}s:8:\"link_url\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:8:\"Link URL\";}s:8:\"group_by\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:9:\"Aggregate\";}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:5:\"Style\";}s:3:\"row\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:3:\"Row\";}s:13:\"relationships\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:13:\"Relationships\";}s:6:\"fields\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:6:\"Fields\";}s:5:\"sorts\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:5:\"Sorts\";}s:9:\"arguments\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:9:\"Arguments\";}s:7:\"filters\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:7:\"Filters\";}s:13:\"filter_groups\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:13:\"Filter groups\";}s:6:\"header\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:6:\"Header\";}s:6:\"footer\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:6:\"Footer\";}}}s:13:\"relationships\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:13:\"Relationships\";s:8:\"sequence\";a:1:{s:4:\"type\";s:30:\"views.relationship.[plugin_id]\";}}s:9:\"css_class\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:9:\"CSS class\";}s:8:\"use_ajax\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:8:\"Use AJAX\";}s:8:\"group_by\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:9:\"Aggregate\";}s:19:\"display_description\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:26:\"Administrative description\";}s:16:\"show_admin_links\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:21:\"Show contextual links\";}s:8:\"use_more\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:16:\"Create more link\";}s:15:\"use_more_always\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:49:\"Display \'more\' link only if there is more content\";}s:13:\"use_more_text\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:38:\"The text to display for the more link.\";}s:12:\"link_display\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:12:\"Link display\";}s:8:\"link_url\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:8:\"Link URL\";}s:6:\"header\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:6:\"Header\";s:8:\"sequence\";a:1:{s:4:\"type\";s:22:\"views.area.[plugin_id]\";}}s:6:\"footer\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:6:\"Footer\";s:8:\"sequence\";a:1:{s:4:\"type\";s:22:\"views.area.[plugin_id]\";}}s:15:\"display_comment\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:15:\"Display comment\";}s:23:\"hide_attachment_summary\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:27:\"Hide attachments in summary\";}s:18:\"rendering_language\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:15:\"Entity language\";}s:13:\"exposed_block\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:31:\"Put the exposed form in a block\";}s:17:\"display_extenders\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:17:\"Display extenders\";s:8:\"sequence\";a:1:{s:4:\"type\";s:29:\"views.display_extender.[%key]\";}}}}s:10:\"views_sort\";a:3:{s:4:\"type\";s:13:\"views_handler\";s:5:\"label\";s:13:\"Sort criteria\";s:7:\"mapping\";a:4:{s:5:\"order\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:10:\"Sort order\";}s:6:\"expose\";a:1:{s:4:\"type\";s:37:\"views.sort_expose.[%parent.plugin_id]\";}s:7:\"exposed\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:56:\"Expose this sort to visitors, to allow them to change it\";}s:9:\"plugin_id\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:9:\"Plugin ID\";}}}s:17:\"views_sort_expose\";a:2:{s:4:\"type\";s:7:\"mapping\";s:7:\"mapping\";a:1:{s:5:\"label\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:5:\"Label\";}}}s:10:\"views_area\";a:3:{s:4:\"type\";s:13:\"views_handler\";s:5:\"label\";s:4:\"Area\";s:7:\"mapping\";a:3:{s:5:\"label\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:55:\"A string to identify the area instance in the admin UI.\";}s:5:\"empty\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:46:\"Should the area be displayed on empty results.\";}s:9:\"plugin_id\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:9:\"Plugin ID\";}}}s:13:\"views_handler\";a:2:{s:4:\"type\";s:7:\"mapping\";s:7:\"mapping\";a:9:{s:2:\"id\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:28:\"A unique ID per handler type\";}s:5:\"table\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:37:\"The views_data table for this handler\";}s:5:\"field\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:37:\"The views_data field for this handler\";}s:12:\"relationship\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:56:\"The ID of the relationship instance used by this handler\";}s:10:\"group_type\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:22:\"A sql aggregation type\";}s:11:\"admin_label\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:58:\"A string to identify the handler instance in the admin UI.\";}s:11:\"entity_type\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:15:\"The entity type\";}s:12:\"entity_field\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:30:\"The corresponding entity field\";}s:9:\"plugin_id\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:13:\"The plugin ID\";}}}s:14:\"views_argument\";a:3:{s:4:\"type\";s:13:\"views_handler\";s:5:\"label\";s:8:\"Argument\";s:7:\"mapping\";a:19:{s:14:\"default_action\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:38:\"When the filter value is NOT available\";}s:9:\"exception\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:15:\"Exception value\";s:7:\"mapping\";a:3:{s:5:\"value\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:5:\"Value\";}s:12:\"title_enable\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:14:\"Override title\";}s:5:\"title\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:5:\"Title\";}}}s:12:\"title_enable\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:14:\"Override title\";}s:5:\"title\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:16:\"Overridden title\";}s:21:\"default_argument_type\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:4:\"Type\";}s:24:\"default_argument_options\";a:2:{s:4:\"type\";s:54:\"views.argument_default.[%parent.default_argument_type]\";s:5:\"label\";s:24:\"Default argument options\";}s:25:\"default_argument_skip_url\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:34:\"Skip default argument for view URL\";}s:15:\"summary_options\";a:2:{s:4:\"type\";s:36:\"views.style.[%parent.summary.format]\";s:5:\"label\";s:15:\"Summary options\";}s:7:\"summary\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:17:\"Display a summary\";s:7:\"mapping\";a:3:{s:10:\"sort_order\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:10:\"Sort order\";}s:17:\"number_of_records\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:7:\"Sort by\";}s:6:\"format\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"Format\";}}}s:18:\"specify_validation\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:27:\"Specify validation criteria\";}s:8:\"validate\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:19:\"Validation settings\";s:7:\"mapping\";a:2:{s:4:\"type\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:9:\"Validator\";}s:4:\"fail\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:48:\"Action to take if filter value does not validate\";}}}s:16:\"validate_options\";a:2:{s:4:\"type\";s:48:\"views.argument_validator.[%parent.validate.type]\";s:5:\"label\";s:16:\"Validate options\";}s:8:\"glossary\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:13:\"Glossary mode\";}s:5:\"limit\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:15:\"Character limit\";}s:4:\"case\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:4:\"Case\";}s:9:\"path_case\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:12:\"Case in path\";}s:14:\"transform_dash\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:33:\"Transform spaces to dashes in URL\";}s:12:\"break_phrase\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:21:\"Allow multiple values\";}s:9:\"plugin_id\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:9:\"Plugin ID\";}}}s:18:\"views_exposed_form\";a:2:{s:4:\"type\";s:7:\"mapping\";s:7:\"mapping\";a:7:{s:13:\"submit_button\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:18:\"Submit button text\";}s:12:\"reset_button\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:20:\"Include reset button\";}s:18:\"reset_button_label\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:18:\"Reset button label\";}s:19:\"exposed_sorts_label\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:19:\"Exposed sorts label\";}s:17:\"expose_sort_order\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:17:\"Expose sort order\";}s:14:\"sort_asc_label\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:9:\"Ascending\";}s:15:\"sort_desc_label\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:10:\"Descending\";}}}s:11:\"views_field\";a:2:{s:4:\"type\";s:13:\"views_handler\";s:7:\"mapping\";a:17:{s:5:\"label\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:14:\"Create a label\";}s:7:\"exclude\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:20:\"Exclude from display\";}s:5:\"alter\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:15:\"Rewrite results\";s:7:\"mapping\";a:26:{s:10:\"alter_text\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:50:\"Override the output of this field with custom text\";}s:4:\"text\";a:2:{s:4:\"type\";s:4:\"text\";s:5:\"label\";s:4:\"Text\";}s:9:\"make_link\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:34:\"Output this field as a custom link\";}s:4:\"path\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:9:\"Link path\";}s:8:\"absolute\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:17:\"Use absolute path\";}s:8:\"external\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:19:\"External server URL\";}s:14:\"replace_spaces\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:26:\"Replace spaces with dashes\";}s:9:\"path_case\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:18:\"Transform the case\";}s:15:\"trim_whitespace\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:17:\"Remove whitespace\";}s:3:\"alt\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:10:\"Title text\";}s:3:\"rel\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:8:\"Rel Text\";}s:10:\"link_class\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:10:\"Link class\";}s:6:\"prefix\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:11:\"Prefix text\";}s:6:\"suffix\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:11:\"Suffix text\";}s:6:\"target\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"Target\";}s:5:\"nl2br\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:34:\"Convert newlines to HTML <br> tags\";}s:10:\"max_length\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:28:\"Maximum number of characters\";}s:13:\"word_boundary\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:28:\"Trim only on a word boundary\";}s:8:\"ellipsis\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:36:\"Add \"…\" at the end of trimmed text\";}s:9:\"more_link\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:41:\"Add a read-more link if output is trimmed\";}s:14:\"more_link_text\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:15:\"More link label\";}s:14:\"more_link_path\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:14:\"More link path\";}s:10:\"strip_tags\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:15:\"Strip HTML tags\";}s:4:\"trim\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:49:\"Trim this field to a maximum number of characters\";}s:13:\"preserve_tags\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:21:\"Preserve certain tags\";}s:4:\"html\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:22:\"Field can contain HTML\";}}}s:12:\"element_type\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:12:\"HTML element\";}s:13:\"element_class\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:9:\"CSS class\";}s:18:\"element_label_type\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:18:\"Label HTML element\";}s:19:\"element_label_class\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:9:\"CSS class\";}s:19:\"element_label_colon\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:29:\"Place a colon after the label\";}s:20:\"element_wrapper_type\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:20:\"Wrapper HTML element\";}s:21:\"element_wrapper_class\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:9:\"CSS class\";}s:23:\"element_default_classes\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:19:\"Add default classes\";}s:5:\"empty\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:15:\"No results text\";}s:10:\"hide_empty\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:13:\"Hide if empty\";}s:10:\"empty_zero\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:27:\"Count the number 0 as empty\";}s:16:\"hide_alter_empty\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:23:\"Hide rewriting if empty\";}s:11:\"destination\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:53:\"Append a destination query string to operation links.\";}s:9:\"plugin_id\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:9:\"Plugin ID\";}}}s:11:\"views_pager\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:5:\"Pager\";s:7:\"mapping\";a:2:{s:6:\"offset\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:6:\"Offset\";}s:14:\"items_per_page\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:14:\"Items per page\";}}}s:15:\"views_pager_sql\";a:3:{s:4:\"type\";s:11:\"views_pager\";s:5:\"label\";s:9:\"SQL pager\";s:7:\"mapping\";a:5:{s:14:\"items_per_page\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:14:\"Items per page\";}s:11:\"total_pages\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:15:\"Number of pages\";}s:2:\"id\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:8:\"Pager ID\";}s:4:\"tags\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:17:\"Pager link labels\";s:7:\"mapping\";a:3:{s:4:\"next\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:19:\"Next page link text\";}s:8:\"previous\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:23:\"Previous page link text\";}s:8:\"quantity\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:29:\"Number of pager links visible\";}}}s:6:\"expose\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:15:\"Exposed options\";s:7:\"mapping\";a:7:{s:14:\"items_per_page\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:14:\"Items per page\";}s:20:\"items_per_page_label\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:20:\"Items per page label\";}s:22:\"items_per_page_options\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:30:\"Exposed items per page options\";}s:26:\"items_per_page_options_all\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:24:\"Include all items option\";}s:32:\"items_per_page_options_all_label\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:15:\"All items label\";}s:6:\"offset\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:13:\"Expose Offset\";}s:12:\"offset_label\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:12:\"Offset label\";}}}}}s:11:\"views_style\";a:2:{s:4:\"type\";s:7:\"mapping\";s:7:\"mapping\";a:4:{s:8:\"grouping\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:24:\"Grouping field number %i\";s:8:\"sequence\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:5:\"Field\";s:7:\"mapping\";a:3:{s:5:\"field\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:5:\"Field\";}s:8:\"rendered\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:33:\"Use rendered output to group rows\";}s:14:\"rendered_strip\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:32:\"Remove tags from rendered output\";}}}}s:9:\"row_class\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:9:\"Row class\";}s:17:\"default_row_class\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:21:\"Add views row classes\";}s:11:\"uses_fields\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:18:\"Force using fields\";}}}s:12:\"views_filter\";a:2:{s:4:\"type\";s:13:\"views_handler\";s:7:\"mapping\";a:8:{s:8:\"operator\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:8:\"Operator\";}s:5:\"value\";a:2:{s:4:\"type\";s:38:\"views.filter_value.[%parent.plugin_id]\";s:5:\"label\";s:5:\"Value\";}s:5:\"group\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:5:\"Group\";}s:7:\"exposed\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:58:\"Expose this filter to visitors, to allow them to change it\";}s:6:\"expose\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:6:\"Expose\";s:7:\"mapping\";a:12:{s:11:\"operator_id\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:19:\"Operator identifier\";}s:5:\"label\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:5:\"Label\";}s:11:\"description\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:11:\"Description\";}s:12:\"use_operator\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:15:\"Expose operator\";}s:8:\"operator\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:8:\"Operator\";}s:24:\"operator_limit_selection\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:29:\"Limit the available operators\";}s:13:\"operator_list\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:27:\"List of available operators\";s:8:\"sequence\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:8:\"Operator\";}}s:10:\"identifier\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:17:\"Filter identifier\";}s:8:\"required\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:8:\"Required\";}s:8:\"remember\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:27:\"Remember the last selection\";}s:8:\"multiple\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:25:\"Allow multiple selections\";}s:14:\"remember_roles\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:10:\"User roles\";s:8:\"sequence\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:4:\"Role\";}}}}s:10:\"is_grouped\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:15:\"Grouped filters\";}s:10:\"group_info\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:5:\"Group\";s:7:\"mapping\";a:10:{s:5:\"label\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:5:\"Label\";}s:11:\"description\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:11:\"Description\";}s:10:\"identifier\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:10:\"Identifier\";}s:8:\"optional\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:8:\"Optional\";}s:6:\"widget\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:11:\"Widget type\";}s:8:\"multiple\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:25:\"Allow multiple selections\";}s:8:\"remember\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:8:\"Remember\";}s:13:\"default_group\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:7:\"Default\";}s:22:\"default_group_multiple\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:8:\"Defaults\";s:8:\"sequence\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:7:\"Default\";}}s:11:\"group_items\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:11:\"Group items\";s:8:\"sequence\";a:2:{s:4:\"type\";s:59:\"views.filter.group_item.[%parent.%parent.%parent.plugin_id]\";s:5:\"label\";s:10:\"Group item\";}}}}s:9:\"plugin_id\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:9:\"Plugin ID\";}}}s:23:\"views_filter_group_item\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:10:\"Group item\";s:7:\"mapping\";a:3:{s:5:\"title\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:5:\"Label\";}s:8:\"operator\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:8:\"Operator\";}s:5:\"value\";a:2:{s:4:\"type\";s:62:\"views.filter_value.[%parent.%parent.%parent.%parent.plugin_id]\";s:5:\"label\";s:5:\"Value\";}}}s:18:\"views_relationship\";a:2:{s:4:\"type\";s:13:\"views_handler\";s:7:\"mapping\";a:2:{s:11:\"admin_label\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:20:\"Administrative title\";}s:8:\"required\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:25:\"Require this relationship\";}}}s:11:\"views_query\";a:2:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:13:\"Query options\";}s:9:\"views_row\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:11:\"Row options\";s:7:\"mapping\";a:1:{s:12:\"relationship\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:12:\"Relationship\";}}}s:16:\"views_entity_row\";a:2:{s:4:\"type\";s:9:\"views_row\";s:7:\"mapping\";a:1:{s:9:\"view_mode\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:9:\"View mode\";}}}s:11:\"views_cache\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:19:\"Cache configuration\";s:7:\"mapping\";a:1:{s:4:\"type\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:10:\"Cache type\";}}}s:22:\"views_display_extender\";a:2:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:25:\"Display extender settings\";}s:21:\"views_field_bulk_form\";a:3:{s:4:\"type\";s:11:\"views_field\";s:5:\"label\";s:14:\"Bulk operation\";s:7:\"mapping\";a:3:{s:12:\"action_title\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:12:\"Action title\";}s:15:\"include_exclude\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:17:\"Available actions\";}s:16:\"selected_actions\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:17:\"Available actions\";s:8:\"sequence\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"Action\";}}}}s:21:\"views.display.default\";a:2:{s:4:\"type\";s:13:\"views_display\";s:5:\"label\";s:23:\"Default display options\";}s:18:\"views_display_path\";a:2:{s:4:\"type\";s:13:\"views_display\";s:7:\"mapping\";a:2:{s:4:\"path\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:9:\"Page path\";}s:10:\"route_name\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:10:\"Route name\";}}}s:18:\"views.display.page\";a:3:{s:4:\"type\";s:18:\"views_display_path\";s:5:\"label\";s:20:\"Page display options\";s:7:\"mapping\";a:2:{s:4:\"menu\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:4:\"Menu\";s:7:\"mapping\";a:9:{s:4:\"type\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:4:\"Type\";}s:5:\"title\";a:2:{s:4:\"type\";s:4:\"text\";s:5:\"label\";s:5:\"Title\";}s:11:\"description\";a:2:{s:4:\"type\";s:4:\"text\";s:5:\"label\";s:11:\"Description\";}s:6:\"weight\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:6:\"Weight\";}s:7:\"enabled\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:7:\"Enabled\";}s:8:\"expanded\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:8:\"Expanded\";}s:9:\"menu_name\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:9:\"Menu name\";}s:6:\"parent\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"Parent\";}s:7:\"context\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:7:\"Context\";}}}s:11:\"tab_options\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:11:\"Tab options\";s:7:\"mapping\";a:5:{s:4:\"type\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:4:\"Type\";}s:5:\"title\";a:2:{s:4:\"type\";s:4:\"text\";s:5:\"label\";s:5:\"Title\";}s:11:\"description\";a:2:{s:4:\"type\";s:4:\"text\";s:5:\"label\";s:11:\"Description\";}s:6:\"weight\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:6:\"Weight\";}s:9:\"menu_name\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:9:\"Menu name\";}}}}}s:19:\"views.display.block\";a:3:{s:4:\"type\";s:13:\"views_display\";s:5:\"label\";s:21:\"Block display options\";s:7:\"mapping\";a:4:{s:17:\"block_description\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:10:\"Block name\";}s:14:\"block_category\";a:2:{s:4:\"type\";s:4:\"text\";s:5:\"label\";s:14:\"Block category\";}s:16:\"block_hide_empty\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:34:\"Hide block if no result/empty text\";}s:5:\"allow\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:5:\"Allow\";s:7:\"mapping\";a:1:{s:14:\"items_per_page\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:14:\"Items per page\";}}}}}s:18:\"views.display.feed\";a:3:{s:4:\"type\";s:18:\"views_display_path\";s:5:\"label\";s:20:\"Feed display options\";s:7:\"mapping\";a:2:{s:14:\"sitename_title\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:31:\"Use the site name for the title\";}s:8:\"displays\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:62:\"The feed icon will be available only to the selected displays.\";s:8:\"sequence\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:7:\"Display\";}}}}s:19:\"views.display.embed\";a:2:{s:4:\"type\";s:13:\"views_display\";s:5:\"label\";s:21:\"Embed display options\";}s:24:\"views.display.attachment\";a:3:{s:4:\"type\";s:13:\"views_display\";s:5:\"label\";s:26:\"Attachment display options\";s:7:\"mapping\";a:6:{s:8:\"displays\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:9:\"Attach to\";s:8:\"sequence\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:7:\"Display\";}}s:19:\"attachment_position\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:19:\"Attachment position\";}s:17:\"inherit_arguments\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:26:\"Inherit contextual filters\";}s:23:\"inherit_exposed_filters\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:23:\"Inherit exposed filters\";}s:13:\"inherit_pager\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:13:\"Inherit pager\";}s:12:\"render_pager\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:12:\"Render pager\";}}}s:30:\"views.display.entity_reference\";a:2:{s:4:\"type\";s:13:\"views_display\";s:5:\"label\";s:16:\"Entity Reference\";}s:32:\"entity_reference_selection.views\";a:3:{s:4:\"type\";s:26:\"entity_reference_selection\";s:5:\"label\";s:32:\"Views selection handler settings\";s:7:\"mapping\";a:1:{s:4:\"view\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:32:\"View used to select the entities\";s:7:\"mapping\";a:3:{s:9:\"view_name\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:9:\"View name\";}s:12:\"display_name\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:12:\"Display name\";}s:9:\"arguments\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:14:\"View arguments\";s:8:\"sequence\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:8:\"Argument\";}}}}}}s:24:\"views.exposed_form.basic\";a:2:{s:4:\"type\";s:18:\"views_exposed_form\";s:5:\"label\";s:5:\"Basic\";}s:33:\"views.exposed_form.input_required\";a:3:{s:4:\"type\";s:18:\"views_exposed_form\";s:5:\"label\";s:14:\"Input required\";s:7:\"mapping\";a:2:{s:19:\"text_input_required\";a:2:{s:4:\"type\";s:4:\"text\";s:5:\"label\";s:14:\"Text on demand\";}s:26:\"text_input_required_format\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:21:\"Text on demand format\";}}}s:13:\"views.field.*\";a:2:{s:4:\"type\";s:11:\"views_field\";s:5:\"label\";s:13:\"Default field\";}s:19:\"views.field.boolean\";a:3:{s:4:\"type\";s:11:\"views_field\";s:5:\"label\";s:7:\"Boolean\";s:7:\"mapping\";a:4:{s:4:\"type\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:13:\"Output format\";}s:16:\"type_custom_true\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:22:\"Custom output for TRUE\";}s:17:\"type_custom_false\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:23:\"Custom output for FALSE\";}s:3:\"not\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:7:\"Reverse\";}}}s:18:\"views.field.broken\";a:2:{s:4:\"type\";s:11:\"views_field\";s:5:\"label\";s:6:\"Broken\";}s:19:\"views.field.counter\";a:3:{s:4:\"type\";s:11:\"views_field\";s:5:\"label\";s:7:\"Counter\";s:7:\"mapping\";a:1:{s:13:\"counter_start\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:14:\"Starting value\";}}}s:18:\"views.field.custom\";a:2:{s:4:\"type\";s:11:\"views_field\";s:5:\"label\";s:6:\"Custom\";}s:16:\"views.field.date\";a:3:{s:4:\"type\";s:11:\"views_field\";s:5:\"label\";s:4:\"Date\";s:7:\"mapping\";a:3:{s:11:\"date_format\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:11:\"Date format\";}s:18:\"custom_date_format\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:18:\"Custom date format\";}s:8:\"timezone\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:8:\"Timezone\";}}}s:24:\"views.field.entity_label\";a:3:{s:4:\"type\";s:11:\"views_field\";s:5:\"label\";s:12:\"Entity label\";s:7:\"mapping\";a:1:{s:14:\"link_to_entity\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:14:\"Link to entity\";}}}s:21:\"views.field.file_size\";a:3:{s:4:\"type\";s:11:\"views_field\";s:5:\"label\";s:9:\"File size\";s:7:\"mapping\";a:1:{s:17:\"file_size_display\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:17:\"File size display\";}}}s:17:\"views.field.links\";a:3:{s:4:\"type\";s:11:\"views_field\";s:5:\"label\";s:5:\"Links\";s:7:\"mapping\";a:2:{s:6:\"fields\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:6:\"Fields\";s:8:\"sequence\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:5:\"Field\";}}s:11:\"destination\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:19:\"Include destination\";}}}s:22:\"views.field.dropbutton\";a:2:{s:4:\"type\";s:17:\"views.field.links\";s:5:\"label\";s:11:\"Drop button\";}s:24:\"views.field.machine_name\";a:3:{s:4:\"type\";s:11:\"views_field\";s:5:\"label\";s:12:\"Machine name\";s:7:\"mapping\";a:1:{s:12:\"machine_name\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:19:\"Output machine name\";}}}s:18:\"views.field.markup\";a:2:{s:4:\"type\";s:11:\"views_field\";s:5:\"label\";s:6:\"Markup\";}s:19:\"views.field.numeric\";a:3:{s:4:\"type\";s:11:\"views_field\";s:5:\"label\";s:7:\"Numeric\";s:7:\"mapping\";a:8:{s:13:\"set_precision\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:5:\"Round\";}s:9:\"precision\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:9:\"Precision\";}s:7:\"decimal\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:13:\"Decimal point\";}s:9:\"separator\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:16:\"Thousands marker\";}s:13:\"format_plural\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:13:\"Format plural\";}s:20:\"format_plural_string\";a:2:{s:4:\"type\";s:12:\"plural_label\";s:5:\"label\";s:15:\"Plural variants\";}s:6:\"prefix\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:6:\"Prefix\";}s:6:\"suffix\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:6:\"Suffix\";}}}s:26:\"views.field.prerender_list\";a:3:{s:4:\"type\";s:11:\"views_field\";s:5:\"label\";s:4:\"List\";s:7:\"mapping\";a:2:{s:4:\"type\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:12:\"Display type\";}s:9:\"separator\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:9:\"Separator\";}}}s:22:\"views.field.serialized\";a:3:{s:4:\"type\";s:11:\"views_field\";s:5:\"label\";s:10:\"Serialized\";s:7:\"mapping\";a:2:{s:6:\"format\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:14:\"Display format\";}s:3:\"key\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:29:\"Which key should be displayed\";}}}s:20:\"views.field.standard\";a:2:{s:4:\"type\";s:11:\"views_field\";s:5:\"label\";s:8:\"Standard\";}s:25:\"views.field.time_interval\";a:3:{s:4:\"type\";s:11:\"views_field\";s:5:\"label\";s:13:\"Time interval\";s:7:\"mapping\";a:1:{s:11:\"granularity\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:11:\"Granularity\";}}}s:15:\"views.field.url\";a:3:{s:4:\"type\";s:11:\"views_field\";s:5:\"label\";s:3:\"URL\";s:7:\"mapping\";a:1:{s:15:\"display_as_link\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:15:\"Display as link\";}}}s:20:\"views.field.language\";a:3:{s:4:\"type\";s:11:\"views_field\";s:5:\"label\";s:8:\"Language\";s:7:\"mapping\";a:1:{s:15:\"native_language\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:26:\"Display in native language\";}}}s:27:\"views.field.rendered_entity\";a:3:{s:4:\"type\";s:11:\"views_field\";s:5:\"label\";s:15:\"Rendered entity\";s:7:\"mapping\";a:1:{s:9:\"view_mode\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:9:\"View mode\";}}}s:23:\"views.field.entity_link\";a:3:{s:4:\"type\";s:11:\"views_field\";s:5:\"label\";s:11:\"Entity link\";s:7:\"mapping\";a:3:{s:4:\"text\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:15:\"Text to display\";}s:18:\"output_url_as_text\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:22:\"Output the URL as text\";}s:8:\"absolute\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:23:\"Output an absolute link\";}}}s:30:\"views.field.entity_link_delete\";a:2:{s:4:\"type\";s:23:\"views.field.entity_link\";s:5:\"label\";s:18:\"Entity delete link\";}s:28:\"views.field.entity_link_edit\";a:2:{s:4:\"type\";s:23:\"views.field.entity_link\";s:5:\"label\";s:16:\"Entity edit link\";}s:21:\"views.field.bulk_form\";a:2:{s:4:\"type\";s:21:\"views_field_bulk_form\";s:5:\"label\";s:9:\"Bulk form\";}s:17:\"views.field.field\";a:3:{s:4:\"type\";s:11:\"views_field\";s:5:\"label\";s:26:\"Views entity field handler\";s:7:\"mapping\";a:13:{s:17:\"click_sort_column\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:29:\"Column used for click sorting\";}s:4:\"type\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:9:\"Formatter\";}s:8:\"settings\";a:2:{s:5:\"label\";s:8:\"Settings\";s:4:\"type\";s:39:\"field.formatter.settings.[%parent.type]\";}s:12:\"group_column\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:15:\"Group by column\";}s:13:\"group_columns\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:16:\"Group by columns\";s:8:\"sequence\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"Column\";}}s:10:\"group_rows\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:34:\"Display all values in the same row\";}s:11:\"delta_limit\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:5:\"Field\";}s:12:\"delta_offset\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:6:\"Offset\";}s:14:\"delta_reversed\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:8:\"Reversed\";}s:16:\"delta_first_last\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:19:\"First and last only\";}s:10:\"multi_type\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:12:\"Display type\";}s:9:\"separator\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:9:\"Separator\";}s:17:\"field_api_classes\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:18:\"Use field template\";}}}s:14:\"views.filter.*\";a:2:{s:4:\"type\";s:12:\"views_filter\";s:5:\"label\";s:14:\"Default filter\";}s:20:\"views.filter.boolean\";a:2:{s:4:\"type\";s:12:\"views_filter\";s:5:\"label\";s:7:\"Boolean\";}s:27:\"views_filter_boolean_string\";a:2:{s:4:\"type\";s:12:\"views_filter\";s:5:\"label\";s:14:\"Boolean string\";}s:19:\"views.filter.broken\";a:2:{s:4:\"type\";s:12:\"views_filter\";s:5:\"label\";s:6:\"Broken\";}s:19:\"views.filter.bundle\";a:2:{s:4:\"type\";s:24:\"views.filter.in_operator\";s:5:\"label\";s:6:\"Bundle\";}s:20:\"views.filter.combine\";a:3:{s:4:\"type\";s:19:\"views.filter.string\";s:5:\"label\";s:7:\"Combine\";s:7:\"mapping\";a:1:{s:6:\"fields\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:6:\"Fields\";s:8:\"sequence\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:5:\"Field\";}}}}s:34:\"views.filter_value.groupby_numeric\";a:2:{s:4:\"type\";s:26:\"views.filter_value.numeric\";s:5:\"label\";s:16:\"Group by numeric\";}s:24:\"views.filter.in_operator\";a:3:{s:4:\"type\";s:12:\"views_filter\";s:5:\"label\";s:11:\"IN operator\";s:7:\"mapping\";a:4:{s:8:\"operator\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:8:\"Operator\";}s:5:\"value\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:6:\"Values\";s:8:\"sequence\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:5:\"Value\";}}s:6:\"expose\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:6:\"Expose\";s:7:\"mapping\";a:1:{s:6:\"reduce\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:6:\"Reduce\";}}}s:10:\"group_info\";a:1:{s:7:\"mapping\";a:1:{s:11:\"group_items\";a:1:{s:8:\"sequence\";a:2:{s:4:\"type\";s:35:\"views.filter.group_item.in_operator\";s:5:\"label\";s:10:\"Group item\";}}}}}}s:19:\"views.filter.string\";a:3:{s:4:\"type\";s:12:\"views_filter\";s:5:\"label\";s:6:\"String\";s:7:\"mapping\";a:2:{s:6:\"expose\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:7:\"Exposed\";s:7:\"mapping\";a:2:{s:8:\"required\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:8:\"Required\";}s:11:\"placeholder\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:11:\"Placeholder\";}}}s:5:\"value\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:5:\"Value\";}}}s:20:\"views.filter.numeric\";a:3:{s:4:\"type\";s:12:\"views_filter\";s:5:\"label\";s:7:\"Numeric\";s:7:\"mapping\";a:1:{s:6:\"expose\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:7:\"Exposed\";s:7:\"mapping\";a:3:{s:15:\"min_placeholder\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:15:\"Min placeholder\";}s:15:\"max_placeholder\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:15:\"Max placeholder\";}s:11:\"placeholder\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:11:\"Placeholder\";}}}}}s:26:\"views.filter_value.numeric\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:7:\"Numeric\";s:7:\"mapping\";a:3:{s:3:\"min\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:3:\"Min\";}s:3:\"max\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:7:\"And max\";}s:5:\"value\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:5:\"Value\";}}}s:20:\"views.filter_value.*\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:12:\"Filter value\";}s:27:\"views.filter_value.equality\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:8:\"Equality\";}s:24:\"views.filter.many_to_one\";a:3:{s:4:\"type\";s:24:\"views.filter.in_operator\";s:5:\"label\";s:11:\"Many to one\";s:7:\"mapping\";a:1:{s:17:\"reduce_duplicates\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:16:\"Reduce duplicate\";}}}s:21:\"views.filter.standard\";a:2:{s:4:\"type\";s:12:\"views_filter\";s:5:\"label\";s:8:\"Standard\";}s:25:\"views.filter.group_item.*\";a:2:{s:4:\"type\";s:23:\"views_filter_group_item\";s:5:\"label\";s:10:\"Group item\";}s:31:\"views.filter.group_item.boolean\";a:2:{s:4:\"type\";s:23:\"views_filter_group_item\";s:7:\"mapping\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:25:\"views.filter_value.string\";}}}s:35:\"views.filter.group_item.in_operator\";a:2:{s:4:\"type\";s:23:\"views_filter_group_item\";s:7:\"mapping\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:30:\"views.filter_value.in_operator\";}}}s:25:\"views.filter_value.string\";a:1:{s:4:\"type\";s:6:\"string\";}s:26:\"views.filter_value.boolean\";a:1:{s:4:\"type\";s:6:\"string\";}s:26:\"views.filter_value.combine\";a:1:{s:4:\"type\";s:6:\"string\";}s:21:\"views.filter.language\";a:2:{s:4:\"type\";s:24:\"views.filter.in_operator\";s:5:\"label\";s:8:\"Language\";}s:28:\"views.filter.latest_revision\";a:2:{s:4:\"type\";s:12:\"views_filter\";s:5:\"label\";s:15:\"Latest revision\";}s:23:\"views.filter_value.date\";a:3:{s:4:\"type\";s:26:\"views.filter_value.numeric\";s:5:\"label\";s:4:\"Date\";s:7:\"mapping\";a:1:{s:4:\"type\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:4:\"Type\";}}}s:17:\"views.filter.date\";a:3:{s:4:\"type\";s:20:\"views.filter.numeric\";s:5:\"label\";s:4:\"Date\";s:7:\"mapping\";a:1:{s:4:\"type\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:4:\"Type\";}}}s:30:\"views.filter_value.in_operator\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:6:\"Values\";s:8:\"sequence\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:5:\"Value\";}}s:13:\"views.pager.*\";a:2:{s:4:\"type\";s:11:\"views_pager\";s:5:\"label\";s:13:\"Default pager\";}s:16:\"views.pager.none\";a:2:{s:4:\"type\";s:11:\"views_pager\";s:5:\"label\";s:17:\"Display all items\";}s:16:\"views.pager.some\";a:2:{s:4:\"type\";s:11:\"views_pager\";s:5:\"label\";s:35:\"Display a specified number of items\";}s:16:\"views.pager.mini\";a:2:{s:4:\"type\";s:15:\"views_pager_sql\";s:5:\"label\";s:24:\"Paged output, mini pager\";}s:16:\"views.pager.full\";a:3:{s:4:\"type\";s:15:\"views_pager_sql\";s:5:\"label\";s:24:\"Paged output, full pager\";s:7:\"mapping\";a:2:{s:4:\"tags\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:4:\"Tags\";s:7:\"mapping\";a:2:{s:5:\"first\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:20:\"First page link text\";}s:4:\"last\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:19:\"Last page link text\";}}}s:8:\"quantity\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:29:\"Number of pager links visible\";}}}s:23:\"views.query.views_query\";a:3:{s:4:\"type\";s:11:\"views_query\";s:5:\"label\";s:11:\"Views query\";s:7:\"mapping\";a:5:{s:13:\"query_comment\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:13:\"Query comment\";}s:19:\"disable_sql_rewrite\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:21:\"Disable SQL rewriting\";}s:8:\"distinct\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:8:\"Distinct\";}s:7:\"replica\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:18:\"Use Replica Server\";}s:10:\"query_tags\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:10:\"Query Tags\";s:8:\"sequence\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:3:\"Tag\";}}}}s:20:\"views.relationship.*\";a:2:{s:4:\"type\";s:18:\"views_relationship\";s:5:\"label\";s:8:\"Standard\";}s:27:\"views.relationship.standard\";a:2:{s:4:\"type\";s:18:\"views_relationship\";s:5:\"label\";s:8:\"Standard\";}s:25:\"views.relationship.broken\";a:2:{s:4:\"type\";s:18:\"views_relationship\";s:5:\"label\";s:6:\"Broken\";}s:32:\"views.relationship.groupwise_max\";a:3:{s:4:\"type\";s:18:\"views_relationship\";s:5:\"label\";s:13:\"Groupwise max\";s:7:\"mapping\";a:5:{s:13:\"subquery_sort\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:28:\"Representative sort criteria\";}s:14:\"subquery_order\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:25:\"Representative sort order\";}s:19:\"subquery_regenerate\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:39:\"Generate subquery each time view is run\";}s:13:\"subquery_view\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:19:\"Representative view\";}s:18:\"subquery_namespace\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:18:\"Subquery namespace\";}}}s:11:\"views.row.*\";a:1:{s:4:\"type\";s:9:\"views_row\";}s:18:\"views.row.entity:*\";a:2:{s:4:\"type\";s:16:\"views_entity_row\";s:5:\"label\";s:14:\"Entity options\";}s:16:\"views.row.fields\";a:3:{s:4:\"type\";s:9:\"views_row\";s:5:\"label\";s:13:\"Field options\";s:7:\"mapping\";a:4:{s:22:\"default_field_elements\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:38:\"Provide default field wrapper elements\";}s:6:\"inline\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:6:\"Inline\";s:8:\"sequence\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"Inline\";}}s:9:\"separator\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:9:\"Separator\";}s:10:\"hide_empty\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:10:\"Hide empty\";}}}s:20:\"views.row.rss_fields\";a:3:{s:4:\"type\";s:9:\"views_row\";s:5:\"label\";s:17:\"RSS field options\";s:7:\"mapping\";a:6:{s:11:\"title_field\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:11:\"Title field\";}s:10:\"link_field\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:10:\"Link field\";}s:17:\"description_field\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:17:\"Description field\";}s:13:\"creator_field\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:13:\"Creator field\";}s:10:\"date_field\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:22:\"Publication date field\";}s:18:\"guid_field_options\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:13:\"Guid settings\";s:7:\"mapping\";a:2:{s:10:\"guid_field\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:10:\"GUID field\";}s:23:\"guid_field_is_permalink\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:17:\"GUID is permalink\";}}}}}s:21:\"views.row.opml_fields\";a:3:{s:4:\"type\";s:9:\"views_row\";s:5:\"label\";s:18:\"OPML field options\";s:7:\"mapping\";a:8:{s:10:\"type_field\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:14:\"Type attribute\";}s:10:\"text_field\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:14:\"Text attribute\";}s:13:\"created_field\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:17:\"Created attribute\";}s:17:\"description_field\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:21:\"Description attribute\";}s:14:\"html_url_field\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:18:\"HTML URL attribute\";}s:14:\"language_field\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:18:\"Language attribute\";}s:13:\"xml_url_field\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:17:\"XML URL attribute\";}s:9:\"url_field\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:13:\"URL attribute\";}}}s:26:\"views.row.entity_reference\";a:2:{s:4:\"type\";s:16:\"views.row.fields\";s:5:\"label\";s:30:\"Entity Reference inline fields\";}s:14:\"views.settings\";a:3:{s:4:\"type\";s:13:\"config_object\";s:5:\"label\";s:14:\"Views settings\";s:7:\"mapping\";a:5:{s:17:\"display_extenders\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:17:\"Display extenders\";s:8:\"sequence\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:16:\"Display extender\";}}s:10:\"skip_cache\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:26:\"Disable views data caching\";}s:13:\"sql_signature\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:38:\"Add Views signature to all SQL queries\";}s:2:\"ui\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:11:\"UI settings\";s:7:\"mapping\";a:3:{s:4:\"show\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:21:\"Live preview settings\";s:7:\"mapping\";a:7:{s:18:\"additional_queries\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:56:\"Show other queries run during render during live preview\";}s:15:\"advanced_column\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:37:\"Always show advanced display settings\";}s:14:\"master_display\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:40:\"Always show the master (default) display\";}s:22:\"performance_statistics\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:27:\"Show performance statistics\";}s:19:\"preview_information\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:66:\"Show information and statistics about the view during live preview\";}s:9:\"sql_query\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:14:\"Query settings\";s:7:\"mapping\";a:2:{s:7:\"enabled\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:18:\"Show the SQL query\";}s:5:\"where\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:14:\"Show SQL query\";}}}s:13:\"display_embed\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:23:\"Allow embedded displays\";}}}s:19:\"always_live_preview\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:39:\"Automatically update preview on changes\";}s:24:\"exposed_filter_any_label\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:67:\"Label for \"Any\" value on non-required single-select exposed filters\";}}}s:22:\"field_rewrite_elements\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:22:\"Field rewrite elements\";s:8:\"sequence\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:7:\"Element\";}}}}s:12:\"views.view.*\";a:3:{s:4:\"type\";s:13:\"config_entity\";s:5:\"label\";s:4:\"View\";s:7:\"mapping\";a:8:{s:2:\"id\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:2:\"ID\";}s:5:\"label\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:5:\"Label\";}s:6:\"module\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:6:\"Module\";}s:11:\"description\";a:2:{s:4:\"type\";s:4:\"text\";s:5:\"label\";s:26:\"Administrative description\";}s:3:\"tag\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:3:\"Tag\";}s:10:\"base_table\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:10:\"Base table\";}s:10:\"base_field\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:10:\"Base field\";}s:7:\"display\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:8:\"Displays\";s:8:\"sequence\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:16:\"Display settings\";s:7:\"mapping\";a:6:{s:2:\"id\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:12:\"Machine name\";}s:13:\"display_title\";a:2:{s:4:\"type\";s:4:\"text\";s:5:\"label\";s:5:\"Title\";}s:14:\"display_plugin\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:14:\"Display plugin\";}s:8:\"position\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:8:\"Position\";}s:15:\"display_options\";a:1:{s:4:\"type\";s:38:\"views.display.[%parent.display_plugin]\";}s:14:\"cache_metadata\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:14:\"Cache metadata\";s:7:\"mapping\";a:4:{s:7:\"max-age\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:17:\"Cache maximum age\";}s:8:\"contexts\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:14:\"Cache contexts\";s:8:\"sequence\";a:1:{s:4:\"type\";s:6:\"string\";}}s:4:\"tags\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:10:\"Cache tags\";s:8:\"sequence\";a:1:{s:4:\"type\";s:6:\"string\";}}s:9:\"cacheable\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:9:\"Cacheable\";}}}}}}}}s:11:\"views_block\";a:3:{s:4:\"type\";s:14:\"block_settings\";s:5:\"label\";s:10:\"View block\";s:7:\"mapping\";a:2:{s:11:\"views_label\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:5:\"Title\";}s:14:\"items_per_page\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:15:\"Items per block\";}}}s:28:\"block.settings.views_block:*\";a:1:{s:4:\"type\";s:11:\"views_block\";}s:43:\"block.settings.views_exposed_filter_block:*\";a:1:{s:4:\"type\";s:11:\"views_block\";}s:12:\"views.sort.*\";a:2:{s:4:\"type\";s:10:\"views_sort\";s:5:\"label\";s:12:\"Default sort\";}s:18:\"views.sort.boolean\";a:2:{s:4:\"type\";s:10:\"views_sort\";s:5:\"label\";s:12:\"Boolean sort\";}s:15:\"views.sort.date\";a:3:{s:4:\"type\";s:10:\"views_sort\";s:5:\"label\";s:9:\"Date sort\";s:7:\"mapping\";a:1:{s:11:\"granularity\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:11:\"Granularity\";}}}s:17:\"views.sort.broken\";a:2:{s:4:\"type\";s:10:\"views_sort\";s:5:\"label\";s:6:\"Broken\";}s:17:\"views.sort.random\";a:2:{s:4:\"type\";s:10:\"views_sort\";s:5:\"label\";s:6:\"Random\";}s:19:\"views.sort.standard\";a:2:{s:4:\"type\";s:10:\"views_sort\";s:5:\"label\";s:8:\"Standard\";}s:19:\"views.sort_expose.*\";a:2:{s:4:\"type\";s:17:\"views_sort_expose\";s:5:\"label\";s:29:\"Fallback sort expose settings\";}s:25:\"views.sort_expose.boolean\";a:2:{s:4:\"type\";s:17:\"views_sort_expose\";s:5:\"label\";s:28:\"Boolean sort expose settings\";}s:22:\"views.sort_expose.date\";a:2:{s:4:\"type\";s:17:\"views_sort_expose\";s:5:\"label\";s:25:\"Date sort expose settings\";}s:26:\"views.sort_expose.standard\";a:2:{s:4:\"type\";s:17:\"views_sort_expose\";s:5:\"label\";s:29:\"Standard sort expose settings\";}s:24:\"views.sort_expose.random\";a:2:{s:4:\"type\";s:26:\"views.sort_expose.standard\";s:5:\"label\";s:27:\"Random sort expose settings\";}s:13:\"views.style.*\";a:2:{s:4:\"type\";s:11:\"views_style\";s:5:\"label\";s:13:\"Default style\";}s:19:\"views.style.default\";a:2:{s:4:\"type\";s:11:\"views_style\";s:5:\"label\";s:16:\"Unformatted list\";}s:21:\"views.style.html_list\";a:3:{s:4:\"type\";s:11:\"views_style\";s:5:\"label\";s:9:\"HTML List\";s:7:\"mapping\";a:3:{s:4:\"type\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:9:\"List type\";}s:13:\"wrapper_class\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:13:\"Wrapper class\";}s:5:\"class\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:10:\"List class\";}}}s:16:\"views.style.grid\";a:3:{s:4:\"type\";s:11:\"views_style\";s:5:\"label\";s:4:\"Grid\";s:7:\"mapping\";a:7:{s:7:\"columns\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:17:\"Number of columns\";}s:15:\"automatic_width\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:15:\"Automatic width\";}s:9:\"alignment\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:9:\"Alignment\";}s:16:\"row_class_custom\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:18:\"Custom row classes\";}s:17:\"row_class_default\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:25:\"Default views row classes\";}s:16:\"col_class_custom\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:21:\"Custom column classes\";}s:17:\"col_class_default\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:28:\"Default views column classes\";}}}s:17:\"views.style.table\";a:3:{s:4:\"type\";s:11:\"views_style\";s:5:\"label\";s:5:\"Table\";s:7:\"mapping\";a:10:{s:7:\"columns\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:7:\"Columns\";s:8:\"sequence\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:12:\"Columns name\";}}s:7:\"default\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:12:\"Default sort\";}s:4:\"info\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:12:\"Columns info\";s:8:\"sequence\";a:3:{s:4:\"type\";s:7:\"mapping\";s:5:\"label\";s:11:\"Column info\";s:7:\"mapping\";a:6:{s:8:\"sortable\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:8:\"Sortable\";}s:18:\"default_sort_order\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:13:\"Default order\";}s:5:\"align\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:5:\"Align\";}s:9:\"separator\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:9:\"Separator\";}s:12:\"empty_column\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:18:\"Hide empty columns\";}s:10:\"responsive\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:10:\"Responsive\";}}}}s:8:\"override\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:48:\"Override normal sorting if click sorting is used\";}s:6:\"sticky\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:55:\"Enable Drupal style \"sticky\" table headers (Javascript)\";}s:7:\"summary\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:13:\"Summary title\";}s:5:\"order\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:13:\"Default order\";}s:11:\"empty_table\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:32:\"Show the empty text in the table\";}s:7:\"caption\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:21:\"Caption for the table\";}s:11:\"description\";a:2:{s:4:\"type\";s:4:\"text\";s:5:\"label\";s:17:\"Table description\";}}}s:27:\"views.style.default_summary\";a:3:{s:4:\"type\";s:11:\"views_style\";s:5:\"label\";s:15:\"Summary options\";s:7:\"mapping\";a:4:{s:9:\"base_path\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:9:\"Base path\";}s:5:\"count\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:30:\"Display record count with link\";}s:8:\"override\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:35:\"Override number of items to display\";}s:14:\"items_per_page\";a:2:{s:4:\"type\";s:7:\"integer\";s:5:\"label\";s:16:\"Items to display\";}}}s:15:\"views.style.rss\";a:3:{s:4:\"type\";s:11:\"views_style\";s:5:\"label\";s:8:\"RSS Feed\";s:7:\"mapping\";a:1:{s:11:\"description\";a:2:{s:4:\"type\";s:5:\"label\";s:5:\"label\";s:15:\"RSS description\";}}}s:31:\"views.style.unformatted_summary\";a:3:{s:4:\"type\";s:27:\"views.style.default_summary\";s:5:\"label\";s:11:\"Unformatted\";s:7:\"mapping\";a:2:{s:6:\"inline\";a:2:{s:4:\"type\";s:7:\"boolean\";s:5:\"label\";s:20:\"Display items inline\";}s:9:\"separator\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:9:\"Separator\";}}}s:28:\"views.style.entity_reference\";a:3:{s:4:\"type\";s:11:\"views_style\";s:5:\"label\";s:21:\"Entity Reference list\";s:7:\"mapping\";a:1:{s:13:\"search_fields\";a:3:{s:4:\"type\";s:8:\"sequence\";s:5:\"label\";s:13:\"Search fields\";s:8:\"sequence\";a:2:{s:4:\"type\";s:6:\"string\";s:5:\"label\";s:12:\"Search field\";}}}}s:15:\"bartik.settings\";a:2:{s:4:\"type\";s:14:\"theme_settings\";s:5:\"label\";s:15:\"Bartik settings\";}s:14:\"seven.settings\";a:2:{s:4:\"type\";s:14:\"theme_settings\";s:5:\"label\";s:14:\"Seven settings\";}}',-1,1636012254.996,1,'','0'),('typed_data_types_plugins','a:109:{s:13:\"filter_format\";a:8:{s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:13:\"filter_format\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Filter format\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:42:\"Drupal\\filter\\Plugin\\DataType\\FilterFormat\";s:8:\"provider\";s:6:\"filter\";}s:6:\"entity\";a:10:{s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Entity\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"All kind of entities, e.g. nodes, comments or users.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:8:\"provider\";s:4:\"core\";}s:12:\"entity:block\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Block\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:25:\"entity:block_content_type\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Custom block type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:20:\"entity:block_content\";a:12:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Custom block\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:3:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:26:\"entity:block_content:basic\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:11:\"Basic block\";s:11:\"constraints\";a:3:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:19:\"entity:comment_type\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Comment type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:14:\"entity:comment\";a:12:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Comment\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:4:{s:11:\"CommentName\";a:0:{}s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:22:\"entity:comment:comment\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:16:\"Default comments\";s:11:\"constraints\";a:4:{s:11:\"CommentName\";a:0:{}s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:22:\"entity:contact_message\";a:12:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Contact message\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:2:{s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:31:\"entity:contact_message:feedback\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:16:\"Website feedback\";s:11:\"constraints\";a:2:{s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:31:\"entity:contact_message:personal\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:21:\"Personal contact form\";s:11:\"constraints\";a:2:{s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:19:\"entity:contact_form\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Contact form\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:13:\"entity:editor\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Text Editor\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:27:\"entity:field_storage_config\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Field storage\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:19:\"entity:field_config\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Field\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:11:\"entity:file\";a:12:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"File\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:3:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:20:\"entity:filter_format\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Text format\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:18:\"entity:image_style\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Image style\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:32:\"entity:language_content_settings\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"Content Language Settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:28:\"entity:configurable_language\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:11:\"entity:node\";a:12:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:4:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:12:\"MenuSettings\";a:0:{}s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:19:\"entity:node:article\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:7:\"Article\";s:11:\"constraints\";a:4:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:12:\"MenuSettings\";a:0:{}s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:18:\"entity:node:banner\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:6:\"Banner\";s:11:\"constraints\";a:4:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:12:\"MenuSettings\";a:0:{}s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:16:\"entity:node:blog\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:4:\"Blog\";s:11:\"constraints\";a:4:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:12:\"MenuSettings\";a:0:{}s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:23:\"entity:node:our_mission\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:11:\"Our mission\";s:11:\"constraints\";a:4:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:12:\"MenuSettings\";a:0:{}s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:24:\"entity:node:our_services\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:12:\"Our services\";s:11:\"constraints\";a:4:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:12:\"MenuSettings\";a:0:{}s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:16:\"entity:node:page\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:10:\"Basic page\";s:11:\"constraints\";a:4:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:12:\"MenuSettings\";a:0:{}s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:20:\"entity:node:partners\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:8:\"Partners\";s:11:\"constraints\";a:4:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:12:\"MenuSettings\";a:0:{}s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:21:\"entity:node:portfolio\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:9:\"Portfolio\";s:11:\"constraints\";a:4:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:12:\"MenuSettings\";a:0:{}s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:28:\"entity:node:simplenews_issue\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:16:\"Newsletter Issue\";s:11:\"constraints\";a:4:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:12:\"MenuSettings\";a:0:{}s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:18:\"entity:node:why_us\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:6:\"Why us\";s:11:\"constraints\";a:4:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:12:\"MenuSettings\";a:0:{}s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:16:\"entity:node_type\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Content type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:17:\"entity:path_alias\";a:12:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"URL alias\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:3:{s:15:\"UniquePathAlias\";a:0:{}s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:18:\"entity:rdf_mapping\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"RDF mapping\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:29:\"entity:responsive_image_style\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"Responsive image style\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:18:\"entity:search_page\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Search page\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:19:\"entity:shortcut_set\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Shortcut set\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:15:\"entity:shortcut\";a:12:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Shortcut link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:2:{s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:23:\"entity:shortcut:default\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:7:\"Default\";s:11:\"constraints\";a:2:{s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:28:\"entity:simplenews_newsletter\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Simplenews newsletter\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:28:\"entity:simplenews_subscriber\";a:12:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Simplenews subscriber\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:2:{s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:11:\"entity:menu\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Menu\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:13:\"entity:action\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Action\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:20:\"entity:taxonomy_term\";a:12:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Taxonomy term\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:4:{s:17:\"TaxonomyHierarchy\";a:0:{}s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:25:\"entity:taxonomy_term:tags\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";s:4:\"Tags\";s:11:\"constraints\";a:4:{s:17:\"TaxonomyHierarchy\";a:0:{}s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:26:\"entity:taxonomy_vocabulary\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Taxonomy vocabulary\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:11:\"entity:tour\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Tour\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:11:\"entity:user\";a:12:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"User\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:3:{s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:16:\"entity:user_role\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Role\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:24:\"entity:menu_link_content\";a:12:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Custom menu link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:4:{s:17:\"MenuTreeHierarchy\";a:0:{}s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:42:\"entity:menu_link_content:menu_link_content\";a:11:{s:5:\"class\";s:48:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityAdapter\";s:5:\"label\";r:846;s:11:\"constraints\";a:4:{s:17:\"MenuTreeHierarchy\";a:0:{}s:13:\"EntityChanged\";N;s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:23:\"entity:pathauto_pattern\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Pathauto pattern\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:11:\"entity:view\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"View\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:16:\"View entity type\";}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:18:\"entity:date_format\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Date format\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:23:\"entity:entity_form_mode\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Form mode\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:23:\"entity:entity_view_mode\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"View mode\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:26:\"entity:entity_view_display\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Entity view display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:26:\"entity:entity_form_display\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Entity form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:26:\"entity:base_field_override\";a:12:{s:5:\"class\";s:54:\"Drupal\\Core\\Entity\\Plugin\\DataType\\ConfigEntityAdapter\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Base field override\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:36:\"ContentTranslationSynchronizedFields\";N;}s:8:\"internal\";b:0;s:16:\"definition_class\";s:50:\"\\Drupal\\Core\\Entity\\TypedData\\EntityDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"entity\";s:11:\"description\";r:24;s:7:\"deriver\";s:57:\"\\Drupal\\Core\\Entity\\Plugin\\DataType\\Deriver\\EntityDeriver\";s:8:\"provider\";s:4:\"core\";}s:16:\"entity_reference\";a:8:{s:16:\"definition_class\";s:46:\"\\Drupal\\Core\\TypedData\\DataReferenceDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:16:\"entity_reference\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Entity reference\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:50:\"Drupal\\Core\\Entity\\Plugin\\DataType\\EntityReference\";s:8:\"provider\";s:4:\"core\";}s:18:\"field_item:comment\";a:15:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:7:\"comment\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Comments\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:75:\"This field manages configuration and presentation of comments on an entity.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"list_class\";s:36:\"\\Drupal\\comment\\CommentFieldItemList\";s:14:\"default_widget\";s:15:\"comment_default\";s:17:\"default_formatter\";s:15:\"comment_default\";s:11:\"cardinality\";i:1;s:5:\"class\";s:49:\"Drupal\\comment\\Plugin\\Field\\FieldType\\CommentItem\";s:8:\"provider\";s:7:\"comment\";s:13:\"column_groups\";a:0:{}}s:19:\"field_item:datetime\";a:15:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:8:\"datetime\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Date\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Create and store date values.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:16:\"datetime_default\";s:17:\"default_formatter\";s:16:\"datetime_default\";s:10:\"list_class\";s:61:\"\\Drupal\\datetime\\Plugin\\Field\\FieldType\\DateTimeFieldItemList\";s:11:\"constraints\";a:1:{s:14:\"DateTimeFormat\";a:0:{}}s:5:\"class\";s:51:\"Drupal\\datetime\\Plugin\\Field\\FieldType\\DateTimeItem\";s:8:\"provider\";s:8:\"datetime\";s:13:\"column_groups\";a:0:{}}s:15:\"field_item:file\";a:16:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Reference\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:4:\"file\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"File\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:55:\"This field stores the ID of a file as an integer value.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:12:\"file_generic\";s:17:\"default_formatter\";s:12:\"file_default\";s:10:\"list_class\";s:53:\"\\Drupal\\file\\Plugin\\Field\\FieldType\\FileFieldItemList\";s:11:\"constraints\";a:2:{s:15:\"ReferenceAccess\";a:0:{}s:14:\"FileValidation\";a:0:{}}s:5:\"class\";s:43:\"Drupal\\file\\Plugin\\Field\\FieldType\\FileItem\";s:8:\"provider\";s:4:\"file\";s:13:\"column_groups\";a:0:{}s:23:\"default_token_formatter\";s:14:\"file_url_plain\";}s:19:\"field_item:file_uri\";a:14:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:1;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:8:\"file_uri\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"File URI\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:77:\"An entity field containing a file URI, and a computed root-relative file URL.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"default_formatter\";s:8:\"file_uri\";s:14:\"default_widget\";s:3:\"uri\";s:5:\"class\";s:46:\"Drupal\\file\\Plugin\\Field\\FieldType\\FileUriItem\";s:8:\"provider\";s:4:\"file\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:16:\"field_item:image\";a:16:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Reference\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:5:\"image\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Image\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:62:\"This field stores the ID of an image file as an integer value.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:11:\"image_image\";s:17:\"default_formatter\";s:5:\"image\";s:13:\"column_groups\";a:3:{s:4:\"file\";a:3:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"File\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"columns\";a:3:{i:0;s:9:\"target_id\";i:1;s:5:\"width\";i:2;s:6:\"height\";}s:34:\"require_all_groups_for_translation\";b:1;}s:3:\"alt\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Alt\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;}s:5:\"title\";a:2:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Title\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;}}s:10:\"list_class\";s:53:\"\\Drupal\\file\\Plugin\\Field\\FieldType\\FileFieldItemList\";s:11:\"constraints\";a:2:{s:15:\"ReferenceAccess\";a:0:{}s:14:\"FileValidation\";a:0:{}}s:5:\"class\";s:45:\"Drupal\\image\\Plugin\\Field\\FieldType\\ImageItem\";s:8:\"provider\";s:5:\"image\";s:23:\"default_token_formatter\";s:14:\"file_url_plain\";}s:15:\"field_item:link\";a:15:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:4:\"link\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:100:\"Stores a URL string, optional varchar link text, and optional blob of attributes to assemble a link.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:12:\"link_default\";s:17:\"default_formatter\";s:4:\"link\";s:11:\"constraints\";a:4:{s:8:\"LinkType\";a:0:{}s:10:\"LinkAccess\";a:0:{}s:21:\"LinkExternalProtocols\";a:0:{}s:23:\"LinkNotExistingInternal\";a:0:{}}s:5:\"class\";s:43:\"Drupal\\link\\Plugin\\Field\\FieldType\\LinkItem\";s:8:\"provider\";s:4:\"link\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:22:\"field_item:list_string\";a:15:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Text\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:11:\"list_string\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"List (text)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:137:\"This field stores text values from a list of allowed \'value => label\' pairs, i.e. \'US States\': IL => Illinois, IA => Iowa, IN => Indiana.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:14:\"options_select\";s:17:\"default_formatter\";s:12:\"list_default\";s:5:\"class\";s:52:\"Drupal\\options\\Plugin\\Field\\FieldType\\ListStringItem\";s:8:\"provider\";s:7:\"options\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}s:23:\"default_token_formatter\";s:12:\"list_default\";}s:23:\"field_item:list_integer\";a:15:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Number\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:12:\"list_integer\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"List (integer)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:144:\"This field stores integer values from a list of allowed \'value => label\' pairs, i.e. \'Lifetime in days\': 1 => 1 day, 7 => 1 week, 31 => 1 month.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:14:\"options_select\";s:17:\"default_formatter\";s:12:\"list_default\";s:5:\"class\";s:53:\"Drupal\\options\\Plugin\\Field\\FieldType\\ListIntegerItem\";s:8:\"provider\";s:7:\"options\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}s:23:\"default_token_formatter\";s:12:\"list_default\";}s:21:\"field_item:list_float\";a:15:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Number\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:10:\"list_float\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"List (float)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:134:\"This field stores float values from a list of allowed \'value => label\' pairs, i.e. \'Fraction\': 0 => 0, .25 => 1/4, .75 => 3/4, 1 => 1.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:14:\"options_select\";s:17:\"default_formatter\";s:12:\"list_default\";s:5:\"class\";s:51:\"Drupal\\options\\Plugin\\Field\\FieldType\\ListFloatItem\";s:8:\"provider\";s:7:\"options\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}s:23:\"default_token_formatter\";s:12:\"list_default\";}s:15:\"field_item:path\";a:14:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:1;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:4:\"path\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Path\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:57:\"An entity field containing a path alias and related data.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:4:\"path\";s:10:\"list_class\";s:37:\"Drupal\\pathauto\\PathautoFieldItemList\";s:11:\"constraints\";a:1:{s:9:\"PathAlias\";a:0:{}}s:5:\"class\";s:28:\"Drupal\\pathauto\\PathautoItem\";s:8:\"provider\";s:4:\"path\";s:13:\"column_groups\";a:0:{}}s:27:\"field_item:simplenews_issue\";a:13:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:1;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:16:\"simplenews_issue\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Simplenews issue\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:55:\"An entity field containing an extended entityreference.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:14:\"options_select\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\Field\\EntityReferenceFieldItemList\";s:5:\"class\";s:50:\"Drupal\\simplenews\\Plugin\\Field\\FieldType\\IssueItem\";s:8:\"provider\";s:10:\"simplenews\";s:13:\"column_groups\";a:0:{}}s:34:\"field_item:simplenews_subscription\";a:13:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:1;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:23:\"simplenews_subscription\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"Simplenews subscription\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:55:\"An entity field containing an extended entityreference.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:30:\"simplenews_subscription_select\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\Field\\EntityReferenceFieldItemList\";s:5:\"class\";s:57:\"Drupal\\simplenews\\Plugin\\Field\\FieldType\\SubscriptionItem\";s:8:\"provider\";s:10:\"simplenews\";s:13:\"column_groups\";a:0:{}}s:28:\"field_item:text_with_summary\";a:15:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Text\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:17:\"text_with_summary\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:36:\"Text (formatted, long, with summary)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:66:\"This field stores long text with a format and an optional summary.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:26:\"text_textarea_with_summary\";s:17:\"default_formatter\";s:12:\"text_default\";s:5:\"class\";s:54:\"Drupal\\text\\Plugin\\Field\\FieldType\\TextWithSummaryItem\";s:8:\"provider\";s:4:\"text\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}s:23:\"default_token_formatter\";s:12:\"text_default\";}s:15:\"field_item:text\";a:15:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Text\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:4:\"text\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Text (formatted)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:44:\"This field stores a text with a text format.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:14:\"text_textfield\";s:17:\"default_formatter\";s:12:\"text_default\";s:5:\"class\";s:43:\"Drupal\\text\\Plugin\\Field\\FieldType\\TextItem\";s:8:\"provider\";s:4:\"text\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}s:23:\"default_token_formatter\";s:12:\"text_default\";}s:20:\"field_item:text_long\";a:15:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Text\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:9:\"text_long\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"Text (formatted, long)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:49:\"This field stores a long text with a text format.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:13:\"text_textarea\";s:17:\"default_formatter\";s:12:\"text_default\";s:5:\"class\";s:47:\"Drupal\\text\\Plugin\\Field\\FieldType\\TextLongItem\";s:8:\"provider\";s:4:\"text\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}s:23:\"default_token_formatter\";s:12:\"text_default\";}s:28:\"field_item:video_embed_field\";a:15:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Media\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:17:\"video_embed_field\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Video Embed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:48:\"Stores a video and then outputs some embed code.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:27:\"video_embed_field_textfield\";s:17:\"default_formatter\";s:23:\"video_embed_field_video\";s:11:\"constraints\";a:1:{s:20:\"VideoEmbedValidation\";a:0:{}}s:5:\"class\";s:63:\"Drupal\\video_embed_field\\Plugin\\Field\\FieldType\\VideoEmbedField\";s:8:\"provider\";s:17:\"video_embed_field\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:19:\"field_item:language\";a:15:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:1;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:8:\"language\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:39:\"An entity field referencing a language.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:15:\"language_select\";s:17:\"default_formatter\";s:8:\"language\";s:11:\"constraints\";a:1:{s:11:\"ComplexData\";a:1:{s:5:\"value\";a:1:{s:6:\"Length\";a:1:{s:3:\"max\";i:12;}}}}s:5:\"class\";s:35:\"Drupal\\language\\DefaultLanguageItem\";s:8:\"provider\";s:4:\"core\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:27:\"field_item:entity_reference\";a:14:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Reference\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:16:\"entity_reference\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Entity reference\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"An entity field containing an entity reference.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:29:\"entity_reference_autocomplete\";s:17:\"default_formatter\";s:22:\"entity_reference_label\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\Field\\EntityReferenceFieldItemList\";s:5:\"class\";s:60:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\EntityReferenceItem\";s:8:\"provider\";s:4:\"core\";s:13:\"column_groups\";a:0:{}}s:16:\"field_item:email\";a:14:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:5:\"email\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Email\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:42:\"An entity field containing an email value.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:13:\"email_default\";s:17:\"default_formatter\";s:12:\"basic_string\";s:5:\"class\";s:50:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\EmailItem\";s:8:\"provider\";s:4:\"core\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:15:\"field_item:uuid\";a:13:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:1;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:4:\"uuid\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:34:\"An entity field containing a UUID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"default_formatter\";s:6:\"string\";s:5:\"class\";s:49:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\UuidItem\";s:8:\"provider\";s:4:\"core\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:19:\"field_item:password\";a:12:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:1;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:8:\"password\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Password\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:44:\"An entity field containing a password value.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:53:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\PasswordItem\";s:8:\"provider\";s:4:\"core\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:18:\"field_item:integer\";a:14:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Number\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:7:\"integer\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Number (integer)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:57:\"This field stores a number in the database as an integer.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:6:\"number\";s:17:\"default_formatter\";s:14:\"number_integer\";s:5:\"class\";s:52:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\IntegerItem\";s:8:\"provider\";s:4:\"core\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:18:\"field_item:changed\";a:14:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:1;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:7:\"changed\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Last changed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:85:\"An entity field containing a UNIX timestamp of when the entity has been last updated.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:18:\"datetime_timestamp\";s:17:\"default_formatter\";s:9:\"timestamp\";s:10:\"list_class\";s:39:\"\\Drupal\\Core\\Field\\ChangedFieldItemList\";s:5:\"class\";s:52:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\ChangedItem\";s:8:\"provider\";s:4:\"core\";s:13:\"column_groups\";a:0:{}}s:20:\"field_item:timestamp\";a:15:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:9:\"timestamp\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Timestamp\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:50:\"An entity field containing a UNIX timestamp value.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:18:\"datetime_timestamp\";s:17:\"default_formatter\";s:9:\"timestamp\";s:11:\"constraints\";a:1:{s:11:\"ComplexData\";a:1:{s:5:\"value\";a:1:{s:5:\"Range\";a:2:{s:3:\"min\";s:11:\"-2147483648\";s:3:\"max\";s:10:\"2147483648\";}}}}s:5:\"class\";s:54:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\TimestampItem\";s:8:\"provider\";s:4:\"core\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:16:\"field_item:float\";a:14:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Number\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:5:\"float\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Number (float)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:70:\"This field stores a number in the database in a floating point format.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:6:\"number\";s:17:\"default_formatter\";s:14:\"number_decimal\";s:5:\"class\";s:50:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\FloatItem\";s:8:\"provider\";s:4:\"core\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:14:\"field_item:uri\";a:14:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:1;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:3:\"uri\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"URI\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"An entity field containing a URI.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"default_formatter\";s:8:\"uri_link\";s:14:\"default_widget\";s:3:\"uri\";s:5:\"class\";s:48:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\UriItem\";s:8:\"provider\";s:4:\"core\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:17:\"field_item:string\";a:14:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Text\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:6:\"string\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Text (plain)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:40:\"A field containing a plain string value.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:16:\"string_textfield\";s:17:\"default_formatter\";s:6:\"string\";s:5:\"class\";s:51:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\StringItem\";s:8:\"provider\";s:4:\"core\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:22:\"field_item:string_long\";a:14:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Text\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:11:\"string_long\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Text (plain, long)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:39:\"A field containing a long string value.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:15:\"string_textarea\";s:17:\"default_formatter\";s:12:\"basic_string\";s:5:\"class\";s:55:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\StringLongItem\";s:8:\"provider\";s:4:\"core\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:18:\"field_item:boolean\";a:14:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:7:\"boolean\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Boolean\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:43:\"An entity field containing a boolean value.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:16:\"boolean_checkbox\";s:17:\"default_formatter\";s:7:\"boolean\";s:5:\"class\";s:52:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\BooleanItem\";s:8:\"provider\";s:4:\"core\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:18:\"field_item:created\";a:14:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:1;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:7:\"created\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Created\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:80:\"An entity field containing a UNIX timestamp of when the entity has been created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:18:\"datetime_timestamp\";s:17:\"default_formatter\";s:9:\"timestamp\";s:5:\"class\";s:52:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\CreatedItem\";s:8:\"provider\";s:4:\"core\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:18:\"field_item:decimal\";a:14:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Number\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:0;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:7:\"decimal\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Number (decimal)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:69:\"This field stores a number in the database in a fixed decimal format.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"default_widget\";s:6:\"number\";s:17:\"default_formatter\";s:14:\"number_decimal\";s:5:\"class\";s:52:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\DecimalItem\";s:8:\"provider\";s:4:\"core\";s:10:\"list_class\";s:32:\"\\Drupal\\Core\\Field\\FieldItemList\";s:13:\"column_groups\";a:0:{}}s:14:\"field_item:map\";a:12:{s:8:\"category\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"General\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"no_ui\";b:1;s:16:\"definition_class\";s:52:\"\\Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\";s:21:\"list_definition_class\";s:38:\"\\Drupal\\Core\\Field\\BaseFieldDefinition\";s:35:\"unwrap_for_canonical_representation\";b:0;s:2:\"id\";s:3:\"map\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Map\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:57:\"An entity field for storing a serialized array of values.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:10:\"list_class\";s:35:\"\\Drupal\\Core\\Field\\MapFieldItemList\";s:5:\"class\";s:48:\"Drupal\\Core\\Field\\Plugin\\Field\\FieldType\\MapItem\";s:8:\"provider\";s:4:\"core\";s:13:\"column_groups\";a:0:{}}s:3:\"uri\";a:8:{s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:3:\"uri\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"URI\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:41:\"Drupal\\Core\\TypedData\\Plugin\\DataType\\Uri\";s:8:\"provider\";s:4:\"core\";}s:7:\"boolean\";a:8:{s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:7:\"boolean\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Boolean\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:49:\"Drupal\\Core\\TypedData\\Plugin\\DataType\\BooleanData\";s:8:\"provider\";s:4:\"core\";}s:4:\"list\";a:8:{s:16:\"definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:4:\"list\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"List of items\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:46:\"Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:8:\"provider\";s:4:\"core\";}s:3:\"any\";a:8:{s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:3:\"any\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Any data\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:41:\"Drupal\\Core\\TypedData\\Plugin\\DataType\\Any\";s:8:\"provider\";s:4:\"core\";}s:3:\"map\";a:8:{s:16:\"definition_class\";s:40:\"\\Drupal\\Core\\TypedData\\MapDataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:3:\"map\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Map\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:41:\"Drupal\\Core\\TypedData\\Plugin\\DataType\\Map\";s:8:\"provider\";s:4:\"core\";}s:8:\"timespan\";a:8:{s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:8:\"timespan\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Time span in seconds\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:46:\"Drupal\\Core\\TypedData\\Plugin\\DataType\\TimeSpan\";s:8:\"provider\";s:4:\"core\";}s:5:\"float\";a:8:{s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:5:\"float\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Float\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:47:\"Drupal\\Core\\TypedData\\Plugin\\DataType\\FloatData\";s:8:\"provider\";s:4:\"core\";}s:9:\"timestamp\";a:8:{s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:9:\"timestamp\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Timestamp\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:47:\"Drupal\\Core\\TypedData\\Plugin\\DataType\\Timestamp\";s:8:\"provider\";s:4:\"core\";}s:5:\"email\";a:9:{s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:5:\"email\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Email\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:5:\"Email\";a:0:{}}s:5:\"class\";s:43:\"Drupal\\Core\\TypedData\\Plugin\\DataType\\Email\";s:8:\"provider\";s:4:\"core\";}s:6:\"binary\";a:8:{s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"binary\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Binary\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:48:\"Drupal\\Core\\TypedData\\Plugin\\DataType\\BinaryData\";s:8:\"provider\";s:4:\"core\";}s:8:\"language\";a:9:{s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:8:\"language\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"A language object.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:46:\"Drupal\\Core\\TypedData\\Plugin\\DataType\\Language\";s:8:\"provider\";s:4:\"core\";}s:6:\"string\";a:8:{s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:6:\"string\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"String\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:48:\"Drupal\\Core\\TypedData\\Plugin\\DataType\\StringData\";s:8:\"provider\";s:4:\"core\";}s:16:\"datetime_iso8601\";a:8:{s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:16:\"datetime_iso8601\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Date\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:53:\"Drupal\\Core\\TypedData\\Plugin\\DataType\\DateTimeIso8601\";s:8:\"provider\";s:4:\"core\";}s:7:\"integer\";a:8:{s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:7:\"integer\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Integer\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:49:\"Drupal\\Core\\TypedData\\Plugin\\DataType\\IntegerData\";s:8:\"provider\";s:4:\"core\";}s:18:\"language_reference\";a:8:{s:16:\"definition_class\";s:46:\"\\Drupal\\Core\\TypedData\\DataReferenceDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:18:\"language_reference\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Language reference\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:55:\"Drupal\\Core\\TypedData\\Plugin\\DataType\\LanguageReference\";s:8:\"provider\";s:4:\"core\";}s:16:\"duration_iso8601\";a:8:{s:16:\"definition_class\";s:37:\"\\Drupal\\Core\\TypedData\\DataDefinition\";s:10:\"list_class\";s:47:\"\\Drupal\\Core\\TypedData\\Plugin\\DataType\\ItemList\";s:21:\"list_definition_class\";s:41:\"\\Drupal\\Core\\TypedData\\ListDataDefinition\";s:35:\"unwrap_for_canonical_representation\";b:1;s:2:\"id\";s:16:\"duration_iso8601\";s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Duration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:53:\"Drupal\\Core\\TypedData\\Plugin\\DataType\\DurationIso8601\";s:8:\"provider\";s:4:\"core\";}}',-1,1636011226.611,1,'','0'),('variant_plugins','a:2:{s:10:\"block_page\";a:4:{s:11:\"admin_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Page with blocks\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:10:\"block_page\";s:5:\"class\";s:51:\"Drupal\\block\\Plugin\\DisplayVariant\\BlockPageVariant\";s:8:\"provider\";s:5:\"block\";}s:11:\"simple_page\";a:4:{s:11:\"admin_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Simple page\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:11:\"simple_page\";s:5:\"class\";s:58:\"Drupal\\Core\\Render\\Plugin\\DisplayVariant\\SimplePageVariant\";s:8:\"provider\";s:4:\"core\";}}',-1,1636012247.996,1,'','0'),('views:access','a:3:{s:4:\"perm\";a:9:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:6:\"access\";s:14:\"register_theme\";b:1;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Permission\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"short_title\";s:0:\"\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:69:\"Access will be granted to users with the specified permission string.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:4:\"perm\";s:5:\"class\";s:42:\"Drupal\\user\\Plugin\\views\\access\\Permission\";s:8:\"provider\";s:4:\"user\";}s:4:\"role\";a:9:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:6:\"access\";s:14:\"register_theme\";b:1;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Role\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"short_title\";s:0:\"\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:64:\"Access will be granted to users with any of the specified roles.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:4:\"role\";s:5:\"class\";s:36:\"Drupal\\user\\Plugin\\views\\access\\Role\";s:8:\"provider\";s:4:\"user\";}s:4:\"none\";a:9:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:6:\"access\";s:14:\"register_theme\";b:1;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Unrestricted\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"short_title\";s:0:\"\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"Will be available to all users.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:4:\"none\";s:5:\"class\";s:37:\"Drupal\\views\\Plugin\\views\\access\\None\";s:8:\"provider\";s:5:\"views\";}}',-1,1636011226.266,1,'','0'),('views:area','a:12:{s:27:\"block_content_listing_empty\";a:4:{s:11:\"plugin_type\";s:4:\"area\";s:2:\"id\";s:27:\"block_content_listing_empty\";s:5:\"class\";s:51:\"Drupal\\block_content\\Plugin\\views\\area\\ListingEmpty\";s:8:\"provider\";s:13:\"block_content\";}s:18:\"node_listing_empty\";a:4:{s:11:\"plugin_type\";s:4:\"area\";s:2:\"id\";s:18:\"node_listing_empty\";s:5:\"class\";s:42:\"Drupal\\node\\Plugin\\views\\area\\ListingEmpty\";s:8:\"provider\";s:4:\"node\";}s:11:\"text_custom\";a:4:{s:11:\"plugin_type\";s:4:\"area\";s:2:\"id\";s:11:\"text_custom\";s:5:\"class\";s:41:\"Drupal\\views\\Plugin\\views\\area\\TextCustom\";s:8:\"provider\";s:5:\"views\";}s:6:\"result\";a:4:{s:11:\"plugin_type\";s:4:\"area\";s:2:\"id\";s:6:\"result\";s:5:\"class\";s:37:\"Drupal\\views\\Plugin\\views\\area\\Result\";s:8:\"provider\";s:5:\"views\";}s:6:\"broken\";a:4:{s:11:\"plugin_type\";s:4:\"area\";s:2:\"id\";s:6:\"broken\";s:5:\"class\";s:37:\"Drupal\\views\\Plugin\\views\\area\\Broken\";s:8:\"provider\";s:5:\"views\";}s:16:\"http_status_code\";a:4:{s:11:\"plugin_type\";s:4:\"area\";s:2:\"id\";s:16:\"http_status_code\";s:5:\"class\";s:45:\"Drupal\\views\\Plugin\\views\\area\\HTTPStatusCode\";s:8:\"provider\";s:5:\"views\";}s:4:\"view\";a:4:{s:11:\"plugin_type\";s:4:\"area\";s:2:\"id\";s:4:\"view\";s:5:\"class\";s:35:\"Drupal\\views\\Plugin\\views\\area\\View\";s:8:\"provider\";s:5:\"views\";}s:12:\"display_link\";a:4:{s:11:\"plugin_type\";s:4:\"area\";s:2:\"id\";s:12:\"display_link\";s:5:\"class\";s:42:\"Drupal\\views\\Plugin\\views\\area\\DisplayLink\";s:8:\"provider\";s:5:\"views\";}s:8:\"messages\";a:4:{s:11:\"plugin_type\";s:4:\"area\";s:2:\"id\";s:8:\"messages\";s:5:\"class\";s:39:\"Drupal\\views\\Plugin\\views\\area\\Messages\";s:8:\"provider\";s:5:\"views\";}s:6:\"entity\";a:4:{s:11:\"plugin_type\";s:4:\"area\";s:2:\"id\";s:6:\"entity\";s:5:\"class\";s:37:\"Drupal\\views\\Plugin\\views\\area\\Entity\";s:8:\"provider\";s:5:\"views\";}s:5:\"title\";a:4:{s:11:\"plugin_type\";s:4:\"area\";s:2:\"id\";s:5:\"title\";s:5:\"class\";s:36:\"Drupal\\views\\Plugin\\views\\area\\Title\";s:8:\"provider\";s:5:\"views\";}s:4:\"text\";a:4:{s:11:\"plugin_type\";s:4:\"area\";s:2:\"id\";s:4:\"text\";s:5:\"class\";s:35:\"Drupal\\views\\Plugin\\views\\area\\Text\";s:8:\"provider\";s:5:\"views\";}}',-1,1636012247.588,1,'','0'),('views:argument','a:39:{s:25:\"argument_comment_user_uid\";a:4:{s:11:\"plugin_type\";s:8:\"argument\";s:2:\"id\";s:25:\"argument_comment_user_uid\";s:5:\"class\";s:44:\"Drupal\\comment\\Plugin\\views\\argument\\UserUid\";s:8:\"provider\";s:7:\"comment\";}s:13:\"datetime_year\";a:4:{s:11:\"plugin_type\";s:8:\"argument\";s:2:\"id\";s:13:\"datetime_year\";s:5:\"class\";s:46:\"Drupal\\datetime\\Plugin\\views\\argument\\YearDate\";s:8:\"provider\";s:8:\"datetime\";}s:13:\"datetime_week\";a:4:{s:11:\"plugin_type\";s:8:\"argument\";s:2:\"id\";s:13:\"datetime_week\";s:5:\"class\";s:46:\"Drupal\\datetime\\Plugin\\views\\argument\\WeekDate\";s:8:\"provider\";s:8:\"datetime\";}s:14:\"datetime_month\";a:4:{s:11:\"plugin_type\";s:8:\"argument\";s:2:\"id\";s:14:\"datetime_month\";s:5:\"class\";s:47:\"Drupal\\datetime\\Plugin\\views\\argument\\MonthDate\";s:8:\"provider\";s:8:\"datetime\";}s:12:\"datetime_day\";a:4:{s:11:\"plugin_type\";s:8:\"argument\";s:2:\"id\";s:12:\"datetime_day\";s:5:\"class\";s:45:\"Drupal\\datetime\\Plugin\\views\\argument\\DayDate\";s:8:\"provider\";s:8:\"datetime\";}s:18:\"datetime_full_date\";a:4:{s:11:\"plugin_type\";s:8:\"argument\";s:2:\"id\";s:18:\"datetime_full_date\";s:5:\"class\";s:46:\"Drupal\\datetime\\Plugin\\views\\argument\\FullDate\";s:8:\"provider\";s:8:\"datetime\";}s:8:\"datetime\";a:4:{s:11:\"plugin_type\";s:8:\"argument\";s:2:\"id\";s:8:\"datetime\";s:5:\"class\";s:42:\"Drupal\\datetime\\Plugin\\views\\argument\\Date\";s:8:\"provider\";s:8:\"datetime\";}s:19:\"datetime_year_month\";a:4:{s:11:\"plugin_type\";s:8:\"argument\";s:2:\"id\";s:19:\"datetime_year_month\";s:5:\"class\";s:51:\"Drupal\\datetime\\Plugin\\views\\argument\\YearMonthDate\";s:8:\"provider\";s:8:\"datetime\";}s:8:\"file_fid\";a:4:{s:11:\"plugin_type\";s:8:\"argument\";s:2:\"id\";s:8:\"file_fid\";s:5:\"class\";s:37:\"Drupal\\file\\Plugin\\views\\argument\\Fid\";s:8:\"provider\";s:4:\"file\";}s:9:\"node_type\";a:4:{s:11:\"plugin_type\";s:8:\"argument\";s:2:\"id\";s:9:\"node_type\";s:5:\"class\";s:38:\"Drupal\\node\\Plugin\\views\\argument\\Type\";s:8:\"provider\";s:4:\"node\";}s:8:\"node_vid\";a:4:{s:11:\"plugin_type\";s:8:\"argument\";s:2:\"id\";s:8:\"node_vid\";s:5:\"class\";s:37:\"Drupal\\node\\Plugin\\views\\argument\\Vid\";s:8:\"provider\";s:4:\"node\";}s:17:\"node_uid_revision\";a:4:{s:11:\"plugin_type\";s:8:\"argument\";s:2:\"id\";s:17:\"node_uid_revision\";s:5:\"class\";s:45:\"Drupal\\node\\Plugin\\views\\argument\\UidRevision\";s:8:\"provider\";s:4:\"node\";}s:8:\"node_nid\";a:4:{s:11:\"plugin_type\";s:8:\"argument\";s:2:\"id\";s:8:\"node_nid\";s:5:\"class\";s:37:\"Drupal\\node\\Plugin\\views\\argument\\Nid\";s:8:\"provider\";s:4:\"node\";}s:17:\"number_list_field\";a:4:{s:11:\"plugin_type\";s:8:\"argument\";s:2:\"id\";s:17:\"number_list_field\";s:5:\"class\";s:52:\"Drupal\\options\\Plugin\\views\\argument\\NumberListField\";s:8:\"provider\";s:7:\"options\";}s:17:\"string_list_field\";a:4:{s:11:\"plugin_type\";s:8:\"argument\";s:2:\"id\";s:17:\"string_list_field\";s:5:\"class\";s:52:\"Drupal\\options\\Plugin\\views\\argument\\StringListField\";s:8:\"provider\";s:7:\"options\";}s:6:\"search\";a:4:{s:11:\"plugin_type\";s:8:\"argument\";s:2:\"id\";s:6:\"search\";s:5:\"class\";s:42:\"Drupal\\search\\Plugin\\views\\argument\\Search\";s:8:\"provider\";s:6:\"search\";}s:8:\"taxonomy\";a:4:{s:11:\"plugin_type\";s:8:\"argument\";s:2:\"id\";s:8:\"taxonomy\";s:5:\"class\";s:46:\"Drupal\\taxonomy\\Plugin\\views\\argument\\Taxonomy\";s:8:\"provider\";s:8:\"taxonomy\";}s:24:\"taxonomy_index_tid_depth\";a:4:{s:11:\"plugin_type\";s:8:\"argument\";s:2:\"id\";s:24:\"taxonomy_index_tid_depth\";s:5:\"class\";s:51:\"Drupal\\taxonomy\\Plugin\\views\\argument\\IndexTidDepth\";s:8:\"provider\";s:8:\"taxonomy\";}s:14:\"vocabulary_vid\";a:4:{s:11:\"plugin_type\";s:8:\"argument\";s:2:\"id\";s:14:\"vocabulary_vid\";s:5:\"class\";s:51:\"Drupal\\taxonomy\\Plugin\\views\\argument\\VocabularyVid\";s:8:\"provider\";s:8:\"taxonomy\";}s:18:\"taxonomy_index_tid\";a:4:{s:11:\"plugin_type\";s:8:\"argument\";s:2:\"id\";s:18:\"taxonomy_index_tid\";s:5:\"class\";s:46:\"Drupal\\taxonomy\\Plugin\\views\\argument\\IndexTid\";s:8:\"provider\";s:8:\"taxonomy\";}s:33:\"taxonomy_index_tid_depth_modifier\";a:4:{s:11:\"plugin_type\";s:8:\"argument\";s:2:\"id\";s:33:\"taxonomy_index_tid_depth_modifier\";s:5:\"class\";s:59:\"Drupal\\taxonomy\\Plugin\\views\\argument\\IndexTidDepthModifier\";s:8:\"provider\";s:8:\"taxonomy\";}s:8:\"user_uid\";a:4:{s:11:\"plugin_type\";s:8:\"argument\";s:2:\"id\";s:8:\"user_uid\";s:5:\"class\";s:37:\"Drupal\\user\\Plugin\\views\\argument\\Uid\";s:8:\"provider\";s:4:\"user\";}s:15:\"user__roles_rid\";a:4:{s:11:\"plugin_type\";s:8:\"argument\";s:2:\"id\";s:15:\"user__roles_rid\";s:5:\"class\";s:42:\"Drupal\\user\\Plugin\\views\\argument\\RolesRid\";s:8:\"provider\";s:4:\"user\";}s:7:\"numeric\";a:4:{s:11:\"plugin_type\";s:8:\"argument\";s:2:\"id\";s:7:\"numeric\";s:5:\"class\";s:50:\"Drupal\\views\\Plugin\\views\\argument\\NumericArgument\";s:8:\"provider\";s:5:\"views\";}s:9:\"date_year\";a:4:{s:11:\"plugin_type\";s:8:\"argument\";s:2:\"id\";s:9:\"date_year\";s:5:\"class\";s:43:\"Drupal\\views\\Plugin\\views\\argument\\YearDate\";s:8:\"provider\";s:5:\"views\";}s:8:\"language\";a:4:{s:11:\"plugin_type\";s:8:\"argument\";s:2:\"id\";s:8:\"language\";s:5:\"class\";s:51:\"Drupal\\views\\Plugin\\views\\argument\\LanguageArgument\";s:8:\"provider\";s:5:\"views\";}s:9:\"date_week\";a:4:{s:11:\"plugin_type\";s:8:\"argument\";s:2:\"id\";s:9:\"date_week\";s:5:\"class\";s:43:\"Drupal\\views\\Plugin\\views\\argument\\WeekDate\";s:8:\"provider\";s:5:\"views\";}s:6:\"broken\";a:4:{s:11:\"plugin_type\";s:8:\"argument\";s:2:\"id\";s:6:\"broken\";s:5:\"class\";s:41:\"Drupal\\views\\Plugin\\views\\argument\\Broken\";s:8:\"provider\";s:5:\"views\";}s:10:\"date_month\";a:4:{s:11:\"plugin_type\";s:8:\"argument\";s:2:\"id\";s:10:\"date_month\";s:5:\"class\";s:44:\"Drupal\\views\\Plugin\\views\\argument\\MonthDate\";s:8:\"provider\";s:5:\"views\";}s:11:\"many_to_one\";a:4:{s:11:\"plugin_type\";s:8:\"argument\";s:2:\"id\";s:11:\"many_to_one\";s:5:\"class\";s:44:\"Drupal\\views\\Plugin\\views\\argument\\ManyToOne\";s:8:\"provider\";s:5:\"views\";}s:8:\"date_day\";a:4:{s:11:\"plugin_type\";s:8:\"argument\";s:2:\"id\";s:8:\"date_day\";s:5:\"class\";s:42:\"Drupal\\views\\Plugin\\views\\argument\\DayDate\";s:8:\"provider\";s:5:\"views\";}s:6:\"string\";a:4:{s:11:\"plugin_type\";s:8:\"argument\";s:2:\"id\";s:6:\"string\";s:5:\"class\";s:49:\"Drupal\\views\\Plugin\\views\\argument\\StringArgument\";s:8:\"provider\";s:5:\"views\";}s:4:\"null\";a:4:{s:11:\"plugin_type\";s:8:\"argument\";s:2:\"id\";s:4:\"null\";s:5:\"class\";s:47:\"Drupal\\views\\Plugin\\views\\argument\\NullArgument\";s:8:\"provider\";s:5:\"views\";}s:13:\"date_fulldate\";a:4:{s:11:\"plugin_type\";s:8:\"argument\";s:2:\"id\";s:13:\"date_fulldate\";s:5:\"class\";s:43:\"Drupal\\views\\Plugin\\views\\argument\\FullDate\";s:8:\"provider\";s:5:\"views\";}s:7:\"formula\";a:4:{s:11:\"plugin_type\";s:8:\"argument\";s:2:\"id\";s:7:\"formula\";s:5:\"class\";s:42:\"Drupal\\views\\Plugin\\views\\argument\\Formula\";s:8:\"provider\";s:5:\"views\";}s:15:\"groupby_numeric\";a:4:{s:11:\"plugin_type\";s:8:\"argument\";s:2:\"id\";s:15:\"groupby_numeric\";s:5:\"class\";s:49:\"Drupal\\views\\Plugin\\views\\argument\\GroupByNumeric\";s:8:\"provider\";s:5:\"views\";}s:4:\"date\";a:4:{s:11:\"plugin_type\";s:8:\"argument\";s:2:\"id\";s:4:\"date\";s:5:\"class\";s:39:\"Drupal\\views\\Plugin\\views\\argument\\Date\";s:8:\"provider\";s:5:\"views\";}s:15:\"date_year_month\";a:4:{s:11:\"plugin_type\";s:8:\"argument\";s:2:\"id\";s:15:\"date_year_month\";s:5:\"class\";s:48:\"Drupal\\views\\Plugin\\views\\argument\\YearMonthDate\";s:8:\"provider\";s:5:\"views\";}s:8:\"standard\";a:4:{s:11:\"plugin_type\";s:8:\"argument\";s:2:\"id\";s:8:\"standard\";s:5:\"class\";s:43:\"Drupal\\views\\Plugin\\views\\argument\\Standard\";s:8:\"provider\";s:5:\"views\";}}',-1,1636012248.171,1,'','0'),('views:argument_validator','a:45:{s:18:\"taxonomy_term_name\";a:9:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:18:\"argument_validator\";s:14:\"register_theme\";b:1;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Taxonomy term name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"short_title\";s:0:\"\";s:2:\"id\";s:18:\"taxonomy_term_name\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:5:\"class\";s:56:\"Drupal\\taxonomy\\Plugin\\views\\argument_validator\\TermName\";s:8:\"provider\";s:8:\"taxonomy\";}s:9:\"user_name\";a:9:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:18:\"argument_validator\";s:14:\"register_theme\";b:1;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"User name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"short_title\";s:0:\"\";s:2:\"id\";s:9:\"user_name\";s:11:\"entity_type\";s:4:\"user\";s:5:\"class\";s:52:\"Drupal\\user\\Plugin\\views\\argument_validator\\UserName\";s:8:\"provider\";s:4:\"user\";}s:4:\"none\";a:8:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:18:\"argument_validator\";s:14:\"register_theme\";b:1;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\" - Basic validation - \";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"short_title\";s:0:\"\";s:2:\"id\";s:4:\"none\";s:5:\"class\";s:49:\"Drupal\\views\\Plugin\\views\\argument_validator\\None\";s:8:\"provider\";s:5:\"views\";}s:12:\"entity:block\";a:9:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:18:\"argument_validator\";s:14:\"register_theme\";b:1;s:2:\"id\";s:12:\"entity:block\";s:8:\"provider\";s:5:\"views\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Block\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Validate @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:46;}s:10:\"\0*\0options\";a:0:{}}s:11:\"entity_type\";s:5:\"block\";s:5:\"class\";s:51:\"Drupal\\views\\Plugin\\views\\argument_validator\\Entity\";}s:25:\"entity:block_content_type\";a:9:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:18:\"argument_validator\";s:14:\"register_theme\";b:1;s:2:\"id\";s:25:\"entity:block_content_type\";s:8:\"provider\";s:5:\"views\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Custom block type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Validate @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:63;}s:10:\"\0*\0options\";a:0:{}}s:11:\"entity_type\";s:18:\"block_content_type\";s:5:\"class\";s:51:\"Drupal\\views\\Plugin\\views\\argument_validator\\Entity\";}s:20:\"entity:block_content\";a:9:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:18:\"argument_validator\";s:14:\"register_theme\";b:1;s:2:\"id\";s:20:\"entity:block_content\";s:8:\"provider\";s:5:\"views\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Custom block\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Validate @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:80;}s:10:\"\0*\0options\";a:0:{}}s:11:\"entity_type\";s:13:\"block_content\";s:5:\"class\";s:51:\"Drupal\\views\\Plugin\\views\\argument_validator\\Entity\";}s:19:\"entity:comment_type\";a:9:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:18:\"argument_validator\";s:14:\"register_theme\";b:1;s:2:\"id\";s:19:\"entity:comment_type\";s:8:\"provider\";s:5:\"views\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Comment type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Validate @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:97;}s:10:\"\0*\0options\";a:0:{}}s:11:\"entity_type\";s:12:\"comment_type\";s:5:\"class\";s:51:\"Drupal\\views\\Plugin\\views\\argument_validator\\Entity\";}s:14:\"entity:comment\";a:9:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:18:\"argument_validator\";s:14:\"register_theme\";b:1;s:2:\"id\";s:14:\"entity:comment\";s:8:\"provider\";s:5:\"views\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Comment\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Validate @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:114;}s:10:\"\0*\0options\";a:0:{}}s:11:\"entity_type\";s:7:\"comment\";s:5:\"class\";s:51:\"Drupal\\views\\Plugin\\views\\argument_validator\\Entity\";}s:22:\"entity:contact_message\";a:9:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:18:\"argument_validator\";s:14:\"register_theme\";b:1;s:2:\"id\";s:22:\"entity:contact_message\";s:8:\"provider\";s:5:\"views\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Contact message\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Validate @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:131;}s:10:\"\0*\0options\";a:0:{}}s:11:\"entity_type\";s:15:\"contact_message\";s:5:\"class\";s:51:\"Drupal\\views\\Plugin\\views\\argument_validator\\Entity\";}s:19:\"entity:contact_form\";a:9:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:18:\"argument_validator\";s:14:\"register_theme\";b:1;s:2:\"id\";s:19:\"entity:contact_form\";s:8:\"provider\";s:5:\"views\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Contact form\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Validate @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:148;}s:10:\"\0*\0options\";a:0:{}}s:11:\"entity_type\";s:12:\"contact_form\";s:5:\"class\";s:51:\"Drupal\\views\\Plugin\\views\\argument_validator\\Entity\";}s:13:\"entity:editor\";a:9:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:18:\"argument_validator\";s:14:\"register_theme\";b:1;s:2:\"id\";s:13:\"entity:editor\";s:8:\"provider\";s:5:\"views\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Text Editor\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Validate @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:165;}s:10:\"\0*\0options\";a:0:{}}s:11:\"entity_type\";s:6:\"editor\";s:5:\"class\";s:51:\"Drupal\\views\\Plugin\\views\\argument_validator\\Entity\";}s:27:\"entity:field_storage_config\";a:9:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:18:\"argument_validator\";s:14:\"register_theme\";b:1;s:2:\"id\";s:27:\"entity:field_storage_config\";s:8:\"provider\";s:5:\"views\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Field storage\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Validate @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:182;}s:10:\"\0*\0options\";a:0:{}}s:11:\"entity_type\";s:20:\"field_storage_config\";s:5:\"class\";s:51:\"Drupal\\views\\Plugin\\views\\argument_validator\\Entity\";}s:19:\"entity:field_config\";a:9:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:18:\"argument_validator\";s:14:\"register_theme\";b:1;s:2:\"id\";s:19:\"entity:field_config\";s:8:\"provider\";s:5:\"views\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Field\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Validate @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:199;}s:10:\"\0*\0options\";a:0:{}}s:11:\"entity_type\";s:12:\"field_config\";s:5:\"class\";s:51:\"Drupal\\views\\Plugin\\views\\argument_validator\\Entity\";}s:11:\"entity:file\";a:9:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:18:\"argument_validator\";s:14:\"register_theme\";b:1;s:2:\"id\";s:11:\"entity:file\";s:8:\"provider\";s:5:\"views\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"File\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Validate @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:216;}s:10:\"\0*\0options\";a:0:{}}s:11:\"entity_type\";s:4:\"file\";s:5:\"class\";s:51:\"Drupal\\views\\Plugin\\views\\argument_validator\\Entity\";}s:20:\"entity:filter_format\";a:9:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:18:\"argument_validator\";s:14:\"register_theme\";b:1;s:2:\"id\";s:20:\"entity:filter_format\";s:8:\"provider\";s:5:\"views\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Text format\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Validate @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:233;}s:10:\"\0*\0options\";a:0:{}}s:11:\"entity_type\";s:13:\"filter_format\";s:5:\"class\";s:51:\"Drupal\\views\\Plugin\\views\\argument_validator\\Entity\";}s:18:\"entity:image_style\";a:9:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:18:\"argument_validator\";s:14:\"register_theme\";b:1;s:2:\"id\";s:18:\"entity:image_style\";s:8:\"provider\";s:5:\"views\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Image style\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Validate @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:250;}s:10:\"\0*\0options\";a:0:{}}s:11:\"entity_type\";s:11:\"image_style\";s:5:\"class\";s:51:\"Drupal\\views\\Plugin\\views\\argument_validator\\Entity\";}s:32:\"entity:language_content_settings\";a:9:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:18:\"argument_validator\";s:14:\"register_theme\";b:1;s:2:\"id\";s:32:\"entity:language_content_settings\";s:8:\"provider\";s:5:\"views\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"Content Language Settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Validate @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:267;}s:10:\"\0*\0options\";a:0:{}}s:11:\"entity_type\";s:25:\"language_content_settings\";s:5:\"class\";s:51:\"Drupal\\views\\Plugin\\views\\argument_validator\\Entity\";}s:28:\"entity:configurable_language\";a:9:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:18:\"argument_validator\";s:14:\"register_theme\";b:1;s:2:\"id\";s:28:\"entity:configurable_language\";s:8:\"provider\";s:5:\"views\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Validate @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:284;}s:10:\"\0*\0options\";a:0:{}}s:11:\"entity_type\";s:21:\"configurable_language\";s:5:\"class\";s:51:\"Drupal\\views\\Plugin\\views\\argument_validator\\Entity\";}s:11:\"entity:node\";a:9:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:18:\"argument_validator\";s:14:\"register_theme\";b:1;s:2:\"id\";s:11:\"entity:node\";s:8:\"provider\";s:5:\"views\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Validate @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:301;}s:10:\"\0*\0options\";a:0:{}}s:11:\"entity_type\";s:4:\"node\";s:5:\"class\";s:51:\"Drupal\\views\\Plugin\\views\\argument_validator\\Entity\";}s:16:\"entity:node_type\";a:9:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:18:\"argument_validator\";s:14:\"register_theme\";b:1;s:2:\"id\";s:16:\"entity:node_type\";s:8:\"provider\";s:5:\"views\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Content type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Validate @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:318;}s:10:\"\0*\0options\";a:0:{}}s:11:\"entity_type\";s:9:\"node_type\";s:5:\"class\";s:51:\"Drupal\\views\\Plugin\\views\\argument_validator\\Entity\";}s:17:\"entity:path_alias\";a:9:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:18:\"argument_validator\";s:14:\"register_theme\";b:1;s:2:\"id\";s:17:\"entity:path_alias\";s:8:\"provider\";s:5:\"views\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"URL alias\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Validate @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:335;}s:10:\"\0*\0options\";a:0:{}}s:11:\"entity_type\";s:10:\"path_alias\";s:5:\"class\";s:51:\"Drupal\\views\\Plugin\\views\\argument_validator\\Entity\";}s:18:\"entity:rdf_mapping\";a:9:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:18:\"argument_validator\";s:14:\"register_theme\";b:1;s:2:\"id\";s:18:\"entity:rdf_mapping\";s:8:\"provider\";s:5:\"views\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"RDF mapping\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Validate @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:352;}s:10:\"\0*\0options\";a:0:{}}s:11:\"entity_type\";s:11:\"rdf_mapping\";s:5:\"class\";s:51:\"Drupal\\views\\Plugin\\views\\argument_validator\\Entity\";}s:29:\"entity:responsive_image_style\";a:9:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:18:\"argument_validator\";s:14:\"register_theme\";b:1;s:2:\"id\";s:29:\"entity:responsive_image_style\";s:8:\"provider\";s:5:\"views\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"Responsive image style\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Validate @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:369;}s:10:\"\0*\0options\";a:0:{}}s:11:\"entity_type\";s:22:\"responsive_image_style\";s:5:\"class\";s:51:\"Drupal\\views\\Plugin\\views\\argument_validator\\Entity\";}s:18:\"entity:search_page\";a:9:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:18:\"argument_validator\";s:14:\"register_theme\";b:1;s:2:\"id\";s:18:\"entity:search_page\";s:8:\"provider\";s:5:\"views\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Search page\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Validate @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:386;}s:10:\"\0*\0options\";a:0:{}}s:11:\"entity_type\";s:11:\"search_page\";s:5:\"class\";s:51:\"Drupal\\views\\Plugin\\views\\argument_validator\\Entity\";}s:19:\"entity:shortcut_set\";a:9:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:18:\"argument_validator\";s:14:\"register_theme\";b:1;s:2:\"id\";s:19:\"entity:shortcut_set\";s:8:\"provider\";s:5:\"views\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Shortcut set\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Validate @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:403;}s:10:\"\0*\0options\";a:0:{}}s:11:\"entity_type\";s:12:\"shortcut_set\";s:5:\"class\";s:51:\"Drupal\\views\\Plugin\\views\\argument_validator\\Entity\";}s:15:\"entity:shortcut\";a:9:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:18:\"argument_validator\";s:14:\"register_theme\";b:1;s:2:\"id\";s:15:\"entity:shortcut\";s:8:\"provider\";s:5:\"views\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Shortcut link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Validate @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:420;}s:10:\"\0*\0options\";a:0:{}}s:11:\"entity_type\";s:8:\"shortcut\";s:5:\"class\";s:51:\"Drupal\\views\\Plugin\\views\\argument_validator\\Entity\";}s:28:\"entity:simplenews_newsletter\";a:9:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:18:\"argument_validator\";s:14:\"register_theme\";b:1;s:2:\"id\";s:28:\"entity:simplenews_newsletter\";s:8:\"provider\";s:5:\"views\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Simplenews newsletter\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Validate @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:437;}s:10:\"\0*\0options\";a:0:{}}s:11:\"entity_type\";s:21:\"simplenews_newsletter\";s:5:\"class\";s:51:\"Drupal\\views\\Plugin\\views\\argument_validator\\Entity\";}s:28:\"entity:simplenews_subscriber\";a:9:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:18:\"argument_validator\";s:14:\"register_theme\";b:1;s:2:\"id\";s:28:\"entity:simplenews_subscriber\";s:8:\"provider\";s:5:\"views\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Simplenews subscriber\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Validate @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:454;}s:10:\"\0*\0options\";a:0:{}}s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:5:\"class\";s:51:\"Drupal\\views\\Plugin\\views\\argument_validator\\Entity\";}s:11:\"entity:menu\";a:9:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:18:\"argument_validator\";s:14:\"register_theme\";b:1;s:2:\"id\";s:11:\"entity:menu\";s:8:\"provider\";s:5:\"views\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Menu\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Validate @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:471;}s:10:\"\0*\0options\";a:0:{}}s:11:\"entity_type\";s:4:\"menu\";s:5:\"class\";s:51:\"Drupal\\views\\Plugin\\views\\argument_validator\\Entity\";}s:13:\"entity:action\";a:9:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:18:\"argument_validator\";s:14:\"register_theme\";b:1;s:2:\"id\";s:13:\"entity:action\";s:8:\"provider\";s:5:\"views\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Action\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Validate @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:488;}s:10:\"\0*\0options\";a:0:{}}s:11:\"entity_type\";s:6:\"action\";s:5:\"class\";s:51:\"Drupal\\views\\Plugin\\views\\argument_validator\\Entity\";}s:20:\"entity:taxonomy_term\";a:9:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:18:\"argument_validator\";s:14:\"register_theme\";b:1;s:2:\"id\";s:20:\"entity:taxonomy_term\";s:8:\"provider\";s:8:\"taxonomy\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Taxonomy term ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Validate @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Taxonomy term\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:10:\"\0*\0options\";a:0:{}}s:11:\"entity_type\";s:13:\"taxonomy_term\";s:5:\"class\";s:52:\"Drupal\\taxonomy\\Plugin\\views\\argument_validator\\Term\";}s:26:\"entity:taxonomy_vocabulary\";a:9:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:18:\"argument_validator\";s:14:\"register_theme\";b:1;s:2:\"id\";s:26:\"entity:taxonomy_vocabulary\";s:8:\"provider\";s:5:\"views\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Taxonomy vocabulary\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Validate @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:525;}s:10:\"\0*\0options\";a:0:{}}s:11:\"entity_type\";s:19:\"taxonomy_vocabulary\";s:5:\"class\";s:51:\"Drupal\\views\\Plugin\\views\\argument_validator\\Entity\";}s:11:\"entity:tour\";a:9:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:18:\"argument_validator\";s:14:\"register_theme\";b:1;s:2:\"id\";s:11:\"entity:tour\";s:8:\"provider\";s:5:\"views\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Tour\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Validate @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:542;}s:10:\"\0*\0options\";a:0:{}}s:11:\"entity_type\";s:4:\"tour\";s:5:\"class\";s:51:\"Drupal\\views\\Plugin\\views\\argument_validator\\Entity\";}s:11:\"entity:user\";a:9:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:18:\"argument_validator\";s:14:\"register_theme\";b:1;s:2:\"id\";s:11:\"entity:user\";s:8:\"provider\";s:4:\"user\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"User ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Validate @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"User\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}s:10:\"\0*\0options\";a:0:{}}s:11:\"entity_type\";s:4:\"user\";s:5:\"class\";s:48:\"Drupal\\user\\Plugin\\views\\argument_validator\\User\";}s:16:\"entity:user_role\";a:9:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:18:\"argument_validator\";s:14:\"register_theme\";b:1;s:2:\"id\";s:16:\"entity:user_role\";s:8:\"provider\";s:5:\"views\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Role\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Validate @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:579;}s:10:\"\0*\0options\";a:0:{}}s:11:\"entity_type\";s:9:\"user_role\";s:5:\"class\";s:51:\"Drupal\\views\\Plugin\\views\\argument_validator\\Entity\";}s:24:\"entity:menu_link_content\";a:9:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:18:\"argument_validator\";s:14:\"register_theme\";b:1;s:2:\"id\";s:24:\"entity:menu_link_content\";s:8:\"provider\";s:5:\"views\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Custom menu link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Validate @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:596;}s:10:\"\0*\0options\";a:0:{}}s:11:\"entity_type\";s:17:\"menu_link_content\";s:5:\"class\";s:51:\"Drupal\\views\\Plugin\\views\\argument_validator\\Entity\";}s:23:\"entity:pathauto_pattern\";a:9:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:18:\"argument_validator\";s:14:\"register_theme\";b:1;s:2:\"id\";s:23:\"entity:pathauto_pattern\";s:8:\"provider\";s:5:\"views\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Pathauto pattern\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Validate @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:613;}s:10:\"\0*\0options\";a:0:{}}s:11:\"entity_type\";s:16:\"pathauto_pattern\";s:5:\"class\";s:51:\"Drupal\\views\\Plugin\\views\\argument_validator\\Entity\";}s:11:\"entity:view\";a:9:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:18:\"argument_validator\";s:14:\"register_theme\";b:1;s:2:\"id\";s:11:\"entity:view\";s:8:\"provider\";s:5:\"views\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"View\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:16:\"View entity type\";}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Validate @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:630;}s:10:\"\0*\0options\";a:0:{}}s:11:\"entity_type\";s:4:\"view\";s:5:\"class\";s:51:\"Drupal\\views\\Plugin\\views\\argument_validator\\Entity\";}s:18:\"entity:date_format\";a:9:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:18:\"argument_validator\";s:14:\"register_theme\";b:1;s:2:\"id\";s:18:\"entity:date_format\";s:8:\"provider\";s:5:\"views\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Date format\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Validate @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:648;}s:10:\"\0*\0options\";a:0:{}}s:11:\"entity_type\";s:11:\"date_format\";s:5:\"class\";s:51:\"Drupal\\views\\Plugin\\views\\argument_validator\\Entity\";}s:23:\"entity:entity_form_mode\";a:9:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:18:\"argument_validator\";s:14:\"register_theme\";b:1;s:2:\"id\";s:23:\"entity:entity_form_mode\";s:8:\"provider\";s:5:\"views\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Form mode\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Validate @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:665;}s:10:\"\0*\0options\";a:0:{}}s:11:\"entity_type\";s:16:\"entity_form_mode\";s:5:\"class\";s:51:\"Drupal\\views\\Plugin\\views\\argument_validator\\Entity\";}s:23:\"entity:entity_view_mode\";a:9:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:18:\"argument_validator\";s:14:\"register_theme\";b:1;s:2:\"id\";s:23:\"entity:entity_view_mode\";s:8:\"provider\";s:5:\"views\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"View mode\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Validate @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:682;}s:10:\"\0*\0options\";a:0:{}}s:11:\"entity_type\";s:16:\"entity_view_mode\";s:5:\"class\";s:51:\"Drupal\\views\\Plugin\\views\\argument_validator\\Entity\";}s:26:\"entity:entity_view_display\";a:9:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:18:\"argument_validator\";s:14:\"register_theme\";b:1;s:2:\"id\";s:26:\"entity:entity_view_display\";s:8:\"provider\";s:5:\"views\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Entity view display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Validate @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:699;}s:10:\"\0*\0options\";a:0:{}}s:11:\"entity_type\";s:19:\"entity_view_display\";s:5:\"class\";s:51:\"Drupal\\views\\Plugin\\views\\argument_validator\\Entity\";}s:26:\"entity:entity_form_display\";a:9:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:18:\"argument_validator\";s:14:\"register_theme\";b:1;s:2:\"id\";s:26:\"entity:entity_form_display\";s:8:\"provider\";s:5:\"views\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Entity form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Validate @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:716;}s:10:\"\0*\0options\";a:0:{}}s:11:\"entity_type\";s:19:\"entity_form_display\";s:5:\"class\";s:51:\"Drupal\\views\\Plugin\\views\\argument_validator\\Entity\";}s:26:\"entity:base_field_override\";a:9:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:18:\"argument_validator\";s:14:\"register_theme\";b:1;s:2:\"id\";s:26:\"entity:base_field_override\";s:8:\"provider\";s:5:\"views\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Base field override\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Validate @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:733;}s:10:\"\0*\0options\";a:0:{}}s:11:\"entity_type\";s:19:\"base_field_override\";s:5:\"class\";s:51:\"Drupal\\views\\Plugin\\views\\argument_validator\\Entity\";}s:7:\"numeric\";a:8:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:18:\"argument_validator\";s:14:\"register_theme\";b:1;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Numeric\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"short_title\";s:0:\"\";s:2:\"id\";s:7:\"numeric\";s:5:\"class\";s:69:\"Drupal\\views\\Plugin\\views\\argument_validator\\NumericArgumentValidator\";s:8:\"provider\";s:5:\"views\";}}',-1,1636012248.179,1,'','0'),('views:cache','a:3:{s:4:\"none\";a:9:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:5:\"cache\";s:14:\"register_theme\";b:1;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"None\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"short_title\";s:0:\"\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"No caching of Views data.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:4:\"none\";s:5:\"class\";s:36:\"Drupal\\views\\Plugin\\views\\cache\\None\";s:8:\"provider\";s:5:\"views\";}s:4:\"time\";a:9:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:5:\"cache\";s:14:\"register_theme\";b:1;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Time-based\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"short_title\";s:0:\"\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:34:\"Simple time-based caching of data.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:4:\"time\";s:5:\"class\";s:36:\"Drupal\\views\\Plugin\\views\\cache\\Time\";s:8:\"provider\";s:5:\"views\";}s:3:\"tag\";a:9:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:5:\"cache\";s:14:\"register_theme\";b:1;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Tag based\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"short_title\";s:0:\"\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:92:\"Tag based caching of data. Caches will persist until any related cache tags are invalidated.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:3:\"tag\";s:5:\"class\";s:35:\"Drupal\\views\\Plugin\\views\\cache\\Tag\";s:8:\"provider\";s:5:\"views\";}}',-1,1636012247.624,1,'','0'),('views:display','a:7:{s:5:\"embed\";a:13:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:7:\"display\";s:14:\"register_theme\";b:1;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Embed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"short_title\";s:0:\"\";s:5:\"admin\";s:0:\"\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:60:\"Provide a display which can be embedded using the views api.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:5:\"embed\";s:5:\"theme\";s:10:\"views_view\";s:15:\"uses_menu_links\";b:0;s:5:\"class\";s:39:\"Drupal\\views\\Plugin\\views\\display\\Embed\";s:8:\"provider\";s:5:\"views\";s:16:\"contextual links\";a:1:{s:21:\"entity.view.edit_form\";a:2:{s:10:\"route_name\";s:21:\"entity.view.edit_form\";s:22:\"route_parameters_names\";a:1:{s:4:\"view\";s:2:\"id\";}}}}s:4:\"page\";a:15:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:7:\"display\";s:14:\"register_theme\";b:1;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Page\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"short_title\";s:0:\"\";s:5:\"admin\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Page\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:54:\"Display the view as a page, with a URL and menu links.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:4:\"page\";s:15:\"uses_menu_links\";b:1;s:10:\"uses_route\";b:1;s:26:\"contextual_links_locations\";a:1:{i:0;s:4:\"page\";}s:5:\"theme\";s:10:\"views_view\";s:5:\"class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:8:\"provider\";s:5:\"views\";s:16:\"contextual links\";a:1:{s:21:\"entity.view.edit_form\";a:2:{s:10:\"route_name\";s:21:\"entity.view.edit_form\";s:22:\"route_parameters_names\";a:1:{s:4:\"view\";s:2:\"id\";}}}}s:5:\"block\";a:14:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:7:\"display\";s:14:\"register_theme\";b:0;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Block\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"short_title\";s:0:\"\";s:5:\"admin\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Block\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:28:\"Display the view as a block.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:5:\"block\";s:5:\"theme\";s:10:\"views_view\";s:15:\"uses_hook_block\";b:1;s:26:\"contextual_links_locations\";a:1:{i:0;s:5:\"block\";}s:5:\"class\";s:39:\"Drupal\\views\\Plugin\\views\\display\\Block\";s:8:\"provider\";s:5:\"views\";s:16:\"contextual links\";a:1:{s:21:\"entity.view.edit_form\";a:2:{s:10:\"route_name\";s:21:\"entity.view.edit_form\";s:22:\"route_parameters_names\";a:1:{s:4:\"view\";s:2:\"id\";}}}}s:7:\"default\";a:13:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:7:\"display\";s:14:\"register_theme\";b:1;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Master\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"short_title\";s:0:\"\";s:5:\"admin\";s:0:\"\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"Default settings for this view.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:7:\"default\";s:5:\"theme\";s:10:\"views_view\";s:5:\"no_ui\";b:1;s:5:\"class\";s:48:\"Drupal\\views\\Plugin\\views\\display\\DefaultDisplay\";s:8:\"provider\";s:5:\"views\";s:16:\"contextual links\";a:1:{s:21:\"entity.view.edit_form\";a:2:{s:10:\"route_name\";s:21:\"entity.view.edit_form\";s:22:\"route_parameters_names\";a:1:{s:4:\"view\";s:2:\"id\";}}}}s:4:\"feed\";a:13:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:7:\"display\";s:14:\"register_theme\";b:1;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Feed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"short_title\";s:0:\"\";s:5:\"admin\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Feed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:48:\"Display the view as a feed, such as an RSS feed.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:4:\"feed\";s:10:\"uses_route\";b:1;s:16:\"returns_response\";b:1;s:5:\"class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Feed\";s:8:\"provider\";s:5:\"views\";s:16:\"contextual links\";a:1:{s:21:\"entity.view.edit_form\";a:2:{s:10:\"route_name\";s:21:\"entity.view.edit_form\";s:22:\"route_parameters_names\";a:1:{s:4:\"view\";s:2:\"id\";}}}}s:16:\"entity_reference\";a:14:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:7:\"display\";s:14:\"register_theme\";b:0;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Entity Reference\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"short_title\";s:0:\"\";s:5:\"admin\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"Entity Reference Source\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:61:\"Selects referenceable entities for an entity reference field.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:16:\"entity_reference\";s:5:\"theme\";s:10:\"views_view\";s:15:\"uses_menu_links\";b:0;s:24:\"entity_reference_display\";b:1;s:5:\"class\";s:49:\"Drupal\\views\\Plugin\\views\\display\\EntityReference\";s:8:\"provider\";s:5:\"views\";s:16:\"contextual links\";a:1:{s:21:\"entity.view.edit_form\";a:2:{s:10:\"route_name\";s:21:\"entity.view.edit_form\";s:22:\"route_parameters_names\";a:1:{s:4:\"view\";s:2:\"id\";}}}}s:10:\"attachment\";a:13:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:7:\"display\";s:14:\"register_theme\";b:1;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Attachment\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"short_title\";s:0:\"\";s:5:\"admin\";s:0:\"\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:79:\"Attachments added to other displays to achieve multiple views in the same view.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:10:\"attachment\";s:5:\"theme\";s:10:\"views_view\";s:26:\"contextual_links_locations\";a:1:{i:0;s:0:\"\";}s:5:\"class\";s:44:\"Drupal\\views\\Plugin\\views\\display\\Attachment\";s:8:\"provider\";s:5:\"views\";s:16:\"contextual links\";a:1:{s:21:\"entity.view.edit_form\";a:2:{s:10:\"route_name\";s:21:\"entity.view.edit_form\";s:22:\"route_parameters_names\";a:1:{s:4:\"view\";s:2:\"id\";}}}}}',-1,1636011226.076,1,'','0'),('views:exposed_form','a:2:{s:5:\"basic\";a:9:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:12:\"exposed_form\";s:14:\"register_theme\";b:1;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Basic\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"short_title\";s:0:\"\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Basic exposed form\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:5:\"basic\";s:5:\"class\";s:44:\"Drupal\\views\\Plugin\\views\\exposed_form\\Basic\";s:8:\"provider\";s:5:\"views\";}s:14:\"input_required\";a:9:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:12:\"exposed_form\";s:14:\"register_theme\";b:1;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Input required\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"short_title\";s:0:\"\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:73:\"An exposed form that only renders a view if the form contains user input.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:14:\"input_required\";s:5:\"class\";s:52:\"Drupal\\views\\Plugin\\views\\exposed_form\\InputRequired\";s:8:\"provider\";s:5:\"views\";}}',-1,1636012247.676,1,'','0'),('views:field','a:58:{s:18:\"comment_link_reply\";a:4:{s:11:\"plugin_type\";s:5:\"field\";s:2:\"id\";s:18:\"comment_link_reply\";s:5:\"class\";s:43:\"Drupal\\comment\\Plugin\\views\\field\\LinkReply\";s:8:\"provider\";s:7:\"comment\";}s:19:\"comment_entity_link\";a:4:{s:11:\"plugin_type\";s:5:\"field\";s:2:\"id\";s:19:\"comment_entity_link\";s:5:\"class\";s:44:\"Drupal\\comment\\Plugin\\views\\field\\EntityLink\";s:8:\"provider\";s:7:\"comment\";}s:17:\"comment_bulk_form\";a:4:{s:11:\"plugin_type\";s:5:\"field\";s:2:\"id\";s:17:\"comment_bulk_form\";s:5:\"class\";s:49:\"Drupal\\comment\\Plugin\\views\\field\\CommentBulkForm\";s:8:\"provider\";s:7:\"comment\";}s:16:\"commented_entity\";a:4:{s:11:\"plugin_type\";s:5:\"field\";s:2:\"id\";s:16:\"commented_entity\";s:5:\"class\";s:49:\"Drupal\\comment\\Plugin\\views\\field\\CommentedEntity\";s:8:\"provider\";s:7:\"comment\";}s:24:\"comment_ces_last_updated\";a:4:{s:11:\"plugin_type\";s:5:\"field\";s:2:\"id\";s:24:\"comment_ces_last_updated\";s:5:\"class\";s:55:\"Drupal\\comment\\Plugin\\views\\field\\StatisticsLastUpdated\";s:8:\"provider\";s:7:\"comment\";}s:29:\"comment_ces_last_comment_name\";a:4:{s:11:\"plugin_type\";s:5:\"field\";s:2:\"id\";s:29:\"comment_ces_last_comment_name\";s:5:\"class\";s:59:\"Drupal\\comment\\Plugin\\views\\field\\StatisticsLastCommentName\";s:8:\"provider\";s:7:\"comment\";}s:20:\"comment_link_approve\";a:4:{s:11:\"plugin_type\";s:5:\"field\";s:2:\"id\";s:20:\"comment_link_approve\";s:5:\"class\";s:45:\"Drupal\\comment\\Plugin\\views\\field\\LinkApprove\";s:8:\"provider\";s:7:\"comment\";}s:17:\"node_new_comments\";a:4:{s:11:\"plugin_type\";s:5:\"field\";s:2:\"id\";s:17:\"node_new_comments\";s:5:\"class\";s:49:\"Drupal\\comment\\Plugin\\views\\field\\NodeNewComments\";s:8:\"provider\";s:7:\"comment\";}s:13:\"comment_depth\";a:4:{s:11:\"plugin_type\";s:5:\"field\";s:2:\"id\";s:13:\"comment_depth\";s:5:\"class\";s:39:\"Drupal\\comment\\Plugin\\views\\field\\Depth\";s:8:\"provider\";s:7:\"comment\";}s:22:\"comment_last_timestamp\";a:4:{s:11:\"plugin_type\";s:5:\"field\";s:2:\"id\";s:22:\"comment_last_timestamp\";s:5:\"class\";s:47:\"Drupal\\comment\\Plugin\\views\\field\\LastTimestamp\";s:8:\"provider\";s:7:\"comment\";}s:12:\"contact_link\";a:4:{s:11:\"plugin_type\";s:5:\"field\";s:2:\"id\";s:12:\"contact_link\";s:5:\"class\";s:45:\"Drupal\\contact\\Plugin\\views\\field\\ContactLink\";s:8:\"provider\";s:7:\"contact\";}s:24:\"content_translation_link\";a:4:{s:11:\"plugin_type\";s:5:\"field\";s:2:\"id\";s:24:\"content_translation_link\";s:5:\"class\";s:61:\"Drupal\\content_translation\\Plugin\\views\\field\\TranslationLink\";s:8:\"provider\";s:19:\"content_translation\";}s:16:\"contextual_links\";a:4:{s:11:\"plugin_type\";s:5:\"field\";s:2:\"id\";s:16:\"contextual_links\";s:5:\"class\";s:52:\"Drupal\\contextual\\Plugin\\views\\field\\ContextualLinks\";s:8:\"provider\";s:10:\"contextual\";}s:16:\"dblog_operations\";a:4:{s:11:\"plugin_type\";s:5:\"field\";s:2:\"id\";s:16:\"dblog_operations\";s:5:\"class\";s:47:\"Drupal\\dblog\\Plugin\\views\\field\\DblogOperations\";s:8:\"provider\";s:5:\"dblog\";}s:13:\"dblog_message\";a:4:{s:11:\"plugin_type\";s:5:\"field\";s:2:\"id\";s:13:\"dblog_message\";s:5:\"class\";s:44:\"Drupal\\dblog\\Plugin\\views\\field\\DblogMessage\";s:8:\"provider\";s:5:\"dblog\";}s:4:\"file\";a:4:{s:11:\"plugin_type\";s:5:\"field\";s:2:\"id\";s:4:\"file\";s:5:\"class\";s:35:\"Drupal\\file\\Plugin\\views\\field\\File\";s:8:\"provider\";s:4:\"file\";}s:22:\"history_user_timestamp\";a:4:{s:11:\"plugin_type\";s:5:\"field\";s:2:\"id\";s:22:\"history_user_timestamp\";s:5:\"class\";s:54:\"Drupal\\history\\Plugin\\views\\field\\HistoryUserTimestamp\";s:8:\"provider\";s:7:\"history\";}s:14:\"node_bulk_form\";a:4:{s:11:\"plugin_type\";s:5:\"field\";s:2:\"id\";s:14:\"node_bulk_form\";s:5:\"class\";s:43:\"Drupal\\node\\Plugin\\views\\field\\NodeBulkForm\";s:8:\"provider\";s:4:\"node\";}s:25:\"node_revision_link_delete\";a:4:{s:11:\"plugin_type\";s:5:\"field\";s:2:\"id\";s:25:\"node_revision_link_delete\";s:5:\"class\";s:49:\"Drupal\\node\\Plugin\\views\\field\\RevisionLinkDelete\";s:8:\"provider\";s:4:\"node\";}s:25:\"node_revision_link_revert\";a:4:{s:11:\"plugin_type\";s:5:\"field\";s:2:\"id\";s:25:\"node_revision_link_revert\";s:5:\"class\";s:49:\"Drupal\\node\\Plugin\\views\\field\\RevisionLinkRevert\";s:8:\"provider\";s:4:\"node\";}s:4:\"node\";a:4:{s:11:\"plugin_type\";s:5:\"field\";s:2:\"id\";s:4:\"node\";s:5:\"class\";s:35:\"Drupal\\node\\Plugin\\views\\field\\Node\";s:8:\"provider\";s:4:\"node\";}s:9:\"node_path\";a:4:{s:11:\"plugin_type\";s:5:\"field\";s:2:\"id\";s:9:\"node_path\";s:5:\"class\";s:35:\"Drupal\\node\\Plugin\\views\\field\\Path\";s:8:\"provider\";s:4:\"node\";}s:18:\"node_revision_link\";a:4:{s:11:\"plugin_type\";s:5:\"field\";s:2:\"id\";s:18:\"node_revision_link\";s:5:\"class\";s:43:\"Drupal\\node\\Plugin\\views\\field\\RevisionLink\";s:8:\"provider\";s:4:\"node\";}s:12:\"search_score\";a:4:{s:11:\"plugin_type\";s:5:\"field\";s:2:\"id\";s:12:\"search_score\";s:5:\"class\";s:38:\"Drupal\\search\\Plugin\\views\\field\\Score\";s:8:\"provider\";s:6:\"search\";}s:14:\"sharethis_node\";a:4:{s:11:\"plugin_type\";s:5:\"field\";s:2:\"id\";s:14:\"sharethis_node\";s:5:\"class\";s:49:\"Drupal\\sharethis\\Plugin\\views\\field\\SharethisNode\";s:8:\"provider\";s:9:\"sharethis\";}s:20:\"simplenews_user_name\";a:4:{s:11:\"plugin_type\";s:5:\"field\";s:2:\"id\";s:20:\"simplenews_user_name\";s:5:\"class\";s:45:\"Drupal\\simplenews\\Plugin\\views\\field\\UserName\";s:8:\"provider\";s:10:\"simplenews\";}s:15:\"subscriber_link\";a:4:{s:11:\"plugin_type\";s:5:\"field\";s:2:\"id\";s:15:\"subscriber_link\";s:5:\"class\";s:41:\"Drupal\\simplenews\\Plugin\\views\\field\\Link\";s:8:\"provider\";s:10:\"simplenews\";}s:22:\"simplenews_send_status\";a:4:{s:11:\"plugin_type\";s:5:\"field\";s:2:\"id\";s:22:\"simplenews_send_status\";s:5:\"class\";s:47:\"Drupal\\simplenews\\Plugin\\views\\field\\SendStatus\";s:8:\"provider\";s:10:\"simplenews\";}s:16:\"legacy_bulk_form\";a:4:{s:11:\"plugin_type\";s:5:\"field\";s:2:\"id\";s:16:\"legacy_bulk_form\";s:5:\"class\";s:41:\"Drupal\\system\\Plugin\\views\\field\\BulkForm\";s:8:\"provider\";s:6:\"system\";}s:9:\"term_name\";a:4:{s:11:\"plugin_type\";s:5:\"field\";s:2:\"id\";s:9:\"term_name\";s:5:\"class\";s:43:\"Drupal\\taxonomy\\Plugin\\views\\field\\TermName\";s:8:\"provider\";s:8:\"taxonomy\";}s:18:\"taxonomy_index_tid\";a:4:{s:11:\"plugin_type\";s:5:\"field\";s:2:\"id\";s:18:\"taxonomy_index_tid\";s:5:\"class\";s:51:\"Drupal\\taxonomy\\Plugin\\views\\field\\TaxonomyIndexTid\";s:8:\"provider\";s:8:\"taxonomy\";}s:16:\"user_permissions\";a:4:{s:11:\"plugin_type\";s:5:\"field\";s:2:\"id\";s:16:\"user_permissions\";s:5:\"class\";s:42:\"Drupal\\user\\Plugin\\views\\field\\Permissions\";s:8:\"provider\";s:4:\"user\";}s:10:\"user_roles\";a:4:{s:11:\"plugin_type\";s:5:\"field\";s:2:\"id\";s:10:\"user_roles\";s:5:\"class\";s:36:\"Drupal\\user\\Plugin\\views\\field\\Roles\";s:8:\"provider\";s:4:\"user\";}s:14:\"user_bulk_form\";a:4:{s:11:\"plugin_type\";s:5:\"field\";s:2:\"id\";s:14:\"user_bulk_form\";s:5:\"class\";s:43:\"Drupal\\user\\Plugin\\views\\field\\UserBulkForm\";s:8:\"provider\";s:4:\"user\";}s:9:\"user_data\";a:4:{s:11:\"plugin_type\";s:5:\"field\";s:2:\"id\";s:9:\"user_data\";s:5:\"class\";s:39:\"Drupal\\user\\Plugin\\views\\field\\UserData\";s:8:\"provider\";s:4:\"user\";}s:7:\"numeric\";a:4:{s:11:\"plugin_type\";s:5:\"field\";s:2:\"id\";s:7:\"numeric\";s:5:\"class\";s:44:\"Drupal\\views\\Plugin\\views\\field\\NumericField\";s:8:\"provider\";s:5:\"views\";}s:5:\"field\";a:4:{s:11:\"plugin_type\";s:5:\"field\";s:2:\"id\";s:5:\"field\";s:5:\"class\";s:43:\"Drupal\\views\\Plugin\\views\\field\\EntityField\";s:8:\"provider\";s:5:\"views\";}s:11:\"entity_link\";a:4:{s:11:\"plugin_type\";s:5:\"field\";s:2:\"id\";s:11:\"entity_link\";s:5:\"class\";s:42:\"Drupal\\views\\Plugin\\views\\field\\EntityLink\";s:8:\"provider\";s:5:\"views\";}s:10:\"dropbutton\";a:4:{s:11:\"plugin_type\";s:5:\"field\";s:2:\"id\";s:10:\"dropbutton\";s:5:\"class\";s:42:\"Drupal\\views\\Plugin\\views\\field\\Dropbutton\";s:8:\"provider\";s:5:\"views\";}s:12:\"entity_label\";a:4:{s:11:\"plugin_type\";s:5:\"field\";s:2:\"id\";s:12:\"entity_label\";s:5:\"class\";s:43:\"Drupal\\views\\Plugin\\views\\field\\EntityLabel\";s:8:\"provider\";s:5:\"views\";}s:7:\"boolean\";a:4:{s:11:\"plugin_type\";s:5:\"field\";s:2:\"id\";s:7:\"boolean\";s:5:\"class\";s:39:\"Drupal\\views\\Plugin\\views\\field\\Boolean\";s:8:\"provider\";s:5:\"views\";}s:3:\"url\";a:4:{s:11:\"plugin_type\";s:5:\"field\";s:2:\"id\";s:3:\"url\";s:5:\"class\";s:35:\"Drupal\\views\\Plugin\\views\\field\\Url\";s:8:\"provider\";s:5:\"views\";}s:17:\"entity_operations\";a:4:{s:11:\"plugin_type\";s:5:\"field\";s:2:\"id\";s:17:\"entity_operations\";s:5:\"class\";s:48:\"Drupal\\views\\Plugin\\views\\field\\EntityOperations\";s:8:\"provider\";s:5:\"views\";}s:12:\"machine_name\";a:4:{s:11:\"plugin_type\";s:5:\"field\";s:2:\"id\";s:12:\"machine_name\";s:5:\"class\";s:43:\"Drupal\\views\\Plugin\\views\\field\\MachineName\";s:8:\"provider\";s:5:\"views\";}s:15:\"rendered_entity\";a:4:{s:11:\"plugin_type\";s:5:\"field\";s:2:\"id\";s:15:\"rendered_entity\";s:5:\"class\";s:46:\"Drupal\\views\\Plugin\\views\\field\\RenderedEntity\";s:8:\"provider\";s:5:\"views\";}s:10:\"serialized\";a:4:{s:11:\"plugin_type\";s:5:\"field\";s:2:\"id\";s:10:\"serialized\";s:5:\"class\";s:42:\"Drupal\\views\\Plugin\\views\\field\\Serialized\";s:8:\"provider\";s:5:\"views\";}s:6:\"broken\";a:4:{s:11:\"plugin_type\";s:5:\"field\";s:2:\"id\";s:6:\"broken\";s:5:\"class\";s:38:\"Drupal\\views\\Plugin\\views\\field\\Broken\";s:8:\"provider\";s:5:\"views\";}s:6:\"markup\";a:4:{s:11:\"plugin_type\";s:5:\"field\";s:2:\"id\";s:6:\"markup\";s:5:\"class\";s:38:\"Drupal\\views\\Plugin\\views\\field\\Markup\";s:8:\"provider\";s:5:\"views\";}s:18:\"entity_link_delete\";a:4:{s:11:\"plugin_type\";s:5:\"field\";s:2:\"id\";s:18:\"entity_link_delete\";s:5:\"class\";s:48:\"Drupal\\views\\Plugin\\views\\field\\EntityLinkDelete\";s:8:\"provider\";s:5:\"views\";}s:16:\"entity_link_edit\";a:4:{s:11:\"plugin_type\";s:5:\"field\";s:2:\"id\";s:16:\"entity_link_edit\";s:5:\"class\";s:46:\"Drupal\\views\\Plugin\\views\\field\\EntityLinkEdit\";s:8:\"provider\";s:5:\"views\";}s:9:\"bulk_form\";a:4:{s:11:\"plugin_type\";s:5:\"field\";s:2:\"id\";s:9:\"bulk_form\";s:5:\"class\";s:40:\"Drupal\\views\\Plugin\\views\\field\\BulkForm\";s:8:\"provider\";s:5:\"views\";}s:4:\"date\";a:4:{s:11:\"plugin_type\";s:5:\"field\";s:2:\"id\";s:4:\"date\";s:5:\"class\";s:36:\"Drupal\\views\\Plugin\\views\\field\\Date\";s:8:\"provider\";s:5:\"views\";}s:7:\"counter\";a:4:{s:11:\"plugin_type\";s:5:\"field\";s:2:\"id\";s:7:\"counter\";s:5:\"class\";s:39:\"Drupal\\views\\Plugin\\views\\field\\Counter\";s:8:\"provider\";s:5:\"views\";}s:6:\"custom\";a:4:{s:11:\"plugin_type\";s:5:\"field\";s:2:\"id\";s:6:\"custom\";s:5:\"class\";s:38:\"Drupal\\views\\Plugin\\views\\field\\Custom\";s:8:\"provider\";s:5:\"views\";}s:9:\"file_size\";a:4:{s:11:\"plugin_type\";s:5:\"field\";s:2:\"id\";s:9:\"file_size\";s:5:\"class\";s:40:\"Drupal\\views\\Plugin\\views\\field\\FileSize\";s:8:\"provider\";s:5:\"views\";}s:13:\"time_interval\";a:4:{s:11:\"plugin_type\";s:5:\"field\";s:2:\"id\";s:13:\"time_interval\";s:5:\"class\";s:44:\"Drupal\\views\\Plugin\\views\\field\\TimeInterval\";s:8:\"provider\";s:5:\"views\";}s:8:\"language\";a:4:{s:11:\"plugin_type\";s:5:\"field\";s:2:\"id\";s:8:\"language\";s:5:\"class\";s:45:\"Drupal\\views\\Plugin\\views\\field\\LanguageField\";s:8:\"provider\";s:5:\"views\";}s:8:\"standard\";a:4:{s:11:\"plugin_type\";s:5:\"field\";s:2:\"id\";s:8:\"standard\";s:5:\"class\";s:40:\"Drupal\\views\\Plugin\\views\\field\\Standard\";s:8:\"provider\";s:5:\"views\";}}',-1,1636012247.512,1,'','0'),('views:filter','a:34:{s:16:\"comment_user_uid\";a:4:{s:11:\"plugin_type\";s:6:\"filter\";s:2:\"id\";s:16:\"comment_user_uid\";s:5:\"class\";s:42:\"Drupal\\comment\\Plugin\\views\\filter\\UserUid\";s:8:\"provider\";s:7:\"comment\";}s:24:\"comment_ces_last_updated\";a:4:{s:11:\"plugin_type\";s:6:\"filter\";s:2:\"id\";s:24:\"comment_ces_last_updated\";s:5:\"class\";s:56:\"Drupal\\comment\\Plugin\\views\\filter\\StatisticsLastUpdated\";s:8:\"provider\";s:7:\"comment\";}s:12:\"node_comment\";a:4:{s:11:\"plugin_type\";s:6:\"filter\";s:2:\"id\";s:12:\"node_comment\";s:5:\"class\";s:46:\"Drupal\\comment\\Plugin\\views\\filter\\NodeComment\";s:8:\"provider\";s:7:\"comment\";}s:8:\"datetime\";a:4:{s:11:\"plugin_type\";s:6:\"filter\";s:2:\"id\";s:8:\"datetime\";s:5:\"class\";s:40:\"Drupal\\datetime\\Plugin\\views\\filter\\Date\";s:8:\"provider\";s:8:\"datetime\";}s:11:\"dblog_types\";a:4:{s:11:\"plugin_type\";s:6:\"filter\";s:2:\"id\";s:11:\"dblog_types\";s:5:\"class\";s:43:\"Drupal\\dblog\\Plugin\\views\\filter\\DblogTypes\";s:8:\"provider\";s:5:\"dblog\";}s:11:\"file_status\";a:4:{s:11:\"plugin_type\";s:6:\"filter\";s:2:\"id\";s:11:\"file_status\";s:5:\"class\";s:38:\"Drupal\\file\\Plugin\\views\\filter\\Status\";s:8:\"provider\";s:4:\"file\";}s:22:\"history_user_timestamp\";a:4:{s:11:\"plugin_type\";s:6:\"filter\";s:2:\"id\";s:22:\"history_user_timestamp\";s:5:\"class\";s:55:\"Drupal\\history\\Plugin\\views\\filter\\HistoryUserTimestamp\";s:8:\"provider\";s:7:\"history\";}s:11:\"node_status\";a:4:{s:11:\"plugin_type\";s:6:\"filter\";s:2:\"id\";s:11:\"node_status\";s:5:\"class\";s:38:\"Drupal\\node\\Plugin\\views\\filter\\Status\";s:8:\"provider\";s:4:\"node\";}s:11:\"node_access\";a:4:{s:11:\"plugin_type\";s:6:\"filter\";s:2:\"id\";s:11:\"node_access\";s:5:\"class\";s:38:\"Drupal\\node\\Plugin\\views\\filter\\Access\";s:8:\"provider\";s:4:\"node\";}s:17:\"node_uid_revision\";a:4:{s:11:\"plugin_type\";s:6:\"filter\";s:2:\"id\";s:17:\"node_uid_revision\";s:5:\"class\";s:43:\"Drupal\\node\\Plugin\\views\\filter\\UidRevision\";s:8:\"provider\";s:4:\"node\";}s:10:\"list_field\";a:4:{s:11:\"plugin_type\";s:6:\"filter\";s:2:\"id\";s:10:\"list_field\";s:5:\"class\";s:44:\"Drupal\\options\\Plugin\\views\\filter\\ListField\";s:8:\"provider\";s:7:\"options\";}s:15:\"search_keywords\";a:4:{s:11:\"plugin_type\";s:6:\"filter\";s:2:\"id\";s:15:\"search_keywords\";s:5:\"class\";s:40:\"Drupal\\search\\Plugin\\views\\filter\\Search\";s:8:\"provider\";s:6:\"search\";}s:18:\"taxonomy_index_tid\";a:4:{s:11:\"plugin_type\";s:6:\"filter\";s:2:\"id\";s:18:\"taxonomy_index_tid\";s:5:\"class\";s:52:\"Drupal\\taxonomy\\Plugin\\views\\filter\\TaxonomyIndexTid\";s:8:\"provider\";s:8:\"taxonomy\";}s:24:\"taxonomy_index_tid_depth\";a:4:{s:11:\"plugin_type\";s:6:\"filter\";s:2:\"id\";s:24:\"taxonomy_index_tid_depth\";s:5:\"class\";s:57:\"Drupal\\taxonomy\\Plugin\\views\\filter\\TaxonomyIndexTidDepth\";s:8:\"provider\";s:8:\"taxonomy\";}s:16:\"user_permissions\";a:4:{s:11:\"plugin_type\";s:6:\"filter\";s:2:\"id\";s:16:\"user_permissions\";s:5:\"class\";s:43:\"Drupal\\user\\Plugin\\views\\filter\\Permissions\";s:8:\"provider\";s:4:\"user\";}s:9:\"user_name\";a:4:{s:11:\"plugin_type\";s:6:\"filter\";s:2:\"id\";s:9:\"user_name\";s:5:\"class\";s:36:\"Drupal\\user\\Plugin\\views\\filter\\Name\";s:8:\"provider\";s:4:\"user\";}s:10:\"user_roles\";a:4:{s:11:\"plugin_type\";s:6:\"filter\";s:2:\"id\";s:10:\"user_roles\";s:5:\"class\";s:37:\"Drupal\\user\\Plugin\\views\\filter\\Roles\";s:8:\"provider\";s:4:\"user\";}s:12:\"user_current\";a:4:{s:11:\"plugin_type\";s:6:\"filter\";s:2:\"id\";s:12:\"user_current\";s:5:\"class\";s:39:\"Drupal\\user\\Plugin\\views\\filter\\Current\";s:8:\"provider\";s:4:\"user\";}s:6:\"string\";a:4:{s:11:\"plugin_type\";s:6:\"filter\";s:2:\"id\";s:6:\"string\";s:5:\"class\";s:45:\"Drupal\\views\\Plugin\\views\\filter\\StringFilter\";s:8:\"provider\";s:5:\"views\";}s:8:\"equality\";a:4:{s:11:\"plugin_type\";s:6:\"filter\";s:2:\"id\";s:8:\"equality\";s:5:\"class\";s:41:\"Drupal\\views\\Plugin\\views\\filter\\Equality\";s:8:\"provider\";s:5:\"views\";}s:7:\"combine\";a:4:{s:11:\"plugin_type\";s:6:\"filter\";s:2:\"id\";s:7:\"combine\";s:5:\"class\";s:40:\"Drupal\\views\\Plugin\\views\\filter\\Combine\";s:8:\"provider\";s:5:\"views\";}s:6:\"bundle\";a:4:{s:11:\"plugin_type\";s:6:\"filter\";s:2:\"id\";s:6:\"bundle\";s:5:\"class\";s:39:\"Drupal\\views\\Plugin\\views\\filter\\Bundle\";s:8:\"provider\";s:5:\"views\";}s:15:\"latest_revision\";a:4:{s:11:\"plugin_type\";s:6:\"filter\";s:2:\"id\";s:15:\"latest_revision\";s:5:\"class\";s:47:\"Drupal\\views\\Plugin\\views\\filter\\LatestRevision\";s:8:\"provider\";s:5:\"views\";}s:6:\"broken\";a:4:{s:11:\"plugin_type\";s:6:\"filter\";s:2:\"id\";s:6:\"broken\";s:5:\"class\";s:39:\"Drupal\\views\\Plugin\\views\\filter\\Broken\";s:8:\"provider\";s:5:\"views\";}s:36:\"latest_translation_affected_revision\";a:4:{s:11:\"plugin_type\";s:6:\"filter\";s:2:\"id\";s:36:\"latest_translation_affected_revision\";s:5:\"class\";s:66:\"Drupal\\views\\Plugin\\views\\filter\\LatestTranslationAffectedRevision\";s:8:\"provider\";s:5:\"views\";}s:11:\"many_to_one\";a:4:{s:11:\"plugin_type\";s:6:\"filter\";s:2:\"id\";s:11:\"many_to_one\";s:5:\"class\";s:42:\"Drupal\\views\\Plugin\\views\\filter\\ManyToOne\";s:8:\"provider\";s:5:\"views\";}s:7:\"boolean\";a:4:{s:11:\"plugin_type\";s:6:\"filter\";s:2:\"id\";s:7:\"boolean\";s:5:\"class\";s:48:\"Drupal\\views\\Plugin\\views\\filter\\BooleanOperator\";s:8:\"provider\";s:5:\"views\";}s:7:\"numeric\";a:4:{s:11:\"plugin_type\";s:6:\"filter\";s:2:\"id\";s:7:\"numeric\";s:5:\"class\";s:46:\"Drupal\\views\\Plugin\\views\\filter\\NumericFilter\";s:8:\"provider\";s:5:\"views\";}s:15:\"groupby_numeric\";a:4:{s:11:\"plugin_type\";s:6:\"filter\";s:2:\"id\";s:15:\"groupby_numeric\";s:5:\"class\";s:47:\"Drupal\\views\\Plugin\\views\\filter\\GroupByNumeric\";s:8:\"provider\";s:5:\"views\";}s:4:\"date\";a:4:{s:11:\"plugin_type\";s:6:\"filter\";s:2:\"id\";s:4:\"date\";s:5:\"class\";s:37:\"Drupal\\views\\Plugin\\views\\filter\\Date\";s:8:\"provider\";s:5:\"views\";}s:14:\"boolean_string\";a:4:{s:11:\"plugin_type\";s:6:\"filter\";s:2:\"id\";s:14:\"boolean_string\";s:5:\"class\";s:54:\"Drupal\\views\\Plugin\\views\\filter\\BooleanOperatorString\";s:8:\"provider\";s:5:\"views\";}s:8:\"language\";a:4:{s:11:\"plugin_type\";s:6:\"filter\";s:2:\"id\";s:8:\"language\";s:5:\"class\";s:47:\"Drupal\\views\\Plugin\\views\\filter\\LanguageFilter\";s:8:\"provider\";s:5:\"views\";}s:11:\"in_operator\";a:4:{s:11:\"plugin_type\";s:6:\"filter\";s:2:\"id\";s:11:\"in_operator\";s:5:\"class\";s:43:\"Drupal\\views\\Plugin\\views\\filter\\InOperator\";s:8:\"provider\";s:5:\"views\";}s:8:\"standard\";a:4:{s:11:\"plugin_type\";s:6:\"filter\";s:2:\"id\";s:8:\"standard\";s:5:\"class\";s:41:\"Drupal\\views\\Plugin\\views\\filter\\Standard\";s:8:\"provider\";s:5:\"views\";}}',-1,1636012247.579,1,'','0'),('views:join','a:3:{s:22:\"field_or_language_join\";a:4:{s:11:\"plugin_type\";s:4:\"join\";s:2:\"id\";s:22:\"field_or_language_join\";s:5:\"class\";s:50:\"Drupal\\views\\Plugin\\views\\join\\FieldOrLanguageJoin\";s:8:\"provider\";s:5:\"views\";}s:8:\"subquery\";a:4:{s:11:\"plugin_type\";s:4:\"join\";s:2:\"id\";s:8:\"subquery\";s:5:\"class\";s:39:\"Drupal\\views\\Plugin\\views\\join\\Subquery\";s:8:\"provider\";s:5:\"views\";}s:8:\"standard\";a:4:{s:11:\"plugin_type\";s:4:\"join\";s:2:\"id\";s:8:\"standard\";s:5:\"class\";s:39:\"Drupal\\views\\Plugin\\views\\join\\Standard\";s:8:\"provider\";s:5:\"views\";}}',-1,1636012249.742,1,'','0'),('views:pager','a:4:{s:4:\"none\";a:10:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:5:\"pager\";s:14:\"register_theme\";b:1;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Display all items\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"short_title\";s:0:\"\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:44:\"Display all items that this view might find.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:4:\"none\";s:13:\"display_types\";a:1:{i:0;s:5:\"basic\";}s:5:\"class\";s:36:\"Drupal\\views\\Plugin\\views\\pager\\None\";s:8:\"provider\";s:5:\"views\";}s:4:\"mini\";a:10:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:5:\"pager\";s:14:\"register_theme\";b:1;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Paged output, mini pager\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"short_title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Mini\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:50:\"A simple pager containing previous and next links.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:4:\"mini\";s:5:\"theme\";s:16:\"views_mini_pager\";s:5:\"class\";s:36:\"Drupal\\views\\Plugin\\views\\pager\\Mini\";s:8:\"provider\";s:5:\"views\";}s:4:\"full\";a:10:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:5:\"pager\";s:14:\"register_theme\";b:0;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Paged output, full pager\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"short_title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Full\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"Paged output, full Drupal style\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:4:\"full\";s:5:\"theme\";s:5:\"pager\";s:5:\"class\";s:36:\"Drupal\\views\\Plugin\\views\\pager\\Full\";s:8:\"provider\";s:5:\"views\";}s:4:\"some\";a:10:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:5:\"pager\";s:14:\"register_theme\";b:1;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"Display a specified number of items\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"short_title\";s:0:\"\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:57:\"Display a limited number items that this view might find.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:4:\"some\";s:13:\"display_types\";a:1:{i:0;s:5:\"basic\";}s:5:\"class\";s:36:\"Drupal\\views\\Plugin\\views\\pager\\Some\";s:8:\"provider\";s:5:\"views\";}}',-1,1636012247.595,1,'','0'),('views:query','a:1:{s:11:\"views_query\";a:9:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:5:\"query\";s:14:\"register_theme\";b:1;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"SQL Query\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"short_title\";s:0:\"\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:62:\"Query will be generated and run using the Drupal database API.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:11:\"views_query\";s:5:\"class\";s:35:\"Drupal\\views\\Plugin\\views\\query\\Sql\";s:8:\"provider\";s:5:\"views\";}}',-1,1636012247.601,1,'','0'),('views:row','a:14:{s:11:\"comment_rss\";a:12:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:3:\"row\";s:14:\"register_theme\";b:0;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Comment\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"short_title\";s:0:\"\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:27:\"Display the comment as RSS.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:11:\"comment_rss\";s:5:\"theme\";s:18:\"views_view_row_rss\";s:4:\"base\";a:1:{i:0;s:18:\"comment_field_data\";}s:13:\"display_types\";a:1:{i:0;s:4:\"feed\";}s:5:\"class\";s:35:\"Drupal\\comment\\Plugin\\views\\row\\Rss\";s:8:\"provider\";s:7:\"comment\";}s:8:\"node_rss\";a:12:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:3:\"row\";s:14:\"register_theme\";b:0;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"short_title\";s:0:\"\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:44:\"Display the content with standard node view.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:8:\"node_rss\";s:5:\"theme\";s:18:\"views_view_row_rss\";s:4:\"base\";a:1:{i:0;s:15:\"node_field_data\";}s:13:\"display_types\";a:1:{i:0;s:4:\"feed\";}s:5:\"class\";s:32:\"Drupal\\node\\Plugin\\views\\row\\Rss\";s:8:\"provider\";s:4:\"node\";}s:11:\"entity:node\";a:12:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:3:\"row\";s:14:\"register_theme\";b:1;s:2:\"id\";s:11:\"entity:node\";s:5:\"class\";s:36:\"Drupal\\node\\Plugin\\views\\row\\NodeRow\";s:8:\"provider\";s:4:\"node\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Display the @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:51;}s:10:\"\0*\0options\";a:0:{}}s:4:\"base\";a:1:{i:0;s:15:\"node_field_data\";}s:11:\"entity_type\";s:4:\"node\";s:13:\"display_types\";a:1:{i:0;s:6:\"normal\";}s:11:\"short_title\";s:0:\"\";}s:11:\"search_view\";a:9:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:3:\"row\";s:14:\"register_theme\";b:1;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Search results\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"short_title\";s:0:\"\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:48:\"Provides a row plugin to display search results.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:11:\"search_view\";s:5:\"class\";s:40:\"Drupal\\search\\Plugin\\views\\row\\SearchRow\";s:8:\"provider\";s:6:\"search\";}s:11:\"entity:user\";a:12:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:3:\"row\";s:14:\"register_theme\";b:1;s:2:\"id\";s:11:\"entity:user\";s:5:\"class\";s:36:\"Drupal\\user\\Plugin\\views\\row\\UserRow\";s:8:\"provider\";s:4:\"user\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"User\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Display the @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:89;}s:10:\"\0*\0options\";a:0:{}}s:4:\"base\";a:1:{i:0;s:16:\"users_field_data\";}s:11:\"entity_type\";s:4:\"user\";s:13:\"display_types\";a:1:{i:0;s:6:\"normal\";}s:11:\"short_title\";s:0:\"\";}s:6:\"fields\";a:11:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:3:\"row\";s:14:\"register_theme\";b:1;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"short_title\";s:0:\"\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Displays the fields with an optional template.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:6:\"fields\";s:5:\"theme\";s:17:\"views_view_fields\";s:13:\"display_types\";a:1:{i:0;s:6:\"normal\";}s:5:\"class\";s:36:\"Drupal\\views\\Plugin\\views\\row\\Fields\";s:8:\"provider\";s:5:\"views\";}s:10:\"rss_fields\";a:11:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:3:\"row\";s:14:\"register_theme\";b:1;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"short_title\";s:0:\"\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:28:\"Display fields as RSS items.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:10:\"rss_fields\";s:5:\"theme\";s:18:\"views_view_row_rss\";s:13:\"display_types\";a:1:{i:0;s:4:\"feed\";}s:5:\"class\";s:39:\"Drupal\\views\\Plugin\\views\\row\\RssFields\";s:8:\"provider\";s:5:\"views\";}s:16:\"entity_reference\";a:11:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:3:\"row\";s:14:\"register_theme\";b:0;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:30:\"Entity Reference inline fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"short_title\";s:0:\"\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Displays the fields with an optional template.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:16:\"entity_reference\";s:5:\"theme\";s:17:\"views_view_fields\";s:13:\"display_types\";a:1:{i:0;s:16:\"entity_reference\";}s:5:\"class\";s:45:\"Drupal\\views\\Plugin\\views\\row\\EntityReference\";s:8:\"provider\";s:5:\"views\";}s:20:\"entity:block_content\";a:11:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:3:\"row\";s:14:\"register_theme\";b:1;s:2:\"id\";s:20:\"entity:block_content\";s:8:\"provider\";s:5:\"views\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Custom block\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Display the @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:167;}s:10:\"\0*\0options\";a:0:{}}s:4:\"base\";a:1:{i:0;s:24:\"block_content_field_data\";}s:11:\"entity_type\";s:13:\"block_content\";s:13:\"display_types\";a:1:{i:0;s:6:\"normal\";}s:5:\"class\";s:39:\"Drupal\\views\\Plugin\\views\\row\\EntityRow\";}s:14:\"entity:comment\";a:11:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:3:\"row\";s:14:\"register_theme\";b:1;s:2:\"id\";s:14:\"entity:comment\";s:8:\"provider\";s:5:\"views\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Comment\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Display the @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:188;}s:10:\"\0*\0options\";a:0:{}}s:4:\"base\";a:1:{i:0;s:18:\"comment_field_data\";}s:11:\"entity_type\";s:7:\"comment\";s:13:\"display_types\";a:1:{i:0;s:6:\"normal\";}s:5:\"class\";s:39:\"Drupal\\views\\Plugin\\views\\row\\EntityRow\";}s:11:\"entity:file\";a:11:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:3:\"row\";s:14:\"register_theme\";b:1;s:2:\"id\";s:11:\"entity:file\";s:8:\"provider\";s:5:\"views\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"File\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Display the @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:209;}s:10:\"\0*\0options\";a:0:{}}s:4:\"base\";a:1:{i:0;s:12:\"file_managed\";}s:11:\"entity_type\";s:4:\"file\";s:13:\"display_types\";a:1:{i:0;s:6:\"normal\";}s:5:\"class\";s:39:\"Drupal\\views\\Plugin\\views\\row\\EntityRow\";}s:28:\"entity:simplenews_subscriber\";a:11:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:3:\"row\";s:14:\"register_theme\";b:1;s:2:\"id\";s:28:\"entity:simplenews_subscriber\";s:8:\"provider\";s:5:\"views\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Simplenews subscriber\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Display the @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:230;}s:10:\"\0*\0options\";a:0:{}}s:4:\"base\";a:1:{i:0;s:21:\"simplenews_subscriber\";}s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:13:\"display_types\";a:1:{i:0;s:6:\"normal\";}s:5:\"class\";s:39:\"Drupal\\views\\Plugin\\views\\row\\EntityRow\";}s:20:\"entity:taxonomy_term\";a:11:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:3:\"row\";s:14:\"register_theme\";b:1;s:2:\"id\";s:20:\"entity:taxonomy_term\";s:8:\"provider\";s:5:\"views\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Taxonomy term\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Display the @label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";r:251;}s:10:\"\0*\0options\";a:0:{}}s:4:\"base\";a:1:{i:0;s:24:\"taxonomy_term_field_data\";}s:11:\"entity_type\";s:13:\"taxonomy_term\";s:13:\"display_types\";a:1:{i:0;s:6:\"normal\";}s:5:\"class\";s:39:\"Drupal\\views\\Plugin\\views\\row\\EntityRow\";}s:11:\"opml_fields\";a:11:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:3:\"row\";s:14:\"register_theme\";b:1;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"OPML fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"short_title\";s:0:\"\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Display fields as OPML items.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:11:\"opml_fields\";s:5:\"theme\";s:19:\"views_view_row_opml\";s:13:\"display_types\";a:1:{i:0;s:4:\"feed\";}s:5:\"class\";s:40:\"Drupal\\views\\Plugin\\views\\row\\OpmlFields\";s:8:\"provider\";s:5:\"views\";}}',-1,1636011227.600,1,'','0'),('views:sort','a:10:{s:14:\"comment_thread\";a:4:{s:11:\"plugin_type\";s:4:\"sort\";s:2:\"id\";s:14:\"comment_thread\";s:5:\"class\";s:39:\"Drupal\\comment\\Plugin\\views\\sort\\Thread\";s:8:\"provider\";s:7:\"comment\";}s:24:\"comment_ces_last_updated\";a:4:{s:11:\"plugin_type\";s:4:\"sort\";s:2:\"id\";s:24:\"comment_ces_last_updated\";s:5:\"class\";s:54:\"Drupal\\comment\\Plugin\\views\\sort\\StatisticsLastUpdated\";s:8:\"provider\";s:7:\"comment\";}s:29:\"comment_ces_last_comment_name\";a:4:{s:11:\"plugin_type\";s:4:\"sort\";s:2:\"id\";s:29:\"comment_ces_last_comment_name\";s:5:\"class\";s:58:\"Drupal\\comment\\Plugin\\views\\sort\\StatisticsLastCommentName\";s:8:\"provider\";s:7:\"comment\";}s:8:\"datetime\";a:4:{s:11:\"plugin_type\";s:4:\"sort\";s:2:\"id\";s:8:\"datetime\";s:5:\"class\";s:38:\"Drupal\\datetime\\Plugin\\views\\sort\\Date\";s:8:\"provider\";s:8:\"datetime\";}s:12:\"search_score\";a:4:{s:11:\"plugin_type\";s:4:\"sort\";s:2:\"id\";s:12:\"search_score\";s:5:\"class\";s:37:\"Drupal\\search\\Plugin\\views\\sort\\Score\";s:8:\"provider\";s:6:\"search\";}s:6:\"broken\";a:4:{s:11:\"plugin_type\";s:4:\"sort\";s:2:\"id\";s:6:\"broken\";s:5:\"class\";s:37:\"Drupal\\views\\Plugin\\views\\sort\\Broken\";s:8:\"provider\";s:5:\"views\";}s:6:\"random\";a:4:{s:11:\"plugin_type\";s:4:\"sort\";s:2:\"id\";s:6:\"random\";s:5:\"class\";s:37:\"Drupal\\views\\Plugin\\views\\sort\\Random\";s:8:\"provider\";s:5:\"views\";}s:15:\"groupby_numeric\";a:4:{s:11:\"plugin_type\";s:4:\"sort\";s:2:\"id\";s:15:\"groupby_numeric\";s:5:\"class\";s:45:\"Drupal\\views\\Plugin\\views\\sort\\GroupByNumeric\";s:8:\"provider\";s:5:\"views\";}s:4:\"date\";a:4:{s:11:\"plugin_type\";s:4:\"sort\";s:2:\"id\";s:4:\"date\";s:5:\"class\";s:35:\"Drupal\\views\\Plugin\\views\\sort\\Date\";s:8:\"provider\";s:5:\"views\";}s:8:\"standard\";a:4:{s:11:\"plugin_type\";s:4:\"sort\";s:2:\"id\";s:8:\"standard\";s:5:\"class\";s:39:\"Drupal\\views\\Plugin\\views\\sort\\Standard\";s:8:\"provider\";s:5:\"views\";}}',-1,1636012247.556,1,'','0'),('views:style','a:9:{s:3:\"rss\";a:11:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:5:\"style\";s:14:\"register_theme\";b:1;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"RSS Feed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"short_title\";s:0:\"\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:34:\"Generates an RSS feed from a view.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:3:\"rss\";s:5:\"theme\";s:14:\"views_view_rss\";s:13:\"display_types\";a:1:{i:0;s:4:\"feed\";}s:5:\"class\";s:35:\"Drupal\\views\\Plugin\\views\\style\\Rss\";s:8:\"provider\";s:5:\"views\";}s:4:\"grid\";a:11:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:5:\"style\";s:14:\"register_theme\";b:1;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Grid\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"short_title\";s:0:\"\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Displays rows in a grid.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:4:\"grid\";s:5:\"theme\";s:15:\"views_view_grid\";s:13:\"display_types\";a:1:{i:0;s:6:\"normal\";}s:5:\"class\";s:36:\"Drupal\\views\\Plugin\\views\\style\\Grid\";s:8:\"provider\";s:5:\"views\";}s:5:\"table\";a:11:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:5:\"style\";s:14:\"register_theme\";b:1;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Table\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"short_title\";s:0:\"\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"Displays rows in a table.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:5:\"table\";s:5:\"theme\";s:16:\"views_view_table\";s:13:\"display_types\";a:1:{i:0;s:6:\"normal\";}s:5:\"class\";s:37:\"Drupal\\views\\Plugin\\views\\style\\Table\";s:8:\"provider\";s:5:\"views\";}s:4:\"opml\";a:11:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:5:\"style\";s:14:\"register_theme\";b:1;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"OPML Feed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"short_title\";s:0:\"\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"Generates an OPML feed from a view.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:4:\"opml\";s:5:\"theme\";s:15:\"views_view_opml\";s:13:\"display_types\";a:1:{i:0;s:4:\"feed\";}s:5:\"class\";s:36:\"Drupal\\views\\Plugin\\views\\style\\Opml\";s:8:\"provider\";s:5:\"views\";}s:7:\"default\";a:11:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:5:\"style\";s:14:\"register_theme\";b:1;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Unformatted list\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"short_title\";s:0:\"\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:32:\"Displays rows one after another.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:7:\"default\";s:5:\"theme\";s:22:\"views_view_unformatted\";s:13:\"display_types\";a:1:{i:0;s:6:\"normal\";}s:5:\"class\";s:44:\"Drupal\\views\\Plugin\\views\\style\\DefaultStyle\";s:8:\"provider\";s:5:\"views\";}s:16:\"entity_reference\";a:11:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:5:\"style\";s:14:\"register_theme\";b:0;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Entity Reference list\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"short_title\";s:0:\"\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:59:\"Returns results as a PHP array of labels and rendered rows.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:16:\"entity_reference\";s:5:\"theme\";s:22:\"views_view_unformatted\";s:13:\"display_types\";a:1:{i:0;s:16:\"entity_reference\";}s:5:\"class\";s:47:\"Drupal\\views\\Plugin\\views\\style\\EntityReference\";s:8:\"provider\";s:5:\"views\";}s:15:\"default_summary\";a:11:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:5:\"style\";s:14:\"register_theme\";b:1;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"List\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"short_title\";s:0:\"\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:39:\"Displays the default summary as a list.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:15:\"default_summary\";s:5:\"theme\";s:18:\"views_view_summary\";s:13:\"display_types\";a:1:{i:0;s:7:\"summary\";}s:5:\"class\";s:46:\"Drupal\\views\\Plugin\\views\\style\\DefaultSummary\";s:8:\"provider\";s:5:\"views\";}s:9:\"html_list\";a:11:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:5:\"style\";s:14:\"register_theme\";b:1;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"HTML List\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"short_title\";s:0:\"\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:27:\"Displays rows as HTML list.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:9:\"html_list\";s:5:\"theme\";s:15:\"views_view_list\";s:13:\"display_types\";a:1:{i:0;s:6:\"normal\";}s:5:\"class\";s:40:\"Drupal\\views\\Plugin\\views\\style\\HtmlList\";s:8:\"provider\";s:5:\"views\";}s:19:\"unformatted_summary\";a:11:{s:6:\"parent\";s:6:\"parent\";s:11:\"plugin_type\";s:5:\"style\";s:14:\"register_theme\";b:1;s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Unformatted\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"short_title\";s:0:\"\";s:4:\"help\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:78:\"Displays the summary unformatted, with option for one after another or inline.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:2:\"id\";s:19:\"unformatted_summary\";s:5:\"theme\";s:30:\"views_view_summary_unformatted\";s:13:\"display_types\";a:1:{i:0;s:7:\"summary\";}s:5:\"class\";s:50:\"Drupal\\views\\Plugin\\views\\style\\UnformattedSummary\";s:8:\"provider\";s:5:\"views\";}}',-1,1636011226.257,1,'','0');
/*!40000 ALTER TABLE `cache_discovery` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_dynamic_page_cache`
--

DROP TABLE IF EXISTS `cache_dynamic_page_cache`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_dynamic_page_cache` (
  `cid` varchar(255) CHARACTER SET ascii COLLATE ascii_bin NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob DEFAULT NULL COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT 0 COMMENT 'A Unix timestamp indicating when the cache entry should expire, or -1 for never.',
  `created` decimal(14,3) NOT NULL DEFAULT 0.000 COMMENT 'A timestamp with millisecond precision indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT 0 COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  `tags` longtext DEFAULT NULL COMMENT 'Space-separated list of cache tags for this entry.',
  `checksum` varchar(255) CHARACTER SET ascii NOT NULL COMMENT 'The tag invalidation checksum when this entry was saved.',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`),
  KEY `created` (`created`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Storage for the cache API.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_dynamic_page_cache`
--

LOCK TABLES `cache_dynamic_page_cache` WRITE;
/*!40000 ALTER TABLE `cache_dynamic_page_cache` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `cache_dynamic_page_cache` VALUES ('response:[languages:language_content]=en:[languages:language_interface]=en:[request_format]=html:[route]=system.40335786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=luxestate:[timezone]=EurIsCOZZrrI1lCFLc_M1N5rdscTzCndrfIPKDD4TF7R4M','a:5:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";s:0:\"\";s:6:\"#cache\";a:3:{s:8:\"contexts\";a:15:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:14:\"request_format\";i:3;s:5:\"route\";i:4;s:32:\"route.menu_active_trails:account\";i:5;s:29:\"route.menu_active_trails:main\";i:6;s:30:\"route.menu_active_trails:quick\";i:7;s:5:\"theme\";i:8;s:8:\"timezone\";i:9;s:8:\"url.path\";i:10;s:30:\"url.query_args:_wrapper_format\";i:11;s:21:\"user.node_grants:view\";i:12;s:16:\"user.permissions\";i:13;s:10:\"user.roles\";i:14;s:24:\"user.roles:authenticated\";}s:4:\"tags\";a:92:{i:0;s:15:\"block_content:2\";i:1;s:15:\"block_content:4\";i:2;s:15:\"block_content:6\";i:3;s:18:\"block_content_view\";i:4;s:10:\"block_view\";i:5;s:23:\"config:block.block.blog\";i:6;s:30:\"config:block.block.breadcrumbs\";i:7;s:28:\"config:block.block.contactus\";i:8;s:37:\"config:block.block.copyrightbyweebpal\";i:9;s:41:\"config:block.block.luxestate_account_menu\";i:10;s:37:\"config:block.block.luxestate_branding\";i:11;s:40:\"config:block.block.luxestate_breadcrumbs\";i:12;s:36:\"config:block.block.luxestate_content\";i:13;s:35:\"config:block.block.luxestate_footer\";i:14;s:33:\"config:block.block.luxestate_help\";i:15;s:42:\"config:block.block.luxestate_local_actions\";i:16;s:40:\"config:block.block.luxestate_local_tasks\";i:17;s:37:\"config:block.block.luxestate_messages\";i:18;s:39:\"config:block.block.luxestate_page_title\";i:19;s:36:\"config:block.block.luxestate_powered\";i:20;s:35:\"config:block.block.luxestate_search\";i:21;s:34:\"config:block.block.luxestate_tools\";i:22;s:33:\"config:block.block.mainnavigation\";i:23;s:35:\"config:block.block.mainnavigation_2\";i:24;s:34:\"config:block.block.newsletterblock\";i:25;s:30:\"config:block.block.ourlocation\";i:26;s:28:\"config:block.block.pagetitle\";i:27;s:29:\"config:block.block.quicklinks\";i:28;s:41:\"config:block.block.simplenewssubscription\";i:29;s:48:\"config:block.block.views_block__about_us_block_1\";i:30;s:46:\"config:block.block.views_block__banner_block_1\";i:31;s:46:\"config:block.block.views_block__banner_block_2\";i:32;s:46:\"config:block.block.views_block__banner_block_3\";i:33;s:46:\"config:block.block.views_block__banner_block_4\";i:34;s:46:\"config:block.block.views_block__banner_block_5\";i:35;s:46:\"config:block.block.views_block__banner_block_6\";i:36;s:46:\"config:block.block.views_block__banner_block_7\";i:37;s:52:\"config:block.block.views_block__blog_details_block_1\";i:38;s:52:\"config:block.block.views_block__blog_details_block_3\";i:39;s:49:\"config:block.block.views_block__blog_page_block_1\";i:40;s:49:\"config:block.block.views_block__blog_page_block_2\";i:41;s:49:\"config:block.block.views_block__blog_page_block_3\";i:42;s:49:\"config:block.block.views_block__frontpage_block_1\";i:43;s:51:\"config:block.block.views_block__our_mission_block_1\";i:44;s:52:\"config:block.block.views_block__our_partners_block_1\";i:45;s:52:\"config:block.block.views_block__our_services_block_1\";i:46;s:49:\"config:block.block.views_block__portfolio_block_1\";i:47;s:49:\"config:block.block.views_block__slideshow_block_1\";i:48;s:44:\"config:block.block.views_block__tags_block_1\";i:49;s:53:\"config:block.block.views_block__why_choose_us_block_1\";i:50;s:53:\"config:block.block.views_block__why_choose_us_block_2\";i:51;s:17:\"config:block_list\";i:52;s:28:\"config:color.theme.luxestate\";i:53;s:83:\"config:core.entity_form_display.simplenews_subscriber.simplenews_subscriber.default\";i:54;s:76:\"config:field.field.simplenews_subscriber.simplenews_subscriber.subscriptions\";i:55;s:30:\"config:field.storage.node.body\";i:56;s:37:\"config:field.storage.node.field_image\";i:57;s:36:\"config:field.storage.node.field_link\";i:58;s:40:\"config:field.storage.node.field_partners\";i:59;s:56:\"config:field.storage.simplenews_subscriber.subscriptions\";i:60;s:30:\"config:filter.format.full_html\";i:61;s:32:\"config:image.style.image_380_224\";i:62;s:30:\"config:image.style.image_63_63\";i:63;s:26:\"config:system.menu.account\";i:64;s:23:\"config:system.menu.main\";i:65;s:24:\"config:system.menu.quick\";i:66;s:18:\"config:system.site\";i:67;s:27:\"config:views.view.blog_page\";i:68;s:30:\"config:views.view.our_partners\";i:69;s:8:\"file:105\";i:70;s:8:\"file:109\";i:71;s:8:\"file:111\";i:72;s:8:\"file:112\";i:73;s:8:\"file:122\";i:74;s:6:\"file:2\";i:75;s:6:\"file:4\";i:76;s:6:\"file:5\";i:77;s:6:\"file:6\";i:78;s:10:\"local_task\";i:79;s:7:\"node:10\";i:80;s:7:\"node:11\";i:81;s:7:\"node:16\";i:82;s:7:\"node:30\";i:83;s:6:\"node:4\";i:84;s:7:\"node:43\";i:85;s:7:\"node:44\";i:86;s:6:\"node:5\";i:87;s:6:\"node:7\";i:88;s:6:\"node:9\";i:89;s:9:\"node_list\";i:90;s:8:\"rendered\";i:91;s:6:\"user:0\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:1:{i:0;s:9:\"#response\";}s:9:\"#response\";O:31:\"Drupal\\Core\\Render\\HtmlResponse\":8:{s:7:\"headers\";O:50:\"Symfony\\Component\\HttpFoundation\\ResponseHeaderBag\":5:{s:23:\"\0*\0computedCacheControl\";a:2:{s:8:\"no-cache\";b:1;s:7:\"private\";b:1;}s:10:\"\0*\0cookies\";a:0:{}s:14:\"\0*\0headerNames\";a:3:{s:12:\"content-type\";s:12:\"Content-Type\";s:13:\"cache-control\";s:13:\"Cache-Control\";s:4:\"date\";s:4:\"Date\";}s:10:\"\0*\0headers\";a:3:{s:12:\"content-type\";a:1:{i:0;s:24:\"text/html; charset=UTF-8\";}s:13:\"cache-control\";a:1:{i:0;s:17:\"no-cache, private\";}s:4:\"date\";a:1:{i:0;s:29:\"Fri, 12 Nov 2021 10:05:52 GMT\";}}s:15:\"\0*\0cacheControl\";a:0:{}}s:10:\"\0*\0content\";s:27245:\"<!DOCTYPE html>\n<html lang=\"en\" dir=\"ltr\" prefix=\"content: http://purl.org/rss/1.0/modules/content/  dc: http://purl.org/dc/terms/  foaf: http://xmlns.com/foaf/0.1/  og: http://ogp.me/ns#  rdfs: http://www.w3.org/2000/01/rdf-schema#  schema: http://schema.org/  sioc: http://rdfs.org/sioc/ns#  sioct: http://rdfs.org/sioc/types#  skos: http://www.w3.org/2004/02/skos/core#  xsd: http://www.w3.org/2001/XMLSchema# \">\n  <head>\n    <head-placeholder token=\"Fk9iHjYZ6b0vM7VhJ6Ca_xl_AOidStMM-1VmssH4ZjuQNpObyoRNFcCKKX-wLx1sxU6hMlQhVg\">\n    <title>Access denied | Luxestate</title>\n    <css-placeholder token=\"Fk9iHjYZ6b0vM7VhJ6Ca_xl_AOidStMM-1VmssH4ZjuQNpObyoRNFcCKKX-wLx1sxU6hMlQhVg\">\n    <js-placeholder token=\"Fk9iHjYZ6b0vM7VhJ6Ca_xl_AOidStMM-1VmssH4ZjuQNpObyoRNFcCKKX-wLx1sxU6hMlQhVg\">\n    <meta name=\"viewport\" content=\"width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no\">\n    <meta name=\"HandheldFriendly\" content=\"true\" />\n    <meta name=\"apple-touch-fullscreen\" content=\"YES\" />\n  </head>\n  <body class=\"not-front user  bg-default path-user\">\n        <a href=\"#main-content\" class=\"visually-hidden focusable\">\n      Skip to main content\n    </a>\n    \n      <div class=\"dialog-off-canvas-main-canvas\" data-off-canvas-main-canvas>\n    \n  <div id=\"page\"  class=\"\">\n\n        <div id=\"change_skin_menu_wrapper\" class=\"change-skin-menu-wrapper wrapper\"><div class=\"container\"><a id=\"change-skin\" class=\"change-skin\" href=\"javascript:void(0)\"><i class=\"fa fa-cog\" aria-hidden=\"true\"></i>\n\n</a><div class=\"skin-color\"><strong>Skin</strong><ul class=\"change-skin-menu\"><li class=\"default\"><a href=\"#change-skin/default\" class=\"change-skin-button color-default\">Default Style</a></li></ul></div><div class=\"layout\"><strong>Layout Boxed</strong><label class=\"switch-btn\"><span id=\"layout-default\" class=\"btn btn-default change-layout-button  active\">No</span><span id=\"layout-boxed\" class=\"btn btn-default change-layout-button \">Yes</span></label></div><div class=\"background hidden\"><strong>Background</strong><ul class=\"change-background\"><li class=\"bg-default active\"><a href=\"#change-background/bg-default\" class=\"change-background-button\">Default</a></li><li class=\"bg-1\"><a href=\"#change-background/bg-1\" class=\"change-background-button\">Background 1</a></li><li class=\"bg-2\"><a href=\"#change-background/bg-2\" class=\"change-background-button\">Background 2</a></li><li class=\"bg-3\"><a href=\"#change-background/bg-3\" class=\"change-background-button\">Background 3</a></li><li class=\"bg-4\"><a href=\"#change-background/bg-4\" class=\"change-background-button\">Background 4</a></li><li class=\"bg-5\"><a href=\"#change-background/bg-5\" class=\"change-background-button\">Background 5</a></li><li class=\"bg-6\"><a href=\"#change-background/bg-6\" class=\"change-background-button\">Background 6</a></li><li class=\"bg-7\"><a href=\"#change-background/bg-7\" class=\"change-background-button\">Background 7</a></li></ul></div><div class=\"direction\"><strong>Direction</strong><ul class=\"change-direction\"><li class=\"active\"><a href=\"/\" class=\"change-direction-button\">LTR</a></li><li class=\"\"><a href=\"/ar\" class=\"change-direction-button\">RTL</a></li></ul></div></div></div>\n    \n    \n    \n    <header id=\"header\" role=\"banner\" aria-label=\"Site header\">\n      <div class=\"container clearfix\">\n\n          <div class=\"region region-secondary-menu\">\n    <nav role=\"navigation\" aria-labelledby=\"block-luxestate-account-menu-menu\" id=\"block-luxestate-account-menu\" class=\"block block-menu navigation menu--account\">\n            \n  <h2 class=\"visually-hidden\" id=\"block-luxestate-account-menu-menu\">User account menu</h2>\n  \n\n        \n              <ul class=\"clearfix menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/user/login\" data-drupal-link-system-path=\"user/login\">Log in</a>\n              </li>\n        </ul>\n  \n\n\n  </nav>\n\n  </div>\n\n\n        <a href=\"#menu-toggle\" class=\"navbar-toggle\" id=\"ico-main-menu\">\n              <span class=\"icon-bar\"></span>\n              <span class=\"icon-bar\"></span>\n              <span class=\"icon-bar\"></span>\n        </a>\n\n        \n        \n          <div class=\"clearfix region region-header\">\n    <div id=\"block-luxestate-branding\" class=\"clearfix site-branding block block-system block-system-branding-block\">\n  \n    \n        <a href=\"/\" title=\"Home\" rel=\"home\" class=\"site-branding__logo\">\n      <img src=\"/themes/luxestate/logo.svg\" alt=\"Home\" />\n    </a>\n        <div class=\"site-branding__text\">\n              <div class=\"site-branding__name\">\n          <a href=\"/\" title=\"Home\" rel=\"home\">Luxestate</a>\n        </div>\n                    <div class=\"site-branding__slogan\">Luxestate is open source software has long been a natural choice for schools </div>\n          </div>\n  </div>\n\n  </div>\n\n\n                        <div class=\"region region-primary-menu\">\n    <div id=\"block-mainnavigation-2\" class=\"block block-we-megamenu block-we-megamenu-blockmain\">\n  \n    \n      <div class=\"content\">\n      <div class=\"region-we-mega-menu\">\n	<a class=\"navbar-toggle collapsed\">\n	    <span class=\"icon-bar\"></span>\n	    <span class=\"icon-bar\"></span>\n	    <span class=\"icon-bar\"></span>\n	</a>\n	<nav  class=\"main navbar navbar-default navbar-we-mega-menu mobile-collapse hover-action\" data-menu-name=\"main\" data-block-theme=\"luxestate\" data-style=\"Default\" data-animation=\"None\" data-delay=\"\" data-duration=\"\" data-autoarrow=\"\" data-alwayshowsubmenu=\"\" data-action=\"hover\" data-mobile-collapse=\"0\">\n	  <div class=\"container-fluid\">\n	    <ul  class=\"we-mega-menu-ul nav nav-tabs\">\n  <li  class=\"we-mega-menu-li active active-trail\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"\" data-id=\"/\" data-submenu=\"0\" hide-sub-when-collapse=\"0\">\n      <a class=\"we-mega-menu-li\" title=\"\" href=\"/\" target=\"\">\n      Home    </a>\n    \n</li><li  class=\"we-mega-menu-li\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"About us\" data-id=\"56804dba-564f-4261-be6d-3260b06c9b37\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"About us\" href=\"/about-us\" target=\"\">\n      About us    </a>\n    \n</li><li  class=\"we-mega-menu-li\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"Services\" data-id=\"4ee76de9-f8b7-4213-be88-719f49654dfb\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Services\" href=\"/services\" target=\"\">\n      Services    </a>\n    \n</li><li  class=\"we-mega-menu-li dropdown-menu\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"Porfolio\" data-id=\"49749b67-c74d-408e-a60e-bf8ff8ffb97f\" data-submenu=\"1\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Porfolio\" href=\"/portfolio\" target=\"\">\n      Portfolio    </a>\n    <div  class=\"we-mega-menu-submenu\" data-element-type=\"we-mega-menu-submenu\" data-submenu-width=\"\" data-class=\"\" style=\"width: px\">\n  <div class=\"we-mega-menu-submenu-inner\">\n    <div  class=\"we-mega-menu-row\" data-element-type=\"we-mega-menu-row\" data-custom-row=\"0\">\n  <div  class=\"we-mega-menu-col span12 cccc\" data-element-type=\"we-mega-menu-col\" data-width=\"12\" data-block=\"\" data-blocktitle=\"0\" data-hidewhencollapse=\"\" data-class=\"cccc\">\n  <ul class=\"nav nav-tabs subul\">\n  <li  class=\"we-mega-menu-li\" data-level=\"1\" data-element-type=\"we-mega-menu-li\" description=\"Portfolio 4 col\" data-id=\"d4ba7240-f5f6-4077-92a1-b03f3dc2fc12\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Portfolio 4 col\" href=\"/portfolio_4_col\" target=\"\">\n      Portfolio 4 col    </a>\n    \n</li><li  class=\"we-mega-menu-li\" data-level=\"1\" data-element-type=\"we-mega-menu-li\" description=\"Portfolio masonry\" data-id=\"20bcd853-7bfc-4421-8c82-15217f40ae51\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Portfolio masonry\" href=\"/portfolio_masonry\" target=\"\">\n      Portfolio masonry    </a>\n    \n</li>\n</ul>\n</div>\n\n</div>\n\n  </div>\n</div>\n</li><li  class=\"we-mega-menu-li dropdown-menu\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"Blog\" data-id=\"2bdced62-2f42-4421-b679-32d1d8b4b8b7\" data-submenu=\"1\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Blog\" href=\"/blog\" target=\"\">\n      Blog    </a>\n    <div  class=\"we-mega-menu-submenu\" data-element-type=\"we-mega-menu-submenu\" data-submenu-width=\"\" data-class=\"\" style=\"width: px\">\n  <div class=\"we-mega-menu-submenu-inner\">\n    <div  class=\"we-mega-menu-row\" data-element-type=\"we-mega-menu-row\" data-custom-row=\"0\">\n  <div  class=\"we-mega-menu-col span12\" data-element-type=\"we-mega-menu-col\" data-width=\"12\" data-block=\"\" data-blocktitle=\"0\" data-hidewhencollapse=\"\" data-class=\"\">\n  <ul class=\"nav nav-tabs subul\">\n  <li  class=\"we-mega-menu-li\" data-level=\"1\" data-element-type=\"we-mega-menu-li\" description=\"Blog default\" data-id=\"7e0a4dbd-8408-4b7e-bd75-c8515eb0dec0\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Blog default\" href=\"/blog_default\" target=\"\">\n      Blog default    </a>\n    \n</li>\n</ul>\n</div>\n\n</div>\n\n  </div>\n</div>\n</li><li  class=\"we-mega-menu-li\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"Contact\" data-id=\"36727826-f03f-4f36-919a-142ae953e104\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Contact\" href=\"/contact\" target=\"\">\n      Contact    </a>\n    \n</li><li  class=\"we-mega-menu-li\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"More themes\" data-id=\"60c931cd-37da-4cfd-a054-ef7863f9f6b2\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"More themes\" href=\"http://weebpal.com/\" target=\"\">\n      More themes    </a>\n    \n</li><li  class=\"we-mega-menu-li user-log-in\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"\" data-id=\"bd337eec-18a0-43da-aca9-292607213b64\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"user-log-in\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"\" href=\"/user/login\" target=\"\">\n      Login | User    </a>\n    \n</li>\n</ul>\n	  </div>\n	</nav>\n</div>\n    </div>\n  </div>\n\n  </div>\n\n        \n      </div>\n    </header>\n    <!-- /.section, /#header-->\n\n\n	\n<!--      -->\n\n    \n    \n    \n    \n		<section class=\"highlighted\">\n		<div class=\"container\">\n			  <div class=\"region region-highlighted\">\n    <div data-drupal-messages-fallback class=\"hidden\"></div><drupal-render-placeholder callback=\"Drupal\\Core\\Render\\Element\\StatusMessages::renderMessages\" arguments=\"0\" token=\"_HAdUpwWmet0TOTe2PSiJuMntExoshbm1kh2wQzzzAA\"></drupal-render-placeholder>\n\n  </div>\n\n		</div>\n	</section>\n	\n    <section id=\"main\">\n      <div class=\"container\">\n        <div class=\"row\">\n        <div id=\"content\" role=\"main\" class=\"col-lg-12 col-md-12 col-sm-12 col-xs-12\">\n            <a id=\"main-content\" tabindex=\"-1\"></a>\n\n                        \n                          <div class=\"region region-content\">\n    <div id=\"block-luxestate-page-title\" class=\"block block-core block-page-title-block\">\n  \n    \n      <div class=\"content\">\n      \n  <h1 class=\"title page-title\">Access denied</h1>\n\n\n    </div>\n  </div>\n<div id=\"block-luxestate-content\" class=\"block block-system block-system-main-block\">\n  \n    \n      <div class=\"content\">\n      You are not authorized to access this page.\n    </div>\n  </div>\n\n  </div>\n\n        </div>\n        <!-- /.section, /#content -->\n        \n        \n\n        </div>\n      </div>\n    </section>\n    <!-- /#main, /#main-wrapper -->\n\n    \n    \n    \n    \n        <section id=\"panel-fifth\">\n      <div class=\"container\">\n          <div class=\"region region-panel-fifth\">\n    <div class=\"views-element-container block block-views block-views-blockour-partners-block-1\" id=\"block-views-block-our-partners-block-1\">\n  \n      <h2>Our partners</h2>\n    \n      <div class=\"content\">\n      <div><div class=\"view-our-partners view view-id-our_partners view-display-id-block_1 js-view-dom-id-80760fadec603229d1abd123f5a564401934baa2891270d8e97c06f75981e8ba\">\n  \n    \n      \n      <div class=\"view-content\">\n      <div class=\"owl-carousel carousel-responsive\">\n          <div>\n        <div class=\"views-field views-field-field-partners\"><div class=\"field-content\"><a href=\"http://demo.weebpal.com/drupal8/business/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/logo-bs.png?itok=K0RPbk_h\" width=\"380\" height=\"224\" alt=\"Business\" title=\"Business\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a></div></div>\n      </div>\n          <div>\n        <div class=\"views-field views-field-field-partners\"><div class=\"field-content\"><a href=\"http://weebpal.com/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/logo-wp.png?itok=bg9l3f8O\" width=\"380\" height=\"224\" alt=\"Weebpal\" title=\"Weebpal\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a></div></div>\n      </div>\n          <div>\n        <div class=\"views-field views-field-field-partners\"><div class=\"field-content\"><a href=\"https://jquery.com/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/jquery-logo.png?itok=LOz187-u\" width=\"380\" height=\"224\" alt=\"jQuery\" title=\"jQuery\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a></div></div>\n      </div>\n          <div>\n        <div class=\"views-field views-field-field-partners\"><div class=\"field-content\"><a href=\"https://www.youtube.com/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/youtube_logo.png?itok=W1Z0jbNz\" width=\"380\" height=\"224\" alt=\"Youtube\" title=\"Youtube\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a></div></div>\n      </div>\n          <div>\n        <div class=\"views-field views-field-field-partners\"><div class=\"field-content\"><a href=\"http://getbootstrap.com/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/bootstrap-logo.png?itok=1m_YLXKP\" width=\"380\" height=\"224\" alt=\"Bootstrap\" title=\"Bootstrap\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a></div></div>\n      </div>\n          <div>\n        <div class=\"views-field views-field-field-partners\"><div class=\"field-content\"><a href=\"https://www.drupal.com/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/drupal-logo-trans.png?itok=xwZywhaS\" width=\"380\" height=\"224\" alt=\"Drupal\" title=\"Drupal\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a></div></div>\n      </div>\n        \n</div>  \n\n\n    </div>\n  \n          </div>\n</div>\n\n    </div>\n  </div>\n\n  </div>\n\n      </div>\n    </section>\n    \n    \n          <section id=\"footer-columns\">\n        <div class=\"container\">\n          <div class=\"row\">\n            <div class=\"col-md-3\">\n                <div class=\"region region-footer-firstcolumn\">\n    <nav role=\"navigation\" aria-labelledby=\"block-quicklinks-menu\" id=\"block-quicklinks\" class=\"block block-menu navigation menu--quick\">\n      \n  <h2 id=\"block-quicklinks-menu\">Quick links</h2>\n  \n\n        \n              <ul class=\"clearfix menu\">\n                    <li class=\"menu-item\">\n        <a href=\"https://www.drupal.org/\" target=\"_blank\" title=\"Drupal\">Drupal</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"https://www.facebook.com/\" target=\"_blank\" title=\"Facebook\">Facebook</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"https://www.google.com\" target=\"_blank\" title=\"Google\">Google</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"https://twitter.com/\" target=\"_blank\" title=\"Twitter\">Twitter</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"https://www.weebpal.com/\" target=\"_blank\" title=\"Weebpal\">Weebpal</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"https://wordpress.com/\" target=\"_blank\" title=\"Wordpress\">Wordpress</a>\n              </li>\n        </ul>\n  \n\n\n  </nav>\n<nav role=\"navigation\" aria-labelledby=\"block-mainnavigation-menu\" id=\"block-mainnavigation\" class=\"main-menu-footer block block-menu navigation menu--main\">\n            \n  <h2 class=\"visually-hidden\" id=\"block-mainnavigation-menu\">Main navigation</h2>\n  \n\n        \n              <ul class=\"clearfix menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/\" data-drupal-link-system-path=\"&lt;front&gt;\">Home</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/about-us\" target=\"\" title=\"About us\" data-drupal-link-system-path=\"node/4\">About us</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/services\" target=\"\" title=\"Services\" data-drupal-link-system-path=\"node/30\">Services</a>\n              </li>\n                <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/portfolio\" target=\"\" title=\"Porfolio\" data-drupal-link-system-path=\"portfolio\">Portfolio</a>\n                                <ul class=\"menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/portfolio_4_col\" target=\"\" title=\"Portfolio 4 col\" data-drupal-link-system-path=\"portfolio_4_col\">Portfolio 4 col</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/portfolio_masonry\" target=\"\" title=\"Portfolio masonry\" data-drupal-link-system-path=\"portfolio_masonry\">Portfolio masonry</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/blog\" target=\"\" title=\"Blog\" data-drupal-link-system-path=\"blog\">Blog</a>\n                                <ul class=\"menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/blog_default\" target=\"\" title=\"Blog default\" data-drupal-link-system-path=\"blog_default\">Blog default</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/contact\" target=\"\" title=\"Contact\" data-drupal-link-system-path=\"contact\">Contact</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"http://weebpal.com/\" target=\"_blank\" title=\"More themes\">More themes</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/user/login\" class=\"user-log-in\" target=\"\" data-drupal-link-system-path=\"user/login\">Login | User</a>\n              </li>\n        </ul>\n  \n\n\n  </nav>\n\n  </div>\n\n            </div>\n            <div class=\"col-md-3\">\n                <div class=\"region region-footer-secondcolumn\">\n    <div class=\"views-element-container block block-views block-views-blockblog-page-block-3\" id=\"block-views-block-blog-page-block-3\">\n  \n      <h2>Latest news</h2>\n    \n      <div class=\"content\">\n      <div><div class=\"view-type-list view view-blog-page view-id-blog_page view-display-id-block_3 js-view-dom-id-a1bab9694f3d80635185f6212a1c562a230504021ef9a295cec845f7b68c0786\">\n  \n    \n      <div class=\"view-header\">\n      <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit.<br />\nPraesent facilisis massa nellyary eget magna semper,  dolor sit amet.</p>\n\n    </div>\n      \n      <div class=\"view-content\">\n          <div class=\"views-row\"><div class=\"views-field views-field-nothing\"><span class=\"field-content\"><div class=\"views-field wp-views-field-img\">\n	  <a href=\"/blog/seeing-light\" hreflang=\"en\"><img src=\"/sites/default/files/styles/image_63_63/public/field/blog/blog-01.jpg?itok=JB0jmD8A\" width=\"63\" height=\"63\" alt=\"Seeing the light\" title=\"Seeing the light\" typeof=\"Image\" class=\"image-style-image-63-63\" />\n\n</a>\n 	\n</div>\n<div class=\"views-inner views-fieldset\">\n	<div class=\"views-field wp-views-field-title\">\n		<a href=\"/blog/seeing-light\" hreflang=\"en\">Seeing the light</a>	\n	</div>\n	<div class=\"views-field wp-views-field-body\">\n		<p>Lorem ipsum dolor sit amet, consectetur…</p> 	\n	</div>\n	<div class=\"views-field wp-views-field-created\">\n		25 Jul,2016		\n	</div>\n</div>\n</span></div></div>\n    <div class=\"views-row\"><div class=\"views-field views-field-nothing\"><span class=\"field-content\"><div class=\"views-field wp-views-field-img\">\n	  <a href=\"/blog/warehouse-sale-emeryville\" hreflang=\"en\"><img src=\"/sites/default/files/styles/image_63_63/public/field/blog/blog-02.jpg?itok=8Le4uyzF\" width=\"63\" height=\"63\" alt=\"Warehouse Sale in Emeryville\" title=\"Warehouse Sale in Emeryville\" typeof=\"Image\" class=\"image-style-image-63-63\" />\n\n</a>\n 	\n</div>\n<div class=\"views-inner views-fieldset\">\n	<div class=\"views-field wp-views-field-title\">\n		<a href=\"/blog/warehouse-sale-emeryville\" hreflang=\"en\">Warehouse Sale in Emeryville</a>	\n	</div>\n	<div class=\"views-field wp-views-field-body\">\n		<p>Lorem ipsum dolor sit amet, consectetur…</p> 	\n	</div>\n	<div class=\"views-field wp-views-field-created\">\n		08 Jan,2016		\n	</div>\n</div>\n</span></div></div>\n\n    </div>\n  \n          </div>\n</div>\n\n    </div>\n  </div>\n\n  </div>\n\n            </div>\n            <div class=\"col-md-3\">\n                <div class=\"region region-footer-thirdcolumn\">\n    <div class=\"simplenews-subscriptions-block-2e7f7bdc-7622-4ced-9848-99a362a0e07e simplenews-subscriber-form block block-simplenews block-simplenews-subscription-block\" data-drupal-selector=\"simplenews-subscriptions-block-2e7f7bdc-7622-4ced-9848-99a362a0e07e\" id=\"block-simplenewssubscription\">\n  \n      <h2>Newsletter</h2>\n    \n      <div class=\"content\">\n      <form action=\"form_action_p_pvdeGsVG5zNF_XLGPTvYSKCf43t8qZYSwcfZl2uzM\" method=\"post\" id=\"simplenews-subscriptions-block-2e7f7bdc-7622-4ced-9848-99a362a0e07e\" accept-charset=\"UTF-8\">\n  <div class=\"field--type-simplenews-subscription field--name-subscriptions field--widget-simplenews-subscription-select js-form-wrapper form-wrapper\" data-drupal-selector=\"edit-subscriptions-wrapper\" id=\"edit-subscriptions-wrapper\"></div>\n<div id=\"edit-message\" class=\"js-form-item form-item js-form-type-item form-type-item js-form-item-message form-item-message form-no-label\">\n        Sign up for our mailing to get latest updates and offers.\n        </div>\n<input autocomplete=\"off\" data-drupal-selector=\"form-tvk-tyideg73eblbbdba-sene4t9kxvy5vk6cztr20k\" type=\"hidden\" name=\"form_build_id\" value=\"form-TVK_TyIDEg73eBLbbdBA-sENe4T9KxVy5VK6CZTR20k\" />\n<input data-drupal-selector=\"edit-simplenews-subscriptions-block-2e7f7bdc-7622-4ced-9848-99a362a0e07e\" type=\"hidden\" name=\"form_id\" value=\"simplenews_subscriptions_block_2e7f7bdc-7622-4ced-9848-99a362a0e07e\" />\n<div class=\"field--type-email field--name-mail field--widget-email-default js-form-wrapper form-wrapper\" data-drupal-selector=\"edit-mail-wrapper\" id=\"edit-mail-wrapper\">      <div class=\"js-form-item form-item js-form-type-email form-type-email js-form-item-mail-0-value form-item-mail-0-value\">\n      <label for=\"edit-mail-0-value\" class=\"js-form-required form-required\">Email</label>\n        <input data-drupal-selector=\"edit-mail-0-value\" aria-describedby=\"edit-mail-0-value--description\" type=\"email\" id=\"edit-mail-0-value\" name=\"mail[0][value]\" value=\"\" size=\"60\" maxlength=\"254\" placeholder=\"\" class=\"form-email required\" required=\"required\" aria-required=\"true\" />\n\n            <div id=\"edit-mail-0-value--description\" class=\"description\">\n      The subscriber\'s email address.\n    </div>\n  </div>\n\n  </div>\n<div data-drupal-selector=\"edit-actions\" class=\"form-actions js-form-wrapper form-wrapper\" id=\"edit-actions--2\"><input data-drupal-selector=\"edit-subscribe\" type=\"submit\" id=\"edit-subscribe\" name=\"op\" value=\"Subscribe\" class=\"button js-form-submit form-submit\" />\n</div>\n\n</form>\n\n    </div>\n  </div>\n<div id=\"block-newsletterblock\" class=\"block block-block-content block-block-contentb0c92726-50bb-4afe-8a60-e078803c0753\">\n  \n    \n      <div class=\"content\">\n      \n            <div class=\"clearfix text-formatted field field--name-body field--type-text-with-summary field--label-hidden field__item\"><p>We respect your privacy</p>\n</div>\n      \n    </div>\n  </div>\n\n  </div>\n\n            </div>\n            <div class=\"col-md-3\">\n                <div class=\"region region-footer-fourthcolumn\">\n    <div id=\"block-contactus\" class=\"contact-us-block-info block block-block-content block-block-contentb7be088a-40ae-4f2f-9614-8e1bae7b453d\">\n  \n      <h2>Contact us</h2>\n    \n      <div class=\"content\">\n      \n            <div class=\"clearfix text-formatted field field--name-body field--type-text-with-summary field--label-hidden field__item\"><p>The generated Lorem Ipsum is therefore always free from repetition, injected humour, or non-characteristic words etc.</p>\n<address><span>1-800-123-HELLO</span> <a href=\"mailto:help@travelo.com\" title=\"help@travelo.com\">help@travelo.com</a></address>\n<div class=\"social-wrap\">\n<ul class=\"list-inline social-list\"><li><a href=\"#\" title=\"Twitter\"><span class=\"fa fa-twitter\" aria-hidden=\"true\">Twitter</span></a></li>\n<li><a href=\"#\" title=\"Google\"><span class=\"fa fa-google-plus\" aria-hidden=\"true\">Google</span></a></li>\n<li><a href=\"#\" title=\"Facebook\"><span class=\"fa fa-facebook\" aria-hidden=\"true\">Facebook</span></a></li>\n<li><a href=\"#\" title=\"linkkedin\"><span class=\"fa fa-linkedin-square\" aria-hidden=\"true\">linkkedin</span></a></li>\n<li><a href=\"#\" title=\"vimeo\"><span class=\"fa fa-vimeo\" aria-hidden=\"true\">vimeo</span></a></li>\n<li><a href=\"#\" title=\"dribble\"><span class=\"fa fa-dribbble\" aria-hidden=\"true\">dribble</span></a></li>\n<li><a href=\"#\" title=\"flick\"><span class=\"fa fa-flickr\" aria-hidden=\"true\">flick</span></a></li>\n</ul></div>\n</div>\n      \n    </div>\n  </div>\n\n  </div>\n\n            </div>\n          </div>\n        </div>\n\n      </section><!-- /#footer-columns -->\n    \n          <footer id=\"footer\" role=\"contentinfo\" class=\"clearfix\">\n        <div class=\"container\">\n            <div class=\"region region-footer\">\n    <div id=\"block-copyrightbyweebpal\" class=\"block block-block-content block-block-contentd077ed59-d2a0-42b7-afc6-ed94b9621584\">\n  \n    \n      <div class=\"content\">\n      \n            <div class=\"clearfix text-formatted field field--name-body field--type-text-with-summary field--label-hidden field__item\"><p>Design by <a href=\"https://weebpal.com/\" target=\"_blank\">WeebPal </a>- Drupal Development Company</p>\n</div>\n      \n    </div>\n  </div>\n\n  </div>\n\n        </div>\n      </footer> <!-- /#footer -->\n    \n    <!-- /.section, /#footer-wrapper -->\n\n  </div>\n\n\n  </div>\n\n    \n    <js-bottom-placeholder token=\"Fk9iHjYZ6b0vM7VhJ6Ca_xl_AOidStMM-1VmssH4ZjuQNpObyoRNFcCKKX-wLx1sxU6hMlQhVg\">\n  </body>\n</html>\n\";s:10:\"\0*\0version\";s:3:\"1.0\";s:13:\"\0*\0statusCode\";i:200;s:13:\"\0*\0statusText\";s:2:\"OK\";s:10:\"\0*\0charset\";N;s:23:\"\0*\0cacheabilityMetadata\";O:35:\"Drupal\\Core\\Cache\\CacheableMetadata\":3:{s:16:\"\0*\0cacheContexts\";a:14:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:5:\"route\";i:3;s:32:\"route.menu_active_trails:account\";i:4;s:29:\"route.menu_active_trails:main\";i:5;s:30:\"route.menu_active_trails:quick\";i:6;s:5:\"theme\";i:7;s:8:\"timezone\";i:8;s:8:\"url.path\";i:9;s:30:\"url.query_args:_wrapper_format\";i:10;s:21:\"user.node_grants:view\";i:11;s:16:\"user.permissions\";i:12;s:10:\"user.roles\";i:13;s:24:\"user.roles:authenticated\";}s:12:\"\0*\0cacheTags\";a:92:{i:0;s:15:\"block_content:2\";i:1;s:15:\"block_content:4\";i:2;s:15:\"block_content:6\";i:3;s:18:\"block_content_view\";i:4;s:10:\"block_view\";i:5;s:23:\"config:block.block.blog\";i:6;s:30:\"config:block.block.breadcrumbs\";i:7;s:28:\"config:block.block.contactus\";i:8;s:37:\"config:block.block.copyrightbyweebpal\";i:9;s:41:\"config:block.block.luxestate_account_menu\";i:10;s:37:\"config:block.block.luxestate_branding\";i:11;s:40:\"config:block.block.luxestate_breadcrumbs\";i:12;s:36:\"config:block.block.luxestate_content\";i:13;s:35:\"config:block.block.luxestate_footer\";i:14;s:33:\"config:block.block.luxestate_help\";i:15;s:42:\"config:block.block.luxestate_local_actions\";i:16;s:40:\"config:block.block.luxestate_local_tasks\";i:17;s:37:\"config:block.block.luxestate_messages\";i:18;s:39:\"config:block.block.luxestate_page_title\";i:19;s:36:\"config:block.block.luxestate_powered\";i:20;s:35:\"config:block.block.luxestate_search\";i:21;s:34:\"config:block.block.luxestate_tools\";i:22;s:33:\"config:block.block.mainnavigation\";i:23;s:35:\"config:block.block.mainnavigation_2\";i:24;s:34:\"config:block.block.newsletterblock\";i:25;s:30:\"config:block.block.ourlocation\";i:26;s:28:\"config:block.block.pagetitle\";i:27;s:29:\"config:block.block.quicklinks\";i:28;s:41:\"config:block.block.simplenewssubscription\";i:29;s:48:\"config:block.block.views_block__about_us_block_1\";i:30;s:46:\"config:block.block.views_block__banner_block_1\";i:31;s:46:\"config:block.block.views_block__banner_block_2\";i:32;s:46:\"config:block.block.views_block__banner_block_3\";i:33;s:46:\"config:block.block.views_block__banner_block_4\";i:34;s:46:\"config:block.block.views_block__banner_block_5\";i:35;s:46:\"config:block.block.views_block__banner_block_6\";i:36;s:46:\"config:block.block.views_block__banner_block_7\";i:37;s:52:\"config:block.block.views_block__blog_details_block_1\";i:38;s:52:\"config:block.block.views_block__blog_details_block_3\";i:39;s:49:\"config:block.block.views_block__blog_page_block_1\";i:40;s:49:\"config:block.block.views_block__blog_page_block_2\";i:41;s:49:\"config:block.block.views_block__blog_page_block_3\";i:42;s:49:\"config:block.block.views_block__frontpage_block_1\";i:43;s:51:\"config:block.block.views_block__our_mission_block_1\";i:44;s:52:\"config:block.block.views_block__our_partners_block_1\";i:45;s:52:\"config:block.block.views_block__our_services_block_1\";i:46;s:49:\"config:block.block.views_block__portfolio_block_1\";i:47;s:49:\"config:block.block.views_block__slideshow_block_1\";i:48;s:44:\"config:block.block.views_block__tags_block_1\";i:49;s:53:\"config:block.block.views_block__why_choose_us_block_1\";i:50;s:53:\"config:block.block.views_block__why_choose_us_block_2\";i:51;s:17:\"config:block_list\";i:52;s:28:\"config:color.theme.luxestate\";i:53;s:83:\"config:core.entity_form_display.simplenews_subscriber.simplenews_subscriber.default\";i:54;s:76:\"config:field.field.simplenews_subscriber.simplenews_subscriber.subscriptions\";i:55;s:30:\"config:field.storage.node.body\";i:56;s:37:\"config:field.storage.node.field_image\";i:57;s:36:\"config:field.storage.node.field_link\";i:58;s:40:\"config:field.storage.node.field_partners\";i:59;s:56:\"config:field.storage.simplenews_subscriber.subscriptions\";i:60;s:30:\"config:filter.format.full_html\";i:61;s:32:\"config:image.style.image_380_224\";i:62;s:30:\"config:image.style.image_63_63\";i:63;s:26:\"config:system.menu.account\";i:64;s:23:\"config:system.menu.main\";i:65;s:24:\"config:system.menu.quick\";i:66;s:18:\"config:system.site\";i:67;s:27:\"config:views.view.blog_page\";i:68;s:30:\"config:views.view.our_partners\";i:69;s:8:\"file:105\";i:70;s:8:\"file:109\";i:71;s:8:\"file:111\";i:72;s:8:\"file:112\";i:73;s:8:\"file:122\";i:74;s:6:\"file:2\";i:75;s:6:\"file:4\";i:76;s:6:\"file:5\";i:77;s:6:\"file:6\";i:78;s:10:\"local_task\";i:79;s:7:\"node:10\";i:80;s:7:\"node:11\";i:81;s:7:\"node:16\";i:82;s:7:\"node:30\";i:83;s:6:\"node:4\";i:84;s:7:\"node:43\";i:85;s:7:\"node:44\";i:86;s:6:\"node:5\";i:87;s:6:\"node:7\";i:88;s:6:\"node:9\";i:89;s:9:\"node_list\";i:90;s:6:\"user:0\";i:91;s:8:\"rendered\";}s:14:\"\0*\0cacheMaxAge\";i:-1;}s:14:\"\0*\0attachments\";a:6:{s:7:\"library\";a:13:{i:0;s:14:\"core/html5shiv\";i:1;s:11:\"system/base\";i:2;s:11:\"classy/base\";i:3;s:15:\"classy/messages\";i:4;s:14:\"core/normalize\";i:5;s:24:\"luxestate/global-styling\";i:6;s:20:\"luxestate/corescript\";i:7;s:18:\"views/views.module\";i:8;s:18:\"views/views.module\";i:9;s:18:\"views/views.module\";i:10;s:18:\"views/views.module\";i:11;s:38:\"we_megamenu/form.we-mega-menu-frontend\";i:12;s:20:\"luxestate/skins-menu\";}s:14:\"html_head_link\";a:1:{i:0;a:1:{i:0;a:3:{s:3:\"rel\";s:13:\"shortcut icon\";s:4:\"href\";s:29:\"/themes/luxestate/favicon.ico\";s:4:\"type\";s:24:\"image/vnd.microsoft.icon\";}}}s:9:\"html_head\";a:5:{i:0;a:2:{i:0;a:3:{s:4:\"#tag\";s:4:\"meta\";s:11:\"#attributes\";a:1:{s:7:\"charset\";s:5:\"utf-8\";}s:7:\"#weight\";i:-1000;}i:1;s:24:\"system_meta_content_type\";}i:1;a:2:{i:0;a:3:{s:5:\"#type\";s:8:\"html_tag\";s:4:\"#tag\";s:4:\"meta\";s:11:\"#attributes\";a:2:{s:4:\"name\";s:9:\"Generator\";s:7:\"content\";s:33:\"Drupal 8 (https://www.drupal.org)\";}}i:1;s:21:\"system_meta_generator\";}i:2;a:2:{i:0;a:2:{s:4:\"#tag\";s:4:\"meta\";s:11:\"#attributes\";a:2:{s:4:\"name\";s:15:\"MobileOptimized\";s:7:\"content\";s:5:\"width\";}}i:1;s:15:\"MobileOptimized\";}i:3;a:2:{i:0;a:2:{s:4:\"#tag\";s:4:\"meta\";s:11:\"#attributes\";a:2:{s:4:\"name\";s:16:\"HandheldFriendly\";s:7:\"content\";s:4:\"true\";}}i:1;s:16:\"HandheldFriendly\";}i:4;a:2:{i:0;a:2:{s:4:\"#tag\";s:4:\"meta\";s:11:\"#attributes\";a:2:{s:4:\"name\";s:8:\"viewport\";s:7:\"content\";s:37:\"width=device-width, initial-scale=1.0\";}}i:1;s:8:\"viewport\";}}s:14:\"drupalSettings\";a:1:{s:14:\"ajaxTrustedUrl\";a:1:{s:55:\"form_action_p_pvdeGsVG5zNF_XLGPTvYSKCf43t8qZYSwcfZl2uzM\";b:1;}}s:12:\"placeholders\";a:2:{s:55:\"form_action_p_pvdeGsVG5zNF_XLGPTvYSKCf43t8qZYSwcfZl2uzM\";a:1:{s:13:\"#lazy_builder\";a:2:{i:0;s:40:\"form_builder:renderPlaceholderFormAction\";i:1;a:0:{}}}s:190:\"<drupal-render-placeholder callback=\"Drupal\\Core\\Render\\Element\\StatusMessages::renderMessages\" arguments=\"0\" token=\"_HAdUpwWmet0TOTe2PSiJuMntExoshbm1kh2wQzzzAA\"></drupal-render-placeholder>\";a:1:{s:13:\"#lazy_builder\";a:2:{i:0;s:57:\"Drupal\\Core\\Render\\Element\\StatusMessages::renderMessages\";i:1;a:1:{i:0;N;}}}}s:37:\"html_response_attachment_placeholders\";a:4:{s:6:\"styles\";s:100:\"<css-placeholder token=\"Fk9iHjYZ6b0vM7VhJ6Ca_xl_AOidStMM-1VmssH4ZjuQNpObyoRNFcCKKX-wLx1sxU6hMlQhVg\">\";s:7:\"scripts\";s:99:\"<js-placeholder token=\"Fk9iHjYZ6b0vM7VhJ6Ca_xl_AOidStMM-1VmssH4ZjuQNpObyoRNFcCKKX-wLx1sxU6hMlQhVg\">\";s:14:\"scripts_bottom\";s:106:\"<js-bottom-placeholder token=\"Fk9iHjYZ6b0vM7VhJ6Ca_xl_AOidStMM-1VmssH4ZjuQNpObyoRNFcCKKX-wLx1sxU6hMlQhVg\">\";s:4:\"head\";s:101:\"<head-placeholder token=\"Fk9iHjYZ6b0vM7VhJ6Ca_xl_AOidStMM-1VmssH4ZjuQNpObyoRNFcCKKX-wLx1sxU6hMlQhVg\">\";}}}}',-1,1636711552.209,1,'block_content:2 block_content:4 block_content:6 block_content_view block_view config:block.block.blog config:block.block.breadcrumbs config:block.block.contactus config:block.block.copyrightbyweebpal config:block.block.luxestate_account_menu config:block.block.luxestate_branding config:block.block.luxestate_breadcrumbs config:block.block.luxestate_content config:block.block.luxestate_footer config:block.block.luxestate_help config:block.block.luxestate_local_actions config:block.block.luxestate_local_tasks config:block.block.luxestate_messages config:block.block.luxestate_page_title config:block.block.luxestate_powered config:block.block.luxestate_search config:block.block.luxestate_tools config:block.block.mainnavigation config:block.block.mainnavigation_2 config:block.block.newsletterblock config:block.block.ourlocation config:block.block.pagetitle config:block.block.quicklinks config:block.block.simplenewssubscription config:block.block.views_block__about_us_block_1 config:block.block.views_block__banner_block_1 config:block.block.views_block__banner_block_2 config:block.block.views_block__banner_block_3 config:block.block.views_block__banner_block_4 config:block.block.views_block__banner_block_5 config:block.block.views_block__banner_block_6 config:block.block.views_block__banner_block_7 config:block.block.views_block__blog_details_block_1 config:block.block.views_block__blog_details_block_3 config:block.block.views_block__blog_page_block_1 config:block.block.views_block__blog_page_block_2 config:block.block.views_block__blog_page_block_3 config:block.block.views_block__frontpage_block_1 config:block.block.views_block__our_mission_block_1 config:block.block.views_block__our_partners_block_1 config:block.block.views_block__our_services_block_1 config:block.block.views_block__portfolio_block_1 config:block.block.views_block__slideshow_block_1 config:block.block.views_block__tags_block_1 config:block.block.views_block__why_choose_us_block_1 config:block.block.views_block__why_choose_us_block_2 config:block_list config:color.theme.luxestate config:core.entity_form_display.simplenews_subscriber.simplenews_subscriber.default config:field.field.simplenews_subscriber.simplenews_subscriber.subscriptions config:field.storage.node.body config:field.storage.node.field_image config:field.storage.node.field_link config:field.storage.node.field_partners config:field.storage.simplenews_subscriber.subscriptions config:filter.format.full_html config:image.style.image_380_224 config:image.style.image_63_63 config:system.menu.account config:system.menu.main config:system.menu.quick config:system.site config:views.view.blog_page config:views.view.our_partners file:105 file:109 file:111 file:112 file:122 file:2 file:4 file:5 file:6 local_task node:10 node:11 node:16 node:30 node:4 node:43 node:44 node:5 node:7 node:9 node_list rendered user:0','267'),('response:[languages:language_content]=en:[languages:language_interface]=en:[request_format]=html:[route]=system.40435786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=luxestate:[timezone]=EurlGhTEejayGKnjQkue1gPOBO04MBs4Xuj4c8kSjUjriE','a:5:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";s:0:\"\";s:6:\"#cache\";a:3:{s:8:\"contexts\";a:15:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:14:\"request_format\";i:3;s:5:\"route\";i:4;s:32:\"route.menu_active_trails:account\";i:5;s:29:\"route.menu_active_trails:main\";i:6;s:30:\"route.menu_active_trails:quick\";i:7;s:5:\"theme\";i:8;s:8:\"timezone\";i:9;s:8:\"url.path\";i:10;s:30:\"url.query_args:_wrapper_format\";i:11;s:21:\"user.node_grants:view\";i:12;s:16:\"user.permissions\";i:13;s:10:\"user.roles\";i:14;s:24:\"user.roles:authenticated\";}s:4:\"tags\";a:92:{i:0;s:15:\"block_content:2\";i:1;s:15:\"block_content:4\";i:2;s:15:\"block_content:6\";i:3;s:18:\"block_content_view\";i:4;s:10:\"block_view\";i:5;s:23:\"config:block.block.blog\";i:6;s:30:\"config:block.block.breadcrumbs\";i:7;s:28:\"config:block.block.contactus\";i:8;s:37:\"config:block.block.copyrightbyweebpal\";i:9;s:41:\"config:block.block.luxestate_account_menu\";i:10;s:37:\"config:block.block.luxestate_branding\";i:11;s:40:\"config:block.block.luxestate_breadcrumbs\";i:12;s:36:\"config:block.block.luxestate_content\";i:13;s:35:\"config:block.block.luxestate_footer\";i:14;s:33:\"config:block.block.luxestate_help\";i:15;s:42:\"config:block.block.luxestate_local_actions\";i:16;s:40:\"config:block.block.luxestate_local_tasks\";i:17;s:37:\"config:block.block.luxestate_messages\";i:18;s:39:\"config:block.block.luxestate_page_title\";i:19;s:36:\"config:block.block.luxestate_powered\";i:20;s:35:\"config:block.block.luxestate_search\";i:21;s:34:\"config:block.block.luxestate_tools\";i:22;s:33:\"config:block.block.mainnavigation\";i:23;s:35:\"config:block.block.mainnavigation_2\";i:24;s:34:\"config:block.block.newsletterblock\";i:25;s:30:\"config:block.block.ourlocation\";i:26;s:28:\"config:block.block.pagetitle\";i:27;s:29:\"config:block.block.quicklinks\";i:28;s:41:\"config:block.block.simplenewssubscription\";i:29;s:48:\"config:block.block.views_block__about_us_block_1\";i:30;s:46:\"config:block.block.views_block__banner_block_1\";i:31;s:46:\"config:block.block.views_block__banner_block_2\";i:32;s:46:\"config:block.block.views_block__banner_block_3\";i:33;s:46:\"config:block.block.views_block__banner_block_4\";i:34;s:46:\"config:block.block.views_block__banner_block_5\";i:35;s:46:\"config:block.block.views_block__banner_block_6\";i:36;s:46:\"config:block.block.views_block__banner_block_7\";i:37;s:52:\"config:block.block.views_block__blog_details_block_1\";i:38;s:52:\"config:block.block.views_block__blog_details_block_3\";i:39;s:49:\"config:block.block.views_block__blog_page_block_1\";i:40;s:49:\"config:block.block.views_block__blog_page_block_2\";i:41;s:49:\"config:block.block.views_block__blog_page_block_3\";i:42;s:49:\"config:block.block.views_block__frontpage_block_1\";i:43;s:51:\"config:block.block.views_block__our_mission_block_1\";i:44;s:52:\"config:block.block.views_block__our_partners_block_1\";i:45;s:52:\"config:block.block.views_block__our_services_block_1\";i:46;s:49:\"config:block.block.views_block__portfolio_block_1\";i:47;s:49:\"config:block.block.views_block__slideshow_block_1\";i:48;s:44:\"config:block.block.views_block__tags_block_1\";i:49;s:53:\"config:block.block.views_block__why_choose_us_block_1\";i:50;s:53:\"config:block.block.views_block__why_choose_us_block_2\";i:51;s:17:\"config:block_list\";i:52;s:28:\"config:color.theme.luxestate\";i:53;s:83:\"config:core.entity_form_display.simplenews_subscriber.simplenews_subscriber.default\";i:54;s:76:\"config:field.field.simplenews_subscriber.simplenews_subscriber.subscriptions\";i:55;s:30:\"config:field.storage.node.body\";i:56;s:37:\"config:field.storage.node.field_image\";i:57;s:36:\"config:field.storage.node.field_link\";i:58;s:40:\"config:field.storage.node.field_partners\";i:59;s:56:\"config:field.storage.simplenews_subscriber.subscriptions\";i:60;s:30:\"config:filter.format.full_html\";i:61;s:32:\"config:image.style.image_380_224\";i:62;s:30:\"config:image.style.image_63_63\";i:63;s:26:\"config:system.menu.account\";i:64;s:23:\"config:system.menu.main\";i:65;s:24:\"config:system.menu.quick\";i:66;s:18:\"config:system.site\";i:67;s:27:\"config:views.view.blog_page\";i:68;s:30:\"config:views.view.our_partners\";i:69;s:8:\"file:105\";i:70;s:8:\"file:109\";i:71;s:8:\"file:111\";i:72;s:8:\"file:112\";i:73;s:8:\"file:122\";i:74;s:6:\"file:2\";i:75;s:6:\"file:4\";i:76;s:6:\"file:5\";i:77;s:6:\"file:6\";i:78;s:10:\"local_task\";i:79;s:7:\"node:10\";i:80;s:7:\"node:11\";i:81;s:7:\"node:16\";i:82;s:7:\"node:30\";i:83;s:6:\"node:4\";i:84;s:7:\"node:43\";i:85;s:7:\"node:44\";i:86;s:6:\"node:5\";i:87;s:6:\"node:7\";i:88;s:6:\"node:9\";i:89;s:9:\"node_list\";i:90;s:8:\"rendered\";i:91;s:6:\"user:0\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:1:{i:0;s:9:\"#response\";}s:9:\"#response\";O:31:\"Drupal\\Core\\Render\\HtmlResponse\":8:{s:7:\"headers\";O:50:\"Symfony\\Component\\HttpFoundation\\ResponseHeaderBag\":5:{s:23:\"\0*\0computedCacheControl\";a:2:{s:8:\"no-cache\";b:1;s:7:\"private\";b:1;}s:10:\"\0*\0cookies\";a:0:{}s:14:\"\0*\0headerNames\";a:3:{s:12:\"content-type\";s:12:\"Content-Type\";s:13:\"cache-control\";s:13:\"Cache-Control\";s:4:\"date\";s:4:\"Date\";}s:10:\"\0*\0headers\";a:3:{s:12:\"content-type\";a:1:{i:0;s:24:\"text/html; charset=UTF-8\";}s:13:\"cache-control\";a:1:{i:0;s:17:\"no-cache, private\";}s:4:\"date\";a:1:{i:0;s:29:\"Tue, 16 Nov 2021 10:08:11 GMT\";}}s:15:\"\0*\0cacheControl\";a:0:{}}s:10:\"\0*\0content\";s:27226:\"<!DOCTYPE html>\n<html lang=\"en\" dir=\"ltr\" prefix=\"content: http://purl.org/rss/1.0/modules/content/  dc: http://purl.org/dc/terms/  foaf: http://xmlns.com/foaf/0.1/  og: http://ogp.me/ns#  rdfs: http://www.w3.org/2000/01/rdf-schema#  schema: http://schema.org/  sioc: http://rdfs.org/sioc/ns#  sioct: http://rdfs.org/sioc/types#  skos: http://www.w3.org/2004/02/skos/core#  xsd: http://www.w3.org/2001/XMLSchema# \">\n  <head>\n    <head-placeholder token=\"E0a0i3D0DdG2GVgEQQCOvbCJafPCtgdMRzevFLwyiXlG3f_ZBgZLDiFQxd2ZnAMhTv8o5W3ESw\">\n    <title>Page not found | Luxestate</title>\n    <css-placeholder token=\"E0a0i3D0DdG2GVgEQQCOvbCJafPCtgdMRzevFLwyiXlG3f_ZBgZLDiFQxd2ZnAMhTv8o5W3ESw\">\n    <js-placeholder token=\"E0a0i3D0DdG2GVgEQQCOvbCJafPCtgdMRzevFLwyiXlG3f_ZBgZLDiFQxd2ZnAMhTv8o5W3ESw\">\n    <meta name=\"viewport\" content=\"width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no\">\n    <meta name=\"HandheldFriendly\" content=\"true\" />\n    <meta name=\"apple-touch-fullscreen\" content=\"YES\" />\n  </head>\n  <body class=\"not-front themes  bg-default path-themes\">\n        <a href=\"#main-content\" class=\"visually-hidden focusable\">\n      Skip to main content\n    </a>\n    \n      <div class=\"dialog-off-canvas-main-canvas\" data-off-canvas-main-canvas>\n    \n  <div id=\"page\"  class=\"\">\n\n        <div id=\"change_skin_menu_wrapper\" class=\"change-skin-menu-wrapper wrapper\"><div class=\"container\"><a id=\"change-skin\" class=\"change-skin\" href=\"javascript:void(0)\"><i class=\"fa fa-cog\" aria-hidden=\"true\"></i>\n\n</a><div class=\"skin-color\"><strong>Skin</strong><ul class=\"change-skin-menu\"><li class=\"default\"><a href=\"#change-skin/default\" class=\"change-skin-button color-default\">Default Style</a></li></ul></div><div class=\"layout\"><strong>Layout Boxed</strong><label class=\"switch-btn\"><span id=\"layout-default\" class=\"btn btn-default change-layout-button  active\">No</span><span id=\"layout-boxed\" class=\"btn btn-default change-layout-button \">Yes</span></label></div><div class=\"background hidden\"><strong>Background</strong><ul class=\"change-background\"><li class=\"bg-default active\"><a href=\"#change-background/bg-default\" class=\"change-background-button\">Default</a></li><li class=\"bg-1\"><a href=\"#change-background/bg-1\" class=\"change-background-button\">Background 1</a></li><li class=\"bg-2\"><a href=\"#change-background/bg-2\" class=\"change-background-button\">Background 2</a></li><li class=\"bg-3\"><a href=\"#change-background/bg-3\" class=\"change-background-button\">Background 3</a></li><li class=\"bg-4\"><a href=\"#change-background/bg-4\" class=\"change-background-button\">Background 4</a></li><li class=\"bg-5\"><a href=\"#change-background/bg-5\" class=\"change-background-button\">Background 5</a></li><li class=\"bg-6\"><a href=\"#change-background/bg-6\" class=\"change-background-button\">Background 6</a></li><li class=\"bg-7\"><a href=\"#change-background/bg-7\" class=\"change-background-button\">Background 7</a></li></ul></div><div class=\"direction\"><strong>Direction</strong><ul class=\"change-direction\"><li class=\"active\"><a href=\"/\" class=\"change-direction-button\">LTR</a></li><li class=\"\"><a href=\"/ar\" class=\"change-direction-button\">RTL</a></li></ul></div></div></div>\n    \n    \n    \n    <header id=\"header\" role=\"banner\" aria-label=\"Site header\">\n      <div class=\"container clearfix\">\n\n          <div class=\"region region-secondary-menu\">\n    <nav role=\"navigation\" aria-labelledby=\"block-luxestate-account-menu-menu\" id=\"block-luxestate-account-menu\" class=\"block block-menu navigation menu--account\">\n            \n  <h2 class=\"visually-hidden\" id=\"block-luxestate-account-menu-menu\">User account menu</h2>\n  \n\n        \n              <ul class=\"clearfix menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/user/login\" data-drupal-link-system-path=\"user/login\">Log in</a>\n              </li>\n        </ul>\n  \n\n\n  </nav>\n\n  </div>\n\n\n        <a href=\"#menu-toggle\" class=\"navbar-toggle\" id=\"ico-main-menu\">\n              <span class=\"icon-bar\"></span>\n              <span class=\"icon-bar\"></span>\n              <span class=\"icon-bar\"></span>\n        </a>\n\n        \n        \n          <div class=\"clearfix region region-header\">\n    <div id=\"block-luxestate-branding\" class=\"clearfix site-branding block block-system block-system-branding-block\">\n  \n    \n        <a href=\"/\" title=\"Home\" rel=\"home\" class=\"site-branding__logo\">\n      <img src=\"/themes/luxestate/logo.svg\" alt=\"Home\" />\n    </a>\n        <div class=\"site-branding__text\">\n              <div class=\"site-branding__name\">\n          <a href=\"/\" title=\"Home\" rel=\"home\">Luxestate</a>\n        </div>\n                    <div class=\"site-branding__slogan\">Luxestate is open source software has long been a natural choice for schools </div>\n          </div>\n  </div>\n\n  </div>\n\n\n                        <div class=\"region region-primary-menu\">\n    <div id=\"block-mainnavigation-2\" class=\"block block-we-megamenu block-we-megamenu-blockmain\">\n  \n    \n      <div class=\"content\">\n      <div class=\"region-we-mega-menu\">\n	<a class=\"navbar-toggle collapsed\">\n	    <span class=\"icon-bar\"></span>\n	    <span class=\"icon-bar\"></span>\n	    <span class=\"icon-bar\"></span>\n	</a>\n	<nav  class=\"main navbar navbar-default navbar-we-mega-menu mobile-collapse hover-action\" data-menu-name=\"main\" data-block-theme=\"luxestate\" data-style=\"Default\" data-animation=\"None\" data-delay=\"\" data-duration=\"\" data-autoarrow=\"\" data-alwayshowsubmenu=\"\" data-action=\"hover\" data-mobile-collapse=\"0\">\n	  <div class=\"container-fluid\">\n	    <ul  class=\"we-mega-menu-ul nav nav-tabs\">\n  <li  class=\"we-mega-menu-li\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"\" data-id=\"/\" data-submenu=\"0\" hide-sub-when-collapse=\"0\">\n      <a class=\"we-mega-menu-li\" title=\"\" href=\"/\" target=\"\">\n      Home    </a>\n    \n</li><li  class=\"we-mega-menu-li\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"About us\" data-id=\"56804dba-564f-4261-be6d-3260b06c9b37\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"About us\" href=\"/about-us\" target=\"\">\n      About us    </a>\n    \n</li><li  class=\"we-mega-menu-li\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"Services\" data-id=\"4ee76de9-f8b7-4213-be88-719f49654dfb\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Services\" href=\"/services\" target=\"\">\n      Services    </a>\n    \n</li><li  class=\"we-mega-menu-li dropdown-menu\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"Porfolio\" data-id=\"49749b67-c74d-408e-a60e-bf8ff8ffb97f\" data-submenu=\"1\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Porfolio\" href=\"/portfolio\" target=\"\">\n      Portfolio    </a>\n    <div  class=\"we-mega-menu-submenu\" data-element-type=\"we-mega-menu-submenu\" data-submenu-width=\"\" data-class=\"\" style=\"width: px\">\n  <div class=\"we-mega-menu-submenu-inner\">\n    <div  class=\"we-mega-menu-row\" data-element-type=\"we-mega-menu-row\" data-custom-row=\"0\">\n  <div  class=\"we-mega-menu-col span12 cccc\" data-element-type=\"we-mega-menu-col\" data-width=\"12\" data-block=\"\" data-blocktitle=\"0\" data-hidewhencollapse=\"\" data-class=\"cccc\">\n  <ul class=\"nav nav-tabs subul\">\n  <li  class=\"we-mega-menu-li\" data-level=\"1\" data-element-type=\"we-mega-menu-li\" description=\"Portfolio 4 col\" data-id=\"d4ba7240-f5f6-4077-92a1-b03f3dc2fc12\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Portfolio 4 col\" href=\"/portfolio_4_col\" target=\"\">\n      Portfolio 4 col    </a>\n    \n</li><li  class=\"we-mega-menu-li\" data-level=\"1\" data-element-type=\"we-mega-menu-li\" description=\"Portfolio masonry\" data-id=\"20bcd853-7bfc-4421-8c82-15217f40ae51\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Portfolio masonry\" href=\"/portfolio_masonry\" target=\"\">\n      Portfolio masonry    </a>\n    \n</li>\n</ul>\n</div>\n\n</div>\n\n  </div>\n</div>\n</li><li  class=\"we-mega-menu-li dropdown-menu\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"Blog\" data-id=\"2bdced62-2f42-4421-b679-32d1d8b4b8b7\" data-submenu=\"1\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Blog\" href=\"/blog\" target=\"\">\n      Blog    </a>\n    <div  class=\"we-mega-menu-submenu\" data-element-type=\"we-mega-menu-submenu\" data-submenu-width=\"\" data-class=\"\" style=\"width: px\">\n  <div class=\"we-mega-menu-submenu-inner\">\n    <div  class=\"we-mega-menu-row\" data-element-type=\"we-mega-menu-row\" data-custom-row=\"0\">\n  <div  class=\"we-mega-menu-col span12\" data-element-type=\"we-mega-menu-col\" data-width=\"12\" data-block=\"\" data-blocktitle=\"0\" data-hidewhencollapse=\"\" data-class=\"\">\n  <ul class=\"nav nav-tabs subul\">\n  <li  class=\"we-mega-menu-li\" data-level=\"1\" data-element-type=\"we-mega-menu-li\" description=\"Blog default\" data-id=\"7e0a4dbd-8408-4b7e-bd75-c8515eb0dec0\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Blog default\" href=\"/blog_default\" target=\"\">\n      Blog default    </a>\n    \n</li>\n</ul>\n</div>\n\n</div>\n\n  </div>\n</div>\n</li><li  class=\"we-mega-menu-li\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"Contact\" data-id=\"36727826-f03f-4f36-919a-142ae953e104\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Contact\" href=\"/contact\" target=\"\">\n      Contact    </a>\n    \n</li><li  class=\"we-mega-menu-li\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"More themes\" data-id=\"60c931cd-37da-4cfd-a054-ef7863f9f6b2\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"More themes\" href=\"http://weebpal.com/\" target=\"\">\n      More themes    </a>\n    \n</li><li  class=\"we-mega-menu-li user-log-in\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"\" data-id=\"bd337eec-18a0-43da-aca9-292607213b64\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"user-log-in\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"\" href=\"/user/login\" target=\"\">\n      Login | User    </a>\n    \n</li>\n</ul>\n	  </div>\n	</nav>\n</div>\n    </div>\n  </div>\n\n  </div>\n\n        \n      </div>\n    </header>\n    <!-- /.section, /#header-->\n\n\n	\n<!--      -->\n\n    \n    \n    \n    \n		<section class=\"highlighted\">\n		<div class=\"container\">\n			  <div class=\"region region-highlighted\">\n    <div data-drupal-messages-fallback class=\"hidden\"></div><drupal-render-placeholder callback=\"Drupal\\Core\\Render\\Element\\StatusMessages::renderMessages\" arguments=\"0\" token=\"_HAdUpwWmet0TOTe2PSiJuMntExoshbm1kh2wQzzzAA\"></drupal-render-placeholder>\n\n  </div>\n\n		</div>\n	</section>\n	\n    <section id=\"main\">\n      <div class=\"container\">\n        <div class=\"row\">\n        <div id=\"content\" role=\"main\" class=\"col-lg-12 col-md-12 col-sm-12 col-xs-12\">\n            <a id=\"main-content\" tabindex=\"-1\"></a>\n\n                        \n                          <div class=\"region region-content\">\n    <div id=\"block-luxestate-page-title\" class=\"block block-core block-page-title-block\">\n  \n    \n      <div class=\"content\">\n      \n  <h1 class=\"title page-title\">Page not found</h1>\n\n\n    </div>\n  </div>\n<div id=\"block-luxestate-content\" class=\"block block-system block-system-main-block\">\n  \n    \n      <div class=\"content\">\n      The requested page could not be found.\n    </div>\n  </div>\n\n  </div>\n\n        </div>\n        <!-- /.section, /#content -->\n        \n        \n\n        </div>\n      </div>\n    </section>\n    <!-- /#main, /#main-wrapper -->\n\n    \n    \n    \n    \n        <section id=\"panel-fifth\">\n      <div class=\"container\">\n          <div class=\"region region-panel-fifth\">\n    <div class=\"views-element-container block block-views block-views-blockour-partners-block-1\" id=\"block-views-block-our-partners-block-1\">\n  \n      <h2>Our partners</h2>\n    \n      <div class=\"content\">\n      <div><div class=\"view-our-partners view view-id-our_partners view-display-id-block_1 js-view-dom-id-9efb7e06a742e05aa5ddfa1e31de1ccbe8adccc82386493a22e76888742f59d6\">\n  \n    \n      \n      <div class=\"view-content\">\n      <div class=\"owl-carousel carousel-responsive\">\n          <div>\n        <div class=\"views-field views-field-field-partners\"><div class=\"field-content\"><a href=\"http://demo.weebpal.com/drupal8/business/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/logo-bs.png?itok=K0RPbk_h\" width=\"380\" height=\"224\" alt=\"Business\" title=\"Business\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a></div></div>\n      </div>\n          <div>\n        <div class=\"views-field views-field-field-partners\"><div class=\"field-content\"><a href=\"http://weebpal.com/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/logo-wp.png?itok=bg9l3f8O\" width=\"380\" height=\"224\" alt=\"Weebpal\" title=\"Weebpal\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a></div></div>\n      </div>\n          <div>\n        <div class=\"views-field views-field-field-partners\"><div class=\"field-content\"><a href=\"https://jquery.com/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/jquery-logo.png?itok=LOz187-u\" width=\"380\" height=\"224\" alt=\"jQuery\" title=\"jQuery\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a></div></div>\n      </div>\n          <div>\n        <div class=\"views-field views-field-field-partners\"><div class=\"field-content\"><a href=\"https://www.youtube.com/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/youtube_logo.png?itok=W1Z0jbNz\" width=\"380\" height=\"224\" alt=\"Youtube\" title=\"Youtube\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a></div></div>\n      </div>\n          <div>\n        <div class=\"views-field views-field-field-partners\"><div class=\"field-content\"><a href=\"http://getbootstrap.com/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/bootstrap-logo.png?itok=1m_YLXKP\" width=\"380\" height=\"224\" alt=\"Bootstrap\" title=\"Bootstrap\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a></div></div>\n      </div>\n          <div>\n        <div class=\"views-field views-field-field-partners\"><div class=\"field-content\"><a href=\"https://www.drupal.com/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/drupal-logo-trans.png?itok=xwZywhaS\" width=\"380\" height=\"224\" alt=\"Drupal\" title=\"Drupal\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a></div></div>\n      </div>\n        \n</div>  \n\n\n    </div>\n  \n          </div>\n</div>\n\n    </div>\n  </div>\n\n  </div>\n\n      </div>\n    </section>\n    \n    \n          <section id=\"footer-columns\">\n        <div class=\"container\">\n          <div class=\"row\">\n            <div class=\"col-md-3\">\n                <div class=\"region region-footer-firstcolumn\">\n    <nav role=\"navigation\" aria-labelledby=\"block-quicklinks-menu\" id=\"block-quicklinks\" class=\"block block-menu navigation menu--quick\">\n      \n  <h2 id=\"block-quicklinks-menu\">Quick links</h2>\n  \n\n        \n              <ul class=\"clearfix menu\">\n                    <li class=\"menu-item\">\n        <a href=\"https://www.drupal.org/\" target=\"_blank\" title=\"Drupal\">Drupal</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"https://www.facebook.com/\" target=\"_blank\" title=\"Facebook\">Facebook</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"https://www.google.com\" target=\"_blank\" title=\"Google\">Google</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"https://twitter.com/\" target=\"_blank\" title=\"Twitter\">Twitter</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"https://www.weebpal.com/\" target=\"_blank\" title=\"Weebpal\">Weebpal</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"https://wordpress.com/\" target=\"_blank\" title=\"Wordpress\">Wordpress</a>\n              </li>\n        </ul>\n  \n\n\n  </nav>\n<nav role=\"navigation\" aria-labelledby=\"block-mainnavigation-menu\" id=\"block-mainnavigation\" class=\"main-menu-footer block block-menu navigation menu--main\">\n            \n  <h2 class=\"visually-hidden\" id=\"block-mainnavigation-menu\">Main navigation</h2>\n  \n\n        \n              <ul class=\"clearfix menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/\" data-drupal-link-system-path=\"&lt;front&gt;\">Home</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/about-us\" target=\"\" title=\"About us\" data-drupal-link-system-path=\"node/4\">About us</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/services\" target=\"\" title=\"Services\" data-drupal-link-system-path=\"node/30\">Services</a>\n              </li>\n                <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/portfolio\" target=\"\" title=\"Porfolio\" data-drupal-link-system-path=\"portfolio\">Portfolio</a>\n                                <ul class=\"menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/portfolio_4_col\" target=\"\" title=\"Portfolio 4 col\" data-drupal-link-system-path=\"portfolio_4_col\">Portfolio 4 col</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/portfolio_masonry\" target=\"\" title=\"Portfolio masonry\" data-drupal-link-system-path=\"portfolio_masonry\">Portfolio masonry</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/blog\" target=\"\" title=\"Blog\" data-drupal-link-system-path=\"blog\">Blog</a>\n                                <ul class=\"menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/blog_default\" target=\"\" title=\"Blog default\" data-drupal-link-system-path=\"blog_default\">Blog default</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/contact\" target=\"\" title=\"Contact\" data-drupal-link-system-path=\"contact\">Contact</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"http://weebpal.com/\" target=\"_blank\" title=\"More themes\">More themes</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/user/login\" class=\"user-log-in\" target=\"\" data-drupal-link-system-path=\"user/login\">Login | User</a>\n              </li>\n        </ul>\n  \n\n\n  </nav>\n\n  </div>\n\n            </div>\n            <div class=\"col-md-3\">\n                <div class=\"region region-footer-secondcolumn\">\n    <div class=\"views-element-container block block-views block-views-blockblog-page-block-3\" id=\"block-views-block-blog-page-block-3\">\n  \n      <h2>Latest news</h2>\n    \n      <div class=\"content\">\n      <div><div class=\"view-type-list view view-blog-page view-id-blog_page view-display-id-block_3 js-view-dom-id-1a13a4f716f938f2e04a7a4d4a151a7aec0a9d2f72fbf59b4bb8d43fc2d8ac40\">\n  \n    \n      <div class=\"view-header\">\n      <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit.<br />\nPraesent facilisis massa nellyary eget magna semper,  dolor sit amet.</p>\n\n    </div>\n      \n      <div class=\"view-content\">\n          <div class=\"views-row\"><div class=\"views-field views-field-nothing\"><span class=\"field-content\"><div class=\"views-field wp-views-field-img\">\n	  <a href=\"/blog/seeing-light\" hreflang=\"en\"><img src=\"/sites/default/files/styles/image_63_63/public/field/blog/blog-01.jpg?itok=JB0jmD8A\" width=\"63\" height=\"63\" alt=\"Seeing the light\" title=\"Seeing the light\" typeof=\"Image\" class=\"image-style-image-63-63\" />\n\n</a>\n 	\n</div>\n<div class=\"views-inner views-fieldset\">\n	<div class=\"views-field wp-views-field-title\">\n		<a href=\"/blog/seeing-light\" hreflang=\"en\">Seeing the light</a>	\n	</div>\n	<div class=\"views-field wp-views-field-body\">\n		<p>Lorem ipsum dolor sit amet, consectetur…</p> 	\n	</div>\n	<div class=\"views-field wp-views-field-created\">\n		25 Jul,2016		\n	</div>\n</div>\n</span></div></div>\n    <div class=\"views-row\"><div class=\"views-field views-field-nothing\"><span class=\"field-content\"><div class=\"views-field wp-views-field-img\">\n	  <a href=\"/blog/warehouse-sale-emeryville\" hreflang=\"en\"><img src=\"/sites/default/files/styles/image_63_63/public/field/blog/blog-02.jpg?itok=8Le4uyzF\" width=\"63\" height=\"63\" alt=\"Warehouse Sale in Emeryville\" title=\"Warehouse Sale in Emeryville\" typeof=\"Image\" class=\"image-style-image-63-63\" />\n\n</a>\n 	\n</div>\n<div class=\"views-inner views-fieldset\">\n	<div class=\"views-field wp-views-field-title\">\n		<a href=\"/blog/warehouse-sale-emeryville\" hreflang=\"en\">Warehouse Sale in Emeryville</a>	\n	</div>\n	<div class=\"views-field wp-views-field-body\">\n		<p>Lorem ipsum dolor sit amet, consectetur…</p> 	\n	</div>\n	<div class=\"views-field wp-views-field-created\">\n		08 Jan,2016		\n	</div>\n</div>\n</span></div></div>\n\n    </div>\n  \n          </div>\n</div>\n\n    </div>\n  </div>\n\n  </div>\n\n            </div>\n            <div class=\"col-md-3\">\n                <div class=\"region region-footer-thirdcolumn\">\n    <div class=\"simplenews-subscriptions-block-2e7f7bdc-7622-4ced-9848-99a362a0e07e simplenews-subscriber-form block block-simplenews block-simplenews-subscription-block\" data-drupal-selector=\"simplenews-subscriptions-block-2e7f7bdc-7622-4ced-9848-99a362a0e07e\" id=\"block-simplenewssubscription\">\n  \n      <h2>Newsletter</h2>\n    \n      <div class=\"content\">\n      <form action=\"form_action_p_pvdeGsVG5zNF_XLGPTvYSKCf43t8qZYSwcfZl2uzM\" method=\"post\" id=\"simplenews-subscriptions-block-2e7f7bdc-7622-4ced-9848-99a362a0e07e\" accept-charset=\"UTF-8\">\n  <div class=\"field--type-simplenews-subscription field--name-subscriptions field--widget-simplenews-subscription-select js-form-wrapper form-wrapper\" data-drupal-selector=\"edit-subscriptions-wrapper\" id=\"edit-subscriptions-wrapper\"></div>\n<div id=\"edit-message\" class=\"js-form-item form-item js-form-type-item form-type-item js-form-item-message form-item-message form-no-label\">\n        Sign up for our mailing to get latest updates and offers.\n        </div>\n<input autocomplete=\"off\" data-drupal-selector=\"form-ggnr8owp2qvo4umvkitc9jmwzv412sdbk5i6-g3yym4\" type=\"hidden\" name=\"form_build_id\" value=\"form-ggnr8OWP2qVO4UmVKitc9JMWZv412sDBK5I6-G3yYM4\" />\n<input data-drupal-selector=\"edit-simplenews-subscriptions-block-2e7f7bdc-7622-4ced-9848-99a362a0e07e\" type=\"hidden\" name=\"form_id\" value=\"simplenews_subscriptions_block_2e7f7bdc-7622-4ced-9848-99a362a0e07e\" />\n<div class=\"field--type-email field--name-mail field--widget-email-default js-form-wrapper form-wrapper\" data-drupal-selector=\"edit-mail-wrapper\" id=\"edit-mail-wrapper\">      <div class=\"js-form-item form-item js-form-type-email form-type-email js-form-item-mail-0-value form-item-mail-0-value\">\n      <label for=\"edit-mail-0-value\" class=\"js-form-required form-required\">Email</label>\n        <input data-drupal-selector=\"edit-mail-0-value\" aria-describedby=\"edit-mail-0-value--description\" type=\"email\" id=\"edit-mail-0-value\" name=\"mail[0][value]\" value=\"\" size=\"60\" maxlength=\"254\" placeholder=\"\" class=\"form-email required\" required=\"required\" aria-required=\"true\" />\n\n            <div id=\"edit-mail-0-value--description\" class=\"description\">\n      The subscriber\'s email address.\n    </div>\n  </div>\n\n  </div>\n<div data-drupal-selector=\"edit-actions\" class=\"form-actions js-form-wrapper form-wrapper\" id=\"edit-actions--2\"><input data-drupal-selector=\"edit-subscribe\" type=\"submit\" id=\"edit-subscribe\" name=\"op\" value=\"Subscribe\" class=\"button js-form-submit form-submit\" />\n</div>\n\n</form>\n\n    </div>\n  </div>\n<div id=\"block-newsletterblock\" class=\"block block-block-content block-block-contentb0c92726-50bb-4afe-8a60-e078803c0753\">\n  \n    \n      <div class=\"content\">\n      \n            <div class=\"clearfix text-formatted field field--name-body field--type-text-with-summary field--label-hidden field__item\"><p>We respect your privacy</p>\n</div>\n      \n    </div>\n  </div>\n\n  </div>\n\n            </div>\n            <div class=\"col-md-3\">\n                <div class=\"region region-footer-fourthcolumn\">\n    <div id=\"block-contactus\" class=\"contact-us-block-info block block-block-content block-block-contentb7be088a-40ae-4f2f-9614-8e1bae7b453d\">\n  \n      <h2>Contact us</h2>\n    \n      <div class=\"content\">\n      \n            <div class=\"clearfix text-formatted field field--name-body field--type-text-with-summary field--label-hidden field__item\"><p>The generated Lorem Ipsum is therefore always free from repetition, injected humour, or non-characteristic words etc.</p>\n<address><span>1-800-123-HELLO</span> <a href=\"mailto:help@travelo.com\" title=\"help@travelo.com\">help@travelo.com</a></address>\n<div class=\"social-wrap\">\n<ul class=\"list-inline social-list\"><li><a href=\"#\" title=\"Twitter\"><span class=\"fa fa-twitter\" aria-hidden=\"true\">Twitter</span></a></li>\n<li><a href=\"#\" title=\"Google\"><span class=\"fa fa-google-plus\" aria-hidden=\"true\">Google</span></a></li>\n<li><a href=\"#\" title=\"Facebook\"><span class=\"fa fa-facebook\" aria-hidden=\"true\">Facebook</span></a></li>\n<li><a href=\"#\" title=\"linkkedin\"><span class=\"fa fa-linkedin-square\" aria-hidden=\"true\">linkkedin</span></a></li>\n<li><a href=\"#\" title=\"vimeo\"><span class=\"fa fa-vimeo\" aria-hidden=\"true\">vimeo</span></a></li>\n<li><a href=\"#\" title=\"dribble\"><span class=\"fa fa-dribbble\" aria-hidden=\"true\">dribble</span></a></li>\n<li><a href=\"#\" title=\"flick\"><span class=\"fa fa-flickr\" aria-hidden=\"true\">flick</span></a></li>\n</ul></div>\n</div>\n      \n    </div>\n  </div>\n\n  </div>\n\n            </div>\n          </div>\n        </div>\n\n      </section><!-- /#footer-columns -->\n    \n          <footer id=\"footer\" role=\"contentinfo\" class=\"clearfix\">\n        <div class=\"container\">\n            <div class=\"region region-footer\">\n    <div id=\"block-copyrightbyweebpal\" class=\"block block-block-content block-block-contentd077ed59-d2a0-42b7-afc6-ed94b9621584\">\n  \n    \n      <div class=\"content\">\n      \n            <div class=\"clearfix text-formatted field field--name-body field--type-text-with-summary field--label-hidden field__item\"><p>Design by <a href=\"https://weebpal.com/\" target=\"_blank\">WeebPal </a>- Drupal Development Company</p>\n</div>\n      \n    </div>\n  </div>\n\n  </div>\n\n        </div>\n      </footer> <!-- /#footer -->\n    \n    <!-- /.section, /#footer-wrapper -->\n\n  </div>\n\n\n  </div>\n\n    \n    <js-bottom-placeholder token=\"E0a0i3D0DdG2GVgEQQCOvbCJafPCtgdMRzevFLwyiXlG3f_ZBgZLDiFQxd2ZnAMhTv8o5W3ESw\">\n  </body>\n</html>\n\";s:10:\"\0*\0version\";s:3:\"1.0\";s:13:\"\0*\0statusCode\";i:200;s:13:\"\0*\0statusText\";s:2:\"OK\";s:10:\"\0*\0charset\";N;s:23:\"\0*\0cacheabilityMetadata\";O:35:\"Drupal\\Core\\Cache\\CacheableMetadata\":3:{s:16:\"\0*\0cacheContexts\";a:14:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:5:\"route\";i:3;s:32:\"route.menu_active_trails:account\";i:4;s:29:\"route.menu_active_trails:main\";i:5;s:30:\"route.menu_active_trails:quick\";i:6;s:5:\"theme\";i:7;s:8:\"timezone\";i:8;s:8:\"url.path\";i:9;s:30:\"url.query_args:_wrapper_format\";i:10;s:21:\"user.node_grants:view\";i:11;s:16:\"user.permissions\";i:12;s:10:\"user.roles\";i:13;s:24:\"user.roles:authenticated\";}s:12:\"\0*\0cacheTags\";a:92:{i:0;s:15:\"block_content:2\";i:1;s:15:\"block_content:4\";i:2;s:15:\"block_content:6\";i:3;s:18:\"block_content_view\";i:4;s:10:\"block_view\";i:5;s:23:\"config:block.block.blog\";i:6;s:30:\"config:block.block.breadcrumbs\";i:7;s:28:\"config:block.block.contactus\";i:8;s:37:\"config:block.block.copyrightbyweebpal\";i:9;s:41:\"config:block.block.luxestate_account_menu\";i:10;s:37:\"config:block.block.luxestate_branding\";i:11;s:40:\"config:block.block.luxestate_breadcrumbs\";i:12;s:36:\"config:block.block.luxestate_content\";i:13;s:35:\"config:block.block.luxestate_footer\";i:14;s:33:\"config:block.block.luxestate_help\";i:15;s:42:\"config:block.block.luxestate_local_actions\";i:16;s:40:\"config:block.block.luxestate_local_tasks\";i:17;s:37:\"config:block.block.luxestate_messages\";i:18;s:39:\"config:block.block.luxestate_page_title\";i:19;s:36:\"config:block.block.luxestate_powered\";i:20;s:35:\"config:block.block.luxestate_search\";i:21;s:34:\"config:block.block.luxestate_tools\";i:22;s:33:\"config:block.block.mainnavigation\";i:23;s:35:\"config:block.block.mainnavigation_2\";i:24;s:34:\"config:block.block.newsletterblock\";i:25;s:30:\"config:block.block.ourlocation\";i:26;s:28:\"config:block.block.pagetitle\";i:27;s:29:\"config:block.block.quicklinks\";i:28;s:41:\"config:block.block.simplenewssubscription\";i:29;s:48:\"config:block.block.views_block__about_us_block_1\";i:30;s:46:\"config:block.block.views_block__banner_block_1\";i:31;s:46:\"config:block.block.views_block__banner_block_2\";i:32;s:46:\"config:block.block.views_block__banner_block_3\";i:33;s:46:\"config:block.block.views_block__banner_block_4\";i:34;s:46:\"config:block.block.views_block__banner_block_5\";i:35;s:46:\"config:block.block.views_block__banner_block_6\";i:36;s:46:\"config:block.block.views_block__banner_block_7\";i:37;s:52:\"config:block.block.views_block__blog_details_block_1\";i:38;s:52:\"config:block.block.views_block__blog_details_block_3\";i:39;s:49:\"config:block.block.views_block__blog_page_block_1\";i:40;s:49:\"config:block.block.views_block__blog_page_block_2\";i:41;s:49:\"config:block.block.views_block__blog_page_block_3\";i:42;s:49:\"config:block.block.views_block__frontpage_block_1\";i:43;s:51:\"config:block.block.views_block__our_mission_block_1\";i:44;s:52:\"config:block.block.views_block__our_partners_block_1\";i:45;s:52:\"config:block.block.views_block__our_services_block_1\";i:46;s:49:\"config:block.block.views_block__portfolio_block_1\";i:47;s:49:\"config:block.block.views_block__slideshow_block_1\";i:48;s:44:\"config:block.block.views_block__tags_block_1\";i:49;s:53:\"config:block.block.views_block__why_choose_us_block_1\";i:50;s:53:\"config:block.block.views_block__why_choose_us_block_2\";i:51;s:17:\"config:block_list\";i:52;s:28:\"config:color.theme.luxestate\";i:53;s:83:\"config:core.entity_form_display.simplenews_subscriber.simplenews_subscriber.default\";i:54;s:76:\"config:field.field.simplenews_subscriber.simplenews_subscriber.subscriptions\";i:55;s:30:\"config:field.storage.node.body\";i:56;s:37:\"config:field.storage.node.field_image\";i:57;s:36:\"config:field.storage.node.field_link\";i:58;s:40:\"config:field.storage.node.field_partners\";i:59;s:56:\"config:field.storage.simplenews_subscriber.subscriptions\";i:60;s:30:\"config:filter.format.full_html\";i:61;s:32:\"config:image.style.image_380_224\";i:62;s:30:\"config:image.style.image_63_63\";i:63;s:26:\"config:system.menu.account\";i:64;s:23:\"config:system.menu.main\";i:65;s:24:\"config:system.menu.quick\";i:66;s:18:\"config:system.site\";i:67;s:27:\"config:views.view.blog_page\";i:68;s:30:\"config:views.view.our_partners\";i:69;s:8:\"file:105\";i:70;s:8:\"file:109\";i:71;s:8:\"file:111\";i:72;s:8:\"file:112\";i:73;s:8:\"file:122\";i:74;s:6:\"file:2\";i:75;s:6:\"file:4\";i:76;s:6:\"file:5\";i:77;s:6:\"file:6\";i:78;s:10:\"local_task\";i:79;s:7:\"node:10\";i:80;s:7:\"node:11\";i:81;s:7:\"node:16\";i:82;s:7:\"node:30\";i:83;s:6:\"node:4\";i:84;s:7:\"node:43\";i:85;s:7:\"node:44\";i:86;s:6:\"node:5\";i:87;s:6:\"node:7\";i:88;s:6:\"node:9\";i:89;s:9:\"node_list\";i:90;s:6:\"user:0\";i:91;s:8:\"rendered\";}s:14:\"\0*\0cacheMaxAge\";i:-1;}s:14:\"\0*\0attachments\";a:6:{s:7:\"library\";a:13:{i:0;s:14:\"core/html5shiv\";i:1;s:11:\"system/base\";i:2;s:11:\"classy/base\";i:3;s:15:\"classy/messages\";i:4;s:14:\"core/normalize\";i:5;s:24:\"luxestate/global-styling\";i:6;s:20:\"luxestate/corescript\";i:7;s:18:\"views/views.module\";i:8;s:18:\"views/views.module\";i:9;s:18:\"views/views.module\";i:10;s:18:\"views/views.module\";i:11;s:38:\"we_megamenu/form.we-mega-menu-frontend\";i:12;s:20:\"luxestate/skins-menu\";}s:14:\"html_head_link\";a:1:{i:0;a:1:{i:0;a:3:{s:3:\"rel\";s:13:\"shortcut icon\";s:4:\"href\";s:29:\"/themes/luxestate/favicon.ico\";s:4:\"type\";s:24:\"image/vnd.microsoft.icon\";}}}s:9:\"html_head\";a:5:{i:0;a:2:{i:0;a:3:{s:4:\"#tag\";s:4:\"meta\";s:11:\"#attributes\";a:1:{s:7:\"charset\";s:5:\"utf-8\";}s:7:\"#weight\";i:-1000;}i:1;s:24:\"system_meta_content_type\";}i:1;a:2:{i:0;a:3:{s:5:\"#type\";s:8:\"html_tag\";s:4:\"#tag\";s:4:\"meta\";s:11:\"#attributes\";a:2:{s:4:\"name\";s:9:\"Generator\";s:7:\"content\";s:33:\"Drupal 8 (https://www.drupal.org)\";}}i:1;s:21:\"system_meta_generator\";}i:2;a:2:{i:0;a:2:{s:4:\"#tag\";s:4:\"meta\";s:11:\"#attributes\";a:2:{s:4:\"name\";s:15:\"MobileOptimized\";s:7:\"content\";s:5:\"width\";}}i:1;s:15:\"MobileOptimized\";}i:3;a:2:{i:0;a:2:{s:4:\"#tag\";s:4:\"meta\";s:11:\"#attributes\";a:2:{s:4:\"name\";s:16:\"HandheldFriendly\";s:7:\"content\";s:4:\"true\";}}i:1;s:16:\"HandheldFriendly\";}i:4;a:2:{i:0;a:2:{s:4:\"#tag\";s:4:\"meta\";s:11:\"#attributes\";a:2:{s:4:\"name\";s:8:\"viewport\";s:7:\"content\";s:37:\"width=device-width, initial-scale=1.0\";}}i:1;s:8:\"viewport\";}}s:14:\"drupalSettings\";a:1:{s:14:\"ajaxTrustedUrl\";a:1:{s:55:\"form_action_p_pvdeGsVG5zNF_XLGPTvYSKCf43t8qZYSwcfZl2uzM\";b:1;}}s:12:\"placeholders\";a:2:{s:55:\"form_action_p_pvdeGsVG5zNF_XLGPTvYSKCf43t8qZYSwcfZl2uzM\";a:1:{s:13:\"#lazy_builder\";a:2:{i:0;s:40:\"form_builder:renderPlaceholderFormAction\";i:1;a:0:{}}}s:190:\"<drupal-render-placeholder callback=\"Drupal\\Core\\Render\\Element\\StatusMessages::renderMessages\" arguments=\"0\" token=\"_HAdUpwWmet0TOTe2PSiJuMntExoshbm1kh2wQzzzAA\"></drupal-render-placeholder>\";a:1:{s:13:\"#lazy_builder\";a:2:{i:0;s:57:\"Drupal\\Core\\Render\\Element\\StatusMessages::renderMessages\";i:1;a:1:{i:0;N;}}}}s:37:\"html_response_attachment_placeholders\";a:4:{s:6:\"styles\";s:100:\"<css-placeholder token=\"E0a0i3D0DdG2GVgEQQCOvbCJafPCtgdMRzevFLwyiXlG3f_ZBgZLDiFQxd2ZnAMhTv8o5W3ESw\">\";s:7:\"scripts\";s:99:\"<js-placeholder token=\"E0a0i3D0DdG2GVgEQQCOvbCJafPCtgdMRzevFLwyiXlG3f_ZBgZLDiFQxd2ZnAMhTv8o5W3ESw\">\";s:14:\"scripts_bottom\";s:106:\"<js-bottom-placeholder token=\"E0a0i3D0DdG2GVgEQQCOvbCJafPCtgdMRzevFLwyiXlG3f_ZBgZLDiFQxd2ZnAMhTv8o5W3ESw\">\";s:4:\"head\";s:101:\"<head-placeholder token=\"E0a0i3D0DdG2GVgEQQCOvbCJafPCtgdMRzevFLwyiXlG3f_ZBgZLDiFQxd2ZnAMhTv8o5W3ESw\">\";}}}}',-1,1637057291.625,1,'block_content:2 block_content:4 block_content:6 block_content_view block_view config:block.block.blog config:block.block.breadcrumbs config:block.block.contactus config:block.block.copyrightbyweebpal config:block.block.luxestate_account_menu config:block.block.luxestate_branding config:block.block.luxestate_breadcrumbs config:block.block.luxestate_content config:block.block.luxestate_footer config:block.block.luxestate_help config:block.block.luxestate_local_actions config:block.block.luxestate_local_tasks config:block.block.luxestate_messages config:block.block.luxestate_page_title config:block.block.luxestate_powered config:block.block.luxestate_search config:block.block.luxestate_tools config:block.block.mainnavigation config:block.block.mainnavigation_2 config:block.block.newsletterblock config:block.block.ourlocation config:block.block.pagetitle config:block.block.quicklinks config:block.block.simplenewssubscription config:block.block.views_block__about_us_block_1 config:block.block.views_block__banner_block_1 config:block.block.views_block__banner_block_2 config:block.block.views_block__banner_block_3 config:block.block.views_block__banner_block_4 config:block.block.views_block__banner_block_5 config:block.block.views_block__banner_block_6 config:block.block.views_block__banner_block_7 config:block.block.views_block__blog_details_block_1 config:block.block.views_block__blog_details_block_3 config:block.block.views_block__blog_page_block_1 config:block.block.views_block__blog_page_block_2 config:block.block.views_block__blog_page_block_3 config:block.block.views_block__frontpage_block_1 config:block.block.views_block__our_mission_block_1 config:block.block.views_block__our_partners_block_1 config:block.block.views_block__our_services_block_1 config:block.block.views_block__portfolio_block_1 config:block.block.views_block__slideshow_block_1 config:block.block.views_block__tags_block_1 config:block.block.views_block__why_choose_us_block_1 config:block.block.views_block__why_choose_us_block_2 config:block_list config:color.theme.luxestate config:core.entity_form_display.simplenews_subscriber.simplenews_subscriber.default config:field.field.simplenews_subscriber.simplenews_subscriber.subscriptions config:field.storage.node.body config:field.storage.node.field_image config:field.storage.node.field_link config:field.storage.node.field_partners config:field.storage.simplenews_subscriber.subscriptions config:filter.format.full_html config:image.style.image_380_224 config:image.style.image_63_63 config:system.menu.account config:system.menu.main config:system.menu.quick config:system.site config:views.view.blog_page config:views.view.our_partners file:105 file:109 file:111 file:112 file:122 file:2 file:4 file:5 file:6 local_task node:10 node:11 node:16 node:30 node:4 node:43 node:44 node:5 node:7 node:9 node_list rendered user:0','269'),('response:[languages:language_content]=en:[languages:language_interface]=en:[request_format]=html:[route]=user.login35786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=luxestate:[timezone]=EurFZ1E-KevmA6FXKlH3Jw8UwajPLBMQg1TenbkRt007DQ','a:5:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";s:0:\"\";s:6:\"#cache\";a:3:{s:8:\"contexts\";a:15:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:14:\"request_format\";i:3;s:5:\"route\";i:4;s:32:\"route.menu_active_trails:account\";i:5;s:29:\"route.menu_active_trails:main\";i:6;s:30:\"route.menu_active_trails:quick\";i:7;s:5:\"theme\";i:8;s:8:\"timezone\";i:9;s:8:\"url.path\";i:10;s:30:\"url.query_args:_wrapper_format\";i:11;s:21:\"user.node_grants:view\";i:12;s:16:\"user.permissions\";i:13;s:10:\"user.roles\";i:14;s:24:\"user.roles:authenticated\";}s:4:\"tags\";a:93:{i:0;s:15:\"block_content:2\";i:1;s:15:\"block_content:4\";i:2;s:15:\"block_content:6\";i:3;s:18:\"block_content_view\";i:4;s:10:\"block_view\";i:5;s:23:\"config:block.block.blog\";i:6;s:30:\"config:block.block.breadcrumbs\";i:7;s:28:\"config:block.block.contactus\";i:8;s:37:\"config:block.block.copyrightbyweebpal\";i:9;s:41:\"config:block.block.luxestate_account_menu\";i:10;s:37:\"config:block.block.luxestate_branding\";i:11;s:40:\"config:block.block.luxestate_breadcrumbs\";i:12;s:36:\"config:block.block.luxestate_content\";i:13;s:35:\"config:block.block.luxestate_footer\";i:14;s:33:\"config:block.block.luxestate_help\";i:15;s:42:\"config:block.block.luxestate_local_actions\";i:16;s:40:\"config:block.block.luxestate_local_tasks\";i:17;s:37:\"config:block.block.luxestate_messages\";i:18;s:39:\"config:block.block.luxestate_page_title\";i:19;s:36:\"config:block.block.luxestate_powered\";i:20;s:35:\"config:block.block.luxestate_search\";i:21;s:34:\"config:block.block.luxestate_tools\";i:22;s:33:\"config:block.block.mainnavigation\";i:23;s:35:\"config:block.block.mainnavigation_2\";i:24;s:34:\"config:block.block.newsletterblock\";i:25;s:30:\"config:block.block.ourlocation\";i:26;s:28:\"config:block.block.pagetitle\";i:27;s:29:\"config:block.block.quicklinks\";i:28;s:41:\"config:block.block.simplenewssubscription\";i:29;s:48:\"config:block.block.views_block__about_us_block_1\";i:30;s:46:\"config:block.block.views_block__banner_block_1\";i:31;s:46:\"config:block.block.views_block__banner_block_2\";i:32;s:46:\"config:block.block.views_block__banner_block_3\";i:33;s:46:\"config:block.block.views_block__banner_block_4\";i:34;s:46:\"config:block.block.views_block__banner_block_5\";i:35;s:46:\"config:block.block.views_block__banner_block_6\";i:36;s:46:\"config:block.block.views_block__banner_block_7\";i:37;s:52:\"config:block.block.views_block__blog_details_block_1\";i:38;s:52:\"config:block.block.views_block__blog_details_block_3\";i:39;s:49:\"config:block.block.views_block__blog_page_block_1\";i:40;s:49:\"config:block.block.views_block__blog_page_block_2\";i:41;s:49:\"config:block.block.views_block__blog_page_block_3\";i:42;s:49:\"config:block.block.views_block__frontpage_block_1\";i:43;s:51:\"config:block.block.views_block__our_mission_block_1\";i:44;s:52:\"config:block.block.views_block__our_partners_block_1\";i:45;s:52:\"config:block.block.views_block__our_services_block_1\";i:46;s:49:\"config:block.block.views_block__portfolio_block_1\";i:47;s:49:\"config:block.block.views_block__slideshow_block_1\";i:48;s:44:\"config:block.block.views_block__tags_block_1\";i:49;s:53:\"config:block.block.views_block__why_choose_us_block_1\";i:50;s:53:\"config:block.block.views_block__why_choose_us_block_2\";i:51;s:17:\"config:block_list\";i:52;s:28:\"config:color.theme.luxestate\";i:53;s:83:\"config:core.entity_form_display.simplenews_subscriber.simplenews_subscriber.default\";i:54;s:76:\"config:field.field.simplenews_subscriber.simplenews_subscriber.subscriptions\";i:55;s:30:\"config:field.storage.node.body\";i:56;s:37:\"config:field.storage.node.field_image\";i:57;s:36:\"config:field.storage.node.field_link\";i:58;s:40:\"config:field.storage.node.field_partners\";i:59;s:56:\"config:field.storage.simplenews_subscriber.subscriptions\";i:60;s:30:\"config:filter.format.full_html\";i:61;s:32:\"config:image.style.image_380_224\";i:62;s:30:\"config:image.style.image_63_63\";i:63;s:26:\"config:system.menu.account\";i:64;s:23:\"config:system.menu.main\";i:65;s:24:\"config:system.menu.quick\";i:66;s:18:\"config:system.site\";i:67;s:20:\"config:user.settings\";i:68;s:27:\"config:views.view.blog_page\";i:69;s:30:\"config:views.view.our_partners\";i:70;s:8:\"file:105\";i:71;s:8:\"file:109\";i:72;s:8:\"file:111\";i:73;s:8:\"file:112\";i:74;s:8:\"file:122\";i:75;s:6:\"file:2\";i:76;s:6:\"file:4\";i:77;s:6:\"file:5\";i:78;s:6:\"file:6\";i:79;s:10:\"local_task\";i:80;s:7:\"node:10\";i:81;s:7:\"node:11\";i:82;s:7:\"node:16\";i:83;s:7:\"node:30\";i:84;s:6:\"node:4\";i:85;s:7:\"node:43\";i:86;s:7:\"node:44\";i:87;s:6:\"node:5\";i:88;s:6:\"node:7\";i:89;s:6:\"node:9\";i:90;s:9:\"node_list\";i:91;s:8:\"rendered\";i:92;s:6:\"user:0\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:1:{i:0;s:9:\"#response\";}s:9:\"#response\";O:31:\"Drupal\\Core\\Render\\HtmlResponse\":8:{s:7:\"headers\";O:50:\"Symfony\\Component\\HttpFoundation\\ResponseHeaderBag\":5:{s:23:\"\0*\0computedCacheControl\";a:2:{s:8:\"no-cache\";b:1;s:7:\"private\";b:1;}s:10:\"\0*\0cookies\";a:0:{}s:14:\"\0*\0headerNames\";a:3:{s:12:\"content-type\";s:12:\"Content-Type\";s:13:\"cache-control\";s:13:\"Cache-Control\";s:4:\"date\";s:4:\"Date\";}s:10:\"\0*\0headers\";a:3:{s:12:\"content-type\";a:1:{i:0;s:24:\"text/html; charset=UTF-8\";}s:13:\"cache-control\";a:1:{i:0;s:17:\"no-cache, private\";}s:4:\"date\";a:1:{i:0;s:29:\"Tue, 16 Nov 2021 10:08:10 GMT\";}}s:15:\"\0*\0cacheControl\";a:0:{}}s:10:\"\0*\0content\";s:29704:\"<!DOCTYPE html>\n<html lang=\"en\" dir=\"ltr\" prefix=\"content: http://purl.org/rss/1.0/modules/content/  dc: http://purl.org/dc/terms/  foaf: http://xmlns.com/foaf/0.1/  og: http://ogp.me/ns#  rdfs: http://www.w3.org/2000/01/rdf-schema#  schema: http://schema.org/  sioc: http://rdfs.org/sioc/ns#  sioct: http://rdfs.org/sioc/types#  skos: http://www.w3.org/2004/02/skos/core#  xsd: http://www.w3.org/2001/XMLSchema# \">\n  <head>\n    <head-placeholder token=\"wBZ9-HmrDqWswttmRIvh7izWz5cLiz_lLjebgK7Jw8dvvYCnK1DcD5WwN7OPs4eyrcBfaZ29Cw\">\n    <title>Log in | Luxestate</title>\n    <css-placeholder token=\"wBZ9-HmrDqWswttmRIvh7izWz5cLiz_lLjebgK7Jw8dvvYCnK1DcD5WwN7OPs4eyrcBfaZ29Cw\">\n    <js-placeholder token=\"wBZ9-HmrDqWswttmRIvh7izWz5cLiz_lLjebgK7Jw8dvvYCnK1DcD5WwN7OPs4eyrcBfaZ29Cw\">\n    <meta name=\"viewport\" content=\"width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no\">\n    <meta name=\"HandheldFriendly\" content=\"true\" />\n    <meta name=\"apple-touch-fullscreen\" content=\"YES\" />\n  </head>\n  <body class=\"not-front user  bg-default path-user\">\n        <a href=\"#main-content\" class=\"visually-hidden focusable\">\n      Skip to main content\n    </a>\n    \n      <div class=\"dialog-off-canvas-main-canvas\" data-off-canvas-main-canvas>\n    \n  <div id=\"page\"  class=\"\">\n\n        <div id=\"change_skin_menu_wrapper\" class=\"change-skin-menu-wrapper wrapper\"><div class=\"container\"><a id=\"change-skin\" class=\"change-skin\" href=\"javascript:void(0)\"><i class=\"fa fa-cog\" aria-hidden=\"true\"></i>\n\n</a><div class=\"skin-color\"><strong>Skin</strong><ul class=\"change-skin-menu\"><li class=\"default\"><a href=\"#change-skin/default\" class=\"change-skin-button color-default\">Default Style</a></li></ul></div><div class=\"layout\"><strong>Layout Boxed</strong><label class=\"switch-btn\"><span id=\"layout-default\" class=\"btn btn-default change-layout-button  active\">No</span><span id=\"layout-boxed\" class=\"btn btn-default change-layout-button \">Yes</span></label></div><div class=\"background hidden\"><strong>Background</strong><ul class=\"change-background\"><li class=\"bg-default active\"><a href=\"#change-background/bg-default\" class=\"change-background-button\">Default</a></li><li class=\"bg-1\"><a href=\"#change-background/bg-1\" class=\"change-background-button\">Background 1</a></li><li class=\"bg-2\"><a href=\"#change-background/bg-2\" class=\"change-background-button\">Background 2</a></li><li class=\"bg-3\"><a href=\"#change-background/bg-3\" class=\"change-background-button\">Background 3</a></li><li class=\"bg-4\"><a href=\"#change-background/bg-4\" class=\"change-background-button\">Background 4</a></li><li class=\"bg-5\"><a href=\"#change-background/bg-5\" class=\"change-background-button\">Background 5</a></li><li class=\"bg-6\"><a href=\"#change-background/bg-6\" class=\"change-background-button\">Background 6</a></li><li class=\"bg-7\"><a href=\"#change-background/bg-7\" class=\"change-background-button\">Background 7</a></li></ul></div><div class=\"direction\"><strong>Direction</strong><ul class=\"change-direction\"><li class=\"active\"><a href=\"/\" class=\"change-direction-button\">LTR</a></li><li class=\"\"><a href=\"/ar\" class=\"change-direction-button\">RTL</a></li></ul></div></div></div>\n    \n    \n    \n    <header id=\"header\" role=\"banner\" aria-label=\"Site header\">\n      <div class=\"container clearfix\">\n\n          <div class=\"region region-secondary-menu\">\n    <nav role=\"navigation\" aria-labelledby=\"block-luxestate-account-menu-menu\" id=\"block-luxestate-account-menu\" class=\"block block-menu navigation menu--account\">\n            \n  <h2 class=\"visually-hidden\" id=\"block-luxestate-account-menu-menu\">User account menu</h2>\n  \n\n        \n              <ul class=\"clearfix menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/user/login\" data-drupal-link-system-path=\"user/login\">Log in</a>\n              </li>\n        </ul>\n  \n\n\n  </nav>\n\n  </div>\n\n\n        <a href=\"#menu-toggle\" class=\"navbar-toggle\" id=\"ico-main-menu\">\n              <span class=\"icon-bar\"></span>\n              <span class=\"icon-bar\"></span>\n              <span class=\"icon-bar\"></span>\n        </a>\n\n        \n        \n          <div class=\"clearfix region region-header\">\n    <div id=\"block-luxestate-branding\" class=\"clearfix site-branding block block-system block-system-branding-block\">\n  \n    \n        <a href=\"/\" title=\"Home\" rel=\"home\" class=\"site-branding__logo\">\n      <img src=\"/themes/luxestate/logo.svg\" alt=\"Home\" />\n    </a>\n        <div class=\"site-branding__text\">\n              <div class=\"site-branding__name\">\n          <a href=\"/\" title=\"Home\" rel=\"home\">Luxestate</a>\n        </div>\n                    <div class=\"site-branding__slogan\">Luxestate is open source software has long been a natural choice for schools </div>\n          </div>\n  </div>\n\n  </div>\n\n\n                        <div class=\"region region-primary-menu\">\n    <div id=\"block-mainnavigation-2\" class=\"block block-we-megamenu block-we-megamenu-blockmain\">\n  \n    \n      <div class=\"content\">\n      <div class=\"region-we-mega-menu\">\n	<a class=\"navbar-toggle collapsed\">\n	    <span class=\"icon-bar\"></span>\n	    <span class=\"icon-bar\"></span>\n	    <span class=\"icon-bar\"></span>\n	</a>\n	<nav  class=\"main navbar navbar-default navbar-we-mega-menu mobile-collapse hover-action\" data-menu-name=\"main\" data-block-theme=\"luxestate\" data-style=\"Default\" data-animation=\"None\" data-delay=\"\" data-duration=\"\" data-autoarrow=\"\" data-alwayshowsubmenu=\"\" data-action=\"hover\" data-mobile-collapse=\"0\">\n	  <div class=\"container-fluid\">\n	    <ul  class=\"we-mega-menu-ul nav nav-tabs\">\n  <li  class=\"we-mega-menu-li\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"\" data-id=\"/\" data-submenu=\"0\" hide-sub-when-collapse=\"0\">\n      <a class=\"we-mega-menu-li\" title=\"\" href=\"/\" target=\"\">\n      Home    </a>\n    \n</li><li  class=\"we-mega-menu-li\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"About us\" data-id=\"56804dba-564f-4261-be6d-3260b06c9b37\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"About us\" href=\"/about-us\" target=\"\">\n      About us    </a>\n    \n</li><li  class=\"we-mega-menu-li\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"Services\" data-id=\"4ee76de9-f8b7-4213-be88-719f49654dfb\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Services\" href=\"/services\" target=\"\">\n      Services    </a>\n    \n</li><li  class=\"we-mega-menu-li dropdown-menu\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"Porfolio\" data-id=\"49749b67-c74d-408e-a60e-bf8ff8ffb97f\" data-submenu=\"1\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Porfolio\" href=\"/portfolio\" target=\"\">\n      Portfolio    </a>\n    <div  class=\"we-mega-menu-submenu\" data-element-type=\"we-mega-menu-submenu\" data-submenu-width=\"\" data-class=\"\" style=\"width: px\">\n  <div class=\"we-mega-menu-submenu-inner\">\n    <div  class=\"we-mega-menu-row\" data-element-type=\"we-mega-menu-row\" data-custom-row=\"0\">\n  <div  class=\"we-mega-menu-col span12 cccc\" data-element-type=\"we-mega-menu-col\" data-width=\"12\" data-block=\"\" data-blocktitle=\"0\" data-hidewhencollapse=\"\" data-class=\"cccc\">\n  <ul class=\"nav nav-tabs subul\">\n  <li  class=\"we-mega-menu-li\" data-level=\"1\" data-element-type=\"we-mega-menu-li\" description=\"Portfolio 4 col\" data-id=\"d4ba7240-f5f6-4077-92a1-b03f3dc2fc12\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Portfolio 4 col\" href=\"/portfolio_4_col\" target=\"\">\n      Portfolio 4 col    </a>\n    \n</li><li  class=\"we-mega-menu-li\" data-level=\"1\" data-element-type=\"we-mega-menu-li\" description=\"Portfolio masonry\" data-id=\"20bcd853-7bfc-4421-8c82-15217f40ae51\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Portfolio masonry\" href=\"/portfolio_masonry\" target=\"\">\n      Portfolio masonry    </a>\n    \n</li>\n</ul>\n</div>\n\n</div>\n\n  </div>\n</div>\n</li><li  class=\"we-mega-menu-li dropdown-menu\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"Blog\" data-id=\"2bdced62-2f42-4421-b679-32d1d8b4b8b7\" data-submenu=\"1\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Blog\" href=\"/blog\" target=\"\">\n      Blog    </a>\n    <div  class=\"we-mega-menu-submenu\" data-element-type=\"we-mega-menu-submenu\" data-submenu-width=\"\" data-class=\"\" style=\"width: px\">\n  <div class=\"we-mega-menu-submenu-inner\">\n    <div  class=\"we-mega-menu-row\" data-element-type=\"we-mega-menu-row\" data-custom-row=\"0\">\n  <div  class=\"we-mega-menu-col span12\" data-element-type=\"we-mega-menu-col\" data-width=\"12\" data-block=\"\" data-blocktitle=\"0\" data-hidewhencollapse=\"\" data-class=\"\">\n  <ul class=\"nav nav-tabs subul\">\n  <li  class=\"we-mega-menu-li\" data-level=\"1\" data-element-type=\"we-mega-menu-li\" description=\"Blog default\" data-id=\"7e0a4dbd-8408-4b7e-bd75-c8515eb0dec0\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Blog default\" href=\"/blog_default\" target=\"\">\n      Blog default    </a>\n    \n</li>\n</ul>\n</div>\n\n</div>\n\n  </div>\n</div>\n</li><li  class=\"we-mega-menu-li\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"Contact\" data-id=\"36727826-f03f-4f36-919a-142ae953e104\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Contact\" href=\"/contact\" target=\"\">\n      Contact    </a>\n    \n</li><li  class=\"we-mega-menu-li\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"More themes\" data-id=\"60c931cd-37da-4cfd-a054-ef7863f9f6b2\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"More themes\" href=\"http://weebpal.com/\" target=\"\">\n      More themes    </a>\n    \n</li><li  class=\"we-mega-menu-li user-log-in active active-trail\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"\" data-id=\"bd337eec-18a0-43da-aca9-292607213b64\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"user-log-in\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"\" href=\"/user/login\" target=\"\">\n      Login | User    </a>\n    \n</li>\n</ul>\n	  </div>\n	</nav>\n</div>\n    </div>\n  </div>\n\n  </div>\n\n        \n      </div>\n    </header>\n    <!-- /.section, /#header-->\n\n\n	\n<!--      -->\n\n    \n    \n    \n    \n		<section class=\"highlighted\">\n		<div class=\"container\">\n			  <div class=\"region region-highlighted\">\n    <div data-drupal-messages-fallback class=\"hidden\"></div><drupal-render-placeholder callback=\"Drupal\\Core\\Render\\Element\\StatusMessages::renderMessages\" arguments=\"0\" token=\"_HAdUpwWmet0TOTe2PSiJuMntExoshbm1kh2wQzzzAA\"></drupal-render-placeholder>\n\n  </div>\n\n		</div>\n	</section>\n	\n    <section id=\"main\">\n      <div class=\"container\">\n        <div class=\"row\">\n        <div id=\"content\" role=\"main\" class=\"col-lg-12 col-md-12 col-sm-12 col-xs-12\">\n            <a id=\"main-content\" tabindex=\"-1\"></a>\n\n                        \n                          <div class=\"region region-content\">\n    <div id=\"block-luxestate-page-title\" class=\"block block-core block-page-title-block\">\n  \n    \n      <div class=\"content\">\n      \n  <h1 class=\"title page-title\">Log in</h1>\n\n\n    </div>\n  </div>\n<div id=\"block-luxestate-local-tasks\" class=\"block block-core block-local-tasks-block\">\n  \n    \n        <nav class=\"tabs\" role=\"navigation\" aria-label=\"Tabs\">\n        <h2 class=\"visually-hidden\">Primary tabs</h2>\n  <ul class=\"tabs primary\"><li class=\"is-active\"><a href=\"/user/login\" data-drupal-link-system-path=\"user/login\">Log in<span class=\"visually-hidden\">(active tab)</span></a></li>\n<li><a href=\"/user/password\" data-drupal-link-system-path=\"user/password\">Reset your password</a></li>\n</ul>\n\n    </nav>\n  </div>\n<div id=\"block-luxestate-content\" class=\"block block-system block-system-main-block\">\n  \n    \n      <div class=\"content\">\n      <form class=\"user-login-form\" data-drupal-selector=\"user-login-form\" action=\"form_action_p_pvdeGsVG5zNF_XLGPTvYSKCf43t8qZYSwcfZl2uzM\" method=\"post\" id=\"user-login-form\" accept-charset=\"UTF-8\">\n  <div class=\"js-form-item form-item js-form-type-textfield form-type-textfield js-form-item-name form-item-name\">\n      <label for=\"edit-name\" class=\"js-form-required form-required\">Username</label>\n        <input autocorrect=\"none\" autocapitalize=\"none\" spellcheck=\"false\" autofocus=\"autofocus\" data-drupal-selector=\"edit-name\" aria-describedby=\"edit-name--description\" type=\"text\" id=\"edit-name\" name=\"name\" value=\"\" size=\"60\" maxlength=\"60\" class=\"form-text required\" required=\"required\" aria-required=\"true\" />\n\n            <div id=\"edit-name--description\" class=\"description\">\n      Enter your Luxestate username.\n    </div>\n  </div>\n<div class=\"js-form-item form-item js-form-type-password form-type-password js-form-item-pass form-item-pass\">\n      <label for=\"edit-pass\" class=\"js-form-required form-required\">Password</label>\n        <input data-drupal-selector=\"edit-pass\" aria-describedby=\"edit-pass--description\" type=\"password\" id=\"edit-pass\" name=\"pass\" size=\"60\" maxlength=\"128\" class=\"form-text required\" required=\"required\" aria-required=\"true\" />\n\n            <div id=\"edit-pass--description\" class=\"description\">\n      Enter the password that accompanies your username.\n    </div>\n  </div>\n<input autocomplete=\"off\" data-drupal-selector=\"form-ikayrzp6a-czolllnxgvw4q3kdz2-cg-hwtnwh0v4-c\" type=\"hidden\" name=\"form_build_id\" value=\"form-IKAyRzP6A_cZOlllNXGvW4q3kDZ2-Cg_hwTnWH0V4-c\" />\n<input data-drupal-selector=\"edit-user-login-form\" type=\"hidden\" name=\"form_id\" value=\"user_login_form\" />\n<div data-drupal-selector=\"edit-actions\" class=\"form-actions js-form-wrapper form-wrapper\" id=\"edit-actions\"><input data-drupal-selector=\"edit-submit\" type=\"submit\" id=\"edit-submit\" name=\"op\" value=\"Log in\" class=\"button js-form-submit form-submit\" />\n</div>\n\n</form>\n\n    </div>\n  </div>\n\n  </div>\n\n        </div>\n        <!-- /.section, /#content -->\n        \n        \n\n        </div>\n      </div>\n    </section>\n    <!-- /#main, /#main-wrapper -->\n\n    \n    \n    \n    \n        <section id=\"panel-fifth\">\n      <div class=\"container\">\n          <div class=\"region region-panel-fifth\">\n    <div class=\"views-element-container block block-views block-views-blockour-partners-block-1\" id=\"block-views-block-our-partners-block-1\">\n  \n      <h2>Our partners</h2>\n    \n      <div class=\"content\">\n      <div><div class=\"view-our-partners view view-id-our_partners view-display-id-block_1 js-view-dom-id-9efb7e06a742e05aa5ddfa1e31de1ccbe8adccc82386493a22e76888742f59d6\">\n  \n    \n      \n      <div class=\"view-content\">\n      <div class=\"owl-carousel carousel-responsive\">\n          <div>\n        <div class=\"views-field views-field-field-partners\"><div class=\"field-content\"><a href=\"http://demo.weebpal.com/drupal8/business/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/logo-bs.png?itok=K0RPbk_h\" width=\"380\" height=\"224\" alt=\"Business\" title=\"Business\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a></div></div>\n      </div>\n          <div>\n        <div class=\"views-field views-field-field-partners\"><div class=\"field-content\"><a href=\"http://weebpal.com/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/logo-wp.png?itok=bg9l3f8O\" width=\"380\" height=\"224\" alt=\"Weebpal\" title=\"Weebpal\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a></div></div>\n      </div>\n          <div>\n        <div class=\"views-field views-field-field-partners\"><div class=\"field-content\"><a href=\"https://jquery.com/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/jquery-logo.png?itok=LOz187-u\" width=\"380\" height=\"224\" alt=\"jQuery\" title=\"jQuery\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a></div></div>\n      </div>\n          <div>\n        <div class=\"views-field views-field-field-partners\"><div class=\"field-content\"><a href=\"https://www.youtube.com/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/youtube_logo.png?itok=W1Z0jbNz\" width=\"380\" height=\"224\" alt=\"Youtube\" title=\"Youtube\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a></div></div>\n      </div>\n          <div>\n        <div class=\"views-field views-field-field-partners\"><div class=\"field-content\"><a href=\"http://getbootstrap.com/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/bootstrap-logo.png?itok=1m_YLXKP\" width=\"380\" height=\"224\" alt=\"Bootstrap\" title=\"Bootstrap\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a></div></div>\n      </div>\n          <div>\n        <div class=\"views-field views-field-field-partners\"><div class=\"field-content\"><a href=\"https://www.drupal.com/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/drupal-logo-trans.png?itok=xwZywhaS\" width=\"380\" height=\"224\" alt=\"Drupal\" title=\"Drupal\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a></div></div>\n      </div>\n        \n</div>  \n\n\n    </div>\n  \n          </div>\n</div>\n\n    </div>\n  </div>\n\n  </div>\n\n      </div>\n    </section>\n    \n    \n          <section id=\"footer-columns\">\n        <div class=\"container\">\n          <div class=\"row\">\n            <div class=\"col-md-3\">\n                <div class=\"region region-footer-firstcolumn\">\n    <nav role=\"navigation\" aria-labelledby=\"block-quicklinks-menu\" id=\"block-quicklinks\" class=\"block block-menu navigation menu--quick\">\n      \n  <h2 id=\"block-quicklinks-menu\">Quick links</h2>\n  \n\n        \n              <ul class=\"clearfix menu\">\n                    <li class=\"menu-item\">\n        <a href=\"https://www.drupal.org/\" target=\"_blank\" title=\"Drupal\">Drupal</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"https://www.facebook.com/\" target=\"_blank\" title=\"Facebook\">Facebook</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"https://www.google.com\" target=\"_blank\" title=\"Google\">Google</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"https://twitter.com/\" target=\"_blank\" title=\"Twitter\">Twitter</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"https://www.weebpal.com/\" target=\"_blank\" title=\"Weebpal\">Weebpal</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"https://wordpress.com/\" target=\"_blank\" title=\"Wordpress\">Wordpress</a>\n              </li>\n        </ul>\n  \n\n\n  </nav>\n<nav role=\"navigation\" aria-labelledby=\"block-mainnavigation-menu\" id=\"block-mainnavigation\" class=\"main-menu-footer block block-menu navigation menu--main\">\n            \n  <h2 class=\"visually-hidden\" id=\"block-mainnavigation-menu\">Main navigation</h2>\n  \n\n        \n              <ul class=\"clearfix menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/\" data-drupal-link-system-path=\"&lt;front&gt;\">Home</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/about-us\" target=\"\" title=\"About us\" data-drupal-link-system-path=\"node/4\">About us</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/services\" target=\"\" title=\"Services\" data-drupal-link-system-path=\"node/30\">Services</a>\n              </li>\n                <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/portfolio\" target=\"\" title=\"Porfolio\" data-drupal-link-system-path=\"portfolio\">Portfolio</a>\n                                <ul class=\"menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/portfolio_4_col\" target=\"\" title=\"Portfolio 4 col\" data-drupal-link-system-path=\"portfolio_4_col\">Portfolio 4 col</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/portfolio_masonry\" target=\"\" title=\"Portfolio masonry\" data-drupal-link-system-path=\"portfolio_masonry\">Portfolio masonry</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/blog\" target=\"\" title=\"Blog\" data-drupal-link-system-path=\"blog\">Blog</a>\n                                <ul class=\"menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/blog_default\" target=\"\" title=\"Blog default\" data-drupal-link-system-path=\"blog_default\">Blog default</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/contact\" target=\"\" title=\"Contact\" data-drupal-link-system-path=\"contact\">Contact</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"http://weebpal.com/\" target=\"_blank\" title=\"More themes\">More themes</a>\n              </li>\n                <li class=\"menu-item menu-item--active-trail\">\n        <a href=\"/user/login\" class=\"user-log-in\" target=\"\" data-drupal-link-system-path=\"user/login\">Login | User</a>\n              </li>\n        </ul>\n  \n\n\n  </nav>\n\n  </div>\n\n            </div>\n            <div class=\"col-md-3\">\n                <div class=\"region region-footer-secondcolumn\">\n    <div class=\"views-element-container block block-views block-views-blockblog-page-block-3\" id=\"block-views-block-blog-page-block-3\">\n  \n      <h2>Latest news</h2>\n    \n      <div class=\"content\">\n      <div><div class=\"view-type-list view view-blog-page view-id-blog_page view-display-id-block_3 js-view-dom-id-1a13a4f716f938f2e04a7a4d4a151a7aec0a9d2f72fbf59b4bb8d43fc2d8ac40\">\n  \n    \n      <div class=\"view-header\">\n      <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit.<br />\nPraesent facilisis massa nellyary eget magna semper,  dolor sit amet.</p>\n\n    </div>\n      \n      <div class=\"view-content\">\n          <div class=\"views-row\"><div class=\"views-field views-field-nothing\"><span class=\"field-content\"><div class=\"views-field wp-views-field-img\">\n	  <a href=\"/blog/seeing-light\" hreflang=\"en\"><img src=\"/sites/default/files/styles/image_63_63/public/field/blog/blog-01.jpg?itok=JB0jmD8A\" width=\"63\" height=\"63\" alt=\"Seeing the light\" title=\"Seeing the light\" typeof=\"Image\" class=\"image-style-image-63-63\" />\n\n</a>\n 	\n</div>\n<div class=\"views-inner views-fieldset\">\n	<div class=\"views-field wp-views-field-title\">\n		<a href=\"/blog/seeing-light\" hreflang=\"en\">Seeing the light</a>	\n	</div>\n	<div class=\"views-field wp-views-field-body\">\n		<p>Lorem ipsum dolor sit amet, consectetur…</p> 	\n	</div>\n	<div class=\"views-field wp-views-field-created\">\n		25 Jul,2016		\n	</div>\n</div>\n</span></div></div>\n    <div class=\"views-row\"><div class=\"views-field views-field-nothing\"><span class=\"field-content\"><div class=\"views-field wp-views-field-img\">\n	  <a href=\"/blog/warehouse-sale-emeryville\" hreflang=\"en\"><img src=\"/sites/default/files/styles/image_63_63/public/field/blog/blog-02.jpg?itok=8Le4uyzF\" width=\"63\" height=\"63\" alt=\"Warehouse Sale in Emeryville\" title=\"Warehouse Sale in Emeryville\" typeof=\"Image\" class=\"image-style-image-63-63\" />\n\n</a>\n 	\n</div>\n<div class=\"views-inner views-fieldset\">\n	<div class=\"views-field wp-views-field-title\">\n		<a href=\"/blog/warehouse-sale-emeryville\" hreflang=\"en\">Warehouse Sale in Emeryville</a>	\n	</div>\n	<div class=\"views-field wp-views-field-body\">\n		<p>Lorem ipsum dolor sit amet, consectetur…</p> 	\n	</div>\n	<div class=\"views-field wp-views-field-created\">\n		08 Jan,2016		\n	</div>\n</div>\n</span></div></div>\n\n    </div>\n  \n          </div>\n</div>\n\n    </div>\n  </div>\n\n  </div>\n\n            </div>\n            <div class=\"col-md-3\">\n                <div class=\"region region-footer-thirdcolumn\">\n    <div class=\"simplenews-subscriptions-block-2e7f7bdc-7622-4ced-9848-99a362a0e07e simplenews-subscriber-form block block-simplenews block-simplenews-subscription-block\" data-drupal-selector=\"simplenews-subscriptions-block-2e7f7bdc-7622-4ced-9848-99a362a0e07e\" id=\"block-simplenewssubscription\">\n  \n      <h2>Newsletter</h2>\n    \n      <div class=\"content\">\n      <form action=\"form_action_p_pvdeGsVG5zNF_XLGPTvYSKCf43t8qZYSwcfZl2uzM\" method=\"post\" id=\"simplenews-subscriptions-block-2e7f7bdc-7622-4ced-9848-99a362a0e07e\" accept-charset=\"UTF-8\">\n  <div class=\"field--type-simplenews-subscription field--name-subscriptions field--widget-simplenews-subscription-select js-form-wrapper form-wrapper\" data-drupal-selector=\"edit-subscriptions-wrapper\" id=\"edit-subscriptions-wrapper\"></div>\n<div id=\"edit-message\" class=\"js-form-item form-item js-form-type-item form-type-item js-form-item-message form-item-message form-no-label\">\n        Sign up for our mailing to get latest updates and offers.\n        </div>\n<input autocomplete=\"off\" data-drupal-selector=\"form-ggnr8owp2qvo4umvkitc9jmwzv412sdbk5i6-g3yym4\" type=\"hidden\" name=\"form_build_id\" value=\"form-ggnr8OWP2qVO4UmVKitc9JMWZv412sDBK5I6-G3yYM4\" />\n<input data-drupal-selector=\"edit-simplenews-subscriptions-block-2e7f7bdc-7622-4ced-9848-99a362a0e07e\" type=\"hidden\" name=\"form_id\" value=\"simplenews_subscriptions_block_2e7f7bdc-7622-4ced-9848-99a362a0e07e\" />\n<div class=\"field--type-email field--name-mail field--widget-email-default js-form-wrapper form-wrapper\" data-drupal-selector=\"edit-mail-wrapper\" id=\"edit-mail-wrapper\">      <div class=\"js-form-item form-item js-form-type-email form-type-email js-form-item-mail-0-value form-item-mail-0-value\">\n      <label for=\"edit-mail-0-value\" class=\"js-form-required form-required\">Email</label>\n        <input data-drupal-selector=\"edit-mail-0-value\" aria-describedby=\"edit-mail-0-value--description\" type=\"email\" id=\"edit-mail-0-value\" name=\"mail[0][value]\" value=\"\" size=\"60\" maxlength=\"254\" placeholder=\"\" class=\"form-email required\" required=\"required\" aria-required=\"true\" />\n\n            <div id=\"edit-mail-0-value--description\" class=\"description\">\n      The subscriber\'s email address.\n    </div>\n  </div>\n\n  </div>\n<div data-drupal-selector=\"edit-actions\" class=\"form-actions js-form-wrapper form-wrapper\" id=\"edit-actions--2\"><input data-drupal-selector=\"edit-subscribe\" type=\"submit\" id=\"edit-subscribe\" name=\"op\" value=\"Subscribe\" class=\"button js-form-submit form-submit\" />\n</div>\n\n</form>\n\n    </div>\n  </div>\n<div id=\"block-newsletterblock\" class=\"block block-block-content block-block-contentb0c92726-50bb-4afe-8a60-e078803c0753\">\n  \n    \n      <div class=\"content\">\n      \n            <div class=\"clearfix text-formatted field field--name-body field--type-text-with-summary field--label-hidden field__item\"><p>We respect your privacy</p>\n</div>\n      \n    </div>\n  </div>\n\n  </div>\n\n            </div>\n            <div class=\"col-md-3\">\n                <div class=\"region region-footer-fourthcolumn\">\n    <div id=\"block-contactus\" class=\"contact-us-block-info block block-block-content block-block-contentb7be088a-40ae-4f2f-9614-8e1bae7b453d\">\n  \n      <h2>Contact us</h2>\n    \n      <div class=\"content\">\n      \n            <div class=\"clearfix text-formatted field field--name-body field--type-text-with-summary field--label-hidden field__item\"><p>The generated Lorem Ipsum is therefore always free from repetition, injected humour, or non-characteristic words etc.</p>\n<address><span>1-800-123-HELLO</span> <a href=\"mailto:help@travelo.com\" title=\"help@travelo.com\">help@travelo.com</a></address>\n<div class=\"social-wrap\">\n<ul class=\"list-inline social-list\"><li><a href=\"#\" title=\"Twitter\"><span class=\"fa fa-twitter\" aria-hidden=\"true\">Twitter</span></a></li>\n<li><a href=\"#\" title=\"Google\"><span class=\"fa fa-google-plus\" aria-hidden=\"true\">Google</span></a></li>\n<li><a href=\"#\" title=\"Facebook\"><span class=\"fa fa-facebook\" aria-hidden=\"true\">Facebook</span></a></li>\n<li><a href=\"#\" title=\"linkkedin\"><span class=\"fa fa-linkedin-square\" aria-hidden=\"true\">linkkedin</span></a></li>\n<li><a href=\"#\" title=\"vimeo\"><span class=\"fa fa-vimeo\" aria-hidden=\"true\">vimeo</span></a></li>\n<li><a href=\"#\" title=\"dribble\"><span class=\"fa fa-dribbble\" aria-hidden=\"true\">dribble</span></a></li>\n<li><a href=\"#\" title=\"flick\"><span class=\"fa fa-flickr\" aria-hidden=\"true\">flick</span></a></li>\n</ul></div>\n</div>\n      \n    </div>\n  </div>\n\n  </div>\n\n            </div>\n          </div>\n        </div>\n\n      </section><!-- /#footer-columns -->\n    \n          <footer id=\"footer\" role=\"contentinfo\" class=\"clearfix\">\n        <div class=\"container\">\n            <div class=\"region region-footer\">\n    <div id=\"block-copyrightbyweebpal\" class=\"block block-block-content block-block-contentd077ed59-d2a0-42b7-afc6-ed94b9621584\">\n  \n    \n      <div class=\"content\">\n      \n            <div class=\"clearfix text-formatted field field--name-body field--type-text-with-summary field--label-hidden field__item\"><p>Design by <a href=\"https://weebpal.com/\" target=\"_blank\">WeebPal </a>- Drupal Development Company</p>\n</div>\n      \n    </div>\n  </div>\n\n  </div>\n\n        </div>\n      </footer> <!-- /#footer -->\n    \n    <!-- /.section, /#footer-wrapper -->\n\n  </div>\n\n\n  </div>\n\n    \n    <js-bottom-placeholder token=\"wBZ9-HmrDqWswttmRIvh7izWz5cLiz_lLjebgK7Jw8dvvYCnK1DcD5WwN7OPs4eyrcBfaZ29Cw\">\n  </body>\n</html>\n\";s:10:\"\0*\0version\";s:3:\"1.0\";s:13:\"\0*\0statusCode\";i:200;s:13:\"\0*\0statusText\";s:2:\"OK\";s:10:\"\0*\0charset\";N;s:23:\"\0*\0cacheabilityMetadata\";O:35:\"Drupal\\Core\\Cache\\CacheableMetadata\":3:{s:16:\"\0*\0cacheContexts\";a:14:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:5:\"route\";i:3;s:32:\"route.menu_active_trails:account\";i:4;s:29:\"route.menu_active_trails:main\";i:5;s:30:\"route.menu_active_trails:quick\";i:6;s:5:\"theme\";i:7;s:8:\"timezone\";i:8;s:8:\"url.path\";i:9;s:30:\"url.query_args:_wrapper_format\";i:10;s:21:\"user.node_grants:view\";i:11;s:16:\"user.permissions\";i:12;s:10:\"user.roles\";i:13;s:24:\"user.roles:authenticated\";}s:12:\"\0*\0cacheTags\";a:93:{i:0;s:15:\"block_content:2\";i:1;s:15:\"block_content:4\";i:2;s:15:\"block_content:6\";i:3;s:18:\"block_content_view\";i:4;s:10:\"block_view\";i:5;s:23:\"config:block.block.blog\";i:6;s:30:\"config:block.block.breadcrumbs\";i:7;s:28:\"config:block.block.contactus\";i:8;s:37:\"config:block.block.copyrightbyweebpal\";i:9;s:41:\"config:block.block.luxestate_account_menu\";i:10;s:37:\"config:block.block.luxestate_branding\";i:11;s:40:\"config:block.block.luxestate_breadcrumbs\";i:12;s:36:\"config:block.block.luxestate_content\";i:13;s:35:\"config:block.block.luxestate_footer\";i:14;s:33:\"config:block.block.luxestate_help\";i:15;s:42:\"config:block.block.luxestate_local_actions\";i:16;s:40:\"config:block.block.luxestate_local_tasks\";i:17;s:37:\"config:block.block.luxestate_messages\";i:18;s:39:\"config:block.block.luxestate_page_title\";i:19;s:36:\"config:block.block.luxestate_powered\";i:20;s:35:\"config:block.block.luxestate_search\";i:21;s:34:\"config:block.block.luxestate_tools\";i:22;s:33:\"config:block.block.mainnavigation\";i:23;s:35:\"config:block.block.mainnavigation_2\";i:24;s:34:\"config:block.block.newsletterblock\";i:25;s:30:\"config:block.block.ourlocation\";i:26;s:28:\"config:block.block.pagetitle\";i:27;s:29:\"config:block.block.quicklinks\";i:28;s:41:\"config:block.block.simplenewssubscription\";i:29;s:48:\"config:block.block.views_block__about_us_block_1\";i:30;s:46:\"config:block.block.views_block__banner_block_1\";i:31;s:46:\"config:block.block.views_block__banner_block_2\";i:32;s:46:\"config:block.block.views_block__banner_block_3\";i:33;s:46:\"config:block.block.views_block__banner_block_4\";i:34;s:46:\"config:block.block.views_block__banner_block_5\";i:35;s:46:\"config:block.block.views_block__banner_block_6\";i:36;s:46:\"config:block.block.views_block__banner_block_7\";i:37;s:52:\"config:block.block.views_block__blog_details_block_1\";i:38;s:52:\"config:block.block.views_block__blog_details_block_3\";i:39;s:49:\"config:block.block.views_block__blog_page_block_1\";i:40;s:49:\"config:block.block.views_block__blog_page_block_2\";i:41;s:49:\"config:block.block.views_block__blog_page_block_3\";i:42;s:49:\"config:block.block.views_block__frontpage_block_1\";i:43;s:51:\"config:block.block.views_block__our_mission_block_1\";i:44;s:52:\"config:block.block.views_block__our_partners_block_1\";i:45;s:52:\"config:block.block.views_block__our_services_block_1\";i:46;s:49:\"config:block.block.views_block__portfolio_block_1\";i:47;s:49:\"config:block.block.views_block__slideshow_block_1\";i:48;s:44:\"config:block.block.views_block__tags_block_1\";i:49;s:53:\"config:block.block.views_block__why_choose_us_block_1\";i:50;s:53:\"config:block.block.views_block__why_choose_us_block_2\";i:51;s:17:\"config:block_list\";i:52;s:28:\"config:color.theme.luxestate\";i:53;s:83:\"config:core.entity_form_display.simplenews_subscriber.simplenews_subscriber.default\";i:54;s:76:\"config:field.field.simplenews_subscriber.simplenews_subscriber.subscriptions\";i:55;s:30:\"config:field.storage.node.body\";i:56;s:37:\"config:field.storage.node.field_image\";i:57;s:36:\"config:field.storage.node.field_link\";i:58;s:40:\"config:field.storage.node.field_partners\";i:59;s:56:\"config:field.storage.simplenews_subscriber.subscriptions\";i:60;s:30:\"config:filter.format.full_html\";i:61;s:32:\"config:image.style.image_380_224\";i:62;s:30:\"config:image.style.image_63_63\";i:63;s:26:\"config:system.menu.account\";i:64;s:23:\"config:system.menu.main\";i:65;s:24:\"config:system.menu.quick\";i:66;s:18:\"config:system.site\";i:67;s:20:\"config:user.settings\";i:68;s:27:\"config:views.view.blog_page\";i:69;s:30:\"config:views.view.our_partners\";i:70;s:8:\"file:105\";i:71;s:8:\"file:109\";i:72;s:8:\"file:111\";i:73;s:8:\"file:112\";i:74;s:8:\"file:122\";i:75;s:6:\"file:2\";i:76;s:6:\"file:4\";i:77;s:6:\"file:5\";i:78;s:6:\"file:6\";i:79;s:10:\"local_task\";i:80;s:7:\"node:10\";i:81;s:7:\"node:11\";i:82;s:7:\"node:16\";i:83;s:7:\"node:30\";i:84;s:6:\"node:4\";i:85;s:7:\"node:43\";i:86;s:7:\"node:44\";i:87;s:6:\"node:5\";i:88;s:6:\"node:7\";i:89;s:6:\"node:9\";i:90;s:9:\"node_list\";i:91;s:6:\"user:0\";i:92;s:8:\"rendered\";}s:14:\"\0*\0cacheMaxAge\";i:-1;}s:14:\"\0*\0attachments\";a:6:{s:7:\"library\";a:13:{i:0;s:14:\"core/html5shiv\";i:1;s:11:\"system/base\";i:2;s:11:\"classy/base\";i:3;s:15:\"classy/messages\";i:4;s:14:\"core/normalize\";i:5;s:24:\"luxestate/global-styling\";i:6;s:20:\"luxestate/corescript\";i:7;s:18:\"views/views.module\";i:8;s:18:\"views/views.module\";i:9;s:18:\"views/views.module\";i:10;s:18:\"views/views.module\";i:11;s:38:\"we_megamenu/form.we-mega-menu-frontend\";i:12;s:20:\"luxestate/skins-menu\";}s:14:\"html_head_link\";a:1:{i:0;a:1:{i:0;a:3:{s:3:\"rel\";s:13:\"shortcut icon\";s:4:\"href\";s:29:\"/themes/luxestate/favicon.ico\";s:4:\"type\";s:24:\"image/vnd.microsoft.icon\";}}}s:9:\"html_head\";a:5:{i:0;a:2:{i:0;a:3:{s:4:\"#tag\";s:4:\"meta\";s:11:\"#attributes\";a:1:{s:7:\"charset\";s:5:\"utf-8\";}s:7:\"#weight\";i:-1000;}i:1;s:24:\"system_meta_content_type\";}i:1;a:2:{i:0;a:3:{s:5:\"#type\";s:8:\"html_tag\";s:4:\"#tag\";s:4:\"meta\";s:11:\"#attributes\";a:2:{s:4:\"name\";s:9:\"Generator\";s:7:\"content\";s:33:\"Drupal 8 (https://www.drupal.org)\";}}i:1;s:21:\"system_meta_generator\";}i:2;a:2:{i:0;a:2:{s:4:\"#tag\";s:4:\"meta\";s:11:\"#attributes\";a:2:{s:4:\"name\";s:15:\"MobileOptimized\";s:7:\"content\";s:5:\"width\";}}i:1;s:15:\"MobileOptimized\";}i:3;a:2:{i:0;a:2:{s:4:\"#tag\";s:4:\"meta\";s:11:\"#attributes\";a:2:{s:4:\"name\";s:16:\"HandheldFriendly\";s:7:\"content\";s:4:\"true\";}}i:1;s:16:\"HandheldFriendly\";}i:4;a:2:{i:0;a:2:{s:4:\"#tag\";s:4:\"meta\";s:11:\"#attributes\";a:2:{s:4:\"name\";s:8:\"viewport\";s:7:\"content\";s:37:\"width=device-width, initial-scale=1.0\";}}i:1;s:8:\"viewport\";}}s:14:\"drupalSettings\";a:1:{s:14:\"ajaxTrustedUrl\";a:1:{s:55:\"form_action_p_pvdeGsVG5zNF_XLGPTvYSKCf43t8qZYSwcfZl2uzM\";b:1;}}s:12:\"placeholders\";a:2:{s:55:\"form_action_p_pvdeGsVG5zNF_XLGPTvYSKCf43t8qZYSwcfZl2uzM\";a:1:{s:13:\"#lazy_builder\";a:2:{i:0;s:40:\"form_builder:renderPlaceholderFormAction\";i:1;a:0:{}}}s:190:\"<drupal-render-placeholder callback=\"Drupal\\Core\\Render\\Element\\StatusMessages::renderMessages\" arguments=\"0\" token=\"_HAdUpwWmet0TOTe2PSiJuMntExoshbm1kh2wQzzzAA\"></drupal-render-placeholder>\";a:1:{s:13:\"#lazy_builder\";a:2:{i:0;s:57:\"Drupal\\Core\\Render\\Element\\StatusMessages::renderMessages\";i:1;a:1:{i:0;N;}}}}s:37:\"html_response_attachment_placeholders\";a:4:{s:6:\"styles\";s:100:\"<css-placeholder token=\"wBZ9-HmrDqWswttmRIvh7izWz5cLiz_lLjebgK7Jw8dvvYCnK1DcD5WwN7OPs4eyrcBfaZ29Cw\">\";s:7:\"scripts\";s:99:\"<js-placeholder token=\"wBZ9-HmrDqWswttmRIvh7izWz5cLiz_lLjebgK7Jw8dvvYCnK1DcD5WwN7OPs4eyrcBfaZ29Cw\">\";s:14:\"scripts_bottom\";s:106:\"<js-bottom-placeholder token=\"wBZ9-HmrDqWswttmRIvh7izWz5cLiz_lLjebgK7Jw8dvvYCnK1DcD5WwN7OPs4eyrcBfaZ29Cw\">\";s:4:\"head\";s:101:\"<head-placeholder token=\"wBZ9-HmrDqWswttmRIvh7izWz5cLiz_lLjebgK7Jw8dvvYCnK1DcD5WwN7OPs4eyrcBfaZ29Cw\">\";}}}}',-1,1637057290.614,1,'block_content:2 block_content:4 block_content:6 block_content_view block_view config:block.block.blog config:block.block.breadcrumbs config:block.block.contactus config:block.block.copyrightbyweebpal config:block.block.luxestate_account_menu config:block.block.luxestate_branding config:block.block.luxestate_breadcrumbs config:block.block.luxestate_content config:block.block.luxestate_footer config:block.block.luxestate_help config:block.block.luxestate_local_actions config:block.block.luxestate_local_tasks config:block.block.luxestate_messages config:block.block.luxestate_page_title config:block.block.luxestate_powered config:block.block.luxestate_search config:block.block.luxestate_tools config:block.block.mainnavigation config:block.block.mainnavigation_2 config:block.block.newsletterblock config:block.block.ourlocation config:block.block.pagetitle config:block.block.quicklinks config:block.block.simplenewssubscription config:block.block.views_block__about_us_block_1 config:block.block.views_block__banner_block_1 config:block.block.views_block__banner_block_2 config:block.block.views_block__banner_block_3 config:block.block.views_block__banner_block_4 config:block.block.views_block__banner_block_5 config:block.block.views_block__banner_block_6 config:block.block.views_block__banner_block_7 config:block.block.views_block__blog_details_block_1 config:block.block.views_block__blog_details_block_3 config:block.block.views_block__blog_page_block_1 config:block.block.views_block__blog_page_block_2 config:block.block.views_block__blog_page_block_3 config:block.block.views_block__frontpage_block_1 config:block.block.views_block__our_mission_block_1 config:block.block.views_block__our_partners_block_1 config:block.block.views_block__our_services_block_1 config:block.block.views_block__portfolio_block_1 config:block.block.views_block__slideshow_block_1 config:block.block.views_block__tags_block_1 config:block.block.views_block__why_choose_us_block_1 config:block.block.views_block__why_choose_us_block_2 config:block_list config:color.theme.luxestate config:core.entity_form_display.simplenews_subscriber.simplenews_subscriber.default config:field.field.simplenews_subscriber.simplenews_subscriber.subscriptions config:field.storage.node.body config:field.storage.node.field_image config:field.storage.node.field_link config:field.storage.node.field_partners config:field.storage.simplenews_subscriber.subscriptions config:filter.format.full_html config:image.style.image_380_224 config:image.style.image_63_63 config:system.menu.account config:system.menu.main config:system.menu.quick config:system.site config:user.settings config:views.view.blog_page config:views.view.our_partners file:105 file:109 file:111 file:112 file:122 file:2 file:4 file:5 file:6 local_task node:10 node:11 node:16 node:30 node:4 node:43 node:44 node:5 node:7 node:9 node_list rendered user:0','272'),('response:[languages:language_content]=en:[languages:language_interface]=en:[request_format]=html:[route]=view.frontpage.page_135786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=luxestate:[tibVHom-xd9X3CxHjTSBvSohKDLpoYODLCutnmYg59Onk','a:5:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";s:0:\"\";s:6:\"#cache\";a:3:{s:8:\"contexts\";a:16:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:14:\"request_format\";i:3;s:5:\"route\";i:4;s:32:\"route.menu_active_trails:account\";i:5;s:29:\"route.menu_active_trails:main\";i:6;s:30:\"route.menu_active_trails:quick\";i:7;s:5:\"theme\";i:8;s:8:\"timezone\";i:9;s:8:\"url.path\";i:10;s:30:\"url.query_args:_wrapper_format\";i:11;s:8:\"url.site\";i:12;s:21:\"user.node_grants:view\";i:13;s:16:\"user.permissions\";i:14;s:10:\"user.roles\";i:15;s:24:\"user.roles:authenticated\";}s:4:\"tags\";a:134:{i:0;s:15:\"block_content:2\";i:1;s:15:\"block_content:4\";i:2;s:15:\"block_content:6\";i:3;s:18:\"block_content_view\";i:4;s:10:\"block_view\";i:5;s:23:\"config:block.block.blog\";i:6;s:30:\"config:block.block.breadcrumbs\";i:7;s:28:\"config:block.block.contactus\";i:8;s:37:\"config:block.block.copyrightbyweebpal\";i:9;s:41:\"config:block.block.luxestate_account_menu\";i:10;s:37:\"config:block.block.luxestate_branding\";i:11;s:40:\"config:block.block.luxestate_breadcrumbs\";i:12;s:36:\"config:block.block.luxestate_content\";i:13;s:35:\"config:block.block.luxestate_footer\";i:14;s:33:\"config:block.block.luxestate_help\";i:15;s:42:\"config:block.block.luxestate_local_actions\";i:16;s:40:\"config:block.block.luxestate_local_tasks\";i:17;s:37:\"config:block.block.luxestate_messages\";i:18;s:39:\"config:block.block.luxestate_page_title\";i:19;s:36:\"config:block.block.luxestate_powered\";i:20;s:35:\"config:block.block.luxestate_search\";i:21;s:34:\"config:block.block.luxestate_tools\";i:22;s:33:\"config:block.block.mainnavigation\";i:23;s:35:\"config:block.block.mainnavigation_2\";i:24;s:34:\"config:block.block.newsletterblock\";i:25;s:30:\"config:block.block.ourlocation\";i:26;s:28:\"config:block.block.pagetitle\";i:27;s:29:\"config:block.block.quicklinks\";i:28;s:41:\"config:block.block.simplenewssubscription\";i:29;s:48:\"config:block.block.views_block__about_us_block_1\";i:30;s:46:\"config:block.block.views_block__banner_block_1\";i:31;s:46:\"config:block.block.views_block__banner_block_2\";i:32;s:46:\"config:block.block.views_block__banner_block_3\";i:33;s:46:\"config:block.block.views_block__banner_block_4\";i:34;s:46:\"config:block.block.views_block__banner_block_5\";i:35;s:46:\"config:block.block.views_block__banner_block_6\";i:36;s:46:\"config:block.block.views_block__banner_block_7\";i:37;s:52:\"config:block.block.views_block__blog_details_block_1\";i:38;s:52:\"config:block.block.views_block__blog_details_block_3\";i:39;s:49:\"config:block.block.views_block__blog_page_block_1\";i:40;s:49:\"config:block.block.views_block__blog_page_block_2\";i:41;s:49:\"config:block.block.views_block__blog_page_block_3\";i:42;s:49:\"config:block.block.views_block__frontpage_block_1\";i:43;s:51:\"config:block.block.views_block__our_mission_block_1\";i:44;s:52:\"config:block.block.views_block__our_partners_block_1\";i:45;s:52:\"config:block.block.views_block__our_services_block_1\";i:46;s:49:\"config:block.block.views_block__portfolio_block_1\";i:47;s:49:\"config:block.block.views_block__slideshow_block_1\";i:48;s:44:\"config:block.block.views_block__tags_block_1\";i:49;s:53:\"config:block.block.views_block__why_choose_us_block_1\";i:50;s:53:\"config:block.block.views_block__why_choose_us_block_2\";i:51;s:17:\"config:block_list\";i:52;s:28:\"config:color.theme.luxestate\";i:53;s:83:\"config:core.entity_form_display.simplenews_subscriber.simplenews_subscriber.default\";i:54;s:76:\"config:field.field.simplenews_subscriber.simplenews_subscriber.subscriptions\";i:55;s:30:\"config:field.storage.node.body\";i:56;s:38:\"config:field.storage.node.field_banner\";i:57;s:39:\"config:field.storage.node.field_gallery\";i:58;s:37:\"config:field.storage.node.field_image\";i:59;s:36:\"config:field.storage.node.field_link\";i:60;s:40:\"config:field.storage.node.field_partners\";i:61;s:41:\"config:field.storage.node.field_slideshow\";i:62;s:34:\"config:field.storage.node.field_su\";i:63;s:36:\"config:field.storage.node.field_tags\";i:64;s:56:\"config:field.storage.simplenews_subscriber.subscriptions\";i:65;s:30:\"config:filter.format.full_html\";i:66;s:33:\"config:image.style.image_1920_700\";i:67;s:33:\"config:image.style.image_1920_845\";i:68;s:32:\"config:image.style.image_380_224\";i:69;s:32:\"config:image.style.image_551_372\";i:70;s:30:\"config:image.style.image_63_63\";i:71;s:26:\"config:system.menu.account\";i:72;s:23:\"config:system.menu.main\";i:73;s:24:\"config:system.menu.quick\";i:74;s:18:\"config:system.site\";i:75;s:26:\"config:views.view.about_us\";i:76;s:27:\"config:views.view.blog_page\";i:77;s:27:\"config:views.view.frontpage\";i:78;s:30:\"config:views.view.our_partners\";i:79;s:27:\"config:views.view.portfolio\";i:80;s:27:\"config:views.view.slideshow\";i:81;s:8:\"file:105\";i:82;s:8:\"file:109\";i:83;s:8:\"file:111\";i:84;s:8:\"file:112\";i:85;s:8:\"file:114\";i:86;s:8:\"file:122\";i:87;s:8:\"file:129\";i:88;s:8:\"file:130\";i:89;s:8:\"file:131\";i:90;s:6:\"file:2\";i:91;s:7:\"file:36\";i:92;s:6:\"file:4\";i:93;s:6:\"file:5\";i:94;s:6:\"file:6\";i:95;s:7:\"file:80\";i:96;s:7:\"file:81\";i:97;s:7:\"file:82\";i:98;s:7:\"file:83\";i:99;s:7:\"file:84\";i:100;s:7:\"file:85\";i:101;s:7:\"file:86\";i:102;s:7:\"file:87\";i:103;s:7:\"file:88\";i:104;s:7:\"file:94\";i:105;s:7:\"file:95\";i:106;s:7:\"file:96\";i:107;s:7:\"file:97\";i:108;s:7:\"file:98\";i:109;s:7:\"file:99\";i:110;s:10:\"local_task\";i:111;s:7:\"node:10\";i:112;s:7:\"node:11\";i:113;s:7:\"node:12\";i:114;s:7:\"node:15\";i:115;s:7:\"node:16\";i:116;s:7:\"node:19\";i:117;s:7:\"node:20\";i:118;s:7:\"node:30\";i:119;s:6:\"node:4\";i:120;s:7:\"node:43\";i:121;s:7:\"node:44\";i:122;s:6:\"node:5\";i:123;s:6:\"node:7\";i:124;s:6:\"node:9\";i:125;s:9:\"node_list\";i:126;s:8:\"rendered\";i:127;s:15:\"taxonomy_term:1\";i:128;s:15:\"taxonomy_term:2\";i:129;s:15:\"taxonomy_term:5\";i:130;s:15:\"taxonomy_term:6\";i:131;s:6:\"user:0\";i:132;s:6:\"user:1\";i:133;s:7:\"user:15\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:1:{i:0;s:9:\"#response\";}s:9:\"#response\";O:31:\"Drupal\\Core\\Render\\HtmlResponse\":8:{s:7:\"headers\";O:50:\"Symfony\\Component\\HttpFoundation\\ResponseHeaderBag\":5:{s:23:\"\0*\0computedCacheControl\";a:2:{s:8:\"no-cache\";b:1;s:7:\"private\";b:1;}s:10:\"\0*\0cookies\";a:0:{}s:14:\"\0*\0headerNames\";a:3:{s:12:\"content-type\";s:12:\"Content-Type\";s:13:\"cache-control\";s:13:\"Cache-Control\";s:4:\"date\";s:4:\"Date\";}s:10:\"\0*\0headers\";a:3:{s:12:\"content-type\";a:1:{i:0;s:24:\"text/html; charset=UTF-8\";}s:13:\"cache-control\";a:1:{i:0;s:17:\"no-cache, private\";}s:4:\"date\";a:1:{i:0;s:29:\"Fri, 12 Nov 2021 10:03:50 GMT\";}}s:15:\"\0*\0cacheControl\";a:0:{}}s:10:\"\0*\0content\";s:46321:\"<!DOCTYPE html>\n<html lang=\"en\" dir=\"ltr\" prefix=\"content: http://purl.org/rss/1.0/modules/content/  dc: http://purl.org/dc/terms/  foaf: http://xmlns.com/foaf/0.1/  og: http://ogp.me/ns#  rdfs: http://www.w3.org/2000/01/rdf-schema#  schema: http://schema.org/  sioc: http://rdfs.org/sioc/ns#  sioct: http://rdfs.org/sioc/types#  skos: http://www.w3.org/2004/02/skos/core#  xsd: http://www.w3.org/2001/XMLSchema# \">\n  <head>\n    <head-placeholder token=\"vvAZi_7F5GkxO1pvq8RBXDMV_HylxEnS1jwUMdPNeu9UP3Ig2qqCTKj9xUqbmDqZ11lc9-mWSw\">\n    <title>Home | Luxestate</title>\n    <css-placeholder token=\"vvAZi_7F5GkxO1pvq8RBXDMV_HylxEnS1jwUMdPNeu9UP3Ig2qqCTKj9xUqbmDqZ11lc9-mWSw\">\n    <js-placeholder token=\"vvAZi_7F5GkxO1pvq8RBXDMV_HylxEnS1jwUMdPNeu9UP3Ig2qqCTKj9xUqbmDqZ11lc9-mWSw\">\n    <meta name=\"viewport\" content=\"width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no\">\n    <meta name=\"HandheldFriendly\" content=\"true\" />\n    <meta name=\"apple-touch-fullscreen\" content=\"YES\" />\n  </head>\n  <body class=\"front  bg-default path-frontpage\">\n        <a href=\"#main-content\" class=\"visually-hidden focusable\">\n      Skip to main content\n    </a>\n    \n      <div class=\"dialog-off-canvas-main-canvas\" data-off-canvas-main-canvas>\n    \n  <div id=\"page\"  class=\"\">\n\n        <div id=\"change_skin_menu_wrapper\" class=\"change-skin-menu-wrapper wrapper\"><div class=\"container\"><a id=\"change-skin\" class=\"change-skin\" href=\"javascript:void(0)\"><i class=\"fa fa-cog\" aria-hidden=\"true\"></i>\n\n</a><div class=\"skin-color\"><strong>Skin</strong><ul class=\"change-skin-menu\"><li class=\"default\"><a href=\"#change-skin/default\" class=\"change-skin-button color-default\">Default Style</a></li></ul></div><div class=\"layout\"><strong>Layout Boxed</strong><label class=\"switch-btn\"><span id=\"layout-default\" class=\"btn btn-default change-layout-button  active\">No</span><span id=\"layout-boxed\" class=\"btn btn-default change-layout-button \">Yes</span></label></div><div class=\"background hidden\"><strong>Background</strong><ul class=\"change-background\"><li class=\"bg-default active\"><a href=\"#change-background/bg-default\" class=\"change-background-button\">Default</a></li><li class=\"bg-1\"><a href=\"#change-background/bg-1\" class=\"change-background-button\">Background 1</a></li><li class=\"bg-2\"><a href=\"#change-background/bg-2\" class=\"change-background-button\">Background 2</a></li><li class=\"bg-3\"><a href=\"#change-background/bg-3\" class=\"change-background-button\">Background 3</a></li><li class=\"bg-4\"><a href=\"#change-background/bg-4\" class=\"change-background-button\">Background 4</a></li><li class=\"bg-5\"><a href=\"#change-background/bg-5\" class=\"change-background-button\">Background 5</a></li><li class=\"bg-6\"><a href=\"#change-background/bg-6\" class=\"change-background-button\">Background 6</a></li><li class=\"bg-7\"><a href=\"#change-background/bg-7\" class=\"change-background-button\">Background 7</a></li></ul></div><div class=\"direction\"><strong>Direction</strong><ul class=\"change-direction\"><li class=\"active\"><a href=\"/\" class=\"change-direction-button\">LTR</a></li><li class=\"\"><a href=\"/ar\" class=\"change-direction-button\">RTL</a></li></ul></div></div></div>\n    \n    \n    \n    <header id=\"header\" role=\"banner\" aria-label=\"Site header\">\n      <div class=\"container clearfix\">\n\n          <div class=\"region region-secondary-menu\">\n    <nav role=\"navigation\" aria-labelledby=\"block-luxestate-account-menu-menu\" id=\"block-luxestate-account-menu\" class=\"block block-menu navigation menu--account\">\n            \n  <h2 class=\"visually-hidden\" id=\"block-luxestate-account-menu-menu\">User account menu</h2>\n  \n\n        \n              <ul class=\"clearfix menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/user/login\" data-drupal-link-system-path=\"user/login\">Log in</a>\n              </li>\n        </ul>\n  \n\n\n  </nav>\n\n  </div>\n\n\n        <a href=\"#menu-toggle\" class=\"navbar-toggle\" id=\"ico-main-menu\">\n              <span class=\"icon-bar\"></span>\n              <span class=\"icon-bar\"></span>\n              <span class=\"icon-bar\"></span>\n        </a>\n\n        \n        \n          <div class=\"clearfix region region-header\">\n    <div id=\"block-luxestate-branding\" class=\"clearfix site-branding block block-system block-system-branding-block\">\n  \n    \n        <a href=\"/\" title=\"Home\" rel=\"home\" class=\"site-branding__logo\">\n      <img src=\"/themes/luxestate/logo.svg\" alt=\"Home\" />\n    </a>\n        <div class=\"site-branding__text\">\n              <div class=\"site-branding__name\">\n          <a href=\"/\" title=\"Home\" rel=\"home\">Luxestate</a>\n        </div>\n                    <div class=\"site-branding__slogan\">Luxestate is open source software has long been a natural choice for schools </div>\n          </div>\n  </div>\n\n  </div>\n\n\n                        <div class=\"region region-primary-menu\">\n    <div id=\"block-mainnavigation-2\" class=\"block block-we-megamenu block-we-megamenu-blockmain\">\n  \n    \n      <div class=\"content\">\n      <div class=\"region-we-mega-menu\">\n	<a class=\"navbar-toggle collapsed\">\n	    <span class=\"icon-bar\"></span>\n	    <span class=\"icon-bar\"></span>\n	    <span class=\"icon-bar\"></span>\n	</a>\n	<nav  class=\"main navbar navbar-default navbar-we-mega-menu mobile-collapse hover-action\" data-menu-name=\"main\" data-block-theme=\"luxestate\" data-style=\"Default\" data-animation=\"None\" data-delay=\"\" data-duration=\"\" data-autoarrow=\"\" data-alwayshowsubmenu=\"\" data-action=\"hover\" data-mobile-collapse=\"0\">\n	  <div class=\"container-fluid\">\n	    <ul  class=\"we-mega-menu-ul nav nav-tabs\">\n  <li  class=\"we-mega-menu-li active active-trail\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"\" data-id=\"/\" data-submenu=\"0\" hide-sub-when-collapse=\"0\">\n      <a class=\"we-mega-menu-li\" title=\"\" href=\"/\" target=\"\">\n      Home    </a>\n    \n</li><li  class=\"we-mega-menu-li\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"About us\" data-id=\"56804dba-564f-4261-be6d-3260b06c9b37\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"About us\" href=\"/about-us\" target=\"\">\n      About us    </a>\n    \n</li><li  class=\"we-mega-menu-li\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"Services\" data-id=\"4ee76de9-f8b7-4213-be88-719f49654dfb\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Services\" href=\"/services\" target=\"\">\n      Services    </a>\n    \n</li><li  class=\"we-mega-menu-li dropdown-menu\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"Porfolio\" data-id=\"49749b67-c74d-408e-a60e-bf8ff8ffb97f\" data-submenu=\"1\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Porfolio\" href=\"/portfolio\" target=\"\">\n      Portfolio    </a>\n    <div  class=\"we-mega-menu-submenu\" data-element-type=\"we-mega-menu-submenu\" data-submenu-width=\"\" data-class=\"\" style=\"width: px\">\n  <div class=\"we-mega-menu-submenu-inner\">\n    <div  class=\"we-mega-menu-row\" data-element-type=\"we-mega-menu-row\" data-custom-row=\"0\">\n  <div  class=\"we-mega-menu-col span12 cccc\" data-element-type=\"we-mega-menu-col\" data-width=\"12\" data-block=\"\" data-blocktitle=\"0\" data-hidewhencollapse=\"\" data-class=\"cccc\">\n  <ul class=\"nav nav-tabs subul\">\n  <li  class=\"we-mega-menu-li\" data-level=\"1\" data-element-type=\"we-mega-menu-li\" description=\"Portfolio 4 col\" data-id=\"d4ba7240-f5f6-4077-92a1-b03f3dc2fc12\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Portfolio 4 col\" href=\"/portfolio_4_col\" target=\"\">\n      Portfolio 4 col    </a>\n    \n</li><li  class=\"we-mega-menu-li\" data-level=\"1\" data-element-type=\"we-mega-menu-li\" description=\"Portfolio masonry\" data-id=\"20bcd853-7bfc-4421-8c82-15217f40ae51\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Portfolio masonry\" href=\"/portfolio_masonry\" target=\"\">\n      Portfolio masonry    </a>\n    \n</li>\n</ul>\n</div>\n\n</div>\n\n  </div>\n</div>\n</li><li  class=\"we-mega-menu-li dropdown-menu\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"Blog\" data-id=\"2bdced62-2f42-4421-b679-32d1d8b4b8b7\" data-submenu=\"1\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Blog\" href=\"/blog\" target=\"\">\n      Blog    </a>\n    <div  class=\"we-mega-menu-submenu\" data-element-type=\"we-mega-menu-submenu\" data-submenu-width=\"\" data-class=\"\" style=\"width: px\">\n  <div class=\"we-mega-menu-submenu-inner\">\n    <div  class=\"we-mega-menu-row\" data-element-type=\"we-mega-menu-row\" data-custom-row=\"0\">\n  <div  class=\"we-mega-menu-col span12\" data-element-type=\"we-mega-menu-col\" data-width=\"12\" data-block=\"\" data-blocktitle=\"0\" data-hidewhencollapse=\"\" data-class=\"\">\n  <ul class=\"nav nav-tabs subul\">\n  <li  class=\"we-mega-menu-li\" data-level=\"1\" data-element-type=\"we-mega-menu-li\" description=\"Blog default\" data-id=\"7e0a4dbd-8408-4b7e-bd75-c8515eb0dec0\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Blog default\" href=\"/blog_default\" target=\"\">\n      Blog default    </a>\n    \n</li>\n</ul>\n</div>\n\n</div>\n\n  </div>\n</div>\n</li><li  class=\"we-mega-menu-li\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"Contact\" data-id=\"36727826-f03f-4f36-919a-142ae953e104\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Contact\" href=\"/contact\" target=\"\">\n      Contact    </a>\n    \n</li><li  class=\"we-mega-menu-li\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"More themes\" data-id=\"60c931cd-37da-4cfd-a054-ef7863f9f6b2\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"More themes\" href=\"http://weebpal.com/\" target=\"\">\n      More themes    </a>\n    \n</li><li  class=\"we-mega-menu-li user-log-in\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"\" data-id=\"bd337eec-18a0-43da-aca9-292607213b64\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"user-log-in\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"\" href=\"/user/login\" target=\"\">\n      Login | User    </a>\n    \n</li>\n</ul>\n	  </div>\n	</nav>\n</div>\n    </div>\n  </div>\n\n  </div>\n\n        \n      </div>\n    </header>\n    <!-- /.section, /#header-->\n\n\n	\n<!--      -->\n\n        <section id=\"slideshow \">\n      <div class=\"container-fluid\">\n          <div class=\"region region-slideshow\">\n    <div class=\"views-element-container block block-views block-views-blockslideshow-block-1\" id=\"block-views-block-slideshow-block-1\">\n  \n    \n      <div class=\"content\">\n      <div><div class=\"slideshow view view-slideshow view-id-slideshow view-display-id-block_1 js-view-dom-id-06207d0dfa3e3c72a4a71a8761fe76a8bb232dda4398e150d7ebccc2729e36cb\">\n  \n    \n      \n      <div class=\"view-content\">\n          <div class=\"views-row\"><div class=\"views-field views-field-field-slideshow\"><div class=\"field-content\">  <img src=\"/sites/default/files/styles/image_1920_845/public/field/slideshow/slider01_0.jpg?itok=pJtNgbQz\" width=\"1920\" height=\"845\" alt=\"Off the wall\" title=\"Off the wall\" typeof=\"foaf:Image\" class=\"image-style-image-1920-845\" />\n\n\n</div></div></div>\n    <div class=\"views-row\"><div class=\"views-field views-field-field-slideshow\"><div class=\"field-content\">  <img src=\"/sites/default/files/styles/image_1920_845/public/field/slideshow/slider01.jpg?itok=oZlj1ppz\" width=\"1920\" height=\"845\" alt=\"Seeing the light\" title=\"Seeing the light\" typeof=\"foaf:Image\" class=\"image-style-image-1920-845\" />\n\n\n</div></div></div>\n    <div class=\"views-row\"><div class=\"views-field views-field-field-slideshow\"><div class=\"field-content\">  <img src=\"/sites/default/files/styles/image_1920_845/public/field/slideshow/slider02.jpg?itok=zHD8Qxbq\" width=\"1920\" height=\"845\" alt=\"Dare to bare\" title=\"Dare to bare\" typeof=\"foaf:Image\" class=\"image-style-image-1920-845\" />\n\n\n</div></div></div>\n    <div class=\"views-row\"><div class=\"views-field views-field-field-slideshow\"><div class=\"field-content\">  <img src=\"/sites/default/files/styles/image_1920_845/public/field/slideshow/slider01.jpg?itok=oZlj1ppz\" width=\"1920\" height=\"845\" alt=\"Seeing the light\" title=\"Seeing the light\" typeof=\"foaf:Image\" class=\"image-style-image-1920-845\" />\n\n\n</div></div></div>\n    <div class=\"views-row\"><div class=\"views-field views-field-field-slideshow\"><div class=\"field-content\">  <img src=\"/sites/default/files/styles/image_1920_845/public/field/slideshow/slider01_0.jpg?itok=pJtNgbQz\" width=\"1920\" height=\"845\" alt=\"Off the wall\" title=\"Off the wall\" typeof=\"foaf:Image\" class=\"image-style-image-1920-845\" />\n\n\n</div></div></div>\n\n    </div>\n  \n          </div>\n</div>\n\n    </div>\n  </div>\n\n  </div>\n\n      </div>\n    </section>\n    \n    \n    \n    \n		<section class=\"highlighted\">\n		<div class=\"container\">\n			  <div class=\"region region-highlighted\">\n    <div data-drupal-messages-fallback class=\"hidden\"></div><drupal-render-placeholder callback=\"Drupal\\Core\\Render\\Element\\StatusMessages::renderMessages\" arguments=\"0\" token=\"_HAdUpwWmet0TOTe2PSiJuMntExoshbm1kh2wQzzzAA\"></drupal-render-placeholder>\n\n  </div>\n\n		</div>\n	</section>\n	\n    <section id=\"main\">\n      <div class=\"container\">\n        <div class=\"row\">\n        <div id=\"content\" role=\"main\" class=\"col-lg-12 col-md-12 col-sm-12 col-xs-12\">\n            <a id=\"main-content\" tabindex=\"-1\"></a>\n\n                        \n                          <div class=\"region region-content\">\n    <div id=\"block-luxestate-page-title\" class=\"block block-core block-page-title-block\">\n  \n    \n      <div class=\"content\">\n      \n  <h1 class=\"title page-title\"></h1>\n\n\n    </div>\n  </div>\n<div id=\"block-luxestate-content\" class=\"block block-system block-system-main-block\">\n  \n    \n      <div class=\"content\">\n      <div class=\"views-element-container\"><div class=\"view-blog-summary view view-frontpage view-id-frontpage view-display-id-page_1 js-view-dom-id-aa409c8599b0bf9e07fcb0ca6bb7f5bbba0fabb8ca346d5f4905dfd4404be880\">\n  \n    \n      \n      <div class=\"view-content\">\n          <div class=\"views-view-grid horizontal cols-3 clearfix\">\n            <div class=\"views-row clearfix row-1\">\n                  <div class=\"views-col col-1\" style=\"width: 33.333333333333%;\"><div class=\"views-field views-field-title\"><span class=\"field-content\"><a href=\"/blog/dare-bare\" hreflang=\"en\">Dare to bare</a></span></div><div class=\"views-field views-field-body\"><div class=\"field-content\"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna…</p></div></div><div class=\"views-field views-field-view-node\"><span class=\"field-content\"><a href=\"/blog/dare-bare\" hreflang=\"en\">Read more</a></span></div><div class=\"views-field views-field-nothing\"><span class=\"field-content\"></span></div></div>\n                  <div class=\"views-col col-2\" style=\"width: 33.333333333333%;\"><div class=\"views-field views-field-title\"><span class=\"field-content\"><a href=\"/blog/wall\" hreflang=\"en\">Off the wall</a></span></div><div class=\"views-field views-field-body\"><div class=\"field-content\"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna…</p></div></div><div class=\"views-field views-field-view-node\"><span class=\"field-content\"><a href=\"/blog/wall\" hreflang=\"en\">Read more</a></span></div><div class=\"views-field views-field-nothing\"><span class=\"field-content\"></span></div></div>\n                  <div class=\"views-col col-3\" style=\"width: 33.333333333333%;\"><div class=\"views-field views-field-title\"><span class=\"field-content\"><a href=\"/blog/seeing-light\" hreflang=\"en\">Seeing the light</a></span></div><div class=\"views-field views-field-body\"><div class=\"field-content\"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna…</p></div></div><div class=\"views-field views-field-view-node\"><span class=\"field-content\"><a href=\"/blog/seeing-light\" hreflang=\"en\">Read more</a></span></div><div class=\"views-field views-field-nothing\"><span class=\"field-content\"></span></div></div>\n              </div>\n      </div>\n\n    </div>\n  \n              <div class=\"feed-icons\">\n      <a href=\"http://luxestate-d8.frontend.local2.weebpal.com/rss.xml\" class=\"feed-icon\">\n  Subscribe to \n</a>\n\n    </div>\n  </div>\n</div>\n\n    </div>\n  </div>\n\n  </div>\n\n        </div>\n        <!-- /.section, /#content -->\n        \n        \n\n        </div>\n      </div>\n    </section>\n    <!-- /#main, /#main-wrapper -->\n\n    \n          <section id=\"panel-second\">\n        <div class=\"container-fluid\">\n            <div class=\"region region-panel-second\">\n    <div class=\"views-element-container block block-views block-views-blockabout-us-block-1\" id=\"block-views-block-about-us-block-1\">\n  \n    \n      <div class=\"content\">\n      <div><div class=\"view view-about-us view-id-about_us view-display-id-block_1 js-view-dom-id-29791072d97b793c93f79045b9bb71e54c6ac6ab1bd02ef610e9a92e4d6dc0ee\">\n  \n    \n      \n      <div class=\"view-content\">\n          <div class=\"views-row\"><div class=\"views-field views-field-field-banner\"><div class=\"field-content\">  <img src=\"/sites/default/files/styles/image_1920_700/public/field/banner/about-us-banner.jpg?itok=UW8PbBlO\" width=\"1920\" height=\"700\" alt=\"\" typeof=\"foaf:Image\" class=\"image-style-image-1920-700\" />\n\n\n</div></div><div class=\"views-field views-field-title\"><span class=\"field-content\">Welcome to Luxestate</span></div><div class=\"views-field views-field-field-su\"><div class=\"field-content\"><p>“It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout. The point of using Lorem Ipsum is that it has a more-or-less normal distribution of letters, as opposed to using \'Content here, content here\', making it look like readable English (injected humour and the like).</p>\n<p>There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which don\'t look even slightly believable.</p>\n<h4>AMANDA CLARKE</h4>\n<h5>Creative Director</h5>\n</div></div><div class=\"views-field views-field-nothing\"><span class=\"field-content\"><div class=\"views-field wp-views-field-view-node\">\n		<a href=\"/about-us\">Read more</a> 	\n</div></span></div></div>\n\n    </div>\n  \n          </div>\n</div>\n\n    </div>\n  </div>\n\n  </div>\n\n        </div>\n      </section>\n    \n        <section id=\"panel-third\">\n      <div class=\"container\">\n          <div class=\"region region-panel-third\">\n    <div class=\"views-element-container block block-views block-views-blockportfolio-block-1\" id=\"block-views-block-portfolio-block-1\">\n  \n      <h2>Portfolio</h2>\n    \n      <div class=\"content\">\n      <div><div class=\"view view-portfolio view-id-portfolio view-display-id-block_1 js-view-dom-id-c88f3f2e305027cded0e1bc5e8b2b6e7753c9a15bcb5d720a4c04b3af4f28581\">\n  \n    \n      <div class=\"view-header\">\n      <p>“There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which don\'t look even slightly believable. If you are going to use a passage of Lorem Ipsum, you need to be sure there isn\'t anything embarrassing hidden.”</p>\n<p>										   -- Lorem Ipsum --</p>\n\n    </div>\n      \n      <div class=\"view-content\">\n          <div><div class=\"views-field views-field-field-gallery portfolio-gallery\"><div class=\"field-content\">\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo4_2.jpg\" title=\"Ut enim ad minim veniam\" data-colorbox-gallery=\"gallery-all-ZvUqTAWkBI0\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Ut enim ad minim veniam&quot;,&quot;alt&quot;:&quot;Ut enim ad minim veniam&quot;}\"><img src=\"/sites/default/files/field/gallery/demo4_2.jpg\" width=\"1100\" height=\"1100\" alt=\"Ut enim ad minim veniam\" title=\"Ut enim ad minim veniam\" typeof=\"foaf:Image\" />\n</a>\n</div></div></div>\n    <div><div class=\"views-field views-field-field-gallery portfolio-gallery\"><div class=\"field-content\">\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo8_2.jpg\" title=\"Ut enim ad minim veniam\" data-colorbox-gallery=\"gallery-all-ZvUqTAWkBI0\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Ut enim ad minim veniam&quot;,&quot;alt&quot;:&quot;Ut enim ad minim veniam&quot;}\"><img src=\"/sites/default/files/field/gallery/demo8_2.jpg\" width=\"1100\" height=\"1100\" alt=\"Ut enim ad minim veniam\" title=\"Ut enim ad minim veniam\" typeof=\"foaf:Image\" />\n</a>\n</div></div></div>\n    <div><div class=\"views-field views-field-field-gallery portfolio-gallery\"><div class=\"field-content\">\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo6_2.jpg\" title=\"Ut enim ad minim veniam\" data-colorbox-gallery=\"gallery-all-ZvUqTAWkBI0\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Ut enim ad minim veniam&quot;,&quot;alt&quot;:&quot;Ut enim ad minim veniam&quot;}\"><img src=\"/sites/default/files/field/gallery/demo6_2.jpg\" width=\"1100\" height=\"1100\" alt=\"Ut enim ad minim veniam\" title=\"Ut enim ad minim veniam\" typeof=\"foaf:Image\" />\n</a>\n</div></div></div>\n    <div><div class=\"views-field views-field-field-gallery portfolio-gallery\"><div class=\"field-content\">\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo7_1.jpg\" title=\"Ut enim ad minim veniam\" data-colorbox-gallery=\"gallery-all-ZvUqTAWkBI0\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Ut enim ad minim veniam&quot;,&quot;alt&quot;:&quot;Ut enim ad minim veniam&quot;}\"><img src=\"/sites/default/files/field/gallery/demo7_1.jpg\" width=\"1100\" height=\"1100\" alt=\"Ut enim ad minim veniam\" title=\"Ut enim ad minim veniam\" typeof=\"foaf:Image\" />\n</a>\n</div></div></div>\n    <div><div class=\"views-field views-field-field-gallery portfolio-gallery\"><div class=\"field-content\">\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo1_1.jpg\" title=\"Ut enim ad minim veniam\" data-colorbox-gallery=\"gallery-all-ZvUqTAWkBI0\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Ut enim ad minim veniam&quot;,&quot;alt&quot;:&quot;Ut enim ad minim veniam&quot;}\"><img src=\"/sites/default/files/field/gallery/demo1_1.jpg\" width=\"1100\" height=\"1100\" alt=\"Ut enim ad minim veniam\" title=\"Ut enim ad minim veniam\" typeof=\"foaf:Image\" />\n</a>\n</div></div></div>\n    <div><div class=\"views-field views-field-field-gallery portfolio-gallery\"><div class=\"field-content\">\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo3_1.jpg\" title=\"Ut enim ad minim veniam\" data-colorbox-gallery=\"gallery-all-ZvUqTAWkBI0\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Ut enim ad minim veniam&quot;,&quot;alt&quot;:&quot;Ut enim ad minim veniam&quot;}\"><img src=\"/sites/default/files/field/gallery/demo3_1.jpg\" width=\"1100\" height=\"1100\" alt=\"Ut enim ad minim veniam\" title=\"Ut enim ad minim veniam\" typeof=\"foaf:Image\" />\n</a>\n</div></div></div>\n    <div><div class=\"views-field views-field-field-gallery portfolio-gallery\"><div class=\"field-content\">\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo2_0.jpg\" title=\"Lorem ipsum dolor sit amet\" data-colorbox-gallery=\"gallery-all-ZvUqTAWkBI0\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Lorem ipsum dolor sit amet&quot;,&quot;alt&quot;:&quot;Lorem ipsum dolor sit amet&quot;}\"><img src=\"/sites/default/files/field/gallery/demo2_0.jpg\" width=\"1100\" height=\"1100\" alt=\"Lorem ipsum dolor sit amet\" title=\"Lorem ipsum dolor sit amet\" typeof=\"foaf:Image\" />\n</a>\n</div></div></div>\n    <div><div class=\"views-field views-field-field-gallery portfolio-gallery\"><div class=\"field-content\">\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo7_0.jpg\" title=\"Lorem ipsum dolor sit amet\" data-colorbox-gallery=\"gallery-all-ZvUqTAWkBI0\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Lorem ipsum dolor sit amet&quot;,&quot;alt&quot;:&quot;Lorem ipsum dolor sit amet&quot;}\"><img src=\"/sites/default/files/field/gallery/demo7_0.jpg\" width=\"1100\" height=\"1100\" alt=\"Lorem ipsum dolor sit amet\" title=\"Lorem ipsum dolor sit amet\" typeof=\"foaf:Image\" />\n</a>\n</div></div></div>\n    <div><div class=\"views-field views-field-field-gallery portfolio-gallery\"><div class=\"field-content\">\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo1_0.jpg\" title=\"Lorem ipsum dolor sit amet\" data-colorbox-gallery=\"gallery-all-ZvUqTAWkBI0\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Lorem ipsum dolor sit amet&quot;,&quot;alt&quot;:&quot;Lorem ipsum dolor sit amet&quot;}\"><img src=\"/sites/default/files/field/gallery/demo1_0.jpg\" width=\"1100\" height=\"1100\" alt=\"Lorem ipsum dolor sit amet\" title=\"Lorem ipsum dolor sit amet\" typeof=\"foaf:Image\" />\n</a>\n</div></div></div>\n    <div><div class=\"views-field views-field-field-gallery portfolio-gallery\"><div class=\"field-content\">\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo6_0.jpg\" title=\"Lorem ipsum dolor sit amet\" data-colorbox-gallery=\"gallery-all-ZvUqTAWkBI0\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Lorem ipsum dolor sit amet&quot;,&quot;alt&quot;:&quot;Lorem ipsum dolor sit amet&quot;}\"><img src=\"/sites/default/files/field/gallery/demo6_0.jpg\" width=\"1100\" height=\"1100\" alt=\"Lorem ipsum dolor sit amet\" title=\"Lorem ipsum dolor sit amet\" typeof=\"foaf:Image\" />\n</a>\n</div></div></div>\n\n    </div>\n  \n            <div class=\"view-footer\">\n      <p>“If you are going to use a passage of Lorem Ipsum, you need to be sure there isn\'t anything embarrassing hidden in the middle of text.”</p>\n<p>						-- H. Rackham --</p>\n\n    </div>\n    </div>\n</div>\n\n    </div>\n  </div>\n\n  </div>\n\n      </div>\n    </section>\n    \n        <section id=\"panel-fourth\">\n      <div class=\"container\">\n          <div class=\"region region-panel-fourth\">\n    <div class=\"views-element-container block block-views block-views-blockblog-page-block-2\" id=\"block-views-block-blog-page-block-2\">\n  \n      <h2>latest news</h2>\n    \n      <div class=\"content\">\n      <div><div class=\"view-type-grid view view-blog-page view-id-blog_page view-display-id-block_2 js-view-dom-id-e97b3efc1d7aab8e736423b0471a7bc537e9153035a943ff5ba57f9f119cdab4\">\n  \n    \n      <div class=\"view-header\">\n      <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit.<br />\nPraesent facilisis massa nellyary eget magna semper,  dolor sit amet.</p>\n\n    </div>\n      \n      <div class=\"view-content\">\n          <div class=\"views-view-grid horizontal cols-3 clearfix\">\n            <div class=\"views-row clearfix row-1\">\n                  <div class=\"views-col col-1\" style=\"width: 33.333333333333%;\"><div class=\"views-field views-field-field-image\"><div class=\"field-content\">  <a href=\"/blog/seeing-light\" hreflang=\"en\"><img src=\"/sites/default/files/styles/image_551_372/public/field/blog/blog-01.jpg?itok=WLGJd480\" width=\"551\" height=\"372\" alt=\"Seeing the light\" title=\"Seeing the light\" typeof=\"foaf:Image\" class=\"image-style-image-551-372\" />\n\n</a>\n</div></div><div class=\"views-field views-field-title\"><span class=\"field-content\"><a href=\"/blog/seeing-light\" hreflang=\"en\">Seeing the light</a></span></div><div class=\"views-field views-field-created\"><span class=\"field-content\">July 25, 2016</span></div><div class=\"views-field views-field-uid\"><span class=\"field-content\">by <a href=\"/user/15\" hreflang=\"en\">linda</a> </span></div><div class=\"views-field views-field-field-tags\"><div class=\"field-content\">in <a href=\"/tags/drupal\" hreflang=\"en\">Drupal</a></div></div><div class=\"views-field views-field-body\"><div class=\"field-content\"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua.</p></div></div></div>\n                  <div class=\"views-col col-2\" style=\"width: 33.333333333333%;\"><div class=\"views-field views-field-field-image\"><div class=\"field-content\">  <a href=\"/blog/warehouse-sale-emeryville\" hreflang=\"en\"><img src=\"/sites/default/files/styles/image_551_372/public/field/blog/blog-02.jpg?itok=7PhIWd28\" width=\"551\" height=\"372\" alt=\"Warehouse Sale in Emeryville\" title=\"Warehouse Sale in Emeryville\" typeof=\"foaf:Image\" class=\"image-style-image-551-372\" />\n\n</a>\n</div></div><div class=\"views-field views-field-title\"><span class=\"field-content\"><a href=\"/blog/warehouse-sale-emeryville\" hreflang=\"en\">Warehouse Sale in Emeryville</a></span></div><div class=\"views-field views-field-created\"><span class=\"field-content\">January 08, 2016</span></div><div class=\"views-field views-field-uid\"><span class=\"field-content\">by <a href=\"/user/1\" hreflang=\"en\">admin</a> </span></div><div class=\"views-field views-field-field-tags\"><div class=\"field-content\">in <a href=\"/tags/css\" hreflang=\"en\">CSS</a></div></div><div class=\"views-field views-field-body\"><div class=\"field-content\"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua.</p></div></div></div>\n                  <div class=\"views-col col-3\" style=\"width: 33.333333333333%;\"><div class=\"views-field views-field-field-image\"><div class=\"field-content\">  <a href=\"/blog/wall\" hreflang=\"en\"><img src=\"/sites/default/files/styles/image_551_372/public/field/blog/blog-03.jpg?itok=83qPKtx9\" width=\"551\" height=\"372\" alt=\"Off the wall\" title=\"Off the wall\" typeof=\"foaf:Image\" class=\"image-style-image-551-372\" />\n\n</a>\n</div></div><div class=\"views-field views-field-title\"><span class=\"field-content\"><a href=\"/blog/wall\" hreflang=\"en\">Off the wall</a></span></div><div class=\"views-field views-field-created\"><span class=\"field-content\">December 22, 2015</span></div><div class=\"views-field views-field-uid\"><span class=\"field-content\">by <a href=\"/user/15\" hreflang=\"en\">linda</a> </span></div><div class=\"views-field views-field-field-tags\"><div class=\"field-content\">in <a href=\"/tags/transportation\" hreflang=\"en\">Transportation</a></div></div><div class=\"views-field views-field-body\"><div class=\"field-content\"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua.</p></div></div></div>\n              </div>\n      </div>\n\n    </div>\n  \n          </div>\n</div>\n\n    </div>\n  </div>\n\n  </div>\n\n      </div>\n    </section>\n    \n        <section id=\"panel-fifth\">\n      <div class=\"container\">\n          <div class=\"region region-panel-fifth\">\n    <div class=\"views-element-container block block-views block-views-blockour-partners-block-1\" id=\"block-views-block-our-partners-block-1\">\n  \n      <h2>Our partners</h2>\n    \n      <div class=\"content\">\n      <div><div class=\"view-our-partners view view-id-our_partners view-display-id-block_1 js-view-dom-id-80760fadec603229d1abd123f5a564401934baa2891270d8e97c06f75981e8ba\">\n  \n    \n      \n      <div class=\"view-content\">\n      <div class=\"owl-carousel carousel-responsive\">\n          <div>\n        <div class=\"views-field views-field-field-partners\"><div class=\"field-content\"><a href=\"http://demo.weebpal.com/drupal8/business/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/logo-bs.png?itok=K0RPbk_h\" width=\"380\" height=\"224\" alt=\"Business\" title=\"Business\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a></div></div>\n      </div>\n          <div>\n        <div class=\"views-field views-field-field-partners\"><div class=\"field-content\"><a href=\"http://weebpal.com/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/logo-wp.png?itok=bg9l3f8O\" width=\"380\" height=\"224\" alt=\"Weebpal\" title=\"Weebpal\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a></div></div>\n      </div>\n          <div>\n        <div class=\"views-field views-field-field-partners\"><div class=\"field-content\"><a href=\"https://jquery.com/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/jquery-logo.png?itok=LOz187-u\" width=\"380\" height=\"224\" alt=\"jQuery\" title=\"jQuery\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a></div></div>\n      </div>\n          <div>\n        <div class=\"views-field views-field-field-partners\"><div class=\"field-content\"><a href=\"https://www.youtube.com/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/youtube_logo.png?itok=W1Z0jbNz\" width=\"380\" height=\"224\" alt=\"Youtube\" title=\"Youtube\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a></div></div>\n      </div>\n          <div>\n        <div class=\"views-field views-field-field-partners\"><div class=\"field-content\"><a href=\"http://getbootstrap.com/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/bootstrap-logo.png?itok=1m_YLXKP\" width=\"380\" height=\"224\" alt=\"Bootstrap\" title=\"Bootstrap\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a></div></div>\n      </div>\n          <div>\n        <div class=\"views-field views-field-field-partners\"><div class=\"field-content\"><a href=\"https://www.drupal.com/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/drupal-logo-trans.png?itok=xwZywhaS\" width=\"380\" height=\"224\" alt=\"Drupal\" title=\"Drupal\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a></div></div>\n      </div>\n        \n</div>  \n\n\n    </div>\n  \n          </div>\n</div>\n\n    </div>\n  </div>\n\n  </div>\n\n      </div>\n    </section>\n    \n    \n          <section id=\"footer-columns\">\n        <div class=\"container\">\n          <div class=\"row\">\n            <div class=\"col-md-3\">\n                <div class=\"region region-footer-firstcolumn\">\n    <nav role=\"navigation\" aria-labelledby=\"block-quicklinks-menu\" id=\"block-quicklinks\" class=\"block block-menu navigation menu--quick\">\n      \n  <h2 id=\"block-quicklinks-menu\">Quick links</h2>\n  \n\n        \n              <ul class=\"clearfix menu\">\n                    <li class=\"menu-item\">\n        <a href=\"https://www.drupal.org/\" target=\"_blank\" title=\"Drupal\">Drupal</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"https://www.facebook.com/\" target=\"_blank\" title=\"Facebook\">Facebook</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"https://www.google.com\" target=\"_blank\" title=\"Google\">Google</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"https://twitter.com/\" target=\"_blank\" title=\"Twitter\">Twitter</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"https://www.weebpal.com/\" target=\"_blank\" title=\"Weebpal\">Weebpal</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"https://wordpress.com/\" target=\"_blank\" title=\"Wordpress\">Wordpress</a>\n              </li>\n        </ul>\n  \n\n\n  </nav>\n<nav role=\"navigation\" aria-labelledby=\"block-mainnavigation-menu\" id=\"block-mainnavigation\" class=\"main-menu-footer block block-menu navigation menu--main\">\n            \n  <h2 class=\"visually-hidden\" id=\"block-mainnavigation-menu\">Main navigation</h2>\n  \n\n        \n              <ul class=\"clearfix menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/\" data-drupal-link-system-path=\"&lt;front&gt;\">Home</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/about-us\" target=\"\" title=\"About us\" data-drupal-link-system-path=\"node/4\">About us</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/services\" target=\"\" title=\"Services\" data-drupal-link-system-path=\"node/30\">Services</a>\n              </li>\n                <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/portfolio\" target=\"\" title=\"Porfolio\" data-drupal-link-system-path=\"portfolio\">Portfolio</a>\n                                <ul class=\"menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/portfolio_4_col\" target=\"\" title=\"Portfolio 4 col\" data-drupal-link-system-path=\"portfolio_4_col\">Portfolio 4 col</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/portfolio_masonry\" target=\"\" title=\"Portfolio masonry\" data-drupal-link-system-path=\"portfolio_masonry\">Portfolio masonry</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/blog\" target=\"\" title=\"Blog\" data-drupal-link-system-path=\"blog\">Blog</a>\n                                <ul class=\"menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/blog_default\" target=\"\" title=\"Blog default\" data-drupal-link-system-path=\"blog_default\">Blog default</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/contact\" target=\"\" title=\"Contact\" data-drupal-link-system-path=\"contact\">Contact</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"http://weebpal.com/\" target=\"_blank\" title=\"More themes\">More themes</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/user/login\" class=\"user-log-in\" target=\"\" data-drupal-link-system-path=\"user/login\">Login | User</a>\n              </li>\n        </ul>\n  \n\n\n  </nav>\n\n  </div>\n\n            </div>\n            <div class=\"col-md-3\">\n                <div class=\"region region-footer-secondcolumn\">\n    <div class=\"views-element-container block block-views block-views-blockblog-page-block-3\" id=\"block-views-block-blog-page-block-3\">\n  \n      <h2>Latest news</h2>\n    \n      <div class=\"content\">\n      <div><div class=\"view-type-list view view-blog-page view-id-blog_page view-display-id-block_3 js-view-dom-id-a1bab9694f3d80635185f6212a1c562a230504021ef9a295cec845f7b68c0786\">\n  \n    \n      <div class=\"view-header\">\n      <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit.<br />\nPraesent facilisis massa nellyary eget magna semper,  dolor sit amet.</p>\n\n    </div>\n      \n      <div class=\"view-content\">\n          <div class=\"views-row\"><div class=\"views-field views-field-nothing\"><span class=\"field-content\"><div class=\"views-field wp-views-field-img\">\n	  <a href=\"/blog/seeing-light\" hreflang=\"en\"><img src=\"/sites/default/files/styles/image_63_63/public/field/blog/blog-01.jpg?itok=JB0jmD8A\" width=\"63\" height=\"63\" alt=\"Seeing the light\" title=\"Seeing the light\" typeof=\"Image\" class=\"image-style-image-63-63\" />\n\n</a>\n 	\n</div>\n<div class=\"views-inner views-fieldset\">\n	<div class=\"views-field wp-views-field-title\">\n		<a href=\"/blog/seeing-light\" hreflang=\"en\">Seeing the light</a>	\n	</div>\n	<div class=\"views-field wp-views-field-body\">\n		<p>Lorem ipsum dolor sit amet, consectetur…</p> 	\n	</div>\n	<div class=\"views-field wp-views-field-created\">\n		25 Jul,2016		\n	</div>\n</div>\n</span></div></div>\n    <div class=\"views-row\"><div class=\"views-field views-field-nothing\"><span class=\"field-content\"><div class=\"views-field wp-views-field-img\">\n	  <a href=\"/blog/warehouse-sale-emeryville\" hreflang=\"en\"><img src=\"/sites/default/files/styles/image_63_63/public/field/blog/blog-02.jpg?itok=8Le4uyzF\" width=\"63\" height=\"63\" alt=\"Warehouse Sale in Emeryville\" title=\"Warehouse Sale in Emeryville\" typeof=\"Image\" class=\"image-style-image-63-63\" />\n\n</a>\n 	\n</div>\n<div class=\"views-inner views-fieldset\">\n	<div class=\"views-field wp-views-field-title\">\n		<a href=\"/blog/warehouse-sale-emeryville\" hreflang=\"en\">Warehouse Sale in Emeryville</a>	\n	</div>\n	<div class=\"views-field wp-views-field-body\">\n		<p>Lorem ipsum dolor sit amet, consectetur…</p> 	\n	</div>\n	<div class=\"views-field wp-views-field-created\">\n		08 Jan,2016		\n	</div>\n</div>\n</span></div></div>\n\n    </div>\n  \n          </div>\n</div>\n\n    </div>\n  </div>\n\n  </div>\n\n            </div>\n            <div class=\"col-md-3\">\n                <div class=\"region region-footer-thirdcolumn\">\n    <div class=\"simplenews-subscriptions-block-2e7f7bdc-7622-4ced-9848-99a362a0e07e simplenews-subscriber-form block block-simplenews block-simplenews-subscription-block\" data-drupal-selector=\"simplenews-subscriptions-block-2e7f7bdc-7622-4ced-9848-99a362a0e07e\" id=\"block-simplenewssubscription\">\n  \n      <h2>Newsletter</h2>\n    \n      <div class=\"content\">\n      <form action=\"form_action_p_pvdeGsVG5zNF_XLGPTvYSKCf43t8qZYSwcfZl2uzM\" method=\"post\" id=\"simplenews-subscriptions-block-2e7f7bdc-7622-4ced-9848-99a362a0e07e\" accept-charset=\"UTF-8\">\n  <div class=\"field--type-simplenews-subscription field--name-subscriptions field--widget-simplenews-subscription-select js-form-wrapper form-wrapper\" data-drupal-selector=\"edit-subscriptions-wrapper\" id=\"edit-subscriptions-wrapper\"></div>\n<div id=\"edit-message\" class=\"js-form-item form-item js-form-type-item form-type-item js-form-item-message form-item-message form-no-label\">\n        Sign up for our mailing to get latest updates and offers.\n        </div>\n<input autocomplete=\"off\" data-drupal-selector=\"form-tvk-tyideg73eblbbdba-sene4t9kxvy5vk6cztr20k\" type=\"hidden\" name=\"form_build_id\" value=\"form-TVK_TyIDEg73eBLbbdBA-sENe4T9KxVy5VK6CZTR20k\" />\n<input data-drupal-selector=\"edit-simplenews-subscriptions-block-2e7f7bdc-7622-4ced-9848-99a362a0e07e\" type=\"hidden\" name=\"form_id\" value=\"simplenews_subscriptions_block_2e7f7bdc-7622-4ced-9848-99a362a0e07e\" />\n<div class=\"field--type-email field--name-mail field--widget-email-default js-form-wrapper form-wrapper\" data-drupal-selector=\"edit-mail-wrapper\" id=\"edit-mail-wrapper\">      <div class=\"js-form-item form-item js-form-type-email form-type-email js-form-item-mail-0-value form-item-mail-0-value\">\n      <label for=\"edit-mail-0-value\" class=\"js-form-required form-required\">Email</label>\n        <input data-drupal-selector=\"edit-mail-0-value\" aria-describedby=\"edit-mail-0-value--description\" type=\"email\" id=\"edit-mail-0-value\" name=\"mail[0][value]\" value=\"\" size=\"60\" maxlength=\"254\" placeholder=\"\" class=\"form-email required\" required=\"required\" aria-required=\"true\" />\n\n            <div id=\"edit-mail-0-value--description\" class=\"description\">\n      The subscriber\'s email address.\n    </div>\n  </div>\n\n  </div>\n<div data-drupal-selector=\"edit-actions\" class=\"form-actions js-form-wrapper form-wrapper\" id=\"edit-actions--2\"><input data-drupal-selector=\"edit-subscribe\" type=\"submit\" id=\"edit-subscribe\" name=\"op\" value=\"Subscribe\" class=\"button js-form-submit form-submit\" />\n</div>\n\n</form>\n\n    </div>\n  </div>\n<div id=\"block-newsletterblock\" class=\"block block-block-content block-block-contentb0c92726-50bb-4afe-8a60-e078803c0753\">\n  \n    \n      <div class=\"content\">\n      \n            <div class=\"clearfix text-formatted field field--name-body field--type-text-with-summary field--label-hidden field__item\"><p>We respect your privacy</p>\n</div>\n      \n    </div>\n  </div>\n\n  </div>\n\n            </div>\n            <div class=\"col-md-3\">\n                <div class=\"region region-footer-fourthcolumn\">\n    <div id=\"block-contactus\" class=\"contact-us-block-info block block-block-content block-block-contentb7be088a-40ae-4f2f-9614-8e1bae7b453d\">\n  \n      <h2>Contact us</h2>\n    \n      <div class=\"content\">\n      \n            <div class=\"clearfix text-formatted field field--name-body field--type-text-with-summary field--label-hidden field__item\"><p>The generated Lorem Ipsum is therefore always free from repetition, injected humour, or non-characteristic words etc.</p>\n<address><span>1-800-123-HELLO</span> <a href=\"mailto:help@travelo.com\" title=\"help@travelo.com\">help@travelo.com</a></address>\n<div class=\"social-wrap\">\n<ul class=\"list-inline social-list\"><li><a href=\"#\" title=\"Twitter\"><span class=\"fa fa-twitter\" aria-hidden=\"true\">Twitter</span></a></li>\n<li><a href=\"#\" title=\"Google\"><span class=\"fa fa-google-plus\" aria-hidden=\"true\">Google</span></a></li>\n<li><a href=\"#\" title=\"Facebook\"><span class=\"fa fa-facebook\" aria-hidden=\"true\">Facebook</span></a></li>\n<li><a href=\"#\" title=\"linkkedin\"><span class=\"fa fa-linkedin-square\" aria-hidden=\"true\">linkkedin</span></a></li>\n<li><a href=\"#\" title=\"vimeo\"><span class=\"fa fa-vimeo\" aria-hidden=\"true\">vimeo</span></a></li>\n<li><a href=\"#\" title=\"dribble\"><span class=\"fa fa-dribbble\" aria-hidden=\"true\">dribble</span></a></li>\n<li><a href=\"#\" title=\"flick\"><span class=\"fa fa-flickr\" aria-hidden=\"true\">flick</span></a></li>\n</ul></div>\n</div>\n      \n    </div>\n  </div>\n\n  </div>\n\n            </div>\n          </div>\n        </div>\n\n      </section><!-- /#footer-columns -->\n    \n          <footer id=\"footer\" role=\"contentinfo\" class=\"clearfix\">\n        <div class=\"container\">\n            <div class=\"region region-footer\">\n    <div id=\"block-copyrightbyweebpal\" class=\"block block-block-content block-block-contentd077ed59-d2a0-42b7-afc6-ed94b9621584\">\n  \n    \n      <div class=\"content\">\n      \n            <div class=\"clearfix text-formatted field field--name-body field--type-text-with-summary field--label-hidden field__item\"><p>Design by <a href=\"https://weebpal.com/\" target=\"_blank\">WeebPal </a>- Drupal Development Company</p>\n</div>\n      \n    </div>\n  </div>\n\n  </div>\n\n        </div>\n      </footer> <!-- /#footer -->\n    \n    <!-- /.section, /#footer-wrapper -->\n\n  </div>\n\n\n  </div>\n\n    \n    <js-bottom-placeholder token=\"vvAZi_7F5GkxO1pvq8RBXDMV_HylxEnS1jwUMdPNeu9UP3Ig2qqCTKj9xUqbmDqZ11lc9-mWSw\">\n  </body>\n</html>\n\";s:10:\"\0*\0version\";s:3:\"1.0\";s:13:\"\0*\0statusCode\";i:200;s:13:\"\0*\0statusText\";s:2:\"OK\";s:10:\"\0*\0charset\";N;s:23:\"\0*\0cacheabilityMetadata\";O:35:\"Drupal\\Core\\Cache\\CacheableMetadata\":3:{s:16:\"\0*\0cacheContexts\";a:15:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:5:\"route\";i:3;s:32:\"route.menu_active_trails:account\";i:4;s:29:\"route.menu_active_trails:main\";i:5;s:30:\"route.menu_active_trails:quick\";i:6;s:5:\"theme\";i:7;s:8:\"timezone\";i:8;s:8:\"url.path\";i:9;s:30:\"url.query_args:_wrapper_format\";i:10;s:8:\"url.site\";i:11;s:21:\"user.node_grants:view\";i:12;s:16:\"user.permissions\";i:13;s:10:\"user.roles\";i:14;s:24:\"user.roles:authenticated\";}s:12:\"\0*\0cacheTags\";a:134:{i:0;s:15:\"block_content:2\";i:1;s:15:\"block_content:4\";i:2;s:15:\"block_content:6\";i:3;s:18:\"block_content_view\";i:4;s:10:\"block_view\";i:5;s:23:\"config:block.block.blog\";i:6;s:30:\"config:block.block.breadcrumbs\";i:7;s:28:\"config:block.block.contactus\";i:8;s:37:\"config:block.block.copyrightbyweebpal\";i:9;s:41:\"config:block.block.luxestate_account_menu\";i:10;s:37:\"config:block.block.luxestate_branding\";i:11;s:40:\"config:block.block.luxestate_breadcrumbs\";i:12;s:36:\"config:block.block.luxestate_content\";i:13;s:35:\"config:block.block.luxestate_footer\";i:14;s:33:\"config:block.block.luxestate_help\";i:15;s:42:\"config:block.block.luxestate_local_actions\";i:16;s:40:\"config:block.block.luxestate_local_tasks\";i:17;s:37:\"config:block.block.luxestate_messages\";i:18;s:39:\"config:block.block.luxestate_page_title\";i:19;s:36:\"config:block.block.luxestate_powered\";i:20;s:35:\"config:block.block.luxestate_search\";i:21;s:34:\"config:block.block.luxestate_tools\";i:22;s:33:\"config:block.block.mainnavigation\";i:23;s:35:\"config:block.block.mainnavigation_2\";i:24;s:34:\"config:block.block.newsletterblock\";i:25;s:30:\"config:block.block.ourlocation\";i:26;s:28:\"config:block.block.pagetitle\";i:27;s:29:\"config:block.block.quicklinks\";i:28;s:41:\"config:block.block.simplenewssubscription\";i:29;s:48:\"config:block.block.views_block__about_us_block_1\";i:30;s:46:\"config:block.block.views_block__banner_block_1\";i:31;s:46:\"config:block.block.views_block__banner_block_2\";i:32;s:46:\"config:block.block.views_block__banner_block_3\";i:33;s:46:\"config:block.block.views_block__banner_block_4\";i:34;s:46:\"config:block.block.views_block__banner_block_5\";i:35;s:46:\"config:block.block.views_block__banner_block_6\";i:36;s:46:\"config:block.block.views_block__banner_block_7\";i:37;s:52:\"config:block.block.views_block__blog_details_block_1\";i:38;s:52:\"config:block.block.views_block__blog_details_block_3\";i:39;s:49:\"config:block.block.views_block__blog_page_block_1\";i:40;s:49:\"config:block.block.views_block__blog_page_block_2\";i:41;s:49:\"config:block.block.views_block__blog_page_block_3\";i:42;s:49:\"config:block.block.views_block__frontpage_block_1\";i:43;s:51:\"config:block.block.views_block__our_mission_block_1\";i:44;s:52:\"config:block.block.views_block__our_partners_block_1\";i:45;s:52:\"config:block.block.views_block__our_services_block_1\";i:46;s:49:\"config:block.block.views_block__portfolio_block_1\";i:47;s:49:\"config:block.block.views_block__slideshow_block_1\";i:48;s:44:\"config:block.block.views_block__tags_block_1\";i:49;s:53:\"config:block.block.views_block__why_choose_us_block_1\";i:50;s:53:\"config:block.block.views_block__why_choose_us_block_2\";i:51;s:17:\"config:block_list\";i:52;s:28:\"config:color.theme.luxestate\";i:53;s:83:\"config:core.entity_form_display.simplenews_subscriber.simplenews_subscriber.default\";i:54;s:76:\"config:field.field.simplenews_subscriber.simplenews_subscriber.subscriptions\";i:55;s:30:\"config:field.storage.node.body\";i:56;s:38:\"config:field.storage.node.field_banner\";i:57;s:39:\"config:field.storage.node.field_gallery\";i:58;s:37:\"config:field.storage.node.field_image\";i:59;s:36:\"config:field.storage.node.field_link\";i:60;s:40:\"config:field.storage.node.field_partners\";i:61;s:41:\"config:field.storage.node.field_slideshow\";i:62;s:34:\"config:field.storage.node.field_su\";i:63;s:36:\"config:field.storage.node.field_tags\";i:64;s:56:\"config:field.storage.simplenews_subscriber.subscriptions\";i:65;s:30:\"config:filter.format.full_html\";i:66;s:33:\"config:image.style.image_1920_700\";i:67;s:33:\"config:image.style.image_1920_845\";i:68;s:32:\"config:image.style.image_380_224\";i:69;s:32:\"config:image.style.image_551_372\";i:70;s:30:\"config:image.style.image_63_63\";i:71;s:26:\"config:system.menu.account\";i:72;s:23:\"config:system.menu.main\";i:73;s:24:\"config:system.menu.quick\";i:74;s:18:\"config:system.site\";i:75;s:26:\"config:views.view.about_us\";i:76;s:27:\"config:views.view.blog_page\";i:77;s:27:\"config:views.view.frontpage\";i:78;s:30:\"config:views.view.our_partners\";i:79;s:27:\"config:views.view.portfolio\";i:80;s:27:\"config:views.view.slideshow\";i:81;s:8:\"file:105\";i:82;s:8:\"file:109\";i:83;s:8:\"file:111\";i:84;s:8:\"file:112\";i:85;s:8:\"file:114\";i:86;s:8:\"file:122\";i:87;s:8:\"file:129\";i:88;s:8:\"file:130\";i:89;s:8:\"file:131\";i:90;s:6:\"file:2\";i:91;s:7:\"file:36\";i:92;s:6:\"file:4\";i:93;s:6:\"file:5\";i:94;s:6:\"file:6\";i:95;s:7:\"file:80\";i:96;s:7:\"file:81\";i:97;s:7:\"file:82\";i:98;s:7:\"file:83\";i:99;s:7:\"file:84\";i:100;s:7:\"file:85\";i:101;s:7:\"file:86\";i:102;s:7:\"file:87\";i:103;s:7:\"file:88\";i:104;s:7:\"file:94\";i:105;s:7:\"file:95\";i:106;s:7:\"file:96\";i:107;s:7:\"file:97\";i:108;s:7:\"file:98\";i:109;s:7:\"file:99\";i:110;s:10:\"local_task\";i:111;s:7:\"node:10\";i:112;s:7:\"node:11\";i:113;s:7:\"node:12\";i:114;s:7:\"node:15\";i:115;s:7:\"node:16\";i:116;s:7:\"node:19\";i:117;s:7:\"node:20\";i:118;s:7:\"node:30\";i:119;s:6:\"node:4\";i:120;s:7:\"node:43\";i:121;s:7:\"node:44\";i:122;s:6:\"node:5\";i:123;s:6:\"node:7\";i:124;s:6:\"node:9\";i:125;s:9:\"node_list\";i:126;s:15:\"taxonomy_term:1\";i:127;s:15:\"taxonomy_term:2\";i:128;s:15:\"taxonomy_term:5\";i:129;s:15:\"taxonomy_term:6\";i:130;s:6:\"user:0\";i:131;s:6:\"user:1\";i:132;s:7:\"user:15\";i:133;s:8:\"rendered\";}s:14:\"\0*\0cacheMaxAge\";i:-1;}s:14:\"\0*\0attachments\";a:6:{s:7:\"library\";a:455:{i:0;s:14:\"core/html5shiv\";i:1;s:11:\"system/base\";i:2;s:11:\"classy/base\";i:3;s:15:\"classy/messages\";i:4;s:14:\"core/normalize\";i:5;s:24:\"luxestate/global-styling\";i:6;s:20:\"luxestate/corescript\";i:7;s:18:\"views/views.module\";i:8;s:18:\"views/views.module\";i:9;s:18:\"views/views.module\";i:10;s:18:\"views/views.module\";i:11;s:18:\"views/views.module\";i:12;s:18:\"views/views.module\";i:13;s:18:\"views/views.module\";i:14;s:17:\"colorbox/colorbox\";i:15;s:16:\"colorbox/default\";i:16;s:17:\"colorbox/colorbox\";i:17;s:16:\"colorbox/default\";i:18;s:17:\"colorbox/colorbox\";i:19;s:16:\"colorbox/default\";i:20;s:17:\"colorbox/colorbox\";i:21;s:16:\"colorbox/default\";i:22;s:17:\"colorbox/colorbox\";i:23;s:16:\"colorbox/default\";i:24;s:17:\"colorbox/colorbox\";i:25;s:16:\"colorbox/default\";i:26;s:17:\"colorbox/colorbox\";i:27;s:16:\"colorbox/default\";i:28;s:17:\"colorbox/colorbox\";i:29;s:16:\"colorbox/default\";i:30;s:17:\"colorbox/colorbox\";i:31;s:16:\"colorbox/default\";i:32;s:17:\"colorbox/colorbox\";i:33;s:16:\"colorbox/default\";i:34;s:17:\"colorbox/colorbox\";i:35;s:16:\"colorbox/default\";i:36;s:17:\"colorbox/colorbox\";i:37;s:16:\"colorbox/default\";i:38;s:17:\"colorbox/colorbox\";i:39;s:16:\"colorbox/default\";i:40;s:17:\"colorbox/colorbox\";i:41;s:16:\"colorbox/default\";i:42;s:17:\"colorbox/colorbox\";i:43;s:16:\"colorbox/default\";i:44;s:17:\"colorbox/colorbox\";i:45;s:16:\"colorbox/default\";i:46;s:17:\"colorbox/colorbox\";i:47;s:16:\"colorbox/default\";i:48;s:17:\"colorbox/colorbox\";i:49;s:16:\"colorbox/default\";i:50;s:17:\"colorbox/colorbox\";i:51;s:16:\"colorbox/default\";i:52;s:17:\"colorbox/colorbox\";i:53;s:16:\"colorbox/default\";i:54;s:17:\"colorbox/colorbox\";i:55;s:16:\"colorbox/default\";i:56;s:17:\"colorbox/colorbox\";i:57;s:16:\"colorbox/default\";i:58;s:17:\"colorbox/colorbox\";i:59;s:16:\"colorbox/default\";i:60;s:17:\"colorbox/colorbox\";i:61;s:16:\"colorbox/default\";i:62;s:17:\"colorbox/colorbox\";i:63;s:16:\"colorbox/default\";i:64;s:17:\"colorbox/colorbox\";i:65;s:16:\"colorbox/default\";i:66;s:17:\"colorbox/colorbox\";i:67;s:16:\"colorbox/default\";i:68;s:17:\"colorbox/colorbox\";i:69;s:16:\"colorbox/default\";i:70;s:17:\"colorbox/colorbox\";i:71;s:16:\"colorbox/default\";i:72;s:17:\"colorbox/colorbox\";i:73;s:16:\"colorbox/default\";i:74;s:17:\"colorbox/colorbox\";i:75;s:16:\"colorbox/default\";i:76;s:17:\"colorbox/colorbox\";i:77;s:16:\"colorbox/default\";i:78;s:17:\"colorbox/colorbox\";i:79;s:16:\"colorbox/default\";i:80;s:17:\"colorbox/colorbox\";i:81;s:16:\"colorbox/default\";i:82;s:17:\"colorbox/colorbox\";i:83;s:16:\"colorbox/default\";i:84;s:17:\"colorbox/colorbox\";i:85;s:16:\"colorbox/default\";i:86;s:17:\"colorbox/colorbox\";i:87;s:16:\"colorbox/default\";i:88;s:17:\"colorbox/colorbox\";i:89;s:16:\"colorbox/default\";i:90;s:17:\"colorbox/colorbox\";i:91;s:16:\"colorbox/default\";i:92;s:17:\"colorbox/colorbox\";i:93;s:16:\"colorbox/default\";i:94;s:17:\"colorbox/colorbox\";i:95;s:16:\"colorbox/default\";i:96;s:17:\"colorbox/colorbox\";i:97;s:16:\"colorbox/default\";i:98;s:17:\"colorbox/colorbox\";i:99;s:16:\"colorbox/default\";i:100;s:17:\"colorbox/colorbox\";i:101;s:16:\"colorbox/default\";i:102;s:17:\"colorbox/colorbox\";i:103;s:16:\"colorbox/default\";i:104;s:17:\"colorbox/colorbox\";i:105;s:16:\"colorbox/default\";i:106;s:17:\"colorbox/colorbox\";i:107;s:16:\"colorbox/default\";i:108;s:17:\"colorbox/colorbox\";i:109;s:16:\"colorbox/default\";i:110;s:17:\"colorbox/colorbox\";i:111;s:16:\"colorbox/default\";i:112;s:17:\"colorbox/colorbox\";i:113;s:16:\"colorbox/default\";i:114;s:17:\"colorbox/colorbox\";i:115;s:16:\"colorbox/default\";i:116;s:17:\"colorbox/colorbox\";i:117;s:16:\"colorbox/default\";i:118;s:17:\"colorbox/colorbox\";i:119;s:16:\"colorbox/default\";i:120;s:17:\"colorbox/colorbox\";i:121;s:16:\"colorbox/default\";i:122;s:17:\"colorbox/colorbox\";i:123;s:16:\"colorbox/default\";i:124;s:17:\"colorbox/colorbox\";i:125;s:16:\"colorbox/default\";i:126;s:17:\"colorbox/colorbox\";i:127;s:16:\"colorbox/default\";i:128;s:17:\"colorbox/colorbox\";i:129;s:16:\"colorbox/default\";i:130;s:17:\"colorbox/colorbox\";i:131;s:16:\"colorbox/default\";i:132;s:17:\"colorbox/colorbox\";i:133;s:16:\"colorbox/default\";i:134;s:17:\"colorbox/colorbox\";i:135;s:16:\"colorbox/default\";i:136;s:17:\"colorbox/colorbox\";i:137;s:16:\"colorbox/default\";i:138;s:17:\"colorbox/colorbox\";i:139;s:16:\"colorbox/default\";i:140;s:17:\"colorbox/colorbox\";i:141;s:16:\"colorbox/default\";i:142;s:17:\"colorbox/colorbox\";i:143;s:16:\"colorbox/default\";i:144;s:17:\"colorbox/colorbox\";i:145;s:16:\"colorbox/default\";i:146;s:17:\"colorbox/colorbox\";i:147;s:16:\"colorbox/default\";i:148;s:17:\"colorbox/colorbox\";i:149;s:16:\"colorbox/default\";i:150;s:17:\"colorbox/colorbox\";i:151;s:16:\"colorbox/default\";i:152;s:17:\"colorbox/colorbox\";i:153;s:16:\"colorbox/default\";i:154;s:17:\"colorbox/colorbox\";i:155;s:16:\"colorbox/default\";i:156;s:17:\"colorbox/colorbox\";i:157;s:16:\"colorbox/default\";i:158;s:18:\"views/views.module\";i:159;s:17:\"colorbox/colorbox\";i:160;s:16:\"colorbox/default\";i:161;s:17:\"colorbox/colorbox\";i:162;s:16:\"colorbox/default\";i:163;s:17:\"colorbox/colorbox\";i:164;s:16:\"colorbox/default\";i:165;s:17:\"colorbox/colorbox\";i:166;s:16:\"colorbox/default\";i:167;s:17:\"colorbox/colorbox\";i:168;s:16:\"colorbox/default\";i:169;s:17:\"colorbox/colorbox\";i:170;s:16:\"colorbox/default\";i:171;s:17:\"colorbox/colorbox\";i:172;s:16:\"colorbox/default\";i:173;s:17:\"colorbox/colorbox\";i:174;s:16:\"colorbox/default\";i:175;s:17:\"colorbox/colorbox\";i:176;s:16:\"colorbox/default\";i:177;s:17:\"colorbox/colorbox\";i:178;s:16:\"colorbox/default\";i:179;s:17:\"colorbox/colorbox\";i:180;s:16:\"colorbox/default\";i:181;s:17:\"colorbox/colorbox\";i:182;s:16:\"colorbox/default\";i:183;s:17:\"colorbox/colorbox\";i:184;s:16:\"colorbox/default\";i:185;s:17:\"colorbox/colorbox\";i:186;s:16:\"colorbox/default\";i:187;s:17:\"colorbox/colorbox\";i:188;s:16:\"colorbox/default\";i:189;s:17:\"colorbox/colorbox\";i:190;s:16:\"colorbox/default\";i:191;s:17:\"colorbox/colorbox\";i:192;s:16:\"colorbox/default\";i:193;s:17:\"colorbox/colorbox\";i:194;s:16:\"colorbox/default\";i:195;s:17:\"colorbox/colorbox\";i:196;s:16:\"colorbox/default\";i:197;s:17:\"colorbox/colorbox\";i:198;s:16:\"colorbox/default\";i:199;s:17:\"colorbox/colorbox\";i:200;s:16:\"colorbox/default\";i:201;s:17:\"colorbox/colorbox\";i:202;s:16:\"colorbox/default\";i:203;s:17:\"colorbox/colorbox\";i:204;s:16:\"colorbox/default\";i:205;s:17:\"colorbox/colorbox\";i:206;s:16:\"colorbox/default\";i:207;s:17:\"colorbox/colorbox\";i:208;s:16:\"colorbox/default\";i:209;s:17:\"colorbox/colorbox\";i:210;s:16:\"colorbox/default\";i:211;s:17:\"colorbox/colorbox\";i:212;s:16:\"colorbox/default\";i:213;s:17:\"colorbox/colorbox\";i:214;s:16:\"colorbox/default\";i:215;s:17:\"colorbox/colorbox\";i:216;s:16:\"colorbox/default\";i:217;s:17:\"colorbox/colorbox\";i:218;s:16:\"colorbox/default\";i:219;s:17:\"colorbox/colorbox\";i:220;s:16:\"colorbox/default\";i:221;s:17:\"colorbox/colorbox\";i:222;s:16:\"colorbox/default\";i:223;s:17:\"colorbox/colorbox\";i:224;s:16:\"colorbox/default\";i:225;s:17:\"colorbox/colorbox\";i:226;s:16:\"colorbox/default\";i:227;s:17:\"colorbox/colorbox\";i:228;s:16:\"colorbox/default\";i:229;s:17:\"colorbox/colorbox\";i:230;s:16:\"colorbox/default\";i:231;s:17:\"colorbox/colorbox\";i:232;s:16:\"colorbox/default\";i:233;s:17:\"colorbox/colorbox\";i:234;s:16:\"colorbox/default\";i:235;s:17:\"colorbox/colorbox\";i:236;s:16:\"colorbox/default\";i:237;s:17:\"colorbox/colorbox\";i:238;s:16:\"colorbox/default\";i:239;s:17:\"colorbox/colorbox\";i:240;s:16:\"colorbox/default\";i:241;s:17:\"colorbox/colorbox\";i:242;s:16:\"colorbox/default\";i:243;s:17:\"colorbox/colorbox\";i:244;s:16:\"colorbox/default\";i:245;s:17:\"colorbox/colorbox\";i:246;s:16:\"colorbox/default\";i:247;s:17:\"colorbox/colorbox\";i:248;s:16:\"colorbox/default\";i:249;s:17:\"colorbox/colorbox\";i:250;s:16:\"colorbox/default\";i:251;s:17:\"colorbox/colorbox\";i:252;s:16:\"colorbox/default\";i:253;s:17:\"colorbox/colorbox\";i:254;s:16:\"colorbox/default\";i:255;s:17:\"colorbox/colorbox\";i:256;s:16:\"colorbox/default\";i:257;s:17:\"colorbox/colorbox\";i:258;s:16:\"colorbox/default\";i:259;s:17:\"colorbox/colorbox\";i:260;s:16:\"colorbox/default\";i:261;s:17:\"colorbox/colorbox\";i:262;s:16:\"colorbox/default\";i:263;s:17:\"colorbox/colorbox\";i:264;s:16:\"colorbox/default\";i:265;s:17:\"colorbox/colorbox\";i:266;s:16:\"colorbox/default\";i:267;s:17:\"colorbox/colorbox\";i:268;s:16:\"colorbox/default\";i:269;s:17:\"colorbox/colorbox\";i:270;s:16:\"colorbox/default\";i:271;s:17:\"colorbox/colorbox\";i:272;s:16:\"colorbox/default\";i:273;s:17:\"colorbox/colorbox\";i:274;s:16:\"colorbox/default\";i:275;s:17:\"colorbox/colorbox\";i:276;s:16:\"colorbox/default\";i:277;s:17:\"colorbox/colorbox\";i:278;s:16:\"colorbox/default\";i:279;s:17:\"colorbox/colorbox\";i:280;s:16:\"colorbox/default\";i:281;s:17:\"colorbox/colorbox\";i:282;s:16:\"colorbox/default\";i:283;s:17:\"colorbox/colorbox\";i:284;s:16:\"colorbox/default\";i:285;s:17:\"colorbox/colorbox\";i:286;s:16:\"colorbox/default\";i:287;s:17:\"colorbox/colorbox\";i:288;s:16:\"colorbox/default\";i:289;s:17:\"colorbox/colorbox\";i:290;s:16:\"colorbox/default\";i:291;s:17:\"colorbox/colorbox\";i:292;s:16:\"colorbox/default\";i:293;s:17:\"colorbox/colorbox\";i:294;s:16:\"colorbox/default\";i:295;s:17:\"colorbox/colorbox\";i:296;s:16:\"colorbox/default\";i:297;s:17:\"colorbox/colorbox\";i:298;s:16:\"colorbox/default\";i:299;s:17:\"colorbox/colorbox\";i:300;s:16:\"colorbox/default\";i:301;s:17:\"colorbox/colorbox\";i:302;s:16:\"colorbox/default\";i:303;s:17:\"colorbox/colorbox\";i:304;s:16:\"colorbox/default\";i:305;s:17:\"colorbox/colorbox\";i:306;s:16:\"colorbox/default\";i:307;s:17:\"colorbox/colorbox\";i:308;s:16:\"colorbox/default\";i:309;s:17:\"colorbox/colorbox\";i:310;s:16:\"colorbox/default\";i:311;s:17:\"colorbox/colorbox\";i:312;s:16:\"colorbox/default\";i:313;s:17:\"colorbox/colorbox\";i:314;s:16:\"colorbox/default\";i:315;s:17:\"colorbox/colorbox\";i:316;s:16:\"colorbox/default\";i:317;s:17:\"colorbox/colorbox\";i:318;s:16:\"colorbox/default\";i:319;s:17:\"colorbox/colorbox\";i:320;s:16:\"colorbox/default\";i:321;s:17:\"colorbox/colorbox\";i:322;s:16:\"colorbox/default\";i:323;s:17:\"colorbox/colorbox\";i:324;s:16:\"colorbox/default\";i:325;s:17:\"colorbox/colorbox\";i:326;s:16:\"colorbox/default\";i:327;s:17:\"colorbox/colorbox\";i:328;s:16:\"colorbox/default\";i:329;s:17:\"colorbox/colorbox\";i:330;s:16:\"colorbox/default\";i:331;s:17:\"colorbox/colorbox\";i:332;s:16:\"colorbox/default\";i:333;s:17:\"colorbox/colorbox\";i:334;s:16:\"colorbox/default\";i:335;s:17:\"colorbox/colorbox\";i:336;s:16:\"colorbox/default\";i:337;s:17:\"colorbox/colorbox\";i:338;s:16:\"colorbox/default\";i:339;s:17:\"colorbox/colorbox\";i:340;s:16:\"colorbox/default\";i:341;s:17:\"colorbox/colorbox\";i:342;s:16:\"colorbox/default\";i:343;s:17:\"colorbox/colorbox\";i:344;s:16:\"colorbox/default\";i:345;s:17:\"colorbox/colorbox\";i:346;s:16:\"colorbox/default\";i:347;s:17:\"colorbox/colorbox\";i:348;s:16:\"colorbox/default\";i:349;s:17:\"colorbox/colorbox\";i:350;s:16:\"colorbox/default\";i:351;s:17:\"colorbox/colorbox\";i:352;s:16:\"colorbox/default\";i:353;s:17:\"colorbox/colorbox\";i:354;s:16:\"colorbox/default\";i:355;s:17:\"colorbox/colorbox\";i:356;s:16:\"colorbox/default\";i:357;s:17:\"colorbox/colorbox\";i:358;s:16:\"colorbox/default\";i:359;s:17:\"colorbox/colorbox\";i:360;s:16:\"colorbox/default\";i:361;s:17:\"colorbox/colorbox\";i:362;s:16:\"colorbox/default\";i:363;s:17:\"colorbox/colorbox\";i:364;s:16:\"colorbox/default\";i:365;s:17:\"colorbox/colorbox\";i:366;s:16:\"colorbox/default\";i:367;s:17:\"colorbox/colorbox\";i:368;s:16:\"colorbox/default\";i:369;s:17:\"colorbox/colorbox\";i:370;s:16:\"colorbox/default\";i:371;s:17:\"colorbox/colorbox\";i:372;s:16:\"colorbox/default\";i:373;s:17:\"colorbox/colorbox\";i:374;s:16:\"colorbox/default\";i:375;s:17:\"colorbox/colorbox\";i:376;s:16:\"colorbox/default\";i:377;s:17:\"colorbox/colorbox\";i:378;s:16:\"colorbox/default\";i:379;s:17:\"colorbox/colorbox\";i:380;s:16:\"colorbox/default\";i:381;s:17:\"colorbox/colorbox\";i:382;s:16:\"colorbox/default\";i:383;s:17:\"colorbox/colorbox\";i:384;s:16:\"colorbox/default\";i:385;s:17:\"colorbox/colorbox\";i:386;s:16:\"colorbox/default\";i:387;s:17:\"colorbox/colorbox\";i:388;s:16:\"colorbox/default\";i:389;s:17:\"colorbox/colorbox\";i:390;s:16:\"colorbox/default\";i:391;s:17:\"colorbox/colorbox\";i:392;s:16:\"colorbox/default\";i:393;s:17:\"colorbox/colorbox\";i:394;s:16:\"colorbox/default\";i:395;s:17:\"colorbox/colorbox\";i:396;s:16:\"colorbox/default\";i:397;s:17:\"colorbox/colorbox\";i:398;s:16:\"colorbox/default\";i:399;s:17:\"colorbox/colorbox\";i:400;s:16:\"colorbox/default\";i:401;s:17:\"colorbox/colorbox\";i:402;s:16:\"colorbox/default\";i:403;s:17:\"colorbox/colorbox\";i:404;s:16:\"colorbox/default\";i:405;s:17:\"colorbox/colorbox\";i:406;s:16:\"colorbox/default\";i:407;s:17:\"colorbox/colorbox\";i:408;s:16:\"colorbox/default\";i:409;s:17:\"colorbox/colorbox\";i:410;s:16:\"colorbox/default\";i:411;s:17:\"colorbox/colorbox\";i:412;s:16:\"colorbox/default\";i:413;s:17:\"colorbox/colorbox\";i:414;s:16:\"colorbox/default\";i:415;s:17:\"colorbox/colorbox\";i:416;s:16:\"colorbox/default\";i:417;s:17:\"colorbox/colorbox\";i:418;s:16:\"colorbox/default\";i:419;s:17:\"colorbox/colorbox\";i:420;s:16:\"colorbox/default\";i:421;s:17:\"colorbox/colorbox\";i:422;s:16:\"colorbox/default\";i:423;s:17:\"colorbox/colorbox\";i:424;s:16:\"colorbox/default\";i:425;s:17:\"colorbox/colorbox\";i:426;s:16:\"colorbox/default\";i:427;s:17:\"colorbox/colorbox\";i:428;s:16:\"colorbox/default\";i:429;s:17:\"colorbox/colorbox\";i:430;s:16:\"colorbox/default\";i:431;s:17:\"colorbox/colorbox\";i:432;s:16:\"colorbox/default\";i:433;s:17:\"colorbox/colorbox\";i:434;s:16:\"colorbox/default\";i:435;s:17:\"colorbox/colorbox\";i:436;s:16:\"colorbox/default\";i:437;s:17:\"colorbox/colorbox\";i:438;s:16:\"colorbox/default\";i:439;s:17:\"colorbox/colorbox\";i:440;s:16:\"colorbox/default\";i:441;s:17:\"colorbox/colorbox\";i:442;s:16:\"colorbox/default\";i:443;s:17:\"colorbox/colorbox\";i:444;s:16:\"colorbox/default\";i:445;s:17:\"colorbox/colorbox\";i:446;s:16:\"colorbox/default\";i:447;s:18:\"views/views.module\";i:448;s:18:\"views/views.module\";i:449;s:18:\"views/views.module\";i:450;s:18:\"views/views.module\";i:451;s:18:\"views/views.module\";i:452;s:18:\"views/views.module\";i:453;s:38:\"we_megamenu/form.we-mega-menu-frontend\";i:454;s:20:\"luxestate/skins-menu\";}s:14:\"html_head_link\";a:3:{i:0;a:1:{i:0;a:3:{s:3:\"rel\";s:13:\"shortcut icon\";s:4:\"href\";s:29:\"/themes/luxestate/favicon.ico\";s:4:\"type\";s:24:\"image/vnd.microsoft.icon\";}}i:1;a:1:{i:0;a:4:{s:3:\"rel\";s:9:\"alternate\";s:4:\"type\";s:19:\"application/rss+xml\";s:5:\"title\";s:0:\"\";s:4:\"href\";s:55:\"http://luxestate-d8.frontend.local2.weebpal.com/rss.xml\";}}i:2;a:1:{i:0;a:4:{s:3:\"rel\";s:9:\"alternate\";s:4:\"type\";s:19:\"application/rss+xml\";s:5:\"title\";s:0:\"\";s:4:\"href\";s:55:\"http://luxestate-d8.frontend.local2.weebpal.com/rss.xml\";}}}s:9:\"html_head\";a:5:{i:0;a:2:{i:0;a:3:{s:4:\"#tag\";s:4:\"meta\";s:11:\"#attributes\";a:1:{s:7:\"charset\";s:5:\"utf-8\";}s:7:\"#weight\";i:-1000;}i:1;s:24:\"system_meta_content_type\";}i:1;a:2:{i:0;a:3:{s:5:\"#type\";s:8:\"html_tag\";s:4:\"#tag\";s:4:\"meta\";s:11:\"#attributes\";a:2:{s:4:\"name\";s:9:\"Generator\";s:7:\"content\";s:33:\"Drupal 8 (https://www.drupal.org)\";}}i:1;s:21:\"system_meta_generator\";}i:2;a:2:{i:0;a:2:{s:4:\"#tag\";s:4:\"meta\";s:11:\"#attributes\";a:2:{s:4:\"name\";s:15:\"MobileOptimized\";s:7:\"content\";s:5:\"width\";}}i:1;s:15:\"MobileOptimized\";}i:3;a:2:{i:0;a:2:{s:4:\"#tag\";s:4:\"meta\";s:11:\"#attributes\";a:2:{s:4:\"name\";s:16:\"HandheldFriendly\";s:7:\"content\";s:4:\"true\";}}i:1;s:16:\"HandheldFriendly\";}i:4;a:2:{i:0;a:2:{s:4:\"#tag\";s:4:\"meta\";s:11:\"#attributes\";a:2:{s:4:\"name\";s:8:\"viewport\";s:7:\"content\";s:37:\"width=device-width, initial-scale=1.0\";}}i:1;s:8:\"viewport\";}}s:14:\"drupalSettings\";a:2:{s:14:\"ajaxTrustedUrl\";a:1:{s:55:\"form_action_p_pvdeGsVG5zNF_XLGPTvYSKCf43t8qZYSwcfZl2uzM\";b:1;}s:8:\"colorbox\";a:10:{s:7:\"opacity\";s:4:\"0.85\";s:7:\"current\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"{current} of {total}\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"previous\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"« Prev\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"next\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Next »\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"close\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Close\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"maxWidth\";s:3:\"98%\";s:9:\"maxHeight\";s:3:\"98%\";s:5:\"fixed\";b:1;s:12:\"mobiledetect\";b:1;s:17:\"mobiledevicewidth\";s:5:\"480px\";}}s:12:\"placeholders\";a:2:{s:55:\"form_action_p_pvdeGsVG5zNF_XLGPTvYSKCf43t8qZYSwcfZl2uzM\";a:1:{s:13:\"#lazy_builder\";a:2:{i:0;s:40:\"form_builder:renderPlaceholderFormAction\";i:1;a:0:{}}}s:190:\"<drupal-render-placeholder callback=\"Drupal\\Core\\Render\\Element\\StatusMessages::renderMessages\" arguments=\"0\" token=\"_HAdUpwWmet0TOTe2PSiJuMntExoshbm1kh2wQzzzAA\"></drupal-render-placeholder>\";a:1:{s:13:\"#lazy_builder\";a:2:{i:0;s:57:\"Drupal\\Core\\Render\\Element\\StatusMessages::renderMessages\";i:1;a:1:{i:0;N;}}}}s:37:\"html_response_attachment_placeholders\";a:4:{s:6:\"styles\";s:100:\"<css-placeholder token=\"vvAZi_7F5GkxO1pvq8RBXDMV_HylxEnS1jwUMdPNeu9UP3Ig2qqCTKj9xUqbmDqZ11lc9-mWSw\">\";s:7:\"scripts\";s:99:\"<js-placeholder token=\"vvAZi_7F5GkxO1pvq8RBXDMV_HylxEnS1jwUMdPNeu9UP3Ig2qqCTKj9xUqbmDqZ11lc9-mWSw\">\";s:14:\"scripts_bottom\";s:106:\"<js-bottom-placeholder token=\"vvAZi_7F5GkxO1pvq8RBXDMV_HylxEnS1jwUMdPNeu9UP3Ig2qqCTKj9xUqbmDqZ11lc9-mWSw\">\";s:4:\"head\";s:101:\"<head-placeholder token=\"vvAZi_7F5GkxO1pvq8RBXDMV_HylxEnS1jwUMdPNeu9UP3Ig2qqCTKj9xUqbmDqZ11lc9-mWSw\">\";}}}}',-1,1636711430.565,1,'block_content:2 block_content:4 block_content:6 block_content_view block_view config:block.block.blog config:block.block.breadcrumbs config:block.block.contactus config:block.block.copyrightbyweebpal config:block.block.luxestate_account_menu config:block.block.luxestate_branding config:block.block.luxestate_breadcrumbs config:block.block.luxestate_content config:block.block.luxestate_footer config:block.block.luxestate_help config:block.block.luxestate_local_actions config:block.block.luxestate_local_tasks config:block.block.luxestate_messages config:block.block.luxestate_page_title config:block.block.luxestate_powered config:block.block.luxestate_search config:block.block.luxestate_tools config:block.block.mainnavigation config:block.block.mainnavigation_2 config:block.block.newsletterblock config:block.block.ourlocation config:block.block.pagetitle config:block.block.quicklinks config:block.block.simplenewssubscription config:block.block.views_block__about_us_block_1 config:block.block.views_block__banner_block_1 config:block.block.views_block__banner_block_2 config:block.block.views_block__banner_block_3 config:block.block.views_block__banner_block_4 config:block.block.views_block__banner_block_5 config:block.block.views_block__banner_block_6 config:block.block.views_block__banner_block_7 config:block.block.views_block__blog_details_block_1 config:block.block.views_block__blog_details_block_3 config:block.block.views_block__blog_page_block_1 config:block.block.views_block__blog_page_block_2 config:block.block.views_block__blog_page_block_3 config:block.block.views_block__frontpage_block_1 config:block.block.views_block__our_mission_block_1 config:block.block.views_block__our_partners_block_1 config:block.block.views_block__our_services_block_1 config:block.block.views_block__portfolio_block_1 config:block.block.views_block__slideshow_block_1 config:block.block.views_block__tags_block_1 config:block.block.views_block__why_choose_us_block_1 config:block.block.views_block__why_choose_us_block_2 config:block_list config:color.theme.luxestate config:core.entity_form_display.simplenews_subscriber.simplenews_subscriber.default config:field.field.simplenews_subscriber.simplenews_subscriber.subscriptions config:field.storage.node.body config:field.storage.node.field_banner config:field.storage.node.field_gallery config:field.storage.node.field_image config:field.storage.node.field_link config:field.storage.node.field_partners config:field.storage.node.field_slideshow config:field.storage.node.field_su config:field.storage.node.field_tags config:field.storage.simplenews_subscriber.subscriptions config:filter.format.full_html config:image.style.image_1920_700 config:image.style.image_1920_845 config:image.style.image_380_224 config:image.style.image_551_372 config:image.style.image_63_63 config:system.menu.account config:system.menu.main config:system.menu.quick config:system.site config:views.view.about_us config:views.view.blog_page config:views.view.frontpage config:views.view.our_partners config:views.view.portfolio config:views.view.slideshow file:105 file:109 file:111 file:112 file:114 file:122 file:129 file:130 file:131 file:2 file:36 file:4 file:5 file:6 file:80 file:81 file:82 file:83 file:84 file:85 file:86 file:87 file:88 file:94 file:95 file:96 file:97 file:98 file:99 local_task node:10 node:11 node:12 node:15 node:16 node:19 node:20 node:30 node:4 node:43 node:44 node:5 node:7 node:9 node_list rendered taxonomy_term:1 taxonomy_term:2 taxonomy_term:5 taxonomy_term:6 user:0 user:1 user:15','289'),('response:[request_format]=html:[route]=system.40335786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3','a:2:{s:15:\"#cache_redirect\";b:1;s:6:\"#cache\";a:5:{s:4:\"keys\";a:1:{i:0;s:8:\"response\";}s:8:\"contexts\";a:15:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:14:\"request_format\";i:3;s:5:\"route\";i:4;s:32:\"route.menu_active_trails:account\";i:5;s:29:\"route.menu_active_trails:main\";i:6;s:30:\"route.menu_active_trails:quick\";i:7;s:5:\"theme\";i:8;s:8:\"timezone\";i:9;s:8:\"url.path\";i:10;s:30:\"url.query_args:_wrapper_format\";i:11;s:21:\"user.node_grants:view\";i:12;s:16:\"user.permissions\";i:13;s:10:\"user.roles\";i:14;s:24:\"user.roles:authenticated\";}s:4:\"tags\";a:92:{i:0;s:15:\"block_content:2\";i:1;s:15:\"block_content:4\";i:2;s:15:\"block_content:6\";i:3;s:18:\"block_content_view\";i:4;s:10:\"block_view\";i:5;s:23:\"config:block.block.blog\";i:6;s:30:\"config:block.block.breadcrumbs\";i:7;s:28:\"config:block.block.contactus\";i:8;s:37:\"config:block.block.copyrightbyweebpal\";i:9;s:41:\"config:block.block.luxestate_account_menu\";i:10;s:37:\"config:block.block.luxestate_branding\";i:11;s:40:\"config:block.block.luxestate_breadcrumbs\";i:12;s:36:\"config:block.block.luxestate_content\";i:13;s:35:\"config:block.block.luxestate_footer\";i:14;s:33:\"config:block.block.luxestate_help\";i:15;s:42:\"config:block.block.luxestate_local_actions\";i:16;s:40:\"config:block.block.luxestate_local_tasks\";i:17;s:37:\"config:block.block.luxestate_messages\";i:18;s:39:\"config:block.block.luxestate_page_title\";i:19;s:36:\"config:block.block.luxestate_powered\";i:20;s:35:\"config:block.block.luxestate_search\";i:21;s:34:\"config:block.block.luxestate_tools\";i:22;s:33:\"config:block.block.mainnavigation\";i:23;s:35:\"config:block.block.mainnavigation_2\";i:24;s:34:\"config:block.block.newsletterblock\";i:25;s:30:\"config:block.block.ourlocation\";i:26;s:28:\"config:block.block.pagetitle\";i:27;s:29:\"config:block.block.quicklinks\";i:28;s:41:\"config:block.block.simplenewssubscription\";i:29;s:48:\"config:block.block.views_block__about_us_block_1\";i:30;s:46:\"config:block.block.views_block__banner_block_1\";i:31;s:46:\"config:block.block.views_block__banner_block_2\";i:32;s:46:\"config:block.block.views_block__banner_block_3\";i:33;s:46:\"config:block.block.views_block__banner_block_4\";i:34;s:46:\"config:block.block.views_block__banner_block_5\";i:35;s:46:\"config:block.block.views_block__banner_block_6\";i:36;s:46:\"config:block.block.views_block__banner_block_7\";i:37;s:52:\"config:block.block.views_block__blog_details_block_1\";i:38;s:52:\"config:block.block.views_block__blog_details_block_3\";i:39;s:49:\"config:block.block.views_block__blog_page_block_1\";i:40;s:49:\"config:block.block.views_block__blog_page_block_2\";i:41;s:49:\"config:block.block.views_block__blog_page_block_3\";i:42;s:49:\"config:block.block.views_block__frontpage_block_1\";i:43;s:51:\"config:block.block.views_block__our_mission_block_1\";i:44;s:52:\"config:block.block.views_block__our_partners_block_1\";i:45;s:52:\"config:block.block.views_block__our_services_block_1\";i:46;s:49:\"config:block.block.views_block__portfolio_block_1\";i:47;s:49:\"config:block.block.views_block__slideshow_block_1\";i:48;s:44:\"config:block.block.views_block__tags_block_1\";i:49;s:53:\"config:block.block.views_block__why_choose_us_block_1\";i:50;s:53:\"config:block.block.views_block__why_choose_us_block_2\";i:51;s:17:\"config:block_list\";i:52;s:28:\"config:color.theme.luxestate\";i:53;s:83:\"config:core.entity_form_display.simplenews_subscriber.simplenews_subscriber.default\";i:54;s:76:\"config:field.field.simplenews_subscriber.simplenews_subscriber.subscriptions\";i:55;s:30:\"config:field.storage.node.body\";i:56;s:37:\"config:field.storage.node.field_image\";i:57;s:36:\"config:field.storage.node.field_link\";i:58;s:40:\"config:field.storage.node.field_partners\";i:59;s:56:\"config:field.storage.simplenews_subscriber.subscriptions\";i:60;s:30:\"config:filter.format.full_html\";i:61;s:32:\"config:image.style.image_380_224\";i:62;s:30:\"config:image.style.image_63_63\";i:63;s:26:\"config:system.menu.account\";i:64;s:23:\"config:system.menu.main\";i:65;s:24:\"config:system.menu.quick\";i:66;s:18:\"config:system.site\";i:67;s:27:\"config:views.view.blog_page\";i:68;s:30:\"config:views.view.our_partners\";i:69;s:8:\"file:105\";i:70;s:8:\"file:109\";i:71;s:8:\"file:111\";i:72;s:8:\"file:112\";i:73;s:8:\"file:122\";i:74;s:6:\"file:2\";i:75;s:6:\"file:4\";i:76;s:6:\"file:5\";i:77;s:6:\"file:6\";i:78;s:10:\"local_task\";i:79;s:7:\"node:10\";i:80;s:7:\"node:11\";i:81;s:7:\"node:16\";i:82;s:7:\"node:30\";i:83;s:6:\"node:4\";i:84;s:7:\"node:43\";i:85;s:7:\"node:44\";i:86;s:6:\"node:5\";i:87;s:6:\"node:7\";i:88;s:6:\"node:9\";i:89;s:9:\"node_list\";i:90;s:8:\"rendered\";i:91;s:6:\"user:0\";}s:7:\"max-age\";i:-1;s:3:\"bin\";s:18:\"dynamic_page_cache\";}}',-1,1636711552.205,1,'block_content:2 block_content:4 block_content:6 block_content_view block_view config:block.block.blog config:block.block.breadcrumbs config:block.block.contactus config:block.block.copyrightbyweebpal config:block.block.luxestate_account_menu config:block.block.luxestate_branding config:block.block.luxestate_breadcrumbs config:block.block.luxestate_content config:block.block.luxestate_footer config:block.block.luxestate_help config:block.block.luxestate_local_actions config:block.block.luxestate_local_tasks config:block.block.luxestate_messages config:block.block.luxestate_page_title config:block.block.luxestate_powered config:block.block.luxestate_search config:block.block.luxestate_tools config:block.block.mainnavigation config:block.block.mainnavigation_2 config:block.block.newsletterblock config:block.block.ourlocation config:block.block.pagetitle config:block.block.quicklinks config:block.block.simplenewssubscription config:block.block.views_block__about_us_block_1 config:block.block.views_block__banner_block_1 config:block.block.views_block__banner_block_2 config:block.block.views_block__banner_block_3 config:block.block.views_block__banner_block_4 config:block.block.views_block__banner_block_5 config:block.block.views_block__banner_block_6 config:block.block.views_block__banner_block_7 config:block.block.views_block__blog_details_block_1 config:block.block.views_block__blog_details_block_3 config:block.block.views_block__blog_page_block_1 config:block.block.views_block__blog_page_block_2 config:block.block.views_block__blog_page_block_3 config:block.block.views_block__frontpage_block_1 config:block.block.views_block__our_mission_block_1 config:block.block.views_block__our_partners_block_1 config:block.block.views_block__our_services_block_1 config:block.block.views_block__portfolio_block_1 config:block.block.views_block__slideshow_block_1 config:block.block.views_block__tags_block_1 config:block.block.views_block__why_choose_us_block_1 config:block.block.views_block__why_choose_us_block_2 config:block_list config:color.theme.luxestate config:core.entity_form_display.simplenews_subscriber.simplenews_subscriber.default config:field.field.simplenews_subscriber.simplenews_subscriber.subscriptions config:field.storage.node.body config:field.storage.node.field_image config:field.storage.node.field_link config:field.storage.node.field_partners config:field.storage.simplenews_subscriber.subscriptions config:filter.format.full_html config:image.style.image_380_224 config:image.style.image_63_63 config:system.menu.account config:system.menu.main config:system.menu.quick config:system.site config:views.view.blog_page config:views.view.our_partners file:105 file:109 file:111 file:112 file:122 file:2 file:4 file:5 file:6 local_task node:10 node:11 node:16 node:30 node:4 node:43 node:44 node:5 node:7 node:9 node_list rendered user:0','267'),('response:[request_format]=html:[route]=system.40435786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3','a:2:{s:15:\"#cache_redirect\";b:1;s:6:\"#cache\";a:5:{s:4:\"keys\";a:1:{i:0;s:8:\"response\";}s:8:\"contexts\";a:15:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:14:\"request_format\";i:3;s:5:\"route\";i:4;s:32:\"route.menu_active_trails:account\";i:5;s:29:\"route.menu_active_trails:main\";i:6;s:30:\"route.menu_active_trails:quick\";i:7;s:5:\"theme\";i:8;s:8:\"timezone\";i:9;s:8:\"url.path\";i:10;s:30:\"url.query_args:_wrapper_format\";i:11;s:21:\"user.node_grants:view\";i:12;s:16:\"user.permissions\";i:13;s:10:\"user.roles\";i:14;s:24:\"user.roles:authenticated\";}s:4:\"tags\";a:92:{i:0;s:15:\"block_content:2\";i:1;s:15:\"block_content:4\";i:2;s:15:\"block_content:6\";i:3;s:18:\"block_content_view\";i:4;s:10:\"block_view\";i:5;s:23:\"config:block.block.blog\";i:6;s:30:\"config:block.block.breadcrumbs\";i:7;s:28:\"config:block.block.contactus\";i:8;s:37:\"config:block.block.copyrightbyweebpal\";i:9;s:41:\"config:block.block.luxestate_account_menu\";i:10;s:37:\"config:block.block.luxestate_branding\";i:11;s:40:\"config:block.block.luxestate_breadcrumbs\";i:12;s:36:\"config:block.block.luxestate_content\";i:13;s:35:\"config:block.block.luxestate_footer\";i:14;s:33:\"config:block.block.luxestate_help\";i:15;s:42:\"config:block.block.luxestate_local_actions\";i:16;s:40:\"config:block.block.luxestate_local_tasks\";i:17;s:37:\"config:block.block.luxestate_messages\";i:18;s:39:\"config:block.block.luxestate_page_title\";i:19;s:36:\"config:block.block.luxestate_powered\";i:20;s:35:\"config:block.block.luxestate_search\";i:21;s:34:\"config:block.block.luxestate_tools\";i:22;s:33:\"config:block.block.mainnavigation\";i:23;s:35:\"config:block.block.mainnavigation_2\";i:24;s:34:\"config:block.block.newsletterblock\";i:25;s:30:\"config:block.block.ourlocation\";i:26;s:28:\"config:block.block.pagetitle\";i:27;s:29:\"config:block.block.quicklinks\";i:28;s:41:\"config:block.block.simplenewssubscription\";i:29;s:48:\"config:block.block.views_block__about_us_block_1\";i:30;s:46:\"config:block.block.views_block__banner_block_1\";i:31;s:46:\"config:block.block.views_block__banner_block_2\";i:32;s:46:\"config:block.block.views_block__banner_block_3\";i:33;s:46:\"config:block.block.views_block__banner_block_4\";i:34;s:46:\"config:block.block.views_block__banner_block_5\";i:35;s:46:\"config:block.block.views_block__banner_block_6\";i:36;s:46:\"config:block.block.views_block__banner_block_7\";i:37;s:52:\"config:block.block.views_block__blog_details_block_1\";i:38;s:52:\"config:block.block.views_block__blog_details_block_3\";i:39;s:49:\"config:block.block.views_block__blog_page_block_1\";i:40;s:49:\"config:block.block.views_block__blog_page_block_2\";i:41;s:49:\"config:block.block.views_block__blog_page_block_3\";i:42;s:49:\"config:block.block.views_block__frontpage_block_1\";i:43;s:51:\"config:block.block.views_block__our_mission_block_1\";i:44;s:52:\"config:block.block.views_block__our_partners_block_1\";i:45;s:52:\"config:block.block.views_block__our_services_block_1\";i:46;s:49:\"config:block.block.views_block__portfolio_block_1\";i:47;s:49:\"config:block.block.views_block__slideshow_block_1\";i:48;s:44:\"config:block.block.views_block__tags_block_1\";i:49;s:53:\"config:block.block.views_block__why_choose_us_block_1\";i:50;s:53:\"config:block.block.views_block__why_choose_us_block_2\";i:51;s:17:\"config:block_list\";i:52;s:28:\"config:color.theme.luxestate\";i:53;s:83:\"config:core.entity_form_display.simplenews_subscriber.simplenews_subscriber.default\";i:54;s:76:\"config:field.field.simplenews_subscriber.simplenews_subscriber.subscriptions\";i:55;s:30:\"config:field.storage.node.body\";i:56;s:37:\"config:field.storage.node.field_image\";i:57;s:36:\"config:field.storage.node.field_link\";i:58;s:40:\"config:field.storage.node.field_partners\";i:59;s:56:\"config:field.storage.simplenews_subscriber.subscriptions\";i:60;s:30:\"config:filter.format.full_html\";i:61;s:32:\"config:image.style.image_380_224\";i:62;s:30:\"config:image.style.image_63_63\";i:63;s:26:\"config:system.menu.account\";i:64;s:23:\"config:system.menu.main\";i:65;s:24:\"config:system.menu.quick\";i:66;s:18:\"config:system.site\";i:67;s:27:\"config:views.view.blog_page\";i:68;s:30:\"config:views.view.our_partners\";i:69;s:8:\"file:105\";i:70;s:8:\"file:109\";i:71;s:8:\"file:111\";i:72;s:8:\"file:112\";i:73;s:8:\"file:122\";i:74;s:6:\"file:2\";i:75;s:6:\"file:4\";i:76;s:6:\"file:5\";i:77;s:6:\"file:6\";i:78;s:10:\"local_task\";i:79;s:7:\"node:10\";i:80;s:7:\"node:11\";i:81;s:7:\"node:16\";i:82;s:7:\"node:30\";i:83;s:6:\"node:4\";i:84;s:7:\"node:43\";i:85;s:7:\"node:44\";i:86;s:6:\"node:5\";i:87;s:6:\"node:7\";i:88;s:6:\"node:9\";i:89;s:9:\"node_list\";i:90;s:8:\"rendered\";i:91;s:6:\"user:0\";}s:7:\"max-age\";i:-1;s:3:\"bin\";s:18:\"dynamic_page_cache\";}}',-1,1637057291.617,1,'block_content:2 block_content:4 block_content:6 block_content_view block_view config:block.block.blog config:block.block.breadcrumbs config:block.block.contactus config:block.block.copyrightbyweebpal config:block.block.luxestate_account_menu config:block.block.luxestate_branding config:block.block.luxestate_breadcrumbs config:block.block.luxestate_content config:block.block.luxestate_footer config:block.block.luxestate_help config:block.block.luxestate_local_actions config:block.block.luxestate_local_tasks config:block.block.luxestate_messages config:block.block.luxestate_page_title config:block.block.luxestate_powered config:block.block.luxestate_search config:block.block.luxestate_tools config:block.block.mainnavigation config:block.block.mainnavigation_2 config:block.block.newsletterblock config:block.block.ourlocation config:block.block.pagetitle config:block.block.quicklinks config:block.block.simplenewssubscription config:block.block.views_block__about_us_block_1 config:block.block.views_block__banner_block_1 config:block.block.views_block__banner_block_2 config:block.block.views_block__banner_block_3 config:block.block.views_block__banner_block_4 config:block.block.views_block__banner_block_5 config:block.block.views_block__banner_block_6 config:block.block.views_block__banner_block_7 config:block.block.views_block__blog_details_block_1 config:block.block.views_block__blog_details_block_3 config:block.block.views_block__blog_page_block_1 config:block.block.views_block__blog_page_block_2 config:block.block.views_block__blog_page_block_3 config:block.block.views_block__frontpage_block_1 config:block.block.views_block__our_mission_block_1 config:block.block.views_block__our_partners_block_1 config:block.block.views_block__our_services_block_1 config:block.block.views_block__portfolio_block_1 config:block.block.views_block__slideshow_block_1 config:block.block.views_block__tags_block_1 config:block.block.views_block__why_choose_us_block_1 config:block.block.views_block__why_choose_us_block_2 config:block_list config:color.theme.luxestate config:core.entity_form_display.simplenews_subscriber.simplenews_subscriber.default config:field.field.simplenews_subscriber.simplenews_subscriber.subscriptions config:field.storage.node.body config:field.storage.node.field_image config:field.storage.node.field_link config:field.storage.node.field_partners config:field.storage.simplenews_subscriber.subscriptions config:filter.format.full_html config:image.style.image_380_224 config:image.style.image_63_63 config:system.menu.account config:system.menu.main config:system.menu.quick config:system.site config:views.view.blog_page config:views.view.our_partners file:105 file:109 file:111 file:112 file:122 file:2 file:4 file:5 file:6 local_task node:10 node:11 node:16 node:30 node:4 node:43 node:44 node:5 node:7 node:9 node_list rendered user:0','269'),('response:[request_format]=html:[route]=user.login35786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3','a:2:{s:15:\"#cache_redirect\";b:1;s:6:\"#cache\";a:5:{s:4:\"keys\";a:1:{i:0;s:8:\"response\";}s:8:\"contexts\";a:15:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:14:\"request_format\";i:3;s:5:\"route\";i:4;s:32:\"route.menu_active_trails:account\";i:5;s:29:\"route.menu_active_trails:main\";i:6;s:30:\"route.menu_active_trails:quick\";i:7;s:5:\"theme\";i:8;s:8:\"timezone\";i:9;s:8:\"url.path\";i:10;s:30:\"url.query_args:_wrapper_format\";i:11;s:21:\"user.node_grants:view\";i:12;s:16:\"user.permissions\";i:13;s:10:\"user.roles\";i:14;s:24:\"user.roles:authenticated\";}s:4:\"tags\";a:93:{i:0;s:15:\"block_content:2\";i:1;s:15:\"block_content:4\";i:2;s:15:\"block_content:6\";i:3;s:18:\"block_content_view\";i:4;s:10:\"block_view\";i:5;s:23:\"config:block.block.blog\";i:6;s:30:\"config:block.block.breadcrumbs\";i:7;s:28:\"config:block.block.contactus\";i:8;s:37:\"config:block.block.copyrightbyweebpal\";i:9;s:41:\"config:block.block.luxestate_account_menu\";i:10;s:37:\"config:block.block.luxestate_branding\";i:11;s:40:\"config:block.block.luxestate_breadcrumbs\";i:12;s:36:\"config:block.block.luxestate_content\";i:13;s:35:\"config:block.block.luxestate_footer\";i:14;s:33:\"config:block.block.luxestate_help\";i:15;s:42:\"config:block.block.luxestate_local_actions\";i:16;s:40:\"config:block.block.luxestate_local_tasks\";i:17;s:37:\"config:block.block.luxestate_messages\";i:18;s:39:\"config:block.block.luxestate_page_title\";i:19;s:36:\"config:block.block.luxestate_powered\";i:20;s:35:\"config:block.block.luxestate_search\";i:21;s:34:\"config:block.block.luxestate_tools\";i:22;s:33:\"config:block.block.mainnavigation\";i:23;s:35:\"config:block.block.mainnavigation_2\";i:24;s:34:\"config:block.block.newsletterblock\";i:25;s:30:\"config:block.block.ourlocation\";i:26;s:28:\"config:block.block.pagetitle\";i:27;s:29:\"config:block.block.quicklinks\";i:28;s:41:\"config:block.block.simplenewssubscription\";i:29;s:48:\"config:block.block.views_block__about_us_block_1\";i:30;s:46:\"config:block.block.views_block__banner_block_1\";i:31;s:46:\"config:block.block.views_block__banner_block_2\";i:32;s:46:\"config:block.block.views_block__banner_block_3\";i:33;s:46:\"config:block.block.views_block__banner_block_4\";i:34;s:46:\"config:block.block.views_block__banner_block_5\";i:35;s:46:\"config:block.block.views_block__banner_block_6\";i:36;s:46:\"config:block.block.views_block__banner_block_7\";i:37;s:52:\"config:block.block.views_block__blog_details_block_1\";i:38;s:52:\"config:block.block.views_block__blog_details_block_3\";i:39;s:49:\"config:block.block.views_block__blog_page_block_1\";i:40;s:49:\"config:block.block.views_block__blog_page_block_2\";i:41;s:49:\"config:block.block.views_block__blog_page_block_3\";i:42;s:49:\"config:block.block.views_block__frontpage_block_1\";i:43;s:51:\"config:block.block.views_block__our_mission_block_1\";i:44;s:52:\"config:block.block.views_block__our_partners_block_1\";i:45;s:52:\"config:block.block.views_block__our_services_block_1\";i:46;s:49:\"config:block.block.views_block__portfolio_block_1\";i:47;s:49:\"config:block.block.views_block__slideshow_block_1\";i:48;s:44:\"config:block.block.views_block__tags_block_1\";i:49;s:53:\"config:block.block.views_block__why_choose_us_block_1\";i:50;s:53:\"config:block.block.views_block__why_choose_us_block_2\";i:51;s:17:\"config:block_list\";i:52;s:28:\"config:color.theme.luxestate\";i:53;s:83:\"config:core.entity_form_display.simplenews_subscriber.simplenews_subscriber.default\";i:54;s:76:\"config:field.field.simplenews_subscriber.simplenews_subscriber.subscriptions\";i:55;s:30:\"config:field.storage.node.body\";i:56;s:37:\"config:field.storage.node.field_image\";i:57;s:36:\"config:field.storage.node.field_link\";i:58;s:40:\"config:field.storage.node.field_partners\";i:59;s:56:\"config:field.storage.simplenews_subscriber.subscriptions\";i:60;s:30:\"config:filter.format.full_html\";i:61;s:32:\"config:image.style.image_380_224\";i:62;s:30:\"config:image.style.image_63_63\";i:63;s:26:\"config:system.menu.account\";i:64;s:23:\"config:system.menu.main\";i:65;s:24:\"config:system.menu.quick\";i:66;s:18:\"config:system.site\";i:67;s:20:\"config:user.settings\";i:68;s:27:\"config:views.view.blog_page\";i:69;s:30:\"config:views.view.our_partners\";i:70;s:8:\"file:105\";i:71;s:8:\"file:109\";i:72;s:8:\"file:111\";i:73;s:8:\"file:112\";i:74;s:8:\"file:122\";i:75;s:6:\"file:2\";i:76;s:6:\"file:4\";i:77;s:6:\"file:5\";i:78;s:6:\"file:6\";i:79;s:10:\"local_task\";i:80;s:7:\"node:10\";i:81;s:7:\"node:11\";i:82;s:7:\"node:16\";i:83;s:7:\"node:30\";i:84;s:6:\"node:4\";i:85;s:7:\"node:43\";i:86;s:7:\"node:44\";i:87;s:6:\"node:5\";i:88;s:6:\"node:7\";i:89;s:6:\"node:9\";i:90;s:9:\"node_list\";i:91;s:8:\"rendered\";i:92;s:6:\"user:0\";}s:7:\"max-age\";i:-1;s:3:\"bin\";s:18:\"dynamic_page_cache\";}}',-1,1637057290.609,1,'block_content:2 block_content:4 block_content:6 block_content_view block_view config:block.block.blog config:block.block.breadcrumbs config:block.block.contactus config:block.block.copyrightbyweebpal config:block.block.luxestate_account_menu config:block.block.luxestate_branding config:block.block.luxestate_breadcrumbs config:block.block.luxestate_content config:block.block.luxestate_footer config:block.block.luxestate_help config:block.block.luxestate_local_actions config:block.block.luxestate_local_tasks config:block.block.luxestate_messages config:block.block.luxestate_page_title config:block.block.luxestate_powered config:block.block.luxestate_search config:block.block.luxestate_tools config:block.block.mainnavigation config:block.block.mainnavigation_2 config:block.block.newsletterblock config:block.block.ourlocation config:block.block.pagetitle config:block.block.quicklinks config:block.block.simplenewssubscription config:block.block.views_block__about_us_block_1 config:block.block.views_block__banner_block_1 config:block.block.views_block__banner_block_2 config:block.block.views_block__banner_block_3 config:block.block.views_block__banner_block_4 config:block.block.views_block__banner_block_5 config:block.block.views_block__banner_block_6 config:block.block.views_block__banner_block_7 config:block.block.views_block__blog_details_block_1 config:block.block.views_block__blog_details_block_3 config:block.block.views_block__blog_page_block_1 config:block.block.views_block__blog_page_block_2 config:block.block.views_block__blog_page_block_3 config:block.block.views_block__frontpage_block_1 config:block.block.views_block__our_mission_block_1 config:block.block.views_block__our_partners_block_1 config:block.block.views_block__our_services_block_1 config:block.block.views_block__portfolio_block_1 config:block.block.views_block__slideshow_block_1 config:block.block.views_block__tags_block_1 config:block.block.views_block__why_choose_us_block_1 config:block.block.views_block__why_choose_us_block_2 config:block_list config:color.theme.luxestate config:core.entity_form_display.simplenews_subscriber.simplenews_subscriber.default config:field.field.simplenews_subscriber.simplenews_subscriber.subscriptions config:field.storage.node.body config:field.storage.node.field_image config:field.storage.node.field_link config:field.storage.node.field_partners config:field.storage.simplenews_subscriber.subscriptions config:filter.format.full_html config:image.style.image_380_224 config:image.style.image_63_63 config:system.menu.account config:system.menu.main config:system.menu.quick config:system.site config:user.settings config:views.view.blog_page config:views.view.our_partners file:105 file:109 file:111 file:112 file:122 file:2 file:4 file:5 file:6 local_task node:10 node:11 node:16 node:30 node:4 node:43 node:44 node:5 node:7 node:9 node_list rendered user:0','272'),('response:[request_format]=html:[route]=view.frontpage.page_135786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3','a:2:{s:15:\"#cache_redirect\";b:1;s:6:\"#cache\";a:5:{s:4:\"keys\";a:1:{i:0;s:8:\"response\";}s:8:\"contexts\";a:16:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:14:\"request_format\";i:3;s:5:\"route\";i:4;s:32:\"route.menu_active_trails:account\";i:5;s:29:\"route.menu_active_trails:main\";i:6;s:30:\"route.menu_active_trails:quick\";i:7;s:5:\"theme\";i:8;s:8:\"timezone\";i:9;s:8:\"url.path\";i:10;s:30:\"url.query_args:_wrapper_format\";i:11;s:8:\"url.site\";i:12;s:21:\"user.node_grants:view\";i:13;s:16:\"user.permissions\";i:14;s:10:\"user.roles\";i:15;s:24:\"user.roles:authenticated\";}s:4:\"tags\";a:134:{i:0;s:15:\"block_content:2\";i:1;s:15:\"block_content:4\";i:2;s:15:\"block_content:6\";i:3;s:18:\"block_content_view\";i:4;s:10:\"block_view\";i:5;s:23:\"config:block.block.blog\";i:6;s:30:\"config:block.block.breadcrumbs\";i:7;s:28:\"config:block.block.contactus\";i:8;s:37:\"config:block.block.copyrightbyweebpal\";i:9;s:41:\"config:block.block.luxestate_account_menu\";i:10;s:37:\"config:block.block.luxestate_branding\";i:11;s:40:\"config:block.block.luxestate_breadcrumbs\";i:12;s:36:\"config:block.block.luxestate_content\";i:13;s:35:\"config:block.block.luxestate_footer\";i:14;s:33:\"config:block.block.luxestate_help\";i:15;s:42:\"config:block.block.luxestate_local_actions\";i:16;s:40:\"config:block.block.luxestate_local_tasks\";i:17;s:37:\"config:block.block.luxestate_messages\";i:18;s:39:\"config:block.block.luxestate_page_title\";i:19;s:36:\"config:block.block.luxestate_powered\";i:20;s:35:\"config:block.block.luxestate_search\";i:21;s:34:\"config:block.block.luxestate_tools\";i:22;s:33:\"config:block.block.mainnavigation\";i:23;s:35:\"config:block.block.mainnavigation_2\";i:24;s:34:\"config:block.block.newsletterblock\";i:25;s:30:\"config:block.block.ourlocation\";i:26;s:28:\"config:block.block.pagetitle\";i:27;s:29:\"config:block.block.quicklinks\";i:28;s:41:\"config:block.block.simplenewssubscription\";i:29;s:48:\"config:block.block.views_block__about_us_block_1\";i:30;s:46:\"config:block.block.views_block__banner_block_1\";i:31;s:46:\"config:block.block.views_block__banner_block_2\";i:32;s:46:\"config:block.block.views_block__banner_block_3\";i:33;s:46:\"config:block.block.views_block__banner_block_4\";i:34;s:46:\"config:block.block.views_block__banner_block_5\";i:35;s:46:\"config:block.block.views_block__banner_block_6\";i:36;s:46:\"config:block.block.views_block__banner_block_7\";i:37;s:52:\"config:block.block.views_block__blog_details_block_1\";i:38;s:52:\"config:block.block.views_block__blog_details_block_3\";i:39;s:49:\"config:block.block.views_block__blog_page_block_1\";i:40;s:49:\"config:block.block.views_block__blog_page_block_2\";i:41;s:49:\"config:block.block.views_block__blog_page_block_3\";i:42;s:49:\"config:block.block.views_block__frontpage_block_1\";i:43;s:51:\"config:block.block.views_block__our_mission_block_1\";i:44;s:52:\"config:block.block.views_block__our_partners_block_1\";i:45;s:52:\"config:block.block.views_block__our_services_block_1\";i:46;s:49:\"config:block.block.views_block__portfolio_block_1\";i:47;s:49:\"config:block.block.views_block__slideshow_block_1\";i:48;s:44:\"config:block.block.views_block__tags_block_1\";i:49;s:53:\"config:block.block.views_block__why_choose_us_block_1\";i:50;s:53:\"config:block.block.views_block__why_choose_us_block_2\";i:51;s:17:\"config:block_list\";i:52;s:28:\"config:color.theme.luxestate\";i:53;s:83:\"config:core.entity_form_display.simplenews_subscriber.simplenews_subscriber.default\";i:54;s:76:\"config:field.field.simplenews_subscriber.simplenews_subscriber.subscriptions\";i:55;s:30:\"config:field.storage.node.body\";i:56;s:38:\"config:field.storage.node.field_banner\";i:57;s:39:\"config:field.storage.node.field_gallery\";i:58;s:37:\"config:field.storage.node.field_image\";i:59;s:36:\"config:field.storage.node.field_link\";i:60;s:40:\"config:field.storage.node.field_partners\";i:61;s:41:\"config:field.storage.node.field_slideshow\";i:62;s:34:\"config:field.storage.node.field_su\";i:63;s:36:\"config:field.storage.node.field_tags\";i:64;s:56:\"config:field.storage.simplenews_subscriber.subscriptions\";i:65;s:30:\"config:filter.format.full_html\";i:66;s:33:\"config:image.style.image_1920_700\";i:67;s:33:\"config:image.style.image_1920_845\";i:68;s:32:\"config:image.style.image_380_224\";i:69;s:32:\"config:image.style.image_551_372\";i:70;s:30:\"config:image.style.image_63_63\";i:71;s:26:\"config:system.menu.account\";i:72;s:23:\"config:system.menu.main\";i:73;s:24:\"config:system.menu.quick\";i:74;s:18:\"config:system.site\";i:75;s:26:\"config:views.view.about_us\";i:76;s:27:\"config:views.view.blog_page\";i:77;s:27:\"config:views.view.frontpage\";i:78;s:30:\"config:views.view.our_partners\";i:79;s:27:\"config:views.view.portfolio\";i:80;s:27:\"config:views.view.slideshow\";i:81;s:8:\"file:105\";i:82;s:8:\"file:109\";i:83;s:8:\"file:111\";i:84;s:8:\"file:112\";i:85;s:8:\"file:114\";i:86;s:8:\"file:122\";i:87;s:8:\"file:129\";i:88;s:8:\"file:130\";i:89;s:8:\"file:131\";i:90;s:6:\"file:2\";i:91;s:7:\"file:36\";i:92;s:6:\"file:4\";i:93;s:6:\"file:5\";i:94;s:6:\"file:6\";i:95;s:7:\"file:80\";i:96;s:7:\"file:81\";i:97;s:7:\"file:82\";i:98;s:7:\"file:83\";i:99;s:7:\"file:84\";i:100;s:7:\"file:85\";i:101;s:7:\"file:86\";i:102;s:7:\"file:87\";i:103;s:7:\"file:88\";i:104;s:7:\"file:94\";i:105;s:7:\"file:95\";i:106;s:7:\"file:96\";i:107;s:7:\"file:97\";i:108;s:7:\"file:98\";i:109;s:7:\"file:99\";i:110;s:10:\"local_task\";i:111;s:7:\"node:10\";i:112;s:7:\"node:11\";i:113;s:7:\"node:12\";i:114;s:7:\"node:15\";i:115;s:7:\"node:16\";i:116;s:7:\"node:19\";i:117;s:7:\"node:20\";i:118;s:7:\"node:30\";i:119;s:6:\"node:4\";i:120;s:7:\"node:43\";i:121;s:7:\"node:44\";i:122;s:6:\"node:5\";i:123;s:6:\"node:7\";i:124;s:6:\"node:9\";i:125;s:9:\"node_list\";i:126;s:8:\"rendered\";i:127;s:15:\"taxonomy_term:1\";i:128;s:15:\"taxonomy_term:2\";i:129;s:15:\"taxonomy_term:5\";i:130;s:15:\"taxonomy_term:6\";i:131;s:6:\"user:0\";i:132;s:6:\"user:1\";i:133;s:7:\"user:15\";}s:7:\"max-age\";i:-1;s:3:\"bin\";s:18:\"dynamic_page_cache\";}}',-1,1636711430.557,1,'block_content:2 block_content:4 block_content:6 block_content_view block_view config:block.block.blog config:block.block.breadcrumbs config:block.block.contactus config:block.block.copyrightbyweebpal config:block.block.luxestate_account_menu config:block.block.luxestate_branding config:block.block.luxestate_breadcrumbs config:block.block.luxestate_content config:block.block.luxestate_footer config:block.block.luxestate_help config:block.block.luxestate_local_actions config:block.block.luxestate_local_tasks config:block.block.luxestate_messages config:block.block.luxestate_page_title config:block.block.luxestate_powered config:block.block.luxestate_search config:block.block.luxestate_tools config:block.block.mainnavigation config:block.block.mainnavigation_2 config:block.block.newsletterblock config:block.block.ourlocation config:block.block.pagetitle config:block.block.quicklinks config:block.block.simplenewssubscription config:block.block.views_block__about_us_block_1 config:block.block.views_block__banner_block_1 config:block.block.views_block__banner_block_2 config:block.block.views_block__banner_block_3 config:block.block.views_block__banner_block_4 config:block.block.views_block__banner_block_5 config:block.block.views_block__banner_block_6 config:block.block.views_block__banner_block_7 config:block.block.views_block__blog_details_block_1 config:block.block.views_block__blog_details_block_3 config:block.block.views_block__blog_page_block_1 config:block.block.views_block__blog_page_block_2 config:block.block.views_block__blog_page_block_3 config:block.block.views_block__frontpage_block_1 config:block.block.views_block__our_mission_block_1 config:block.block.views_block__our_partners_block_1 config:block.block.views_block__our_services_block_1 config:block.block.views_block__portfolio_block_1 config:block.block.views_block__slideshow_block_1 config:block.block.views_block__tags_block_1 config:block.block.views_block__why_choose_us_block_1 config:block.block.views_block__why_choose_us_block_2 config:block_list config:color.theme.luxestate config:core.entity_form_display.simplenews_subscriber.simplenews_subscriber.default config:field.field.simplenews_subscriber.simplenews_subscriber.subscriptions config:field.storage.node.body config:field.storage.node.field_banner config:field.storage.node.field_gallery config:field.storage.node.field_image config:field.storage.node.field_link config:field.storage.node.field_partners config:field.storage.node.field_slideshow config:field.storage.node.field_su config:field.storage.node.field_tags config:field.storage.simplenews_subscriber.subscriptions config:filter.format.full_html config:image.style.image_1920_700 config:image.style.image_1920_845 config:image.style.image_380_224 config:image.style.image_551_372 config:image.style.image_63_63 config:system.menu.account config:system.menu.main config:system.menu.quick config:system.site config:views.view.about_us config:views.view.blog_page config:views.view.frontpage config:views.view.our_partners config:views.view.portfolio config:views.view.slideshow file:105 file:109 file:111 file:112 file:114 file:122 file:129 file:130 file:131 file:2 file:36 file:4 file:5 file:6 file:80 file:81 file:82 file:83 file:84 file:85 file:86 file:87 file:88 file:94 file:95 file:96 file:97 file:98 file:99 local_task node:10 node:11 node:12 node:15 node:16 node:19 node:20 node:30 node:4 node:43 node:44 node:5 node:7 node:9 node_list rendered taxonomy_term:1 taxonomy_term:2 taxonomy_term:5 taxonomy_term:6 user:0 user:1 user:15','289');
/*!40000 ALTER TABLE `cache_dynamic_page_cache` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_entity`
--

DROP TABLE IF EXISTS `cache_entity`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_entity` (
  `cid` varchar(255) CHARACTER SET ascii COLLATE ascii_bin NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob DEFAULT NULL COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT 0 COMMENT 'A Unix timestamp indicating when the cache entry should expire, or -1 for never.',
  `created` decimal(14,3) NOT NULL DEFAULT 0.000 COMMENT 'A timestamp with millisecond precision indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT 0 COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  `tags` longtext DEFAULT NULL COMMENT 'Space-separated list of cache tags for this entry.',
  `checksum` varchar(255) CHARACTER SET ascii NOT NULL COMMENT 'The tag invalidation checksum when this entry was saved.',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`),
  KEY `created` (`created`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Storage for the cache API.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_entity`
--

LOCK TABLES `cache_entity` WRITE;
/*!40000 ALTER TABLE `cache_entity` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `cache_entity` VALUES ('values:block_content:1','O:40:\"Drupal\\block_content\\Entity\\BlockContent\":30:{s:8:\"\0*\0theme\";N;s:9:\"\0*\0values\";a:17:{s:2:\"id\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:11:\"revision_id\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:4:\"type\";a:1:{s:9:\"x-default\";s:5:\"basic\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"3740ba50-c010-4c70-b600-b0caeb076315\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:13:\"revision_user\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_created\";a:1:{s:9:\"x-default\";N;}s:12:\"revision_log\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:4:\"info\";a:1:{s:9:\"x-default\";s:4:\"Blog\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1469170236\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"status\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:8:\"reusable\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:4:\"body\";a:1:{s:9:\"x-default\";a:1:{i:0;a:3:{s:5:\"value\";s:353:\"<h1>Blog</h1>\r\n\r\n<p>“It is a long established fact that a reader will be distracted by the readable content of a page when looking”</p>\r\n\r\n<p><img alt=\"Blog banner\" data-entity-type=\"file\" data-entity-uuid=\"0f463478-2cf0-411c-be5b-5de0bf6c1a30\" src=\"/drupal8/luxestate/sites/default/files/inline-images/photo-1463171379579-3fdfb86d6285.jpg\" /></p>\r\n\";s:7:\"summary\";s:0:\"\";s:6:\"format\";s:9:\"full_html\";}}}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:5:{s:6:\"bundle\";s:5:\"basic\";s:2:\"id\";s:1:\"1\";s:8:\"revision\";s:1:\"1\";s:5:\"label\";s:4:\"Blog\";s:4:\"uuid\";s:36:\"3740ba50-c010-4c70-b600-b0caeb076315\";}s:25:\"\0*\0translatableEntityKeys\";a:4:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:9:\"published\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:1:\"1\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:13:\"block_content\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:19:\"\0*\0accessDependency\";N;}',-1,1636012248.040,1,'block_content_values entity_field_info','56'),('values:block_content:2','O:40:\"Drupal\\block_content\\Entity\\BlockContent\":30:{s:8:\"\0*\0theme\";N;s:9:\"\0*\0values\";a:17:{s:2:\"id\";a:1:{s:9:\"x-default\";s:1:\"2\";}s:11:\"revision_id\";a:1:{s:9:\"x-default\";s:1:\"2\";}s:4:\"type\";a:1:{s:9:\"x-default\";s:5:\"basic\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"b7be088a-40ae-4f2f-9614-8e1bae7b453d\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:13:\"revision_user\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_created\";a:1:{s:9:\"x-default\";N;}s:12:\"revision_log\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:4:\"info\";a:1:{s:9:\"x-default\";s:10:\"Contact us\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1474267054\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"status\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:8:\"reusable\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:4:\"body\";a:1:{s:9:\"x-default\";a:1:{i:0;a:3:{s:5:\"value\";s:1081:\"<p>The generated Lorem Ipsum is therefore always free from repetition, injected humour, or non-characteristic words etc.</p>\r\n\r\n<address><span>1-800-123-HELLO</span> <a href=\"mailto:help@travelo.com\" title=\"help@travelo.com\">help@travelo.com</a></address>\r\n\r\n<div class=\"social-wrap\">\r\n<ul class=\"list-inline social-list\">\r\n	<li><a href=\"#\" title=\"Twitter\"><span class=\"fa fa-twitter\" aria-hidden=\"true\">Twitter</span></a></li>\r\n	<li><a href=\"#\" title=\"Google\"><span class=\"fa fa-google-plus\" aria-hidden=\"true\">Google</span></a></li>\r\n	<li><a href=\"#\" title=\"Facebook\"><span class=\"fa fa-facebook\" aria-hidden=\"true\">Facebook</span></a></li>\r\n	<li><a href=\"#\" title=\"linkkedin\"><span class=\"fa fa-linkedin-square\" aria-hidden=\"true\">linkkedin</span></a></li>\r\n	<li><a href=\"#\" title=\"vimeo\"><span class=\"fa fa-vimeo\" aria-hidden=\"true\">vimeo</span></a></li>\r\n	<li><a href=\"#\" title=\"dribble\"><span class=\"fa fa-dribbble\" aria-hidden=\"true\">dribble</span></a></li>\r\n	<li><a href=\"#\" title=\"flick\"><span class=\"fa fa-flickr\" aria-hidden=\"true\">flick</span></a></li>\r\n</ul>\r\n</div>\r\n\";s:7:\"summary\";s:0:\"\";s:6:\"format\";s:9:\"full_html\";}}}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:5:{s:6:\"bundle\";s:5:\"basic\";s:2:\"id\";s:1:\"2\";s:8:\"revision\";s:1:\"2\";s:5:\"label\";s:10:\"Contact us\";s:4:\"uuid\";s:36:\"b7be088a-40ae-4f2f-9614-8e1bae7b453d\";}s:25:\"\0*\0translatableEntityKeys\";a:4:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:9:\"published\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:1:\"2\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:13:\"block_content\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:19:\"\0*\0accessDependency\";N;}',-1,1636012248.050,1,'block_content_values entity_field_info','56'),('values:block_content:3','O:40:\"Drupal\\block_content\\Entity\\BlockContent\":30:{s:8:\"\0*\0theme\";N;s:9:\"\0*\0values\";a:17:{s:2:\"id\";a:1:{s:9:\"x-default\";s:1:\"3\";}s:11:\"revision_id\";a:1:{s:9:\"x-default\";s:1:\"3\";}s:4:\"type\";a:1:{s:9:\"x-default\";s:5:\"basic\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"f714da14-65b4-4919-8791-25debf49859d\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:13:\"revision_user\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_created\";a:1:{s:9:\"x-default\";N;}s:12:\"revision_log\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:4:\"info\";a:1:{s:9:\"x-default\";s:12:\"Our location\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1469616247\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"status\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:8:\"reusable\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:4:\"body\";a:1:{s:9:\"x-default\";a:1:{i:0;a:3:{s:5:\"value\";s:396:\"<p><iframe allowfullscreen=\"\" frameborder=\"0\" height=\"450\" src=\"https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d2602.60221421756!2d-123.09266048482965!3d49.28393427860376!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x54867173da8b1743%3A0x8ece0eab301a9dea!2sAlexander+St%2C+Vancouver%2C+BC+V6A+1E1%2C+Canada!5e0!3m2!1svi!2s!4v1462868905751\" style=\"border:0\" width=\"600\"></iframe></p>\r\n\";s:7:\"summary\";s:0:\"\";s:6:\"format\";s:9:\"full_html\";}}}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:5:{s:6:\"bundle\";s:5:\"basic\";s:2:\"id\";s:1:\"3\";s:8:\"revision\";s:1:\"3\";s:5:\"label\";s:12:\"Our location\";s:4:\"uuid\";s:36:\"f714da14-65b4-4919-8791-25debf49859d\";}s:25:\"\0*\0translatableEntityKeys\";a:4:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:9:\"published\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:1:\"3\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:13:\"block_content\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:19:\"\0*\0accessDependency\";N;}',-1,1636012248.056,1,'block_content_values entity_field_info','56'),('values:block_content:4','O:40:\"Drupal\\block_content\\Entity\\BlockContent\":30:{s:8:\"\0*\0theme\";N;s:9:\"\0*\0values\";a:17:{s:2:\"id\";a:1:{s:9:\"x-default\";s:1:\"4\";}s:11:\"revision_id\";a:1:{s:9:\"x-default\";s:1:\"4\";}s:4:\"type\";a:1:{s:9:\"x-default\";s:5:\"basic\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"d077ed59-d2a0-42b7-afc6-ed94b9621584\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:13:\"revision_user\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_created\";a:1:{s:9:\"x-default\";N;}s:12:\"revision_log\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:4:\"info\";a:1:{s:9:\"x-default\";s:20:\"Copyright by Weebpal\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1592193119\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"status\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:8:\"reusable\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:4:\"body\";a:1:{s:9:\"x-default\";a:1:{i:0;a:3:{s:5:\"value\";s:97:\"Design by <a href=\"https://weebpal.com/\" target=\"_blank\">WeebPal </a>- Drupal Development Company\";s:7:\"summary\";s:0:\"\";s:6:\"format\";s:9:\"full_html\";}}}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:5:{s:6:\"bundle\";s:5:\"basic\";s:2:\"id\";s:1:\"4\";s:8:\"revision\";s:1:\"4\";s:5:\"label\";s:20:\"Copyright by Weebpal\";s:4:\"uuid\";s:36:\"d077ed59-d2a0-42b7-afc6-ed94b9621584\";}s:25:\"\0*\0translatableEntityKeys\";a:4:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:9:\"published\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:1:\"4\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:13:\"block_content\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:19:\"\0*\0accessDependency\";N;}',-1,1636012248.061,1,'block_content_values entity_field_info','56'),('values:block_content:5','O:40:\"Drupal\\block_content\\Entity\\BlockContent\":30:{s:8:\"\0*\0theme\";N;s:9:\"\0*\0values\";a:17:{s:2:\"id\";a:1:{s:9:\"x-default\";s:1:\"5\";}s:11:\"revision_id\";a:1:{s:9:\"x-default\";s:1:\"5\";}s:4:\"type\";a:1:{s:9:\"x-default\";s:5:\"basic\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"caaeb8df-fb22-4075-bc78-ecb39e4c711e\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:13:\"revision_user\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_created\";a:1:{s:9:\"x-default\";N;}s:12:\"revision_log\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:4:\"info\";a:1:{s:9:\"x-default\";s:11:\"Social icon\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1470124283\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"status\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:8:\"reusable\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:4:\"body\";a:1:{s:9:\"x-default\";a:1:{i:0;a:3:{s:5:\"value\";s:1260:\"<div class=\"social-wrap\">\r\n                  <ul class=\"list-inline social-list\">\r\n                    <li>\r\n                      <a href=\"#\" title=\"Twitter\"><i class=\"nc-icon-glyph socials-1_logo-twitter\"></i></a>\r\n                    </li>\r\n                    <li>\r\n                      <a href=\"#\" title=\"Google\"><i class=\"nc-icon-glyph socials-1_logo-google-plus\"></i></a>\r\n                    </li>\r\n                    <li>\r\n                      <a href=\"#\" title=\"Facebook\"><i class=\"nc-icon-glyph socials-1_logo-fb-simple\"></i></a>\r\n                    </li>\r\n                    <li>\r\n                      <a href=\"#\" title=\"linkkedin\"><i class=\"nc-icon-glyph socials-1_logo-linkedin\"></i></a>\r\n                    </li>\r\n                    <li>\r\n                      <a href=\"#\" title=\"vimeo\"><i class=\"nc-icon-glyph socials-1_logo-vimeo\"></i></a>\r\n                    </li>\r\n                    <li>\r\n                      <a href=\"#\" title=\"dribble\"><i class=\"nc-icon-glyph socials-1_logo-dribbble\"></i></a>\r\n                    </li>\r\n                    <li>\r\n                      <a href=\"#\" title=\"flick\"><i class=\"nc-icon-glyph socials-1_logo-flickr\"></i></a>\r\n                    </li>\r\n                  </ul>\r\n                </div>\";s:7:\"summary\";s:0:\"\";s:6:\"format\";s:9:\"full_html\";}}}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:5:{s:6:\"bundle\";s:5:\"basic\";s:2:\"id\";s:1:\"5\";s:8:\"revision\";s:1:\"5\";s:5:\"label\";s:11:\"Social icon\";s:4:\"uuid\";s:36:\"caaeb8df-fb22-4075-bc78-ecb39e4c711e\";}s:25:\"\0*\0translatableEntityKeys\";a:4:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:9:\"published\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:1:\"5\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:13:\"block_content\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:19:\"\0*\0accessDependency\";N;}',-1,1636012248.071,1,'block_content_values entity_field_info','56'),('values:block_content:6','O:40:\"Drupal\\block_content\\Entity\\BlockContent\":30:{s:8:\"\0*\0theme\";N;s:9:\"\0*\0values\";a:17:{s:2:\"id\";a:1:{s:9:\"x-default\";s:1:\"6\";}s:11:\"revision_id\";a:1:{s:9:\"x-default\";s:1:\"6\";}s:4:\"type\";a:1:{s:9:\"x-default\";s:5:\"basic\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"b0c92726-50bb-4afe-8a60-e078803c0753\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:13:\"revision_user\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_created\";a:1:{s:9:\"x-default\";N;}s:12:\"revision_log\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:4:\"info\";a:1:{s:9:\"x-default\";s:16:\"Newsletter block\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1472093764\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"status\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:8:\"reusable\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:4:\"body\";a:1:{s:9:\"x-default\";a:1:{i:0;a:3:{s:5:\"value\";s:32:\"<p>We respect your privacy</p>\r\n\";s:7:\"summary\";s:0:\"\";s:6:\"format\";s:9:\"full_html\";}}}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:5:{s:6:\"bundle\";s:5:\"basic\";s:2:\"id\";s:1:\"6\";s:8:\"revision\";s:1:\"6\";s:5:\"label\";s:16:\"Newsletter block\";s:4:\"uuid\";s:36:\"b0c92726-50bb-4afe-8a60-e078803c0753\";}s:25:\"\0*\0translatableEntityKeys\";a:4:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:9:\"published\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:1:\"6\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:13:\"block_content\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;s:19:\"\0*\0accessDependency\";N;}',-1,1636012248.081,1,'block_content_values entity_field_info','56'),('values:file:105','O:23:\"Drupal\\file\\Entity\\File\":28:{s:9:\"\0*\0values\";a:11:{s:3:\"fid\";a:1:{s:9:\"x-default\";s:3:\"105\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"f2a7ad5a-1afb-4c5a-bf1d-c0a7860a957a\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";a:1:{i:0;a:1:{s:5:\"value\";s:2:\"en\";}}}s:3:\"uid\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:8:\"filename\";a:1:{s:9:\"x-default\";s:11:\"logo-wp.png\";}s:3:\"uri\";a:1:{s:9:\"x-default\";s:35:\"public://field/partners/logo-wp.png\";}s:8:\"filemime\";a:1:{s:9:\"x-default\";s:9:\"image/png\";}s:8:\"filesize\";a:1:{s:9:\"x-default\";s:5:\"33172\";}s:6:\"status\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"created\";a:1:{s:9:\"x-default\";s:10:\"1472616154\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1472616176\";}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";b:1;s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:4:\"file\";s:2:\"id\";s:3:\"105\";s:5:\"label\";s:11:\"logo-wp.png\";s:8:\"langcode\";s:2:\"en\";s:4:\"uuid\";s:36:\"f2a7ad5a-1afb-4c5a-bf1d-c0a7860a957a\";s:5:\"owner\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:1:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";N;s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:4:\"file\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636012250.843,1,'entity_field_info file_values','56'),('values:file:109','O:23:\"Drupal\\file\\Entity\\File\":28:{s:9:\"\0*\0values\";a:11:{s:3:\"fid\";a:1:{s:9:\"x-default\";s:3:\"109\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"0b9b1645-2c79-4030-a208-bdc18fc5423c\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";a:1:{i:0;a:1:{s:5:\"value\";s:2:\"en\";}}}s:3:\"uid\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:8:\"filename\";a:1:{s:9:\"x-default\";s:11:\"logo-bs.png\";}s:3:\"uri\";a:1:{s:9:\"x-default\";s:35:\"public://field/partners/logo-bs.png\";}s:8:\"filemime\";a:1:{s:9:\"x-default\";s:9:\"image/png\";}s:8:\"filesize\";a:1:{s:9:\"x-default\";s:5:\"25184\";}s:6:\"status\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"created\";a:1:{s:9:\"x-default\";s:10:\"1472618054\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1472618107\";}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";b:1;s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:4:\"file\";s:2:\"id\";s:3:\"109\";s:5:\"label\";s:11:\"logo-bs.png\";s:8:\"langcode\";s:2:\"en\";s:4:\"uuid\";s:36:\"0b9b1645-2c79-4030-a208-bdc18fc5423c\";s:5:\"owner\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:1:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";N;s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:4:\"file\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636012250.847,1,'entity_field_info file_values','56'),('values:file:111','O:23:\"Drupal\\file\\Entity\\File\":28:{s:9:\"\0*\0values\";a:11:{s:3:\"fid\";a:1:{s:9:\"x-default\";s:3:\"111\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"b206ab3b-7e02-41e2-afa6-b72c2fa40604\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";a:1:{i:0;a:1:{s:5:\"value\";s:2:\"en\";}}}s:3:\"uid\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:8:\"filename\";a:1:{s:9:\"x-default\";s:11:\"blog-01.jpg\";}s:3:\"uri\";a:1:{s:9:\"x-default\";s:31:\"public://field/blog/blog-01.jpg\";}s:8:\"filemime\";a:1:{s:9:\"x-default\";s:10:\"image/jpeg\";}s:8:\"filesize\";a:1:{s:9:\"x-default\";s:6:\"345491\";}s:6:\"status\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"created\";a:1:{s:9:\"x-default\";s:10:\"1472618918\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1472618923\";}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";b:1;s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:4:\"file\";s:2:\"id\";s:3:\"111\";s:5:\"label\";s:11:\"blog-01.jpg\";s:8:\"langcode\";s:2:\"en\";s:4:\"uuid\";s:36:\"b206ab3b-7e02-41e2-afa6-b72c2fa40604\";s:5:\"owner\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:1:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";N;s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:4:\"file\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636012250.567,1,'entity_field_info file_values','56'),('values:file:112','O:23:\"Drupal\\file\\Entity\\File\":28:{s:9:\"\0*\0values\";a:11:{s:3:\"fid\";a:1:{s:9:\"x-default\";s:3:\"112\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"7f0c3af6-455e-44f0-82ad-547f25a1dd9b\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";a:1:{i:0;a:1:{s:5:\"value\";s:2:\"en\";}}}s:3:\"uid\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:8:\"filename\";a:1:{s:9:\"x-default\";s:11:\"blog-02.jpg\";}s:3:\"uri\";a:1:{s:9:\"x-default\";s:31:\"public://field/blog/blog-02.jpg\";}s:8:\"filemime\";a:1:{s:9:\"x-default\";s:10:\"image/jpeg\";}s:8:\"filesize\";a:1:{s:9:\"x-default\";s:6:\"236720\";}s:6:\"status\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"created\";a:1:{s:9:\"x-default\";s:10:\"1472634459\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1472634468\";}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";b:1;s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:4:\"file\";s:2:\"id\";s:3:\"112\";s:5:\"label\";s:11:\"blog-02.jpg\";s:8:\"langcode\";s:2:\"en\";s:4:\"uuid\";s:36:\"7f0c3af6-455e-44f0-82ad-547f25a1dd9b\";s:5:\"owner\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:1:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";N;s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:4:\"file\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636012250.572,1,'entity_field_info file_values','56'),('values:file:114','O:23:\"Drupal\\file\\Entity\\File\":28:{s:9:\"\0*\0values\";a:11:{s:3:\"fid\";a:1:{s:9:\"x-default\";s:3:\"114\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"080d3895-ed42-42b0-b73d-ffd93d2d0cd1\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";a:1:{i:0;a:1:{s:5:\"value\";s:2:\"en\";}}}s:3:\"uid\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:8:\"filename\";a:1:{s:9:\"x-default\";s:11:\"blog-03.jpg\";}s:3:\"uri\";a:1:{s:9:\"x-default\";s:31:\"public://field/blog/blog-03.jpg\";}s:8:\"filemime\";a:1:{s:9:\"x-default\";s:10:\"image/jpeg\";}s:8:\"filesize\";a:1:{s:9:\"x-default\";s:6:\"302935\";}s:6:\"status\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"created\";a:1:{s:9:\"x-default\";s:10:\"1472634592\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1472634596\";}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";b:1;s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:4:\"file\";s:2:\"id\";s:3:\"114\";s:5:\"label\";s:11:\"blog-03.jpg\";s:8:\"langcode\";s:2:\"en\";s:4:\"uuid\";s:36:\"080d3895-ed42-42b0-b73d-ffd93d2d0cd1\";s:5:\"owner\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:1:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";N;s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:4:\"file\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636012250.583,1,'entity_field_info file_values','56'),('values:file:122','O:23:\"Drupal\\file\\Entity\\File\":28:{s:9:\"\0*\0values\";a:11:{s:3:\"fid\";a:1:{s:9:\"x-default\";s:3:\"122\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"19184840-d49d-48ef-aeaa-aef9bee1e09c\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";a:1:{i:0;a:1:{s:5:\"value\";s:2:\"en\";}}}s:3:\"uid\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:8:\"filename\";a:1:{s:9:\"x-default\";s:14:\"blog-dt-01.jpg\";}s:3:\"uri\";a:1:{s:9:\"x-default\";s:37:\"public://inline-images/blog-dt-01.jpg\";}s:8:\"filemime\";a:1:{s:9:\"x-default\";s:10:\"image/jpeg\";}s:8:\"filesize\";a:1:{s:9:\"x-default\";s:6:\"175725\";}s:6:\"status\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"created\";a:1:{s:9:\"x-default\";s:10:\"1472720951\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1472721003\";}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";b:1;s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:4:\"file\";s:2:\"id\";s:3:\"122\";s:5:\"label\";s:14:\"blog-dt-01.jpg\";s:8:\"langcode\";s:2:\"en\";s:4:\"uuid\";s:36:\"19184840-d49d-48ef-aeaa-aef9bee1e09c\";s:5:\"owner\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:1:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";N;s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:4:\"file\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636012250.690,1,'entity_field_info file_values','56'),('values:file:129','O:23:\"Drupal\\file\\Entity\\File\":28:{s:9:\"\0*\0values\";a:11:{s:3:\"fid\";a:1:{s:9:\"x-default\";s:3:\"129\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"93335aa3-18d3-4cbd-8ae4-92f195fbfd3c\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";a:1:{i:0;a:1:{s:5:\"value\";s:2:\"en\";}}}s:3:\"uid\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:8:\"filename\";a:1:{s:9:\"x-default\";s:12:\"slider01.jpg\";}s:3:\"uri\";a:1:{s:9:\"x-default\";s:37:\"public://field/slideshow/slider01.jpg\";}s:8:\"filemime\";a:1:{s:9:\"x-default\";s:10:\"image/jpeg\";}s:8:\"filesize\";a:1:{s:9:\"x-default\";s:7:\"2825616\";}s:6:\"status\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"created\";a:1:{s:9:\"x-default\";s:10:\"1473667143\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1473667150\";}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";b:1;s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:4:\"file\";s:2:\"id\";s:3:\"129\";s:5:\"label\";s:12:\"slider01.jpg\";s:8:\"langcode\";s:2:\"en\";s:4:\"uuid\";s:36:\"93335aa3-18d3-4cbd-8ae4-92f195fbfd3c\";s:5:\"owner\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:1:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";N;s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:4:\"file\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636012249.767,1,'entity_field_info file_values','56'),('values:file:130','O:23:\"Drupal\\file\\Entity\\File\":28:{s:9:\"\0*\0values\";a:11:{s:3:\"fid\";a:1:{s:9:\"x-default\";s:3:\"130\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"32ed49c8-5241-4ff3-8342-71fc7b9a1aec\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";a:1:{i:0;a:1:{s:5:\"value\";s:2:\"en\";}}}s:3:\"uid\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:8:\"filename\";a:1:{s:9:\"x-default\";s:12:\"slider01.jpg\";}s:3:\"uri\";a:1:{s:9:\"x-default\";s:39:\"public://field/slideshow/slider01_0.jpg\";}s:8:\"filemime\";a:1:{s:9:\"x-default\";s:10:\"image/jpeg\";}s:8:\"filesize\";a:1:{s:9:\"x-default\";s:7:\"2825616\";}s:6:\"status\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"created\";a:1:{s:9:\"x-default\";s:10:\"1473667186\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1473667190\";}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";b:1;s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:4:\"file\";s:2:\"id\";s:3:\"130\";s:5:\"label\";s:12:\"slider01.jpg\";s:8:\"langcode\";s:2:\"en\";s:4:\"uuid\";s:36:\"32ed49c8-5241-4ff3-8342-71fc7b9a1aec\";s:5:\"owner\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:1:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";N;s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:4:\"file\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636012249.771,1,'entity_field_info file_values','56'),('values:file:131','O:23:\"Drupal\\file\\Entity\\File\":28:{s:9:\"\0*\0values\";a:11:{s:3:\"fid\";a:1:{s:9:\"x-default\";s:3:\"131\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"a4a4ed1b-fad5-4210-bf11-25f60195cd46\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";a:1:{i:0;a:1:{s:5:\"value\";s:2:\"en\";}}}s:3:\"uid\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:8:\"filename\";a:1:{s:9:\"x-default\";s:12:\"slider02.jpg\";}s:3:\"uri\";a:1:{s:9:\"x-default\";s:37:\"public://field/slideshow/slider02.jpg\";}s:8:\"filemime\";a:1:{s:9:\"x-default\";s:10:\"image/jpeg\";}s:8:\"filesize\";a:1:{s:9:\"x-default\";s:7:\"3182478\";}s:6:\"status\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"created\";a:1:{s:9:\"x-default\";s:10:\"1473667396\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1473667400\";}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";b:1;s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:4:\"file\";s:2:\"id\";s:3:\"131\";s:5:\"label\";s:12:\"slider02.jpg\";s:8:\"langcode\";s:2:\"en\";s:4:\"uuid\";s:36:\"a4a4ed1b-fad5-4210-bf11-25f60195cd46\";s:5:\"owner\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:1:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";N;s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:4:\"file\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636012249.776,1,'entity_field_info file_values','56'),('values:file:2','O:23:\"Drupal\\file\\Entity\\File\":28:{s:9:\"\0*\0values\";a:11:{s:3:\"fid\";a:1:{s:9:\"x-default\";s:1:\"2\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"a1460525-c562-4004-a979-fefa8be5d930\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";a:1:{i:0;a:1:{s:5:\"value\";s:2:\"en\";}}}s:3:\"uid\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:8:\"filename\";a:1:{s:9:\"x-default\";s:21:\"drupal-logo-trans.png\";}s:3:\"uri\";a:1:{s:9:\"x-default\";s:45:\"public://field/partners/drupal-logo-trans.png\";}s:8:\"filemime\";a:1:{s:9:\"x-default\";s:9:\"image/png\";}s:8:\"filesize\";a:1:{s:9:\"x-default\";s:5:\"49734\";}s:6:\"status\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"created\";a:1:{s:9:\"x-default\";s:10:\"1468923356\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1468923358\";}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";b:1;s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:4:\"file\";s:2:\"id\";s:1:\"2\";s:5:\"label\";s:21:\"drupal-logo-trans.png\";s:8:\"langcode\";s:2:\"en\";s:4:\"uuid\";s:36:\"a1460525-c562-4004-a979-fefa8be5d930\";s:5:\"owner\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:1:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";N;s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:4:\"file\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636012250.821,1,'entity_field_info file_values','56'),('values:file:36','O:23:\"Drupal\\file\\Entity\\File\":28:{s:9:\"\0*\0values\";a:11:{s:3:\"fid\";a:1:{s:9:\"x-default\";s:2:\"36\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"5c9bd31a-6fa3-4a70-859c-f8bffc307975\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";a:1:{i:0;a:1:{s:5:\"value\";s:2:\"en\";}}}s:3:\"uid\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:8:\"filename\";a:1:{s:9:\"x-default\";s:19:\"about-us-banner.jpg\";}s:3:\"uri\";a:1:{s:9:\"x-default\";s:41:\"public://field/banner/about-us-banner.jpg\";}s:8:\"filemime\";a:1:{s:9:\"x-default\";s:10:\"image/jpeg\";}s:8:\"filesize\";a:1:{s:9:\"x-default\";s:6:\"570788\";}s:6:\"status\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"created\";a:1:{s:9:\"x-default\";s:10:\"1470044188\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1470044192\";}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";b:1;s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:4:\"file\";s:2:\"id\";s:2:\"36\";s:5:\"label\";s:19:\"about-us-banner.jpg\";s:8:\"langcode\";s:2:\"en\";s:4:\"uuid\";s:36:\"5c9bd31a-6fa3-4a70-859c-f8bffc307975\";s:5:\"owner\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:1:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";N;s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:4:\"file\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636012250.153,1,'entity_field_info file_values','56'),('values:file:4','O:23:\"Drupal\\file\\Entity\\File\":28:{s:9:\"\0*\0values\";a:11:{s:3:\"fid\";a:1:{s:9:\"x-default\";s:1:\"4\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"9b408625-ea32-42cd-9ae3-6a2573e06bff\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";a:1:{i:0;a:1:{s:5:\"value\";s:2:\"en\";}}}s:3:\"uid\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:8:\"filename\";a:1:{s:9:\"x-default\";s:18:\"bootstrap-logo.png\";}s:3:\"uri\";a:1:{s:9:\"x-default\";s:42:\"public://field/partners/bootstrap-logo.png\";}s:8:\"filemime\";a:1:{s:9:\"x-default\";s:9:\"image/png\";}s:8:\"filesize\";a:1:{s:9:\"x-default\";s:5:\"36448\";}s:6:\"status\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"created\";a:1:{s:9:\"x-default\";s:10:\"1468985454\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1468985457\";}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";b:1;s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:4:\"file\";s:2:\"id\";s:1:\"4\";s:5:\"label\";s:18:\"bootstrap-logo.png\";s:8:\"langcode\";s:2:\"en\";s:4:\"uuid\";s:36:\"9b408625-ea32-42cd-9ae3-6a2573e06bff\";s:5:\"owner\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:1:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";N;s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:4:\"file\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636012250.826,1,'entity_field_info file_values','56'),('values:file:5','O:23:\"Drupal\\file\\Entity\\File\":28:{s:9:\"\0*\0values\";a:11:{s:3:\"fid\";a:1:{s:9:\"x-default\";s:1:\"5\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"234d4eaa-47e1-447d-8603-02c789181189\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";a:1:{i:0;a:1:{s:5:\"value\";s:2:\"en\";}}}s:3:\"uid\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:8:\"filename\";a:1:{s:9:\"x-default\";s:16:\"youtube_logo.png\";}s:3:\"uri\";a:1:{s:9:\"x-default\";s:40:\"public://field/partners/youtube_logo.png\";}s:8:\"filemime\";a:1:{s:9:\"x-default\";s:9:\"image/png\";}s:8:\"filesize\";a:1:{s:9:\"x-default\";s:5:\"30662\";}s:6:\"status\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"created\";a:1:{s:9:\"x-default\";s:10:\"1468985990\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1468986019\";}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";b:1;s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:4:\"file\";s:2:\"id\";s:1:\"5\";s:5:\"label\";s:16:\"youtube_logo.png\";s:8:\"langcode\";s:2:\"en\";s:4:\"uuid\";s:36:\"234d4eaa-47e1-447d-8603-02c789181189\";s:5:\"owner\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:1:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";N;s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:4:\"file\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636012250.832,1,'entity_field_info file_values','56'),('values:file:6','O:23:\"Drupal\\file\\Entity\\File\":28:{s:9:\"\0*\0values\";a:11:{s:3:\"fid\";a:1:{s:9:\"x-default\";s:1:\"6\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"f3dcc04b-1153-4ef4-beb9-d088b415c921\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";a:1:{i:0;a:1:{s:5:\"value\";s:2:\"en\";}}}s:3:\"uid\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:8:\"filename\";a:1:{s:9:\"x-default\";s:15:\"jquery-logo.png\";}s:3:\"uri\";a:1:{s:9:\"x-default\";s:39:\"public://field/partners/jquery-logo.png\";}s:8:\"filemime\";a:1:{s:9:\"x-default\";s:9:\"image/png\";}s:8:\"filesize\";a:1:{s:9:\"x-default\";s:5:\"60159\";}s:6:\"status\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"created\";a:1:{s:9:\"x-default\";s:10:\"1468986061\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1468986073\";}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";b:1;s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:4:\"file\";s:2:\"id\";s:1:\"6\";s:5:\"label\";s:15:\"jquery-logo.png\";s:8:\"langcode\";s:2:\"en\";s:4:\"uuid\";s:36:\"f3dcc04b-1153-4ef4-beb9-d088b415c921\";s:5:\"owner\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:1:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";N;s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:4:\"file\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636012250.840,1,'entity_field_info file_values','56'),('values:file:80','O:23:\"Drupal\\file\\Entity\\File\":28:{s:9:\"\0*\0values\";a:11:{s:3:\"fid\";a:1:{s:9:\"x-default\";s:2:\"80\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"5b358041-d2ef-4efc-aea3-b0fda063ec06\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";a:1:{i:0;a:1:{s:5:\"value\";s:2:\"en\";}}}s:3:\"uid\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:8:\"filename\";a:1:{s:9:\"x-default\";s:9:\"demo1.jpg\";}s:3:\"uri\";a:1:{s:9:\"x-default\";s:34:\"public://field/gallery/demo1_0.jpg\";}s:8:\"filemime\";a:1:{s:9:\"x-default\";s:10:\"image/jpeg\";}s:8:\"filesize\";a:1:{s:9:\"x-default\";s:5:\"99150\";}s:6:\"status\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"created\";a:1:{s:9:\"x-default\";s:10:\"1472025989\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1472026058\";}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";b:1;s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:4:\"file\";s:2:\"id\";s:2:\"80\";s:5:\"label\";s:9:\"demo1.jpg\";s:8:\"langcode\";s:2:\"en\";s:4:\"uuid\";s:36:\"5b358041-d2ef-4efc-aea3-b0fda063ec06\";s:5:\"owner\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:1:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";N;s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:4:\"file\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636012250.271,1,'entity_field_info file_values','56'),('values:file:81','O:23:\"Drupal\\file\\Entity\\File\":28:{s:9:\"\0*\0values\";a:11:{s:3:\"fid\";a:1:{s:9:\"x-default\";s:2:\"81\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"035c48f7-cffe-4310-bb7c-2a59ca5ba6f8\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";a:1:{i:0;a:1:{s:5:\"value\";s:2:\"en\";}}}s:3:\"uid\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:8:\"filename\";a:1:{s:9:\"x-default\";s:9:\"demo2.jpg\";}s:3:\"uri\";a:1:{s:9:\"x-default\";s:34:\"public://field/gallery/demo2_0.jpg\";}s:8:\"filemime\";a:1:{s:9:\"x-default\";s:10:\"image/jpeg\";}s:8:\"filesize\";a:1:{s:9:\"x-default\";s:6:\"101515\";}s:6:\"status\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"created\";a:1:{s:9:\"x-default\";s:10:\"1472026006\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1472026058\";}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";b:1;s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:4:\"file\";s:2:\"id\";s:2:\"81\";s:5:\"label\";s:9:\"demo2.jpg\";s:8:\"langcode\";s:2:\"en\";s:4:\"uuid\";s:36:\"035c48f7-cffe-4310-bb7c-2a59ca5ba6f8\";s:5:\"owner\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:1:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";N;s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:4:\"file\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636012250.277,1,'entity_field_info file_values','56'),('values:file:82','O:23:\"Drupal\\file\\Entity\\File\":28:{s:9:\"\0*\0values\";a:11:{s:3:\"fid\";a:1:{s:9:\"x-default\";s:2:\"82\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"2423b860-ac20-4d2d-8d48-99b3e82521af\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";a:1:{i:0;a:1:{s:5:\"value\";s:2:\"en\";}}}s:3:\"uid\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:8:\"filename\";a:1:{s:9:\"x-default\";s:9:\"demo3.jpg\";}s:3:\"uri\";a:1:{s:9:\"x-default\";s:34:\"public://field/gallery/demo3_0.jpg\";}s:8:\"filemime\";a:1:{s:9:\"x-default\";s:10:\"image/jpeg\";}s:8:\"filesize\";a:1:{s:9:\"x-default\";s:6:\"191855\";}s:6:\"status\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"created\";a:1:{s:9:\"x-default\";s:10:\"1472026015\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1472026058\";}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";b:1;s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:4:\"file\";s:2:\"id\";s:2:\"82\";s:5:\"label\";s:9:\"demo3.jpg\";s:8:\"langcode\";s:2:\"en\";s:4:\"uuid\";s:36:\"2423b860-ac20-4d2d-8d48-99b3e82521af\";s:5:\"owner\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:1:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";N;s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:4:\"file\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636012250.282,1,'entity_field_info file_values','56'),('values:file:83','O:23:\"Drupal\\file\\Entity\\File\":28:{s:9:\"\0*\0values\";a:11:{s:3:\"fid\";a:1:{s:9:\"x-default\";s:2:\"83\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"8d10343b-ce7e-4fdb-8028-6abdc4179ae1\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";a:1:{i:0;a:1:{s:5:\"value\";s:2:\"en\";}}}s:3:\"uid\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:8:\"filename\";a:1:{s:9:\"x-default\";s:9:\"demo4.jpg\";}s:3:\"uri\";a:1:{s:9:\"x-default\";s:34:\"public://field/gallery/demo4_0.jpg\";}s:8:\"filemime\";a:1:{s:9:\"x-default\";s:10:\"image/jpeg\";}s:8:\"filesize\";a:1:{s:9:\"x-default\";s:6:\"207075\";}s:6:\"status\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"created\";a:1:{s:9:\"x-default\";s:10:\"1472026021\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1472026058\";}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";b:1;s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:4:\"file\";s:2:\"id\";s:2:\"83\";s:5:\"label\";s:9:\"demo4.jpg\";s:8:\"langcode\";s:2:\"en\";s:4:\"uuid\";s:36:\"8d10343b-ce7e-4fdb-8028-6abdc4179ae1\";s:5:\"owner\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:1:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";N;s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:4:\"file\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636012250.287,1,'entity_field_info file_values','56'),('values:file:84','O:23:\"Drupal\\file\\Entity\\File\":28:{s:9:\"\0*\0values\";a:11:{s:3:\"fid\";a:1:{s:9:\"x-default\";s:2:\"84\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"141a3ee3-98a5-43ee-a6bf-1e94700179cc\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";a:1:{i:0;a:1:{s:5:\"value\";s:2:\"en\";}}}s:3:\"uid\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:8:\"filename\";a:1:{s:9:\"x-default\";s:9:\"demo5.jpg\";}s:3:\"uri\";a:1:{s:9:\"x-default\";s:34:\"public://field/gallery/demo5_0.jpg\";}s:8:\"filemime\";a:1:{s:9:\"x-default\";s:10:\"image/jpeg\";}s:8:\"filesize\";a:1:{s:9:\"x-default\";s:6:\"142348\";}s:6:\"status\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"created\";a:1:{s:9:\"x-default\";s:10:\"1472026027\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1472026058\";}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";b:1;s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:4:\"file\";s:2:\"id\";s:2:\"84\";s:5:\"label\";s:9:\"demo5.jpg\";s:8:\"langcode\";s:2:\"en\";s:4:\"uuid\";s:36:\"141a3ee3-98a5-43ee-a6bf-1e94700179cc\";s:5:\"owner\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:1:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";N;s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:4:\"file\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636012250.292,1,'entity_field_info file_values','56'),('values:file:85','O:23:\"Drupal\\file\\Entity\\File\":28:{s:9:\"\0*\0values\";a:11:{s:3:\"fid\";a:1:{s:9:\"x-default\";s:2:\"85\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"28e8d0c5-280b-487d-afc3-62d9d713446b\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";a:1:{i:0;a:1:{s:5:\"value\";s:2:\"en\";}}}s:3:\"uid\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:8:\"filename\";a:1:{s:9:\"x-default\";s:9:\"demo6.jpg\";}s:3:\"uri\";a:1:{s:9:\"x-default\";s:34:\"public://field/gallery/demo6_0.jpg\";}s:8:\"filemime\";a:1:{s:9:\"x-default\";s:10:\"image/jpeg\";}s:8:\"filesize\";a:1:{s:9:\"x-default\";s:6:\"107496\";}s:6:\"status\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"created\";a:1:{s:9:\"x-default\";s:10:\"1472026035\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1472026058\";}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";b:1;s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:4:\"file\";s:2:\"id\";s:2:\"85\";s:5:\"label\";s:9:\"demo6.jpg\";s:8:\"langcode\";s:2:\"en\";s:4:\"uuid\";s:36:\"28e8d0c5-280b-487d-afc3-62d9d713446b\";s:5:\"owner\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:1:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";N;s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:4:\"file\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636012250.297,1,'entity_field_info file_values','56'),('values:file:86','O:23:\"Drupal\\file\\Entity\\File\":28:{s:9:\"\0*\0values\";a:11:{s:3:\"fid\";a:1:{s:9:\"x-default\";s:2:\"86\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"ba307144-4b87-4d3e-a265-4aae22b90c7c\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";a:1:{i:0;a:1:{s:5:\"value\";s:2:\"en\";}}}s:3:\"uid\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:8:\"filename\";a:1:{s:9:\"x-default\";s:9:\"demo7.jpg\";}s:3:\"uri\";a:1:{s:9:\"x-default\";s:34:\"public://field/gallery/demo7_0.jpg\";}s:8:\"filemime\";a:1:{s:9:\"x-default\";s:10:\"image/jpeg\";}s:8:\"filesize\";a:1:{s:9:\"x-default\";s:6:\"290352\";}s:6:\"status\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"created\";a:1:{s:9:\"x-default\";s:10:\"1472026040\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1472026058\";}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";b:1;s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:4:\"file\";s:2:\"id\";s:2:\"86\";s:5:\"label\";s:9:\"demo7.jpg\";s:8:\"langcode\";s:2:\"en\";s:4:\"uuid\";s:36:\"ba307144-4b87-4d3e-a265-4aae22b90c7c\";s:5:\"owner\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:1:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";N;s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:4:\"file\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636012250.307,1,'entity_field_info file_values','56'),('values:file:87','O:23:\"Drupal\\file\\Entity\\File\":28:{s:9:\"\0*\0values\";a:11:{s:3:\"fid\";a:1:{s:9:\"x-default\";s:2:\"87\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"19f17d5b-5fa8-4415-87fb-f5ed938a567d\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";a:1:{i:0;a:1:{s:5:\"value\";s:2:\"en\";}}}s:3:\"uid\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:8:\"filename\";a:1:{s:9:\"x-default\";s:9:\"demo8.jpg\";}s:3:\"uri\";a:1:{s:9:\"x-default\";s:34:\"public://field/gallery/demo8_0.jpg\";}s:8:\"filemime\";a:1:{s:9:\"x-default\";s:10:\"image/jpeg\";}s:8:\"filesize\";a:1:{s:9:\"x-default\";s:6:\"124316\";}s:6:\"status\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"created\";a:1:{s:9:\"x-default\";s:10:\"1472026045\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1472026058\";}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";b:1;s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:4:\"file\";s:2:\"id\";s:2:\"87\";s:5:\"label\";s:9:\"demo8.jpg\";s:8:\"langcode\";s:2:\"en\";s:4:\"uuid\";s:36:\"19f17d5b-5fa8-4415-87fb-f5ed938a567d\";s:5:\"owner\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:1:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";N;s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:4:\"file\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636012250.310,1,'entity_field_info file_values','56'),('values:file:88','O:23:\"Drupal\\file\\Entity\\File\":28:{s:9:\"\0*\0values\";a:11:{s:3:\"fid\";a:1:{s:9:\"x-default\";s:2:\"88\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"28c22836-d84c-4c46-bdbb-470674eeefba\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";a:1:{i:0;a:1:{s:5:\"value\";s:2:\"en\";}}}s:3:\"uid\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:8:\"filename\";a:1:{s:9:\"x-default\";s:10:\"demo10.jpg\";}s:3:\"uri\";a:1:{s:9:\"x-default\";s:35:\"public://field/gallery/demo10_2.jpg\";}s:8:\"filemime\";a:1:{s:9:\"x-default\";s:10:\"image/jpeg\";}s:8:\"filesize\";a:1:{s:9:\"x-default\";s:6:\"117601\";}s:6:\"status\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"created\";a:1:{s:9:\"x-default\";s:10:\"1472026051\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1472026058\";}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";b:1;s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:4:\"file\";s:2:\"id\";s:2:\"88\";s:5:\"label\";s:10:\"demo10.jpg\";s:8:\"langcode\";s:2:\"en\";s:4:\"uuid\";s:36:\"28c22836-d84c-4c46-bdbb-470674eeefba\";s:5:\"owner\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:1:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";N;s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:4:\"file\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636012250.314,1,'entity_field_info file_values','56'),('values:file:94','O:23:\"Drupal\\file\\Entity\\File\":28:{s:9:\"\0*\0values\";a:11:{s:3:\"fid\";a:1:{s:9:\"x-default\";s:2:\"94\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"458ca5c1-9ce9-46b1-8b02-c44d145e47e2\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";a:1:{i:0;a:1:{s:5:\"value\";s:2:\"en\";}}}s:3:\"uid\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:8:\"filename\";a:1:{s:9:\"x-default\";s:9:\"demo7.jpg\";}s:3:\"uri\";a:1:{s:9:\"x-default\";s:34:\"public://field/gallery/demo7_1.jpg\";}s:8:\"filemime\";a:1:{s:9:\"x-default\";s:10:\"image/jpeg\";}s:8:\"filesize\";a:1:{s:9:\"x-default\";s:6:\"290352\";}s:6:\"status\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"created\";a:1:{s:9:\"x-default\";s:10:\"1472026273\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1472026306\";}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";b:1;s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:4:\"file\";s:2:\"id\";s:2:\"94\";s:5:\"label\";s:9:\"demo7.jpg\";s:8:\"langcode\";s:2:\"en\";s:4:\"uuid\";s:36:\"458ca5c1-9ce9-46b1-8b02-c44d145e47e2\";s:5:\"owner\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:1:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";N;s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:4:\"file\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636012250.317,1,'entity_field_info file_values','56'),('values:file:95','O:23:\"Drupal\\file\\Entity\\File\":28:{s:9:\"\0*\0values\";a:11:{s:3:\"fid\";a:1:{s:9:\"x-default\";s:2:\"95\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"f67bd41c-9db2-4b5c-9cf4-151772c8c2dd\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";a:1:{i:0;a:1:{s:5:\"value\";s:2:\"en\";}}}s:3:\"uid\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:8:\"filename\";a:1:{s:9:\"x-default\";s:9:\"demo6.jpg\";}s:3:\"uri\";a:1:{s:9:\"x-default\";s:34:\"public://field/gallery/demo6_2.jpg\";}s:8:\"filemime\";a:1:{s:9:\"x-default\";s:10:\"image/jpeg\";}s:8:\"filesize\";a:1:{s:9:\"x-default\";s:6:\"107496\";}s:6:\"status\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"created\";a:1:{s:9:\"x-default\";s:10:\"1472026279\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1472026306\";}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";b:1;s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:4:\"file\";s:2:\"id\";s:2:\"95\";s:5:\"label\";s:9:\"demo6.jpg\";s:8:\"langcode\";s:2:\"en\";s:4:\"uuid\";s:36:\"f67bd41c-9db2-4b5c-9cf4-151772c8c2dd\";s:5:\"owner\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:1:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";N;s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:4:\"file\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636012250.321,1,'entity_field_info file_values','56'),('values:file:96','O:23:\"Drupal\\file\\Entity\\File\":28:{s:9:\"\0*\0values\";a:11:{s:3:\"fid\";a:1:{s:9:\"x-default\";s:2:\"96\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"50c9ffc3-484d-4659-8cfc-830c2b1241fd\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";a:1:{i:0;a:1:{s:5:\"value\";s:2:\"en\";}}}s:3:\"uid\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:8:\"filename\";a:1:{s:9:\"x-default\";s:9:\"demo8.jpg\";}s:3:\"uri\";a:1:{s:9:\"x-default\";s:34:\"public://field/gallery/demo8_2.jpg\";}s:8:\"filemime\";a:1:{s:9:\"x-default\";s:10:\"image/jpeg\";}s:8:\"filesize\";a:1:{s:9:\"x-default\";s:6:\"124316\";}s:6:\"status\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"created\";a:1:{s:9:\"x-default\";s:10:\"1472026285\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1472026306\";}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";b:1;s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:4:\"file\";s:2:\"id\";s:2:\"96\";s:5:\"label\";s:9:\"demo8.jpg\";s:8:\"langcode\";s:2:\"en\";s:4:\"uuid\";s:36:\"50c9ffc3-484d-4659-8cfc-830c2b1241fd\";s:5:\"owner\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:1:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";N;s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:4:\"file\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636012250.324,1,'entity_field_info file_values','56'),('values:file:97','O:23:\"Drupal\\file\\Entity\\File\":28:{s:9:\"\0*\0values\";a:11:{s:3:\"fid\";a:1:{s:9:\"x-default\";s:2:\"97\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"fb7a7c1c-87c7-48b1-ac41-efcb4e71e416\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";a:1:{i:0;a:1:{s:5:\"value\";s:2:\"en\";}}}s:3:\"uid\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:8:\"filename\";a:1:{s:9:\"x-default\";s:9:\"demo4.jpg\";}s:3:\"uri\";a:1:{s:9:\"x-default\";s:34:\"public://field/gallery/demo4_2.jpg\";}s:8:\"filemime\";a:1:{s:9:\"x-default\";s:10:\"image/jpeg\";}s:8:\"filesize\";a:1:{s:9:\"x-default\";s:6:\"207075\";}s:6:\"status\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"created\";a:1:{s:9:\"x-default\";s:10:\"1472026291\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1472026306\";}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";b:1;s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:4:\"file\";s:2:\"id\";s:2:\"97\";s:5:\"label\";s:9:\"demo4.jpg\";s:8:\"langcode\";s:2:\"en\";s:4:\"uuid\";s:36:\"fb7a7c1c-87c7-48b1-ac41-efcb4e71e416\";s:5:\"owner\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:1:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";N;s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:4:\"file\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636012250.331,1,'entity_field_info file_values','56'),('values:file:98','O:23:\"Drupal\\file\\Entity\\File\":28:{s:9:\"\0*\0values\";a:11:{s:3:\"fid\";a:1:{s:9:\"x-default\";s:2:\"98\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"83df2628-e7b4-4e4e-81ff-5930c1ddde01\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";a:1:{i:0;a:1:{s:5:\"value\";s:2:\"en\";}}}s:3:\"uid\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:8:\"filename\";a:1:{s:9:\"x-default\";s:9:\"demo3.jpg\";}s:3:\"uri\";a:1:{s:9:\"x-default\";s:34:\"public://field/gallery/demo3_1.jpg\";}s:8:\"filemime\";a:1:{s:9:\"x-default\";s:10:\"image/jpeg\";}s:8:\"filesize\";a:1:{s:9:\"x-default\";s:6:\"191855\";}s:6:\"status\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"created\";a:1:{s:9:\"x-default\";s:10:\"1472026295\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1472026306\";}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";b:1;s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:4:\"file\";s:2:\"id\";s:2:\"98\";s:5:\"label\";s:9:\"demo3.jpg\";s:8:\"langcode\";s:2:\"en\";s:4:\"uuid\";s:36:\"83df2628-e7b4-4e4e-81ff-5930c1ddde01\";s:5:\"owner\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:1:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";N;s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:4:\"file\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636012250.335,1,'entity_field_info file_values','56'),('values:file:99','O:23:\"Drupal\\file\\Entity\\File\":28:{s:9:\"\0*\0values\";a:11:{s:3:\"fid\";a:1:{s:9:\"x-default\";s:2:\"99\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"92f8ccff-a60b-4fb7-bf63-cfb555e97352\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";a:1:{i:0;a:1:{s:5:\"value\";s:2:\"en\";}}}s:3:\"uid\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:8:\"filename\";a:1:{s:9:\"x-default\";s:9:\"demo1.jpg\";}s:3:\"uri\";a:1:{s:9:\"x-default\";s:34:\"public://field/gallery/demo1_1.jpg\";}s:8:\"filemime\";a:1:{s:9:\"x-default\";s:10:\"image/jpeg\";}s:8:\"filesize\";a:1:{s:9:\"x-default\";s:5:\"99150\";}s:6:\"status\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"created\";a:1:{s:9:\"x-default\";s:10:\"1472026302\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1472026306\";}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";b:1;s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:4:\"file\";s:2:\"id\";s:2:\"99\";s:5:\"label\";s:9:\"demo1.jpg\";s:8:\"langcode\";s:2:\"en\";s:4:\"uuid\";s:36:\"92f8ccff-a60b-4fb7-bf63-cfb555e97352\";s:5:\"owner\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:1:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";N;s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:4:\"file\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636012250.339,1,'entity_field_info file_values','56'),('values:menu_link_content:1','O:47:\"Drupal\\menu_link_content\\Entity\\MenuLinkContent\":29:{s:15:\"\0*\0insidePlugin\";b:0;s:9:\"\0*\0values\";a:23:{s:2:\"id\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:11:\"revision_id\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"bundle\";a:1:{s:9:\"x-default\";s:17:\"menu_link_content\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"56804dba-564f-4261-be6d-3260b06c9b37\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:13:\"revision_user\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_created\";a:1:{s:9:\"x-default\";N;}s:20:\"revision_log_message\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:5:\"title\";a:1:{s:9:\"x-default\";s:8:\"About us\";}s:11:\"description\";a:1:{s:9:\"x-default\";s:8:\"About us\";}s:4:\"link\";a:1:{s:9:\"x-default\";a:3:{s:3:\"uri\";s:18:\"internal:/about-us\";s:5:\"title\";s:0:\"\";s:7:\"options\";a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}}}}s:8:\"external\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:7:\"enabled\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1627877186\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:9:\"menu_name\";a:1:{s:9:\"x-default\";s:4:\"main\";}s:10:\"rediscover\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"weight\";a:1:{s:9:\"x-default\";s:3:\"-49\";}s:8:\"expanded\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:6:\"parent\";a:1:{s:9:\"x-default\";N;}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:17:\"menu_link_content\";s:2:\"id\";s:1:\"1\";s:8:\"revision\";s:1:\"1\";s:5:\"label\";s:8:\"About us\";s:4:\"uuid\";s:36:\"56804dba-564f-4261-be6d-3260b06c9b37\";s:9:\"published\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:3:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:1:\"1\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:17:\"menu_link_content\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636011228.218,1,'entity_field_info menu_link_content_values','56'),('values:menu_link_content:10','O:47:\"Drupal\\menu_link_content\\Entity\\MenuLinkContent\":29:{s:15:\"\0*\0insidePlugin\";b:0;s:9:\"\0*\0values\";a:23:{s:2:\"id\";a:1:{s:9:\"x-default\";s:2:\"10\";}s:11:\"revision_id\";a:1:{s:9:\"x-default\";s:2:\"10\";}s:6:\"bundle\";a:1:{s:9:\"x-default\";s:17:\"menu_link_content\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"7303c9d0-4d17-4f7a-a3a3-641cce2543b3\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:13:\"revision_user\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_created\";a:1:{s:9:\"x-default\";N;}s:20:\"revision_log_message\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:5:\"title\";a:1:{s:9:\"x-default\";s:7:\"Twitter\";}s:11:\"description\";a:1:{s:9:\"x-default\";s:7:\"Twitter\";}s:4:\"link\";a:1:{s:9:\"x-default\";a:3:{s:3:\"uri\";s:20:\"https://twitter.com/\";s:5:\"title\";s:0:\"\";s:7:\"options\";a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:6:\"_blank\";}}}}s:8:\"external\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:7:\"enabled\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1627877186\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:9:\"menu_name\";a:1:{s:9:\"x-default\";s:5:\"quick\";}s:10:\"rediscover\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:6:\"weight\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:8:\"expanded\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:6:\"parent\";a:1:{s:9:\"x-default\";N;}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:17:\"menu_link_content\";s:2:\"id\";s:2:\"10\";s:8:\"revision\";s:2:\"10\";s:5:\"label\";s:7:\"Twitter\";s:4:\"uuid\";s:36:\"7303c9d0-4d17-4f7a-a3a3-641cce2543b3\";s:9:\"published\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:3:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:2:\"10\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:17:\"menu_link_content\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636012251.029,1,'entity_field_info menu_link_content_values','56'),('values:menu_link_content:11','O:47:\"Drupal\\menu_link_content\\Entity\\MenuLinkContent\":29:{s:15:\"\0*\0insidePlugin\";b:0;s:9:\"\0*\0values\";a:23:{s:2:\"id\";a:1:{s:9:\"x-default\";s:2:\"11\";}s:11:\"revision_id\";a:1:{s:9:\"x-default\";s:2:\"11\";}s:6:\"bundle\";a:1:{s:9:\"x-default\";s:17:\"menu_link_content\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"527ea562-6643-4efb-8037-e01aeef59884\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:13:\"revision_user\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_created\";a:1:{s:9:\"x-default\";N;}s:20:\"revision_log_message\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:5:\"title\";a:1:{s:9:\"x-default\";s:9:\"Wordpress\";}s:11:\"description\";a:1:{s:9:\"x-default\";s:9:\"Wordpress\";}s:4:\"link\";a:1:{s:9:\"x-default\";a:3:{s:3:\"uri\";s:22:\"https://wordpress.com/\";s:5:\"title\";s:0:\"\";s:7:\"options\";a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:6:\"_blank\";}}}}s:8:\"external\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:7:\"enabled\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1627877186\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:9:\"menu_name\";a:1:{s:9:\"x-default\";s:5:\"quick\";}s:10:\"rediscover\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:6:\"weight\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:8:\"expanded\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:6:\"parent\";a:1:{s:9:\"x-default\";N;}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:17:\"menu_link_content\";s:2:\"id\";s:2:\"11\";s:8:\"revision\";s:2:\"11\";s:5:\"label\";s:9:\"Wordpress\";s:4:\"uuid\";s:36:\"527ea562-6643-4efb-8037-e01aeef59884\";s:9:\"published\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:3:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:2:\"11\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:17:\"menu_link_content\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636012251.035,1,'entity_field_info menu_link_content_values','56'),('values:menu_link_content:12','O:47:\"Drupal\\menu_link_content\\Entity\\MenuLinkContent\":29:{s:15:\"\0*\0insidePlugin\";b:0;s:9:\"\0*\0values\";a:23:{s:2:\"id\";a:1:{s:9:\"x-default\";s:2:\"12\";}s:11:\"revision_id\";a:1:{s:9:\"x-default\";s:2:\"12\";}s:6:\"bundle\";a:1:{s:9:\"x-default\";s:17:\"menu_link_content\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"25821ec7-df98-47dc-a5d5-4029a2837e55\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:13:\"revision_user\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_created\";a:1:{s:9:\"x-default\";N;}s:20:\"revision_log_message\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:5:\"title\";a:1:{s:9:\"x-default\";s:7:\"Weebpal\";}s:11:\"description\";a:1:{s:9:\"x-default\";s:7:\"Weebpal\";}s:4:\"link\";a:1:{s:9:\"x-default\";a:3:{s:3:\"uri\";s:24:\"https://www.weebpal.com/\";s:5:\"title\";s:0:\"\";s:7:\"options\";a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:6:\"_blank\";}}}}s:8:\"external\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:7:\"enabled\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1627877186\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:9:\"menu_name\";a:1:{s:9:\"x-default\";s:5:\"quick\";}s:10:\"rediscover\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:6:\"weight\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:8:\"expanded\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:6:\"parent\";a:1:{s:9:\"x-default\";N;}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:17:\"menu_link_content\";s:2:\"id\";s:2:\"12\";s:8:\"revision\";s:2:\"12\";s:5:\"label\";s:7:\"Weebpal\";s:4:\"uuid\";s:36:\"25821ec7-df98-47dc-a5d5-4029a2837e55\";s:9:\"published\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:3:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:2:\"12\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:17:\"menu_link_content\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636012251.042,1,'entity_field_info menu_link_content_values','56'),('values:menu_link_content:13','O:47:\"Drupal\\menu_link_content\\Entity\\MenuLinkContent\":29:{s:15:\"\0*\0insidePlugin\";b:0;s:9:\"\0*\0values\";a:23:{s:2:\"id\";a:1:{s:9:\"x-default\";s:2:\"13\";}s:11:\"revision_id\";a:1:{s:9:\"x-default\";s:2:\"13\";}s:6:\"bundle\";a:1:{s:9:\"x-default\";s:17:\"menu_link_content\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"d4ba7240-f5f6-4077-92a1-b03f3dc2fc12\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:13:\"revision_user\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_created\";a:1:{s:9:\"x-default\";N;}s:20:\"revision_log_message\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:5:\"title\";a:1:{s:9:\"x-default\";s:15:\"Portfolio 4 col\";}s:11:\"description\";a:1:{s:9:\"x-default\";s:15:\"Portfolio 4 col\";}s:4:\"link\";a:1:{s:9:\"x-default\";a:3:{s:3:\"uri\";s:25:\"internal:/portfolio_4_col\";s:5:\"title\";s:0:\"\";s:7:\"options\";a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}}}}s:8:\"external\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:7:\"enabled\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1627877186\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:9:\"menu_name\";a:1:{s:9:\"x-default\";s:4:\"main\";}s:10:\"rediscover\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"weight\";a:1:{s:9:\"x-default\";s:3:\"-50\";}s:8:\"expanded\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:6:\"parent\";a:1:{s:9:\"x-default\";s:54:\"menu_link_content:49749b67-c74d-408e-a60e-bf8ff8ffb97f\";}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:17:\"menu_link_content\";s:2:\"id\";s:2:\"13\";s:8:\"revision\";s:2:\"13\";s:5:\"label\";s:15:\"Portfolio 4 col\";s:4:\"uuid\";s:36:\"d4ba7240-f5f6-4077-92a1-b03f3dc2fc12\";s:9:\"published\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:3:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:2:\"13\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:17:\"menu_link_content\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636011228.220,1,'entity_field_info menu_link_content_values','56'),('values:menu_link_content:14','O:47:\"Drupal\\menu_link_content\\Entity\\MenuLinkContent\":29:{s:15:\"\0*\0insidePlugin\";b:0;s:9:\"\0*\0values\";a:23:{s:2:\"id\";a:1:{s:9:\"x-default\";s:2:\"14\";}s:11:\"revision_id\";a:1:{s:9:\"x-default\";s:2:\"14\";}s:6:\"bundle\";a:1:{s:9:\"x-default\";s:17:\"menu_link_content\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"20bcd853-7bfc-4421-8c82-15217f40ae51\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:13:\"revision_user\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_created\";a:1:{s:9:\"x-default\";N;}s:20:\"revision_log_message\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:5:\"title\";a:1:{s:9:\"x-default\";s:17:\"Portfolio masonry\";}s:11:\"description\";a:1:{s:9:\"x-default\";s:17:\"Portfolio masonry\";}s:4:\"link\";a:1:{s:9:\"x-default\";a:3:{s:3:\"uri\";s:27:\"internal:/portfolio_masonry\";s:5:\"title\";s:0:\"\";s:7:\"options\";a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}}}}s:8:\"external\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:7:\"enabled\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1627877186\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:9:\"menu_name\";a:1:{s:9:\"x-default\";s:4:\"main\";}s:10:\"rediscover\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"weight\";a:1:{s:9:\"x-default\";s:3:\"-49\";}s:8:\"expanded\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:6:\"parent\";a:1:{s:9:\"x-default\";s:54:\"menu_link_content:49749b67-c74d-408e-a60e-bf8ff8ffb97f\";}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:17:\"menu_link_content\";s:2:\"id\";s:2:\"14\";s:8:\"revision\";s:2:\"14\";s:5:\"label\";s:17:\"Portfolio masonry\";s:4:\"uuid\";s:36:\"20bcd853-7bfc-4421-8c82-15217f40ae51\";s:9:\"published\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:3:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:2:\"14\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:17:\"menu_link_content\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636011228.220,1,'entity_field_info menu_link_content_values','56'),('values:menu_link_content:15','O:47:\"Drupal\\menu_link_content\\Entity\\MenuLinkContent\":29:{s:15:\"\0*\0insidePlugin\";b:0;s:9:\"\0*\0values\";a:23:{s:2:\"id\";a:1:{s:9:\"x-default\";s:2:\"15\";}s:11:\"revision_id\";a:1:{s:9:\"x-default\";s:2:\"15\";}s:6:\"bundle\";a:1:{s:9:\"x-default\";s:17:\"menu_link_content\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"36727826-f03f-4f36-919a-142ae953e104\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:13:\"revision_user\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_created\";a:1:{s:9:\"x-default\";N;}s:20:\"revision_log_message\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:5:\"title\";a:1:{s:9:\"x-default\";s:7:\"Contact\";}s:11:\"description\";a:1:{s:9:\"x-default\";s:7:\"Contact\";}s:4:\"link\";a:1:{s:9:\"x-default\";a:3:{s:3:\"uri\";s:17:\"internal:/contact\";s:5:\"title\";s:0:\"\";s:7:\"options\";a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}}}}s:8:\"external\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:7:\"enabled\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1627877186\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:9:\"menu_name\";a:1:{s:9:\"x-default\";s:4:\"main\";}s:10:\"rediscover\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"weight\";a:1:{s:9:\"x-default\";s:3:\"-45\";}s:8:\"expanded\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:6:\"parent\";a:1:{s:9:\"x-default\";N;}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:17:\"menu_link_content\";s:2:\"id\";s:2:\"15\";s:8:\"revision\";s:2:\"15\";s:5:\"label\";s:7:\"Contact\";s:4:\"uuid\";s:36:\"36727826-f03f-4f36-919a-142ae953e104\";s:9:\"published\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:3:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:2:\"15\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:17:\"menu_link_content\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636011228.220,1,'entity_field_info menu_link_content_values','56'),('values:menu_link_content:16','O:47:\"Drupal\\menu_link_content\\Entity\\MenuLinkContent\":29:{s:15:\"\0*\0insidePlugin\";b:0;s:9:\"\0*\0values\";a:23:{s:2:\"id\";a:1:{s:9:\"x-default\";s:2:\"16\";}s:11:\"revision_id\";a:1:{s:9:\"x-default\";s:2:\"16\";}s:6:\"bundle\";a:1:{s:9:\"x-default\";s:17:\"menu_link_content\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"a21c44b2-835d-441e-8cbe-33d0ec296784\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:13:\"revision_user\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_created\";a:1:{s:9:\"x-default\";N;}s:20:\"revision_log_message\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:5:\"title\";a:1:{s:9:\"x-default\";s:10:\"My account\";}s:11:\"description\";a:1:{s:9:\"x-default\";s:10:\"My account\";}s:4:\"link\";a:1:{s:9:\"x-default\";a:3:{s:3:\"uri\";s:14:\"internal:/user\";s:5:\"title\";s:0:\"\";s:7:\"options\";a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:12:\"user-account\";}s:6:\"target\";s:6:\"_blank\";}}}}s:8:\"external\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:7:\"enabled\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1627877186\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:9:\"menu_name\";a:1:{s:9:\"x-default\";s:4:\"main\";}s:10:\"rediscover\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"weight\";a:1:{s:9:\"x-default\";s:3:\"-43\";}s:8:\"expanded\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:6:\"parent\";a:1:{s:9:\"x-default\";N;}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:17:\"menu_link_content\";s:2:\"id\";s:2:\"16\";s:8:\"revision\";s:2:\"16\";s:5:\"label\";s:10:\"My account\";s:4:\"uuid\";s:36:\"a21c44b2-835d-441e-8cbe-33d0ec296784\";s:9:\"published\";s:1:\"0\";}s:25:\"\0*\0translatableEntityKeys\";a:3:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:2:\"16\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:17:\"menu_link_content\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636011228.220,1,'entity_field_info menu_link_content_values','56'),('values:menu_link_content:17','O:47:\"Drupal\\menu_link_content\\Entity\\MenuLinkContent\":29:{s:15:\"\0*\0insidePlugin\";b:0;s:9:\"\0*\0values\";a:23:{s:2:\"id\";a:1:{s:9:\"x-default\";s:2:\"17\";}s:11:\"revision_id\";a:1:{s:9:\"x-default\";s:2:\"17\";}s:6:\"bundle\";a:1:{s:9:\"x-default\";s:17:\"menu_link_content\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"96a946eb-22c6-4787-8f6e-ad381be14222\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:13:\"revision_user\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_created\";a:1:{s:9:\"x-default\";N;}s:20:\"revision_log_message\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:5:\"title\";a:1:{s:9:\"x-default\";s:7:\"Log out\";}s:11:\"description\";a:1:{s:9:\"x-default\";s:7:\"Log out\";}s:4:\"link\";a:1:{s:9:\"x-default\";a:3:{s:3:\"uri\";s:21:\"internal:/user/logout\";s:5:\"title\";s:0:\"\";s:7:\"options\";a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:12:\"user-log-out\";}s:6:\"target\";s:0:\"\";}}}}s:8:\"external\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:7:\"enabled\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1627877186\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:9:\"menu_name\";a:1:{s:9:\"x-default\";s:4:\"main\";}s:10:\"rediscover\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"weight\";a:1:{s:9:\"x-default\";s:3:\"-42\";}s:8:\"expanded\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:6:\"parent\";a:1:{s:9:\"x-default\";N;}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:17:\"menu_link_content\";s:2:\"id\";s:2:\"17\";s:8:\"revision\";s:2:\"17\";s:5:\"label\";s:7:\"Log out\";s:4:\"uuid\";s:36:\"96a946eb-22c6-4787-8f6e-ad381be14222\";s:9:\"published\";s:1:\"0\";}s:25:\"\0*\0translatableEntityKeys\";a:3:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:2:\"17\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:17:\"menu_link_content\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636011228.221,1,'entity_field_info menu_link_content_values','56'),('values:menu_link_content:18','O:47:\"Drupal\\menu_link_content\\Entity\\MenuLinkContent\":29:{s:15:\"\0*\0insidePlugin\";b:0;s:9:\"\0*\0values\";a:23:{s:2:\"id\";a:1:{s:9:\"x-default\";s:2:\"18\";}s:11:\"revision_id\";a:1:{s:9:\"x-default\";s:2:\"18\";}s:6:\"bundle\";a:1:{s:9:\"x-default\";s:17:\"menu_link_content\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"bd337eec-18a0-43da-aca9-292607213b64\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:13:\"revision_user\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_created\";a:1:{s:9:\"x-default\";N;}s:20:\"revision_log_message\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:5:\"title\";a:1:{s:9:\"x-default\";s:12:\"Login | User\";}s:11:\"description\";a:1:{s:9:\"x-default\";N;}s:4:\"link\";a:1:{s:9:\"x-default\";a:3:{s:3:\"uri\";s:20:\"internal:/user/login\";s:5:\"title\";s:0:\"\";s:7:\"options\";a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:11:\"user-log-in\";}s:6:\"target\";s:0:\"\";}}}}s:8:\"external\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:7:\"enabled\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1627877186\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:9:\"menu_name\";a:1:{s:9:\"x-default\";s:4:\"main\";}s:10:\"rediscover\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"weight\";a:1:{s:9:\"x-default\";s:3:\"-41\";}s:8:\"expanded\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:6:\"parent\";a:1:{s:9:\"x-default\";N;}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:17:\"menu_link_content\";s:2:\"id\";s:2:\"18\";s:8:\"revision\";s:2:\"18\";s:5:\"label\";s:12:\"Login | User\";s:4:\"uuid\";s:36:\"bd337eec-18a0-43da-aca9-292607213b64\";s:9:\"published\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:3:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:2:\"18\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:17:\"menu_link_content\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636011228.226,1,'entity_field_info menu_link_content_values','56'),('values:menu_link_content:19','O:47:\"Drupal\\menu_link_content\\Entity\\MenuLinkContent\":29:{s:15:\"\0*\0insidePlugin\";b:0;s:9:\"\0*\0values\";a:23:{s:2:\"id\";a:1:{s:9:\"x-default\";s:2:\"19\";}s:11:\"revision_id\";a:1:{s:9:\"x-default\";s:2:\"19\";}s:6:\"bundle\";a:1:{s:9:\"x-default\";s:17:\"menu_link_content\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"7e0a4dbd-8408-4b7e-bd75-c8515eb0dec0\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:13:\"revision_user\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_created\";a:1:{s:9:\"x-default\";N;}s:20:\"revision_log_message\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:5:\"title\";a:1:{s:9:\"x-default\";s:12:\"Blog default\";}s:11:\"description\";a:1:{s:9:\"x-default\";s:12:\"Blog default\";}s:4:\"link\";a:1:{s:9:\"x-default\";a:3:{s:3:\"uri\";s:22:\"internal:/blog_default\";s:5:\"title\";s:0:\"\";s:7:\"options\";a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}}}}s:8:\"external\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:7:\"enabled\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1627877186\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:9:\"menu_name\";a:1:{s:9:\"x-default\";s:4:\"main\";}s:10:\"rediscover\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"weight\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:8:\"expanded\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:6:\"parent\";a:1:{s:9:\"x-default\";s:54:\"menu_link_content:2bdced62-2f42-4421-b679-32d1d8b4b8b7\";}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:17:\"menu_link_content\";s:2:\"id\";s:2:\"19\";s:8:\"revision\";s:2:\"19\";s:5:\"label\";s:12:\"Blog default\";s:4:\"uuid\";s:36:\"7e0a4dbd-8408-4b7e-bd75-c8515eb0dec0\";s:9:\"published\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:3:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:2:\"19\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:17:\"menu_link_content\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636011228.227,1,'entity_field_info menu_link_content_values','56'),('values:menu_link_content:2','O:47:\"Drupal\\menu_link_content\\Entity\\MenuLinkContent\":29:{s:15:\"\0*\0insidePlugin\";b:0;s:9:\"\0*\0values\";a:23:{s:2:\"id\";a:1:{s:9:\"x-default\";s:1:\"2\";}s:11:\"revision_id\";a:1:{s:9:\"x-default\";s:1:\"2\";}s:6:\"bundle\";a:1:{s:9:\"x-default\";s:17:\"menu_link_content\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"4ee76de9-f8b7-4213-be88-719f49654dfb\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:13:\"revision_user\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_created\";a:1:{s:9:\"x-default\";N;}s:20:\"revision_log_message\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:5:\"title\";a:1:{s:9:\"x-default\";s:8:\"Services\";}s:11:\"description\";a:1:{s:9:\"x-default\";s:8:\"Services\";}s:4:\"link\";a:1:{s:9:\"x-default\";a:3:{s:3:\"uri\";s:18:\"internal:/services\";s:5:\"title\";s:0:\"\";s:7:\"options\";a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}}}}s:8:\"external\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:7:\"enabled\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1627877186\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:9:\"menu_name\";a:1:{s:9:\"x-default\";s:4:\"main\";}s:10:\"rediscover\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"weight\";a:1:{s:9:\"x-default\";s:3:\"-48\";}s:8:\"expanded\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:6:\"parent\";a:1:{s:9:\"x-default\";N;}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:17:\"menu_link_content\";s:2:\"id\";s:1:\"2\";s:8:\"revision\";s:1:\"2\";s:5:\"label\";s:8:\"Services\";s:4:\"uuid\";s:36:\"4ee76de9-f8b7-4213-be88-719f49654dfb\";s:9:\"published\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:3:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:1:\"2\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:17:\"menu_link_content\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636011228.219,1,'entity_field_info menu_link_content_values','56'),('values:menu_link_content:3','O:47:\"Drupal\\menu_link_content\\Entity\\MenuLinkContent\":29:{s:15:\"\0*\0insidePlugin\";b:0;s:9:\"\0*\0values\";a:23:{s:2:\"id\";a:1:{s:9:\"x-default\";s:1:\"3\";}s:11:\"revision_id\";a:1:{s:9:\"x-default\";s:1:\"3\";}s:6:\"bundle\";a:1:{s:9:\"x-default\";s:17:\"menu_link_content\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"49749b67-c74d-408e-a60e-bf8ff8ffb97f\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:13:\"revision_user\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_created\";a:1:{s:9:\"x-default\";N;}s:20:\"revision_log_message\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:5:\"title\";a:1:{s:9:\"x-default\";s:9:\"Portfolio\";}s:11:\"description\";a:1:{s:9:\"x-default\";s:8:\"Porfolio\";}s:4:\"link\";a:1:{s:9:\"x-default\";a:3:{s:3:\"uri\";s:19:\"internal:/portfolio\";s:5:\"title\";s:0:\"\";s:7:\"options\";a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}}}}s:8:\"external\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:7:\"enabled\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1627877186\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:9:\"menu_name\";a:1:{s:9:\"x-default\";s:4:\"main\";}s:10:\"rediscover\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"weight\";a:1:{s:9:\"x-default\";s:3:\"-47\";}s:8:\"expanded\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"parent\";a:1:{s:9:\"x-default\";N;}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:17:\"menu_link_content\";s:2:\"id\";s:1:\"3\";s:8:\"revision\";s:1:\"3\";s:5:\"label\";s:9:\"Portfolio\";s:4:\"uuid\";s:36:\"49749b67-c74d-408e-a60e-bf8ff8ffb97f\";s:9:\"published\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:3:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:1:\"3\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:17:\"menu_link_content\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636011228.219,1,'entity_field_info menu_link_content_values','56'),('values:menu_link_content:4','O:47:\"Drupal\\menu_link_content\\Entity\\MenuLinkContent\":29:{s:15:\"\0*\0insidePlugin\";b:0;s:9:\"\0*\0values\";a:23:{s:2:\"id\";a:1:{s:9:\"x-default\";s:1:\"4\";}s:11:\"revision_id\";a:1:{s:9:\"x-default\";s:1:\"4\";}s:6:\"bundle\";a:1:{s:9:\"x-default\";s:17:\"menu_link_content\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"2bdced62-2f42-4421-b679-32d1d8b4b8b7\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:13:\"revision_user\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_created\";a:1:{s:9:\"x-default\";N;}s:20:\"revision_log_message\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:5:\"title\";a:1:{s:9:\"x-default\";s:4:\"Blog\";}s:11:\"description\";a:1:{s:9:\"x-default\";s:4:\"Blog\";}s:4:\"link\";a:1:{s:9:\"x-default\";a:3:{s:3:\"uri\";s:14:\"internal:/blog\";s:5:\"title\";s:0:\"\";s:7:\"options\";a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}}}}s:8:\"external\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:7:\"enabled\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1627877186\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:9:\"menu_name\";a:1:{s:9:\"x-default\";s:4:\"main\";}s:10:\"rediscover\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"weight\";a:1:{s:9:\"x-default\";s:3:\"-46\";}s:8:\"expanded\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"parent\";a:1:{s:9:\"x-default\";N;}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:17:\"menu_link_content\";s:2:\"id\";s:1:\"4\";s:8:\"revision\";s:1:\"4\";s:5:\"label\";s:4:\"Blog\";s:4:\"uuid\";s:36:\"2bdced62-2f42-4421-b679-32d1d8b4b8b7\";s:9:\"published\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:3:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:1:\"4\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:17:\"menu_link_content\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636011228.219,1,'entity_field_info menu_link_content_values','56'),('values:menu_link_content:6','O:47:\"Drupal\\menu_link_content\\Entity\\MenuLinkContent\":29:{s:15:\"\0*\0insidePlugin\";b:0;s:9:\"\0*\0values\";a:23:{s:2:\"id\";a:1:{s:9:\"x-default\";s:1:\"6\";}s:11:\"revision_id\";a:1:{s:9:\"x-default\";s:1:\"6\";}s:6:\"bundle\";a:1:{s:9:\"x-default\";s:17:\"menu_link_content\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"60c931cd-37da-4cfd-a054-ef7863f9f6b2\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:13:\"revision_user\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_created\";a:1:{s:9:\"x-default\";N;}s:20:\"revision_log_message\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:5:\"title\";a:1:{s:9:\"x-default\";s:11:\"More themes\";}s:11:\"description\";a:1:{s:9:\"x-default\";s:11:\"More themes\";}s:4:\"link\";a:1:{s:9:\"x-default\";a:3:{s:3:\"uri\";s:19:\"http://weebpal.com/\";s:5:\"title\";s:0:\"\";s:7:\"options\";a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:6:\"_blank\";}}}}s:8:\"external\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:7:\"enabled\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1627877186\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:9:\"menu_name\";a:1:{s:9:\"x-default\";s:4:\"main\";}s:10:\"rediscover\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:6:\"weight\";a:1:{s:9:\"x-default\";s:3:\"-44\";}s:8:\"expanded\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:6:\"parent\";a:1:{s:9:\"x-default\";N;}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:17:\"menu_link_content\";s:2:\"id\";s:1:\"6\";s:8:\"revision\";s:1:\"6\";s:5:\"label\";s:11:\"More themes\";s:4:\"uuid\";s:36:\"60c931cd-37da-4cfd-a054-ef7863f9f6b2\";s:9:\"published\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:3:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:1:\"6\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:17:\"menu_link_content\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636012249.606,1,'entity_field_info menu_link_content_values','56'),('values:menu_link_content:7','O:47:\"Drupal\\menu_link_content\\Entity\\MenuLinkContent\":29:{s:15:\"\0*\0insidePlugin\";b:0;s:9:\"\0*\0values\";a:23:{s:2:\"id\";a:1:{s:9:\"x-default\";s:1:\"7\";}s:11:\"revision_id\";a:1:{s:9:\"x-default\";s:1:\"7\";}s:6:\"bundle\";a:1:{s:9:\"x-default\";s:17:\"menu_link_content\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"7909f56f-2491-4bc2-a54a-dc6f55cece88\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:13:\"revision_user\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_created\";a:1:{s:9:\"x-default\";N;}s:20:\"revision_log_message\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:5:\"title\";a:1:{s:9:\"x-default\";s:6:\"Drupal\";}s:11:\"description\";a:1:{s:9:\"x-default\";s:6:\"Drupal\";}s:4:\"link\";a:1:{s:9:\"x-default\";a:3:{s:3:\"uri\";s:23:\"https://www.drupal.org/\";s:5:\"title\";s:0:\"\";s:7:\"options\";a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:6:\"_blank\";}}}}s:8:\"external\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:7:\"enabled\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1627877186\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:9:\"menu_name\";a:1:{s:9:\"x-default\";s:5:\"quick\";}s:10:\"rediscover\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:6:\"weight\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:8:\"expanded\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:6:\"parent\";a:1:{s:9:\"x-default\";N;}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:17:\"menu_link_content\";s:2:\"id\";s:1:\"7\";s:8:\"revision\";s:1:\"7\";s:5:\"label\";s:6:\"Drupal\";s:4:\"uuid\";s:36:\"7909f56f-2491-4bc2-a54a-dc6f55cece88\";s:9:\"published\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:3:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:1:\"7\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:17:\"menu_link_content\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636012251.008,1,'entity_field_info menu_link_content_values','56'),('values:menu_link_content:8','O:47:\"Drupal\\menu_link_content\\Entity\\MenuLinkContent\":29:{s:15:\"\0*\0insidePlugin\";b:0;s:9:\"\0*\0values\";a:23:{s:2:\"id\";a:1:{s:9:\"x-default\";s:1:\"8\";}s:11:\"revision_id\";a:1:{s:9:\"x-default\";s:1:\"8\";}s:6:\"bundle\";a:1:{s:9:\"x-default\";s:17:\"menu_link_content\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"919839f6-a4c3-493d-8fdd-e97513aa3eda\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:13:\"revision_user\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_created\";a:1:{s:9:\"x-default\";N;}s:20:\"revision_log_message\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:5:\"title\";a:1:{s:9:\"x-default\";s:8:\"Facebook\";}s:11:\"description\";a:1:{s:9:\"x-default\";s:8:\"Facebook\";}s:4:\"link\";a:1:{s:9:\"x-default\";a:3:{s:3:\"uri\";s:25:\"https://www.facebook.com/\";s:5:\"title\";s:0:\"\";s:7:\"options\";a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:6:\"_blank\";}}}}s:8:\"external\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:7:\"enabled\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1627877186\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:9:\"menu_name\";a:1:{s:9:\"x-default\";s:5:\"quick\";}s:10:\"rediscover\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:6:\"weight\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:8:\"expanded\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:6:\"parent\";a:1:{s:9:\"x-default\";N;}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:17:\"menu_link_content\";s:2:\"id\";s:1:\"8\";s:8:\"revision\";s:1:\"8\";s:5:\"label\";s:8:\"Facebook\";s:4:\"uuid\";s:36:\"919839f6-a4c3-493d-8fdd-e97513aa3eda\";s:9:\"published\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:3:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:1:\"8\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:17:\"menu_link_content\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636012251.014,1,'entity_field_info menu_link_content_values','56'),('values:menu_link_content:9','O:47:\"Drupal\\menu_link_content\\Entity\\MenuLinkContent\":29:{s:15:\"\0*\0insidePlugin\";b:0;s:9:\"\0*\0values\";a:23:{s:2:\"id\";a:1:{s:9:\"x-default\";s:1:\"9\";}s:11:\"revision_id\";a:1:{s:9:\"x-default\";s:1:\"9\";}s:6:\"bundle\";a:1:{s:9:\"x-default\";s:17:\"menu_link_content\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"26cf0986-53da-465e-bb0d-d2dc2f1712e8\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:13:\"revision_user\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_created\";a:1:{s:9:\"x-default\";N;}s:20:\"revision_log_message\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:5:\"title\";a:1:{s:9:\"x-default\";s:6:\"Google\";}s:11:\"description\";a:1:{s:9:\"x-default\";s:6:\"Google\";}s:4:\"link\";a:1:{s:9:\"x-default\";a:3:{s:3:\"uri\";s:22:\"https://www.google.com\";s:5:\"title\";s:0:\"\";s:7:\"options\";a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:6:\"_blank\";}}}}s:8:\"external\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:7:\"enabled\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1627877186\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:9:\"menu_name\";a:1:{s:9:\"x-default\";s:5:\"quick\";}s:10:\"rediscover\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:6:\"weight\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:8:\"expanded\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:6:\"parent\";a:1:{s:9:\"x-default\";N;}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:6:{s:6:\"bundle\";s:17:\"menu_link_content\";s:2:\"id\";s:1:\"9\";s:8:\"revision\";s:1:\"9\";s:5:\"label\";s:6:\"Google\";s:4:\"uuid\";s:36:\"26cf0986-53da-465e-bb0d-d2dc2f1712e8\";s:9:\"published\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:3:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:1:\"9\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:17:\"menu_link_content\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636012251.024,1,'entity_field_info menu_link_content_values','56'),('values:node:10','O:23:\"Drupal\\node\\Entity\\Node\":29:{s:10:\"in_preview\";N;s:9:\"\0*\0values\";a:25:{s:3:\"nid\";a:1:{s:9:\"x-default\";s:2:\"10\";}s:3:\"vid\";a:1:{s:9:\"x-default\";s:2:\"10\";}s:4:\"type\";a:1:{s:9:\"x-default\";s:8:\"partners\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"e4fed93a-0721-44b4-a98b-6bba0329e8b1\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:12:\"revision_uid\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:18:\"revision_timestamp\";a:1:{s:9:\"x-default\";s:10:\"1468986061\";}s:12:\"revision_log\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:5:\"title\";a:1:{s:9:\"x-default\";s:6:\"jQuery\";}s:3:\"uid\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"status\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"created\";a:1:{s:9:\"x-default\";s:10:\"1468986047\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1472099835\";}s:7:\"promote\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:6:\"sticky\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:26:\"content_translation_source\";a:1:{s:9:\"x-default\";N;}s:28:\"content_translation_outdated\";a:1:{s:9:\"x-default\";N;}s:10:\"node_class\";a:1:{s:9:\"x-default\";N;}s:4:\"body\";a:1:{s:9:\"x-default\";a:1:{i:0;a:3:{s:5:\"value\";s:371:\"<p>jQuery is a fast, small, and feature-rich JavaScript library. It makes things like HTML document traversal and manipulation, event handling, animation, and Ajax much simpler with an easy-to-use API that works across a multitude of browsers. With a combination of versatility and extensibility, jQuery has changed the way that millions of people write JavaScript.</p>\r\n\";s:7:\"summary\";s:0:\"\";s:6:\"format\";s:10:\"basic_html\";}}}s:10:\"field_link\";a:1:{s:9:\"x-default\";a:1:{i:0;a:3:{s:3:\"uri\";s:19:\"https://jquery.com/\";s:5:\"title\";s:6:\"jQuery\";s:7:\"options\";a:0:{}}}}s:14:\"field_partners\";a:1:{s:9:\"x-default\";a:1:{i:0;a:5:{s:9:\"target_id\";s:1:\"6\";s:3:\"alt\";s:6:\"jQuery\";s:5:\"title\";s:6:\"jQuery\";s:5:\"width\";s:3:\"380\";s:6:\"height\";s:3:\"224\";}}}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:9:{s:6:\"bundle\";s:8:\"partners\";s:2:\"id\";s:2:\"10\";s:8:\"revision\";s:2:\"10\";s:5:\"label\";s:6:\"jQuery\";s:4:\"uuid\";s:36:\"e4fed93a-0721-44b4-a98b-6bba0329e8b1\";s:6:\"status\";s:1:\"1\";s:9:\"published\";s:1:\"1\";s:3:\"uid\";s:1:\"1\";s:5:\"owner\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:3:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:2:\"10\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:4:\"node\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636012250.787,1,'entity_field_info node_values','56'),('values:node:11','O:23:\"Drupal\\node\\Entity\\Node\":29:{s:10:\"in_preview\";N;s:9:\"\0*\0values\";a:26:{s:3:\"nid\";a:1:{s:9:\"x-default\";s:2:\"11\";}s:3:\"vid\";a:1:{s:9:\"x-default\";s:2:\"11\";}s:4:\"type\";a:1:{s:9:\"x-default\";s:4:\"blog\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"02bcd9d1-06a0-4de0-b1b6-8321c67e9483\";}s:8:\"langcode\";a:2:{s:9:\"x-default\";s:2:\"en\";s:2:\"ar\";s:2:\"ar\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:12:\"revision_uid\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:18:\"revision_timestamp\";a:1:{s:9:\"x-default\";s:10:\"1469169208\";}s:12:\"revision_log\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:5:\"title\";a:2:{s:2:\"ar\";s:28:\"Warehouse Sale in Emeryville\";s:9:\"x-default\";s:28:\"Warehouse Sale in Emeryville\";}s:3:\"uid\";a:2:{s:2:\"ar\";s:1:\"1\";s:9:\"x-default\";s:1:\"1\";}s:6:\"status\";a:2:{s:2:\"ar\";s:1:\"1\";s:9:\"x-default\";s:1:\"1\";}s:7:\"created\";a:2:{s:2:\"ar\";s:10:\"1473752412\";s:9:\"x-default\";s:10:\"1452238367\";}s:7:\"changed\";a:2:{s:2:\"ar\";s:10:\"1473752428\";s:9:\"x-default\";s:10:\"1472721193\";}s:7:\"promote\";a:2:{s:2:\"ar\";s:1:\"0\";s:9:\"x-default\";s:1:\"0\";}s:6:\"sticky\";a:2:{s:2:\"ar\";s:1:\"0\";s:9:\"x-default\";s:1:\"0\";}s:29:\"revision_translation_affected\";a:2:{s:2:\"ar\";s:1:\"1\";s:9:\"x-default\";s:1:\"1\";}s:16:\"default_langcode\";a:2:{s:2:\"ar\";s:1:\"0\";s:9:\"x-default\";s:1:\"1\";}s:26:\"content_translation_source\";a:2:{s:2:\"ar\";s:2:\"en\";s:9:\"x-default\";N;}s:28:\"content_translation_outdated\";a:2:{s:2:\"ar\";s:1:\"0\";s:9:\"x-default\";N;}s:10:\"node_class\";a:2:{s:2:\"ar\";N;s:9:\"x-default\";N;}s:4:\"body\";a:2:{s:2:\"ar\";a:1:{i:0;a:3:{s:5:\"value\";s:2460:\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet.</p>\r\n<img alt=\"Warehouse Sale in Emeryville\" data-align=\"center\" data-entity-type=\"file\" data-entity-uuid=\"19184840-d49d-48ef-aeaa-aef9bee1e09c\" src=\"/sites/default/files/inline-images/blog-dt-01.jpg\" />\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur.</p>\r\n\r\n<p>Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\";s:7:\"summary\";s:441:\"Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.\";s:6:\"format\";s:9:\"full_html\";}}s:9:\"x-default\";a:1:{i:0;a:3:{s:5:\"value\";s:2458:\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet.</p>\r\n<img alt=\"Warehouse Sale in Emeryville\" data-align=\"center\" data-entity-type=\"file\" data-entity-uuid=\"19184840-d49d-48ef-aeaa-aef9bee1e09c\" src=\"/sites/default/files/inline-images/blog-dt-01.jpg\" />\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\";s:7:\"summary\";s:441:\"Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.\";s:6:\"format\";s:9:\"full_html\";}}}s:7:\"comment\";a:2:{s:2:\"ar\";a:1:{i:0;a:1:{s:6:\"status\";s:1:\"2\";}}s:9:\"x-default\";a:1:{i:0;a:1:{s:6:\"status\";s:1:\"2\";}}}s:11:\"field_image\";a:2:{s:2:\"ar\";a:1:{i:0;a:5:{s:9:\"target_id\";s:3:\"112\";s:3:\"alt\";s:28:\"Warehouse Sale in Emeryville\";s:5:\"title\";s:28:\"Warehouse Sale in Emeryville\";s:5:\"width\";s:4:\"1170\";s:6:\"height\";s:3:\"700\";}}s:9:\"x-default\";a:1:{i:0;a:5:{s:9:\"target_id\";s:3:\"112\";s:3:\"alt\";s:28:\"Warehouse Sale in Emeryville\";s:5:\"title\";s:28:\"Warehouse Sale in Emeryville\";s:5:\"width\";s:4:\"1170\";s:6:\"height\";s:3:\"700\";}}}s:10:\"field_tags\";a:2:{s:2:\"ar\";a:2:{i:0;a:1:{s:9:\"target_id\";s:1:\"1\";}i:1;a:1:{s:9:\"target_id\";s:1:\"2\";}}s:9:\"x-default\";a:2:{i:0;a:1:{s:9:\"target_id\";s:1:\"1\";}i:1;a:1:{s:9:\"target_id\";s:1:\"2\";}}}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:2:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}s:2:\"ar\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:4:{s:6:\"bundle\";s:4:\"blog\";s:2:\"id\";s:2:\"11\";s:8:\"revision\";s:2:\"11\";s:4:\"uuid\";s:36:\"02bcd9d1-06a0-4de0-b1b6-8321c67e9483\";}s:25:\"\0*\0translatableEntityKeys\";a:8:{s:5:\"label\";a:2:{s:2:\"ar\";s:28:\"Warehouse Sale in Emeryville\";s:9:\"x-default\";s:28:\"Warehouse Sale in Emeryville\";}s:8:\"langcode\";a:2:{s:9:\"x-default\";s:2:\"en\";s:2:\"ar\";s:2:\"ar\";}s:6:\"status\";a:2:{s:2:\"ar\";s:1:\"1\";s:9:\"x-default\";s:1:\"1\";}s:9:\"published\";a:2:{s:2:\"ar\";s:1:\"1\";s:9:\"x-default\";s:1:\"1\";}s:3:\"uid\";a:2:{s:2:\"ar\";s:1:\"1\";s:9:\"x-default\";s:1:\"1\";}s:5:\"owner\";a:2:{s:2:\"ar\";s:1:\"1\";s:9:\"x-default\";s:1:\"1\";}s:16:\"default_langcode\";a:2:{s:2:\"ar\";s:1:\"0\";s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:2:{s:2:\"ar\";s:1:\"1\";s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:2:\"11\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:4:\"node\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636012250.552,1,'entity_field_info node_values','56'),('values:node:12','O:23:\"Drupal\\node\\Entity\\Node\":29:{s:10:\"in_preview\";N;s:9:\"\0*\0values\";a:28:{s:3:\"nid\";a:1:{s:9:\"x-default\";s:2:\"12\";}s:3:\"vid\";a:1:{s:9:\"x-default\";s:2:\"12\";}s:4:\"type\";a:1:{s:9:\"x-default\";s:4:\"blog\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"0814f1c0-14e9-4142-93fe-2bbb5d61ccd5\";}s:8:\"langcode\";a:2:{s:9:\"x-default\";s:2:\"en\";s:2:\"ar\";s:2:\"ar\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:12:\"revision_uid\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:18:\"revision_timestamp\";a:1:{s:9:\"x-default\";s:10:\"1469417330\";}s:12:\"revision_log\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:5:\"title\";a:2:{s:2:\"ar\";s:12:\"Dare to bare\";s:9:\"x-default\";s:12:\"Dare to bare\";}s:3:\"uid\";a:2:{s:2:\"ar\";s:2:\"15\";s:9:\"x-default\";s:2:\"15\";}s:6:\"status\";a:2:{s:2:\"ar\";s:1:\"1\";s:9:\"x-default\";s:1:\"1\";}s:7:\"created\";a:2:{s:2:\"ar\";s:10:\"1473742951\";s:9:\"x-default\";s:10:\"1449807607\";}s:7:\"changed\";a:2:{s:2:\"ar\";s:10:\"1473752379\";s:9:\"x-default\";s:10:\"1473667414\";}s:7:\"promote\";a:2:{s:2:\"ar\";s:1:\"0\";s:9:\"x-default\";s:1:\"0\";}s:6:\"sticky\";a:2:{s:2:\"ar\";s:1:\"0\";s:9:\"x-default\";s:1:\"0\";}s:29:\"revision_translation_affected\";a:2:{s:2:\"ar\";s:1:\"1\";s:9:\"x-default\";s:1:\"1\";}s:16:\"default_langcode\";a:2:{s:2:\"ar\";s:1:\"0\";s:9:\"x-default\";s:1:\"1\";}s:26:\"content_translation_source\";a:2:{s:2:\"ar\";s:2:\"en\";s:9:\"x-default\";N;}s:28:\"content_translation_outdated\";a:2:{s:2:\"ar\";s:1:\"0\";s:9:\"x-default\";N;}s:10:\"node_class\";a:2:{s:2:\"ar\";N;s:9:\"x-default\";N;}s:4:\"body\";a:2:{s:2:\"ar\";a:1:{i:0;a:3:{s:5:\"value\";s:4055:\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\";s:7:\"summary\";s:441:\"Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.\";s:6:\"format\";s:9:\"full_html\";}}s:9:\"x-default\";a:1:{i:0;a:3:{s:5:\"value\";s:4055:\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\";s:7:\"summary\";s:441:\"Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.\";s:6:\"format\";s:9:\"full_html\";}}}s:7:\"comment\";a:2:{s:2:\"ar\";a:1:{i:0;a:1:{s:6:\"status\";s:1:\"2\";}}s:9:\"x-default\";a:1:{i:0;a:6:{s:6:\"status\";s:1:\"2\";s:3:\"cid\";s:1:\"0\";s:22:\"last_comment_timestamp\";s:10:\"1469417333\";s:17:\"last_comment_name\";N;s:16:\"last_comment_uid\";s:1:\"1\";s:13:\"comment_count\";s:1:\"0\";}}}s:11:\"field_image\";a:2:{s:2:\"ar\";a:1:{i:0;a:5:{s:9:\"target_id\";s:3:\"115\";s:3:\"alt\";s:12:\"Dare to bare\";s:5:\"title\";s:12:\"Dare to bare\";s:5:\"width\";s:4:\"1170\";s:6:\"height\";s:3:\"700\";}}s:9:\"x-default\";a:1:{i:0;a:5:{s:9:\"target_id\";s:3:\"115\";s:3:\"alt\";s:12:\"Dare to bare\";s:5:\"title\";s:12:\"Dare to bare\";s:5:\"width\";s:4:\"1170\";s:6:\"height\";s:3:\"700\";}}}s:15:\"field_slideshow\";a:2:{s:2:\"ar\";a:1:{i:0;a:5:{s:9:\"target_id\";s:3:\"131\";s:3:\"alt\";s:12:\"Dare to bare\";s:5:\"title\";s:12:\"Dare to bare\";s:5:\"width\";s:4:\"4000\";s:6:\"height\";s:4:\"2667\";}}s:9:\"x-default\";a:1:{i:0;a:5:{s:9:\"target_id\";s:3:\"131\";s:3:\"alt\";s:12:\"Dare to bare\";s:5:\"title\";s:12:\"Dare to bare\";s:5:\"width\";s:4:\"4000\";s:6:\"height\";s:4:\"2667\";}}}s:10:\"field_tags\";a:2:{s:2:\"ar\";a:2:{i:0;a:1:{s:9:\"target_id\";s:1:\"3\";}i:1;a:1:{s:9:\"target_id\";s:1:\"4\";}}s:9:\"x-default\";a:2:{i:0;a:1:{s:9:\"target_id\";s:1:\"3\";}i:1;a:1:{s:9:\"target_id\";s:1:\"4\";}}}s:11:\"field_video\";a:2:{s:2:\"ar\";a:1:{i:0;a:1:{s:5:\"value\";s:27:\"https://vimeo.com/179350537\";}}s:9:\"x-default\";a:1:{i:0;a:1:{s:5:\"value\";s:27:\"https://vimeo.com/179350537\";}}}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:2:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}s:2:\"ar\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:4:{s:6:\"bundle\";s:4:\"blog\";s:2:\"id\";s:2:\"12\";s:8:\"revision\";s:2:\"12\";s:4:\"uuid\";s:36:\"0814f1c0-14e9-4142-93fe-2bbb5d61ccd5\";}s:25:\"\0*\0translatableEntityKeys\";a:8:{s:5:\"label\";a:2:{s:2:\"ar\";s:12:\"Dare to bare\";s:9:\"x-default\";s:12:\"Dare to bare\";}s:8:\"langcode\";a:2:{s:9:\"x-default\";s:2:\"en\";s:2:\"ar\";s:2:\"ar\";}s:6:\"status\";a:2:{s:2:\"ar\";s:1:\"1\";s:9:\"x-default\";s:1:\"1\";}s:9:\"published\";a:2:{s:2:\"ar\";s:1:\"1\";s:9:\"x-default\";s:1:\"1\";}s:3:\"uid\";a:2:{s:2:\"ar\";s:2:\"15\";s:9:\"x-default\";s:2:\"15\";}s:5:\"owner\";a:2:{s:2:\"ar\";s:2:\"15\";s:9:\"x-default\";s:2:\"15\";}s:16:\"default_langcode\";a:2:{s:2:\"ar\";s:1:\"0\";s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:2:{s:2:\"ar\";s:1:\"1\";s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:2:\"12\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:4:\"node\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636012247.641,1,'entity_field_info node_values','56'),('values:node:15','O:23:\"Drupal\\node\\Entity\\Node\":29:{s:10:\"in_preview\";N;s:9:\"\0*\0values\";a:28:{s:3:\"nid\";a:1:{s:9:\"x-default\";s:2:\"15\";}s:3:\"vid\";a:1:{s:9:\"x-default\";s:2:\"15\";}s:4:\"type\";a:1:{s:9:\"x-default\";s:4:\"blog\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"5b3aa798-75f4-4e0f-a4e5-31beb0c56c5c\";}s:8:\"langcode\";a:2:{s:9:\"x-default\";s:2:\"en\";s:2:\"ar\";s:2:\"ar\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:12:\"revision_uid\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:18:\"revision_timestamp\";a:1:{s:9:\"x-default\";s:10:\"1469421117\";}s:12:\"revision_log\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:5:\"title\";a:2:{s:2:\"ar\";s:12:\"Off the wall\";s:9:\"x-default\";s:12:\"Off the wall\";}s:3:\"uid\";a:2:{s:2:\"ar\";s:2:\"15\";s:9:\"x-default\";s:2:\"15\";}s:6:\"status\";a:2:{s:2:\"ar\";s:1:\"1\";s:9:\"x-default\";s:1:\"1\";}s:7:\"created\";a:2:{s:2:\"ar\";s:10:\"1473752410\";s:9:\"x-default\";s:10:\"1450761893\";}s:7:\"changed\";a:2:{s:2:\"ar\";s:10:\"1473752453\";s:9:\"x-default\";s:10:\"1473667205\";}s:7:\"promote\";a:2:{s:2:\"ar\";s:1:\"0\";s:9:\"x-default\";s:1:\"0\";}s:6:\"sticky\";a:2:{s:2:\"ar\";s:1:\"0\";s:9:\"x-default\";s:1:\"0\";}s:29:\"revision_translation_affected\";a:2:{s:2:\"ar\";s:1:\"1\";s:9:\"x-default\";s:1:\"1\";}s:16:\"default_langcode\";a:2:{s:2:\"ar\";s:1:\"0\";s:9:\"x-default\";s:1:\"1\";}s:26:\"content_translation_source\";a:2:{s:2:\"ar\";s:2:\"en\";s:9:\"x-default\";N;}s:28:\"content_translation_outdated\";a:2:{s:2:\"ar\";s:1:\"0\";s:9:\"x-default\";N;}s:10:\"node_class\";a:2:{s:2:\"ar\";N;s:9:\"x-default\";N;}s:4:\"body\";a:2:{s:2:\"ar\";a:1:{i:0;a:3:{s:5:\"value\";s:3118:\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\";s:7:\"summary\";s:441:\"Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.\";s:6:\"format\";s:9:\"full_html\";}}s:9:\"x-default\";a:1:{i:0;a:3:{s:5:\"value\";s:3118:\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\";s:7:\"summary\";s:441:\"Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.\";s:6:\"format\";s:9:\"full_html\";}}}s:7:\"comment\";a:2:{s:2:\"ar\";a:1:{i:0;a:1:{s:6:\"status\";s:1:\"2\";}}s:9:\"x-default\";a:1:{i:0;a:6:{s:6:\"status\";s:1:\"2\";s:3:\"cid\";s:1:\"0\";s:22:\"last_comment_timestamp\";s:10:\"1469421121\";s:17:\"last_comment_name\";N;s:16:\"last_comment_uid\";s:1:\"1\";s:13:\"comment_count\";s:1:\"0\";}}}s:11:\"field_image\";a:2:{s:2:\"ar\";a:1:{i:0;a:5:{s:9:\"target_id\";s:3:\"114\";s:3:\"alt\";s:12:\"Off the wall\";s:5:\"title\";s:12:\"Off the wall\";s:5:\"width\";s:4:\"1170\";s:6:\"height\";s:3:\"700\";}}s:9:\"x-default\";a:1:{i:0;a:5:{s:9:\"target_id\";s:3:\"114\";s:3:\"alt\";s:12:\"Off the wall\";s:5:\"title\";s:12:\"Off the wall\";s:5:\"width\";s:4:\"1170\";s:6:\"height\";s:3:\"700\";}}}s:15:\"field_slideshow\";a:2:{s:2:\"ar\";a:1:{i:0;a:5:{s:9:\"target_id\";s:3:\"130\";s:3:\"alt\";s:12:\"Off the wall\";s:5:\"title\";s:12:\"Off the wall\";s:5:\"width\";s:4:\"5511\";s:6:\"height\";s:4:\"3674\";}}s:9:\"x-default\";a:1:{i:0;a:5:{s:9:\"target_id\";s:3:\"130\";s:3:\"alt\";s:12:\"Off the wall\";s:5:\"title\";s:12:\"Off the wall\";s:5:\"width\";s:4:\"5511\";s:6:\"height\";s:4:\"3674\";}}}s:10:\"field_tags\";a:2:{s:2:\"ar\";a:3:{i:0;a:1:{s:9:\"target_id\";s:1:\"5\";}i:1;a:1:{s:9:\"target_id\";s:1:\"6\";}i:2;a:1:{s:9:\"target_id\";s:1:\"1\";}}s:9:\"x-default\";a:3:{i:0;a:1:{s:9:\"target_id\";s:1:\"5\";}i:1;a:1:{s:9:\"target_id\";s:1:\"6\";}i:2;a:1:{s:9:\"target_id\";s:1:\"1\";}}}s:11:\"field_video\";a:2:{s:2:\"ar\";a:1:{i:0;a:1:{s:5:\"value\";s:27:\"https://vimeo.com/179350537\";}}s:9:\"x-default\";a:1:{i:0;a:1:{s:5:\"value\";s:27:\"https://vimeo.com/179350537\";}}}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:2:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}s:2:\"ar\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:4:{s:6:\"bundle\";s:4:\"blog\";s:2:\"id\";s:2:\"15\";s:8:\"revision\";s:2:\"15\";s:4:\"uuid\";s:36:\"5b3aa798-75f4-4e0f-a4e5-31beb0c56c5c\";}s:25:\"\0*\0translatableEntityKeys\";a:8:{s:5:\"label\";a:2:{s:2:\"ar\";s:12:\"Off the wall\";s:9:\"x-default\";s:12:\"Off the wall\";}s:8:\"langcode\";a:2:{s:9:\"x-default\";s:2:\"en\";s:2:\"ar\";s:2:\"ar\";}s:6:\"status\";a:2:{s:2:\"ar\";s:1:\"1\";s:9:\"x-default\";s:1:\"1\";}s:9:\"published\";a:2:{s:2:\"ar\";s:1:\"1\";s:9:\"x-default\";s:1:\"1\";}s:3:\"uid\";a:2:{s:2:\"ar\";s:2:\"15\";s:9:\"x-default\";s:2:\"15\";}s:5:\"owner\";a:2:{s:2:\"ar\";s:2:\"15\";s:9:\"x-default\";s:2:\"15\";}s:16:\"default_langcode\";a:2:{s:2:\"ar\";s:1:\"0\";s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:2:{s:2:\"ar\";s:1:\"1\";s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:2:\"15\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:4:\"node\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636012247.649,1,'entity_field_info node_values','56'),('values:node:16','O:23:\"Drupal\\node\\Entity\\Node\":29:{s:10:\"in_preview\";N;s:9:\"\0*\0values\";a:28:{s:3:\"nid\";a:1:{s:9:\"x-default\";s:2:\"16\";}s:3:\"vid\";a:1:{s:9:\"x-default\";s:2:\"16\";}s:4:\"type\";a:1:{s:9:\"x-default\";s:4:\"blog\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"1ecc7936-5c8e-4b26-84c3-9730d3f9fd74\";}s:8:\"langcode\";a:2:{s:9:\"x-default\";s:2:\"en\";s:2:\"ar\";s:2:\"ar\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:12:\"revision_uid\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:18:\"revision_timestamp\";a:1:{s:9:\"x-default\";s:10:\"1469422676\";}s:12:\"revision_log\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:5:\"title\";a:2:{s:2:\"ar\";s:16:\"Seeing the light\";s:9:\"x-default\";s:16:\"Seeing the light\";}s:3:\"uid\";a:2:{s:2:\"ar\";s:2:\"15\";s:9:\"x-default\";s:2:\"15\";}s:6:\"status\";a:2:{s:2:\"ar\";s:1:\"1\";s:9:\"x-default\";s:1:\"1\";}s:7:\"created\";a:2:{s:2:\"ar\";s:10:\"1473752408\";s:9:\"x-default\";s:10:\"1469422582\";}s:7:\"changed\";a:2:{s:2:\"ar\";s:10:\"1473752443\";s:9:\"x-default\";s:10:\"1473667150\";}s:7:\"promote\";a:2:{s:2:\"ar\";s:1:\"0\";s:9:\"x-default\";s:1:\"0\";}s:6:\"sticky\";a:2:{s:2:\"ar\";s:1:\"0\";s:9:\"x-default\";s:1:\"0\";}s:29:\"revision_translation_affected\";a:2:{s:2:\"ar\";s:1:\"1\";s:9:\"x-default\";s:1:\"1\";}s:16:\"default_langcode\";a:2:{s:2:\"ar\";s:1:\"0\";s:9:\"x-default\";s:1:\"1\";}s:26:\"content_translation_source\";a:2:{s:2:\"ar\";s:2:\"en\";s:9:\"x-default\";N;}s:28:\"content_translation_outdated\";a:2:{s:2:\"ar\";s:1:\"0\";s:9:\"x-default\";N;}s:10:\"node_class\";a:2:{s:2:\"ar\";N;s:9:\"x-default\";N;}s:4:\"body\";a:2:{s:2:\"ar\";a:1:{i:0;a:3:{s:5:\"value\";s:5334:\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\";s:7:\"summary\";s:441:\"Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.\";s:6:\"format\";s:9:\"full_html\";}}s:9:\"x-default\";a:1:{i:0;a:3:{s:5:\"value\";s:5334:\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\";s:7:\"summary\";s:441:\"Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.\";s:6:\"format\";s:9:\"full_html\";}}}s:7:\"comment\";a:2:{s:2:\"ar\";a:1:{i:0;a:1:{s:6:\"status\";s:1:\"2\";}}s:9:\"x-default\";a:1:{i:0;a:6:{s:6:\"status\";s:1:\"2\";s:3:\"cid\";s:1:\"5\";s:22:\"last_comment_timestamp\";s:10:\"1635318898\";s:17:\"last_comment_name\";s:0:\"\";s:16:\"last_comment_uid\";s:2:\"46\";s:13:\"comment_count\";s:1:\"5\";}}}s:11:\"field_image\";a:2:{s:2:\"ar\";a:1:{i:0;a:5:{s:9:\"target_id\";s:3:\"111\";s:3:\"alt\";s:16:\"Seeing the light\";s:5:\"title\";s:16:\"Seeing the light\";s:5:\"width\";s:4:\"1170\";s:6:\"height\";s:3:\"700\";}}s:9:\"x-default\";a:1:{i:0;a:5:{s:9:\"target_id\";s:3:\"111\";s:3:\"alt\";s:16:\"Seeing the light\";s:5:\"title\";s:16:\"Seeing the light\";s:5:\"width\";s:4:\"1170\";s:6:\"height\";s:3:\"700\";}}}s:15:\"field_slideshow\";a:2:{s:2:\"ar\";a:1:{i:0;a:5:{s:9:\"target_id\";s:3:\"129\";s:3:\"alt\";s:16:\"Seeing the light\";s:5:\"title\";s:16:\"Seeing the light\";s:5:\"width\";s:4:\"5511\";s:6:\"height\";s:4:\"3674\";}}s:9:\"x-default\";a:1:{i:0;a:5:{s:9:\"target_id\";s:3:\"129\";s:3:\"alt\";s:16:\"Seeing the light\";s:5:\"title\";s:16:\"Seeing the light\";s:5:\"width\";s:4:\"5511\";s:6:\"height\";s:4:\"3674\";}}}s:10:\"field_tags\";a:2:{s:9:\"x-default\";a:2:{i:0;a:1:{s:9:\"target_id\";s:1:\"2\";}i:1;a:1:{s:9:\"target_id\";s:1:\"1\";}}s:2:\"ar\";a:2:{i:0;a:1:{s:9:\"target_id\";s:1:\"2\";}i:1;a:1:{s:9:\"target_id\";s:1:\"1\";}}}s:11:\"field_video\";a:2:{s:2:\"ar\";a:1:{i:0;a:1:{s:5:\"value\";s:43:\"https://www.youtube.com/watch?v=Wy7uLefgl5A\";}}s:9:\"x-default\";a:1:{i:0;a:1:{s:5:\"value\";s:43:\"https://www.youtube.com/watch?v=Wy7uLefgl5A\";}}}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:2:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}s:2:\"ar\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:4:{s:6:\"bundle\";s:4:\"blog\";s:2:\"id\";s:2:\"16\";s:8:\"revision\";s:2:\"16\";s:4:\"uuid\";s:36:\"1ecc7936-5c8e-4b26-84c3-9730d3f9fd74\";}s:25:\"\0*\0translatableEntityKeys\";a:8:{s:5:\"label\";a:2:{s:2:\"ar\";s:16:\"Seeing the light\";s:9:\"x-default\";s:16:\"Seeing the light\";}s:8:\"langcode\";a:2:{s:9:\"x-default\";s:2:\"en\";s:2:\"ar\";s:2:\"ar\";}s:6:\"status\";a:2:{s:2:\"ar\";s:1:\"1\";s:9:\"x-default\";s:1:\"1\";}s:9:\"published\";a:2:{s:2:\"ar\";s:1:\"1\";s:9:\"x-default\";s:1:\"1\";}s:3:\"uid\";a:2:{s:2:\"ar\";s:2:\"15\";s:9:\"x-default\";s:2:\"15\";}s:5:\"owner\";a:2:{s:2:\"ar\";s:2:\"15\";s:9:\"x-default\";s:2:\"15\";}s:16:\"default_langcode\";a:2:{s:2:\"ar\";s:1:\"0\";s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:2:{s:2:\"ar\";s:1:\"1\";s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:2:\"16\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:4:\"node\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636012247.656,1,'entity_field_info node_values','56'),('values:node:19','O:23:\"Drupal\\node\\Entity\\Node\":29:{s:10:\"in_preview\";N;s:9:\"\0*\0values\";a:23:{s:3:\"nid\";a:1:{s:9:\"x-default\";s:2:\"19\";}s:3:\"vid\";a:1:{s:9:\"x-default\";s:2:\"19\";}s:4:\"type\";a:1:{s:9:\"x-default\";s:9:\"portfolio\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"77b82fff-b4eb-453a-8364-bd392e1ba331\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:12:\"revision_uid\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:18:\"revision_timestamp\";a:1:{s:9:\"x-default\";s:10:\"1469436774\";}s:12:\"revision_log\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:5:\"title\";a:1:{s:9:\"x-default\";s:11:\"Portfolio 1\";}s:3:\"uid\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"status\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"created\";a:1:{s:9:\"x-default\";s:10:\"1469436763\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1472026058\";}s:7:\"promote\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:6:\"sticky\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:26:\"content_translation_source\";a:1:{s:9:\"x-default\";N;}s:28:\"content_translation_outdated\";a:1:{s:9:\"x-default\";N;}s:10:\"node_class\";a:1:{s:9:\"x-default\";N;}s:13:\"field_gallery\";a:1:{s:9:\"x-default\";a:9:{i:0;a:5:{s:9:\"target_id\";s:2:\"80\";s:3:\"alt\";s:26:\"Lorem ipsum dolor sit amet\";s:5:\"title\";s:26:\"Lorem ipsum dolor sit amet\";s:5:\"width\";s:4:\"1100\";s:6:\"height\";s:4:\"1100\";}i:1;a:5:{s:9:\"target_id\";s:2:\"81\";s:3:\"alt\";s:26:\"Lorem ipsum dolor sit amet\";s:5:\"title\";s:26:\"Lorem ipsum dolor sit amet\";s:5:\"width\";s:4:\"1100\";s:6:\"height\";s:4:\"1100\";}i:2;a:5:{s:9:\"target_id\";s:2:\"82\";s:3:\"alt\";s:26:\"Lorem ipsum dolor sit amet\";s:5:\"title\";s:26:\"Lorem ipsum dolor sit amet\";s:5:\"width\";s:4:\"1100\";s:6:\"height\";s:4:\"1100\";}i:3;a:5:{s:9:\"target_id\";s:2:\"83\";s:3:\"alt\";s:26:\"Lorem ipsum dolor sit amet\";s:5:\"title\";s:26:\"Lorem ipsum dolor sit amet\";s:5:\"width\";s:4:\"1100\";s:6:\"height\";s:4:\"1100\";}i:4;a:5:{s:9:\"target_id\";s:2:\"84\";s:3:\"alt\";s:26:\"Lorem ipsum dolor sit amet\";s:5:\"title\";s:26:\"Lorem ipsum dolor sit amet\";s:5:\"width\";s:4:\"1100\";s:6:\"height\";s:4:\"1100\";}i:5;a:5:{s:9:\"target_id\";s:2:\"85\";s:3:\"alt\";s:26:\"Lorem ipsum dolor sit amet\";s:5:\"title\";s:26:\"Lorem ipsum dolor sit amet\";s:5:\"width\";s:4:\"1100\";s:6:\"height\";s:4:\"1100\";}i:6;a:5:{s:9:\"target_id\";s:2:\"86\";s:3:\"alt\";s:26:\"Lorem ipsum dolor sit amet\";s:5:\"title\";s:26:\"Lorem ipsum dolor sit amet\";s:5:\"width\";s:4:\"1100\";s:6:\"height\";s:4:\"1100\";}i:7;a:5:{s:9:\"target_id\";s:2:\"87\";s:3:\"alt\";s:26:\"Lorem ipsum dolor sit amet\";s:5:\"title\";s:26:\"Lorem ipsum dolor sit amet\";s:5:\"width\";s:4:\"1100\";s:6:\"height\";s:4:\"1100\";}i:8;a:5:{s:9:\"target_id\";s:2:\"88\";s:3:\"alt\";s:26:\"Lorem ipsum dolor sit amet\";s:5:\"title\";s:26:\"Lorem ipsum dolor sit amet\";s:5:\"width\";s:4:\"1100\";s:6:\"height\";s:4:\"1100\";}}}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:9:{s:6:\"bundle\";s:9:\"portfolio\";s:2:\"id\";s:2:\"19\";s:8:\"revision\";s:2:\"19\";s:5:\"label\";s:11:\"Portfolio 1\";s:4:\"uuid\";s:36:\"77b82fff-b4eb-453a-8364-bd392e1ba331\";s:6:\"status\";s:1:\"1\";s:9:\"published\";s:1:\"1\";s:3:\"uid\";s:1:\"1\";s:5:\"owner\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:3:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:2:\"19\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:4:\"node\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636012250.218,1,'entity_field_info node_values','56'),('values:node:20','O:23:\"Drupal\\node\\Entity\\Node\":29:{s:10:\"in_preview\";N;s:9:\"\0*\0values\";a:23:{s:3:\"nid\";a:1:{s:9:\"x-default\";s:2:\"20\";}s:3:\"vid\";a:1:{s:9:\"x-default\";s:2:\"20\";}s:4:\"type\";a:1:{s:9:\"x-default\";s:9:\"portfolio\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"c056ffb9-16d9-4fc1-be79-72053798e73e\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:12:\"revision_uid\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:18:\"revision_timestamp\";a:1:{s:9:\"x-default\";s:10:\"1469437759\";}s:12:\"revision_log\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:5:\"title\";a:1:{s:9:\"x-default\";s:11:\"Portfolio 2\";}s:3:\"uid\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"status\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"created\";a:1:{s:9:\"x-default\";s:10:\"1469437675\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1472026306\";}s:7:\"promote\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:6:\"sticky\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:26:\"content_translation_source\";a:1:{s:9:\"x-default\";N;}s:28:\"content_translation_outdated\";a:1:{s:9:\"x-default\";N;}s:10:\"node_class\";a:1:{s:9:\"x-default\";N;}s:13:\"field_gallery\";a:1:{s:9:\"x-default\";a:6:{i:0;a:5:{s:9:\"target_id\";s:2:\"94\";s:3:\"alt\";s:23:\"Ut enim ad minim veniam\";s:5:\"title\";s:23:\"Ut enim ad minim veniam\";s:5:\"width\";s:4:\"1100\";s:6:\"height\";s:4:\"1100\";}i:1;a:5:{s:9:\"target_id\";s:2:\"95\";s:3:\"alt\";s:23:\"Ut enim ad minim veniam\";s:5:\"title\";s:23:\"Ut enim ad minim veniam\";s:5:\"width\";s:4:\"1100\";s:6:\"height\";s:4:\"1100\";}i:2;a:5:{s:9:\"target_id\";s:2:\"96\";s:3:\"alt\";s:23:\"Ut enim ad minim veniam\";s:5:\"title\";s:23:\"Ut enim ad minim veniam\";s:5:\"width\";s:4:\"1100\";s:6:\"height\";s:4:\"1100\";}i:3;a:5:{s:9:\"target_id\";s:2:\"97\";s:3:\"alt\";s:23:\"Ut enim ad minim veniam\";s:5:\"title\";s:23:\"Ut enim ad minim veniam\";s:5:\"width\";s:4:\"1100\";s:6:\"height\";s:4:\"1100\";}i:4;a:5:{s:9:\"target_id\";s:2:\"98\";s:3:\"alt\";s:23:\"Ut enim ad minim veniam\";s:5:\"title\";s:23:\"Ut enim ad minim veniam\";s:5:\"width\";s:4:\"1100\";s:6:\"height\";s:4:\"1100\";}i:5;a:5:{s:9:\"target_id\";s:2:\"99\";s:3:\"alt\";s:23:\"Ut enim ad minim veniam\";s:5:\"title\";s:23:\"Ut enim ad minim veniam\";s:5:\"width\";s:4:\"1100\";s:6:\"height\";s:4:\"1100\";}}}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:9:{s:6:\"bundle\";s:9:\"portfolio\";s:2:\"id\";s:2:\"20\";s:8:\"revision\";s:2:\"20\";s:5:\"label\";s:11:\"Portfolio 2\";s:4:\"uuid\";s:36:\"c056ffb9-16d9-4fc1-be79-72053798e73e\";s:6:\"status\";s:1:\"1\";s:9:\"published\";s:1:\"1\";s:3:\"uid\";s:1:\"1\";s:5:\"owner\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:3:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:2:\"20\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:4:\"node\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636012250.228,1,'entity_field_info node_values','56'),('values:node:30','O:23:\"Drupal\\node\\Entity\\Node\":29:{s:10:\"in_preview\";N;s:9:\"\0*\0values\";a:25:{s:3:\"nid\";a:1:{s:9:\"x-default\";s:2:\"30\";}s:3:\"vid\";a:1:{s:9:\"x-default\";s:2:\"30\";}s:4:\"type\";a:1:{s:9:\"x-default\";s:7:\"article\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"7db6d740-2e82-43c7-9951-c2366ce1b2d8\";}s:8:\"langcode\";a:2:{s:9:\"x-default\";s:2:\"en\";s:2:\"ar\";s:2:\"ar\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:12:\"revision_uid\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:18:\"revision_timestamp\";a:1:{s:9:\"x-default\";s:10:\"1470382528\";}s:12:\"revision_log\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:5:\"title\";a:2:{s:2:\"ar\";s:18:\"Our great services\";s:9:\"x-default\";s:18:\"Our great services\";}s:3:\"uid\";a:2:{s:2:\"ar\";s:1:\"1\";s:9:\"x-default\";s:1:\"1\";}s:6:\"status\";a:2:{s:2:\"ar\";s:1:\"1\";s:9:\"x-default\";s:1:\"1\";}s:7:\"created\";a:2:{s:2:\"ar\";s:10:\"1472107827\";s:9:\"x-default\";s:10:\"1470382277\";}s:7:\"changed\";a:2:{s:2:\"ar\";s:10:\"1472107838\";s:9:\"x-default\";s:10:\"1473155467\";}s:7:\"promote\";a:2:{s:2:\"ar\";s:1:\"1\";s:9:\"x-default\";s:1:\"1\";}s:6:\"sticky\";a:2:{s:2:\"ar\";s:1:\"0\";s:9:\"x-default\";s:1:\"0\";}s:29:\"revision_translation_affected\";a:2:{s:2:\"ar\";s:1:\"1\";s:9:\"x-default\";s:1:\"1\";}s:16:\"default_langcode\";a:2:{s:2:\"ar\";s:1:\"0\";s:9:\"x-default\";s:1:\"1\";}s:26:\"content_translation_source\";a:2:{s:2:\"ar\";s:2:\"en\";s:9:\"x-default\";N;}s:28:\"content_translation_outdated\";a:2:{s:2:\"ar\";s:1:\"0\";s:9:\"x-default\";s:1:\"0\";}s:10:\"node_class\";a:2:{s:2:\"ar\";s:15:\"services-detail\";s:9:\"x-default\";s:15:\"services-detail\";}s:4:\"body\";a:2:{s:2:\"ar\";a:1:{i:0;a:3:{s:5:\"value\";s:2662:\"<p><strong>WHY DRUPAL?</strong></p>\r\n\r\n<p>Drupal is well-known for its flexibility, extend ability, and security. Whenever you think about customizing, having some specific functions, or doing any innovative things with your website, Drupal is the first and foremost CMS that enters our mind.</p>\r\n\r\n<p><strong>OUR DRUPAL DEVELOPMENT SERVICES INCLUDE:</strong></p>\r\n\r\n<ul>\r\n	<li><strong>Drupal Website Development</strong></li>\r\n</ul>\r\n\r\n<p class=\"services-info\">Have a website to build? We can help create a full function website starting from an idea. Based on our project management process, we\'ll analyze and discuss with you to bring the best solution. This is followed by designing, developing, testing, and deploying your Drupal site.</p>\r\n\r\n<ul>\r\n	<li><strong>Drupal CMS Customization</strong></li>\r\n</ul>\r\n\r\n<p class=\"services-info\">We are happy to do any changes to your existing features, or extending your CMS’ functionality to a higher level that suits your purpose.</p>\r\n\r\n<ul>\r\n	<li><strong>Drupal Theming (Design Development)</strong></li>\r\n</ul>\r\n\r\n<p class=\"services-info\">Drupal Theming has been our strength. We have years of in-depth experience with theme design development. If you need a brand-new template that embraces the attractiv design feel and integrates up-to-date technologies, leave it for our team of experienced designers, front-ends, and back-ends</p>\r\n\r\n<ul>\r\n	<li><strong>Drupal Module Development</strong></li>\r\n</ul>\r\n\r\n<p class=\"services-info\">We help you develop or customize an existing module that fits your website\'s direction..</p>\r\n\r\n<ul>\r\n	<li><strong>Drupal SEO assistance</strong></li>\r\n</ul>\r\n\r\n<p class=\"services-info\">Having a website SEO friendly to be able to get to the top of search engines is the goal of most website administrators. We help get your website well optimized, and fix SEO issues that affects your website ranking.</p>\r\n\r\n<ul>\r\n	<li><strong>Drupal Maintenance Support</strong></li>\r\n</ul>\r\n\r\n<p class=\"services-info\">Maintenance should never been neglected. We help you with this job, checking all the important matters to make sure you Drupal projects up to best status.</p>\r\n\r\n<ul>\r\n	<li><strong>Drupal Migration Upgrades</strong></li>\r\n</ul>\r\n\r\n<p class=\"services-info\">We have experience upgrading your Drupal to the newer version, or move from another CMS to Drupal</p>\r\n\r\n<p><strong>WHAT DRUPAL WEBSITES WE CAN DO:</strong></p>\r\n\r\n<ul class=\"menu-services-info\">\r\n	<li>Corporate Websites or Blogs</li>\r\n	<li>Ecommerce Websites</li>\r\n	<li>Social Networking sites</li>\r\n	<li>Multi-media Audio Video Portals</li>\r\n	<li>Magazine News site</li>\r\n	<li>Personal Blog Websites</li>\r\n</ul>\r\n\";s:7:\"summary\";s:0:\"\";s:6:\"format\";s:9:\"full_html\";}}s:9:\"x-default\";a:1:{i:0;a:3:{s:5:\"value\";s:2690:\"<p><strong>WHY DRUPAL?</strong></p>\r\n\r\n<p>Drupal is well-known for its flexibility, extend ability, and security. Whenever you think about customizing, having some specific functions, or doing any innovative things with your website, Drupal is the first and foremost CMS that enters our mind.</p>\r\n\r\n<p><strong>OUR DRUPAL DEVELOPMENT SERVICES INCLUDE:</strong></p>\r\n\r\n<ul>\r\n	<li><strong>Drupal Website Development</strong></li>\r\n</ul>\r\n\r\n<p class=\"services-info\">Have a website to build? We can help create a full function website starting from an idea. Based on our project management process, we\'ll analyze and discuss with you to bring the best solution. This is followed by designing, developing, testing, and deploying your Drupal site.</p>\r\n\r\n<ul>\r\n	<li><strong>Drupal CMS Customization</strong></li>\r\n</ul>\r\n\r\n<p class=\"services-info\">We are happy to do any changes to your existing features, or extending your CMS’ functionality to a higher level that suits your purpose.</p>\r\n\r\n<ul>\r\n	<li><strong>Drupal Theming (Design Development)</strong></li>\r\n</ul>\r\n\r\n<p class=\"services-info\">Drupal Theming has been our strength. We have years of in-depth experience with theme design development. If you need a brand-new template that embraces the attractiv design feel and integrates up-to-date technologies, leave it for our team of experienced designers, front-ends, and back-ends</p>\r\n\r\n<ul>\r\n	<li><strong>Drupal Module Development</strong></li>\r\n</ul>\r\n\r\n<p class=\"services-info\">We help you develop or customize an existing module that fits your website\'s direction..</p>\r\n\r\n<ul>\r\n	<li><strong>Drupal SEO assistance</strong></li>\r\n</ul>\r\n\r\n<p class=\"services-info\">Having a website SEO friendly to be able to get to the top of search engines is the goal of most website administrators. We help get your website well optimized, and fix SEO issues that affects your website ranking.</p>\r\n\r\n<ul>\r\n	<li><strong>Drupal Maintenance Support</strong></li>\r\n</ul>\r\n\r\n<p class=\"services-info\">Maintenance should never been neglected. We help you with this job, checking all the important matters to make sure you Drupal projects up to best status.</p>\r\n\r\n<ul>\r\n	<li><strong>Drupal Migration Upgrades</strong></li>\r\n</ul>\r\n\r\n<p class=\"services-info\">We have experience upgrading your Drupal to the newer version, or move from another CMS to Drupal</p>\r\n\r\n<p class=\"services-info-inner\"><strong>WHAT DRUPAL WEBSITES WE CAN DO:</strong></p>\r\n\r\n<ul class=\"menu-services-info\">\r\n	<li>Corporate Websites or Blogs</li>\r\n	<li>Ecommerce Websites</li>\r\n	<li>Social Networking sites</li>\r\n	<li>Multi-media Audio Video Portals</li>\r\n	<li>Magazine News site</li>\r\n	<li>Personal Blog Websites</li>\r\n</ul>\r\n\";s:7:\"summary\";s:0:\"\";s:6:\"format\";s:9:\"full_html\";}}}s:7:\"comment\";a:2:{s:2:\"ar\";a:1:{i:0;a:1:{s:6:\"status\";s:1:\"2\";}}s:9:\"x-default\";a:1:{i:0;a:6:{s:6:\"status\";s:1:\"2\";s:3:\"cid\";s:1:\"0\";s:22:\"last_comment_timestamp\";s:10:\"1470382528\";s:17:\"last_comment_name\";N;s:16:\"last_comment_uid\";s:1:\"1\";s:13:\"comment_count\";s:1:\"0\";}}}s:8:\"field_su\";a:2:{s:2:\"ar\";a:1:{i:0;a:2:{s:5:\"value\";s:124:\"<p>“It is a long established fact that a reader will be distracted by the readable content of a page when looking”</p>\r\n\";s:6:\"format\";s:9:\"full_html\";}}s:9:\"x-default\";a:1:{i:0;a:2:{s:5:\"value\";s:124:\"<p>“It is a long established fact that a reader will be distracted by the readable content of a page when looking”</p>\r\n\";s:6:\"format\";s:9:\"full_html\";}}}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:2:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}s:2:\"ar\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:4:{s:6:\"bundle\";s:7:\"article\";s:2:\"id\";s:2:\"30\";s:8:\"revision\";s:2:\"30\";s:4:\"uuid\";s:36:\"7db6d740-2e82-43c7-9951-c2366ce1b2d8\";}s:25:\"\0*\0translatableEntityKeys\";a:8:{s:5:\"label\";a:2:{s:2:\"ar\";s:18:\"Our great services\";s:9:\"x-default\";s:18:\"Our great services\";}s:8:\"langcode\";a:2:{s:9:\"x-default\";s:2:\"en\";s:2:\"ar\";s:2:\"ar\";}s:6:\"status\";a:2:{s:2:\"ar\";s:1:\"1\";s:9:\"x-default\";s:1:\"1\";}s:9:\"published\";a:2:{s:2:\"ar\";s:1:\"1\";s:9:\"x-default\";s:1:\"1\";}s:3:\"uid\";a:2:{s:2:\"ar\";s:1:\"1\";s:9:\"x-default\";s:1:\"1\";}s:5:\"owner\";a:2:{s:2:\"ar\";s:1:\"1\";s:9:\"x-default\";s:1:\"1\";}s:16:\"default_langcode\";a:2:{s:2:\"ar\";s:1:\"0\";s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:2:{s:2:\"ar\";s:1:\"1\";s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:2:\"30\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:4:\"node\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636011228.249,1,'entity_field_info node_values','56'),('values:node:4','O:23:\"Drupal\\node\\Entity\\Node\":29:{s:10:\"in_preview\";N;s:9:\"\0*\0values\";a:27:{s:3:\"nid\";a:1:{s:9:\"x-default\";s:1:\"4\";}s:3:\"vid\";a:1:{s:9:\"x-default\";s:1:\"4\";}s:4:\"type\";a:1:{s:9:\"x-default\";s:7:\"article\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"46f5865c-0eeb-4389-80a2-bb67d8272a6f\";}s:8:\"langcode\";a:2:{s:9:\"x-default\";s:2:\"en\";s:2:\"ar\";s:2:\"ar\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:12:\"revision_uid\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:18:\"revision_timestamp\";a:1:{s:9:\"x-default\";s:10:\"1468922440\";}s:12:\"revision_log\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:5:\"title\";a:2:{s:2:\"ar\";s:20:\"Welcome to Luxestate\";s:9:\"x-default\";s:20:\"Welcome to Luxestate\";}s:3:\"uid\";a:2:{s:2:\"ar\";s:1:\"1\";s:9:\"x-default\";s:1:\"1\";}s:6:\"status\";a:2:{s:2:\"ar\";s:1:\"1\";s:9:\"x-default\";s:1:\"1\";}s:7:\"created\";a:2:{s:2:\"ar\";s:10:\"1472107740\";s:9:\"x-default\";s:10:\"1468922276\";}s:7:\"changed\";a:2:{s:2:\"ar\";s:10:\"1473388242\";s:9:\"x-default\";s:10:\"1473051680\";}s:7:\"promote\";a:2:{s:2:\"ar\";s:1:\"1\";s:9:\"x-default\";s:1:\"1\";}s:6:\"sticky\";a:2:{s:2:\"ar\";s:1:\"0\";s:9:\"x-default\";s:1:\"0\";}s:29:\"revision_translation_affected\";a:2:{s:2:\"ar\";s:1:\"1\";s:9:\"x-default\";s:1:\"1\";}s:16:\"default_langcode\";a:2:{s:2:\"ar\";s:1:\"0\";s:9:\"x-default\";s:1:\"1\";}s:26:\"content_translation_source\";a:2:{s:2:\"ar\";s:2:\"en\";s:9:\"x-default\";N;}s:28:\"content_translation_outdated\";a:2:{s:2:\"ar\";s:1:\"0\";s:9:\"x-default\";s:1:\"0\";}s:10:\"node_class\";a:2:{s:2:\"ar\";s:15:\"about-us-detail\";s:9:\"x-default\";s:15:\"about-us-detail\";}s:4:\"body\";a:2:{s:2:\"ar\";a:1:{i:0;a:3:{s:5:\"value\";s:1622:\"<h1>What is Lorem Ipsum?</h1>\r\n\r\n<p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry\'s standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.</p>\r\n\r\n<h1>Where can I get some?</h1>\r\n\r\n<p>There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which don\'t look even slightly believable. If you are going to use a passage of Lorem Ipsum, you need to be sure there isn\'t anything embarrassing hidden in the middle of text. All the Lorem Ipsum generators on the Internet tend to repeat predefined chunks as necessary, making this the first true generator on the Internet. It uses a dictionary of over 200 Latin words, combined with a handful of model sentence structures, to generate Lorem Ipsum which looks reasonable. The generated Lorem Ipsum is therefore always free from repetition, injected humour, or non-characteristic words etc.</p>\r\n\r\n<h1>Where does it come from?</h1>\r\n\r\n<p>Contrary to popular belief, Lorem Ipsum is not simply random text. It has roots in a piece of classical Latin literature from 45 BC, making it over 2000 years old.</p>\r\n\";s:7:\"summary\";s:0:\"\";s:6:\"format\";s:9:\"full_html\";}}s:9:\"x-default\";a:1:{i:0;a:3:{s:5:\"value\";s:1622:\"<h1>What is Lorem Ipsum?</h1>\r\n\r\n<p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry\'s standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.</p>\r\n\r\n<h1>Where can I get some?</h1>\r\n\r\n<p>There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which don\'t look even slightly believable. If you are going to use a passage of Lorem Ipsum, you need to be sure there isn\'t anything embarrassing hidden in the middle of text. All the Lorem Ipsum generators on the Internet tend to repeat predefined chunks as necessary, making this the first true generator on the Internet. It uses a dictionary of over 200 Latin words, combined with a handful of model sentence structures, to generate Lorem Ipsum which looks reasonable. The generated Lorem Ipsum is therefore always free from repetition, injected humour, or non-characteristic words etc.</p>\r\n\r\n<h1>Where does it come from?</h1>\r\n\r\n<p>Contrary to popular belief, Lorem Ipsum is not simply random text. It has roots in a piece of classical Latin literature from 45 BC, making it over 2000 years old.</p>\r\n\";s:7:\"summary\";s:0:\"\";s:6:\"format\";s:9:\"full_html\";}}}s:7:\"comment\";a:2:{s:2:\"ar\";a:1:{i:0;a:1:{s:6:\"status\";s:1:\"1\";}}s:9:\"x-default\";a:1:{i:0;a:6:{s:6:\"status\";s:1:\"1\";s:3:\"cid\";s:1:\"0\";s:22:\"last_comment_timestamp\";s:10:\"1468922474\";s:17:\"last_comment_name\";N;s:16:\"last_comment_uid\";s:1:\"1\";s:13:\"comment_count\";s:1:\"0\";}}}s:12:\"field_banner\";a:2:{s:2:\"ar\";a:1:{i:0;a:5:{s:9:\"target_id\";s:2:\"36\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";s:4:\"1920\";s:6:\"height\";s:3:\"685\";}}s:9:\"x-default\";a:1:{i:0;a:5:{s:9:\"target_id\";s:2:\"36\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";s:4:\"1920\";s:6:\"height\";s:3:\"685\";}}}s:11:\"field_image\";a:2:{s:2:\"ar\";a:1:{i:0;a:5:{s:9:\"target_id\";s:2:\"68\";s:3:\"alt\";s:20:\"Welcome to Luxestate\";s:5:\"title\";s:0:\"\";s:5:\"width\";s:3:\"480\";s:6:\"height\";s:3:\"858\";}}s:9:\"x-default\";a:1:{i:0;a:5:{s:9:\"target_id\";s:2:\"68\";s:3:\"alt\";s:20:\"Welcome to Luxestate\";s:5:\"title\";s:0:\"\";s:5:\"width\";s:3:\"480\";s:6:\"height\";s:3:\"858\";}}}s:8:\"field_su\";a:2:{s:2:\"ar\";a:1:{i:0;a:2:{s:5:\"value\";s:623:\"<p>“It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout. The point of using Lorem Ipsum is that it has a more-or-less normal distribution of letters, as opposed to using \'Content here, content here\', making it look like readable English (injected humour and the like).</p>\r\n\r\n<p>There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which don\'t look even slightly believable.</p>\r\n\r\n<h4>AMANDA CLARKE</h4>\r\n<h5>Creative Director</h5><br />\r\n\r\n\";s:6:\"format\";s:9:\"full_html\";}}s:9:\"x-default\";a:1:{i:0;a:2:{s:5:\"value\";s:617:\"<p>“It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout. The point of using Lorem Ipsum is that it has a more-or-less normal distribution of letters, as opposed to using \'Content here, content here\', making it look like readable English (injected humour and the like).</p>\r\n\r\n<p>There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which don\'t look even slightly believable.</p>\r\n\r\n<h4>AMANDA CLARKE</h4>\r\n\r\n<h5>Creative Director</h5>\r\n\";s:6:\"format\";s:9:\"full_html\";}}}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:2:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}s:2:\"ar\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:4:{s:6:\"bundle\";s:7:\"article\";s:2:\"id\";s:1:\"4\";s:8:\"revision\";s:1:\"4\";s:4:\"uuid\";s:36:\"46f5865c-0eeb-4389-80a2-bb67d8272a6f\";}s:25:\"\0*\0translatableEntityKeys\";a:8:{s:5:\"label\";a:2:{s:2:\"ar\";s:20:\"Welcome to Luxestate\";s:9:\"x-default\";s:20:\"Welcome to Luxestate\";}s:8:\"langcode\";a:2:{s:9:\"x-default\";s:2:\"en\";s:2:\"ar\";s:2:\"ar\";}s:6:\"status\";a:2:{s:2:\"ar\";s:1:\"1\";s:9:\"x-default\";s:1:\"1\";}s:9:\"published\";a:2:{s:2:\"ar\";s:1:\"1\";s:9:\"x-default\";s:1:\"1\";}s:3:\"uid\";a:2:{s:2:\"ar\";s:1:\"1\";s:9:\"x-default\";s:1:\"1\";}s:5:\"owner\";a:2:{s:2:\"ar\";s:1:\"1\";s:9:\"x-default\";s:1:\"1\";}s:16:\"default_langcode\";a:2:{s:2:\"ar\";s:1:\"0\";s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:2:{s:2:\"ar\";s:1:\"1\";s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:1:\"4\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:4:\"node\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636011228.244,1,'entity_field_info node_values','56'),('values:node:43','O:23:\"Drupal\\node\\Entity\\Node\":29:{s:10:\"in_preview\";N;s:9:\"\0*\0values\";a:25:{s:3:\"nid\";a:1:{s:9:\"x-default\";s:2:\"43\";}s:3:\"vid\";a:1:{s:9:\"x-default\";s:2:\"43\";}s:4:\"type\";a:1:{s:9:\"x-default\";s:8:\"partners\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"e4413f42-4688-4dd7-aa82-5eaf3ed527b6\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:12:\"revision_uid\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:18:\"revision_timestamp\";a:1:{s:9:\"x-default\";s:10:\"1472616154\";}s:12:\"revision_log\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:5:\"title\";a:1:{s:9:\"x-default\";s:7:\"Weebpal\";}s:3:\"uid\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"status\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"created\";a:1:{s:9:\"x-default\";s:10:\"1472616102\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1472616176\";}s:7:\"promote\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:6:\"sticky\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:26:\"content_translation_source\";a:1:{s:9:\"x-default\";s:3:\"und\";}s:28:\"content_translation_outdated\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:10:\"node_class\";a:1:{s:9:\"x-default\";N;}s:4:\"body\";a:1:{s:9:\"x-default\";a:1:{i:0;a:3:{s:5:\"value\";s:245:\"<p><strong>WeebPal</strong>&nbsp;is an experienced passionate team of developers, designers, QCs, writers, and artists.&nbsp;<br />\r\nWe deliver premium Drupal themes, build user-friendly websites that get traffic, convert, and build brand.</p>\r\n\";s:7:\"summary\";s:0:\"\";s:6:\"format\";s:10:\"basic_html\";}}}s:10:\"field_link\";a:1:{s:9:\"x-default\";a:1:{i:0;a:3:{s:3:\"uri\";s:19:\"http://weebpal.com/\";s:5:\"title\";s:7:\"Weebpal\";s:7:\"options\";a:0:{}}}}s:14:\"field_partners\";a:1:{s:9:\"x-default\";a:1:{i:0;a:5:{s:9:\"target_id\";s:3:\"105\";s:3:\"alt\";s:7:\"Weebpal\";s:5:\"title\";s:7:\"Weebpal\";s:5:\"width\";s:3:\"380\";s:6:\"height\";s:3:\"224\";}}}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:9:{s:6:\"bundle\";s:8:\"partners\";s:2:\"id\";s:2:\"43\";s:8:\"revision\";s:2:\"43\";s:5:\"label\";s:7:\"Weebpal\";s:4:\"uuid\";s:36:\"e4413f42-4688-4dd7-aa82-5eaf3ed527b6\";s:6:\"status\";s:1:\"1\";s:9:\"published\";s:1:\"1\";s:3:\"uid\";s:1:\"1\";s:5:\"owner\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:3:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:2:\"43\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:4:\"node\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636012250.793,1,'entity_field_info node_values','56'),('values:node:44','O:23:\"Drupal\\node\\Entity\\Node\":29:{s:10:\"in_preview\";N;s:9:\"\0*\0values\";a:25:{s:3:\"nid\";a:1:{s:9:\"x-default\";s:2:\"44\";}s:3:\"vid\";a:1:{s:9:\"x-default\";s:2:\"44\";}s:4:\"type\";a:1:{s:9:\"x-default\";s:8:\"partners\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"7b12c9a3-a942-4bc7-b5ad-9acb28a0d82f\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:12:\"revision_uid\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:18:\"revision_timestamp\";a:1:{s:9:\"x-default\";s:10:\"1472617084\";}s:12:\"revision_log\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:5:\"title\";a:1:{s:9:\"x-default\";s:8:\"Business\";}s:3:\"uid\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"status\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"created\";a:1:{s:9:\"x-default\";s:10:\"1472617021\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1472618107\";}s:7:\"promote\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:6:\"sticky\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:26:\"content_translation_source\";a:1:{s:9:\"x-default\";s:3:\"und\";}s:28:\"content_translation_outdated\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:10:\"node_class\";a:1:{s:9:\"x-default\";N;}s:4:\"body\";a:1:{s:9:\"x-default\";a:1:{i:0;a:3:{s:5:\"value\";s:168:\"<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error.</p>\r\n\";s:7:\"summary\";s:0:\"\";s:6:\"format\";s:10:\"basic_html\";}}}s:10:\"field_link\";a:1:{s:9:\"x-default\";a:1:{i:0;a:3:{s:3:\"uri\";s:41:\"http://demo.weebpal.com/drupal8/business/\";s:5:\"title\";s:8:\"Business\";s:7:\"options\";a:0:{}}}}s:14:\"field_partners\";a:1:{s:9:\"x-default\";a:1:{i:0;a:5:{s:9:\"target_id\";s:3:\"109\";s:3:\"alt\";s:8:\"Business\";s:5:\"title\";s:8:\"Business\";s:5:\"width\";s:3:\"380\";s:6:\"height\";s:3:\"224\";}}}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:9:{s:6:\"bundle\";s:8:\"partners\";s:2:\"id\";s:2:\"44\";s:8:\"revision\";s:2:\"44\";s:5:\"label\";s:8:\"Business\";s:4:\"uuid\";s:36:\"7b12c9a3-a942-4bc7-b5ad-9acb28a0d82f\";s:6:\"status\";s:1:\"1\";s:9:\"published\";s:1:\"1\";s:3:\"uid\";s:1:\"1\";s:5:\"owner\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:3:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:2:\"44\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:4:\"node\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636012250.798,1,'entity_field_info node_values','56'),('values:node:5','O:23:\"Drupal\\node\\Entity\\Node\":29:{s:10:\"in_preview\";N;s:9:\"\0*\0values\";a:25:{s:3:\"nid\";a:1:{s:9:\"x-default\";s:1:\"5\";}s:3:\"vid\";a:1:{s:9:\"x-default\";s:1:\"5\";}s:4:\"type\";a:1:{s:9:\"x-default\";s:8:\"partners\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"4ab3d2e7-1f25-4fba-a17d-7cb5a5b6f206\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:12:\"revision_uid\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:18:\"revision_timestamp\";a:1:{s:9:\"x-default\";s:10:\"1468923356\";}s:12:\"revision_log\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:5:\"title\";a:1:{s:9:\"x-default\";s:6:\"Drupal\";}s:3:\"uid\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"status\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"created\";a:1:{s:9:\"x-default\";s:10:\"1468923170\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1472099812\";}s:7:\"promote\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:6:\"sticky\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:26:\"content_translation_source\";a:1:{s:9:\"x-default\";N;}s:28:\"content_translation_outdated\";a:1:{s:9:\"x-default\";N;}s:10:\"node_class\";a:1:{s:9:\"x-default\";N;}s:4:\"body\";a:1:{s:9:\"x-default\";a:1:{i:0;a:3:{s:5:\"value\";s:252:\"<p>Welcome to a new generation of Drupal. It’s a digital experience platform that knows your web content must reach more than just websites. Built so you can deliver the right content to the right person at the right time - on the right device.</p>\r\n\";s:7:\"summary\";s:0:\"\";s:6:\"format\";s:10:\"basic_html\";}}}s:10:\"field_link\";a:1:{s:9:\"x-default\";a:1:{i:0;a:3:{s:3:\"uri\";s:23:\"https://www.drupal.com/\";s:5:\"title\";s:6:\"Drupal\";s:7:\"options\";a:0:{}}}}s:14:\"field_partners\";a:1:{s:9:\"x-default\";a:1:{i:0;a:5:{s:9:\"target_id\";s:1:\"2\";s:3:\"alt\";s:6:\"Drupal\";s:5:\"title\";s:6:\"Drupal\";s:5:\"width\";s:3:\"380\";s:6:\"height\";s:3:\"224\";}}}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:9:{s:6:\"bundle\";s:8:\"partners\";s:2:\"id\";s:1:\"5\";s:8:\"revision\";s:1:\"5\";s:5:\"label\";s:6:\"Drupal\";s:4:\"uuid\";s:36:\"4ab3d2e7-1f25-4fba-a17d-7cb5a5b6f206\";s:6:\"status\";s:1:\"1\";s:9:\"published\";s:1:\"1\";s:3:\"uid\";s:1:\"1\";s:5:\"owner\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:3:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:1:\"5\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:4:\"node\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636012250.766,1,'entity_field_info node_values','56'),('values:node:7','O:23:\"Drupal\\node\\Entity\\Node\":29:{s:10:\"in_preview\";N;s:9:\"\0*\0values\";a:25:{s:3:\"nid\";a:1:{s:9:\"x-default\";s:1:\"7\";}s:3:\"vid\";a:1:{s:9:\"x-default\";s:1:\"7\";}s:4:\"type\";a:1:{s:9:\"x-default\";s:8:\"partners\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"89144ba3-6ee2-418d-9691-f017e0893a02\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:12:\"revision_uid\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:18:\"revision_timestamp\";a:1:{s:9:\"x-default\";s:10:\"1468985454\";}s:12:\"revision_log\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:5:\"title\";a:1:{s:9:\"x-default\";s:9:\"Bootstrap\";}s:3:\"uid\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"status\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"created\";a:1:{s:9:\"x-default\";s:10:\"1468985402\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1472099825\";}s:7:\"promote\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:6:\"sticky\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:26:\"content_translation_source\";a:1:{s:9:\"x-default\";N;}s:28:\"content_translation_outdated\";a:1:{s:9:\"x-default\";N;}s:10:\"node_class\";a:1:{s:9:\"x-default\";N;}s:4:\"body\";a:1:{s:9:\"x-default\";a:1:{i:0;a:3:{s:5:\"value\";s:127:\"<p>Bootstrap is the most popular HTML, CSS, and JS framework for developing responsive, mobile first projects on the web.</p>\r\n\";s:7:\"summary\";s:0:\"\";s:6:\"format\";s:10:\"basic_html\";}}}s:10:\"field_link\";a:1:{s:9:\"x-default\";a:1:{i:0;a:3:{s:3:\"uri\";s:24:\"http://getbootstrap.com/\";s:5:\"title\";s:9:\"Bootstrap\";s:7:\"options\";a:0:{}}}}s:14:\"field_partners\";a:1:{s:9:\"x-default\";a:1:{i:0;a:5:{s:9:\"target_id\";s:1:\"4\";s:3:\"alt\";s:9:\"Bootstrap\";s:5:\"title\";s:9:\"Bootstrap\";s:5:\"width\";s:3:\"380\";s:6:\"height\";s:3:\"224\";}}}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:9:{s:6:\"bundle\";s:8:\"partners\";s:2:\"id\";s:1:\"7\";s:8:\"revision\";s:1:\"7\";s:5:\"label\";s:9:\"Bootstrap\";s:4:\"uuid\";s:36:\"89144ba3-6ee2-418d-9691-f017e0893a02\";s:6:\"status\";s:1:\"1\";s:9:\"published\";s:1:\"1\";s:3:\"uid\";s:1:\"1\";s:5:\"owner\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:3:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:1:\"7\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:4:\"node\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636012250.777,1,'entity_field_info node_values','56'),('values:node:9','O:23:\"Drupal\\node\\Entity\\Node\":29:{s:10:\"in_preview\";N;s:9:\"\0*\0values\";a:24:{s:3:\"nid\";a:1:{s:9:\"x-default\";s:1:\"9\";}s:3:\"vid\";a:1:{s:9:\"x-default\";s:1:\"9\";}s:4:\"type\";a:1:{s:9:\"x-default\";s:8:\"partners\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"6b27066c-8b14-40a3-abba-57d243671525\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:12:\"revision_uid\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:18:\"revision_timestamp\";a:1:{s:9:\"x-default\";s:10:\"1468985990\";}s:12:\"revision_log\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:5:\"title\";a:1:{s:9:\"x-default\";s:7:\"Youtube\";}s:3:\"uid\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"status\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:7:\"created\";a:1:{s:9:\"x-default\";s:10:\"1468985961\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1472099830\";}s:7:\"promote\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:6:\"sticky\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:26:\"content_translation_source\";a:1:{s:9:\"x-default\";N;}s:28:\"content_translation_outdated\";a:1:{s:9:\"x-default\";N;}s:10:\"node_class\";a:1:{s:9:\"x-default\";N;}s:10:\"field_link\";a:1:{s:9:\"x-default\";a:1:{i:0;a:3:{s:3:\"uri\";s:24:\"https://www.youtube.com/\";s:5:\"title\";s:7:\"Youtube\";s:7:\"options\";a:0:{}}}}s:14:\"field_partners\";a:1:{s:9:\"x-default\";a:1:{i:0;a:5:{s:9:\"target_id\";s:1:\"5\";s:3:\"alt\";s:7:\"Youtube\";s:5:\"title\";s:7:\"Youtube\";s:5:\"width\";s:3:\"380\";s:6:\"height\";s:3:\"224\";}}}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:9:{s:6:\"bundle\";s:8:\"partners\";s:2:\"id\";s:1:\"9\";s:8:\"revision\";s:1:\"9\";s:5:\"label\";s:7:\"Youtube\";s:4:\"uuid\";s:36:\"6b27066c-8b14-40a3-abba-57d243671525\";s:6:\"status\";s:1:\"1\";s:9:\"published\";s:1:\"1\";s:3:\"uid\";s:1:\"1\";s:5:\"owner\";s:1:\"1\";}s:25:\"\0*\0translatableEntityKeys\";a:3:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:1:\"9\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:4:\"node\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636012250.782,1,'entity_field_info node_values','56'),('values:shortcut:1','O:31:\"Drupal\\shortcut\\Entity\\Shortcut\":28:{s:9:\"\0*\0values\";a:8:{s:2:\"id\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:12:\"shortcut_set\";a:1:{s:9:\"x-default\";s:7:\"default\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"46639dda-b8c5-4f8f-9b2c-91908d8e55b8\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:5:\"title\";a:1:{s:9:\"x-default\";s:11:\"Add content\";}s:6:\"weight\";a:1:{s:9:\"x-default\";s:3:\"-20\";}s:4:\"link\";a:1:{s:9:\"x-default\";a:3:{s:3:\"uri\";s:18:\"internal:/node/add\";s:5:\"title\";N;s:7:\"options\";a:0:{}}}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";b:1;s:13:\"\0*\0entityKeys\";a:4:{s:6:\"bundle\";s:7:\"default\";s:2:\"id\";s:1:\"1\";s:4:\"uuid\";s:36:\"46639dda-b8c5-4f8f-9b2c-91908d8e55b8\";s:5:\"label\";s:11:\"Add content\";}s:25:\"\0*\0translatableEntityKeys\";a:2:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";N;s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:8:\"shortcut\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636012251.348,1,'entity_field_info shortcut_values','56'),('values:shortcut:2','O:31:\"Drupal\\shortcut\\Entity\\Shortcut\":28:{s:9:\"\0*\0values\";a:8:{s:2:\"id\";a:1:{s:9:\"x-default\";s:1:\"2\";}s:12:\"shortcut_set\";a:1:{s:9:\"x-default\";s:7:\"default\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"41b660ac-48b2-4bb4-9a12-244eb947ba62\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:5:\"title\";a:1:{s:9:\"x-default\";s:11:\"All content\";}s:6:\"weight\";a:1:{s:9:\"x-default\";s:3:\"-19\";}s:4:\"link\";a:1:{s:9:\"x-default\";a:3:{s:3:\"uri\";s:23:\"internal:/admin/content\";s:5:\"title\";N;s:7:\"options\";a:0:{}}}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";b:1;s:13:\"\0*\0entityKeys\";a:4:{s:6:\"bundle\";s:7:\"default\";s:2:\"id\";s:1:\"2\";s:4:\"uuid\";s:36:\"41b660ac-48b2-4bb4-9a12-244eb947ba62\";s:5:\"label\";s:11:\"All content\";}s:25:\"\0*\0translatableEntityKeys\";a:2:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";N;s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:8:\"shortcut\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636012251.352,1,'entity_field_info shortcut_values','56'),('values:taxonomy_term:1','O:27:\"Drupal\\taxonomy\\Entity\\Term\":28:{s:9:\"\0*\0values\";a:22:{s:3:\"tid\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:11:\"revision_id\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:3:\"vid\";a:1:{s:9:\"x-default\";s:4:\"tags\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"40d761d7-67db-4d97-90bc-884a51320ebd\";}s:8:\"langcode\";a:2:{s:9:\"x-default\";s:2:\"en\";s:2:\"ar\";s:2:\"ar\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:13:\"revision_user\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_created\";a:1:{s:9:\"x-default\";N;}s:20:\"revision_log_message\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:4:\"name\";a:2:{s:2:\"ar\";s:3:\"CSS\";s:9:\"x-default\";s:3:\"CSS\";}s:11:\"description\";a:2:{s:2:\"ar\";a:2:{s:5:\"value\";N;s:6:\"format\";N;}s:9:\"x-default\";a:2:{s:5:\"value\";N;s:6:\"format\";N;}}s:7:\"changed\";a:2:{s:2:\"ar\";s:10:\"1473408321\";s:9:\"x-default\";s:10:\"1469169637\";}s:16:\"default_langcode\";a:2:{s:2:\"ar\";s:1:\"0\";s:9:\"x-default\";s:1:\"1\";}s:26:\"content_translation_source\";a:2:{s:2:\"ar\";s:2:\"en\";s:9:\"x-default\";s:3:\"und\";}s:28:\"content_translation_outdated\";a:2:{s:2:\"ar\";s:1:\"0\";s:9:\"x-default\";s:1:\"0\";}s:23:\"content_translation_uid\";a:2:{s:2:\"ar\";s:1:\"1\";s:9:\"x-default\";N;}s:27:\"content_translation_created\";a:2:{s:2:\"ar\";s:10:\"1473408321\";s:9:\"x-default\";N;}s:6:\"status\";a:2:{s:2:\"ar\";s:1:\"1\";s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:2:{s:2:\"ar\";N;s:9:\"x-default\";s:1:\"1\";}s:6:\"weight\";a:2:{s:2:\"ar\";s:1:\"0\";s:9:\"x-default\";s:1:\"0\";}s:6:\"parent\";a:1:{s:9:\"x-default\";a:1:{i:0;a:1:{s:9:\"target_id\";s:1:\"0\";}}}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:2:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}s:2:\"ar\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:4:{s:6:\"bundle\";s:4:\"tags\";s:2:\"id\";s:1:\"1\";s:8:\"revision\";s:1:\"1\";s:4:\"uuid\";s:36:\"40d761d7-67db-4d97-90bc-884a51320ebd\";}s:25:\"\0*\0translatableEntityKeys\";a:5:{s:5:\"label\";a:2:{s:2:\"ar\";s:3:\"CSS\";s:9:\"x-default\";s:3:\"CSS\";}s:8:\"langcode\";a:2:{s:9:\"x-default\";s:2:\"en\";s:2:\"ar\";s:2:\"ar\";}s:9:\"published\";a:2:{s:2:\"ar\";s:1:\"1\";s:9:\"x-default\";s:1:\"1\";}s:16:\"default_langcode\";a:2:{s:2:\"ar\";s:1:\"0\";s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:2:{s:2:\"ar\";N;s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:1:\"1\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:13:\"taxonomy_term\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636012250.636,1,'entity_field_info taxonomy_term_values','56'),('values:taxonomy_term:2','O:27:\"Drupal\\taxonomy\\Entity\\Term\":28:{s:9:\"\0*\0values\";a:22:{s:3:\"tid\";a:1:{s:9:\"x-default\";s:1:\"2\";}s:11:\"revision_id\";a:1:{s:9:\"x-default\";s:1:\"2\";}s:3:\"vid\";a:1:{s:9:\"x-default\";s:4:\"tags\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"e504cf90-6dd0-41bf-a8da-2b52a31498eb\";}s:8:\"langcode\";a:2:{s:9:\"x-default\";s:2:\"en\";s:2:\"ar\";s:2:\"ar\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:13:\"revision_user\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_created\";a:1:{s:9:\"x-default\";N;}s:20:\"revision_log_message\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:4:\"name\";a:2:{s:2:\"ar\";s:6:\"Drupal\";s:9:\"x-default\";s:6:\"Drupal\";}s:11:\"description\";a:2:{s:2:\"ar\";a:2:{s:5:\"value\";N;s:6:\"format\";N;}s:9:\"x-default\";a:2:{s:5:\"value\";N;s:6:\"format\";N;}}s:7:\"changed\";a:2:{s:2:\"ar\";s:10:\"1473750142\";s:9:\"x-default\";s:10:\"1469169844\";}s:16:\"default_langcode\";a:2:{s:2:\"ar\";s:1:\"0\";s:9:\"x-default\";s:1:\"1\";}s:26:\"content_translation_source\";a:2:{s:2:\"ar\";s:2:\"en\";s:9:\"x-default\";s:3:\"und\";}s:28:\"content_translation_outdated\";a:2:{s:2:\"ar\";s:1:\"0\";s:9:\"x-default\";s:1:\"0\";}s:23:\"content_translation_uid\";a:2:{s:2:\"ar\";s:1:\"1\";s:9:\"x-default\";N;}s:27:\"content_translation_created\";a:2:{s:2:\"ar\";s:10:\"1473408373\";s:9:\"x-default\";N;}s:6:\"status\";a:2:{s:2:\"ar\";s:1:\"1\";s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:2:{s:2:\"ar\";N;s:9:\"x-default\";s:1:\"1\";}s:6:\"weight\";a:2:{s:2:\"ar\";s:1:\"0\";s:9:\"x-default\";s:1:\"0\";}s:6:\"parent\";a:1:{s:9:\"x-default\";a:1:{i:0;a:1:{s:9:\"target_id\";s:1:\"0\";}}}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:2:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}s:2:\"ar\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:4:{s:6:\"bundle\";s:4:\"tags\";s:2:\"id\";s:1:\"2\";s:8:\"revision\";s:1:\"2\";s:4:\"uuid\";s:36:\"e504cf90-6dd0-41bf-a8da-2b52a31498eb\";}s:25:\"\0*\0translatableEntityKeys\";a:5:{s:5:\"label\";a:2:{s:2:\"ar\";s:6:\"Drupal\";s:9:\"x-default\";s:6:\"Drupal\";}s:8:\"langcode\";a:2:{s:9:\"x-default\";s:2:\"en\";s:2:\"ar\";s:2:\"ar\";}s:9:\"published\";a:2:{s:2:\"ar\";s:1:\"1\";s:9:\"x-default\";s:1:\"1\";}s:16:\"default_langcode\";a:2:{s:2:\"ar\";s:1:\"0\";s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:2:{s:2:\"ar\";N;s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:1:\"2\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:13:\"taxonomy_term\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636012250.642,1,'entity_field_info taxonomy_term_values','56'),('values:taxonomy_term:5','O:27:\"Drupal\\taxonomy\\Entity\\Term\":28:{s:9:\"\0*\0values\";a:22:{s:3:\"tid\";a:1:{s:9:\"x-default\";s:1:\"5\";}s:11:\"revision_id\";a:1:{s:9:\"x-default\";s:1:\"5\";}s:3:\"vid\";a:1:{s:9:\"x-default\";s:4:\"tags\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"10f16cf6-07e7-4261-bd7c-ab1636796bbc\";}s:8:\"langcode\";a:2:{s:9:\"x-default\";s:2:\"en\";s:2:\"ar\";s:2:\"ar\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:13:\"revision_user\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_created\";a:1:{s:9:\"x-default\";N;}s:20:\"revision_log_message\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:4:\"name\";a:2:{s:2:\"ar\";s:14:\"Transportation\";s:9:\"x-default\";s:14:\"Transportation\";}s:11:\"description\";a:2:{s:2:\"ar\";a:2:{s:5:\"value\";N;s:6:\"format\";N;}s:9:\"x-default\";a:2:{s:5:\"value\";N;s:6:\"format\";N;}}s:7:\"changed\";a:2:{s:2:\"ar\";s:10:\"1473408315\";s:9:\"x-default\";s:10:\"1469421184\";}s:16:\"default_langcode\";a:2:{s:2:\"ar\";s:1:\"0\";s:9:\"x-default\";s:1:\"1\";}s:26:\"content_translation_source\";a:2:{s:2:\"ar\";s:2:\"en\";s:9:\"x-default\";s:3:\"und\";}s:28:\"content_translation_outdated\";a:2:{s:2:\"ar\";s:1:\"0\";s:9:\"x-default\";s:1:\"0\";}s:23:\"content_translation_uid\";a:2:{s:2:\"ar\";s:1:\"1\";s:9:\"x-default\";N;}s:27:\"content_translation_created\";a:2:{s:2:\"ar\";s:10:\"1473408315\";s:9:\"x-default\";N;}s:6:\"status\";a:2:{s:2:\"ar\";s:1:\"1\";s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:2:{s:2:\"ar\";N;s:9:\"x-default\";s:1:\"1\";}s:6:\"weight\";a:2:{s:2:\"ar\";s:1:\"0\";s:9:\"x-default\";s:1:\"0\";}s:6:\"parent\";a:1:{s:9:\"x-default\";a:1:{i:0;a:1:{s:9:\"target_id\";s:1:\"0\";}}}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:2:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}s:2:\"ar\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:4:{s:6:\"bundle\";s:4:\"tags\";s:2:\"id\";s:1:\"5\";s:8:\"revision\";s:1:\"5\";s:4:\"uuid\";s:36:\"10f16cf6-07e7-4261-bd7c-ab1636796bbc\";}s:25:\"\0*\0translatableEntityKeys\";a:5:{s:5:\"label\";a:2:{s:2:\"ar\";s:14:\"Transportation\";s:9:\"x-default\";s:14:\"Transportation\";}s:8:\"langcode\";a:2:{s:9:\"x-default\";s:2:\"en\";s:2:\"ar\";s:2:\"ar\";}s:9:\"published\";a:2:{s:2:\"ar\";s:1:\"1\";s:9:\"x-default\";s:1:\"1\";}s:16:\"default_langcode\";a:2:{s:2:\"ar\";s:1:\"0\";s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:2:{s:2:\"ar\";N;s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:1:\"5\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:13:\"taxonomy_term\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636012250.651,1,'entity_field_info taxonomy_term_values','56'),('values:taxonomy_term:6','O:27:\"Drupal\\taxonomy\\Entity\\Term\":28:{s:9:\"\0*\0values\";a:22:{s:3:\"tid\";a:1:{s:9:\"x-default\";s:1:\"6\";}s:11:\"revision_id\";a:1:{s:9:\"x-default\";s:1:\"6\";}s:3:\"vid\";a:1:{s:9:\"x-default\";s:4:\"tags\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"e9a9eba6-0aa2-4378-a0b3-82c0ff8a472a\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"revision_default\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:13:\"revision_user\";a:1:{s:9:\"x-default\";N;}s:16:\"revision_created\";a:1:{s:9:\"x-default\";N;}s:20:\"revision_log_message\";a:1:{s:9:\"x-default\";N;}s:17:\"isDefaultRevision\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:4:\"name\";a:1:{s:9:\"x-default\";s:7:\"Service\";}s:11:\"description\";a:1:{s:9:\"x-default\";a:2:{s:5:\"value\";N;s:6:\"format\";N;}}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1469421193\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:26:\"content_translation_source\";a:1:{s:9:\"x-default\";s:3:\"und\";}s:28:\"content_translation_outdated\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:23:\"content_translation_uid\";a:1:{s:9:\"x-default\";N;}s:27:\"content_translation_created\";a:1:{s:9:\"x-default\";N;}s:6:\"status\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:6:\"weight\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:6:\"parent\";a:1:{s:9:\"x-default\";a:1:{i:0;a:1:{s:9:\"target_id\";s:1:\"0\";}}}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";s:1:\"1\";s:13:\"\0*\0entityKeys\";a:4:{s:6:\"bundle\";s:4:\"tags\";s:2:\"id\";s:1:\"6\";s:8:\"revision\";s:1:\"6\";s:4:\"uuid\";s:36:\"e9a9eba6-0aa2-4378-a0b3-82c0ff8a472a\";}s:25:\"\0*\0translatableEntityKeys\";a:5:{s:5:\"label\";a:1:{s:9:\"x-default\";s:7:\"Service\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:9:\"published\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:29:\"revision_translation_affected\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";s:1:\"6\";s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:13:\"taxonomy_term\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636012250.655,1,'entity_field_info taxonomy_term_values','56'),('values:user:0','O:23:\"Drupal\\user\\Entity\\User\":28:{s:9:\"\0*\0values\";a:21:{s:3:\"uid\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"57bd4013-9436-481a-b9bf-8e21a7ce98c7\";}s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:18:\"preferred_langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:24:\"preferred_admin_langcode\";a:1:{s:9:\"x-default\";N;}s:4:\"name\";a:1:{s:9:\"x-default\";s:0:\"\";}s:4:\"pass\";a:1:{s:9:\"x-default\";N;}s:4:\"mail\";a:1:{s:9:\"x-default\";N;}s:8:\"timezone\";a:1:{s:9:\"x-default\";s:12:\"Europe/Paris\";}s:6:\"status\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:7:\"created\";a:1:{s:9:\"x-default\";s:10:\"1468828248\";}s:7:\"changed\";a:1:{s:9:\"x-default\";s:10:\"1468828248\";}s:6:\"access\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:5:\"login\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:4:\"init\";a:1:{s:9:\"x-default\";N;}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:26:\"content_translation_source\";a:1:{s:9:\"x-default\";s:3:\"und\";}s:28:\"content_translation_outdated\";a:1:{s:9:\"x-default\";s:1:\"0\";}s:23:\"content_translation_uid\";a:1:{s:9:\"x-default\";N;}s:26:\"content_translation_status\";a:1:{s:9:\"x-default\";s:1:\"1\";}s:27:\"content_translation_created\";a:1:{s:9:\"x-default\";N;}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:1:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";b:1;s:13:\"\0*\0entityKeys\";a:3:{s:6:\"bundle\";s:4:\"user\";s:2:\"id\";s:1:\"0\";s:4:\"uuid\";s:36:\"57bd4013-9436-481a-b9bf-8e21a7ce98c7\";}s:25:\"\0*\0translatableEntityKeys\";a:2:{s:8:\"langcode\";a:1:{s:9:\"x-default\";s:2:\"en\";}s:16:\"default_langcode\";a:1:{s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";N;s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:4:\"user\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636011228.239,1,'entity_field_info user_values','56'),('values:user:1','O:23:\"Drupal\\user\\Entity\\User\":28:{s:9:\"\0*\0values\";a:22:{s:3:\"uid\";a:2:{s:9:\"x-default\";s:1:\"1\";s:2:\"ar\";s:1:\"1\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"a8b3d221-8ddb-4db2-8c1d-8322b13fb26f\";}s:8:\"langcode\";a:2:{s:9:\"x-default\";s:2:\"en\";s:2:\"ar\";s:2:\"ar\";}s:18:\"preferred_langcode\";a:2:{s:2:\"ar\";s:2:\"en\";s:9:\"x-default\";s:2:\"en\";}s:24:\"preferred_admin_langcode\";a:2:{s:2:\"ar\";N;s:9:\"x-default\";N;}s:4:\"name\";a:2:{s:2:\"ar\";s:5:\"admin\";s:9:\"x-default\";s:5:\"admin\";}s:4:\"pass\";a:2:{s:2:\"ar\";s:55:\"$S$E1UWkfgB14XVRc83NiHSsmd3cf2dlK/a0MN9a1uIwkYwTMOz25Ot\";s:9:\"x-default\";s:55:\"$S$E1UWkfgB14XVRc83NiHSsmd3cf2dlK/a0MN9a1uIwkYwTMOz25Ot\";}s:4:\"mail\";a:2:{s:2:\"ar\";s:13:\"admin@lvh.com\";s:9:\"x-default\";s:13:\"admin@lvh.com\";}s:8:\"timezone\";a:2:{s:2:\"ar\";s:12:\"Europe/Paris\";s:9:\"x-default\";s:12:\"Europe/Paris\";}s:6:\"status\";a:2:{s:2:\"ar\";s:1:\"1\";s:9:\"x-default\";s:1:\"1\";}s:7:\"created\";a:2:{s:2:\"ar\";s:10:\"1468828248\";s:9:\"x-default\";s:10:\"1468828248\";}s:7:\"changed\";a:2:{s:2:\"ar\";s:10:\"1473751615\";s:9:\"x-default\";s:10:\"1468829253\";}s:6:\"access\";a:2:{s:2:\"ar\";s:10:\"1637057201\";s:9:\"x-default\";s:10:\"1637057201\";}s:5:\"login\";a:2:{s:2:\"ar\";s:10:\"1636009248\";s:9:\"x-default\";s:10:\"1636009248\";}s:4:\"init\";a:2:{s:2:\"ar\";s:13:\"admin@lvh.com\";s:9:\"x-default\";s:13:\"admin@lvh.com\";}s:16:\"default_langcode\";a:2:{s:2:\"ar\";s:1:\"0\";s:9:\"x-default\";s:1:\"1\";}s:26:\"content_translation_source\";a:2:{s:2:\"ar\";s:2:\"en\";s:9:\"x-default\";s:3:\"und\";}s:28:\"content_translation_outdated\";a:2:{s:2:\"ar\";s:1:\"0\";s:9:\"x-default\";s:1:\"0\";}s:23:\"content_translation_uid\";a:2:{s:2:\"ar\";s:1:\"1\";s:9:\"x-default\";N;}s:26:\"content_translation_status\";a:2:{s:2:\"ar\";s:1:\"1\";s:9:\"x-default\";s:1:\"1\";}s:27:\"content_translation_created\";a:2:{s:2:\"ar\";s:10:\"1473751615\";s:9:\"x-default\";N;}s:5:\"roles\";a:1:{s:9:\"x-default\";a:1:{i:0;a:1:{s:9:\"target_id\";s:13:\"administrator\";}}}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:2:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}s:2:\"ar\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";b:1;s:13:\"\0*\0entityKeys\";a:3:{s:6:\"bundle\";s:4:\"user\";s:2:\"id\";s:1:\"1\";s:4:\"uuid\";s:36:\"a8b3d221-8ddb-4db2-8c1d-8322b13fb26f\";}s:25:\"\0*\0translatableEntityKeys\";a:2:{s:8:\"langcode\";a:2:{s:9:\"x-default\";s:2:\"en\";s:2:\"ar\";s:2:\"ar\";}s:16:\"default_langcode\";a:2:{s:2:\"ar\";s:1:\"0\";s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";N;s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:4:\"user\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1637057203.548,1,'entity_field_info user_values','56'),('values:user:15','O:23:\"Drupal\\user\\Entity\\User\":28:{s:9:\"\0*\0values\";a:23:{s:3:\"uid\";a:2:{s:9:\"x-default\";s:2:\"15\";s:2:\"ar\";s:2:\"15\";}s:4:\"uuid\";a:1:{s:9:\"x-default\";s:36:\"5a11c2d3-e299-4eed-b1f8-88ad9af9dc8f\";}s:8:\"langcode\";a:2:{s:9:\"x-default\";s:2:\"en\";s:2:\"ar\";s:2:\"ar\";}s:18:\"preferred_langcode\";a:2:{s:2:\"ar\";s:2:\"en\";s:9:\"x-default\";s:2:\"en\";}s:24:\"preferred_admin_langcode\";a:2:{s:2:\"ar\";s:2:\"en\";s:9:\"x-default\";s:2:\"en\";}s:4:\"name\";a:2:{s:2:\"ar\";s:5:\"linda\";s:9:\"x-default\";s:5:\"linda\";}s:4:\"pass\";a:2:{s:2:\"ar\";s:55:\"$S$E5HLUVLkDK6T1ICF6mfTDdAI3TYoxLDJkyPxjF.WPrghDsLE5k9D\";s:9:\"x-default\";s:55:\"$S$E5HLUVLkDK6T1ICF6mfTDdAI3TYoxLDJkyPxjF.WPrghDsLE5k9D\";}s:4:\"mail\";a:2:{s:2:\"ar\";s:18:\"webadmin@gmail.com\";s:9:\"x-default\";s:18:\"webadmin@gmail.com\";}s:8:\"timezone\";a:2:{s:2:\"ar\";s:12:\"Europe/Paris\";s:9:\"x-default\";s:12:\"Europe/Paris\";}s:6:\"status\";a:2:{s:2:\"ar\";s:1:\"1\";s:9:\"x-default\";s:1:\"1\";}s:7:\"created\";a:2:{s:2:\"ar\";s:10:\"1472108991\";s:9:\"x-default\";s:10:\"1472108991\";}s:7:\"changed\";a:2:{s:2:\"ar\";s:10:\"1473751653\";s:9:\"x-default\";s:10:\"1473048283\";}s:6:\"access\";a:2:{s:2:\"ar\";s:10:\"1473049448\";s:9:\"x-default\";s:10:\"1473049448\";}s:5:\"login\";a:2:{s:2:\"ar\";s:10:\"1473048439\";s:9:\"x-default\";s:10:\"1473048439\";}s:4:\"init\";a:2:{s:2:\"ar\";s:18:\"webadmin@gmail.com\";s:9:\"x-default\";s:18:\"webadmin@gmail.com\";}s:16:\"default_langcode\";a:2:{s:2:\"ar\";s:1:\"0\";s:9:\"x-default\";s:1:\"1\";}s:26:\"content_translation_source\";a:2:{s:2:\"ar\";s:2:\"en\";s:9:\"x-default\";s:3:\"und\";}s:28:\"content_translation_outdated\";a:2:{s:2:\"ar\";s:1:\"0\";s:9:\"x-default\";s:1:\"0\";}s:23:\"content_translation_uid\";a:2:{s:2:\"ar\";s:1:\"1\";s:9:\"x-default\";N;}s:26:\"content_translation_status\";a:2:{s:2:\"ar\";s:1:\"1\";s:9:\"x-default\";s:1:\"1\";}s:27:\"content_translation_created\";a:2:{s:2:\"ar\";s:10:\"1473751653\";s:9:\"x-default\";N;}s:5:\"roles\";a:1:{s:9:\"x-default\";a:1:{i:0;a:1:{s:9:\"target_id\";s:13:\"administrator\";}}}s:12:\"user_picture\";a:2:{s:2:\"ar\";a:1:{i:0;a:5:{s:9:\"target_id\";s:3:\"126\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";s:3:\"250\";s:6:\"height\";s:3:\"250\";}}s:9:\"x-default\";a:1:{i:0;a:5:{s:9:\"target_id\";s:3:\"126\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";s:3:\"250\";s:6:\"height\";s:3:\"250\";}}}}s:9:\"\0*\0fields\";a:0:{}s:19:\"\0*\0fieldDefinitions\";N;s:12:\"\0*\0languages\";N;s:14:\"\0*\0langcodeKey\";s:8:\"langcode\";s:21:\"\0*\0defaultLangcodeKey\";s:16:\"default_langcode\";s:17:\"\0*\0activeLangcode\";s:9:\"x-default\";s:18:\"\0*\0defaultLangcode\";s:2:\"en\";s:15:\"\0*\0translations\";a:2:{s:9:\"x-default\";a:1:{s:6:\"status\";i:1;}s:2:\"ar\";a:1:{s:6:\"status\";i:1;}}s:24:\"\0*\0translationInitialize\";b:0;s:14:\"\0*\0newRevision\";b:0;s:20:\"\0*\0isDefaultRevision\";b:1;s:13:\"\0*\0entityKeys\";a:3:{s:6:\"bundle\";s:4:\"user\";s:2:\"id\";s:2:\"15\";s:4:\"uuid\";s:36:\"5a11c2d3-e299-4eed-b1f8-88ad9af9dc8f\";}s:25:\"\0*\0translatableEntityKeys\";a:2:{s:8:\"langcode\";a:2:{s:9:\"x-default\";s:2:\"en\";s:2:\"ar\";s:2:\"ar\";}s:16:\"default_langcode\";a:2:{s:2:\"ar\";s:1:\"0\";s:9:\"x-default\";s:1:\"1\";}}s:12:\"\0*\0validated\";b:0;s:21:\"\0*\0validationRequired\";b:0;s:19:\"\0*\0loadedRevisionId\";N;s:33:\"\0*\0revisionTranslationAffectedKey\";s:29:\"revision_translation_affected\";s:37:\"\0*\0enforceRevisionTranslationAffected\";a:0:{}s:15:\"\0*\0entityTypeId\";s:4:\"user\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:12:\"\0*\0isSyncing\";b:0;}',-1,1636012250.603,1,'entity_field_info user_values','56');
/*!40000 ALTER TABLE `cache_entity` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_library`
--

DROP TABLE IF EXISTS `cache_library`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_library` (
  `cid` varchar(255) CHARACTER SET ascii COLLATE ascii_bin NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob DEFAULT NULL COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT 0 COMMENT 'A Unix timestamp indicating when the cache entry should expire, or -1 for never.',
  `created` decimal(14,3) NOT NULL DEFAULT 0.000 COMMENT 'A timestamp with millisecond precision indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT 0 COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  `tags` longtext DEFAULT NULL COMMENT 'Space-separated list of cache tags for this entry.',
  `checksum` varchar(255) CHARACTER SET ascii NOT NULL COMMENT 'The tag invalidation checksum when this entry was saved.',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Storage for the cache API.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_library`
--

LOCK TABLES `cache_library` WRITE;
/*!40000 ALTER TABLE `cache_library` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_library` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_menu`
--

DROP TABLE IF EXISTS `cache_menu`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_menu` (
  `cid` varchar(255) CHARACTER SET ascii COLLATE ascii_bin NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob DEFAULT NULL COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT 0 COMMENT 'A Unix timestamp indicating when the cache entry should expire, or -1 for never.',
  `created` decimal(14,3) NOT NULL DEFAULT 0.000 COMMENT 'A timestamp with millisecond precision indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT 0 COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  `tags` longtext DEFAULT NULL COMMENT 'Space-separated list of cache tags for this entry.',
  `checksum` varchar(255) CHARACTER SET ascii NOT NULL COMMENT 'The tag invalidation checksum when this entry was saved.',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`),
  KEY `created` (`created`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Storage for the cache API.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_menu`
--

LOCK TABLES `cache_menu` WRITE;
/*!40000 ALTER TABLE `cache_menu` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `cache_menu` VALUES ('active-trail:route::route_parameters:a:0:{}','a:3:{s:7:\"account\";a:1:{s:0:\"\";s:0:\"\";}s:4:\"main\";a:1:{s:0:\"\";s:0:\"\";}s:5:\"quick\";a:1:{s:0:\"\";s:0:\"\";}}',-1,1637057291.655,1,'config:system.menu.account config:system.menu.main config:system.menu.quick','173'),('active-trail:route:entity.user.canonical:route_parameters:a:1:{s:4:\"user\";s:1:\"1\";}','a:3:{s:7:\"account\";a:1:{s:0:\"\";s:0:\"\";}s:4:\"main\";a:1:{s:0:\"\";s:0:\"\";}s:5:\"quick\";a:1:{s:0:\"\";s:0:\"\";}}',-1,1636711552.277,1,'config:system.menu.account config:system.menu.main config:system.menu.quick','173'),('active-trail:route:user.login:route_parameters:a:0:{}','a:3:{s:7:\"account\";a:1:{s:0:\"\";s:0:\"\";}s:4:\"main\";a:2:{s:54:\"menu_link_content:bd337eec-18a0-43da-aca9-292607213b64\";s:54:\"menu_link_content:bd337eec-18a0-43da-aca9-292607213b64\";s:0:\"\";s:0:\"\";}s:5:\"quick\";a:1:{s:0:\"\";s:0:\"\";}}',-1,1636709609.309,1,'config:system.menu.account config:system.menu.main config:system.menu.quick','173'),('active-trail:route:view.frontpage.page_1:route_parameters:a:0:{}','a:3:{s:7:\"account\";a:1:{s:0:\"\";s:0:\"\";}s:4:\"main\";a:1:{s:0:\"\";s:0:\"\";}s:5:\"quick\";a:1:{s:0:\"\";s:0:\"\";}}',-1,1636012252.026,1,'config:system.menu.account config:system.menu.main config:system.menu.quick','173'),('tree-data::C:35:\"Drupal\\Core\\Menu\\MenuTreeParameters\":171:{a:6:{s:4:\"root\";s:12:\"system.admin\";s:8:\"minDepth\";i:1;s:8:\"maxDepth\";i:4;s:15:\"expandedParents\";a:0:{}s:11:\"activeTrail\";a:0:{}s:10:\"conditions\";a:1:{s:7:\"enabled\";i:1;}}}','a:3:{s:4:\"tree\";a:9:{s:20:\"system.admin_content\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:20:\"system.admin_content\";s:6:\"parent\";s:12:\"system.admin\";s:10:\"route_name\";s:20:\"system.admin_content\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Find and manage content.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:3:{s:13:\"comment.admin\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:13:\"comment.admin\";s:6:\"parent\";s:20:\"system.admin_content\";s:10:\"route_name\";s:13:\"comment.admin\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Comments\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:59:\"List and edit site comments and the comment approval queue.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:7:\"comment\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"3\";}s:40:\"admin_toolbar_tools.extra_links:node.add\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:40:\"admin_toolbar_tools.extra_links:node.add\";s:6:\"parent\";s:20:\"system.admin_content\";s:10:\"route_name\";s:13:\"node.add_page\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Add content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:10:{s:48:\"admin_toolbar_tools.extra_links:node.add.article\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:48:\"admin_toolbar_tools.extra_links:node.add.article\";s:6:\"parent\";s:40:\"admin_toolbar_tools.extra_links:node.add\";s:10:\"route_name\";s:8:\"node.add\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:7:\"article\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:7:\"Article\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:47:\"admin_toolbar_tools.extra_links:node.add.banner\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:47:\"admin_toolbar_tools.extra_links:node.add.banner\";s:6:\"parent\";s:40:\"admin_toolbar_tools.extra_links:node.add\";s:10:\"route_name\";s:8:\"node.add\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:6:\"banner\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:45:\"admin_toolbar_tools.extra_links:node.add.blog\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:45:\"admin_toolbar_tools.extra_links:node.add.blog\";s:6:\"parent\";s:40:\"admin_toolbar_tools.extra_links:node.add\";s:10:\"route_name\";s:8:\"node.add\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:4:\"blog\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:4:\"Blog\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:52:\"admin_toolbar_tools.extra_links:node.add.our_mission\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:52:\"admin_toolbar_tools.extra_links:node.add.our_mission\";s:6:\"parent\";s:40:\"admin_toolbar_tools.extra_links:node.add\";s:10:\"route_name\";s:8:\"node.add\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:11:\"our_mission\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:11:\"Our mission\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:53:\"admin_toolbar_tools.extra_links:node.add.our_services\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:53:\"admin_toolbar_tools.extra_links:node.add.our_services\";s:6:\"parent\";s:40:\"admin_toolbar_tools.extra_links:node.add\";s:10:\"route_name\";s:8:\"node.add\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:12:\"our_services\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:12:\"Our services\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:45:\"admin_toolbar_tools.extra_links:node.add.page\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:45:\"admin_toolbar_tools.extra_links:node.add.page\";s:6:\"parent\";s:40:\"admin_toolbar_tools.extra_links:node.add\";s:10:\"route_name\";s:8:\"node.add\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:4:\"page\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:10:\"Basic page\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:49:\"admin_toolbar_tools.extra_links:node.add.partners\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:49:\"admin_toolbar_tools.extra_links:node.add.partners\";s:6:\"parent\";s:40:\"admin_toolbar_tools.extra_links:node.add\";s:10:\"route_name\";s:8:\"node.add\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:8:\"partners\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:8:\"Partners\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:50:\"admin_toolbar_tools.extra_links:node.add.portfolio\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:50:\"admin_toolbar_tools.extra_links:node.add.portfolio\";s:6:\"parent\";s:40:\"admin_toolbar_tools.extra_links:node.add\";s:10:\"route_name\";s:8:\"node.add\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:9:\"portfolio\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:9:\"Portfolio\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:57:\"admin_toolbar_tools.extra_links:node.add.simplenews_issue\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:57:\"admin_toolbar_tools.extra_links:node.add.simplenews_issue\";s:6:\"parent\";s:40:\"admin_toolbar_tools.extra_links:node.add\";s:10:\"route_name\";s:8:\"node.add\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:16:\"simplenews_issue\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:16:\"Newsletter Issue\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:47:\"admin_toolbar_tools.extra_links:node.add.why_us\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:47:\"admin_toolbar_tools.extra_links:node.add.why_us\";s:6:\"parent\";s:40:\"admin_toolbar_tools.extra_links:node.add\";s:10:\"route_name\";s:8:\"node.add\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:6:\"why_us\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:6:\"Why us\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}}s:5:\"depth\";s:1:\"3\";}s:42:\"admin_toolbar_tools.extra_links:view.files\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:42:\"admin_toolbar_tools.extra_links:view.files\";s:6:\"parent\";s:20:\"system.admin_content\";s:10:\"route_name\";s:17:\"view.files.page_1\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Files\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"3\";}}s:5:\"depth\";s:1:\"2\";}s:22:\"system.admin_structure\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:22:\"system.admin_structure\";s:6:\"parent\";s:12:\"system.admin\";s:10:\"route_name\";s:22:\"system.admin_structure\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Structure\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"Administer blocks, content types, menus, etc.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-8\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:9:{s:19:\"block.admin_display\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:19:\"block.admin_display\";s:6:\"parent\";s:22:\"system.admin_structure\";s:10:\"route_name\";s:19:\"block.admin_display\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Block layout\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:79:\"Configure what block content appears in your site\'s sidebars and other regions.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:5:\"block\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:3:{s:54:\"admin_toolbar_tools.extra_links:block_content.add_page\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:54:\"admin_toolbar_tools.extra_links:block_content.add_page\";s:6:\"parent\";s:19:\"block.admin_display\";s:10:\"route_name\";s:22:\"block_content.add_page\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Add custom block\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:63:\"admin_toolbar_tools.extra_links:entity.block_content.collection\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:63:\"admin_toolbar_tools.extra_links:entity.block_content.collection\";s:6:\"parent\";s:19:\"block.admin_display\";s:10:\"route_name\";s:31:\"entity.block_content.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Custom block library\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:68:\"admin_toolbar_tools.extra_links:entity.block_content_type.collection\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:68:\"admin_toolbar_tools.extra_links:entity.block_content_type.collection\";s:6:\"parent\";s:19:\"block.admin_display\";s:10:\"route_name\";s:36:\"entity.block_content_type.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Block types\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}}s:5:\"depth\";s:1:\"3\";}s:27:\"entity.node_type.collection\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:27:\"entity.node_type.collection\";s:6:\"parent\";s:22:\"system.admin_structure\";s:10:\"route_name\";s:27:\"entity.node_type.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Content types\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:71:\"Create and manage fields, forms, and display settings for your content.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:4:\"node\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:12:{s:52:\"admin_toolbar_tools.extra_links:node_type.collection\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:52:\"admin_toolbar_tools.extra_links:node_type.collection\";s:6:\"parent\";s:27:\"entity.node_type.collection\";s:10:\"route_name\";s:27:\"entity.node_type.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"All types\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-1\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:66:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.article\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:66:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.article\";s:6:\"parent\";s:27:\"entity.node_type.collection\";s:10:\"route_name\";s:26:\"entity.node_type.edit_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:7:\"article\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:7:\"Article\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:4:{s:66:\"admin_toolbar_tools.extra_links:entity.node.field_ui_fieldsarticle\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:66:\"admin_toolbar_tools.extra_links:entity.node.field_ui_fieldsarticle\";s:6:\"parent\";s:66:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.article\";s:10:\"route_name\";s:27:\"entity.node.field_ui_fields\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:7:\"article\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"1\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}s:78:\"admin_toolbar_tools.extra_links:entity.entity_form_display.node.defaultarticle\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:78:\"admin_toolbar_tools.extra_links:entity.entity_form_display.node.defaultarticle\";s:6:\"parent\";s:66:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.article\";s:10:\"route_name\";s:39:\"entity.entity_form_display.node.default\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:7:\"article\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"2\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}s:79:\"admin_toolbar_tools.extra_links:entity.entity_view_display.node.default.article\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:79:\"admin_toolbar_tools.extra_links:entity.entity_view_display.node.default.article\";s:6:\"parent\";s:66:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.article\";s:10:\"route_name\";s:39:\"entity.entity_view_display.node.default\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:7:\"article\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"3\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}s:68:\"admin_toolbar_tools.extra_links:entity.node_type.delete_form.article\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:68:\"admin_toolbar_tools.extra_links:entity.node_type.delete_form.article\";s:6:\"parent\";s:66:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.article\";s:10:\"route_name\";s:28:\"entity.node_type.delete_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:7:\"article\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}}s:5:\"depth\";s:1:\"4\";}s:65:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.banner\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:65:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.banner\";s:6:\"parent\";s:27:\"entity.node_type.collection\";s:10:\"route_name\";s:26:\"entity.node_type.edit_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:6:\"banner\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:4:{s:65:\"admin_toolbar_tools.extra_links:entity.node.field_ui_fieldsbanner\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:65:\"admin_toolbar_tools.extra_links:entity.node.field_ui_fieldsbanner\";s:6:\"parent\";s:65:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.banner\";s:10:\"route_name\";s:27:\"entity.node.field_ui_fields\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:6:\"banner\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"1\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}s:77:\"admin_toolbar_tools.extra_links:entity.entity_form_display.node.defaultbanner\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:77:\"admin_toolbar_tools.extra_links:entity.entity_form_display.node.defaultbanner\";s:6:\"parent\";s:65:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.banner\";s:10:\"route_name\";s:39:\"entity.entity_form_display.node.default\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:6:\"banner\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"2\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}s:78:\"admin_toolbar_tools.extra_links:entity.entity_view_display.node.default.banner\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:78:\"admin_toolbar_tools.extra_links:entity.entity_view_display.node.default.banner\";s:6:\"parent\";s:65:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.banner\";s:10:\"route_name\";s:39:\"entity.entity_view_display.node.default\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:6:\"banner\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"3\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}s:67:\"admin_toolbar_tools.extra_links:entity.node_type.delete_form.banner\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:67:\"admin_toolbar_tools.extra_links:entity.node_type.delete_form.banner\";s:6:\"parent\";s:65:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.banner\";s:10:\"route_name\";s:28:\"entity.node_type.delete_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:6:\"banner\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}}s:5:\"depth\";s:1:\"4\";}s:63:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.blog\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:63:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.blog\";s:6:\"parent\";s:27:\"entity.node_type.collection\";s:10:\"route_name\";s:26:\"entity.node_type.edit_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:4:\"blog\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:4:\"Blog\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:4:{s:63:\"admin_toolbar_tools.extra_links:entity.node.field_ui_fieldsblog\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:63:\"admin_toolbar_tools.extra_links:entity.node.field_ui_fieldsblog\";s:6:\"parent\";s:63:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.blog\";s:10:\"route_name\";s:27:\"entity.node.field_ui_fields\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:4:\"blog\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"1\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}s:75:\"admin_toolbar_tools.extra_links:entity.entity_form_display.node.defaultblog\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:75:\"admin_toolbar_tools.extra_links:entity.entity_form_display.node.defaultblog\";s:6:\"parent\";s:63:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.blog\";s:10:\"route_name\";s:39:\"entity.entity_form_display.node.default\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:4:\"blog\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"2\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}s:76:\"admin_toolbar_tools.extra_links:entity.entity_view_display.node.default.blog\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:76:\"admin_toolbar_tools.extra_links:entity.entity_view_display.node.default.blog\";s:6:\"parent\";s:63:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.blog\";s:10:\"route_name\";s:39:\"entity.entity_view_display.node.default\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:4:\"blog\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"3\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}s:65:\"admin_toolbar_tools.extra_links:entity.node_type.delete_form.blog\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:65:\"admin_toolbar_tools.extra_links:entity.node_type.delete_form.blog\";s:6:\"parent\";s:63:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.blog\";s:10:\"route_name\";s:28:\"entity.node_type.delete_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:4:\"blog\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}}s:5:\"depth\";s:1:\"4\";}s:70:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.our_mission\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:70:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.our_mission\";s:6:\"parent\";s:27:\"entity.node_type.collection\";s:10:\"route_name\";s:26:\"entity.node_type.edit_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:11:\"our_mission\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:11:\"Our mission\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:4:{s:70:\"admin_toolbar_tools.extra_links:entity.node.field_ui_fieldsour_mission\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:70:\"admin_toolbar_tools.extra_links:entity.node.field_ui_fieldsour_mission\";s:6:\"parent\";s:70:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.our_mission\";s:10:\"route_name\";s:27:\"entity.node.field_ui_fields\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:11:\"our_mission\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"1\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}s:82:\"admin_toolbar_tools.extra_links:entity.entity_form_display.node.defaultour_mission\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:82:\"admin_toolbar_tools.extra_links:entity.entity_form_display.node.defaultour_mission\";s:6:\"parent\";s:70:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.our_mission\";s:10:\"route_name\";s:39:\"entity.entity_form_display.node.default\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:11:\"our_mission\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"2\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}s:83:\"admin_toolbar_tools.extra_links:entity.entity_view_display.node.default.our_mission\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:83:\"admin_toolbar_tools.extra_links:entity.entity_view_display.node.default.our_mission\";s:6:\"parent\";s:70:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.our_mission\";s:10:\"route_name\";s:39:\"entity.entity_view_display.node.default\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:11:\"our_mission\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"3\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}s:72:\"admin_toolbar_tools.extra_links:entity.node_type.delete_form.our_mission\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:72:\"admin_toolbar_tools.extra_links:entity.node_type.delete_form.our_mission\";s:6:\"parent\";s:70:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.our_mission\";s:10:\"route_name\";s:28:\"entity.node_type.delete_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:11:\"our_mission\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}}s:5:\"depth\";s:1:\"4\";}s:71:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.our_services\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:71:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.our_services\";s:6:\"parent\";s:27:\"entity.node_type.collection\";s:10:\"route_name\";s:26:\"entity.node_type.edit_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:12:\"our_services\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:12:\"Our services\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:4:{s:71:\"admin_toolbar_tools.extra_links:entity.node.field_ui_fieldsour_services\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:71:\"admin_toolbar_tools.extra_links:entity.node.field_ui_fieldsour_services\";s:6:\"parent\";s:71:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.our_services\";s:10:\"route_name\";s:27:\"entity.node.field_ui_fields\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:12:\"our_services\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"1\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}s:83:\"admin_toolbar_tools.extra_links:entity.entity_form_display.node.defaultour_services\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:83:\"admin_toolbar_tools.extra_links:entity.entity_form_display.node.defaultour_services\";s:6:\"parent\";s:71:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.our_services\";s:10:\"route_name\";s:39:\"entity.entity_form_display.node.default\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:12:\"our_services\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"2\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}s:84:\"admin_toolbar_tools.extra_links:entity.entity_view_display.node.default.our_services\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:84:\"admin_toolbar_tools.extra_links:entity.entity_view_display.node.default.our_services\";s:6:\"parent\";s:71:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.our_services\";s:10:\"route_name\";s:39:\"entity.entity_view_display.node.default\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:12:\"our_services\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"3\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}s:73:\"admin_toolbar_tools.extra_links:entity.node_type.delete_form.our_services\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:73:\"admin_toolbar_tools.extra_links:entity.node_type.delete_form.our_services\";s:6:\"parent\";s:71:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.our_services\";s:10:\"route_name\";s:28:\"entity.node_type.delete_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:12:\"our_services\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}}s:5:\"depth\";s:1:\"4\";}s:63:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.page\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:63:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.page\";s:6:\"parent\";s:27:\"entity.node_type.collection\";s:10:\"route_name\";s:26:\"entity.node_type.edit_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:4:\"page\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:10:\"Basic page\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:4:{s:63:\"admin_toolbar_tools.extra_links:entity.node.field_ui_fieldspage\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:63:\"admin_toolbar_tools.extra_links:entity.node.field_ui_fieldspage\";s:6:\"parent\";s:63:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.page\";s:10:\"route_name\";s:27:\"entity.node.field_ui_fields\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:4:\"page\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"1\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}s:75:\"admin_toolbar_tools.extra_links:entity.entity_form_display.node.defaultpage\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:75:\"admin_toolbar_tools.extra_links:entity.entity_form_display.node.defaultpage\";s:6:\"parent\";s:63:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.page\";s:10:\"route_name\";s:39:\"entity.entity_form_display.node.default\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:4:\"page\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"2\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}s:76:\"admin_toolbar_tools.extra_links:entity.entity_view_display.node.default.page\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:76:\"admin_toolbar_tools.extra_links:entity.entity_view_display.node.default.page\";s:6:\"parent\";s:63:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.page\";s:10:\"route_name\";s:39:\"entity.entity_view_display.node.default\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:4:\"page\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"3\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}s:65:\"admin_toolbar_tools.extra_links:entity.node_type.delete_form.page\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:65:\"admin_toolbar_tools.extra_links:entity.node_type.delete_form.page\";s:6:\"parent\";s:63:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.page\";s:10:\"route_name\";s:28:\"entity.node_type.delete_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:4:\"page\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}}s:5:\"depth\";s:1:\"4\";}s:67:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.partners\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:67:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.partners\";s:6:\"parent\";s:27:\"entity.node_type.collection\";s:10:\"route_name\";s:26:\"entity.node_type.edit_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:8:\"partners\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:8:\"Partners\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:4:{s:67:\"admin_toolbar_tools.extra_links:entity.node.field_ui_fieldspartners\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:67:\"admin_toolbar_tools.extra_links:entity.node.field_ui_fieldspartners\";s:6:\"parent\";s:67:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.partners\";s:10:\"route_name\";s:27:\"entity.node.field_ui_fields\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:8:\"partners\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"1\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}s:79:\"admin_toolbar_tools.extra_links:entity.entity_form_display.node.defaultpartners\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:79:\"admin_toolbar_tools.extra_links:entity.entity_form_display.node.defaultpartners\";s:6:\"parent\";s:67:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.partners\";s:10:\"route_name\";s:39:\"entity.entity_form_display.node.default\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:8:\"partners\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"2\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}s:80:\"admin_toolbar_tools.extra_links:entity.entity_view_display.node.default.partners\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:80:\"admin_toolbar_tools.extra_links:entity.entity_view_display.node.default.partners\";s:6:\"parent\";s:67:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.partners\";s:10:\"route_name\";s:39:\"entity.entity_view_display.node.default\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:8:\"partners\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"3\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}s:69:\"admin_toolbar_tools.extra_links:entity.node_type.delete_form.partners\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:69:\"admin_toolbar_tools.extra_links:entity.node_type.delete_form.partners\";s:6:\"parent\";s:67:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.partners\";s:10:\"route_name\";s:28:\"entity.node_type.delete_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:8:\"partners\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}}s:5:\"depth\";s:1:\"4\";}s:68:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.portfolio\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:68:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.portfolio\";s:6:\"parent\";s:27:\"entity.node_type.collection\";s:10:\"route_name\";s:26:\"entity.node_type.edit_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:9:\"portfolio\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:9:\"Portfolio\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:4:{s:68:\"admin_toolbar_tools.extra_links:entity.node.field_ui_fieldsportfolio\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:68:\"admin_toolbar_tools.extra_links:entity.node.field_ui_fieldsportfolio\";s:6:\"parent\";s:68:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.portfolio\";s:10:\"route_name\";s:27:\"entity.node.field_ui_fields\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:9:\"portfolio\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"1\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}s:80:\"admin_toolbar_tools.extra_links:entity.entity_form_display.node.defaultportfolio\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:80:\"admin_toolbar_tools.extra_links:entity.entity_form_display.node.defaultportfolio\";s:6:\"parent\";s:68:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.portfolio\";s:10:\"route_name\";s:39:\"entity.entity_form_display.node.default\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:9:\"portfolio\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"2\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}s:81:\"admin_toolbar_tools.extra_links:entity.entity_view_display.node.default.portfolio\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:81:\"admin_toolbar_tools.extra_links:entity.entity_view_display.node.default.portfolio\";s:6:\"parent\";s:68:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.portfolio\";s:10:\"route_name\";s:39:\"entity.entity_view_display.node.default\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:9:\"portfolio\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"3\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}s:70:\"admin_toolbar_tools.extra_links:entity.node_type.delete_form.portfolio\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:70:\"admin_toolbar_tools.extra_links:entity.node_type.delete_form.portfolio\";s:6:\"parent\";s:68:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.portfolio\";s:10:\"route_name\";s:28:\"entity.node_type.delete_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:9:\"portfolio\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}}s:5:\"depth\";s:1:\"4\";}s:75:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.simplenews_issue\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:75:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.simplenews_issue\";s:6:\"parent\";s:27:\"entity.node_type.collection\";s:10:\"route_name\";s:26:\"entity.node_type.edit_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:16:\"simplenews_issue\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:16:\"Newsletter Issue\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:4:{s:75:\"admin_toolbar_tools.extra_links:entity.node.field_ui_fieldssimplenews_issue\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:75:\"admin_toolbar_tools.extra_links:entity.node.field_ui_fieldssimplenews_issue\";s:6:\"parent\";s:75:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.simplenews_issue\";s:10:\"route_name\";s:27:\"entity.node.field_ui_fields\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:16:\"simplenews_issue\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"1\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}s:87:\"admin_toolbar_tools.extra_links:entity.entity_form_display.node.defaultsimplenews_issue\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:87:\"admin_toolbar_tools.extra_links:entity.entity_form_display.node.defaultsimplenews_issue\";s:6:\"parent\";s:75:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.simplenews_issue\";s:10:\"route_name\";s:39:\"entity.entity_form_display.node.default\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:16:\"simplenews_issue\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"2\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}s:88:\"admin_toolbar_tools.extra_links:entity.entity_view_display.node.default.simplenews_issue\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:88:\"admin_toolbar_tools.extra_links:entity.entity_view_display.node.default.simplenews_issue\";s:6:\"parent\";s:75:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.simplenews_issue\";s:10:\"route_name\";s:39:\"entity.entity_view_display.node.default\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:16:\"simplenews_issue\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"3\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}s:77:\"admin_toolbar_tools.extra_links:entity.node_type.delete_form.simplenews_issue\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:77:\"admin_toolbar_tools.extra_links:entity.node_type.delete_form.simplenews_issue\";s:6:\"parent\";s:75:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.simplenews_issue\";s:10:\"route_name\";s:28:\"entity.node_type.delete_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:16:\"simplenews_issue\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}}s:5:\"depth\";s:1:\"4\";}s:65:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.why_us\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:65:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.why_us\";s:6:\"parent\";s:27:\"entity.node_type.collection\";s:10:\"route_name\";s:26:\"entity.node_type.edit_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:6:\"why_us\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:6:\"Why us\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:4:{s:65:\"admin_toolbar_tools.extra_links:entity.node.field_ui_fieldswhy_us\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:65:\"admin_toolbar_tools.extra_links:entity.node.field_ui_fieldswhy_us\";s:6:\"parent\";s:65:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.why_us\";s:10:\"route_name\";s:27:\"entity.node.field_ui_fields\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:6:\"why_us\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"1\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}s:77:\"admin_toolbar_tools.extra_links:entity.entity_form_display.node.defaultwhy_us\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:77:\"admin_toolbar_tools.extra_links:entity.entity_form_display.node.defaultwhy_us\";s:6:\"parent\";s:65:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.why_us\";s:10:\"route_name\";s:39:\"entity.entity_form_display.node.default\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:6:\"why_us\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"2\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}s:78:\"admin_toolbar_tools.extra_links:entity.entity_view_display.node.default.why_us\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:78:\"admin_toolbar_tools.extra_links:entity.entity_view_display.node.default.why_us\";s:6:\"parent\";s:65:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.why_us\";s:10:\"route_name\";s:39:\"entity.entity_view_display.node.default\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:6:\"why_us\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"3\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}s:67:\"admin_toolbar_tools.extra_links:entity.node_type.delete_form.why_us\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:67:\"admin_toolbar_tools.extra_links:entity.node_type.delete_form.why_us\";s:6:\"parent\";s:65:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.why_us\";s:10:\"route_name\";s:28:\"entity.node_type.delete_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:6:\"why_us\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}}s:5:\"depth\";s:1:\"4\";}s:45:\"admin_toolbar_tools.extra_links:node.type_add\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:45:\"admin_toolbar_tools.extra_links:node.type_add\";s:6:\"parent\";s:27:\"entity.node_type.collection\";s:10:\"route_name\";s:13:\"node.type_add\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Add content type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-2\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}}s:5:\"depth\";s:1:\"3\";}s:30:\"entity.comment_type.collection\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:30:\"entity.comment_type.collection\";s:6:\"parent\";s:22:\"system.admin_structure\";s:10:\"route_name\";s:30:\"entity.comment_type.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Comment types\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Manage form and displays settings of comments.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:7:\"comment\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:1:{s:69:\"admin_toolbar_tools.extra_links:entity.comment_type.edit_form.comment\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:69:\"admin_toolbar_tools.extra_links:entity.comment_type.edit_form.comment\";s:6:\"parent\";s:30:\"entity.comment_type.collection\";s:10:\"route_name\";s:29:\"entity.comment_type.edit_form\";s:16:\"route_parameters\";a:1:{s:12:\"comment_type\";s:7:\"comment\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:16:\"Default comments\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:4:{s:69:\"admin_toolbar_tools.extra_links:entity.comment.field_ui_fieldscomment\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:69:\"admin_toolbar_tools.extra_links:entity.comment.field_ui_fieldscomment\";s:6:\"parent\";s:69:\"admin_toolbar_tools.extra_links:entity.comment_type.edit_form.comment\";s:10:\"route_name\";s:30:\"entity.comment.field_ui_fields\";s:16:\"route_parameters\";a:1:{s:12:\"comment_type\";s:7:\"comment\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"1\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}s:81:\"admin_toolbar_tools.extra_links:entity.entity_form_display.comment.defaultcomment\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:81:\"admin_toolbar_tools.extra_links:entity.entity_form_display.comment.defaultcomment\";s:6:\"parent\";s:69:\"admin_toolbar_tools.extra_links:entity.comment_type.edit_form.comment\";s:10:\"route_name\";s:42:\"entity.entity_form_display.comment.default\";s:16:\"route_parameters\";a:1:{s:12:\"comment_type\";s:7:\"comment\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"2\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}s:82:\"admin_toolbar_tools.extra_links:entity.entity_view_display.comment.default.comment\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:82:\"admin_toolbar_tools.extra_links:entity.entity_view_display.comment.default.comment\";s:6:\"parent\";s:69:\"admin_toolbar_tools.extra_links:entity.comment_type.edit_form.comment\";s:10:\"route_name\";s:42:\"entity.entity_view_display.comment.default\";s:16:\"route_parameters\";a:1:{s:12:\"comment_type\";s:7:\"comment\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"3\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}s:71:\"admin_toolbar_tools.extra_links:entity.comment_type.delete_form.comment\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:71:\"admin_toolbar_tools.extra_links:entity.comment_type.delete_form.comment\";s:6:\"parent\";s:69:\"admin_toolbar_tools.extra_links:entity.comment_type.edit_form.comment\";s:10:\"route_name\";s:31:\"entity.comment_type.delete_form\";s:16:\"route_parameters\";a:1:{s:12:\"comment_type\";s:7:\"comment\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}}s:5:\"depth\";s:1:\"4\";}}s:5:\"depth\";s:1:\"3\";}s:30:\"entity.contact_form.collection\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:30:\"entity.contact_form.collection\";s:6:\"parent\";s:22:\"system.admin_structure\";s:10:\"route_name\";s:30:\"entity.contact_form.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Contact forms\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:32:\"Create and manage contact forms.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:7:\"contact\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:3:{s:70:\"admin_toolbar_tools.extra_links:entity.contact_form.edit_form.feedback\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:70:\"admin_toolbar_tools.extra_links:entity.contact_form.edit_form.feedback\";s:6:\"parent\";s:30:\"entity.contact_form.collection\";s:10:\"route_name\";s:29:\"entity.contact_form.edit_form\";s:16:\"route_parameters\";a:1:{s:12:\"contact_form\";s:8:\"feedback\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:16:\"Website feedback\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:4:{s:78:\"admin_toolbar_tools.extra_links:entity.contact_message.field_ui_fieldsfeedback\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:78:\"admin_toolbar_tools.extra_links:entity.contact_message.field_ui_fieldsfeedback\";s:6:\"parent\";s:70:\"admin_toolbar_tools.extra_links:entity.contact_form.edit_form.feedback\";s:10:\"route_name\";s:38:\"entity.contact_message.field_ui_fields\";s:16:\"route_parameters\";a:1:{s:12:\"contact_form\";s:8:\"feedback\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"1\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}s:90:\"admin_toolbar_tools.extra_links:entity.entity_form_display.contact_message.defaultfeedback\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:90:\"admin_toolbar_tools.extra_links:entity.entity_form_display.contact_message.defaultfeedback\";s:6:\"parent\";s:70:\"admin_toolbar_tools.extra_links:entity.contact_form.edit_form.feedback\";s:10:\"route_name\";s:50:\"entity.entity_form_display.contact_message.default\";s:16:\"route_parameters\";a:1:{s:12:\"contact_form\";s:8:\"feedback\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"2\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}s:91:\"admin_toolbar_tools.extra_links:entity.entity_view_display.contact_message.default.feedback\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:91:\"admin_toolbar_tools.extra_links:entity.entity_view_display.contact_message.default.feedback\";s:6:\"parent\";s:70:\"admin_toolbar_tools.extra_links:entity.contact_form.edit_form.feedback\";s:10:\"route_name\";s:50:\"entity.entity_view_display.contact_message.default\";s:16:\"route_parameters\";a:1:{s:12:\"contact_form\";s:8:\"feedback\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"3\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}s:72:\"admin_toolbar_tools.extra_links:entity.contact_form.delete_form.feedback\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:72:\"admin_toolbar_tools.extra_links:entity.contact_form.delete_form.feedback\";s:6:\"parent\";s:70:\"admin_toolbar_tools.extra_links:entity.contact_form.edit_form.feedback\";s:10:\"route_name\";s:31:\"entity.contact_form.delete_form\";s:16:\"route_parameters\";a:1:{s:12:\"contact_form\";s:8:\"feedback\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}}s:5:\"depth\";s:1:\"4\";}s:70:\"admin_toolbar_tools.extra_links:entity.contact_form.edit_form.personal\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:70:\"admin_toolbar_tools.extra_links:entity.contact_form.edit_form.personal\";s:6:\"parent\";s:30:\"entity.contact_form.collection\";s:10:\"route_name\";s:29:\"entity.contact_form.edit_form\";s:16:\"route_parameters\";a:1:{s:12:\"contact_form\";s:8:\"personal\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:21:\"Personal contact form\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:4:{s:78:\"admin_toolbar_tools.extra_links:entity.contact_message.field_ui_fieldspersonal\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:78:\"admin_toolbar_tools.extra_links:entity.contact_message.field_ui_fieldspersonal\";s:6:\"parent\";s:70:\"admin_toolbar_tools.extra_links:entity.contact_form.edit_form.personal\";s:10:\"route_name\";s:38:\"entity.contact_message.field_ui_fields\";s:16:\"route_parameters\";a:1:{s:12:\"contact_form\";s:8:\"personal\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"1\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}s:90:\"admin_toolbar_tools.extra_links:entity.entity_form_display.contact_message.defaultpersonal\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:90:\"admin_toolbar_tools.extra_links:entity.entity_form_display.contact_message.defaultpersonal\";s:6:\"parent\";s:70:\"admin_toolbar_tools.extra_links:entity.contact_form.edit_form.personal\";s:10:\"route_name\";s:50:\"entity.entity_form_display.contact_message.default\";s:16:\"route_parameters\";a:1:{s:12:\"contact_form\";s:8:\"personal\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"2\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}s:91:\"admin_toolbar_tools.extra_links:entity.entity_view_display.contact_message.default.personal\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:91:\"admin_toolbar_tools.extra_links:entity.entity_view_display.contact_message.default.personal\";s:6:\"parent\";s:70:\"admin_toolbar_tools.extra_links:entity.contact_form.edit_form.personal\";s:10:\"route_name\";s:50:\"entity.entity_view_display.contact_message.default\";s:16:\"route_parameters\";a:1:{s:12:\"contact_form\";s:8:\"personal\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"3\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}s:72:\"admin_toolbar_tools.extra_links:entity.contact_form.delete_form.personal\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:72:\"admin_toolbar_tools.extra_links:entity.contact_form.delete_form.personal\";s:6:\"parent\";s:70:\"admin_toolbar_tools.extra_links:entity.contact_form.edit_form.personal\";s:10:\"route_name\";s:31:\"entity.contact_form.delete_form\";s:16:\"route_parameters\";a:1:{s:12:\"contact_form\";s:8:\"personal\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}}s:5:\"depth\";s:1:\"4\";}s:48:\"admin_toolbar_tools.extra_links:contact.form_add\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:48:\"admin_toolbar_tools.extra_links:contact.form_add\";s:6:\"parent\";s:30:\"entity.contact_form.collection\";s:10:\"route_name\";s:16:\"contact.form_add\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Add contact form\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}}s:5:\"depth\";s:1:\"3\";}s:21:\"field_ui.display_mode\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:21:\"field_ui.display_mode\";s:6:\"parent\";s:22:\"system.admin_structure\";s:10:\"route_name\";s:21:\"field_ui.display_mode\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Display modes\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:65:\"Configure what displays are available for your content and forms.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"field_ui\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:2:{s:34:\"entity.entity_view_mode.collection\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:34:\"entity.entity_view_mode.collection\";s:6:\"parent\";s:21:\"field_ui.display_mode\";s:10:\"route_name\";s:34:\"entity.entity_view_mode.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"View modes\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"Manage custom view modes.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"field_ui\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:1:{s:61:\"admin_toolbar_tools.extra_links:field_ui.entity_view_mode_add\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:61:\"admin_toolbar_tools.extra_links:field_ui.entity_view_mode_add\";s:6:\"parent\";s:34:\"entity.entity_view_mode.collection\";s:10:\"route_name\";s:29:\"field_ui.entity_view_mode_add\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Add view mode\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}}s:5:\"depth\";s:1:\"4\";}s:34:\"entity.entity_form_mode.collection\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:34:\"entity.entity_form_mode.collection\";s:6:\"parent\";s:21:\"field_ui.display_mode\";s:10:\"route_name\";s:34:\"entity.entity_form_mode.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Form modes\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"Manage custom form modes.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"field_ui\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:1:{s:61:\"admin_toolbar_tools.extra_links:field_ui.entity_form_mode_add\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:61:\"admin_toolbar_tools.extra_links:field_ui.entity_form_mode_add\";s:6:\"parent\";s:34:\"entity.entity_form_mode.collection\";s:10:\"route_name\";s:29:\"field_ui.entity_form_mode_add\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Add form mode\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}}s:5:\"depth\";s:1:\"4\";}}s:5:\"depth\";s:1:\"3\";}s:37:\"entity.taxonomy_vocabulary.collection\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:37:\"entity.taxonomy_vocabulary.collection\";s:6:\"parent\";s:22:\"system.admin_structure\";s:10:\"route_name\";s:37:\"entity.taxonomy_vocabulary.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Taxonomy\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:67:\"Manage tagging, categorization, and classification of your content.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"taxonomy\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:2:{s:77:\"admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.overview_form.tags\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:77:\"admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.overview_form.tags\";s:6:\"parent\";s:37:\"entity.taxonomy_vocabulary.collection\";s:10:\"route_name\";s:40:\"entity.taxonomy_vocabulary.overview_form\";s:16:\"route_parameters\";a:1:{s:19:\"taxonomy_vocabulary\";s:4:\"tags\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:4:\"Tags\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:5:{s:73:\"admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.edit_form.tags\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:73:\"admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.edit_form.tags\";s:6:\"parent\";s:77:\"admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.overview_form.tags\";s:10:\"route_name\";s:36:\"entity.taxonomy_vocabulary.edit_form\";s:16:\"route_parameters\";a:1:{s:19:\"taxonomy_vocabulary\";s:4:\"tags\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Edit\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}s:72:\"admin_toolbar_tools.extra_links:entity.taxonomy_term.field_ui_fieldstags\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:72:\"admin_toolbar_tools.extra_links:entity.taxonomy_term.field_ui_fieldstags\";s:6:\"parent\";s:77:\"admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.overview_form.tags\";s:10:\"route_name\";s:36:\"entity.taxonomy_term.field_ui_fields\";s:16:\"route_parameters\";a:1:{s:19:\"taxonomy_vocabulary\";s:4:\"tags\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"1\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}s:84:\"admin_toolbar_tools.extra_links:entity.entity_form_display.taxonomy_term.defaulttags\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:84:\"admin_toolbar_tools.extra_links:entity.entity_form_display.taxonomy_term.defaulttags\";s:6:\"parent\";s:77:\"admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.overview_form.tags\";s:10:\"route_name\";s:48:\"entity.entity_form_display.taxonomy_term.default\";s:16:\"route_parameters\";a:1:{s:19:\"taxonomy_vocabulary\";s:4:\"tags\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"2\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}s:85:\"admin_toolbar_tools.extra_links:entity.entity_view_display.taxonomy_term.default.tags\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:85:\"admin_toolbar_tools.extra_links:entity.entity_view_display.taxonomy_term.default.tags\";s:6:\"parent\";s:77:\"admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.overview_form.tags\";s:10:\"route_name\";s:48:\"entity.entity_view_display.taxonomy_term.default\";s:16:\"route_parameters\";a:1:{s:19:\"taxonomy_vocabulary\";s:4:\"tags\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"3\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}s:75:\"admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.delete_form.tags\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:75:\"admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.delete_form.tags\";s:6:\"parent\";s:77:\"admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.overview_form.tags\";s:10:\"route_name\";s:38:\"entity.taxonomy_vocabulary.delete_form\";s:16:\"route_parameters\";a:1:{s:19:\"taxonomy_vocabulary\";s:4:\"tags\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}}s:5:\"depth\";s:1:\"4\";}s:67:\"admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.add_form\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:67:\"admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.add_form\";s:6:\"parent\";s:37:\"entity.taxonomy_vocabulary.collection\";s:10:\"route_name\";s:35:\"entity.taxonomy_vocabulary.add_form\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Add vocabulary\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}}s:5:\"depth\";s:1:\"3\";}s:22:\"entity.menu.collection\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:22:\"entity.menu.collection\";s:6:\"parent\";s:22:\"system.admin_structure\";s:10:\"route_name\";s:22:\"entity.menu.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Menus\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:28:\"Manage menus and menu links.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:7:\"menu_ui\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:7:{s:52:\"admin_toolbar_tools.extra_links:entity.menu.add_form\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:52:\"admin_toolbar_tools.extra_links:entity.menu.add_form\";s:6:\"parent\";s:22:\"entity.menu.collection\";s:10:\"route_name\";s:20:\"entity.menu.add_form\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Add menu\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-2\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:59:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.admin\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:59:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.admin\";s:6:\"parent\";s:22:\"entity.menu.collection\";s:10:\"route_name\";s:21:\"entity.menu.edit_form\";s:16:\"route_parameters\";a:1:{s:4:\"menu\";s:5:\"admin\";}s:3:\"url\";s:0:\"\";s:5:\"title\";s:14:\"Administration\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:1:{s:63:\"admin_toolbar_tools.extra_links:entity.menu.add_link_form.admin\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:63:\"admin_toolbar_tools.extra_links:entity.menu.add_link_form.admin\";s:6:\"parent\";s:59:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.admin\";s:10:\"route_name\";s:25:\"entity.menu.add_link_form\";s:16:\"route_parameters\";a:1:{s:4:\"menu\";s:5:\"admin\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Add link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}}s:5:\"depth\";s:1:\"4\";}s:60:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.footer\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:60:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.footer\";s:6:\"parent\";s:22:\"entity.menu.collection\";s:10:\"route_name\";s:21:\"entity.menu.edit_form\";s:16:\"route_parameters\";a:1:{s:4:\"menu\";s:6:\"footer\";}s:3:\"url\";s:0:\"\";s:5:\"title\";s:6:\"Footer\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"1\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:1:{s:64:\"admin_toolbar_tools.extra_links:entity.menu.add_link_form.footer\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:64:\"admin_toolbar_tools.extra_links:entity.menu.add_link_form.footer\";s:6:\"parent\";s:60:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.footer\";s:10:\"route_name\";s:25:\"entity.menu.add_link_form\";s:16:\"route_parameters\";a:1:{s:4:\"menu\";s:6:\"footer\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Add link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}}s:5:\"depth\";s:1:\"4\";}s:58:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.main\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:58:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.main\";s:6:\"parent\";s:22:\"entity.menu.collection\";s:10:\"route_name\";s:21:\"entity.menu.edit_form\";s:16:\"route_parameters\";a:1:{s:4:\"menu\";s:4:\"main\";}s:3:\"url\";s:0:\"\";s:5:\"title\";s:15:\"Main navigation\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"2\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:1:{s:62:\"admin_toolbar_tools.extra_links:entity.menu.add_link_form.main\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:62:\"admin_toolbar_tools.extra_links:entity.menu.add_link_form.main\";s:6:\"parent\";s:58:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.main\";s:10:\"route_name\";s:25:\"entity.menu.add_link_form\";s:16:\"route_parameters\";a:1:{s:4:\"menu\";s:4:\"main\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Add link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}}s:5:\"depth\";s:1:\"4\";}s:59:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.quick\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:59:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.quick\";s:6:\"parent\";s:22:\"entity.menu.collection\";s:10:\"route_name\";s:21:\"entity.menu.edit_form\";s:16:\"route_parameters\";a:1:{s:4:\"menu\";s:5:\"quick\";}s:3:\"url\";s:0:\"\";s:5:\"title\";s:11:\"Quick links\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"3\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:2:{s:63:\"admin_toolbar_tools.extra_links:entity.menu.add_link_form.quick\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:63:\"admin_toolbar_tools.extra_links:entity.menu.add_link_form.quick\";s:6:\"parent\";s:59:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.quick\";s:10:\"route_name\";s:25:\"entity.menu.add_link_form\";s:16:\"route_parameters\";a:1:{s:4:\"menu\";s:5:\"quick\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Add link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}s:61:\"admin_toolbar_tools.extra_links:entity.menu.delete_form.quick\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:61:\"admin_toolbar_tools.extra_links:entity.menu.delete_form.quick\";s:6:\"parent\";s:59:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.quick\";s:10:\"route_name\";s:23:\"entity.menu.delete_form\";s:16:\"route_parameters\";a:1:{s:4:\"menu\";s:5:\"quick\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}}s:5:\"depth\";s:1:\"4\";}s:59:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.tools\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:59:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.tools\";s:6:\"parent\";s:22:\"entity.menu.collection\";s:10:\"route_name\";s:21:\"entity.menu.edit_form\";s:16:\"route_parameters\";a:1:{s:4:\"menu\";s:5:\"tools\";}s:3:\"url\";s:0:\"\";s:5:\"title\";s:5:\"Tools\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"4\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:1:{s:63:\"admin_toolbar_tools.extra_links:entity.menu.add_link_form.tools\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:63:\"admin_toolbar_tools.extra_links:entity.menu.add_link_form.tools\";s:6:\"parent\";s:59:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.tools\";s:10:\"route_name\";s:25:\"entity.menu.add_link_form\";s:16:\"route_parameters\";a:1:{s:4:\"menu\";s:5:\"tools\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Add link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}}s:5:\"depth\";s:1:\"4\";}s:61:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.account\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:61:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.account\";s:6:\"parent\";s:22:\"entity.menu.collection\";s:10:\"route_name\";s:21:\"entity.menu.edit_form\";s:16:\"route_parameters\";a:1:{s:4:\"menu\";s:7:\"account\";}s:3:\"url\";s:0:\"\";s:5:\"title\";s:17:\"User account menu\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:1:{s:65:\"admin_toolbar_tools.extra_links:entity.menu.add_link_form.account\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:65:\"admin_toolbar_tools.extra_links:entity.menu.add_link_form.account\";s:6:\"parent\";s:61:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.account\";s:10:\"route_name\";s:25:\"entity.menu.add_link_form\";s:16:\"route_parameters\";a:1:{s:4:\"menu\";s:7:\"account\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Add link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}}s:5:\"depth\";s:1:\"4\";}}s:5:\"depth\";s:1:\"3\";}s:22:\"entity.view.collection\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:22:\"entity.view.collection\";s:6:\"parent\";s:22:\"system.admin_structure\";s:10:\"route_name\";s:22:\"entity.view.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Views\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"Manage customized lists of content.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"views_ui\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:1:{s:44:\"admin_toolbar_tools.extra_links:views_ui.add\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:44:\"admin_toolbar_tools.extra_links:views_ui.add\";s:6:\"parent\";s:22:\"entity.view.collection\";s:10:\"route_name\";s:12:\"views_ui.add\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Add view\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}}s:5:\"depth\";s:1:\"3\";}s:17:\"we_megamenu.admin\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:17:\"we_megamenu.admin\";s:6:\"parent\";s:22:\"system.admin_structure\";s:10:\"route_name\";s:17:\"we_megamenu.admin\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Drupal 8 Mega Menu\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"List Of We Mega Menu Items\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:11:\"we_megamenu\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"3\";}}s:5:\"depth\";s:1:\"2\";}s:18:\"system.themes_page\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:18:\"system.themes_page\";s:6:\"parent\";s:12:\"system.admin\";s:10:\"route_name\";s:18:\"system.themes_page\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Appearance\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:28:\"Select and configure themes.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-6\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:3:{s:52:\"admin_toolbar_tools.extra_links:update.theme_install\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:52:\"admin_toolbar_tools.extra_links:update.theme_install\";s:6:\"parent\";s:18:\"system.themes_page\";s:10:\"route_name\";s:20:\"update.theme_install\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Install new theme\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"3\";}s:51:\"admin_toolbar_tools.extra_links:update.theme_update\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:51:\"admin_toolbar_tools.extra_links:update.theme_update\";s:6:\"parent\";s:18:\"system.themes_page\";s:10:\"route_name\";s:19:\"update.theme_update\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Update\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"3\";}s:53:\"admin_toolbar_tools.extra_links:system.theme_settings\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:53:\"admin_toolbar_tools.extra_links:system.theme_settings\";s:6:\"parent\";s:18:\"system.themes_page\";s:10:\"route_name\";s:21:\"system.theme_settings\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:3:{s:66:\"admin_toolbar_tools.extra_links:system.theme_settings_theme.bartik\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:66:\"admin_toolbar_tools.extra_links:system.theme_settings_theme.bartik\";s:6:\"parent\";s:53:\"admin_toolbar_tools.extra_links:system.theme_settings\";s:10:\"route_name\";s:27:\"system.theme_settings_theme\";s:16:\"route_parameters\";a:1:{s:5:\"theme\";s:6:\"bartik\";}s:3:\"url\";s:0:\"\";s:5:\"title\";s:6:\"Bartik\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:65:\"admin_toolbar_tools.extra_links:system.theme_settings_theme.seven\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:65:\"admin_toolbar_tools.extra_links:system.theme_settings_theme.seven\";s:6:\"parent\";s:53:\"admin_toolbar_tools.extra_links:system.theme_settings\";s:10:\"route_name\";s:27:\"system.theme_settings_theme\";s:16:\"route_parameters\";a:1:{s:5:\"theme\";s:5:\"seven\";}s:3:\"url\";s:0:\"\";s:5:\"title\";s:5:\"Seven\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:69:\"admin_toolbar_tools.extra_links:system.theme_settings_theme.luxestate\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:69:\"admin_toolbar_tools.extra_links:system.theme_settings_theme.luxestate\";s:6:\"parent\";s:53:\"admin_toolbar_tools.extra_links:system.theme_settings\";s:10:\"route_name\";s:27:\"system.theme_settings_theme\";s:16:\"route_parameters\";a:1:{s:5:\"theme\";s:9:\"luxestate\";}s:3:\"url\";s:0:\"\";s:5:\"title\";s:9:\"Luxestate\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}}s:5:\"depth\";s:1:\"3\";}}s:5:\"depth\";s:1:\"2\";}s:19:\"system.modules_list\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:19:\"system.modules_list\";s:6:\"parent\";s:12:\"system.admin\";s:10:\"route_name\";s:19:\"system.modules_list\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Extend\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"Add and enable modules to extend site functionality.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-2\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:3:{s:24:\"system.modules_uninstall\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:24:\"system.modules_uninstall\";s:6:\"parent\";s:19:\"system.modules_list\";s:10:\"route_name\";s:24:\"system.modules_uninstall\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Uninstall module\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"3\";}s:53:\"admin_toolbar_tools.extra_links:update.module_install\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:53:\"admin_toolbar_tools.extra_links:update.module_install\";s:6:\"parent\";s:19:\"system.modules_list\";s:10:\"route_name\";s:21:\"update.module_install\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Install new module\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"3\";}s:52:\"admin_toolbar_tools.extra_links:update.module_update\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:52:\"admin_toolbar_tools.extra_links:update.module_update\";s:6:\"parent\";s:19:\"system.modules_list\";s:10:\"route_name\";s:20:\"update.module_update\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Update\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"3\";}}s:5:\"depth\";s:1:\"2\";}s:19:\"system.admin_config\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:19:\"system.admin_config\";s:6:\"parent\";s:12:\"system.admin\";s:10:\"route_name\";s:19:\"system.admin_config\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Administer settings.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:10:{s:25:\"system.admin_config_media\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:25:\"system.admin_config_media\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:25:\"system.admin_config_media\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Media\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:5:{s:27:\"system.file_system_settings\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:27:\"system.file_system_settings\";s:6:\"parent\";s:25:\"system.admin_config_media\";s:10:\"route_name\";s:27:\"system.file_system_settings\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"File system\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:67:\"Configure the location of uploaded files and how they are accessed.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:29:\"system.image_toolkit_settings\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:29:\"system.image_toolkit_settings\";s:6:\"parent\";s:25:\"system.admin_config_media\";s:10:\"route_name\";s:29:\"system.image_toolkit_settings\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Image toolkit\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:74:\"Choose which image toolkit to use if you have installed optional toolkits.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"20\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:29:\"entity.image_style.collection\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:29:\"entity.image_style.collection\";s:6:\"parent\";s:25:\"system.admin_config_media\";s:10:\"route_name\";s:29:\"entity.image_style.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Image styles\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:78:\"Configure styles that can be used for resizing or adjusting images on display.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:5:\"image\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:23:\"colorbox.admin_settings\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:23:\"colorbox.admin_settings\";s:6:\"parent\";s:25:\"system.admin_config_media\";s:10:\"route_name\";s:23:\"colorbox.admin_settings\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Colorbox settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:32:\"Configure the Colorbox settings.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"colorbox\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:40:\"entity.responsive_image_style.collection\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:40:\"entity.responsive_image_style.collection\";s:6:\"parent\";s:25:\"system.admin_config_media\";s:10:\"route_name\";s:40:\"entity.responsive_image_style.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"Responsive image styles\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"Manage responsive image styles.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:16:\"responsive_image\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}}s:5:\"depth\";s:1:\"3\";}s:28:\"system.admin_config_services\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:28:\"system.admin_config_services\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:28:\"system.admin_config_services\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Web services\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:3:{s:25:\"system.rss_feeds_settings\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:25:\"system.rss_feeds_settings\";s:6:\"parent\";s:28:\"system.admin_config_services\";s:10:\"route_name\";s:25:\"system.rss_feeds_settings\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"RSS publishing\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:115:\"Configure the site description, the number of items per feed, and whether feeds should be titles/teasers/full-text.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:19:\"simplenews.settings\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:19:\"simplenews.settings\";s:6:\"parent\";s:28:\"system.admin_config_services\";s:10:\"route_name\";s:26:\"simplenews.newsletter_list\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Simplenews\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Configure your sites newsletters.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:10:\"simplenews\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:28:\"sharethis.configuration_form\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:28:\"sharethis.configuration_form\";s:6:\"parent\";s:28:\"system.admin_config_services\";s:10:\"route_name\";s:28:\"sharethis.configuration_form\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"ShareThis\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:91:\"Choose the widget, button family, and services for using ShareThis to share content online.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:9:\"sharethis\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}}s:5:\"depth\";s:1:\"3\";}s:31:\"system.admin_config_development\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:31:\"system.admin_config_development\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:31:\"system.admin_config_development\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Development\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:36:\"Configure and use development tools.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:4:{s:28:\"system.site_maintenance_mode\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:28:\"system.site_maintenance_mode\";s:6:\"parent\";s:31:\"system.admin_config_development\";s:10:\"route_name\";s:28:\"system.site_maintenance_mode\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Maintenance mode\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:62:\"Take the site offline for updates and other maintenance tasks.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:27:\"system.performance_settings\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:27:\"system.performance_settings\";s:6:\"parent\";s:31:\"system.admin_config_development\";s:10:\"route_name\";s:27:\"system.performance_settings\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Performance\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"Configure caching and bandwidth optimization.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-20\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:23:\"system.logging_settings\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:23:\"system.logging_settings\";s:6:\"parent\";s:31:\"system.admin_config_development\";s:10:\"route_name\";s:23:\"system.logging_settings\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Logging and errors\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:61:\"Configure the display of error messages and database logging.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-15\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:11:\"config.sync\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:11:\"config.sync\";s:6:\"parent\";s:31:\"system.admin_config_development\";s:10:\"route_name\";s:11:\"config.sync\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Configuration synchronization\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:37:\"Import and export your configuration.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"config\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:2:{s:45:\"admin_toolbar_tools.extra_links:config.import\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:45:\"admin_toolbar_tools.extra_links:config.import\";s:6:\"parent\";s:11:\"config.sync\";s:10:\"route_name\";s:18:\"config.import_full\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Import\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"1\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}s:45:\"admin_toolbar_tools.extra_links:config.export\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:45:\"admin_toolbar_tools.extra_links:config.export\";s:6:\"parent\";s:11:\"config.sync\";s:10:\"route_name\";s:18:\"config.export_full\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Export\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"2\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}}s:5:\"depth\";s:1:\"4\";}}s:5:\"depth\";s:1:\"3\";}s:28:\"system.admin_config_regional\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:28:\"system.admin_config_regional\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:28:\"system.admin_config_regional\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Regional and language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:59:\"Configure regional settings, localization, and translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:6:{s:24:\"system.regional_settings\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:24:\"system.regional_settings\";s:6:\"parent\";s:28:\"system.admin_config_regional\";s:10:\"route_name\";s:24:\"system.regional_settings\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Regional settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:43:\"Configure the locale and timezone settings.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-20\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:29:\"entity.date_format.collection\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:29:\"entity.date_format.collection\";s:6:\"parent\";s:28:\"system.admin_config_regional\";s:10:\"route_name\";s:29:\"entity.date_format.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Date and time formats\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:44:\"Configure how dates and times are displayed.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-9\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:30:\"config_translation.mapper_list\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:30:\"config_translation.mapper_list\";s:6:\"parent\";s:28:\"system.admin_config_regional\";s:10:\"route_name\";s:30:\"config_translation.mapper_list\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"Configuration translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:28:\"Translate the configuration.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:18:\"config_translation\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"30\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:39:\"entity.configurable_language.collection\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:39:\"entity.configurable_language.collection\";s:6:\"parent\";s:28:\"system.admin_config_regional\";s:10:\"route_name\";s:39:\"entity.configurable_language.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Languages\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:62:\"Configure languages for content, interface, and configuration.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"language\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:2:{s:52:\"admin_toolbar_tools.extra_links:language.negotiation\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:52:\"admin_toolbar_tools.extra_links:language.negotiation\";s:6:\"parent\";s:39:\"entity.configurable_language.collection\";s:10:\"route_name\";s:20:\"language.negotiation\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"Detection and selection\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}s:44:\"admin_toolbar_tools.extra_links:language.add\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:44:\"admin_toolbar_tools.extra_links:language.add\";s:6:\"parent\";s:39:\"entity.configurable_language.collection\";s:10:\"route_name\";s:12:\"language.add\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Add language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}}s:5:\"depth\";s:1:\"4\";}s:30:\"language.content_settings_page\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:30:\"language.content_settings_page\";s:6:\"parent\";s:28:\"system.admin_config_regional\";s:10:\"route_name\";s:30:\"language.content_settings_page\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:32:\"Content language and translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:55:\"Configure language and translation support for content.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"language\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:21:\"locale.translate_page\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:21:\"locale.translate_page\";s:6:\"parent\";s:28:\"system.admin_config_regional\";s:10:\"route_name\";s:21:\"locale.translate_page\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"User interface translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:87:\"Configure the import of translation files, and add or customize interface translations.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"locale\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"15\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}}s:5:\"depth\";s:1:\"3\";}s:26:\"system.admin_config_search\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:26:\"system.admin_config_search\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:26:\"system.admin_config_search\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Search and metadata\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:64:\"Configure site search, metadata, and search engine optimization.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:2:{s:29:\"entity.search_page.collection\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:29:\"entity.search_page.collection\";s:6:\"parent\";s:26:\"system.admin_config_search\";s:10:\"route_name\";s:29:\"entity.search_page.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Search pages\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:51:\"Configure search pages and search indexing options.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"search\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:28:\"entity.path_alias.collection\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:28:\"entity.path_alias.collection\";s:6:\"parent\";s:26:\"system.admin_config_search\";s:10:\"route_name\";s:28:\"entity.path_alias.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"URL aliases\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:34:\"Add custom URLs to existing paths.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:4:\"path\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}}s:5:\"depth\";s:1:\"3\";}s:26:\"system.admin_config_system\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:26:\"system.admin_config_system\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:26:\"system.admin_config_system\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"System\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:49:\"Configure basic site settings, actions, and cron.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-20\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:2:{s:32:\"system.site_information_settings\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:32:\"system.site_information_settings\";s:6:\"parent\";s:26:\"system.admin_config_system\";s:10:\"route_name\";s:32:\"system.site_information_settings\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Basic site settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:77:\"Change site name, email address, slogan, default front page, and error pages.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-20\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:20:\"system.cron_settings\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:20:\"system.cron_settings\";s:6:\"parent\";s:26:\"system.admin_config_system\";s:10:\"route_name\";s:20:\"system.cron_settings\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Cron\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:40:\"Manage automatic site maintenance tasks.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"20\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}}s:5:\"depth\";s:1:\"3\";}s:22:\"system.admin_config_ui\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:22:\"system.admin_config_ui\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:22:\"system.admin_config_ui\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"User interface\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:44:\"Configure the administrative user interface.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-15\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:1:{s:30:\"entity.shortcut_set.collection\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:30:\"entity.shortcut_set.collection\";s:6:\"parent\";s:22:\"system.admin_config_ui\";s:10:\"route_name\";s:30:\"entity.shortcut_set.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Shortcuts\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Add and modify shortcut sets.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"shortcut\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}}s:5:\"depth\";s:1:\"3\";}s:28:\"system.admin_config_workflow\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:28:\"system.admin_config_workflow\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:28:\"system.admin_config_workflow\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Workflow\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:28:\"Manage the content workflow.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"3\";}s:27:\"system.admin_config_content\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:27:\"system.admin_config_content\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:27:\"system.admin_config_content\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Content authoring\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:43:\"Configure content formatting and authoring.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-15\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:1:{s:21:\"filter.admin_overview\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:21:\"filter.admin_overview\";s:6:\"parent\";s:27:\"system.admin_config_content\";s:10:\"route_name\";s:21:\"filter.admin_overview\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Text formats and editors\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:78:\"Select and configure text editors, and how content is filtered when displayed.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"filter\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}}s:5:\"depth\";s:1:\"3\";}s:16:\"user.admin_index\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:16:\"user.admin_index\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:16:\"user.admin_index\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"People\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Configure user accounts.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:4:\"user\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-20\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:2:{s:22:\"entity.user.admin_form\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:22:\"entity.user.admin_form\";s:6:\"parent\";s:16:\"user.admin_index\";s:10:\"route_name\";s:22:\"entity.user.admin_form\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Account settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:105:\"Configure default user account settings, including fields, registration requirements, and email messages.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:4:\"user\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:3:{s:60:\"admin_toolbar_tools.extra_links:entity.user.field_ui_fields_\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:60:\"admin_toolbar_tools.extra_links:entity.user.field_ui_fields_\";s:6:\"parent\";s:22:\"entity.user.admin_form\";s:10:\"route_name\";s:27:\"entity.user.field_ui_fields\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"1\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}s:72:\"admin_toolbar_tools.extra_links:entity.entity_form_display.user.default_\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:72:\"admin_toolbar_tools.extra_links:entity.entity_form_display.user.default_\";s:6:\"parent\";s:22:\"entity.user.admin_form\";s:10:\"route_name\";s:39:\"entity.entity_form_display.user.default\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"2\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}s:72:\"admin_toolbar_tools.extra_links:entity.entity_view_display.user.default_\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:72:\"admin_toolbar_tools.extra_links:entity.entity_view_display.user.default_\";s:6:\"parent\";s:22:\"entity.user.admin_form\";s:10:\"route_name\";s:39:\"entity.entity_view_display.user.default\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"3\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}}s:5:\"depth\";s:1:\"4\";}s:30:\"simplenews.subscriber_settings\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:30:\"simplenews.subscriber_settings\";s:6:\"parent\";s:16:\"user.admin_index\";s:10:\"route_name\";s:30:\"simplenews.settings_subscriber\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Subscriber settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:36:\"Administer your subscriber settings.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:10:\"simplenews\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}}s:5:\"depth\";s:1:\"3\";}}s:5:\"depth\";s:1:\"2\";}s:20:\"system.admin_reports\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:20:\"system.admin_reports\";s:6:\"parent\";s:12:\"system.admin\";s:10:\"route_name\";s:20:\"system.admin_reports\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Reports\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:34:\"View reports, updates, and errors.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:9:{s:13:\"system.status\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:13:\"system.status\";s:6:\"parent\";s:20:\"system.admin_reports\";s:10:\"route_name\";s:13:\"system.status\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Status report\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:48:\"Get a status report about your site\'s operation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"3\";}s:14:\"dblog.overview\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:14:\"dblog.overview\";s:6:\"parent\";s:20:\"system.admin_reports\";s:10:\"route_name\";s:14:\"dblog.overview\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Recent log messages\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:43:\"View events that have recently been logged.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:5:\"dblog\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-1\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"3\";}s:20:\"dblog.page_not_found\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:20:\"dblog.page_not_found\";s:6:\"parent\";s:20:\"system.admin_reports\";s:10:\"route_name\";s:20:\"dblog.page_not_found\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:27:\"Top \'page not found\' errors\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:36:\"View \'page not found\' errors (404s).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:5:\"dblog\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"3\";}s:19:\"dblog.access_denied\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:19:\"dblog.access_denied\";s:6:\"parent\";s:20:\"system.admin_reports\";s:10:\"route_name\";s:19:\"dblog.access_denied\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"Top \'access denied\' errors\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"View \'access denied\' errors (403s).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:5:\"dblog\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"3\";}s:38:\"entity.field_storage_config.collection\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:38:\"entity.field_storage_config.collection\";s:6:\"parent\";s:20:\"system.admin_reports\";s:10:\"route_name\";s:38:\"entity.field_storage_config.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Field list\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:39:\"Overview of fields on all entity types.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"field_ui\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:1:{s:51:\"admin_toolbar_tools.extra_links:views_ui.field_list\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:51:\"admin_toolbar_tools.extra_links:views_ui.field_list\";s:6:\"parent\";s:38:\"entity.field_storage_config.collection\";s:10:\"route_name\";s:23:\"views_ui.reports_fields\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Used in views\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}}s:5:\"depth\";s:1:\"3\";}s:12:\"dblog.search\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:12:\"dblog.search\";s:6:\"parent\";s:20:\"system.admin_reports\";s:10:\"route_name\";s:12:\"dblog.search\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Top search phrases\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"View most popular search phrases.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:0:\"\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"3\";}s:24:\"views_ui.reports_plugins\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:24:\"views_ui.reports_plugins\";s:6:\"parent\";s:20:\"system.admin_reports\";s:10:\"route_name\";s:24:\"views_ui.reports_plugins\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Views plugins\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:38:\"Overview of plugins used in all views.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"views_ui\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"3\";}s:13:\"update.status\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:13:\"update.status\";s:6:\"parent\";s:20:\"system.admin_reports\";s:10:\"route_name\";s:13:\"update.status\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Available updates\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:82:\"Get a status report about available updates for your installed modules and themes.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"update\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-50\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"3\";}s:23:\"locale.translate_status\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:23:\"locale.translate_status\";s:6:\"parent\";s:20:\"system.admin_reports\";s:10:\"route_name\";s:23:\"locale.translate_status\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Available translation updates\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:97:\"Get a status report about available interface translations for your installed modules and themes.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"locale\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"3\";}}s:5:\"depth\";s:1:\"2\";}s:22:\"entity.user.collection\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:22:\"entity.user.collection\";s:6:\"parent\";s:12:\"system.admin\";s:10:\"route_name\";s:22:\"entity.user.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"People\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"Manage user accounts, roles, and permissions.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:4:\"user\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"4\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:3:{s:49:\"admin_toolbar_tools.extra_links:user.admin_create\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:49:\"admin_toolbar_tools.extra_links:user.admin_create\";s:6:\"parent\";s:22:\"entity.user.collection\";s:10:\"route_name\";s:17:\"user.admin_create\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Add user\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"3\";}s:54:\"admin_toolbar_tools.extra_links:user.admin_permissions\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:54:\"admin_toolbar_tools.extra_links:user.admin_permissions\";s:6:\"parent\";s:22:\"entity.user.collection\";s:10:\"route_name\";s:22:\"user.admin_permissions\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Permissions\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"3\";}s:59:\"admin_toolbar_tools.extra_links:entity.user_role.collection\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:59:\"admin_toolbar_tools.extra_links:entity.user_role.collection\";s:6:\"parent\";s:22:\"entity.user.collection\";s:10:\"route_name\";s:27:\"entity.user_role.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Roles\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:4:{s:45:\"admin_toolbar_tools.extra_links:user.role_add\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:45:\"admin_toolbar_tools.extra_links:user.role_add\";s:6:\"parent\";s:59:\"admin_toolbar_tools.extra_links:entity.user_role.collection\";s:10:\"route_name\";s:13:\"user.role_add\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Add role\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:68:\"admin_toolbar_tools.extra_links:entity.user_role.edit_form.anonymous\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:68:\"admin_toolbar_tools.extra_links:entity.user_role.edit_form.anonymous\";s:6:\"parent\";s:59:\"admin_toolbar_tools.extra_links:entity.user_role.collection\";s:10:\"route_name\";s:26:\"entity.user_role.edit_form\";s:16:\"route_parameters\";a:1:{s:9:\"user_role\";s:9:\"anonymous\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:14:\"Anonymous user\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:1:{s:80:\"admin_toolbar_tools.extra_links:entity.user_role.edit_permissions_form.anonymous\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:80:\"admin_toolbar_tools.extra_links:entity.user_role.edit_permissions_form.anonymous\";s:6:\"parent\";s:68:\"admin_toolbar_tools.extra_links:entity.user_role.edit_form.anonymous\";s:10:\"route_name\";s:38:\"entity.user_role.edit_permissions_form\";s:16:\"route_parameters\";a:1:{s:9:\"user_role\";s:9:\"anonymous\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Edit permissions\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}}s:5:\"depth\";s:1:\"4\";}s:72:\"admin_toolbar_tools.extra_links:entity.user_role.edit_form.authenticated\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:72:\"admin_toolbar_tools.extra_links:entity.user_role.edit_form.authenticated\";s:6:\"parent\";s:59:\"admin_toolbar_tools.extra_links:entity.user_role.collection\";s:10:\"route_name\";s:26:\"entity.user_role.edit_form\";s:16:\"route_parameters\";a:1:{s:9:\"user_role\";s:13:\"authenticated\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:18:\"Authenticated user\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:1:{s:84:\"admin_toolbar_tools.extra_links:entity.user_role.edit_permissions_form.authenticated\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:84:\"admin_toolbar_tools.extra_links:entity.user_role.edit_permissions_form.authenticated\";s:6:\"parent\";s:72:\"admin_toolbar_tools.extra_links:entity.user_role.edit_form.authenticated\";s:10:\"route_name\";s:38:\"entity.user_role.edit_permissions_form\";s:16:\"route_parameters\";a:1:{s:9:\"user_role\";s:13:\"authenticated\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Edit permissions\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}}s:5:\"depth\";s:1:\"4\";}s:72:\"admin_toolbar_tools.extra_links:entity.user_role.edit_form.administrator\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:72:\"admin_toolbar_tools.extra_links:entity.user_role.edit_form.administrator\";s:6:\"parent\";s:59:\"admin_toolbar_tools.extra_links:entity.user_role.collection\";s:10:\"route_name\";s:26:\"entity.user_role.edit_form\";s:16:\"route_parameters\";a:1:{s:9:\"user_role\";s:13:\"administrator\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:13:\"Administrator\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:2:{s:84:\"admin_toolbar_tools.extra_links:entity.user_role.edit_permissions_form.administrator\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:84:\"admin_toolbar_tools.extra_links:entity.user_role.edit_permissions_form.administrator\";s:6:\"parent\";s:72:\"admin_toolbar_tools.extra_links:entity.user_role.edit_form.administrator\";s:10:\"route_name\";s:38:\"entity.user_role.edit_permissions_form\";s:16:\"route_parameters\";a:1:{s:9:\"user_role\";s:13:\"administrator\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Edit permissions\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}s:74:\"admin_toolbar_tools.extra_links:entity.user_role.delete_form.administrator\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:74:\"admin_toolbar_tools.extra_links:entity.user_role.delete_form.administrator\";s:6:\"parent\";s:72:\"admin_toolbar_tools.extra_links:entity.user_role.edit_form.administrator\";s:10:\"route_name\";s:28:\"entity.user_role.delete_form\";s:16:\"route_parameters\";a:1:{s:9:\"user_role\";s:13:\"administrator\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"5\";}}s:5:\"depth\";s:1:\"4\";}}s:5:\"depth\";s:1:\"3\";}}s:5:\"depth\";s:1:\"2\";}s:9:\"help.main\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:9:\"help.main\";s:6:\"parent\";s:12:\"system.admin\";s:10:\"route_name\";s:9:\"help.main\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Help\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:48:\"Reference for usage, configuration, and modules.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:4:\"help\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"9\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"2\";}s:24:\"admin_toolbar_tools.help\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:24:\"admin_toolbar_tools.help\";s:6:\"parent\";s:12:\"system.admin\";s:10:\"route_name\";s:7:\"<front>\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Tools\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:4:\"-100\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:5:{s:18:\"system.admin_index\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:18:\"system.admin_index\";s:6:\"parent\";s:24:\"admin_toolbar_tools.help\";s:10:\"route_name\";s:18:\"system.admin_index\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Index\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:4:\"-100\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"3\";}s:16:\"system.db_update\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:16:\"system.db_update\";s:6:\"parent\";s:24:\"admin_toolbar_tools.help\";s:10:\"route_name\";s:16:\"system.db_update\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Run updates\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-6\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"3\";}s:15:\"system.run_cron\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:15:\"system.run_cron\";s:6:\"parent\";s:24:\"admin_toolbar_tools.help\";s:10:\"route_name\";s:22:\"admin_toolbar.run.cron\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Run cron\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-8\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"3\";}s:25:\"admin_toolbar_tools.flush\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:25:\"admin_toolbar_tools.flush\";s:6:\"parent\";s:24:\"admin_toolbar_tools.help\";s:10:\"route_name\";s:25:\"admin_toolbar_tools.flush\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Flush all caches\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-9\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:8:{s:25:\"admin_toolbar_tools.cssjs\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:25:\"admin_toolbar_tools.cssjs\";s:6:\"parent\";s:25:\"admin_toolbar_tools.flush\";s:10:\"route_name\";s:25:\"admin_toolbar_tools.cssjs\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Flush CSS and Javascript\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:26:\"admin_toolbar_tools.plugin\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:26:\"admin_toolbar_tools.plugin\";s:6:\"parent\";s:25:\"admin_toolbar_tools.flush\";s:10:\"route_name\";s:26:\"admin_toolbar_tools.plugin\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Flush plugins cache\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:32:\"admin_toolbar_tools.flush_static\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:32:\"admin_toolbar_tools.flush_static\";s:6:\"parent\";s:25:\"admin_toolbar_tools.flush\";s:10:\"route_name\";s:32:\"admin_toolbar_tools.flush_static\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Flush static cache\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:30:\"admin_toolbar_tools.flush_menu\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:30:\"admin_toolbar_tools.flush_menu\";s:6:\"parent\";s:25:\"admin_toolbar_tools.flush\";s:10:\"route_name\";s:30:\"admin_toolbar_tools.flush_menu\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Flush routing and links cache\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:30:\"admin_toolbar_tools.flush_twig\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:30:\"admin_toolbar_tools.flush_twig\";s:6:\"parent\";s:25:\"admin_toolbar_tools.flush\";s:10:\"route_name\";s:30:\"admin_toolbar_tools.flush_twig\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Flush twig cache\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:37:\"admin_toolbar_tools.flush_rendercache\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:37:\"admin_toolbar_tools.flush_rendercache\";s:6:\"parent\";s:25:\"admin_toolbar_tools.flush\";s:10:\"route_name\";s:37:\"admin_toolbar_tools.flush_rendercache\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Flush render cache\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:33:\"admin_toolbar_tools.theme_rebuild\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:33:\"admin_toolbar_tools.theme_rebuild\";s:6:\"parent\";s:25:\"admin_toolbar_tools.flush\";s:10:\"route_name\";s:33:\"admin_toolbar_tools.theme_rebuild\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"Rebuild theme registry\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:43:\"admin_toolbar_tools.extra_links:flush_views\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:43:\"admin_toolbar_tools.extra_links:flush_views\";s:6:\"parent\";s:25:\"admin_toolbar_tools.flush\";s:10:\"route_name\";s:31:\"admin_toolbar_tools.flush_views\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Flush views cache\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}}s:5:\"depth\";s:1:\"3\";}s:43:\"admin_toolbar_tools.extra_links:user.logout\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:43:\"admin_toolbar_tools.extra_links:user.logout\";s:6:\"parent\";s:24:\"admin_toolbar_tools.help\";s:10:\"route_name\";s:11:\"user.logout\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Logout\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"3\";}}s:5:\"depth\";s:1:\"2\";}}s:11:\"definitions\";a:214:{s:20:\"system.admin_content\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:20:\"system.admin_content\";s:6:\"parent\";s:12:\"system.admin\";s:10:\"route_name\";s:20:\"system.admin_content\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:11;s:11:\"description\";r:15;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:13:\"comment.admin\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:13:\"comment.admin\";s:6:\"parent\";s:20:\"system.admin_content\";s:10:\"route_name\";s:13:\"comment.admin\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:38;s:11:\"description\";r:42;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:7:\"comment\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:40:\"admin_toolbar_tools.extra_links:node.add\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:40:\"admin_toolbar_tools.extra_links:node.add\";s:6:\"parent\";s:20:\"system.admin_content\";s:10:\"route_name\";s:13:\"node.add_page\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:66;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:48:\"admin_toolbar_tools.extra_links:node.add.article\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:48:\"admin_toolbar_tools.extra_links:node.add.article\";s:6:\"parent\";s:40:\"admin_toolbar_tools.extra_links:node.add\";s:10:\"route_name\";s:8:\"node.add\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:7:\"article\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:91;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:47:\"admin_toolbar_tools.extra_links:node.add.banner\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:47:\"admin_toolbar_tools.extra_links:node.add.banner\";s:6:\"parent\";s:40:\"admin_toolbar_tools.extra_links:node.add\";s:10:\"route_name\";s:8:\"node.add\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:6:\"banner\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:118;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:45:\"admin_toolbar_tools.extra_links:node.add.blog\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:45:\"admin_toolbar_tools.extra_links:node.add.blog\";s:6:\"parent\";s:40:\"admin_toolbar_tools.extra_links:node.add\";s:10:\"route_name\";s:8:\"node.add\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:4:\"blog\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:145;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:52:\"admin_toolbar_tools.extra_links:node.add.our_mission\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:52:\"admin_toolbar_tools.extra_links:node.add.our_mission\";s:6:\"parent\";s:40:\"admin_toolbar_tools.extra_links:node.add\";s:10:\"route_name\";s:8:\"node.add\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:11:\"our_mission\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:172;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:53:\"admin_toolbar_tools.extra_links:node.add.our_services\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:53:\"admin_toolbar_tools.extra_links:node.add.our_services\";s:6:\"parent\";s:40:\"admin_toolbar_tools.extra_links:node.add\";s:10:\"route_name\";s:8:\"node.add\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:12:\"our_services\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:199;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:45:\"admin_toolbar_tools.extra_links:node.add.page\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:45:\"admin_toolbar_tools.extra_links:node.add.page\";s:6:\"parent\";s:40:\"admin_toolbar_tools.extra_links:node.add\";s:10:\"route_name\";s:8:\"node.add\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:4:\"page\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:226;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:49:\"admin_toolbar_tools.extra_links:node.add.partners\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:49:\"admin_toolbar_tools.extra_links:node.add.partners\";s:6:\"parent\";s:40:\"admin_toolbar_tools.extra_links:node.add\";s:10:\"route_name\";s:8:\"node.add\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:8:\"partners\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:253;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:50:\"admin_toolbar_tools.extra_links:node.add.portfolio\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:50:\"admin_toolbar_tools.extra_links:node.add.portfolio\";s:6:\"parent\";s:40:\"admin_toolbar_tools.extra_links:node.add\";s:10:\"route_name\";s:8:\"node.add\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:9:\"portfolio\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:280;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:57:\"admin_toolbar_tools.extra_links:node.add.simplenews_issue\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:57:\"admin_toolbar_tools.extra_links:node.add.simplenews_issue\";s:6:\"parent\";s:40:\"admin_toolbar_tools.extra_links:node.add\";s:10:\"route_name\";s:8:\"node.add\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:16:\"simplenews_issue\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:307;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:47:\"admin_toolbar_tools.extra_links:node.add.why_us\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:47:\"admin_toolbar_tools.extra_links:node.add.why_us\";s:6:\"parent\";s:40:\"admin_toolbar_tools.extra_links:node.add\";s:10:\"route_name\";s:8:\"node.add\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:6:\"why_us\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:334;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:42:\"admin_toolbar_tools.extra_links:view.files\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:42:\"admin_toolbar_tools.extra_links:view.files\";s:6:\"parent\";s:20:\"system.admin_content\";s:10:\"route_name\";s:17:\"view.files.page_1\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:361;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:22:\"system.admin_structure\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:22:\"system.admin_structure\";s:6:\"parent\";s:12:\"system.admin\";s:10:\"route_name\";s:22:\"system.admin_structure\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:387;s:11:\"description\";r:391;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-8\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:19:\"block.admin_display\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:19:\"block.admin_display\";s:6:\"parent\";s:22:\"system.admin_structure\";s:10:\"route_name\";s:19:\"block.admin_display\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:414;s:11:\"description\";r:418;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:5:\"block\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:54:\"admin_toolbar_tools.extra_links:block_content.add_page\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:54:\"admin_toolbar_tools.extra_links:block_content.add_page\";s:6:\"parent\";s:19:\"block.admin_display\";s:10:\"route_name\";s:22:\"block_content.add_page\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:441;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:63:\"admin_toolbar_tools.extra_links:entity.block_content.collection\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:63:\"admin_toolbar_tools.extra_links:entity.block_content.collection\";s:6:\"parent\";s:19:\"block.admin_display\";s:10:\"route_name\";s:31:\"entity.block_content.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:466;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:68:\"admin_toolbar_tools.extra_links:entity.block_content_type.collection\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:68:\"admin_toolbar_tools.extra_links:entity.block_content_type.collection\";s:6:\"parent\";s:19:\"block.admin_display\";s:10:\"route_name\";s:36:\"entity.block_content_type.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:491;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:27:\"entity.node_type.collection\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:27:\"entity.node_type.collection\";s:6:\"parent\";s:22:\"system.admin_structure\";s:10:\"route_name\";s:27:\"entity.node_type.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:517;s:11:\"description\";r:521;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:4:\"node\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:52:\"admin_toolbar_tools.extra_links:node_type.collection\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:52:\"admin_toolbar_tools.extra_links:node_type.collection\";s:6:\"parent\";s:27:\"entity.node_type.collection\";s:10:\"route_name\";s:27:\"entity.node_type.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:544;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-1\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:66:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.article\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:66:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.article\";s:6:\"parent\";s:27:\"entity.node_type.collection\";s:10:\"route_name\";s:26:\"entity.node_type.edit_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:7:\"article\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:570;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:66:\"admin_toolbar_tools.extra_links:entity.node.field_ui_fieldsarticle\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:66:\"admin_toolbar_tools.extra_links:entity.node.field_ui_fieldsarticle\";s:6:\"parent\";s:66:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.article\";s:10:\"route_name\";s:27:\"entity.node.field_ui_fields\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:7:\"article\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:596;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"1\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:78:\"admin_toolbar_tools.extra_links:entity.entity_form_display.node.defaultarticle\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:78:\"admin_toolbar_tools.extra_links:entity.entity_form_display.node.defaultarticle\";s:6:\"parent\";s:66:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.article\";s:10:\"route_name\";s:39:\"entity.entity_form_display.node.default\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:7:\"article\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:622;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"2\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:79:\"admin_toolbar_tools.extra_links:entity.entity_view_display.node.default.article\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:79:\"admin_toolbar_tools.extra_links:entity.entity_view_display.node.default.article\";s:6:\"parent\";s:66:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.article\";s:10:\"route_name\";s:39:\"entity.entity_view_display.node.default\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:7:\"article\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:648;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"3\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:68:\"admin_toolbar_tools.extra_links:entity.node_type.delete_form.article\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:68:\"admin_toolbar_tools.extra_links:entity.node_type.delete_form.article\";s:6:\"parent\";s:66:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.article\";s:10:\"route_name\";s:28:\"entity.node_type.delete_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:7:\"article\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:674;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:65:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.banner\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:65:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.banner\";s:6:\"parent\";s:27:\"entity.node_type.collection\";s:10:\"route_name\";s:26:\"entity.node_type.edit_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:6:\"banner\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:701;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:65:\"admin_toolbar_tools.extra_links:entity.node.field_ui_fieldsbanner\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:65:\"admin_toolbar_tools.extra_links:entity.node.field_ui_fieldsbanner\";s:6:\"parent\";s:65:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.banner\";s:10:\"route_name\";s:27:\"entity.node.field_ui_fields\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:6:\"banner\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:727;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"1\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:77:\"admin_toolbar_tools.extra_links:entity.entity_form_display.node.defaultbanner\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:77:\"admin_toolbar_tools.extra_links:entity.entity_form_display.node.defaultbanner\";s:6:\"parent\";s:65:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.banner\";s:10:\"route_name\";s:39:\"entity.entity_form_display.node.default\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:6:\"banner\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:753;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"2\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:78:\"admin_toolbar_tools.extra_links:entity.entity_view_display.node.default.banner\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:78:\"admin_toolbar_tools.extra_links:entity.entity_view_display.node.default.banner\";s:6:\"parent\";s:65:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.banner\";s:10:\"route_name\";s:39:\"entity.entity_view_display.node.default\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:6:\"banner\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:779;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"3\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:67:\"admin_toolbar_tools.extra_links:entity.node_type.delete_form.banner\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:67:\"admin_toolbar_tools.extra_links:entity.node_type.delete_form.banner\";s:6:\"parent\";s:65:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.banner\";s:10:\"route_name\";s:28:\"entity.node_type.delete_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:6:\"banner\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:805;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:63:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.blog\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:63:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.blog\";s:6:\"parent\";s:27:\"entity.node_type.collection\";s:10:\"route_name\";s:26:\"entity.node_type.edit_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:4:\"blog\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:832;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:63:\"admin_toolbar_tools.extra_links:entity.node.field_ui_fieldsblog\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:63:\"admin_toolbar_tools.extra_links:entity.node.field_ui_fieldsblog\";s:6:\"parent\";s:63:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.blog\";s:10:\"route_name\";s:27:\"entity.node.field_ui_fields\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:4:\"blog\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:858;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"1\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:75:\"admin_toolbar_tools.extra_links:entity.entity_form_display.node.defaultblog\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:75:\"admin_toolbar_tools.extra_links:entity.entity_form_display.node.defaultblog\";s:6:\"parent\";s:63:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.blog\";s:10:\"route_name\";s:39:\"entity.entity_form_display.node.default\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:4:\"blog\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:884;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"2\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:76:\"admin_toolbar_tools.extra_links:entity.entity_view_display.node.default.blog\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:76:\"admin_toolbar_tools.extra_links:entity.entity_view_display.node.default.blog\";s:6:\"parent\";s:63:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.blog\";s:10:\"route_name\";s:39:\"entity.entity_view_display.node.default\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:4:\"blog\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:910;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"3\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:65:\"admin_toolbar_tools.extra_links:entity.node_type.delete_form.blog\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:65:\"admin_toolbar_tools.extra_links:entity.node_type.delete_form.blog\";s:6:\"parent\";s:63:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.blog\";s:10:\"route_name\";s:28:\"entity.node_type.delete_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:4:\"blog\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:936;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:70:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.our_mission\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:70:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.our_mission\";s:6:\"parent\";s:27:\"entity.node_type.collection\";s:10:\"route_name\";s:26:\"entity.node_type.edit_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:11:\"our_mission\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:963;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:70:\"admin_toolbar_tools.extra_links:entity.node.field_ui_fieldsour_mission\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:70:\"admin_toolbar_tools.extra_links:entity.node.field_ui_fieldsour_mission\";s:6:\"parent\";s:70:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.our_mission\";s:10:\"route_name\";s:27:\"entity.node.field_ui_fields\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:11:\"our_mission\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:989;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"1\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:82:\"admin_toolbar_tools.extra_links:entity.entity_form_display.node.defaultour_mission\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:82:\"admin_toolbar_tools.extra_links:entity.entity_form_display.node.defaultour_mission\";s:6:\"parent\";s:70:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.our_mission\";s:10:\"route_name\";s:39:\"entity.entity_form_display.node.default\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:11:\"our_mission\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1015;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"2\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:83:\"admin_toolbar_tools.extra_links:entity.entity_view_display.node.default.our_mission\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:83:\"admin_toolbar_tools.extra_links:entity.entity_view_display.node.default.our_mission\";s:6:\"parent\";s:70:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.our_mission\";s:10:\"route_name\";s:39:\"entity.entity_view_display.node.default\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:11:\"our_mission\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1041;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"3\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:72:\"admin_toolbar_tools.extra_links:entity.node_type.delete_form.our_mission\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:72:\"admin_toolbar_tools.extra_links:entity.node_type.delete_form.our_mission\";s:6:\"parent\";s:70:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.our_mission\";s:10:\"route_name\";s:28:\"entity.node_type.delete_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:11:\"our_mission\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1067;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:71:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.our_services\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:71:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.our_services\";s:6:\"parent\";s:27:\"entity.node_type.collection\";s:10:\"route_name\";s:26:\"entity.node_type.edit_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:12:\"our_services\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1094;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:71:\"admin_toolbar_tools.extra_links:entity.node.field_ui_fieldsour_services\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:71:\"admin_toolbar_tools.extra_links:entity.node.field_ui_fieldsour_services\";s:6:\"parent\";s:71:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.our_services\";s:10:\"route_name\";s:27:\"entity.node.field_ui_fields\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:12:\"our_services\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1120;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"1\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:83:\"admin_toolbar_tools.extra_links:entity.entity_form_display.node.defaultour_services\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:83:\"admin_toolbar_tools.extra_links:entity.entity_form_display.node.defaultour_services\";s:6:\"parent\";s:71:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.our_services\";s:10:\"route_name\";s:39:\"entity.entity_form_display.node.default\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:12:\"our_services\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1146;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"2\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:84:\"admin_toolbar_tools.extra_links:entity.entity_view_display.node.default.our_services\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:84:\"admin_toolbar_tools.extra_links:entity.entity_view_display.node.default.our_services\";s:6:\"parent\";s:71:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.our_services\";s:10:\"route_name\";s:39:\"entity.entity_view_display.node.default\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:12:\"our_services\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1172;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"3\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:73:\"admin_toolbar_tools.extra_links:entity.node_type.delete_form.our_services\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:73:\"admin_toolbar_tools.extra_links:entity.node_type.delete_form.our_services\";s:6:\"parent\";s:71:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.our_services\";s:10:\"route_name\";s:28:\"entity.node_type.delete_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:12:\"our_services\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1198;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:63:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.page\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:63:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.page\";s:6:\"parent\";s:27:\"entity.node_type.collection\";s:10:\"route_name\";s:26:\"entity.node_type.edit_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:4:\"page\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1225;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:63:\"admin_toolbar_tools.extra_links:entity.node.field_ui_fieldspage\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:63:\"admin_toolbar_tools.extra_links:entity.node.field_ui_fieldspage\";s:6:\"parent\";s:63:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.page\";s:10:\"route_name\";s:27:\"entity.node.field_ui_fields\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:4:\"page\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1251;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"1\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:75:\"admin_toolbar_tools.extra_links:entity.entity_form_display.node.defaultpage\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:75:\"admin_toolbar_tools.extra_links:entity.entity_form_display.node.defaultpage\";s:6:\"parent\";s:63:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.page\";s:10:\"route_name\";s:39:\"entity.entity_form_display.node.default\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:4:\"page\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1277;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"2\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:76:\"admin_toolbar_tools.extra_links:entity.entity_view_display.node.default.page\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:76:\"admin_toolbar_tools.extra_links:entity.entity_view_display.node.default.page\";s:6:\"parent\";s:63:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.page\";s:10:\"route_name\";s:39:\"entity.entity_view_display.node.default\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:4:\"page\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1303;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"3\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:65:\"admin_toolbar_tools.extra_links:entity.node_type.delete_form.page\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:65:\"admin_toolbar_tools.extra_links:entity.node_type.delete_form.page\";s:6:\"parent\";s:63:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.page\";s:10:\"route_name\";s:28:\"entity.node_type.delete_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:4:\"page\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1329;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:67:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.partners\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:67:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.partners\";s:6:\"parent\";s:27:\"entity.node_type.collection\";s:10:\"route_name\";s:26:\"entity.node_type.edit_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:8:\"partners\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1356;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:67:\"admin_toolbar_tools.extra_links:entity.node.field_ui_fieldspartners\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:67:\"admin_toolbar_tools.extra_links:entity.node.field_ui_fieldspartners\";s:6:\"parent\";s:67:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.partners\";s:10:\"route_name\";s:27:\"entity.node.field_ui_fields\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:8:\"partners\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1382;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"1\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:79:\"admin_toolbar_tools.extra_links:entity.entity_form_display.node.defaultpartners\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:79:\"admin_toolbar_tools.extra_links:entity.entity_form_display.node.defaultpartners\";s:6:\"parent\";s:67:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.partners\";s:10:\"route_name\";s:39:\"entity.entity_form_display.node.default\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:8:\"partners\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1408;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"2\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:80:\"admin_toolbar_tools.extra_links:entity.entity_view_display.node.default.partners\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:80:\"admin_toolbar_tools.extra_links:entity.entity_view_display.node.default.partners\";s:6:\"parent\";s:67:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.partners\";s:10:\"route_name\";s:39:\"entity.entity_view_display.node.default\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:8:\"partners\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1434;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"3\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:69:\"admin_toolbar_tools.extra_links:entity.node_type.delete_form.partners\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:69:\"admin_toolbar_tools.extra_links:entity.node_type.delete_form.partners\";s:6:\"parent\";s:67:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.partners\";s:10:\"route_name\";s:28:\"entity.node_type.delete_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:8:\"partners\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1460;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:68:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.portfolio\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:68:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.portfolio\";s:6:\"parent\";s:27:\"entity.node_type.collection\";s:10:\"route_name\";s:26:\"entity.node_type.edit_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:9:\"portfolio\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1487;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:68:\"admin_toolbar_tools.extra_links:entity.node.field_ui_fieldsportfolio\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:68:\"admin_toolbar_tools.extra_links:entity.node.field_ui_fieldsportfolio\";s:6:\"parent\";s:68:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.portfolio\";s:10:\"route_name\";s:27:\"entity.node.field_ui_fields\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:9:\"portfolio\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1513;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"1\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:80:\"admin_toolbar_tools.extra_links:entity.entity_form_display.node.defaultportfolio\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:80:\"admin_toolbar_tools.extra_links:entity.entity_form_display.node.defaultportfolio\";s:6:\"parent\";s:68:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.portfolio\";s:10:\"route_name\";s:39:\"entity.entity_form_display.node.default\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:9:\"portfolio\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1539;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"2\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:81:\"admin_toolbar_tools.extra_links:entity.entity_view_display.node.default.portfolio\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:81:\"admin_toolbar_tools.extra_links:entity.entity_view_display.node.default.portfolio\";s:6:\"parent\";s:68:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.portfolio\";s:10:\"route_name\";s:39:\"entity.entity_view_display.node.default\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:9:\"portfolio\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1565;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"3\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:70:\"admin_toolbar_tools.extra_links:entity.node_type.delete_form.portfolio\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:70:\"admin_toolbar_tools.extra_links:entity.node_type.delete_form.portfolio\";s:6:\"parent\";s:68:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.portfolio\";s:10:\"route_name\";s:28:\"entity.node_type.delete_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:9:\"portfolio\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1591;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:75:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.simplenews_issue\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:75:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.simplenews_issue\";s:6:\"parent\";s:27:\"entity.node_type.collection\";s:10:\"route_name\";s:26:\"entity.node_type.edit_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:16:\"simplenews_issue\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1618;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:75:\"admin_toolbar_tools.extra_links:entity.node.field_ui_fieldssimplenews_issue\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:75:\"admin_toolbar_tools.extra_links:entity.node.field_ui_fieldssimplenews_issue\";s:6:\"parent\";s:75:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.simplenews_issue\";s:10:\"route_name\";s:27:\"entity.node.field_ui_fields\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:16:\"simplenews_issue\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1644;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"1\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:87:\"admin_toolbar_tools.extra_links:entity.entity_form_display.node.defaultsimplenews_issue\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:87:\"admin_toolbar_tools.extra_links:entity.entity_form_display.node.defaultsimplenews_issue\";s:6:\"parent\";s:75:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.simplenews_issue\";s:10:\"route_name\";s:39:\"entity.entity_form_display.node.default\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:16:\"simplenews_issue\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1670;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"2\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:88:\"admin_toolbar_tools.extra_links:entity.entity_view_display.node.default.simplenews_issue\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:88:\"admin_toolbar_tools.extra_links:entity.entity_view_display.node.default.simplenews_issue\";s:6:\"parent\";s:75:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.simplenews_issue\";s:10:\"route_name\";s:39:\"entity.entity_view_display.node.default\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:16:\"simplenews_issue\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1696;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"3\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:77:\"admin_toolbar_tools.extra_links:entity.node_type.delete_form.simplenews_issue\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:77:\"admin_toolbar_tools.extra_links:entity.node_type.delete_form.simplenews_issue\";s:6:\"parent\";s:75:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.simplenews_issue\";s:10:\"route_name\";s:28:\"entity.node_type.delete_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:16:\"simplenews_issue\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1722;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:65:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.why_us\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:65:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.why_us\";s:6:\"parent\";s:27:\"entity.node_type.collection\";s:10:\"route_name\";s:26:\"entity.node_type.edit_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:6:\"why_us\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1749;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:65:\"admin_toolbar_tools.extra_links:entity.node.field_ui_fieldswhy_us\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:65:\"admin_toolbar_tools.extra_links:entity.node.field_ui_fieldswhy_us\";s:6:\"parent\";s:65:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.why_us\";s:10:\"route_name\";s:27:\"entity.node.field_ui_fields\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:6:\"why_us\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1775;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"1\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:77:\"admin_toolbar_tools.extra_links:entity.entity_form_display.node.defaultwhy_us\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:77:\"admin_toolbar_tools.extra_links:entity.entity_form_display.node.defaultwhy_us\";s:6:\"parent\";s:65:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.why_us\";s:10:\"route_name\";s:39:\"entity.entity_form_display.node.default\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:6:\"why_us\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1801;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"2\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:78:\"admin_toolbar_tools.extra_links:entity.entity_view_display.node.default.why_us\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:78:\"admin_toolbar_tools.extra_links:entity.entity_view_display.node.default.why_us\";s:6:\"parent\";s:65:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.why_us\";s:10:\"route_name\";s:39:\"entity.entity_view_display.node.default\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:6:\"why_us\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1827;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"3\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:67:\"admin_toolbar_tools.extra_links:entity.node_type.delete_form.why_us\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:67:\"admin_toolbar_tools.extra_links:entity.node_type.delete_form.why_us\";s:6:\"parent\";s:65:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.why_us\";s:10:\"route_name\";s:28:\"entity.node_type.delete_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:6:\"why_us\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1853;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:45:\"admin_toolbar_tools.extra_links:node.type_add\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:45:\"admin_toolbar_tools.extra_links:node.type_add\";s:6:\"parent\";s:27:\"entity.node_type.collection\";s:10:\"route_name\";s:13:\"node.type_add\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1879;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-2\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:30:\"entity.comment_type.collection\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:30:\"entity.comment_type.collection\";s:6:\"parent\";s:22:\"system.admin_structure\";s:10:\"route_name\";s:30:\"entity.comment_type.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1905;s:11:\"description\";r:1909;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:7:\"comment\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:69:\"admin_toolbar_tools.extra_links:entity.comment_type.edit_form.comment\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:69:\"admin_toolbar_tools.extra_links:entity.comment_type.edit_form.comment\";s:6:\"parent\";s:30:\"entity.comment_type.collection\";s:10:\"route_name\";s:29:\"entity.comment_type.edit_form\";s:16:\"route_parameters\";a:1:{s:12:\"comment_type\";s:7:\"comment\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1933;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:69:\"admin_toolbar_tools.extra_links:entity.comment.field_ui_fieldscomment\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:69:\"admin_toolbar_tools.extra_links:entity.comment.field_ui_fieldscomment\";s:6:\"parent\";s:69:\"admin_toolbar_tools.extra_links:entity.comment_type.edit_form.comment\";s:10:\"route_name\";s:30:\"entity.comment.field_ui_fields\";s:16:\"route_parameters\";a:1:{s:12:\"comment_type\";s:7:\"comment\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1959;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"1\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:81:\"admin_toolbar_tools.extra_links:entity.entity_form_display.comment.defaultcomment\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:81:\"admin_toolbar_tools.extra_links:entity.entity_form_display.comment.defaultcomment\";s:6:\"parent\";s:69:\"admin_toolbar_tools.extra_links:entity.comment_type.edit_form.comment\";s:10:\"route_name\";s:42:\"entity.entity_form_display.comment.default\";s:16:\"route_parameters\";a:1:{s:12:\"comment_type\";s:7:\"comment\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1985;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"2\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:82:\"admin_toolbar_tools.extra_links:entity.entity_view_display.comment.default.comment\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:82:\"admin_toolbar_tools.extra_links:entity.entity_view_display.comment.default.comment\";s:6:\"parent\";s:69:\"admin_toolbar_tools.extra_links:entity.comment_type.edit_form.comment\";s:10:\"route_name\";s:42:\"entity.entity_view_display.comment.default\";s:16:\"route_parameters\";a:1:{s:12:\"comment_type\";s:7:\"comment\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2011;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"3\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:71:\"admin_toolbar_tools.extra_links:entity.comment_type.delete_form.comment\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:71:\"admin_toolbar_tools.extra_links:entity.comment_type.delete_form.comment\";s:6:\"parent\";s:69:\"admin_toolbar_tools.extra_links:entity.comment_type.edit_form.comment\";s:10:\"route_name\";s:31:\"entity.comment_type.delete_form\";s:16:\"route_parameters\";a:1:{s:12:\"comment_type\";s:7:\"comment\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2037;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:30:\"entity.contact_form.collection\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:30:\"entity.contact_form.collection\";s:6:\"parent\";s:22:\"system.admin_structure\";s:10:\"route_name\";s:30:\"entity.contact_form.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2064;s:11:\"description\";r:2068;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:7:\"contact\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:70:\"admin_toolbar_tools.extra_links:entity.contact_form.edit_form.feedback\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:70:\"admin_toolbar_tools.extra_links:entity.contact_form.edit_form.feedback\";s:6:\"parent\";s:30:\"entity.contact_form.collection\";s:10:\"route_name\";s:29:\"entity.contact_form.edit_form\";s:16:\"route_parameters\";a:1:{s:12:\"contact_form\";s:8:\"feedback\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2092;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:78:\"admin_toolbar_tools.extra_links:entity.contact_message.field_ui_fieldsfeedback\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:78:\"admin_toolbar_tools.extra_links:entity.contact_message.field_ui_fieldsfeedback\";s:6:\"parent\";s:70:\"admin_toolbar_tools.extra_links:entity.contact_form.edit_form.feedback\";s:10:\"route_name\";s:38:\"entity.contact_message.field_ui_fields\";s:16:\"route_parameters\";a:1:{s:12:\"contact_form\";s:8:\"feedback\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2118;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"1\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:90:\"admin_toolbar_tools.extra_links:entity.entity_form_display.contact_message.defaultfeedback\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:90:\"admin_toolbar_tools.extra_links:entity.entity_form_display.contact_message.defaultfeedback\";s:6:\"parent\";s:70:\"admin_toolbar_tools.extra_links:entity.contact_form.edit_form.feedback\";s:10:\"route_name\";s:50:\"entity.entity_form_display.contact_message.default\";s:16:\"route_parameters\";a:1:{s:12:\"contact_form\";s:8:\"feedback\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2144;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"2\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:91:\"admin_toolbar_tools.extra_links:entity.entity_view_display.contact_message.default.feedback\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:91:\"admin_toolbar_tools.extra_links:entity.entity_view_display.contact_message.default.feedback\";s:6:\"parent\";s:70:\"admin_toolbar_tools.extra_links:entity.contact_form.edit_form.feedback\";s:10:\"route_name\";s:50:\"entity.entity_view_display.contact_message.default\";s:16:\"route_parameters\";a:1:{s:12:\"contact_form\";s:8:\"feedback\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2170;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"3\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:72:\"admin_toolbar_tools.extra_links:entity.contact_form.delete_form.feedback\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:72:\"admin_toolbar_tools.extra_links:entity.contact_form.delete_form.feedback\";s:6:\"parent\";s:70:\"admin_toolbar_tools.extra_links:entity.contact_form.edit_form.feedback\";s:10:\"route_name\";s:31:\"entity.contact_form.delete_form\";s:16:\"route_parameters\";a:1:{s:12:\"contact_form\";s:8:\"feedback\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2196;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:70:\"admin_toolbar_tools.extra_links:entity.contact_form.edit_form.personal\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:70:\"admin_toolbar_tools.extra_links:entity.contact_form.edit_form.personal\";s:6:\"parent\";s:30:\"entity.contact_form.collection\";s:10:\"route_name\";s:29:\"entity.contact_form.edit_form\";s:16:\"route_parameters\";a:1:{s:12:\"contact_form\";s:8:\"personal\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2223;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:78:\"admin_toolbar_tools.extra_links:entity.contact_message.field_ui_fieldspersonal\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:78:\"admin_toolbar_tools.extra_links:entity.contact_message.field_ui_fieldspersonal\";s:6:\"parent\";s:70:\"admin_toolbar_tools.extra_links:entity.contact_form.edit_form.personal\";s:10:\"route_name\";s:38:\"entity.contact_message.field_ui_fields\";s:16:\"route_parameters\";a:1:{s:12:\"contact_form\";s:8:\"personal\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2249;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"1\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:90:\"admin_toolbar_tools.extra_links:entity.entity_form_display.contact_message.defaultpersonal\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:90:\"admin_toolbar_tools.extra_links:entity.entity_form_display.contact_message.defaultpersonal\";s:6:\"parent\";s:70:\"admin_toolbar_tools.extra_links:entity.contact_form.edit_form.personal\";s:10:\"route_name\";s:50:\"entity.entity_form_display.contact_message.default\";s:16:\"route_parameters\";a:1:{s:12:\"contact_form\";s:8:\"personal\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2275;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"2\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:91:\"admin_toolbar_tools.extra_links:entity.entity_view_display.contact_message.default.personal\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:91:\"admin_toolbar_tools.extra_links:entity.entity_view_display.contact_message.default.personal\";s:6:\"parent\";s:70:\"admin_toolbar_tools.extra_links:entity.contact_form.edit_form.personal\";s:10:\"route_name\";s:50:\"entity.entity_view_display.contact_message.default\";s:16:\"route_parameters\";a:1:{s:12:\"contact_form\";s:8:\"personal\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2301;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"3\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:72:\"admin_toolbar_tools.extra_links:entity.contact_form.delete_form.personal\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:72:\"admin_toolbar_tools.extra_links:entity.contact_form.delete_form.personal\";s:6:\"parent\";s:70:\"admin_toolbar_tools.extra_links:entity.contact_form.edit_form.personal\";s:10:\"route_name\";s:31:\"entity.contact_form.delete_form\";s:16:\"route_parameters\";a:1:{s:12:\"contact_form\";s:8:\"personal\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2327;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:48:\"admin_toolbar_tools.extra_links:contact.form_add\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:48:\"admin_toolbar_tools.extra_links:contact.form_add\";s:6:\"parent\";s:30:\"entity.contact_form.collection\";s:10:\"route_name\";s:16:\"contact.form_add\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2353;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:21:\"field_ui.display_mode\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:21:\"field_ui.display_mode\";s:6:\"parent\";s:22:\"system.admin_structure\";s:10:\"route_name\";s:21:\"field_ui.display_mode\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2379;s:11:\"description\";r:2383;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"field_ui\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:34:\"entity.entity_view_mode.collection\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:34:\"entity.entity_view_mode.collection\";s:6:\"parent\";s:21:\"field_ui.display_mode\";s:10:\"route_name\";s:34:\"entity.entity_view_mode.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2406;s:11:\"description\";r:2410;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"field_ui\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:61:\"admin_toolbar_tools.extra_links:field_ui.entity_view_mode_add\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:61:\"admin_toolbar_tools.extra_links:field_ui.entity_view_mode_add\";s:6:\"parent\";s:34:\"entity.entity_view_mode.collection\";s:10:\"route_name\";s:29:\"field_ui.entity_view_mode_add\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2433;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:34:\"entity.entity_form_mode.collection\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:34:\"entity.entity_form_mode.collection\";s:6:\"parent\";s:21:\"field_ui.display_mode\";s:10:\"route_name\";s:34:\"entity.entity_form_mode.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2459;s:11:\"description\";r:2463;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"field_ui\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:61:\"admin_toolbar_tools.extra_links:field_ui.entity_form_mode_add\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:61:\"admin_toolbar_tools.extra_links:field_ui.entity_form_mode_add\";s:6:\"parent\";s:34:\"entity.entity_form_mode.collection\";s:10:\"route_name\";s:29:\"field_ui.entity_form_mode_add\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2486;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:37:\"entity.taxonomy_vocabulary.collection\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:37:\"entity.taxonomy_vocabulary.collection\";s:6:\"parent\";s:22:\"system.admin_structure\";s:10:\"route_name\";s:37:\"entity.taxonomy_vocabulary.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2513;s:11:\"description\";r:2517;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"taxonomy\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:77:\"admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.overview_form.tags\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:77:\"admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.overview_form.tags\";s:6:\"parent\";s:37:\"entity.taxonomy_vocabulary.collection\";s:10:\"route_name\";s:40:\"entity.taxonomy_vocabulary.overview_form\";s:16:\"route_parameters\";a:1:{s:19:\"taxonomy_vocabulary\";s:4:\"tags\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2541;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:73:\"admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.edit_form.tags\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:73:\"admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.edit_form.tags\";s:6:\"parent\";s:77:\"admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.overview_form.tags\";s:10:\"route_name\";s:36:\"entity.taxonomy_vocabulary.edit_form\";s:16:\"route_parameters\";a:1:{s:19:\"taxonomy_vocabulary\";s:4:\"tags\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2567;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:72:\"admin_toolbar_tools.extra_links:entity.taxonomy_term.field_ui_fieldstags\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:72:\"admin_toolbar_tools.extra_links:entity.taxonomy_term.field_ui_fieldstags\";s:6:\"parent\";s:77:\"admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.overview_form.tags\";s:10:\"route_name\";s:36:\"entity.taxonomy_term.field_ui_fields\";s:16:\"route_parameters\";a:1:{s:19:\"taxonomy_vocabulary\";s:4:\"tags\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2593;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"1\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:84:\"admin_toolbar_tools.extra_links:entity.entity_form_display.taxonomy_term.defaulttags\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:84:\"admin_toolbar_tools.extra_links:entity.entity_form_display.taxonomy_term.defaulttags\";s:6:\"parent\";s:77:\"admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.overview_form.tags\";s:10:\"route_name\";s:48:\"entity.entity_form_display.taxonomy_term.default\";s:16:\"route_parameters\";a:1:{s:19:\"taxonomy_vocabulary\";s:4:\"tags\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2619;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"2\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:85:\"admin_toolbar_tools.extra_links:entity.entity_view_display.taxonomy_term.default.tags\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:85:\"admin_toolbar_tools.extra_links:entity.entity_view_display.taxonomy_term.default.tags\";s:6:\"parent\";s:77:\"admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.overview_form.tags\";s:10:\"route_name\";s:48:\"entity.entity_view_display.taxonomy_term.default\";s:16:\"route_parameters\";a:1:{s:19:\"taxonomy_vocabulary\";s:4:\"tags\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2645;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"3\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:75:\"admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.delete_form.tags\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:75:\"admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.delete_form.tags\";s:6:\"parent\";s:77:\"admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.overview_form.tags\";s:10:\"route_name\";s:38:\"entity.taxonomy_vocabulary.delete_form\";s:16:\"route_parameters\";a:1:{s:19:\"taxonomy_vocabulary\";s:4:\"tags\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2671;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:67:\"admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.add_form\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:67:\"admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.add_form\";s:6:\"parent\";s:37:\"entity.taxonomy_vocabulary.collection\";s:10:\"route_name\";s:35:\"entity.taxonomy_vocabulary.add_form\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2697;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:22:\"entity.menu.collection\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:22:\"entity.menu.collection\";s:6:\"parent\";s:22:\"system.admin_structure\";s:10:\"route_name\";s:22:\"entity.menu.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2723;s:11:\"description\";r:2727;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:7:\"menu_ui\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:52:\"admin_toolbar_tools.extra_links:entity.menu.add_form\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:52:\"admin_toolbar_tools.extra_links:entity.menu.add_form\";s:6:\"parent\";s:22:\"entity.menu.collection\";s:10:\"route_name\";s:20:\"entity.menu.add_form\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2750;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-2\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:59:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.admin\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:59:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.admin\";s:6:\"parent\";s:22:\"entity.menu.collection\";s:10:\"route_name\";s:21:\"entity.menu.edit_form\";s:16:\"route_parameters\";a:1:{s:4:\"menu\";s:5:\"admin\";}s:3:\"url\";s:0:\"\";s:5:\"title\";s:14:\"Administration\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:63:\"admin_toolbar_tools.extra_links:entity.menu.add_link_form.admin\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:63:\"admin_toolbar_tools.extra_links:entity.menu.add_link_form.admin\";s:6:\"parent\";s:59:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.admin\";s:10:\"route_name\";s:25:\"entity.menu.add_link_form\";s:16:\"route_parameters\";a:1:{s:4:\"menu\";s:5:\"admin\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2798;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:60:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.footer\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:60:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.footer\";s:6:\"parent\";s:22:\"entity.menu.collection\";s:10:\"route_name\";s:21:\"entity.menu.edit_form\";s:16:\"route_parameters\";a:1:{s:4:\"menu\";s:6:\"footer\";}s:3:\"url\";s:0:\"\";s:5:\"title\";s:6:\"Footer\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"1\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:64:\"admin_toolbar_tools.extra_links:entity.menu.add_link_form.footer\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:64:\"admin_toolbar_tools.extra_links:entity.menu.add_link_form.footer\";s:6:\"parent\";s:60:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.footer\";s:10:\"route_name\";s:25:\"entity.menu.add_link_form\";s:16:\"route_parameters\";a:1:{s:4:\"menu\";s:6:\"footer\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2847;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:58:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.main\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:58:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.main\";s:6:\"parent\";s:22:\"entity.menu.collection\";s:10:\"route_name\";s:21:\"entity.menu.edit_form\";s:16:\"route_parameters\";a:1:{s:4:\"menu\";s:4:\"main\";}s:3:\"url\";s:0:\"\";s:5:\"title\";s:15:\"Main navigation\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"2\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:62:\"admin_toolbar_tools.extra_links:entity.menu.add_link_form.main\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:62:\"admin_toolbar_tools.extra_links:entity.menu.add_link_form.main\";s:6:\"parent\";s:58:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.main\";s:10:\"route_name\";s:25:\"entity.menu.add_link_form\";s:16:\"route_parameters\";a:1:{s:4:\"menu\";s:4:\"main\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2896;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:59:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.quick\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:59:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.quick\";s:6:\"parent\";s:22:\"entity.menu.collection\";s:10:\"route_name\";s:21:\"entity.menu.edit_form\";s:16:\"route_parameters\";a:1:{s:4:\"menu\";s:5:\"quick\";}s:3:\"url\";s:0:\"\";s:5:\"title\";s:11:\"Quick links\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"3\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:63:\"admin_toolbar_tools.extra_links:entity.menu.add_link_form.quick\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:63:\"admin_toolbar_tools.extra_links:entity.menu.add_link_form.quick\";s:6:\"parent\";s:59:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.quick\";s:10:\"route_name\";s:25:\"entity.menu.add_link_form\";s:16:\"route_parameters\";a:1:{s:4:\"menu\";s:5:\"quick\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2945;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:61:\"admin_toolbar_tools.extra_links:entity.menu.delete_form.quick\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:61:\"admin_toolbar_tools.extra_links:entity.menu.delete_form.quick\";s:6:\"parent\";s:59:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.quick\";s:10:\"route_name\";s:23:\"entity.menu.delete_form\";s:16:\"route_parameters\";a:1:{s:4:\"menu\";s:5:\"quick\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2971;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:59:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.tools\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:59:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.tools\";s:6:\"parent\";s:22:\"entity.menu.collection\";s:10:\"route_name\";s:21:\"entity.menu.edit_form\";s:16:\"route_parameters\";a:1:{s:4:\"menu\";s:5:\"tools\";}s:3:\"url\";s:0:\"\";s:5:\"title\";s:5:\"Tools\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"4\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:63:\"admin_toolbar_tools.extra_links:entity.menu.add_link_form.tools\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:63:\"admin_toolbar_tools.extra_links:entity.menu.add_link_form.tools\";s:6:\"parent\";s:59:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.tools\";s:10:\"route_name\";s:25:\"entity.menu.add_link_form\";s:16:\"route_parameters\";a:1:{s:4:\"menu\";s:5:\"tools\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3020;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:61:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.account\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:61:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.account\";s:6:\"parent\";s:22:\"entity.menu.collection\";s:10:\"route_name\";s:21:\"entity.menu.edit_form\";s:16:\"route_parameters\";a:1:{s:4:\"menu\";s:7:\"account\";}s:3:\"url\";s:0:\"\";s:5:\"title\";s:17:\"User account menu\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:65:\"admin_toolbar_tools.extra_links:entity.menu.add_link_form.account\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:65:\"admin_toolbar_tools.extra_links:entity.menu.add_link_form.account\";s:6:\"parent\";s:61:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.account\";s:10:\"route_name\";s:25:\"entity.menu.add_link_form\";s:16:\"route_parameters\";a:1:{s:4:\"menu\";s:7:\"account\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3069;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:22:\"entity.view.collection\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:22:\"entity.view.collection\";s:6:\"parent\";s:22:\"system.admin_structure\";s:10:\"route_name\";s:22:\"entity.view.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3096;s:11:\"description\";r:3100;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"views_ui\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:44:\"admin_toolbar_tools.extra_links:views_ui.add\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:44:\"admin_toolbar_tools.extra_links:views_ui.add\";s:6:\"parent\";s:22:\"entity.view.collection\";s:10:\"route_name\";s:12:\"views_ui.add\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3123;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:17:\"we_megamenu.admin\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:17:\"we_megamenu.admin\";s:6:\"parent\";s:22:\"system.admin_structure\";s:10:\"route_name\";s:17:\"we_megamenu.admin\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3149;s:11:\"description\";r:3153;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:11:\"we_megamenu\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:18:\"system.themes_page\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:18:\"system.themes_page\";s:6:\"parent\";s:12:\"system.admin\";s:10:\"route_name\";s:18:\"system.themes_page\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3178;s:11:\"description\";r:3182;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-6\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:52:\"admin_toolbar_tools.extra_links:update.theme_install\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:52:\"admin_toolbar_tools.extra_links:update.theme_install\";s:6:\"parent\";s:18:\"system.themes_page\";s:10:\"route_name\";s:20:\"update.theme_install\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3205;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:51:\"admin_toolbar_tools.extra_links:update.theme_update\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:51:\"admin_toolbar_tools.extra_links:update.theme_update\";s:6:\"parent\";s:18:\"system.themes_page\";s:10:\"route_name\";s:19:\"update.theme_update\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3230;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:53:\"admin_toolbar_tools.extra_links:system.theme_settings\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:53:\"admin_toolbar_tools.extra_links:system.theme_settings\";s:6:\"parent\";s:18:\"system.themes_page\";s:10:\"route_name\";s:21:\"system.theme_settings\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3255;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:66:\"admin_toolbar_tools.extra_links:system.theme_settings_theme.bartik\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:66:\"admin_toolbar_tools.extra_links:system.theme_settings_theme.bartik\";s:6:\"parent\";s:53:\"admin_toolbar_tools.extra_links:system.theme_settings\";s:10:\"route_name\";s:27:\"system.theme_settings_theme\";s:16:\"route_parameters\";a:1:{s:5:\"theme\";s:6:\"bartik\";}s:3:\"url\";s:0:\"\";s:5:\"title\";s:6:\"Bartik\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:65:\"admin_toolbar_tools.extra_links:system.theme_settings_theme.seven\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:65:\"admin_toolbar_tools.extra_links:system.theme_settings_theme.seven\";s:6:\"parent\";s:53:\"admin_toolbar_tools.extra_links:system.theme_settings\";s:10:\"route_name\";s:27:\"system.theme_settings_theme\";s:16:\"route_parameters\";a:1:{s:5:\"theme\";s:5:\"seven\";}s:3:\"url\";s:0:\"\";s:5:\"title\";s:5:\"Seven\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:69:\"admin_toolbar_tools.extra_links:system.theme_settings_theme.luxestate\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:69:\"admin_toolbar_tools.extra_links:system.theme_settings_theme.luxestate\";s:6:\"parent\";s:53:\"admin_toolbar_tools.extra_links:system.theme_settings\";s:10:\"route_name\";s:27:\"system.theme_settings_theme\";s:16:\"route_parameters\";a:1:{s:5:\"theme\";s:9:\"luxestate\";}s:3:\"url\";s:0:\"\";s:5:\"title\";s:9:\"Luxestate\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:19:\"system.modules_list\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:19:\"system.modules_list\";s:6:\"parent\";s:12:\"system.admin\";s:10:\"route_name\";s:19:\"system.modules_list\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3350;s:11:\"description\";r:3354;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-2\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:24:\"system.modules_uninstall\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:24:\"system.modules_uninstall\";s:6:\"parent\";s:19:\"system.modules_list\";s:10:\"route_name\";s:24:\"system.modules_uninstall\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3377;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:53:\"admin_toolbar_tools.extra_links:update.module_install\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:53:\"admin_toolbar_tools.extra_links:update.module_install\";s:6:\"parent\";s:19:\"system.modules_list\";s:10:\"route_name\";s:21:\"update.module_install\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3402;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:52:\"admin_toolbar_tools.extra_links:update.module_update\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:52:\"admin_toolbar_tools.extra_links:update.module_update\";s:6:\"parent\";s:19:\"system.modules_list\";s:10:\"route_name\";s:20:\"update.module_update\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3427;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:19:\"system.admin_config\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:19:\"system.admin_config\";s:6:\"parent\";s:12:\"system.admin\";s:10:\"route_name\";s:19:\"system.admin_config\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3453;s:11:\"description\";r:3457;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:25:\"system.admin_config_media\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:25:\"system.admin_config_media\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:25:\"system.admin_config_media\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3480;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:27:\"system.file_system_settings\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:27:\"system.file_system_settings\";s:6:\"parent\";s:25:\"system.admin_config_media\";s:10:\"route_name\";s:27:\"system.file_system_settings\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3504;s:11:\"description\";r:3508;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:29:\"system.image_toolkit_settings\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:29:\"system.image_toolkit_settings\";s:6:\"parent\";s:25:\"system.admin_config_media\";s:10:\"route_name\";s:29:\"system.image_toolkit_settings\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3532;s:11:\"description\";r:3536;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"20\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:29:\"entity.image_style.collection\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:29:\"entity.image_style.collection\";s:6:\"parent\";s:25:\"system.admin_config_media\";s:10:\"route_name\";s:29:\"entity.image_style.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3560;s:11:\"description\";r:3564;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:5:\"image\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:23:\"colorbox.admin_settings\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:23:\"colorbox.admin_settings\";s:6:\"parent\";s:25:\"system.admin_config_media\";s:10:\"route_name\";s:23:\"colorbox.admin_settings\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3588;s:11:\"description\";r:3592;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"colorbox\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:40:\"entity.responsive_image_style.collection\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:40:\"entity.responsive_image_style.collection\";s:6:\"parent\";s:25:\"system.admin_config_media\";s:10:\"route_name\";s:40:\"entity.responsive_image_style.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3616;s:11:\"description\";r:3620;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:16:\"responsive_image\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:28:\"system.admin_config_services\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:28:\"system.admin_config_services\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:28:\"system.admin_config_services\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3645;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:25:\"system.rss_feeds_settings\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:25:\"system.rss_feeds_settings\";s:6:\"parent\";s:28:\"system.admin_config_services\";s:10:\"route_name\";s:25:\"system.rss_feeds_settings\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3669;s:11:\"description\";r:3673;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:19:\"simplenews.settings\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:19:\"simplenews.settings\";s:6:\"parent\";s:28:\"system.admin_config_services\";s:10:\"route_name\";s:26:\"simplenews.newsletter_list\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3697;s:11:\"description\";r:3701;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:10:\"simplenews\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:28:\"sharethis.configuration_form\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:28:\"sharethis.configuration_form\";s:6:\"parent\";s:28:\"system.admin_config_services\";s:10:\"route_name\";s:28:\"sharethis.configuration_form\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3725;s:11:\"description\";r:3729;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:9:\"sharethis\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:31:\"system.admin_config_development\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:31:\"system.admin_config_development\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:31:\"system.admin_config_development\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3754;s:11:\"description\";r:3758;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:28:\"system.site_maintenance_mode\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:28:\"system.site_maintenance_mode\";s:6:\"parent\";s:31:\"system.admin_config_development\";s:10:\"route_name\";s:28:\"system.site_maintenance_mode\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3781;s:11:\"description\";r:3785;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:27:\"system.performance_settings\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:27:\"system.performance_settings\";s:6:\"parent\";s:31:\"system.admin_config_development\";s:10:\"route_name\";s:27:\"system.performance_settings\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3809;s:11:\"description\";r:3813;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-20\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:23:\"system.logging_settings\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:23:\"system.logging_settings\";s:6:\"parent\";s:31:\"system.admin_config_development\";s:10:\"route_name\";s:23:\"system.logging_settings\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3837;s:11:\"description\";r:3841;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-15\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:11:\"config.sync\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:11:\"config.sync\";s:6:\"parent\";s:31:\"system.admin_config_development\";s:10:\"route_name\";s:11:\"config.sync\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3865;s:11:\"description\";r:3869;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"config\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:45:\"admin_toolbar_tools.extra_links:config.import\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:45:\"admin_toolbar_tools.extra_links:config.import\";s:6:\"parent\";s:11:\"config.sync\";s:10:\"route_name\";s:18:\"config.import_full\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3892;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"1\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:45:\"admin_toolbar_tools.extra_links:config.export\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:45:\"admin_toolbar_tools.extra_links:config.export\";s:6:\"parent\";s:11:\"config.sync\";s:10:\"route_name\";s:18:\"config.export_full\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3917;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"2\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:28:\"system.admin_config_regional\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:28:\"system.admin_config_regional\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:28:\"system.admin_config_regional\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3944;s:11:\"description\";r:3948;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:24:\"system.regional_settings\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:24:\"system.regional_settings\";s:6:\"parent\";s:28:\"system.admin_config_regional\";s:10:\"route_name\";s:24:\"system.regional_settings\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3971;s:11:\"description\";r:3975;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-20\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:29:\"entity.date_format.collection\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:29:\"entity.date_format.collection\";s:6:\"parent\";s:28:\"system.admin_config_regional\";s:10:\"route_name\";s:29:\"entity.date_format.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3999;s:11:\"description\";r:4003;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-9\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:30:\"config_translation.mapper_list\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:30:\"config_translation.mapper_list\";s:6:\"parent\";s:28:\"system.admin_config_regional\";s:10:\"route_name\";s:30:\"config_translation.mapper_list\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:4027;s:11:\"description\";r:4031;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:18:\"config_translation\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"30\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:39:\"entity.configurable_language.collection\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:39:\"entity.configurable_language.collection\";s:6:\"parent\";s:28:\"system.admin_config_regional\";s:10:\"route_name\";s:39:\"entity.configurable_language.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:4055;s:11:\"description\";r:4059;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"language\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:52:\"admin_toolbar_tools.extra_links:language.negotiation\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:52:\"admin_toolbar_tools.extra_links:language.negotiation\";s:6:\"parent\";s:39:\"entity.configurable_language.collection\";s:10:\"route_name\";s:20:\"language.negotiation\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:4082;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:44:\"admin_toolbar_tools.extra_links:language.add\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:44:\"admin_toolbar_tools.extra_links:language.add\";s:6:\"parent\";s:39:\"entity.configurable_language.collection\";s:10:\"route_name\";s:12:\"language.add\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:4107;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:30:\"language.content_settings_page\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:30:\"language.content_settings_page\";s:6:\"parent\";s:28:\"system.admin_config_regional\";s:10:\"route_name\";s:30:\"language.content_settings_page\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:4133;s:11:\"description\";r:4137;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"language\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:21:\"locale.translate_page\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:21:\"locale.translate_page\";s:6:\"parent\";s:28:\"system.admin_config_regional\";s:10:\"route_name\";s:21:\"locale.translate_page\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:4161;s:11:\"description\";r:4165;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"locale\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"15\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:26:\"system.admin_config_search\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:26:\"system.admin_config_search\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:26:\"system.admin_config_search\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:4190;s:11:\"description\";r:4194;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:29:\"entity.search_page.collection\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:29:\"entity.search_page.collection\";s:6:\"parent\";s:26:\"system.admin_config_search\";s:10:\"route_name\";s:29:\"entity.search_page.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:4217;s:11:\"description\";r:4221;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"search\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:28:\"entity.path_alias.collection\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:28:\"entity.path_alias.collection\";s:6:\"parent\";s:26:\"system.admin_config_search\";s:10:\"route_name\";s:28:\"entity.path_alias.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:4245;s:11:\"description\";r:4249;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:4:\"path\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:26:\"system.admin_config_system\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:26:\"system.admin_config_system\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:26:\"system.admin_config_system\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:4274;s:11:\"description\";r:4278;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-20\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:32:\"system.site_information_settings\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:32:\"system.site_information_settings\";s:6:\"parent\";s:26:\"system.admin_config_system\";s:10:\"route_name\";s:32:\"system.site_information_settings\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:4301;s:11:\"description\";r:4305;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-20\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:20:\"system.cron_settings\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:20:\"system.cron_settings\";s:6:\"parent\";s:26:\"system.admin_config_system\";s:10:\"route_name\";s:20:\"system.cron_settings\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:4329;s:11:\"description\";r:4333;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"20\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:22:\"system.admin_config_ui\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:22:\"system.admin_config_ui\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:22:\"system.admin_config_ui\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:4358;s:11:\"description\";r:4362;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-15\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:30:\"entity.shortcut_set.collection\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:30:\"entity.shortcut_set.collection\";s:6:\"parent\";s:22:\"system.admin_config_ui\";s:10:\"route_name\";s:30:\"entity.shortcut_set.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:4385;s:11:\"description\";r:4389;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"shortcut\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:28:\"system.admin_config_workflow\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:28:\"system.admin_config_workflow\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:28:\"system.admin_config_workflow\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:4414;s:11:\"description\";r:4418;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:27:\"system.admin_config_content\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:27:\"system.admin_config_content\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:27:\"system.admin_config_content\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:4442;s:11:\"description\";r:4446;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-15\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:21:\"filter.admin_overview\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:21:\"filter.admin_overview\";s:6:\"parent\";s:27:\"system.admin_config_content\";s:10:\"route_name\";s:21:\"filter.admin_overview\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:4469;s:11:\"description\";r:4473;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"filter\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:16:\"user.admin_index\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:16:\"user.admin_index\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:16:\"user.admin_index\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:4498;s:11:\"description\";r:4502;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:4:\"user\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-20\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:22:\"entity.user.admin_form\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:22:\"entity.user.admin_form\";s:6:\"parent\";s:16:\"user.admin_index\";s:10:\"route_name\";s:22:\"entity.user.admin_form\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:4525;s:11:\"description\";r:4529;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:4:\"user\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:60:\"admin_toolbar_tools.extra_links:entity.user.field_ui_fields_\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:60:\"admin_toolbar_tools.extra_links:entity.user.field_ui_fields_\";s:6:\"parent\";s:22:\"entity.user.admin_form\";s:10:\"route_name\";s:27:\"entity.user.field_ui_fields\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:4552;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"1\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:72:\"admin_toolbar_tools.extra_links:entity.entity_form_display.user.default_\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:72:\"admin_toolbar_tools.extra_links:entity.entity_form_display.user.default_\";s:6:\"parent\";s:22:\"entity.user.admin_form\";s:10:\"route_name\";s:39:\"entity.entity_form_display.user.default\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:4577;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"2\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:72:\"admin_toolbar_tools.extra_links:entity.entity_view_display.user.default_\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:72:\"admin_toolbar_tools.extra_links:entity.entity_view_display.user.default_\";s:6:\"parent\";s:22:\"entity.user.admin_form\";s:10:\"route_name\";s:39:\"entity.entity_view_display.user.default\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:4602;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"3\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:30:\"simplenews.subscriber_settings\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:30:\"simplenews.subscriber_settings\";s:6:\"parent\";s:16:\"user.admin_index\";s:10:\"route_name\";s:30:\"simplenews.settings_subscriber\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:4628;s:11:\"description\";r:4632;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:10:\"simplenews\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:20:\"system.admin_reports\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:20:\"system.admin_reports\";s:6:\"parent\";s:12:\"system.admin\";s:10:\"route_name\";s:20:\"system.admin_reports\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:4658;s:11:\"description\";r:4662;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:13:\"system.status\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:13:\"system.status\";s:6:\"parent\";s:20:\"system.admin_reports\";s:10:\"route_name\";s:13:\"system.status\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:4685;s:11:\"description\";r:4689;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:14:\"dblog.overview\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:14:\"dblog.overview\";s:6:\"parent\";s:20:\"system.admin_reports\";s:10:\"route_name\";s:14:\"dblog.overview\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:4713;s:11:\"description\";r:4717;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:5:\"dblog\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-1\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:20:\"dblog.page_not_found\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:20:\"dblog.page_not_found\";s:6:\"parent\";s:20:\"system.admin_reports\";s:10:\"route_name\";s:20:\"dblog.page_not_found\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:4741;s:11:\"description\";r:4745;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:5:\"dblog\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:19:\"dblog.access_denied\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:19:\"dblog.access_denied\";s:6:\"parent\";s:20:\"system.admin_reports\";s:10:\"route_name\";s:19:\"dblog.access_denied\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:4769;s:11:\"description\";r:4773;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:5:\"dblog\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:38:\"entity.field_storage_config.collection\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:38:\"entity.field_storage_config.collection\";s:6:\"parent\";s:20:\"system.admin_reports\";s:10:\"route_name\";s:38:\"entity.field_storage_config.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:4797;s:11:\"description\";r:4801;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"field_ui\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:51:\"admin_toolbar_tools.extra_links:views_ui.field_list\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:51:\"admin_toolbar_tools.extra_links:views_ui.field_list\";s:6:\"parent\";s:38:\"entity.field_storage_config.collection\";s:10:\"route_name\";s:23:\"views_ui.reports_fields\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:4824;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"dblog.search\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:12:\"dblog.search\";s:6:\"parent\";s:20:\"system.admin_reports\";s:10:\"route_name\";s:12:\"dblog.search\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:4850;s:11:\"description\";r:4854;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:0:\"\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:24:\"views_ui.reports_plugins\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:24:\"views_ui.reports_plugins\";s:6:\"parent\";s:20:\"system.admin_reports\";s:10:\"route_name\";s:24:\"views_ui.reports_plugins\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:4878;s:11:\"description\";r:4882;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"views_ui\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:13:\"update.status\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:13:\"update.status\";s:6:\"parent\";s:20:\"system.admin_reports\";s:10:\"route_name\";s:13:\"update.status\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:4906;s:11:\"description\";r:4910;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"update\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-50\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:23:\"locale.translate_status\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:23:\"locale.translate_status\";s:6:\"parent\";s:20:\"system.admin_reports\";s:10:\"route_name\";s:23:\"locale.translate_status\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:4934;s:11:\"description\";r:4938;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"locale\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:22:\"entity.user.collection\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:22:\"entity.user.collection\";s:6:\"parent\";s:12:\"system.admin\";s:10:\"route_name\";s:22:\"entity.user.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:4963;s:11:\"description\";r:4967;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:4:\"user\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"4\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:49:\"admin_toolbar_tools.extra_links:user.admin_create\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:49:\"admin_toolbar_tools.extra_links:user.admin_create\";s:6:\"parent\";s:22:\"entity.user.collection\";s:10:\"route_name\";s:17:\"user.admin_create\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:4990;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:54:\"admin_toolbar_tools.extra_links:user.admin_permissions\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:54:\"admin_toolbar_tools.extra_links:user.admin_permissions\";s:6:\"parent\";s:22:\"entity.user.collection\";s:10:\"route_name\";s:22:\"user.admin_permissions\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:5015;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:59:\"admin_toolbar_tools.extra_links:entity.user_role.collection\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:59:\"admin_toolbar_tools.extra_links:entity.user_role.collection\";s:6:\"parent\";s:22:\"entity.user.collection\";s:10:\"route_name\";s:27:\"entity.user_role.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:5040;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:45:\"admin_toolbar_tools.extra_links:user.role_add\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:45:\"admin_toolbar_tools.extra_links:user.role_add\";s:6:\"parent\";s:59:\"admin_toolbar_tools.extra_links:entity.user_role.collection\";s:10:\"route_name\";s:13:\"user.role_add\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:5064;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:68:\"admin_toolbar_tools.extra_links:entity.user_role.edit_form.anonymous\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:68:\"admin_toolbar_tools.extra_links:entity.user_role.edit_form.anonymous\";s:6:\"parent\";s:59:\"admin_toolbar_tools.extra_links:entity.user_role.collection\";s:10:\"route_name\";s:26:\"entity.user_role.edit_form\";s:16:\"route_parameters\";a:1:{s:9:\"user_role\";s:9:\"anonymous\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:5090;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:80:\"admin_toolbar_tools.extra_links:entity.user_role.edit_permissions_form.anonymous\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:80:\"admin_toolbar_tools.extra_links:entity.user_role.edit_permissions_form.anonymous\";s:6:\"parent\";s:68:\"admin_toolbar_tools.extra_links:entity.user_role.edit_form.anonymous\";s:10:\"route_name\";s:38:\"entity.user_role.edit_permissions_form\";s:16:\"route_parameters\";a:1:{s:9:\"user_role\";s:9:\"anonymous\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:5116;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:72:\"admin_toolbar_tools.extra_links:entity.user_role.edit_form.authenticated\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:72:\"admin_toolbar_tools.extra_links:entity.user_role.edit_form.authenticated\";s:6:\"parent\";s:59:\"admin_toolbar_tools.extra_links:entity.user_role.collection\";s:10:\"route_name\";s:26:\"entity.user_role.edit_form\";s:16:\"route_parameters\";a:1:{s:9:\"user_role\";s:13:\"authenticated\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:5143;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:84:\"admin_toolbar_tools.extra_links:entity.user_role.edit_permissions_form.authenticated\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:84:\"admin_toolbar_tools.extra_links:entity.user_role.edit_permissions_form.authenticated\";s:6:\"parent\";s:72:\"admin_toolbar_tools.extra_links:entity.user_role.edit_form.authenticated\";s:10:\"route_name\";s:38:\"entity.user_role.edit_permissions_form\";s:16:\"route_parameters\";a:1:{s:9:\"user_role\";s:13:\"authenticated\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:5169;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:72:\"admin_toolbar_tools.extra_links:entity.user_role.edit_form.administrator\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:72:\"admin_toolbar_tools.extra_links:entity.user_role.edit_form.administrator\";s:6:\"parent\";s:59:\"admin_toolbar_tools.extra_links:entity.user_role.collection\";s:10:\"route_name\";s:26:\"entity.user_role.edit_form\";s:16:\"route_parameters\";a:1:{s:9:\"user_role\";s:13:\"administrator\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:5196;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:84:\"admin_toolbar_tools.extra_links:entity.user_role.edit_permissions_form.administrator\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:84:\"admin_toolbar_tools.extra_links:entity.user_role.edit_permissions_form.administrator\";s:6:\"parent\";s:72:\"admin_toolbar_tools.extra_links:entity.user_role.edit_form.administrator\";s:10:\"route_name\";s:38:\"entity.user_role.edit_permissions_form\";s:16:\"route_parameters\";a:1:{s:9:\"user_role\";s:13:\"administrator\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:5222;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:74:\"admin_toolbar_tools.extra_links:entity.user_role.delete_form.administrator\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:74:\"admin_toolbar_tools.extra_links:entity.user_role.delete_form.administrator\";s:6:\"parent\";s:72:\"admin_toolbar_tools.extra_links:entity.user_role.edit_form.administrator\";s:10:\"route_name\";s:28:\"entity.user_role.delete_form\";s:16:\"route_parameters\";a:1:{s:9:\"user_role\";s:13:\"administrator\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:5248;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:9:\"help.main\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:9:\"help.main\";s:6:\"parent\";s:12:\"system.admin\";s:10:\"route_name\";s:9:\"help.main\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:5276;s:11:\"description\";r:5280;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:4:\"help\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"9\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:24:\"admin_toolbar_tools.help\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:24:\"admin_toolbar_tools.help\";s:6:\"parent\";s:12:\"system.admin\";s:10:\"route_name\";s:7:\"<front>\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:5304;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:4:\"-100\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:18:\"system.admin_index\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:18:\"system.admin_index\";s:6:\"parent\";s:24:\"admin_toolbar_tools.help\";s:10:\"route_name\";s:18:\"system.admin_index\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:5328;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:4:\"-100\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:16:\"system.db_update\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:16:\"system.db_update\";s:6:\"parent\";s:24:\"admin_toolbar_tools.help\";s:10:\"route_name\";s:16:\"system.db_update\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:5353;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-6\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:15:\"system.run_cron\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:15:\"system.run_cron\";s:6:\"parent\";s:24:\"admin_toolbar_tools.help\";s:10:\"route_name\";s:22:\"admin_toolbar.run.cron\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:5378;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-8\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:25:\"admin_toolbar_tools.flush\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:25:\"admin_toolbar_tools.flush\";s:6:\"parent\";s:24:\"admin_toolbar_tools.help\";s:10:\"route_name\";s:25:\"admin_toolbar_tools.flush\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:5403;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-9\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:25:\"admin_toolbar_tools.cssjs\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:25:\"admin_toolbar_tools.cssjs\";s:6:\"parent\";s:25:\"admin_toolbar_tools.flush\";s:10:\"route_name\";s:25:\"admin_toolbar_tools.cssjs\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:5427;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:26:\"admin_toolbar_tools.plugin\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:26:\"admin_toolbar_tools.plugin\";s:6:\"parent\";s:25:\"admin_toolbar_tools.flush\";s:10:\"route_name\";s:26:\"admin_toolbar_tools.plugin\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:5452;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:32:\"admin_toolbar_tools.flush_static\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:32:\"admin_toolbar_tools.flush_static\";s:6:\"parent\";s:25:\"admin_toolbar_tools.flush\";s:10:\"route_name\";s:32:\"admin_toolbar_tools.flush_static\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:5477;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:30:\"admin_toolbar_tools.flush_menu\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:30:\"admin_toolbar_tools.flush_menu\";s:6:\"parent\";s:25:\"admin_toolbar_tools.flush\";s:10:\"route_name\";s:30:\"admin_toolbar_tools.flush_menu\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:5502;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:30:\"admin_toolbar_tools.flush_twig\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:30:\"admin_toolbar_tools.flush_twig\";s:6:\"parent\";s:25:\"admin_toolbar_tools.flush\";s:10:\"route_name\";s:30:\"admin_toolbar_tools.flush_twig\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:5527;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:37:\"admin_toolbar_tools.flush_rendercache\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:37:\"admin_toolbar_tools.flush_rendercache\";s:6:\"parent\";s:25:\"admin_toolbar_tools.flush\";s:10:\"route_name\";s:37:\"admin_toolbar_tools.flush_rendercache\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:5552;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:33:\"admin_toolbar_tools.theme_rebuild\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:33:\"admin_toolbar_tools.theme_rebuild\";s:6:\"parent\";s:25:\"admin_toolbar_tools.flush\";s:10:\"route_name\";s:33:\"admin_toolbar_tools.theme_rebuild\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:5577;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:43:\"admin_toolbar_tools.extra_links:flush_views\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:43:\"admin_toolbar_tools.extra_links:flush_views\";s:6:\"parent\";s:25:\"admin_toolbar_tools.flush\";s:10:\"route_name\";s:31:\"admin_toolbar_tools.flush_views\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:5602;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:43:\"admin_toolbar_tools.extra_links:user.logout\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:43:\"admin_toolbar_tools.extra_links:user.logout\";s:6:\"parent\";s:24:\"admin_toolbar_tools.help\";s:10:\"route_name\";s:11:\"user.logout\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:5628;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}}s:11:\"route_names\";a:0:{}}',-1,1636012249.023,1,'config:system.menu.','0'),('tree-data::C:35:\"Drupal\\Core\\Menu\\MenuTreeParameters\":175:{a:6:{s:4:\"root\";s:16:\"user.admin_index\";s:8:\"minDepth\";i:1;s:8:\"maxDepth\";i:1;s:15:\"expandedParents\";a:0:{}s:11:\"activeTrail\";a:0:{}s:10:\"conditions\";a:1:{s:7:\"enabled\";i:1;}}}','a:3:{s:4:\"tree\";a:2:{s:22:\"entity.user.admin_form\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:22:\"entity.user.admin_form\";s:6:\"parent\";s:16:\"user.admin_index\";s:10:\"route_name\";s:22:\"entity.user.admin_form\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Account settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:105:\"Configure default user account settings, including fields, registration requirements, and email messages.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:4:\"user\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:30:\"simplenews.subscriber_settings\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:30:\"simplenews.subscriber_settings\";s:6:\"parent\";s:16:\"user.admin_index\";s:10:\"route_name\";s:30:\"simplenews.settings_subscriber\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Subscriber settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:36:\"Administer your subscriber settings.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:10:\"simplenews\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}}s:11:\"definitions\";a:2:{s:22:\"entity.user.admin_form\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:22:\"entity.user.admin_form\";s:6:\"parent\";s:16:\"user.admin_index\";s:10:\"route_name\";s:22:\"entity.user.admin_form\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:11;s:11:\"description\";r:15;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:4:\"user\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:30:\"simplenews.subscriber_settings\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:30:\"simplenews.subscriber_settings\";s:6:\"parent\";s:16:\"user.admin_index\";s:10:\"route_name\";s:30:\"simplenews.settings_subscriber\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:39;s:11:\"description\";r:43;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:10:\"simplenews\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}}s:11:\"route_names\";a:0:{}}',-1,1637057230.772,1,'config:system.menu.','0'),('tree-data::C:35:\"Drupal\\Core\\Menu\\MenuTreeParameters\":178:{a:6:{s:4:\"root\";s:19:\"system.admin_config\";s:8:\"minDepth\";i:1;s:8:\"maxDepth\";i:1;s:15:\"expandedParents\";a:0:{}s:11:\"activeTrail\";a:0:{}s:10:\"conditions\";a:1:{s:7:\"enabled\";i:1;}}}','a:3:{s:4:\"tree\";a:10:{s:25:\"system.admin_config_media\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:25:\"system.admin_config_media\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:25:\"system.admin_config_media\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Media\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"3\";}s:28:\"system.admin_config_services\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:28:\"system.admin_config_services\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:28:\"system.admin_config_services\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Web services\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"3\";}s:31:\"system.admin_config_development\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:31:\"system.admin_config_development\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:31:\"system.admin_config_development\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Development\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:36:\"Configure and use development tools.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"3\";}s:28:\"system.admin_config_regional\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:28:\"system.admin_config_regional\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:28:\"system.admin_config_regional\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Regional and language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:59:\"Configure regional settings, localization, and translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"3\";}s:26:\"system.admin_config_search\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:26:\"system.admin_config_search\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:26:\"system.admin_config_search\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Search and metadata\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:64:\"Configure site search, metadata, and search engine optimization.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"3\";}s:26:\"system.admin_config_system\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:26:\"system.admin_config_system\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:26:\"system.admin_config_system\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"System\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:49:\"Configure basic site settings, actions, and cron.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-20\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"3\";}s:22:\"system.admin_config_ui\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:22:\"system.admin_config_ui\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:22:\"system.admin_config_ui\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"User interface\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:44:\"Configure the administrative user interface.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-15\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"3\";}s:28:\"system.admin_config_workflow\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:28:\"system.admin_config_workflow\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:28:\"system.admin_config_workflow\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Workflow\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:28:\"Manage the content workflow.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"3\";}s:27:\"system.admin_config_content\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:27:\"system.admin_config_content\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:27:\"system.admin_config_content\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Content authoring\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:43:\"Configure content formatting and authoring.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-15\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"3\";}s:16:\"user.admin_index\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:16:\"user.admin_index\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:16:\"user.admin_index\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"People\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Configure user accounts.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:4:\"user\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-20\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"3\";}}s:11:\"definitions\";a:10:{s:25:\"system.admin_config_media\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:25:\"system.admin_config_media\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:25:\"system.admin_config_media\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:11;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:28:\"system.admin_config_services\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:28:\"system.admin_config_services\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:28:\"system.admin_config_services\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:36;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:31:\"system.admin_config_development\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:31:\"system.admin_config_development\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:31:\"system.admin_config_development\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:61;s:11:\"description\";r:65;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:28:\"system.admin_config_regional\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:28:\"system.admin_config_regional\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:28:\"system.admin_config_regional\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:89;s:11:\"description\";r:93;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:26:\"system.admin_config_search\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:26:\"system.admin_config_search\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:26:\"system.admin_config_search\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:117;s:11:\"description\";r:121;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:26:\"system.admin_config_system\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:26:\"system.admin_config_system\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:26:\"system.admin_config_system\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:145;s:11:\"description\";r:149;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-20\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:22:\"system.admin_config_ui\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:22:\"system.admin_config_ui\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:22:\"system.admin_config_ui\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:173;s:11:\"description\";r:177;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-15\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:28:\"system.admin_config_workflow\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:28:\"system.admin_config_workflow\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:28:\"system.admin_config_workflow\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:201;s:11:\"description\";r:205;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:27:\"system.admin_config_content\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:27:\"system.admin_config_content\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:27:\"system.admin_config_content\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:229;s:11:\"description\";r:233;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-15\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:16:\"user.admin_index\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:16:\"user.admin_index\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:16:\"user.admin_index\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:257;s:11:\"description\";r:261;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:4:\"user\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-20\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}}s:11:\"route_names\";a:0:{}}',-1,1637057230.764,1,'config:system.menu.','0'),('tree-data::C:35:\"Drupal\\Core\\Menu\\MenuTreeParameters\":181:{a:6:{s:4:\"root\";s:22:\"system.admin_config_ui\";s:8:\"minDepth\";i:1;s:8:\"maxDepth\";i:1;s:15:\"expandedParents\";a:0:{}s:11:\"activeTrail\";a:0:{}s:10:\"conditions\";a:1:{s:7:\"enabled\";i:1;}}}','a:3:{s:4:\"tree\";a:1:{s:30:\"entity.shortcut_set.collection\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:30:\"entity.shortcut_set.collection\";s:6:\"parent\";s:22:\"system.admin_config_ui\";s:10:\"route_name\";s:30:\"entity.shortcut_set.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Shortcuts\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Add and modify shortcut sets.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"shortcut\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}}s:11:\"definitions\";a:1:{s:30:\"entity.shortcut_set.collection\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:30:\"entity.shortcut_set.collection\";s:6:\"parent\";s:22:\"system.admin_config_ui\";s:10:\"route_name\";s:30:\"entity.shortcut_set.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:11;s:11:\"description\";r:15;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"shortcut\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}}s:11:\"route_names\";a:0:{}}',-1,1637057230.798,1,'config:system.menu.','0'),('tree-data::C:35:\"Drupal\\Core\\Menu\\MenuTreeParameters\":184:{a:6:{s:4:\"root\";s:25:\"system.admin_config_media\";s:8:\"minDepth\";i:1;s:8:\"maxDepth\";i:1;s:15:\"expandedParents\";a:0:{}s:11:\"activeTrail\";a:0:{}s:10:\"conditions\";a:1:{s:7:\"enabled\";i:1;}}}','a:3:{s:4:\"tree\";a:5:{s:27:\"system.file_system_settings\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:27:\"system.file_system_settings\";s:6:\"parent\";s:25:\"system.admin_config_media\";s:10:\"route_name\";s:27:\"system.file_system_settings\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"File system\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:67:\"Configure the location of uploaded files and how they are accessed.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:29:\"system.image_toolkit_settings\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:29:\"system.image_toolkit_settings\";s:6:\"parent\";s:25:\"system.admin_config_media\";s:10:\"route_name\";s:29:\"system.image_toolkit_settings\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Image toolkit\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:74:\"Choose which image toolkit to use if you have installed optional toolkits.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"20\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:29:\"entity.image_style.collection\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:29:\"entity.image_style.collection\";s:6:\"parent\";s:25:\"system.admin_config_media\";s:10:\"route_name\";s:29:\"entity.image_style.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Image styles\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:78:\"Configure styles that can be used for resizing or adjusting images on display.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:5:\"image\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:23:\"colorbox.admin_settings\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:23:\"colorbox.admin_settings\";s:6:\"parent\";s:25:\"system.admin_config_media\";s:10:\"route_name\";s:23:\"colorbox.admin_settings\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Colorbox settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:32:\"Configure the Colorbox settings.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"colorbox\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:40:\"entity.responsive_image_style.collection\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:40:\"entity.responsive_image_style.collection\";s:6:\"parent\";s:25:\"system.admin_config_media\";s:10:\"route_name\";s:40:\"entity.responsive_image_style.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"Responsive image styles\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"Manage responsive image styles.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:16:\"responsive_image\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}}s:11:\"definitions\";a:5:{s:27:\"system.file_system_settings\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:27:\"system.file_system_settings\";s:6:\"parent\";s:25:\"system.admin_config_media\";s:10:\"route_name\";s:27:\"system.file_system_settings\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:11;s:11:\"description\";r:15;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:29:\"system.image_toolkit_settings\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:29:\"system.image_toolkit_settings\";s:6:\"parent\";s:25:\"system.admin_config_media\";s:10:\"route_name\";s:29:\"system.image_toolkit_settings\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:39;s:11:\"description\";r:43;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"20\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:29:\"entity.image_style.collection\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:29:\"entity.image_style.collection\";s:6:\"parent\";s:25:\"system.admin_config_media\";s:10:\"route_name\";s:29:\"entity.image_style.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:67;s:11:\"description\";r:71;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:5:\"image\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:23:\"colorbox.admin_settings\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:23:\"colorbox.admin_settings\";s:6:\"parent\";s:25:\"system.admin_config_media\";s:10:\"route_name\";s:23:\"colorbox.admin_settings\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:95;s:11:\"description\";r:99;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"colorbox\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:40:\"entity.responsive_image_style.collection\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:40:\"entity.responsive_image_style.collection\";s:6:\"parent\";s:25:\"system.admin_config_media\";s:10:\"route_name\";s:40:\"entity.responsive_image_style.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:123;s:11:\"description\";r:127;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:16:\"responsive_image\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}}s:11:\"route_names\";a:0:{}}',-1,1637057230.825,1,'config:system.menu.','0'),('tree-data::C:35:\"Drupal\\Core\\Menu\\MenuTreeParameters\":185:{a:6:{s:4:\"root\";s:26:\"system.admin_config_search\";s:8:\"minDepth\";i:1;s:8:\"maxDepth\";i:1;s:15:\"expandedParents\";a:0:{}s:11:\"activeTrail\";a:0:{}s:10:\"conditions\";a:1:{s:7:\"enabled\";i:1;}}}','a:3:{s:4:\"tree\";a:2:{s:29:\"entity.search_page.collection\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:29:\"entity.search_page.collection\";s:6:\"parent\";s:26:\"system.admin_config_search\";s:10:\"route_name\";s:29:\"entity.search_page.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Search pages\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:51:\"Configure search pages and search indexing options.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"search\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:28:\"entity.path_alias.collection\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:28:\"entity.path_alias.collection\";s:6:\"parent\";s:26:\"system.admin_config_search\";s:10:\"route_name\";s:28:\"entity.path_alias.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"URL aliases\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:34:\"Add custom URLs to existing paths.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:4:\"path\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}}s:11:\"definitions\";a:2:{s:29:\"entity.search_page.collection\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:29:\"entity.search_page.collection\";s:6:\"parent\";s:26:\"system.admin_config_search\";s:10:\"route_name\";s:29:\"entity.search_page.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:11;s:11:\"description\";r:15;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"search\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:28:\"entity.path_alias.collection\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:28:\"entity.path_alias.collection\";s:6:\"parent\";s:26:\"system.admin_config_search\";s:10:\"route_name\";s:28:\"entity.path_alias.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:39;s:11:\"description\";r:43;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:4:\"path\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}}s:11:\"route_names\";a:0:{}}',-1,1637057230.830,1,'config:system.menu.','0'),('tree-data::C:35:\"Drupal\\Core\\Menu\\MenuTreeParameters\":185:{a:6:{s:4:\"root\";s:26:\"system.admin_config_system\";s:8:\"minDepth\";i:1;s:8:\"maxDepth\";i:1;s:15:\"expandedParents\";a:0:{}s:11:\"activeTrail\";a:0:{}s:10:\"conditions\";a:1:{s:7:\"enabled\";i:1;}}}','a:3:{s:4:\"tree\";a:2:{s:32:\"system.site_information_settings\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:32:\"system.site_information_settings\";s:6:\"parent\";s:26:\"system.admin_config_system\";s:10:\"route_name\";s:32:\"system.site_information_settings\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Basic site settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:77:\"Change site name, email address, slogan, default front page, and error pages.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-20\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:20:\"system.cron_settings\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:20:\"system.cron_settings\";s:6:\"parent\";s:26:\"system.admin_config_system\";s:10:\"route_name\";s:20:\"system.cron_settings\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Cron\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:40:\"Manage automatic site maintenance tasks.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"20\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}}s:11:\"definitions\";a:2:{s:32:\"system.site_information_settings\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:32:\"system.site_information_settings\";s:6:\"parent\";s:26:\"system.admin_config_system\";s:10:\"route_name\";s:32:\"system.site_information_settings\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:11;s:11:\"description\";r:15;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-20\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:20:\"system.cron_settings\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:20:\"system.cron_settings\";s:6:\"parent\";s:26:\"system.admin_config_system\";s:10:\"route_name\";s:20:\"system.cron_settings\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:39;s:11:\"description\";r:43;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"20\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}}s:11:\"route_names\";a:0:{}}',-1,1637057230.778,1,'config:system.menu.','0'),('tree-data::C:35:\"Drupal\\Core\\Menu\\MenuTreeParameters\":186:{a:6:{s:4:\"root\";s:27:\"system.admin_config_content\";s:8:\"minDepth\";i:1;s:8:\"maxDepth\";i:1;s:15:\"expandedParents\";a:0:{}s:11:\"activeTrail\";a:0:{}s:10:\"conditions\";a:1:{s:7:\"enabled\";i:1;}}}','a:3:{s:4:\"tree\";a:1:{s:21:\"filter.admin_overview\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:21:\"filter.admin_overview\";s:6:\"parent\";s:27:\"system.admin_config_content\";s:10:\"route_name\";s:21:\"filter.admin_overview\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Text formats and editors\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:78:\"Select and configure text editors, and how content is filtered when displayed.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"filter\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}}s:11:\"definitions\";a:1:{s:21:\"filter.admin_overview\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:21:\"filter.admin_overview\";s:6:\"parent\";s:27:\"system.admin_config_content\";s:10:\"route_name\";s:21:\"filter.admin_overview\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:11;s:11:\"description\";r:15;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"filter\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}}s:11:\"route_names\";a:0:{}}',-1,1637057230.794,1,'config:system.menu.','0'),('tree-data::C:35:\"Drupal\\Core\\Menu\\MenuTreeParameters\":187:{a:6:{s:4:\"root\";s:28:\"system.admin_config_regional\";s:8:\"minDepth\";i:1;s:8:\"maxDepth\";i:1;s:15:\"expandedParents\";a:0:{}s:11:\"activeTrail\";a:0:{}s:10:\"conditions\";a:1:{s:7:\"enabled\";i:1;}}}','a:3:{s:4:\"tree\";a:6:{s:24:\"system.regional_settings\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:24:\"system.regional_settings\";s:6:\"parent\";s:28:\"system.admin_config_regional\";s:10:\"route_name\";s:24:\"system.regional_settings\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Regional settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:43:\"Configure the locale and timezone settings.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-20\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:29:\"entity.date_format.collection\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:29:\"entity.date_format.collection\";s:6:\"parent\";s:28:\"system.admin_config_regional\";s:10:\"route_name\";s:29:\"entity.date_format.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Date and time formats\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:44:\"Configure how dates and times are displayed.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-9\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:30:\"config_translation.mapper_list\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:30:\"config_translation.mapper_list\";s:6:\"parent\";s:28:\"system.admin_config_regional\";s:10:\"route_name\";s:30:\"config_translation.mapper_list\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"Configuration translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:28:\"Translate the configuration.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:18:\"config_translation\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"30\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:39:\"entity.configurable_language.collection\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:39:\"entity.configurable_language.collection\";s:6:\"parent\";s:28:\"system.admin_config_regional\";s:10:\"route_name\";s:39:\"entity.configurable_language.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Languages\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:62:\"Configure languages for content, interface, and configuration.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"language\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:30:\"language.content_settings_page\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:30:\"language.content_settings_page\";s:6:\"parent\";s:28:\"system.admin_config_regional\";s:10:\"route_name\";s:30:\"language.content_settings_page\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:32:\"Content language and translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:55:\"Configure language and translation support for content.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"language\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:21:\"locale.translate_page\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:21:\"locale.translate_page\";s:6:\"parent\";s:28:\"system.admin_config_regional\";s:10:\"route_name\";s:21:\"locale.translate_page\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"User interface translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:87:\"Configure the import of translation files, and add or customize interface translations.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"locale\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"15\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}}s:11:\"definitions\";a:6:{s:24:\"system.regional_settings\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:24:\"system.regional_settings\";s:6:\"parent\";s:28:\"system.admin_config_regional\";s:10:\"route_name\";s:24:\"system.regional_settings\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:11;s:11:\"description\";r:15;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-20\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:29:\"entity.date_format.collection\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:29:\"entity.date_format.collection\";s:6:\"parent\";s:28:\"system.admin_config_regional\";s:10:\"route_name\";s:29:\"entity.date_format.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:39;s:11:\"description\";r:43;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-9\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:30:\"config_translation.mapper_list\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:30:\"config_translation.mapper_list\";s:6:\"parent\";s:28:\"system.admin_config_regional\";s:10:\"route_name\";s:30:\"config_translation.mapper_list\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:67;s:11:\"description\";r:71;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:18:\"config_translation\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"30\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:39:\"entity.configurable_language.collection\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:39:\"entity.configurable_language.collection\";s:6:\"parent\";s:28:\"system.admin_config_regional\";s:10:\"route_name\";s:39:\"entity.configurable_language.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:95;s:11:\"description\";r:99;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"language\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:30:\"language.content_settings_page\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:30:\"language.content_settings_page\";s:6:\"parent\";s:28:\"system.admin_config_regional\";s:10:\"route_name\";s:30:\"language.content_settings_page\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:123;s:11:\"description\";r:127;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"language\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:21:\"locale.translate_page\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:21:\"locale.translate_page\";s:6:\"parent\";s:28:\"system.admin_config_regional\";s:10:\"route_name\";s:21:\"locale.translate_page\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:151;s:11:\"description\";r:155;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"locale\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"15\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}}s:11:\"route_names\";a:0:{}}',-1,1637057230.835,1,'config:system.menu.','0'),('tree-data::C:35:\"Drupal\\Core\\Menu\\MenuTreeParameters\":187:{a:6:{s:4:\"root\";s:28:\"system.admin_config_services\";s:8:\"minDepth\";i:1;s:8:\"maxDepth\";i:1;s:15:\"expandedParents\";a:0:{}s:11:\"activeTrail\";a:0:{}s:10:\"conditions\";a:1:{s:7:\"enabled\";i:1;}}}','a:3:{s:4:\"tree\";a:3:{s:25:\"system.rss_feeds_settings\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:25:\"system.rss_feeds_settings\";s:6:\"parent\";s:28:\"system.admin_config_services\";s:10:\"route_name\";s:25:\"system.rss_feeds_settings\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"RSS publishing\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:115:\"Configure the site description, the number of items per feed, and whether feeds should be titles/teasers/full-text.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:19:\"simplenews.settings\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:19:\"simplenews.settings\";s:6:\"parent\";s:28:\"system.admin_config_services\";s:10:\"route_name\";s:26:\"simplenews.newsletter_list\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Simplenews\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Configure your sites newsletters.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:10:\"simplenews\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:28:\"sharethis.configuration_form\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:28:\"sharethis.configuration_form\";s:6:\"parent\";s:28:\"system.admin_config_services\";s:10:\"route_name\";s:28:\"sharethis.configuration_form\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"ShareThis\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:91:\"Choose the widget, button family, and services for using ShareThis to share content online.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:9:\"sharethis\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}}s:11:\"definitions\";a:3:{s:25:\"system.rss_feeds_settings\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:25:\"system.rss_feeds_settings\";s:6:\"parent\";s:28:\"system.admin_config_services\";s:10:\"route_name\";s:25:\"system.rss_feeds_settings\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:11;s:11:\"description\";r:15;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:19:\"simplenews.settings\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:19:\"simplenews.settings\";s:6:\"parent\";s:28:\"system.admin_config_services\";s:10:\"route_name\";s:26:\"simplenews.newsletter_list\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:39;s:11:\"description\";r:43;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:10:\"simplenews\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:28:\"sharethis.configuration_form\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:28:\"sharethis.configuration_form\";s:6:\"parent\";s:28:\"system.admin_config_services\";s:10:\"route_name\";s:28:\"sharethis.configuration_form\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:67;s:11:\"description\";r:71;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:9:\"sharethis\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}}s:11:\"route_names\";a:0:{}}',-1,1637057230.839,1,'config:system.menu.','0'),('tree-data::C:35:\"Drupal\\Core\\Menu\\MenuTreeParameters\":187:{a:6:{s:4:\"root\";s:28:\"system.admin_config_workflow\";s:8:\"minDepth\";i:1;s:8:\"maxDepth\";i:1;s:15:\"expandedParents\";a:0:{}s:11:\"activeTrail\";a:0:{}s:10:\"conditions\";a:1:{s:7:\"enabled\";i:1;}}}','a:3:{s:4:\"tree\";a:0:{}s:11:\"definitions\";a:0:{}s:11:\"route_names\";a:0:{}}',-1,1637057230.844,1,'config:system.menu.','0'),('tree-data::C:35:\"Drupal\\Core\\Menu\\MenuTreeParameters\":190:{a:6:{s:4:\"root\";s:31:\"system.admin_config_development\";s:8:\"minDepth\";i:1;s:8:\"maxDepth\";i:1;s:15:\"expandedParents\";a:0:{}s:11:\"activeTrail\";a:0:{}s:10:\"conditions\";a:1:{s:7:\"enabled\";i:1;}}}','a:3:{s:4:\"tree\";a:4:{s:28:\"system.site_maintenance_mode\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:28:\"system.site_maintenance_mode\";s:6:\"parent\";s:31:\"system.admin_config_development\";s:10:\"route_name\";s:28:\"system.site_maintenance_mode\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Maintenance mode\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:62:\"Take the site offline for updates and other maintenance tasks.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:27:\"system.performance_settings\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:27:\"system.performance_settings\";s:6:\"parent\";s:31:\"system.admin_config_development\";s:10:\"route_name\";s:27:\"system.performance_settings\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Performance\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"Configure caching and bandwidth optimization.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-20\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:23:\"system.logging_settings\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:23:\"system.logging_settings\";s:6:\"parent\";s:31:\"system.admin_config_development\";s:10:\"route_name\";s:23:\"system.logging_settings\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Logging and errors\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:61:\"Configure the display of error messages and database logging.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-15\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:11:\"config.sync\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:11:\"config.sync\";s:6:\"parent\";s:31:\"system.admin_config_development\";s:10:\"route_name\";s:11:\"config.sync\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Configuration synchronization\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:37:\"Import and export your configuration.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"config\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}}s:11:\"definitions\";a:4:{s:28:\"system.site_maintenance_mode\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:28:\"system.site_maintenance_mode\";s:6:\"parent\";s:31:\"system.admin_config_development\";s:10:\"route_name\";s:28:\"system.site_maintenance_mode\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:11;s:11:\"description\";r:15;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:27:\"system.performance_settings\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:27:\"system.performance_settings\";s:6:\"parent\";s:31:\"system.admin_config_development\";s:10:\"route_name\";s:27:\"system.performance_settings\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:39;s:11:\"description\";r:43;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-20\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:23:\"system.logging_settings\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:23:\"system.logging_settings\";s:6:\"parent\";s:31:\"system.admin_config_development\";s:10:\"route_name\";s:23:\"system.logging_settings\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:67;s:11:\"description\";r:71;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-15\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:11:\"config.sync\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:11:\"config.sync\";s:6:\"parent\";s:31:\"system.admin_config_development\";s:10:\"route_name\";s:11:\"config.sync\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:95;s:11:\"description\";r:99;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"config\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}}s:11:\"route_names\";a:0:{}}',-1,1637057230.820,1,'config:system.menu.','0'),('tree-data:account:C:35:\"Drupal\\Core\\Menu\\MenuTreeParameters\":151:{a:6:{s:4:\"root\";s:0:\"\";s:8:\"minDepth\";i:1;s:8:\"maxDepth\";i:1;s:15:\"expandedParents\";a:1:{i:0;s:0:\"\";}s:11:\"activeTrail\";a:0:{}s:10:\"conditions\";a:0:{}}}','a:3:{s:4:\"tree\";a:2:{s:9:\"user.page\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:7:\"account\";s:2:\"id\";s:9:\"user.page\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:9:\"user.page\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"My account\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:4:\"user\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"1\";}s:11:\"user.logout\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:7:\"account\";s:2:\"id\";s:11:\"user.logout\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:0:\"\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:0:\"\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:43:\"Drupal\\user\\Plugin\\Menu\\LoginLogoutMenuLink\";s:7:\"options\";a:0:{}s:8:\"provider\";s:4:\"user\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"1\";}}s:11:\"definitions\";a:2:{s:9:\"user.page\";a:16:{s:9:\"menu_name\";s:7:\"account\";s:2:\"id\";s:9:\"user.page\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:9:\"user.page\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:11;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:4:\"user\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:11:\"user.logout\";a:16:{s:9:\"menu_name\";s:7:\"account\";s:2:\"id\";s:11:\"user.logout\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:0:\"\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:0:\"\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:43:\"Drupal\\user\\Plugin\\Menu\\LoginLogoutMenuLink\";s:7:\"options\";a:0:{}s:8:\"provider\";s:4:\"user\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}}s:11:\"route_names\";a:0:{}}',-1,1636012249.483,1,'config:system.menu.account','57'),('tree-data:admin:C:35:\"Drupal\\Core\\Menu\\MenuTreeParameters\":158:{a:6:{s:4:\"root\";s:0:\"\";s:8:\"minDepth\";i:2;s:8:\"maxDepth\";i:4;s:15:\"expandedParents\";a:0:{}s:11:\"activeTrail\";a:0:{}s:10:\"conditions\";a:1:{s:7:\"enabled\";i:1;}}}','a:3:{s:4:\"tree\";a:13:{s:20:\"system.admin_content\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:20:\"system.admin_content\";s:6:\"parent\";s:12:\"system.admin\";s:10:\"route_name\";s:20:\"system.admin_content\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Find and manage content.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:3:{s:13:\"comment.admin\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:13:\"comment.admin\";s:6:\"parent\";s:20:\"system.admin_content\";s:10:\"route_name\";s:13:\"comment.admin\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Comments\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:59:\"List and edit site comments and the comment approval queue.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:7:\"comment\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"3\";}s:40:\"admin_toolbar_tools.extra_links:node.add\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:40:\"admin_toolbar_tools.extra_links:node.add\";s:6:\"parent\";s:20:\"system.admin_content\";s:10:\"route_name\";s:13:\"node.add_page\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Add content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:10:{s:48:\"admin_toolbar_tools.extra_links:node.add.article\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:48:\"admin_toolbar_tools.extra_links:node.add.article\";s:6:\"parent\";s:40:\"admin_toolbar_tools.extra_links:node.add\";s:10:\"route_name\";s:8:\"node.add\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:7:\"article\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:7:\"Article\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:47:\"admin_toolbar_tools.extra_links:node.add.banner\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:47:\"admin_toolbar_tools.extra_links:node.add.banner\";s:6:\"parent\";s:40:\"admin_toolbar_tools.extra_links:node.add\";s:10:\"route_name\";s:8:\"node.add\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:6:\"banner\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:45:\"admin_toolbar_tools.extra_links:node.add.blog\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:45:\"admin_toolbar_tools.extra_links:node.add.blog\";s:6:\"parent\";s:40:\"admin_toolbar_tools.extra_links:node.add\";s:10:\"route_name\";s:8:\"node.add\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:4:\"blog\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:4:\"Blog\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:52:\"admin_toolbar_tools.extra_links:node.add.our_mission\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:52:\"admin_toolbar_tools.extra_links:node.add.our_mission\";s:6:\"parent\";s:40:\"admin_toolbar_tools.extra_links:node.add\";s:10:\"route_name\";s:8:\"node.add\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:11:\"our_mission\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:11:\"Our mission\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:53:\"admin_toolbar_tools.extra_links:node.add.our_services\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:53:\"admin_toolbar_tools.extra_links:node.add.our_services\";s:6:\"parent\";s:40:\"admin_toolbar_tools.extra_links:node.add\";s:10:\"route_name\";s:8:\"node.add\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:12:\"our_services\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:12:\"Our services\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:45:\"admin_toolbar_tools.extra_links:node.add.page\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:45:\"admin_toolbar_tools.extra_links:node.add.page\";s:6:\"parent\";s:40:\"admin_toolbar_tools.extra_links:node.add\";s:10:\"route_name\";s:8:\"node.add\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:4:\"page\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:10:\"Basic page\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:49:\"admin_toolbar_tools.extra_links:node.add.partners\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:49:\"admin_toolbar_tools.extra_links:node.add.partners\";s:6:\"parent\";s:40:\"admin_toolbar_tools.extra_links:node.add\";s:10:\"route_name\";s:8:\"node.add\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:8:\"partners\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:8:\"Partners\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:50:\"admin_toolbar_tools.extra_links:node.add.portfolio\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:50:\"admin_toolbar_tools.extra_links:node.add.portfolio\";s:6:\"parent\";s:40:\"admin_toolbar_tools.extra_links:node.add\";s:10:\"route_name\";s:8:\"node.add\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:9:\"portfolio\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:9:\"Portfolio\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:57:\"admin_toolbar_tools.extra_links:node.add.simplenews_issue\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:57:\"admin_toolbar_tools.extra_links:node.add.simplenews_issue\";s:6:\"parent\";s:40:\"admin_toolbar_tools.extra_links:node.add\";s:10:\"route_name\";s:8:\"node.add\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:16:\"simplenews_issue\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:16:\"Newsletter Issue\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:47:\"admin_toolbar_tools.extra_links:node.add.why_us\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:47:\"admin_toolbar_tools.extra_links:node.add.why_us\";s:6:\"parent\";s:40:\"admin_toolbar_tools.extra_links:node.add\";s:10:\"route_name\";s:8:\"node.add\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:6:\"why_us\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:6:\"Why us\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}}s:5:\"depth\";s:1:\"3\";}s:42:\"admin_toolbar_tools.extra_links:view.files\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:42:\"admin_toolbar_tools.extra_links:view.files\";s:6:\"parent\";s:20:\"system.admin_content\";s:10:\"route_name\";s:17:\"view.files.page_1\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Files\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"3\";}}s:5:\"depth\";s:1:\"2\";}s:22:\"system.admin_structure\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:22:\"system.admin_structure\";s:6:\"parent\";s:12:\"system.admin\";s:10:\"route_name\";s:22:\"system.admin_structure\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Structure\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"Administer blocks, content types, menus, etc.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-8\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:9:{s:19:\"block.admin_display\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:19:\"block.admin_display\";s:6:\"parent\";s:22:\"system.admin_structure\";s:10:\"route_name\";s:19:\"block.admin_display\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Block layout\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:79:\"Configure what block content appears in your site\'s sidebars and other regions.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:5:\"block\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:3:{s:54:\"admin_toolbar_tools.extra_links:block_content.add_page\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:54:\"admin_toolbar_tools.extra_links:block_content.add_page\";s:6:\"parent\";s:19:\"block.admin_display\";s:10:\"route_name\";s:22:\"block_content.add_page\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Add custom block\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:63:\"admin_toolbar_tools.extra_links:entity.block_content.collection\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:63:\"admin_toolbar_tools.extra_links:entity.block_content.collection\";s:6:\"parent\";s:19:\"block.admin_display\";s:10:\"route_name\";s:31:\"entity.block_content.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Custom block library\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:68:\"admin_toolbar_tools.extra_links:entity.block_content_type.collection\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:68:\"admin_toolbar_tools.extra_links:entity.block_content_type.collection\";s:6:\"parent\";s:19:\"block.admin_display\";s:10:\"route_name\";s:36:\"entity.block_content_type.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Block types\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}}s:5:\"depth\";s:1:\"3\";}s:27:\"entity.node_type.collection\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:27:\"entity.node_type.collection\";s:6:\"parent\";s:22:\"system.admin_structure\";s:10:\"route_name\";s:27:\"entity.node_type.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Content types\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:71:\"Create and manage fields, forms, and display settings for your content.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:4:\"node\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:12:{s:52:\"admin_toolbar_tools.extra_links:node_type.collection\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:52:\"admin_toolbar_tools.extra_links:node_type.collection\";s:6:\"parent\";s:27:\"entity.node_type.collection\";s:10:\"route_name\";s:27:\"entity.node_type.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"All types\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-1\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:66:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.article\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:66:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.article\";s:6:\"parent\";s:27:\"entity.node_type.collection\";s:10:\"route_name\";s:26:\"entity.node_type.edit_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:7:\"article\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:7:\"Article\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:65:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.banner\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:65:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.banner\";s:6:\"parent\";s:27:\"entity.node_type.collection\";s:10:\"route_name\";s:26:\"entity.node_type.edit_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:6:\"banner\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:63:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.blog\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:63:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.blog\";s:6:\"parent\";s:27:\"entity.node_type.collection\";s:10:\"route_name\";s:26:\"entity.node_type.edit_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:4:\"blog\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:4:\"Blog\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:70:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.our_mission\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:70:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.our_mission\";s:6:\"parent\";s:27:\"entity.node_type.collection\";s:10:\"route_name\";s:26:\"entity.node_type.edit_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:11:\"our_mission\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:11:\"Our mission\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:71:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.our_services\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:71:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.our_services\";s:6:\"parent\";s:27:\"entity.node_type.collection\";s:10:\"route_name\";s:26:\"entity.node_type.edit_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:12:\"our_services\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:12:\"Our services\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:63:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.page\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:63:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.page\";s:6:\"parent\";s:27:\"entity.node_type.collection\";s:10:\"route_name\";s:26:\"entity.node_type.edit_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:4:\"page\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:10:\"Basic page\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:67:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.partners\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:67:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.partners\";s:6:\"parent\";s:27:\"entity.node_type.collection\";s:10:\"route_name\";s:26:\"entity.node_type.edit_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:8:\"partners\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:8:\"Partners\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:68:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.portfolio\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:68:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.portfolio\";s:6:\"parent\";s:27:\"entity.node_type.collection\";s:10:\"route_name\";s:26:\"entity.node_type.edit_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:9:\"portfolio\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:9:\"Portfolio\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:75:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.simplenews_issue\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:75:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.simplenews_issue\";s:6:\"parent\";s:27:\"entity.node_type.collection\";s:10:\"route_name\";s:26:\"entity.node_type.edit_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:16:\"simplenews_issue\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:16:\"Newsletter Issue\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:65:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.why_us\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:65:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.why_us\";s:6:\"parent\";s:27:\"entity.node_type.collection\";s:10:\"route_name\";s:26:\"entity.node_type.edit_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:6:\"why_us\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:6:\"Why us\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:45:\"admin_toolbar_tools.extra_links:node.type_add\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:45:\"admin_toolbar_tools.extra_links:node.type_add\";s:6:\"parent\";s:27:\"entity.node_type.collection\";s:10:\"route_name\";s:13:\"node.type_add\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Add content type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-2\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}}s:5:\"depth\";s:1:\"3\";}s:30:\"entity.comment_type.collection\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:30:\"entity.comment_type.collection\";s:6:\"parent\";s:22:\"system.admin_structure\";s:10:\"route_name\";s:30:\"entity.comment_type.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Comment types\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Manage form and displays settings of comments.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:7:\"comment\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:1:{s:69:\"admin_toolbar_tools.extra_links:entity.comment_type.edit_form.comment\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:69:\"admin_toolbar_tools.extra_links:entity.comment_type.edit_form.comment\";s:6:\"parent\";s:30:\"entity.comment_type.collection\";s:10:\"route_name\";s:29:\"entity.comment_type.edit_form\";s:16:\"route_parameters\";a:1:{s:12:\"comment_type\";s:7:\"comment\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:16:\"Default comments\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}}s:5:\"depth\";s:1:\"3\";}s:30:\"entity.contact_form.collection\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:30:\"entity.contact_form.collection\";s:6:\"parent\";s:22:\"system.admin_structure\";s:10:\"route_name\";s:30:\"entity.contact_form.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Contact forms\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:32:\"Create and manage contact forms.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:7:\"contact\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:3:{s:70:\"admin_toolbar_tools.extra_links:entity.contact_form.edit_form.feedback\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:70:\"admin_toolbar_tools.extra_links:entity.contact_form.edit_form.feedback\";s:6:\"parent\";s:30:\"entity.contact_form.collection\";s:10:\"route_name\";s:29:\"entity.contact_form.edit_form\";s:16:\"route_parameters\";a:1:{s:12:\"contact_form\";s:8:\"feedback\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:16:\"Website feedback\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:70:\"admin_toolbar_tools.extra_links:entity.contact_form.edit_form.personal\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:70:\"admin_toolbar_tools.extra_links:entity.contact_form.edit_form.personal\";s:6:\"parent\";s:30:\"entity.contact_form.collection\";s:10:\"route_name\";s:29:\"entity.contact_form.edit_form\";s:16:\"route_parameters\";a:1:{s:12:\"contact_form\";s:8:\"personal\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:21:\"Personal contact form\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:48:\"admin_toolbar_tools.extra_links:contact.form_add\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:48:\"admin_toolbar_tools.extra_links:contact.form_add\";s:6:\"parent\";s:30:\"entity.contact_form.collection\";s:10:\"route_name\";s:16:\"contact.form_add\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Add contact form\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}}s:5:\"depth\";s:1:\"3\";}s:21:\"field_ui.display_mode\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:21:\"field_ui.display_mode\";s:6:\"parent\";s:22:\"system.admin_structure\";s:10:\"route_name\";s:21:\"field_ui.display_mode\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Display modes\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:65:\"Configure what displays are available for your content and forms.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"field_ui\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:2:{s:34:\"entity.entity_view_mode.collection\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:34:\"entity.entity_view_mode.collection\";s:6:\"parent\";s:21:\"field_ui.display_mode\";s:10:\"route_name\";s:34:\"entity.entity_view_mode.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"View modes\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"Manage custom view modes.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"field_ui\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:34:\"entity.entity_form_mode.collection\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:34:\"entity.entity_form_mode.collection\";s:6:\"parent\";s:21:\"field_ui.display_mode\";s:10:\"route_name\";s:34:\"entity.entity_form_mode.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Form modes\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"Manage custom form modes.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"field_ui\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}}s:5:\"depth\";s:1:\"3\";}s:37:\"entity.taxonomy_vocabulary.collection\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:37:\"entity.taxonomy_vocabulary.collection\";s:6:\"parent\";s:22:\"system.admin_structure\";s:10:\"route_name\";s:37:\"entity.taxonomy_vocabulary.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Taxonomy\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:67:\"Manage tagging, categorization, and classification of your content.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"taxonomy\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:2:{s:77:\"admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.overview_form.tags\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:77:\"admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.overview_form.tags\";s:6:\"parent\";s:37:\"entity.taxonomy_vocabulary.collection\";s:10:\"route_name\";s:40:\"entity.taxonomy_vocabulary.overview_form\";s:16:\"route_parameters\";a:1:{s:19:\"taxonomy_vocabulary\";s:4:\"tags\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:4:\"Tags\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:67:\"admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.add_form\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:67:\"admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.add_form\";s:6:\"parent\";s:37:\"entity.taxonomy_vocabulary.collection\";s:10:\"route_name\";s:35:\"entity.taxonomy_vocabulary.add_form\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Add vocabulary\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}}s:5:\"depth\";s:1:\"3\";}s:22:\"entity.menu.collection\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:22:\"entity.menu.collection\";s:6:\"parent\";s:22:\"system.admin_structure\";s:10:\"route_name\";s:22:\"entity.menu.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Menus\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:28:\"Manage menus and menu links.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:7:\"menu_ui\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:7:{s:52:\"admin_toolbar_tools.extra_links:entity.menu.add_form\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:52:\"admin_toolbar_tools.extra_links:entity.menu.add_form\";s:6:\"parent\";s:22:\"entity.menu.collection\";s:10:\"route_name\";s:20:\"entity.menu.add_form\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Add menu\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-2\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:59:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.admin\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:59:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.admin\";s:6:\"parent\";s:22:\"entity.menu.collection\";s:10:\"route_name\";s:21:\"entity.menu.edit_form\";s:16:\"route_parameters\";a:1:{s:4:\"menu\";s:5:\"admin\";}s:3:\"url\";s:0:\"\";s:5:\"title\";s:14:\"Administration\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:60:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.footer\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:60:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.footer\";s:6:\"parent\";s:22:\"entity.menu.collection\";s:10:\"route_name\";s:21:\"entity.menu.edit_form\";s:16:\"route_parameters\";a:1:{s:4:\"menu\";s:6:\"footer\";}s:3:\"url\";s:0:\"\";s:5:\"title\";s:6:\"Footer\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"1\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:58:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.main\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:58:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.main\";s:6:\"parent\";s:22:\"entity.menu.collection\";s:10:\"route_name\";s:21:\"entity.menu.edit_form\";s:16:\"route_parameters\";a:1:{s:4:\"menu\";s:4:\"main\";}s:3:\"url\";s:0:\"\";s:5:\"title\";s:15:\"Main navigation\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"2\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:59:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.quick\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:59:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.quick\";s:6:\"parent\";s:22:\"entity.menu.collection\";s:10:\"route_name\";s:21:\"entity.menu.edit_form\";s:16:\"route_parameters\";a:1:{s:4:\"menu\";s:5:\"quick\";}s:3:\"url\";s:0:\"\";s:5:\"title\";s:11:\"Quick links\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"3\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:59:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.tools\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:59:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.tools\";s:6:\"parent\";s:22:\"entity.menu.collection\";s:10:\"route_name\";s:21:\"entity.menu.edit_form\";s:16:\"route_parameters\";a:1:{s:4:\"menu\";s:5:\"tools\";}s:3:\"url\";s:0:\"\";s:5:\"title\";s:5:\"Tools\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"4\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:61:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.account\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:61:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.account\";s:6:\"parent\";s:22:\"entity.menu.collection\";s:10:\"route_name\";s:21:\"entity.menu.edit_form\";s:16:\"route_parameters\";a:1:{s:4:\"menu\";s:7:\"account\";}s:3:\"url\";s:0:\"\";s:5:\"title\";s:17:\"User account menu\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}}s:5:\"depth\";s:1:\"3\";}s:22:\"entity.view.collection\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:22:\"entity.view.collection\";s:6:\"parent\";s:22:\"system.admin_structure\";s:10:\"route_name\";s:22:\"entity.view.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Views\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"Manage customized lists of content.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"views_ui\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:1:{s:44:\"admin_toolbar_tools.extra_links:views_ui.add\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:44:\"admin_toolbar_tools.extra_links:views_ui.add\";s:6:\"parent\";s:22:\"entity.view.collection\";s:10:\"route_name\";s:12:\"views_ui.add\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Add view\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}}s:5:\"depth\";s:1:\"3\";}s:17:\"we_megamenu.admin\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:17:\"we_megamenu.admin\";s:6:\"parent\";s:22:\"system.admin_structure\";s:10:\"route_name\";s:17:\"we_megamenu.admin\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Drupal 8 Mega Menu\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"List Of We Mega Menu Items\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:11:\"we_megamenu\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"3\";}}s:5:\"depth\";s:1:\"2\";}s:18:\"system.themes_page\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:18:\"system.themes_page\";s:6:\"parent\";s:12:\"system.admin\";s:10:\"route_name\";s:18:\"system.themes_page\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Appearance\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:28:\"Select and configure themes.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-6\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:3:{s:52:\"admin_toolbar_tools.extra_links:update.theme_install\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:52:\"admin_toolbar_tools.extra_links:update.theme_install\";s:6:\"parent\";s:18:\"system.themes_page\";s:10:\"route_name\";s:20:\"update.theme_install\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Install new theme\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"3\";}s:51:\"admin_toolbar_tools.extra_links:update.theme_update\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:51:\"admin_toolbar_tools.extra_links:update.theme_update\";s:6:\"parent\";s:18:\"system.themes_page\";s:10:\"route_name\";s:19:\"update.theme_update\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Update\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"3\";}s:53:\"admin_toolbar_tools.extra_links:system.theme_settings\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:53:\"admin_toolbar_tools.extra_links:system.theme_settings\";s:6:\"parent\";s:18:\"system.themes_page\";s:10:\"route_name\";s:21:\"system.theme_settings\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:3:{s:66:\"admin_toolbar_tools.extra_links:system.theme_settings_theme.bartik\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:66:\"admin_toolbar_tools.extra_links:system.theme_settings_theme.bartik\";s:6:\"parent\";s:53:\"admin_toolbar_tools.extra_links:system.theme_settings\";s:10:\"route_name\";s:27:\"system.theme_settings_theme\";s:16:\"route_parameters\";a:1:{s:5:\"theme\";s:6:\"bartik\";}s:3:\"url\";s:0:\"\";s:5:\"title\";s:6:\"Bartik\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:65:\"admin_toolbar_tools.extra_links:system.theme_settings_theme.seven\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:65:\"admin_toolbar_tools.extra_links:system.theme_settings_theme.seven\";s:6:\"parent\";s:53:\"admin_toolbar_tools.extra_links:system.theme_settings\";s:10:\"route_name\";s:27:\"system.theme_settings_theme\";s:16:\"route_parameters\";a:1:{s:5:\"theme\";s:5:\"seven\";}s:3:\"url\";s:0:\"\";s:5:\"title\";s:5:\"Seven\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:69:\"admin_toolbar_tools.extra_links:system.theme_settings_theme.luxestate\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:69:\"admin_toolbar_tools.extra_links:system.theme_settings_theme.luxestate\";s:6:\"parent\";s:53:\"admin_toolbar_tools.extra_links:system.theme_settings\";s:10:\"route_name\";s:27:\"system.theme_settings_theme\";s:16:\"route_parameters\";a:1:{s:5:\"theme\";s:9:\"luxestate\";}s:3:\"url\";s:0:\"\";s:5:\"title\";s:9:\"Luxestate\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}}s:5:\"depth\";s:1:\"3\";}}s:5:\"depth\";s:1:\"2\";}s:19:\"system.modules_list\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:19:\"system.modules_list\";s:6:\"parent\";s:12:\"system.admin\";s:10:\"route_name\";s:19:\"system.modules_list\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Extend\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"Add and enable modules to extend site functionality.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-2\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:3:{s:24:\"system.modules_uninstall\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:24:\"system.modules_uninstall\";s:6:\"parent\";s:19:\"system.modules_list\";s:10:\"route_name\";s:24:\"system.modules_uninstall\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Uninstall module\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"3\";}s:53:\"admin_toolbar_tools.extra_links:update.module_install\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:53:\"admin_toolbar_tools.extra_links:update.module_install\";s:6:\"parent\";s:19:\"system.modules_list\";s:10:\"route_name\";s:21:\"update.module_install\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Install new module\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"3\";}s:52:\"admin_toolbar_tools.extra_links:update.module_update\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:52:\"admin_toolbar_tools.extra_links:update.module_update\";s:6:\"parent\";s:19:\"system.modules_list\";s:10:\"route_name\";s:20:\"update.module_update\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Update\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"3\";}}s:5:\"depth\";s:1:\"2\";}s:19:\"system.admin_config\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:19:\"system.admin_config\";s:6:\"parent\";s:12:\"system.admin\";s:10:\"route_name\";s:19:\"system.admin_config\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Administer settings.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:10:{s:25:\"system.admin_config_media\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:25:\"system.admin_config_media\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:25:\"system.admin_config_media\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Media\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:5:{s:27:\"system.file_system_settings\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:27:\"system.file_system_settings\";s:6:\"parent\";s:25:\"system.admin_config_media\";s:10:\"route_name\";s:27:\"system.file_system_settings\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"File system\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:67:\"Configure the location of uploaded files and how they are accessed.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:29:\"system.image_toolkit_settings\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:29:\"system.image_toolkit_settings\";s:6:\"parent\";s:25:\"system.admin_config_media\";s:10:\"route_name\";s:29:\"system.image_toolkit_settings\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Image toolkit\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:74:\"Choose which image toolkit to use if you have installed optional toolkits.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"20\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:29:\"entity.image_style.collection\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:29:\"entity.image_style.collection\";s:6:\"parent\";s:25:\"system.admin_config_media\";s:10:\"route_name\";s:29:\"entity.image_style.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Image styles\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:78:\"Configure styles that can be used for resizing or adjusting images on display.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:5:\"image\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:23:\"colorbox.admin_settings\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:23:\"colorbox.admin_settings\";s:6:\"parent\";s:25:\"system.admin_config_media\";s:10:\"route_name\";s:23:\"colorbox.admin_settings\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Colorbox settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:32:\"Configure the Colorbox settings.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"colorbox\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:40:\"entity.responsive_image_style.collection\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:40:\"entity.responsive_image_style.collection\";s:6:\"parent\";s:25:\"system.admin_config_media\";s:10:\"route_name\";s:40:\"entity.responsive_image_style.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"Responsive image styles\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"Manage responsive image styles.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:16:\"responsive_image\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}}s:5:\"depth\";s:1:\"3\";}s:28:\"system.admin_config_services\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:28:\"system.admin_config_services\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:28:\"system.admin_config_services\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Web services\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:3:{s:25:\"system.rss_feeds_settings\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:25:\"system.rss_feeds_settings\";s:6:\"parent\";s:28:\"system.admin_config_services\";s:10:\"route_name\";s:25:\"system.rss_feeds_settings\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"RSS publishing\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:115:\"Configure the site description, the number of items per feed, and whether feeds should be titles/teasers/full-text.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:19:\"simplenews.settings\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:19:\"simplenews.settings\";s:6:\"parent\";s:28:\"system.admin_config_services\";s:10:\"route_name\";s:26:\"simplenews.newsletter_list\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Simplenews\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Configure your sites newsletters.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:10:\"simplenews\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:28:\"sharethis.configuration_form\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:28:\"sharethis.configuration_form\";s:6:\"parent\";s:28:\"system.admin_config_services\";s:10:\"route_name\";s:28:\"sharethis.configuration_form\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"ShareThis\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:91:\"Choose the widget, button family, and services for using ShareThis to share content online.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:9:\"sharethis\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}}s:5:\"depth\";s:1:\"3\";}s:31:\"system.admin_config_development\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:31:\"system.admin_config_development\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:31:\"system.admin_config_development\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Development\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:36:\"Configure and use development tools.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:4:{s:28:\"system.site_maintenance_mode\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:28:\"system.site_maintenance_mode\";s:6:\"parent\";s:31:\"system.admin_config_development\";s:10:\"route_name\";s:28:\"system.site_maintenance_mode\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Maintenance mode\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:62:\"Take the site offline for updates and other maintenance tasks.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:27:\"system.performance_settings\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:27:\"system.performance_settings\";s:6:\"parent\";s:31:\"system.admin_config_development\";s:10:\"route_name\";s:27:\"system.performance_settings\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Performance\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"Configure caching and bandwidth optimization.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-20\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:23:\"system.logging_settings\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:23:\"system.logging_settings\";s:6:\"parent\";s:31:\"system.admin_config_development\";s:10:\"route_name\";s:23:\"system.logging_settings\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Logging and errors\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:61:\"Configure the display of error messages and database logging.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-15\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:11:\"config.sync\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:11:\"config.sync\";s:6:\"parent\";s:31:\"system.admin_config_development\";s:10:\"route_name\";s:11:\"config.sync\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Configuration synchronization\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:37:\"Import and export your configuration.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"config\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}}s:5:\"depth\";s:1:\"3\";}s:28:\"system.admin_config_regional\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:28:\"system.admin_config_regional\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:28:\"system.admin_config_regional\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Regional and language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:59:\"Configure regional settings, localization, and translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:6:{s:24:\"system.regional_settings\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:24:\"system.regional_settings\";s:6:\"parent\";s:28:\"system.admin_config_regional\";s:10:\"route_name\";s:24:\"system.regional_settings\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Regional settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:43:\"Configure the locale and timezone settings.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-20\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:29:\"entity.date_format.collection\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:29:\"entity.date_format.collection\";s:6:\"parent\";s:28:\"system.admin_config_regional\";s:10:\"route_name\";s:29:\"entity.date_format.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Date and time formats\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:44:\"Configure how dates and times are displayed.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-9\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:30:\"config_translation.mapper_list\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:30:\"config_translation.mapper_list\";s:6:\"parent\";s:28:\"system.admin_config_regional\";s:10:\"route_name\";s:30:\"config_translation.mapper_list\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"Configuration translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:28:\"Translate the configuration.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:18:\"config_translation\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"30\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:39:\"entity.configurable_language.collection\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:39:\"entity.configurable_language.collection\";s:6:\"parent\";s:28:\"system.admin_config_regional\";s:10:\"route_name\";s:39:\"entity.configurable_language.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Languages\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:62:\"Configure languages for content, interface, and configuration.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"language\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:30:\"language.content_settings_page\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:30:\"language.content_settings_page\";s:6:\"parent\";s:28:\"system.admin_config_regional\";s:10:\"route_name\";s:30:\"language.content_settings_page\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:32:\"Content language and translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:55:\"Configure language and translation support for content.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"language\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:21:\"locale.translate_page\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:21:\"locale.translate_page\";s:6:\"parent\";s:28:\"system.admin_config_regional\";s:10:\"route_name\";s:21:\"locale.translate_page\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"User interface translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:87:\"Configure the import of translation files, and add or customize interface translations.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"locale\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"15\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}}s:5:\"depth\";s:1:\"3\";}s:26:\"system.admin_config_search\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:26:\"system.admin_config_search\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:26:\"system.admin_config_search\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Search and metadata\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:64:\"Configure site search, metadata, and search engine optimization.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:2:{s:29:\"entity.search_page.collection\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:29:\"entity.search_page.collection\";s:6:\"parent\";s:26:\"system.admin_config_search\";s:10:\"route_name\";s:29:\"entity.search_page.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Search pages\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:51:\"Configure search pages and search indexing options.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"search\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:28:\"entity.path_alias.collection\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:28:\"entity.path_alias.collection\";s:6:\"parent\";s:26:\"system.admin_config_search\";s:10:\"route_name\";s:28:\"entity.path_alias.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"URL aliases\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:34:\"Add custom URLs to existing paths.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:4:\"path\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}}s:5:\"depth\";s:1:\"3\";}s:26:\"system.admin_config_system\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:26:\"system.admin_config_system\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:26:\"system.admin_config_system\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"System\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:49:\"Configure basic site settings, actions, and cron.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-20\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:2:{s:32:\"system.site_information_settings\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:32:\"system.site_information_settings\";s:6:\"parent\";s:26:\"system.admin_config_system\";s:10:\"route_name\";s:32:\"system.site_information_settings\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Basic site settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:77:\"Change site name, email address, slogan, default front page, and error pages.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-20\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:20:\"system.cron_settings\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:20:\"system.cron_settings\";s:6:\"parent\";s:26:\"system.admin_config_system\";s:10:\"route_name\";s:20:\"system.cron_settings\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Cron\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:40:\"Manage automatic site maintenance tasks.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"20\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}}s:5:\"depth\";s:1:\"3\";}s:22:\"system.admin_config_ui\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:22:\"system.admin_config_ui\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:22:\"system.admin_config_ui\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"User interface\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:44:\"Configure the administrative user interface.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-15\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:1:{s:30:\"entity.shortcut_set.collection\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:30:\"entity.shortcut_set.collection\";s:6:\"parent\";s:22:\"system.admin_config_ui\";s:10:\"route_name\";s:30:\"entity.shortcut_set.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Shortcuts\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Add and modify shortcut sets.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"shortcut\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}}s:5:\"depth\";s:1:\"3\";}s:28:\"system.admin_config_workflow\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:28:\"system.admin_config_workflow\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:28:\"system.admin_config_workflow\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Workflow\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:28:\"Manage the content workflow.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"3\";}s:27:\"system.admin_config_content\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:27:\"system.admin_config_content\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:27:\"system.admin_config_content\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Content authoring\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:43:\"Configure content formatting and authoring.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-15\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:1:{s:21:\"filter.admin_overview\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:21:\"filter.admin_overview\";s:6:\"parent\";s:27:\"system.admin_config_content\";s:10:\"route_name\";s:21:\"filter.admin_overview\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Text formats and editors\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:78:\"Select and configure text editors, and how content is filtered when displayed.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"filter\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}}s:5:\"depth\";s:1:\"3\";}s:16:\"user.admin_index\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:16:\"user.admin_index\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:16:\"user.admin_index\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"People\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Configure user accounts.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:4:\"user\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-20\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:2:{s:22:\"entity.user.admin_form\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:22:\"entity.user.admin_form\";s:6:\"parent\";s:16:\"user.admin_index\";s:10:\"route_name\";s:22:\"entity.user.admin_form\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Account settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:105:\"Configure default user account settings, including fields, registration requirements, and email messages.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:4:\"user\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:30:\"simplenews.subscriber_settings\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:30:\"simplenews.subscriber_settings\";s:6:\"parent\";s:16:\"user.admin_index\";s:10:\"route_name\";s:30:\"simplenews.settings_subscriber\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Subscriber settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:36:\"Administer your subscriber settings.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:10:\"simplenews\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}}s:5:\"depth\";s:1:\"3\";}}s:5:\"depth\";s:1:\"2\";}s:20:\"system.admin_reports\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:20:\"system.admin_reports\";s:6:\"parent\";s:12:\"system.admin\";s:10:\"route_name\";s:20:\"system.admin_reports\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Reports\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:34:\"View reports, updates, and errors.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:9:{s:13:\"system.status\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:13:\"system.status\";s:6:\"parent\";s:20:\"system.admin_reports\";s:10:\"route_name\";s:13:\"system.status\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Status report\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:48:\"Get a status report about your site\'s operation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"3\";}s:14:\"dblog.overview\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:14:\"dblog.overview\";s:6:\"parent\";s:20:\"system.admin_reports\";s:10:\"route_name\";s:14:\"dblog.overview\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Recent log messages\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:43:\"View events that have recently been logged.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:5:\"dblog\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-1\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"3\";}s:20:\"dblog.page_not_found\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:20:\"dblog.page_not_found\";s:6:\"parent\";s:20:\"system.admin_reports\";s:10:\"route_name\";s:20:\"dblog.page_not_found\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:27:\"Top \'page not found\' errors\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:36:\"View \'page not found\' errors (404s).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:5:\"dblog\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"3\";}s:19:\"dblog.access_denied\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:19:\"dblog.access_denied\";s:6:\"parent\";s:20:\"system.admin_reports\";s:10:\"route_name\";s:19:\"dblog.access_denied\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"Top \'access denied\' errors\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"View \'access denied\' errors (403s).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:5:\"dblog\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"3\";}s:38:\"entity.field_storage_config.collection\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:38:\"entity.field_storage_config.collection\";s:6:\"parent\";s:20:\"system.admin_reports\";s:10:\"route_name\";s:38:\"entity.field_storage_config.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Field list\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:39:\"Overview of fields on all entity types.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"field_ui\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:1:{s:51:\"admin_toolbar_tools.extra_links:views_ui.field_list\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:51:\"admin_toolbar_tools.extra_links:views_ui.field_list\";s:6:\"parent\";s:38:\"entity.field_storage_config.collection\";s:10:\"route_name\";s:23:\"views_ui.reports_fields\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Used in views\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}}s:5:\"depth\";s:1:\"3\";}s:12:\"dblog.search\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:12:\"dblog.search\";s:6:\"parent\";s:20:\"system.admin_reports\";s:10:\"route_name\";s:12:\"dblog.search\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Top search phrases\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"View most popular search phrases.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:0:\"\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"3\";}s:24:\"views_ui.reports_plugins\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:24:\"views_ui.reports_plugins\";s:6:\"parent\";s:20:\"system.admin_reports\";s:10:\"route_name\";s:24:\"views_ui.reports_plugins\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Views plugins\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:38:\"Overview of plugins used in all views.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"views_ui\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"3\";}s:13:\"update.status\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:13:\"update.status\";s:6:\"parent\";s:20:\"system.admin_reports\";s:10:\"route_name\";s:13:\"update.status\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Available updates\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:82:\"Get a status report about available updates for your installed modules and themes.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"update\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-50\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"3\";}s:23:\"locale.translate_status\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:23:\"locale.translate_status\";s:6:\"parent\";s:20:\"system.admin_reports\";s:10:\"route_name\";s:23:\"locale.translate_status\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Available translation updates\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:97:\"Get a status report about available interface translations for your installed modules and themes.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"locale\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"3\";}}s:5:\"depth\";s:1:\"2\";}s:22:\"entity.user.collection\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:22:\"entity.user.collection\";s:6:\"parent\";s:12:\"system.admin\";s:10:\"route_name\";s:22:\"entity.user.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"People\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"Manage user accounts, roles, and permissions.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:4:\"user\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"4\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:3:{s:49:\"admin_toolbar_tools.extra_links:user.admin_create\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:49:\"admin_toolbar_tools.extra_links:user.admin_create\";s:6:\"parent\";s:22:\"entity.user.collection\";s:10:\"route_name\";s:17:\"user.admin_create\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Add user\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"3\";}s:54:\"admin_toolbar_tools.extra_links:user.admin_permissions\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:54:\"admin_toolbar_tools.extra_links:user.admin_permissions\";s:6:\"parent\";s:22:\"entity.user.collection\";s:10:\"route_name\";s:22:\"user.admin_permissions\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Permissions\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"3\";}s:59:\"admin_toolbar_tools.extra_links:entity.user_role.collection\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:59:\"admin_toolbar_tools.extra_links:entity.user_role.collection\";s:6:\"parent\";s:22:\"entity.user.collection\";s:10:\"route_name\";s:27:\"entity.user_role.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Roles\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:4:{s:45:\"admin_toolbar_tools.extra_links:user.role_add\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:45:\"admin_toolbar_tools.extra_links:user.role_add\";s:6:\"parent\";s:59:\"admin_toolbar_tools.extra_links:entity.user_role.collection\";s:10:\"route_name\";s:13:\"user.role_add\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Add role\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:68:\"admin_toolbar_tools.extra_links:entity.user_role.edit_form.anonymous\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:68:\"admin_toolbar_tools.extra_links:entity.user_role.edit_form.anonymous\";s:6:\"parent\";s:59:\"admin_toolbar_tools.extra_links:entity.user_role.collection\";s:10:\"route_name\";s:26:\"entity.user_role.edit_form\";s:16:\"route_parameters\";a:1:{s:9:\"user_role\";s:9:\"anonymous\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:14:\"Anonymous user\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:72:\"admin_toolbar_tools.extra_links:entity.user_role.edit_form.authenticated\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:72:\"admin_toolbar_tools.extra_links:entity.user_role.edit_form.authenticated\";s:6:\"parent\";s:59:\"admin_toolbar_tools.extra_links:entity.user_role.collection\";s:10:\"route_name\";s:26:\"entity.user_role.edit_form\";s:16:\"route_parameters\";a:1:{s:9:\"user_role\";s:13:\"authenticated\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:18:\"Authenticated user\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:72:\"admin_toolbar_tools.extra_links:entity.user_role.edit_form.administrator\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:72:\"admin_toolbar_tools.extra_links:entity.user_role.edit_form.administrator\";s:6:\"parent\";s:59:\"admin_toolbar_tools.extra_links:entity.user_role.collection\";s:10:\"route_name\";s:26:\"entity.user_role.edit_form\";s:16:\"route_parameters\";a:1:{s:9:\"user_role\";s:13:\"administrator\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:13:\"Administrator\";}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}}s:5:\"depth\";s:1:\"3\";}}s:5:\"depth\";s:1:\"2\";}s:9:\"help.main\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:9:\"help.main\";s:6:\"parent\";s:12:\"system.admin\";s:10:\"route_name\";s:9:\"help.main\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Help\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:48:\"Reference for usage, configuration, and modules.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:4:\"help\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"9\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"2\";}s:24:\"admin_toolbar_tools.help\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:24:\"admin_toolbar_tools.help\";s:6:\"parent\";s:12:\"system.admin\";s:10:\"route_name\";s:7:\"<front>\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Tools\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:4:\"-100\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:5:{s:18:\"system.admin_index\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:18:\"system.admin_index\";s:6:\"parent\";s:24:\"admin_toolbar_tools.help\";s:10:\"route_name\";s:18:\"system.admin_index\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Index\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:4:\"-100\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"3\";}s:16:\"system.db_update\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:16:\"system.db_update\";s:6:\"parent\";s:24:\"admin_toolbar_tools.help\";s:10:\"route_name\";s:16:\"system.db_update\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Run updates\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-6\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"3\";}s:15:\"system.run_cron\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:15:\"system.run_cron\";s:6:\"parent\";s:24:\"admin_toolbar_tools.help\";s:10:\"route_name\";s:22:\"admin_toolbar.run.cron\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Run cron\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-8\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"3\";}s:25:\"admin_toolbar_tools.flush\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:25:\"admin_toolbar_tools.flush\";s:6:\"parent\";s:24:\"admin_toolbar_tools.help\";s:10:\"route_name\";s:25:\"admin_toolbar_tools.flush\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Flush all caches\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-9\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:8:{s:25:\"admin_toolbar_tools.cssjs\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:25:\"admin_toolbar_tools.cssjs\";s:6:\"parent\";s:25:\"admin_toolbar_tools.flush\";s:10:\"route_name\";s:25:\"admin_toolbar_tools.cssjs\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Flush CSS and Javascript\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:26:\"admin_toolbar_tools.plugin\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:26:\"admin_toolbar_tools.plugin\";s:6:\"parent\";s:25:\"admin_toolbar_tools.flush\";s:10:\"route_name\";s:26:\"admin_toolbar_tools.plugin\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Flush plugins cache\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:32:\"admin_toolbar_tools.flush_static\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:32:\"admin_toolbar_tools.flush_static\";s:6:\"parent\";s:25:\"admin_toolbar_tools.flush\";s:10:\"route_name\";s:32:\"admin_toolbar_tools.flush_static\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Flush static cache\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:30:\"admin_toolbar_tools.flush_menu\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:30:\"admin_toolbar_tools.flush_menu\";s:6:\"parent\";s:25:\"admin_toolbar_tools.flush\";s:10:\"route_name\";s:30:\"admin_toolbar_tools.flush_menu\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Flush routing and links cache\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:30:\"admin_toolbar_tools.flush_twig\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:30:\"admin_toolbar_tools.flush_twig\";s:6:\"parent\";s:25:\"admin_toolbar_tools.flush\";s:10:\"route_name\";s:30:\"admin_toolbar_tools.flush_twig\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Flush twig cache\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:37:\"admin_toolbar_tools.flush_rendercache\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:37:\"admin_toolbar_tools.flush_rendercache\";s:6:\"parent\";s:25:\"admin_toolbar_tools.flush\";s:10:\"route_name\";s:37:\"admin_toolbar_tools.flush_rendercache\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Flush render cache\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:33:\"admin_toolbar_tools.theme_rebuild\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:33:\"admin_toolbar_tools.theme_rebuild\";s:6:\"parent\";s:25:\"admin_toolbar_tools.flush\";s:10:\"route_name\";s:33:\"admin_toolbar_tools.theme_rebuild\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"Rebuild theme registry\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}s:43:\"admin_toolbar_tools.extra_links:flush_views\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:43:\"admin_toolbar_tools.extra_links:flush_views\";s:6:\"parent\";s:25:\"admin_toolbar_tools.flush\";s:10:\"route_name\";s:31:\"admin_toolbar_tools.flush_views\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Flush views cache\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"4\";}}s:5:\"depth\";s:1:\"3\";}s:43:\"admin_toolbar_tools.extra_links:user.logout\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:43:\"admin_toolbar_tools.extra_links:user.logout\";s:6:\"parent\";s:24:\"admin_toolbar_tools.help\";s:10:\"route_name\";s:11:\"user.logout\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Logout\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"3\";}}s:5:\"depth\";s:1:\"2\";}s:73:\"admin_toolbar_tools.extra_links:entity.block_content.field_ui_fieldsbasic\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:73:\"admin_toolbar_tools.extra_links:entity.block_content.field_ui_fieldsbasic\";s:6:\"parent\";s:73:\"admin_toolbar_tools.extra_links:entity.block_content_type.edit_form.basic\";s:10:\"route_name\";s:36:\"entity.block_content.field_ui_fields\";s:16:\"route_parameters\";a:1:{s:18:\"block_content_type\";s:5:\"basic\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"1\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"2\";}s:85:\"admin_toolbar_tools.extra_links:entity.entity_form_display.block_content.defaultbasic\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:85:\"admin_toolbar_tools.extra_links:entity.entity_form_display.block_content.defaultbasic\";s:6:\"parent\";s:73:\"admin_toolbar_tools.extra_links:entity.block_content_type.edit_form.basic\";s:10:\"route_name\";s:48:\"entity.entity_form_display.block_content.default\";s:16:\"route_parameters\";a:1:{s:18:\"block_content_type\";s:5:\"basic\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"2\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"2\";}s:86:\"admin_toolbar_tools.extra_links:entity.entity_view_display.block_content.default.basic\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:86:\"admin_toolbar_tools.extra_links:entity.entity_view_display.block_content.default.basic\";s:6:\"parent\";s:73:\"admin_toolbar_tools.extra_links:entity.block_content_type.edit_form.basic\";s:10:\"route_name\";s:48:\"entity.entity_view_display.block_content.default\";s:16:\"route_parameters\";a:1:{s:18:\"block_content_type\";s:5:\"basic\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"3\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"2\";}s:75:\"admin_toolbar_tools.extra_links:entity.block_content_type.delete_form.basic\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:75:\"admin_toolbar_tools.extra_links:entity.block_content_type.delete_form.basic\";s:6:\"parent\";s:73:\"admin_toolbar_tools.extra_links:entity.block_content_type.edit_form.basic\";s:10:\"route_name\";s:37:\"entity.block_content_type.delete_form\";s:16:\"route_parameters\";a:1:{s:18:\"block_content_type\";s:5:\"basic\";}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"2\";}}s:11:\"definitions\";a:141:{s:20:\"system.admin_content\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:20:\"system.admin_content\";s:6:\"parent\";s:12:\"system.admin\";s:10:\"route_name\";s:20:\"system.admin_content\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:11;s:11:\"description\";r:15;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:13:\"comment.admin\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:13:\"comment.admin\";s:6:\"parent\";s:20:\"system.admin_content\";s:10:\"route_name\";s:13:\"comment.admin\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:38;s:11:\"description\";r:42;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:7:\"comment\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:40:\"admin_toolbar_tools.extra_links:node.add\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:40:\"admin_toolbar_tools.extra_links:node.add\";s:6:\"parent\";s:20:\"system.admin_content\";s:10:\"route_name\";s:13:\"node.add_page\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:66;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:48:\"admin_toolbar_tools.extra_links:node.add.article\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:48:\"admin_toolbar_tools.extra_links:node.add.article\";s:6:\"parent\";s:40:\"admin_toolbar_tools.extra_links:node.add\";s:10:\"route_name\";s:8:\"node.add\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:7:\"article\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:91;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:47:\"admin_toolbar_tools.extra_links:node.add.banner\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:47:\"admin_toolbar_tools.extra_links:node.add.banner\";s:6:\"parent\";s:40:\"admin_toolbar_tools.extra_links:node.add\";s:10:\"route_name\";s:8:\"node.add\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:6:\"banner\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:118;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:45:\"admin_toolbar_tools.extra_links:node.add.blog\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:45:\"admin_toolbar_tools.extra_links:node.add.blog\";s:6:\"parent\";s:40:\"admin_toolbar_tools.extra_links:node.add\";s:10:\"route_name\";s:8:\"node.add\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:4:\"blog\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:145;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:52:\"admin_toolbar_tools.extra_links:node.add.our_mission\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:52:\"admin_toolbar_tools.extra_links:node.add.our_mission\";s:6:\"parent\";s:40:\"admin_toolbar_tools.extra_links:node.add\";s:10:\"route_name\";s:8:\"node.add\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:11:\"our_mission\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:172;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:53:\"admin_toolbar_tools.extra_links:node.add.our_services\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:53:\"admin_toolbar_tools.extra_links:node.add.our_services\";s:6:\"parent\";s:40:\"admin_toolbar_tools.extra_links:node.add\";s:10:\"route_name\";s:8:\"node.add\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:12:\"our_services\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:199;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:45:\"admin_toolbar_tools.extra_links:node.add.page\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:45:\"admin_toolbar_tools.extra_links:node.add.page\";s:6:\"parent\";s:40:\"admin_toolbar_tools.extra_links:node.add\";s:10:\"route_name\";s:8:\"node.add\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:4:\"page\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:226;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:49:\"admin_toolbar_tools.extra_links:node.add.partners\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:49:\"admin_toolbar_tools.extra_links:node.add.partners\";s:6:\"parent\";s:40:\"admin_toolbar_tools.extra_links:node.add\";s:10:\"route_name\";s:8:\"node.add\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:8:\"partners\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:253;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:50:\"admin_toolbar_tools.extra_links:node.add.portfolio\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:50:\"admin_toolbar_tools.extra_links:node.add.portfolio\";s:6:\"parent\";s:40:\"admin_toolbar_tools.extra_links:node.add\";s:10:\"route_name\";s:8:\"node.add\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:9:\"portfolio\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:280;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:57:\"admin_toolbar_tools.extra_links:node.add.simplenews_issue\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:57:\"admin_toolbar_tools.extra_links:node.add.simplenews_issue\";s:6:\"parent\";s:40:\"admin_toolbar_tools.extra_links:node.add\";s:10:\"route_name\";s:8:\"node.add\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:16:\"simplenews_issue\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:307;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:47:\"admin_toolbar_tools.extra_links:node.add.why_us\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:47:\"admin_toolbar_tools.extra_links:node.add.why_us\";s:6:\"parent\";s:40:\"admin_toolbar_tools.extra_links:node.add\";s:10:\"route_name\";s:8:\"node.add\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:6:\"why_us\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:334;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:42:\"admin_toolbar_tools.extra_links:view.files\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:42:\"admin_toolbar_tools.extra_links:view.files\";s:6:\"parent\";s:20:\"system.admin_content\";s:10:\"route_name\";s:17:\"view.files.page_1\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:361;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:22:\"system.admin_structure\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:22:\"system.admin_structure\";s:6:\"parent\";s:12:\"system.admin\";s:10:\"route_name\";s:22:\"system.admin_structure\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:387;s:11:\"description\";r:391;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-8\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:19:\"block.admin_display\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:19:\"block.admin_display\";s:6:\"parent\";s:22:\"system.admin_structure\";s:10:\"route_name\";s:19:\"block.admin_display\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:414;s:11:\"description\";r:418;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:5:\"block\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:54:\"admin_toolbar_tools.extra_links:block_content.add_page\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:54:\"admin_toolbar_tools.extra_links:block_content.add_page\";s:6:\"parent\";s:19:\"block.admin_display\";s:10:\"route_name\";s:22:\"block_content.add_page\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:441;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:63:\"admin_toolbar_tools.extra_links:entity.block_content.collection\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:63:\"admin_toolbar_tools.extra_links:entity.block_content.collection\";s:6:\"parent\";s:19:\"block.admin_display\";s:10:\"route_name\";s:31:\"entity.block_content.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:466;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:68:\"admin_toolbar_tools.extra_links:entity.block_content_type.collection\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:68:\"admin_toolbar_tools.extra_links:entity.block_content_type.collection\";s:6:\"parent\";s:19:\"block.admin_display\";s:10:\"route_name\";s:36:\"entity.block_content_type.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:491;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:27:\"entity.node_type.collection\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:27:\"entity.node_type.collection\";s:6:\"parent\";s:22:\"system.admin_structure\";s:10:\"route_name\";s:27:\"entity.node_type.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:517;s:11:\"description\";r:521;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:4:\"node\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:52:\"admin_toolbar_tools.extra_links:node_type.collection\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:52:\"admin_toolbar_tools.extra_links:node_type.collection\";s:6:\"parent\";s:27:\"entity.node_type.collection\";s:10:\"route_name\";s:27:\"entity.node_type.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:544;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-1\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:66:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.article\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:66:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.article\";s:6:\"parent\";s:27:\"entity.node_type.collection\";s:10:\"route_name\";s:26:\"entity.node_type.edit_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:7:\"article\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:570;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:65:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.banner\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:65:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.banner\";s:6:\"parent\";s:27:\"entity.node_type.collection\";s:10:\"route_name\";s:26:\"entity.node_type.edit_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:6:\"banner\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:597;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:63:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.blog\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:63:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.blog\";s:6:\"parent\";s:27:\"entity.node_type.collection\";s:10:\"route_name\";s:26:\"entity.node_type.edit_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:4:\"blog\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:624;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:70:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.our_mission\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:70:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.our_mission\";s:6:\"parent\";s:27:\"entity.node_type.collection\";s:10:\"route_name\";s:26:\"entity.node_type.edit_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:11:\"our_mission\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:651;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:71:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.our_services\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:71:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.our_services\";s:6:\"parent\";s:27:\"entity.node_type.collection\";s:10:\"route_name\";s:26:\"entity.node_type.edit_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:12:\"our_services\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:678;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:63:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.page\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:63:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.page\";s:6:\"parent\";s:27:\"entity.node_type.collection\";s:10:\"route_name\";s:26:\"entity.node_type.edit_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:4:\"page\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:705;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:67:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.partners\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:67:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.partners\";s:6:\"parent\";s:27:\"entity.node_type.collection\";s:10:\"route_name\";s:26:\"entity.node_type.edit_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:8:\"partners\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:732;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:68:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.portfolio\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:68:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.portfolio\";s:6:\"parent\";s:27:\"entity.node_type.collection\";s:10:\"route_name\";s:26:\"entity.node_type.edit_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:9:\"portfolio\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:759;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:75:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.simplenews_issue\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:75:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.simplenews_issue\";s:6:\"parent\";s:27:\"entity.node_type.collection\";s:10:\"route_name\";s:26:\"entity.node_type.edit_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:16:\"simplenews_issue\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:786;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:65:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.why_us\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:65:\"admin_toolbar_tools.extra_links:entity.node_type.edit_form.why_us\";s:6:\"parent\";s:27:\"entity.node_type.collection\";s:10:\"route_name\";s:26:\"entity.node_type.edit_form\";s:16:\"route_parameters\";a:1:{s:9:\"node_type\";s:6:\"why_us\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:813;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:45:\"admin_toolbar_tools.extra_links:node.type_add\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:45:\"admin_toolbar_tools.extra_links:node.type_add\";s:6:\"parent\";s:27:\"entity.node_type.collection\";s:10:\"route_name\";s:13:\"node.type_add\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:839;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-2\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:30:\"entity.comment_type.collection\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:30:\"entity.comment_type.collection\";s:6:\"parent\";s:22:\"system.admin_structure\";s:10:\"route_name\";s:30:\"entity.comment_type.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:865;s:11:\"description\";r:869;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:7:\"comment\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:69:\"admin_toolbar_tools.extra_links:entity.comment_type.edit_form.comment\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:69:\"admin_toolbar_tools.extra_links:entity.comment_type.edit_form.comment\";s:6:\"parent\";s:30:\"entity.comment_type.collection\";s:10:\"route_name\";s:29:\"entity.comment_type.edit_form\";s:16:\"route_parameters\";a:1:{s:12:\"comment_type\";s:7:\"comment\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:893;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:30:\"entity.contact_form.collection\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:30:\"entity.contact_form.collection\";s:6:\"parent\";s:22:\"system.admin_structure\";s:10:\"route_name\";s:30:\"entity.contact_form.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:920;s:11:\"description\";r:924;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:7:\"contact\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:70:\"admin_toolbar_tools.extra_links:entity.contact_form.edit_form.feedback\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:70:\"admin_toolbar_tools.extra_links:entity.contact_form.edit_form.feedback\";s:6:\"parent\";s:30:\"entity.contact_form.collection\";s:10:\"route_name\";s:29:\"entity.contact_form.edit_form\";s:16:\"route_parameters\";a:1:{s:12:\"contact_form\";s:8:\"feedback\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:948;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:70:\"admin_toolbar_tools.extra_links:entity.contact_form.edit_form.personal\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:70:\"admin_toolbar_tools.extra_links:entity.contact_form.edit_form.personal\";s:6:\"parent\";s:30:\"entity.contact_form.collection\";s:10:\"route_name\";s:29:\"entity.contact_form.edit_form\";s:16:\"route_parameters\";a:1:{s:12:\"contact_form\";s:8:\"personal\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:975;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:48:\"admin_toolbar_tools.extra_links:contact.form_add\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:48:\"admin_toolbar_tools.extra_links:contact.form_add\";s:6:\"parent\";s:30:\"entity.contact_form.collection\";s:10:\"route_name\";s:16:\"contact.form_add\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1001;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:21:\"field_ui.display_mode\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:21:\"field_ui.display_mode\";s:6:\"parent\";s:22:\"system.admin_structure\";s:10:\"route_name\";s:21:\"field_ui.display_mode\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1027;s:11:\"description\";r:1031;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"field_ui\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:34:\"entity.entity_view_mode.collection\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:34:\"entity.entity_view_mode.collection\";s:6:\"parent\";s:21:\"field_ui.display_mode\";s:10:\"route_name\";s:34:\"entity.entity_view_mode.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1054;s:11:\"description\";r:1058;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"field_ui\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:34:\"entity.entity_form_mode.collection\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:34:\"entity.entity_form_mode.collection\";s:6:\"parent\";s:21:\"field_ui.display_mode\";s:10:\"route_name\";s:34:\"entity.entity_form_mode.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1082;s:11:\"description\";r:1086;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"field_ui\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:37:\"entity.taxonomy_vocabulary.collection\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:37:\"entity.taxonomy_vocabulary.collection\";s:6:\"parent\";s:22:\"system.admin_structure\";s:10:\"route_name\";s:37:\"entity.taxonomy_vocabulary.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1111;s:11:\"description\";r:1115;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"taxonomy\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:77:\"admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.overview_form.tags\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:77:\"admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.overview_form.tags\";s:6:\"parent\";s:37:\"entity.taxonomy_vocabulary.collection\";s:10:\"route_name\";s:40:\"entity.taxonomy_vocabulary.overview_form\";s:16:\"route_parameters\";a:1:{s:19:\"taxonomy_vocabulary\";s:4:\"tags\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1139;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:67:\"admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.add_form\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:67:\"admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.add_form\";s:6:\"parent\";s:37:\"entity.taxonomy_vocabulary.collection\";s:10:\"route_name\";s:35:\"entity.taxonomy_vocabulary.add_form\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1165;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:22:\"entity.menu.collection\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:22:\"entity.menu.collection\";s:6:\"parent\";s:22:\"system.admin_structure\";s:10:\"route_name\";s:22:\"entity.menu.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1191;s:11:\"description\";r:1195;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:7:\"menu_ui\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:52:\"admin_toolbar_tools.extra_links:entity.menu.add_form\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:52:\"admin_toolbar_tools.extra_links:entity.menu.add_form\";s:6:\"parent\";s:22:\"entity.menu.collection\";s:10:\"route_name\";s:20:\"entity.menu.add_form\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1218;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-2\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:59:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.admin\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:59:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.admin\";s:6:\"parent\";s:22:\"entity.menu.collection\";s:10:\"route_name\";s:21:\"entity.menu.edit_form\";s:16:\"route_parameters\";a:1:{s:4:\"menu\";s:5:\"admin\";}s:3:\"url\";s:0:\"\";s:5:\"title\";s:14:\"Administration\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:60:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.footer\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:60:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.footer\";s:6:\"parent\";s:22:\"entity.menu.collection\";s:10:\"route_name\";s:21:\"entity.menu.edit_form\";s:16:\"route_parameters\";a:1:{s:4:\"menu\";s:6:\"footer\";}s:3:\"url\";s:0:\"\";s:5:\"title\";s:6:\"Footer\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"1\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:58:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.main\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:58:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.main\";s:6:\"parent\";s:22:\"entity.menu.collection\";s:10:\"route_name\";s:21:\"entity.menu.edit_form\";s:16:\"route_parameters\";a:1:{s:4:\"menu\";s:4:\"main\";}s:3:\"url\";s:0:\"\";s:5:\"title\";s:15:\"Main navigation\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"2\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:59:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.quick\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:59:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.quick\";s:6:\"parent\";s:22:\"entity.menu.collection\";s:10:\"route_name\";s:21:\"entity.menu.edit_form\";s:16:\"route_parameters\";a:1:{s:4:\"menu\";s:5:\"quick\";}s:3:\"url\";s:0:\"\";s:5:\"title\";s:11:\"Quick links\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"3\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:59:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.tools\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:59:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.tools\";s:6:\"parent\";s:22:\"entity.menu.collection\";s:10:\"route_name\";s:21:\"entity.menu.edit_form\";s:16:\"route_parameters\";a:1:{s:4:\"menu\";s:5:\"tools\";}s:3:\"url\";s:0:\"\";s:5:\"title\";s:5:\"Tools\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"4\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:61:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.account\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:61:\"admin_toolbar_tools.extra_links:entity.menu.edit_form.account\";s:6:\"parent\";s:22:\"entity.menu.collection\";s:10:\"route_name\";s:21:\"entity.menu.edit_form\";s:16:\"route_parameters\";a:1:{s:4:\"menu\";s:7:\"account\";}s:3:\"url\";s:0:\"\";s:5:\"title\";s:17:\"User account menu\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:22:\"entity.view.collection\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:22:\"entity.view.collection\";s:6:\"parent\";s:22:\"system.admin_structure\";s:10:\"route_name\";s:22:\"entity.view.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1382;s:11:\"description\";r:1386;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"views_ui\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:44:\"admin_toolbar_tools.extra_links:views_ui.add\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:44:\"admin_toolbar_tools.extra_links:views_ui.add\";s:6:\"parent\";s:22:\"entity.view.collection\";s:10:\"route_name\";s:12:\"views_ui.add\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1409;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:17:\"we_megamenu.admin\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:17:\"we_megamenu.admin\";s:6:\"parent\";s:22:\"system.admin_structure\";s:10:\"route_name\";s:17:\"we_megamenu.admin\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1435;s:11:\"description\";r:1439;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:11:\"we_megamenu\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:18:\"system.themes_page\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:18:\"system.themes_page\";s:6:\"parent\";s:12:\"system.admin\";s:10:\"route_name\";s:18:\"system.themes_page\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1464;s:11:\"description\";r:1468;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-6\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:52:\"admin_toolbar_tools.extra_links:update.theme_install\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:52:\"admin_toolbar_tools.extra_links:update.theme_install\";s:6:\"parent\";s:18:\"system.themes_page\";s:10:\"route_name\";s:20:\"update.theme_install\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1491;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:51:\"admin_toolbar_tools.extra_links:update.theme_update\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:51:\"admin_toolbar_tools.extra_links:update.theme_update\";s:6:\"parent\";s:18:\"system.themes_page\";s:10:\"route_name\";s:19:\"update.theme_update\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1516;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:53:\"admin_toolbar_tools.extra_links:system.theme_settings\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:53:\"admin_toolbar_tools.extra_links:system.theme_settings\";s:6:\"parent\";s:18:\"system.themes_page\";s:10:\"route_name\";s:21:\"system.theme_settings\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1541;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:66:\"admin_toolbar_tools.extra_links:system.theme_settings_theme.bartik\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:66:\"admin_toolbar_tools.extra_links:system.theme_settings_theme.bartik\";s:6:\"parent\";s:53:\"admin_toolbar_tools.extra_links:system.theme_settings\";s:10:\"route_name\";s:27:\"system.theme_settings_theme\";s:16:\"route_parameters\";a:1:{s:5:\"theme\";s:6:\"bartik\";}s:3:\"url\";s:0:\"\";s:5:\"title\";s:6:\"Bartik\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:65:\"admin_toolbar_tools.extra_links:system.theme_settings_theme.seven\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:65:\"admin_toolbar_tools.extra_links:system.theme_settings_theme.seven\";s:6:\"parent\";s:53:\"admin_toolbar_tools.extra_links:system.theme_settings\";s:10:\"route_name\";s:27:\"system.theme_settings_theme\";s:16:\"route_parameters\";a:1:{s:5:\"theme\";s:5:\"seven\";}s:3:\"url\";s:0:\"\";s:5:\"title\";s:5:\"Seven\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:69:\"admin_toolbar_tools.extra_links:system.theme_settings_theme.luxestate\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:69:\"admin_toolbar_tools.extra_links:system.theme_settings_theme.luxestate\";s:6:\"parent\";s:53:\"admin_toolbar_tools.extra_links:system.theme_settings\";s:10:\"route_name\";s:27:\"system.theme_settings_theme\";s:16:\"route_parameters\";a:1:{s:5:\"theme\";s:9:\"luxestate\";}s:3:\"url\";s:0:\"\";s:5:\"title\";s:9:\"Luxestate\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:19:\"system.modules_list\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:19:\"system.modules_list\";s:6:\"parent\";s:12:\"system.admin\";s:10:\"route_name\";s:19:\"system.modules_list\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1636;s:11:\"description\";r:1640;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-2\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:24:\"system.modules_uninstall\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:24:\"system.modules_uninstall\";s:6:\"parent\";s:19:\"system.modules_list\";s:10:\"route_name\";s:24:\"system.modules_uninstall\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1663;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:53:\"admin_toolbar_tools.extra_links:update.module_install\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:53:\"admin_toolbar_tools.extra_links:update.module_install\";s:6:\"parent\";s:19:\"system.modules_list\";s:10:\"route_name\";s:21:\"update.module_install\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1688;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:52:\"admin_toolbar_tools.extra_links:update.module_update\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:52:\"admin_toolbar_tools.extra_links:update.module_update\";s:6:\"parent\";s:19:\"system.modules_list\";s:10:\"route_name\";s:20:\"update.module_update\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1713;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:19:\"system.admin_config\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:19:\"system.admin_config\";s:6:\"parent\";s:12:\"system.admin\";s:10:\"route_name\";s:19:\"system.admin_config\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1739;s:11:\"description\";r:1743;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:25:\"system.admin_config_media\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:25:\"system.admin_config_media\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:25:\"system.admin_config_media\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1766;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:27:\"system.file_system_settings\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:27:\"system.file_system_settings\";s:6:\"parent\";s:25:\"system.admin_config_media\";s:10:\"route_name\";s:27:\"system.file_system_settings\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1790;s:11:\"description\";r:1794;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:29:\"system.image_toolkit_settings\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:29:\"system.image_toolkit_settings\";s:6:\"parent\";s:25:\"system.admin_config_media\";s:10:\"route_name\";s:29:\"system.image_toolkit_settings\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1818;s:11:\"description\";r:1822;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"20\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:29:\"entity.image_style.collection\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:29:\"entity.image_style.collection\";s:6:\"parent\";s:25:\"system.admin_config_media\";s:10:\"route_name\";s:29:\"entity.image_style.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1846;s:11:\"description\";r:1850;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:5:\"image\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:23:\"colorbox.admin_settings\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:23:\"colorbox.admin_settings\";s:6:\"parent\";s:25:\"system.admin_config_media\";s:10:\"route_name\";s:23:\"colorbox.admin_settings\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1874;s:11:\"description\";r:1878;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"colorbox\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:40:\"entity.responsive_image_style.collection\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:40:\"entity.responsive_image_style.collection\";s:6:\"parent\";s:25:\"system.admin_config_media\";s:10:\"route_name\";s:40:\"entity.responsive_image_style.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1902;s:11:\"description\";r:1906;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:16:\"responsive_image\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:28:\"system.admin_config_services\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:28:\"system.admin_config_services\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:28:\"system.admin_config_services\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1931;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:25:\"system.rss_feeds_settings\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:25:\"system.rss_feeds_settings\";s:6:\"parent\";s:28:\"system.admin_config_services\";s:10:\"route_name\";s:25:\"system.rss_feeds_settings\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1955;s:11:\"description\";r:1959;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:19:\"simplenews.settings\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:19:\"simplenews.settings\";s:6:\"parent\";s:28:\"system.admin_config_services\";s:10:\"route_name\";s:26:\"simplenews.newsletter_list\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:1983;s:11:\"description\";r:1987;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:10:\"simplenews\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:28:\"sharethis.configuration_form\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:28:\"sharethis.configuration_form\";s:6:\"parent\";s:28:\"system.admin_config_services\";s:10:\"route_name\";s:28:\"sharethis.configuration_form\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2011;s:11:\"description\";r:2015;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:9:\"sharethis\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:31:\"system.admin_config_development\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:31:\"system.admin_config_development\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:31:\"system.admin_config_development\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2040;s:11:\"description\";r:2044;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:28:\"system.site_maintenance_mode\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:28:\"system.site_maintenance_mode\";s:6:\"parent\";s:31:\"system.admin_config_development\";s:10:\"route_name\";s:28:\"system.site_maintenance_mode\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2067;s:11:\"description\";r:2071;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:27:\"system.performance_settings\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:27:\"system.performance_settings\";s:6:\"parent\";s:31:\"system.admin_config_development\";s:10:\"route_name\";s:27:\"system.performance_settings\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2095;s:11:\"description\";r:2099;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-20\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:23:\"system.logging_settings\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:23:\"system.logging_settings\";s:6:\"parent\";s:31:\"system.admin_config_development\";s:10:\"route_name\";s:23:\"system.logging_settings\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2123;s:11:\"description\";r:2127;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-15\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:11:\"config.sync\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:11:\"config.sync\";s:6:\"parent\";s:31:\"system.admin_config_development\";s:10:\"route_name\";s:11:\"config.sync\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2151;s:11:\"description\";r:2155;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"config\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:28:\"system.admin_config_regional\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:28:\"system.admin_config_regional\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:28:\"system.admin_config_regional\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2180;s:11:\"description\";r:2184;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:24:\"system.regional_settings\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:24:\"system.regional_settings\";s:6:\"parent\";s:28:\"system.admin_config_regional\";s:10:\"route_name\";s:24:\"system.regional_settings\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2207;s:11:\"description\";r:2211;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-20\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:29:\"entity.date_format.collection\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:29:\"entity.date_format.collection\";s:6:\"parent\";s:28:\"system.admin_config_regional\";s:10:\"route_name\";s:29:\"entity.date_format.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2235;s:11:\"description\";r:2239;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-9\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:30:\"config_translation.mapper_list\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:30:\"config_translation.mapper_list\";s:6:\"parent\";s:28:\"system.admin_config_regional\";s:10:\"route_name\";s:30:\"config_translation.mapper_list\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2263;s:11:\"description\";r:2267;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:18:\"config_translation\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"30\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:39:\"entity.configurable_language.collection\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:39:\"entity.configurable_language.collection\";s:6:\"parent\";s:28:\"system.admin_config_regional\";s:10:\"route_name\";s:39:\"entity.configurable_language.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2291;s:11:\"description\";r:2295;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"language\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:30:\"language.content_settings_page\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:30:\"language.content_settings_page\";s:6:\"parent\";s:28:\"system.admin_config_regional\";s:10:\"route_name\";s:30:\"language.content_settings_page\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2319;s:11:\"description\";r:2323;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"language\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:21:\"locale.translate_page\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:21:\"locale.translate_page\";s:6:\"parent\";s:28:\"system.admin_config_regional\";s:10:\"route_name\";s:21:\"locale.translate_page\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2347;s:11:\"description\";r:2351;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"locale\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"15\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:26:\"system.admin_config_search\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:26:\"system.admin_config_search\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:26:\"system.admin_config_search\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2376;s:11:\"description\";r:2380;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:29:\"entity.search_page.collection\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:29:\"entity.search_page.collection\";s:6:\"parent\";s:26:\"system.admin_config_search\";s:10:\"route_name\";s:29:\"entity.search_page.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2403;s:11:\"description\";r:2407;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"search\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:28:\"entity.path_alias.collection\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:28:\"entity.path_alias.collection\";s:6:\"parent\";s:26:\"system.admin_config_search\";s:10:\"route_name\";s:28:\"entity.path_alias.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2431;s:11:\"description\";r:2435;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:4:\"path\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:26:\"system.admin_config_system\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:26:\"system.admin_config_system\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:26:\"system.admin_config_system\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2460;s:11:\"description\";r:2464;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-20\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:32:\"system.site_information_settings\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:32:\"system.site_information_settings\";s:6:\"parent\";s:26:\"system.admin_config_system\";s:10:\"route_name\";s:32:\"system.site_information_settings\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2487;s:11:\"description\";r:2491;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-20\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:20:\"system.cron_settings\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:20:\"system.cron_settings\";s:6:\"parent\";s:26:\"system.admin_config_system\";s:10:\"route_name\";s:20:\"system.cron_settings\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2515;s:11:\"description\";r:2519;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"20\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:22:\"system.admin_config_ui\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:22:\"system.admin_config_ui\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:22:\"system.admin_config_ui\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2544;s:11:\"description\";r:2548;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-15\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:30:\"entity.shortcut_set.collection\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:30:\"entity.shortcut_set.collection\";s:6:\"parent\";s:22:\"system.admin_config_ui\";s:10:\"route_name\";s:30:\"entity.shortcut_set.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2571;s:11:\"description\";r:2575;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"shortcut\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:28:\"system.admin_config_workflow\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:28:\"system.admin_config_workflow\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:28:\"system.admin_config_workflow\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2600;s:11:\"description\";r:2604;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:27:\"system.admin_config_content\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:27:\"system.admin_config_content\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:27:\"system.admin_config_content\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2628;s:11:\"description\";r:2632;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-15\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:21:\"filter.admin_overview\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:21:\"filter.admin_overview\";s:6:\"parent\";s:27:\"system.admin_config_content\";s:10:\"route_name\";s:21:\"filter.admin_overview\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2655;s:11:\"description\";r:2659;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"filter\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:16:\"user.admin_index\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:16:\"user.admin_index\";s:6:\"parent\";s:19:\"system.admin_config\";s:10:\"route_name\";s:16:\"user.admin_index\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2684;s:11:\"description\";r:2688;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:4:\"user\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-20\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:22:\"entity.user.admin_form\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:22:\"entity.user.admin_form\";s:6:\"parent\";s:16:\"user.admin_index\";s:10:\"route_name\";s:22:\"entity.user.admin_form\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2711;s:11:\"description\";r:2715;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:4:\"user\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:30:\"simplenews.subscriber_settings\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:30:\"simplenews.subscriber_settings\";s:6:\"parent\";s:16:\"user.admin_index\";s:10:\"route_name\";s:30:\"simplenews.settings_subscriber\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2739;s:11:\"description\";r:2743;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:10:\"simplenews\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:20:\"system.admin_reports\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:20:\"system.admin_reports\";s:6:\"parent\";s:12:\"system.admin\";s:10:\"route_name\";s:20:\"system.admin_reports\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2769;s:11:\"description\";r:2773;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:13:\"system.status\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:13:\"system.status\";s:6:\"parent\";s:20:\"system.admin_reports\";s:10:\"route_name\";s:13:\"system.status\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2796;s:11:\"description\";r:2800;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"system\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:14:\"dblog.overview\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:14:\"dblog.overview\";s:6:\"parent\";s:20:\"system.admin_reports\";s:10:\"route_name\";s:14:\"dblog.overview\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2824;s:11:\"description\";r:2828;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:5:\"dblog\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-1\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:20:\"dblog.page_not_found\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:20:\"dblog.page_not_found\";s:6:\"parent\";s:20:\"system.admin_reports\";s:10:\"route_name\";s:20:\"dblog.page_not_found\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2852;s:11:\"description\";r:2856;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:5:\"dblog\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:19:\"dblog.access_denied\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:19:\"dblog.access_denied\";s:6:\"parent\";s:20:\"system.admin_reports\";s:10:\"route_name\";s:19:\"dblog.access_denied\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2880;s:11:\"description\";r:2884;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:5:\"dblog\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:38:\"entity.field_storage_config.collection\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:38:\"entity.field_storage_config.collection\";s:6:\"parent\";s:20:\"system.admin_reports\";s:10:\"route_name\";s:38:\"entity.field_storage_config.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2908;s:11:\"description\";r:2912;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"field_ui\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:51:\"admin_toolbar_tools.extra_links:views_ui.field_list\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:51:\"admin_toolbar_tools.extra_links:views_ui.field_list\";s:6:\"parent\";s:38:\"entity.field_storage_config.collection\";s:10:\"route_name\";s:23:\"views_ui.reports_fields\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2935;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"dblog.search\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:12:\"dblog.search\";s:6:\"parent\";s:20:\"system.admin_reports\";s:10:\"route_name\";s:12:\"dblog.search\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2961;s:11:\"description\";r:2965;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:0:\"\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:24:\"views_ui.reports_plugins\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:24:\"views_ui.reports_plugins\";s:6:\"parent\";s:20:\"system.admin_reports\";s:10:\"route_name\";s:24:\"views_ui.reports_plugins\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:2989;s:11:\"description\";r:2993;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"views_ui\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:13:\"update.status\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:13:\"update.status\";s:6:\"parent\";s:20:\"system.admin_reports\";s:10:\"route_name\";s:13:\"update.status\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3017;s:11:\"description\";r:3021;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"update\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-50\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:23:\"locale.translate_status\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:23:\"locale.translate_status\";s:6:\"parent\";s:20:\"system.admin_reports\";s:10:\"route_name\";s:23:\"locale.translate_status\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3045;s:11:\"description\";r:3049;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:6:\"locale\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:22:\"entity.user.collection\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:22:\"entity.user.collection\";s:6:\"parent\";s:12:\"system.admin\";s:10:\"route_name\";s:22:\"entity.user.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3074;s:11:\"description\";r:3078;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:4:\"user\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"4\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:49:\"admin_toolbar_tools.extra_links:user.admin_create\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:49:\"admin_toolbar_tools.extra_links:user.admin_create\";s:6:\"parent\";s:22:\"entity.user.collection\";s:10:\"route_name\";s:17:\"user.admin_create\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3101;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:54:\"admin_toolbar_tools.extra_links:user.admin_permissions\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:54:\"admin_toolbar_tools.extra_links:user.admin_permissions\";s:6:\"parent\";s:22:\"entity.user.collection\";s:10:\"route_name\";s:22:\"user.admin_permissions\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3126;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:59:\"admin_toolbar_tools.extra_links:entity.user_role.collection\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:59:\"admin_toolbar_tools.extra_links:entity.user_role.collection\";s:6:\"parent\";s:22:\"entity.user.collection\";s:10:\"route_name\";s:27:\"entity.user_role.collection\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3151;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:45:\"admin_toolbar_tools.extra_links:user.role_add\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:45:\"admin_toolbar_tools.extra_links:user.role_add\";s:6:\"parent\";s:59:\"admin_toolbar_tools.extra_links:entity.user_role.collection\";s:10:\"route_name\";s:13:\"user.role_add\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3175;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:68:\"admin_toolbar_tools.extra_links:entity.user_role.edit_form.anonymous\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:68:\"admin_toolbar_tools.extra_links:entity.user_role.edit_form.anonymous\";s:6:\"parent\";s:59:\"admin_toolbar_tools.extra_links:entity.user_role.collection\";s:10:\"route_name\";s:26:\"entity.user_role.edit_form\";s:16:\"route_parameters\";a:1:{s:9:\"user_role\";s:9:\"anonymous\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3201;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:72:\"admin_toolbar_tools.extra_links:entity.user_role.edit_form.authenticated\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:72:\"admin_toolbar_tools.extra_links:entity.user_role.edit_form.authenticated\";s:6:\"parent\";s:59:\"admin_toolbar_tools.extra_links:entity.user_role.collection\";s:10:\"route_name\";s:26:\"entity.user_role.edit_form\";s:16:\"route_parameters\";a:1:{s:9:\"user_role\";s:13:\"authenticated\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3228;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:72:\"admin_toolbar_tools.extra_links:entity.user_role.edit_form.administrator\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:72:\"admin_toolbar_tools.extra_links:entity.user_role.edit_form.administrator\";s:6:\"parent\";s:59:\"admin_toolbar_tools.extra_links:entity.user_role.collection\";s:10:\"route_name\";s:26:\"entity.user_role.edit_form\";s:16:\"route_parameters\";a:1:{s:9:\"user_role\";s:13:\"administrator\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3255;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:9:\"help.main\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:9:\"help.main\";s:6:\"parent\";s:12:\"system.admin\";s:10:\"route_name\";s:9:\"help.main\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3283;s:11:\"description\";r:3287;s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:4:\"help\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"9\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:24:\"admin_toolbar_tools.help\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:24:\"admin_toolbar_tools.help\";s:6:\"parent\";s:12:\"system.admin\";s:10:\"route_name\";s:7:\"<front>\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3311;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:4:\"-100\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:18:\"system.admin_index\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:18:\"system.admin_index\";s:6:\"parent\";s:24:\"admin_toolbar_tools.help\";s:10:\"route_name\";s:18:\"system.admin_index\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3335;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:4:\"-100\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:16:\"system.db_update\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:16:\"system.db_update\";s:6:\"parent\";s:24:\"admin_toolbar_tools.help\";s:10:\"route_name\";s:16:\"system.db_update\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3360;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-6\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:15:\"system.run_cron\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:15:\"system.run_cron\";s:6:\"parent\";s:24:\"admin_toolbar_tools.help\";s:10:\"route_name\";s:22:\"admin_toolbar.run.cron\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3385;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-8\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:25:\"admin_toolbar_tools.flush\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:25:\"admin_toolbar_tools.flush\";s:6:\"parent\";s:24:\"admin_toolbar_tools.help\";s:10:\"route_name\";s:25:\"admin_toolbar_tools.flush\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3410;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"-9\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:25:\"admin_toolbar_tools.cssjs\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:25:\"admin_toolbar_tools.cssjs\";s:6:\"parent\";s:25:\"admin_toolbar_tools.flush\";s:10:\"route_name\";s:25:\"admin_toolbar_tools.cssjs\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3434;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:26:\"admin_toolbar_tools.plugin\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:26:\"admin_toolbar_tools.plugin\";s:6:\"parent\";s:25:\"admin_toolbar_tools.flush\";s:10:\"route_name\";s:26:\"admin_toolbar_tools.plugin\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3459;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:32:\"admin_toolbar_tools.flush_static\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:32:\"admin_toolbar_tools.flush_static\";s:6:\"parent\";s:25:\"admin_toolbar_tools.flush\";s:10:\"route_name\";s:32:\"admin_toolbar_tools.flush_static\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3484;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:30:\"admin_toolbar_tools.flush_menu\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:30:\"admin_toolbar_tools.flush_menu\";s:6:\"parent\";s:25:\"admin_toolbar_tools.flush\";s:10:\"route_name\";s:30:\"admin_toolbar_tools.flush_menu\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3509;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:30:\"admin_toolbar_tools.flush_twig\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:30:\"admin_toolbar_tools.flush_twig\";s:6:\"parent\";s:25:\"admin_toolbar_tools.flush\";s:10:\"route_name\";s:30:\"admin_toolbar_tools.flush_twig\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3534;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:37:\"admin_toolbar_tools.flush_rendercache\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:37:\"admin_toolbar_tools.flush_rendercache\";s:6:\"parent\";s:25:\"admin_toolbar_tools.flush\";s:10:\"route_name\";s:37:\"admin_toolbar_tools.flush_rendercache\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3559;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:33:\"admin_toolbar_tools.theme_rebuild\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:33:\"admin_toolbar_tools.theme_rebuild\";s:6:\"parent\";s:25:\"admin_toolbar_tools.flush\";s:10:\"route_name\";s:33:\"admin_toolbar_tools.theme_rebuild\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3584;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:43:\"admin_toolbar_tools.extra_links:flush_views\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:43:\"admin_toolbar_tools.extra_links:flush_views\";s:6:\"parent\";s:25:\"admin_toolbar_tools.flush\";s:10:\"route_name\";s:31:\"admin_toolbar_tools.flush_views\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3609;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:43:\"admin_toolbar_tools.extra_links:user.logout\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:43:\"admin_toolbar_tools.extra_links:user.logout\";s:6:\"parent\";s:24:\"admin_toolbar_tools.help\";s:10:\"route_name\";s:11:\"user.logout\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3635;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:2:\"10\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:73:\"admin_toolbar_tools.extra_links:entity.block_content.field_ui_fieldsbasic\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:73:\"admin_toolbar_tools.extra_links:entity.block_content.field_ui_fieldsbasic\";s:6:\"parent\";s:73:\"admin_toolbar_tools.extra_links:entity.block_content_type.edit_form.basic\";s:10:\"route_name\";s:36:\"entity.block_content.field_ui_fields\";s:16:\"route_parameters\";a:1:{s:18:\"block_content_type\";s:5:\"basic\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3662;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"1\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:85:\"admin_toolbar_tools.extra_links:entity.entity_form_display.block_content.defaultbasic\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:85:\"admin_toolbar_tools.extra_links:entity.entity_form_display.block_content.defaultbasic\";s:6:\"parent\";s:73:\"admin_toolbar_tools.extra_links:entity.block_content_type.edit_form.basic\";s:10:\"route_name\";s:48:\"entity.entity_form_display.block_content.default\";s:16:\"route_parameters\";a:1:{s:18:\"block_content_type\";s:5:\"basic\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3688;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"2\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:86:\"admin_toolbar_tools.extra_links:entity.entity_view_display.block_content.default.basic\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:86:\"admin_toolbar_tools.extra_links:entity.entity_view_display.block_content.default.basic\";s:6:\"parent\";s:73:\"admin_toolbar_tools.extra_links:entity.block_content_type.edit_form.basic\";s:10:\"route_name\";s:48:\"entity.entity_view_display.block_content.default\";s:16:\"route_parameters\";a:1:{s:18:\"block_content_type\";s:5:\"basic\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3714;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"3\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:75:\"admin_toolbar_tools.extra_links:entity.block_content_type.delete_form.basic\";a:16:{s:9:\"menu_name\";s:5:\"admin\";s:2:\"id\";s:75:\"admin_toolbar_tools.extra_links:entity.block_content_type.delete_form.basic\";s:6:\"parent\";s:73:\"admin_toolbar_tools.extra_links:entity.block_content_type.edit_form.basic\";s:10:\"route_name\";s:37:\"entity.block_content_type.delete_form\";s:16:\"route_parameters\";a:1:{s:18:\"block_content_type\";s:5:\"basic\";}s:3:\"url\";s:0:\"\";s:5:\"title\";r:3740;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:19:\"admin_toolbar_tools\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"5\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}}s:11:\"route_names\";a:0:{}}',-1,1636012248.418,1,'config:system.menu.admin','59'),('tree-data:main:C:35:\"Drupal\\Core\\Menu\\MenuTreeParameters\":154:{a:6:{s:4:\"root\";s:0:\"\";s:8:\"minDepth\";N;s:8:\"maxDepth\";N;s:15:\"expandedParents\";a:0:{}s:11:\"activeTrail\";a:0:{}s:10:\"conditions\";a:1:{s:7:\"enabled\";i:1;}}}','a:3:{s:4:\"tree\";a:8:{s:19:\"standard.front_page\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:19:\"standard.front_page\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:7:\"<front>\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Home\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"standard\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-50\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"1\";}s:54:\"menu_link_content:56804dba-564f-4261-be6d-3260b06c9b37\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:56804dba-564f-4261-be6d-3260b06c9b37\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:21:\"entity.node.canonical\";s:16:\"route_parameters\";a:1:{s:4:\"node\";s:1:\"4\";}s:3:\"url\";s:0:\"\";s:5:\"title\";s:8:\"About us\";s:11:\"description\";s:8:\"About us\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-49\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:1:\"1\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"1\";}s:54:\"menu_link_content:4ee76de9-f8b7-4213-be88-719f49654dfb\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:4ee76de9-f8b7-4213-be88-719f49654dfb\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:21:\"entity.node.canonical\";s:16:\"route_parameters\";a:1:{s:4:\"node\";s:2:\"30\";}s:3:\"url\";s:0:\"\";s:5:\"title\";s:8:\"Services\";s:11:\"description\";s:8:\"Services\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-48\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:1:\"2\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"1\";}s:54:\"menu_link_content:49749b67-c74d-408e-a60e-bf8ff8ffb97f\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:49749b67-c74d-408e-a60e-bf8ff8ffb97f\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:21:\"view.portfolio.page_1\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:9:\"Portfolio\";s:11:\"description\";s:8:\"Porfolio\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"1\";s:6:\"weight\";s:3:\"-47\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:1:\"3\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:2:{s:54:\"menu_link_content:d4ba7240-f5f6-4077-92a1-b03f3dc2fc12\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:d4ba7240-f5f6-4077-92a1-b03f3dc2fc12\";s:6:\"parent\";s:54:\"menu_link_content:49749b67-c74d-408e-a60e-bf8ff8ffb97f\";s:10:\"route_name\";s:21:\"view.portfolio.page_2\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:15:\"Portfolio 4 col\";s:11:\"description\";s:15:\"Portfolio 4 col\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-50\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:2:\"13\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"2\";}s:54:\"menu_link_content:20bcd853-7bfc-4421-8c82-15217f40ae51\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:20bcd853-7bfc-4421-8c82-15217f40ae51\";s:6:\"parent\";s:54:\"menu_link_content:49749b67-c74d-408e-a60e-bf8ff8ffb97f\";s:10:\"route_name\";s:21:\"view.portfolio.page_3\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:17:\"Portfolio masonry\";s:11:\"description\";s:17:\"Portfolio masonry\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-49\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:2:\"14\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"2\";}}s:5:\"depth\";s:1:\"1\";}s:54:\"menu_link_content:2bdced62-2f42-4421-b679-32d1d8b4b8b7\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:2bdced62-2f42-4421-b679-32d1d8b4b8b7\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:21:\"view.blog_page.page_1\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:4:\"Blog\";s:11:\"description\";s:4:\"Blog\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"1\";s:6:\"weight\";s:3:\"-46\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:1:\"4\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:1:{s:54:\"menu_link_content:7e0a4dbd-8408-4b7e-bd75-c8515eb0dec0\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:7e0a4dbd-8408-4b7e-bd75-c8515eb0dec0\";s:6:\"parent\";s:54:\"menu_link_content:2bdced62-2f42-4421-b679-32d1d8b4b8b7\";s:10:\"route_name\";s:21:\"view.blog_page.page_2\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:12:\"Blog default\";s:11:\"description\";s:12:\"Blog default\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:2:\"19\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"2\";}}s:5:\"depth\";s:1:\"1\";}s:54:\"menu_link_content:60c931cd-37da-4cfd-a054-ef7863f9f6b2\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:60c931cd-37da-4cfd-a054-ef7863f9f6b2\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";N;s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:19:\"http://weebpal.com/\";s:5:\"title\";s:11:\"More themes\";s:11:\"description\";s:11:\"More themes\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:6:\"_blank\";}s:8:\"external\";b:1;}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-44\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:1:\"6\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"1\";}s:54:\"menu_link_content:36727826-f03f-4f36-919a-142ae953e104\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:36727826-f03f-4f36-919a-142ae953e104\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:17:\"contact.site_page\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:7:\"Contact\";s:11:\"description\";s:7:\"Contact\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-45\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:2:\"15\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"1\";}s:54:\"menu_link_content:bd337eec-18a0-43da-aca9-292607213b64\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:bd337eec-18a0-43da-aca9-292607213b64\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:10:\"user.login\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:12:\"Login | User\";s:11:\"description\";N;s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:11:\"user-log-in\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-41\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:2:\"18\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"1\";}}s:11:\"definitions\";a:11:{s:19:\"standard.front_page\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:19:\"standard.front_page\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:7:\"<front>\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:11;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"standard\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-50\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:54:\"menu_link_content:56804dba-564f-4261-be6d-3260b06c9b37\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:56804dba-564f-4261-be6d-3260b06c9b37\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:21:\"entity.node.canonical\";s:16:\"route_parameters\";a:1:{s:4:\"node\";s:1:\"4\";}s:3:\"url\";s:0:\"\";s:5:\"title\";s:8:\"About us\";s:11:\"description\";s:8:\"About us\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-49\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:1:\"1\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:54:\"menu_link_content:4ee76de9-f8b7-4213-be88-719f49654dfb\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:4ee76de9-f8b7-4213-be88-719f49654dfb\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:21:\"entity.node.canonical\";s:16:\"route_parameters\";a:1:{s:4:\"node\";s:2:\"30\";}s:3:\"url\";s:0:\"\";s:5:\"title\";s:8:\"Services\";s:11:\"description\";s:8:\"Services\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-48\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:1:\"2\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:54:\"menu_link_content:49749b67-c74d-408e-a60e-bf8ff8ffb97f\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:49749b67-c74d-408e-a60e-bf8ff8ffb97f\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:21:\"view.portfolio.page_1\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:9:\"Portfolio\";s:11:\"description\";s:8:\"Porfolio\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"1\";s:6:\"weight\";s:3:\"-47\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:1:\"3\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:54:\"menu_link_content:d4ba7240-f5f6-4077-92a1-b03f3dc2fc12\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:d4ba7240-f5f6-4077-92a1-b03f3dc2fc12\";s:6:\"parent\";s:54:\"menu_link_content:49749b67-c74d-408e-a60e-bf8ff8ffb97f\";s:10:\"route_name\";s:21:\"view.portfolio.page_2\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:15:\"Portfolio 4 col\";s:11:\"description\";s:15:\"Portfolio 4 col\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-50\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:2:\"13\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:54:\"menu_link_content:20bcd853-7bfc-4421-8c82-15217f40ae51\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:20bcd853-7bfc-4421-8c82-15217f40ae51\";s:6:\"parent\";s:54:\"menu_link_content:49749b67-c74d-408e-a60e-bf8ff8ffb97f\";s:10:\"route_name\";s:21:\"view.portfolio.page_3\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:17:\"Portfolio masonry\";s:11:\"description\";s:17:\"Portfolio masonry\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-49\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:2:\"14\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:54:\"menu_link_content:2bdced62-2f42-4421-b679-32d1d8b4b8b7\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:2bdced62-2f42-4421-b679-32d1d8b4b8b7\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:21:\"view.blog_page.page_1\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:4:\"Blog\";s:11:\"description\";s:4:\"Blog\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"1\";s:6:\"weight\";s:3:\"-46\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:1:\"4\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:54:\"menu_link_content:7e0a4dbd-8408-4b7e-bd75-c8515eb0dec0\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:7e0a4dbd-8408-4b7e-bd75-c8515eb0dec0\";s:6:\"parent\";s:54:\"menu_link_content:2bdced62-2f42-4421-b679-32d1d8b4b8b7\";s:10:\"route_name\";s:21:\"view.blog_page.page_2\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:12:\"Blog default\";s:11:\"description\";s:12:\"Blog default\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:2:\"19\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:54:\"menu_link_content:60c931cd-37da-4cfd-a054-ef7863f9f6b2\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:60c931cd-37da-4cfd-a054-ef7863f9f6b2\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";N;s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:19:\"http://weebpal.com/\";s:5:\"title\";s:11:\"More themes\";s:11:\"description\";s:11:\"More themes\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:6:\"_blank\";}s:8:\"external\";b:1;}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-44\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:1:\"6\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:54:\"menu_link_content:36727826-f03f-4f36-919a-142ae953e104\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:36727826-f03f-4f36-919a-142ae953e104\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:17:\"contact.site_page\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:7:\"Contact\";s:11:\"description\";s:7:\"Contact\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-45\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:2:\"15\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:54:\"menu_link_content:bd337eec-18a0-43da-aca9-292607213b64\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:bd337eec-18a0-43da-aca9-292607213b64\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:10:\"user.login\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:12:\"Login | User\";s:11:\"description\";N;s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:11:\"user-log-in\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-41\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:2:\"18\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}}s:11:\"route_names\";a:0:{}}',-1,1636012249.596,1,'config:system.menu.main','58'),('tree-data:main:C:35:\"Drupal\\Core\\Menu\\MenuTreeParameters\":220:{a:6:{s:4:\"root\";s:0:\"\";s:8:\"minDepth\";N;s:8:\"maxDepth\";N;s:15:\"expandedParents\";a:0:{}s:11:\"activeTrail\";a:1:{i:0;s:54:\"menu_link_content:bd337eec-18ZpED9USuKxxhPHUaRVcbwZkiggxL6lRMGdlnQj45ZnA','a:3:{s:4:\"tree\";a:8:{s:19:\"standard.front_page\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:19:\"standard.front_page\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:7:\"<front>\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Home\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"standard\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-50\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"1\";}s:54:\"menu_link_content:56804dba-564f-4261-be6d-3260b06c9b37\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:56804dba-564f-4261-be6d-3260b06c9b37\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:21:\"entity.node.canonical\";s:16:\"route_parameters\";a:1:{s:4:\"node\";s:1:\"4\";}s:3:\"url\";s:0:\"\";s:5:\"title\";s:8:\"About us\";s:11:\"description\";s:8:\"About us\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-49\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:1:\"1\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"1\";}s:54:\"menu_link_content:4ee76de9-f8b7-4213-be88-719f49654dfb\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:4ee76de9-f8b7-4213-be88-719f49654dfb\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:21:\"entity.node.canonical\";s:16:\"route_parameters\";a:1:{s:4:\"node\";s:2:\"30\";}s:3:\"url\";s:0:\"\";s:5:\"title\";s:8:\"Services\";s:11:\"description\";s:8:\"Services\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-48\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:1:\"2\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"1\";}s:54:\"menu_link_content:49749b67-c74d-408e-a60e-bf8ff8ffb97f\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:49749b67-c74d-408e-a60e-bf8ff8ffb97f\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:21:\"view.portfolio.page_1\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:9:\"Portfolio\";s:11:\"description\";s:8:\"Porfolio\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"1\";s:6:\"weight\";s:3:\"-47\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:1:\"3\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:2:{s:54:\"menu_link_content:d4ba7240-f5f6-4077-92a1-b03f3dc2fc12\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:d4ba7240-f5f6-4077-92a1-b03f3dc2fc12\";s:6:\"parent\";s:54:\"menu_link_content:49749b67-c74d-408e-a60e-bf8ff8ffb97f\";s:10:\"route_name\";s:21:\"view.portfolio.page_2\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:15:\"Portfolio 4 col\";s:11:\"description\";s:15:\"Portfolio 4 col\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-50\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:2:\"13\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"2\";}s:54:\"menu_link_content:20bcd853-7bfc-4421-8c82-15217f40ae51\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:20bcd853-7bfc-4421-8c82-15217f40ae51\";s:6:\"parent\";s:54:\"menu_link_content:49749b67-c74d-408e-a60e-bf8ff8ffb97f\";s:10:\"route_name\";s:21:\"view.portfolio.page_3\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:17:\"Portfolio masonry\";s:11:\"description\";s:17:\"Portfolio masonry\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-49\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:2:\"14\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"2\";}}s:5:\"depth\";s:1:\"1\";}s:54:\"menu_link_content:2bdced62-2f42-4421-b679-32d1d8b4b8b7\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:2bdced62-2f42-4421-b679-32d1d8b4b8b7\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:21:\"view.blog_page.page_1\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:4:\"Blog\";s:11:\"description\";s:4:\"Blog\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"1\";s:6:\"weight\";s:3:\"-46\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:1:\"4\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:1:{s:54:\"menu_link_content:7e0a4dbd-8408-4b7e-bd75-c8515eb0dec0\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:7e0a4dbd-8408-4b7e-bd75-c8515eb0dec0\";s:6:\"parent\";s:54:\"menu_link_content:2bdced62-2f42-4421-b679-32d1d8b4b8b7\";s:10:\"route_name\";s:21:\"view.blog_page.page_2\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:12:\"Blog default\";s:11:\"description\";s:12:\"Blog default\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:2:\"19\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"2\";}}s:5:\"depth\";s:1:\"1\";}s:54:\"menu_link_content:60c931cd-37da-4cfd-a054-ef7863f9f6b2\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:60c931cd-37da-4cfd-a054-ef7863f9f6b2\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";N;s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:19:\"http://weebpal.com/\";s:5:\"title\";s:11:\"More themes\";s:11:\"description\";s:11:\"More themes\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:6:\"_blank\";}s:8:\"external\";b:1;}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-44\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:1:\"6\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"1\";}s:54:\"menu_link_content:36727826-f03f-4f36-919a-142ae953e104\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:36727826-f03f-4f36-919a-142ae953e104\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:17:\"contact.site_page\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:7:\"Contact\";s:11:\"description\";s:7:\"Contact\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-45\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:2:\"15\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"1\";}s:54:\"menu_link_content:bd337eec-18a0-43da-aca9-292607213b64\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:bd337eec-18a0-43da-aca9-292607213b64\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:10:\"user.login\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:12:\"Login | User\";s:11:\"description\";N;s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:11:\"user-log-in\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-41\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:2:\"18\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:1;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"1\";}}s:11:\"definitions\";a:11:{s:19:\"standard.front_page\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:19:\"standard.front_page\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:7:\"<front>\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:11;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"standard\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-50\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:54:\"menu_link_content:56804dba-564f-4261-be6d-3260b06c9b37\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:56804dba-564f-4261-be6d-3260b06c9b37\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:21:\"entity.node.canonical\";s:16:\"route_parameters\";a:1:{s:4:\"node\";s:1:\"4\";}s:3:\"url\";s:0:\"\";s:5:\"title\";s:8:\"About us\";s:11:\"description\";s:8:\"About us\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-49\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:1:\"1\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:54:\"menu_link_content:4ee76de9-f8b7-4213-be88-719f49654dfb\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:4ee76de9-f8b7-4213-be88-719f49654dfb\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:21:\"entity.node.canonical\";s:16:\"route_parameters\";a:1:{s:4:\"node\";s:2:\"30\";}s:3:\"url\";s:0:\"\";s:5:\"title\";s:8:\"Services\";s:11:\"description\";s:8:\"Services\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-48\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:1:\"2\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:54:\"menu_link_content:49749b67-c74d-408e-a60e-bf8ff8ffb97f\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:49749b67-c74d-408e-a60e-bf8ff8ffb97f\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:21:\"view.portfolio.page_1\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:9:\"Portfolio\";s:11:\"description\";s:8:\"Porfolio\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"1\";s:6:\"weight\";s:3:\"-47\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:1:\"3\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:54:\"menu_link_content:d4ba7240-f5f6-4077-92a1-b03f3dc2fc12\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:d4ba7240-f5f6-4077-92a1-b03f3dc2fc12\";s:6:\"parent\";s:54:\"menu_link_content:49749b67-c74d-408e-a60e-bf8ff8ffb97f\";s:10:\"route_name\";s:21:\"view.portfolio.page_2\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:15:\"Portfolio 4 col\";s:11:\"description\";s:15:\"Portfolio 4 col\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-50\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:2:\"13\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:54:\"menu_link_content:20bcd853-7bfc-4421-8c82-15217f40ae51\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:20bcd853-7bfc-4421-8c82-15217f40ae51\";s:6:\"parent\";s:54:\"menu_link_content:49749b67-c74d-408e-a60e-bf8ff8ffb97f\";s:10:\"route_name\";s:21:\"view.portfolio.page_3\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:17:\"Portfolio masonry\";s:11:\"description\";s:17:\"Portfolio masonry\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-49\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:2:\"14\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:54:\"menu_link_content:2bdced62-2f42-4421-b679-32d1d8b4b8b7\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:2bdced62-2f42-4421-b679-32d1d8b4b8b7\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:21:\"view.blog_page.page_1\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:4:\"Blog\";s:11:\"description\";s:4:\"Blog\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"1\";s:6:\"weight\";s:3:\"-46\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:1:\"4\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:54:\"menu_link_content:7e0a4dbd-8408-4b7e-bd75-c8515eb0dec0\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:7e0a4dbd-8408-4b7e-bd75-c8515eb0dec0\";s:6:\"parent\";s:54:\"menu_link_content:2bdced62-2f42-4421-b679-32d1d8b4b8b7\";s:10:\"route_name\";s:21:\"view.blog_page.page_2\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:12:\"Blog default\";s:11:\"description\";s:12:\"Blog default\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:2:\"19\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:54:\"menu_link_content:60c931cd-37da-4cfd-a054-ef7863f9f6b2\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:60c931cd-37da-4cfd-a054-ef7863f9f6b2\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";N;s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:19:\"http://weebpal.com/\";s:5:\"title\";s:11:\"More themes\";s:11:\"description\";s:11:\"More themes\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:6:\"_blank\";}s:8:\"external\";b:1;}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-44\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:1:\"6\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:54:\"menu_link_content:36727826-f03f-4f36-919a-142ae953e104\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:36727826-f03f-4f36-919a-142ae953e104\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:17:\"contact.site_page\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:7:\"Contact\";s:11:\"description\";s:7:\"Contact\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-45\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:2:\"15\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:54:\"menu_link_content:bd337eec-18a0-43da-aca9-292607213b64\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:bd337eec-18a0-43da-aca9-292607213b64\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:10:\"user.login\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:12:\"Login | User\";s:11:\"description\";N;s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:11:\"user-log-in\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-41\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:2:\"18\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}}s:11:\"route_names\";a:0:{}}',-1,1636709607.767,1,'config:system.menu.main','58'),('tree-data:main:C:35:\"Drupal\\Core\\Menu\\MenuTreeParameters\":281:{a:6:{s:4:\"root\";s:0:\"\";s:8:\"minDepth\";i:1;s:8:\"maxDepth\";N;s:15:\"expandedParents\";a:3:{i:0;s:0:\"\";i:1;s:54:\"menu_link_content:2bdced62-2f42-4421-b679Q8wgFjkTGoJ2BSgNCfcw2OeFSUHRvoGqR2nHB7CiBEE','a:3:{s:4:\"tree\";a:10:{s:19:\"standard.front_page\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:19:\"standard.front_page\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:7:\"<front>\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Home\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"standard\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-50\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"1\";}s:54:\"menu_link_content:56804dba-564f-4261-be6d-3260b06c9b37\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:56804dba-564f-4261-be6d-3260b06c9b37\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:21:\"entity.node.canonical\";s:16:\"route_parameters\";a:1:{s:4:\"node\";s:1:\"4\";}s:3:\"url\";s:0:\"\";s:5:\"title\";s:8:\"About us\";s:11:\"description\";s:8:\"About us\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-49\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:1:\"1\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"1\";}s:54:\"menu_link_content:4ee76de9-f8b7-4213-be88-719f49654dfb\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:4ee76de9-f8b7-4213-be88-719f49654dfb\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:21:\"entity.node.canonical\";s:16:\"route_parameters\";a:1:{s:4:\"node\";s:2:\"30\";}s:3:\"url\";s:0:\"\";s:5:\"title\";s:8:\"Services\";s:11:\"description\";s:8:\"Services\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-48\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:1:\"2\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"1\";}s:54:\"menu_link_content:49749b67-c74d-408e-a60e-bf8ff8ffb97f\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:49749b67-c74d-408e-a60e-bf8ff8ffb97f\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:21:\"view.portfolio.page_1\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:9:\"Portfolio\";s:11:\"description\";s:8:\"Porfolio\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"1\";s:6:\"weight\";s:3:\"-47\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:1:\"3\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:2:{s:54:\"menu_link_content:d4ba7240-f5f6-4077-92a1-b03f3dc2fc12\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:d4ba7240-f5f6-4077-92a1-b03f3dc2fc12\";s:6:\"parent\";s:54:\"menu_link_content:49749b67-c74d-408e-a60e-bf8ff8ffb97f\";s:10:\"route_name\";s:21:\"view.portfolio.page_2\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:15:\"Portfolio 4 col\";s:11:\"description\";s:15:\"Portfolio 4 col\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-50\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:2:\"13\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"2\";}s:54:\"menu_link_content:20bcd853-7bfc-4421-8c82-15217f40ae51\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:20bcd853-7bfc-4421-8c82-15217f40ae51\";s:6:\"parent\";s:54:\"menu_link_content:49749b67-c74d-408e-a60e-bf8ff8ffb97f\";s:10:\"route_name\";s:21:\"view.portfolio.page_3\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:17:\"Portfolio masonry\";s:11:\"description\";s:17:\"Portfolio masonry\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-49\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:2:\"14\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"2\";}}s:5:\"depth\";s:1:\"1\";}s:54:\"menu_link_content:2bdced62-2f42-4421-b679-32d1d8b4b8b7\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:2bdced62-2f42-4421-b679-32d1d8b4b8b7\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:21:\"view.blog_page.page_1\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:4:\"Blog\";s:11:\"description\";s:4:\"Blog\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"1\";s:6:\"weight\";s:3:\"-46\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:1:\"4\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:1:{s:54:\"menu_link_content:7e0a4dbd-8408-4b7e-bd75-c8515eb0dec0\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:7e0a4dbd-8408-4b7e-bd75-c8515eb0dec0\";s:6:\"parent\";s:54:\"menu_link_content:2bdced62-2f42-4421-b679-32d1d8b4b8b7\";s:10:\"route_name\";s:21:\"view.blog_page.page_2\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:12:\"Blog default\";s:11:\"description\";s:12:\"Blog default\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:2:\"19\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"2\";}}s:5:\"depth\";s:1:\"1\";}s:54:\"menu_link_content:60c931cd-37da-4cfd-a054-ef7863f9f6b2\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:60c931cd-37da-4cfd-a054-ef7863f9f6b2\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";N;s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:19:\"http://weebpal.com/\";s:5:\"title\";s:11:\"More themes\";s:11:\"description\";s:11:\"More themes\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:6:\"_blank\";}s:8:\"external\";b:1;}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-44\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:1:\"6\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"1\";}s:54:\"menu_link_content:36727826-f03f-4f36-919a-142ae953e104\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:36727826-f03f-4f36-919a-142ae953e104\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:17:\"contact.site_page\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:7:\"Contact\";s:11:\"description\";s:7:\"Contact\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-45\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:2:\"15\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"1\";}s:54:\"menu_link_content:a21c44b2-835d-441e-8cbe-33d0ec296784\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:a21c44b2-835d-441e-8cbe-33d0ec296784\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:9:\"user.page\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:10:\"My account\";s:11:\"description\";s:10:\"My account\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:12:\"user-account\";}s:6:\"target\";s:6:\"_blank\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"0\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-43\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:2:\"16\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"1\";}s:54:\"menu_link_content:96a946eb-22c6-4787-8f6e-ad381be14222\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:96a946eb-22c6-4787-8f6e-ad381be14222\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:11:\"user.logout\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:7:\"Log out\";s:11:\"description\";s:7:\"Log out\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:12:\"user-log-out\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"0\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-42\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:2:\"17\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"1\";}s:54:\"menu_link_content:bd337eec-18a0-43da-aca9-292607213b64\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:bd337eec-18a0-43da-aca9-292607213b64\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:10:\"user.login\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:12:\"Login | User\";s:11:\"description\";N;s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:11:\"user-log-in\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-41\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:2:\"18\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"1\";}}s:11:\"definitions\";a:13:{s:19:\"standard.front_page\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:19:\"standard.front_page\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:7:\"<front>\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:11;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"standard\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-50\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:54:\"menu_link_content:56804dba-564f-4261-be6d-3260b06c9b37\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:56804dba-564f-4261-be6d-3260b06c9b37\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:21:\"entity.node.canonical\";s:16:\"route_parameters\";a:1:{s:4:\"node\";s:1:\"4\";}s:3:\"url\";s:0:\"\";s:5:\"title\";s:8:\"About us\";s:11:\"description\";s:8:\"About us\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-49\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:1:\"1\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:54:\"menu_link_content:4ee76de9-f8b7-4213-be88-719f49654dfb\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:4ee76de9-f8b7-4213-be88-719f49654dfb\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:21:\"entity.node.canonical\";s:16:\"route_parameters\";a:1:{s:4:\"node\";s:2:\"30\";}s:3:\"url\";s:0:\"\";s:5:\"title\";s:8:\"Services\";s:11:\"description\";s:8:\"Services\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-48\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:1:\"2\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:54:\"menu_link_content:49749b67-c74d-408e-a60e-bf8ff8ffb97f\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:49749b67-c74d-408e-a60e-bf8ff8ffb97f\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:21:\"view.portfolio.page_1\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:9:\"Portfolio\";s:11:\"description\";s:8:\"Porfolio\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"1\";s:6:\"weight\";s:3:\"-47\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:1:\"3\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:54:\"menu_link_content:d4ba7240-f5f6-4077-92a1-b03f3dc2fc12\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:d4ba7240-f5f6-4077-92a1-b03f3dc2fc12\";s:6:\"parent\";s:54:\"menu_link_content:49749b67-c74d-408e-a60e-bf8ff8ffb97f\";s:10:\"route_name\";s:21:\"view.portfolio.page_2\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:15:\"Portfolio 4 col\";s:11:\"description\";s:15:\"Portfolio 4 col\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-50\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:2:\"13\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:54:\"menu_link_content:20bcd853-7bfc-4421-8c82-15217f40ae51\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:20bcd853-7bfc-4421-8c82-15217f40ae51\";s:6:\"parent\";s:54:\"menu_link_content:49749b67-c74d-408e-a60e-bf8ff8ffb97f\";s:10:\"route_name\";s:21:\"view.portfolio.page_3\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:17:\"Portfolio masonry\";s:11:\"description\";s:17:\"Portfolio masonry\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-49\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:2:\"14\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:54:\"menu_link_content:2bdced62-2f42-4421-b679-32d1d8b4b8b7\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:2bdced62-2f42-4421-b679-32d1d8b4b8b7\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:21:\"view.blog_page.page_1\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:4:\"Blog\";s:11:\"description\";s:4:\"Blog\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"1\";s:6:\"weight\";s:3:\"-46\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:1:\"4\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:54:\"menu_link_content:7e0a4dbd-8408-4b7e-bd75-c8515eb0dec0\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:7e0a4dbd-8408-4b7e-bd75-c8515eb0dec0\";s:6:\"parent\";s:54:\"menu_link_content:2bdced62-2f42-4421-b679-32d1d8b4b8b7\";s:10:\"route_name\";s:21:\"view.blog_page.page_2\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:12:\"Blog default\";s:11:\"description\";s:12:\"Blog default\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:2:\"19\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:54:\"menu_link_content:60c931cd-37da-4cfd-a054-ef7863f9f6b2\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:60c931cd-37da-4cfd-a054-ef7863f9f6b2\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";N;s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:19:\"http://weebpal.com/\";s:5:\"title\";s:11:\"More themes\";s:11:\"description\";s:11:\"More themes\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:6:\"_blank\";}s:8:\"external\";b:1;}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-44\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:1:\"6\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:54:\"menu_link_content:36727826-f03f-4f36-919a-142ae953e104\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:36727826-f03f-4f36-919a-142ae953e104\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:17:\"contact.site_page\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:7:\"Contact\";s:11:\"description\";s:7:\"Contact\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-45\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:2:\"15\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:54:\"menu_link_content:a21c44b2-835d-441e-8cbe-33d0ec296784\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:a21c44b2-835d-441e-8cbe-33d0ec296784\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:9:\"user.page\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:10:\"My account\";s:11:\"description\";s:10:\"My account\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:12:\"user-account\";}s:6:\"target\";s:6:\"_blank\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"0\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-43\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:2:\"16\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:54:\"menu_link_content:96a946eb-22c6-4787-8f6e-ad381be14222\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:96a946eb-22c6-4787-8f6e-ad381be14222\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:11:\"user.logout\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:7:\"Log out\";s:11:\"description\";s:7:\"Log out\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:12:\"user-log-out\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"0\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-42\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:2:\"17\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:54:\"menu_link_content:bd337eec-18a0-43da-aca9-292607213b64\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:bd337eec-18a0-43da-aca9-292607213b64\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:10:\"user.login\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:12:\"Login | User\";s:11:\"description\";N;s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:11:\"user-log-in\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-41\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:2:\"18\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}}s:11:\"route_names\";a:0:{}}',-1,1636012251.055,1,'config:system.menu.main','58'),('tree-data:main:C:35:\"Drupal\\Core\\Menu\\MenuTreeParameters\":413:{a:6:{s:4:\"root\";s:0:\"\";s:8:\"minDepth\";i:1;s:8:\"maxDepth\";N;s:15:\"expandedParents\";a:4:{i:0;s:0:\"\";i:1;s:54:\"menu_link_content:2bdced62-2f42-4421-b679WvyqoQZngMXXjexf6T_ph76lfyg7eLTz45xd0Jzclk4','a:3:{s:4:\"tree\";a:10:{s:19:\"standard.front_page\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:19:\"standard.front_page\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:7:\"<front>\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Home\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"standard\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-50\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"1\";}s:54:\"menu_link_content:56804dba-564f-4261-be6d-3260b06c9b37\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:56804dba-564f-4261-be6d-3260b06c9b37\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:21:\"entity.node.canonical\";s:16:\"route_parameters\";a:1:{s:4:\"node\";s:1:\"4\";}s:3:\"url\";s:0:\"\";s:5:\"title\";s:8:\"About us\";s:11:\"description\";s:8:\"About us\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-49\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:1:\"1\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"1\";}s:54:\"menu_link_content:4ee76de9-f8b7-4213-be88-719f49654dfb\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:4ee76de9-f8b7-4213-be88-719f49654dfb\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:21:\"entity.node.canonical\";s:16:\"route_parameters\";a:1:{s:4:\"node\";s:2:\"30\";}s:3:\"url\";s:0:\"\";s:5:\"title\";s:8:\"Services\";s:11:\"description\";s:8:\"Services\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-48\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:1:\"2\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"1\";}s:54:\"menu_link_content:49749b67-c74d-408e-a60e-bf8ff8ffb97f\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:49749b67-c74d-408e-a60e-bf8ff8ffb97f\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:21:\"view.portfolio.page_1\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:9:\"Portfolio\";s:11:\"description\";s:8:\"Porfolio\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"1\";s:6:\"weight\";s:3:\"-47\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:1:\"3\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:2:{s:54:\"menu_link_content:d4ba7240-f5f6-4077-92a1-b03f3dc2fc12\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:d4ba7240-f5f6-4077-92a1-b03f3dc2fc12\";s:6:\"parent\";s:54:\"menu_link_content:49749b67-c74d-408e-a60e-bf8ff8ffb97f\";s:10:\"route_name\";s:21:\"view.portfolio.page_2\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:15:\"Portfolio 4 col\";s:11:\"description\";s:15:\"Portfolio 4 col\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-50\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:2:\"13\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"2\";}s:54:\"menu_link_content:20bcd853-7bfc-4421-8c82-15217f40ae51\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:20bcd853-7bfc-4421-8c82-15217f40ae51\";s:6:\"parent\";s:54:\"menu_link_content:49749b67-c74d-408e-a60e-bf8ff8ffb97f\";s:10:\"route_name\";s:21:\"view.portfolio.page_3\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:17:\"Portfolio masonry\";s:11:\"description\";s:17:\"Portfolio masonry\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-49\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:2:\"14\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"2\";}}s:5:\"depth\";s:1:\"1\";}s:54:\"menu_link_content:2bdced62-2f42-4421-b679-32d1d8b4b8b7\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:2bdced62-2f42-4421-b679-32d1d8b4b8b7\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:21:\"view.blog_page.page_1\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:4:\"Blog\";s:11:\"description\";s:4:\"Blog\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"1\";s:6:\"weight\";s:3:\"-46\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:1:\"4\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:12:\"has_children\";s:1:\"1\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:1:{s:54:\"menu_link_content:7e0a4dbd-8408-4b7e-bd75-c8515eb0dec0\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:7e0a4dbd-8408-4b7e-bd75-c8515eb0dec0\";s:6:\"parent\";s:54:\"menu_link_content:2bdced62-2f42-4421-b679-32d1d8b4b8b7\";s:10:\"route_name\";s:21:\"view.blog_page.page_2\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:12:\"Blog default\";s:11:\"description\";s:12:\"Blog default\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:2:\"19\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"2\";}}s:5:\"depth\";s:1:\"1\";}s:54:\"menu_link_content:60c931cd-37da-4cfd-a054-ef7863f9f6b2\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:60c931cd-37da-4cfd-a054-ef7863f9f6b2\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";N;s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:19:\"http://weebpal.com/\";s:5:\"title\";s:11:\"More themes\";s:11:\"description\";s:11:\"More themes\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:6:\"_blank\";}s:8:\"external\";b:1;}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-44\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:1:\"6\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"1\";}s:54:\"menu_link_content:36727826-f03f-4f36-919a-142ae953e104\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:36727826-f03f-4f36-919a-142ae953e104\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:17:\"contact.site_page\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:7:\"Contact\";s:11:\"description\";s:7:\"Contact\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-45\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:2:\"15\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"1\";}s:54:\"menu_link_content:a21c44b2-835d-441e-8cbe-33d0ec296784\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:a21c44b2-835d-441e-8cbe-33d0ec296784\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:9:\"user.page\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:10:\"My account\";s:11:\"description\";s:10:\"My account\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:12:\"user-account\";}s:6:\"target\";s:6:\"_blank\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"0\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-43\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:2:\"16\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"1\";}s:54:\"menu_link_content:96a946eb-22c6-4787-8f6e-ad381be14222\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:96a946eb-22c6-4787-8f6e-ad381be14222\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:11:\"user.logout\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:7:\"Log out\";s:11:\"description\";s:7:\"Log out\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:12:\"user-log-out\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"0\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-42\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:2:\"17\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"1\";}s:54:\"menu_link_content:bd337eec-18a0-43da-aca9-292607213b64\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:bd337eec-18a0-43da-aca9-292607213b64\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:10:\"user.login\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:12:\"Login | User\";s:11:\"description\";N;s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:11:\"user-log-in\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-41\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:2:\"18\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:1;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"1\";}}s:11:\"definitions\";a:13:{s:19:\"standard.front_page\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:19:\"standard.front_page\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:7:\"<front>\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";r:11;s:11:\"description\";s:0:\"\";s:5:\"class\";s:32:\"Drupal\\Core\\Menu\\MenuLinkDefault\";s:7:\"options\";a:0:{}s:8:\"provider\";s:8:\"standard\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-50\";s:8:\"metadata\";a:0:{}s:10:\"form_class\";s:41:\"Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm\";}s:54:\"menu_link_content:56804dba-564f-4261-be6d-3260b06c9b37\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:56804dba-564f-4261-be6d-3260b06c9b37\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:21:\"entity.node.canonical\";s:16:\"route_parameters\";a:1:{s:4:\"node\";s:1:\"4\";}s:3:\"url\";s:0:\"\";s:5:\"title\";s:8:\"About us\";s:11:\"description\";s:8:\"About us\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-49\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:1:\"1\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:54:\"menu_link_content:4ee76de9-f8b7-4213-be88-719f49654dfb\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:4ee76de9-f8b7-4213-be88-719f49654dfb\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:21:\"entity.node.canonical\";s:16:\"route_parameters\";a:1:{s:4:\"node\";s:2:\"30\";}s:3:\"url\";s:0:\"\";s:5:\"title\";s:8:\"Services\";s:11:\"description\";s:8:\"Services\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-48\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:1:\"2\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:54:\"menu_link_content:49749b67-c74d-408e-a60e-bf8ff8ffb97f\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:49749b67-c74d-408e-a60e-bf8ff8ffb97f\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:21:\"view.portfolio.page_1\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:9:\"Portfolio\";s:11:\"description\";s:8:\"Porfolio\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"1\";s:6:\"weight\";s:3:\"-47\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:1:\"3\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:54:\"menu_link_content:d4ba7240-f5f6-4077-92a1-b03f3dc2fc12\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:d4ba7240-f5f6-4077-92a1-b03f3dc2fc12\";s:6:\"parent\";s:54:\"menu_link_content:49749b67-c74d-408e-a60e-bf8ff8ffb97f\";s:10:\"route_name\";s:21:\"view.portfolio.page_2\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:15:\"Portfolio 4 col\";s:11:\"description\";s:15:\"Portfolio 4 col\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-50\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:2:\"13\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:54:\"menu_link_content:20bcd853-7bfc-4421-8c82-15217f40ae51\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:20bcd853-7bfc-4421-8c82-15217f40ae51\";s:6:\"parent\";s:54:\"menu_link_content:49749b67-c74d-408e-a60e-bf8ff8ffb97f\";s:10:\"route_name\";s:21:\"view.portfolio.page_3\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:17:\"Portfolio masonry\";s:11:\"description\";s:17:\"Portfolio masonry\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-49\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:2:\"14\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:54:\"menu_link_content:2bdced62-2f42-4421-b679-32d1d8b4b8b7\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:2bdced62-2f42-4421-b679-32d1d8b4b8b7\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:21:\"view.blog_page.page_1\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:4:\"Blog\";s:11:\"description\";s:4:\"Blog\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"1\";s:6:\"weight\";s:3:\"-46\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:1:\"4\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:54:\"menu_link_content:7e0a4dbd-8408-4b7e-bd75-c8515eb0dec0\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:7e0a4dbd-8408-4b7e-bd75-c8515eb0dec0\";s:6:\"parent\";s:54:\"menu_link_content:2bdced62-2f42-4421-b679-32d1d8b4b8b7\";s:10:\"route_name\";s:21:\"view.blog_page.page_2\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:12:\"Blog default\";s:11:\"description\";s:12:\"Blog default\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:2:\"19\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:54:\"menu_link_content:60c931cd-37da-4cfd-a054-ef7863f9f6b2\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:60c931cd-37da-4cfd-a054-ef7863f9f6b2\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";N;s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:19:\"http://weebpal.com/\";s:5:\"title\";s:11:\"More themes\";s:11:\"description\";s:11:\"More themes\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:6:\"_blank\";}s:8:\"external\";b:1;}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-44\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:1:\"6\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:54:\"menu_link_content:36727826-f03f-4f36-919a-142ae953e104\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:36727826-f03f-4f36-919a-142ae953e104\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:17:\"contact.site_page\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:7:\"Contact\";s:11:\"description\";s:7:\"Contact\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-45\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:2:\"15\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:54:\"menu_link_content:a21c44b2-835d-441e-8cbe-33d0ec296784\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:a21c44b2-835d-441e-8cbe-33d0ec296784\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:9:\"user.page\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:10:\"My account\";s:11:\"description\";s:10:\"My account\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:12:\"user-account\";}s:6:\"target\";s:6:\"_blank\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"0\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-43\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:2:\"16\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:54:\"menu_link_content:96a946eb-22c6-4787-8f6e-ad381be14222\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:96a946eb-22c6-4787-8f6e-ad381be14222\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:11:\"user.logout\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:7:\"Log out\";s:11:\"description\";s:7:\"Log out\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:12:\"user-log-out\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"0\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-42\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:2:\"17\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:54:\"menu_link_content:bd337eec-18a0-43da-aca9-292607213b64\";a:16:{s:9:\"menu_name\";s:4:\"main\";s:2:\"id\";s:54:\"menu_link_content:bd337eec-18a0-43da-aca9-292607213b64\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";s:10:\"user.login\";s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:0:\"\";s:5:\"title\";s:12:\"Login | User\";s:11:\"description\";N;s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:11:\"user-log-in\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:3:\"-41\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:2:\"18\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}}s:11:\"route_names\";a:0:{}}',-1,1636709608.622,1,'config:system.menu.main','58'),('tree-data:quick:C:35:\"Drupal\\Core\\Menu\\MenuTreeParameters\":149:{a:6:{s:4:\"root\";s:0:\"\";s:8:\"minDepth\";i:1;s:8:\"maxDepth\";N;s:15:\"expandedParents\";a:1:{i:0;s:0:\"\";}s:11:\"activeTrail\";a:0:{}s:10:\"conditions\";a:0:{}}}','a:3:{s:4:\"tree\";a:6:{s:54:\"menu_link_content:7909f56f-2491-4bc2-a54a-dc6f55cece88\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"quick\";s:2:\"id\";s:54:\"menu_link_content:7909f56f-2491-4bc2-a54a-dc6f55cece88\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";N;s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:23:\"https://www.drupal.org/\";s:5:\"title\";s:6:\"Drupal\";s:11:\"description\";s:6:\"Drupal\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:6:\"_blank\";}s:8:\"external\";b:1;}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:1:\"7\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"1\";}s:54:\"menu_link_content:919839f6-a4c3-493d-8fdd-e97513aa3eda\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"quick\";s:2:\"id\";s:54:\"menu_link_content:919839f6-a4c3-493d-8fdd-e97513aa3eda\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";N;s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:25:\"https://www.facebook.com/\";s:5:\"title\";s:8:\"Facebook\";s:11:\"description\";s:8:\"Facebook\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:6:\"_blank\";}s:8:\"external\";b:1;}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:1:\"8\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"1\";}s:54:\"menu_link_content:26cf0986-53da-465e-bb0d-d2dc2f1712e8\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"quick\";s:2:\"id\";s:54:\"menu_link_content:26cf0986-53da-465e-bb0d-d2dc2f1712e8\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";N;s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:22:\"https://www.google.com\";s:5:\"title\";s:6:\"Google\";s:11:\"description\";s:6:\"Google\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:6:\"_blank\";}s:8:\"external\";b:1;}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:1:\"9\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"1\";}s:54:\"menu_link_content:7303c9d0-4d17-4f7a-a3a3-641cce2543b3\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"quick\";s:2:\"id\";s:54:\"menu_link_content:7303c9d0-4d17-4f7a-a3a3-641cce2543b3\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";N;s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:20:\"https://twitter.com/\";s:5:\"title\";s:7:\"Twitter\";s:11:\"description\";s:7:\"Twitter\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:6:\"_blank\";}s:8:\"external\";b:1;}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:2:\"10\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"1\";}s:54:\"menu_link_content:527ea562-6643-4efb-8037-e01aeef59884\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"quick\";s:2:\"id\";s:54:\"menu_link_content:527ea562-6643-4efb-8037-e01aeef59884\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";N;s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:22:\"https://wordpress.com/\";s:5:\"title\";s:9:\"Wordpress\";s:11:\"description\";s:9:\"Wordpress\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:6:\"_blank\";}s:8:\"external\";b:1;}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:2:\"11\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"1\";}s:54:\"menu_link_content:25821ec7-df98-47dc-a5d5-4029a2837e55\";a:5:{s:10:\"definition\";a:16:{s:9:\"menu_name\";s:5:\"quick\";s:2:\"id\";s:54:\"menu_link_content:25821ec7-df98-47dc-a5d5-4029a2837e55\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";N;s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:24:\"https://www.weebpal.com/\";s:5:\"title\";s:7:\"Weebpal\";s:11:\"description\";s:7:\"Weebpal\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:6:\"_blank\";}s:8:\"external\";b:1;}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:2:\"12\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:12:\"has_children\";s:1:\"0\";s:15:\"in_active_trail\";b:0;s:7:\"subtree\";a:0:{}s:5:\"depth\";s:1:\"1\";}}s:11:\"definitions\";a:6:{s:54:\"menu_link_content:7909f56f-2491-4bc2-a54a-dc6f55cece88\";a:16:{s:9:\"menu_name\";s:5:\"quick\";s:2:\"id\";s:54:\"menu_link_content:7909f56f-2491-4bc2-a54a-dc6f55cece88\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";N;s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:23:\"https://www.drupal.org/\";s:5:\"title\";s:6:\"Drupal\";s:11:\"description\";s:6:\"Drupal\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:6:\"_blank\";}s:8:\"external\";b:1;}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:1:\"7\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:54:\"menu_link_content:919839f6-a4c3-493d-8fdd-e97513aa3eda\";a:16:{s:9:\"menu_name\";s:5:\"quick\";s:2:\"id\";s:54:\"menu_link_content:919839f6-a4c3-493d-8fdd-e97513aa3eda\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";N;s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:25:\"https://www.facebook.com/\";s:5:\"title\";s:8:\"Facebook\";s:11:\"description\";s:8:\"Facebook\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:6:\"_blank\";}s:8:\"external\";b:1;}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:1:\"8\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:54:\"menu_link_content:26cf0986-53da-465e-bb0d-d2dc2f1712e8\";a:16:{s:9:\"menu_name\";s:5:\"quick\";s:2:\"id\";s:54:\"menu_link_content:26cf0986-53da-465e-bb0d-d2dc2f1712e8\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";N;s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:22:\"https://www.google.com\";s:5:\"title\";s:6:\"Google\";s:11:\"description\";s:6:\"Google\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:6:\"_blank\";}s:8:\"external\";b:1;}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:1:\"9\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:54:\"menu_link_content:7303c9d0-4d17-4f7a-a3a3-641cce2543b3\";a:16:{s:9:\"menu_name\";s:5:\"quick\";s:2:\"id\";s:54:\"menu_link_content:7303c9d0-4d17-4f7a-a3a3-641cce2543b3\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";N;s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:20:\"https://twitter.com/\";s:5:\"title\";s:7:\"Twitter\";s:11:\"description\";s:7:\"Twitter\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:6:\"_blank\";}s:8:\"external\";b:1;}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:2:\"10\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:54:\"menu_link_content:527ea562-6643-4efb-8037-e01aeef59884\";a:16:{s:9:\"menu_name\";s:5:\"quick\";s:2:\"id\";s:54:\"menu_link_content:527ea562-6643-4efb-8037-e01aeef59884\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";N;s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:22:\"https://wordpress.com/\";s:5:\"title\";s:9:\"Wordpress\";s:11:\"description\";s:9:\"Wordpress\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:6:\"_blank\";}s:8:\"external\";b:1;}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:2:\"11\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}s:54:\"menu_link_content:25821ec7-df98-47dc-a5d5-4029a2837e55\";a:16:{s:9:\"menu_name\";s:5:\"quick\";s:2:\"id\";s:54:\"menu_link_content:25821ec7-df98-47dc-a5d5-4029a2837e55\";s:6:\"parent\";s:0:\"\";s:10:\"route_name\";N;s:16:\"route_parameters\";a:0:{}s:3:\"url\";s:24:\"https://www.weebpal.com/\";s:5:\"title\";s:7:\"Weebpal\";s:11:\"description\";s:7:\"Weebpal\";s:5:\"class\";s:52:\"Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent\";s:7:\"options\";a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:6:\"_blank\";}s:8:\"external\";b:1;}s:8:\"provider\";s:17:\"menu_link_content\";s:7:\"enabled\";s:1:\"1\";s:8:\"expanded\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:8:\"metadata\";a:1:{s:9:\"entity_id\";s:2:\"12\";}s:10:\"form_class\";s:50:\"\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";}}s:11:\"route_names\";a:0:{}}',-1,1636012251.000,1,'config:system.menu.quick','58');
/*!40000 ALTER TABLE `cache_menu` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_page`
--

DROP TABLE IF EXISTS `cache_page`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_page` (
  `cid` varchar(255) CHARACTER SET ascii COLLATE ascii_bin NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob DEFAULT NULL COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT 0 COMMENT 'A Unix timestamp indicating when the cache entry should expire, or -1 for never.',
  `created` decimal(14,3) NOT NULL DEFAULT 0.000 COMMENT 'A timestamp with millisecond precision indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT 0 COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  `tags` longtext DEFAULT NULL COMMENT 'Space-separated list of cache tags for this entry.',
  `checksum` varchar(255) CHARACTER SET ascii NOT NULL COMMENT 'The tag invalidation checksum when this entry was saved.',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`),
  KEY `created` (`created`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Storage for the cache API.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_page`
--

LOCK TABLES `cache_page` WRITE;
/*!40000 ALTER TABLE `cache_page` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `cache_page` VALUES ('http://luxestate-d8.frontend.local2.weebpal.com/:','O:31:\"Drupal\\Core\\Render\\HtmlResponse\":8:{s:7:\"headers\";O:50:\"Symfony\\Component\\HttpFoundation\\ResponseHeaderBag\":5:{s:23:\"\0*\0computedCacheControl\";a:3:{s:15:\"must-revalidate\";b:1;s:8:\"no-cache\";b:1;s:7:\"private\";b:1;}s:10:\"\0*\0cookies\";a:0:{}s:14:\"\0*\0headerNames\";a:10:{s:12:\"content-type\";s:12:\"Content-Type\";s:13:\"cache-control\";s:13:\"Cache-Control\";s:4:\"date\";s:4:\"Date\";s:22:\"x-drupal-dynamic-cache\";s:22:\"X-Drupal-Dynamic-Cache\";s:15:\"x-ua-compatible\";s:15:\"X-UA-Compatible\";s:16:\"content-language\";s:16:\"Content-language\";s:22:\"x-content-type-options\";s:22:\"X-Content-Type-Options\";s:15:\"x-frame-options\";s:15:\"X-Frame-Options\";s:7:\"expires\";s:7:\"Expires\";s:11:\"x-generator\";s:11:\"X-Generator\";}s:10:\"\0*\0headers\";a:10:{s:12:\"content-type\";a:1:{i:0;s:24:\"text/html; charset=UTF-8\";}s:13:\"cache-control\";a:1:{i:0;s:34:\"must-revalidate, no-cache, private\";}s:4:\"date\";a:1:{i:0;s:29:\"Fri, 12 Nov 2021 10:03:50 GMT\";}s:22:\"x-drupal-dynamic-cache\";a:1:{i:0;s:4:\"MISS\";}s:15:\"x-ua-compatible\";a:1:{i:0;s:7:\"IE=edge\";}s:16:\"content-language\";a:1:{i:0;s:2:\"en\";}s:22:\"x-content-type-options\";a:1:{i:0;s:7:\"nosniff\";}s:15:\"x-frame-options\";a:1:{i:0;s:10:\"SAMEORIGIN\";}s:7:\"expires\";a:1:{i:0;s:29:\"Sun, 19 Nov 1978 05:00:00 GMT\";}s:11:\"x-generator\";a:1:{i:0;s:33:\"Drupal 8 (https://www.drupal.org)\";}}s:15:\"\0*\0cacheControl\";a:2:{s:15:\"must-revalidate\";b:1;s:8:\"no-cache\";b:1;}}s:10:\"\0*\0content\";s:55546:\"<!DOCTYPE html>\n<html lang=\"en\" dir=\"ltr\" prefix=\"content: http://purl.org/rss/1.0/modules/content/  dc: http://purl.org/dc/terms/  foaf: http://xmlns.com/foaf/0.1/  og: http://ogp.me/ns#  rdfs: http://www.w3.org/2000/01/rdf-schema#  schema: http://schema.org/  sioc: http://rdfs.org/sioc/ns#  sioct: http://rdfs.org/sioc/types#  skos: http://www.w3.org/2004/02/skos/core#  xsd: http://www.w3.org/2001/XMLSchema# \">\n  <head>\n    <meta charset=\"utf-8\" />\n<meta name=\"Generator\" content=\"Drupal 8 (https://www.drupal.org)\" />\n<meta name=\"MobileOptimized\" content=\"width\" />\n<meta name=\"HandheldFriendly\" content=\"true\" />\n<meta name=\"viewport\" content=\"width=device-width, initial-scale=1.0\" />\n<link rel=\"shortcut icon\" href=\"/themes/luxestate/favicon.ico\" type=\"image/vnd.microsoft.icon\" />\n<link rel=\"alternate\" type=\"application/rss+xml\" title=\"\" href=\"http://luxestate-d8.frontend.local2.weebpal.com/rss.xml\" />\n\n    <title>Home | Luxestate</title>\n    <link rel=\"stylesheet\" media=\"all\" href=\"/core/assets/vendor/normalize-css/normalize.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/misc/normalize-fixes.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/ajax-progress.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/align.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/autocomplete-loading.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/fieldgroup.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/container-inline.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/clearfix.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/details.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/hidden.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/item-list.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/js.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/nowrap.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/position-container.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/progress.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/reset-appearance.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/resize.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/sticky-header.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/system-status-counter.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/system-status-report-counters.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/system-status-report-general-info.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/tabledrag.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/tablesort.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/tree-child.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/views/views.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/modules/colorbox/styles/default/colorbox_style.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/modules/we_megamenu/assets/includes/bootstrap/css/bootstrap.min.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/modules/we_megamenu/assets/css/we_megamenu_backend.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/action-links.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/breadcrumb.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/button.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/collapse-processed.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/container-inline.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/details.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/exposed-filters.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/field.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/form.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/icons.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/inline-form.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/item-list.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/link.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/links.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/menu.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/more-link.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/pager.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/tabledrag.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/tableselect.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/tablesort.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/tabs.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/textarea.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/ui-dialog.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/messages.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/themes/luxestate/assets/includes/owl-carousel/owl.carousel.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/themes/luxestate/assets/includes/slick/slick/slick.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/themes/luxestate/assets/includes/slick/css/style.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/themes/luxestate/assets/css/style.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/themes/luxestate/assets/css/style-rtl.css?r21ec5\" />\n\n    \n<!--[if lte IE 8]>\n<script src=\"/core/assets/vendor/html5shiv/html5shiv.min.js?v=3.7.3\"></script>\n<![endif]-->\n\n    <meta name=\"viewport\" content=\"width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no\">\n    <meta name=\"HandheldFriendly\" content=\"true\" />\n    <meta name=\"apple-touch-fullscreen\" content=\"YES\" />\n  </head>\n  <body class=\"front  bg-default path-frontpage\">\n        <a href=\"#main-content\" class=\"visually-hidden focusable\">\n      Skip to main content\n    </a>\n    \n      <div class=\"dialog-off-canvas-main-canvas\" data-off-canvas-main-canvas>\n    \n  <div id=\"page\"  class=\"\">\n\n        <div id=\"change_skin_menu_wrapper\" class=\"change-skin-menu-wrapper wrapper\"><div class=\"container\"><a id=\"change-skin\" class=\"change-skin\" href=\"javascript:void(0)\"><i class=\"fa fa-cog\" aria-hidden=\"true\"></i>\n\n</a><div class=\"skin-color\"><strong>Skin</strong><ul class=\"change-skin-menu\"><li class=\"default\"><a href=\"#change-skin/default\" class=\"change-skin-button color-default\">Default Style</a></li></ul></div><div class=\"layout\"><strong>Layout Boxed</strong><label class=\"switch-btn\"><span id=\"layout-default\" class=\"btn btn-default change-layout-button  active\">No</span><span id=\"layout-boxed\" class=\"btn btn-default change-layout-button \">Yes</span></label></div><div class=\"background hidden\"><strong>Background</strong><ul class=\"change-background\"><li class=\"bg-default active\"><a href=\"#change-background/bg-default\" class=\"change-background-button\">Default</a></li><li class=\"bg-1\"><a href=\"#change-background/bg-1\" class=\"change-background-button\">Background 1</a></li><li class=\"bg-2\"><a href=\"#change-background/bg-2\" class=\"change-background-button\">Background 2</a></li><li class=\"bg-3\"><a href=\"#change-background/bg-3\" class=\"change-background-button\">Background 3</a></li><li class=\"bg-4\"><a href=\"#change-background/bg-4\" class=\"change-background-button\">Background 4</a></li><li class=\"bg-5\"><a href=\"#change-background/bg-5\" class=\"change-background-button\">Background 5</a></li><li class=\"bg-6\"><a href=\"#change-background/bg-6\" class=\"change-background-button\">Background 6</a></li><li class=\"bg-7\"><a href=\"#change-background/bg-7\" class=\"change-background-button\">Background 7</a></li></ul></div><div class=\"direction\"><strong>Direction</strong><ul class=\"change-direction\"><li class=\"active\"><a href=\"/\" class=\"change-direction-button\">LTR</a></li><li class=\"\"><a href=\"/ar\" class=\"change-direction-button\">RTL</a></li></ul></div></div></div>\n    \n    \n    \n    <header id=\"header\" role=\"banner\" aria-label=\"Site header\">\n      <div class=\"container clearfix\">\n\n          <div class=\"region region-secondary-menu\">\n    <nav role=\"navigation\" aria-labelledby=\"block-luxestate-account-menu-menu\" id=\"block-luxestate-account-menu\" class=\"block block-menu navigation menu--account\">\n            \n  <h2 class=\"visually-hidden\" id=\"block-luxestate-account-menu-menu\">User account menu</h2>\n  \n\n        \n              <ul class=\"clearfix menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/user/login\" data-drupal-link-system-path=\"user/login\">Log in</a>\n              </li>\n        </ul>\n  \n\n\n  </nav>\n\n  </div>\n\n\n        <a href=\"#menu-toggle\" class=\"navbar-toggle\" id=\"ico-main-menu\">\n              <span class=\"icon-bar\"></span>\n              <span class=\"icon-bar\"></span>\n              <span class=\"icon-bar\"></span>\n        </a>\n\n        \n        \n          <div class=\"clearfix region region-header\">\n    <div id=\"block-luxestate-branding\" class=\"clearfix site-branding block block-system block-system-branding-block\">\n  \n    \n        <a href=\"/\" title=\"Home\" rel=\"home\" class=\"site-branding__logo\">\n      <img src=\"/themes/luxestate/logo.svg\" alt=\"Home\" />\n    </a>\n        <div class=\"site-branding__text\">\n              <div class=\"site-branding__name\">\n          <a href=\"/\" title=\"Home\" rel=\"home\">Luxestate</a>\n        </div>\n                    <div class=\"site-branding__slogan\">Luxestate is open source software has long been a natural choice for schools </div>\n          </div>\n  </div>\n\n  </div>\n\n\n                        <div class=\"region region-primary-menu\">\n    <div id=\"block-mainnavigation-2\" class=\"block block-we-megamenu block-we-megamenu-blockmain\">\n  \n    \n      <div class=\"content\">\n      <div class=\"region-we-mega-menu\">\n	<a class=\"navbar-toggle collapsed\">\n	    <span class=\"icon-bar\"></span>\n	    <span class=\"icon-bar\"></span>\n	    <span class=\"icon-bar\"></span>\n	</a>\n	<nav  class=\"main navbar navbar-default navbar-we-mega-menu mobile-collapse hover-action\" data-menu-name=\"main\" data-block-theme=\"luxestate\" data-style=\"Default\" data-animation=\"None\" data-delay=\"\" data-duration=\"\" data-autoarrow=\"\" data-alwayshowsubmenu=\"\" data-action=\"hover\" data-mobile-collapse=\"0\">\n	  <div class=\"container-fluid\">\n	    <ul  class=\"we-mega-menu-ul nav nav-tabs\">\n  <li  class=\"we-mega-menu-li active active-trail\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"\" data-id=\"/\" data-submenu=\"0\" hide-sub-when-collapse=\"0\">\n      <a class=\"we-mega-menu-li\" title=\"\" href=\"/\" target=\"\">\n      Home    </a>\n    \n</li><li  class=\"we-mega-menu-li\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"About us\" data-id=\"56804dba-564f-4261-be6d-3260b06c9b37\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"About us\" href=\"/about-us\" target=\"\">\n      About us    </a>\n    \n</li><li  class=\"we-mega-menu-li\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"Services\" data-id=\"4ee76de9-f8b7-4213-be88-719f49654dfb\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Services\" href=\"/services\" target=\"\">\n      Services    </a>\n    \n</li><li  class=\"we-mega-menu-li dropdown-menu\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"Porfolio\" data-id=\"49749b67-c74d-408e-a60e-bf8ff8ffb97f\" data-submenu=\"1\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Porfolio\" href=\"/portfolio\" target=\"\">\n      Portfolio    </a>\n    <div  class=\"we-mega-menu-submenu\" data-element-type=\"we-mega-menu-submenu\" data-submenu-width=\"\" data-class=\"\" style=\"width: px\">\n  <div class=\"we-mega-menu-submenu-inner\">\n    <div  class=\"we-mega-menu-row\" data-element-type=\"we-mega-menu-row\" data-custom-row=\"0\">\n  <div  class=\"we-mega-menu-col span12 cccc\" data-element-type=\"we-mega-menu-col\" data-width=\"12\" data-block=\"\" data-blocktitle=\"0\" data-hidewhencollapse=\"\" data-class=\"cccc\">\n  <ul class=\"nav nav-tabs subul\">\n  <li  class=\"we-mega-menu-li\" data-level=\"1\" data-element-type=\"we-mega-menu-li\" description=\"Portfolio 4 col\" data-id=\"d4ba7240-f5f6-4077-92a1-b03f3dc2fc12\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Portfolio 4 col\" href=\"/portfolio_4_col\" target=\"\">\n      Portfolio 4 col    </a>\n    \n</li><li  class=\"we-mega-menu-li\" data-level=\"1\" data-element-type=\"we-mega-menu-li\" description=\"Portfolio masonry\" data-id=\"20bcd853-7bfc-4421-8c82-15217f40ae51\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Portfolio masonry\" href=\"/portfolio_masonry\" target=\"\">\n      Portfolio masonry    </a>\n    \n</li>\n</ul>\n</div>\n\n</div>\n\n  </div>\n</div>\n</li><li  class=\"we-mega-menu-li dropdown-menu\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"Blog\" data-id=\"2bdced62-2f42-4421-b679-32d1d8b4b8b7\" data-submenu=\"1\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Blog\" href=\"/blog\" target=\"\">\n      Blog    </a>\n    <div  class=\"we-mega-menu-submenu\" data-element-type=\"we-mega-menu-submenu\" data-submenu-width=\"\" data-class=\"\" style=\"width: px\">\n  <div class=\"we-mega-menu-submenu-inner\">\n    <div  class=\"we-mega-menu-row\" data-element-type=\"we-mega-menu-row\" data-custom-row=\"0\">\n  <div  class=\"we-mega-menu-col span12\" data-element-type=\"we-mega-menu-col\" data-width=\"12\" data-block=\"\" data-blocktitle=\"0\" data-hidewhencollapse=\"\" data-class=\"\">\n  <ul class=\"nav nav-tabs subul\">\n  <li  class=\"we-mega-menu-li\" data-level=\"1\" data-element-type=\"we-mega-menu-li\" description=\"Blog default\" data-id=\"7e0a4dbd-8408-4b7e-bd75-c8515eb0dec0\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Blog default\" href=\"/blog_default\" target=\"\">\n      Blog default    </a>\n    \n</li>\n</ul>\n</div>\n\n</div>\n\n  </div>\n</div>\n</li><li  class=\"we-mega-menu-li\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"Contact\" data-id=\"36727826-f03f-4f36-919a-142ae953e104\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Contact\" href=\"/contact\" target=\"\">\n      Contact    </a>\n    \n</li><li  class=\"we-mega-menu-li\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"More themes\" data-id=\"60c931cd-37da-4cfd-a054-ef7863f9f6b2\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"More themes\" href=\"http://weebpal.com/\" target=\"\">\n      More themes    </a>\n    \n</li><li  class=\"we-mega-menu-li user-log-in\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"\" data-id=\"bd337eec-18a0-43da-aca9-292607213b64\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"user-log-in\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"\" href=\"/user/login\" target=\"\">\n      Login | User    </a>\n    \n</li>\n</ul>\n	  </div>\n	</nav>\n</div>\n    </div>\n  </div>\n\n  </div>\n\n        \n      </div>\n    </header>\n    <!-- /.section, /#header-->\n\n\n	\n<!--      -->\n\n        <section id=\"slideshow \">\n      <div class=\"container-fluid\">\n          <div class=\"region region-slideshow\">\n    <div class=\"views-element-container block block-views block-views-blockslideshow-block-1\" id=\"block-views-block-slideshow-block-1\">\n  \n    \n      <div class=\"content\">\n      <div><div class=\"slideshow view view-slideshow view-id-slideshow view-display-id-block_1 js-view-dom-id-06207d0dfa3e3c72a4a71a8761fe76a8bb232dda4398e150d7ebccc2729e36cb\">\n  \n    \n      \n      <div class=\"view-content\">\n          <div class=\"views-row\"><div class=\"views-field views-field-field-slideshow\"><div class=\"field-content\">  <img src=\"/sites/default/files/styles/image_1920_845/public/field/slideshow/slider01_0.jpg?itok=pJtNgbQz\" width=\"1920\" height=\"845\" alt=\"Off the wall\" title=\"Off the wall\" typeof=\"foaf:Image\" class=\"image-style-image-1920-845\" />\n\n\n</div></div></div>\n    <div class=\"views-row\"><div class=\"views-field views-field-field-slideshow\"><div class=\"field-content\">  <img src=\"/sites/default/files/styles/image_1920_845/public/field/slideshow/slider01.jpg?itok=oZlj1ppz\" width=\"1920\" height=\"845\" alt=\"Seeing the light\" title=\"Seeing the light\" typeof=\"foaf:Image\" class=\"image-style-image-1920-845\" />\n\n\n</div></div></div>\n    <div class=\"views-row\"><div class=\"views-field views-field-field-slideshow\"><div class=\"field-content\">  <img src=\"/sites/default/files/styles/image_1920_845/public/field/slideshow/slider02.jpg?itok=zHD8Qxbq\" width=\"1920\" height=\"845\" alt=\"Dare to bare\" title=\"Dare to bare\" typeof=\"foaf:Image\" class=\"image-style-image-1920-845\" />\n\n\n</div></div></div>\n    <div class=\"views-row\"><div class=\"views-field views-field-field-slideshow\"><div class=\"field-content\">  <img src=\"/sites/default/files/styles/image_1920_845/public/field/slideshow/slider01.jpg?itok=oZlj1ppz\" width=\"1920\" height=\"845\" alt=\"Seeing the light\" title=\"Seeing the light\" typeof=\"foaf:Image\" class=\"image-style-image-1920-845\" />\n\n\n</div></div></div>\n    <div class=\"views-row\"><div class=\"views-field views-field-field-slideshow\"><div class=\"field-content\">  <img src=\"/sites/default/files/styles/image_1920_845/public/field/slideshow/slider01_0.jpg?itok=pJtNgbQz\" width=\"1920\" height=\"845\" alt=\"Off the wall\" title=\"Off the wall\" typeof=\"foaf:Image\" class=\"image-style-image-1920-845\" />\n\n\n</div></div></div>\n\n    </div>\n  \n          </div>\n</div>\n\n    </div>\n  </div>\n\n  </div>\n\n      </div>\n    </section>\n    \n    \n    \n    \n		<section class=\"highlighted\">\n		<div class=\"container\">\n			  <div class=\"region region-highlighted\">\n    <div data-drupal-messages-fallback class=\"hidden\"></div>\n\n  </div>\n\n		</div>\n	</section>\n	\n    <section id=\"main\">\n      <div class=\"container\">\n        <div class=\"row\">\n        <div id=\"content\" role=\"main\" class=\"col-lg-12 col-md-12 col-sm-12 col-xs-12\">\n            <a id=\"main-content\" tabindex=\"-1\"></a>\n\n                        \n                          <div class=\"region region-content\">\n    <div id=\"block-luxestate-page-title\" class=\"block block-core block-page-title-block\">\n  \n    \n      <div class=\"content\">\n      \n  <h1 class=\"title page-title\"></h1>\n\n\n    </div>\n  </div>\n<div id=\"block-luxestate-content\" class=\"block block-system block-system-main-block\">\n  \n    \n      <div class=\"content\">\n      <div class=\"views-element-container\"><div class=\"view-blog-summary view view-frontpage view-id-frontpage view-display-id-page_1 js-view-dom-id-aa409c8599b0bf9e07fcb0ca6bb7f5bbba0fabb8ca346d5f4905dfd4404be880\">\n  \n    \n      \n      <div class=\"view-content\">\n          <div class=\"views-view-grid horizontal cols-3 clearfix\">\n            <div class=\"views-row clearfix row-1\">\n                  <div class=\"views-col col-1\" style=\"width: 33.333333333333%;\"><div class=\"views-field views-field-title\"><span class=\"field-content\"><a href=\"/blog/dare-bare\" hreflang=\"en\">Dare to bare</a></span></div><div class=\"views-field views-field-body\"><div class=\"field-content\"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna…</p></div></div><div class=\"views-field views-field-view-node\"><span class=\"field-content\"><a href=\"/blog/dare-bare\" hreflang=\"en\">Read more</a></span></div><div class=\"views-field views-field-nothing\"><span class=\"field-content\"></span></div></div>\n                  <div class=\"views-col col-2\" style=\"width: 33.333333333333%;\"><div class=\"views-field views-field-title\"><span class=\"field-content\"><a href=\"/blog/wall\" hreflang=\"en\">Off the wall</a></span></div><div class=\"views-field views-field-body\"><div class=\"field-content\"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna…</p></div></div><div class=\"views-field views-field-view-node\"><span class=\"field-content\"><a href=\"/blog/wall\" hreflang=\"en\">Read more</a></span></div><div class=\"views-field views-field-nothing\"><span class=\"field-content\"></span></div></div>\n                  <div class=\"views-col col-3\" style=\"width: 33.333333333333%;\"><div class=\"views-field views-field-title\"><span class=\"field-content\"><a href=\"/blog/seeing-light\" hreflang=\"en\">Seeing the light</a></span></div><div class=\"views-field views-field-body\"><div class=\"field-content\"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna…</p></div></div><div class=\"views-field views-field-view-node\"><span class=\"field-content\"><a href=\"/blog/seeing-light\" hreflang=\"en\">Read more</a></span></div><div class=\"views-field views-field-nothing\"><span class=\"field-content\"></span></div></div>\n              </div>\n      </div>\n\n    </div>\n  \n              <div class=\"feed-icons\">\n      <a href=\"http://luxestate-d8.frontend.local2.weebpal.com/rss.xml\" class=\"feed-icon\">\n  Subscribe to \n</a>\n\n    </div>\n  </div>\n</div>\n\n    </div>\n  </div>\n\n  </div>\n\n        </div>\n        <!-- /.section, /#content -->\n        \n        \n\n        </div>\n      </div>\n    </section>\n    <!-- /#main, /#main-wrapper -->\n\n    \n          <section id=\"panel-second\">\n        <div class=\"container-fluid\">\n            <div class=\"region region-panel-second\">\n    <div class=\"views-element-container block block-views block-views-blockabout-us-block-1\" id=\"block-views-block-about-us-block-1\">\n  \n    \n      <div class=\"content\">\n      <div><div class=\"view view-about-us view-id-about_us view-display-id-block_1 js-view-dom-id-29791072d97b793c93f79045b9bb71e54c6ac6ab1bd02ef610e9a92e4d6dc0ee\">\n  \n    \n      \n      <div class=\"view-content\">\n          <div class=\"views-row\"><div class=\"views-field views-field-field-banner\"><div class=\"field-content\">  <img src=\"/sites/default/files/styles/image_1920_700/public/field/banner/about-us-banner.jpg?itok=UW8PbBlO\" width=\"1920\" height=\"700\" alt=\"\" typeof=\"foaf:Image\" class=\"image-style-image-1920-700\" />\n\n\n</div></div><div class=\"views-field views-field-title\"><span class=\"field-content\">Welcome to Luxestate</span></div><div class=\"views-field views-field-field-su\"><div class=\"field-content\"><p>“It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout. The point of using Lorem Ipsum is that it has a more-or-less normal distribution of letters, as opposed to using \'Content here, content here\', making it look like readable English (injected humour and the like).</p>\n<p>There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which don\'t look even slightly believable.</p>\n<h4>AMANDA CLARKE</h4>\n<h5>Creative Director</h5>\n</div></div><div class=\"views-field views-field-nothing\"><span class=\"field-content\"><div class=\"views-field wp-views-field-view-node\">\n		<a href=\"/about-us\">Read more</a> 	\n</div></span></div></div>\n\n    </div>\n  \n          </div>\n</div>\n\n    </div>\n  </div>\n\n  </div>\n\n        </div>\n      </section>\n    \n        <section id=\"panel-third\">\n      <div class=\"container\">\n          <div class=\"region region-panel-third\">\n    <div class=\"views-element-container block block-views block-views-blockportfolio-block-1\" id=\"block-views-block-portfolio-block-1\">\n  \n      <h2>Portfolio</h2>\n    \n      <div class=\"content\">\n      <div><div class=\"view view-portfolio view-id-portfolio view-display-id-block_1 js-view-dom-id-c88f3f2e305027cded0e1bc5e8b2b6e7753c9a15bcb5d720a4c04b3af4f28581\">\n  \n    \n      <div class=\"view-header\">\n      <p>“There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which don\'t look even slightly believable. If you are going to use a passage of Lorem Ipsum, you need to be sure there isn\'t anything embarrassing hidden.”</p>\n<p>										   -- Lorem Ipsum --</p>\n\n    </div>\n      \n      <div class=\"view-content\">\n          <div><div class=\"views-field views-field-field-gallery portfolio-gallery\"><div class=\"field-content\">\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo4_2.jpg\" title=\"Ut enim ad minim veniam\" data-colorbox-gallery=\"gallery-all-ZvUqTAWkBI0\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Ut enim ad minim veniam&quot;,&quot;alt&quot;:&quot;Ut enim ad minim veniam&quot;}\"><img src=\"/sites/default/files/field/gallery/demo4_2.jpg\" width=\"1100\" height=\"1100\" alt=\"Ut enim ad minim veniam\" title=\"Ut enim ad minim veniam\" typeof=\"foaf:Image\" />\n</a>\n</div></div></div>\n    <div><div class=\"views-field views-field-field-gallery portfolio-gallery\"><div class=\"field-content\">\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo8_2.jpg\" title=\"Ut enim ad minim veniam\" data-colorbox-gallery=\"gallery-all-ZvUqTAWkBI0\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Ut enim ad minim veniam&quot;,&quot;alt&quot;:&quot;Ut enim ad minim veniam&quot;}\"><img src=\"/sites/default/files/field/gallery/demo8_2.jpg\" width=\"1100\" height=\"1100\" alt=\"Ut enim ad minim veniam\" title=\"Ut enim ad minim veniam\" typeof=\"foaf:Image\" />\n</a>\n</div></div></div>\n    <div><div class=\"views-field views-field-field-gallery portfolio-gallery\"><div class=\"field-content\">\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo6_2.jpg\" title=\"Ut enim ad minim veniam\" data-colorbox-gallery=\"gallery-all-ZvUqTAWkBI0\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Ut enim ad minim veniam&quot;,&quot;alt&quot;:&quot;Ut enim ad minim veniam&quot;}\"><img src=\"/sites/default/files/field/gallery/demo6_2.jpg\" width=\"1100\" height=\"1100\" alt=\"Ut enim ad minim veniam\" title=\"Ut enim ad minim veniam\" typeof=\"foaf:Image\" />\n</a>\n</div></div></div>\n    <div><div class=\"views-field views-field-field-gallery portfolio-gallery\"><div class=\"field-content\">\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo7_1.jpg\" title=\"Ut enim ad minim veniam\" data-colorbox-gallery=\"gallery-all-ZvUqTAWkBI0\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Ut enim ad minim veniam&quot;,&quot;alt&quot;:&quot;Ut enim ad minim veniam&quot;}\"><img src=\"/sites/default/files/field/gallery/demo7_1.jpg\" width=\"1100\" height=\"1100\" alt=\"Ut enim ad minim veniam\" title=\"Ut enim ad minim veniam\" typeof=\"foaf:Image\" />\n</a>\n</div></div></div>\n    <div><div class=\"views-field views-field-field-gallery portfolio-gallery\"><div class=\"field-content\">\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo1_1.jpg\" title=\"Ut enim ad minim veniam\" data-colorbox-gallery=\"gallery-all-ZvUqTAWkBI0\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Ut enim ad minim veniam&quot;,&quot;alt&quot;:&quot;Ut enim ad minim veniam&quot;}\"><img src=\"/sites/default/files/field/gallery/demo1_1.jpg\" width=\"1100\" height=\"1100\" alt=\"Ut enim ad minim veniam\" title=\"Ut enim ad minim veniam\" typeof=\"foaf:Image\" />\n</a>\n</div></div></div>\n    <div><div class=\"views-field views-field-field-gallery portfolio-gallery\"><div class=\"field-content\">\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo3_1.jpg\" title=\"Ut enim ad minim veniam\" data-colorbox-gallery=\"gallery-all-ZvUqTAWkBI0\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Ut enim ad minim veniam&quot;,&quot;alt&quot;:&quot;Ut enim ad minim veniam&quot;}\"><img src=\"/sites/default/files/field/gallery/demo3_1.jpg\" width=\"1100\" height=\"1100\" alt=\"Ut enim ad minim veniam\" title=\"Ut enim ad minim veniam\" typeof=\"foaf:Image\" />\n</a>\n</div></div></div>\n    <div><div class=\"views-field views-field-field-gallery portfolio-gallery\"><div class=\"field-content\">\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo2_0.jpg\" title=\"Lorem ipsum dolor sit amet\" data-colorbox-gallery=\"gallery-all-ZvUqTAWkBI0\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Lorem ipsum dolor sit amet&quot;,&quot;alt&quot;:&quot;Lorem ipsum dolor sit amet&quot;}\"><img src=\"/sites/default/files/field/gallery/demo2_0.jpg\" width=\"1100\" height=\"1100\" alt=\"Lorem ipsum dolor sit amet\" title=\"Lorem ipsum dolor sit amet\" typeof=\"foaf:Image\" />\n</a>\n</div></div></div>\n    <div><div class=\"views-field views-field-field-gallery portfolio-gallery\"><div class=\"field-content\">\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo7_0.jpg\" title=\"Lorem ipsum dolor sit amet\" data-colorbox-gallery=\"gallery-all-ZvUqTAWkBI0\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Lorem ipsum dolor sit amet&quot;,&quot;alt&quot;:&quot;Lorem ipsum dolor sit amet&quot;}\"><img src=\"/sites/default/files/field/gallery/demo7_0.jpg\" width=\"1100\" height=\"1100\" alt=\"Lorem ipsum dolor sit amet\" title=\"Lorem ipsum dolor sit amet\" typeof=\"foaf:Image\" />\n</a>\n</div></div></div>\n    <div><div class=\"views-field views-field-field-gallery portfolio-gallery\"><div class=\"field-content\">\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo1_0.jpg\" title=\"Lorem ipsum dolor sit amet\" data-colorbox-gallery=\"gallery-all-ZvUqTAWkBI0\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Lorem ipsum dolor sit amet&quot;,&quot;alt&quot;:&quot;Lorem ipsum dolor sit amet&quot;}\"><img src=\"/sites/default/files/field/gallery/demo1_0.jpg\" width=\"1100\" height=\"1100\" alt=\"Lorem ipsum dolor sit amet\" title=\"Lorem ipsum dolor sit amet\" typeof=\"foaf:Image\" />\n</a>\n</div></div></div>\n    <div><div class=\"views-field views-field-field-gallery portfolio-gallery\"><div class=\"field-content\">\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo6_0.jpg\" title=\"Lorem ipsum dolor sit amet\" data-colorbox-gallery=\"gallery-all-ZvUqTAWkBI0\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Lorem ipsum dolor sit amet&quot;,&quot;alt&quot;:&quot;Lorem ipsum dolor sit amet&quot;}\"><img src=\"/sites/default/files/field/gallery/demo6_0.jpg\" width=\"1100\" height=\"1100\" alt=\"Lorem ipsum dolor sit amet\" title=\"Lorem ipsum dolor sit amet\" typeof=\"foaf:Image\" />\n</a>\n</div></div></div>\n\n    </div>\n  \n            <div class=\"view-footer\">\n      <p>“If you are going to use a passage of Lorem Ipsum, you need to be sure there isn\'t anything embarrassing hidden in the middle of text.”</p>\n<p>						-- H. Rackham --</p>\n\n    </div>\n    </div>\n</div>\n\n    </div>\n  </div>\n\n  </div>\n\n      </div>\n    </section>\n    \n        <section id=\"panel-fourth\">\n      <div class=\"container\">\n          <div class=\"region region-panel-fourth\">\n    <div class=\"views-element-container block block-views block-views-blockblog-page-block-2\" id=\"block-views-block-blog-page-block-2\">\n  \n      <h2>latest news</h2>\n    \n      <div class=\"content\">\n      <div><div class=\"view-type-grid view view-blog-page view-id-blog_page view-display-id-block_2 js-view-dom-id-e97b3efc1d7aab8e736423b0471a7bc537e9153035a943ff5ba57f9f119cdab4\">\n  \n    \n      <div class=\"view-header\">\n      <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit.<br />\nPraesent facilisis massa nellyary eget magna semper,  dolor sit amet.</p>\n\n    </div>\n      \n      <div class=\"view-content\">\n          <div class=\"views-view-grid horizontal cols-3 clearfix\">\n            <div class=\"views-row clearfix row-1\">\n                  <div class=\"views-col col-1\" style=\"width: 33.333333333333%;\"><div class=\"views-field views-field-field-image\"><div class=\"field-content\">  <a href=\"/blog/seeing-light\" hreflang=\"en\"><img src=\"/sites/default/files/styles/image_551_372/public/field/blog/blog-01.jpg?itok=WLGJd480\" width=\"551\" height=\"372\" alt=\"Seeing the light\" title=\"Seeing the light\" typeof=\"foaf:Image\" class=\"image-style-image-551-372\" />\n\n</a>\n</div></div><div class=\"views-field views-field-title\"><span class=\"field-content\"><a href=\"/blog/seeing-light\" hreflang=\"en\">Seeing the light</a></span></div><div class=\"views-field views-field-created\"><span class=\"field-content\">July 25, 2016</span></div><div class=\"views-field views-field-uid\"><span class=\"field-content\">by <a href=\"/user/15\" hreflang=\"en\">linda</a> </span></div><div class=\"views-field views-field-field-tags\"><div class=\"field-content\">in <a href=\"/tags/drupal\" hreflang=\"en\">Drupal</a></div></div><div class=\"views-field views-field-body\"><div class=\"field-content\"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua.</p></div></div></div>\n                  <div class=\"views-col col-2\" style=\"width: 33.333333333333%;\"><div class=\"views-field views-field-field-image\"><div class=\"field-content\">  <a href=\"/blog/warehouse-sale-emeryville\" hreflang=\"en\"><img src=\"/sites/default/files/styles/image_551_372/public/field/blog/blog-02.jpg?itok=7PhIWd28\" width=\"551\" height=\"372\" alt=\"Warehouse Sale in Emeryville\" title=\"Warehouse Sale in Emeryville\" typeof=\"foaf:Image\" class=\"image-style-image-551-372\" />\n\n</a>\n</div></div><div class=\"views-field views-field-title\"><span class=\"field-content\"><a href=\"/blog/warehouse-sale-emeryville\" hreflang=\"en\">Warehouse Sale in Emeryville</a></span></div><div class=\"views-field views-field-created\"><span class=\"field-content\">January 08, 2016</span></div><div class=\"views-field views-field-uid\"><span class=\"field-content\">by <a href=\"/user/1\" hreflang=\"en\">admin</a> </span></div><div class=\"views-field views-field-field-tags\"><div class=\"field-content\">in <a href=\"/tags/css\" hreflang=\"en\">CSS</a></div></div><div class=\"views-field views-field-body\"><div class=\"field-content\"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua.</p></div></div></div>\n                  <div class=\"views-col col-3\" style=\"width: 33.333333333333%;\"><div class=\"views-field views-field-field-image\"><div class=\"field-content\">  <a href=\"/blog/wall\" hreflang=\"en\"><img src=\"/sites/default/files/styles/image_551_372/public/field/blog/blog-03.jpg?itok=83qPKtx9\" width=\"551\" height=\"372\" alt=\"Off the wall\" title=\"Off the wall\" typeof=\"foaf:Image\" class=\"image-style-image-551-372\" />\n\n</a>\n</div></div><div class=\"views-field views-field-title\"><span class=\"field-content\"><a href=\"/blog/wall\" hreflang=\"en\">Off the wall</a></span></div><div class=\"views-field views-field-created\"><span class=\"field-content\">December 22, 2015</span></div><div class=\"views-field views-field-uid\"><span class=\"field-content\">by <a href=\"/user/15\" hreflang=\"en\">linda</a> </span></div><div class=\"views-field views-field-field-tags\"><div class=\"field-content\">in <a href=\"/tags/transportation\" hreflang=\"en\">Transportation</a></div></div><div class=\"views-field views-field-body\"><div class=\"field-content\"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua.</p></div></div></div>\n              </div>\n      </div>\n\n    </div>\n  \n          </div>\n</div>\n\n    </div>\n  </div>\n\n  </div>\n\n      </div>\n    </section>\n    \n        <section id=\"panel-fifth\">\n      <div class=\"container\">\n          <div class=\"region region-panel-fifth\">\n    <div class=\"views-element-container block block-views block-views-blockour-partners-block-1\" id=\"block-views-block-our-partners-block-1\">\n  \n      <h2>Our partners</h2>\n    \n      <div class=\"content\">\n      <div><div class=\"view-our-partners view view-id-our_partners view-display-id-block_1 js-view-dom-id-80760fadec603229d1abd123f5a564401934baa2891270d8e97c06f75981e8ba\">\n  \n    \n      \n      <div class=\"view-content\">\n      <div class=\"owl-carousel carousel-responsive\">\n          <div>\n        <div class=\"views-field views-field-field-partners\"><div class=\"field-content\"><a href=\"http://demo.weebpal.com/drupal8/business/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/logo-bs.png?itok=K0RPbk_h\" width=\"380\" height=\"224\" alt=\"Business\" title=\"Business\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a></div></div>\n      </div>\n          <div>\n        <div class=\"views-field views-field-field-partners\"><div class=\"field-content\"><a href=\"http://weebpal.com/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/logo-wp.png?itok=bg9l3f8O\" width=\"380\" height=\"224\" alt=\"Weebpal\" title=\"Weebpal\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a></div></div>\n      </div>\n          <div>\n        <div class=\"views-field views-field-field-partners\"><div class=\"field-content\"><a href=\"https://jquery.com/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/jquery-logo.png?itok=LOz187-u\" width=\"380\" height=\"224\" alt=\"jQuery\" title=\"jQuery\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a></div></div>\n      </div>\n          <div>\n        <div class=\"views-field views-field-field-partners\"><div class=\"field-content\"><a href=\"https://www.youtube.com/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/youtube_logo.png?itok=W1Z0jbNz\" width=\"380\" height=\"224\" alt=\"Youtube\" title=\"Youtube\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a></div></div>\n      </div>\n          <div>\n        <div class=\"views-field views-field-field-partners\"><div class=\"field-content\"><a href=\"http://getbootstrap.com/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/bootstrap-logo.png?itok=1m_YLXKP\" width=\"380\" height=\"224\" alt=\"Bootstrap\" title=\"Bootstrap\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a></div></div>\n      </div>\n          <div>\n        <div class=\"views-field views-field-field-partners\"><div class=\"field-content\"><a href=\"https://www.drupal.com/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/drupal-logo-trans.png?itok=xwZywhaS\" width=\"380\" height=\"224\" alt=\"Drupal\" title=\"Drupal\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a></div></div>\n      </div>\n        \n</div>  \n\n\n    </div>\n  \n          </div>\n</div>\n\n    </div>\n  </div>\n\n  </div>\n\n      </div>\n    </section>\n    \n    \n          <section id=\"footer-columns\">\n        <div class=\"container\">\n          <div class=\"row\">\n            <div class=\"col-md-3\">\n                <div class=\"region region-footer-firstcolumn\">\n    <nav role=\"navigation\" aria-labelledby=\"block-quicklinks-menu\" id=\"block-quicklinks\" class=\"block block-menu navigation menu--quick\">\n      \n  <h2 id=\"block-quicklinks-menu\">Quick links</h2>\n  \n\n        \n              <ul class=\"clearfix menu\">\n                    <li class=\"menu-item\">\n        <a href=\"https://www.drupal.org/\" target=\"_blank\" title=\"Drupal\">Drupal</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"https://www.facebook.com/\" target=\"_blank\" title=\"Facebook\">Facebook</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"https://www.google.com\" target=\"_blank\" title=\"Google\">Google</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"https://twitter.com/\" target=\"_blank\" title=\"Twitter\">Twitter</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"https://www.weebpal.com/\" target=\"_blank\" title=\"Weebpal\">Weebpal</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"https://wordpress.com/\" target=\"_blank\" title=\"Wordpress\">Wordpress</a>\n              </li>\n        </ul>\n  \n\n\n  </nav>\n<nav role=\"navigation\" aria-labelledby=\"block-mainnavigation-menu\" id=\"block-mainnavigation\" class=\"main-menu-footer block block-menu navigation menu--main\">\n            \n  <h2 class=\"visually-hidden\" id=\"block-mainnavigation-menu\">Main navigation</h2>\n  \n\n        \n              <ul class=\"clearfix menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/\" data-drupal-link-system-path=\"&lt;front&gt;\" class=\"is-active\">Home</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/about-us\" target=\"\" title=\"About us\" data-drupal-link-system-path=\"node/4\">About us</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/services\" target=\"\" title=\"Services\" data-drupal-link-system-path=\"node/30\">Services</a>\n              </li>\n                <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/portfolio\" target=\"\" title=\"Porfolio\" data-drupal-link-system-path=\"portfolio\">Portfolio</a>\n                                <ul class=\"menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/portfolio_4_col\" target=\"\" title=\"Portfolio 4 col\" data-drupal-link-system-path=\"portfolio_4_col\">Portfolio 4 col</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/portfolio_masonry\" target=\"\" title=\"Portfolio masonry\" data-drupal-link-system-path=\"portfolio_masonry\">Portfolio masonry</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/blog\" target=\"\" title=\"Blog\" data-drupal-link-system-path=\"blog\">Blog</a>\n                                <ul class=\"menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/blog_default\" target=\"\" title=\"Blog default\" data-drupal-link-system-path=\"blog_default\">Blog default</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/contact\" target=\"\" title=\"Contact\" data-drupal-link-system-path=\"contact\">Contact</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"http://weebpal.com/\" target=\"_blank\" title=\"More themes\">More themes</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/user/login\" class=\"user-log-in\" target=\"\" data-drupal-link-system-path=\"user/login\">Login | User</a>\n              </li>\n        </ul>\n  \n\n\n  </nav>\n\n  </div>\n\n            </div>\n            <div class=\"col-md-3\">\n                <div class=\"region region-footer-secondcolumn\">\n    <div class=\"views-element-container block block-views block-views-blockblog-page-block-3\" id=\"block-views-block-blog-page-block-3\">\n  \n      <h2>Latest news</h2>\n    \n      <div class=\"content\">\n      <div><div class=\"view-type-list view view-blog-page view-id-blog_page view-display-id-block_3 js-view-dom-id-a1bab9694f3d80635185f6212a1c562a230504021ef9a295cec845f7b68c0786\">\n  \n    \n      <div class=\"view-header\">\n      <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit.<br />\nPraesent facilisis massa nellyary eget magna semper,  dolor sit amet.</p>\n\n    </div>\n      \n      <div class=\"view-content\">\n          <div class=\"views-row\"><div class=\"views-field views-field-nothing\"><span class=\"field-content\"><div class=\"views-field wp-views-field-img\">\n	  <a href=\"/blog/seeing-light\" hreflang=\"en\"><img src=\"/sites/default/files/styles/image_63_63/public/field/blog/blog-01.jpg?itok=JB0jmD8A\" width=\"63\" height=\"63\" alt=\"Seeing the light\" title=\"Seeing the light\" typeof=\"Image\" class=\"image-style-image-63-63\" />\n\n</a>\n 	\n</div>\n<div class=\"views-inner views-fieldset\">\n	<div class=\"views-field wp-views-field-title\">\n		<a href=\"/blog/seeing-light\" hreflang=\"en\">Seeing the light</a>	\n	</div>\n	<div class=\"views-field wp-views-field-body\">\n		<p>Lorem ipsum dolor sit amet, consectetur…</p> 	\n	</div>\n	<div class=\"views-field wp-views-field-created\">\n		25 Jul,2016		\n	</div>\n</div>\n</span></div></div>\n    <div class=\"views-row\"><div class=\"views-field views-field-nothing\"><span class=\"field-content\"><div class=\"views-field wp-views-field-img\">\n	  <a href=\"/blog/warehouse-sale-emeryville\" hreflang=\"en\"><img src=\"/sites/default/files/styles/image_63_63/public/field/blog/blog-02.jpg?itok=8Le4uyzF\" width=\"63\" height=\"63\" alt=\"Warehouse Sale in Emeryville\" title=\"Warehouse Sale in Emeryville\" typeof=\"Image\" class=\"image-style-image-63-63\" />\n\n</a>\n 	\n</div>\n<div class=\"views-inner views-fieldset\">\n	<div class=\"views-field wp-views-field-title\">\n		<a href=\"/blog/warehouse-sale-emeryville\" hreflang=\"en\">Warehouse Sale in Emeryville</a>	\n	</div>\n	<div class=\"views-field wp-views-field-body\">\n		<p>Lorem ipsum dolor sit amet, consectetur…</p> 	\n	</div>\n	<div class=\"views-field wp-views-field-created\">\n		08 Jan,2016		\n	</div>\n</div>\n</span></div></div>\n\n    </div>\n  \n          </div>\n</div>\n\n    </div>\n  </div>\n\n  </div>\n\n            </div>\n            <div class=\"col-md-3\">\n                <div class=\"region region-footer-thirdcolumn\">\n    <div class=\"simplenews-subscriptions-block-2e7f7bdc-7622-4ced-9848-99a362a0e07e simplenews-subscriber-form block block-simplenews block-simplenews-subscription-block\" data-drupal-selector=\"simplenews-subscriptions-block-2e7f7bdc-7622-4ced-9848-99a362a0e07e\" id=\"block-simplenewssubscription\">\n  \n      <h2>Newsletter</h2>\n    \n      <div class=\"content\">\n      <form action=\"/\" method=\"post\" id=\"simplenews-subscriptions-block-2e7f7bdc-7622-4ced-9848-99a362a0e07e\" accept-charset=\"UTF-8\">\n  <div class=\"field--type-simplenews-subscription field--name-subscriptions field--widget-simplenews-subscription-select js-form-wrapper form-wrapper\" data-drupal-selector=\"edit-subscriptions-wrapper\" id=\"edit-subscriptions-wrapper\"></div>\n<div id=\"edit-message\" class=\"js-form-item form-item js-form-type-item form-type-item js-form-item-message form-item-message form-no-label\">\n        Sign up for our mailing to get latest updates and offers.\n        </div>\n<input autocomplete=\"off\" data-drupal-selector=\"form-tvk-tyideg73eblbbdba-sene4t9kxvy5vk6cztr20k\" type=\"hidden\" name=\"form_build_id\" value=\"form-TVK_TyIDEg73eBLbbdBA-sENe4T9KxVy5VK6CZTR20k\" />\n<input data-drupal-selector=\"edit-simplenews-subscriptions-block-2e7f7bdc-7622-4ced-9848-99a362a0e07e\" type=\"hidden\" name=\"form_id\" value=\"simplenews_subscriptions_block_2e7f7bdc-7622-4ced-9848-99a362a0e07e\" />\n<div class=\"field--type-email field--name-mail field--widget-email-default js-form-wrapper form-wrapper\" data-drupal-selector=\"edit-mail-wrapper\" id=\"edit-mail-wrapper\">      <div class=\"js-form-item form-item js-form-type-email form-type-email js-form-item-mail-0-value form-item-mail-0-value\">\n      <label for=\"edit-mail-0-value\" class=\"js-form-required form-required\">Email</label>\n        <input data-drupal-selector=\"edit-mail-0-value\" aria-describedby=\"edit-mail-0-value--description\" type=\"email\" id=\"edit-mail-0-value\" name=\"mail[0][value]\" value=\"\" size=\"60\" maxlength=\"254\" placeholder=\"\" class=\"form-email required\" required=\"required\" aria-required=\"true\" />\n\n            <div id=\"edit-mail-0-value--description\" class=\"description\">\n      The subscriber\'s email address.\n    </div>\n  </div>\n\n  </div>\n<div data-drupal-selector=\"edit-actions\" class=\"form-actions js-form-wrapper form-wrapper\" id=\"edit-actions--2\"><input data-drupal-selector=\"edit-subscribe\" type=\"submit\" id=\"edit-subscribe\" name=\"op\" value=\"Subscribe\" class=\"button js-form-submit form-submit\" />\n</div>\n\n</form>\n\n    </div>\n  </div>\n<div id=\"block-newsletterblock\" class=\"block block-block-content block-block-contentb0c92726-50bb-4afe-8a60-e078803c0753\">\n  \n    \n      <div class=\"content\">\n      \n            <div class=\"clearfix text-formatted field field--name-body field--type-text-with-summary field--label-hidden field__item\"><p>We respect your privacy</p>\n</div>\n      \n    </div>\n  </div>\n\n  </div>\n\n            </div>\n            <div class=\"col-md-3\">\n                <div class=\"region region-footer-fourthcolumn\">\n    <div id=\"block-contactus\" class=\"contact-us-block-info block block-block-content block-block-contentb7be088a-40ae-4f2f-9614-8e1bae7b453d\">\n  \n      <h2>Contact us</h2>\n    \n      <div class=\"content\">\n      \n            <div class=\"clearfix text-formatted field field--name-body field--type-text-with-summary field--label-hidden field__item\"><p>The generated Lorem Ipsum is therefore always free from repetition, injected humour, or non-characteristic words etc.</p>\n<address><span>1-800-123-HELLO</span> <a href=\"mailto:help@travelo.com\" title=\"help@travelo.com\">help@travelo.com</a></address>\n<div class=\"social-wrap\">\n<ul class=\"list-inline social-list\"><li><a href=\"#\" title=\"Twitter\"><span class=\"fa fa-twitter\" aria-hidden=\"true\">Twitter</span></a></li>\n<li><a href=\"#\" title=\"Google\"><span class=\"fa fa-google-plus\" aria-hidden=\"true\">Google</span></a></li>\n<li><a href=\"#\" title=\"Facebook\"><span class=\"fa fa-facebook\" aria-hidden=\"true\">Facebook</span></a></li>\n<li><a href=\"#\" title=\"linkkedin\"><span class=\"fa fa-linkedin-square\" aria-hidden=\"true\">linkkedin</span></a></li>\n<li><a href=\"#\" title=\"vimeo\"><span class=\"fa fa-vimeo\" aria-hidden=\"true\">vimeo</span></a></li>\n<li><a href=\"#\" title=\"dribble\"><span class=\"fa fa-dribbble\" aria-hidden=\"true\">dribble</span></a></li>\n<li><a href=\"#\" title=\"flick\"><span class=\"fa fa-flickr\" aria-hidden=\"true\">flick</span></a></li>\n</ul></div>\n</div>\n      \n    </div>\n  </div>\n\n  </div>\n\n            </div>\n          </div>\n        </div>\n\n      </section><!-- /#footer-columns -->\n    \n          <footer id=\"footer\" role=\"contentinfo\" class=\"clearfix\">\n        <div class=\"container\">\n            <div class=\"region region-footer\">\n    <div id=\"block-copyrightbyweebpal\" class=\"block block-block-content block-block-contentd077ed59-d2a0-42b7-afc6-ed94b9621584\">\n  \n    \n      <div class=\"content\">\n      \n            <div class=\"clearfix text-formatted field field--name-body field--type-text-with-summary field--label-hidden field__item\"><p>Design by <a href=\"https://weebpal.com/\" target=\"_blank\">WeebPal </a>- Drupal Development Company</p>\n</div>\n      \n    </div>\n  </div>\n\n  </div>\n\n        </div>\n      </footer> <!-- /#footer -->\n    \n    <!-- /.section, /#footer-wrapper -->\n\n  </div>\n\n\n  </div>\n\n    \n    <script type=\"application/json\" data-drupal-selector=\"drupal-settings-json\">{\"path\":{\"baseUrl\":\"\\/\",\"scriptPath\":null,\"pathPrefix\":\"\",\"currentPath\":\"node\",\"currentPathIsAdmin\":false,\"isFront\":true,\"currentLanguage\":\"en\"},\"pluralDelimiter\":\"\\u0003\",\"suppressDeprecationErrors\":true,\"ajaxTrustedUrl\":{\"form_action_p_pvdeGsVG5zNF_XLGPTvYSKCf43t8qZYSwcfZl2uzM\":true},\"colorbox\":{\"opacity\":\"0.85\",\"current\":\"{current} of {total}\",\"previous\":\"\\u00ab Prev\",\"next\":\"Next \\u00bb\",\"close\":\"Close\",\"maxWidth\":\"98%\",\"maxHeight\":\"98%\",\"fixed\":true,\"mobiledetect\":true,\"mobiledevicewidth\":\"480px\"},\"user\":{\"uid\":0,\"permissionsHash\":\"9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b\"}}</script>\n<script src=\"/core/assets/vendor/jquery/jquery.min.js?v=3.5.1\"></script>\n<script src=\"/core/assets/vendor/jquery-once/jquery.once.min.js?v=2.2.3\"></script>\n<script src=\"/core/misc/drupalSettingsLoader.js?v=8.9.19\"></script>\n<script src=\"/core/misc/drupal.js?v=8.9.19\"></script>\n<script src=\"/core/misc/drupal.init.js?v=8.9.19\"></script>\n<script src=\"/core/assets/vendor/matchMedia/matchMedia.min.js?v=0.2.0\"></script>\n<script src=\"/themes/luxestate/assets/js/jquery.fixes.js?v=8.9.19\"></script>\n<script src=\"/themes/luxestate/assets/includes/jssor/js/jssor.core.js?v=8.9.19\"></script>\n<script src=\"/themes/luxestate/assets/includes/jssor/js/jssor.utils.js?v=8.9.19\"></script>\n<script src=\"/themes/luxestate/assets/includes/jssor/js/jssor.slider.js?v=8.9.19\"></script>\n<script src=\"/themes/luxestate/assets/includes/bootstrap/js/bootstrap.min.js?v=8.9.19\"></script>\n<script src=\"/themes/luxestate/assets/includes/owl-carousel/owl.carousel.js?v=8.9.19\"></script>\n<script src=\"/themes/luxestate/assets/includes/flexslider/jquery.flexslider.js?v=8.9.19\"></script>\n<script src=\"/themes/luxestate/assets/includes/jquery.colorbox-min.js?v=8.9.19\"></script>\n<script src=\"/themes/luxestate/assets/includes/respond/html5shiv.min.js?v=8.9.19\"></script>\n<script src=\"/themes/luxestate/assets/includes/respond/respond.min.js?v=8.9.19\"></script>\n<script src=\"/themes/luxestate/assets/js/jquery.smooth-scroll.js?v=8.9.19\"></script>\n<script src=\"/themes/luxestate/assets/js/jquery.matchHeight.js?v=8.9.19\"></script>\n<script src=\"/themes/luxestate/assets/js/slideshow.js?v=8.9.19\"></script>\n<script src=\"/themes/luxestate/assets/js/luxestate.js?v=8.9.19\"></script>\n<script src=\"/themes/luxestate/assets/js/flexslider.js?v=8.9.19\"></script>\n<script src=\"/themes/luxestate/assets/js/fix_script.js?v=8.9.19\"></script>\n<script src=\"/themes/luxestate/assets/includes/slick/slick/slick.js?v=8.9.19\"></script>\n<script src=\"/libraries/colorbox/jquery.colorbox-min.js?v=8.9.19\"></script>\n<script src=\"/modules/colorbox/js/colorbox.js?v=8.9.19\"></script>\n<script src=\"/modules/colorbox/styles/default/colorbox_style.js?v=8.9.19\"></script>\n<script src=\"/modules/we_megamenu/assets/js/we_mobile_menu.js?v=1\"></script>\n<script src=\"/modules/we_megamenu/assets/js/we_megamenu_frontend.js?v=1\"></script>\n<script src=\"/themes/luxestate/assets/includes/skins-menu/skins_menu.js?v=1.x\"></script>\n<script src=\"/themes/luxestate/assets/js/jquery.cookie.js?v=1.x\"></script>\n\n  </body>\n</html>\n\";s:10:\"\0*\0version\";s:3:\"1.0\";s:13:\"\0*\0statusCode\";i:200;s:13:\"\0*\0statusText\";s:2:\"OK\";s:10:\"\0*\0charset\";N;s:23:\"\0*\0cacheabilityMetadata\";O:35:\"Drupal\\Core\\Cache\\CacheableMetadata\":3:{s:16:\"\0*\0cacheContexts\";a:16:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:5:\"route\";i:3;s:32:\"route.menu_active_trails:account\";i:4;s:29:\"route.menu_active_trails:main\";i:5;s:30:\"route.menu_active_trails:quick\";i:6;s:5:\"theme\";i:7;s:8:\"timezone\";i:8;s:8:\"url.path\";i:9;s:14:\"url.query_args\";i:10;s:30:\"url.query_args:_wrapper_format\";i:11;s:8:\"url.site\";i:12;s:21:\"user.node_grants:view\";i:13;s:16:\"user.permissions\";i:14;s:10:\"user.roles\";i:15;s:24:\"user.roles:authenticated\";}s:12:\"\0*\0cacheTags\";a:136:{i:0;s:15:\"block_content:2\";i:1;s:15:\"block_content:4\";i:2;s:15:\"block_content:6\";i:3;s:18:\"block_content_view\";i:4;s:10:\"block_view\";i:5;s:23:\"config:block.block.blog\";i:6;s:30:\"config:block.block.breadcrumbs\";i:7;s:28:\"config:block.block.contactus\";i:8;s:37:\"config:block.block.copyrightbyweebpal\";i:9;s:41:\"config:block.block.luxestate_account_menu\";i:10;s:37:\"config:block.block.luxestate_branding\";i:11;s:40:\"config:block.block.luxestate_breadcrumbs\";i:12;s:36:\"config:block.block.luxestate_content\";i:13;s:35:\"config:block.block.luxestate_footer\";i:14;s:33:\"config:block.block.luxestate_help\";i:15;s:42:\"config:block.block.luxestate_local_actions\";i:16;s:40:\"config:block.block.luxestate_local_tasks\";i:17;s:37:\"config:block.block.luxestate_messages\";i:18;s:39:\"config:block.block.luxestate_page_title\";i:19;s:36:\"config:block.block.luxestate_powered\";i:20;s:35:\"config:block.block.luxestate_search\";i:21;s:34:\"config:block.block.luxestate_tools\";i:22;s:33:\"config:block.block.mainnavigation\";i:23;s:35:\"config:block.block.mainnavigation_2\";i:24;s:34:\"config:block.block.newsletterblock\";i:25;s:30:\"config:block.block.ourlocation\";i:26;s:28:\"config:block.block.pagetitle\";i:27;s:29:\"config:block.block.quicklinks\";i:28;s:41:\"config:block.block.simplenewssubscription\";i:29;s:48:\"config:block.block.views_block__about_us_block_1\";i:30;s:46:\"config:block.block.views_block__banner_block_1\";i:31;s:46:\"config:block.block.views_block__banner_block_2\";i:32;s:46:\"config:block.block.views_block__banner_block_3\";i:33;s:46:\"config:block.block.views_block__banner_block_4\";i:34;s:46:\"config:block.block.views_block__banner_block_5\";i:35;s:46:\"config:block.block.views_block__banner_block_6\";i:36;s:46:\"config:block.block.views_block__banner_block_7\";i:37;s:52:\"config:block.block.views_block__blog_details_block_1\";i:38;s:52:\"config:block.block.views_block__blog_details_block_3\";i:39;s:49:\"config:block.block.views_block__blog_page_block_1\";i:40;s:49:\"config:block.block.views_block__blog_page_block_2\";i:41;s:49:\"config:block.block.views_block__blog_page_block_3\";i:42;s:49:\"config:block.block.views_block__frontpage_block_1\";i:43;s:51:\"config:block.block.views_block__our_mission_block_1\";i:44;s:52:\"config:block.block.views_block__our_partners_block_1\";i:45;s:52:\"config:block.block.views_block__our_services_block_1\";i:46;s:49:\"config:block.block.views_block__portfolio_block_1\";i:47;s:49:\"config:block.block.views_block__slideshow_block_1\";i:48;s:44:\"config:block.block.views_block__tags_block_1\";i:49;s:53:\"config:block.block.views_block__why_choose_us_block_1\";i:50;s:53:\"config:block.block.views_block__why_choose_us_block_2\";i:51;s:17:\"config:block_list\";i:52;s:28:\"config:color.theme.luxestate\";i:53;s:83:\"config:core.entity_form_display.simplenews_subscriber.simplenews_subscriber.default\";i:54;s:76:\"config:field.field.simplenews_subscriber.simplenews_subscriber.subscriptions\";i:55;s:30:\"config:field.storage.node.body\";i:56;s:38:\"config:field.storage.node.field_banner\";i:57;s:39:\"config:field.storage.node.field_gallery\";i:58;s:37:\"config:field.storage.node.field_image\";i:59;s:36:\"config:field.storage.node.field_link\";i:60;s:40:\"config:field.storage.node.field_partners\";i:61;s:41:\"config:field.storage.node.field_slideshow\";i:62;s:34:\"config:field.storage.node.field_su\";i:63;s:36:\"config:field.storage.node.field_tags\";i:64;s:56:\"config:field.storage.simplenews_subscriber.subscriptions\";i:65;s:30:\"config:filter.format.full_html\";i:66;s:33:\"config:image.style.image_1920_700\";i:67;s:33:\"config:image.style.image_1920_845\";i:68;s:32:\"config:image.style.image_380_224\";i:69;s:32:\"config:image.style.image_551_372\";i:70;s:30:\"config:image.style.image_63_63\";i:71;s:26:\"config:system.menu.account\";i:72;s:23:\"config:system.menu.main\";i:73;s:24:\"config:system.menu.quick\";i:74;s:18:\"config:system.site\";i:75;s:26:\"config:user.role.anonymous\";i:76;s:26:\"config:views.view.about_us\";i:77;s:27:\"config:views.view.blog_page\";i:78;s:27:\"config:views.view.frontpage\";i:79;s:30:\"config:views.view.our_partners\";i:80;s:27:\"config:views.view.portfolio\";i:81;s:27:\"config:views.view.slideshow\";i:82;s:8:\"file:105\";i:83;s:8:\"file:109\";i:84;s:8:\"file:111\";i:85;s:8:\"file:112\";i:86;s:8:\"file:114\";i:87;s:8:\"file:122\";i:88;s:8:\"file:129\";i:89;s:8:\"file:130\";i:90;s:8:\"file:131\";i:91;s:6:\"file:2\";i:92;s:7:\"file:36\";i:93;s:6:\"file:4\";i:94;s:6:\"file:5\";i:95;s:6:\"file:6\";i:96;s:7:\"file:80\";i:97;s:7:\"file:81\";i:98;s:7:\"file:82\";i:99;s:7:\"file:83\";i:100;s:7:\"file:84\";i:101;s:7:\"file:85\";i:102;s:7:\"file:86\";i:103;s:7:\"file:87\";i:104;s:7:\"file:88\";i:105;s:7:\"file:94\";i:106;s:7:\"file:95\";i:107;s:7:\"file:96\";i:108;s:7:\"file:97\";i:109;s:7:\"file:98\";i:110;s:7:\"file:99\";i:111;s:13:\"http_response\";i:112;s:10:\"local_task\";i:113;s:7:\"node:10\";i:114;s:7:\"node:11\";i:115;s:7:\"node:12\";i:116;s:7:\"node:15\";i:117;s:7:\"node:16\";i:118;s:7:\"node:19\";i:119;s:7:\"node:20\";i:120;s:7:\"node:30\";i:121;s:6:\"node:4\";i:122;s:7:\"node:43\";i:123;s:7:\"node:44\";i:124;s:6:\"node:5\";i:125;s:6:\"node:7\";i:126;s:6:\"node:9\";i:127;s:9:\"node_list\";i:128;s:8:\"rendered\";i:129;s:15:\"taxonomy_term:1\";i:130;s:15:\"taxonomy_term:2\";i:131;s:15:\"taxonomy_term:5\";i:132;s:15:\"taxonomy_term:6\";i:133;s:6:\"user:0\";i:134;s:6:\"user:1\";i:135;s:7:\"user:15\";}s:14:\"\0*\0cacheMaxAge\";i:-1;}s:14:\"\0*\0attachments\";a:4:{s:7:\"library\";a:12:{i:0;s:14:\"core/html5shiv\";i:1;s:11:\"system/base\";i:2;s:11:\"classy/base\";i:3;s:15:\"classy/messages\";i:4;s:14:\"core/normalize\";i:5;s:24:\"luxestate/global-styling\";i:6;s:20:\"luxestate/corescript\";i:7;s:18:\"views/views.module\";i:14;s:17:\"colorbox/colorbox\";i:15;s:16:\"colorbox/default\";i:453;s:38:\"we_megamenu/form.we-mega-menu-frontend\";i:454;s:20:\"luxestate/skins-menu\";}s:9:\"html_head\";a:8:{i:0;a:2:{i:0;a:3:{s:4:\"#tag\";s:4:\"meta\";s:11:\"#attributes\";a:1:{s:7:\"charset\";s:5:\"utf-8\";}s:7:\"#weight\";i:-1000;}i:1;s:24:\"system_meta_content_type\";}i:1;a:2:{i:0;a:3:{s:5:\"#type\";s:8:\"html_tag\";s:4:\"#tag\";s:4:\"meta\";s:11:\"#attributes\";a:2:{s:4:\"name\";s:9:\"Generator\";s:7:\"content\";s:33:\"Drupal 8 (https://www.drupal.org)\";}}i:1;s:21:\"system_meta_generator\";}i:2;a:2:{i:0;a:2:{s:4:\"#tag\";s:4:\"meta\";s:11:\"#attributes\";a:2:{s:4:\"name\";s:15:\"MobileOptimized\";s:7:\"content\";s:5:\"width\";}}i:1;s:15:\"MobileOptimized\";}i:3;a:2:{i:0;a:2:{s:4:\"#tag\";s:4:\"meta\";s:11:\"#attributes\";a:2:{s:4:\"name\";s:16:\"HandheldFriendly\";s:7:\"content\";s:4:\"true\";}}i:1;s:16:\"HandheldFriendly\";}i:4;a:2:{i:0;a:2:{s:4:\"#tag\";s:4:\"meta\";s:11:\"#attributes\";a:2:{s:4:\"name\";s:8:\"viewport\";s:7:\"content\";s:37:\"width=device-width, initial-scale=1.0\";}}i:1;s:8:\"viewport\";}i:5;a:2:{i:0;a:2:{s:4:\"#tag\";s:4:\"link\";s:11:\"#attributes\";a:3:{s:3:\"rel\";s:13:\"shortcut icon\";s:4:\"href\";s:29:\"/themes/luxestate/favicon.ico\";s:4:\"type\";s:24:\"image/vnd.microsoft.icon\";}}i:1;s:58:\"html_head_link:shortcut icon:/themes/luxestate/favicon.ico\";}i:6;a:2:{i:0;a:2:{s:4:\"#tag\";s:4:\"link\";s:11:\"#attributes\";a:4:{s:3:\"rel\";s:9:\"alternate\";s:4:\"type\";s:19:\"application/rss+xml\";s:5:\"title\";s:0:\"\";s:4:\"href\";s:55:\"http://luxestate-d8.frontend.local2.weebpal.com/rss.xml\";}}i:1;s:80:\"html_head_link:alternate:http://luxestate-d8.frontend.local2.weebpal.com/rss.xml\";}i:7;a:2:{i:0;a:2:{s:4:\"#tag\";s:4:\"link\";s:11:\"#attributes\";a:4:{s:3:\"rel\";s:9:\"alternate\";s:4:\"type\";s:19:\"application/rss+xml\";s:5:\"title\";s:0:\"\";s:4:\"href\";s:55:\"http://luxestate-d8.frontend.local2.weebpal.com/rss.xml\";}}i:1;s:80:\"html_head_link:alternate:http://luxestate-d8.frontend.local2.weebpal.com/rss.xml\";}}s:14:\"drupalSettings\";a:6:{s:4:\"path\";a:7:{s:7:\"baseUrl\";s:1:\"/\";s:10:\"scriptPath\";N;s:10:\"pathPrefix\";s:0:\"\";s:11:\"currentPath\";s:4:\"node\";s:18:\"currentPathIsAdmin\";b:0;s:7:\"isFront\";b:1;s:15:\"currentLanguage\";s:2:\"en\";}s:15:\"pluralDelimiter\";s:1:\"\";s:25:\"suppressDeprecationErrors\";b:1;s:14:\"ajaxTrustedUrl\";a:1:{s:55:\"form_action_p_pvdeGsVG5zNF_XLGPTvYSKCf43t8qZYSwcfZl2uzM\";b:1;}s:8:\"colorbox\";a:10:{s:7:\"opacity\";s:4:\"0.85\";s:7:\"current\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"{current} of {total}\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"previous\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"« Prev\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"next\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Next »\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"close\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Close\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"maxWidth\";s:3:\"98%\";s:9:\"maxHeight\";s:3:\"98%\";s:5:\"fixed\";b:1;s:12:\"mobiledetect\";b:1;s:17:\"mobiledevicewidth\";s:5:\"480px\";}s:4:\"user\";a:2:{s:3:\"uid\";i:0;s:15:\"permissionsHash\";s:64:\"9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b\";}}s:12:\"placeholders\";a:0:{}}}',-1,1636711430.647,1,'block_content:2 block_content:4 block_content:6 block_content_view block_view config:block.block.blog config:block.block.breadcrumbs config:block.block.contactus config:block.block.copyrightbyweebpal config:block.block.luxestate_account_menu config:block.block.luxestate_branding config:block.block.luxestate_breadcrumbs config:block.block.luxestate_content config:block.block.luxestate_footer config:block.block.luxestate_help config:block.block.luxestate_local_actions config:block.block.luxestate_local_tasks config:block.block.luxestate_messages config:block.block.luxestate_page_title config:block.block.luxestate_powered config:block.block.luxestate_search config:block.block.luxestate_tools config:block.block.mainnavigation config:block.block.mainnavigation_2 config:block.block.newsletterblock config:block.block.ourlocation config:block.block.pagetitle config:block.block.quicklinks config:block.block.simplenewssubscription config:block.block.views_block__about_us_block_1 config:block.block.views_block__banner_block_1 config:block.block.views_block__banner_block_2 config:block.block.views_block__banner_block_3 config:block.block.views_block__banner_block_4 config:block.block.views_block__banner_block_5 config:block.block.views_block__banner_block_6 config:block.block.views_block__banner_block_7 config:block.block.views_block__blog_details_block_1 config:block.block.views_block__blog_details_block_3 config:block.block.views_block__blog_page_block_1 config:block.block.views_block__blog_page_block_2 config:block.block.views_block__blog_page_block_3 config:block.block.views_block__frontpage_block_1 config:block.block.views_block__our_mission_block_1 config:block.block.views_block__our_partners_block_1 config:block.block.views_block__our_services_block_1 config:block.block.views_block__portfolio_block_1 config:block.block.views_block__slideshow_block_1 config:block.block.views_block__tags_block_1 config:block.block.views_block__why_choose_us_block_1 config:block.block.views_block__why_choose_us_block_2 config:block_list config:color.theme.luxestate config:core.entity_form_display.simplenews_subscriber.simplenews_subscriber.default config:field.field.simplenews_subscriber.simplenews_subscriber.subscriptions config:field.storage.node.body config:field.storage.node.field_banner config:field.storage.node.field_gallery config:field.storage.node.field_image config:field.storage.node.field_link config:field.storage.node.field_partners config:field.storage.node.field_slideshow config:field.storage.node.field_su config:field.storage.node.field_tags config:field.storage.simplenews_subscriber.subscriptions config:filter.format.full_html config:image.style.image_1920_700 config:image.style.image_1920_845 config:image.style.image_380_224 config:image.style.image_551_372 config:image.style.image_63_63 config:system.menu.account config:system.menu.main config:system.menu.quick config:system.site config:user.role.anonymous config:views.view.about_us config:views.view.blog_page config:views.view.frontpage config:views.view.our_partners config:views.view.portfolio config:views.view.slideshow file:105 file:109 file:111 file:112 file:114 file:122 file:129 file:130 file:131 file:2 file:36 file:4 file:5 file:6 file:80 file:81 file:82 file:83 file:84 file:85 file:86 file:87 file:88 file:94 file:95 file:96 file:97 file:98 file:99 http_response local_task node:10 node:11 node:12 node:15 node:16 node:19 node:20 node:30 node:4 node:43 node:44 node:5 node:7 node:9 node_list rendered taxonomy_term:1 taxonomy_term:2 taxonomy_term:5 taxonomy_term:6 user:0 user:1 user:15','347'),('http://luxestate-d8.frontend.local2.weebpal.com/themes/luxestate/assets/css/bootstrap-rtl.css.map:','O:31:\"Drupal\\Core\\Render\\HtmlResponse\":8:{s:7:\"headers\";O:50:\"Symfony\\Component\\HttpFoundation\\ResponseHeaderBag\":5:{s:23:\"\0*\0computedCacheControl\";a:3:{s:15:\"must-revalidate\";b:1;s:8:\"no-cache\";b:1;s:7:\"private\";b:1;}s:10:\"\0*\0cookies\";a:0:{}s:14:\"\0*\0headerNames\";a:10:{s:12:\"content-type\";s:12:\"Content-Type\";s:13:\"cache-control\";s:13:\"Cache-Control\";s:4:\"date\";s:4:\"Date\";s:22:\"x-drupal-dynamic-cache\";s:22:\"X-Drupal-Dynamic-Cache\";s:15:\"x-ua-compatible\";s:15:\"X-UA-Compatible\";s:16:\"content-language\";s:16:\"Content-language\";s:22:\"x-content-type-options\";s:22:\"X-Content-Type-Options\";s:15:\"x-frame-options\";s:15:\"X-Frame-Options\";s:7:\"expires\";s:7:\"Expires\";s:11:\"x-generator\";s:11:\"X-Generator\";}s:10:\"\0*\0headers\";a:10:{s:12:\"content-type\";a:1:{i:0;s:24:\"text/html; charset=UTF-8\";}s:13:\"cache-control\";a:1:{i:0;s:34:\"must-revalidate, no-cache, private\";}s:4:\"date\";a:1:{i:0;s:29:\"Tue, 16 Nov 2021 10:08:11 GMT\";}s:22:\"x-drupal-dynamic-cache\";a:1:{i:0;s:11:\"UNCACHEABLE\";}s:15:\"x-ua-compatible\";a:1:{i:0;s:7:\"IE=edge\";}s:16:\"content-language\";a:1:{i:0;s:2:\"en\";}s:22:\"x-content-type-options\";a:1:{i:0;s:7:\"nosniff\";}s:15:\"x-frame-options\";a:1:{i:0;s:10:\"SAMEORIGIN\";}s:7:\"expires\";a:1:{i:0;s:29:\"Sun, 19 Nov 1978 05:00:00 GMT\";}s:11:\"x-generator\";a:1:{i:0;s:33:\"Drupal 8 (https://www.drupal.org)\";}}s:15:\"\0*\0cacheControl\";a:2:{s:15:\"must-revalidate\";b:1;s:8:\"no-cache\";b:1;}}s:10:\"\0*\0content\";s:35804:\"<!DOCTYPE html>\n<html lang=\"en\" dir=\"ltr\" prefix=\"content: http://purl.org/rss/1.0/modules/content/  dc: http://purl.org/dc/terms/  foaf: http://xmlns.com/foaf/0.1/  og: http://ogp.me/ns#  rdfs: http://www.w3.org/2000/01/rdf-schema#  schema: http://schema.org/  sioc: http://rdfs.org/sioc/ns#  sioct: http://rdfs.org/sioc/types#  skos: http://www.w3.org/2004/02/skos/core#  xsd: http://www.w3.org/2001/XMLSchema# \">\n  <head>\n    <meta charset=\"utf-8\" />\n<meta name=\"Generator\" content=\"Drupal 8 (https://www.drupal.org)\" />\n<meta name=\"MobileOptimized\" content=\"width\" />\n<meta name=\"HandheldFriendly\" content=\"true\" />\n<meta name=\"viewport\" content=\"width=device-width, initial-scale=1.0\" />\n<link rel=\"shortcut icon\" href=\"/themes/luxestate/favicon.ico\" type=\"image/vnd.microsoft.icon\" />\n\n    <title>Page not found | Luxestate</title>\n    <link rel=\"stylesheet\" media=\"all\" href=\"/core/assets/vendor/normalize-css/normalize.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/misc/normalize-fixes.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/ajax-progress.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/align.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/autocomplete-loading.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/fieldgroup.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/container-inline.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/clearfix.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/details.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/hidden.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/item-list.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/js.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/nowrap.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/position-container.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/progress.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/reset-appearance.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/resize.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/sticky-header.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/system-status-counter.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/system-status-report-counters.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/system-status-report-general-info.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/tabledrag.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/tablesort.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/tree-child.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/views/views.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/modules/we_megamenu/assets/includes/bootstrap/css/bootstrap.min.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/modules/we_megamenu/assets/css/we_megamenu_backend.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/action-links.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/breadcrumb.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/button.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/collapse-processed.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/container-inline.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/details.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/exposed-filters.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/field.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/form.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/icons.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/inline-form.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/item-list.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/link.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/links.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/menu.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/more-link.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/pager.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/tabledrag.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/tableselect.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/tablesort.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/tabs.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/textarea.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/ui-dialog.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/messages.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/themes/luxestate/assets/includes/owl-carousel/owl.carousel.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/themes/luxestate/assets/includes/slick/slick/slick.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/themes/luxestate/assets/includes/slick/css/style.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/themes/luxestate/assets/css/style.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/themes/luxestate/assets/css/style-rtl.css?r21ec5\" />\n\n    \n<!--[if lte IE 8]>\n<script src=\"/core/assets/vendor/html5shiv/html5shiv.min.js?v=3.7.3\"></script>\n<![endif]-->\n\n    <meta name=\"viewport\" content=\"width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no\">\n    <meta name=\"HandheldFriendly\" content=\"true\" />\n    <meta name=\"apple-touch-fullscreen\" content=\"YES\" />\n  </head>\n  <body class=\"not-front themes  bg-default path-themes\">\n        <a href=\"#main-content\" class=\"visually-hidden focusable\">\n      Skip to main content\n    </a>\n    \n      <div class=\"dialog-off-canvas-main-canvas\" data-off-canvas-main-canvas>\n    \n  <div id=\"page\"  class=\"\">\n\n        <div id=\"change_skin_menu_wrapper\" class=\"change-skin-menu-wrapper wrapper\"><div class=\"container\"><a id=\"change-skin\" class=\"change-skin\" href=\"javascript:void(0)\"><i class=\"fa fa-cog\" aria-hidden=\"true\"></i>\n\n</a><div class=\"skin-color\"><strong>Skin</strong><ul class=\"change-skin-menu\"><li class=\"default\"><a href=\"#change-skin/default\" class=\"change-skin-button color-default\">Default Style</a></li></ul></div><div class=\"layout\"><strong>Layout Boxed</strong><label class=\"switch-btn\"><span id=\"layout-default\" class=\"btn btn-default change-layout-button  active\">No</span><span id=\"layout-boxed\" class=\"btn btn-default change-layout-button \">Yes</span></label></div><div class=\"background hidden\"><strong>Background</strong><ul class=\"change-background\"><li class=\"bg-default active\"><a href=\"#change-background/bg-default\" class=\"change-background-button\">Default</a></li><li class=\"bg-1\"><a href=\"#change-background/bg-1\" class=\"change-background-button\">Background 1</a></li><li class=\"bg-2\"><a href=\"#change-background/bg-2\" class=\"change-background-button\">Background 2</a></li><li class=\"bg-3\"><a href=\"#change-background/bg-3\" class=\"change-background-button\">Background 3</a></li><li class=\"bg-4\"><a href=\"#change-background/bg-4\" class=\"change-background-button\">Background 4</a></li><li class=\"bg-5\"><a href=\"#change-background/bg-5\" class=\"change-background-button\">Background 5</a></li><li class=\"bg-6\"><a href=\"#change-background/bg-6\" class=\"change-background-button\">Background 6</a></li><li class=\"bg-7\"><a href=\"#change-background/bg-7\" class=\"change-background-button\">Background 7</a></li></ul></div><div class=\"direction\"><strong>Direction</strong><ul class=\"change-direction\"><li class=\"active\"><a href=\"/\" class=\"change-direction-button\">LTR</a></li><li class=\"\"><a href=\"/ar\" class=\"change-direction-button\">RTL</a></li></ul></div></div></div>\n    \n    \n    \n    <header id=\"header\" role=\"banner\" aria-label=\"Site header\">\n      <div class=\"container clearfix\">\n\n          <div class=\"region region-secondary-menu\">\n    <nav role=\"navigation\" aria-labelledby=\"block-luxestate-account-menu-menu\" id=\"block-luxestate-account-menu\" class=\"block block-menu navigation menu--account\">\n            \n  <h2 class=\"visually-hidden\" id=\"block-luxestate-account-menu-menu\">User account menu</h2>\n  \n\n        \n              <ul class=\"clearfix menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/user/login\" data-drupal-link-system-path=\"user/login\">Log in</a>\n              </li>\n        </ul>\n  \n\n\n  </nav>\n\n  </div>\n\n\n        <a href=\"#menu-toggle\" class=\"navbar-toggle\" id=\"ico-main-menu\">\n              <span class=\"icon-bar\"></span>\n              <span class=\"icon-bar\"></span>\n              <span class=\"icon-bar\"></span>\n        </a>\n\n        \n        \n          <div class=\"clearfix region region-header\">\n    <div id=\"block-luxestate-branding\" class=\"clearfix site-branding block block-system block-system-branding-block\">\n  \n    \n        <a href=\"/\" title=\"Home\" rel=\"home\" class=\"site-branding__logo\">\n      <img src=\"/themes/luxestate/logo.svg\" alt=\"Home\" />\n    </a>\n        <div class=\"site-branding__text\">\n              <div class=\"site-branding__name\">\n          <a href=\"/\" title=\"Home\" rel=\"home\">Luxestate</a>\n        </div>\n                    <div class=\"site-branding__slogan\">Luxestate is open source software has long been a natural choice for schools </div>\n          </div>\n  </div>\n\n  </div>\n\n\n                        <div class=\"region region-primary-menu\">\n    <div id=\"block-mainnavigation-2\" class=\"block block-we-megamenu block-we-megamenu-blockmain\">\n  \n    \n      <div class=\"content\">\n      <div class=\"region-we-mega-menu\">\n	<a class=\"navbar-toggle collapsed\">\n	    <span class=\"icon-bar\"></span>\n	    <span class=\"icon-bar\"></span>\n	    <span class=\"icon-bar\"></span>\n	</a>\n	<nav  class=\"main navbar navbar-default navbar-we-mega-menu mobile-collapse hover-action\" data-menu-name=\"main\" data-block-theme=\"luxestate\" data-style=\"Default\" data-animation=\"None\" data-delay=\"\" data-duration=\"\" data-autoarrow=\"\" data-alwayshowsubmenu=\"\" data-action=\"hover\" data-mobile-collapse=\"0\">\n	  <div class=\"container-fluid\">\n	    <ul  class=\"we-mega-menu-ul nav nav-tabs\">\n  <li  class=\"we-mega-menu-li\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"\" data-id=\"/\" data-submenu=\"0\" hide-sub-when-collapse=\"0\">\n      <a class=\"we-mega-menu-li\" title=\"\" href=\"/\" target=\"\">\n      Home    </a>\n    \n</li><li  class=\"we-mega-menu-li\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"About us\" data-id=\"56804dba-564f-4261-be6d-3260b06c9b37\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"About us\" href=\"/about-us\" target=\"\">\n      About us    </a>\n    \n</li><li  class=\"we-mega-menu-li\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"Services\" data-id=\"4ee76de9-f8b7-4213-be88-719f49654dfb\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Services\" href=\"/services\" target=\"\">\n      Services    </a>\n    \n</li><li  class=\"we-mega-menu-li dropdown-menu\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"Porfolio\" data-id=\"49749b67-c74d-408e-a60e-bf8ff8ffb97f\" data-submenu=\"1\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Porfolio\" href=\"/portfolio\" target=\"\">\n      Portfolio    </a>\n    <div  class=\"we-mega-menu-submenu\" data-element-type=\"we-mega-menu-submenu\" data-submenu-width=\"\" data-class=\"\" style=\"width: px\">\n  <div class=\"we-mega-menu-submenu-inner\">\n    <div  class=\"we-mega-menu-row\" data-element-type=\"we-mega-menu-row\" data-custom-row=\"0\">\n  <div  class=\"we-mega-menu-col span12 cccc\" data-element-type=\"we-mega-menu-col\" data-width=\"12\" data-block=\"\" data-blocktitle=\"0\" data-hidewhencollapse=\"\" data-class=\"cccc\">\n  <ul class=\"nav nav-tabs subul\">\n  <li  class=\"we-mega-menu-li\" data-level=\"1\" data-element-type=\"we-mega-menu-li\" description=\"Portfolio 4 col\" data-id=\"d4ba7240-f5f6-4077-92a1-b03f3dc2fc12\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Portfolio 4 col\" href=\"/portfolio_4_col\" target=\"\">\n      Portfolio 4 col    </a>\n    \n</li><li  class=\"we-mega-menu-li\" data-level=\"1\" data-element-type=\"we-mega-menu-li\" description=\"Portfolio masonry\" data-id=\"20bcd853-7bfc-4421-8c82-15217f40ae51\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Portfolio masonry\" href=\"/portfolio_masonry\" target=\"\">\n      Portfolio masonry    </a>\n    \n</li>\n</ul>\n</div>\n\n</div>\n\n  </div>\n</div>\n</li><li  class=\"we-mega-menu-li dropdown-menu\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"Blog\" data-id=\"2bdced62-2f42-4421-b679-32d1d8b4b8b7\" data-submenu=\"1\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Blog\" href=\"/blog\" target=\"\">\n      Blog    </a>\n    <div  class=\"we-mega-menu-submenu\" data-element-type=\"we-mega-menu-submenu\" data-submenu-width=\"\" data-class=\"\" style=\"width: px\">\n  <div class=\"we-mega-menu-submenu-inner\">\n    <div  class=\"we-mega-menu-row\" data-element-type=\"we-mega-menu-row\" data-custom-row=\"0\">\n  <div  class=\"we-mega-menu-col span12\" data-element-type=\"we-mega-menu-col\" data-width=\"12\" data-block=\"\" data-blocktitle=\"0\" data-hidewhencollapse=\"\" data-class=\"\">\n  <ul class=\"nav nav-tabs subul\">\n  <li  class=\"we-mega-menu-li\" data-level=\"1\" data-element-type=\"we-mega-menu-li\" description=\"Blog default\" data-id=\"7e0a4dbd-8408-4b7e-bd75-c8515eb0dec0\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Blog default\" href=\"/blog_default\" target=\"\">\n      Blog default    </a>\n    \n</li>\n</ul>\n</div>\n\n</div>\n\n  </div>\n</div>\n</li><li  class=\"we-mega-menu-li\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"Contact\" data-id=\"36727826-f03f-4f36-919a-142ae953e104\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Contact\" href=\"/contact\" target=\"\">\n      Contact    </a>\n    \n</li><li  class=\"we-mega-menu-li\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"More themes\" data-id=\"60c931cd-37da-4cfd-a054-ef7863f9f6b2\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"More themes\" href=\"http://weebpal.com/\" target=\"\">\n      More themes    </a>\n    \n</li><li  class=\"we-mega-menu-li user-log-in\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"\" data-id=\"bd337eec-18a0-43da-aca9-292607213b64\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"user-log-in\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"\" href=\"/user/login\" target=\"\">\n      Login | User    </a>\n    \n</li>\n</ul>\n	  </div>\n	</nav>\n</div>\n    </div>\n  </div>\n\n  </div>\n\n        \n      </div>\n    </header>\n    <!-- /.section, /#header-->\n\n\n	\n<!--      -->\n\n    \n    \n    \n    \n		<section class=\"highlighted\">\n		<div class=\"container\">\n			  <div class=\"region region-highlighted\">\n    <div data-drupal-messages-fallback class=\"hidden\"></div>\n\n  </div>\n\n		</div>\n	</section>\n	\n    <section id=\"main\">\n      <div class=\"container\">\n        <div class=\"row\">\n        <div id=\"content\" role=\"main\" class=\"col-lg-12 col-md-12 col-sm-12 col-xs-12\">\n            <a id=\"main-content\" tabindex=\"-1\"></a>\n\n                        \n                          <div class=\"region region-content\">\n    <div id=\"block-luxestate-page-title\" class=\"block block-core block-page-title-block\">\n  \n    \n      <div class=\"content\">\n      \n  <h1 class=\"title page-title\">Page not found</h1>\n\n\n    </div>\n  </div>\n<div id=\"block-luxestate-content\" class=\"block block-system block-system-main-block\">\n  \n    \n      <div class=\"content\">\n      The requested page could not be found.\n    </div>\n  </div>\n\n  </div>\n\n        </div>\n        <!-- /.section, /#content -->\n        \n        \n\n        </div>\n      </div>\n    </section>\n    <!-- /#main, /#main-wrapper -->\n\n    \n    \n    \n    \n        <section id=\"panel-fifth\">\n      <div class=\"container\">\n          <div class=\"region region-panel-fifth\">\n    <div class=\"views-element-container block block-views block-views-blockour-partners-block-1\" id=\"block-views-block-our-partners-block-1\">\n  \n      <h2>Our partners</h2>\n    \n      <div class=\"content\">\n      <div><div class=\"view-our-partners view view-id-our_partners view-display-id-block_1 js-view-dom-id-9efb7e06a742e05aa5ddfa1e31de1ccbe8adccc82386493a22e76888742f59d6\">\n  \n    \n      \n      <div class=\"view-content\">\n      <div class=\"owl-carousel carousel-responsive\">\n          <div>\n        <div class=\"views-field views-field-field-partners\"><div class=\"field-content\"><a href=\"http://demo.weebpal.com/drupal8/business/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/logo-bs.png?itok=K0RPbk_h\" width=\"380\" height=\"224\" alt=\"Business\" title=\"Business\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a></div></div>\n      </div>\n          <div>\n        <div class=\"views-field views-field-field-partners\"><div class=\"field-content\"><a href=\"http://weebpal.com/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/logo-wp.png?itok=bg9l3f8O\" width=\"380\" height=\"224\" alt=\"Weebpal\" title=\"Weebpal\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a></div></div>\n      </div>\n          <div>\n        <div class=\"views-field views-field-field-partners\"><div class=\"field-content\"><a href=\"https://jquery.com/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/jquery-logo.png?itok=LOz187-u\" width=\"380\" height=\"224\" alt=\"jQuery\" title=\"jQuery\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a></div></div>\n      </div>\n          <div>\n        <div class=\"views-field views-field-field-partners\"><div class=\"field-content\"><a href=\"https://www.youtube.com/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/youtube_logo.png?itok=W1Z0jbNz\" width=\"380\" height=\"224\" alt=\"Youtube\" title=\"Youtube\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a></div></div>\n      </div>\n          <div>\n        <div class=\"views-field views-field-field-partners\"><div class=\"field-content\"><a href=\"http://getbootstrap.com/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/bootstrap-logo.png?itok=1m_YLXKP\" width=\"380\" height=\"224\" alt=\"Bootstrap\" title=\"Bootstrap\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a></div></div>\n      </div>\n          <div>\n        <div class=\"views-field views-field-field-partners\"><div class=\"field-content\"><a href=\"https://www.drupal.com/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/drupal-logo-trans.png?itok=xwZywhaS\" width=\"380\" height=\"224\" alt=\"Drupal\" title=\"Drupal\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a></div></div>\n      </div>\n        \n</div>  \n\n\n    </div>\n  \n          </div>\n</div>\n\n    </div>\n  </div>\n\n  </div>\n\n      </div>\n    </section>\n    \n    \n          <section id=\"footer-columns\">\n        <div class=\"container\">\n          <div class=\"row\">\n            <div class=\"col-md-3\">\n                <div class=\"region region-footer-firstcolumn\">\n    <nav role=\"navigation\" aria-labelledby=\"block-quicklinks-menu\" id=\"block-quicklinks\" class=\"block block-menu navigation menu--quick\">\n      \n  <h2 id=\"block-quicklinks-menu\">Quick links</h2>\n  \n\n        \n              <ul class=\"clearfix menu\">\n                    <li class=\"menu-item\">\n        <a href=\"https://www.drupal.org/\" target=\"_blank\" title=\"Drupal\">Drupal</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"https://www.facebook.com/\" target=\"_blank\" title=\"Facebook\">Facebook</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"https://www.google.com\" target=\"_blank\" title=\"Google\">Google</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"https://twitter.com/\" target=\"_blank\" title=\"Twitter\">Twitter</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"https://www.weebpal.com/\" target=\"_blank\" title=\"Weebpal\">Weebpal</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"https://wordpress.com/\" target=\"_blank\" title=\"Wordpress\">Wordpress</a>\n              </li>\n        </ul>\n  \n\n\n  </nav>\n<nav role=\"navigation\" aria-labelledby=\"block-mainnavigation-menu\" id=\"block-mainnavigation\" class=\"main-menu-footer block block-menu navigation menu--main\">\n            \n  <h2 class=\"visually-hidden\" id=\"block-mainnavigation-menu\">Main navigation</h2>\n  \n\n        \n              <ul class=\"clearfix menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/\" data-drupal-link-system-path=\"&lt;front&gt;\">Home</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/about-us\" target=\"\" title=\"About us\" data-drupal-link-system-path=\"node/4\">About us</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/services\" target=\"\" title=\"Services\" data-drupal-link-system-path=\"node/30\">Services</a>\n              </li>\n                <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/portfolio\" target=\"\" title=\"Porfolio\" data-drupal-link-system-path=\"portfolio\">Portfolio</a>\n                                <ul class=\"menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/portfolio_4_col\" target=\"\" title=\"Portfolio 4 col\" data-drupal-link-system-path=\"portfolio_4_col\">Portfolio 4 col</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/portfolio_masonry\" target=\"\" title=\"Portfolio masonry\" data-drupal-link-system-path=\"portfolio_masonry\">Portfolio masonry</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/blog\" target=\"\" title=\"Blog\" data-drupal-link-system-path=\"blog\">Blog</a>\n                                <ul class=\"menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/blog_default\" target=\"\" title=\"Blog default\" data-drupal-link-system-path=\"blog_default\">Blog default</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/contact\" target=\"\" title=\"Contact\" data-drupal-link-system-path=\"contact\">Contact</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"http://weebpal.com/\" target=\"_blank\" title=\"More themes\">More themes</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/user/login\" class=\"user-log-in\" target=\"\" data-drupal-link-system-path=\"user/login\">Login | User</a>\n              </li>\n        </ul>\n  \n\n\n  </nav>\n\n  </div>\n\n            </div>\n            <div class=\"col-md-3\">\n                <div class=\"region region-footer-secondcolumn\">\n    <div class=\"views-element-container block block-views block-views-blockblog-page-block-3\" id=\"block-views-block-blog-page-block-3\">\n  \n      <h2>Latest news</h2>\n    \n      <div class=\"content\">\n      <div><div class=\"view-type-list view view-blog-page view-id-blog_page view-display-id-block_3 js-view-dom-id-1a13a4f716f938f2e04a7a4d4a151a7aec0a9d2f72fbf59b4bb8d43fc2d8ac40\">\n  \n    \n      <div class=\"view-header\">\n      <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit.<br />\nPraesent facilisis massa nellyary eget magna semper,  dolor sit amet.</p>\n\n    </div>\n      \n      <div class=\"view-content\">\n          <div class=\"views-row\"><div class=\"views-field views-field-nothing\"><span class=\"field-content\"><div class=\"views-field wp-views-field-img\">\n	  <a href=\"/blog/seeing-light\" hreflang=\"en\"><img src=\"/sites/default/files/styles/image_63_63/public/field/blog/blog-01.jpg?itok=JB0jmD8A\" width=\"63\" height=\"63\" alt=\"Seeing the light\" title=\"Seeing the light\" typeof=\"Image\" class=\"image-style-image-63-63\" />\n\n</a>\n 	\n</div>\n<div class=\"views-inner views-fieldset\">\n	<div class=\"views-field wp-views-field-title\">\n		<a href=\"/blog/seeing-light\" hreflang=\"en\">Seeing the light</a>	\n	</div>\n	<div class=\"views-field wp-views-field-body\">\n		<p>Lorem ipsum dolor sit amet, consectetur…</p> 	\n	</div>\n	<div class=\"views-field wp-views-field-created\">\n		25 Jul,2016		\n	</div>\n</div>\n</span></div></div>\n    <div class=\"views-row\"><div class=\"views-field views-field-nothing\"><span class=\"field-content\"><div class=\"views-field wp-views-field-img\">\n	  <a href=\"/blog/warehouse-sale-emeryville\" hreflang=\"en\"><img src=\"/sites/default/files/styles/image_63_63/public/field/blog/blog-02.jpg?itok=8Le4uyzF\" width=\"63\" height=\"63\" alt=\"Warehouse Sale in Emeryville\" title=\"Warehouse Sale in Emeryville\" typeof=\"Image\" class=\"image-style-image-63-63\" />\n\n</a>\n 	\n</div>\n<div class=\"views-inner views-fieldset\">\n	<div class=\"views-field wp-views-field-title\">\n		<a href=\"/blog/warehouse-sale-emeryville\" hreflang=\"en\">Warehouse Sale in Emeryville</a>	\n	</div>\n	<div class=\"views-field wp-views-field-body\">\n		<p>Lorem ipsum dolor sit amet, consectetur…</p> 	\n	</div>\n	<div class=\"views-field wp-views-field-created\">\n		08 Jan,2016		\n	</div>\n</div>\n</span></div></div>\n\n    </div>\n  \n          </div>\n</div>\n\n    </div>\n  </div>\n\n  </div>\n\n            </div>\n            <div class=\"col-md-3\">\n                <div class=\"region region-footer-thirdcolumn\">\n    <div class=\"simplenews-subscriptions-block-2e7f7bdc-7622-4ced-9848-99a362a0e07e simplenews-subscriber-form block block-simplenews block-simplenews-subscription-block\" data-drupal-selector=\"simplenews-subscriptions-block-2e7f7bdc-7622-4ced-9848-99a362a0e07e\" id=\"block-simplenewssubscription\">\n  \n      <h2>Newsletter</h2>\n    \n      <div class=\"content\">\n      <form action=\"/themes/luxestate/assets/css/bootstrap-rtl.css.map\" method=\"post\" id=\"simplenews-subscriptions-block-2e7f7bdc-7622-4ced-9848-99a362a0e07e\" accept-charset=\"UTF-8\">\n  <div class=\"field--type-simplenews-subscription field--name-subscriptions field--widget-simplenews-subscription-select js-form-wrapper form-wrapper\" data-drupal-selector=\"edit-subscriptions-wrapper\" id=\"edit-subscriptions-wrapper\"></div>\n<div id=\"edit-message\" class=\"js-form-item form-item js-form-type-item form-type-item js-form-item-message form-item-message form-no-label\">\n        Sign up for our mailing to get latest updates and offers.\n        </div>\n<input autocomplete=\"off\" data-drupal-selector=\"form-ggnr8owp2qvo4umvkitc9jmwzv412sdbk5i6-g3yym4\" type=\"hidden\" name=\"form_build_id\" value=\"form-ggnr8OWP2qVO4UmVKitc9JMWZv412sDBK5I6-G3yYM4\" />\n<input data-drupal-selector=\"edit-simplenews-subscriptions-block-2e7f7bdc-7622-4ced-9848-99a362a0e07e\" type=\"hidden\" name=\"form_id\" value=\"simplenews_subscriptions_block_2e7f7bdc-7622-4ced-9848-99a362a0e07e\" />\n<div class=\"field--type-email field--name-mail field--widget-email-default js-form-wrapper form-wrapper\" data-drupal-selector=\"edit-mail-wrapper\" id=\"edit-mail-wrapper\">      <div class=\"js-form-item form-item js-form-type-email form-type-email js-form-item-mail-0-value form-item-mail-0-value\">\n      <label for=\"edit-mail-0-value\" class=\"js-form-required form-required\">Email</label>\n        <input data-drupal-selector=\"edit-mail-0-value\" aria-describedby=\"edit-mail-0-value--description\" type=\"email\" id=\"edit-mail-0-value\" name=\"mail[0][value]\" value=\"\" size=\"60\" maxlength=\"254\" placeholder=\"\" class=\"form-email required\" required=\"required\" aria-required=\"true\" />\n\n            <div id=\"edit-mail-0-value--description\" class=\"description\">\n      The subscriber\'s email address.\n    </div>\n  </div>\n\n  </div>\n<div data-drupal-selector=\"edit-actions\" class=\"form-actions js-form-wrapper form-wrapper\" id=\"edit-actions--2\"><input data-drupal-selector=\"edit-subscribe\" type=\"submit\" id=\"edit-subscribe\" name=\"op\" value=\"Subscribe\" class=\"button js-form-submit form-submit\" />\n</div>\n\n</form>\n\n    </div>\n  </div>\n<div id=\"block-newsletterblock\" class=\"block block-block-content block-block-contentb0c92726-50bb-4afe-8a60-e078803c0753\">\n  \n    \n      <div class=\"content\">\n      \n            <div class=\"clearfix text-formatted field field--name-body field--type-text-with-summary field--label-hidden field__item\"><p>We respect your privacy</p>\n</div>\n      \n    </div>\n  </div>\n\n  </div>\n\n            </div>\n            <div class=\"col-md-3\">\n                <div class=\"region region-footer-fourthcolumn\">\n    <div id=\"block-contactus\" class=\"contact-us-block-info block block-block-content block-block-contentb7be088a-40ae-4f2f-9614-8e1bae7b453d\">\n  \n      <h2>Contact us</h2>\n    \n      <div class=\"content\">\n      \n            <div class=\"clearfix text-formatted field field--name-body field--type-text-with-summary field--label-hidden field__item\"><p>The generated Lorem Ipsum is therefore always free from repetition, injected humour, or non-characteristic words etc.</p>\n<address><span>1-800-123-HELLO</span> <a href=\"mailto:help@travelo.com\" title=\"help@travelo.com\">help@travelo.com</a></address>\n<div class=\"social-wrap\">\n<ul class=\"list-inline social-list\"><li><a href=\"#\" title=\"Twitter\"><span class=\"fa fa-twitter\" aria-hidden=\"true\">Twitter</span></a></li>\n<li><a href=\"#\" title=\"Google\"><span class=\"fa fa-google-plus\" aria-hidden=\"true\">Google</span></a></li>\n<li><a href=\"#\" title=\"Facebook\"><span class=\"fa fa-facebook\" aria-hidden=\"true\">Facebook</span></a></li>\n<li><a href=\"#\" title=\"linkkedin\"><span class=\"fa fa-linkedin-square\" aria-hidden=\"true\">linkkedin</span></a></li>\n<li><a href=\"#\" title=\"vimeo\"><span class=\"fa fa-vimeo\" aria-hidden=\"true\">vimeo</span></a></li>\n<li><a href=\"#\" title=\"dribble\"><span class=\"fa fa-dribbble\" aria-hidden=\"true\">dribble</span></a></li>\n<li><a href=\"#\" title=\"flick\"><span class=\"fa fa-flickr\" aria-hidden=\"true\">flick</span></a></li>\n</ul></div>\n</div>\n      \n    </div>\n  </div>\n\n  </div>\n\n            </div>\n          </div>\n        </div>\n\n      </section><!-- /#footer-columns -->\n    \n          <footer id=\"footer\" role=\"contentinfo\" class=\"clearfix\">\n        <div class=\"container\">\n            <div class=\"region region-footer\">\n    <div id=\"block-copyrightbyweebpal\" class=\"block block-block-content block-block-contentd077ed59-d2a0-42b7-afc6-ed94b9621584\">\n  \n    \n      <div class=\"content\">\n      \n            <div class=\"clearfix text-formatted field field--name-body field--type-text-with-summary field--label-hidden field__item\"><p>Design by <a href=\"https://weebpal.com/\" target=\"_blank\">WeebPal </a>- Drupal Development Company</p>\n</div>\n      \n    </div>\n  </div>\n\n  </div>\n\n        </div>\n      </footer> <!-- /#footer -->\n    \n    <!-- /.section, /#footer-wrapper -->\n\n  </div>\n\n\n  </div>\n\n    \n    <script type=\"application/json\" data-drupal-selector=\"drupal-settings-json\">{\"path\":{\"baseUrl\":\"\\/\",\"scriptPath\":null,\"pathPrefix\":\"\",\"currentPath\":\"\",\"currentPathIsAdmin\":false,\"isFront\":false,\"currentLanguage\":\"en\"},\"pluralDelimiter\":\"\\u0003\",\"suppressDeprecationErrors\":true,\"ajaxTrustedUrl\":{\"form_action_p_pvdeGsVG5zNF_XLGPTvYSKCf43t8qZYSwcfZl2uzM\":true},\"user\":{\"uid\":0,\"permissionsHash\":\"9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b\"}}</script>\n<script src=\"/core/assets/vendor/jquery/jquery.min.js?v=3.5.1\"></script>\n<script src=\"/core/assets/vendor/jquery-once/jquery.once.min.js?v=2.2.3\"></script>\n<script src=\"/core/misc/drupalSettingsLoader.js?v=8.9.19\"></script>\n<script src=\"/core/misc/drupal.js?v=8.9.19\"></script>\n<script src=\"/core/misc/drupal.init.js?v=8.9.19\"></script>\n<script src=\"/core/assets/vendor/matchMedia/matchMedia.min.js?v=0.2.0\"></script>\n<script src=\"/themes/luxestate/assets/js/jquery.fixes.js?v=8.9.19\"></script>\n<script src=\"/themes/luxestate/assets/includes/jssor/js/jssor.core.js?v=8.9.19\"></script>\n<script src=\"/themes/luxestate/assets/includes/jssor/js/jssor.utils.js?v=8.9.19\"></script>\n<script src=\"/themes/luxestate/assets/includes/jssor/js/jssor.slider.js?v=8.9.19\"></script>\n<script src=\"/themes/luxestate/assets/includes/bootstrap/js/bootstrap.min.js?v=8.9.19\"></script>\n<script src=\"/themes/luxestate/assets/includes/owl-carousel/owl.carousel.js?v=8.9.19\"></script>\n<script src=\"/themes/luxestate/assets/includes/flexslider/jquery.flexslider.js?v=8.9.19\"></script>\n<script src=\"/themes/luxestate/assets/includes/jquery.colorbox-min.js?v=8.9.19\"></script>\n<script src=\"/themes/luxestate/assets/includes/respond/html5shiv.min.js?v=8.9.19\"></script>\n<script src=\"/themes/luxestate/assets/includes/respond/respond.min.js?v=8.9.19\"></script>\n<script src=\"/themes/luxestate/assets/js/jquery.smooth-scroll.js?v=8.9.19\"></script>\n<script src=\"/themes/luxestate/assets/js/jquery.matchHeight.js?v=8.9.19\"></script>\n<script src=\"/themes/luxestate/assets/js/slideshow.js?v=8.9.19\"></script>\n<script src=\"/themes/luxestate/assets/js/luxestate.js?v=8.9.19\"></script>\n<script src=\"/themes/luxestate/assets/js/flexslider.js?v=8.9.19\"></script>\n<script src=\"/themes/luxestate/assets/js/fix_script.js?v=8.9.19\"></script>\n<script src=\"/themes/luxestate/assets/includes/slick/slick/slick.js?v=8.9.19\"></script>\n<script src=\"/modules/we_megamenu/assets/js/we_mobile_menu.js?v=1\"></script>\n<script src=\"/modules/we_megamenu/assets/js/we_megamenu_frontend.js?v=1\"></script>\n<script src=\"/themes/luxestate/assets/includes/skins-menu/skins_menu.js?v=1.x\"></script>\n<script src=\"/themes/luxestate/assets/js/jquery.cookie.js?v=1.x\"></script>\n\n  </body>\n</html>\n\";s:10:\"\0*\0version\";s:3:\"1.0\";s:13:\"\0*\0statusCode\";i:404;s:13:\"\0*\0statusText\";s:9:\"Not Found\";s:10:\"\0*\0charset\";N;s:23:\"\0*\0cacheabilityMetadata\";O:35:\"Drupal\\Core\\Cache\\CacheableMetadata\":3:{s:16:\"\0*\0cacheContexts\";a:15:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:5:\"route\";i:3;s:32:\"route.menu_active_trails:account\";i:4;s:29:\"route.menu_active_trails:main\";i:5;s:30:\"route.menu_active_trails:quick\";i:6;s:5:\"theme\";i:7;s:8:\"timezone\";i:8;s:8:\"url.path\";i:9;s:14:\"url.query_args\";i:10;s:30:\"url.query_args:_wrapper_format\";i:11;s:21:\"user.node_grants:view\";i:12;s:16:\"user.permissions\";i:13;s:10:\"user.roles\";i:14;s:24:\"user.roles:authenticated\";}s:12:\"\0*\0cacheTags\";a:95:{i:0;s:12:\"4xx-response\";i:1;s:15:\"block_content:2\";i:2;s:15:\"block_content:4\";i:3;s:15:\"block_content:6\";i:4;s:18:\"block_content_view\";i:5;s:10:\"block_view\";i:6;s:23:\"config:block.block.blog\";i:7;s:30:\"config:block.block.breadcrumbs\";i:8;s:28:\"config:block.block.contactus\";i:9;s:37:\"config:block.block.copyrightbyweebpal\";i:10;s:41:\"config:block.block.luxestate_account_menu\";i:11;s:37:\"config:block.block.luxestate_branding\";i:12;s:40:\"config:block.block.luxestate_breadcrumbs\";i:13;s:36:\"config:block.block.luxestate_content\";i:14;s:35:\"config:block.block.luxestate_footer\";i:15;s:33:\"config:block.block.luxestate_help\";i:16;s:42:\"config:block.block.luxestate_local_actions\";i:17;s:40:\"config:block.block.luxestate_local_tasks\";i:18;s:37:\"config:block.block.luxestate_messages\";i:19;s:39:\"config:block.block.luxestate_page_title\";i:20;s:36:\"config:block.block.luxestate_powered\";i:21;s:35:\"config:block.block.luxestate_search\";i:22;s:34:\"config:block.block.luxestate_tools\";i:23;s:33:\"config:block.block.mainnavigation\";i:24;s:35:\"config:block.block.mainnavigation_2\";i:25;s:34:\"config:block.block.newsletterblock\";i:26;s:30:\"config:block.block.ourlocation\";i:27;s:28:\"config:block.block.pagetitle\";i:28;s:29:\"config:block.block.quicklinks\";i:29;s:41:\"config:block.block.simplenewssubscription\";i:30;s:48:\"config:block.block.views_block__about_us_block_1\";i:31;s:46:\"config:block.block.views_block__banner_block_1\";i:32;s:46:\"config:block.block.views_block__banner_block_2\";i:33;s:46:\"config:block.block.views_block__banner_block_3\";i:34;s:46:\"config:block.block.views_block__banner_block_4\";i:35;s:46:\"config:block.block.views_block__banner_block_5\";i:36;s:46:\"config:block.block.views_block__banner_block_6\";i:37;s:46:\"config:block.block.views_block__banner_block_7\";i:38;s:52:\"config:block.block.views_block__blog_details_block_1\";i:39;s:52:\"config:block.block.views_block__blog_details_block_3\";i:40;s:49:\"config:block.block.views_block__blog_page_block_1\";i:41;s:49:\"config:block.block.views_block__blog_page_block_2\";i:42;s:49:\"config:block.block.views_block__blog_page_block_3\";i:43;s:49:\"config:block.block.views_block__frontpage_block_1\";i:44;s:51:\"config:block.block.views_block__our_mission_block_1\";i:45;s:52:\"config:block.block.views_block__our_partners_block_1\";i:46;s:52:\"config:block.block.views_block__our_services_block_1\";i:47;s:49:\"config:block.block.views_block__portfolio_block_1\";i:48;s:49:\"config:block.block.views_block__slideshow_block_1\";i:49;s:44:\"config:block.block.views_block__tags_block_1\";i:50;s:53:\"config:block.block.views_block__why_choose_us_block_1\";i:51;s:53:\"config:block.block.views_block__why_choose_us_block_2\";i:52;s:17:\"config:block_list\";i:53;s:28:\"config:color.theme.luxestate\";i:54;s:83:\"config:core.entity_form_display.simplenews_subscriber.simplenews_subscriber.default\";i:55;s:76:\"config:field.field.simplenews_subscriber.simplenews_subscriber.subscriptions\";i:56;s:30:\"config:field.storage.node.body\";i:57;s:37:\"config:field.storage.node.field_image\";i:58;s:36:\"config:field.storage.node.field_link\";i:59;s:40:\"config:field.storage.node.field_partners\";i:60;s:56:\"config:field.storage.simplenews_subscriber.subscriptions\";i:61;s:30:\"config:filter.format.full_html\";i:62;s:32:\"config:image.style.image_380_224\";i:63;s:30:\"config:image.style.image_63_63\";i:64;s:26:\"config:system.menu.account\";i:65;s:23:\"config:system.menu.main\";i:66;s:24:\"config:system.menu.quick\";i:67;s:18:\"config:system.site\";i:68;s:26:\"config:user.role.anonymous\";i:69;s:27:\"config:views.view.blog_page\";i:70;s:30:\"config:views.view.our_partners\";i:71;s:8:\"file:105\";i:72;s:8:\"file:109\";i:73;s:8:\"file:111\";i:74;s:8:\"file:112\";i:75;s:8:\"file:122\";i:76;s:6:\"file:2\";i:77;s:6:\"file:4\";i:78;s:6:\"file:5\";i:79;s:6:\"file:6\";i:80;s:13:\"http_response\";i:81;s:10:\"local_task\";i:82;s:7:\"node:10\";i:83;s:7:\"node:11\";i:84;s:7:\"node:16\";i:85;s:7:\"node:30\";i:86;s:6:\"node:4\";i:87;s:7:\"node:43\";i:88;s:7:\"node:44\";i:89;s:6:\"node:5\";i:90;s:6:\"node:7\";i:91;s:6:\"node:9\";i:92;s:9:\"node_list\";i:93;s:8:\"rendered\";i:94;s:6:\"user:0\";}s:14:\"\0*\0cacheMaxAge\";i:0;}s:14:\"\0*\0attachments\";a:4:{s:7:\"library\";a:10:{i:0;s:14:\"core/html5shiv\";i:1;s:11:\"system/base\";i:2;s:11:\"classy/base\";i:3;s:15:\"classy/messages\";i:4;s:14:\"core/normalize\";i:5;s:24:\"luxestate/global-styling\";i:6;s:20:\"luxestate/corescript\";i:7;s:18:\"views/views.module\";i:11;s:38:\"we_megamenu/form.we-mega-menu-frontend\";i:12;s:20:\"luxestate/skins-menu\";}s:9:\"html_head\";a:6:{i:0;a:2:{i:0;a:3:{s:4:\"#tag\";s:4:\"meta\";s:11:\"#attributes\";a:1:{s:7:\"charset\";s:5:\"utf-8\";}s:7:\"#weight\";i:-1000;}i:1;s:24:\"system_meta_content_type\";}i:1;a:2:{i:0;a:3:{s:5:\"#type\";s:8:\"html_tag\";s:4:\"#tag\";s:4:\"meta\";s:11:\"#attributes\";a:2:{s:4:\"name\";s:9:\"Generator\";s:7:\"content\";s:33:\"Drupal 8 (https://www.drupal.org)\";}}i:1;s:21:\"system_meta_generator\";}i:2;a:2:{i:0;a:2:{s:4:\"#tag\";s:4:\"meta\";s:11:\"#attributes\";a:2:{s:4:\"name\";s:15:\"MobileOptimized\";s:7:\"content\";s:5:\"width\";}}i:1;s:15:\"MobileOptimized\";}i:3;a:2:{i:0;a:2:{s:4:\"#tag\";s:4:\"meta\";s:11:\"#attributes\";a:2:{s:4:\"name\";s:16:\"HandheldFriendly\";s:7:\"content\";s:4:\"true\";}}i:1;s:16:\"HandheldFriendly\";}i:4;a:2:{i:0;a:2:{s:4:\"#tag\";s:4:\"meta\";s:11:\"#attributes\";a:2:{s:4:\"name\";s:8:\"viewport\";s:7:\"content\";s:37:\"width=device-width, initial-scale=1.0\";}}i:1;s:8:\"viewport\";}i:5;a:2:{i:0;a:2:{s:4:\"#tag\";s:4:\"link\";s:11:\"#attributes\";a:3:{s:3:\"rel\";s:13:\"shortcut icon\";s:4:\"href\";s:29:\"/themes/luxestate/favicon.ico\";s:4:\"type\";s:24:\"image/vnd.microsoft.icon\";}}i:1;s:58:\"html_head_link:shortcut icon:/themes/luxestate/favicon.ico\";}}s:14:\"drupalSettings\";a:5:{s:4:\"path\";a:7:{s:7:\"baseUrl\";s:1:\"/\";s:10:\"scriptPath\";N;s:10:\"pathPrefix\";s:0:\"\";s:11:\"currentPath\";s:0:\"\";s:18:\"currentPathIsAdmin\";b:0;s:7:\"isFront\";b:0;s:15:\"currentLanguage\";s:2:\"en\";}s:15:\"pluralDelimiter\";s:1:\"\";s:25:\"suppressDeprecationErrors\";b:1;s:14:\"ajaxTrustedUrl\";a:1:{s:55:\"form_action_p_pvdeGsVG5zNF_XLGPTvYSKCf43t8qZYSwcfZl2uzM\";b:1;}s:4:\"user\";a:2:{s:3:\"uid\";i:0;s:15:\"permissionsHash\";s:64:\"9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b\";}}s:12:\"placeholders\";a:0:{}}}',1637060891,1637057291.645,1,'4xx-response block_content:2 block_content:4 block_content:6 block_content_view block_view config:block.block.blog config:block.block.breadcrumbs config:block.block.contactus config:block.block.copyrightbyweebpal config:block.block.luxestate_account_menu config:block.block.luxestate_branding config:block.block.luxestate_breadcrumbs config:block.block.luxestate_content config:block.block.luxestate_footer config:block.block.luxestate_help config:block.block.luxestate_local_actions config:block.block.luxestate_local_tasks config:block.block.luxestate_messages config:block.block.luxestate_page_title config:block.block.luxestate_powered config:block.block.luxestate_search config:block.block.luxestate_tools config:block.block.mainnavigation config:block.block.mainnavigation_2 config:block.block.newsletterblock config:block.block.ourlocation config:block.block.pagetitle config:block.block.quicklinks config:block.block.simplenewssubscription config:block.block.views_block__about_us_block_1 config:block.block.views_block__banner_block_1 config:block.block.views_block__banner_block_2 config:block.block.views_block__banner_block_3 config:block.block.views_block__banner_block_4 config:block.block.views_block__banner_block_5 config:block.block.views_block__banner_block_6 config:block.block.views_block__banner_block_7 config:block.block.views_block__blog_details_block_1 config:block.block.views_block__blog_details_block_3 config:block.block.views_block__blog_page_block_1 config:block.block.views_block__blog_page_block_2 config:block.block.views_block__blog_page_block_3 config:block.block.views_block__frontpage_block_1 config:block.block.views_block__our_mission_block_1 config:block.block.views_block__our_partners_block_1 config:block.block.views_block__our_services_block_1 config:block.block.views_block__portfolio_block_1 config:block.block.views_block__slideshow_block_1 config:block.block.views_block__tags_block_1 config:block.block.views_block__why_choose_us_block_1 config:block.block.views_block__why_choose_us_block_2 config:block_list config:color.theme.luxestate config:core.entity_form_display.simplenews_subscriber.simplenews_subscriber.default config:field.field.simplenews_subscriber.simplenews_subscriber.subscriptions config:field.storage.node.body config:field.storage.node.field_image config:field.storage.node.field_link config:field.storage.node.field_partners config:field.storage.simplenews_subscriber.subscriptions config:filter.format.full_html config:image.style.image_380_224 config:image.style.image_63_63 config:system.menu.account config:system.menu.main config:system.menu.quick config:system.site config:user.role.anonymous config:views.view.blog_page config:views.view.our_partners file:105 file:109 file:111 file:112 file:122 file:2 file:4 file:5 file:6 http_response local_task node:10 node:11 node:16 node:30 node:4 node:43 node:44 node:5 node:7 node:9 node_list rendered user:0','390'),('http://luxestate-d8.frontend.local2.weebpal.com/user/login:','O:31:\"Drupal\\Core\\Render\\HtmlResponse\":8:{s:7:\"headers\";O:50:\"Symfony\\Component\\HttpFoundation\\ResponseHeaderBag\":5:{s:23:\"\0*\0computedCacheControl\";a:3:{s:15:\"must-revalidate\";b:1;s:8:\"no-cache\";b:1;s:7:\"private\";b:1;}s:10:\"\0*\0cookies\";a:0:{}s:14:\"\0*\0headerNames\";a:10:{s:12:\"content-type\";s:12:\"Content-Type\";s:13:\"cache-control\";s:13:\"Cache-Control\";s:4:\"date\";s:4:\"Date\";s:22:\"x-drupal-dynamic-cache\";s:22:\"X-Drupal-Dynamic-Cache\";s:15:\"x-ua-compatible\";s:15:\"X-UA-Compatible\";s:16:\"content-language\";s:16:\"Content-language\";s:22:\"x-content-type-options\";s:22:\"X-Content-Type-Options\";s:15:\"x-frame-options\";s:15:\"X-Frame-Options\";s:7:\"expires\";s:7:\"Expires\";s:11:\"x-generator\";s:11:\"X-Generator\";}s:10:\"\0*\0headers\";a:10:{s:12:\"content-type\";a:1:{i:0;s:24:\"text/html; charset=UTF-8\";}s:13:\"cache-control\";a:1:{i:0;s:34:\"must-revalidate, no-cache, private\";}s:4:\"date\";a:1:{i:0;s:29:\"Tue, 16 Nov 2021 10:08:10 GMT\";}s:22:\"x-drupal-dynamic-cache\";a:1:{i:0;s:4:\"MISS\";}s:15:\"x-ua-compatible\";a:1:{i:0;s:7:\"IE=edge\";}s:16:\"content-language\";a:1:{i:0;s:2:\"en\";}s:22:\"x-content-type-options\";a:1:{i:0;s:7:\"nosniff\";}s:15:\"x-frame-options\";a:1:{i:0;s:10:\"SAMEORIGIN\";}s:7:\"expires\";a:1:{i:0;s:29:\"Sun, 19 Nov 1978 05:00:00 GMT\";}s:11:\"x-generator\";a:1:{i:0;s:33:\"Drupal 8 (https://www.drupal.org)\";}}s:15:\"\0*\0cacheControl\";a:2:{s:15:\"must-revalidate\";b:1;s:8:\"no-cache\";b:1;}}s:10:\"\0*\0content\";s:38256:\"<!DOCTYPE html>\n<html lang=\"en\" dir=\"ltr\" prefix=\"content: http://purl.org/rss/1.0/modules/content/  dc: http://purl.org/dc/terms/  foaf: http://xmlns.com/foaf/0.1/  og: http://ogp.me/ns#  rdfs: http://www.w3.org/2000/01/rdf-schema#  schema: http://schema.org/  sioc: http://rdfs.org/sioc/ns#  sioct: http://rdfs.org/sioc/types#  skos: http://www.w3.org/2004/02/skos/core#  xsd: http://www.w3.org/2001/XMLSchema# \">\n  <head>\n    <meta charset=\"utf-8\" />\n<meta name=\"Generator\" content=\"Drupal 8 (https://www.drupal.org)\" />\n<meta name=\"MobileOptimized\" content=\"width\" />\n<meta name=\"HandheldFriendly\" content=\"true\" />\n<meta name=\"viewport\" content=\"width=device-width, initial-scale=1.0\" />\n<link rel=\"shortcut icon\" href=\"/themes/luxestate/favicon.ico\" type=\"image/vnd.microsoft.icon\" />\n\n    <title>Log in | Luxestate</title>\n    <link rel=\"stylesheet\" media=\"all\" href=\"/core/assets/vendor/normalize-css/normalize.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/misc/normalize-fixes.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/ajax-progress.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/align.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/autocomplete-loading.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/fieldgroup.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/container-inline.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/clearfix.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/details.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/hidden.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/item-list.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/js.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/nowrap.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/position-container.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/progress.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/reset-appearance.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/resize.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/sticky-header.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/system-status-counter.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/system-status-report-counters.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/system-status-report-general-info.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/tabledrag.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/tablesort.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/system/components/tree-child.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/stable/css/views/views.module.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/modules/we_megamenu/assets/includes/bootstrap/css/bootstrap.min.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/modules/we_megamenu/assets/css/we_megamenu_backend.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/action-links.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/breadcrumb.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/button.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/collapse-processed.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/container-inline.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/details.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/exposed-filters.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/field.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/form.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/icons.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/inline-form.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/item-list.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/link.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/links.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/menu.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/more-link.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/pager.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/tabledrag.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/tableselect.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/tablesort.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/tabs.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/textarea.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/ui-dialog.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/core/themes/classy/css/components/messages.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/themes/luxestate/assets/includes/owl-carousel/owl.carousel.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/themes/luxestate/assets/includes/slick/slick/slick.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/themes/luxestate/assets/includes/slick/css/style.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/themes/luxestate/assets/css/style.css?r21ec5\" />\n<link rel=\"stylesheet\" media=\"all\" href=\"/themes/luxestate/assets/css/style-rtl.css?r21ec5\" />\n\n    \n<!--[if lte IE 8]>\n<script src=\"/core/assets/vendor/html5shiv/html5shiv.min.js?v=3.7.3\"></script>\n<![endif]-->\n\n    <meta name=\"viewport\" content=\"width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no\">\n    <meta name=\"HandheldFriendly\" content=\"true\" />\n    <meta name=\"apple-touch-fullscreen\" content=\"YES\" />\n  </head>\n  <body class=\"not-front user  bg-default path-user\">\n        <a href=\"#main-content\" class=\"visually-hidden focusable\">\n      Skip to main content\n    </a>\n    \n      <div class=\"dialog-off-canvas-main-canvas\" data-off-canvas-main-canvas>\n    \n  <div id=\"page\"  class=\"\">\n\n        <div id=\"change_skin_menu_wrapper\" class=\"change-skin-menu-wrapper wrapper\"><div class=\"container\"><a id=\"change-skin\" class=\"change-skin\" href=\"javascript:void(0)\"><i class=\"fa fa-cog\" aria-hidden=\"true\"></i>\n\n</a><div class=\"skin-color\"><strong>Skin</strong><ul class=\"change-skin-menu\"><li class=\"default\"><a href=\"#change-skin/default\" class=\"change-skin-button color-default\">Default Style</a></li></ul></div><div class=\"layout\"><strong>Layout Boxed</strong><label class=\"switch-btn\"><span id=\"layout-default\" class=\"btn btn-default change-layout-button  active\">No</span><span id=\"layout-boxed\" class=\"btn btn-default change-layout-button \">Yes</span></label></div><div class=\"background hidden\"><strong>Background</strong><ul class=\"change-background\"><li class=\"bg-default active\"><a href=\"#change-background/bg-default\" class=\"change-background-button\">Default</a></li><li class=\"bg-1\"><a href=\"#change-background/bg-1\" class=\"change-background-button\">Background 1</a></li><li class=\"bg-2\"><a href=\"#change-background/bg-2\" class=\"change-background-button\">Background 2</a></li><li class=\"bg-3\"><a href=\"#change-background/bg-3\" class=\"change-background-button\">Background 3</a></li><li class=\"bg-4\"><a href=\"#change-background/bg-4\" class=\"change-background-button\">Background 4</a></li><li class=\"bg-5\"><a href=\"#change-background/bg-5\" class=\"change-background-button\">Background 5</a></li><li class=\"bg-6\"><a href=\"#change-background/bg-6\" class=\"change-background-button\">Background 6</a></li><li class=\"bg-7\"><a href=\"#change-background/bg-7\" class=\"change-background-button\">Background 7</a></li></ul></div><div class=\"direction\"><strong>Direction</strong><ul class=\"change-direction\"><li class=\"active\"><a href=\"/\" class=\"change-direction-button\">LTR</a></li><li class=\"\"><a href=\"/ar\" class=\"change-direction-button\">RTL</a></li></ul></div></div></div>\n    \n    \n    \n    <header id=\"header\" role=\"banner\" aria-label=\"Site header\">\n      <div class=\"container clearfix\">\n\n          <div class=\"region region-secondary-menu\">\n    <nav role=\"navigation\" aria-labelledby=\"block-luxestate-account-menu-menu\" id=\"block-luxestate-account-menu\" class=\"block block-menu navigation menu--account\">\n            \n  <h2 class=\"visually-hidden\" id=\"block-luxestate-account-menu-menu\">User account menu</h2>\n  \n\n        \n              <ul class=\"clearfix menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/user/login\" data-drupal-link-system-path=\"user/login\" class=\"is-active\">Log in</a>\n              </li>\n        </ul>\n  \n\n\n  </nav>\n\n  </div>\n\n\n        <a href=\"#menu-toggle\" class=\"navbar-toggle\" id=\"ico-main-menu\">\n              <span class=\"icon-bar\"></span>\n              <span class=\"icon-bar\"></span>\n              <span class=\"icon-bar\"></span>\n        </a>\n\n        \n        \n          <div class=\"clearfix region region-header\">\n    <div id=\"block-luxestate-branding\" class=\"clearfix site-branding block block-system block-system-branding-block\">\n  \n    \n        <a href=\"/\" title=\"Home\" rel=\"home\" class=\"site-branding__logo\">\n      <img src=\"/themes/luxestate/logo.svg\" alt=\"Home\" />\n    </a>\n        <div class=\"site-branding__text\">\n              <div class=\"site-branding__name\">\n          <a href=\"/\" title=\"Home\" rel=\"home\">Luxestate</a>\n        </div>\n                    <div class=\"site-branding__slogan\">Luxestate is open source software has long been a natural choice for schools </div>\n          </div>\n  </div>\n\n  </div>\n\n\n                        <div class=\"region region-primary-menu\">\n    <div id=\"block-mainnavigation-2\" class=\"block block-we-megamenu block-we-megamenu-blockmain\">\n  \n    \n      <div class=\"content\">\n      <div class=\"region-we-mega-menu\">\n	<a class=\"navbar-toggle collapsed\">\n	    <span class=\"icon-bar\"></span>\n	    <span class=\"icon-bar\"></span>\n	    <span class=\"icon-bar\"></span>\n	</a>\n	<nav  class=\"main navbar navbar-default navbar-we-mega-menu mobile-collapse hover-action\" data-menu-name=\"main\" data-block-theme=\"luxestate\" data-style=\"Default\" data-animation=\"None\" data-delay=\"\" data-duration=\"\" data-autoarrow=\"\" data-alwayshowsubmenu=\"\" data-action=\"hover\" data-mobile-collapse=\"0\">\n	  <div class=\"container-fluid\">\n	    <ul  class=\"we-mega-menu-ul nav nav-tabs\">\n  <li  class=\"we-mega-menu-li\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"\" data-id=\"/\" data-submenu=\"0\" hide-sub-when-collapse=\"0\">\n      <a class=\"we-mega-menu-li\" title=\"\" href=\"/\" target=\"\">\n      Home    </a>\n    \n</li><li  class=\"we-mega-menu-li\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"About us\" data-id=\"56804dba-564f-4261-be6d-3260b06c9b37\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"About us\" href=\"/about-us\" target=\"\">\n      About us    </a>\n    \n</li><li  class=\"we-mega-menu-li\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"Services\" data-id=\"4ee76de9-f8b7-4213-be88-719f49654dfb\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Services\" href=\"/services\" target=\"\">\n      Services    </a>\n    \n</li><li  class=\"we-mega-menu-li dropdown-menu\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"Porfolio\" data-id=\"49749b67-c74d-408e-a60e-bf8ff8ffb97f\" data-submenu=\"1\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Porfolio\" href=\"/portfolio\" target=\"\">\n      Portfolio    </a>\n    <div  class=\"we-mega-menu-submenu\" data-element-type=\"we-mega-menu-submenu\" data-submenu-width=\"\" data-class=\"\" style=\"width: px\">\n  <div class=\"we-mega-menu-submenu-inner\">\n    <div  class=\"we-mega-menu-row\" data-element-type=\"we-mega-menu-row\" data-custom-row=\"0\">\n  <div  class=\"we-mega-menu-col span12 cccc\" data-element-type=\"we-mega-menu-col\" data-width=\"12\" data-block=\"\" data-blocktitle=\"0\" data-hidewhencollapse=\"\" data-class=\"cccc\">\n  <ul class=\"nav nav-tabs subul\">\n  <li  class=\"we-mega-menu-li\" data-level=\"1\" data-element-type=\"we-mega-menu-li\" description=\"Portfolio 4 col\" data-id=\"d4ba7240-f5f6-4077-92a1-b03f3dc2fc12\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Portfolio 4 col\" href=\"/portfolio_4_col\" target=\"\">\n      Portfolio 4 col    </a>\n    \n</li><li  class=\"we-mega-menu-li\" data-level=\"1\" data-element-type=\"we-mega-menu-li\" description=\"Portfolio masonry\" data-id=\"20bcd853-7bfc-4421-8c82-15217f40ae51\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Portfolio masonry\" href=\"/portfolio_masonry\" target=\"\">\n      Portfolio masonry    </a>\n    \n</li>\n</ul>\n</div>\n\n</div>\n\n  </div>\n</div>\n</li><li  class=\"we-mega-menu-li dropdown-menu\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"Blog\" data-id=\"2bdced62-2f42-4421-b679-32d1d8b4b8b7\" data-submenu=\"1\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Blog\" href=\"/blog\" target=\"\">\n      Blog    </a>\n    <div  class=\"we-mega-menu-submenu\" data-element-type=\"we-mega-menu-submenu\" data-submenu-width=\"\" data-class=\"\" style=\"width: px\">\n  <div class=\"we-mega-menu-submenu-inner\">\n    <div  class=\"we-mega-menu-row\" data-element-type=\"we-mega-menu-row\" data-custom-row=\"0\">\n  <div  class=\"we-mega-menu-col span12\" data-element-type=\"we-mega-menu-col\" data-width=\"12\" data-block=\"\" data-blocktitle=\"0\" data-hidewhencollapse=\"\" data-class=\"\">\n  <ul class=\"nav nav-tabs subul\">\n  <li  class=\"we-mega-menu-li\" data-level=\"1\" data-element-type=\"we-mega-menu-li\" description=\"Blog default\" data-id=\"7e0a4dbd-8408-4b7e-bd75-c8515eb0dec0\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Blog default\" href=\"/blog_default\" target=\"\">\n      Blog default    </a>\n    \n</li>\n</ul>\n</div>\n\n</div>\n\n  </div>\n</div>\n</li><li  class=\"we-mega-menu-li\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"Contact\" data-id=\"36727826-f03f-4f36-919a-142ae953e104\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Contact\" href=\"/contact\" target=\"\">\n      Contact    </a>\n    \n</li><li  class=\"we-mega-menu-li\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"More themes\" data-id=\"60c931cd-37da-4cfd-a054-ef7863f9f6b2\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"More themes\" href=\"http://weebpal.com/\" target=\"\">\n      More themes    </a>\n    \n</li><li  class=\"we-mega-menu-li user-log-in active active-trail\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"\" data-id=\"bd337eec-18a0-43da-aca9-292607213b64\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"user-log-in\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"\" href=\"/user/login\" target=\"\">\n      Login | User    </a>\n    \n</li>\n</ul>\n	  </div>\n	</nav>\n</div>\n    </div>\n  </div>\n\n  </div>\n\n        \n      </div>\n    </header>\n    <!-- /.section, /#header-->\n\n\n	\n<!--      -->\n\n    \n    \n    \n    \n		<section class=\"highlighted\">\n		<div class=\"container\">\n			  <div class=\"region region-highlighted\">\n    <div data-drupal-messages-fallback class=\"hidden\"></div>\n\n  </div>\n\n		</div>\n	</section>\n	\n    <section id=\"main\">\n      <div class=\"container\">\n        <div class=\"row\">\n        <div id=\"content\" role=\"main\" class=\"col-lg-12 col-md-12 col-sm-12 col-xs-12\">\n            <a id=\"main-content\" tabindex=\"-1\"></a>\n\n                        \n                          <div class=\"region region-content\">\n    <div id=\"block-luxestate-page-title\" class=\"block block-core block-page-title-block\">\n  \n    \n      <div class=\"content\">\n      \n  <h1 class=\"title page-title\">Log in</h1>\n\n\n    </div>\n  </div>\n<div id=\"block-luxestate-local-tasks\" class=\"block block-core block-local-tasks-block\">\n  \n    \n        <nav class=\"tabs\" role=\"navigation\" aria-label=\"Tabs\">\n        <h2 class=\"visually-hidden\">Primary tabs</h2>\n  <ul class=\"tabs primary\"><li class=\"is-active\"><a href=\"/user/login\" data-drupal-link-system-path=\"user/login\" class=\"is-active\">Log in<span class=\"visually-hidden\">(active tab)</span></a></li>\n<li><a href=\"/user/password\" data-drupal-link-system-path=\"user/password\">Reset your password</a></li>\n</ul>\n\n    </nav>\n  </div>\n<div id=\"block-luxestate-content\" class=\"block block-system block-system-main-block\">\n  \n    \n      <div class=\"content\">\n      <form class=\"user-login-form\" data-drupal-selector=\"user-login-form\" action=\"/user/login\" method=\"post\" id=\"user-login-form\" accept-charset=\"UTF-8\">\n  <div class=\"js-form-item form-item js-form-type-textfield form-type-textfield js-form-item-name form-item-name\">\n      <label for=\"edit-name\" class=\"js-form-required form-required\">Username</label>\n        <input autocorrect=\"none\" autocapitalize=\"none\" spellcheck=\"false\" autofocus=\"autofocus\" data-drupal-selector=\"edit-name\" aria-describedby=\"edit-name--description\" type=\"text\" id=\"edit-name\" name=\"name\" value=\"\" size=\"60\" maxlength=\"60\" class=\"form-text required\" required=\"required\" aria-required=\"true\" />\n\n            <div id=\"edit-name--description\" class=\"description\">\n      Enter your Luxestate username.\n    </div>\n  </div>\n<div class=\"js-form-item form-item js-form-type-password form-type-password js-form-item-pass form-item-pass\">\n      <label for=\"edit-pass\" class=\"js-form-required form-required\">Password</label>\n        <input data-drupal-selector=\"edit-pass\" aria-describedby=\"edit-pass--description\" type=\"password\" id=\"edit-pass\" name=\"pass\" size=\"60\" maxlength=\"128\" class=\"form-text required\" required=\"required\" aria-required=\"true\" />\n\n            <div id=\"edit-pass--description\" class=\"description\">\n      Enter the password that accompanies your username.\n    </div>\n  </div>\n<input autocomplete=\"off\" data-drupal-selector=\"form-ikayrzp6a-czolllnxgvw4q3kdz2-cg-hwtnwh0v4-c\" type=\"hidden\" name=\"form_build_id\" value=\"form-IKAyRzP6A_cZOlllNXGvW4q3kDZ2-Cg_hwTnWH0V4-c\" />\n<input data-drupal-selector=\"edit-user-login-form\" type=\"hidden\" name=\"form_id\" value=\"user_login_form\" />\n<div data-drupal-selector=\"edit-actions\" class=\"form-actions js-form-wrapper form-wrapper\" id=\"edit-actions\"><input data-drupal-selector=\"edit-submit\" type=\"submit\" id=\"edit-submit\" name=\"op\" value=\"Log in\" class=\"button js-form-submit form-submit\" />\n</div>\n\n</form>\n\n    </div>\n  </div>\n\n  </div>\n\n        </div>\n        <!-- /.section, /#content -->\n        \n        \n\n        </div>\n      </div>\n    </section>\n    <!-- /#main, /#main-wrapper -->\n\n    \n    \n    \n    \n        <section id=\"panel-fifth\">\n      <div class=\"container\">\n          <div class=\"region region-panel-fifth\">\n    <div class=\"views-element-container block block-views block-views-blockour-partners-block-1\" id=\"block-views-block-our-partners-block-1\">\n  \n      <h2>Our partners</h2>\n    \n      <div class=\"content\">\n      <div><div class=\"view-our-partners view view-id-our_partners view-display-id-block_1 js-view-dom-id-9efb7e06a742e05aa5ddfa1e31de1ccbe8adccc82386493a22e76888742f59d6\">\n  \n    \n      \n      <div class=\"view-content\">\n      <div class=\"owl-carousel carousel-responsive\">\n          <div>\n        <div class=\"views-field views-field-field-partners\"><div class=\"field-content\"><a href=\"http://demo.weebpal.com/drupal8/business/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/logo-bs.png?itok=K0RPbk_h\" width=\"380\" height=\"224\" alt=\"Business\" title=\"Business\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a></div></div>\n      </div>\n          <div>\n        <div class=\"views-field views-field-field-partners\"><div class=\"field-content\"><a href=\"http://weebpal.com/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/logo-wp.png?itok=bg9l3f8O\" width=\"380\" height=\"224\" alt=\"Weebpal\" title=\"Weebpal\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a></div></div>\n      </div>\n          <div>\n        <div class=\"views-field views-field-field-partners\"><div class=\"field-content\"><a href=\"https://jquery.com/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/jquery-logo.png?itok=LOz187-u\" width=\"380\" height=\"224\" alt=\"jQuery\" title=\"jQuery\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a></div></div>\n      </div>\n          <div>\n        <div class=\"views-field views-field-field-partners\"><div class=\"field-content\"><a href=\"https://www.youtube.com/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/youtube_logo.png?itok=W1Z0jbNz\" width=\"380\" height=\"224\" alt=\"Youtube\" title=\"Youtube\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a></div></div>\n      </div>\n          <div>\n        <div class=\"views-field views-field-field-partners\"><div class=\"field-content\"><a href=\"http://getbootstrap.com/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/bootstrap-logo.png?itok=1m_YLXKP\" width=\"380\" height=\"224\" alt=\"Bootstrap\" title=\"Bootstrap\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a></div></div>\n      </div>\n          <div>\n        <div class=\"views-field views-field-field-partners\"><div class=\"field-content\"><a href=\"https://www.drupal.com/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/drupal-logo-trans.png?itok=xwZywhaS\" width=\"380\" height=\"224\" alt=\"Drupal\" title=\"Drupal\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a></div></div>\n      </div>\n        \n</div>  \n\n\n    </div>\n  \n          </div>\n</div>\n\n    </div>\n  </div>\n\n  </div>\n\n      </div>\n    </section>\n    \n    \n          <section id=\"footer-columns\">\n        <div class=\"container\">\n          <div class=\"row\">\n            <div class=\"col-md-3\">\n                <div class=\"region region-footer-firstcolumn\">\n    <nav role=\"navigation\" aria-labelledby=\"block-quicklinks-menu\" id=\"block-quicklinks\" class=\"block block-menu navigation menu--quick\">\n      \n  <h2 id=\"block-quicklinks-menu\">Quick links</h2>\n  \n\n        \n              <ul class=\"clearfix menu\">\n                    <li class=\"menu-item\">\n        <a href=\"https://www.drupal.org/\" target=\"_blank\" title=\"Drupal\">Drupal</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"https://www.facebook.com/\" target=\"_blank\" title=\"Facebook\">Facebook</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"https://www.google.com\" target=\"_blank\" title=\"Google\">Google</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"https://twitter.com/\" target=\"_blank\" title=\"Twitter\">Twitter</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"https://www.weebpal.com/\" target=\"_blank\" title=\"Weebpal\">Weebpal</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"https://wordpress.com/\" target=\"_blank\" title=\"Wordpress\">Wordpress</a>\n              </li>\n        </ul>\n  \n\n\n  </nav>\n<nav role=\"navigation\" aria-labelledby=\"block-mainnavigation-menu\" id=\"block-mainnavigation\" class=\"main-menu-footer block block-menu navigation menu--main\">\n            \n  <h2 class=\"visually-hidden\" id=\"block-mainnavigation-menu\">Main navigation</h2>\n  \n\n        \n              <ul class=\"clearfix menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/\" data-drupal-link-system-path=\"&lt;front&gt;\">Home</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/about-us\" target=\"\" title=\"About us\" data-drupal-link-system-path=\"node/4\">About us</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/services\" target=\"\" title=\"Services\" data-drupal-link-system-path=\"node/30\">Services</a>\n              </li>\n                <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/portfolio\" target=\"\" title=\"Porfolio\" data-drupal-link-system-path=\"portfolio\">Portfolio</a>\n                                <ul class=\"menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/portfolio_4_col\" target=\"\" title=\"Portfolio 4 col\" data-drupal-link-system-path=\"portfolio_4_col\">Portfolio 4 col</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/portfolio_masonry\" target=\"\" title=\"Portfolio masonry\" data-drupal-link-system-path=\"portfolio_masonry\">Portfolio masonry</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/blog\" target=\"\" title=\"Blog\" data-drupal-link-system-path=\"blog\">Blog</a>\n                                <ul class=\"menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/blog_default\" target=\"\" title=\"Blog default\" data-drupal-link-system-path=\"blog_default\">Blog default</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/contact\" target=\"\" title=\"Contact\" data-drupal-link-system-path=\"contact\">Contact</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"http://weebpal.com/\" target=\"_blank\" title=\"More themes\">More themes</a>\n              </li>\n                <li class=\"menu-item menu-item--active-trail\">\n        <a href=\"/user/login\" class=\"user-log-in is-active\" target=\"\" data-drupal-link-system-path=\"user/login\">Login | User</a>\n              </li>\n        </ul>\n  \n\n\n  </nav>\n\n  </div>\n\n            </div>\n            <div class=\"col-md-3\">\n                <div class=\"region region-footer-secondcolumn\">\n    <div class=\"views-element-container block block-views block-views-blockblog-page-block-3\" id=\"block-views-block-blog-page-block-3\">\n  \n      <h2>Latest news</h2>\n    \n      <div class=\"content\">\n      <div><div class=\"view-type-list view view-blog-page view-id-blog_page view-display-id-block_3 js-view-dom-id-1a13a4f716f938f2e04a7a4d4a151a7aec0a9d2f72fbf59b4bb8d43fc2d8ac40\">\n  \n    \n      <div class=\"view-header\">\n      <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit.<br />\nPraesent facilisis massa nellyary eget magna semper,  dolor sit amet.</p>\n\n    </div>\n      \n      <div class=\"view-content\">\n          <div class=\"views-row\"><div class=\"views-field views-field-nothing\"><span class=\"field-content\"><div class=\"views-field wp-views-field-img\">\n	  <a href=\"/blog/seeing-light\" hreflang=\"en\"><img src=\"/sites/default/files/styles/image_63_63/public/field/blog/blog-01.jpg?itok=JB0jmD8A\" width=\"63\" height=\"63\" alt=\"Seeing the light\" title=\"Seeing the light\" typeof=\"Image\" class=\"image-style-image-63-63\" />\n\n</a>\n 	\n</div>\n<div class=\"views-inner views-fieldset\">\n	<div class=\"views-field wp-views-field-title\">\n		<a href=\"/blog/seeing-light\" hreflang=\"en\">Seeing the light</a>	\n	</div>\n	<div class=\"views-field wp-views-field-body\">\n		<p>Lorem ipsum dolor sit amet, consectetur…</p> 	\n	</div>\n	<div class=\"views-field wp-views-field-created\">\n		25 Jul,2016		\n	</div>\n</div>\n</span></div></div>\n    <div class=\"views-row\"><div class=\"views-field views-field-nothing\"><span class=\"field-content\"><div class=\"views-field wp-views-field-img\">\n	  <a href=\"/blog/warehouse-sale-emeryville\" hreflang=\"en\"><img src=\"/sites/default/files/styles/image_63_63/public/field/blog/blog-02.jpg?itok=8Le4uyzF\" width=\"63\" height=\"63\" alt=\"Warehouse Sale in Emeryville\" title=\"Warehouse Sale in Emeryville\" typeof=\"Image\" class=\"image-style-image-63-63\" />\n\n</a>\n 	\n</div>\n<div class=\"views-inner views-fieldset\">\n	<div class=\"views-field wp-views-field-title\">\n		<a href=\"/blog/warehouse-sale-emeryville\" hreflang=\"en\">Warehouse Sale in Emeryville</a>	\n	</div>\n	<div class=\"views-field wp-views-field-body\">\n		<p>Lorem ipsum dolor sit amet, consectetur…</p> 	\n	</div>\n	<div class=\"views-field wp-views-field-created\">\n		08 Jan,2016		\n	</div>\n</div>\n</span></div></div>\n\n    </div>\n  \n          </div>\n</div>\n\n    </div>\n  </div>\n\n  </div>\n\n            </div>\n            <div class=\"col-md-3\">\n                <div class=\"region region-footer-thirdcolumn\">\n    <div class=\"simplenews-subscriptions-block-2e7f7bdc-7622-4ced-9848-99a362a0e07e simplenews-subscriber-form block block-simplenews block-simplenews-subscription-block\" data-drupal-selector=\"simplenews-subscriptions-block-2e7f7bdc-7622-4ced-9848-99a362a0e07e\" id=\"block-simplenewssubscription\">\n  \n      <h2>Newsletter</h2>\n    \n      <div class=\"content\">\n      <form action=\"/user/login\" method=\"post\" id=\"simplenews-subscriptions-block-2e7f7bdc-7622-4ced-9848-99a362a0e07e\" accept-charset=\"UTF-8\">\n  <div class=\"field--type-simplenews-subscription field--name-subscriptions field--widget-simplenews-subscription-select js-form-wrapper form-wrapper\" data-drupal-selector=\"edit-subscriptions-wrapper\" id=\"edit-subscriptions-wrapper\"></div>\n<div id=\"edit-message\" class=\"js-form-item form-item js-form-type-item form-type-item js-form-item-message form-item-message form-no-label\">\n        Sign up for our mailing to get latest updates and offers.\n        </div>\n<input autocomplete=\"off\" data-drupal-selector=\"form-ggnr8owp2qvo4umvkitc9jmwzv412sdbk5i6-g3yym4\" type=\"hidden\" name=\"form_build_id\" value=\"form-ggnr8OWP2qVO4UmVKitc9JMWZv412sDBK5I6-G3yYM4\" />\n<input data-drupal-selector=\"edit-simplenews-subscriptions-block-2e7f7bdc-7622-4ced-9848-99a362a0e07e\" type=\"hidden\" name=\"form_id\" value=\"simplenews_subscriptions_block_2e7f7bdc-7622-4ced-9848-99a362a0e07e\" />\n<div class=\"field--type-email field--name-mail field--widget-email-default js-form-wrapper form-wrapper\" data-drupal-selector=\"edit-mail-wrapper\" id=\"edit-mail-wrapper\">      <div class=\"js-form-item form-item js-form-type-email form-type-email js-form-item-mail-0-value form-item-mail-0-value\">\n      <label for=\"edit-mail-0-value\" class=\"js-form-required form-required\">Email</label>\n        <input data-drupal-selector=\"edit-mail-0-value\" aria-describedby=\"edit-mail-0-value--description\" type=\"email\" id=\"edit-mail-0-value\" name=\"mail[0][value]\" value=\"\" size=\"60\" maxlength=\"254\" placeholder=\"\" class=\"form-email required\" required=\"required\" aria-required=\"true\" />\n\n            <div id=\"edit-mail-0-value--description\" class=\"description\">\n      The subscriber\'s email address.\n    </div>\n  </div>\n\n  </div>\n<div data-drupal-selector=\"edit-actions\" class=\"form-actions js-form-wrapper form-wrapper\" id=\"edit-actions--2\"><input data-drupal-selector=\"edit-subscribe\" type=\"submit\" id=\"edit-subscribe\" name=\"op\" value=\"Subscribe\" class=\"button js-form-submit form-submit\" />\n</div>\n\n</form>\n\n    </div>\n  </div>\n<div id=\"block-newsletterblock\" class=\"block block-block-content block-block-contentb0c92726-50bb-4afe-8a60-e078803c0753\">\n  \n    \n      <div class=\"content\">\n      \n            <div class=\"clearfix text-formatted field field--name-body field--type-text-with-summary field--label-hidden field__item\"><p>We respect your privacy</p>\n</div>\n      \n    </div>\n  </div>\n\n  </div>\n\n            </div>\n            <div class=\"col-md-3\">\n                <div class=\"region region-footer-fourthcolumn\">\n    <div id=\"block-contactus\" class=\"contact-us-block-info block block-block-content block-block-contentb7be088a-40ae-4f2f-9614-8e1bae7b453d\">\n  \n      <h2>Contact us</h2>\n    \n      <div class=\"content\">\n      \n            <div class=\"clearfix text-formatted field field--name-body field--type-text-with-summary field--label-hidden field__item\"><p>The generated Lorem Ipsum is therefore always free from repetition, injected humour, or non-characteristic words etc.</p>\n<address><span>1-800-123-HELLO</span> <a href=\"mailto:help@travelo.com\" title=\"help@travelo.com\">help@travelo.com</a></address>\n<div class=\"social-wrap\">\n<ul class=\"list-inline social-list\"><li><a href=\"#\" title=\"Twitter\"><span class=\"fa fa-twitter\" aria-hidden=\"true\">Twitter</span></a></li>\n<li><a href=\"#\" title=\"Google\"><span class=\"fa fa-google-plus\" aria-hidden=\"true\">Google</span></a></li>\n<li><a href=\"#\" title=\"Facebook\"><span class=\"fa fa-facebook\" aria-hidden=\"true\">Facebook</span></a></li>\n<li><a href=\"#\" title=\"linkkedin\"><span class=\"fa fa-linkedin-square\" aria-hidden=\"true\">linkkedin</span></a></li>\n<li><a href=\"#\" title=\"vimeo\"><span class=\"fa fa-vimeo\" aria-hidden=\"true\">vimeo</span></a></li>\n<li><a href=\"#\" title=\"dribble\"><span class=\"fa fa-dribbble\" aria-hidden=\"true\">dribble</span></a></li>\n<li><a href=\"#\" title=\"flick\"><span class=\"fa fa-flickr\" aria-hidden=\"true\">flick</span></a></li>\n</ul></div>\n</div>\n      \n    </div>\n  </div>\n\n  </div>\n\n            </div>\n          </div>\n        </div>\n\n      </section><!-- /#footer-columns -->\n    \n          <footer id=\"footer\" role=\"contentinfo\" class=\"clearfix\">\n        <div class=\"container\">\n            <div class=\"region region-footer\">\n    <div id=\"block-copyrightbyweebpal\" class=\"block block-block-content block-block-contentd077ed59-d2a0-42b7-afc6-ed94b9621584\">\n  \n    \n      <div class=\"content\">\n      \n            <div class=\"clearfix text-formatted field field--name-body field--type-text-with-summary field--label-hidden field__item\"><p>Design by <a href=\"https://weebpal.com/\" target=\"_blank\">WeebPal </a>- Drupal Development Company</p>\n</div>\n      \n    </div>\n  </div>\n\n  </div>\n\n        </div>\n      </footer> <!-- /#footer -->\n    \n    <!-- /.section, /#footer-wrapper -->\n\n  </div>\n\n\n  </div>\n\n    \n    <script type=\"application/json\" data-drupal-selector=\"drupal-settings-json\">{\"path\":{\"baseUrl\":\"\\/\",\"scriptPath\":null,\"pathPrefix\":\"\",\"currentPath\":\"user\\/login\",\"currentPathIsAdmin\":false,\"isFront\":false,\"currentLanguage\":\"en\"},\"pluralDelimiter\":\"\\u0003\",\"suppressDeprecationErrors\":true,\"ajaxTrustedUrl\":{\"form_action_p_pvdeGsVG5zNF_XLGPTvYSKCf43t8qZYSwcfZl2uzM\":true},\"user\":{\"uid\":0,\"permissionsHash\":\"9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b\"}}</script>\n<script src=\"/core/assets/vendor/jquery/jquery.min.js?v=3.5.1\"></script>\n<script src=\"/core/assets/vendor/jquery-once/jquery.once.min.js?v=2.2.3\"></script>\n<script src=\"/core/misc/drupalSettingsLoader.js?v=8.9.19\"></script>\n<script src=\"/core/misc/drupal.js?v=8.9.19\"></script>\n<script src=\"/core/misc/drupal.init.js?v=8.9.19\"></script>\n<script src=\"/core/assets/vendor/matchMedia/matchMedia.min.js?v=0.2.0\"></script>\n<script src=\"/themes/luxestate/assets/js/jquery.fixes.js?v=8.9.19\"></script>\n<script src=\"/themes/luxestate/assets/includes/jssor/js/jssor.core.js?v=8.9.19\"></script>\n<script src=\"/themes/luxestate/assets/includes/jssor/js/jssor.utils.js?v=8.9.19\"></script>\n<script src=\"/themes/luxestate/assets/includes/jssor/js/jssor.slider.js?v=8.9.19\"></script>\n<script src=\"/themes/luxestate/assets/includes/bootstrap/js/bootstrap.min.js?v=8.9.19\"></script>\n<script src=\"/themes/luxestate/assets/includes/owl-carousel/owl.carousel.js?v=8.9.19\"></script>\n<script src=\"/themes/luxestate/assets/includes/flexslider/jquery.flexslider.js?v=8.9.19\"></script>\n<script src=\"/themes/luxestate/assets/includes/jquery.colorbox-min.js?v=8.9.19\"></script>\n<script src=\"/themes/luxestate/assets/includes/respond/html5shiv.min.js?v=8.9.19\"></script>\n<script src=\"/themes/luxestate/assets/includes/respond/respond.min.js?v=8.9.19\"></script>\n<script src=\"/themes/luxestate/assets/js/jquery.smooth-scroll.js?v=8.9.19\"></script>\n<script src=\"/themes/luxestate/assets/js/jquery.matchHeight.js?v=8.9.19\"></script>\n<script src=\"/themes/luxestate/assets/js/slideshow.js?v=8.9.19\"></script>\n<script src=\"/themes/luxestate/assets/js/luxestate.js?v=8.9.19\"></script>\n<script src=\"/themes/luxestate/assets/js/flexslider.js?v=8.9.19\"></script>\n<script src=\"/themes/luxestate/assets/js/fix_script.js?v=8.9.19\"></script>\n<script src=\"/themes/luxestate/assets/includes/slick/slick/slick.js?v=8.9.19\"></script>\n<script src=\"/modules/we_megamenu/assets/js/we_mobile_menu.js?v=1\"></script>\n<script src=\"/modules/we_megamenu/assets/js/we_megamenu_frontend.js?v=1\"></script>\n<script src=\"/themes/luxestate/assets/includes/skins-menu/skins_menu.js?v=1.x\"></script>\n<script src=\"/themes/luxestate/assets/js/jquery.cookie.js?v=1.x\"></script>\n\n  </body>\n</html>\n\";s:10:\"\0*\0version\";s:3:\"1.0\";s:13:\"\0*\0statusCode\";i:200;s:13:\"\0*\0statusText\";s:2:\"OK\";s:10:\"\0*\0charset\";N;s:23:\"\0*\0cacheabilityMetadata\";O:35:\"Drupal\\Core\\Cache\\CacheableMetadata\":3:{s:16:\"\0*\0cacheContexts\";a:15:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:5:\"route\";i:3;s:32:\"route.menu_active_trails:account\";i:4;s:29:\"route.menu_active_trails:main\";i:5;s:30:\"route.menu_active_trails:quick\";i:6;s:5:\"theme\";i:7;s:8:\"timezone\";i:8;s:8:\"url.path\";i:9;s:14:\"url.query_args\";i:10;s:30:\"url.query_args:_wrapper_format\";i:11;s:21:\"user.node_grants:view\";i:12;s:16:\"user.permissions\";i:13;s:10:\"user.roles\";i:14;s:24:\"user.roles:authenticated\";}s:12:\"\0*\0cacheTags\";a:95:{i:0;s:15:\"block_content:2\";i:1;s:15:\"block_content:4\";i:2;s:15:\"block_content:6\";i:3;s:18:\"block_content_view\";i:4;s:10:\"block_view\";i:5;s:23:\"config:block.block.blog\";i:6;s:30:\"config:block.block.breadcrumbs\";i:7;s:28:\"config:block.block.contactus\";i:8;s:37:\"config:block.block.copyrightbyweebpal\";i:9;s:41:\"config:block.block.luxestate_account_menu\";i:10;s:37:\"config:block.block.luxestate_branding\";i:11;s:40:\"config:block.block.luxestate_breadcrumbs\";i:12;s:36:\"config:block.block.luxestate_content\";i:13;s:35:\"config:block.block.luxestate_footer\";i:14;s:33:\"config:block.block.luxestate_help\";i:15;s:42:\"config:block.block.luxestate_local_actions\";i:16;s:40:\"config:block.block.luxestate_local_tasks\";i:17;s:37:\"config:block.block.luxestate_messages\";i:18;s:39:\"config:block.block.luxestate_page_title\";i:19;s:36:\"config:block.block.luxestate_powered\";i:20;s:35:\"config:block.block.luxestate_search\";i:21;s:34:\"config:block.block.luxestate_tools\";i:22;s:33:\"config:block.block.mainnavigation\";i:23;s:35:\"config:block.block.mainnavigation_2\";i:24;s:34:\"config:block.block.newsletterblock\";i:25;s:30:\"config:block.block.ourlocation\";i:26;s:28:\"config:block.block.pagetitle\";i:27;s:29:\"config:block.block.quicklinks\";i:28;s:41:\"config:block.block.simplenewssubscription\";i:29;s:48:\"config:block.block.views_block__about_us_block_1\";i:30;s:46:\"config:block.block.views_block__banner_block_1\";i:31;s:46:\"config:block.block.views_block__banner_block_2\";i:32;s:46:\"config:block.block.views_block__banner_block_3\";i:33;s:46:\"config:block.block.views_block__banner_block_4\";i:34;s:46:\"config:block.block.views_block__banner_block_5\";i:35;s:46:\"config:block.block.views_block__banner_block_6\";i:36;s:46:\"config:block.block.views_block__banner_block_7\";i:37;s:52:\"config:block.block.views_block__blog_details_block_1\";i:38;s:52:\"config:block.block.views_block__blog_details_block_3\";i:39;s:49:\"config:block.block.views_block__blog_page_block_1\";i:40;s:49:\"config:block.block.views_block__blog_page_block_2\";i:41;s:49:\"config:block.block.views_block__blog_page_block_3\";i:42;s:49:\"config:block.block.views_block__frontpage_block_1\";i:43;s:51:\"config:block.block.views_block__our_mission_block_1\";i:44;s:52:\"config:block.block.views_block__our_partners_block_1\";i:45;s:52:\"config:block.block.views_block__our_services_block_1\";i:46;s:49:\"config:block.block.views_block__portfolio_block_1\";i:47;s:49:\"config:block.block.views_block__slideshow_block_1\";i:48;s:44:\"config:block.block.views_block__tags_block_1\";i:49;s:53:\"config:block.block.views_block__why_choose_us_block_1\";i:50;s:53:\"config:block.block.views_block__why_choose_us_block_2\";i:51;s:17:\"config:block_list\";i:52;s:28:\"config:color.theme.luxestate\";i:53;s:83:\"config:core.entity_form_display.simplenews_subscriber.simplenews_subscriber.default\";i:54;s:76:\"config:field.field.simplenews_subscriber.simplenews_subscriber.subscriptions\";i:55;s:30:\"config:field.storage.node.body\";i:56;s:37:\"config:field.storage.node.field_image\";i:57;s:36:\"config:field.storage.node.field_link\";i:58;s:40:\"config:field.storage.node.field_partners\";i:59;s:56:\"config:field.storage.simplenews_subscriber.subscriptions\";i:60;s:30:\"config:filter.format.full_html\";i:61;s:32:\"config:image.style.image_380_224\";i:62;s:30:\"config:image.style.image_63_63\";i:63;s:26:\"config:system.menu.account\";i:64;s:23:\"config:system.menu.main\";i:65;s:24:\"config:system.menu.quick\";i:66;s:18:\"config:system.site\";i:67;s:26:\"config:user.role.anonymous\";i:68;s:20:\"config:user.settings\";i:69;s:27:\"config:views.view.blog_page\";i:70;s:30:\"config:views.view.our_partners\";i:71;s:8:\"file:105\";i:72;s:8:\"file:109\";i:73;s:8:\"file:111\";i:74;s:8:\"file:112\";i:75;s:8:\"file:122\";i:76;s:6:\"file:2\";i:77;s:6:\"file:4\";i:78;s:6:\"file:5\";i:79;s:6:\"file:6\";i:80;s:13:\"http_response\";i:81;s:10:\"local_task\";i:82;s:7:\"node:10\";i:83;s:7:\"node:11\";i:84;s:7:\"node:16\";i:85;s:7:\"node:30\";i:86;s:6:\"node:4\";i:87;s:7:\"node:43\";i:88;s:7:\"node:44\";i:89;s:6:\"node:5\";i:90;s:6:\"node:7\";i:91;s:6:\"node:9\";i:92;s:9:\"node_list\";i:93;s:8:\"rendered\";i:94;s:6:\"user:0\";}s:14:\"\0*\0cacheMaxAge\";i:-1;}s:14:\"\0*\0attachments\";a:4:{s:7:\"library\";a:10:{i:0;s:14:\"core/html5shiv\";i:1;s:11:\"system/base\";i:2;s:11:\"classy/base\";i:3;s:15:\"classy/messages\";i:4;s:14:\"core/normalize\";i:5;s:24:\"luxestate/global-styling\";i:6;s:20:\"luxestate/corescript\";i:7;s:18:\"views/views.module\";i:11;s:38:\"we_megamenu/form.we-mega-menu-frontend\";i:12;s:20:\"luxestate/skins-menu\";}s:9:\"html_head\";a:6:{i:0;a:2:{i:0;a:3:{s:4:\"#tag\";s:4:\"meta\";s:11:\"#attributes\";a:1:{s:7:\"charset\";s:5:\"utf-8\";}s:7:\"#weight\";i:-1000;}i:1;s:24:\"system_meta_content_type\";}i:1;a:2:{i:0;a:3:{s:5:\"#type\";s:8:\"html_tag\";s:4:\"#tag\";s:4:\"meta\";s:11:\"#attributes\";a:2:{s:4:\"name\";s:9:\"Generator\";s:7:\"content\";s:33:\"Drupal 8 (https://www.drupal.org)\";}}i:1;s:21:\"system_meta_generator\";}i:2;a:2:{i:0;a:2:{s:4:\"#tag\";s:4:\"meta\";s:11:\"#attributes\";a:2:{s:4:\"name\";s:15:\"MobileOptimized\";s:7:\"content\";s:5:\"width\";}}i:1;s:15:\"MobileOptimized\";}i:3;a:2:{i:0;a:2:{s:4:\"#tag\";s:4:\"meta\";s:11:\"#attributes\";a:2:{s:4:\"name\";s:16:\"HandheldFriendly\";s:7:\"content\";s:4:\"true\";}}i:1;s:16:\"HandheldFriendly\";}i:4;a:2:{i:0;a:2:{s:4:\"#tag\";s:4:\"meta\";s:11:\"#attributes\";a:2:{s:4:\"name\";s:8:\"viewport\";s:7:\"content\";s:37:\"width=device-width, initial-scale=1.0\";}}i:1;s:8:\"viewport\";}i:5;a:2:{i:0;a:2:{s:4:\"#tag\";s:4:\"link\";s:11:\"#attributes\";a:3:{s:3:\"rel\";s:13:\"shortcut icon\";s:4:\"href\";s:29:\"/themes/luxestate/favicon.ico\";s:4:\"type\";s:24:\"image/vnd.microsoft.icon\";}}i:1;s:58:\"html_head_link:shortcut icon:/themes/luxestate/favicon.ico\";}}s:14:\"drupalSettings\";a:5:{s:4:\"path\";a:7:{s:7:\"baseUrl\";s:1:\"/\";s:10:\"scriptPath\";N;s:10:\"pathPrefix\";s:0:\"\";s:11:\"currentPath\";s:10:\"user/login\";s:18:\"currentPathIsAdmin\";b:0;s:7:\"isFront\";b:0;s:15:\"currentLanguage\";s:2:\"en\";}s:15:\"pluralDelimiter\";s:1:\"\";s:25:\"suppressDeprecationErrors\";b:1;s:14:\"ajaxTrustedUrl\";a:1:{s:55:\"form_action_p_pvdeGsVG5zNF_XLGPTvYSKCf43t8qZYSwcfZl2uzM\";b:1;}s:4:\"user\";a:2:{s:3:\"uid\";i:0;s:15:\"permissionsHash\";s:64:\"9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b\";}}s:12:\"placeholders\";a:0:{}}}',-1,1637057290.660,1,'block_content:2 block_content:4 block_content:6 block_content_view block_view config:block.block.blog config:block.block.breadcrumbs config:block.block.contactus config:block.block.copyrightbyweebpal config:block.block.luxestate_account_menu config:block.block.luxestate_branding config:block.block.luxestate_breadcrumbs config:block.block.luxestate_content config:block.block.luxestate_footer config:block.block.luxestate_help config:block.block.luxestate_local_actions config:block.block.luxestate_local_tasks config:block.block.luxestate_messages config:block.block.luxestate_page_title config:block.block.luxestate_powered config:block.block.luxestate_search config:block.block.luxestate_tools config:block.block.mainnavigation config:block.block.mainnavigation_2 config:block.block.newsletterblock config:block.block.ourlocation config:block.block.pagetitle config:block.block.quicklinks config:block.block.simplenewssubscription config:block.block.views_block__about_us_block_1 config:block.block.views_block__banner_block_1 config:block.block.views_block__banner_block_2 config:block.block.views_block__banner_block_3 config:block.block.views_block__banner_block_4 config:block.block.views_block__banner_block_5 config:block.block.views_block__banner_block_6 config:block.block.views_block__banner_block_7 config:block.block.views_block__blog_details_block_1 config:block.block.views_block__blog_details_block_3 config:block.block.views_block__blog_page_block_1 config:block.block.views_block__blog_page_block_2 config:block.block.views_block__blog_page_block_3 config:block.block.views_block__frontpage_block_1 config:block.block.views_block__our_mission_block_1 config:block.block.views_block__our_partners_block_1 config:block.block.views_block__our_services_block_1 config:block.block.views_block__portfolio_block_1 config:block.block.views_block__slideshow_block_1 config:block.block.views_block__tags_block_1 config:block.block.views_block__why_choose_us_block_1 config:block.block.views_block__why_choose_us_block_2 config:block_list config:color.theme.luxestate config:core.entity_form_display.simplenews_subscriber.simplenews_subscriber.default config:field.field.simplenews_subscriber.simplenews_subscriber.subscriptions config:field.storage.node.body config:field.storage.node.field_image config:field.storage.node.field_link config:field.storage.node.field_partners config:field.storage.simplenews_subscriber.subscriptions config:filter.format.full_html config:image.style.image_380_224 config:image.style.image_63_63 config:system.menu.account config:system.menu.main config:system.menu.quick config:system.site config:user.role.anonymous config:user.settings config:views.view.blog_page config:views.view.our_partners file:105 file:109 file:111 file:112 file:122 file:2 file:4 file:5 file:6 http_response local_task node:10 node:11 node:16 node:30 node:4 node:43 node:44 node:5 node:7 node:9 node_list rendered user:0','330'),('http://luxestate-d8.frontend.local2.weebpal.com/user:','O:41:\"Drupal\\Core\\Routing\\LocalRedirectResponse\":9:{s:12:\"\0*\0targetUrl\";s:58:\"http://luxestate-d8.frontend.local2.weebpal.com/user/login\";s:7:\"headers\";O:50:\"Symfony\\Component\\HttpFoundation\\ResponseHeaderBag\":5:{s:23:\"\0*\0computedCacheControl\";a:3:{s:15:\"must-revalidate\";b:1;s:8:\"no-cache\";b:1;s:7:\"private\";b:1;}s:10:\"\0*\0cookies\";a:0:{}s:14:\"\0*\0headerNames\";a:9:{s:13:\"cache-control\";s:13:\"Cache-Control\";s:4:\"date\";s:4:\"Date\";s:8:\"location\";s:8:\"Location\";s:15:\"x-ua-compatible\";s:15:\"X-UA-Compatible\";s:16:\"content-language\";s:16:\"Content-language\";s:22:\"x-content-type-options\";s:22:\"X-Content-Type-Options\";s:15:\"x-frame-options\";s:15:\"X-Frame-Options\";s:7:\"expires\";s:7:\"Expires\";s:11:\"x-generator\";s:11:\"X-Generator\";}s:10:\"\0*\0headers\";a:9:{s:13:\"cache-control\";a:1:{i:0;s:34:\"must-revalidate, no-cache, private\";}s:4:\"date\";a:1:{i:0;s:29:\"Fri, 12 Nov 2021 10:05:57 GMT\";}s:8:\"location\";a:1:{i:0;s:58:\"http://luxestate-d8.frontend.local2.weebpal.com/user/login\";}s:15:\"x-ua-compatible\";a:1:{i:0;s:7:\"IE=edge\";}s:16:\"content-language\";a:1:{i:0;s:2:\"en\";}s:22:\"x-content-type-options\";a:1:{i:0;s:7:\"nosniff\";}s:15:\"x-frame-options\";a:1:{i:0;s:10:\"SAMEORIGIN\";}s:7:\"expires\";a:1:{i:0;s:29:\"Sun, 19 Nov 1978 05:00:00 GMT\";}s:11:\"x-generator\";a:1:{i:0;s:33:\"Drupal 8 (https://www.drupal.org)\";}}s:15:\"\0*\0cacheControl\";a:3:{s:15:\"must-revalidate\";b:1;s:8:\"no-cache\";b:1;s:7:\"private\";b:1;}}s:10:\"\0*\0content\";s:478:\"<!DOCTYPE html>\n<html>\n    <head>\n        <meta charset=\"UTF-8\" />\n        <meta http-equiv=\"refresh\" content=\"0;url=\'http://luxestate-d8.frontend.local2.weebpal.com/user/login\'\" />\n\n        <title>Redirecting to http://luxestate-d8.frontend.local2.weebpal.com/user/login</title>\n    </head>\n    <body>\n        Redirecting to <a href=\"http://luxestate-d8.frontend.local2.weebpal.com/user/login\">http://luxestate-d8.frontend.local2.weebpal.com/user/login</a>.\n    </body>\n</html>\";s:10:\"\0*\0version\";s:3:\"1.0\";s:13:\"\0*\0statusCode\";i:302;s:13:\"\0*\0statusText\";s:5:\"Found\";s:10:\"\0*\0charset\";N;s:23:\"\0*\0cacheabilityMetadata\";O:35:\"Drupal\\Core\\Cache\\CacheableMetadata\":3:{s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:0;}s:17:\"\0*\0requestContext\";O:34:\"Drupal\\Core\\Routing\\RequestContext\":11:{s:18:\"\0*\0completeBaseUrl\";s:47:\"http://luxestate-d8.frontend.local2.weebpal.com\";s:49:\"\0Symfony\\Component\\Routing\\RequestContext\0baseUrl\";s:0:\"\";s:50:\"\0Symfony\\Component\\Routing\\RequestContext\0pathInfo\";s:5:\"/user\";s:48:\"\0Symfony\\Component\\Routing\\RequestContext\0method\";s:3:\"GET\";s:46:\"\0Symfony\\Component\\Routing\\RequestContext\0host\";s:40:\"luxestate-d8.frontend.local2.weebpal.com\";s:48:\"\0Symfony\\Component\\Routing\\RequestContext\0scheme\";s:4:\"http\";s:50:\"\0Symfony\\Component\\Routing\\RequestContext\0httpPort\";i:80;s:51:\"\0Symfony\\Component\\Routing\\RequestContext\0httpsPort\";i:443;s:53:\"\0Symfony\\Component\\Routing\\RequestContext\0queryString\";s:0:\"\";s:52:\"\0Symfony\\Component\\Routing\\RequestContext\0parameters\";a:0:{}s:10:\"_serviceId\";s:22:\"router.request_context\";}}',-1,1636711557.679,1,'','0');
/*!40000 ALTER TABLE `cache_page` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_render`
--

DROP TABLE IF EXISTS `cache_render`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_render` (
  `cid` varchar(255) CHARACTER SET ascii COLLATE ascii_bin NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob DEFAULT NULL COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT 0 COMMENT 'A Unix timestamp indicating when the cache entry should expire, or -1 for never.',
  `created` decimal(14,3) NOT NULL DEFAULT 0.000 COMMENT 'A timestamp with millisecond precision indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT 0 COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  `tags` longtext DEFAULT NULL COMMENT 'Space-separated list of cache tags for this entry.',
  `checksum` varchar(255) CHARACTER SET ascii NOT NULL COMMENT 'The tag invalidation checksum when this entry was saved.',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`),
  KEY `created` (`created`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Storage for the cache API.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_render`
--

LOCK TABLES `cache_render` WRITE;
/*!40000 ALTER TABLE `cache_render` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `cache_render` VALUES ('entity_view:block:contactus:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:3:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:1746:\"<div data-quickedit-entity-id=\"block_content/2\" id=\"block-contactus\" class=\"contact-us-block-info contextual-region block block-block-content block-block-contentb7be088a-40ae-4f2f-9614-8e1bae7b453d\">\n  \n      <h2>Contact us</h2>\n    <div data-contextual-id=\"block:block=contactus:langcode=en|block_content:block_content=2:changed=1474267054&amp;langcode=en\" data-contextual-token=\"lvi5el4rwwjKDuV9taY31Pj266jtZklB0PR4BwIgot8\"></div>\n      <div class=\"content\">\n      \n            <div data-quickedit-field-id=\"block_content/2/body/en/full\" class=\"clearfix text-formatted field field--name-body field--type-text-with-summary field--label-hidden field__item\"><p>The generated Lorem Ipsum is therefore always free from repetition, injected humour, or non-characteristic words etc.</p>\n<address><span>1-800-123-HELLO</span> <a href=\"mailto:help@travelo.com\" title=\"help@travelo.com\">help@travelo.com</a></address>\n<div class=\"social-wrap\">\n<ul class=\"list-inline social-list\"><li><a href=\"#\" title=\"Twitter\"><span class=\"fa fa-twitter\" aria-hidden=\"true\">Twitter</span></a></li>\n<li><a href=\"#\" title=\"Google\"><span class=\"fa fa-google-plus\" aria-hidden=\"true\">Google</span></a></li>\n<li><a href=\"#\" title=\"Facebook\"><span class=\"fa fa-facebook\" aria-hidden=\"true\">Facebook</span></a></li>\n<li><a href=\"#\" title=\"linkkedin\"><span class=\"fa fa-linkedin-square\" aria-hidden=\"true\">linkkedin</span></a></li>\n<li><a href=\"#\" title=\"vimeo\"><span class=\"fa fa-vimeo\" aria-hidden=\"true\">vimeo</span></a></li>\n<li><a href=\"#\" title=\"dribble\"><span class=\"fa fa-dribbble\" aria-hidden=\"true\">dribble</span></a></li>\n<li><a href=\"#\" title=\"flick\"><span class=\"fa fa-flickr\" aria-hidden=\"true\">flick</span></a></li>\n</ul></div>\n</div>\n      \n    </div>\n  </div>\n\";}s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:5:{i:0;s:15:\"block_content:2\";i:1;s:18:\"block_content_view\";i:2;s:10:\"block_view\";i:3;s:28:\"config:block.block.contactus\";i:4;s:30:\"config:filter.format.full_html\";}s:7:\"max-age\";i:-1;}}',-1,1637057271.514,1,'block_content:2 block_content_view block_view config:block.block.contactus config:filter.format.full_html rendered','4'),('entity_view:block:contactus:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:3:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:1431:\"<div id=\"block-contactus\" class=\"contact-us-block-info block block-block-content block-block-contentb7be088a-40ae-4f2f-9614-8e1bae7b453d\">\n  \n      <h2>Contact us</h2>\n    \n      <div class=\"content\">\n      \n            <div class=\"clearfix text-formatted field field--name-body field--type-text-with-summary field--label-hidden field__item\"><p>The generated Lorem Ipsum is therefore always free from repetition, injected humour, or non-characteristic words etc.</p>\n<address><span>1-800-123-HELLO</span> <a href=\"mailto:help@travelo.com\" title=\"help@travelo.com\">help@travelo.com</a></address>\n<div class=\"social-wrap\">\n<ul class=\"list-inline social-list\"><li><a href=\"#\" title=\"Twitter\"><span class=\"fa fa-twitter\" aria-hidden=\"true\">Twitter</span></a></li>\n<li><a href=\"#\" title=\"Google\"><span class=\"fa fa-google-plus\" aria-hidden=\"true\">Google</span></a></li>\n<li><a href=\"#\" title=\"Facebook\"><span class=\"fa fa-facebook\" aria-hidden=\"true\">Facebook</span></a></li>\n<li><a href=\"#\" title=\"linkkedin\"><span class=\"fa fa-linkedin-square\" aria-hidden=\"true\">linkkedin</span></a></li>\n<li><a href=\"#\" title=\"vimeo\"><span class=\"fa fa-vimeo\" aria-hidden=\"true\">vimeo</span></a></li>\n<li><a href=\"#\" title=\"dribble\"><span class=\"fa fa-dribbble\" aria-hidden=\"true\">dribble</span></a></li>\n<li><a href=\"#\" title=\"flick\"><span class=\"fa fa-flickr\" aria-hidden=\"true\">flick</span></a></li>\n</ul></div>\n</div>\n      \n    </div>\n  </div>\n\";}s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:5:{i:0;s:15:\"block_content:2\";i:1;s:18:\"block_content_view\";i:2;s:10:\"block_view\";i:3;s:28:\"config:block.block.contactus\";i:4;s:30:\"config:filter.format.full_html\";}s:7:\"max-age\";i:-1;}}',-1,1637057290.563,1,'block_content:2 block_content_view block_view config:block.block.contactus config:filter.format.full_html rendered','4'),('entity_view:block:copyrightbyweebpal:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:3:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:766:\"<div data-quickedit-entity-id=\"block_content/4\" id=\"block-copyrightbyweebpal\" class=\"contextual-region block block-block-content block-block-contentd077ed59-d2a0-42b7-afc6-ed94b9621584\">\n  \n    <div data-contextual-id=\"block:block=copyrightbyweebpal:langcode=en|block_content:block_content=4:changed=1592193119&amp;langcode=en\" data-contextual-token=\"0LRNNRlJm60NRCW2w4wKSyoknnAHad_H2Qp8Mn_Mp-s\"></div>\n      <div class=\"content\">\n      \n            <div data-quickedit-field-id=\"block_content/4/body/en/full\" class=\"clearfix text-formatted field field--name-body field--type-text-with-summary field--label-hidden field__item\"><p>Design by <a href=\"https://weebpal.com/\" target=\"_blank\">WeebPal </a>- Drupal Development Company</p>\n</div>\n      \n    </div>\n  </div>\n\";}s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:5:{i:0;s:15:\"block_content:4\";i:1;s:18:\"block_content_view\";i:2;s:10:\"block_view\";i:3;s:37:\"config:block.block.copyrightbyweebpal\";i:4;s:30:\"config:filter.format.full_html\";}s:7:\"max-age\";i:-1;}}',-1,1637057271.521,1,'block_content:4 block_content_view block_view config:block.block.copyrightbyweebpal config:filter.format.full_html rendered','5'),('entity_view:block:copyrightbyweebpal:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:3:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:442:\"<div id=\"block-copyrightbyweebpal\" class=\"block block-block-content block-block-contentd077ed59-d2a0-42b7-afc6-ed94b9621584\">\n  \n    \n      <div class=\"content\">\n      \n            <div class=\"clearfix text-formatted field field--name-body field--type-text-with-summary field--label-hidden field__item\"><p>Design by <a href=\"https://weebpal.com/\" target=\"_blank\">WeebPal </a>- Drupal Development Company</p>\n</div>\n      \n    </div>\n  </div>\n\";}s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:5:{i:0;s:15:\"block_content:4\";i:1;s:18:\"block_content_view\";i:2;s:10:\"block_view\";i:3;s:37:\"config:block.block.copyrightbyweebpal\";i:4;s:30:\"config:filter.format.full_html\";}s:7:\"max-age\";i:-1;}}',-1,1637057290.570,1,'block_content:4 block_content_view block_view config:block.block.copyrightbyweebpal config:filter.format.full_html rendered','5'),('entity_view:block:luxestate_account_menu:[languages:language_interface]=en:[route.menu_active_trails:account]=menu_trail.account|:[theme]=luxestate:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:2:{s:15:\"#cache_redirect\";b:1;s:6:\"#cache\";a:5:{s:4:\"keys\";a:3:{i:0;s:11:\"entity_view\";i:1;s:5:\"block\";i:2;s:22:\"luxestate_account_menu\";}s:8:\"contexts\";a:5:{i:0;s:28:\"languages:language_interface\";i:1;s:32:\"route.menu_active_trails:account\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";i:4;s:24:\"user.roles:authenticated\";}s:4:\"tags\";a:3:{i:0;s:10:\"block_view\";i:1;s:41:\"config:block.block.luxestate_account_menu\";i:2;s:26:\"config:system.menu.account\";}s:7:\"max-age\";i:-1;s:3:\"bin\";s:6:\"render\";}}',-1,1637057270.628,1,'block_view config:block.block.luxestate_account_menu config:system.menu.account rendered','61'),('entity_view:block:luxestate_account_menu:[languages:language_interface]=en:[route.menu_active_trails:account]=menu_trail.account|:[theme]=luxestate:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1wpunwRk35WMqOIkvG46ZGhIP46b1d7K3yyg3S4IG8AQ','a:3:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:825:\"<nav role=\"navigation\" aria-labelledby=\"block-luxestate-account-menu-menu\" id=\"block-luxestate-account-menu\" class=\"contextual-region block block-menu navigation menu--account\">\n            \n  <h2 class=\"visually-hidden\" id=\"block-luxestate-account-menu-menu\">User account menu</h2>\n  <div data-contextual-id=\"block:block=luxestate_account_menu:langcode=en|menu:menu=account:langcode=en\" data-contextual-token=\"iFpcCB_QSfnh30TRv5-PRbQH3oBRzJ_d5WubvsR0AIc\"></div>\n\n        \n              <ul class=\"clearfix menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/user\" data-drupal-link-system-path=\"user\">My account</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/user/logout\" data-drupal-link-system-path=\"user/logout\">Log out</a>\n              </li>\n        </ul>\n  \n\n\n  </nav>\n\";}s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:5:{i:0;s:28:\"languages:language_interface\";i:1;s:32:\"route.menu_active_trails:account\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";i:4;s:24:\"user.roles:authenticated\";}s:4:\"tags\";a:3:{i:0;s:10:\"block_view\";i:1;s:41:\"config:block.block.luxestate_account_menu\";i:2;s:26:\"config:system.menu.account\";}s:7:\"max-age\";i:-1;}}',-1,1637057270.633,1,'block_view config:block.block.luxestate_account_menu config:system.menu.account rendered','61'),('entity_view:block:luxestate_account_menu:[languages:language_interface]=en:[route.menu_active_trails:account]=menu_trail.account|:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b205DvqLsmTDDk06LRjCo06_YWu8Xp_VPWQAXpKUHMgBIQ','a:3:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:493:\"<nav role=\"navigation\" aria-labelledby=\"block-luxestate-account-menu-menu\" id=\"block-luxestate-account-menu\" class=\"block block-menu navigation menu--account\">\n            \n  <h2 class=\"visually-hidden\" id=\"block-luxestate-account-menu-menu\">User account menu</h2>\n  \n\n        \n              <ul class=\"clearfix menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/user/login\" data-drupal-link-system-path=\"user/login\">Log in</a>\n              </li>\n        </ul>\n  \n\n\n  </nav>\n\";}s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:5:{i:0;s:28:\"languages:language_interface\";i:1;s:32:\"route.menu_active_trails:account\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";i:4;s:24:\"user.roles:authenticated\";}s:4:\"tags\";a:3:{i:0;s:10:\"block_view\";i:1;s:41:\"config:block.block.luxestate_account_menu\";i:2;s:26:\"config:system.menu.account\";}s:7:\"max-age\";i:-1;}}',-1,1637057290.174,1,'block_view config:block.block.luxestate_account_menu config:system.menu.account rendered','61'),('entity_view:block:luxestate_account_menu:[languages:language_interface]=en:[route.menu_active_trails:account]=menu_trail.account|:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:2:{s:15:\"#cache_redirect\";b:1;s:6:\"#cache\";a:5:{s:4:\"keys\";a:3:{i:0;s:11:\"entity_view\";i:1;s:5:\"block\";i:2;s:22:\"luxestate_account_menu\";}s:8:\"contexts\";a:5:{i:0;s:28:\"languages:language_interface\";i:1;s:32:\"route.menu_active_trails:account\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";i:4;s:24:\"user.roles:authenticated\";}s:4:\"tags\";a:3:{i:0;s:10:\"block_view\";i:1;s:41:\"config:block.block.luxestate_account_menu\";i:2;s:26:\"config:system.menu.account\";}s:7:\"max-age\";i:-1;s:3:\"bin\";s:6:\"render\";}}',-1,1637057290.169,1,'block_view config:block.block.luxestate_account_menu config:system.menu.account rendered','61'),('entity_view:block:luxestate_branding:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:3:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:753:\"<div id=\"block-luxestate-branding\" class=\"contextual-region clearfix site-branding block block-system block-system-branding-block\">\n  \n    <div data-contextual-id=\"block:block=luxestate_branding:langcode=en\" data-contextual-token=\"Mz4e5iCnHI80eZpcZjBqJfOHlkFlZ__UXvZAVoWPbZc\"></div>\n        <a href=\"/\" title=\"Home\" rel=\"home\" class=\"site-branding__logo\">\n      <img src=\"/themes/luxestate/logo.svg\" alt=\"Home\" />\n    </a>\n        <div class=\"site-branding__text\">\n              <div class=\"site-branding__name\">\n          <a href=\"/\" title=\"Home\" rel=\"home\">Luxestate</a>\n        </div>\n                    <div class=\"site-branding__slogan\">Luxestate is open source software has long been a natural choice for schools </div>\n          </div>\n  </div>\n\";}s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:4:{i:0;s:10:\"block_view\";i:1;s:37:\"config:block.block.luxestate_branding\";i:2;s:28:\"config:color.theme.luxestate\";i:3;s:18:\"config:system.site\";}s:7:\"max-age\";i:-1;}}',-1,1637057270.659,1,'block_view config:block.block.luxestate_branding config:color.theme.luxestate config:system.site rendered','4'),('entity_view:block:luxestate_branding:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:3:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:592:\"<div id=\"block-luxestate-branding\" class=\"clearfix site-branding block block-system block-system-branding-block\">\n  \n    \n        <a href=\"/\" title=\"Home\" rel=\"home\" class=\"site-branding__logo\">\n      <img src=\"/themes/luxestate/logo.svg\" alt=\"Home\" />\n    </a>\n        <div class=\"site-branding__text\">\n              <div class=\"site-branding__name\">\n          <a href=\"/\" title=\"Home\" rel=\"home\">Luxestate</a>\n        </div>\n                    <div class=\"site-branding__slogan\">Luxestate is open source software has long been a natural choice for schools </div>\n          </div>\n  </div>\n\";}s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:4:{i:0;s:10:\"block_view\";i:1;s:37:\"config:block.block.luxestate_branding\";i:2;s:28:\"config:color.theme.luxestate\";i:3;s:18:\"config:system.site\";}s:7:\"max-age\";i:-1;}}',-1,1637057290.182,1,'block_view config:block.block.luxestate_branding config:color.theme.luxestate config:system.site rendered','4'),('entity_view:block:luxestate_help:[languages:language_interface]=en:[route]=entity.user.canonical65ccd21883ca7e58866a36b74cbcc7f0d63f9cd23ec292571892647f9a22762a:[theme]=luxestate:[user.permissions]=4795e65dd7986e1ZttV4arE70U_Nard6pHJmZ-UYRkl8IdRzrcreUTp8s','a:3:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"route\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:2:{i:0;s:10:\"block_view\";i:1;s:33:\"config:block.block.luxestate_help\";}s:7:\"max-age\";i:-1;}}',-1,1637057270.811,1,'block_view config:block.block.luxestate_help rendered','3'),('entity_view:block:luxestate_help:[languages:language_interface]=en:[route]=system.40335786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:3:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"route\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:2:{i:0;s:10:\"block_view\";i:1;s:33:\"config:block.block.luxestate_help\";}s:7:\"max-age\";i:-1;}}',-1,1636711552.181,1,'block_view config:block.block.luxestate_help rendered','2'),('entity_view:block:luxestate_help:[languages:language_interface]=en:[route]=system.40435786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:3:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"route\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:2:{i:0;s:10:\"block_view\";i:1;s:33:\"config:block.block.luxestate_help\";}s:7:\"max-age\";i:-1;}}',-1,1637057291.568,1,'block_view config:block.block.luxestate_help rendered','3'),('entity_view:block:luxestate_help:[languages:language_interface]=en:[route]=user.login35786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:3:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"route\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:2:{i:0;s:10:\"block_view\";i:1;s:33:\"config:block.block.luxestate_help\";}s:7:\"max-age\";i:-1;}}',-1,1637057290.246,1,'block_view config:block.block.luxestate_help rendered','3'),('entity_view:block:luxestate_help:[languages:language_interface]=en:[route]=view.frontpage.page_135786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=luxestate:[user.permissions]=4795e65dd7986eitJm2cFzXICALIUC7zqtZD8Ue01tZQJZjx4b0XxIKN8','a:3:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"route\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:2:{i:0;s:10:\"block_view\";i:1;s:33:\"config:block.block.luxestate_help\";}s:7:\"max-age\";i:-1;}}',-1,1636012249.954,1,'block_view config:block.block.luxestate_help rendered','2'),('entity_view:block:luxestate_help:[languages:language_interface]=en:[route]=view.frontpage.page_135786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=luxestate:[user.permissions]=9e2be63bfcb984M0H_btEdTMKMsn4wFDxCY4RbHVwLds1Ecr4ymgE7HVw','a:3:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"route\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:2:{i:0;s:10:\"block_view\";i:1;s:33:\"config:block.block.luxestate_help\";}s:7:\"max-age\";i:-1;}}',-1,1636711429.946,1,'block_view config:block.block.luxestate_help rendered','2'),('entity_view:block:luxestate_local_actions:[languages:language_interface]=en:[route]=entity.user.canonical65ccd21883ca7e58866a36b74cbcc7f0d63f9cd23ec292571892647f9a22762a:[theme]=luxestate:[user.permissions]=4795e9C5y58lo6W7WCm68tiMyZxArHVtY77smhGm3-wwr3Vk','a:3:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"route\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:2:{i:0;s:10:\"block_view\";i:1;s:42:\"config:block.block.luxestate_local_actions\";}s:7:\"max-age\";i:-1;}}',-1,1637057270.823,1,'block_view config:block.block.luxestate_local_actions rendered','3'),('entity_view:block:luxestate_local_actions:[languages:language_interface]=en:[route]=system.40335786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845dwSrtwJP3ByCdffNGmm7TN-SytqUTbLJlh9zxN0dwQNA','a:3:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"route\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:2:{i:0;s:10:\"block_view\";i:1;s:42:\"config:block.block.luxestate_local_actions\";}s:7:\"max-age\";i:-1;}}',-1,1636711552.186,1,'block_view config:block.block.luxestate_local_actions rendered','2'),('entity_view:block:luxestate_local_actions:[languages:language_interface]=en:[route]=system.40435786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845dydMqCAMg0slayUdBNJ9W1R-A4Ydd4w3gFtPFOYiFYfA','a:3:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"route\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:2:{i:0;s:10:\"block_view\";i:1;s:42:\"config:block.block.luxestate_local_actions\";}s:7:\"max-age\";i:-1;}}',-1,1637057291.575,1,'block_view config:block.block.luxestate_local_actions rendered','3'),('entity_view:block:luxestate_local_actions:[languages:language_interface]=en:[route]=user.login35786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845d6UhhucbSn75681bwm22f4ubDvHbwQrxLaVg20pWhpJU','a:3:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"route\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:2:{i:0;s:10:\"block_view\";i:1;s:42:\"config:block.block.luxestate_local_actions\";}s:7:\"max-age\";i:-1;}}',-1,1637057290.254,1,'block_view config:block.block.luxestate_local_actions rendered','3'),('entity_view:block:luxestate_local_actions:[languages:language_interface]=en:[route]=view.frontpage.page_135786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=luxestate:[user.permissions]=4795ef9_y_-kCVYmdLvwYqS6bqf4Q7bLpL4NQvfDM_W9fqtQ','a:3:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"route\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:2:{i:0;s:10:\"block_view\";i:1;s:42:\"config:block.block.luxestate_local_actions\";}s:7:\"max-age\";i:-1;}}',-1,1636012250.001,1,'block_view config:block.block.luxestate_local_actions rendered','2'),('entity_view:block:luxestate_local_actions:[languages:language_interface]=en:[route]=view.frontpage.page_135786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=luxestate:[user.permissions]=9e2be1nGZhLm9-zT6szke5TTB7kUb8vvWpLZkLlu4W_sbSs0','a:3:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"route\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:2:{i:0;s:10:\"block_view\";i:1;s:42:\"config:block.block.luxestate_local_actions\";}s:7:\"max-age\";i:-1;}}',-1,1636711429.953,1,'block_view config:block.block.luxestate_local_actions rendered','2'),('entity_view:block:luxestate_local_actions:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:2:{s:15:\"#cache_redirect\";b:1;s:6:\"#cache\";a:5:{s:4:\"keys\";a:3:{i:0;s:11:\"entity_view\";i:1;s:5:\"block\";i:2;s:23:\"luxestate_local_actions\";}s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"route\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:2:{i:0;s:10:\"block_view\";i:1;s:42:\"config:block.block.luxestate_local_actions\";}s:7:\"max-age\";i:-1;s:3:\"bin\";s:6:\"render\";}}',-1,1637057270.818,1,'block_view config:block.block.luxestate_local_actions rendered','3'),('entity_view:block:luxestate_local_actions:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:2:{s:15:\"#cache_redirect\";b:1;s:6:\"#cache\";a:5:{s:4:\"keys\";a:3:{i:0;s:11:\"entity_view\";i:1;s:5:\"block\";i:2;s:23:\"luxestate_local_actions\";}s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"route\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:2:{i:0;s:10:\"block_view\";i:1;s:42:\"config:block.block.luxestate_local_actions\";}s:7:\"max-age\";i:-1;s:3:\"bin\";s:6:\"render\";}}',-1,1637057290.251,1,'block_view config:block.block.luxestate_local_actions rendered','3'),('entity_view:block:luxestate_local_tasks:[languages:language_content]=en:[languages:language_interface]=en:[route]=entity.user.canonical65ccd21883ca7e58866a36b74cbcc7f0d63f9cd23ec292571892647f9a22762a:[theme]=luxestate:[user]=1','a:3:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:963:\"<div id=\"block-luxestate-local-tasks\" class=\"contextual-region block block-core block-local-tasks-block\">\n  \n    <div data-contextual-id=\"block:block=luxestate_local_tasks:langcode=en\" data-contextual-token=\"N-aL1nlbEvKq1pGqoxd5F0ouuV3qRItCVsiHNTb0Lus\"></div>\n        <nav class=\"tabs\" role=\"navigation\" aria-label=\"Tabs\">\n        <h2 class=\"visually-hidden\">Primary tabs</h2>\n  <ul class=\"tabs primary\"><li class=\"is-active\"><a href=\"/user/1\" data-drupal-link-system-path=\"user/1\">View<span class=\"visually-hidden\">(active tab)</span></a></li>\n<li><a href=\"/user/1/shortcuts\" data-drupal-link-system-path=\"user/1/shortcuts\">Shortcuts</a></li>\n<li><a href=\"/user/1/simplenews\" data-drupal-link-system-path=\"user/1/simplenews\">Newsletters</a></li>\n<li><a href=\"/user/1/edit\" data-drupal-link-system-path=\"user/1/edit\">Edit</a></li>\n<li><a href=\"/user/1/translations\" data-drupal-link-system-path=\"user/1/translations\">Translate</a></li>\n</ul>\n\n    </nav>\n  </div>\n\";}s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:6:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:5:\"route\";i:3;s:5:\"theme\";i:4;s:4:\"user\";i:5;s:16:\"user.permissions\";}s:4:\"tags\";a:6:{i:0;s:10:\"block_view\";i:1;s:40:\"config:block.block.luxestate_local_tasks\";i:2;s:30:\"config:user.role.administrator\";i:3;s:30:\"config:user.role.authenticated\";i:4;s:10:\"local_task\";i:5;s:6:\"user:1\";}s:7:\"max-age\";i:-1;}}',-1,1637057270.898,1,'block_view config:block.block.luxestate_local_tasks config:user.role.administrator config:user.role.authenticated local_task rendered user:1','74'),('entity_view:block:luxestate_local_tasks:[languages:language_interface]=en:[route]=system.40335786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845d96GHxPMHA4c766v5wsvg2b-dJgw-4mUwH5PCqN7ROAuVM','a:3:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:5:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"route\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";i:4;s:24:\"user.roles:authenticated\";}s:4:\"tags\";a:3:{i:0;s:10:\"block_view\";i:1;s:40:\"config:block.block.luxestate_local_tasks\";i:2;s:10:\"local_task\";}s:7:\"max-age\";i:-1;}}',-1,1636711552.193,1,'block_view config:block.block.luxestate_local_tasks local_task rendered','72'),('entity_view:block:luxestate_local_tasks:[languages:language_interface]=en:[route]=system.40435786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845d96o5uk1-i0NCZrewy_bA41mr8XpGLjt7E8sn6IdgPZTRE','a:3:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:5:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"route\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";i:4;s:24:\"user.roles:authenticated\";}s:4:\"tags\";a:3:{i:0;s:10:\"block_view\";i:1;s:40:\"config:block.block.luxestate_local_tasks\";i:2;s:10:\"local_task\";}s:7:\"max-age\";i:-1;}}',-1,1637057291.583,1,'block_view config:block.block.luxestate_local_tasks local_task rendered','73'),('entity_view:block:luxestate_local_tasks:[languages:language_interface]=en:[route]=user.login35786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845d96VWrv8qMiSucP2qu82b8-JJR-UuHocgtGVSb2Zeqh83M','a:3:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:521:\"<div id=\"block-luxestate-local-tasks\" class=\"block block-core block-local-tasks-block\">\n  \n    \n        <nav class=\"tabs\" role=\"navigation\" aria-label=\"Tabs\">\n        <h2 class=\"visually-hidden\">Primary tabs</h2>\n  <ul class=\"tabs primary\"><li class=\"is-active\"><a href=\"/user/login\" data-drupal-link-system-path=\"user/login\">Log in<span class=\"visually-hidden\">(active tab)</span></a></li>\n<li><a href=\"/user/password\" data-drupal-link-system-path=\"user/password\">Reset your password</a></li>\n</ul>\n\n    </nav>\n  </div>\n\";}s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:5:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"route\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";i:4;s:24:\"user.roles:authenticated\";}s:4:\"tags\";a:4:{i:0;s:10:\"block_view\";i:1;s:40:\"config:block.block.luxestate_local_tasks\";i:2;s:20:\"config:user.settings\";i:3;s:10:\"local_task\";}s:7:\"max-age\";i:-1;}}',-1,1637057290.267,1,'block_view config:block.block.luxestate_local_tasks config:user.settings local_task rendered','76'),('entity_view:block:luxestate_local_tasks:[languages:language_interface]=en:[route]=view.frontpage.page_135786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=luxestate:[user.permissions]=4795e65iQ_hPydwkncBl9uu5JlS2WcVc3_VVH3RKvT1KiBgvJg','a:3:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"route\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:3:{i:0;s:10:\"block_view\";i:1;s:40:\"config:block.block.luxestate_local_tasks\";i:2;s:10:\"local_task\";}s:7:\"max-age\";i:-1;}}',-1,1636012250.129,1,'block_view config:block.block.luxestate_local_tasks local_task rendered','72'),('entity_view:block:luxestate_local_tasks:[languages:language_interface]=en:[route]=view.frontpage.page_135786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=luxestate:[user.permissions]=9e2be63QsDhTzT2RzfiyJQ_RFBJBUi-fNw4P9bzI9HK2g56WTY','a:3:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:5:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"route\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";i:4;s:24:\"user.roles:authenticated\";}s:4:\"tags\";a:3:{i:0;s:10:\"block_view\";i:1;s:40:\"config:block.block.luxestate_local_tasks\";i:2;s:10:\"local_task\";}s:7:\"max-age\";i:-1;}}',-1,1636711429.961,1,'block_view config:block.block.luxestate_local_tasks local_task rendered','72'),('entity_view:block:luxestate_local_tasks:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:2:{s:15:\"#cache_redirect\";b:1;s:6:\"#cache\";a:5:{s:4:\"keys\";a:3:{i:0;s:11:\"entity_view\";i:1;s:5:\"block\";i:2;s:21:\"luxestate_local_tasks\";}s:8:\"contexts\";a:6:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:5:\"route\";i:3;s:5:\"theme\";i:4;s:4:\"user\";i:5;s:16:\"user.permissions\";}s:4:\"tags\";a:6:{i:0;s:10:\"block_view\";i:1;s:40:\"config:block.block.luxestate_local_tasks\";i:2;s:30:\"config:user.role.administrator\";i:3;s:30:\"config:user.role.authenticated\";i:4;s:10:\"local_task\";i:5;s:6:\"user:1\";}s:7:\"max-age\";i:-1;s:3:\"bin\";s:6:\"render\";}}',-1,1637057270.892,1,'block_view config:block.block.luxestate_local_tasks config:user.role.administrator config:user.role.authenticated local_task rendered user:1','74'),('entity_view:block:luxestate_local_tasks:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:2:{s:15:\"#cache_redirect\";b:1;s:6:\"#cache\";a:5:{s:4:\"keys\";a:3:{i:0;s:11:\"entity_view\";i:1;s:5:\"block\";i:2;s:21:\"luxestate_local_tasks\";}s:8:\"contexts\";a:5:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"route\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";i:4;s:24:\"user.roles:authenticated\";}s:4:\"tags\";a:4:{i:0;s:10:\"block_view\";i:1;s:40:\"config:block.block.luxestate_local_tasks\";i:2;s:20:\"config:user.settings\";i:3;s:10:\"local_task\";}s:7:\"max-age\";i:-1;s:3:\"bin\";s:6:\"render\";}}',-1,1637057290.264,1,'block_view config:block.block.luxestate_local_tasks config:user.settings local_task rendered','76'),('entity_view:block:luxestate_messages:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:3:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:247:\"<div data-drupal-messages-fallback class=\"hidden\"></div><drupal-render-placeholder callback=\"Drupal\\Core\\Render\\Element\\StatusMessages::renderMessages\" arguments=\"0\" token=\"_HAdUpwWmet0TOTe2PSiJuMntExoshbm1kh2wQzzzAA\"></drupal-render-placeholder>\n\";}s:9:\"#attached\";a:1:{s:12:\"placeholders\";a:1:{s:190:\"<drupal-render-placeholder callback=\"Drupal\\Core\\Render\\Element\\StatusMessages::renderMessages\" arguments=\"0\" token=\"_HAdUpwWmet0TOTe2PSiJuMntExoshbm1kh2wQzzzAA\"></drupal-render-placeholder>\";a:1:{s:13:\"#lazy_builder\";a:2:{i:0;s:57:\"Drupal\\Core\\Render\\Element\\StatusMessages::renderMessages\";i:1;a:1:{i:0;N;}}}}}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:2:{i:0;s:10:\"block_view\";i:1;s:37:\"config:block.block.luxestate_messages\";}s:7:\"max-age\";i:-1;}}',-1,1637057270.804,1,'block_view config:block.block.luxestate_messages rendered','3'),('entity_view:block:luxestate_messages:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:3:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:247:\"<div data-drupal-messages-fallback class=\"hidden\"></div><drupal-render-placeholder callback=\"Drupal\\Core\\Render\\Element\\StatusMessages::renderMessages\" arguments=\"0\" token=\"_HAdUpwWmet0TOTe2PSiJuMntExoshbm1kh2wQzzzAA\"></drupal-render-placeholder>\n\";}s:9:\"#attached\";a:1:{s:12:\"placeholders\";a:1:{s:190:\"<drupal-render-placeholder callback=\"Drupal\\Core\\Render\\Element\\StatusMessages::renderMessages\" arguments=\"0\" token=\"_HAdUpwWmet0TOTe2PSiJuMntExoshbm1kh2wQzzzAA\"></drupal-render-placeholder>\";a:1:{s:13:\"#lazy_builder\";a:2:{i:0;s:57:\"Drupal\\Core\\Render\\Element\\StatusMessages::renderMessages\";i:1;a:1:{i:0;N;}}}}}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:2:{i:0;s:10:\"block_view\";i:1;s:37:\"config:block.block.luxestate_messages\";}s:7:\"max-age\";i:-1;}}',-1,1637057290.239,1,'block_view config:block.block.luxestate_messages rendered','3'),('entity_view:block:mainnavigation:[languages:language_interface]=en:[route.menu_active_trails:main]=menu_trail.main|:[theme]=luxestate:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:3:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:2561:\"<nav role=\"navigation\" aria-labelledby=\"block-mainnavigation-menu\" id=\"block-mainnavigation\" class=\"main-menu-footer contextual-region block block-menu navigation menu--main\">\n            \n  <h2 class=\"visually-hidden\" id=\"block-mainnavigation-menu\">Main navigation</h2>\n  <div data-contextual-id=\"block:block=mainnavigation:langcode=en|menu:menu=main:langcode=en\" data-contextual-token=\"WmgVA3oR3fMa5P6fM8WwHV3C-MMxSG2NFChQ8pc1Iec\"></div>\n\n        \n              <ul class=\"clearfix menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/\" data-drupal-link-system-path=\"&lt;front&gt;\">Home</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/about-us\" target=\"\" title=\"About us\" data-drupal-link-system-path=\"node/4\">About us</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/services\" target=\"\" title=\"Services\" data-drupal-link-system-path=\"node/30\">Services</a>\n              </li>\n                <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/portfolio\" target=\"\" title=\"Porfolio\" data-drupal-link-system-path=\"portfolio\">Portfolio</a>\n                                <ul class=\"menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/portfolio_4_col\" target=\"\" title=\"Portfolio 4 col\" data-drupal-link-system-path=\"portfolio_4_col\">Portfolio 4 col</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/portfolio_masonry\" target=\"\" title=\"Portfolio masonry\" data-drupal-link-system-path=\"portfolio_masonry\">Portfolio masonry</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/blog\" target=\"\" title=\"Blog\" data-drupal-link-system-path=\"blog\">Blog</a>\n                                <ul class=\"menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/blog_default\" target=\"\" title=\"Blog default\" data-drupal-link-system-path=\"blog_default\">Blog default</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/contact\" target=\"\" title=\"Contact\" data-drupal-link-system-path=\"contact\">Contact</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"http://weebpal.com/\" target=\"_blank\" title=\"More themes\">More themes</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/user/login\" class=\"user-log-in\" target=\"\" data-drupal-link-system-path=\"user/login\">Login | User</a>\n              </li>\n        </ul>\n  \n\n\n  </nav>\n\";}s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:29:\"route.menu_active_trails:main\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:3:{i:0;s:10:\"block_view\";i:1;s:33:\"config:block.block.mainnavigation\";i:2;s:23:\"config:system.menu.main\";}s:7:\"max-age\";i:-1;}}',-1,1637057271.375,1,'block_view config:block.block.mainnavigation config:system.menu.main rendered','62'),('entity_view:block:mainnavigation:[languages:language_interface]=en:[route.menu_active_trails:main]=menu_trail.main|:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:2:{s:15:\"#cache_redirect\";b:1;s:6:\"#cache\";a:5:{s:4:\"keys\";a:3:{i:0;s:11:\"entity_view\";i:1;s:5:\"block\";i:2;s:14:\"mainnavigation\";}s:8:\"contexts\";a:5:{i:0;s:28:\"languages:language_interface\";i:1;s:29:\"route.menu_active_trails:main\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";i:4;s:24:\"user.roles:authenticated\";}s:4:\"tags\";a:5:{i:0;s:10:\"block_view\";i:1;s:33:\"config:block.block.mainnavigation\";i:2;s:23:\"config:system.menu.main\";i:3;s:7:\"node:30\";i:4;s:6:\"node:4\";}s:7:\"max-age\";i:-1;s:3:\"bin\";s:6:\"render\";}}',-1,1637057291.601,1,'block_view config:block.block.mainnavigation config:system.menu.main node:30 node:4 rendered','62'),('entity_view:block:mainnavigation:[languages:language_interface]=en:[route.menu_active_trails:main]=menu_trail.main|:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b:[user.roles:authenticated]=1','a:3:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:2377:\"<nav role=\"navigation\" aria-labelledby=\"block-mainnavigation-menu\" id=\"block-mainnavigation\" class=\"main-menu-footer block block-menu navigation menu--main\">\n            \n  <h2 class=\"visually-hidden\" id=\"block-mainnavigation-menu\">Main navigation</h2>\n  \n\n        \n              <ul class=\"clearfix menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/\" data-drupal-link-system-path=\"&lt;front&gt;\">Home</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/about-us\" target=\"\" title=\"About us\" data-drupal-link-system-path=\"node/4\">About us</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/services\" target=\"\" title=\"Services\" data-drupal-link-system-path=\"node/30\">Services</a>\n              </li>\n                <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/portfolio\" target=\"\" title=\"Porfolio\" data-drupal-link-system-path=\"portfolio\">Portfolio</a>\n                                <ul class=\"menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/portfolio_4_col\" target=\"\" title=\"Portfolio 4 col\" data-drupal-link-system-path=\"portfolio_4_col\">Portfolio 4 col</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/portfolio_masonry\" target=\"\" title=\"Portfolio masonry\" data-drupal-link-system-path=\"portfolio_masonry\">Portfolio masonry</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/blog\" target=\"\" title=\"Blog\" data-drupal-link-system-path=\"blog\">Blog</a>\n                                <ul class=\"menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/blog_default\" target=\"\" title=\"Blog default\" data-drupal-link-system-path=\"blog_default\">Blog default</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/contact\" target=\"\" title=\"Contact\" data-drupal-link-system-path=\"contact\">Contact</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"http://weebpal.com/\" target=\"_blank\" title=\"More themes\">More themes</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/user/login\" class=\"user-log-in\" target=\"\" data-drupal-link-system-path=\"user/login\">Login | User</a>\n              </li>\n        </ul>\n  \n\n\n  </nav>\n\";}s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:5:{i:0;s:28:\"languages:language_interface\";i:1;s:29:\"route.menu_active_trails:main\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";i:4;s:24:\"user.roles:authenticated\";}s:4:\"tags\";a:5:{i:0;s:10:\"block_view\";i:1;s:33:\"config:block.block.mainnavigation\";i:2;s:23:\"config:system.menu.main\";i:3;s:7:\"node:30\";i:4;s:6:\"node:4\";}s:7:\"max-age\";i:-1;}}',-1,1637057291.606,1,'block_view config:block.block.mainnavigation config:system.menu.main node:30 node:4 rendered','62'),('entity_view:block:mainnavigation:[languages:language_interface]=en:[route.menu_active_trails:main]=menu_trail.main|menu_link_content:bd337eec-18a0-43da-aca9-292607213b64|:[theme]=luxestate:[user.permissions]=9e2b4yua_Vau0rPS03K_mwLHYrvjf28pT3oKn7VVV6xhY7Q','a:3:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:2401:\"<nav role=\"navigation\" aria-labelledby=\"block-mainnavigation-menu\" id=\"block-mainnavigation\" class=\"main-menu-footer block block-menu navigation menu--main\">\n            \n  <h2 class=\"visually-hidden\" id=\"block-mainnavigation-menu\">Main navigation</h2>\n  \n\n        \n              <ul class=\"clearfix menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/\" data-drupal-link-system-path=\"&lt;front&gt;\">Home</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/about-us\" target=\"\" title=\"About us\" data-drupal-link-system-path=\"node/4\">About us</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/services\" target=\"\" title=\"Services\" data-drupal-link-system-path=\"node/30\">Services</a>\n              </li>\n                <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/portfolio\" target=\"\" title=\"Porfolio\" data-drupal-link-system-path=\"portfolio\">Portfolio</a>\n                                <ul class=\"menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/portfolio_4_col\" target=\"\" title=\"Portfolio 4 col\" data-drupal-link-system-path=\"portfolio_4_col\">Portfolio 4 col</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/portfolio_masonry\" target=\"\" title=\"Portfolio masonry\" data-drupal-link-system-path=\"portfolio_masonry\">Portfolio masonry</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/blog\" target=\"\" title=\"Blog\" data-drupal-link-system-path=\"blog\">Blog</a>\n                                <ul class=\"menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/blog_default\" target=\"\" title=\"Blog default\" data-drupal-link-system-path=\"blog_default\">Blog default</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/contact\" target=\"\" title=\"Contact\" data-drupal-link-system-path=\"contact\">Contact</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"http://weebpal.com/\" target=\"_blank\" title=\"More themes\">More themes</a>\n              </li>\n                <li class=\"menu-item menu-item--active-trail\">\n        <a href=\"/user/login\" class=\"user-log-in\" target=\"\" data-drupal-link-system-path=\"user/login\">Login | User</a>\n              </li>\n        </ul>\n  \n\n\n  </nav>\n\";}s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:5:{i:0;s:28:\"languages:language_interface\";i:1;s:29:\"route.menu_active_trails:main\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";i:4;s:24:\"user.roles:authenticated\";}s:4:\"tags\";a:5:{i:0;s:10:\"block_view\";i:1;s:33:\"config:block.block.mainnavigation\";i:2;s:23:\"config:system.menu.main\";i:3;s:7:\"node:30\";i:4;s:6:\"node:4\";}s:7:\"max-age\";i:-1;}}',-1,1637057290.442,1,'block_view config:block.block.mainnavigation config:system.menu.main node:30 node:4 rendered','62'),('entity_view:block:mainnavigation:[languages:language_interface]=en:[route.menu_active_trails:main]=menu_trail.main|menu_link_content:bd337eec-18a0-43da-aca9-292607213b64|:[theme]=luxestate:[user.permissions]=9e2bpLcxQSlNHt9iYmE3rxx67wxbmGSwjRVJje2bxFgBrUg','a:2:{s:15:\"#cache_redirect\";b:1;s:6:\"#cache\";a:5:{s:4:\"keys\";a:3:{i:0;s:11:\"entity_view\";i:1;s:5:\"block\";i:2;s:14:\"mainnavigation\";}s:8:\"contexts\";a:5:{i:0;s:28:\"languages:language_interface\";i:1;s:29:\"route.menu_active_trails:main\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";i:4;s:24:\"user.roles:authenticated\";}s:4:\"tags\";a:5:{i:0;s:10:\"block_view\";i:1;s:33:\"config:block.block.mainnavigation\";i:2;s:23:\"config:system.menu.main\";i:3;s:7:\"node:30\";i:4;s:6:\"node:4\";}s:7:\"max-age\";i:-1;s:3:\"bin\";s:6:\"render\";}}',-1,1637057290.438,1,'block_view config:block.block.mainnavigation config:system.menu.main node:30 node:4 rendered','62'),('entity_view:block:mainnavigation_2:[languages:language_interface]=en:[route.menu_active_trails:main]=menu_trail.main|:[theme]=luxestate:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:3:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:6332:\"<div id=\"block-mainnavigation-2\" class=\"contextual-region block block-we-megamenu block-we-megamenu-blockmain\">\n  \n    <div data-contextual-id=\"block:block=mainnavigation_2:langcode=en|menu:menu=main:langcode=en|we_megamenu_block:menu_name=main:langcode=en\" data-contextual-token=\"dEUtoicwhkaR4jlawZTpUJQZtoF-hldiTpOiaA4Q7Ns\"></div>\n      <div class=\"content\">\n      <div class=\"region-we-mega-menu\">\n	<a class=\"navbar-toggle collapsed\">\n	    <span class=\"icon-bar\"></span>\n	    <span class=\"icon-bar\"></span>\n	    <span class=\"icon-bar\"></span>\n	</a>\n	<nav  class=\"main navbar navbar-default navbar-we-mega-menu mobile-collapse hover-action\" data-menu-name=\"main\" data-block-theme=\"luxestate\" data-style=\"Default\" data-animation=\"None\" data-delay=\"\" data-duration=\"\" data-autoarrow=\"\" data-alwayshowsubmenu=\"\" data-action=\"hover\" data-mobile-collapse=\"0\">\n	  <div class=\"container-fluid\">\n	    <ul  class=\"we-mega-menu-ul nav nav-tabs\">\n  <li  class=\"we-mega-menu-li\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"\" data-id=\"/\" data-submenu=\"0\" hide-sub-when-collapse=\"0\">\n      <a class=\"we-mega-menu-li\" title=\"\" href=\"/\" target=\"\">\n      Home    </a>\n    \n</li><li  class=\"we-mega-menu-li\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"About us\" data-id=\"56804dba-564f-4261-be6d-3260b06c9b37\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"About us\" href=\"/about-us\" target=\"\">\n      About us    </a>\n    \n</li><li  class=\"we-mega-menu-li\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"Services\" data-id=\"4ee76de9-f8b7-4213-be88-719f49654dfb\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Services\" href=\"/services\" target=\"\">\n      Services    </a>\n    \n</li><li  class=\"we-mega-menu-li dropdown-menu\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"Porfolio\" data-id=\"49749b67-c74d-408e-a60e-bf8ff8ffb97f\" data-submenu=\"1\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Porfolio\" href=\"/portfolio\" target=\"\">\n      Portfolio    </a>\n    <div  class=\"we-mega-menu-submenu\" data-element-type=\"we-mega-menu-submenu\" data-submenu-width=\"\" data-class=\"\" style=\"width: px\">\n  <div class=\"we-mega-menu-submenu-inner\">\n    <div  class=\"we-mega-menu-row\" data-element-type=\"we-mega-menu-row\" data-custom-row=\"0\">\n  <div  class=\"we-mega-menu-col span12 cccc\" data-element-type=\"we-mega-menu-col\" data-width=\"12\" data-block=\"\" data-blocktitle=\"0\" data-hidewhencollapse=\"\" data-class=\"cccc\">\n  <ul class=\"nav nav-tabs subul\">\n  <li  class=\"we-mega-menu-li\" data-level=\"1\" data-element-type=\"we-mega-menu-li\" description=\"Portfolio 4 col\" data-id=\"d4ba7240-f5f6-4077-92a1-b03f3dc2fc12\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Portfolio 4 col\" href=\"/portfolio_4_col\" target=\"\">\n      Portfolio 4 col    </a>\n    \n</li><li  class=\"we-mega-menu-li\" data-level=\"1\" data-element-type=\"we-mega-menu-li\" description=\"Portfolio masonry\" data-id=\"20bcd853-7bfc-4421-8c82-15217f40ae51\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Portfolio masonry\" href=\"/portfolio_masonry\" target=\"\">\n      Portfolio masonry    </a>\n    \n</li>\n</ul>\n</div>\n\n</div>\n\n  </div>\n</div>\n</li><li  class=\"we-mega-menu-li dropdown-menu\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"Blog\" data-id=\"2bdced62-2f42-4421-b679-32d1d8b4b8b7\" data-submenu=\"1\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Blog\" href=\"/blog\" target=\"\">\n      Blog    </a>\n    <div  class=\"we-mega-menu-submenu\" data-element-type=\"we-mega-menu-submenu\" data-submenu-width=\"\" data-class=\"\" style=\"width: px\">\n  <div class=\"we-mega-menu-submenu-inner\">\n    <div  class=\"we-mega-menu-row\" data-element-type=\"we-mega-menu-row\" data-custom-row=\"0\">\n  <div  class=\"we-mega-menu-col span12\" data-element-type=\"we-mega-menu-col\" data-width=\"12\" data-block=\"\" data-blocktitle=\"0\" data-hidewhencollapse=\"\" data-class=\"\">\n  <ul class=\"nav nav-tabs subul\">\n  <li  class=\"we-mega-menu-li\" data-level=\"1\" data-element-type=\"we-mega-menu-li\" description=\"Blog default\" data-id=\"7e0a4dbd-8408-4b7e-bd75-c8515eb0dec0\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Blog default\" href=\"/blog_default\" target=\"\">\n      Blog default    </a>\n    \n</li>\n</ul>\n</div>\n\n</div>\n\n  </div>\n</div>\n</li><li  class=\"we-mega-menu-li\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"Contact\" data-id=\"36727826-f03f-4f36-919a-142ae953e104\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Contact\" href=\"/contact\" target=\"\">\n      Contact    </a>\n    \n</li><li  class=\"we-mega-menu-li\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"More themes\" data-id=\"60c931cd-37da-4cfd-a054-ef7863f9f6b2\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"More themes\" href=\"http://weebpal.com/\" target=\"\">\n      More themes    </a>\n    \n</li><li  class=\"we-mega-menu-li user-log-in\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"\" data-id=\"bd337eec-18a0-43da-aca9-292607213b64\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"user-log-in\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"\" href=\"/user/login\" target=\"\">\n      Login | User    </a>\n    \n</li>\n</ul>\n	  </div>\n	</nav>\n</div>\n    </div>\n  </div>\n\";}s:9:\"#attached\";a:1:{s:7:\"library\";a:1:{i:0;s:38:\"we_megamenu/form.we-mega-menu-frontend\";}}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:29:\"route.menu_active_trails:main\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:3:{i:0;s:10:\"block_view\";i:1;s:35:\"config:block.block.mainnavigation_2\";i:2;s:23:\"config:system.menu.main\";}s:7:\"max-age\";i:-1;}}',-1,1637057270.797,1,'block_view config:block.block.mainnavigation_2 config:system.menu.main rendered','61'),('entity_view:block:mainnavigation_2:[languages:language_interface]=en:[route.menu_active_trails:main]=menu_trail.main|:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:3:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:6101:\"<div id=\"block-mainnavigation-2\" class=\"block block-we-megamenu block-we-megamenu-blockmain\">\n  \n    \n      <div class=\"content\">\n      <div class=\"region-we-mega-menu\">\n	<a class=\"navbar-toggle collapsed\">\n	    <span class=\"icon-bar\"></span>\n	    <span class=\"icon-bar\"></span>\n	    <span class=\"icon-bar\"></span>\n	</a>\n	<nav  class=\"main navbar navbar-default navbar-we-mega-menu mobile-collapse hover-action\" data-menu-name=\"main\" data-block-theme=\"luxestate\" data-style=\"Default\" data-animation=\"None\" data-delay=\"\" data-duration=\"\" data-autoarrow=\"\" data-alwayshowsubmenu=\"\" data-action=\"hover\" data-mobile-collapse=\"0\">\n	  <div class=\"container-fluid\">\n	    <ul  class=\"we-mega-menu-ul nav nav-tabs\">\n  <li  class=\"we-mega-menu-li\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"\" data-id=\"/\" data-submenu=\"0\" hide-sub-when-collapse=\"0\">\n      <a class=\"we-mega-menu-li\" title=\"\" href=\"/\" target=\"\">\n      Home    </a>\n    \n</li><li  class=\"we-mega-menu-li\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"About us\" data-id=\"56804dba-564f-4261-be6d-3260b06c9b37\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"About us\" href=\"/about-us\" target=\"\">\n      About us    </a>\n    \n</li><li  class=\"we-mega-menu-li\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"Services\" data-id=\"4ee76de9-f8b7-4213-be88-719f49654dfb\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Services\" href=\"/services\" target=\"\">\n      Services    </a>\n    \n</li><li  class=\"we-mega-menu-li dropdown-menu\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"Porfolio\" data-id=\"49749b67-c74d-408e-a60e-bf8ff8ffb97f\" data-submenu=\"1\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Porfolio\" href=\"/portfolio\" target=\"\">\n      Portfolio    </a>\n    <div  class=\"we-mega-menu-submenu\" data-element-type=\"we-mega-menu-submenu\" data-submenu-width=\"\" data-class=\"\" style=\"width: px\">\n  <div class=\"we-mega-menu-submenu-inner\">\n    <div  class=\"we-mega-menu-row\" data-element-type=\"we-mega-menu-row\" data-custom-row=\"0\">\n  <div  class=\"we-mega-menu-col span12 cccc\" data-element-type=\"we-mega-menu-col\" data-width=\"12\" data-block=\"\" data-blocktitle=\"0\" data-hidewhencollapse=\"\" data-class=\"cccc\">\n  <ul class=\"nav nav-tabs subul\">\n  <li  class=\"we-mega-menu-li\" data-level=\"1\" data-element-type=\"we-mega-menu-li\" description=\"Portfolio 4 col\" data-id=\"d4ba7240-f5f6-4077-92a1-b03f3dc2fc12\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Portfolio 4 col\" href=\"/portfolio_4_col\" target=\"\">\n      Portfolio 4 col    </a>\n    \n</li><li  class=\"we-mega-menu-li\" data-level=\"1\" data-element-type=\"we-mega-menu-li\" description=\"Portfolio masonry\" data-id=\"20bcd853-7bfc-4421-8c82-15217f40ae51\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Portfolio masonry\" href=\"/portfolio_masonry\" target=\"\">\n      Portfolio masonry    </a>\n    \n</li>\n</ul>\n</div>\n\n</div>\n\n  </div>\n</div>\n</li><li  class=\"we-mega-menu-li dropdown-menu\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"Blog\" data-id=\"2bdced62-2f42-4421-b679-32d1d8b4b8b7\" data-submenu=\"1\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Blog\" href=\"/blog\" target=\"\">\n      Blog    </a>\n    <div  class=\"we-mega-menu-submenu\" data-element-type=\"we-mega-menu-submenu\" data-submenu-width=\"\" data-class=\"\" style=\"width: px\">\n  <div class=\"we-mega-menu-submenu-inner\">\n    <div  class=\"we-mega-menu-row\" data-element-type=\"we-mega-menu-row\" data-custom-row=\"0\">\n  <div  class=\"we-mega-menu-col span12\" data-element-type=\"we-mega-menu-col\" data-width=\"12\" data-block=\"\" data-blocktitle=\"0\" data-hidewhencollapse=\"\" data-class=\"\">\n  <ul class=\"nav nav-tabs subul\">\n  <li  class=\"we-mega-menu-li\" data-level=\"1\" data-element-type=\"we-mega-menu-li\" description=\"Blog default\" data-id=\"7e0a4dbd-8408-4b7e-bd75-c8515eb0dec0\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Blog default\" href=\"/blog_default\" target=\"\">\n      Blog default    </a>\n    \n</li>\n</ul>\n</div>\n\n</div>\n\n  </div>\n</div>\n</li><li  class=\"we-mega-menu-li\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"Contact\" data-id=\"36727826-f03f-4f36-919a-142ae953e104\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Contact\" href=\"/contact\" target=\"\">\n      Contact    </a>\n    \n</li><li  class=\"we-mega-menu-li\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"More themes\" data-id=\"60c931cd-37da-4cfd-a054-ef7863f9f6b2\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"More themes\" href=\"http://weebpal.com/\" target=\"\">\n      More themes    </a>\n    \n</li><li  class=\"we-mega-menu-li user-log-in\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"\" data-id=\"bd337eec-18a0-43da-aca9-292607213b64\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"user-log-in\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"\" href=\"/user/login\" target=\"\">\n      Login | User    </a>\n    \n</li>\n</ul>\n	  </div>\n	</nav>\n</div>\n    </div>\n  </div>\n\";}s:9:\"#attached\";a:1:{s:7:\"library\";a:1:{i:0;s:38:\"we_megamenu/form.we-mega-menu-frontend\";}}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:29:\"route.menu_active_trails:main\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:3:{i:0;s:10:\"block_view\";i:1;s:35:\"config:block.block.mainnavigation_2\";i:2;s:23:\"config:system.menu.main\";}s:7:\"max-age\";i:-1;}}',-1,1637057291.561,1,'block_view config:block.block.mainnavigation_2 config:system.menu.main rendered','61'),('entity_view:block:mainnavigation_2:[languages:language_interface]=en:[route.menu_active_trails:main]=menu_trail.main|menu_link_content:bd337eec-18a0-43da-aca9-292607213b64|:[theme]=luxestate:[user.permissions]=9exRiHuWCpguogbeAQE30z98iIDPmb0mYcBy8BIwrbhNs','a:3:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:6121:\"<div id=\"block-mainnavigation-2\" class=\"block block-we-megamenu block-we-megamenu-blockmain\">\n  \n    \n      <div class=\"content\">\n      <div class=\"region-we-mega-menu\">\n	<a class=\"navbar-toggle collapsed\">\n	    <span class=\"icon-bar\"></span>\n	    <span class=\"icon-bar\"></span>\n	    <span class=\"icon-bar\"></span>\n	</a>\n	<nav  class=\"main navbar navbar-default navbar-we-mega-menu mobile-collapse hover-action\" data-menu-name=\"main\" data-block-theme=\"luxestate\" data-style=\"Default\" data-animation=\"None\" data-delay=\"\" data-duration=\"\" data-autoarrow=\"\" data-alwayshowsubmenu=\"\" data-action=\"hover\" data-mobile-collapse=\"0\">\n	  <div class=\"container-fluid\">\n	    <ul  class=\"we-mega-menu-ul nav nav-tabs\">\n  <li  class=\"we-mega-menu-li\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"\" data-id=\"/\" data-submenu=\"0\" hide-sub-when-collapse=\"0\">\n      <a class=\"we-mega-menu-li\" title=\"\" href=\"/\" target=\"\">\n      Home    </a>\n    \n</li><li  class=\"we-mega-menu-li\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"About us\" data-id=\"56804dba-564f-4261-be6d-3260b06c9b37\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"About us\" href=\"/about-us\" target=\"\">\n      About us    </a>\n    \n</li><li  class=\"we-mega-menu-li\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"Services\" data-id=\"4ee76de9-f8b7-4213-be88-719f49654dfb\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Services\" href=\"/services\" target=\"\">\n      Services    </a>\n    \n</li><li  class=\"we-mega-menu-li dropdown-menu\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"Porfolio\" data-id=\"49749b67-c74d-408e-a60e-bf8ff8ffb97f\" data-submenu=\"1\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Porfolio\" href=\"/portfolio\" target=\"\">\n      Portfolio    </a>\n    <div  class=\"we-mega-menu-submenu\" data-element-type=\"we-mega-menu-submenu\" data-submenu-width=\"\" data-class=\"\" style=\"width: px\">\n  <div class=\"we-mega-menu-submenu-inner\">\n    <div  class=\"we-mega-menu-row\" data-element-type=\"we-mega-menu-row\" data-custom-row=\"0\">\n  <div  class=\"we-mega-menu-col span12 cccc\" data-element-type=\"we-mega-menu-col\" data-width=\"12\" data-block=\"\" data-blocktitle=\"0\" data-hidewhencollapse=\"\" data-class=\"cccc\">\n  <ul class=\"nav nav-tabs subul\">\n  <li  class=\"we-mega-menu-li\" data-level=\"1\" data-element-type=\"we-mega-menu-li\" description=\"Portfolio 4 col\" data-id=\"d4ba7240-f5f6-4077-92a1-b03f3dc2fc12\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Portfolio 4 col\" href=\"/portfolio_4_col\" target=\"\">\n      Portfolio 4 col    </a>\n    \n</li><li  class=\"we-mega-menu-li\" data-level=\"1\" data-element-type=\"we-mega-menu-li\" description=\"Portfolio masonry\" data-id=\"20bcd853-7bfc-4421-8c82-15217f40ae51\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Portfolio masonry\" href=\"/portfolio_masonry\" target=\"\">\n      Portfolio masonry    </a>\n    \n</li>\n</ul>\n</div>\n\n</div>\n\n  </div>\n</div>\n</li><li  class=\"we-mega-menu-li dropdown-menu\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"Blog\" data-id=\"2bdced62-2f42-4421-b679-32d1d8b4b8b7\" data-submenu=\"1\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Blog\" href=\"/blog\" target=\"\">\n      Blog    </a>\n    <div  class=\"we-mega-menu-submenu\" data-element-type=\"we-mega-menu-submenu\" data-submenu-width=\"\" data-class=\"\" style=\"width: px\">\n  <div class=\"we-mega-menu-submenu-inner\">\n    <div  class=\"we-mega-menu-row\" data-element-type=\"we-mega-menu-row\" data-custom-row=\"0\">\n  <div  class=\"we-mega-menu-col span12\" data-element-type=\"we-mega-menu-col\" data-width=\"12\" data-block=\"\" data-blocktitle=\"0\" data-hidewhencollapse=\"\" data-class=\"\">\n  <ul class=\"nav nav-tabs subul\">\n  <li  class=\"we-mega-menu-li\" data-level=\"1\" data-element-type=\"we-mega-menu-li\" description=\"Blog default\" data-id=\"7e0a4dbd-8408-4b7e-bd75-c8515eb0dec0\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Blog default\" href=\"/blog_default\" target=\"\">\n      Blog default    </a>\n    \n</li>\n</ul>\n</div>\n\n</div>\n\n  </div>\n</div>\n</li><li  class=\"we-mega-menu-li\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"Contact\" data-id=\"36727826-f03f-4f36-919a-142ae953e104\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"Contact\" href=\"/contact\" target=\"\">\n      Contact    </a>\n    \n</li><li  class=\"we-mega-menu-li\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"More themes\" data-id=\"60c931cd-37da-4cfd-a054-ef7863f9f6b2\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"More themes\" href=\"http://weebpal.com/\" target=\"\">\n      More themes    </a>\n    \n</li><li  class=\"we-mega-menu-li user-log-in active active-trail\" data-level=\"0\" data-element-type=\"we-mega-menu-li\" description=\"\" data-id=\"bd337eec-18a0-43da-aca9-292607213b64\" data-submenu=\"0\" hide-sub-when-collapse=\"\" data-group=\"0\" data-class=\"user-log-in\" data-icon=\"\" data-caption=\"\" data-alignsub=\"\" data-target=\"\">\n      <a class=\"we-mega-menu-li\" title=\"\" href=\"/user/login\" target=\"\">\n      Login | User    </a>\n    \n</li>\n</ul>\n	  </div>\n	</nav>\n</div>\n    </div>\n  </div>\n\";}s:9:\"#attached\";a:1:{s:7:\"library\";a:1:{i:0;s:38:\"we_megamenu/form.we-mega-menu-frontend\";}}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:29:\"route.menu_active_trails:main\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:3:{i:0;s:10:\"block_view\";i:1;s:35:\"config:block.block.mainnavigation_2\";i:2;s:23:\"config:system.menu.main\";}s:7:\"max-age\";i:-1;}}',-1,1637057290.234,1,'block_view config:block.block.mainnavigation_2 config:system.menu.main rendered','61'),('entity_view:block:newsletterblock:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:3:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:365:\"<div id=\"block-newsletterblock\" class=\"block block-block-content block-block-contentb0c92726-50bb-4afe-8a60-e078803c0753\">\n  \n    \n      <div class=\"content\">\n      \n            <div class=\"clearfix text-formatted field field--name-body field--type-text-with-summary field--label-hidden field__item\"><p>We respect your privacy</p>\n</div>\n      \n    </div>\n  </div>\n\";}s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:5:{i:0;s:15:\"block_content:6\";i:1;s:18:\"block_content_view\";i:2;s:10:\"block_view\";i:3;s:34:\"config:block.block.newsletterblock\";i:4;s:30:\"config:filter.format.full_html\";}s:7:\"max-age\";i:-1;}}',-1,1637057290.557,1,'block_content:6 block_content_view block_view config:block.block.newsletterblock config:filter.format.full_html rendered','4'),('entity_view:block:quicklinks:[languages:language_interface]=en:[route.menu_active_trails:quick]=menu_trail.quick|:[theme]=luxestate:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:3:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:1328:\"<nav role=\"navigation\" aria-labelledby=\"block-quicklinks-menu\" id=\"block-quicklinks\" class=\"contextual-region block block-menu navigation menu--quick\">\n      \n  <h2 id=\"block-quicklinks-menu\">Quick links</h2>\n  <div data-contextual-id=\"block:block=quicklinks:langcode=en|menu:menu=quick:langcode=en\" data-contextual-token=\"XqUD3Mza7ae_O_yZkFuXWYprG99f9nKkibViE9rXBp0\"></div>\n\n        \n              <ul class=\"clearfix menu\">\n                    <li class=\"menu-item\">\n        <a href=\"https://www.drupal.org/\" target=\"_blank\" title=\"Drupal\">Drupal</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"https://www.facebook.com/\" target=\"_blank\" title=\"Facebook\">Facebook</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"https://www.google.com\" target=\"_blank\" title=\"Google\">Google</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"https://twitter.com/\" target=\"_blank\" title=\"Twitter\">Twitter</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"https://www.weebpal.com/\" target=\"_blank\" title=\"Weebpal\">Weebpal</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"https://wordpress.com/\" target=\"_blank\" title=\"Wordpress\">Wordpress</a>\n              </li>\n        </ul>\n  \n\n\n  </nav>\n\";}s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:30:\"route.menu_active_trails:quick\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:3:{i:0;s:10:\"block_view\";i:1;s:29:\"config:block.block.quicklinks\";i:2;s:24:\"config:system.menu.quick\";}s:7:\"max-age\";i:-1;}}',-1,1637057271.362,1,'block_view config:block.block.quicklinks config:system.menu.quick rendered','62'),('entity_view:block:quicklinks:[languages:language_interface]=en:[route.menu_active_trails:quick]=menu_trail.quick|:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:3:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:1147:\"<nav role=\"navigation\" aria-labelledby=\"block-quicklinks-menu\" id=\"block-quicklinks\" class=\"block block-menu navigation menu--quick\">\n      \n  <h2 id=\"block-quicklinks-menu\">Quick links</h2>\n  \n\n        \n              <ul class=\"clearfix menu\">\n                    <li class=\"menu-item\">\n        <a href=\"https://www.drupal.org/\" target=\"_blank\" title=\"Drupal\">Drupal</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"https://www.facebook.com/\" target=\"_blank\" title=\"Facebook\">Facebook</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"https://www.google.com\" target=\"_blank\" title=\"Google\">Google</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"https://twitter.com/\" target=\"_blank\" title=\"Twitter\">Twitter</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"https://www.weebpal.com/\" target=\"_blank\" title=\"Weebpal\">Weebpal</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"https://wordpress.com/\" target=\"_blank\" title=\"Wordpress\">Wordpress</a>\n              </li>\n        </ul>\n  \n\n\n  </nav>\n\";}s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:30:\"route.menu_active_trails:quick\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:3:{i:0;s:10:\"block_view\";i:1;s:29:\"config:block.block.quicklinks\";i:2;s:24:\"config:system.menu.quick\";}s:7:\"max-age\";i:-1;}}',-1,1637057290.425,1,'block_view config:block.block.quicklinks config:system.menu.quick rendered','62'),('entity_view:block:seven_breadcrumbs:[languages:language_interface]=en:[theme]=seven:[url.path.is_front]=is_front.0:[url.path.parent]=admin/config/people:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:3:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:653:\"<div id=\"block-seven-breadcrumbs\" class=\"block block-system block-system-breadcrumb-block\">\n  \n    \n        <nav class=\"breadcrumb\" role=\"navigation\" aria-labelledby=\"system-breadcrumb\">\n    <h2 id=\"system-breadcrumb\" class=\"visually-hidden\">Breadcrumb</h2>\n    <ol>\n          <li>\n                  <a href=\"/\">Home</a>\n              </li>\n          <li>\n                  <a href=\"/admin\">Administration</a>\n              </li>\n          <li>\n                  <a href=\"/admin/config\">Configuration</a>\n              </li>\n          <li>\n                  <a href=\"/admin/config/people\">People</a>\n              </li>\n        </ol>\n  </nav>\n\n  </div>\n\";}s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:5:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:17:\"url.path.is_front\";i:3;s:15:\"url.path.parent\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:2:{i:0;s:10:\"block_view\";i:1;s:36:\"config:block.block.seven_breadcrumbs\";}s:7:\"max-age\";i:-1;}}',-1,1637057251.898,1,'block_view config:block.block.seven_breadcrumbs rendered','3'),('entity_view:block:seven_breadcrumbs:[languages:language_interface]=en:[theme]=seven:[url.path.is_front]=is_front.0:[url.path.parent]=admin/config/system:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:3:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:653:\"<div id=\"block-seven-breadcrumbs\" class=\"block block-system block-system-breadcrumb-block\">\n  \n    \n        <nav class=\"breadcrumb\" role=\"navigation\" aria-labelledby=\"system-breadcrumb\">\n    <h2 id=\"system-breadcrumb\" class=\"visually-hidden\">Breadcrumb</h2>\n    <ol>\n          <li>\n                  <a href=\"/\">Home</a>\n              </li>\n          <li>\n                  <a href=\"/admin\">Administration</a>\n              </li>\n          <li>\n                  <a href=\"/admin/config\">Configuration</a>\n              </li>\n          <li>\n                  <a href=\"/admin/config/system\">System</a>\n              </li>\n        </ol>\n  </nav>\n\n  </div>\n\";}s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:5:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:17:\"url.path.is_front\";i:3;s:15:\"url.path.parent\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:2:{i:0;s:10:\"block_view\";i:1;s:36:\"config:block.block.seven_breadcrumbs\";}s:7:\"max-age\";i:-1;}}',-1,1637057262.153,1,'block_view config:block.block.seven_breadcrumbs rendered','3'),('entity_view:block:seven_breadcrumbs:[languages:language_interface]=en:[theme]=seven:[url.path.is_front]=is_front.0:[url.path.parent]=admin/modules:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:3:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:552:\"<div id=\"block-seven-breadcrumbs\" class=\"block block-system block-system-breadcrumb-block\">\n  \n    \n        <nav class=\"breadcrumb\" role=\"navigation\" aria-labelledby=\"system-breadcrumb\">\n    <h2 id=\"system-breadcrumb\" class=\"visually-hidden\">Breadcrumb</h2>\n    <ol>\n          <li>\n                  <a href=\"/\">Home</a>\n              </li>\n          <li>\n                  <a href=\"/admin\">Administration</a>\n              </li>\n          <li>\n                  <a href=\"/admin/modules\">Extend</a>\n              </li>\n        </ol>\n  </nav>\n\n  </div>\n\";}s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:5:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:17:\"url.path.is_front\";i:3;s:15:\"url.path.parent\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:2:{i:0;s:10:\"block_view\";i:1;s:36:\"config:block.block.seven_breadcrumbs\";}s:7:\"max-age\";i:-1;}}',-1,1636012338.134,1,'block_view config:block.block.seven_breadcrumbs rendered','2'),('entity_view:block:seven_breadcrumbs:[languages:language_interface]=en:[theme]=seven:[url.path.is_front]=is_front.0:[url.path.parent]=admin:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:3:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:463:\"<div id=\"block-seven-breadcrumbs\" class=\"block block-system block-system-breadcrumb-block\">\n  \n    \n        <nav class=\"breadcrumb\" role=\"navigation\" aria-labelledby=\"system-breadcrumb\">\n    <h2 id=\"system-breadcrumb\" class=\"visually-hidden\">Breadcrumb</h2>\n    <ol>\n          <li>\n                  <a href=\"/\">Home</a>\n              </li>\n          <li>\n                  <a href=\"/admin\">Administration</a>\n              </li>\n        </ol>\n  </nav>\n\n  </div>\n\";}s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:5:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:17:\"url.path.is_front\";i:3;s:15:\"url.path.parent\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:2:{i:0;s:10:\"block_view\";i:1;s:36:\"config:block.block.seven_breadcrumbs\";}s:7:\"max-age\";i:-1;}}',-1,1636012333.212,1,'block_view config:block.block.seven_breadcrumbs rendered','2'),('entity_view:block:seven_breadcrumbs:[languages:language_interface]=en:[theme]=seven:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:2:{s:15:\"#cache_redirect\";b:1;s:6:\"#cache\";a:5:{s:4:\"keys\";a:3:{i:0;s:11:\"entity_view\";i:1;s:5:\"block\";i:2;s:17:\"seven_breadcrumbs\";}s:8:\"contexts\";a:5:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:17:\"url.path.is_front\";i:3;s:15:\"url.path.parent\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:2:{i:0;s:10:\"block_view\";i:1;s:36:\"config:block.block.seven_breadcrumbs\";}s:7:\"max-age\";i:-1;s:3:\"bin\";s:6:\"render\";}}',-1,1637057251.895,1,'block_view config:block.block.seven_breadcrumbs rendered','3'),('entity_view:block:seven_help:[languages:language_interface]=en:[route]=entity.user.admin_form35786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=seven:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:3:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"route\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:2:{i:0;s:10:\"block_view\";i:1;s:29:\"config:block.block.seven_help\";}s:7:\"max-age\";i:-1;}}',-1,1637057251.920,1,'block_view config:block.block.seven_help rendered','5'),('entity_view:block:seven_help:[languages:language_interface]=en:[route]=system.admin_config35786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=seven:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:3:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"route\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:2:{i:0;s:10:\"block_view\";i:1;s:29:\"config:block.block.seven_help\";}s:7:\"max-age\";i:-1;}}',-1,1637057231.081,1,'block_view config:block.block.seven_help rendered','4'),('entity_view:block:seven_help:[languages:language_interface]=en:[route]=system.modules_list35786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=seven:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:3:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:466:\"<div id=\"block-seven-help\" role=\"complementary\" class=\"block block-help block-help-block\">\n  \n    \n      <p>Download additional <a href=\"https://www.drupal.org/project/modules\">contributed modules</a> to extend your site\'s functionality.</p><p>Regularly review and install <a href=\"/admin/reports/updates\">available updates</a> to maintain a secure and current site. Always run the <a href=\"/update.php\">update script</a> each time a module is updated.</p>\n  </div>\n\";}s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"route\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:2:{i:0;s:10:\"block_view\";i:1;s:29:\"config:block.block.seven_help\";}s:7:\"max-age\";i:-1;}}',-1,1636012333.223,1,'block_view config:block.block.seven_help rendered','4'),('entity_view:block:seven_help:[languages:language_interface]=en:[route]=system.modules_uninstall35786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=seven:[user.permissions]=4795e65dd7986ef9553lR2P_hD3nq-3-lX8smV7BhviNMwEqyL9a-2naG6dIaE','a:3:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:181:\"<div id=\"block-seven-help\" role=\"complementary\" class=\"block block-help block-help-block\">\n  \n    \n      <p>The uninstall process removes all data related to a module.</p>\n  </div>\n\";}s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"route\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:2:{i:0;s:10:\"block_view\";i:1;s:29:\"config:block.block.seven_help\";}s:7:\"max-age\";i:-1;}}',-1,1636012338.141,1,'block_view config:block.block.seven_help rendered','4'),('entity_view:block:seven_help:[languages:language_interface]=en:[route]=system.site_information_settings35786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=seven:[user.permissions]=4795e65dd79sKP2Yci1SWCDyttj2dW-vLSXWExRSMoqYwWU45p2Jyk','a:3:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"route\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:2:{i:0;s:10:\"block_view\";i:1;s:29:\"config:block.block.seven_help\";}s:7:\"max-age\";i:-1;}}',-1,1637057262.160,1,'block_view config:block.block.seven_help rendered','5'),('entity_view:block:seven_help:[languages:language_interface]=en:[route]=update.module_update35786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=seven:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:3:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"route\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:2:{i:0;s:10:\"block_view\";i:1;s:29:\"config:block.block.seven_help\";}s:7:\"max-age\";i:-1;}}',-1,1636012340.345,1,'block_view config:block.block.seven_help rendered','4'),('entity_view:block:seven_local_actions:[languages:language_interface]=en:[route]=entity.user.admin_form35786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=seven:[user.permissions]=4795e65dd798chRcRxSiRQqVnuVbYbpHhn1rcjpyVyF6ipxDD8haMyM','a:3:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"route\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:2:{i:0;s:10:\"block_view\";i:1;s:38:\"config:block.block.seven_local_actions\";}s:7:\"max-age\";i:-1;}}',-1,1637057251.932,1,'block_view config:block.block.seven_local_actions rendered','3'),('entity_view:block:seven_local_actions:[languages:language_interface]=en:[route]=system.admin_config35786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=seven:[user.permissions]=4795e65dd7986efxRti7blg9T1ZazgFh_rdaOhPuqQ1pgLmw_l--3bR_K4','a:3:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"route\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:2:{i:0;s:10:\"block_view\";i:1;s:38:\"config:block.block.seven_local_actions\";}s:7:\"max-age\";i:-1;}}',-1,1637057231.087,1,'block_view config:block.block.seven_local_actions rendered','2'),('entity_view:block:seven_local_actions:[languages:language_interface]=en:[route]=system.modules_uninstall35786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=seven:[user.permissions]=4795e65dd7VZj-JUakYOnP_xHKadEoLQw2j5CiV8Cq42LutDBaP_s','a:3:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"route\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:2:{i:0;s:10:\"block_view\";i:1;s:38:\"config:block.block.seven_local_actions\";}s:7:\"max-age\";i:-1;}}',-1,1636012338.150,1,'block_view config:block.block.seven_local_actions rendered','2'),('entity_view:block:seven_local_actions:[languages:language_interface]=en:[route]=system.site_information_settings35786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=seven:[user.permissions]=47q6iXRNhsEW1ofowaq5sThbMQ6wW6uGNBDAgHqk96wuE','a:3:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"route\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:2:{i:0;s:10:\"block_view\";i:1;s:38:\"config:block.block.seven_local_actions\";}s:7:\"max-age\";i:-1;}}',-1,1637057262.167,1,'block_view config:block.block.seven_local_actions rendered','3'),('entity_view:block:seven_local_actions:[languages:language_interface]=en:[route]=update.module_update35786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=seven:[user.permissions]=4795e65dd7986el4caOYvmIHcjmUywME_vaOmFRPt3tfFi9KdJ-AUa2KE','a:3:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"route\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:2:{i:0;s:10:\"block_view\";i:1;s:38:\"config:block.block.seven_local_actions\";}s:7:\"max-age\";i:-1;}}',-1,1636012340.351,1,'block_view config:block.block.seven_local_actions rendered','2'),('entity_view:block:seven_local_actions:[languages:language_interface]=en:[theme]=seven:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:2:{s:15:\"#cache_redirect\";b:1;s:6:\"#cache\";a:5:{s:4:\"keys\";a:3:{i:0;s:11:\"entity_view\";i:1;s:5:\"block\";i:2;s:19:\"seven_local_actions\";}s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"route\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:2:{i:0;s:10:\"block_view\";i:1;s:38:\"config:block.block.seven_local_actions\";}s:7:\"max-age\";i:-1;s:3:\"bin\";s:6:\"render\";}}',-1,1637057251.927,1,'block_view config:block.block.seven_local_actions rendered','3'),('entity_view:block:seven_messages:[languages:language_interface]=en:[theme]=seven:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:3:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:247:\"<div data-drupal-messages-fallback class=\"hidden\"></div><drupal-render-placeholder callback=\"Drupal\\Core\\Render\\Element\\StatusMessages::renderMessages\" arguments=\"0\" token=\"_HAdUpwWmet0TOTe2PSiJuMntExoshbm1kh2wQzzzAA\"></drupal-render-placeholder>\n\";}s:9:\"#attached\";a:1:{s:12:\"placeholders\";a:1:{s:190:\"<drupal-render-placeholder callback=\"Drupal\\Core\\Render\\Element\\StatusMessages::renderMessages\" arguments=\"0\" token=\"_HAdUpwWmet0TOTe2PSiJuMntExoshbm1kh2wQzzzAA\"></drupal-render-placeholder>\";a:1:{s:13:\"#lazy_builder\";a:2:{i:0;s:57:\"Drupal\\Core\\Render\\Element\\StatusMessages::renderMessages\";i:1;a:1:{i:0;N;}}}}}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:2:{i:0;s:10:\"block_view\";i:1;s:33:\"config:block.block.seven_messages\";}s:7:\"max-age\";i:-1;}}',-1,1637057251.913,1,'block_view config:block.block.seven_messages rendered','3'),('entity_view:block:seven_primary_local_tasks:[languages:language_interface]=en:[route]=entity.user.admin_form35786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=seven:[user.permissions]=4795e60XDlXouvK2NtwsCzFLZT8X8Ni4b89eHpP5dqTyLyOV8','a:3:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:1498:\"<div id=\"block-seven-primary-local-tasks\" class=\"block block-core block-local-tasks-block\">\n  \n    \n        <nav class=\"tabs\" role=\"navigation\" aria-label=\"Tabs\">\n        <h2 id=\"primary-tabs-title\" class=\"visually-hidden\">Primary tabs</h2>\n  <nav role=\"navigation\" class=\"is-horizontal is-collapsible\" aria-labelledby=\"primary-tabs-title\" data-drupal-nav-tabs>\n    <button class=\"reset-appearance tabs__tab tabs__trigger\" aria-label=\"Primary tabs display toggle\" data-drupal-nav-tabs-trigger>&bull;&bull;&bull;</button>\n    <ul class=\"tabs primary clearfix\" data-drupal-nav-tabs-target><li class=\"tabs__tab is-active\"><a href=\"/admin/config/people/accounts\" data-drupal-link-system-path=\"admin/config/people/accounts\">Settings<span class=\"visually-hidden\">(active tab)</span></a></li>\n<li class=\"tabs__tab\"><a href=\"/admin/config/people/accounts/fields\" data-drupal-link-system-path=\"admin/config/people/accounts/fields\">Manage fields</a></li>\n<li class=\"tabs__tab\"><a href=\"/admin/config/people/accounts/form-display\" data-drupal-link-system-path=\"admin/config/people/accounts/form-display\">Manage form display</a></li>\n<li class=\"tabs__tab\"><a href=\"/admin/config/people/accounts/display\" data-drupal-link-system-path=\"admin/config/people/accounts/display\">Manage display</a></li>\n<li class=\"tabs__tab\"><a href=\"/admin/config/people/accounts/translate\" data-drupal-link-system-path=\"admin/config/people/accounts/translate\">Translate account settings</a></li>\n</ul>\n  </nav>\n\n    </nav>\n  </div>\n\";}s:9:\"#attached\";a:1:{s:7:\"library\";a:1:{i:0;s:21:\"seven/drupal.nav-tabs\";}}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"route\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:3:{i:0;s:10:\"block_view\";i:1;s:44:\"config:block.block.seven_primary_local_tasks\";i:2;s:10:\"local_task\";}s:7:\"max-age\";i:-1;}}',-1,1637057251.859,1,'block_view config:block.block.seven_primary_local_tasks local_task rendered','75'),('entity_view:block:seven_primary_local_tasks:[languages:language_interface]=en:[route]=system.admin_config35786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=seven:[user.permissions]=4795e65ddJyNJkq1DZyoIGbCaetqeCph_A_44FjLprKckveu15Xw','a:3:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"route\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:3:{i:0;s:10:\"block_view\";i:1;s:44:\"config:block.block.seven_primary_local_tasks\";i:2;s:10:\"local_task\";}s:7:\"max-age\";i:-1;}}',-1,1637057231.065,1,'block_view config:block.block.seven_primary_local_tasks local_task rendered','74'),('entity_view:block:seven_primary_local_tasks:[languages:language_interface]=en:[route]=system.site_information_settings35786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=seven:[user.permissiobXKJ_mLrgcSuj6exXH2jr_XJcZtqlrhe1jcZyAkNKa4','a:3:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:1034:\"<div id=\"block-seven-primary-local-tasks\" class=\"block block-core block-local-tasks-block\">\n  \n    \n        <nav class=\"tabs\" role=\"navigation\" aria-label=\"Tabs\">\n        <h2 id=\"primary-tabs-title\" class=\"visually-hidden\">Primary tabs</h2>\n  <nav role=\"navigation\" class=\"is-horizontal is-collapsible\" aria-labelledby=\"primary-tabs-title\" data-drupal-nav-tabs>\n    <button class=\"reset-appearance tabs__tab tabs__trigger\" aria-label=\"Primary tabs display toggle\" data-drupal-nav-tabs-trigger>&bull;&bull;&bull;</button>\n    <ul class=\"tabs primary clearfix\" data-drupal-nav-tabs-target><li class=\"tabs__tab is-active\"><a href=\"/admin/config/system/site-information\" data-drupal-link-system-path=\"admin/config/system/site-information\">Settings<span class=\"visually-hidden\">(active tab)</span></a></li>\n<li class=\"tabs__tab\"><a href=\"/admin/config/system/site-information/translate\" data-drupal-link-system-path=\"admin/config/system/site-information/translate\">Translate system information</a></li>\n</ul>\n  </nav>\n\n    </nav>\n  </div>\n\";}s:9:\"#attached\";a:1:{s:7:\"library\";a:1:{i:0;s:21:\"seven/drupal.nav-tabs\";}}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"route\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:3:{i:0;s:10:\"block_view\";i:1;s:44:\"config:block.block.seven_primary_local_tasks\";i:2;s:10:\"local_task\";}s:7:\"max-age\";i:-1;}}',-1,1637057262.127,1,'block_view config:block.block.seven_primary_local_tasks local_task rendered','75'),('entity_view:block:seven_primary_local_tasks:[languages:language_interface]=en:[theme]=seven:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:2:{s:15:\"#cache_redirect\";b:1;s:6:\"#cache\";a:5:{s:4:\"keys\";a:3:{i:0;s:11:\"entity_view\";i:1;s:5:\"block\";i:2;s:25:\"seven_primary_local_tasks\";}s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"route\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:3:{i:0;s:10:\"block_view\";i:1;s:44:\"config:block.block.seven_primary_local_tasks\";i:2;s:10:\"local_task\";}s:7:\"max-age\";i:-1;s:3:\"bin\";s:6:\"render\";}}',-1,1637057251.855,1,'block_view config:block.block.seven_primary_local_tasks local_task rendered','75'),('entity_view:block:seven_secondary_local_tasks:[languages:language_interface]=en:[route]=entity.user.admin_form35786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=seven:[user.permissions]=4795U-skI0Po52zr2qAVlBrAnzMpNw5AadI-Faq19rWHLHk','a:3:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"route\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:3:{i:0;s:10:\"block_view\";i:1;s:46:\"config:block.block.seven_secondary_local_tasks\";i:2;s:10:\"local_task\";}s:7:\"max-age\";i:-1;}}',-1,1637057251.874,1,'block_view config:block.block.seven_secondary_local_tasks local_task rendered','75'),('entity_view:block:seven_secondary_local_tasks:[languages:language_interface]=en:[route]=system.admin_config35786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=seven:[user.permissions]=4795e65V1vINXUiZ9oM7-gfsyou0m0R62Jdlh5yCjfR2rwMuXc','a:3:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"route\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:3:{i:0;s:10:\"block_view\";i:1;s:46:\"config:block.block.seven_secondary_local_tasks\";i:2;s:10:\"local_task\";}s:7:\"max-age\";i:-1;}}',-1,1637057231.075,1,'block_view config:block.block.seven_secondary_local_tasks local_task rendered','74'),('entity_view:block:seven_secondary_local_tasks:[languages:language_interface]=en:[route]=system.site_information_settings35786c7117b4e38d0f169239752ce71158266ae2f6e4aa230fbbb87bd699c0e3:[theme]=seven:[user.permissq95KlY3wqgrHpWlxIvigrZstGKBR9IKx5TUcKzx_uwQ','a:3:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"route\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:3:{i:0;s:10:\"block_view\";i:1;s:46:\"config:block.block.seven_secondary_local_tasks\";i:2;s:10:\"local_task\";}s:7:\"max-age\";i:-1;}}',-1,1637057262.134,1,'block_view config:block.block.seven_secondary_local_tasks local_task rendered','75'),('entity_view:block:seven_secondary_local_tasks:[languages:language_interface]=en:[theme]=seven:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:2:{s:15:\"#cache_redirect\";b:1;s:6:\"#cache\";a:5:{s:4:\"keys\";a:3:{i:0;s:11:\"entity_view\";i:1;s:5:\"block\";i:2;s:27:\"seven_secondary_local_tasks\";}s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"route\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:3:{i:0;s:10:\"block_view\";i:1;s:46:\"config:block.block.seven_secondary_local_tasks\";i:2;s:10:\"local_task\";}s:7:\"max-age\";i:-1;s:3:\"bin\";s:6:\"render\";}}',-1,1637057251.870,1,'block_view config:block.block.seven_secondary_local_tasks local_task rendered','75'),('entity_view:block:simplenewssubscription:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:2:{s:15:\"#cache_redirect\";b:1;s:6:\"#cache\";a:5:{s:4:\"keys\";a:3:{i:0;s:11:\"entity_view\";i:1;s:5:\"block\";i:2;s:22:\"simplenewssubscription\";}s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";i:3;s:24:\"user.roles:authenticated\";}s:4:\"tags\";a:5:{i:0;s:10:\"block_view\";i:1;s:41:\"config:block.block.simplenewssubscription\";i:2;s:83:\"config:core.entity_form_display.simplenews_subscriber.simplenews_subscriber.default\";i:3;s:76:\"config:field.field.simplenews_subscriber.simplenews_subscriber.subscriptions\";i:4;s:56:\"config:field.storage.simplenews_subscriber.subscriptions\";}s:7:\"max-age\";i:-1;s:3:\"bin\";s:6:\"render\";}}',-1,1637057290.544,1,'block_view config:block.block.simplenewssubscription config:core.entity_form_display.simplenews_subscriber.simplenews_subscriber.default config:field.field.simplenews_subscriber.simplenews_subscriber.subscriptions config:field.storage.simplenews_subscriber.subscriptions rendered','3'),('entity_view:block:simplenewssubscription:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b:[user.roles:authenticated]=1','a:3:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:2525:\"<div class=\"simplenews-subscriptions-block-2e7f7bdc-7622-4ced-9848-99a362a0e07e simplenews-subscriber-form block block-simplenews block-simplenews-subscription-block\" data-drupal-selector=\"simplenews-subscriptions-block-2e7f7bdc-7622-4ced-9848-99a362a0e07e\" id=\"block-simplenewssubscription\">\n  \n      <h2>Newsletter</h2>\n    \n      <div class=\"content\">\n      <form action=\"form_action_p_pvdeGsVG5zNF_XLGPTvYSKCf43t8qZYSwcfZl2uzM\" method=\"post\" id=\"simplenews-subscriptions-block-2e7f7bdc-7622-4ced-9848-99a362a0e07e\" accept-charset=\"UTF-8\">\n  <div class=\"field--type-simplenews-subscription field--name-subscriptions field--widget-simplenews-subscription-select js-form-wrapper form-wrapper\" data-drupal-selector=\"edit-subscriptions-wrapper\" id=\"edit-subscriptions-wrapper\"></div>\n<div id=\"edit-message\" class=\"js-form-item form-item js-form-type-item form-type-item js-form-item-message form-item-message form-no-label\">\n        Sign up for our mailing to get latest updates and offers.\n        </div>\n<input autocomplete=\"off\" data-drupal-selector=\"form-ggnr8owp2qvo4umvkitc9jmwzv412sdbk5i6-g3yym4\" type=\"hidden\" name=\"form_build_id\" value=\"form-ggnr8OWP2qVO4UmVKitc9JMWZv412sDBK5I6-G3yYM4\" />\n<input data-drupal-selector=\"edit-simplenews-subscriptions-block-2e7f7bdc-7622-4ced-9848-99a362a0e07e\" type=\"hidden\" name=\"form_id\" value=\"simplenews_subscriptions_block_2e7f7bdc-7622-4ced-9848-99a362a0e07e\" />\n<div class=\"field--type-email field--name-mail field--widget-email-default js-form-wrapper form-wrapper\" data-drupal-selector=\"edit-mail-wrapper\" id=\"edit-mail-wrapper\">      <div class=\"js-form-item form-item js-form-type-email form-type-email js-form-item-mail-0-value form-item-mail-0-value\">\n      <label for=\"edit-mail-0-value\" class=\"js-form-required form-required\">Email</label>\n        <input data-drupal-selector=\"edit-mail-0-value\" aria-describedby=\"edit-mail-0-value--description\" type=\"email\" id=\"edit-mail-0-value\" name=\"mail[0][value]\" value=\"\" size=\"60\" maxlength=\"254\" placeholder=\"\" class=\"form-email required\" required=\"required\" aria-required=\"true\" />\n\n            <div id=\"edit-mail-0-value--description\" class=\"description\">\n      The subscriber\'s email address.\n    </div>\n  </div>\n\n  </div>\n<div data-drupal-selector=\"edit-actions\" class=\"form-actions js-form-wrapper form-wrapper\" id=\"edit-actions--2\"><input data-drupal-selector=\"edit-subscribe\" type=\"submit\" id=\"edit-subscribe\" name=\"op\" value=\"Subscribe\" class=\"button js-form-submit form-submit\" />\n</div>\n\n</form>\n\n    </div>\n  </div>\n\";}s:9:\"#attached\";a:2:{s:12:\"placeholders\";a:1:{s:55:\"form_action_p_pvdeGsVG5zNF_XLGPTvYSKCf43t8qZYSwcfZl2uzM\";a:1:{s:13:\"#lazy_builder\";a:2:{i:0;s:40:\"form_builder:renderPlaceholderFormAction\";i:1;a:0:{}}}}s:14:\"drupalSettings\";a:1:{s:14:\"ajaxTrustedUrl\";a:1:{s:55:\"form_action_p_pvdeGsVG5zNF_XLGPTvYSKCf43t8qZYSwcfZl2uzM\";b:1;}}}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";i:3;s:24:\"user.roles:authenticated\";}s:4:\"tags\";a:5:{i:0;s:10:\"block_view\";i:1;s:41:\"config:block.block.simplenewssubscription\";i:2;s:83:\"config:core.entity_form_display.simplenews_subscriber.simplenews_subscriber.default\";i:3;s:76:\"config:field.field.simplenews_subscriber.simplenews_subscriber.subscriptions\";i:4;s:56:\"config:field.storage.simplenews_subscriber.subscriptions\";}s:7:\"max-age\";i:-1;}}',-1,1637057290.548,1,'block_view config:block.block.simplenewssubscription config:core.entity_form_display.simplenews_subscriber.simplenews_subscriber.default config:field.field.simplenews_subscriber.simplenews_subscriber.subscriptions config:field.storage.simplenews_subscriber.subscriptions rendered','3'),('entity_view:block:views_block__about_us_block_1:[languages:language_interface]=en:[theme]=luxestate:[user.node_grants:view]=all:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:3:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:2254:\"<div class=\"views-element-container contextual-region block block-views block-views-blockabout-us-block-1\" id=\"block-views-block-about-us-block-1\">\n  \n    <div data-contextual-id=\"block:block=views_block__about_us_block_1:langcode=en|entity.view.edit_form:view=about_us:location=block&amp;name=about_us&amp;display_id=block_1&amp;langcode=en\" data-contextual-token=\"ThdeDhuNRReObsT4xOlYIHCrey7HA2dko5JLUeqTL4E\"></div>\n      <div class=\"content\">\n      <div><div class=\"contextual-region view view-about-us view-id-about_us view-display-id-block_1 js-view-dom-id-5df002cb5dfe0f889c8479b758485213d0f58cb93f20ec15a6988406e6220762\">\n  \n    <div data-contextual-id=\"entity.view.edit_form:view=about_us:location=block&amp;name=about_us&amp;display_id=block_1&amp;langcode=en\" data-contextual-token=\"oMpqx7aNw-3b5ok1FqQ22yiOATiUgSbN1RZ5NOya1z0\"></div>\n      \n      <div class=\"view-content\">\n          <div class=\"views-row\"><div class=\"views-field views-field-field-banner\"><div class=\"field-content\">  <img src=\"/sites/default/files/styles/image_1920_700/public/field/banner/about-us-banner.jpg?itok=UW8PbBlO\" width=\"1920\" height=\"700\" alt=\"\" typeof=\"foaf:Image\" class=\"image-style-image-1920-700\" />\n\n\n</div></div><div class=\"views-field views-field-title\"><span class=\"field-content\">Welcome to Luxestate</span></div><div class=\"views-field views-field-field-su\"><div class=\"field-content\"><p>“It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout. The point of using Lorem Ipsum is that it has a more-or-less normal distribution of letters, as opposed to using \'Content here, content here\', making it look like readable English (injected humour and the like).</p>\n<p>There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which don\'t look even slightly believable.</p>\n<h4>AMANDA CLARKE</h4>\n<h5>Creative Director</h5>\n</div></div><div class=\"views-field views-field-nothing\"><span class=\"field-content\"><div class=\"views-field wp-views-field-view-node\">\n		<a href=\"/about-us\">Read more</a> 	\n</div></span></div></div>\n\n    </div>\n  \n          </div>\n</div>\n\n    </div>\n  </div>\n\";}s:9:\"#attached\";a:2:{s:7:\"library\";a:2:{i:0;s:18:\"views/views.module\";i:1;s:18:\"views/views.module\";}s:14:\"drupalSettings\";a:0:{}}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:10:{i:0;s:10:\"block_view\";i:1;s:48:\"config:block.block.views_block__about_us_block_1\";i:2;s:38:\"config:field.storage.node.field_banner\";i:3;s:34:\"config:field.storage.node.field_su\";i:4;s:30:\"config:filter.format.full_html\";i:5;s:33:\"config:image.style.image_1920_700\";i:6;s:26:\"config:views.view.about_us\";i:7;s:7:\"file:36\";i:8;s:6:\"node:4\";i:9;s:9:\"node_list\";}s:7:\"max-age\";i:-1;}}',-1,1636012250.194,1,'block_view config:block.block.views_block__about_us_block_1 config:field.storage.node.field_banner config:field.storage.node.field_su config:filter.format.full_html config:image.style.image_1920_700 config:views.view.about_us file:36 node:4 node_list rendered','8'),('entity_view:block:views_block__about_us_block_1:[languages:language_interface]=en:[theme]=luxestate:[user.node_grants:view]=view.all:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:3:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:1748:\"<div class=\"views-element-container block block-views block-views-blockabout-us-block-1\" id=\"block-views-block-about-us-block-1\">\n  \n    \n      <div class=\"content\">\n      <div><div class=\"view view-about-us view-id-about_us view-display-id-block_1 js-view-dom-id-29791072d97b793c93f79045b9bb71e54c6ac6ab1bd02ef610e9a92e4d6dc0ee\">\n  \n    \n      \n      <div class=\"view-content\">\n          <div class=\"views-row\"><div class=\"views-field views-field-field-banner\"><div class=\"field-content\">  <img src=\"/sites/default/files/styles/image_1920_700/public/field/banner/about-us-banner.jpg?itok=UW8PbBlO\" width=\"1920\" height=\"700\" alt=\"\" typeof=\"foaf:Image\" class=\"image-style-image-1920-700\" />\n\n\n</div></div><div class=\"views-field views-field-title\"><span class=\"field-content\">Welcome to Luxestate</span></div><div class=\"views-field views-field-field-su\"><div class=\"field-content\"><p>“It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout. The point of using Lorem Ipsum is that it has a more-or-less normal distribution of letters, as opposed to using \'Content here, content here\', making it look like readable English (injected humour and the like).</p>\n<p>There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which don\'t look even slightly believable.</p>\n<h4>AMANDA CLARKE</h4>\n<h5>Creative Director</h5>\n</div></div><div class=\"views-field views-field-nothing\"><span class=\"field-content\"><div class=\"views-field wp-views-field-view-node\">\n		<a href=\"/about-us\">Read more</a> 	\n</div></span></div></div>\n\n    </div>\n  \n          </div>\n</div>\n\n    </div>\n  </div>\n\";}s:9:\"#attached\";a:2:{s:7:\"library\";a:2:{i:0;s:18:\"views/views.module\";i:1;s:18:\"views/views.module\";}s:14:\"drupalSettings\";a:0:{}}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:10:{i:0;s:10:\"block_view\";i:1;s:48:\"config:block.block.views_block__about_us_block_1\";i:2;s:38:\"config:field.storage.node.field_banner\";i:3;s:34:\"config:field.storage.node.field_su\";i:4;s:30:\"config:filter.format.full_html\";i:5;s:33:\"config:image.style.image_1920_700\";i:6;s:26:\"config:views.view.about_us\";i:7;s:7:\"file:36\";i:8;s:6:\"node:4\";i:9;s:9:\"node_list\";}s:7:\"max-age\";i:-1;}}',-1,1636711430.078,1,'block_view config:block.block.views_block__about_us_block_1 config:field.storage.node.field_banner config:field.storage.node.field_su config:filter.format.full_html config:image.style.image_1920_700 config:views.view.about_us file:36 node:4 node_list rendered','8'),('entity_view:block:views_block__about_us_block_1:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:2:{s:15:\"#cache_redirect\";b:1;s:6:\"#cache\";a:5:{s:4:\"keys\";a:3:{i:0;s:11:\"entity_view\";i:1;s:5:\"block\";i:2;s:29:\"views_block__about_us_block_1\";}s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:10:{i:0;s:10:\"block_view\";i:1;s:48:\"config:block.block.views_block__about_us_block_1\";i:2;s:38:\"config:field.storage.node.field_banner\";i:3;s:34:\"config:field.storage.node.field_su\";i:4;s:30:\"config:filter.format.full_html\";i:5;s:33:\"config:image.style.image_1920_700\";i:6;s:26:\"config:views.view.about_us\";i:7;s:7:\"file:36\";i:8;s:6:\"node:4\";i:9;s:9:\"node_list\";}s:7:\"max-age\";i:-1;s:3:\"bin\";s:6:\"render\";}}',-1,1636012250.190,1,'block_view config:block.block.views_block__about_us_block_1 config:field.storage.node.field_banner config:field.storage.node.field_su config:filter.format.full_html config:image.style.image_1920_700 config:views.view.about_us file:36 node:4 node_list rendered','8'),('entity_view:block:views_block__about_us_block_1:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:2:{s:15:\"#cache_redirect\";b:1;s:6:\"#cache\";a:5:{s:4:\"keys\";a:3:{i:0;s:11:\"entity_view\";i:1;s:5:\"block\";i:2;s:29:\"views_block__about_us_block_1\";}s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:10:{i:0;s:10:\"block_view\";i:1;s:48:\"config:block.block.views_block__about_us_block_1\";i:2;s:38:\"config:field.storage.node.field_banner\";i:3;s:34:\"config:field.storage.node.field_su\";i:4;s:30:\"config:filter.format.full_html\";i:5;s:33:\"config:image.style.image_1920_700\";i:6;s:26:\"config:views.view.about_us\";i:7;s:7:\"file:36\";i:8;s:6:\"node:4\";i:9;s:9:\"node_list\";}s:7:\"max-age\";i:-1;s:3:\"bin\";s:6:\"render\";}}',-1,1636711430.072,1,'block_view config:block.block.views_block__about_us_block_1 config:field.storage.node.field_banner config:field.storage.node.field_su config:filter.format.full_html config:image.style.image_1920_700 config:views.view.about_us file:36 node:4 node_list rendered','8'),('entity_view:block:views_block__blog_page_block_2:[languages:language_content]=en:[languages:language_interface]=en:[theme]=luxestate:[timezone]=Europe/Paris:[user.node_grants:view]=all:[user.permissions]=4795e65d7EfbICHyazFcHWoiTPu_vMJsT0FIZcBlF6Lzprp8s-I','a:3:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:4913:\"<div class=\"views-element-container contextual-region block block-views block-views-blockblog-page-block-2\" id=\"block-views-block-blog-page-block-2\">\n  \n      <h2>latest news</h2>\n    <div data-contextual-id=\"block:block=views_block__blog_page_block_2:langcode=en|entity.view.edit_form:view=blog_page:location=block&amp;name=blog_page&amp;display_id=block_2&amp;langcode=en\" data-contextual-token=\"YA2XEdleuphXYMakZHMMcZSVuKZ_p9XBcFccODUHgnQ\"></div>\n      <div class=\"content\">\n      <div><div class=\"view-type-grid contextual-region view view-blog-page view-id-blog_page view-display-id-block_2 js-view-dom-id-180ce05df1b7f336435337ba926fe62ac24a5ac962defac0fd0b0344d43ec5ec\">\n  \n    <div data-contextual-id=\"entity.view.edit_form:view=blog_page:location=block&amp;name=blog_page&amp;display_id=block_2&amp;langcode=en\" data-contextual-token=\"pUjC2cx1lw8HZwzQ3kiC_rW9eA386J9VOJOx65mJ28s\"></div>\n      <div class=\"view-header\">\n      <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit.<br />\nPraesent facilisis massa nellyary eget magna semper,  dolor sit amet.</p>\n\n    </div>\n      \n      <div class=\"view-content\">\n          <div class=\"views-view-grid horizontal cols-3 clearfix\">\n            <div class=\"views-row clearfix row-1\">\n                  <div class=\"views-col col-1\" style=\"width: 33.333333333333%;\"><div class=\"views-field views-field-field-image\"><div class=\"field-content\">  <a href=\"/blog/seeing-light\" hreflang=\"en\"><img src=\"/sites/default/files/styles/image_551_372/public/field/blog/blog-01.jpg?itok=WLGJd480\" width=\"551\" height=\"372\" alt=\"Seeing the light\" title=\"Seeing the light\" typeof=\"foaf:Image\" class=\"image-style-image-551-372\" />\n\n</a>\n</div></div><div class=\"views-field views-field-title\"><span class=\"field-content\"><a href=\"/blog/seeing-light\" hreflang=\"en\">Seeing the light</a></span></div><div class=\"views-field views-field-created\"><span class=\"field-content\">July 25, 2016</span></div><div class=\"views-field views-field-uid\"><span class=\"field-content\">by <a href=\"/user/15\" hreflang=\"en\">linda</a> </span></div><div class=\"views-field views-field-field-tags\"><div class=\"field-content\">in <a href=\"/tags/drupal\" hreflang=\"en\">Drupal</a></div></div><div class=\"views-field views-field-body\"><div class=\"field-content\"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua.</p></div></div></div>\n                  <div class=\"views-col col-2\" style=\"width: 33.333333333333%;\"><div class=\"views-field views-field-field-image\"><div class=\"field-content\">  <a href=\"/blog/warehouse-sale-emeryville\" hreflang=\"en\"><img src=\"/sites/default/files/styles/image_551_372/public/field/blog/blog-02.jpg?itok=7PhIWd28\" width=\"551\" height=\"372\" alt=\"Warehouse Sale in Emeryville\" title=\"Warehouse Sale in Emeryville\" typeof=\"foaf:Image\" class=\"image-style-image-551-372\" />\n\n</a>\n</div></div><div class=\"views-field views-field-title\"><span class=\"field-content\"><a href=\"/blog/warehouse-sale-emeryville\" hreflang=\"en\">Warehouse Sale in Emeryville</a></span></div><div class=\"views-field views-field-created\"><span class=\"field-content\">January 08, 2016</span></div><div class=\"views-field views-field-uid\"><span class=\"field-content\">by <a href=\"/user/1\" hreflang=\"en\">admin</a> </span></div><div class=\"views-field views-field-field-tags\"><div class=\"field-content\">in <a href=\"/tags/css\" hreflang=\"en\">CSS</a></div></div><div class=\"views-field views-field-body\"><div class=\"field-content\"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua.</p></div></div></div>\n                  <div class=\"views-col col-3\" style=\"width: 33.333333333333%;\"><div class=\"views-field views-field-field-image\"><div class=\"field-content\">  <a href=\"/blog/wall\" hreflang=\"en\"><img src=\"/sites/default/files/styles/image_551_372/public/field/blog/blog-03.jpg?itok=83qPKtx9\" width=\"551\" height=\"372\" alt=\"Off the wall\" title=\"Off the wall\" typeof=\"foaf:Image\" class=\"image-style-image-551-372\" />\n\n</a>\n</div></div><div class=\"views-field views-field-title\"><span class=\"field-content\"><a href=\"/blog/wall\" hreflang=\"en\">Off the wall</a></span></div><div class=\"views-field views-field-created\"><span class=\"field-content\">December 22, 2015</span></div><div class=\"views-field views-field-uid\"><span class=\"field-content\">by <a href=\"/user/15\" hreflang=\"en\">linda</a> </span></div><div class=\"views-field views-field-field-tags\"><div class=\"field-content\">in <a href=\"/tags/transportation\" hreflang=\"en\">Transportation</a></div></div><div class=\"views-field views-field-body\"><div class=\"field-content\"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua.</p></div></div></div>\n              </div>\n      </div>\n\n    </div>\n  \n          </div>\n</div>\n\n    </div>\n  </div>\n\";}s:9:\"#attached\";a:2:{s:7:\"library\";a:2:{i:0;s:18:\"views/views.module\";i:1;s:18:\"views/views.module\";}s:14:\"drupalSettings\";a:0:{}}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:6:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:5:\"theme\";i:3;s:8:\"timezone\";i:4;s:21:\"user.node_grants:view\";i:5;s:16:\"user.permissions\";}s:4:\"tags\";a:22:{i:0;s:10:\"block_view\";i:1;s:49:\"config:block.block.views_block__blog_page_block_2\";i:2;s:30:\"config:field.storage.node.body\";i:3;s:37:\"config:field.storage.node.field_image\";i:4;s:36:\"config:field.storage.node.field_tags\";i:5;s:30:\"config:filter.format.full_html\";i:6;s:32:\"config:image.style.image_551_372\";i:7;s:27:\"config:views.view.blog_page\";i:8;s:8:\"file:111\";i:9;s:8:\"file:112\";i:10;s:8:\"file:114\";i:11;s:8:\"file:122\";i:12;s:7:\"node:11\";i:13;s:7:\"node:15\";i:14;s:7:\"node:16\";i:15;s:9:\"node_list\";i:16;s:15:\"taxonomy_term:1\";i:17;s:15:\"taxonomy_term:2\";i:18;s:15:\"taxonomy_term:5\";i:19;s:15:\"taxonomy_term:6\";i:20;s:6:\"user:1\";i:21;s:7:\"user:15\";}s:7:\"max-age\";i:-1;}}',-1,1636012250.737,1,'block_view config:block.block.views_block__blog_page_block_2 config:field.storage.node.body config:field.storage.node.field_image config:field.storage.node.field_tags config:filter.format.full_html config:image.style.image_551_372 config:views.view.blog_page file:111 file:112 file:114 file:122 node:11 node:15 node:16 node_list rendered taxonomy_term:1 taxonomy_term:2 taxonomy_term:5 taxonomy_term:6 user:1 user:15','8'),('entity_view:block:views_block__blog_page_block_2:[languages:language_content]=en:[languages:language_interface]=en:[theme]=luxestate:[timezone]=Europe/Paris:[user.node_grants:view]=view.all:[user.permissions]=9e2q8X4mDYR-fK6X0j38vGbSiTGdFjjiL08mlUACNURV30','a:3:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:4402:\"<div class=\"views-element-container block block-views block-views-blockblog-page-block-2\" id=\"block-views-block-blog-page-block-2\">\n  \n      <h2>latest news</h2>\n    \n      <div class=\"content\">\n      <div><div class=\"view-type-grid view view-blog-page view-id-blog_page view-display-id-block_2 js-view-dom-id-e97b3efc1d7aab8e736423b0471a7bc537e9153035a943ff5ba57f9f119cdab4\">\n  \n    \n      <div class=\"view-header\">\n      <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit.<br />\nPraesent facilisis massa nellyary eget magna semper,  dolor sit amet.</p>\n\n    </div>\n      \n      <div class=\"view-content\">\n          <div class=\"views-view-grid horizontal cols-3 clearfix\">\n            <div class=\"views-row clearfix row-1\">\n                  <div class=\"views-col col-1\" style=\"width: 33.333333333333%;\"><div class=\"views-field views-field-field-image\"><div class=\"field-content\">  <a href=\"/blog/seeing-light\" hreflang=\"en\"><img src=\"/sites/default/files/styles/image_551_372/public/field/blog/blog-01.jpg?itok=WLGJd480\" width=\"551\" height=\"372\" alt=\"Seeing the light\" title=\"Seeing the light\" typeof=\"foaf:Image\" class=\"image-style-image-551-372\" />\n\n</a>\n</div></div><div class=\"views-field views-field-title\"><span class=\"field-content\"><a href=\"/blog/seeing-light\" hreflang=\"en\">Seeing the light</a></span></div><div class=\"views-field views-field-created\"><span class=\"field-content\">July 25, 2016</span></div><div class=\"views-field views-field-uid\"><span class=\"field-content\">by <a href=\"/user/15\" hreflang=\"en\">linda</a> </span></div><div class=\"views-field views-field-field-tags\"><div class=\"field-content\">in <a href=\"/tags/drupal\" hreflang=\"en\">Drupal</a></div></div><div class=\"views-field views-field-body\"><div class=\"field-content\"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua.</p></div></div></div>\n                  <div class=\"views-col col-2\" style=\"width: 33.333333333333%;\"><div class=\"views-field views-field-field-image\"><div class=\"field-content\">  <a href=\"/blog/warehouse-sale-emeryville\" hreflang=\"en\"><img src=\"/sites/default/files/styles/image_551_372/public/field/blog/blog-02.jpg?itok=7PhIWd28\" width=\"551\" height=\"372\" alt=\"Warehouse Sale in Emeryville\" title=\"Warehouse Sale in Emeryville\" typeof=\"foaf:Image\" class=\"image-style-image-551-372\" />\n\n</a>\n</div></div><div class=\"views-field views-field-title\"><span class=\"field-content\"><a href=\"/blog/warehouse-sale-emeryville\" hreflang=\"en\">Warehouse Sale in Emeryville</a></span></div><div class=\"views-field views-field-created\"><span class=\"field-content\">January 08, 2016</span></div><div class=\"views-field views-field-uid\"><span class=\"field-content\">by <a href=\"/user/1\" hreflang=\"en\">admin</a> </span></div><div class=\"views-field views-field-field-tags\"><div class=\"field-content\">in <a href=\"/tags/css\" hreflang=\"en\">CSS</a></div></div><div class=\"views-field views-field-body\"><div class=\"field-content\"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua.</p></div></div></div>\n                  <div class=\"views-col col-3\" style=\"width: 33.333333333333%;\"><div class=\"views-field views-field-field-image\"><div class=\"field-content\">  <a href=\"/blog/wall\" hreflang=\"en\"><img src=\"/sites/default/files/styles/image_551_372/public/field/blog/blog-03.jpg?itok=83qPKtx9\" width=\"551\" height=\"372\" alt=\"Off the wall\" title=\"Off the wall\" typeof=\"foaf:Image\" class=\"image-style-image-551-372\" />\n\n</a>\n</div></div><div class=\"views-field views-field-title\"><span class=\"field-content\"><a href=\"/blog/wall\" hreflang=\"en\">Off the wall</a></span></div><div class=\"views-field views-field-created\"><span class=\"field-content\">December 22, 2015</span></div><div class=\"views-field views-field-uid\"><span class=\"field-content\">by <a href=\"/user/15\" hreflang=\"en\">linda</a> </span></div><div class=\"views-field views-field-field-tags\"><div class=\"field-content\">in <a href=\"/tags/transportation\" hreflang=\"en\">Transportation</a></div></div><div class=\"views-field views-field-body\"><div class=\"field-content\"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua.</p></div></div></div>\n              </div>\n      </div>\n\n    </div>\n  \n          </div>\n</div>\n\n    </div>\n  </div>\n\";}s:9:\"#attached\";a:2:{s:7:\"library\";a:2:{i:0;s:18:\"views/views.module\";i:1;s:18:\"views/views.module\";}s:14:\"drupalSettings\";a:0:{}}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:6:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:5:\"theme\";i:3;s:8:\"timezone\";i:4;s:21:\"user.node_grants:view\";i:5;s:16:\"user.permissions\";}s:4:\"tags\";a:22:{i:0;s:10:\"block_view\";i:1;s:49:\"config:block.block.views_block__blog_page_block_2\";i:2;s:30:\"config:field.storage.node.body\";i:3;s:37:\"config:field.storage.node.field_image\";i:4;s:36:\"config:field.storage.node.field_tags\";i:5;s:30:\"config:filter.format.full_html\";i:6;s:32:\"config:image.style.image_551_372\";i:7;s:27:\"config:views.view.blog_page\";i:8;s:8:\"file:111\";i:9;s:8:\"file:112\";i:10;s:8:\"file:114\";i:11;s:8:\"file:122\";i:12;s:7:\"node:11\";i:13;s:7:\"node:15\";i:14;s:7:\"node:16\";i:15;s:9:\"node_list\";i:16;s:15:\"taxonomy_term:1\";i:17;s:15:\"taxonomy_term:2\";i:18;s:15:\"taxonomy_term:5\";i:19;s:15:\"taxonomy_term:6\";i:20;s:6:\"user:1\";i:21;s:7:\"user:15\";}s:7:\"max-age\";i:-1;}}',-1,1636711430.478,1,'block_view config:block.block.views_block__blog_page_block_2 config:field.storage.node.body config:field.storage.node.field_image config:field.storage.node.field_tags config:filter.format.full_html config:image.style.image_551_372 config:views.view.blog_page file:111 file:112 file:114 file:122 node:11 node:15 node:16 node_list rendered taxonomy_term:1 taxonomy_term:2 taxonomy_term:5 taxonomy_term:6 user:1 user:15','8'),('entity_view:block:views_block__blog_page_block_2:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:2:{s:15:\"#cache_redirect\";b:1;s:6:\"#cache\";a:5:{s:4:\"keys\";a:3:{i:0;s:11:\"entity_view\";i:1;s:5:\"block\";i:2;s:30:\"views_block__blog_page_block_2\";}s:8:\"contexts\";a:6:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:5:\"theme\";i:3;s:8:\"timezone\";i:4;s:21:\"user.node_grants:view\";i:5;s:16:\"user.permissions\";}s:4:\"tags\";a:22:{i:0;s:10:\"block_view\";i:1;s:49:\"config:block.block.views_block__blog_page_block_2\";i:2;s:30:\"config:field.storage.node.body\";i:3;s:37:\"config:field.storage.node.field_image\";i:4;s:36:\"config:field.storage.node.field_tags\";i:5;s:30:\"config:filter.format.full_html\";i:6;s:32:\"config:image.style.image_551_372\";i:7;s:27:\"config:views.view.blog_page\";i:8;s:8:\"file:111\";i:9;s:8:\"file:112\";i:10;s:8:\"file:114\";i:11;s:8:\"file:122\";i:12;s:7:\"node:11\";i:13;s:7:\"node:15\";i:14;s:7:\"node:16\";i:15;s:9:\"node_list\";i:16;s:15:\"taxonomy_term:1\";i:17;s:15:\"taxonomy_term:2\";i:18;s:15:\"taxonomy_term:5\";i:19;s:15:\"taxonomy_term:6\";i:20;s:6:\"user:1\";i:21;s:7:\"user:15\";}s:7:\"max-age\";i:-1;s:3:\"bin\";s:6:\"render\";}}',-1,1636012250.733,1,'block_view config:block.block.views_block__blog_page_block_2 config:field.storage.node.body config:field.storage.node.field_image config:field.storage.node.field_tags config:filter.format.full_html config:image.style.image_551_372 config:views.view.blog_page file:111 file:112 file:114 file:122 node:11 node:15 node:16 node_list rendered taxonomy_term:1 taxonomy_term:2 taxonomy_term:5 taxonomy_term:6 user:1 user:15','8'),('entity_view:block:views_block__blog_page_block_2:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:2:{s:15:\"#cache_redirect\";b:1;s:6:\"#cache\";a:5:{s:4:\"keys\";a:3:{i:0;s:11:\"entity_view\";i:1;s:5:\"block\";i:2;s:30:\"views_block__blog_page_block_2\";}s:8:\"contexts\";a:6:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:5:\"theme\";i:3;s:8:\"timezone\";i:4;s:21:\"user.node_grants:view\";i:5;s:16:\"user.permissions\";}s:4:\"tags\";a:22:{i:0;s:10:\"block_view\";i:1;s:49:\"config:block.block.views_block__blog_page_block_2\";i:2;s:30:\"config:field.storage.node.body\";i:3;s:37:\"config:field.storage.node.field_image\";i:4;s:36:\"config:field.storage.node.field_tags\";i:5;s:30:\"config:filter.format.full_html\";i:6;s:32:\"config:image.style.image_551_372\";i:7;s:27:\"config:views.view.blog_page\";i:8;s:8:\"file:111\";i:9;s:8:\"file:112\";i:10;s:8:\"file:114\";i:11;s:8:\"file:122\";i:12;s:7:\"node:11\";i:13;s:7:\"node:15\";i:14;s:7:\"node:16\";i:15;s:9:\"node_list\";i:16;s:15:\"taxonomy_term:1\";i:17;s:15:\"taxonomy_term:2\";i:18;s:15:\"taxonomy_term:5\";i:19;s:15:\"taxonomy_term:6\";i:20;s:6:\"user:1\";i:21;s:7:\"user:15\";}s:7:\"max-age\";i:-1;s:3:\"bin\";s:6:\"render\";}}',-1,1636711430.474,1,'block_view config:block.block.views_block__blog_page_block_2 config:field.storage.node.body config:field.storage.node.field_image config:field.storage.node.field_tags config:filter.format.full_html config:image.style.image_551_372 config:views.view.blog_page file:111 file:112 file:114 file:122 node:11 node:15 node:16 node_list rendered taxonomy_term:1 taxonomy_term:2 taxonomy_term:5 taxonomy_term:6 user:1 user:15','8'),('entity_view:block:views_block__blog_page_block_3:[languages:language_content]=en:[languages:language_interface]=en:[theme]=luxestate:[timezone]=Europe/Paris:[user.node_grants:view]=all:[user.permissions]=4795e65dNJnGYspUFkMLhq-4Injkr4tieIHVa-CRK_Q8a3DzNyU','a:3:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:2848:\"<div class=\"views-element-container contextual-region block block-views block-views-blockblog-page-block-3\" id=\"block-views-block-blog-page-block-3\">\n  \n      <h2>Latest news</h2>\n    <div data-contextual-id=\"block:block=views_block__blog_page_block_3:langcode=en|entity.view.edit_form:view=blog_page:location=block&amp;name=blog_page&amp;display_id=block_3&amp;langcode=en\" data-contextual-token=\"vbaJTGRJUHSsSC3yXYLY5jmRIcLz6yTWlKC0hYA47Ws\"></div>\n      <div class=\"content\">\n      <div><div class=\"view-type-list contextual-region view view-blog-page view-id-blog_page view-display-id-block_3 js-view-dom-id-5e7b4f4e8be5b987317c32277881bb5e3f597d7c28d7ad01033f0ab75e594676\">\n  \n    <div data-contextual-id=\"entity.view.edit_form:view=blog_page:location=block&amp;name=blog_page&amp;display_id=block_3&amp;langcode=en\" data-contextual-token=\"IWIQZQaM68Gv0Lv9tqmpqX7hHMCbNYSZ-ZyLHXh4XHs\"></div>\n      <div class=\"view-header\">\n      <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit.<br />\nPraesent facilisis massa nellyary eget magna semper,  dolor sit amet.</p>\n\n    </div>\n      \n      <div class=\"view-content\">\n          <div class=\"views-row\"><div class=\"views-field views-field-nothing\"><span class=\"field-content\"><div class=\"views-field wp-views-field-img\">\n	  <a href=\"/blog/seeing-light\" hreflang=\"en\"><img src=\"/sites/default/files/styles/image_63_63/public/field/blog/blog-01.jpg?itok=JB0jmD8A\" width=\"63\" height=\"63\" alt=\"Seeing the light\" title=\"Seeing the light\" typeof=\"Image\" class=\"image-style-image-63-63\" />\n\n</a>\n 	\n</div>\n<div class=\"views-inner views-fieldset\">\n	<div class=\"views-field wp-views-field-title\">\n		<a href=\"/blog/seeing-light\" hreflang=\"en\">Seeing the light</a>	\n	</div>\n	<div class=\"views-field wp-views-field-body\">\n		<p>Lorem ipsum dolor sit amet, consectetur…</p> 	\n	</div>\n	<div class=\"views-field wp-views-field-created\">\n		25 Jul,2016		\n	</div>\n</div>\n</span></div></div>\n    <div class=\"views-row\"><div class=\"views-field views-field-nothing\"><span class=\"field-content\"><div class=\"views-field wp-views-field-img\">\n	  <a href=\"/blog/warehouse-sale-emeryville\" hreflang=\"en\"><img src=\"/sites/default/files/styles/image_63_63/public/field/blog/blog-02.jpg?itok=8Le4uyzF\" width=\"63\" height=\"63\" alt=\"Warehouse Sale in Emeryville\" title=\"Warehouse Sale in Emeryville\" typeof=\"Image\" class=\"image-style-image-63-63\" />\n\n</a>\n 	\n</div>\n<div class=\"views-inner views-fieldset\">\n	<div class=\"views-field wp-views-field-title\">\n		<a href=\"/blog/warehouse-sale-emeryville\" hreflang=\"en\">Warehouse Sale in Emeryville</a>	\n	</div>\n	<div class=\"views-field wp-views-field-body\">\n		<p>Lorem ipsum dolor sit amet, consectetur…</p> 	\n	</div>\n	<div class=\"views-field wp-views-field-created\">\n		08 Jan,2016		\n	</div>\n</div>\n</span></div></div>\n\n    </div>\n  \n          </div>\n</div>\n\n    </div>\n  </div>\n\";}s:9:\"#attached\";a:2:{s:7:\"library\";a:2:{i:0;s:18:\"views/views.module\";i:1;s:18:\"views/views.module\";}s:14:\"drupalSettings\";a:0:{}}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:6:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:5:\"theme\";i:3;s:8:\"timezone\";i:4;s:21:\"user.node_grants:view\";i:5;s:16:\"user.permissions\";}s:4:\"tags\";a:13:{i:0;s:10:\"block_view\";i:1;s:49:\"config:block.block.views_block__blog_page_block_3\";i:2;s:30:\"config:field.storage.node.body\";i:3;s:37:\"config:field.storage.node.field_image\";i:4;s:30:\"config:filter.format.full_html\";i:5;s:30:\"config:image.style.image_63_63\";i:6;s:27:\"config:views.view.blog_page\";i:7;s:8:\"file:111\";i:8;s:8:\"file:112\";i:9;s:8:\"file:122\";i:10;s:7:\"node:11\";i:11;s:7:\"node:16\";i:12;s:9:\"node_list\";}s:7:\"max-age\";i:-1;}}',-1,1637057271.483,1,'block_view config:block.block.views_block__blog_page_block_3 config:field.storage.node.body config:field.storage.node.field_image config:filter.format.full_html config:image.style.image_63_63 config:views.view.blog_page file:111 file:112 file:122 node:11 node:16 node_list rendered','9'),('entity_view:block:views_block__blog_page_block_3:[languages:language_content]=en:[languages:language_interface]=en:[theme]=luxestate:[timezone]=Europe/Paris:[user.node_grants:view]=view.all:[user.permissions]=9e2AEFFrCmJ8-azPQE1zm-dda96Db1f5EXX-Gml_DKodDA','a:3:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:2337:\"<div class=\"views-element-container block block-views block-views-blockblog-page-block-3\" id=\"block-views-block-blog-page-block-3\">\n  \n      <h2>Latest news</h2>\n    \n      <div class=\"content\">\n      <div><div class=\"view-type-list view view-blog-page view-id-blog_page view-display-id-block_3 js-view-dom-id-1a13a4f716f938f2e04a7a4d4a151a7aec0a9d2f72fbf59b4bb8d43fc2d8ac40\">\n  \n    \n      <div class=\"view-header\">\n      <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit.<br />\nPraesent facilisis massa nellyary eget magna semper,  dolor sit amet.</p>\n\n    </div>\n      \n      <div class=\"view-content\">\n          <div class=\"views-row\"><div class=\"views-field views-field-nothing\"><span class=\"field-content\"><div class=\"views-field wp-views-field-img\">\n	  <a href=\"/blog/seeing-light\" hreflang=\"en\"><img src=\"/sites/default/files/styles/image_63_63/public/field/blog/blog-01.jpg?itok=JB0jmD8A\" width=\"63\" height=\"63\" alt=\"Seeing the light\" title=\"Seeing the light\" typeof=\"Image\" class=\"image-style-image-63-63\" />\n\n</a>\n 	\n</div>\n<div class=\"views-inner views-fieldset\">\n	<div class=\"views-field wp-views-field-title\">\n		<a href=\"/blog/seeing-light\" hreflang=\"en\">Seeing the light</a>	\n	</div>\n	<div class=\"views-field wp-views-field-body\">\n		<p>Lorem ipsum dolor sit amet, consectetur…</p> 	\n	</div>\n	<div class=\"views-field wp-views-field-created\">\n		25 Jul,2016		\n	</div>\n</div>\n</span></div></div>\n    <div class=\"views-row\"><div class=\"views-field views-field-nothing\"><span class=\"field-content\"><div class=\"views-field wp-views-field-img\">\n	  <a href=\"/blog/warehouse-sale-emeryville\" hreflang=\"en\"><img src=\"/sites/default/files/styles/image_63_63/public/field/blog/blog-02.jpg?itok=8Le4uyzF\" width=\"63\" height=\"63\" alt=\"Warehouse Sale in Emeryville\" title=\"Warehouse Sale in Emeryville\" typeof=\"Image\" class=\"image-style-image-63-63\" />\n\n</a>\n 	\n</div>\n<div class=\"views-inner views-fieldset\">\n	<div class=\"views-field wp-views-field-title\">\n		<a href=\"/blog/warehouse-sale-emeryville\" hreflang=\"en\">Warehouse Sale in Emeryville</a>	\n	</div>\n	<div class=\"views-field wp-views-field-body\">\n		<p>Lorem ipsum dolor sit amet, consectetur…</p> 	\n	</div>\n	<div class=\"views-field wp-views-field-created\">\n		08 Jan,2016		\n	</div>\n</div>\n</span></div></div>\n\n    </div>\n  \n          </div>\n</div>\n\n    </div>\n  </div>\n\";}s:9:\"#attached\";a:2:{s:7:\"library\";a:2:{i:0;s:18:\"views/views.module\";i:1;s:18:\"views/views.module\";}s:14:\"drupalSettings\";a:0:{}}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:6:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:5:\"theme\";i:3;s:8:\"timezone\";i:4;s:21:\"user.node_grants:view\";i:5;s:16:\"user.permissions\";}s:4:\"tags\";a:13:{i:0;s:10:\"block_view\";i:1;s:49:\"config:block.block.views_block__blog_page_block_3\";i:2;s:30:\"config:field.storage.node.body\";i:3;s:37:\"config:field.storage.node.field_image\";i:4;s:30:\"config:filter.format.full_html\";i:5;s:30:\"config:image.style.image_63_63\";i:6;s:27:\"config:views.view.blog_page\";i:7;s:8:\"file:111\";i:8;s:8:\"file:112\";i:9;s:8:\"file:122\";i:10;s:7:\"node:11\";i:11;s:7:\"node:16\";i:12;s:9:\"node_list\";}s:7:\"max-age\";i:-1;}}',-1,1637057290.501,1,'block_view config:block.block.views_block__blog_page_block_3 config:field.storage.node.body config:field.storage.node.field_image config:filter.format.full_html config:image.style.image_63_63 config:views.view.blog_page file:111 file:112 file:122 node:11 node:16 node_list rendered','9'),('entity_view:block:views_block__blog_page_block_3:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:2:{s:15:\"#cache_redirect\";b:1;s:6:\"#cache\";a:5:{s:4:\"keys\";a:3:{i:0;s:11:\"entity_view\";i:1;s:5:\"block\";i:2;s:30:\"views_block__blog_page_block_3\";}s:8:\"contexts\";a:6:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:5:\"theme\";i:3;s:8:\"timezone\";i:4;s:21:\"user.node_grants:view\";i:5;s:16:\"user.permissions\";}s:4:\"tags\";a:13:{i:0;s:10:\"block_view\";i:1;s:49:\"config:block.block.views_block__blog_page_block_3\";i:2;s:30:\"config:field.storage.node.body\";i:3;s:37:\"config:field.storage.node.field_image\";i:4;s:30:\"config:filter.format.full_html\";i:5;s:30:\"config:image.style.image_63_63\";i:6;s:27:\"config:views.view.blog_page\";i:7;s:8:\"file:111\";i:8;s:8:\"file:112\";i:9;s:8:\"file:122\";i:10;s:7:\"node:11\";i:11;s:7:\"node:16\";i:12;s:9:\"node_list\";}s:7:\"max-age\";i:-1;s:3:\"bin\";s:6:\"render\";}}',-1,1637057271.479,1,'block_view config:block.block.views_block__blog_page_block_3 config:field.storage.node.body config:field.storage.node.field_image config:filter.format.full_html config:image.style.image_63_63 config:views.view.blog_page file:111 file:112 file:122 node:11 node:16 node_list rendered','9'),('entity_view:block:views_block__blog_page_block_3:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:2:{s:15:\"#cache_redirect\";b:1;s:6:\"#cache\";a:5:{s:4:\"keys\";a:3:{i:0;s:11:\"entity_view\";i:1;s:5:\"block\";i:2;s:30:\"views_block__blog_page_block_3\";}s:8:\"contexts\";a:6:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:5:\"theme\";i:3;s:8:\"timezone\";i:4;s:21:\"user.node_grants:view\";i:5;s:16:\"user.permissions\";}s:4:\"tags\";a:13:{i:0;s:10:\"block_view\";i:1;s:49:\"config:block.block.views_block__blog_page_block_3\";i:2;s:30:\"config:field.storage.node.body\";i:3;s:37:\"config:field.storage.node.field_image\";i:4;s:30:\"config:filter.format.full_html\";i:5;s:30:\"config:image.style.image_63_63\";i:6;s:27:\"config:views.view.blog_page\";i:7;s:8:\"file:111\";i:8;s:8:\"file:112\";i:9;s:8:\"file:122\";i:10;s:7:\"node:11\";i:11;s:7:\"node:16\";i:12;s:9:\"node_list\";}s:7:\"max-age\";i:-1;s:3:\"bin\";s:6:\"render\";}}',-1,1637057290.498,1,'block_view config:block.block.views_block__blog_page_block_3 config:field.storage.node.body config:field.storage.node.field_image config:filter.format.full_html config:image.style.image_63_63 config:views.view.blog_page file:111 file:112 file:122 node:11 node:16 node_list rendered','9'),('entity_view:block:views_block__our_partners_block_1:[languages:language_content]=en:[languages:language_interface]=en:[theme]=luxestate:[user.node_grants:view]=all:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:3:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:3521:\"<div class=\"views-element-container contextual-region block block-views block-views-blockour-partners-block-1\" id=\"block-views-block-our-partners-block-1\">\n  \n      <h2>Our partners</h2>\n    <div data-contextual-id=\"block:block=views_block__our_partners_block_1:langcode=en|entity.view.edit_form:view=our_partners:location=block&amp;name=our_partners&amp;display_id=block_1&amp;langcode=en\" data-contextual-token=\"UOaNFzgPyqoIF7kbdVzfeafPe7QaThLtejN8QbbIVNE\"></div>\n      <div class=\"content\">\n      <div><div class=\"view-our-partners contextual-region view view-id-our_partners view-display-id-block_1 js-view-dom-id-7108a8f27845434a4049812f505ccd60b8757a639bb3465076046e09198bfc78\">\n  \n    <div data-contextual-id=\"entity.view.edit_form:view=our_partners:location=block&amp;name=our_partners&amp;display_id=block_1&amp;langcode=en\" data-contextual-token=\"dggVamQpGToPXadSDVB6mqo2zSAZaivO7jn5t5HBIv4\"></div>\n      \n      <div class=\"view-content\">\n      <div class=\"owl-carousel carousel-responsive\">\n          <div>\n        <div class=\"views-field views-field-field-partners\"><div class=\"field-content\"><a href=\"http://demo.weebpal.com/drupal8/business/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/logo-bs.png?itok=K0RPbk_h\" width=\"380\" height=\"224\" alt=\"Business\" title=\"Business\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a></div></div>\n      </div>\n          <div>\n        <div class=\"views-field views-field-field-partners\"><div class=\"field-content\"><a href=\"http://weebpal.com/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/logo-wp.png?itok=bg9l3f8O\" width=\"380\" height=\"224\" alt=\"Weebpal\" title=\"Weebpal\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a></div></div>\n      </div>\n          <div>\n        <div class=\"views-field views-field-field-partners\"><div class=\"field-content\"><a href=\"https://jquery.com/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/jquery-logo.png?itok=LOz187-u\" width=\"380\" height=\"224\" alt=\"jQuery\" title=\"jQuery\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a></div></div>\n      </div>\n          <div>\n        <div class=\"views-field views-field-field-partners\"><div class=\"field-content\"><a href=\"https://www.youtube.com/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/youtube_logo.png?itok=W1Z0jbNz\" width=\"380\" height=\"224\" alt=\"Youtube\" title=\"Youtube\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a></div></div>\n      </div>\n          <div>\n        <div class=\"views-field views-field-field-partners\"><div class=\"field-content\"><a href=\"http://getbootstrap.com/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/bootstrap-logo.png?itok=1m_YLXKP\" width=\"380\" height=\"224\" alt=\"Bootstrap\" title=\"Bootstrap\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a></div></div>\n      </div>\n          <div>\n        <div class=\"views-field views-field-field-partners\"><div class=\"field-content\"><a href=\"https://www.drupal.com/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/drupal-logo-trans.png?itok=xwZywhaS\" width=\"380\" height=\"224\" alt=\"Drupal\" title=\"Drupal\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a></div></div>\n      </div>\n        \n</div>  \n\n\n    </div>\n  \n          </div>\n</div>\n\n    </div>\n  </div>\n\";}s:9:\"#attached\";a:2:{s:7:\"library\";a:2:{i:0;s:18:\"views/views.module\";i:1;s:18:\"views/views.module\";}s:14:\"drupalSettings\";a:0:{}}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:5:\"theme\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:19:{i:0;s:10:\"block_view\";i:1;s:52:\"config:block.block.views_block__our_partners_block_1\";i:2;s:36:\"config:field.storage.node.field_link\";i:3;s:40:\"config:field.storage.node.field_partners\";i:4;s:32:\"config:image.style.image_380_224\";i:5;s:30:\"config:views.view.our_partners\";i:6;s:8:\"file:105\";i:7;s:8:\"file:109\";i:8;s:6:\"file:2\";i:9;s:6:\"file:4\";i:10;s:6:\"file:5\";i:11;s:6:\"file:6\";i:12;s:7:\"node:10\";i:13;s:7:\"node:43\";i:14;s:7:\"node:44\";i:15;s:6:\"node:5\";i:16;s:6:\"node:7\";i:17;s:6:\"node:9\";i:18;s:9:\"node_list\";}s:7:\"max-age\";i:-1;}}',-1,1637057271.348,1,'block_view config:block.block.views_block__our_partners_block_1 config:field.storage.node.field_link config:field.storage.node.field_partners config:image.style.image_380_224 config:views.view.our_partners file:105 file:109 file:2 file:4 file:5 file:6 node:10 node:43 node:44 node:5 node:7 node:9 node_list rendered','7'),('entity_view:block:views_block__our_partners_block_1:[languages:language_content]=en:[languages:language_interface]=en:[theme]=luxestate:[user.node_grants:view]=view.all:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:3:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:2995:\"<div class=\"views-element-container block block-views block-views-blockour-partners-block-1\" id=\"block-views-block-our-partners-block-1\">\n  \n      <h2>Our partners</h2>\n    \n      <div class=\"content\">\n      <div><div class=\"view-our-partners view view-id-our_partners view-display-id-block_1 js-view-dom-id-9efb7e06a742e05aa5ddfa1e31de1ccbe8adccc82386493a22e76888742f59d6\">\n  \n    \n      \n      <div class=\"view-content\">\n      <div class=\"owl-carousel carousel-responsive\">\n          <div>\n        <div class=\"views-field views-field-field-partners\"><div class=\"field-content\"><a href=\"http://demo.weebpal.com/drupal8/business/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/logo-bs.png?itok=K0RPbk_h\" width=\"380\" height=\"224\" alt=\"Business\" title=\"Business\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a></div></div>\n      </div>\n          <div>\n        <div class=\"views-field views-field-field-partners\"><div class=\"field-content\"><a href=\"http://weebpal.com/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/logo-wp.png?itok=bg9l3f8O\" width=\"380\" height=\"224\" alt=\"Weebpal\" title=\"Weebpal\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a></div></div>\n      </div>\n          <div>\n        <div class=\"views-field views-field-field-partners\"><div class=\"field-content\"><a href=\"https://jquery.com/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/jquery-logo.png?itok=LOz187-u\" width=\"380\" height=\"224\" alt=\"jQuery\" title=\"jQuery\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a></div></div>\n      </div>\n          <div>\n        <div class=\"views-field views-field-field-partners\"><div class=\"field-content\"><a href=\"https://www.youtube.com/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/youtube_logo.png?itok=W1Z0jbNz\" width=\"380\" height=\"224\" alt=\"Youtube\" title=\"Youtube\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a></div></div>\n      </div>\n          <div>\n        <div class=\"views-field views-field-field-partners\"><div class=\"field-content\"><a href=\"http://getbootstrap.com/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/bootstrap-logo.png?itok=1m_YLXKP\" width=\"380\" height=\"224\" alt=\"Bootstrap\" title=\"Bootstrap\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a></div></div>\n      </div>\n          <div>\n        <div class=\"views-field views-field-field-partners\"><div class=\"field-content\"><a href=\"https://www.drupal.com/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/drupal-logo-trans.png?itok=xwZywhaS\" width=\"380\" height=\"224\" alt=\"Drupal\" title=\"Drupal\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a></div></div>\n      </div>\n        \n</div>  \n\n\n    </div>\n  \n          </div>\n</div>\n\n    </div>\n  </div>\n\";}s:9:\"#attached\";a:2:{s:7:\"library\";a:2:{i:0;s:18:\"views/views.module\";i:1;s:18:\"views/views.module\";}s:14:\"drupalSettings\";a:0:{}}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:5:\"theme\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:19:{i:0;s:10:\"block_view\";i:1;s:52:\"config:block.block.views_block__our_partners_block_1\";i:2;s:36:\"config:field.storage.node.field_link\";i:3;s:40:\"config:field.storage.node.field_partners\";i:4;s:32:\"config:image.style.image_380_224\";i:5;s:30:\"config:views.view.our_partners\";i:6;s:8:\"file:105\";i:7;s:8:\"file:109\";i:8;s:6:\"file:2\";i:9;s:6:\"file:4\";i:10;s:6:\"file:5\";i:11;s:6:\"file:6\";i:12;s:7:\"node:10\";i:13;s:7:\"node:43\";i:14;s:7:\"node:44\";i:15;s:6:\"node:5\";i:16;s:6:\"node:7\";i:17;s:6:\"node:9\";i:18;s:9:\"node_list\";}s:7:\"max-age\";i:-1;}}',-1,1637057290.415,1,'block_view config:block.block.views_block__our_partners_block_1 config:field.storage.node.field_link config:field.storage.node.field_partners config:image.style.image_380_224 config:views.view.our_partners file:105 file:109 file:2 file:4 file:5 file:6 node:10 node:43 node:44 node:5 node:7 node:9 node_list rendered','7'),('entity_view:block:views_block__our_partners_block_1:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:2:{s:15:\"#cache_redirect\";b:1;s:6:\"#cache\";a:5:{s:4:\"keys\";a:3:{i:0;s:11:\"entity_view\";i:1;s:5:\"block\";i:2;s:33:\"views_block__our_partners_block_1\";}s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:5:\"theme\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:19:{i:0;s:10:\"block_view\";i:1;s:52:\"config:block.block.views_block__our_partners_block_1\";i:2;s:36:\"config:field.storage.node.field_link\";i:3;s:40:\"config:field.storage.node.field_partners\";i:4;s:32:\"config:image.style.image_380_224\";i:5;s:30:\"config:views.view.our_partners\";i:6;s:8:\"file:105\";i:7;s:8:\"file:109\";i:8;s:6:\"file:2\";i:9;s:6:\"file:4\";i:10;s:6:\"file:5\";i:11;s:6:\"file:6\";i:12;s:7:\"node:10\";i:13;s:7:\"node:43\";i:14;s:7:\"node:44\";i:15;s:6:\"node:5\";i:16;s:6:\"node:7\";i:17;s:6:\"node:9\";i:18;s:9:\"node_list\";}s:7:\"max-age\";i:-1;s:3:\"bin\";s:6:\"render\";}}',-1,1637057271.343,1,'block_view config:block.block.views_block__our_partners_block_1 config:field.storage.node.field_link config:field.storage.node.field_partners config:image.style.image_380_224 config:views.view.our_partners file:105 file:109 file:2 file:4 file:5 file:6 node:10 node:43 node:44 node:5 node:7 node:9 node_list rendered','7'),('entity_view:block:views_block__our_partners_block_1:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:2:{s:15:\"#cache_redirect\";b:1;s:6:\"#cache\";a:5:{s:4:\"keys\";a:3:{i:0;s:11:\"entity_view\";i:1;s:5:\"block\";i:2;s:33:\"views_block__our_partners_block_1\";}s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:5:\"theme\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:19:{i:0;s:10:\"block_view\";i:1;s:52:\"config:block.block.views_block__our_partners_block_1\";i:2;s:36:\"config:field.storage.node.field_link\";i:3;s:40:\"config:field.storage.node.field_partners\";i:4;s:32:\"config:image.style.image_380_224\";i:5;s:30:\"config:views.view.our_partners\";i:6;s:8:\"file:105\";i:7;s:8:\"file:109\";i:8;s:6:\"file:2\";i:9;s:6:\"file:4\";i:10;s:6:\"file:5\";i:11;s:6:\"file:6\";i:12;s:7:\"node:10\";i:13;s:7:\"node:43\";i:14;s:7:\"node:44\";i:15;s:6:\"node:5\";i:16;s:6:\"node:7\";i:17;s:6:\"node:9\";i:18;s:9:\"node_list\";}s:7:\"max-age\";i:-1;s:3:\"bin\";s:6:\"render\";}}',-1,1637057290.410,1,'block_view config:block.block.views_block__our_partners_block_1 config:field.storage.node.field_link config:field.storage.node.field_partners config:image.style.image_380_224 config:views.view.our_partners file:105 file:109 file:2 file:4 file:5 file:6 node:10 node:43 node:44 node:5 node:7 node:9 node_list rendered','7'),('entity_view:block:views_block__portfolio_block_1:[languages:language_content]=en:[languages:language_interface]=en:[theme]=luxestate:[user.node_grants:view]=all:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:3:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:7998:\"<div class=\"views-element-container contextual-region block block-views block-views-blockportfolio-block-1\" id=\"block-views-block-portfolio-block-1\">\n  \n      <h2>Portfolio</h2>\n    <div data-contextual-id=\"block:block=views_block__portfolio_block_1:langcode=en|entity.view.edit_form:view=portfolio:location=block&amp;name=portfolio&amp;display_id=block_1&amp;langcode=en\" data-contextual-token=\"f2U84u4FR_EWvXGRtODAnSpxcUHmJdoflG3AmLJJYyQ\"></div>\n      <div class=\"content\">\n      <div><div class=\"contextual-region view view-portfolio view-id-portfolio view-display-id-block_1 js-view-dom-id-d0d56df3455825b3a87d777fc78f39b080a14a25faa08372cd392831e5cd5307\">\n  \n    <div data-contextual-id=\"entity.view.edit_form:view=portfolio:location=block&amp;name=portfolio&amp;display_id=block_1&amp;langcode=en\" data-contextual-token=\"67bYdzJ5UNWFch72XVLChzHXTt6zJElE5vstetFh16E\"></div>\n      <div class=\"view-header\">\n      <p>“There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which don\'t look even slightly believable. If you are going to use a passage of Lorem Ipsum, you need to be sure there isn\'t anything embarrassing hidden.”</p>\n<p>										   -- Lorem Ipsum --</p>\n\n    </div>\n      \n      <div class=\"view-content\">\n          <div><div class=\"views-field views-field-field-gallery portfolio-gallery\"><div class=\"field-content\">\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo1_1.jpg\" title=\"Ut enim ad minim veniam\" data-colorbox-gallery=\"gallery-all-VGi3IDMCSJM\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Ut enim ad minim veniam&quot;,&quot;alt&quot;:&quot;Ut enim ad minim veniam&quot;}\"><img src=\"/sites/default/files/field/gallery/demo1_1.jpg\" width=\"1100\" height=\"1100\" alt=\"Ut enim ad minim veniam\" title=\"Ut enim ad minim veniam\" typeof=\"foaf:Image\" />\n</a>\n</div></div></div>\n    <div><div class=\"views-field views-field-field-gallery portfolio-gallery\"><div class=\"field-content\">\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo3_1.jpg\" title=\"Ut enim ad minim veniam\" data-colorbox-gallery=\"gallery-all-VGi3IDMCSJM\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Ut enim ad minim veniam&quot;,&quot;alt&quot;:&quot;Ut enim ad minim veniam&quot;}\"><img src=\"/sites/default/files/field/gallery/demo3_1.jpg\" width=\"1100\" height=\"1100\" alt=\"Ut enim ad minim veniam\" title=\"Ut enim ad minim veniam\" typeof=\"foaf:Image\" />\n</a>\n</div></div></div>\n    <div><div class=\"views-field views-field-field-gallery portfolio-gallery\"><div class=\"field-content\">\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo7_1.jpg\" title=\"Ut enim ad minim veniam\" data-colorbox-gallery=\"gallery-all-VGi3IDMCSJM\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Ut enim ad minim veniam&quot;,&quot;alt&quot;:&quot;Ut enim ad minim veniam&quot;}\"><img src=\"/sites/default/files/field/gallery/demo7_1.jpg\" width=\"1100\" height=\"1100\" alt=\"Ut enim ad minim veniam\" title=\"Ut enim ad minim veniam\" typeof=\"foaf:Image\" />\n</a>\n</div></div></div>\n    <div><div class=\"views-field views-field-field-gallery portfolio-gallery\"><div class=\"field-content\">\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo4_2.jpg\" title=\"Ut enim ad minim veniam\" data-colorbox-gallery=\"gallery-all-VGi3IDMCSJM\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Ut enim ad minim veniam&quot;,&quot;alt&quot;:&quot;Ut enim ad minim veniam&quot;}\"><img src=\"/sites/default/files/field/gallery/demo4_2.jpg\" width=\"1100\" height=\"1100\" alt=\"Ut enim ad minim veniam\" title=\"Ut enim ad minim veniam\" typeof=\"foaf:Image\" />\n</a>\n</div></div></div>\n    <div><div class=\"views-field views-field-field-gallery portfolio-gallery\"><div class=\"field-content\">\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo8_2.jpg\" title=\"Ut enim ad minim veniam\" data-colorbox-gallery=\"gallery-all-VGi3IDMCSJM\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Ut enim ad minim veniam&quot;,&quot;alt&quot;:&quot;Ut enim ad minim veniam&quot;}\"><img src=\"/sites/default/files/field/gallery/demo8_2.jpg\" width=\"1100\" height=\"1100\" alt=\"Ut enim ad minim veniam\" title=\"Ut enim ad minim veniam\" typeof=\"foaf:Image\" />\n</a>\n</div></div></div>\n    <div><div class=\"views-field views-field-field-gallery portfolio-gallery\"><div class=\"field-content\">\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo6_2.jpg\" title=\"Ut enim ad minim veniam\" data-colorbox-gallery=\"gallery-all-VGi3IDMCSJM\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Ut enim ad minim veniam&quot;,&quot;alt&quot;:&quot;Ut enim ad minim veniam&quot;}\"><img src=\"/sites/default/files/field/gallery/demo6_2.jpg\" width=\"1100\" height=\"1100\" alt=\"Ut enim ad minim veniam\" title=\"Ut enim ad minim veniam\" typeof=\"foaf:Image\" />\n</a>\n</div></div></div>\n    <div><div class=\"views-field views-field-field-gallery portfolio-gallery\"><div class=\"field-content\">\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo1_0.jpg\" title=\"Lorem ipsum dolor sit amet\" data-colorbox-gallery=\"gallery-all-VGi3IDMCSJM\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Lorem ipsum dolor sit amet&quot;,&quot;alt&quot;:&quot;Lorem ipsum dolor sit amet&quot;}\"><img src=\"/sites/default/files/field/gallery/demo1_0.jpg\" width=\"1100\" height=\"1100\" alt=\"Lorem ipsum dolor sit amet\" title=\"Lorem ipsum dolor sit amet\" typeof=\"foaf:Image\" />\n</a>\n</div></div></div>\n    <div><div class=\"views-field views-field-field-gallery portfolio-gallery\"><div class=\"field-content\">\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo6_0.jpg\" title=\"Lorem ipsum dolor sit amet\" data-colorbox-gallery=\"gallery-all-VGi3IDMCSJM\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Lorem ipsum dolor sit amet&quot;,&quot;alt&quot;:&quot;Lorem ipsum dolor sit amet&quot;}\"><img src=\"/sites/default/files/field/gallery/demo6_0.jpg\" width=\"1100\" height=\"1100\" alt=\"Lorem ipsum dolor sit amet\" title=\"Lorem ipsum dolor sit amet\" typeof=\"foaf:Image\" />\n</a>\n</div></div></div>\n    <div><div class=\"views-field views-field-field-gallery portfolio-gallery\"><div class=\"field-content\">\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo5_0.jpg\" title=\"Lorem ipsum dolor sit amet\" data-colorbox-gallery=\"gallery-all-VGi3IDMCSJM\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Lorem ipsum dolor sit amet&quot;,&quot;alt&quot;:&quot;Lorem ipsum dolor sit amet&quot;}\"><img src=\"/sites/default/files/field/gallery/demo5_0.jpg\" width=\"1100\" height=\"1100\" alt=\"Lorem ipsum dolor sit amet\" title=\"Lorem ipsum dolor sit amet\" typeof=\"foaf:Image\" />\n</a>\n</div></div></div>\n    <div><div class=\"views-field views-field-field-gallery portfolio-gallery\"><div class=\"field-content\">\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo4_0.jpg\" title=\"Lorem ipsum dolor sit amet\" data-colorbox-gallery=\"gallery-all-VGi3IDMCSJM\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Lorem ipsum dolor sit amet&quot;,&quot;alt&quot;:&quot;Lorem ipsum dolor sit amet&quot;}\"><img src=\"/sites/default/files/field/gallery/demo4_0.jpg\" width=\"1100\" height=\"1100\" alt=\"Lorem ipsum dolor sit amet\" title=\"Lorem ipsum dolor sit amet\" typeof=\"foaf:Image\" />\n</a>\n</div></div></div>\n\n    </div>\n  \n            <div class=\"view-footer\">\n      <p>“If you are going to use a passage of Lorem Ipsum, you need to be sure there isn\'t anything embarrassing hidden in the middle of text.”</p>\n<p>						-- H. Rackham --</p>\n\n    </div>\n    </div>\n</div>\n\n    </div>\n  </div>\n\";}s:9:\"#attached\";a:2:{s:7:\"library\";a:434:{i:0;s:18:\"views/views.module\";i:1;s:17:\"colorbox/colorbox\";i:2;s:16:\"colorbox/default\";i:3;s:17:\"colorbox/colorbox\";i:4;s:16:\"colorbox/default\";i:5;s:17:\"colorbox/colorbox\";i:6;s:16:\"colorbox/default\";i:7;s:17:\"colorbox/colorbox\";i:8;s:16:\"colorbox/default\";i:9;s:17:\"colorbox/colorbox\";i:10;s:16:\"colorbox/default\";i:11;s:17:\"colorbox/colorbox\";i:12;s:16:\"colorbox/default\";i:13;s:17:\"colorbox/colorbox\";i:14;s:16:\"colorbox/default\";i:15;s:17:\"colorbox/colorbox\";i:16;s:16:\"colorbox/default\";i:17;s:17:\"colorbox/colorbox\";i:18;s:16:\"colorbox/default\";i:19;s:17:\"colorbox/colorbox\";i:20;s:16:\"colorbox/default\";i:21;s:17:\"colorbox/colorbox\";i:22;s:16:\"colorbox/default\";i:23;s:17:\"colorbox/colorbox\";i:24;s:16:\"colorbox/default\";i:25;s:17:\"colorbox/colorbox\";i:26;s:16:\"colorbox/default\";i:27;s:17:\"colorbox/colorbox\";i:28;s:16:\"colorbox/default\";i:29;s:17:\"colorbox/colorbox\";i:30;s:16:\"colorbox/default\";i:31;s:17:\"colorbox/colorbox\";i:32;s:16:\"colorbox/default\";i:33;s:17:\"colorbox/colorbox\";i:34;s:16:\"colorbox/default\";i:35;s:17:\"colorbox/colorbox\";i:36;s:16:\"colorbox/default\";i:37;s:17:\"colorbox/colorbox\";i:38;s:16:\"colorbox/default\";i:39;s:17:\"colorbox/colorbox\";i:40;s:16:\"colorbox/default\";i:41;s:17:\"colorbox/colorbox\";i:42;s:16:\"colorbox/default\";i:43;s:17:\"colorbox/colorbox\";i:44;s:16:\"colorbox/default\";i:45;s:17:\"colorbox/colorbox\";i:46;s:16:\"colorbox/default\";i:47;s:17:\"colorbox/colorbox\";i:48;s:16:\"colorbox/default\";i:49;s:17:\"colorbox/colorbox\";i:50;s:16:\"colorbox/default\";i:51;s:17:\"colorbox/colorbox\";i:52;s:16:\"colorbox/default\";i:53;s:17:\"colorbox/colorbox\";i:54;s:16:\"colorbox/default\";i:55;s:17:\"colorbox/colorbox\";i:56;s:16:\"colorbox/default\";i:57;s:17:\"colorbox/colorbox\";i:58;s:16:\"colorbox/default\";i:59;s:17:\"colorbox/colorbox\";i:60;s:16:\"colorbox/default\";i:61;s:17:\"colorbox/colorbox\";i:62;s:16:\"colorbox/default\";i:63;s:17:\"colorbox/colorbox\";i:64;s:16:\"colorbox/default\";i:65;s:17:\"colorbox/colorbox\";i:66;s:16:\"colorbox/default\";i:67;s:17:\"colorbox/colorbox\";i:68;s:16:\"colorbox/default\";i:69;s:17:\"colorbox/colorbox\";i:70;s:16:\"colorbox/default\";i:71;s:17:\"colorbox/colorbox\";i:72;s:16:\"colorbox/default\";i:73;s:17:\"colorbox/colorbox\";i:74;s:16:\"colorbox/default\";i:75;s:17:\"colorbox/colorbox\";i:76;s:16:\"colorbox/default\";i:77;s:17:\"colorbox/colorbox\";i:78;s:16:\"colorbox/default\";i:79;s:17:\"colorbox/colorbox\";i:80;s:16:\"colorbox/default\";i:81;s:17:\"colorbox/colorbox\";i:82;s:16:\"colorbox/default\";i:83;s:17:\"colorbox/colorbox\";i:84;s:16:\"colorbox/default\";i:85;s:17:\"colorbox/colorbox\";i:86;s:16:\"colorbox/default\";i:87;s:17:\"colorbox/colorbox\";i:88;s:16:\"colorbox/default\";i:89;s:17:\"colorbox/colorbox\";i:90;s:16:\"colorbox/default\";i:91;s:17:\"colorbox/colorbox\";i:92;s:16:\"colorbox/default\";i:93;s:17:\"colorbox/colorbox\";i:94;s:16:\"colorbox/default\";i:95;s:17:\"colorbox/colorbox\";i:96;s:16:\"colorbox/default\";i:97;s:17:\"colorbox/colorbox\";i:98;s:16:\"colorbox/default\";i:99;s:17:\"colorbox/colorbox\";i:100;s:16:\"colorbox/default\";i:101;s:17:\"colorbox/colorbox\";i:102;s:16:\"colorbox/default\";i:103;s:17:\"colorbox/colorbox\";i:104;s:16:\"colorbox/default\";i:105;s:17:\"colorbox/colorbox\";i:106;s:16:\"colorbox/default\";i:107;s:17:\"colorbox/colorbox\";i:108;s:16:\"colorbox/default\";i:109;s:17:\"colorbox/colorbox\";i:110;s:16:\"colorbox/default\";i:111;s:17:\"colorbox/colorbox\";i:112;s:16:\"colorbox/default\";i:113;s:17:\"colorbox/colorbox\";i:114;s:16:\"colorbox/default\";i:115;s:17:\"colorbox/colorbox\";i:116;s:16:\"colorbox/default\";i:117;s:17:\"colorbox/colorbox\";i:118;s:16:\"colorbox/default\";i:119;s:17:\"colorbox/colorbox\";i:120;s:16:\"colorbox/default\";i:121;s:17:\"colorbox/colorbox\";i:122;s:16:\"colorbox/default\";i:123;s:17:\"colorbox/colorbox\";i:124;s:16:\"colorbox/default\";i:125;s:17:\"colorbox/colorbox\";i:126;s:16:\"colorbox/default\";i:127;s:17:\"colorbox/colorbox\";i:128;s:16:\"colorbox/default\";i:129;s:17:\"colorbox/colorbox\";i:130;s:16:\"colorbox/default\";i:131;s:17:\"colorbox/colorbox\";i:132;s:16:\"colorbox/default\";i:133;s:17:\"colorbox/colorbox\";i:134;s:16:\"colorbox/default\";i:135;s:17:\"colorbox/colorbox\";i:136;s:16:\"colorbox/default\";i:137;s:17:\"colorbox/colorbox\";i:138;s:16:\"colorbox/default\";i:139;s:17:\"colorbox/colorbox\";i:140;s:16:\"colorbox/default\";i:141;s:17:\"colorbox/colorbox\";i:142;s:16:\"colorbox/default\";i:143;s:17:\"colorbox/colorbox\";i:144;s:16:\"colorbox/default\";i:145;s:18:\"views/views.module\";i:146;s:17:\"colorbox/colorbox\";i:147;s:16:\"colorbox/default\";i:148;s:17:\"colorbox/colorbox\";i:149;s:16:\"colorbox/default\";i:150;s:17:\"colorbox/colorbox\";i:151;s:16:\"colorbox/default\";i:152;s:17:\"colorbox/colorbox\";i:153;s:16:\"colorbox/default\";i:154;s:17:\"colorbox/colorbox\";i:155;s:16:\"colorbox/default\";i:156;s:17:\"colorbox/colorbox\";i:157;s:16:\"colorbox/default\";i:158;s:17:\"colorbox/colorbox\";i:159;s:16:\"colorbox/default\";i:160;s:17:\"colorbox/colorbox\";i:161;s:16:\"colorbox/default\";i:162;s:17:\"colorbox/colorbox\";i:163;s:16:\"colorbox/default\";i:164;s:17:\"colorbox/colorbox\";i:165;s:16:\"colorbox/default\";i:166;s:17:\"colorbox/colorbox\";i:167;s:16:\"colorbox/default\";i:168;s:17:\"colorbox/colorbox\";i:169;s:16:\"colorbox/default\";i:170;s:17:\"colorbox/colorbox\";i:171;s:16:\"colorbox/default\";i:172;s:17:\"colorbox/colorbox\";i:173;s:16:\"colorbox/default\";i:174;s:17:\"colorbox/colorbox\";i:175;s:16:\"colorbox/default\";i:176;s:17:\"colorbox/colorbox\";i:177;s:16:\"colorbox/default\";i:178;s:17:\"colorbox/colorbox\";i:179;s:16:\"colorbox/default\";i:180;s:17:\"colorbox/colorbox\";i:181;s:16:\"colorbox/default\";i:182;s:17:\"colorbox/colorbox\";i:183;s:16:\"colorbox/default\";i:184;s:17:\"colorbox/colorbox\";i:185;s:16:\"colorbox/default\";i:186;s:17:\"colorbox/colorbox\";i:187;s:16:\"colorbox/default\";i:188;s:17:\"colorbox/colorbox\";i:189;s:16:\"colorbox/default\";i:190;s:17:\"colorbox/colorbox\";i:191;s:16:\"colorbox/default\";i:192;s:17:\"colorbox/colorbox\";i:193;s:16:\"colorbox/default\";i:194;s:17:\"colorbox/colorbox\";i:195;s:16:\"colorbox/default\";i:196;s:17:\"colorbox/colorbox\";i:197;s:16:\"colorbox/default\";i:198;s:17:\"colorbox/colorbox\";i:199;s:16:\"colorbox/default\";i:200;s:17:\"colorbox/colorbox\";i:201;s:16:\"colorbox/default\";i:202;s:17:\"colorbox/colorbox\";i:203;s:16:\"colorbox/default\";i:204;s:17:\"colorbox/colorbox\";i:205;s:16:\"colorbox/default\";i:206;s:17:\"colorbox/colorbox\";i:207;s:16:\"colorbox/default\";i:208;s:17:\"colorbox/colorbox\";i:209;s:16:\"colorbox/default\";i:210;s:17:\"colorbox/colorbox\";i:211;s:16:\"colorbox/default\";i:212;s:17:\"colorbox/colorbox\";i:213;s:16:\"colorbox/default\";i:214;s:17:\"colorbox/colorbox\";i:215;s:16:\"colorbox/default\";i:216;s:17:\"colorbox/colorbox\";i:217;s:16:\"colorbox/default\";i:218;s:17:\"colorbox/colorbox\";i:219;s:16:\"colorbox/default\";i:220;s:17:\"colorbox/colorbox\";i:221;s:16:\"colorbox/default\";i:222;s:17:\"colorbox/colorbox\";i:223;s:16:\"colorbox/default\";i:224;s:17:\"colorbox/colorbox\";i:225;s:16:\"colorbox/default\";i:226;s:17:\"colorbox/colorbox\";i:227;s:16:\"colorbox/default\";i:228;s:17:\"colorbox/colorbox\";i:229;s:16:\"colorbox/default\";i:230;s:17:\"colorbox/colorbox\";i:231;s:16:\"colorbox/default\";i:232;s:17:\"colorbox/colorbox\";i:233;s:16:\"colorbox/default\";i:234;s:17:\"colorbox/colorbox\";i:235;s:16:\"colorbox/default\";i:236;s:17:\"colorbox/colorbox\";i:237;s:16:\"colorbox/default\";i:238;s:17:\"colorbox/colorbox\";i:239;s:16:\"colorbox/default\";i:240;s:17:\"colorbox/colorbox\";i:241;s:16:\"colorbox/default\";i:242;s:17:\"colorbox/colorbox\";i:243;s:16:\"colorbox/default\";i:244;s:17:\"colorbox/colorbox\";i:245;s:16:\"colorbox/default\";i:246;s:17:\"colorbox/colorbox\";i:247;s:16:\"colorbox/default\";i:248;s:17:\"colorbox/colorbox\";i:249;s:16:\"colorbox/default\";i:250;s:17:\"colorbox/colorbox\";i:251;s:16:\"colorbox/default\";i:252;s:17:\"colorbox/colorbox\";i:253;s:16:\"colorbox/default\";i:254;s:17:\"colorbox/colorbox\";i:255;s:16:\"colorbox/default\";i:256;s:17:\"colorbox/colorbox\";i:257;s:16:\"colorbox/default\";i:258;s:17:\"colorbox/colorbox\";i:259;s:16:\"colorbox/default\";i:260;s:17:\"colorbox/colorbox\";i:261;s:16:\"colorbox/default\";i:262;s:17:\"colorbox/colorbox\";i:263;s:16:\"colorbox/default\";i:264;s:17:\"colorbox/colorbox\";i:265;s:16:\"colorbox/default\";i:266;s:17:\"colorbox/colorbox\";i:267;s:16:\"colorbox/default\";i:268;s:17:\"colorbox/colorbox\";i:269;s:16:\"colorbox/default\";i:270;s:17:\"colorbox/colorbox\";i:271;s:16:\"colorbox/default\";i:272;s:17:\"colorbox/colorbox\";i:273;s:16:\"colorbox/default\";i:274;s:17:\"colorbox/colorbox\";i:275;s:16:\"colorbox/default\";i:276;s:17:\"colorbox/colorbox\";i:277;s:16:\"colorbox/default\";i:278;s:17:\"colorbox/colorbox\";i:279;s:16:\"colorbox/default\";i:280;s:17:\"colorbox/colorbox\";i:281;s:16:\"colorbox/default\";i:282;s:17:\"colorbox/colorbox\";i:283;s:16:\"colorbox/default\";i:284;s:17:\"colorbox/colorbox\";i:285;s:16:\"colorbox/default\";i:286;s:17:\"colorbox/colorbox\";i:287;s:16:\"colorbox/default\";i:288;s:17:\"colorbox/colorbox\";i:289;s:16:\"colorbox/default\";i:290;s:17:\"colorbox/colorbox\";i:291;s:16:\"colorbox/default\";i:292;s:17:\"colorbox/colorbox\";i:293;s:16:\"colorbox/default\";i:294;s:17:\"colorbox/colorbox\";i:295;s:16:\"colorbox/default\";i:296;s:17:\"colorbox/colorbox\";i:297;s:16:\"colorbox/default\";i:298;s:17:\"colorbox/colorbox\";i:299;s:16:\"colorbox/default\";i:300;s:17:\"colorbox/colorbox\";i:301;s:16:\"colorbox/default\";i:302;s:17:\"colorbox/colorbox\";i:303;s:16:\"colorbox/default\";i:304;s:17:\"colorbox/colorbox\";i:305;s:16:\"colorbox/default\";i:306;s:17:\"colorbox/colorbox\";i:307;s:16:\"colorbox/default\";i:308;s:17:\"colorbox/colorbox\";i:309;s:16:\"colorbox/default\";i:310;s:17:\"colorbox/colorbox\";i:311;s:16:\"colorbox/default\";i:312;s:17:\"colorbox/colorbox\";i:313;s:16:\"colorbox/default\";i:314;s:17:\"colorbox/colorbox\";i:315;s:16:\"colorbox/default\";i:316;s:17:\"colorbox/colorbox\";i:317;s:16:\"colorbox/default\";i:318;s:17:\"colorbox/colorbox\";i:319;s:16:\"colorbox/default\";i:320;s:17:\"colorbox/colorbox\";i:321;s:16:\"colorbox/default\";i:322;s:17:\"colorbox/colorbox\";i:323;s:16:\"colorbox/default\";i:324;s:17:\"colorbox/colorbox\";i:325;s:16:\"colorbox/default\";i:326;s:17:\"colorbox/colorbox\";i:327;s:16:\"colorbox/default\";i:328;s:17:\"colorbox/colorbox\";i:329;s:16:\"colorbox/default\";i:330;s:17:\"colorbox/colorbox\";i:331;s:16:\"colorbox/default\";i:332;s:17:\"colorbox/colorbox\";i:333;s:16:\"colorbox/default\";i:334;s:17:\"colorbox/colorbox\";i:335;s:16:\"colorbox/default\";i:336;s:17:\"colorbox/colorbox\";i:337;s:16:\"colorbox/default\";i:338;s:17:\"colorbox/colorbox\";i:339;s:16:\"colorbox/default\";i:340;s:17:\"colorbox/colorbox\";i:341;s:16:\"colorbox/default\";i:342;s:17:\"colorbox/colorbox\";i:343;s:16:\"colorbox/default\";i:344;s:17:\"colorbox/colorbox\";i:345;s:16:\"colorbox/default\";i:346;s:17:\"colorbox/colorbox\";i:347;s:16:\"colorbox/default\";i:348;s:17:\"colorbox/colorbox\";i:349;s:16:\"colorbox/default\";i:350;s:17:\"colorbox/colorbox\";i:351;s:16:\"colorbox/default\";i:352;s:17:\"colorbox/colorbox\";i:353;s:16:\"colorbox/default\";i:354;s:17:\"colorbox/colorbox\";i:355;s:16:\"colorbox/default\";i:356;s:17:\"colorbox/colorbox\";i:357;s:16:\"colorbox/default\";i:358;s:17:\"colorbox/colorbox\";i:359;s:16:\"colorbox/default\";i:360;s:17:\"colorbox/colorbox\";i:361;s:16:\"colorbox/default\";i:362;s:17:\"colorbox/colorbox\";i:363;s:16:\"colorbox/default\";i:364;s:17:\"colorbox/colorbox\";i:365;s:16:\"colorbox/default\";i:366;s:17:\"colorbox/colorbox\";i:367;s:16:\"colorbox/default\";i:368;s:17:\"colorbox/colorbox\";i:369;s:16:\"colorbox/default\";i:370;s:17:\"colorbox/colorbox\";i:371;s:16:\"colorbox/default\";i:372;s:17:\"colorbox/colorbox\";i:373;s:16:\"colorbox/default\";i:374;s:17:\"colorbox/colorbox\";i:375;s:16:\"colorbox/default\";i:376;s:17:\"colorbox/colorbox\";i:377;s:16:\"colorbox/default\";i:378;s:17:\"colorbox/colorbox\";i:379;s:16:\"colorbox/default\";i:380;s:17:\"colorbox/colorbox\";i:381;s:16:\"colorbox/default\";i:382;s:17:\"colorbox/colorbox\";i:383;s:16:\"colorbox/default\";i:384;s:17:\"colorbox/colorbox\";i:385;s:16:\"colorbox/default\";i:386;s:17:\"colorbox/colorbox\";i:387;s:16:\"colorbox/default\";i:388;s:17:\"colorbox/colorbox\";i:389;s:16:\"colorbox/default\";i:390;s:17:\"colorbox/colorbox\";i:391;s:16:\"colorbox/default\";i:392;s:17:\"colorbox/colorbox\";i:393;s:16:\"colorbox/default\";i:394;s:17:\"colorbox/colorbox\";i:395;s:16:\"colorbox/default\";i:396;s:17:\"colorbox/colorbox\";i:397;s:16:\"colorbox/default\";i:398;s:17:\"colorbox/colorbox\";i:399;s:16:\"colorbox/default\";i:400;s:17:\"colorbox/colorbox\";i:401;s:16:\"colorbox/default\";i:402;s:17:\"colorbox/colorbox\";i:403;s:16:\"colorbox/default\";i:404;s:17:\"colorbox/colorbox\";i:405;s:16:\"colorbox/default\";i:406;s:17:\"colorbox/colorbox\";i:407;s:16:\"colorbox/default\";i:408;s:17:\"colorbox/colorbox\";i:409;s:16:\"colorbox/default\";i:410;s:17:\"colorbox/colorbox\";i:411;s:16:\"colorbox/default\";i:412;s:17:\"colorbox/colorbox\";i:413;s:16:\"colorbox/default\";i:414;s:17:\"colorbox/colorbox\";i:415;s:16:\"colorbox/default\";i:416;s:17:\"colorbox/colorbox\";i:417;s:16:\"colorbox/default\";i:418;s:17:\"colorbox/colorbox\";i:419;s:16:\"colorbox/default\";i:420;s:17:\"colorbox/colorbox\";i:421;s:16:\"colorbox/default\";i:422;s:17:\"colorbox/colorbox\";i:423;s:16:\"colorbox/default\";i:424;s:17:\"colorbox/colorbox\";i:425;s:16:\"colorbox/default\";i:426;s:17:\"colorbox/colorbox\";i:427;s:16:\"colorbox/default\";i:428;s:17:\"colorbox/colorbox\";i:429;s:16:\"colorbox/default\";i:430;s:17:\"colorbox/colorbox\";i:431;s:16:\"colorbox/default\";i:432;s:17:\"colorbox/colorbox\";i:433;s:16:\"colorbox/default\";}s:14:\"drupalSettings\";a:1:{s:8:\"colorbox\";a:10:{s:7:\"opacity\";s:4:\"0.85\";s:7:\"current\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"{current} of {total}\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"previous\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"« Prev\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"next\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Next »\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"close\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Close\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"maxWidth\";s:3:\"98%\";s:9:\"maxHeight\";s:3:\"98%\";s:5:\"fixed\";b:1;s:12:\"mobiledetect\";b:1;s:17:\"mobiledevicewidth\";s:5:\"480px\";}}}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:5:\"theme\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:23:{i:0;s:10:\"block_view\";i:1;s:49:\"config:block.block.views_block__portfolio_block_1\";i:2;s:39:\"config:field.storage.node.field_gallery\";i:3;s:30:\"config:filter.format.full_html\";i:4;s:27:\"config:views.view.portfolio\";i:5;s:7:\"file:80\";i:6;s:7:\"file:81\";i:7;s:7:\"file:82\";i:8;s:7:\"file:83\";i:9;s:7:\"file:84\";i:10;s:7:\"file:85\";i:11;s:7:\"file:86\";i:12;s:7:\"file:87\";i:13;s:7:\"file:88\";i:14;s:7:\"file:94\";i:15;s:7:\"file:95\";i:16;s:7:\"file:96\";i:17;s:7:\"file:97\";i:18;s:7:\"file:98\";i:19;s:7:\"file:99\";i:20;s:7:\"node:19\";i:21;s:7:\"node:20\";i:22;s:9:\"node_list\";}s:7:\"max-age\";i:-1;}}',-1,1636012250.528,1,'block_view config:block.block.views_block__portfolio_block_1 config:field.storage.node.field_gallery config:filter.format.full_html config:views.view.portfolio file:80 file:81 file:82 file:83 file:84 file:85 file:86 file:87 file:88 file:94 file:95 file:96 file:97 file:98 file:99 node:19 node:20 node_list rendered','6'),('entity_view:block:views_block__portfolio_block_1:[languages:language_content]=en:[languages:language_interface]=en:[theme]=luxestate:[user.node_grants:view]=view.all:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:3:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:7487:\"<div class=\"views-element-container block block-views block-views-blockportfolio-block-1\" id=\"block-views-block-portfolio-block-1\">\n  \n      <h2>Portfolio</h2>\n    \n      <div class=\"content\">\n      <div><div class=\"view view-portfolio view-id-portfolio view-display-id-block_1 js-view-dom-id-c88f3f2e305027cded0e1bc5e8b2b6e7753c9a15bcb5d720a4c04b3af4f28581\">\n  \n    \n      <div class=\"view-header\">\n      <p>“There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which don\'t look even slightly believable. If you are going to use a passage of Lorem Ipsum, you need to be sure there isn\'t anything embarrassing hidden.”</p>\n<p>										   -- Lorem Ipsum --</p>\n\n    </div>\n      \n      <div class=\"view-content\">\n          <div><div class=\"views-field views-field-field-gallery portfolio-gallery\"><div class=\"field-content\">\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo4_2.jpg\" title=\"Ut enim ad minim veniam\" data-colorbox-gallery=\"gallery-all-ZvUqTAWkBI0\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Ut enim ad minim veniam&quot;,&quot;alt&quot;:&quot;Ut enim ad minim veniam&quot;}\"><img src=\"/sites/default/files/field/gallery/demo4_2.jpg\" width=\"1100\" height=\"1100\" alt=\"Ut enim ad minim veniam\" title=\"Ut enim ad minim veniam\" typeof=\"foaf:Image\" />\n</a>\n</div></div></div>\n    <div><div class=\"views-field views-field-field-gallery portfolio-gallery\"><div class=\"field-content\">\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo8_2.jpg\" title=\"Ut enim ad minim veniam\" data-colorbox-gallery=\"gallery-all-ZvUqTAWkBI0\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Ut enim ad minim veniam&quot;,&quot;alt&quot;:&quot;Ut enim ad minim veniam&quot;}\"><img src=\"/sites/default/files/field/gallery/demo8_2.jpg\" width=\"1100\" height=\"1100\" alt=\"Ut enim ad minim veniam\" title=\"Ut enim ad minim veniam\" typeof=\"foaf:Image\" />\n</a>\n</div></div></div>\n    <div><div class=\"views-field views-field-field-gallery portfolio-gallery\"><div class=\"field-content\">\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo6_2.jpg\" title=\"Ut enim ad minim veniam\" data-colorbox-gallery=\"gallery-all-ZvUqTAWkBI0\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Ut enim ad minim veniam&quot;,&quot;alt&quot;:&quot;Ut enim ad minim veniam&quot;}\"><img src=\"/sites/default/files/field/gallery/demo6_2.jpg\" width=\"1100\" height=\"1100\" alt=\"Ut enim ad minim veniam\" title=\"Ut enim ad minim veniam\" typeof=\"foaf:Image\" />\n</a>\n</div></div></div>\n    <div><div class=\"views-field views-field-field-gallery portfolio-gallery\"><div class=\"field-content\">\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo7_1.jpg\" title=\"Ut enim ad minim veniam\" data-colorbox-gallery=\"gallery-all-ZvUqTAWkBI0\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Ut enim ad minim veniam&quot;,&quot;alt&quot;:&quot;Ut enim ad minim veniam&quot;}\"><img src=\"/sites/default/files/field/gallery/demo7_1.jpg\" width=\"1100\" height=\"1100\" alt=\"Ut enim ad minim veniam\" title=\"Ut enim ad minim veniam\" typeof=\"foaf:Image\" />\n</a>\n</div></div></div>\n    <div><div class=\"views-field views-field-field-gallery portfolio-gallery\"><div class=\"field-content\">\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo1_1.jpg\" title=\"Ut enim ad minim veniam\" data-colorbox-gallery=\"gallery-all-ZvUqTAWkBI0\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Ut enim ad minim veniam&quot;,&quot;alt&quot;:&quot;Ut enim ad minim veniam&quot;}\"><img src=\"/sites/default/files/field/gallery/demo1_1.jpg\" width=\"1100\" height=\"1100\" alt=\"Ut enim ad minim veniam\" title=\"Ut enim ad minim veniam\" typeof=\"foaf:Image\" />\n</a>\n</div></div></div>\n    <div><div class=\"views-field views-field-field-gallery portfolio-gallery\"><div class=\"field-content\">\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo3_1.jpg\" title=\"Ut enim ad minim veniam\" data-colorbox-gallery=\"gallery-all-ZvUqTAWkBI0\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Ut enim ad minim veniam&quot;,&quot;alt&quot;:&quot;Ut enim ad minim veniam&quot;}\"><img src=\"/sites/default/files/field/gallery/demo3_1.jpg\" width=\"1100\" height=\"1100\" alt=\"Ut enim ad minim veniam\" title=\"Ut enim ad minim veniam\" typeof=\"foaf:Image\" />\n</a>\n</div></div></div>\n    <div><div class=\"views-field views-field-field-gallery portfolio-gallery\"><div class=\"field-content\">\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo2_0.jpg\" title=\"Lorem ipsum dolor sit amet\" data-colorbox-gallery=\"gallery-all-ZvUqTAWkBI0\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Lorem ipsum dolor sit amet&quot;,&quot;alt&quot;:&quot;Lorem ipsum dolor sit amet&quot;}\"><img src=\"/sites/default/files/field/gallery/demo2_0.jpg\" width=\"1100\" height=\"1100\" alt=\"Lorem ipsum dolor sit amet\" title=\"Lorem ipsum dolor sit amet\" typeof=\"foaf:Image\" />\n</a>\n</div></div></div>\n    <div><div class=\"views-field views-field-field-gallery portfolio-gallery\"><div class=\"field-content\">\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo7_0.jpg\" title=\"Lorem ipsum dolor sit amet\" data-colorbox-gallery=\"gallery-all-ZvUqTAWkBI0\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Lorem ipsum dolor sit amet&quot;,&quot;alt&quot;:&quot;Lorem ipsum dolor sit amet&quot;}\"><img src=\"/sites/default/files/field/gallery/demo7_0.jpg\" width=\"1100\" height=\"1100\" alt=\"Lorem ipsum dolor sit amet\" title=\"Lorem ipsum dolor sit amet\" typeof=\"foaf:Image\" />\n</a>\n</div></div></div>\n    <div><div class=\"views-field views-field-field-gallery portfolio-gallery\"><div class=\"field-content\">\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo1_0.jpg\" title=\"Lorem ipsum dolor sit amet\" data-colorbox-gallery=\"gallery-all-ZvUqTAWkBI0\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Lorem ipsum dolor sit amet&quot;,&quot;alt&quot;:&quot;Lorem ipsum dolor sit amet&quot;}\"><img src=\"/sites/default/files/field/gallery/demo1_0.jpg\" width=\"1100\" height=\"1100\" alt=\"Lorem ipsum dolor sit amet\" title=\"Lorem ipsum dolor sit amet\" typeof=\"foaf:Image\" />\n</a>\n</div></div></div>\n    <div><div class=\"views-field views-field-field-gallery portfolio-gallery\"><div class=\"field-content\">\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo6_0.jpg\" title=\"Lorem ipsum dolor sit amet\" data-colorbox-gallery=\"gallery-all-ZvUqTAWkBI0\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Lorem ipsum dolor sit amet&quot;,&quot;alt&quot;:&quot;Lorem ipsum dolor sit amet&quot;}\"><img src=\"/sites/default/files/field/gallery/demo6_0.jpg\" width=\"1100\" height=\"1100\" alt=\"Lorem ipsum dolor sit amet\" title=\"Lorem ipsum dolor sit amet\" typeof=\"foaf:Image\" />\n</a>\n</div></div></div>\n\n    </div>\n  \n            <div class=\"view-footer\">\n      <p>“If you are going to use a passage of Lorem Ipsum, you need to be sure there isn\'t anything embarrassing hidden in the middle of text.”</p>\n<p>						-- H. Rackham --</p>\n\n    </div>\n    </div>\n</div>\n\n    </div>\n  </div>\n\";}s:9:\"#attached\";a:2:{s:7:\"library\";a:434:{i:0;s:18:\"views/views.module\";i:1;s:17:\"colorbox/colorbox\";i:2;s:16:\"colorbox/default\";i:3;s:17:\"colorbox/colorbox\";i:4;s:16:\"colorbox/default\";i:5;s:17:\"colorbox/colorbox\";i:6;s:16:\"colorbox/default\";i:7;s:17:\"colorbox/colorbox\";i:8;s:16:\"colorbox/default\";i:9;s:17:\"colorbox/colorbox\";i:10;s:16:\"colorbox/default\";i:11;s:17:\"colorbox/colorbox\";i:12;s:16:\"colorbox/default\";i:13;s:17:\"colorbox/colorbox\";i:14;s:16:\"colorbox/default\";i:15;s:17:\"colorbox/colorbox\";i:16;s:16:\"colorbox/default\";i:17;s:17:\"colorbox/colorbox\";i:18;s:16:\"colorbox/default\";i:19;s:17:\"colorbox/colorbox\";i:20;s:16:\"colorbox/default\";i:21;s:17:\"colorbox/colorbox\";i:22;s:16:\"colorbox/default\";i:23;s:17:\"colorbox/colorbox\";i:24;s:16:\"colorbox/default\";i:25;s:17:\"colorbox/colorbox\";i:26;s:16:\"colorbox/default\";i:27;s:17:\"colorbox/colorbox\";i:28;s:16:\"colorbox/default\";i:29;s:17:\"colorbox/colorbox\";i:30;s:16:\"colorbox/default\";i:31;s:17:\"colorbox/colorbox\";i:32;s:16:\"colorbox/default\";i:33;s:17:\"colorbox/colorbox\";i:34;s:16:\"colorbox/default\";i:35;s:17:\"colorbox/colorbox\";i:36;s:16:\"colorbox/default\";i:37;s:17:\"colorbox/colorbox\";i:38;s:16:\"colorbox/default\";i:39;s:17:\"colorbox/colorbox\";i:40;s:16:\"colorbox/default\";i:41;s:17:\"colorbox/colorbox\";i:42;s:16:\"colorbox/default\";i:43;s:17:\"colorbox/colorbox\";i:44;s:16:\"colorbox/default\";i:45;s:17:\"colorbox/colorbox\";i:46;s:16:\"colorbox/default\";i:47;s:17:\"colorbox/colorbox\";i:48;s:16:\"colorbox/default\";i:49;s:17:\"colorbox/colorbox\";i:50;s:16:\"colorbox/default\";i:51;s:17:\"colorbox/colorbox\";i:52;s:16:\"colorbox/default\";i:53;s:17:\"colorbox/colorbox\";i:54;s:16:\"colorbox/default\";i:55;s:17:\"colorbox/colorbox\";i:56;s:16:\"colorbox/default\";i:57;s:17:\"colorbox/colorbox\";i:58;s:16:\"colorbox/default\";i:59;s:17:\"colorbox/colorbox\";i:60;s:16:\"colorbox/default\";i:61;s:17:\"colorbox/colorbox\";i:62;s:16:\"colorbox/default\";i:63;s:17:\"colorbox/colorbox\";i:64;s:16:\"colorbox/default\";i:65;s:17:\"colorbox/colorbox\";i:66;s:16:\"colorbox/default\";i:67;s:17:\"colorbox/colorbox\";i:68;s:16:\"colorbox/default\";i:69;s:17:\"colorbox/colorbox\";i:70;s:16:\"colorbox/default\";i:71;s:17:\"colorbox/colorbox\";i:72;s:16:\"colorbox/default\";i:73;s:17:\"colorbox/colorbox\";i:74;s:16:\"colorbox/default\";i:75;s:17:\"colorbox/colorbox\";i:76;s:16:\"colorbox/default\";i:77;s:17:\"colorbox/colorbox\";i:78;s:16:\"colorbox/default\";i:79;s:17:\"colorbox/colorbox\";i:80;s:16:\"colorbox/default\";i:81;s:17:\"colorbox/colorbox\";i:82;s:16:\"colorbox/default\";i:83;s:17:\"colorbox/colorbox\";i:84;s:16:\"colorbox/default\";i:85;s:17:\"colorbox/colorbox\";i:86;s:16:\"colorbox/default\";i:87;s:17:\"colorbox/colorbox\";i:88;s:16:\"colorbox/default\";i:89;s:17:\"colorbox/colorbox\";i:90;s:16:\"colorbox/default\";i:91;s:17:\"colorbox/colorbox\";i:92;s:16:\"colorbox/default\";i:93;s:17:\"colorbox/colorbox\";i:94;s:16:\"colorbox/default\";i:95;s:17:\"colorbox/colorbox\";i:96;s:16:\"colorbox/default\";i:97;s:17:\"colorbox/colorbox\";i:98;s:16:\"colorbox/default\";i:99;s:17:\"colorbox/colorbox\";i:100;s:16:\"colorbox/default\";i:101;s:17:\"colorbox/colorbox\";i:102;s:16:\"colorbox/default\";i:103;s:17:\"colorbox/colorbox\";i:104;s:16:\"colorbox/default\";i:105;s:17:\"colorbox/colorbox\";i:106;s:16:\"colorbox/default\";i:107;s:17:\"colorbox/colorbox\";i:108;s:16:\"colorbox/default\";i:109;s:17:\"colorbox/colorbox\";i:110;s:16:\"colorbox/default\";i:111;s:17:\"colorbox/colorbox\";i:112;s:16:\"colorbox/default\";i:113;s:17:\"colorbox/colorbox\";i:114;s:16:\"colorbox/default\";i:115;s:17:\"colorbox/colorbox\";i:116;s:16:\"colorbox/default\";i:117;s:17:\"colorbox/colorbox\";i:118;s:16:\"colorbox/default\";i:119;s:17:\"colorbox/colorbox\";i:120;s:16:\"colorbox/default\";i:121;s:17:\"colorbox/colorbox\";i:122;s:16:\"colorbox/default\";i:123;s:17:\"colorbox/colorbox\";i:124;s:16:\"colorbox/default\";i:125;s:17:\"colorbox/colorbox\";i:126;s:16:\"colorbox/default\";i:127;s:17:\"colorbox/colorbox\";i:128;s:16:\"colorbox/default\";i:129;s:17:\"colorbox/colorbox\";i:130;s:16:\"colorbox/default\";i:131;s:17:\"colorbox/colorbox\";i:132;s:16:\"colorbox/default\";i:133;s:17:\"colorbox/colorbox\";i:134;s:16:\"colorbox/default\";i:135;s:17:\"colorbox/colorbox\";i:136;s:16:\"colorbox/default\";i:137;s:17:\"colorbox/colorbox\";i:138;s:16:\"colorbox/default\";i:139;s:17:\"colorbox/colorbox\";i:140;s:16:\"colorbox/default\";i:141;s:17:\"colorbox/colorbox\";i:142;s:16:\"colorbox/default\";i:143;s:17:\"colorbox/colorbox\";i:144;s:16:\"colorbox/default\";i:145;s:18:\"views/views.module\";i:146;s:17:\"colorbox/colorbox\";i:147;s:16:\"colorbox/default\";i:148;s:17:\"colorbox/colorbox\";i:149;s:16:\"colorbox/default\";i:150;s:17:\"colorbox/colorbox\";i:151;s:16:\"colorbox/default\";i:152;s:17:\"colorbox/colorbox\";i:153;s:16:\"colorbox/default\";i:154;s:17:\"colorbox/colorbox\";i:155;s:16:\"colorbox/default\";i:156;s:17:\"colorbox/colorbox\";i:157;s:16:\"colorbox/default\";i:158;s:17:\"colorbox/colorbox\";i:159;s:16:\"colorbox/default\";i:160;s:17:\"colorbox/colorbox\";i:161;s:16:\"colorbox/default\";i:162;s:17:\"colorbox/colorbox\";i:163;s:16:\"colorbox/default\";i:164;s:17:\"colorbox/colorbox\";i:165;s:16:\"colorbox/default\";i:166;s:17:\"colorbox/colorbox\";i:167;s:16:\"colorbox/default\";i:168;s:17:\"colorbox/colorbox\";i:169;s:16:\"colorbox/default\";i:170;s:17:\"colorbox/colorbox\";i:171;s:16:\"colorbox/default\";i:172;s:17:\"colorbox/colorbox\";i:173;s:16:\"colorbox/default\";i:174;s:17:\"colorbox/colorbox\";i:175;s:16:\"colorbox/default\";i:176;s:17:\"colorbox/colorbox\";i:177;s:16:\"colorbox/default\";i:178;s:17:\"colorbox/colorbox\";i:179;s:16:\"colorbox/default\";i:180;s:17:\"colorbox/colorbox\";i:181;s:16:\"colorbox/default\";i:182;s:17:\"colorbox/colorbox\";i:183;s:16:\"colorbox/default\";i:184;s:17:\"colorbox/colorbox\";i:185;s:16:\"colorbox/default\";i:186;s:17:\"colorbox/colorbox\";i:187;s:16:\"colorbox/default\";i:188;s:17:\"colorbox/colorbox\";i:189;s:16:\"colorbox/default\";i:190;s:17:\"colorbox/colorbox\";i:191;s:16:\"colorbox/default\";i:192;s:17:\"colorbox/colorbox\";i:193;s:16:\"colorbox/default\";i:194;s:17:\"colorbox/colorbox\";i:195;s:16:\"colorbox/default\";i:196;s:17:\"colorbox/colorbox\";i:197;s:16:\"colorbox/default\";i:198;s:17:\"colorbox/colorbox\";i:199;s:16:\"colorbox/default\";i:200;s:17:\"colorbox/colorbox\";i:201;s:16:\"colorbox/default\";i:202;s:17:\"colorbox/colorbox\";i:203;s:16:\"colorbox/default\";i:204;s:17:\"colorbox/colorbox\";i:205;s:16:\"colorbox/default\";i:206;s:17:\"colorbox/colorbox\";i:207;s:16:\"colorbox/default\";i:208;s:17:\"colorbox/colorbox\";i:209;s:16:\"colorbox/default\";i:210;s:17:\"colorbox/colorbox\";i:211;s:16:\"colorbox/default\";i:212;s:17:\"colorbox/colorbox\";i:213;s:16:\"colorbox/default\";i:214;s:17:\"colorbox/colorbox\";i:215;s:16:\"colorbox/default\";i:216;s:17:\"colorbox/colorbox\";i:217;s:16:\"colorbox/default\";i:218;s:17:\"colorbox/colorbox\";i:219;s:16:\"colorbox/default\";i:220;s:17:\"colorbox/colorbox\";i:221;s:16:\"colorbox/default\";i:222;s:17:\"colorbox/colorbox\";i:223;s:16:\"colorbox/default\";i:224;s:17:\"colorbox/colorbox\";i:225;s:16:\"colorbox/default\";i:226;s:17:\"colorbox/colorbox\";i:227;s:16:\"colorbox/default\";i:228;s:17:\"colorbox/colorbox\";i:229;s:16:\"colorbox/default\";i:230;s:17:\"colorbox/colorbox\";i:231;s:16:\"colorbox/default\";i:232;s:17:\"colorbox/colorbox\";i:233;s:16:\"colorbox/default\";i:234;s:17:\"colorbox/colorbox\";i:235;s:16:\"colorbox/default\";i:236;s:17:\"colorbox/colorbox\";i:237;s:16:\"colorbox/default\";i:238;s:17:\"colorbox/colorbox\";i:239;s:16:\"colorbox/default\";i:240;s:17:\"colorbox/colorbox\";i:241;s:16:\"colorbox/default\";i:242;s:17:\"colorbox/colorbox\";i:243;s:16:\"colorbox/default\";i:244;s:17:\"colorbox/colorbox\";i:245;s:16:\"colorbox/default\";i:246;s:17:\"colorbox/colorbox\";i:247;s:16:\"colorbox/default\";i:248;s:17:\"colorbox/colorbox\";i:249;s:16:\"colorbox/default\";i:250;s:17:\"colorbox/colorbox\";i:251;s:16:\"colorbox/default\";i:252;s:17:\"colorbox/colorbox\";i:253;s:16:\"colorbox/default\";i:254;s:17:\"colorbox/colorbox\";i:255;s:16:\"colorbox/default\";i:256;s:17:\"colorbox/colorbox\";i:257;s:16:\"colorbox/default\";i:258;s:17:\"colorbox/colorbox\";i:259;s:16:\"colorbox/default\";i:260;s:17:\"colorbox/colorbox\";i:261;s:16:\"colorbox/default\";i:262;s:17:\"colorbox/colorbox\";i:263;s:16:\"colorbox/default\";i:264;s:17:\"colorbox/colorbox\";i:265;s:16:\"colorbox/default\";i:266;s:17:\"colorbox/colorbox\";i:267;s:16:\"colorbox/default\";i:268;s:17:\"colorbox/colorbox\";i:269;s:16:\"colorbox/default\";i:270;s:17:\"colorbox/colorbox\";i:271;s:16:\"colorbox/default\";i:272;s:17:\"colorbox/colorbox\";i:273;s:16:\"colorbox/default\";i:274;s:17:\"colorbox/colorbox\";i:275;s:16:\"colorbox/default\";i:276;s:17:\"colorbox/colorbox\";i:277;s:16:\"colorbox/default\";i:278;s:17:\"colorbox/colorbox\";i:279;s:16:\"colorbox/default\";i:280;s:17:\"colorbox/colorbox\";i:281;s:16:\"colorbox/default\";i:282;s:17:\"colorbox/colorbox\";i:283;s:16:\"colorbox/default\";i:284;s:17:\"colorbox/colorbox\";i:285;s:16:\"colorbox/default\";i:286;s:17:\"colorbox/colorbox\";i:287;s:16:\"colorbox/default\";i:288;s:17:\"colorbox/colorbox\";i:289;s:16:\"colorbox/default\";i:290;s:17:\"colorbox/colorbox\";i:291;s:16:\"colorbox/default\";i:292;s:17:\"colorbox/colorbox\";i:293;s:16:\"colorbox/default\";i:294;s:17:\"colorbox/colorbox\";i:295;s:16:\"colorbox/default\";i:296;s:17:\"colorbox/colorbox\";i:297;s:16:\"colorbox/default\";i:298;s:17:\"colorbox/colorbox\";i:299;s:16:\"colorbox/default\";i:300;s:17:\"colorbox/colorbox\";i:301;s:16:\"colorbox/default\";i:302;s:17:\"colorbox/colorbox\";i:303;s:16:\"colorbox/default\";i:304;s:17:\"colorbox/colorbox\";i:305;s:16:\"colorbox/default\";i:306;s:17:\"colorbox/colorbox\";i:307;s:16:\"colorbox/default\";i:308;s:17:\"colorbox/colorbox\";i:309;s:16:\"colorbox/default\";i:310;s:17:\"colorbox/colorbox\";i:311;s:16:\"colorbox/default\";i:312;s:17:\"colorbox/colorbox\";i:313;s:16:\"colorbox/default\";i:314;s:17:\"colorbox/colorbox\";i:315;s:16:\"colorbox/default\";i:316;s:17:\"colorbox/colorbox\";i:317;s:16:\"colorbox/default\";i:318;s:17:\"colorbox/colorbox\";i:319;s:16:\"colorbox/default\";i:320;s:17:\"colorbox/colorbox\";i:321;s:16:\"colorbox/default\";i:322;s:17:\"colorbox/colorbox\";i:323;s:16:\"colorbox/default\";i:324;s:17:\"colorbox/colorbox\";i:325;s:16:\"colorbox/default\";i:326;s:17:\"colorbox/colorbox\";i:327;s:16:\"colorbox/default\";i:328;s:17:\"colorbox/colorbox\";i:329;s:16:\"colorbox/default\";i:330;s:17:\"colorbox/colorbox\";i:331;s:16:\"colorbox/default\";i:332;s:17:\"colorbox/colorbox\";i:333;s:16:\"colorbox/default\";i:334;s:17:\"colorbox/colorbox\";i:335;s:16:\"colorbox/default\";i:336;s:17:\"colorbox/colorbox\";i:337;s:16:\"colorbox/default\";i:338;s:17:\"colorbox/colorbox\";i:339;s:16:\"colorbox/default\";i:340;s:17:\"colorbox/colorbox\";i:341;s:16:\"colorbox/default\";i:342;s:17:\"colorbox/colorbox\";i:343;s:16:\"colorbox/default\";i:344;s:17:\"colorbox/colorbox\";i:345;s:16:\"colorbox/default\";i:346;s:17:\"colorbox/colorbox\";i:347;s:16:\"colorbox/default\";i:348;s:17:\"colorbox/colorbox\";i:349;s:16:\"colorbox/default\";i:350;s:17:\"colorbox/colorbox\";i:351;s:16:\"colorbox/default\";i:352;s:17:\"colorbox/colorbox\";i:353;s:16:\"colorbox/default\";i:354;s:17:\"colorbox/colorbox\";i:355;s:16:\"colorbox/default\";i:356;s:17:\"colorbox/colorbox\";i:357;s:16:\"colorbox/default\";i:358;s:17:\"colorbox/colorbox\";i:359;s:16:\"colorbox/default\";i:360;s:17:\"colorbox/colorbox\";i:361;s:16:\"colorbox/default\";i:362;s:17:\"colorbox/colorbox\";i:363;s:16:\"colorbox/default\";i:364;s:17:\"colorbox/colorbox\";i:365;s:16:\"colorbox/default\";i:366;s:17:\"colorbox/colorbox\";i:367;s:16:\"colorbox/default\";i:368;s:17:\"colorbox/colorbox\";i:369;s:16:\"colorbox/default\";i:370;s:17:\"colorbox/colorbox\";i:371;s:16:\"colorbox/default\";i:372;s:17:\"colorbox/colorbox\";i:373;s:16:\"colorbox/default\";i:374;s:17:\"colorbox/colorbox\";i:375;s:16:\"colorbox/default\";i:376;s:17:\"colorbox/colorbox\";i:377;s:16:\"colorbox/default\";i:378;s:17:\"colorbox/colorbox\";i:379;s:16:\"colorbox/default\";i:380;s:17:\"colorbox/colorbox\";i:381;s:16:\"colorbox/default\";i:382;s:17:\"colorbox/colorbox\";i:383;s:16:\"colorbox/default\";i:384;s:17:\"colorbox/colorbox\";i:385;s:16:\"colorbox/default\";i:386;s:17:\"colorbox/colorbox\";i:387;s:16:\"colorbox/default\";i:388;s:17:\"colorbox/colorbox\";i:389;s:16:\"colorbox/default\";i:390;s:17:\"colorbox/colorbox\";i:391;s:16:\"colorbox/default\";i:392;s:17:\"colorbox/colorbox\";i:393;s:16:\"colorbox/default\";i:394;s:17:\"colorbox/colorbox\";i:395;s:16:\"colorbox/default\";i:396;s:17:\"colorbox/colorbox\";i:397;s:16:\"colorbox/default\";i:398;s:17:\"colorbox/colorbox\";i:399;s:16:\"colorbox/default\";i:400;s:17:\"colorbox/colorbox\";i:401;s:16:\"colorbox/default\";i:402;s:17:\"colorbox/colorbox\";i:403;s:16:\"colorbox/default\";i:404;s:17:\"colorbox/colorbox\";i:405;s:16:\"colorbox/default\";i:406;s:17:\"colorbox/colorbox\";i:407;s:16:\"colorbox/default\";i:408;s:17:\"colorbox/colorbox\";i:409;s:16:\"colorbox/default\";i:410;s:17:\"colorbox/colorbox\";i:411;s:16:\"colorbox/default\";i:412;s:17:\"colorbox/colorbox\";i:413;s:16:\"colorbox/default\";i:414;s:17:\"colorbox/colorbox\";i:415;s:16:\"colorbox/default\";i:416;s:17:\"colorbox/colorbox\";i:417;s:16:\"colorbox/default\";i:418;s:17:\"colorbox/colorbox\";i:419;s:16:\"colorbox/default\";i:420;s:17:\"colorbox/colorbox\";i:421;s:16:\"colorbox/default\";i:422;s:17:\"colorbox/colorbox\";i:423;s:16:\"colorbox/default\";i:424;s:17:\"colorbox/colorbox\";i:425;s:16:\"colorbox/default\";i:426;s:17:\"colorbox/colorbox\";i:427;s:16:\"colorbox/default\";i:428;s:17:\"colorbox/colorbox\";i:429;s:16:\"colorbox/default\";i:430;s:17:\"colorbox/colorbox\";i:431;s:16:\"colorbox/default\";i:432;s:17:\"colorbox/colorbox\";i:433;s:16:\"colorbox/default\";}s:14:\"drupalSettings\";a:1:{s:8:\"colorbox\";a:10:{s:7:\"opacity\";s:4:\"0.85\";s:7:\"current\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"{current} of {total}\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"previous\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"« Prev\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"next\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Next »\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"close\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Close\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"maxWidth\";s:3:\"98%\";s:9:\"maxHeight\";s:3:\"98%\";s:5:\"fixed\";b:1;s:12:\"mobiledetect\";b:1;s:17:\"mobiledevicewidth\";s:5:\"480px\";}}}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:5:\"theme\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:23:{i:0;s:10:\"block_view\";i:1;s:49:\"config:block.block.views_block__portfolio_block_1\";i:2;s:39:\"config:field.storage.node.field_gallery\";i:3;s:30:\"config:filter.format.full_html\";i:4;s:27:\"config:views.view.portfolio\";i:5;s:7:\"file:80\";i:6;s:7:\"file:81\";i:7;s:7:\"file:82\";i:8;s:7:\"file:83\";i:9;s:7:\"file:84\";i:10;s:7:\"file:85\";i:11;s:7:\"file:86\";i:12;s:7:\"file:87\";i:13;s:7:\"file:88\";i:14;s:7:\"file:94\";i:15;s:7:\"file:95\";i:16;s:7:\"file:96\";i:17;s:7:\"file:97\";i:18;s:7:\"file:98\";i:19;s:7:\"file:99\";i:20;s:7:\"node:19\";i:21;s:7:\"node:20\";i:22;s:9:\"node_list\";}s:7:\"max-age\";i:-1;}}',-1,1636711430.316,1,'block_view config:block.block.views_block__portfolio_block_1 config:field.storage.node.field_gallery config:filter.format.full_html config:views.view.portfolio file:80 file:81 file:82 file:83 file:84 file:85 file:86 file:87 file:88 file:94 file:95 file:96 file:97 file:98 file:99 node:19 node:20 node_list rendered','6'),('entity_view:block:views_block__portfolio_block_1:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:2:{s:15:\"#cache_redirect\";b:1;s:6:\"#cache\";a:5:{s:4:\"keys\";a:3:{i:0;s:11:\"entity_view\";i:1;s:5:\"block\";i:2;s:30:\"views_block__portfolio_block_1\";}s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:5:\"theme\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:23:{i:0;s:10:\"block_view\";i:1;s:49:\"config:block.block.views_block__portfolio_block_1\";i:2;s:39:\"config:field.storage.node.field_gallery\";i:3;s:30:\"config:filter.format.full_html\";i:4;s:27:\"config:views.view.portfolio\";i:5;s:7:\"file:80\";i:6;s:7:\"file:81\";i:7;s:7:\"file:82\";i:8;s:7:\"file:83\";i:9;s:7:\"file:84\";i:10;s:7:\"file:85\";i:11;s:7:\"file:86\";i:12;s:7:\"file:87\";i:13;s:7:\"file:88\";i:14;s:7:\"file:94\";i:15;s:7:\"file:95\";i:16;s:7:\"file:96\";i:17;s:7:\"file:97\";i:18;s:7:\"file:98\";i:19;s:7:\"file:99\";i:20;s:7:\"node:19\";i:21;s:7:\"node:20\";i:22;s:9:\"node_list\";}s:7:\"max-age\";i:-1;s:3:\"bin\";s:6:\"render\";}}',-1,1636012250.523,1,'block_view config:block.block.views_block__portfolio_block_1 config:field.storage.node.field_gallery config:filter.format.full_html config:views.view.portfolio file:80 file:81 file:82 file:83 file:84 file:85 file:86 file:87 file:88 file:94 file:95 file:96 file:97 file:98 file:99 node:19 node:20 node_list rendered','6'),('entity_view:block:views_block__portfolio_block_1:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:2:{s:15:\"#cache_redirect\";b:1;s:6:\"#cache\";a:5:{s:4:\"keys\";a:3:{i:0;s:11:\"entity_view\";i:1;s:5:\"block\";i:2;s:30:\"views_block__portfolio_block_1\";}s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:5:\"theme\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:23:{i:0;s:10:\"block_view\";i:1;s:49:\"config:block.block.views_block__portfolio_block_1\";i:2;s:39:\"config:field.storage.node.field_gallery\";i:3;s:30:\"config:filter.format.full_html\";i:4;s:27:\"config:views.view.portfolio\";i:5;s:7:\"file:80\";i:6;s:7:\"file:81\";i:7;s:7:\"file:82\";i:8;s:7:\"file:83\";i:9;s:7:\"file:84\";i:10;s:7:\"file:85\";i:11;s:7:\"file:86\";i:12;s:7:\"file:87\";i:13;s:7:\"file:88\";i:14;s:7:\"file:94\";i:15;s:7:\"file:95\";i:16;s:7:\"file:96\";i:17;s:7:\"file:97\";i:18;s:7:\"file:98\";i:19;s:7:\"file:99\";i:20;s:7:\"node:19\";i:21;s:7:\"node:20\";i:22;s:9:\"node_list\";}s:7:\"max-age\";i:-1;s:3:\"bin\";s:6:\"render\";}}',-1,1636711430.311,1,'block_view config:block.block.views_block__portfolio_block_1 config:field.storage.node.field_gallery config:filter.format.full_html config:views.view.portfolio file:80 file:81 file:82 file:83 file:84 file:85 file:86 file:87 file:88 file:94 file:95 file:96 file:97 file:98 file:99 node:19 node:20 node_list rendered','6'),('entity_view:block:views_block__slideshow_block_1:[languages:language_content]=en:[languages:language_interface]=en:[theme]=luxestate:[user.node_grants:view]=all:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:3:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:2780:\"<div class=\"views-element-container contextual-region block block-views block-views-blockslideshow-block-1\" id=\"block-views-block-slideshow-block-1\">\n  \n    <div data-contextual-id=\"block:block=views_block__slideshow_block_1:langcode=en|entity.view.edit_form:view=slideshow:location=block&amp;name=slideshow&amp;display_id=block_1&amp;langcode=en\" data-contextual-token=\"QoFWRfpHB8J9914TdLmaDj-sw6DKUkcqeqphn-b736c\"></div>\n      <div class=\"content\">\n      <div><div class=\"slideshow contextual-region view view-slideshow view-id-slideshow view-display-id-block_1 js-view-dom-id-7355e29e6dbecc0990184d9d7f14b61f0620ae00aa1097f89a2a73f2ccc47f6a\">\n  \n    <div data-contextual-id=\"entity.view.edit_form:view=slideshow:location=block&amp;name=slideshow&amp;display_id=block_1&amp;langcode=en\" data-contextual-token=\"hbsLPYZAxgp4cmou35mLW8I7HI-stLucWg71ZLT3rIU\"></div>\n      \n      <div class=\"view-content\">\n          <div class=\"views-row\"><div class=\"views-field views-field-field-slideshow\"><div class=\"field-content\">  <img src=\"/sites/default/files/styles/image_1920_845/public/field/slideshow/slider01_0.jpg?itok=pJtNgbQz\" width=\"1920\" height=\"845\" alt=\"Off the wall\" title=\"Off the wall\" typeof=\"foaf:Image\" class=\"image-style-image-1920-845\" />\n\n\n</div></div></div>\n    <div class=\"views-row\"><div class=\"views-field views-field-field-slideshow\"><div class=\"field-content\">  <img src=\"/sites/default/files/styles/image_1920_845/public/field/slideshow/slider01.jpg?itok=oZlj1ppz\" width=\"1920\" height=\"845\" alt=\"Seeing the light\" title=\"Seeing the light\" typeof=\"foaf:Image\" class=\"image-style-image-1920-845\" />\n\n\n</div></div></div>\n    <div class=\"views-row\"><div class=\"views-field views-field-field-slideshow\"><div class=\"field-content\">  <img src=\"/sites/default/files/styles/image_1920_845/public/field/slideshow/slider02.jpg?itok=zHD8Qxbq\" width=\"1920\" height=\"845\" alt=\"Dare to bare\" title=\"Dare to bare\" typeof=\"foaf:Image\" class=\"image-style-image-1920-845\" />\n\n\n</div></div></div>\n    <div class=\"views-row\"><div class=\"views-field views-field-field-slideshow\"><div class=\"field-content\">  <img src=\"/sites/default/files/styles/image_1920_845/public/field/slideshow/slider01.jpg?itok=oZlj1ppz\" width=\"1920\" height=\"845\" alt=\"Seeing the light\" title=\"Seeing the light\" typeof=\"foaf:Image\" class=\"image-style-image-1920-845\" />\n\n\n</div></div></div>\n    <div class=\"views-row\"><div class=\"views-field views-field-field-slideshow\"><div class=\"field-content\">  <img src=\"/sites/default/files/styles/image_1920_845/public/field/slideshow/slider01_0.jpg?itok=pJtNgbQz\" width=\"1920\" height=\"845\" alt=\"Off the wall\" title=\"Off the wall\" typeof=\"foaf:Image\" class=\"image-style-image-1920-845\" />\n\n\n</div></div></div>\n\n    </div>\n  \n          </div>\n</div>\n\n    </div>\n  </div>\n\";}s:9:\"#attached\";a:2:{s:7:\"library\";a:2:{i:0;s:18:\"views/views.module\";i:1;s:18:\"views/views.module\";}s:14:\"drupalSettings\";a:0:{}}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:5:\"theme\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:12:{i:0;s:10:\"block_view\";i:1;s:49:\"config:block.block.views_block__slideshow_block_1\";i:2;s:41:\"config:field.storage.node.field_slideshow\";i:3;s:33:\"config:image.style.image_1920_845\";i:4;s:27:\"config:views.view.slideshow\";i:5;s:8:\"file:129\";i:6;s:8:\"file:130\";i:7;s:8:\"file:131\";i:8;s:7:\"node:12\";i:9;s:7:\"node:15\";i:10;s:7:\"node:16\";i:11;s:9:\"node_list\";}s:7:\"max-age\";i:-1;}}',-1,1636012249.936,1,'block_view config:block.block.views_block__slideshow_block_1 config:field.storage.node.field_slideshow config:image.style.image_1920_845 config:views.view.slideshow file:129 file:130 file:131 node:12 node:15 node:16 node_list rendered','8'),('entity_view:block:views_block__slideshow_block_1:[languages:language_content]=en:[languages:language_interface]=en:[theme]=luxestate:[user.node_grants:view]=view.all:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:3:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:2269:\"<div class=\"views-element-container block block-views block-views-blockslideshow-block-1\" id=\"block-views-block-slideshow-block-1\">\n  \n    \n      <div class=\"content\">\n      <div><div class=\"slideshow view view-slideshow view-id-slideshow view-display-id-block_1 js-view-dom-id-06207d0dfa3e3c72a4a71a8761fe76a8bb232dda4398e150d7ebccc2729e36cb\">\n  \n    \n      \n      <div class=\"view-content\">\n          <div class=\"views-row\"><div class=\"views-field views-field-field-slideshow\"><div class=\"field-content\">  <img src=\"/sites/default/files/styles/image_1920_845/public/field/slideshow/slider01_0.jpg?itok=pJtNgbQz\" width=\"1920\" height=\"845\" alt=\"Off the wall\" title=\"Off the wall\" typeof=\"foaf:Image\" class=\"image-style-image-1920-845\" />\n\n\n</div></div></div>\n    <div class=\"views-row\"><div class=\"views-field views-field-field-slideshow\"><div class=\"field-content\">  <img src=\"/sites/default/files/styles/image_1920_845/public/field/slideshow/slider01.jpg?itok=oZlj1ppz\" width=\"1920\" height=\"845\" alt=\"Seeing the light\" title=\"Seeing the light\" typeof=\"foaf:Image\" class=\"image-style-image-1920-845\" />\n\n\n</div></div></div>\n    <div class=\"views-row\"><div class=\"views-field views-field-field-slideshow\"><div class=\"field-content\">  <img src=\"/sites/default/files/styles/image_1920_845/public/field/slideshow/slider02.jpg?itok=zHD8Qxbq\" width=\"1920\" height=\"845\" alt=\"Dare to bare\" title=\"Dare to bare\" typeof=\"foaf:Image\" class=\"image-style-image-1920-845\" />\n\n\n</div></div></div>\n    <div class=\"views-row\"><div class=\"views-field views-field-field-slideshow\"><div class=\"field-content\">  <img src=\"/sites/default/files/styles/image_1920_845/public/field/slideshow/slider01.jpg?itok=oZlj1ppz\" width=\"1920\" height=\"845\" alt=\"Seeing the light\" title=\"Seeing the light\" typeof=\"foaf:Image\" class=\"image-style-image-1920-845\" />\n\n\n</div></div></div>\n    <div class=\"views-row\"><div class=\"views-field views-field-field-slideshow\"><div class=\"field-content\">  <img src=\"/sites/default/files/styles/image_1920_845/public/field/slideshow/slider01_0.jpg?itok=pJtNgbQz\" width=\"1920\" height=\"845\" alt=\"Off the wall\" title=\"Off the wall\" typeof=\"foaf:Image\" class=\"image-style-image-1920-845\" />\n\n\n</div></div></div>\n\n    </div>\n  \n          </div>\n</div>\n\n    </div>\n  </div>\n\";}s:9:\"#attached\";a:2:{s:7:\"library\";a:2:{i:0;s:18:\"views/views.module\";i:1;s:18:\"views/views.module\";}s:14:\"drupalSettings\";a:0:{}}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:5:\"theme\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:12:{i:0;s:10:\"block_view\";i:1;s:49:\"config:block.block.views_block__slideshow_block_1\";i:2;s:41:\"config:field.storage.node.field_slideshow\";i:3;s:33:\"config:image.style.image_1920_845\";i:4;s:27:\"config:views.view.slideshow\";i:5;s:8:\"file:129\";i:6;s:8:\"file:130\";i:7;s:8:\"file:131\";i:8;s:7:\"node:12\";i:9;s:7:\"node:15\";i:10;s:7:\"node:16\";i:11;s:9:\"node_list\";}s:7:\"max-age\";i:-1;}}',-1,1636711429.938,1,'block_view config:block.block.views_block__slideshow_block_1 config:field.storage.node.field_slideshow config:image.style.image_1920_845 config:views.view.slideshow file:129 file:130 file:131 node:12 node:15 node:16 node_list rendered','8'),('entity_view:block:views_block__slideshow_block_1:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:2:{s:15:\"#cache_redirect\";b:1;s:6:\"#cache\";a:5:{s:4:\"keys\";a:3:{i:0;s:11:\"entity_view\";i:1;s:5:\"block\";i:2;s:30:\"views_block__slideshow_block_1\";}s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:5:\"theme\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:12:{i:0;s:10:\"block_view\";i:1;s:49:\"config:block.block.views_block__slideshow_block_1\";i:2;s:41:\"config:field.storage.node.field_slideshow\";i:3;s:33:\"config:image.style.image_1920_845\";i:4;s:27:\"config:views.view.slideshow\";i:5;s:8:\"file:129\";i:6;s:8:\"file:130\";i:7;s:8:\"file:131\";i:8;s:7:\"node:12\";i:9;s:7:\"node:15\";i:10;s:7:\"node:16\";i:11;s:9:\"node_list\";}s:7:\"max-age\";i:-1;s:3:\"bin\";s:6:\"render\";}}',-1,1636012249.932,1,'block_view config:block.block.views_block__slideshow_block_1 config:field.storage.node.field_slideshow config:image.style.image_1920_845 config:views.view.slideshow file:129 file:130 file:131 node:12 node:15 node:16 node_list rendered','8'),('entity_view:block:views_block__slideshow_block_1:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:2:{s:15:\"#cache_redirect\";b:1;s:6:\"#cache\";a:5:{s:4:\"keys\";a:3:{i:0;s:11:\"entity_view\";i:1;s:5:\"block\";i:2;s:30:\"views_block__slideshow_block_1\";}s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:5:\"theme\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:12:{i:0;s:10:\"block_view\";i:1;s:49:\"config:block.block.views_block__slideshow_block_1\";i:2;s:41:\"config:field.storage.node.field_slideshow\";i:3;s:33:\"config:image.style.image_1920_845\";i:4;s:27:\"config:views.view.slideshow\";i:5;s:8:\"file:129\";i:6;s:8:\"file:130\";i:7;s:8:\"file:131\";i:8;s:7:\"node:12\";i:9;s:7:\"node:15\";i:10;s:7:\"node:16\";i:11;s:9:\"node_list\";}s:7:\"max-age\";i:-1;s:3:\"bin\";s:6:\"render\";}}',-1,1636711429.933,1,'block_view config:block.block.views_block__slideshow_block_1 config:field.storage.node.field_slideshow config:image.style.image_1920_845 config:views.view.slideshow file:129 file:130 file:131 node:12 node:15 node:16 node_list rendered','8'),('entity_view:user:1:full:en:[languages:language_content]=en:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:4:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:313:\"<article data-quickedit-entity-id=\"user/1\" class=\"contextual-region profile\" typeof=\"schema:Person\" about=\"/user/1\">\n  <div class=\"js-form-item form-item js-form-type-item form-type-item js-form-item- form-item- form-no-label\">\n        <h4 class=\"label\">Member for</h4> 5 years 3 months\n        </div>\n</article>\n\";}s:9:\"#attached\";a:1:{s:9:\"html_head\";a:1:{i:0;a:2:{i:0;a:2:{s:4:\"#tag\";s:4:\"meta\";s:11:\"#attributes\";a:4:{s:5:\"about\";s:7:\"/user/1\";s:8:\"property\";a:1:{i:0;s:11:\"schema:name\";}s:7:\"content\";s:5:\"admin\";s:4:\"lang\";s:0:\"\";}}i:1;s:17:\"rdf_user_username\";}}}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:2:{i:0;s:6:\"user:1\";i:1;s:9:\"user_view\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:1:{i:0;s:6:\"#title\";}}',-1,1637057270.357,1,'rendered user:1 user_view','4'),('shortcut_set_toolbar_links:[languages:language_interface]=en:[theme]=luxestate:[user]=1','a:3:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:237:\"<ul class=\"toolbar-menu\"><li><a href=\"/node/add\">Add content</a></li><li><a href=\"/admin/content\">All content</a></li></ul><a href=\"/admin/config/user-interface/shortcut/manage/default/customize\" class=\"edit-shortcuts\">Edit shortcuts</a>\";}s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:4:\"user\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:4:{i:0;s:27:\"config:shortcut.set.default\";i:1;s:30:\"config:user.role.administrator\";i:2;s:30:\"config:user.role.authenticated\";i:3;s:6:\"user:1\";}s:7:\"max-age\";i:-1;}}',-1,1637057271.536,1,'config:shortcut.set.default config:user.role.administrator config:user.role.authenticated rendered user:1','6'),('shortcut_set_toolbar_links:[languages:language_interface]=en:[theme]=seven:[user]=1','a:3:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:237:\"<ul class=\"toolbar-menu\"><li><a href=\"/node/add\">Add content</a></li><li><a href=\"/admin/content\">All content</a></li></ul><a href=\"/admin/config/user-interface/shortcut/manage/default/customize\" class=\"edit-shortcuts\">Edit shortcuts</a>\";}s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:4:\"user\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:4:{i:0;s:27:\"config:shortcut.set.default\";i:1;s:30:\"config:user.role.administrator\";i:2;s:30:\"config:user.role.authenticated\";i:3;s:6:\"user:1\";}s:7:\"max-age\";i:-1;}}',-1,1637057251.965,1,'config:shortcut.set.default config:user.role.administrator config:user.role.authenticated rendered user:1','6'),('toolbar:[languages:language_interface]=en:[session]=zryjHhMXtPUxO7cQOwWAy90L_rstQ5e4Yz1ACgkbXUY:[theme]=luxestate:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f:[user.roles:anonymous]=is-super-user','a:3:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:63602:\"<div id=\"toolbar-administration\" role=\"group\" aria-label=\"Site administration toolbar\" class=\"toolbar\">\n  <nav id=\"toolbar-bar\" role=\"navigation\" aria-label=\"Toolbar items\" class=\"toolbar-bar clearfix\">\n    <h2 class=\"visually-hidden\">Toolbar items</h2>\n                <div class=\"home-toolbar-tab toolbar-tab\">\n        <a href=\"/\" title=\"Return to site content\" class=\"toolbar-icon toolbar-icon-escape-admin toolbar-item\" data-toolbar-escape-admin>Back to site</a>\n        <div><nav class=\"toolbar-lining clearfix\" role=\"navigation\"></nav></div>      </div>\n                <div class=\"toolbar-tab\">\n        <a href=\"/admin\" title=\"Admin menu\" class=\"toolbar-icon toolbar-icon-menu trigger toolbar-item\" data-drupal-subtrees=\"\" id=\"toolbar-item-administration\" data-toolbar-tray=\"toolbar-item-administration-tray\" role=\"button\" aria-pressed=\"false\">Manage</a>\n        <div id=\"toolbar-item-administration-tray\" data-toolbar-tray=\"toolbar-item-administration-tray\" class=\"toolbar-tray\"><nav class=\"toolbar-lining clearfix\" role=\"navigation\" aria-label=\"Administration menu\"><h3 class=\"toolbar-tray-name visually-hidden\">Administration menu</h3><div class=\"toolbar-menu-administration\"><ul class=\"clearfix toolbar-menu\"><li class=\"menu-item menu-item--expanded\"><a href=\"/\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-help\" title=\"\" data-drupal-link-system-path=\"&lt;front&gt;\">Tools</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/index\" class=\"toolbar-icon toolbar-icon-system-admin-index\" title=\"\" data-drupal-link-system-path=\"admin/index\">Index</a></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/flush?token=-vYUsTab-SGnsqTR353M8epHdMSic5GWMCO-DZHoFRI\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-flush\" title=\"\" data-drupal-link-system-path=\"admin/flush\">Flush all caches</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/flush/cssjs?token=nPvdA_FFdCv-w3ZQqKl2tcvX2y1PgqDqKTydiKspxfU\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-cssjs\" title=\"\" data-drupal-link-system-path=\"admin/flush/cssjs\">Flush CSS and Javascript</a></li><li class=\"menu-item\"><a href=\"/admin/flush/plugin?token=ZMUWTyhHrQqo8ank40GXMmvsa9hBdL595FoCuw1XItw\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-plugin\" title=\"\" data-drupal-link-system-path=\"admin/flush/plugin\">Flush plugins cache</a></li><li class=\"menu-item\"><a href=\"/admin/flush/rendercache?token=tBx0twEB7umsWF5UeV8f9SjrNSFM3B5pUQiDdJJWso0\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-flush-rendercache\" title=\"\" data-drupal-link-system-path=\"admin/flush/rendercache\">Flush render cache</a></li><li class=\"menu-item\"><a href=\"/admin/flush/menu?token=XibUkmnp-KFjAi7YwGsceDaZ9p04P3_w2cW1Wl5lfLk\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-flush-menu\" title=\"\" data-drupal-link-system-path=\"admin/flush/menu\">Flush routing and links cache</a></li><li class=\"menu-item\"><a href=\"/admin/flush/static-caches?token=Uf2GbVIgggA8Xcxz88OKHX9Wqs7Qz7C8sPUDUu5nPiE\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-flush-static\" title=\"\" data-drupal-link-system-path=\"admin/flush/static-caches\">Flush static cache</a></li><li class=\"menu-item\"><a href=\"/admin/flush/twig?token=IjtasaT-ywBYQcsryGU7KlgOuZDDjmc0_-kf6kzitNM\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-flush-twig\" title=\"\" data-drupal-link-system-path=\"admin/flush/twig\">Flush twig cache</a></li><li class=\"menu-item\"><a href=\"/admin/flush/views?token=vR5SYQubui_OwuG_70LyvJm6NBBPW3lNnk8Piqx2_-Q\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksflush-views\" title=\"\" data-drupal-link-system-path=\"admin/flush/views\">Flush views cache</a></li><li class=\"menu-item\"><a href=\"/admin/flush/theme_rebuild?token=_eUcfb2XnYlV7mGHww0pIKZ2Ccvdkbcypig0oPmBphw\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-theme-rebuild\" title=\"\" data-drupal-link-system-path=\"admin/flush/theme_rebuild\">Rebuild theme registry</a></li></ul></li><li class=\"menu-item\"><a href=\"/run-cron?token=QrX7FQVJWZ11dOHZOqSrfi4uD-AxXoUw52uRW1wVTV4\" class=\"toolbar-icon toolbar-icon-system-run-cron\" title=\"\" data-drupal-link-system-path=\"run-cron\">Run cron</a></li><li class=\"menu-item\"><a href=\"/update.php\" class=\"toolbar-icon toolbar-icon-system-db-update\" title=\"\" data-drupal-link-system-path=\"update.php\">Run updates</a></li><li class=\"menu-item\"><a href=\"/user/logout\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksuser-logout\" title=\"\" data-drupal-link-system-path=\"user/logout\">Logout</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/content\" title=\"Find and manage content.\" class=\"toolbar-icon toolbar-icon-system-admin-content\" data-drupal-link-system-path=\"admin/content\">Content</a><ul class=\"toolbar-menu\"><li class=\"menu-item menu-item--expanded\"><a href=\"/node/add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksnode-add\" title=\"\" data-drupal-link-system-path=\"node/add\">Add content</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/node/add/article\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksnode-add-article\" title=\"\" data-drupal-link-system-path=\"node/add/article\">Article</a></li><li class=\"menu-item\"><a href=\"/node/add/banner\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksnode-add-banner\" title=\"\" data-drupal-link-system-path=\"node/add/banner\">Banner</a></li><li class=\"menu-item\"><a href=\"/node/add/page\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksnode-add-page\" title=\"\" data-drupal-link-system-path=\"node/add/page\">Basic page</a></li><li class=\"menu-item\"><a href=\"/node/add/blog\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksnode-add-blog\" title=\"\" data-drupal-link-system-path=\"node/add/blog\">Blog</a></li><li class=\"menu-item\"><a href=\"/node/add/simplenews_issue\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksnode-add-simplenews-issue\" title=\"\" data-drupal-link-system-path=\"node/add/simplenews_issue\">Newsletter Issue</a></li><li class=\"menu-item\"><a href=\"/node/add/our_mission\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksnode-add-our-mission\" title=\"\" data-drupal-link-system-path=\"node/add/our_mission\">Our mission</a></li><li class=\"menu-item\"><a href=\"/node/add/our_services\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksnode-add-our-services\" title=\"\" data-drupal-link-system-path=\"node/add/our_services\">Our services</a></li><li class=\"menu-item\"><a href=\"/node/add/partners\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksnode-add-partners\" title=\"\" data-drupal-link-system-path=\"node/add/partners\">Partners</a></li><li class=\"menu-item\"><a href=\"/node/add/portfolio\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksnode-add-portfolio\" title=\"\" data-drupal-link-system-path=\"node/add/portfolio\">Portfolio</a></li><li class=\"menu-item\"><a href=\"/node/add/why_us\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksnode-add-why-us\" title=\"\" data-drupal-link-system-path=\"node/add/why_us\">Why us</a></li></ul></li><li class=\"menu-item\"><a href=\"/admin/content/comment\" title=\"List and edit site comments and the comment approval queue.\" class=\"toolbar-icon toolbar-icon-comment-admin\" data-drupal-link-system-path=\"admin/content/comment\">Comments</a></li><li class=\"menu-item\"><a href=\"/admin/content/files\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksview-files\" title=\"\" data-drupal-link-system-path=\"admin/content/files\">Files</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure\" title=\"Administer blocks, content types, menus, etc.\" class=\"toolbar-icon toolbar-icon-system-admin-structure\" data-drupal-link-system-path=\"admin/structure\">Structure</a><ul class=\"toolbar-menu\"><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/block\" title=\"Configure what block content appears in your site&#039;s sidebars and other regions.\" class=\"toolbar-icon toolbar-icon-block-admin-display\" data-drupal-link-system-path=\"admin/structure/block\">Block layout</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/block/add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksblock-content-add-page\" title=\"\" data-drupal-link-system-path=\"block/add\">Add custom block</a></li><li class=\"menu-item\"><a href=\"/admin/structure/block/block-content/types\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-block-content-type-collection\" title=\"\" data-drupal-link-system-path=\"admin/structure/block/block-content/types\">Block types</a></li><li class=\"menu-item\"><a href=\"/admin/structure/block/block-content\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-block-content-collection\" title=\"\" data-drupal-link-system-path=\"admin/structure/block/block-content\">Custom block library</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/comment\" title=\"Manage form and displays settings of comments.\" class=\"toolbar-icon toolbar-icon-entity-comment-type-collection\" data-drupal-link-system-path=\"admin/structure/comment\">Comment types</a><ul class=\"toolbar-menu\"><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/comment/manage/comment\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-comment-type-edit-form-comment\" title=\"\" data-drupal-link-system-path=\"admin/structure/comment/manage/comment\">Default comments</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/structure/comment/manage/comment/fields\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-comment-field-ui-fieldscomment\" title=\"\" data-drupal-link-system-path=\"admin/structure/comment/manage/comment/fields\">Manage fields</a></li><li class=\"menu-item\"><a href=\"/admin/structure/comment/manage/comment/form-display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-form-display-comment-defaultcomment\" title=\"\" data-drupal-link-system-path=\"admin/structure/comment/manage/comment/form-display\">Manage form display</a></li><li class=\"menu-item\"><a href=\"/admin/structure/comment/manage/comment/display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-view-display-comment-default-comment\" title=\"\" data-drupal-link-system-path=\"admin/structure/comment/manage/comment/display\">Manage display</a></li><li class=\"menu-item\"><a href=\"/admin/structure/comment/manage/comment/delete\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-comment-type-delete-form-comment\" title=\"\" data-drupal-link-system-path=\"admin/structure/comment/manage/comment/delete\">Delete</a></li></ul></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/contact\" title=\"Create and manage contact forms.\" class=\"toolbar-icon toolbar-icon-entity-contact-form-collection\" data-drupal-link-system-path=\"admin/structure/contact\">Contact forms</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/structure/contact/add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linkscontact-form-add\" title=\"\" data-drupal-link-system-path=\"admin/structure/contact/add\">Add contact form</a></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/contact/manage/personal\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-contact-form-edit-form-personal\" title=\"\" data-drupal-link-system-path=\"admin/structure/contact/manage/personal\">Personal contact form</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/structure/contact/manage/personal/fields\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-contact-message-field-ui-fieldspersonal\" title=\"\" data-drupal-link-system-path=\"admin/structure/contact/manage/personal/fields\">Manage fields</a></li><li class=\"menu-item\"><a href=\"/admin/structure/contact/manage/personal/form-display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-form-display-contact-message-defaultpersonal\" title=\"\" data-drupal-link-system-path=\"admin/structure/contact/manage/personal/form-display\">Manage form display</a></li><li class=\"menu-item\"><a href=\"/admin/structure/contact/manage/personal/display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-view-display-contact-message-default-personal\" title=\"\" data-drupal-link-system-path=\"admin/structure/contact/manage/personal/display\">Manage display</a></li><li class=\"menu-item\"><a href=\"/admin/structure/contact/manage/personal/delete\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-contact-form-delete-form-personal\" title=\"\" data-drupal-link-system-path=\"admin/structure/contact/manage/personal/delete\">Delete</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/contact/manage/feedback\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-contact-form-edit-form-feedback\" title=\"\" data-drupal-link-system-path=\"admin/structure/contact/manage/feedback\">Website feedback</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/structure/contact/manage/feedback/fields\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-contact-message-field-ui-fieldsfeedback\" title=\"\" data-drupal-link-system-path=\"admin/structure/contact/manage/feedback/fields\">Manage fields</a></li><li class=\"menu-item\"><a href=\"/admin/structure/contact/manage/feedback/form-display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-form-display-contact-message-defaultfeedback\" title=\"\" data-drupal-link-system-path=\"admin/structure/contact/manage/feedback/form-display\">Manage form display</a></li><li class=\"menu-item\"><a href=\"/admin/structure/contact/manage/feedback/display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-view-display-contact-message-default-feedback\" title=\"\" data-drupal-link-system-path=\"admin/structure/contact/manage/feedback/display\">Manage display</a></li><li class=\"menu-item\"><a href=\"/admin/structure/contact/manage/feedback/delete\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-contact-form-delete-form-feedback\" title=\"\" data-drupal-link-system-path=\"admin/structure/contact/manage/feedback/delete\">Delete</a></li></ul></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/types\" title=\"Create and manage fields, forms, and display settings for your content.\" class=\"toolbar-icon toolbar-icon-entity-node-type-collection\" data-drupal-link-system-path=\"admin/structure/types\">Content types</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/structure/types/add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksnode-type-add\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/add\">Add content type</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksnode-type-collection\" title=\"\" data-drupal-link-system-path=\"admin/structure/types\">All types</a></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/types/manage/article\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-type-edit-form-article\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/article\">Article</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/article/fields\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-field-ui-fieldsarticle\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/article/fields\">Manage fields</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/article/form-display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-form-display-node-defaultarticle\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/article/form-display\">Manage form display</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/article/display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-view-display-node-default-article\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/article/display\">Manage display</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/article/delete\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-type-delete-form-article\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/article/delete\">Delete</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/types/manage/banner\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-type-edit-form-banner\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/banner\">Banner</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/banner/fields\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-field-ui-fieldsbanner\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/banner/fields\">Manage fields</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/banner/form-display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-form-display-node-defaultbanner\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/banner/form-display\">Manage form display</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/banner/display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-view-display-node-default-banner\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/banner/display\">Manage display</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/banner/delete\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-type-delete-form-banner\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/banner/delete\">Delete</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/types/manage/page\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-type-edit-form-page\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/page\">Basic page</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/page/fields\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-field-ui-fieldspage\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/page/fields\">Manage fields</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/page/form-display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-form-display-node-defaultpage\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/page/form-display\">Manage form display</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/page/display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-view-display-node-default-page\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/page/display\">Manage display</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/page/delete\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-type-delete-form-page\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/page/delete\">Delete</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/types/manage/blog\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-type-edit-form-blog\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/blog\">Blog</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/blog/fields\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-field-ui-fieldsblog\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/blog/fields\">Manage fields</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/blog/form-display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-form-display-node-defaultblog\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/blog/form-display\">Manage form display</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/blog/display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-view-display-node-default-blog\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/blog/display\">Manage display</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/blog/delete\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-type-delete-form-blog\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/blog/delete\">Delete</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/types/manage/simplenews_issue\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-type-edit-form-simplenews-issue\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/simplenews_issue\">Newsletter Issue</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/simplenews_issue/fields\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-field-ui-fieldssimplenews-issue\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/simplenews_issue/fields\">Manage fields</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/simplenews_issue/form-display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-form-display-node-defaultsimplenews-issue\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/simplenews_issue/form-display\">Manage form display</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/simplenews_issue/display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-view-display-node-default-simplenews-issue\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/simplenews_issue/display\">Manage display</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/simplenews_issue/delete\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-type-delete-form-simplenews-issue\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/simplenews_issue/delete\">Delete</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/types/manage/our_mission\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-type-edit-form-our-mission\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/our_mission\">Our mission</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/our_mission/fields\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-field-ui-fieldsour-mission\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/our_mission/fields\">Manage fields</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/our_mission/form-display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-form-display-node-defaultour-mission\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/our_mission/form-display\">Manage form display</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/our_mission/display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-view-display-node-default-our-mission\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/our_mission/display\">Manage display</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/our_mission/delete\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-type-delete-form-our-mission\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/our_mission/delete\">Delete</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/types/manage/our_services\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-type-edit-form-our-services\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/our_services\">Our services</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/our_services/fields\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-field-ui-fieldsour-services\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/our_services/fields\">Manage fields</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/our_services/form-display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-form-display-node-defaultour-services\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/our_services/form-display\">Manage form display</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/our_services/display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-view-display-node-default-our-services\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/our_services/display\">Manage display</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/our_services/delete\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-type-delete-form-our-services\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/our_services/delete\">Delete</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/types/manage/partners\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-type-edit-form-partners\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/partners\">Partners</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/partners/fields\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-field-ui-fieldspartners\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/partners/fields\">Manage fields</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/partners/form-display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-form-display-node-defaultpartners\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/partners/form-display\">Manage form display</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/partners/display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-view-display-node-default-partners\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/partners/display\">Manage display</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/partners/delete\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-type-delete-form-partners\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/partners/delete\">Delete</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/types/manage/portfolio\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-type-edit-form-portfolio\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/portfolio\">Portfolio</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/portfolio/fields\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-field-ui-fieldsportfolio\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/portfolio/fields\">Manage fields</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/portfolio/form-display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-form-display-node-defaultportfolio\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/portfolio/form-display\">Manage form display</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/portfolio/display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-view-display-node-default-portfolio\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/portfolio/display\">Manage display</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/portfolio/delete\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-type-delete-form-portfolio\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/portfolio/delete\">Delete</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/types/manage/why_us\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-type-edit-form-why-us\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/why_us\">Why us</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/why_us/fields\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-field-ui-fieldswhy-us\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/why_us/fields\">Manage fields</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/why_us/form-display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-form-display-node-defaultwhy-us\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/why_us/form-display\">Manage form display</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/why_us/display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-view-display-node-default-why-us\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/why_us/display\">Manage display</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/why_us/delete\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-type-delete-form-why-us\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/why_us/delete\">Delete</a></li></ul></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/display-modes\" title=\"Configure what displays are available for your content and forms.\" class=\"toolbar-icon toolbar-icon-field-ui-display-mode\" data-drupal-link-system-path=\"admin/structure/display-modes\">Display modes</a><ul class=\"toolbar-menu\"><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/display-modes/form\" title=\"Manage custom form modes.\" class=\"toolbar-icon toolbar-icon-entity-entity-form-mode-collection\" data-drupal-link-system-path=\"admin/structure/display-modes/form\">Form modes</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/structure/display-modes/form/add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksfield-ui-entity-form-mode-add\" title=\"\" data-drupal-link-system-path=\"admin/structure/display-modes/form/add\">Add form mode</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/display-modes/view\" title=\"Manage custom view modes.\" class=\"toolbar-icon toolbar-icon-entity-entity-view-mode-collection\" data-drupal-link-system-path=\"admin/structure/display-modes/view\">View modes</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/structure/display-modes/view/add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksfield-ui-entity-view-mode-add\" title=\"\" data-drupal-link-system-path=\"admin/structure/display-modes/view/add\">Add view mode</a></li></ul></li></ul></li><li class=\"menu-item\"><a href=\"/admin/structure/we-mega-menu\" title=\"List Of We Mega Menu Items\" class=\"toolbar-icon toolbar-icon-we-megamenu-admin\" data-drupal-link-system-path=\"admin/structure/we-mega-menu\">Drupal 8 Mega Menu</a></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/menu\" title=\"Manage menus and menu links.\" class=\"toolbar-icon toolbar-icon-entity-menu-collection\" data-drupal-link-system-path=\"admin/structure/menu\">Menus</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/structure/menu/add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-menu-add-form\" title=\"\" data-drupal-link-system-path=\"admin/structure/menu/add\">Add menu</a></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/menu/manage/admin\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-menu-edit-form-admin\" title=\"\" data-drupal-link-system-path=\"admin/structure/menu/manage/admin\">Administration</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/structure/menu/manage/admin/add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-menu-add-link-form-admin\" title=\"\" data-drupal-link-system-path=\"admin/structure/menu/manage/admin/add\">Add link</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/menu/manage/footer\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-menu-edit-form-footer\" title=\"\" data-drupal-link-system-path=\"admin/structure/menu/manage/footer\">Footer</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/structure/menu/manage/footer/add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-menu-add-link-form-footer\" title=\"\" data-drupal-link-system-path=\"admin/structure/menu/manage/footer/add\">Add link</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/menu/manage/main\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-menu-edit-form-main\" title=\"\" data-drupal-link-system-path=\"admin/structure/menu/manage/main\">Main navigation</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/structure/menu/manage/main/add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-menu-add-link-form-main\" title=\"\" data-drupal-link-system-path=\"admin/structure/menu/manage/main/add\">Add link</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/menu/manage/quick\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-menu-edit-form-quick\" title=\"\" data-drupal-link-system-path=\"admin/structure/menu/manage/quick\">Quick links</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/structure/menu/manage/quick/add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-menu-add-link-form-quick\" title=\"\" data-drupal-link-system-path=\"admin/structure/menu/manage/quick/add\">Add link</a></li><li class=\"menu-item\"><a href=\"/admin/structure/menu/manage/quick/delete\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-menu-delete-form-quick\" title=\"\" data-drupal-link-system-path=\"admin/structure/menu/manage/quick/delete\">Delete</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/menu/manage/tools\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-menu-edit-form-tools\" title=\"\" data-drupal-link-system-path=\"admin/structure/menu/manage/tools\">Tools</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/structure/menu/manage/tools/add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-menu-add-link-form-tools\" title=\"\" data-drupal-link-system-path=\"admin/structure/menu/manage/tools/add\">Add link</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/menu/manage/account\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-menu-edit-form-account\" title=\"\" data-drupal-link-system-path=\"admin/structure/menu/manage/account\">User account menu</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/structure/menu/manage/account/add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-menu-add-link-form-account\" title=\"\" data-drupal-link-system-path=\"admin/structure/menu/manage/account/add\">Add link</a></li></ul></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/taxonomy\" title=\"Manage tagging, categorization, and classification of your content.\" class=\"toolbar-icon toolbar-icon-entity-taxonomy-vocabulary-collection\" data-drupal-link-system-path=\"admin/structure/taxonomy\">Taxonomy</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/structure/taxonomy/add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-taxonomy-vocabulary-add-form\" title=\"\" data-drupal-link-system-path=\"admin/structure/taxonomy/add\">Add vocabulary</a></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/taxonomy/manage/tags/overview\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-taxonomy-vocabulary-overview-form-tags\" title=\"\" data-drupal-link-system-path=\"admin/structure/taxonomy/manage/tags/overview\">Tags</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/structure/taxonomy/manage/tags\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-taxonomy-vocabulary-edit-form-tags\" title=\"\" data-drupal-link-system-path=\"admin/structure/taxonomy/manage/tags\">Edit</a></li><li class=\"menu-item\"><a href=\"/admin/structure/taxonomy/manage/tags/overview/fields\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-taxonomy-term-field-ui-fieldstags\" title=\"\" data-drupal-link-system-path=\"admin/structure/taxonomy/manage/tags/overview/fields\">Manage fields</a></li><li class=\"menu-item\"><a href=\"/admin/structure/taxonomy/manage/tags/overview/form-display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-form-display-taxonomy-term-defaulttags\" title=\"\" data-drupal-link-system-path=\"admin/structure/taxonomy/manage/tags/overview/form-display\">Manage form display</a></li><li class=\"menu-item\"><a href=\"/admin/structure/taxonomy/manage/tags/overview/display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-view-display-taxonomy-term-default-tags\" title=\"\" data-drupal-link-system-path=\"admin/structure/taxonomy/manage/tags/overview/display\">Manage display</a></li><li class=\"menu-item\"><a href=\"/admin/structure/taxonomy/manage/tags/delete\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-taxonomy-vocabulary-delete-form-tags\" title=\"\" data-drupal-link-system-path=\"admin/structure/taxonomy/manage/tags/delete\">Delete</a></li></ul></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/views\" title=\"Manage customized lists of content.\" class=\"toolbar-icon toolbar-icon-entity-view-collection\" data-drupal-link-system-path=\"admin/structure/views\">Views</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/structure/views/add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksviews-ui-add\" title=\"\" data-drupal-link-system-path=\"admin/structure/views/add\">Add view</a></li></ul></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/appearance\" title=\"Select and configure themes.\" class=\"toolbar-icon toolbar-icon-system-themes-page\" data-drupal-link-system-path=\"admin/appearance\">Appearance</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/theme/install\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksupdate-theme-install\" title=\"\" data-drupal-link-system-path=\"admin/theme/install\">Install new theme</a></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/appearance/settings\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linkssystem-theme-settings\" title=\"\" data-drupal-link-system-path=\"admin/appearance/settings\">Settings</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/appearance/settings/bartik\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linkssystem-theme-settings-theme-bartik\" title=\"\" data-drupal-link-system-path=\"admin/appearance/settings/bartik\">Bartik</a></li><li class=\"menu-item\"><a href=\"/admin/appearance/settings/luxestate\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linkssystem-theme-settings-theme-luxestate\" title=\"\" data-drupal-link-system-path=\"admin/appearance/settings/luxestate\">Luxestate</a></li><li class=\"menu-item\"><a href=\"/admin/appearance/settings/seven\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linkssystem-theme-settings-theme-seven\" title=\"\" data-drupal-link-system-path=\"admin/appearance/settings/seven\">Seven</a></li></ul></li><li class=\"menu-item\"><a href=\"/admin/theme/update\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksupdate-theme-update\" title=\"\" data-drupal-link-system-path=\"admin/theme/update\">Update</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/modules\" title=\"Add and enable modules to extend site functionality.\" class=\"toolbar-icon toolbar-icon-system-modules-list\" data-drupal-link-system-path=\"admin/modules\">Extend</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/modules/install\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksupdate-module-install\" title=\"\" data-drupal-link-system-path=\"admin/modules/install\">Install new module</a></li><li class=\"menu-item\"><a href=\"/admin/modules/uninstall\" class=\"toolbar-icon toolbar-icon-system-modules-uninstall\" title=\"\" data-drupal-link-system-path=\"admin/modules/uninstall\">Uninstall module</a></li><li class=\"menu-item\"><a href=\"/admin/modules/update\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksupdate-module-update\" title=\"\" data-drupal-link-system-path=\"admin/modules/update\">Update</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/config\" title=\"Administer settings.\" class=\"toolbar-icon toolbar-icon-system-admin-config\" data-drupal-link-system-path=\"admin/config\">Configuration</a><ul class=\"toolbar-menu\"><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/config/people\" title=\"Configure user accounts.\" class=\"toolbar-icon toolbar-icon-user-admin-index\" data-drupal-link-system-path=\"admin/config/people\">People</a><ul class=\"toolbar-menu\"><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/config/people/accounts\" title=\"Configure default user account settings, including fields, registration requirements, and email messages.\" class=\"toolbar-icon toolbar-icon-entity-user-admin-form\" data-drupal-link-system-path=\"admin/config/people/accounts\">Account settings</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/config/people/accounts/fields\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-user-field-ui-fields-\" title=\"\" data-drupal-link-system-path=\"admin/config/people/accounts/fields\">Manage fields</a></li><li class=\"menu-item\"><a href=\"/admin/config/people/accounts/form-display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-form-display-user-default-\" title=\"\" data-drupal-link-system-path=\"admin/config/people/accounts/form-display\">Manage form display</a></li><li class=\"menu-item\"><a href=\"/admin/config/people/accounts/display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-view-display-user-default-\" title=\"\" data-drupal-link-system-path=\"admin/config/people/accounts/display\">Manage display</a></li></ul></li><li class=\"menu-item\"><a href=\"/admin/config/people/simplenews/settings/subscriber\" title=\"Administer your subscriber settings.\" class=\"toolbar-icon toolbar-icon-simplenews-subscriber-settings\" data-drupal-link-system-path=\"admin/config/people/simplenews/settings/subscriber\">Subscriber settings</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/config/system\" title=\"Configure basic site settings, actions, and cron.\" class=\"toolbar-icon toolbar-icon-system-admin-config-system\" data-drupal-link-system-path=\"admin/config/system\">System</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/config/system/site-information\" title=\"Change site name, email address, slogan, default front page, and error pages.\" class=\"toolbar-icon toolbar-icon-system-site-information-settings\" data-drupal-link-system-path=\"admin/config/system/site-information\">Basic site settings</a></li><li class=\"menu-item\"><a href=\"/admin/config/system/cron\" title=\"Manage automatic site maintenance tasks.\" class=\"toolbar-icon toolbar-icon-system-cron-settings\" data-drupal-link-system-path=\"admin/config/system/cron\">Cron</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/config/content\" title=\"Configure content formatting and authoring.\" class=\"toolbar-icon toolbar-icon-system-admin-config-content\" data-drupal-link-system-path=\"admin/config/content\">Content authoring</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/config/content/formats\" title=\"Select and configure text editors, and how content is filtered when displayed.\" class=\"toolbar-icon toolbar-icon-filter-admin-overview\" data-drupal-link-system-path=\"admin/config/content/formats\">Text formats and editors</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/config/user-interface\" title=\"Configure the administrative user interface.\" class=\"toolbar-icon toolbar-icon-system-admin-config-ui\" data-drupal-link-system-path=\"admin/config/user-interface\">User interface</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/config/user-interface/shortcut\" title=\"Add and modify shortcut sets.\" class=\"toolbar-icon toolbar-icon-entity-shortcut-set-collection\" data-drupal-link-system-path=\"admin/config/user-interface/shortcut\">Shortcuts</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/config/development\" title=\"Configure and use development tools.\" class=\"toolbar-icon toolbar-icon-system-admin-config-development\" data-drupal-link-system-path=\"admin/config/development\">Development</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/config/development/performance\" title=\"Configure caching and bandwidth optimization.\" class=\"toolbar-icon toolbar-icon-system-performance-settings\" data-drupal-link-system-path=\"admin/config/development/performance\">Performance</a></li><li class=\"menu-item\"><a href=\"/admin/config/development/logging\" title=\"Configure the display of error messages and database logging.\" class=\"toolbar-icon toolbar-icon-system-logging-settings\" data-drupal-link-system-path=\"admin/config/development/logging\">Logging and errors</a></li><li class=\"menu-item\"><a href=\"/admin/config/development/maintenance\" title=\"Take the site offline for updates and other maintenance tasks.\" class=\"toolbar-icon toolbar-icon-system-site-maintenance-mode\" data-drupal-link-system-path=\"admin/config/development/maintenance\">Maintenance mode</a></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/config/development/configuration\" title=\"Import and export your configuration.\" class=\"toolbar-icon toolbar-icon-config-sync\" data-drupal-link-system-path=\"admin/config/development/configuration\">Configuration synchronization</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/config/development/configuration/full/import\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksconfig-import\" title=\"\" data-drupal-link-system-path=\"admin/config/development/configuration/full/import\">Import</a></li><li class=\"menu-item\"><a href=\"/admin/config/development/configuration/full/export\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksconfig-export\" title=\"\" data-drupal-link-system-path=\"admin/config/development/configuration/full/export\">Export</a></li></ul></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/config/media\" class=\"toolbar-icon toolbar-icon-system-admin-config-media\" title=\"\" data-drupal-link-system-path=\"admin/config/media\">Media</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/config/media/colorbox\" title=\"Configure the Colorbox settings.\" class=\"toolbar-icon toolbar-icon-colorbox-admin-settings\" data-drupal-link-system-path=\"admin/config/media/colorbox\">Colorbox settings</a></li><li class=\"menu-item\"><a href=\"/admin/config/media/file-system\" title=\"Configure the location of uploaded files and how they are accessed.\" class=\"toolbar-icon toolbar-icon-system-file-system-settings\" data-drupal-link-system-path=\"admin/config/media/file-system\">File system</a></li><li class=\"menu-item\"><a href=\"/admin/config/media/image-styles\" title=\"Configure styles that can be used for resizing or adjusting images on display.\" class=\"toolbar-icon toolbar-icon-entity-image-style-collection\" data-drupal-link-system-path=\"admin/config/media/image-styles\">Image styles</a></li><li class=\"menu-item\"><a href=\"/admin/config/media/responsive-image-style\" title=\"Manage responsive image styles.\" class=\"toolbar-icon toolbar-icon-entity-responsive-image-style-collection\" data-drupal-link-system-path=\"admin/config/media/responsive-image-style\">Responsive image styles</a></li><li class=\"menu-item\"><a href=\"/admin/config/media/image-toolkit\" title=\"Choose which image toolkit to use if you have installed optional toolkits.\" class=\"toolbar-icon toolbar-icon-system-image-toolkit-settings\" data-drupal-link-system-path=\"admin/config/media/image-toolkit\">Image toolkit</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/config/search\" title=\"Configure site search, metadata, and search engine optimization.\" class=\"toolbar-icon toolbar-icon-system-admin-config-search\" data-drupal-link-system-path=\"admin/config/search\">Search and metadata</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/config/search/pages\" title=\"Configure search pages and search indexing options.\" class=\"toolbar-icon toolbar-icon-entity-search-page-collection\" data-drupal-link-system-path=\"admin/config/search/pages\">Search pages</a></li><li class=\"menu-item\"><a href=\"/admin/config/search/path\" title=\"Add custom URLs to existing paths.\" class=\"toolbar-icon toolbar-icon-entity-path-alias-collection\" data-drupal-link-system-path=\"admin/config/search/path\">URL aliases</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/config/regional\" title=\"Configure regional settings, localization, and translation.\" class=\"toolbar-icon toolbar-icon-system-admin-config-regional\" data-drupal-link-system-path=\"admin/config/regional\">Regional and language</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/config/regional/settings\" title=\"Configure the locale and timezone settings.\" class=\"toolbar-icon toolbar-icon-system-regional-settings\" data-drupal-link-system-path=\"admin/config/regional/settings\">Regional settings</a></li><li class=\"menu-item\"><a href=\"/admin/config/regional/date-time\" title=\"Configure how dates and times are displayed.\" class=\"toolbar-icon toolbar-icon-entity-date-format-collection\" data-drupal-link-system-path=\"admin/config/regional/date-time\">Date and time formats</a></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/config/regional/language\" title=\"Configure languages for content, interface, and configuration.\" class=\"toolbar-icon toolbar-icon-entity-configurable-language-collection\" data-drupal-link-system-path=\"admin/config/regional/language\">Languages</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/config/regional/language/add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linkslanguage-add\" title=\"\" data-drupal-link-system-path=\"admin/config/regional/language/add\">Add language</a></li><li class=\"menu-item\"><a href=\"/admin/config/regional/language/detection\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linkslanguage-negotiation\" title=\"\" data-drupal-link-system-path=\"admin/config/regional/language/detection\">Detection and selection</a></li></ul></li><li class=\"menu-item\"><a href=\"/admin/config/regional/content-language\" title=\"Configure language and translation support for content.\" class=\"toolbar-icon toolbar-icon-language-content-settings-page\" data-drupal-link-system-path=\"admin/config/regional/content-language\">Content language and translation</a></li><li class=\"menu-item\"><a href=\"/admin/config/regional/translate\" title=\"Configure the import of translation files, and add or customize interface translations.\" class=\"toolbar-icon toolbar-icon-locale-translate-page\" data-drupal-link-system-path=\"admin/config/regional/translate\">User interface translation</a></li><li class=\"menu-item\"><a href=\"/admin/config/regional/config-translation\" title=\"Translate the configuration.\" class=\"toolbar-icon toolbar-icon-config-translation-mapper-list\" data-drupal-link-system-path=\"admin/config/regional/config-translation\">Configuration translation</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/config/services\" class=\"toolbar-icon toolbar-icon-system-admin-config-services\" title=\"\" data-drupal-link-system-path=\"admin/config/services\">Web services</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/config/services/rss-publishing\" title=\"Configure the site description, the number of items per feed, and whether feeds should be titles/teasers/full-text.\" class=\"toolbar-icon toolbar-icon-system-rss-feeds-settings\" data-drupal-link-system-path=\"admin/config/services/rss-publishing\">RSS publishing</a></li><li class=\"menu-item\"><a href=\"/admin/config/services/sharethis\" title=\"Choose the widget, button family, and services for using ShareThis to share content online.\" class=\"toolbar-icon toolbar-icon-sharethis-configuration-form\" data-drupal-link-system-path=\"admin/config/services/sharethis\">ShareThis</a></li><li class=\"menu-item\"><a href=\"/admin/config/services/simplenews\" title=\"Configure your sites newsletters.\" class=\"toolbar-icon toolbar-icon-simplenews-settings\" data-drupal-link-system-path=\"admin/config/services/simplenews\">Simplenews</a></li></ul></li><li class=\"menu-item\"><a href=\"/admin/config/workflow\" title=\"Manage the content workflow.\" class=\"toolbar-icon toolbar-icon-system-admin-config-workflow\" data-drupal-link-system-path=\"admin/config/workflow\">Workflow</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/people\" title=\"Manage user accounts, roles, and permissions.\" class=\"toolbar-icon toolbar-icon-entity-user-collection\" data-drupal-link-system-path=\"admin/people\">People</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/people/create\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksuser-admin-create\" title=\"\" data-drupal-link-system-path=\"admin/people/create\">Add user</a></li><li class=\"menu-item\"><a href=\"/admin/people/permissions\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksuser-admin-permissions\" title=\"\" data-drupal-link-system-path=\"admin/people/permissions\">Permissions</a></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/people/roles\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-user-role-collection\" title=\"\" data-drupal-link-system-path=\"admin/people/roles\">Roles</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/people/roles/add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksuser-role-add\" title=\"\" data-drupal-link-system-path=\"admin/people/roles/add\">Add role</a></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/people/roles/manage/administrator\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-user-role-edit-form-administrator\" title=\"\" data-drupal-link-system-path=\"admin/people/roles/manage/administrator\">Administrator</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/people/roles/manage/administrator/delete\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-user-role-delete-form-administrator\" title=\"\" data-drupal-link-system-path=\"admin/people/roles/manage/administrator/delete\">Delete</a></li><li class=\"menu-item\"><a href=\"/admin/people/permissions/administrator\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-user-role-edit-permissions-form-administrator\" title=\"\" data-drupal-link-system-path=\"admin/people/permissions/administrator\">Edit permissions</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/people/roles/manage/anonymous\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-user-role-edit-form-anonymous\" title=\"\" data-drupal-link-system-path=\"admin/people/roles/manage/anonymous\">Anonymous user</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/people/permissions/anonymous\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-user-role-edit-permissions-form-anonymous\" title=\"\" data-drupal-link-system-path=\"admin/people/permissions/anonymous\">Edit permissions</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/people/roles/manage/authenticated\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-user-role-edit-form-authenticated\" title=\"\" data-drupal-link-system-path=\"admin/people/roles/manage/authenticated\">Authenticated user</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/people/permissions/authenticated\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-user-role-edit-permissions-form-authenticated\" title=\"\" data-drupal-link-system-path=\"admin/people/permissions/authenticated\">Edit permissions</a></li></ul></li></ul></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/reports\" title=\"View reports, updates, and errors.\" class=\"toolbar-icon toolbar-icon-system-admin-reports\" data-drupal-link-system-path=\"admin/reports\">Reports</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/reports/updates\" title=\"Get a status report about available updates for your installed modules and themes.\" class=\"toolbar-icon toolbar-icon-update-status\" data-drupal-link-system-path=\"admin/reports/updates\">Available updates</a></li><li class=\"menu-item\"><a href=\"/admin/reports/dblog\" title=\"View events that have recently been logged.\" class=\"toolbar-icon toolbar-icon-dblog-overview\" data-drupal-link-system-path=\"admin/reports/dblog\">Recent log messages</a></li><li class=\"menu-item\"><a href=\"/admin/reports/translations\" title=\"Get a status report about available interface translations for your installed modules and themes.\" class=\"toolbar-icon toolbar-icon-locale-translate-status\" data-drupal-link-system-path=\"admin/reports/translations\">Available translation updates</a></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/reports/fields\" title=\"Overview of fields on all entity types.\" class=\"toolbar-icon toolbar-icon-entity-field-storage-config-collection\" data-drupal-link-system-path=\"admin/reports/fields\">Field list</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/reports/fields/views-fields\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksviews-ui-field-list\" title=\"\" data-drupal-link-system-path=\"admin/reports/fields/views-fields\">Used in views</a></li></ul></li><li class=\"menu-item\"><a href=\"/admin/reports/status\" title=\"Get a status report about your site&#039;s operation.\" class=\"toolbar-icon toolbar-icon-system-status\" data-drupal-link-system-path=\"admin/reports/status\">Status report</a></li><li class=\"menu-item\"><a href=\"/admin/reports/access-denied\" title=\"View &#039;access denied&#039; errors (403s).\" class=\"toolbar-icon toolbar-icon-dblog-access-denied\" data-drupal-link-system-path=\"admin/reports/access-denied\">Top &#039;access denied&#039; errors</a></li><li class=\"menu-item\"><a href=\"/admin/reports/page-not-found\" title=\"View &#039;page not found&#039; errors (404s).\" class=\"toolbar-icon toolbar-icon-dblog-page-not-found\" data-drupal-link-system-path=\"admin/reports/page-not-found\">Top &#039;page not found&#039; errors</a></li><li class=\"menu-item\"><a href=\"/admin/reports/search\" title=\"View most popular search phrases.\" class=\"toolbar-icon toolbar-icon-dblog-search\" data-drupal-link-system-path=\"admin/reports/search\">Top search phrases</a></li><li class=\"menu-item\"><a href=\"/admin/reports/views-plugins\" title=\"Overview of plugins used in all views.\" class=\"toolbar-icon toolbar-icon-views-ui-reports-plugins\" data-drupal-link-system-path=\"admin/reports/views-plugins\">Views plugins</a></li></ul></li><li class=\"menu-item\"><a href=\"/admin/help\" title=\"Reference for usage, configuration, and modules.\" class=\"toolbar-icon toolbar-icon-help-main\" data-drupal-link-system-path=\"admin/help\">Help</a></li></ul></div></nav></div>      </div>\n                <div class=\"toolbar-tab\">\n        <a href=\"/admin/config/user-interface/shortcut\" title=\"Shortcuts\" class=\"toolbar-icon toolbar-icon-shortcut trigger toolbar-item\" id=\"toolbar-item-shortcuts\" data-toolbar-tray=\"toolbar-item-shortcuts-tray\" role=\"button\" aria-pressed=\"false\">Shortcuts</a>\n        <div id=\"toolbar-item-shortcuts-tray\" data-toolbar-tray=\"toolbar-item-shortcuts-tray\" class=\"toolbar-tray\"><nav class=\"toolbar-lining clearfix\" role=\"navigation\" aria-label=\"User-defined shortcuts\"><h3 class=\"toolbar-tray-name visually-hidden\">User-defined shortcuts</h3><drupal-render-placeholder callback=\"shortcut.lazy_builders:lazyLinks\" arguments=\"\" token=\"N1997Wch59v-LxHku3-dD44wjkSNmhegNzlZ8jS0L5I\"></drupal-render-placeholder></nav></div>      </div>\n                <div class=\"toolbar-tab\">\n        \n        <div><nav class=\"toolbar-lining clearfix\" role=\"navigation\"></nav></div>      </div>\n                <div class=\"hidden contextual-toolbar-tab toolbar-tab\">\n        <button class=\"toolbar-icon toolbar-icon-edit toolbar-item\" aria-pressed=\"false\" type=\"button\">Edit</button>\n\n        <div><nav class=\"toolbar-lining clearfix\" role=\"navigation\"></nav></div>      </div>\n                <div class=\"tour-toolbar-tab hidden toolbar-tab\" id=\"toolbar-tab-tour\">\n        <button class=\"toolbar-icon toolbar-icon-help toolbar-item\" aria-pressed=\"false\" type=\"button\">Tour</button>\n\n        <div><nav class=\"toolbar-lining clearfix\" role=\"navigation\"></nav></div>      </div>\n                <div class=\"toolbar-tab\">\n        <a href=\"/user\" title=\"My account\" class=\"toolbar-icon toolbar-icon-user trigger toolbar-item\" id=\"toolbar-item-user\" data-toolbar-tray=\"toolbar-item-user-tray\" role=\"button\" aria-pressed=\"false\"><drupal-render-placeholder callback=\"user.toolbar_link_builder:renderDisplayName\" arguments=\"\" token=\"-MH2NzEnTzbzMk0ZGfGgoiw7G3j_-Q1ILWBRVhIOKLI\"></drupal-render-placeholder></a>\n        <div id=\"toolbar-item-user-tray\" data-toolbar-tray=\"toolbar-item-user-tray\" class=\"toolbar-tray\"><nav class=\"toolbar-lining clearfix\" role=\"navigation\" aria-label=\"User account actions\"><h3 class=\"toolbar-tray-name visually-hidden\">User account actions</h3><drupal-render-placeholder callback=\"user.toolbar_link_builder:renderToolbarLinks\" arguments=\"\" token=\"xssKdKFVFD7N0FUPPcC1C7LrqMHpQFVzUhrI4cOeEgs\"></drupal-render-placeholder></nav></div>      </div>\n                <div id=\"admin-toolbar-search-tab\" class=\"toolbar-tab\">\n        <div class=\"js-form-item form-item js-form-type-textfield form-type-textfield js-form-item- form-item- form-no-label\">\n        <input id=\"admin-toolbar-search-input\" aria-labelledby=\"toolbar-item-administration-search\" placeholder=\"Admin Toolbar quick search\" type=\"text\" size=\"30\" maxlength=\"128\" class=\"form-text\" />\n\n        </div>\n\n        <div><nav class=\"toolbar-lining clearfix\" role=\"navigation\"></nav></div>      </div>\n      </nav>\n  \n</div>\n\";}s:9:\"#attached\";a:3:{s:7:\"library\";a:9:{i:0;s:15:\"toolbar/toolbar\";i:1;s:27:\"admin_toolbar_search/search\";i:2;s:22:\"user/drupal.user.icons\";i:3;s:9:\"tour/tour\";i:4;s:36:\"contextual/drupal.contextual-toolbar\";i:5;s:32:\"admin_toolbar_tools/toolbar.icon\";i:6;s:24:\"shortcut/drupal.shortcut\";i:7;s:26:\"admin_toolbar/toolbar.tree\";i:8;s:27:\"toolbar/toolbar.escapeAdmin\";}s:12:\"placeholders\";a:13:{s:176:\"<drupal-render-placeholder callback=\"user.toolbar_link_builder:renderToolbarLinks\" arguments=\"\" token=\"xssKdKFVFD7N0FUPPcC1C7LrqMHpQFVzUhrI4cOeEgs\"></drupal-render-placeholder>\";a:1:{s:13:\"#lazy_builder\";a:2:{i:0;s:44:\"user.toolbar_link_builder:renderToolbarLinks\";i:1;a:0:{}}}s:175:\"<drupal-render-placeholder callback=\"user.toolbar_link_builder:renderDisplayName\" arguments=\"\" token=\"-MH2NzEnTzbzMk0ZGfGgoiw7G3j_-Q1ILWBRVhIOKLI\"></drupal-render-placeholder>\";a:1:{s:13:\"#lazy_builder\";a:2:{i:0;s:43:\"user.toolbar_link_builder:renderDisplayName\";i:1;a:0:{}}}s:164:\"<drupal-render-placeholder callback=\"shortcut.lazy_builders:lazyLinks\" arguments=\"\" token=\"N1997Wch59v-LxHku3-dD44wjkSNmhegNzlZ8jS0L5I\"></drupal-render-placeholder>\";a:2:{s:13:\"#lazy_builder\";a:2:{i:0;s:32:\"shortcut.lazy_builders:lazyLinks\";i:1;a:0:{}}s:6:\"#cache\";a:2:{s:4:\"keys\";a:1:{i:0;s:26:\"shortcut_set_toolbar_links\";}s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:4:\"user\";i:3;s:16:\"user.permissions\";}}}s:43:\"QrX7FQVJWZ11dOHZOqSrfi4uD-AxXoUw52uRW1wVTV4\";a:1:{s:13:\"#lazy_builder\";a:2:{i:0;s:47:\"route_processor_csrf:renderPlaceholderCsrfToken\";i:1;a:1:{i:0;s:8:\"run-cron\";}}}s:43:\"_eUcfb2XnYlV7mGHww0pIKZ2Ccvdkbcypig0oPmBphw\";a:1:{s:13:\"#lazy_builder\";a:2:{i:0;s:47:\"route_processor_csrf:renderPlaceholderCsrfToken\";i:1;a:1:{i:0;s:25:\"admin/flush/theme_rebuild\";}}}s:43:\"vR5SYQubui_OwuG_70LyvJm6NBBPW3lNnk8Piqx2_-Q\";a:1:{s:13:\"#lazy_builder\";a:2:{i:0;s:47:\"route_processor_csrf:renderPlaceholderCsrfToken\";i:1;a:1:{i:0;s:17:\"admin/flush/views\";}}}s:43:\"IjtasaT-ywBYQcsryGU7KlgOuZDDjmc0_-kf6kzitNM\";a:1:{s:13:\"#lazy_builder\";a:2:{i:0;s:47:\"route_processor_csrf:renderPlaceholderCsrfToken\";i:1;a:1:{i:0;s:16:\"admin/flush/twig\";}}}s:43:\"Uf2GbVIgggA8Xcxz88OKHX9Wqs7Qz7C8sPUDUu5nPiE\";a:1:{s:13:\"#lazy_builder\";a:2:{i:0;s:47:\"route_processor_csrf:renderPlaceholderCsrfToken\";i:1;a:1:{i:0;s:25:\"admin/flush/static-caches\";}}}s:43:\"XibUkmnp-KFjAi7YwGsceDaZ9p04P3_w2cW1Wl5lfLk\";a:1:{s:13:\"#lazy_builder\";a:2:{i:0;s:47:\"route_processor_csrf:renderPlaceholderCsrfToken\";i:1;a:1:{i:0;s:16:\"admin/flush/menu\";}}}s:43:\"tBx0twEB7umsWF5UeV8f9SjrNSFM3B5pUQiDdJJWso0\";a:1:{s:13:\"#lazy_builder\";a:2:{i:0;s:47:\"route_processor_csrf:renderPlaceholderCsrfToken\";i:1;a:1:{i:0;s:23:\"admin/flush/rendercache\";}}}s:43:\"ZMUWTyhHrQqo8ank40GXMmvsa9hBdL595FoCuw1XItw\";a:1:{s:13:\"#lazy_builder\";a:2:{i:0;s:47:\"route_processor_csrf:renderPlaceholderCsrfToken\";i:1;a:1:{i:0;s:18:\"admin/flush/plugin\";}}}s:43:\"nPvdA_FFdCv-w3ZQqKl2tcvX2y1PgqDqKTydiKspxfU\";a:1:{s:13:\"#lazy_builder\";a:2:{i:0;s:47:\"route_processor_csrf:renderPlaceholderCsrfToken\";i:1;a:1:{i:0;s:17:\"admin/flush/cssjs\";}}}s:43:\"-vYUsTab-SGnsqTR353M8epHdMSic5GWMCO-DZHoFRI\";a:1:{s:13:\"#lazy_builder\";a:2:{i:0;s:47:\"route_processor_csrf:renderPlaceholderCsrfToken\";i:1;a:1:{i:0;s:11:\"admin/flush\";}}}}s:14:\"drupalSettings\";a:2:{s:7:\"toolbar\";a:2:{s:11:\"breakpoints\";a:3:{s:14:\"toolbar.narrow\";s:35:\"only screen and (min-width: 16.5em)\";s:16:\"toolbar.standard\";s:37:\"only screen and (min-width: 38.125em)\";s:12:\"toolbar.wide\";s:33:\"only screen and (min-width: 61em)\";}s:12:\"subtreesHash\";s:43:\"5lau8T0wOGTsgPJRl8sK75VJtYrFeCGuBv0v4iyqcxk\";}s:18:\"adminToolbarSearch\";a:1:{s:14:\"loadExtraLinks\";b:1;}}}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:5:{i:0;s:28:\"languages:language_interface\";i:1;s:7:\"session\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";i:4;s:20:\"user.roles:anonymous\";}s:4:\"tags\";a:1:{i:0;s:24:\"config:system.menu.admin\";}s:7:\"max-age\";i:-1;}}',-1,1637057270.580,1,'config:system.menu.admin rendered','62'),('toolbar:[languages:language_interface]=en:[session]=zryjHhMXtPUxO7cQOwWAy90L_rstQ5e4Yz1ACgkbXUY:[theme]=seven:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f:[user.roles:anonymous]=is-super-user','a:3:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:63593:\"<div id=\"toolbar-administration\" role=\"group\" aria-label=\"Site administration toolbar\" class=\"toolbar\">\n  <nav id=\"toolbar-bar\" role=\"navigation\" aria-label=\"Toolbar items\" class=\"toolbar-bar clearfix\">\n    <h2 class=\"visually-hidden\">Toolbar items</h2>\n                <div class=\"home-toolbar-tab toolbar-tab\">\n        <a href=\"/\" title=\"Return to site content\" class=\"toolbar-icon toolbar-icon-escape-admin toolbar-item\" data-toolbar-escape-admin>Back to site</a>\n        <div><nav class=\"toolbar-lining clearfix\" role=\"navigation\"></nav></div>      </div>\n                <div class=\"toolbar-tab\">\n        <a href=\"/admin\" title=\"Admin menu\" class=\"toolbar-icon toolbar-icon-menu trigger toolbar-item\" data-drupal-subtrees=\"\" id=\"toolbar-item-administration\" data-toolbar-tray=\"toolbar-item-administration-tray\" role=\"button\" aria-pressed=\"false\">Manage</a>\n        <div id=\"toolbar-item-administration-tray\" data-toolbar-tray=\"toolbar-item-administration-tray\" class=\"toolbar-tray\"><nav class=\"toolbar-lining clearfix\" role=\"navigation\" aria-label=\"Administration menu\"><h3 class=\"toolbar-tray-name visually-hidden\">Administration menu</h3><div class=\"toolbar-menu-administration\"><ul class=\"toolbar-menu\"><li class=\"menu-item menu-item--expanded\"><a href=\"/\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-help\" title=\"\" data-drupal-link-system-path=\"&lt;front&gt;\">Tools</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/index\" class=\"toolbar-icon toolbar-icon-system-admin-index\" title=\"\" data-drupal-link-system-path=\"admin/index\">Index</a></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/flush?token=-vYUsTab-SGnsqTR353M8epHdMSic5GWMCO-DZHoFRI\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-flush\" title=\"\" data-drupal-link-system-path=\"admin/flush\">Flush all caches</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/flush/cssjs?token=nPvdA_FFdCv-w3ZQqKl2tcvX2y1PgqDqKTydiKspxfU\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-cssjs\" title=\"\" data-drupal-link-system-path=\"admin/flush/cssjs\">Flush CSS and Javascript</a></li><li class=\"menu-item\"><a href=\"/admin/flush/plugin?token=ZMUWTyhHrQqo8ank40GXMmvsa9hBdL595FoCuw1XItw\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-plugin\" title=\"\" data-drupal-link-system-path=\"admin/flush/plugin\">Flush plugins cache</a></li><li class=\"menu-item\"><a href=\"/admin/flush/rendercache?token=tBx0twEB7umsWF5UeV8f9SjrNSFM3B5pUQiDdJJWso0\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-flush-rendercache\" title=\"\" data-drupal-link-system-path=\"admin/flush/rendercache\">Flush render cache</a></li><li class=\"menu-item\"><a href=\"/admin/flush/menu?token=XibUkmnp-KFjAi7YwGsceDaZ9p04P3_w2cW1Wl5lfLk\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-flush-menu\" title=\"\" data-drupal-link-system-path=\"admin/flush/menu\">Flush routing and links cache</a></li><li class=\"menu-item\"><a href=\"/admin/flush/static-caches?token=Uf2GbVIgggA8Xcxz88OKHX9Wqs7Qz7C8sPUDUu5nPiE\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-flush-static\" title=\"\" data-drupal-link-system-path=\"admin/flush/static-caches\">Flush static cache</a></li><li class=\"menu-item\"><a href=\"/admin/flush/twig?token=IjtasaT-ywBYQcsryGU7KlgOuZDDjmc0_-kf6kzitNM\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-flush-twig\" title=\"\" data-drupal-link-system-path=\"admin/flush/twig\">Flush twig cache</a></li><li class=\"menu-item\"><a href=\"/admin/flush/views?token=vR5SYQubui_OwuG_70LyvJm6NBBPW3lNnk8Piqx2_-Q\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksflush-views\" title=\"\" data-drupal-link-system-path=\"admin/flush/views\">Flush views cache</a></li><li class=\"menu-item\"><a href=\"/admin/flush/theme_rebuild?token=_eUcfb2XnYlV7mGHww0pIKZ2Ccvdkbcypig0oPmBphw\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-theme-rebuild\" title=\"\" data-drupal-link-system-path=\"admin/flush/theme_rebuild\">Rebuild theme registry</a></li></ul></li><li class=\"menu-item\"><a href=\"/run-cron?token=QrX7FQVJWZ11dOHZOqSrfi4uD-AxXoUw52uRW1wVTV4\" class=\"toolbar-icon toolbar-icon-system-run-cron\" title=\"\" data-drupal-link-system-path=\"run-cron\">Run cron</a></li><li class=\"menu-item\"><a href=\"/update.php\" class=\"toolbar-icon toolbar-icon-system-db-update\" title=\"\" data-drupal-link-system-path=\"update.php\">Run updates</a></li><li class=\"menu-item\"><a href=\"/user/logout\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksuser-logout\" title=\"\" data-drupal-link-system-path=\"user/logout\">Logout</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/content\" title=\"Find and manage content.\" class=\"toolbar-icon toolbar-icon-system-admin-content\" data-drupal-link-system-path=\"admin/content\">Content</a><ul class=\"toolbar-menu\"><li class=\"menu-item menu-item--expanded\"><a href=\"/node/add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksnode-add\" title=\"\" data-drupal-link-system-path=\"node/add\">Add content</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/node/add/article\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksnode-add-article\" title=\"\" data-drupal-link-system-path=\"node/add/article\">Article</a></li><li class=\"menu-item\"><a href=\"/node/add/banner\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksnode-add-banner\" title=\"\" data-drupal-link-system-path=\"node/add/banner\">Banner</a></li><li class=\"menu-item\"><a href=\"/node/add/page\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksnode-add-page\" title=\"\" data-drupal-link-system-path=\"node/add/page\">Basic page</a></li><li class=\"menu-item\"><a href=\"/node/add/blog\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksnode-add-blog\" title=\"\" data-drupal-link-system-path=\"node/add/blog\">Blog</a></li><li class=\"menu-item\"><a href=\"/node/add/simplenews_issue\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksnode-add-simplenews-issue\" title=\"\" data-drupal-link-system-path=\"node/add/simplenews_issue\">Newsletter Issue</a></li><li class=\"menu-item\"><a href=\"/node/add/our_mission\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksnode-add-our-mission\" title=\"\" data-drupal-link-system-path=\"node/add/our_mission\">Our mission</a></li><li class=\"menu-item\"><a href=\"/node/add/our_services\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksnode-add-our-services\" title=\"\" data-drupal-link-system-path=\"node/add/our_services\">Our services</a></li><li class=\"menu-item\"><a href=\"/node/add/partners\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksnode-add-partners\" title=\"\" data-drupal-link-system-path=\"node/add/partners\">Partners</a></li><li class=\"menu-item\"><a href=\"/node/add/portfolio\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksnode-add-portfolio\" title=\"\" data-drupal-link-system-path=\"node/add/portfolio\">Portfolio</a></li><li class=\"menu-item\"><a href=\"/node/add/why_us\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksnode-add-why-us\" title=\"\" data-drupal-link-system-path=\"node/add/why_us\">Why us</a></li></ul></li><li class=\"menu-item\"><a href=\"/admin/content/comment\" title=\"List and edit site comments and the comment approval queue.\" class=\"toolbar-icon toolbar-icon-comment-admin\" data-drupal-link-system-path=\"admin/content/comment\">Comments</a></li><li class=\"menu-item\"><a href=\"/admin/content/files\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksview-files\" title=\"\" data-drupal-link-system-path=\"admin/content/files\">Files</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure\" title=\"Administer blocks, content types, menus, etc.\" class=\"toolbar-icon toolbar-icon-system-admin-structure\" data-drupal-link-system-path=\"admin/structure\">Structure</a><ul class=\"toolbar-menu\"><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/block\" title=\"Configure what block content appears in your site&#039;s sidebars and other regions.\" class=\"toolbar-icon toolbar-icon-block-admin-display\" data-drupal-link-system-path=\"admin/structure/block\">Block layout</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/block/add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksblock-content-add-page\" title=\"\" data-drupal-link-system-path=\"block/add\">Add custom block</a></li><li class=\"menu-item\"><a href=\"/admin/structure/block/block-content/types\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-block-content-type-collection\" title=\"\" data-drupal-link-system-path=\"admin/structure/block/block-content/types\">Block types</a></li><li class=\"menu-item\"><a href=\"/admin/structure/block/block-content\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-block-content-collection\" title=\"\" data-drupal-link-system-path=\"admin/structure/block/block-content\">Custom block library</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/comment\" title=\"Manage form and displays settings of comments.\" class=\"toolbar-icon toolbar-icon-entity-comment-type-collection\" data-drupal-link-system-path=\"admin/structure/comment\">Comment types</a><ul class=\"toolbar-menu\"><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/comment/manage/comment\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-comment-type-edit-form-comment\" title=\"\" data-drupal-link-system-path=\"admin/structure/comment/manage/comment\">Default comments</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/structure/comment/manage/comment/fields\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-comment-field-ui-fieldscomment\" title=\"\" data-drupal-link-system-path=\"admin/structure/comment/manage/comment/fields\">Manage fields</a></li><li class=\"menu-item\"><a href=\"/admin/structure/comment/manage/comment/form-display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-form-display-comment-defaultcomment\" title=\"\" data-drupal-link-system-path=\"admin/structure/comment/manage/comment/form-display\">Manage form display</a></li><li class=\"menu-item\"><a href=\"/admin/structure/comment/manage/comment/display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-view-display-comment-default-comment\" title=\"\" data-drupal-link-system-path=\"admin/structure/comment/manage/comment/display\">Manage display</a></li><li class=\"menu-item\"><a href=\"/admin/structure/comment/manage/comment/delete\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-comment-type-delete-form-comment\" title=\"\" data-drupal-link-system-path=\"admin/structure/comment/manage/comment/delete\">Delete</a></li></ul></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/contact\" title=\"Create and manage contact forms.\" class=\"toolbar-icon toolbar-icon-entity-contact-form-collection\" data-drupal-link-system-path=\"admin/structure/contact\">Contact forms</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/structure/contact/add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linkscontact-form-add\" title=\"\" data-drupal-link-system-path=\"admin/structure/contact/add\">Add contact form</a></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/contact/manage/personal\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-contact-form-edit-form-personal\" title=\"\" data-drupal-link-system-path=\"admin/structure/contact/manage/personal\">Personal contact form</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/structure/contact/manage/personal/fields\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-contact-message-field-ui-fieldspersonal\" title=\"\" data-drupal-link-system-path=\"admin/structure/contact/manage/personal/fields\">Manage fields</a></li><li class=\"menu-item\"><a href=\"/admin/structure/contact/manage/personal/form-display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-form-display-contact-message-defaultpersonal\" title=\"\" data-drupal-link-system-path=\"admin/structure/contact/manage/personal/form-display\">Manage form display</a></li><li class=\"menu-item\"><a href=\"/admin/structure/contact/manage/personal/display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-view-display-contact-message-default-personal\" title=\"\" data-drupal-link-system-path=\"admin/structure/contact/manage/personal/display\">Manage display</a></li><li class=\"menu-item\"><a href=\"/admin/structure/contact/manage/personal/delete\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-contact-form-delete-form-personal\" title=\"\" data-drupal-link-system-path=\"admin/structure/contact/manage/personal/delete\">Delete</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/contact/manage/feedback\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-contact-form-edit-form-feedback\" title=\"\" data-drupal-link-system-path=\"admin/structure/contact/manage/feedback\">Website feedback</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/structure/contact/manage/feedback/fields\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-contact-message-field-ui-fieldsfeedback\" title=\"\" data-drupal-link-system-path=\"admin/structure/contact/manage/feedback/fields\">Manage fields</a></li><li class=\"menu-item\"><a href=\"/admin/structure/contact/manage/feedback/form-display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-form-display-contact-message-defaultfeedback\" title=\"\" data-drupal-link-system-path=\"admin/structure/contact/manage/feedback/form-display\">Manage form display</a></li><li class=\"menu-item\"><a href=\"/admin/structure/contact/manage/feedback/display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-view-display-contact-message-default-feedback\" title=\"\" data-drupal-link-system-path=\"admin/structure/contact/manage/feedback/display\">Manage display</a></li><li class=\"menu-item\"><a href=\"/admin/structure/contact/manage/feedback/delete\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-contact-form-delete-form-feedback\" title=\"\" data-drupal-link-system-path=\"admin/structure/contact/manage/feedback/delete\">Delete</a></li></ul></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/types\" title=\"Create and manage fields, forms, and display settings for your content.\" class=\"toolbar-icon toolbar-icon-entity-node-type-collection\" data-drupal-link-system-path=\"admin/structure/types\">Content types</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/structure/types/add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksnode-type-add\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/add\">Add content type</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksnode-type-collection\" title=\"\" data-drupal-link-system-path=\"admin/structure/types\">All types</a></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/types/manage/article\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-type-edit-form-article\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/article\">Article</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/article/fields\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-field-ui-fieldsarticle\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/article/fields\">Manage fields</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/article/form-display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-form-display-node-defaultarticle\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/article/form-display\">Manage form display</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/article/display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-view-display-node-default-article\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/article/display\">Manage display</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/article/delete\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-type-delete-form-article\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/article/delete\">Delete</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/types/manage/banner\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-type-edit-form-banner\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/banner\">Banner</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/banner/fields\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-field-ui-fieldsbanner\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/banner/fields\">Manage fields</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/banner/form-display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-form-display-node-defaultbanner\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/banner/form-display\">Manage form display</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/banner/display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-view-display-node-default-banner\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/banner/display\">Manage display</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/banner/delete\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-type-delete-form-banner\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/banner/delete\">Delete</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/types/manage/page\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-type-edit-form-page\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/page\">Basic page</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/page/fields\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-field-ui-fieldspage\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/page/fields\">Manage fields</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/page/form-display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-form-display-node-defaultpage\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/page/form-display\">Manage form display</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/page/display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-view-display-node-default-page\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/page/display\">Manage display</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/page/delete\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-type-delete-form-page\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/page/delete\">Delete</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/types/manage/blog\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-type-edit-form-blog\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/blog\">Blog</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/blog/fields\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-field-ui-fieldsblog\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/blog/fields\">Manage fields</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/blog/form-display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-form-display-node-defaultblog\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/blog/form-display\">Manage form display</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/blog/display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-view-display-node-default-blog\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/blog/display\">Manage display</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/blog/delete\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-type-delete-form-blog\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/blog/delete\">Delete</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/types/manage/simplenews_issue\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-type-edit-form-simplenews-issue\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/simplenews_issue\">Newsletter Issue</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/simplenews_issue/fields\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-field-ui-fieldssimplenews-issue\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/simplenews_issue/fields\">Manage fields</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/simplenews_issue/form-display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-form-display-node-defaultsimplenews-issue\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/simplenews_issue/form-display\">Manage form display</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/simplenews_issue/display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-view-display-node-default-simplenews-issue\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/simplenews_issue/display\">Manage display</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/simplenews_issue/delete\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-type-delete-form-simplenews-issue\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/simplenews_issue/delete\">Delete</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/types/manage/our_mission\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-type-edit-form-our-mission\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/our_mission\">Our mission</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/our_mission/fields\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-field-ui-fieldsour-mission\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/our_mission/fields\">Manage fields</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/our_mission/form-display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-form-display-node-defaultour-mission\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/our_mission/form-display\">Manage form display</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/our_mission/display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-view-display-node-default-our-mission\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/our_mission/display\">Manage display</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/our_mission/delete\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-type-delete-form-our-mission\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/our_mission/delete\">Delete</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/types/manage/our_services\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-type-edit-form-our-services\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/our_services\">Our services</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/our_services/fields\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-field-ui-fieldsour-services\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/our_services/fields\">Manage fields</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/our_services/form-display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-form-display-node-defaultour-services\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/our_services/form-display\">Manage form display</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/our_services/display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-view-display-node-default-our-services\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/our_services/display\">Manage display</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/our_services/delete\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-type-delete-form-our-services\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/our_services/delete\">Delete</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/types/manage/partners\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-type-edit-form-partners\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/partners\">Partners</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/partners/fields\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-field-ui-fieldspartners\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/partners/fields\">Manage fields</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/partners/form-display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-form-display-node-defaultpartners\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/partners/form-display\">Manage form display</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/partners/display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-view-display-node-default-partners\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/partners/display\">Manage display</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/partners/delete\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-type-delete-form-partners\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/partners/delete\">Delete</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/types/manage/portfolio\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-type-edit-form-portfolio\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/portfolio\">Portfolio</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/portfolio/fields\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-field-ui-fieldsportfolio\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/portfolio/fields\">Manage fields</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/portfolio/form-display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-form-display-node-defaultportfolio\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/portfolio/form-display\">Manage form display</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/portfolio/display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-view-display-node-default-portfolio\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/portfolio/display\">Manage display</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/portfolio/delete\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-type-delete-form-portfolio\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/portfolio/delete\">Delete</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/types/manage/why_us\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-type-edit-form-why-us\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/why_us\">Why us</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/why_us/fields\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-field-ui-fieldswhy-us\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/why_us/fields\">Manage fields</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/why_us/form-display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-form-display-node-defaultwhy-us\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/why_us/form-display\">Manage form display</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/why_us/display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-view-display-node-default-why-us\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/why_us/display\">Manage display</a></li><li class=\"menu-item\"><a href=\"/admin/structure/types/manage/why_us/delete\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-node-type-delete-form-why-us\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/why_us/delete\">Delete</a></li></ul></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/display-modes\" title=\"Configure what displays are available for your content and forms.\" class=\"toolbar-icon toolbar-icon-field-ui-display-mode\" data-drupal-link-system-path=\"admin/structure/display-modes\">Display modes</a><ul class=\"toolbar-menu\"><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/display-modes/form\" title=\"Manage custom form modes.\" class=\"toolbar-icon toolbar-icon-entity-entity-form-mode-collection\" data-drupal-link-system-path=\"admin/structure/display-modes/form\">Form modes</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/structure/display-modes/form/add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksfield-ui-entity-form-mode-add\" title=\"\" data-drupal-link-system-path=\"admin/structure/display-modes/form/add\">Add form mode</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/display-modes/view\" title=\"Manage custom view modes.\" class=\"toolbar-icon toolbar-icon-entity-entity-view-mode-collection\" data-drupal-link-system-path=\"admin/structure/display-modes/view\">View modes</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/structure/display-modes/view/add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksfield-ui-entity-view-mode-add\" title=\"\" data-drupal-link-system-path=\"admin/structure/display-modes/view/add\">Add view mode</a></li></ul></li></ul></li><li class=\"menu-item\"><a href=\"/admin/structure/we-mega-menu\" title=\"List Of We Mega Menu Items\" class=\"toolbar-icon toolbar-icon-we-megamenu-admin\" data-drupal-link-system-path=\"admin/structure/we-mega-menu\">Drupal 8 Mega Menu</a></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/menu\" title=\"Manage menus and menu links.\" class=\"toolbar-icon toolbar-icon-entity-menu-collection\" data-drupal-link-system-path=\"admin/structure/menu\">Menus</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/structure/menu/add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-menu-add-form\" title=\"\" data-drupal-link-system-path=\"admin/structure/menu/add\">Add menu</a></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/menu/manage/admin\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-menu-edit-form-admin\" title=\"\" data-drupal-link-system-path=\"admin/structure/menu/manage/admin\">Administration</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/structure/menu/manage/admin/add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-menu-add-link-form-admin\" title=\"\" data-drupal-link-system-path=\"admin/structure/menu/manage/admin/add\">Add link</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/menu/manage/footer\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-menu-edit-form-footer\" title=\"\" data-drupal-link-system-path=\"admin/structure/menu/manage/footer\">Footer</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/structure/menu/manage/footer/add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-menu-add-link-form-footer\" title=\"\" data-drupal-link-system-path=\"admin/structure/menu/manage/footer/add\">Add link</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/menu/manage/main\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-menu-edit-form-main\" title=\"\" data-drupal-link-system-path=\"admin/structure/menu/manage/main\">Main navigation</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/structure/menu/manage/main/add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-menu-add-link-form-main\" title=\"\" data-drupal-link-system-path=\"admin/structure/menu/manage/main/add\">Add link</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/menu/manage/quick\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-menu-edit-form-quick\" title=\"\" data-drupal-link-system-path=\"admin/structure/menu/manage/quick\">Quick links</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/structure/menu/manage/quick/add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-menu-add-link-form-quick\" title=\"\" data-drupal-link-system-path=\"admin/structure/menu/manage/quick/add\">Add link</a></li><li class=\"menu-item\"><a href=\"/admin/structure/menu/manage/quick/delete\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-menu-delete-form-quick\" title=\"\" data-drupal-link-system-path=\"admin/structure/menu/manage/quick/delete\">Delete</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/menu/manage/tools\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-menu-edit-form-tools\" title=\"\" data-drupal-link-system-path=\"admin/structure/menu/manage/tools\">Tools</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/structure/menu/manage/tools/add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-menu-add-link-form-tools\" title=\"\" data-drupal-link-system-path=\"admin/structure/menu/manage/tools/add\">Add link</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/menu/manage/account\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-menu-edit-form-account\" title=\"\" data-drupal-link-system-path=\"admin/structure/menu/manage/account\">User account menu</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/structure/menu/manage/account/add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-menu-add-link-form-account\" title=\"\" data-drupal-link-system-path=\"admin/structure/menu/manage/account/add\">Add link</a></li></ul></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/taxonomy\" title=\"Manage tagging, categorization, and classification of your content.\" class=\"toolbar-icon toolbar-icon-entity-taxonomy-vocabulary-collection\" data-drupal-link-system-path=\"admin/structure/taxonomy\">Taxonomy</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/structure/taxonomy/add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-taxonomy-vocabulary-add-form\" title=\"\" data-drupal-link-system-path=\"admin/structure/taxonomy/add\">Add vocabulary</a></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/taxonomy/manage/tags/overview\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-taxonomy-vocabulary-overview-form-tags\" title=\"\" data-drupal-link-system-path=\"admin/structure/taxonomy/manage/tags/overview\">Tags</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/structure/taxonomy/manage/tags\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-taxonomy-vocabulary-edit-form-tags\" title=\"\" data-drupal-link-system-path=\"admin/structure/taxonomy/manage/tags\">Edit</a></li><li class=\"menu-item\"><a href=\"/admin/structure/taxonomy/manage/tags/overview/fields\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-taxonomy-term-field-ui-fieldstags\" title=\"\" data-drupal-link-system-path=\"admin/structure/taxonomy/manage/tags/overview/fields\">Manage fields</a></li><li class=\"menu-item\"><a href=\"/admin/structure/taxonomy/manage/tags/overview/form-display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-form-display-taxonomy-term-defaulttags\" title=\"\" data-drupal-link-system-path=\"admin/structure/taxonomy/manage/tags/overview/form-display\">Manage form display</a></li><li class=\"menu-item\"><a href=\"/admin/structure/taxonomy/manage/tags/overview/display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-view-display-taxonomy-term-default-tags\" title=\"\" data-drupal-link-system-path=\"admin/structure/taxonomy/manage/tags/overview/display\">Manage display</a></li><li class=\"menu-item\"><a href=\"/admin/structure/taxonomy/manage/tags/delete\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-taxonomy-vocabulary-delete-form-tags\" title=\"\" data-drupal-link-system-path=\"admin/structure/taxonomy/manage/tags/delete\">Delete</a></li></ul></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/structure/views\" title=\"Manage customized lists of content.\" class=\"toolbar-icon toolbar-icon-entity-view-collection\" data-drupal-link-system-path=\"admin/structure/views\">Views</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/structure/views/add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksviews-ui-add\" title=\"\" data-drupal-link-system-path=\"admin/structure/views/add\">Add view</a></li></ul></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/appearance\" title=\"Select and configure themes.\" class=\"toolbar-icon toolbar-icon-system-themes-page\" data-drupal-link-system-path=\"admin/appearance\">Appearance</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/theme/install\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksupdate-theme-install\" title=\"\" data-drupal-link-system-path=\"admin/theme/install\">Install new theme</a></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/appearance/settings\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linkssystem-theme-settings\" title=\"\" data-drupal-link-system-path=\"admin/appearance/settings\">Settings</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/appearance/settings/bartik\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linkssystem-theme-settings-theme-bartik\" title=\"\" data-drupal-link-system-path=\"admin/appearance/settings/bartik\">Bartik</a></li><li class=\"menu-item\"><a href=\"/admin/appearance/settings/luxestate\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linkssystem-theme-settings-theme-luxestate\" title=\"\" data-drupal-link-system-path=\"admin/appearance/settings/luxestate\">Luxestate</a></li><li class=\"menu-item\"><a href=\"/admin/appearance/settings/seven\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linkssystem-theme-settings-theme-seven\" title=\"\" data-drupal-link-system-path=\"admin/appearance/settings/seven\">Seven</a></li></ul></li><li class=\"menu-item\"><a href=\"/admin/theme/update\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksupdate-theme-update\" title=\"\" data-drupal-link-system-path=\"admin/theme/update\">Update</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/modules\" title=\"Add and enable modules to extend site functionality.\" class=\"toolbar-icon toolbar-icon-system-modules-list\" data-drupal-link-system-path=\"admin/modules\">Extend</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/modules/install\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksupdate-module-install\" title=\"\" data-drupal-link-system-path=\"admin/modules/install\">Install new module</a></li><li class=\"menu-item\"><a href=\"/admin/modules/uninstall\" class=\"toolbar-icon toolbar-icon-system-modules-uninstall\" title=\"\" data-drupal-link-system-path=\"admin/modules/uninstall\">Uninstall module</a></li><li class=\"menu-item\"><a href=\"/admin/modules/update\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksupdate-module-update\" title=\"\" data-drupal-link-system-path=\"admin/modules/update\">Update</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/config\" title=\"Administer settings.\" class=\"toolbar-icon toolbar-icon-system-admin-config\" data-drupal-link-system-path=\"admin/config\">Configuration</a><ul class=\"toolbar-menu\"><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/config/people\" title=\"Configure user accounts.\" class=\"toolbar-icon toolbar-icon-user-admin-index\" data-drupal-link-system-path=\"admin/config/people\">People</a><ul class=\"toolbar-menu\"><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/config/people/accounts\" title=\"Configure default user account settings, including fields, registration requirements, and email messages.\" class=\"toolbar-icon toolbar-icon-entity-user-admin-form\" data-drupal-link-system-path=\"admin/config/people/accounts\">Account settings</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/config/people/accounts/fields\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-user-field-ui-fields-\" title=\"\" data-drupal-link-system-path=\"admin/config/people/accounts/fields\">Manage fields</a></li><li class=\"menu-item\"><a href=\"/admin/config/people/accounts/form-display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-form-display-user-default-\" title=\"\" data-drupal-link-system-path=\"admin/config/people/accounts/form-display\">Manage form display</a></li><li class=\"menu-item\"><a href=\"/admin/config/people/accounts/display\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-entity-view-display-user-default-\" title=\"\" data-drupal-link-system-path=\"admin/config/people/accounts/display\">Manage display</a></li></ul></li><li class=\"menu-item\"><a href=\"/admin/config/people/simplenews/settings/subscriber\" title=\"Administer your subscriber settings.\" class=\"toolbar-icon toolbar-icon-simplenews-subscriber-settings\" data-drupal-link-system-path=\"admin/config/people/simplenews/settings/subscriber\">Subscriber settings</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/config/system\" title=\"Configure basic site settings, actions, and cron.\" class=\"toolbar-icon toolbar-icon-system-admin-config-system\" data-drupal-link-system-path=\"admin/config/system\">System</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/config/system/site-information\" title=\"Change site name, email address, slogan, default front page, and error pages.\" class=\"toolbar-icon toolbar-icon-system-site-information-settings\" data-drupal-link-system-path=\"admin/config/system/site-information\">Basic site settings</a></li><li class=\"menu-item\"><a href=\"/admin/config/system/cron\" title=\"Manage automatic site maintenance tasks.\" class=\"toolbar-icon toolbar-icon-system-cron-settings\" data-drupal-link-system-path=\"admin/config/system/cron\">Cron</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/config/content\" title=\"Configure content formatting and authoring.\" class=\"toolbar-icon toolbar-icon-system-admin-config-content\" data-drupal-link-system-path=\"admin/config/content\">Content authoring</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/config/content/formats\" title=\"Select and configure text editors, and how content is filtered when displayed.\" class=\"toolbar-icon toolbar-icon-filter-admin-overview\" data-drupal-link-system-path=\"admin/config/content/formats\">Text formats and editors</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/config/user-interface\" title=\"Configure the administrative user interface.\" class=\"toolbar-icon toolbar-icon-system-admin-config-ui\" data-drupal-link-system-path=\"admin/config/user-interface\">User interface</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/config/user-interface/shortcut\" title=\"Add and modify shortcut sets.\" class=\"toolbar-icon toolbar-icon-entity-shortcut-set-collection\" data-drupal-link-system-path=\"admin/config/user-interface/shortcut\">Shortcuts</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/config/development\" title=\"Configure and use development tools.\" class=\"toolbar-icon toolbar-icon-system-admin-config-development\" data-drupal-link-system-path=\"admin/config/development\">Development</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/config/development/performance\" title=\"Configure caching and bandwidth optimization.\" class=\"toolbar-icon toolbar-icon-system-performance-settings\" data-drupal-link-system-path=\"admin/config/development/performance\">Performance</a></li><li class=\"menu-item\"><a href=\"/admin/config/development/logging\" title=\"Configure the display of error messages and database logging.\" class=\"toolbar-icon toolbar-icon-system-logging-settings\" data-drupal-link-system-path=\"admin/config/development/logging\">Logging and errors</a></li><li class=\"menu-item\"><a href=\"/admin/config/development/maintenance\" title=\"Take the site offline for updates and other maintenance tasks.\" class=\"toolbar-icon toolbar-icon-system-site-maintenance-mode\" data-drupal-link-system-path=\"admin/config/development/maintenance\">Maintenance mode</a></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/config/development/configuration\" title=\"Import and export your configuration.\" class=\"toolbar-icon toolbar-icon-config-sync\" data-drupal-link-system-path=\"admin/config/development/configuration\">Configuration synchronization</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/config/development/configuration/full/import\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksconfig-import\" title=\"\" data-drupal-link-system-path=\"admin/config/development/configuration/full/import\">Import</a></li><li class=\"menu-item\"><a href=\"/admin/config/development/configuration/full/export\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksconfig-export\" title=\"\" data-drupal-link-system-path=\"admin/config/development/configuration/full/export\">Export</a></li></ul></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/config/media\" class=\"toolbar-icon toolbar-icon-system-admin-config-media\" title=\"\" data-drupal-link-system-path=\"admin/config/media\">Media</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/config/media/colorbox\" title=\"Configure the Colorbox settings.\" class=\"toolbar-icon toolbar-icon-colorbox-admin-settings\" data-drupal-link-system-path=\"admin/config/media/colorbox\">Colorbox settings</a></li><li class=\"menu-item\"><a href=\"/admin/config/media/file-system\" title=\"Configure the location of uploaded files and how they are accessed.\" class=\"toolbar-icon toolbar-icon-system-file-system-settings\" data-drupal-link-system-path=\"admin/config/media/file-system\">File system</a></li><li class=\"menu-item\"><a href=\"/admin/config/media/image-styles\" title=\"Configure styles that can be used for resizing or adjusting images on display.\" class=\"toolbar-icon toolbar-icon-entity-image-style-collection\" data-drupal-link-system-path=\"admin/config/media/image-styles\">Image styles</a></li><li class=\"menu-item\"><a href=\"/admin/config/media/responsive-image-style\" title=\"Manage responsive image styles.\" class=\"toolbar-icon toolbar-icon-entity-responsive-image-style-collection\" data-drupal-link-system-path=\"admin/config/media/responsive-image-style\">Responsive image styles</a></li><li class=\"menu-item\"><a href=\"/admin/config/media/image-toolkit\" title=\"Choose which image toolkit to use if you have installed optional toolkits.\" class=\"toolbar-icon toolbar-icon-system-image-toolkit-settings\" data-drupal-link-system-path=\"admin/config/media/image-toolkit\">Image toolkit</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/config/search\" title=\"Configure site search, metadata, and search engine optimization.\" class=\"toolbar-icon toolbar-icon-system-admin-config-search\" data-drupal-link-system-path=\"admin/config/search\">Search and metadata</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/config/search/pages\" title=\"Configure search pages and search indexing options.\" class=\"toolbar-icon toolbar-icon-entity-search-page-collection\" data-drupal-link-system-path=\"admin/config/search/pages\">Search pages</a></li><li class=\"menu-item\"><a href=\"/admin/config/search/path\" title=\"Add custom URLs to existing paths.\" class=\"toolbar-icon toolbar-icon-entity-path-alias-collection\" data-drupal-link-system-path=\"admin/config/search/path\">URL aliases</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/config/regional\" title=\"Configure regional settings, localization, and translation.\" class=\"toolbar-icon toolbar-icon-system-admin-config-regional\" data-drupal-link-system-path=\"admin/config/regional\">Regional and language</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/config/regional/settings\" title=\"Configure the locale and timezone settings.\" class=\"toolbar-icon toolbar-icon-system-regional-settings\" data-drupal-link-system-path=\"admin/config/regional/settings\">Regional settings</a></li><li class=\"menu-item\"><a href=\"/admin/config/regional/date-time\" title=\"Configure how dates and times are displayed.\" class=\"toolbar-icon toolbar-icon-entity-date-format-collection\" data-drupal-link-system-path=\"admin/config/regional/date-time\">Date and time formats</a></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/config/regional/language\" title=\"Configure languages for content, interface, and configuration.\" class=\"toolbar-icon toolbar-icon-entity-configurable-language-collection\" data-drupal-link-system-path=\"admin/config/regional/language\">Languages</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/config/regional/language/add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linkslanguage-add\" title=\"\" data-drupal-link-system-path=\"admin/config/regional/language/add\">Add language</a></li><li class=\"menu-item\"><a href=\"/admin/config/regional/language/detection\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linkslanguage-negotiation\" title=\"\" data-drupal-link-system-path=\"admin/config/regional/language/detection\">Detection and selection</a></li></ul></li><li class=\"menu-item\"><a href=\"/admin/config/regional/content-language\" title=\"Configure language and translation support for content.\" class=\"toolbar-icon toolbar-icon-language-content-settings-page\" data-drupal-link-system-path=\"admin/config/regional/content-language\">Content language and translation</a></li><li class=\"menu-item\"><a href=\"/admin/config/regional/translate\" title=\"Configure the import of translation files, and add or customize interface translations.\" class=\"toolbar-icon toolbar-icon-locale-translate-page\" data-drupal-link-system-path=\"admin/config/regional/translate\">User interface translation</a></li><li class=\"menu-item\"><a href=\"/admin/config/regional/config-translation\" title=\"Translate the configuration.\" class=\"toolbar-icon toolbar-icon-config-translation-mapper-list\" data-drupal-link-system-path=\"admin/config/regional/config-translation\">Configuration translation</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/config/services\" class=\"toolbar-icon toolbar-icon-system-admin-config-services\" title=\"\" data-drupal-link-system-path=\"admin/config/services\">Web services</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/config/services/rss-publishing\" title=\"Configure the site description, the number of items per feed, and whether feeds should be titles/teasers/full-text.\" class=\"toolbar-icon toolbar-icon-system-rss-feeds-settings\" data-drupal-link-system-path=\"admin/config/services/rss-publishing\">RSS publishing</a></li><li class=\"menu-item\"><a href=\"/admin/config/services/sharethis\" title=\"Choose the widget, button family, and services for using ShareThis to share content online.\" class=\"toolbar-icon toolbar-icon-sharethis-configuration-form\" data-drupal-link-system-path=\"admin/config/services/sharethis\">ShareThis</a></li><li class=\"menu-item\"><a href=\"/admin/config/services/simplenews\" title=\"Configure your sites newsletters.\" class=\"toolbar-icon toolbar-icon-simplenews-settings\" data-drupal-link-system-path=\"admin/config/services/simplenews\">Simplenews</a></li></ul></li><li class=\"menu-item\"><a href=\"/admin/config/workflow\" title=\"Manage the content workflow.\" class=\"toolbar-icon toolbar-icon-system-admin-config-workflow\" data-drupal-link-system-path=\"admin/config/workflow\">Workflow</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/people\" title=\"Manage user accounts, roles, and permissions.\" class=\"toolbar-icon toolbar-icon-entity-user-collection\" data-drupal-link-system-path=\"admin/people\">People</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/people/create\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksuser-admin-create\" title=\"\" data-drupal-link-system-path=\"admin/people/create\">Add user</a></li><li class=\"menu-item\"><a href=\"/admin/people/permissions\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksuser-admin-permissions\" title=\"\" data-drupal-link-system-path=\"admin/people/permissions\">Permissions</a></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/people/roles\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-user-role-collection\" title=\"\" data-drupal-link-system-path=\"admin/people/roles\">Roles</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/people/roles/add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksuser-role-add\" title=\"\" data-drupal-link-system-path=\"admin/people/roles/add\">Add role</a></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/people/roles/manage/administrator\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-user-role-edit-form-administrator\" title=\"\" data-drupal-link-system-path=\"admin/people/roles/manage/administrator\">Administrator</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/people/roles/manage/administrator/delete\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-user-role-delete-form-administrator\" title=\"\" data-drupal-link-system-path=\"admin/people/roles/manage/administrator/delete\">Delete</a></li><li class=\"menu-item\"><a href=\"/admin/people/permissions/administrator\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-user-role-edit-permissions-form-administrator\" title=\"\" data-drupal-link-system-path=\"admin/people/permissions/administrator\">Edit permissions</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/people/roles/manage/anonymous\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-user-role-edit-form-anonymous\" title=\"\" data-drupal-link-system-path=\"admin/people/roles/manage/anonymous\">Anonymous user</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/people/permissions/anonymous\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-user-role-edit-permissions-form-anonymous\" title=\"\" data-drupal-link-system-path=\"admin/people/permissions/anonymous\">Edit permissions</a></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/people/roles/manage/authenticated\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-user-role-edit-form-authenticated\" title=\"\" data-drupal-link-system-path=\"admin/people/roles/manage/authenticated\">Authenticated user</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/people/permissions/authenticated\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksentity-user-role-edit-permissions-form-authenticated\" title=\"\" data-drupal-link-system-path=\"admin/people/permissions/authenticated\">Edit permissions</a></li></ul></li></ul></li></ul></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/reports\" title=\"View reports, updates, and errors.\" class=\"toolbar-icon toolbar-icon-system-admin-reports\" data-drupal-link-system-path=\"admin/reports\">Reports</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/reports/updates\" title=\"Get a status report about available updates for your installed modules and themes.\" class=\"toolbar-icon toolbar-icon-update-status\" data-drupal-link-system-path=\"admin/reports/updates\">Available updates</a></li><li class=\"menu-item\"><a href=\"/admin/reports/dblog\" title=\"View events that have recently been logged.\" class=\"toolbar-icon toolbar-icon-dblog-overview\" data-drupal-link-system-path=\"admin/reports/dblog\">Recent log messages</a></li><li class=\"menu-item\"><a href=\"/admin/reports/translations\" title=\"Get a status report about available interface translations for your installed modules and themes.\" class=\"toolbar-icon toolbar-icon-locale-translate-status\" data-drupal-link-system-path=\"admin/reports/translations\">Available translation updates</a></li><li class=\"menu-item menu-item--expanded\"><a href=\"/admin/reports/fields\" title=\"Overview of fields on all entity types.\" class=\"toolbar-icon toolbar-icon-entity-field-storage-config-collection\" data-drupal-link-system-path=\"admin/reports/fields\">Field list</a><ul class=\"toolbar-menu\"><li class=\"menu-item\"><a href=\"/admin/reports/fields/views-fields\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-linksviews-ui-field-list\" title=\"\" data-drupal-link-system-path=\"admin/reports/fields/views-fields\">Used in views</a></li></ul></li><li class=\"menu-item\"><a href=\"/admin/reports/status\" title=\"Get a status report about your site&#039;s operation.\" class=\"toolbar-icon toolbar-icon-system-status\" data-drupal-link-system-path=\"admin/reports/status\">Status report</a></li><li class=\"menu-item\"><a href=\"/admin/reports/access-denied\" title=\"View &#039;access denied&#039; errors (403s).\" class=\"toolbar-icon toolbar-icon-dblog-access-denied\" data-drupal-link-system-path=\"admin/reports/access-denied\">Top &#039;access denied&#039; errors</a></li><li class=\"menu-item\"><a href=\"/admin/reports/page-not-found\" title=\"View &#039;page not found&#039; errors (404s).\" class=\"toolbar-icon toolbar-icon-dblog-page-not-found\" data-drupal-link-system-path=\"admin/reports/page-not-found\">Top &#039;page not found&#039; errors</a></li><li class=\"menu-item\"><a href=\"/admin/reports/search\" title=\"View most popular search phrases.\" class=\"toolbar-icon toolbar-icon-dblog-search\" data-drupal-link-system-path=\"admin/reports/search\">Top search phrases</a></li><li class=\"menu-item\"><a href=\"/admin/reports/views-plugins\" title=\"Overview of plugins used in all views.\" class=\"toolbar-icon toolbar-icon-views-ui-reports-plugins\" data-drupal-link-system-path=\"admin/reports/views-plugins\">Views plugins</a></li></ul></li><li class=\"menu-item\"><a href=\"/admin/help\" title=\"Reference for usage, configuration, and modules.\" class=\"toolbar-icon toolbar-icon-help-main\" data-drupal-link-system-path=\"admin/help\">Help</a></li></ul></div></nav></div>      </div>\n                <div class=\"toolbar-tab\">\n        <a href=\"/admin/config/user-interface/shortcut\" title=\"Shortcuts\" class=\"toolbar-icon toolbar-icon-shortcut trigger toolbar-item\" id=\"toolbar-item-shortcuts\" data-toolbar-tray=\"toolbar-item-shortcuts-tray\" role=\"button\" aria-pressed=\"false\">Shortcuts</a>\n        <div id=\"toolbar-item-shortcuts-tray\" data-toolbar-tray=\"toolbar-item-shortcuts-tray\" class=\"toolbar-tray\"><nav class=\"toolbar-lining clearfix\" role=\"navigation\" aria-label=\"User-defined shortcuts\"><h3 class=\"toolbar-tray-name visually-hidden\">User-defined shortcuts</h3><drupal-render-placeholder callback=\"shortcut.lazy_builders:lazyLinks\" arguments=\"\" token=\"N1997Wch59v-LxHku3-dD44wjkSNmhegNzlZ8jS0L5I\"></drupal-render-placeholder></nav></div>      </div>\n                <div class=\"toolbar-tab\">\n        \n        <div><nav class=\"toolbar-lining clearfix\" role=\"navigation\"></nav></div>      </div>\n                <div class=\"hidden contextual-toolbar-tab toolbar-tab\">\n        <button class=\"toolbar-icon toolbar-icon-edit toolbar-item\" aria-pressed=\"false\" type=\"button\">Edit</button>\n\n        <div><nav class=\"toolbar-lining clearfix\" role=\"navigation\"></nav></div>      </div>\n                <div class=\"tour-toolbar-tab hidden toolbar-tab\" id=\"toolbar-tab-tour\">\n        <button class=\"toolbar-icon toolbar-icon-help toolbar-item\" aria-pressed=\"false\" type=\"button\">Tour</button>\n\n        <div><nav class=\"toolbar-lining clearfix\" role=\"navigation\"></nav></div>      </div>\n                <div class=\"toolbar-tab\">\n        <a href=\"/user\" title=\"My account\" class=\"toolbar-icon toolbar-icon-user trigger toolbar-item\" id=\"toolbar-item-user\" data-toolbar-tray=\"toolbar-item-user-tray\" role=\"button\" aria-pressed=\"false\"><drupal-render-placeholder callback=\"user.toolbar_link_builder:renderDisplayName\" arguments=\"\" token=\"-MH2NzEnTzbzMk0ZGfGgoiw7G3j_-Q1ILWBRVhIOKLI\"></drupal-render-placeholder></a>\n        <div id=\"toolbar-item-user-tray\" data-toolbar-tray=\"toolbar-item-user-tray\" class=\"toolbar-tray\"><nav class=\"toolbar-lining clearfix\" role=\"navigation\" aria-label=\"User account actions\"><h3 class=\"toolbar-tray-name visually-hidden\">User account actions</h3><drupal-render-placeholder callback=\"user.toolbar_link_builder:renderToolbarLinks\" arguments=\"\" token=\"xssKdKFVFD7N0FUPPcC1C7LrqMHpQFVzUhrI4cOeEgs\"></drupal-render-placeholder></nav></div>      </div>\n                <div id=\"admin-toolbar-search-tab\" class=\"toolbar-tab\">\n        <div class=\"js-form-item form-item js-form-type-textfield form-type-textfield js-form-item- form-item- form-no-label\">\n        <input id=\"admin-toolbar-search-input\" aria-labelledby=\"toolbar-item-administration-search\" placeholder=\"Admin Toolbar quick search\" type=\"text\" size=\"30\" maxlength=\"128\" class=\"form-text\" />\n\n        </div>\n\n        <div><nav class=\"toolbar-lining clearfix\" role=\"navigation\"></nav></div>      </div>\n      </nav>\n  \n</div>\n\";}s:9:\"#attached\";a:3:{s:7:\"library\";a:9:{i:0;s:15:\"toolbar/toolbar\";i:1;s:27:\"admin_toolbar_search/search\";i:2;s:22:\"user/drupal.user.icons\";i:3;s:9:\"tour/tour\";i:4;s:36:\"contextual/drupal.contextual-toolbar\";i:5;s:32:\"admin_toolbar_tools/toolbar.icon\";i:6;s:24:\"shortcut/drupal.shortcut\";i:7;s:26:\"admin_toolbar/toolbar.tree\";i:8;s:27:\"toolbar/toolbar.escapeAdmin\";}s:12:\"placeholders\";a:13:{s:176:\"<drupal-render-placeholder callback=\"user.toolbar_link_builder:renderToolbarLinks\" arguments=\"\" token=\"xssKdKFVFD7N0FUPPcC1C7LrqMHpQFVzUhrI4cOeEgs\"></drupal-render-placeholder>\";a:1:{s:13:\"#lazy_builder\";a:2:{i:0;s:44:\"user.toolbar_link_builder:renderToolbarLinks\";i:1;a:0:{}}}s:175:\"<drupal-render-placeholder callback=\"user.toolbar_link_builder:renderDisplayName\" arguments=\"\" token=\"-MH2NzEnTzbzMk0ZGfGgoiw7G3j_-Q1ILWBRVhIOKLI\"></drupal-render-placeholder>\";a:1:{s:13:\"#lazy_builder\";a:2:{i:0;s:43:\"user.toolbar_link_builder:renderDisplayName\";i:1;a:0:{}}}s:164:\"<drupal-render-placeholder callback=\"shortcut.lazy_builders:lazyLinks\" arguments=\"\" token=\"N1997Wch59v-LxHku3-dD44wjkSNmhegNzlZ8jS0L5I\"></drupal-render-placeholder>\";a:2:{s:13:\"#lazy_builder\";a:2:{i:0;s:32:\"shortcut.lazy_builders:lazyLinks\";i:1;a:0:{}}s:6:\"#cache\";a:2:{s:4:\"keys\";a:1:{i:0;s:26:\"shortcut_set_toolbar_links\";}s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:4:\"user\";i:3;s:16:\"user.permissions\";}}}s:43:\"QrX7FQVJWZ11dOHZOqSrfi4uD-AxXoUw52uRW1wVTV4\";a:1:{s:13:\"#lazy_builder\";a:2:{i:0;s:47:\"route_processor_csrf:renderPlaceholderCsrfToken\";i:1;a:1:{i:0;s:8:\"run-cron\";}}}s:43:\"_eUcfb2XnYlV7mGHww0pIKZ2Ccvdkbcypig0oPmBphw\";a:1:{s:13:\"#lazy_builder\";a:2:{i:0;s:47:\"route_processor_csrf:renderPlaceholderCsrfToken\";i:1;a:1:{i:0;s:25:\"admin/flush/theme_rebuild\";}}}s:43:\"vR5SYQubui_OwuG_70LyvJm6NBBPW3lNnk8Piqx2_-Q\";a:1:{s:13:\"#lazy_builder\";a:2:{i:0;s:47:\"route_processor_csrf:renderPlaceholderCsrfToken\";i:1;a:1:{i:0;s:17:\"admin/flush/views\";}}}s:43:\"IjtasaT-ywBYQcsryGU7KlgOuZDDjmc0_-kf6kzitNM\";a:1:{s:13:\"#lazy_builder\";a:2:{i:0;s:47:\"route_processor_csrf:renderPlaceholderCsrfToken\";i:1;a:1:{i:0;s:16:\"admin/flush/twig\";}}}s:43:\"Uf2GbVIgggA8Xcxz88OKHX9Wqs7Qz7C8sPUDUu5nPiE\";a:1:{s:13:\"#lazy_builder\";a:2:{i:0;s:47:\"route_processor_csrf:renderPlaceholderCsrfToken\";i:1;a:1:{i:0;s:25:\"admin/flush/static-caches\";}}}s:43:\"XibUkmnp-KFjAi7YwGsceDaZ9p04P3_w2cW1Wl5lfLk\";a:1:{s:13:\"#lazy_builder\";a:2:{i:0;s:47:\"route_processor_csrf:renderPlaceholderCsrfToken\";i:1;a:1:{i:0;s:16:\"admin/flush/menu\";}}}s:43:\"tBx0twEB7umsWF5UeV8f9SjrNSFM3B5pUQiDdJJWso0\";a:1:{s:13:\"#lazy_builder\";a:2:{i:0;s:47:\"route_processor_csrf:renderPlaceholderCsrfToken\";i:1;a:1:{i:0;s:23:\"admin/flush/rendercache\";}}}s:43:\"ZMUWTyhHrQqo8ank40GXMmvsa9hBdL595FoCuw1XItw\";a:1:{s:13:\"#lazy_builder\";a:2:{i:0;s:47:\"route_processor_csrf:renderPlaceholderCsrfToken\";i:1;a:1:{i:0;s:18:\"admin/flush/plugin\";}}}s:43:\"nPvdA_FFdCv-w3ZQqKl2tcvX2y1PgqDqKTydiKspxfU\";a:1:{s:13:\"#lazy_builder\";a:2:{i:0;s:47:\"route_processor_csrf:renderPlaceholderCsrfToken\";i:1;a:1:{i:0;s:17:\"admin/flush/cssjs\";}}}s:43:\"-vYUsTab-SGnsqTR353M8epHdMSic5GWMCO-DZHoFRI\";a:1:{s:13:\"#lazy_builder\";a:2:{i:0;s:47:\"route_processor_csrf:renderPlaceholderCsrfToken\";i:1;a:1:{i:0;s:11:\"admin/flush\";}}}}s:14:\"drupalSettings\";a:2:{s:7:\"toolbar\";a:2:{s:11:\"breakpoints\";a:3:{s:14:\"toolbar.narrow\";s:35:\"only screen and (min-width: 16.5em)\";s:16:\"toolbar.standard\";s:37:\"only screen and (min-width: 38.125em)\";s:12:\"toolbar.wide\";s:33:\"only screen and (min-width: 61em)\";}s:12:\"subtreesHash\";s:43:\"RAV9hBLZBGJ1H9kMF3JwZcrZ1W-1eJ2OHK9PLQZhcds\";}s:18:\"adminToolbarSearch\";a:1:{s:14:\"loadExtraLinks\";b:1;}}}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:5:{i:0;s:28:\"languages:language_interface\";i:1;s:7:\"session\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";i:4;s:20:\"user.roles:anonymous\";}s:4:\"tags\";a:1:{i:0;s:24:\"config:system.menu.admin\";}s:7:\"max-age\";i:-1;}}',-1,1637057251.810,1,'config:system.menu.admin rendered','62'),('toolbar:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:2:{s:15:\"#cache_redirect\";b:1;s:6:\"#cache\";a:5:{s:4:\"keys\";a:1:{i:0;s:7:\"toolbar\";}s:8:\"contexts\";a:5:{i:0;s:28:\"languages:language_interface\";i:1;s:7:\"session\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";i:4;s:20:\"user.roles:anonymous\";}s:4:\"tags\";a:1:{i:0;s:24:\"config:system.menu.admin\";}s:7:\"max-age\";i:-1;s:3:\"bin\";s:6:\"render\";}}',-1,1637057270.576,1,'config:system.menu.admin rendered','62'),('toolbar:[languages:language_interface]=en:[theme]=seven:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:2:{s:15:\"#cache_redirect\";b:1;s:6:\"#cache\";a:5:{s:4:\"keys\";a:1:{i:0;s:7:\"toolbar\";}s:8:\"contexts\";a:5:{i:0;s:28:\"languages:language_interface\";i:1;s:7:\"session\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";i:4;s:20:\"user.roles:anonymous\";}s:4:\"tags\";a:1:{i:0;s:24:\"config:system.menu.admin\";}s:7:\"max-age\";i:-1;s:3:\"bin\";s:6:\"render\";}}',-1,1637057251.806,1,'config:system.menu.admin rendered','62'),('toolbar_rendered_subtrees:[languages:language_interface]=en:[session]=zryjHhMXtPUxO7cQOwWAy90L_rstQ5e4Yz1ACgkbXUY:[theme]=luxestate:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:5:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:7:\"session\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:1:{i:0;s:24:\"config:system.menu.admin\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:1:{i:0;s:9:\"#subtrees\";}s:9:\"#subtrees\";a:13:{s:5:\"front\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:4332:\"\n              <ul class=\"clearfix toolbar-menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/admin/index\" id=\"toolbar-link-system-admin_index\" class=\"toolbar-icon toolbar-icon-system-admin-index\" title=\"\" data-drupal-link-system-path=\"admin/index\">Index</a>\n              </li>\n                <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/admin/flush?token=Mf8JBhG_jdHTLiUMIVPiXPFsV_dqJi3eEcc-ajKnddw\" id=\"toolbar-link-admin_toolbar_tools-flush\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-flush\" title=\"\" data-drupal-link-system-path=\"admin/flush\">Flush all caches</a>\n                                <ul class=\"toolbar-menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/admin/flush/cssjs?token=2WoHOwbXwp1nMSKfgkf5DVCHzFQ4DvPbhjdkxTrKvck\" id=\"toolbar-link-admin_toolbar_tools-cssjs\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-cssjs\" title=\"\" data-drupal-link-system-path=\"admin/flush/cssjs\">Flush CSS and Javascript</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/flush/plugin?token=Da7mdf78c_S9F85O2vd-kGQPlYpdOttYjKznp0GZuas\" id=\"toolbar-link-admin_toolbar_tools-plugin\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-plugin\" title=\"\" data-drupal-link-system-path=\"admin/flush/plugin\">Flush plugins cache</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/flush/rendercache?token=S56GVUX8zQWps7d-dO6vT_k9fXZjbkLTyryBb3kos3E\" id=\"toolbar-link-admin_toolbar_tools-flush_rendercache\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-flush-rendercache\" title=\"\" data-drupal-link-system-path=\"admin/flush/rendercache\">Flush render cache</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/flush/menu?token=JRYjtM5A37OBgTsiAWXW78xJOK6oWjEWu9eMBV558lk\" id=\"toolbar-link-admin_toolbar_tools-flush_menu\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-flush-menu\" title=\"\" data-drupal-link-system-path=\"admin/flush/menu\">Flush routing and links cache</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/flush/static-caches?token=x9hmHh2LjI2-FWj-akbLTOcTpWjO9cjNbafb7CicynU\" id=\"toolbar-link-admin_toolbar_tools-flush_static\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-flush-static\" title=\"\" data-drupal-link-system-path=\"admin/flush/static-caches\">Flush static cache</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/flush/twig?token=b_qLHlWCu8zU8yRGgECjoHEce0i1NC_iVxmKqtXzYu4\" id=\"toolbar-link-admin_toolbar_tools-flush_twig\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-flush-twig\" title=\"\" data-drupal-link-system-path=\"admin/flush/twig\">Flush twig cache</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/flush/views?token=eb-yEdas7nnPYpStaEiBrYX5wioM70dCrRl1akoPxlo\" id=\"toolbar-link-admin_toolbar_tools-flush_views\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:flush-views\" title=\"\" data-drupal-link-system-path=\"admin/flush/views\">Flush views cache</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/flush/theme_rebuild?token=MBlSkpmMzyMDaP2rjSnk8q_moyNuHWnQthP6hjEGHVU\" id=\"toolbar-link-admin_toolbar_tools-theme_rebuild\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-theme-rebuild\" title=\"\" data-drupal-link-system-path=\"admin/flush/theme_rebuild\">Rebuild theme registry</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/run-cron?token=G-j8Bd8nHfwyaDTZmGFcJUsuvsHCioGctGo8ez32xwU\" id=\"toolbar-link-admin_toolbar-run-cron\" class=\"toolbar-icon toolbar-icon-system-run-cron\" title=\"\" data-drupal-link-system-path=\"run-cron\">Run cron</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/update.php\" id=\"toolbar-link-system-db_update\" class=\"toolbar-icon toolbar-icon-system-db-update\" title=\"\" data-drupal-link-system-path=\"update.php\">Run updates</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/user/logout\" id=\"toolbar-link-user-logout\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:user-logout\" title=\"\" data-drupal-link-system-path=\"user/logout\">Logout</a>\n              </li>\n        </ul>\n  \n\n\";}s:20:\"system-admin_content\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:3823:\"\n              <ul class=\"clearfix toolbar-menu\">\n                    <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/node/add\" id=\"toolbar-link-node-add_page\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:node-add\" title=\"\" data-drupal-link-system-path=\"node/add\">Add content</a>\n                                <ul class=\"toolbar-menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/node/add/article\" id=\"toolbar-link-node-add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:node-add-article\" title=\"\" data-drupal-link-system-path=\"node/add/article\">Article</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/node/add/banner\" id=\"toolbar-link-node-add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:node-add-banner\" title=\"\" data-drupal-link-system-path=\"node/add/banner\">Banner</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/node/add/page\" id=\"toolbar-link-node-add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:node-add-page\" title=\"\" data-drupal-link-system-path=\"node/add/page\">Basic page</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/node/add/blog\" id=\"toolbar-link-node-add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:node-add-blog\" title=\"\" data-drupal-link-system-path=\"node/add/blog\">Blog</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/node/add/simplenews_issue\" id=\"toolbar-link-node-add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:node-add-simplenews-issue\" title=\"\" data-drupal-link-system-path=\"node/add/simplenews_issue\">Newsletter Issue</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/node/add/our_mission\" id=\"toolbar-link-node-add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:node-add-our-mission\" title=\"\" data-drupal-link-system-path=\"node/add/our_mission\">Our mission</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/node/add/our_services\" id=\"toolbar-link-node-add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:node-add-our-services\" title=\"\" data-drupal-link-system-path=\"node/add/our_services\">Our services</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/node/add/partners\" id=\"toolbar-link-node-add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:node-add-partners\" title=\"\" data-drupal-link-system-path=\"node/add/partners\">Partners</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/node/add/portfolio\" id=\"toolbar-link-node-add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:node-add-portfolio\" title=\"\" data-drupal-link-system-path=\"node/add/portfolio\">Portfolio</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/node/add/why_us\" id=\"toolbar-link-node-add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:node-add-why-us\" title=\"\" data-drupal-link-system-path=\"node/add/why_us\">Why us</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/content/comment\" title=\"List and edit site comments and the comment approval queue.\" id=\"toolbar-link-comment-admin\" class=\"toolbar-icon toolbar-icon-comment-admin\" data-drupal-link-system-path=\"admin/content/comment\">Comments</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/content/files\" id=\"toolbar-link-view-files-page_1\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:view-files\" title=\"\" data-drupal-link-system-path=\"admin/content/files\">Files</a>\n              </li>\n        </ul>\n  \n\n\";}s:22:\"system-admin_structure\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:15055:\"\n              <ul class=\"clearfix toolbar-menu\">\n                    <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/admin/structure/block\" title=\"Configure what block content appears in your site&#039;s sidebars and other regions.\" id=\"toolbar-link-block-admin_display\" class=\"toolbar-icon toolbar-icon-block-admin-display\" data-drupal-link-system-path=\"admin/structure/block\">Block layout</a>\n                                <ul class=\"toolbar-menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/block/add\" id=\"toolbar-link-block_content-add_page\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:block-content-add-page\" title=\"\" data-drupal-link-system-path=\"block/add\">Add custom block</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/structure/block/block-content/types\" id=\"toolbar-link-entity-block_content_type-collection\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:entity-block-content-type-collection\" title=\"\" data-drupal-link-system-path=\"admin/structure/block/block-content/types\">Block types</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/structure/block/block-content\" id=\"toolbar-link-entity-block_content-collection\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:entity-block-content-collection\" title=\"\" data-drupal-link-system-path=\"admin/structure/block/block-content\">Custom block library</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/admin/structure/comment\" title=\"Manage form and displays settings of comments.\" id=\"toolbar-link-entity-comment_type-collection\" class=\"toolbar-icon toolbar-icon-entity-comment-type-collection\" data-drupal-link-system-path=\"admin/structure/comment\">Comment types</a>\n                                <ul class=\"toolbar-menu\">\n                    <li class=\"menu-item menu-item--collapsed\">\n        <a href=\"/admin/structure/comment/manage/comment\" id=\"toolbar-link-entity-comment_type-edit_form\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:entity-comment-type-edit-form-comment\" title=\"\" data-drupal-link-system-path=\"admin/structure/comment/manage/comment\">Default comments</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/admin/structure/contact\" title=\"Create and manage contact forms.\" id=\"toolbar-link-entity-contact_form-collection\" class=\"toolbar-icon toolbar-icon-entity-contact-form-collection\" data-drupal-link-system-path=\"admin/structure/contact\">Contact forms</a>\n                                <ul class=\"toolbar-menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/admin/structure/contact/add\" id=\"toolbar-link-contact-form_add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:contact-form-add\" title=\"\" data-drupal-link-system-path=\"admin/structure/contact/add\">Add contact form</a>\n              </li>\n                <li class=\"menu-item menu-item--collapsed\">\n        <a href=\"/admin/structure/contact/manage/personal\" id=\"toolbar-link-entity-contact_form-edit_form\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:entity-contact-form-edit-form-personal\" title=\"\" data-drupal-link-system-path=\"admin/structure/contact/manage/personal\">Personal contact form</a>\n              </li>\n                <li class=\"menu-item menu-item--collapsed\">\n        <a href=\"/admin/structure/contact/manage/feedback\" id=\"toolbar-link-entity-contact_form-edit_form\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:entity-contact-form-edit-form-feedback\" title=\"\" data-drupal-link-system-path=\"admin/structure/contact/manage/feedback\">Website feedback</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/admin/structure/types\" title=\"Create and manage fields, forms, and display settings for your content.\" id=\"toolbar-link-entity-node_type-collection\" class=\"toolbar-icon toolbar-icon-entity-node-type-collection\" data-drupal-link-system-path=\"admin/structure/types\">Content types</a>\n                                <ul class=\"toolbar-menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/admin/structure/types/add\" id=\"toolbar-link-node-type_add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:node-type-add\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/add\">Add content type</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/structure/types\" id=\"toolbar-link-entity-node_type-collection\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:node-type-collection\" title=\"\" data-drupal-link-system-path=\"admin/structure/types\">All types</a>\n              </li>\n                <li class=\"menu-item menu-item--collapsed\">\n        <a href=\"/admin/structure/types/manage/article\" id=\"toolbar-link-entity-node_type-edit_form\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:entity-node-type-edit-form-article\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/article\">Article</a>\n              </li>\n                <li class=\"menu-item menu-item--collapsed\">\n        <a href=\"/admin/structure/types/manage/banner\" id=\"toolbar-link-entity-node_type-edit_form\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:entity-node-type-edit-form-banner\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/banner\">Banner</a>\n              </li>\n                <li class=\"menu-item menu-item--collapsed\">\n        <a href=\"/admin/structure/types/manage/page\" id=\"toolbar-link-entity-node_type-edit_form\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:entity-node-type-edit-form-page\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/page\">Basic page</a>\n              </li>\n                <li class=\"menu-item menu-item--collapsed\">\n        <a href=\"/admin/structure/types/manage/blog\" id=\"toolbar-link-entity-node_type-edit_form\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:entity-node-type-edit-form-blog\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/blog\">Blog</a>\n              </li>\n                <li class=\"menu-item menu-item--collapsed\">\n        <a href=\"/admin/structure/types/manage/simplenews_issue\" id=\"toolbar-link-entity-node_type-edit_form\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:entity-node-type-edit-form-simplenews-issue\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/simplenews_issue\">Newsletter Issue</a>\n              </li>\n                <li class=\"menu-item menu-item--collapsed\">\n        <a href=\"/admin/structure/types/manage/our_mission\" id=\"toolbar-link-entity-node_type-edit_form\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:entity-node-type-edit-form-our-mission\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/our_mission\">Our mission</a>\n              </li>\n                <li class=\"menu-item menu-item--collapsed\">\n        <a href=\"/admin/structure/types/manage/our_services\" id=\"toolbar-link-entity-node_type-edit_form\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:entity-node-type-edit-form-our-services\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/our_services\">Our services</a>\n              </li>\n                <li class=\"menu-item menu-item--collapsed\">\n        <a href=\"/admin/structure/types/manage/partners\" id=\"toolbar-link-entity-node_type-edit_form\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:entity-node-type-edit-form-partners\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/partners\">Partners</a>\n              </li>\n                <li class=\"menu-item menu-item--collapsed\">\n        <a href=\"/admin/structure/types/manage/portfolio\" id=\"toolbar-link-entity-node_type-edit_form\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:entity-node-type-edit-form-portfolio\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/portfolio\">Portfolio</a>\n              </li>\n                <li class=\"menu-item menu-item--collapsed\">\n        <a href=\"/admin/structure/types/manage/why_us\" id=\"toolbar-link-entity-node_type-edit_form\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:entity-node-type-edit-form-why-us\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/why_us\">Why us</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/admin/structure/display-modes\" title=\"Configure what displays are available for your content and forms.\" id=\"toolbar-link-field_ui-display_mode\" class=\"toolbar-icon toolbar-icon-field-ui-display-mode\" data-drupal-link-system-path=\"admin/structure/display-modes\">Display modes</a>\n                                <ul class=\"toolbar-menu\">\n                    <li class=\"menu-item menu-item--collapsed\">\n        <a href=\"/admin/structure/display-modes/form\" title=\"Manage custom form modes.\" id=\"toolbar-link-entity-entity_form_mode-collection\" class=\"toolbar-icon toolbar-icon-entity-entity-form-mode-collection\" data-drupal-link-system-path=\"admin/structure/display-modes/form\">Form modes</a>\n              </li>\n                <li class=\"menu-item menu-item--collapsed\">\n        <a href=\"/admin/structure/display-modes/view\" title=\"Manage custom view modes.\" id=\"toolbar-link-entity-entity_view_mode-collection\" class=\"toolbar-icon toolbar-icon-entity-entity-view-mode-collection\" data-drupal-link-system-path=\"admin/structure/display-modes/view\">View modes</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/structure/we-mega-menu\" title=\"List Of We Mega Menu Items\" id=\"toolbar-link-we_megamenu-admin\" class=\"toolbar-icon toolbar-icon-we-megamenu-admin\" data-drupal-link-system-path=\"admin/structure/we-mega-menu\">Drupal 8 Mega Menu</a>\n              </li>\n                <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/admin/structure/menu\" title=\"Manage menus and menu links.\" id=\"toolbar-link-entity-menu-collection\" class=\"toolbar-icon toolbar-icon-entity-menu-collection\" data-drupal-link-system-path=\"admin/structure/menu\">Menus</a>\n                                <ul class=\"toolbar-menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/admin/structure/menu/add\" id=\"toolbar-link-entity-menu-add_form\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:entity-menu-add-form\" title=\"\" data-drupal-link-system-path=\"admin/structure/menu/add\">Add menu</a>\n              </li>\n                <li class=\"menu-item menu-item--collapsed\">\n        <a href=\"/admin/structure/menu/manage/admin\" id=\"toolbar-link-entity-menu-edit_form\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:entity-menu-edit-form-admin\" title=\"\" data-drupal-link-system-path=\"admin/structure/menu/manage/admin\">Administration</a>\n              </li>\n                <li class=\"menu-item menu-item--collapsed\">\n        <a href=\"/admin/structure/menu/manage/footer\" id=\"toolbar-link-entity-menu-edit_form\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:entity-menu-edit-form-footer\" title=\"\" data-drupal-link-system-path=\"admin/structure/menu/manage/footer\">Footer</a>\n              </li>\n                <li class=\"menu-item menu-item--collapsed\">\n        <a href=\"/admin/structure/menu/manage/main\" id=\"toolbar-link-entity-menu-edit_form\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:entity-menu-edit-form-main\" title=\"\" data-drupal-link-system-path=\"admin/structure/menu/manage/main\">Main navigation</a>\n              </li>\n                <li class=\"menu-item menu-item--collapsed\">\n        <a href=\"/admin/structure/menu/manage/quick\" id=\"toolbar-link-entity-menu-edit_form\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:entity-menu-edit-form-quick\" title=\"\" data-drupal-link-system-path=\"admin/structure/menu/manage/quick\">Quick links</a>\n              </li>\n                <li class=\"menu-item menu-item--collapsed\">\n        <a href=\"/admin/structure/menu/manage/tools\" id=\"toolbar-link-entity-menu-edit_form\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:entity-menu-edit-form-tools\" title=\"\" data-drupal-link-system-path=\"admin/structure/menu/manage/tools\">Tools</a>\n              </li>\n                <li class=\"menu-item menu-item--collapsed\">\n        <a href=\"/admin/structure/menu/manage/account\" id=\"toolbar-link-entity-menu-edit_form\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:entity-menu-edit-form-account\" title=\"\" data-drupal-link-system-path=\"admin/structure/menu/manage/account\">User account menu</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/admin/structure/taxonomy\" title=\"Manage tagging, categorization, and classification of your content.\" id=\"toolbar-link-entity-taxonomy_vocabulary-collection\" class=\"toolbar-icon toolbar-icon-entity-taxonomy-vocabulary-collection\" data-drupal-link-system-path=\"admin/structure/taxonomy\">Taxonomy</a>\n                                <ul class=\"toolbar-menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/admin/structure/taxonomy/add\" id=\"toolbar-link-entity-taxonomy_vocabulary-add_form\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:entity-taxonomy-vocabulary-add-form\" title=\"\" data-drupal-link-system-path=\"admin/structure/taxonomy/add\">Add vocabulary</a>\n              </li>\n                <li class=\"menu-item menu-item--collapsed\">\n        <a href=\"/admin/structure/taxonomy/manage/tags/overview\" id=\"toolbar-link-entity-taxonomy_vocabulary-overview_form\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:entity-taxonomy-vocabulary-overview-form-tags\" title=\"\" data-drupal-link-system-path=\"admin/structure/taxonomy/manage/tags/overview\">Tags</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/admin/structure/views\" title=\"Manage customized lists of content.\" id=\"toolbar-link-entity-view-collection\" class=\"toolbar-icon toolbar-icon-entity-view-collection\" data-drupal-link-system-path=\"admin/structure/views\">Views</a>\n                                <ul class=\"toolbar-menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/admin/structure/views/add\" id=\"toolbar-link-views_ui-add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:views-ui-add\" title=\"\" data-drupal-link-system-path=\"admin/structure/views/add\">Add view</a>\n              </li>\n        </ul>\n  \n              </li>\n        </ul>\n  \n\n\";}s:18:\"system-themes_page\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:2113:\"\n              <ul class=\"clearfix toolbar-menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/admin/theme/install\" id=\"toolbar-link-update-theme_install\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:update-theme-install\" title=\"\" data-drupal-link-system-path=\"admin/theme/install\">Install new theme</a>\n              </li>\n                <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/admin/appearance/settings\" id=\"toolbar-link-system-theme_settings\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:system-theme-settings\" title=\"\" data-drupal-link-system-path=\"admin/appearance/settings\">Settings</a>\n                                <ul class=\"toolbar-menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/admin/appearance/settings/bartik\" id=\"toolbar-link-system-theme_settings_theme\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:system-theme-settings-theme-bartik\" title=\"\" data-drupal-link-system-path=\"admin/appearance/settings/bartik\">Bartik</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/appearance/settings/luxestate\" id=\"toolbar-link-system-theme_settings_theme\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:system-theme-settings-theme-luxestate\" title=\"\" data-drupal-link-system-path=\"admin/appearance/settings/luxestate\">Luxestate</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/appearance/settings/seven\" id=\"toolbar-link-system-theme_settings_theme\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:system-theme-settings-theme-seven\" title=\"\" data-drupal-link-system-path=\"admin/appearance/settings/seven\">Seven</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/theme/update\" id=\"toolbar-link-update-theme_update\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:update-theme-update\" title=\"\" data-drupal-link-system-path=\"admin/theme/update\">Update</a>\n              </li>\n        </ul>\n  \n\n\";}s:19:\"system-modules_list\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:971:\"\n              <ul class=\"clearfix toolbar-menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/admin/modules/install\" id=\"toolbar-link-update-module_install\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:update-module-install\" title=\"\" data-drupal-link-system-path=\"admin/modules/install\">Install new module</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/modules/uninstall\" id=\"toolbar-link-system-modules_uninstall\" class=\"toolbar-icon toolbar-icon-system-modules-uninstall\" title=\"\" data-drupal-link-system-path=\"admin/modules/uninstall\">Uninstall module</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/modules/update\" id=\"toolbar-link-update-module_update\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:update-module-update\" title=\"\" data-drupal-link-system-path=\"admin/modules/update\">Update</a>\n              </li>\n        </ul>\n  \n\n\";}s:19:\"system-admin_config\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:13891:\"\n              <ul class=\"clearfix toolbar-menu\">\n                    <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/admin/config/people\" title=\"Configure user accounts.\" id=\"toolbar-link-user-admin_index\" class=\"toolbar-icon toolbar-icon-user-admin-index\" data-drupal-link-system-path=\"admin/config/people\">People</a>\n                                <ul class=\"toolbar-menu\">\n                    <li class=\"menu-item menu-item--collapsed\">\n        <a href=\"/admin/config/people/accounts\" title=\"Configure default user account settings, including fields, registration requirements, and email messages.\" id=\"toolbar-link-entity-user-admin_form\" class=\"toolbar-icon toolbar-icon-entity-user-admin-form\" data-drupal-link-system-path=\"admin/config/people/accounts\">Account settings</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/config/people/simplenews/settings/subscriber\" title=\"Administer your subscriber settings.\" id=\"toolbar-link-simplenews-settings_subscriber\" class=\"toolbar-icon toolbar-icon-simplenews-subscriber-settings\" data-drupal-link-system-path=\"admin/config/people/simplenews/settings/subscriber\">Subscriber settings</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/admin/config/system\" title=\"Configure basic site settings, actions, and cron.\" id=\"toolbar-link-system-admin_config_system\" class=\"toolbar-icon toolbar-icon-system-admin-config-system\" data-drupal-link-system-path=\"admin/config/system\">System</a>\n                                <ul class=\"toolbar-menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/admin/config/system/site-information\" title=\"Change site name, email address, slogan, default front page, and error pages.\" id=\"toolbar-link-system-site_information_settings\" class=\"toolbar-icon toolbar-icon-system-site-information-settings\" data-drupal-link-system-path=\"admin/config/system/site-information\">Basic site settings</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/config/system/cron\" title=\"Manage automatic site maintenance tasks.\" id=\"toolbar-link-system-cron_settings\" class=\"toolbar-icon toolbar-icon-system-cron-settings\" data-drupal-link-system-path=\"admin/config/system/cron\">Cron</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/admin/config/content\" title=\"Configure content formatting and authoring.\" id=\"toolbar-link-system-admin_config_content\" class=\"toolbar-icon toolbar-icon-system-admin-config-content\" data-drupal-link-system-path=\"admin/config/content\">Content authoring</a>\n                                <ul class=\"toolbar-menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/admin/config/content/formats\" title=\"Select and configure text editors, and how content is filtered when displayed.\" id=\"toolbar-link-filter-admin_overview\" class=\"toolbar-icon toolbar-icon-filter-admin-overview\" data-drupal-link-system-path=\"admin/config/content/formats\">Text formats and editors</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/admin/config/user-interface\" title=\"Configure the administrative user interface.\" id=\"toolbar-link-system-admin_config_ui\" class=\"toolbar-icon toolbar-icon-system-admin-config-ui\" data-drupal-link-system-path=\"admin/config/user-interface\">User interface</a>\n                                <ul class=\"toolbar-menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/admin/config/user-interface/shortcut\" title=\"Add and modify shortcut sets.\" id=\"toolbar-link-entity-shortcut_set-collection\" class=\"toolbar-icon toolbar-icon-entity-shortcut-set-collection\" data-drupal-link-system-path=\"admin/config/user-interface/shortcut\">Shortcuts</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/admin/config/development\" title=\"Configure and use development tools.\" id=\"toolbar-link-system-admin_config_development\" class=\"toolbar-icon toolbar-icon-system-admin-config-development\" data-drupal-link-system-path=\"admin/config/development\">Development</a>\n                                <ul class=\"toolbar-menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/admin/config/development/performance\" title=\"Configure caching and bandwidth optimization.\" id=\"toolbar-link-system-performance_settings\" class=\"toolbar-icon toolbar-icon-system-performance-settings\" data-drupal-link-system-path=\"admin/config/development/performance\">Performance</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/config/development/logging\" title=\"Configure the display of error messages and database logging.\" id=\"toolbar-link-system-logging_settings\" class=\"toolbar-icon toolbar-icon-system-logging-settings\" data-drupal-link-system-path=\"admin/config/development/logging\">Logging and errors</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/config/development/maintenance\" title=\"Take the site offline for updates and other maintenance tasks.\" id=\"toolbar-link-system-site_maintenance_mode\" class=\"toolbar-icon toolbar-icon-system-site-maintenance-mode\" data-drupal-link-system-path=\"admin/config/development/maintenance\">Maintenance mode</a>\n              </li>\n                <li class=\"menu-item menu-item--collapsed\">\n        <a href=\"/admin/config/development/configuration\" title=\"Import and export your configuration.\" id=\"toolbar-link-config-sync\" class=\"toolbar-icon toolbar-icon-config-sync\" data-drupal-link-system-path=\"admin/config/development/configuration\">Configuration synchronization</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/admin/config/media\" id=\"toolbar-link-system-admin_config_media\" class=\"toolbar-icon toolbar-icon-system-admin-config-media\" title=\"\" data-drupal-link-system-path=\"admin/config/media\">Media</a>\n                                <ul class=\"toolbar-menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/admin/config/media/colorbox\" title=\"Configure the Colorbox settings.\" id=\"toolbar-link-colorbox-admin_settings\" class=\"toolbar-icon toolbar-icon-colorbox-admin-settings\" data-drupal-link-system-path=\"admin/config/media/colorbox\">Colorbox settings</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/config/media/file-system\" title=\"Configure the location of uploaded files and how they are accessed.\" id=\"toolbar-link-system-file_system_settings\" class=\"toolbar-icon toolbar-icon-system-file-system-settings\" data-drupal-link-system-path=\"admin/config/media/file-system\">File system</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/config/media/image-styles\" title=\"Configure styles that can be used for resizing or adjusting images on display.\" id=\"toolbar-link-entity-image_style-collection\" class=\"toolbar-icon toolbar-icon-entity-image-style-collection\" data-drupal-link-system-path=\"admin/config/media/image-styles\">Image styles</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/config/media/responsive-image-style\" title=\"Manage responsive image styles.\" id=\"toolbar-link-entity-responsive_image_style-collection\" class=\"toolbar-icon toolbar-icon-entity-responsive-image-style-collection\" data-drupal-link-system-path=\"admin/config/media/responsive-image-style\">Responsive image styles</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/config/media/image-toolkit\" title=\"Choose which image toolkit to use if you have installed optional toolkits.\" id=\"toolbar-link-system-image_toolkit_settings\" class=\"toolbar-icon toolbar-icon-system-image-toolkit-settings\" data-drupal-link-system-path=\"admin/config/media/image-toolkit\">Image toolkit</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/admin/config/search\" title=\"Configure site search, metadata, and search engine optimization.\" id=\"toolbar-link-system-admin_config_search\" class=\"toolbar-icon toolbar-icon-system-admin-config-search\" data-drupal-link-system-path=\"admin/config/search\">Search and metadata</a>\n                                <ul class=\"toolbar-menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/admin/config/search/pages\" title=\"Configure search pages and search indexing options.\" id=\"toolbar-link-entity-search_page-collection\" class=\"toolbar-icon toolbar-icon-entity-search-page-collection\" data-drupal-link-system-path=\"admin/config/search/pages\">Search pages</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/config/search/path\" title=\"Add custom URLs to existing paths.\" id=\"toolbar-link-entity-path_alias-collection\" class=\"toolbar-icon toolbar-icon-entity-path-alias-collection\" data-drupal-link-system-path=\"admin/config/search/path\">URL aliases</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/admin/config/regional\" title=\"Configure regional settings, localization, and translation.\" id=\"toolbar-link-system-admin_config_regional\" class=\"toolbar-icon toolbar-icon-system-admin-config-regional\" data-drupal-link-system-path=\"admin/config/regional\">Regional and language</a>\n                                <ul class=\"toolbar-menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/admin/config/regional/settings\" title=\"Configure the locale and timezone settings.\" id=\"toolbar-link-system-regional_settings\" class=\"toolbar-icon toolbar-icon-system-regional-settings\" data-drupal-link-system-path=\"admin/config/regional/settings\">Regional settings</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/config/regional/date-time\" title=\"Configure how dates and times are displayed.\" id=\"toolbar-link-entity-date_format-collection\" class=\"toolbar-icon toolbar-icon-entity-date-format-collection\" data-drupal-link-system-path=\"admin/config/regional/date-time\">Date and time formats</a>\n              </li>\n                <li class=\"menu-item menu-item--collapsed\">\n        <a href=\"/admin/config/regional/language\" title=\"Configure languages for content, interface, and configuration.\" id=\"toolbar-link-entity-configurable_language-collection\" class=\"toolbar-icon toolbar-icon-entity-configurable-language-collection\" data-drupal-link-system-path=\"admin/config/regional/language\">Languages</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/config/regional/content-language\" title=\"Configure language and translation support for content.\" id=\"toolbar-link-language-content_settings_page\" class=\"toolbar-icon toolbar-icon-language-content-settings-page\" data-drupal-link-system-path=\"admin/config/regional/content-language\">Content language and translation</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/config/regional/translate\" title=\"Configure the import of translation files, and add or customize interface translations.\" id=\"toolbar-link-locale-translate_page\" class=\"toolbar-icon toolbar-icon-locale-translate-page\" data-drupal-link-system-path=\"admin/config/regional/translate\">User interface translation</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/config/regional/config-translation\" title=\"Translate the configuration.\" id=\"toolbar-link-config_translation-mapper_list\" class=\"toolbar-icon toolbar-icon-config-translation-mapper-list\" data-drupal-link-system-path=\"admin/config/regional/config-translation\">Configuration translation</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/admin/config/services\" id=\"toolbar-link-system-admin_config_services\" class=\"toolbar-icon toolbar-icon-system-admin-config-services\" title=\"\" data-drupal-link-system-path=\"admin/config/services\">Web services</a>\n                                <ul class=\"toolbar-menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/admin/config/services/rss-publishing\" title=\"Configure the site description, the number of items per feed, and whether feeds should be titles/teasers/full-text.\" id=\"toolbar-link-system-rss_feeds_settings\" class=\"toolbar-icon toolbar-icon-system-rss-feeds-settings\" data-drupal-link-system-path=\"admin/config/services/rss-publishing\">RSS publishing</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/config/services/sharethis\" title=\"Choose the widget, button family, and services for using ShareThis to share content online.\" id=\"toolbar-link-sharethis-configuration_form\" class=\"toolbar-icon toolbar-icon-sharethis-configuration-form\" data-drupal-link-system-path=\"admin/config/services/sharethis\">ShareThis</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/config/services/simplenews\" title=\"Configure your sites newsletters.\" id=\"toolbar-link-simplenews-newsletter_list\" class=\"toolbar-icon toolbar-icon-simplenews-settings\" data-drupal-link-system-path=\"admin/config/services/simplenews\">Simplenews</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/config/workflow\" title=\"Manage the content workflow.\" id=\"toolbar-link-system-admin_config_workflow\" class=\"toolbar-icon toolbar-icon-system-admin-config-workflow\" data-drupal-link-system-path=\"admin/config/workflow\">Workflow</a>\n              </li>\n        </ul>\n  \n\n\";}s:36:\"entity-block_content-field_ui_fields\";s:0:\"\";s:48:\"entity-entity_form_display-block_content-default\";s:0:\"\";s:48:\"entity-entity_view_display-block_content-default\";s:0:\"\";s:22:\"entity-user-collection\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:2532:\"\n              <ul class=\"clearfix toolbar-menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/admin/people/create\" id=\"toolbar-link-user-admin_create\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:user-admin-create\" title=\"\" data-drupal-link-system-path=\"admin/people/create\">Add user</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/people/permissions\" id=\"toolbar-link-user-admin_permissions\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:user-admin-permissions\" title=\"\" data-drupal-link-system-path=\"admin/people/permissions\">Permissions</a>\n              </li>\n                <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/admin/people/roles\" id=\"toolbar-link-entity-user_role-collection\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:entity-user-role-collection\" title=\"\" data-drupal-link-system-path=\"admin/people/roles\">Roles</a>\n                                <ul class=\"toolbar-menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/admin/people/roles/add\" id=\"toolbar-link-user-role_add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:user-role-add\" title=\"\" data-drupal-link-system-path=\"admin/people/roles/add\">Add role</a>\n              </li>\n                <li class=\"menu-item menu-item--collapsed\">\n        <a href=\"/admin/people/roles/manage/administrator\" id=\"toolbar-link-entity-user_role-edit_form\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:entity-user-role-edit-form-administrator\" title=\"\" data-drupal-link-system-path=\"admin/people/roles/manage/administrator\">Administrator</a>\n              </li>\n                <li class=\"menu-item menu-item--collapsed\">\n        <a href=\"/admin/people/roles/manage/anonymous\" id=\"toolbar-link-entity-user_role-edit_form\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:entity-user-role-edit-form-anonymous\" title=\"\" data-drupal-link-system-path=\"admin/people/roles/manage/anonymous\">Anonymous user</a>\n              </li>\n                <li class=\"menu-item menu-item--collapsed\">\n        <a href=\"/admin/people/roles/manage/authenticated\" id=\"toolbar-link-entity-user_role-edit_form\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:entity-user-role-edit-form-authenticated\" title=\"\" data-drupal-link-system-path=\"admin/people/roles/manage/authenticated\">Authenticated user</a>\n              </li>\n        </ul>\n  \n              </li>\n        </ul>\n  \n\n\";}s:37:\"entity-block_content_type-delete_form\";s:0:\"\";s:20:\"system-admin_reports\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:3550:\"\n              <ul class=\"clearfix toolbar-menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/admin/reports/updates\" title=\"Get a status report about available updates for your installed modules and themes.\" id=\"toolbar-link-update-status\" class=\"toolbar-icon toolbar-icon-update-status\" data-drupal-link-system-path=\"admin/reports/updates\">Available updates</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/reports/dblog\" title=\"View events that have recently been logged.\" id=\"toolbar-link-dblog-overview\" class=\"toolbar-icon toolbar-icon-dblog-overview\" data-drupal-link-system-path=\"admin/reports/dblog\">Recent log messages</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/reports/translations\" title=\"Get a status report about available interface translations for your installed modules and themes.\" id=\"toolbar-link-locale-translate_status\" class=\"toolbar-icon toolbar-icon-locale-translate-status\" data-drupal-link-system-path=\"admin/reports/translations\">Available translation updates</a>\n              </li>\n                <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/admin/reports/fields\" title=\"Overview of fields on all entity types.\" id=\"toolbar-link-entity-field_storage_config-collection\" class=\"toolbar-icon toolbar-icon-entity-field-storage-config-collection\" data-drupal-link-system-path=\"admin/reports/fields\">Field list</a>\n                                <ul class=\"toolbar-menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/admin/reports/fields/views-fields\" id=\"toolbar-link-views_ui-reports_fields\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:views-ui-field-list\" title=\"\" data-drupal-link-system-path=\"admin/reports/fields/views-fields\">Used in views</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/reports/status\" title=\"Get a status report about your site&#039;s operation.\" id=\"toolbar-link-system-status\" class=\"toolbar-icon toolbar-icon-system-status\" data-drupal-link-system-path=\"admin/reports/status\">Status report</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/reports/access-denied\" title=\"View &#039;access denied&#039; errors (403s).\" id=\"toolbar-link-dblog-access_denied\" class=\"toolbar-icon toolbar-icon-dblog-access-denied\" data-drupal-link-system-path=\"admin/reports/access-denied\">Top &#039;access denied&#039; errors</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/reports/page-not-found\" title=\"View &#039;page not found&#039; errors (404s).\" id=\"toolbar-link-dblog-page_not_found\" class=\"toolbar-icon toolbar-icon-dblog-page-not-found\" data-drupal-link-system-path=\"admin/reports/page-not-found\">Top &#039;page not found&#039; errors</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/reports/search\" title=\"View most popular search phrases.\" id=\"toolbar-link-dblog-search\" class=\"toolbar-icon toolbar-icon-dblog-search\" data-drupal-link-system-path=\"admin/reports/search\">Top search phrases</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/reports/views-plugins\" title=\"Overview of plugins used in all views.\" id=\"toolbar-link-views_ui-reports_plugins\" class=\"toolbar-icon toolbar-icon-views-ui-reports-plugins\" data-drupal-link-system-path=\"admin/reports/views-plugins\">Views plugins</a>\n              </li>\n        </ul>\n  \n\n\";}s:9:\"help-main\";s:0:\"\";}}',-1,1637057270.486,1,'config:system.menu.admin rendered','62'),('toolbar_rendered_subtrees:[languages:language_interface]=en:[session]=zryjHhMXtPUxO7cQOwWAy90L_rstQ5e4Yz1ACgkbXUY:[theme]=seven:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:5:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:7:\"session\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:1:{i:0;s:24:\"config:system.menu.admin\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:1:{i:0;s:9:\"#subtrees\";}s:9:\"#subtrees\";a:13:{s:5:\"front\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:4323:\"\n              <ul class=\"toolbar-menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/admin/index\" id=\"toolbar-link-system-admin_index\" class=\"toolbar-icon toolbar-icon-system-admin-index\" title=\"\" data-drupal-link-system-path=\"admin/index\">Index</a>\n              </li>\n                <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/admin/flush?token=Mf8JBhG_jdHTLiUMIVPiXPFsV_dqJi3eEcc-ajKnddw\" id=\"toolbar-link-admin_toolbar_tools-flush\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-flush\" title=\"\" data-drupal-link-system-path=\"admin/flush\">Flush all caches</a>\n                                <ul class=\"toolbar-menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/admin/flush/cssjs?token=2WoHOwbXwp1nMSKfgkf5DVCHzFQ4DvPbhjdkxTrKvck\" id=\"toolbar-link-admin_toolbar_tools-cssjs\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-cssjs\" title=\"\" data-drupal-link-system-path=\"admin/flush/cssjs\">Flush CSS and Javascript</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/flush/plugin?token=Da7mdf78c_S9F85O2vd-kGQPlYpdOttYjKznp0GZuas\" id=\"toolbar-link-admin_toolbar_tools-plugin\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-plugin\" title=\"\" data-drupal-link-system-path=\"admin/flush/plugin\">Flush plugins cache</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/flush/rendercache?token=S56GVUX8zQWps7d-dO6vT_k9fXZjbkLTyryBb3kos3E\" id=\"toolbar-link-admin_toolbar_tools-flush_rendercache\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-flush-rendercache\" title=\"\" data-drupal-link-system-path=\"admin/flush/rendercache\">Flush render cache</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/flush/menu?token=JRYjtM5A37OBgTsiAWXW78xJOK6oWjEWu9eMBV558lk\" id=\"toolbar-link-admin_toolbar_tools-flush_menu\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-flush-menu\" title=\"\" data-drupal-link-system-path=\"admin/flush/menu\">Flush routing and links cache</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/flush/static-caches?token=x9hmHh2LjI2-FWj-akbLTOcTpWjO9cjNbafb7CicynU\" id=\"toolbar-link-admin_toolbar_tools-flush_static\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-flush-static\" title=\"\" data-drupal-link-system-path=\"admin/flush/static-caches\">Flush static cache</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/flush/twig?token=b_qLHlWCu8zU8yRGgECjoHEce0i1NC_iVxmKqtXzYu4\" id=\"toolbar-link-admin_toolbar_tools-flush_twig\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-flush-twig\" title=\"\" data-drupal-link-system-path=\"admin/flush/twig\">Flush twig cache</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/flush/views?token=eb-yEdas7nnPYpStaEiBrYX5wioM70dCrRl1akoPxlo\" id=\"toolbar-link-admin_toolbar_tools-flush_views\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:flush-views\" title=\"\" data-drupal-link-system-path=\"admin/flush/views\">Flush views cache</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/flush/theme_rebuild?token=MBlSkpmMzyMDaP2rjSnk8q_moyNuHWnQthP6hjEGHVU\" id=\"toolbar-link-admin_toolbar_tools-theme_rebuild\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-theme-rebuild\" title=\"\" data-drupal-link-system-path=\"admin/flush/theme_rebuild\">Rebuild theme registry</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/run-cron?token=G-j8Bd8nHfwyaDTZmGFcJUsuvsHCioGctGo8ez32xwU\" id=\"toolbar-link-admin_toolbar-run-cron\" class=\"toolbar-icon toolbar-icon-system-run-cron\" title=\"\" data-drupal-link-system-path=\"run-cron\">Run cron</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/update.php\" id=\"toolbar-link-system-db_update\" class=\"toolbar-icon toolbar-icon-system-db-update\" title=\"\" data-drupal-link-system-path=\"update.php\">Run updates</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/user/logout\" id=\"toolbar-link-user-logout\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:user-logout\" title=\"\" data-drupal-link-system-path=\"user/logout\">Logout</a>\n              </li>\n        </ul>\n  \n\n\";}s:20:\"system-admin_content\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:3814:\"\n              <ul class=\"toolbar-menu\">\n                    <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/node/add\" id=\"toolbar-link-node-add_page\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:node-add\" title=\"\" data-drupal-link-system-path=\"node/add\">Add content</a>\n                                <ul class=\"toolbar-menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/node/add/article\" id=\"toolbar-link-node-add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:node-add-article\" title=\"\" data-drupal-link-system-path=\"node/add/article\">Article</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/node/add/banner\" id=\"toolbar-link-node-add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:node-add-banner\" title=\"\" data-drupal-link-system-path=\"node/add/banner\">Banner</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/node/add/page\" id=\"toolbar-link-node-add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:node-add-page\" title=\"\" data-drupal-link-system-path=\"node/add/page\">Basic page</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/node/add/blog\" id=\"toolbar-link-node-add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:node-add-blog\" title=\"\" data-drupal-link-system-path=\"node/add/blog\">Blog</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/node/add/simplenews_issue\" id=\"toolbar-link-node-add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:node-add-simplenews-issue\" title=\"\" data-drupal-link-system-path=\"node/add/simplenews_issue\">Newsletter Issue</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/node/add/our_mission\" id=\"toolbar-link-node-add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:node-add-our-mission\" title=\"\" data-drupal-link-system-path=\"node/add/our_mission\">Our mission</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/node/add/our_services\" id=\"toolbar-link-node-add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:node-add-our-services\" title=\"\" data-drupal-link-system-path=\"node/add/our_services\">Our services</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/node/add/partners\" id=\"toolbar-link-node-add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:node-add-partners\" title=\"\" data-drupal-link-system-path=\"node/add/partners\">Partners</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/node/add/portfolio\" id=\"toolbar-link-node-add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:node-add-portfolio\" title=\"\" data-drupal-link-system-path=\"node/add/portfolio\">Portfolio</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/node/add/why_us\" id=\"toolbar-link-node-add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:node-add-why-us\" title=\"\" data-drupal-link-system-path=\"node/add/why_us\">Why us</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/content/comment\" title=\"List and edit site comments and the comment approval queue.\" id=\"toolbar-link-comment-admin\" class=\"toolbar-icon toolbar-icon-comment-admin\" data-drupal-link-system-path=\"admin/content/comment\">Comments</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/content/files\" id=\"toolbar-link-view-files-page_1\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:view-files\" title=\"\" data-drupal-link-system-path=\"admin/content/files\">Files</a>\n              </li>\n        </ul>\n  \n\n\";}s:22:\"system-admin_structure\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:15046:\"\n              <ul class=\"toolbar-menu\">\n                    <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/admin/structure/block\" title=\"Configure what block content appears in your site&#039;s sidebars and other regions.\" id=\"toolbar-link-block-admin_display\" class=\"toolbar-icon toolbar-icon-block-admin-display\" data-drupal-link-system-path=\"admin/structure/block\">Block layout</a>\n                                <ul class=\"toolbar-menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/block/add\" id=\"toolbar-link-block_content-add_page\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:block-content-add-page\" title=\"\" data-drupal-link-system-path=\"block/add\">Add custom block</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/structure/block/block-content/types\" id=\"toolbar-link-entity-block_content_type-collection\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:entity-block-content-type-collection\" title=\"\" data-drupal-link-system-path=\"admin/structure/block/block-content/types\">Block types</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/structure/block/block-content\" id=\"toolbar-link-entity-block_content-collection\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:entity-block-content-collection\" title=\"\" data-drupal-link-system-path=\"admin/structure/block/block-content\">Custom block library</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/admin/structure/comment\" title=\"Manage form and displays settings of comments.\" id=\"toolbar-link-entity-comment_type-collection\" class=\"toolbar-icon toolbar-icon-entity-comment-type-collection\" data-drupal-link-system-path=\"admin/structure/comment\">Comment types</a>\n                                <ul class=\"toolbar-menu\">\n                    <li class=\"menu-item menu-item--collapsed\">\n        <a href=\"/admin/structure/comment/manage/comment\" id=\"toolbar-link-entity-comment_type-edit_form\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:entity-comment-type-edit-form-comment\" title=\"\" data-drupal-link-system-path=\"admin/structure/comment/manage/comment\">Default comments</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/admin/structure/contact\" title=\"Create and manage contact forms.\" id=\"toolbar-link-entity-contact_form-collection\" class=\"toolbar-icon toolbar-icon-entity-contact-form-collection\" data-drupal-link-system-path=\"admin/structure/contact\">Contact forms</a>\n                                <ul class=\"toolbar-menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/admin/structure/contact/add\" id=\"toolbar-link-contact-form_add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:contact-form-add\" title=\"\" data-drupal-link-system-path=\"admin/structure/contact/add\">Add contact form</a>\n              </li>\n                <li class=\"menu-item menu-item--collapsed\">\n        <a href=\"/admin/structure/contact/manage/personal\" id=\"toolbar-link-entity-contact_form-edit_form\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:entity-contact-form-edit-form-personal\" title=\"\" data-drupal-link-system-path=\"admin/structure/contact/manage/personal\">Personal contact form</a>\n              </li>\n                <li class=\"menu-item menu-item--collapsed\">\n        <a href=\"/admin/structure/contact/manage/feedback\" id=\"toolbar-link-entity-contact_form-edit_form\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:entity-contact-form-edit-form-feedback\" title=\"\" data-drupal-link-system-path=\"admin/structure/contact/manage/feedback\">Website feedback</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/admin/structure/types\" title=\"Create and manage fields, forms, and display settings for your content.\" id=\"toolbar-link-entity-node_type-collection\" class=\"toolbar-icon toolbar-icon-entity-node-type-collection\" data-drupal-link-system-path=\"admin/structure/types\">Content types</a>\n                                <ul class=\"toolbar-menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/admin/structure/types/add\" id=\"toolbar-link-node-type_add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:node-type-add\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/add\">Add content type</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/structure/types\" id=\"toolbar-link-entity-node_type-collection\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:node-type-collection\" title=\"\" data-drupal-link-system-path=\"admin/structure/types\">All types</a>\n              </li>\n                <li class=\"menu-item menu-item--collapsed\">\n        <a href=\"/admin/structure/types/manage/article\" id=\"toolbar-link-entity-node_type-edit_form\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:entity-node-type-edit-form-article\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/article\">Article</a>\n              </li>\n                <li class=\"menu-item menu-item--collapsed\">\n        <a href=\"/admin/structure/types/manage/banner\" id=\"toolbar-link-entity-node_type-edit_form\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:entity-node-type-edit-form-banner\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/banner\">Banner</a>\n              </li>\n                <li class=\"menu-item menu-item--collapsed\">\n        <a href=\"/admin/structure/types/manage/page\" id=\"toolbar-link-entity-node_type-edit_form\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:entity-node-type-edit-form-page\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/page\">Basic page</a>\n              </li>\n                <li class=\"menu-item menu-item--collapsed\">\n        <a href=\"/admin/structure/types/manage/blog\" id=\"toolbar-link-entity-node_type-edit_form\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:entity-node-type-edit-form-blog\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/blog\">Blog</a>\n              </li>\n                <li class=\"menu-item menu-item--collapsed\">\n        <a href=\"/admin/structure/types/manage/simplenews_issue\" id=\"toolbar-link-entity-node_type-edit_form\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:entity-node-type-edit-form-simplenews-issue\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/simplenews_issue\">Newsletter Issue</a>\n              </li>\n                <li class=\"menu-item menu-item--collapsed\">\n        <a href=\"/admin/structure/types/manage/our_mission\" id=\"toolbar-link-entity-node_type-edit_form\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:entity-node-type-edit-form-our-mission\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/our_mission\">Our mission</a>\n              </li>\n                <li class=\"menu-item menu-item--collapsed\">\n        <a href=\"/admin/structure/types/manage/our_services\" id=\"toolbar-link-entity-node_type-edit_form\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:entity-node-type-edit-form-our-services\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/our_services\">Our services</a>\n              </li>\n                <li class=\"menu-item menu-item--collapsed\">\n        <a href=\"/admin/structure/types/manage/partners\" id=\"toolbar-link-entity-node_type-edit_form\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:entity-node-type-edit-form-partners\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/partners\">Partners</a>\n              </li>\n                <li class=\"menu-item menu-item--collapsed\">\n        <a href=\"/admin/structure/types/manage/portfolio\" id=\"toolbar-link-entity-node_type-edit_form\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:entity-node-type-edit-form-portfolio\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/portfolio\">Portfolio</a>\n              </li>\n                <li class=\"menu-item menu-item--collapsed\">\n        <a href=\"/admin/structure/types/manage/why_us\" id=\"toolbar-link-entity-node_type-edit_form\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:entity-node-type-edit-form-why-us\" title=\"\" data-drupal-link-system-path=\"admin/structure/types/manage/why_us\">Why us</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/admin/structure/display-modes\" title=\"Configure what displays are available for your content and forms.\" id=\"toolbar-link-field_ui-display_mode\" class=\"toolbar-icon toolbar-icon-field-ui-display-mode\" data-drupal-link-system-path=\"admin/structure/display-modes\">Display modes</a>\n                                <ul class=\"toolbar-menu\">\n                    <li class=\"menu-item menu-item--collapsed\">\n        <a href=\"/admin/structure/display-modes/form\" title=\"Manage custom form modes.\" id=\"toolbar-link-entity-entity_form_mode-collection\" class=\"toolbar-icon toolbar-icon-entity-entity-form-mode-collection\" data-drupal-link-system-path=\"admin/structure/display-modes/form\">Form modes</a>\n              </li>\n                <li class=\"menu-item menu-item--collapsed\">\n        <a href=\"/admin/structure/display-modes/view\" title=\"Manage custom view modes.\" id=\"toolbar-link-entity-entity_view_mode-collection\" class=\"toolbar-icon toolbar-icon-entity-entity-view-mode-collection\" data-drupal-link-system-path=\"admin/structure/display-modes/view\">View modes</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/structure/we-mega-menu\" title=\"List Of We Mega Menu Items\" id=\"toolbar-link-we_megamenu-admin\" class=\"toolbar-icon toolbar-icon-we-megamenu-admin\" data-drupal-link-system-path=\"admin/structure/we-mega-menu\">Drupal 8 Mega Menu</a>\n              </li>\n                <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/admin/structure/menu\" title=\"Manage menus and menu links.\" id=\"toolbar-link-entity-menu-collection\" class=\"toolbar-icon toolbar-icon-entity-menu-collection\" data-drupal-link-system-path=\"admin/structure/menu\">Menus</a>\n                                <ul class=\"toolbar-menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/admin/structure/menu/add\" id=\"toolbar-link-entity-menu-add_form\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:entity-menu-add-form\" title=\"\" data-drupal-link-system-path=\"admin/structure/menu/add\">Add menu</a>\n              </li>\n                <li class=\"menu-item menu-item--collapsed\">\n        <a href=\"/admin/structure/menu/manage/admin\" id=\"toolbar-link-entity-menu-edit_form\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:entity-menu-edit-form-admin\" title=\"\" data-drupal-link-system-path=\"admin/structure/menu/manage/admin\">Administration</a>\n              </li>\n                <li class=\"menu-item menu-item--collapsed\">\n        <a href=\"/admin/structure/menu/manage/footer\" id=\"toolbar-link-entity-menu-edit_form\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:entity-menu-edit-form-footer\" title=\"\" data-drupal-link-system-path=\"admin/structure/menu/manage/footer\">Footer</a>\n              </li>\n                <li class=\"menu-item menu-item--collapsed\">\n        <a href=\"/admin/structure/menu/manage/main\" id=\"toolbar-link-entity-menu-edit_form\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:entity-menu-edit-form-main\" title=\"\" data-drupal-link-system-path=\"admin/structure/menu/manage/main\">Main navigation</a>\n              </li>\n                <li class=\"menu-item menu-item--collapsed\">\n        <a href=\"/admin/structure/menu/manage/quick\" id=\"toolbar-link-entity-menu-edit_form\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:entity-menu-edit-form-quick\" title=\"\" data-drupal-link-system-path=\"admin/structure/menu/manage/quick\">Quick links</a>\n              </li>\n                <li class=\"menu-item menu-item--collapsed\">\n        <a href=\"/admin/structure/menu/manage/tools\" id=\"toolbar-link-entity-menu-edit_form\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:entity-menu-edit-form-tools\" title=\"\" data-drupal-link-system-path=\"admin/structure/menu/manage/tools\">Tools</a>\n              </li>\n                <li class=\"menu-item menu-item--collapsed\">\n        <a href=\"/admin/structure/menu/manage/account\" id=\"toolbar-link-entity-menu-edit_form\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:entity-menu-edit-form-account\" title=\"\" data-drupal-link-system-path=\"admin/structure/menu/manage/account\">User account menu</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/admin/structure/taxonomy\" title=\"Manage tagging, categorization, and classification of your content.\" id=\"toolbar-link-entity-taxonomy_vocabulary-collection\" class=\"toolbar-icon toolbar-icon-entity-taxonomy-vocabulary-collection\" data-drupal-link-system-path=\"admin/structure/taxonomy\">Taxonomy</a>\n                                <ul class=\"toolbar-menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/admin/structure/taxonomy/add\" id=\"toolbar-link-entity-taxonomy_vocabulary-add_form\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:entity-taxonomy-vocabulary-add-form\" title=\"\" data-drupal-link-system-path=\"admin/structure/taxonomy/add\">Add vocabulary</a>\n              </li>\n                <li class=\"menu-item menu-item--collapsed\">\n        <a href=\"/admin/structure/taxonomy/manage/tags/overview\" id=\"toolbar-link-entity-taxonomy_vocabulary-overview_form\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:entity-taxonomy-vocabulary-overview-form-tags\" title=\"\" data-drupal-link-system-path=\"admin/structure/taxonomy/manage/tags/overview\">Tags</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/admin/structure/views\" title=\"Manage customized lists of content.\" id=\"toolbar-link-entity-view-collection\" class=\"toolbar-icon toolbar-icon-entity-view-collection\" data-drupal-link-system-path=\"admin/structure/views\">Views</a>\n                                <ul class=\"toolbar-menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/admin/structure/views/add\" id=\"toolbar-link-views_ui-add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:views-ui-add\" title=\"\" data-drupal-link-system-path=\"admin/structure/views/add\">Add view</a>\n              </li>\n        </ul>\n  \n              </li>\n        </ul>\n  \n\n\";}s:18:\"system-themes_page\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:2104:\"\n              <ul class=\"toolbar-menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/admin/theme/install\" id=\"toolbar-link-update-theme_install\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:update-theme-install\" title=\"\" data-drupal-link-system-path=\"admin/theme/install\">Install new theme</a>\n              </li>\n                <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/admin/appearance/settings\" id=\"toolbar-link-system-theme_settings\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:system-theme-settings\" title=\"\" data-drupal-link-system-path=\"admin/appearance/settings\">Settings</a>\n                                <ul class=\"toolbar-menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/admin/appearance/settings/bartik\" id=\"toolbar-link-system-theme_settings_theme\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:system-theme-settings-theme-bartik\" title=\"\" data-drupal-link-system-path=\"admin/appearance/settings/bartik\">Bartik</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/appearance/settings/luxestate\" id=\"toolbar-link-system-theme_settings_theme\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:system-theme-settings-theme-luxestate\" title=\"\" data-drupal-link-system-path=\"admin/appearance/settings/luxestate\">Luxestate</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/appearance/settings/seven\" id=\"toolbar-link-system-theme_settings_theme\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:system-theme-settings-theme-seven\" title=\"\" data-drupal-link-system-path=\"admin/appearance/settings/seven\">Seven</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/theme/update\" id=\"toolbar-link-update-theme_update\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:update-theme-update\" title=\"\" data-drupal-link-system-path=\"admin/theme/update\">Update</a>\n              </li>\n        </ul>\n  \n\n\";}s:19:\"system-modules_list\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:962:\"\n              <ul class=\"toolbar-menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/admin/modules/install\" id=\"toolbar-link-update-module_install\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:update-module-install\" title=\"\" data-drupal-link-system-path=\"admin/modules/install\">Install new module</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/modules/uninstall\" id=\"toolbar-link-system-modules_uninstall\" class=\"toolbar-icon toolbar-icon-system-modules-uninstall\" title=\"\" data-drupal-link-system-path=\"admin/modules/uninstall\">Uninstall module</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/modules/update\" id=\"toolbar-link-update-module_update\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:update-module-update\" title=\"\" data-drupal-link-system-path=\"admin/modules/update\">Update</a>\n              </li>\n        </ul>\n  \n\n\";}s:19:\"system-admin_config\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:13882:\"\n              <ul class=\"toolbar-menu\">\n                    <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/admin/config/people\" title=\"Configure user accounts.\" id=\"toolbar-link-user-admin_index\" class=\"toolbar-icon toolbar-icon-user-admin-index\" data-drupal-link-system-path=\"admin/config/people\">People</a>\n                                <ul class=\"toolbar-menu\">\n                    <li class=\"menu-item menu-item--collapsed\">\n        <a href=\"/admin/config/people/accounts\" title=\"Configure default user account settings, including fields, registration requirements, and email messages.\" id=\"toolbar-link-entity-user-admin_form\" class=\"toolbar-icon toolbar-icon-entity-user-admin-form\" data-drupal-link-system-path=\"admin/config/people/accounts\">Account settings</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/config/people/simplenews/settings/subscriber\" title=\"Administer your subscriber settings.\" id=\"toolbar-link-simplenews-settings_subscriber\" class=\"toolbar-icon toolbar-icon-simplenews-subscriber-settings\" data-drupal-link-system-path=\"admin/config/people/simplenews/settings/subscriber\">Subscriber settings</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/admin/config/system\" title=\"Configure basic site settings, actions, and cron.\" id=\"toolbar-link-system-admin_config_system\" class=\"toolbar-icon toolbar-icon-system-admin-config-system\" data-drupal-link-system-path=\"admin/config/system\">System</a>\n                                <ul class=\"toolbar-menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/admin/config/system/site-information\" title=\"Change site name, email address, slogan, default front page, and error pages.\" id=\"toolbar-link-system-site_information_settings\" class=\"toolbar-icon toolbar-icon-system-site-information-settings\" data-drupal-link-system-path=\"admin/config/system/site-information\">Basic site settings</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/config/system/cron\" title=\"Manage automatic site maintenance tasks.\" id=\"toolbar-link-system-cron_settings\" class=\"toolbar-icon toolbar-icon-system-cron-settings\" data-drupal-link-system-path=\"admin/config/system/cron\">Cron</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/admin/config/content\" title=\"Configure content formatting and authoring.\" id=\"toolbar-link-system-admin_config_content\" class=\"toolbar-icon toolbar-icon-system-admin-config-content\" data-drupal-link-system-path=\"admin/config/content\">Content authoring</a>\n                                <ul class=\"toolbar-menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/admin/config/content/formats\" title=\"Select and configure text editors, and how content is filtered when displayed.\" id=\"toolbar-link-filter-admin_overview\" class=\"toolbar-icon toolbar-icon-filter-admin-overview\" data-drupal-link-system-path=\"admin/config/content/formats\">Text formats and editors</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/admin/config/user-interface\" title=\"Configure the administrative user interface.\" id=\"toolbar-link-system-admin_config_ui\" class=\"toolbar-icon toolbar-icon-system-admin-config-ui\" data-drupal-link-system-path=\"admin/config/user-interface\">User interface</a>\n                                <ul class=\"toolbar-menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/admin/config/user-interface/shortcut\" title=\"Add and modify shortcut sets.\" id=\"toolbar-link-entity-shortcut_set-collection\" class=\"toolbar-icon toolbar-icon-entity-shortcut-set-collection\" data-drupal-link-system-path=\"admin/config/user-interface/shortcut\">Shortcuts</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/admin/config/development\" title=\"Configure and use development tools.\" id=\"toolbar-link-system-admin_config_development\" class=\"toolbar-icon toolbar-icon-system-admin-config-development\" data-drupal-link-system-path=\"admin/config/development\">Development</a>\n                                <ul class=\"toolbar-menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/admin/config/development/performance\" title=\"Configure caching and bandwidth optimization.\" id=\"toolbar-link-system-performance_settings\" class=\"toolbar-icon toolbar-icon-system-performance-settings\" data-drupal-link-system-path=\"admin/config/development/performance\">Performance</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/config/development/logging\" title=\"Configure the display of error messages and database logging.\" id=\"toolbar-link-system-logging_settings\" class=\"toolbar-icon toolbar-icon-system-logging-settings\" data-drupal-link-system-path=\"admin/config/development/logging\">Logging and errors</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/config/development/maintenance\" title=\"Take the site offline for updates and other maintenance tasks.\" id=\"toolbar-link-system-site_maintenance_mode\" class=\"toolbar-icon toolbar-icon-system-site-maintenance-mode\" data-drupal-link-system-path=\"admin/config/development/maintenance\">Maintenance mode</a>\n              </li>\n                <li class=\"menu-item menu-item--collapsed\">\n        <a href=\"/admin/config/development/configuration\" title=\"Import and export your configuration.\" id=\"toolbar-link-config-sync\" class=\"toolbar-icon toolbar-icon-config-sync\" data-drupal-link-system-path=\"admin/config/development/configuration\">Configuration synchronization</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/admin/config/media\" id=\"toolbar-link-system-admin_config_media\" class=\"toolbar-icon toolbar-icon-system-admin-config-media\" title=\"\" data-drupal-link-system-path=\"admin/config/media\">Media</a>\n                                <ul class=\"toolbar-menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/admin/config/media/colorbox\" title=\"Configure the Colorbox settings.\" id=\"toolbar-link-colorbox-admin_settings\" class=\"toolbar-icon toolbar-icon-colorbox-admin-settings\" data-drupal-link-system-path=\"admin/config/media/colorbox\">Colorbox settings</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/config/media/file-system\" title=\"Configure the location of uploaded files and how they are accessed.\" id=\"toolbar-link-system-file_system_settings\" class=\"toolbar-icon toolbar-icon-system-file-system-settings\" data-drupal-link-system-path=\"admin/config/media/file-system\">File system</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/config/media/image-styles\" title=\"Configure styles that can be used for resizing or adjusting images on display.\" id=\"toolbar-link-entity-image_style-collection\" class=\"toolbar-icon toolbar-icon-entity-image-style-collection\" data-drupal-link-system-path=\"admin/config/media/image-styles\">Image styles</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/config/media/responsive-image-style\" title=\"Manage responsive image styles.\" id=\"toolbar-link-entity-responsive_image_style-collection\" class=\"toolbar-icon toolbar-icon-entity-responsive-image-style-collection\" data-drupal-link-system-path=\"admin/config/media/responsive-image-style\">Responsive image styles</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/config/media/image-toolkit\" title=\"Choose which image toolkit to use if you have installed optional toolkits.\" id=\"toolbar-link-system-image_toolkit_settings\" class=\"toolbar-icon toolbar-icon-system-image-toolkit-settings\" data-drupal-link-system-path=\"admin/config/media/image-toolkit\">Image toolkit</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/admin/config/search\" title=\"Configure site search, metadata, and search engine optimization.\" id=\"toolbar-link-system-admin_config_search\" class=\"toolbar-icon toolbar-icon-system-admin-config-search\" data-drupal-link-system-path=\"admin/config/search\">Search and metadata</a>\n                                <ul class=\"toolbar-menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/admin/config/search/pages\" title=\"Configure search pages and search indexing options.\" id=\"toolbar-link-entity-search_page-collection\" class=\"toolbar-icon toolbar-icon-entity-search-page-collection\" data-drupal-link-system-path=\"admin/config/search/pages\">Search pages</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/config/search/path\" title=\"Add custom URLs to existing paths.\" id=\"toolbar-link-entity-path_alias-collection\" class=\"toolbar-icon toolbar-icon-entity-path-alias-collection\" data-drupal-link-system-path=\"admin/config/search/path\">URL aliases</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/admin/config/regional\" title=\"Configure regional settings, localization, and translation.\" id=\"toolbar-link-system-admin_config_regional\" class=\"toolbar-icon toolbar-icon-system-admin-config-regional\" data-drupal-link-system-path=\"admin/config/regional\">Regional and language</a>\n                                <ul class=\"toolbar-menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/admin/config/regional/settings\" title=\"Configure the locale and timezone settings.\" id=\"toolbar-link-system-regional_settings\" class=\"toolbar-icon toolbar-icon-system-regional-settings\" data-drupal-link-system-path=\"admin/config/regional/settings\">Regional settings</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/config/regional/date-time\" title=\"Configure how dates and times are displayed.\" id=\"toolbar-link-entity-date_format-collection\" class=\"toolbar-icon toolbar-icon-entity-date-format-collection\" data-drupal-link-system-path=\"admin/config/regional/date-time\">Date and time formats</a>\n              </li>\n                <li class=\"menu-item menu-item--collapsed\">\n        <a href=\"/admin/config/regional/language\" title=\"Configure languages for content, interface, and configuration.\" id=\"toolbar-link-entity-configurable_language-collection\" class=\"toolbar-icon toolbar-icon-entity-configurable-language-collection\" data-drupal-link-system-path=\"admin/config/regional/language\">Languages</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/config/regional/content-language\" title=\"Configure language and translation support for content.\" id=\"toolbar-link-language-content_settings_page\" class=\"toolbar-icon toolbar-icon-language-content-settings-page\" data-drupal-link-system-path=\"admin/config/regional/content-language\">Content language and translation</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/config/regional/translate\" title=\"Configure the import of translation files, and add or customize interface translations.\" id=\"toolbar-link-locale-translate_page\" class=\"toolbar-icon toolbar-icon-locale-translate-page\" data-drupal-link-system-path=\"admin/config/regional/translate\">User interface translation</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/config/regional/config-translation\" title=\"Translate the configuration.\" id=\"toolbar-link-config_translation-mapper_list\" class=\"toolbar-icon toolbar-icon-config-translation-mapper-list\" data-drupal-link-system-path=\"admin/config/regional/config-translation\">Configuration translation</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/admin/config/services\" id=\"toolbar-link-system-admin_config_services\" class=\"toolbar-icon toolbar-icon-system-admin-config-services\" title=\"\" data-drupal-link-system-path=\"admin/config/services\">Web services</a>\n                                <ul class=\"toolbar-menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/admin/config/services/rss-publishing\" title=\"Configure the site description, the number of items per feed, and whether feeds should be titles/teasers/full-text.\" id=\"toolbar-link-system-rss_feeds_settings\" class=\"toolbar-icon toolbar-icon-system-rss-feeds-settings\" data-drupal-link-system-path=\"admin/config/services/rss-publishing\">RSS publishing</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/config/services/sharethis\" title=\"Choose the widget, button family, and services for using ShareThis to share content online.\" id=\"toolbar-link-sharethis-configuration_form\" class=\"toolbar-icon toolbar-icon-sharethis-configuration-form\" data-drupal-link-system-path=\"admin/config/services/sharethis\">ShareThis</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/config/services/simplenews\" title=\"Configure your sites newsletters.\" id=\"toolbar-link-simplenews-newsletter_list\" class=\"toolbar-icon toolbar-icon-simplenews-settings\" data-drupal-link-system-path=\"admin/config/services/simplenews\">Simplenews</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/config/workflow\" title=\"Manage the content workflow.\" id=\"toolbar-link-system-admin_config_workflow\" class=\"toolbar-icon toolbar-icon-system-admin-config-workflow\" data-drupal-link-system-path=\"admin/config/workflow\">Workflow</a>\n              </li>\n        </ul>\n  \n\n\";}s:36:\"entity-block_content-field_ui_fields\";s:0:\"\";s:48:\"entity-entity_form_display-block_content-default\";s:0:\"\";s:48:\"entity-entity_view_display-block_content-default\";s:0:\"\";s:22:\"entity-user-collection\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:2523:\"\n              <ul class=\"toolbar-menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/admin/people/create\" id=\"toolbar-link-user-admin_create\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:user-admin-create\" title=\"\" data-drupal-link-system-path=\"admin/people/create\">Add user</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/people/permissions\" id=\"toolbar-link-user-admin_permissions\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:user-admin-permissions\" title=\"\" data-drupal-link-system-path=\"admin/people/permissions\">Permissions</a>\n              </li>\n                <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/admin/people/roles\" id=\"toolbar-link-entity-user_role-collection\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:entity-user-role-collection\" title=\"\" data-drupal-link-system-path=\"admin/people/roles\">Roles</a>\n                                <ul class=\"toolbar-menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/admin/people/roles/add\" id=\"toolbar-link-user-role_add\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:user-role-add\" title=\"\" data-drupal-link-system-path=\"admin/people/roles/add\">Add role</a>\n              </li>\n                <li class=\"menu-item menu-item--collapsed\">\n        <a href=\"/admin/people/roles/manage/administrator\" id=\"toolbar-link-entity-user_role-edit_form\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:entity-user-role-edit-form-administrator\" title=\"\" data-drupal-link-system-path=\"admin/people/roles/manage/administrator\">Administrator</a>\n              </li>\n                <li class=\"menu-item menu-item--collapsed\">\n        <a href=\"/admin/people/roles/manage/anonymous\" id=\"toolbar-link-entity-user_role-edit_form\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:entity-user-role-edit-form-anonymous\" title=\"\" data-drupal-link-system-path=\"admin/people/roles/manage/anonymous\">Anonymous user</a>\n              </li>\n                <li class=\"menu-item menu-item--collapsed\">\n        <a href=\"/admin/people/roles/manage/authenticated\" id=\"toolbar-link-entity-user_role-edit_form\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:entity-user-role-edit-form-authenticated\" title=\"\" data-drupal-link-system-path=\"admin/people/roles/manage/authenticated\">Authenticated user</a>\n              </li>\n        </ul>\n  \n              </li>\n        </ul>\n  \n\n\";}s:37:\"entity-block_content_type-delete_form\";s:0:\"\";s:20:\"system-admin_reports\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:3541:\"\n              <ul class=\"toolbar-menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/admin/reports/updates\" title=\"Get a status report about available updates for your installed modules and themes.\" id=\"toolbar-link-update-status\" class=\"toolbar-icon toolbar-icon-update-status\" data-drupal-link-system-path=\"admin/reports/updates\">Available updates</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/reports/dblog\" title=\"View events that have recently been logged.\" id=\"toolbar-link-dblog-overview\" class=\"toolbar-icon toolbar-icon-dblog-overview\" data-drupal-link-system-path=\"admin/reports/dblog\">Recent log messages</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/reports/translations\" title=\"Get a status report about available interface translations for your installed modules and themes.\" id=\"toolbar-link-locale-translate_status\" class=\"toolbar-icon toolbar-icon-locale-translate-status\" data-drupal-link-system-path=\"admin/reports/translations\">Available translation updates</a>\n              </li>\n                <li class=\"menu-item menu-item--expanded\">\n        <a href=\"/admin/reports/fields\" title=\"Overview of fields on all entity types.\" id=\"toolbar-link-entity-field_storage_config-collection\" class=\"toolbar-icon toolbar-icon-entity-field-storage-config-collection\" data-drupal-link-system-path=\"admin/reports/fields\">Field list</a>\n                                <ul class=\"toolbar-menu\">\n                    <li class=\"menu-item\">\n        <a href=\"/admin/reports/fields/views-fields\" id=\"toolbar-link-views_ui-reports_fields\" class=\"toolbar-icon toolbar-icon-admin-toolbar-tools-extra-links:views-ui-field-list\" title=\"\" data-drupal-link-system-path=\"admin/reports/fields/views-fields\">Used in views</a>\n              </li>\n        </ul>\n  \n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/reports/status\" title=\"Get a status report about your site&#039;s operation.\" id=\"toolbar-link-system-status\" class=\"toolbar-icon toolbar-icon-system-status\" data-drupal-link-system-path=\"admin/reports/status\">Status report</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/reports/access-denied\" title=\"View &#039;access denied&#039; errors (403s).\" id=\"toolbar-link-dblog-access_denied\" class=\"toolbar-icon toolbar-icon-dblog-access-denied\" data-drupal-link-system-path=\"admin/reports/access-denied\">Top &#039;access denied&#039; errors</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/reports/page-not-found\" title=\"View &#039;page not found&#039; errors (404s).\" id=\"toolbar-link-dblog-page_not_found\" class=\"toolbar-icon toolbar-icon-dblog-page-not-found\" data-drupal-link-system-path=\"admin/reports/page-not-found\">Top &#039;page not found&#039; errors</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/reports/search\" title=\"View most popular search phrases.\" id=\"toolbar-link-dblog-search\" class=\"toolbar-icon toolbar-icon-dblog-search\" data-drupal-link-system-path=\"admin/reports/search\">Top search phrases</a>\n              </li>\n                <li class=\"menu-item\">\n        <a href=\"/admin/reports/views-plugins\" title=\"Overview of plugins used in all views.\" id=\"toolbar-link-views_ui-reports_plugins\" class=\"toolbar-icon toolbar-icon-views-ui-reports-plugins\" data-drupal-link-system-path=\"admin/reports/views-plugins\">Views plugins</a>\n              </li>\n        </ul>\n  \n\n\";}s:9:\"help-main\";s:0:\"\";}}',-1,1637057251.703,1,'config:system.menu.admin rendered','62'),('toolbar_rendered_subtrees:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:2:{s:15:\"#cache_redirect\";b:1;s:6:\"#cache\";a:5:{s:4:\"keys\";a:1:{i:0;s:25:\"toolbar_rendered_subtrees\";}s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:7:\"session\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:1:{i:0;s:24:\"config:system.menu.admin\";}s:7:\"max-age\";i:-1;s:3:\"bin\";s:6:\"render\";}}',-1,1637057270.483,1,'config:system.menu.admin rendered','62'),('toolbar_rendered_subtrees:[languages:language_interface]=en:[theme]=seven:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:2:{s:15:\"#cache_redirect\";b:1;s:6:\"#cache\";a:5:{s:4:\"keys\";a:1:{i:0;s:25:\"toolbar_rendered_subtrees\";}s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:7:\"session\";i:2;s:5:\"theme\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:1:{i:0;s:24:\"config:system.menu.admin\";}s:7:\"max-age\";i:-1;s:3:\"bin\";s:6:\"render\";}}',-1,1637057251.698,1,'config:system.menu.admin rendered','62'),('view:frontpage:display:page_1:[languages:language_content]=en:[languages:language_interface]=en:[theme]=luxestate:[url.site]=http://luxestate-d8.frontend.local2.weebpal.com:[user.node_grants:view]=all:[user.permiN-T9UKekDvD8ATJbP0k-oXWb8T4hPzMz-O8A9dMl1aw','a:8:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:2828:\"<div class=\"views-element-container contextual-region\"><div class=\"view-blog-summary contextual-region view view-frontpage view-id-frontpage view-display-id-page_1 js-view-dom-id-6c26b72c2a4929d40de12427fe6a5867cfbce23358f69f600915f38b06700e2c\">\n  \n    <div data-contextual-id=\"entity.view.edit_form:view=frontpage:location=page&amp;name=frontpage&amp;display_id=page_1&amp;langcode=en\" data-contextual-token=\"PfvLpj7pdfJiEuk6XuPMExbUXNXL6qbocqdysBlJuHI\"></div>\n      \n      <div class=\"view-content\">\n          <div class=\"views-view-grid horizontal cols-3 clearfix\">\n            <div class=\"views-row clearfix row-1\">\n                  <div class=\"views-col col-1\" style=\"width: 33.333333333333%;\"><div class=\"views-field views-field-title\"><span class=\"field-content\"><a href=\"/blog/dare-bare\" hreflang=\"en\">Dare to bare</a></span></div><div class=\"views-field views-field-body\"><div class=\"field-content\"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna…</p></div></div><div class=\"views-field views-field-view-node\"><span class=\"field-content\"><a href=\"/blog/dare-bare\" hreflang=\"en\">Read more</a></span></div><div class=\"views-field views-field-nothing\"><span class=\"field-content\"></span></div></div>\n                  <div class=\"views-col col-2\" style=\"width: 33.333333333333%;\"><div class=\"views-field views-field-title\"><span class=\"field-content\"><a href=\"/blog/wall\" hreflang=\"en\">Off the wall</a></span></div><div class=\"views-field views-field-body\"><div class=\"field-content\"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna…</p></div></div><div class=\"views-field views-field-view-node\"><span class=\"field-content\"><a href=\"/blog/wall\" hreflang=\"en\">Read more</a></span></div><div class=\"views-field views-field-nothing\"><span class=\"field-content\"></span></div></div>\n                  <div class=\"views-col col-3\" style=\"width: 33.333333333333%;\"><div class=\"views-field views-field-title\"><span class=\"field-content\"><a href=\"/blog/seeing-light\" hreflang=\"en\">Seeing the light</a></span></div><div class=\"views-field views-field-body\"><div class=\"field-content\"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna…</p></div></div><div class=\"views-field views-field-view-node\"><span class=\"field-content\"><a href=\"/blog/seeing-light\" hreflang=\"en\">Read more</a></span></div><div class=\"views-field views-field-nothing\"><span class=\"field-content\"></span></div></div>\n              </div>\n      </div>\n\n    </div>\n  \n              <div class=\"feed-icons\">\n      <a href=\"http://luxestate-d8.frontend.local2.weebpal.com/rss.xml\" class=\"feed-icon\">\n  Subscribe to \n</a>\n\n    </div>\n  </div>\n</div>\n\";}s:9:\"#attached\";a:3:{s:7:\"library\";a:2:{i:0;s:18:\"views/views.module\";i:1;s:18:\"views/views.module\";}s:14:\"drupalSettings\";a:0:{}s:14:\"html_head_link\";a:2:{i:0;a:1:{i:0;a:4:{s:3:\"rel\";s:9:\"alternate\";s:4:\"type\";s:19:\"application/rss+xml\";s:5:\"title\";s:0:\"\";s:4:\"href\";s:55:\"http://luxestate-d8.frontend.local2.weebpal.com/rss.xml\";}}i:1;a:1:{i:0;a:4:{s:3:\"rel\";s:9:\"alternate\";s:4:\"type\";s:19:\"application/rss+xml\";s:5:\"title\";s:0:\"\";s:4:\"href\";s:55:\"http://luxestate-d8.frontend.local2.weebpal.com/rss.xml\";}}}}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:6:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:5:\"theme\";i:3;s:8:\"url.site\";i:4;s:21:\"user.node_grants:view\";i:5;s:16:\"user.permissions\";}s:4:\"tags\";a:7:{i:0;s:30:\"config:field.storage.node.body\";i:1;s:30:\"config:filter.format.full_html\";i:2;s:27:\"config:views.view.frontpage\";i:3;s:7:\"node:12\";i:4;s:7:\"node:15\";i:5;s:7:\"node:16\";i:6;s:9:\"node_list\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:4:{i:0;s:8:\"#view_id\";i:1;s:30:\"#view_display_show_admin_links\";i:2;s:23:\"#view_display_plugin_id\";i:3;s:6:\"#title\";}s:8:\"#view_id\";s:9:\"frontpage\";s:23:\"#view_display_plugin_id\";s:4:\"page\";s:30:\"#view_display_show_admin_links\";b:1;s:6:\"#title\";a:2:{s:7:\"#markup\";s:0:\"\";s:13:\"#allowed_tags\";a:12:{i:0;s:1:\"a\";i:1;s:2:\"em\";i:2;s:6:\"strong\";i:3;s:4:\"cite\";i:4;s:10:\"blockquote\";i:5;s:4:\"code\";i:6;s:2:\"ul\";i:7;s:2:\"ol\";i:8;s:2:\"li\";i:9;s:2:\"dl\";i:10;s:2:\"dt\";i:11;s:2:\"dd\";}}}',-1,1636012247.991,1,'config:field.storage.node.body config:filter.format.full_html config:views.view.frontpage node:12 node:15 node:16 node_list rendered','9'),('view:frontpage:display:page_1:[languages:language_content]=en:[languages:language_interface]=en:[theme]=luxestate:[url.site]=http://luxestate-d8.frontend.local2.weebpal.com:[user.node_grants:view]=view.all:[user.vRNvusHsg3R820NXhMNHwDe37frlmq5RACt_ruWkn9Y','a:8:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:2584:\"<div class=\"views-element-container\"><div class=\"view-blog-summary view view-frontpage view-id-frontpage view-display-id-page_1 js-view-dom-id-aa409c8599b0bf9e07fcb0ca6bb7f5bbba0fabb8ca346d5f4905dfd4404be880\">\n  \n    \n      \n      <div class=\"view-content\">\n          <div class=\"views-view-grid horizontal cols-3 clearfix\">\n            <div class=\"views-row clearfix row-1\">\n                  <div class=\"views-col col-1\" style=\"width: 33.333333333333%;\"><div class=\"views-field views-field-title\"><span class=\"field-content\"><a href=\"/blog/dare-bare\" hreflang=\"en\">Dare to bare</a></span></div><div class=\"views-field views-field-body\"><div class=\"field-content\"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna…</p></div></div><div class=\"views-field views-field-view-node\"><span class=\"field-content\"><a href=\"/blog/dare-bare\" hreflang=\"en\">Read more</a></span></div><div class=\"views-field views-field-nothing\"><span class=\"field-content\"></span></div></div>\n                  <div class=\"views-col col-2\" style=\"width: 33.333333333333%;\"><div class=\"views-field views-field-title\"><span class=\"field-content\"><a href=\"/blog/wall\" hreflang=\"en\">Off the wall</a></span></div><div class=\"views-field views-field-body\"><div class=\"field-content\"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna…</p></div></div><div class=\"views-field views-field-view-node\"><span class=\"field-content\"><a href=\"/blog/wall\" hreflang=\"en\">Read more</a></span></div><div class=\"views-field views-field-nothing\"><span class=\"field-content\"></span></div></div>\n                  <div class=\"views-col col-3\" style=\"width: 33.333333333333%;\"><div class=\"views-field views-field-title\"><span class=\"field-content\"><a href=\"/blog/seeing-light\" hreflang=\"en\">Seeing the light</a></span></div><div class=\"views-field views-field-body\"><div class=\"field-content\"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna…</p></div></div><div class=\"views-field views-field-view-node\"><span class=\"field-content\"><a href=\"/blog/seeing-light\" hreflang=\"en\">Read more</a></span></div><div class=\"views-field views-field-nothing\"><span class=\"field-content\"></span></div></div>\n              </div>\n      </div>\n\n    </div>\n  \n              <div class=\"feed-icons\">\n      <a href=\"http://luxestate-d8.frontend.local2.weebpal.com/rss.xml\" class=\"feed-icon\">\n  Subscribe to \n</a>\n\n    </div>\n  </div>\n</div>\n\";}s:9:\"#attached\";a:3:{s:7:\"library\";a:2:{i:0;s:18:\"views/views.module\";i:1;s:18:\"views/views.module\";}s:14:\"drupalSettings\";a:0:{}s:14:\"html_head_link\";a:2:{i:0;a:1:{i:0;a:4:{s:3:\"rel\";s:9:\"alternate\";s:4:\"type\";s:19:\"application/rss+xml\";s:5:\"title\";s:0:\"\";s:4:\"href\";s:55:\"http://luxestate-d8.frontend.local2.weebpal.com/rss.xml\";}}i:1;a:1:{i:0;a:4:{s:3:\"rel\";s:9:\"alternate\";s:4:\"type\";s:19:\"application/rss+xml\";s:5:\"title\";s:0:\"\";s:4:\"href\";s:55:\"http://luxestate-d8.frontend.local2.weebpal.com/rss.xml\";}}}}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:6:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:5:\"theme\";i:3;s:8:\"url.site\";i:4;s:21:\"user.node_grants:view\";i:5;s:16:\"user.permissions\";}s:4:\"tags\";a:7:{i:0;s:30:\"config:field.storage.node.body\";i:1;s:30:\"config:filter.format.full_html\";i:2;s:27:\"config:views.view.frontpage\";i:3;s:7:\"node:12\";i:4;s:7:\"node:15\";i:5;s:7:\"node:16\";i:6;s:9:\"node_list\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:4:{i:0;s:8:\"#view_id\";i:1;s:30:\"#view_display_show_admin_links\";i:2;s:23:\"#view_display_plugin_id\";i:3;s:6:\"#title\";}s:8:\"#view_id\";s:9:\"frontpage\";s:23:\"#view_display_plugin_id\";s:4:\"page\";s:30:\"#view_display_show_admin_links\";b:1;s:6:\"#title\";a:2:{s:7:\"#markup\";s:0:\"\";s:13:\"#allowed_tags\";a:12:{i:0;s:1:\"a\";i:1;s:2:\"em\";i:2;s:6:\"strong\";i:3;s:4:\"cite\";i:4;s:10:\"blockquote\";i:5;s:4:\"code\";i:6;s:2:\"ul\";i:7;s:2:\"ol\";i:8;s:2:\"li\";i:9;s:2:\"dl\";i:10;s:2:\"dt\";i:11;s:2:\"dd\";}}}',-1,1636711429.519,1,'config:field.storage.node.body config:filter.format.full_html config:views.view.frontpage node:12 node:15 node:16 node_list rendered','9'),('view:frontpage:display:page_1:[languages:language_content]=en:[languages:language_interface]=en:[theme]=luxestate:[user.node_grants:view]=all:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:3:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:2766:\"<div class=\"view-blog-summary contextual-region view view-frontpage view-id-frontpage view-display-id-page_1 js-view-dom-id-6c26b72c2a4929d40de12427fe6a5867cfbce23358f69f600915f38b06700e2c\">\n  \n    <div data-contextual-id=\"entity.view.edit_form:view=frontpage:location=page&amp;name=frontpage&amp;display_id=page_1&amp;langcode=en\" data-contextual-token=\"PfvLpj7pdfJiEuk6XuPMExbUXNXL6qbocqdysBlJuHI\"></div>\n      \n      <div class=\"view-content\">\n          <div class=\"views-view-grid horizontal cols-3 clearfix\">\n            <div class=\"views-row clearfix row-1\">\n                  <div class=\"views-col col-1\" style=\"width: 33.333333333333%;\"><div class=\"views-field views-field-title\"><span class=\"field-content\"><a href=\"/blog/dare-bare\" hreflang=\"en\">Dare to bare</a></span></div><div class=\"views-field views-field-body\"><div class=\"field-content\"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna…</p></div></div><div class=\"views-field views-field-view-node\"><span class=\"field-content\"><a href=\"/blog/dare-bare\" hreflang=\"en\">Read more</a></span></div><div class=\"views-field views-field-nothing\"><span class=\"field-content\"></span></div></div>\n                  <div class=\"views-col col-2\" style=\"width: 33.333333333333%;\"><div class=\"views-field views-field-title\"><span class=\"field-content\"><a href=\"/blog/wall\" hreflang=\"en\">Off the wall</a></span></div><div class=\"views-field views-field-body\"><div class=\"field-content\"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna…</p></div></div><div class=\"views-field views-field-view-node\"><span class=\"field-content\"><a href=\"/blog/wall\" hreflang=\"en\">Read more</a></span></div><div class=\"views-field views-field-nothing\"><span class=\"field-content\"></span></div></div>\n                  <div class=\"views-col col-3\" style=\"width: 33.333333333333%;\"><div class=\"views-field views-field-title\"><span class=\"field-content\"><a href=\"/blog/seeing-light\" hreflang=\"en\">Seeing the light</a></span></div><div class=\"views-field views-field-body\"><div class=\"field-content\"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna…</p></div></div><div class=\"views-field views-field-view-node\"><span class=\"field-content\"><a href=\"/blog/seeing-light\" hreflang=\"en\">Read more</a></span></div><div class=\"views-field views-field-nothing\"><span class=\"field-content\"></span></div></div>\n              </div>\n      </div>\n\n    </div>\n  \n              <div class=\"feed-icons\">\n      <a href=\"http://luxestate-d8.frontend.local2.weebpal.com/rss.xml\" class=\"feed-icon\">\n  Subscribe to \n</a>\n\n    </div>\n  </div>\n\";}s:9:\"#attached\";a:3:{s:7:\"library\";a:1:{i:0;s:18:\"views/views.module\";}s:14:\"drupalSettings\";a:0:{}s:14:\"html_head_link\";a:1:{i:0;a:1:{i:0;a:4:{s:3:\"rel\";s:9:\"alternate\";s:4:\"type\";s:19:\"application/rss+xml\";s:5:\"title\";s:0:\"\";s:4:\"href\";s:55:\"http://luxestate-d8.frontend.local2.weebpal.com/rss.xml\";}}}}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:5:\"theme\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:7:{i:0;s:30:\"config:field.storage.node.body\";i:1;s:30:\"config:filter.format.full_html\";i:2;s:27:\"config:views.view.frontpage\";i:3;s:7:\"node:12\";i:4;s:7:\"node:15\";i:5;s:7:\"node:16\";i:6;s:9:\"node_list\";}s:7:\"max-age\";i:-1;}}',-1,1636012247.977,1,'config:field.storage.node.body config:filter.format.full_html config:views.view.frontpage node:12 node:15 node:16 node_list rendered','9'),('view:frontpage:display:page_1:[languages:language_content]=en:[languages:language_interface]=en:[theme]=luxestate:[user.node_grants:view]=view.all:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:3:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:2540:\"<div class=\"view-blog-summary view view-frontpage view-id-frontpage view-display-id-page_1 js-view-dom-id-aa409c8599b0bf9e07fcb0ca6bb7f5bbba0fabb8ca346d5f4905dfd4404be880\">\n  \n    \n      \n      <div class=\"view-content\">\n          <div class=\"views-view-grid horizontal cols-3 clearfix\">\n            <div class=\"views-row clearfix row-1\">\n                  <div class=\"views-col col-1\" style=\"width: 33.333333333333%;\"><div class=\"views-field views-field-title\"><span class=\"field-content\"><a href=\"/blog/dare-bare\" hreflang=\"en\">Dare to bare</a></span></div><div class=\"views-field views-field-body\"><div class=\"field-content\"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna…</p></div></div><div class=\"views-field views-field-view-node\"><span class=\"field-content\"><a href=\"/blog/dare-bare\" hreflang=\"en\">Read more</a></span></div><div class=\"views-field views-field-nothing\"><span class=\"field-content\"></span></div></div>\n                  <div class=\"views-col col-2\" style=\"width: 33.333333333333%;\"><div class=\"views-field views-field-title\"><span class=\"field-content\"><a href=\"/blog/wall\" hreflang=\"en\">Off the wall</a></span></div><div class=\"views-field views-field-body\"><div class=\"field-content\"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna…</p></div></div><div class=\"views-field views-field-view-node\"><span class=\"field-content\"><a href=\"/blog/wall\" hreflang=\"en\">Read more</a></span></div><div class=\"views-field views-field-nothing\"><span class=\"field-content\"></span></div></div>\n                  <div class=\"views-col col-3\" style=\"width: 33.333333333333%;\"><div class=\"views-field views-field-title\"><span class=\"field-content\"><a href=\"/blog/seeing-light\" hreflang=\"en\">Seeing the light</a></span></div><div class=\"views-field views-field-body\"><div class=\"field-content\"><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna…</p></div></div><div class=\"views-field views-field-view-node\"><span class=\"field-content\"><a href=\"/blog/seeing-light\" hreflang=\"en\">Read more</a></span></div><div class=\"views-field views-field-nothing\"><span class=\"field-content\"></span></div></div>\n              </div>\n      </div>\n\n    </div>\n  \n              <div class=\"feed-icons\">\n      <a href=\"http://luxestate-d8.frontend.local2.weebpal.com/rss.xml\" class=\"feed-icon\">\n  Subscribe to \n</a>\n\n    </div>\n  </div>\n\";}s:9:\"#attached\";a:3:{s:7:\"library\";a:1:{i:0;s:18:\"views/views.module\";}s:14:\"drupalSettings\";a:0:{}s:14:\"html_head_link\";a:1:{i:0;a:1:{i:0;a:4:{s:3:\"rel\";s:9:\"alternate\";s:4:\"type\";s:19:\"application/rss+xml\";s:5:\"title\";s:0:\"\";s:4:\"href\";s:55:\"http://luxestate-d8.frontend.local2.weebpal.com/rss.xml\";}}}}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:5:\"theme\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:7:{i:0;s:30:\"config:field.storage.node.body\";i:1;s:30:\"config:filter.format.full_html\";i:2;s:27:\"config:views.view.frontpage\";i:3;s:7:\"node:12\";i:4;s:7:\"node:15\";i:5;s:7:\"node:16\";i:6;s:9:\"node_list\";}s:7:\"max-age\";i:-1;}}',-1,1636711429.505,1,'config:field.storage.node.body config:filter.format.full_html config:views.view.frontpage node:12 node:15 node:16 node_list rendered','9'),('view:frontpage:display:page_1:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:2:{s:15:\"#cache_redirect\";b:1;s:6:\"#cache\";a:5:{s:4:\"keys\";a:4:{i:0;s:4:\"view\";i:1;s:9:\"frontpage\";i:2;s:7:\"display\";i:3;s:6:\"page_1\";}s:8:\"contexts\";a:6:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:5:\"theme\";i:3;s:8:\"url.site\";i:4;s:21:\"user.node_grants:view\";i:5;s:16:\"user.permissions\";}s:4:\"tags\";a:7:{i:0;s:30:\"config:field.storage.node.body\";i:1;s:30:\"config:filter.format.full_html\";i:2;s:27:\"config:views.view.frontpage\";i:3;s:7:\"node:12\";i:4;s:7:\"node:15\";i:5;s:7:\"node:16\";i:6;s:9:\"node_list\";}s:7:\"max-age\";i:-1;s:3:\"bin\";s:6:\"render\";}}',-1,1636012247.987,1,'config:field.storage.node.body config:filter.format.full_html config:views.view.frontpage node:12 node:15 node:16 node_list rendered','9'),('view:frontpage:display:page_1:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:2:{s:15:\"#cache_redirect\";b:1;s:6:\"#cache\";a:5:{s:4:\"keys\";a:4:{i:0;s:4:\"view\";i:1;s:9:\"frontpage\";i:2;s:7:\"display\";i:3;s:6:\"page_1\";}s:8:\"contexts\";a:6:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:5:\"theme\";i:3;s:8:\"url.site\";i:4;s:21:\"user.node_grants:view\";i:5;s:16:\"user.permissions\";}s:4:\"tags\";a:7:{i:0;s:30:\"config:field.storage.node.body\";i:1;s:30:\"config:filter.format.full_html\";i:2;s:27:\"config:views.view.frontpage\";i:3;s:7:\"node:12\";i:4;s:7:\"node:15\";i:5;s:7:\"node:16\";i:6;s:9:\"node_list\";}s:7:\"max-age\";i:-1;s:3:\"bin\";s:6:\"render\";}}',-1,1636711429.515,1,'config:field.storage.node.body config:filter.format.full_html config:views.view.frontpage node:12 node:15 node:16 node_list rendered','9'),('views:fields:about_us:block_1:731bb59eab63f3c4f9ebc94e1a9e60ba0d60702731bff4aebc01f8cddfa61601:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:9:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:5:{i:0;s:30:\"config:filter.format.full_html\";i:1;s:33:\"config:image.style.image_1920_700\";i:2;s:26:\"config:views.view.about_us\";i:3;s:7:\"file:36\";i:4;s:6:\"node:4\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:5:{i:0;s:4:\"path\";i:1;s:12:\"field_banner\";i:2;s:5:\"title\";i:3;s:8:\"field_su\";i:4;s:7:\"nothing\";}s:4:\"path\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:9:\"/about-us\";}}s:12:\"field_banner\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:203:\"  <img src=\"/sites/default/files/styles/image_1920_700/public/field/banner/about-us-banner.jpg?itok=UW8PbBlO\" width=\"1920\" height=\"700\" alt=\"\" typeof=\"foaf:Image\" class=\"image-style-image-1920-700\" />\n\n\n\";}}s:5:\"title\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:20:\"Welcome to Luxestate\";}}s:8:\"field_su\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:607:\"<p>“It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout. The point of using Lorem Ipsum is that it has a more-or-less normal distribution of letters, as opposed to using \'Content here, content here\', making it look like readable English (injected humour and the like).</p>\n<p>There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which don\'t look even slightly believable.</p>\n<h4>AMANDA CLARKE</h4>\n<h5>Creative Director</h5>\n\";}}s:7:\"nothing\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:95:\"<div class=\"views-field wp-views-field-view-node\">\n		<a href=\"/about-us\">Read more</a> 	\n</div>\";}}}',-1,1636012250.176,1,'config:filter.format.full_html config:image.style.image_1920_700 config:views.view.about_us file:36 node:4 rendered','8'),('views:fields:about_us:block_1:731bb59eab63f3c4f9ebc94e1a9e60ba0d60702731bff4aebc01f8cddfa61601:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:9:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:5:{i:0;s:30:\"config:filter.format.full_html\";i:1;s:33:\"config:image.style.image_1920_700\";i:2;s:26:\"config:views.view.about_us\";i:3;s:7:\"file:36\";i:4;s:6:\"node:4\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:5:{i:0;s:4:\"path\";i:1;s:12:\"field_banner\";i:2;s:5:\"title\";i:3;s:8:\"field_su\";i:4;s:7:\"nothing\";}s:4:\"path\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:9:\"/about-us\";}}s:12:\"field_banner\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:203:\"  <img src=\"/sites/default/files/styles/image_1920_700/public/field/banner/about-us-banner.jpg?itok=UW8PbBlO\" width=\"1920\" height=\"700\" alt=\"\" typeof=\"foaf:Image\" class=\"image-style-image-1920-700\" />\n\n\n\";}}s:5:\"title\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:20:\"Welcome to Luxestate\";}}s:8:\"field_su\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:607:\"<p>“It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout. The point of using Lorem Ipsum is that it has a more-or-less normal distribution of letters, as opposed to using \'Content here, content here\', making it look like readable English (injected humour and the like).</p>\n<p>There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which don\'t look even slightly believable.</p>\n<h4>AMANDA CLARKE</h4>\n<h5>Creative Director</h5>\n\";}}s:7:\"nothing\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:95:\"<div class=\"views-field wp-views-field-view-node\">\n		<a href=\"/about-us\">Read more</a> 	\n</div>\";}}}',-1,1636711430.058,1,'config:filter.format.full_html config:image.style.image_1920_700 config:views.view.about_us file:36 node:4 rendered','8'),('views:fields:blog_page:block_2:01839eaa9f9c04aece91bcdf90cb272f6a8ca63fdd66a6ee5fa731d7a6524ae6:[languages:language_interface]=en:[theme]=luxestate:[timezone]=Europe/Paris:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:11:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:8:\"timezone\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:9:{i:0;s:30:\"config:filter.format.full_html\";i:1;s:32:\"config:image.style.image_551_372\";i:2;s:27:\"config:views.view.blog_page\";i:3;s:8:\"file:114\";i:4;s:7:\"node:15\";i:5;s:15:\"taxonomy_term:1\";i:6;s:15:\"taxonomy_term:5\";i:7;s:15:\"taxonomy_term:6\";i:8;s:7:\"user:15\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:7:{i:0;s:4:\"path\";i:1;s:11:\"field_image\";i:2;s:5:\"title\";i:3;s:7:\"created\";i:4;s:3:\"uid\";i:5;s:10:\"field_tags\";i:6;s:4:\"body\";}s:4:\"path\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:10:\"/blog/wall\";}}s:11:\"field_image\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:262:\"  <a href=\"/blog/wall\" hreflang=\"en\"><img src=\"/sites/default/files/styles/image_551_372/public/field/blog/blog-03.jpg?itok=83qPKtx9\" width=\"551\" height=\"372\" alt=\"Off the wall\" title=\"Off the wall\" typeof=\"foaf:Image\" class=\"image-style-image-551-372\" />\n\n</a>\n\";}}s:5:\"title\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:51:\"<a href=\"/blog/wall\" hreflang=\"en\">Off the wall</a>\";}}s:7:\"created\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:17:\"December 22, 2015\";}}s:3:\"uid\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:46:\"by <a href=\"/user/15\" hreflang=\"en\">linda</a> \";}}s:10:\"field_tags\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:66:\"in <a href=\"/tags/transportation\" hreflang=\"en\">Transportation</a>\";}}s:4:\"body\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:130:\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua.</p>\";}}}',-1,1636012250.721,1,'config:filter.format.full_html config:image.style.image_551_372 config:views.view.blog_page file:114 node:15 rendered taxonomy_term:1 taxonomy_term:5 taxonomy_term:6 user:15','7'),('views:fields:blog_page:block_2:01839eaa9f9c04aece91bcdf90cb272f6a8ca63fdd66a6ee5fa731d7a6524ae6:[languages:language_interface]=en:[theme]=luxestate:[timezone]=Europe/Paris:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:11:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:8:\"timezone\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:9:{i:0;s:30:\"config:filter.format.full_html\";i:1;s:32:\"config:image.style.image_551_372\";i:2;s:27:\"config:views.view.blog_page\";i:3;s:8:\"file:114\";i:4;s:7:\"node:15\";i:5;s:15:\"taxonomy_term:1\";i:6;s:15:\"taxonomy_term:5\";i:7;s:15:\"taxonomy_term:6\";i:8;s:7:\"user:15\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:7:{i:0;s:4:\"path\";i:1;s:11:\"field_image\";i:2;s:5:\"title\";i:3;s:7:\"created\";i:4;s:3:\"uid\";i:5;s:10:\"field_tags\";i:6;s:4:\"body\";}s:4:\"path\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:10:\"/blog/wall\";}}s:11:\"field_image\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:262:\"  <a href=\"/blog/wall\" hreflang=\"en\"><img src=\"/sites/default/files/styles/image_551_372/public/field/blog/blog-03.jpg?itok=83qPKtx9\" width=\"551\" height=\"372\" alt=\"Off the wall\" title=\"Off the wall\" typeof=\"foaf:Image\" class=\"image-style-image-551-372\" />\n\n</a>\n\";}}s:5:\"title\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:51:\"<a href=\"/blog/wall\" hreflang=\"en\">Off the wall</a>\";}}s:7:\"created\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:17:\"December 22, 2015\";}}s:3:\"uid\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:46:\"by <a href=\"/user/15\" hreflang=\"en\">linda</a> \";}}s:10:\"field_tags\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:66:\"in <a href=\"/tags/transportation\" hreflang=\"en\">Transportation</a>\";}}s:4:\"body\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:130:\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua.</p>\";}}}',-1,1636711430.466,1,'config:filter.format.full_html config:image.style.image_551_372 config:views.view.blog_page file:114 node:15 rendered taxonomy_term:1 taxonomy_term:5 taxonomy_term:6 user:15','7'),('views:fields:blog_page:block_2:01839eaa9f9c04aece91bcdf90cb272f6a8ca63fdd66a6ee5fa731d7a6524ae6:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:2:{s:15:\"#cache_redirect\";b:1;s:6:\"#cache\";a:5:{s:4:\"keys\";a:5:{i:0;s:5:\"views\";i:1;s:6:\"fields\";i:2;s:9:\"blog_page\";i:3;s:7:\"block_2\";i:4;s:64:\"01839eaa9f9c04aece91bcdf90cb272f6a8ca63fdd66a6ee5fa731d7a6524ae6\";}s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:8:\"timezone\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:9:{i:0;s:30:\"config:filter.format.full_html\";i:1;s:32:\"config:image.style.image_551_372\";i:2;s:27:\"config:views.view.blog_page\";i:3;s:8:\"file:114\";i:4;s:7:\"node:15\";i:5;s:15:\"taxonomy_term:1\";i:6;s:15:\"taxonomy_term:5\";i:7;s:15:\"taxonomy_term:6\";i:8;s:7:\"user:15\";}s:7:\"max-age\";i:-1;s:3:\"bin\";s:6:\"render\";}}',-1,1636012250.717,1,'config:filter.format.full_html config:image.style.image_551_372 config:views.view.blog_page file:114 node:15 rendered taxonomy_term:1 taxonomy_term:5 taxonomy_term:6 user:15','7'),('views:fields:blog_page:block_2:01839eaa9f9c04aece91bcdf90cb272f6a8ca63fdd66a6ee5fa731d7a6524ae6:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:2:{s:15:\"#cache_redirect\";b:1;s:6:\"#cache\";a:5:{s:4:\"keys\";a:5:{i:0;s:5:\"views\";i:1;s:6:\"fields\";i:2;s:9:\"blog_page\";i:3;s:7:\"block_2\";i:4;s:64:\"01839eaa9f9c04aece91bcdf90cb272f6a8ca63fdd66a6ee5fa731d7a6524ae6\";}s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:8:\"timezone\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:9:{i:0;s:30:\"config:filter.format.full_html\";i:1;s:32:\"config:image.style.image_551_372\";i:2;s:27:\"config:views.view.blog_page\";i:3;s:8:\"file:114\";i:4;s:7:\"node:15\";i:5;s:15:\"taxonomy_term:1\";i:6;s:15:\"taxonomy_term:5\";i:7;s:15:\"taxonomy_term:6\";i:8;s:7:\"user:15\";}s:7:\"max-age\";i:-1;s:3:\"bin\";s:6:\"render\";}}',-1,1636711430.462,1,'config:filter.format.full_html config:image.style.image_551_372 config:views.view.blog_page file:114 node:15 rendered taxonomy_term:1 taxonomy_term:5 taxonomy_term:6 user:15','7'),('views:fields:blog_page:block_2:e00ec5081e02389d74c596a36d513762eaa2b1b7bc213b78220b4ebf125f40eb:[languages:language_interface]=en:[theme]=luxestate:[timezone]=Europe/Paris:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:11:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:8:\"timezone\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:9:{i:0;s:30:\"config:filter.format.full_html\";i:1;s:32:\"config:image.style.image_551_372\";i:2;s:27:\"config:views.view.blog_page\";i:3;s:8:\"file:112\";i:4;s:8:\"file:122\";i:5;s:7:\"node:11\";i:6;s:15:\"taxonomy_term:1\";i:7;s:15:\"taxonomy_term:2\";i:8;s:6:\"user:1\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:7:{i:0;s:4:\"path\";i:1;s:11:\"field_image\";i:2;s:5:\"title\";i:3;s:7:\"created\";i:4;s:3:\"uid\";i:5;s:10:\"field_tags\";i:6;s:4:\"body\";}s:4:\"path\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:31:\"/blog/warehouse-sale-emeryville\";}}s:11:\"field_image\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:315:\"  <a href=\"/blog/warehouse-sale-emeryville\" hreflang=\"en\"><img src=\"/sites/default/files/styles/image_551_372/public/field/blog/blog-02.jpg?itok=7PhIWd28\" width=\"551\" height=\"372\" alt=\"Warehouse Sale in Emeryville\" title=\"Warehouse Sale in Emeryville\" typeof=\"foaf:Image\" class=\"image-style-image-551-372\" />\n\n</a>\n\";}}s:5:\"title\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:88:\"<a href=\"/blog/warehouse-sale-emeryville\" hreflang=\"en\">Warehouse Sale in Emeryville</a>\";}}s:7:\"created\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:16:\"January 08, 2016\";}}s:3:\"uid\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:45:\"by <a href=\"/user/1\" hreflang=\"en\">admin</a> \";}}s:10:\"field_tags\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:44:\"in <a href=\"/tags/css\" hreflang=\"en\">CSS</a>\";}}s:4:\"body\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:130:\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua.</p>\";}}}',-1,1636012250.703,1,'config:filter.format.full_html config:image.style.image_551_372 config:views.view.blog_page file:112 file:122 node:11 rendered taxonomy_term:1 taxonomy_term:2 user:1','7'),('views:fields:blog_page:block_2:e00ec5081e02389d74c596a36d513762eaa2b1b7bc213b78220b4ebf125f40eb:[languages:language_interface]=en:[theme]=luxestate:[timezone]=Europe/Paris:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:11:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:8:\"timezone\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:9:{i:0;s:30:\"config:filter.format.full_html\";i:1;s:32:\"config:image.style.image_551_372\";i:2;s:27:\"config:views.view.blog_page\";i:3;s:8:\"file:112\";i:4;s:8:\"file:122\";i:5;s:7:\"node:11\";i:6;s:15:\"taxonomy_term:1\";i:7;s:15:\"taxonomy_term:2\";i:8;s:6:\"user:1\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:7:{i:0;s:4:\"path\";i:1;s:11:\"field_image\";i:2;s:5:\"title\";i:3;s:7:\"created\";i:4;s:3:\"uid\";i:5;s:10:\"field_tags\";i:6;s:4:\"body\";}s:4:\"path\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:31:\"/blog/warehouse-sale-emeryville\";}}s:11:\"field_image\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:315:\"  <a href=\"/blog/warehouse-sale-emeryville\" hreflang=\"en\"><img src=\"/sites/default/files/styles/image_551_372/public/field/blog/blog-02.jpg?itok=7PhIWd28\" width=\"551\" height=\"372\" alt=\"Warehouse Sale in Emeryville\" title=\"Warehouse Sale in Emeryville\" typeof=\"foaf:Image\" class=\"image-style-image-551-372\" />\n\n</a>\n\";}}s:5:\"title\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:88:\"<a href=\"/blog/warehouse-sale-emeryville\" hreflang=\"en\">Warehouse Sale in Emeryville</a>\";}}s:7:\"created\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:16:\"January 08, 2016\";}}s:3:\"uid\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:45:\"by <a href=\"/user/1\" hreflang=\"en\">admin</a> \";}}s:10:\"field_tags\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:44:\"in <a href=\"/tags/css\" hreflang=\"en\">CSS</a>\";}}s:4:\"body\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:130:\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua.</p>\";}}}',-1,1636711430.449,1,'config:filter.format.full_html config:image.style.image_551_372 config:views.view.blog_page file:112 file:122 node:11 rendered taxonomy_term:1 taxonomy_term:2 user:1','7'),('views:fields:blog_page:block_2:e00ec5081e02389d74c596a36d513762eaa2b1b7bc213b78220b4ebf125f40eb:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:2:{s:15:\"#cache_redirect\";b:1;s:6:\"#cache\";a:5:{s:4:\"keys\";a:5:{i:0;s:5:\"views\";i:1;s:6:\"fields\";i:2;s:9:\"blog_page\";i:3;s:7:\"block_2\";i:4;s:64:\"e00ec5081e02389d74c596a36d513762eaa2b1b7bc213b78220b4ebf125f40eb\";}s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:8:\"timezone\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:9:{i:0;s:30:\"config:filter.format.full_html\";i:1;s:32:\"config:image.style.image_551_372\";i:2;s:27:\"config:views.view.blog_page\";i:3;s:8:\"file:112\";i:4;s:8:\"file:122\";i:5;s:7:\"node:11\";i:6;s:15:\"taxonomy_term:1\";i:7;s:15:\"taxonomy_term:2\";i:8;s:6:\"user:1\";}s:7:\"max-age\";i:-1;s:3:\"bin\";s:6:\"render\";}}',-1,1636012250.699,1,'config:filter.format.full_html config:image.style.image_551_372 config:views.view.blog_page file:112 file:122 node:11 rendered taxonomy_term:1 taxonomy_term:2 user:1','7'),('views:fields:blog_page:block_2:e00ec5081e02389d74c596a36d513762eaa2b1b7bc213b78220b4ebf125f40eb:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:2:{s:15:\"#cache_redirect\";b:1;s:6:\"#cache\";a:5:{s:4:\"keys\";a:5:{i:0;s:5:\"views\";i:1;s:6:\"fields\";i:2;s:9:\"blog_page\";i:3;s:7:\"block_2\";i:4;s:64:\"e00ec5081e02389d74c596a36d513762eaa2b1b7bc213b78220b4ebf125f40eb\";}s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:8:\"timezone\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:9:{i:0;s:30:\"config:filter.format.full_html\";i:1;s:32:\"config:image.style.image_551_372\";i:2;s:27:\"config:views.view.blog_page\";i:3;s:8:\"file:112\";i:4;s:8:\"file:122\";i:5;s:7:\"node:11\";i:6;s:15:\"taxonomy_term:1\";i:7;s:15:\"taxonomy_term:2\";i:8;s:6:\"user:1\";}s:7:\"max-age\";i:-1;s:3:\"bin\";s:6:\"render\";}}',-1,1636711430.443,1,'config:filter.format.full_html config:image.style.image_551_372 config:views.view.blog_page file:112 file:122 node:11 rendered taxonomy_term:1 taxonomy_term:2 user:1','7'),('views:fields:blog_page:block_2:f5797a519dbd9645ea52faeb83bea8f7a1cbc9320e85ee914a29ae99cc3157fc:[languages:language_interface]=en:[theme]=luxestate:[timezone]=Europe/Paris:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:11:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:8:\"timezone\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:8:{i:0;s:30:\"config:filter.format.full_html\";i:1;s:32:\"config:image.style.image_551_372\";i:2;s:27:\"config:views.view.blog_page\";i:3;s:8:\"file:111\";i:4;s:7:\"node:16\";i:5;s:15:\"taxonomy_term:1\";i:6;s:15:\"taxonomy_term:2\";i:7;s:7:\"user:15\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:7:{i:0;s:4:\"path\";i:1;s:11:\"field_image\";i:2;s:5:\"title\";i:3;s:7:\"created\";i:4;s:3:\"uid\";i:5;s:10:\"field_tags\";i:6;s:4:\"body\";}s:4:\"path\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:18:\"/blog/seeing-light\";}}s:11:\"field_image\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:278:\"  <a href=\"/blog/seeing-light\" hreflang=\"en\"><img src=\"/sites/default/files/styles/image_551_372/public/field/blog/blog-01.jpg?itok=WLGJd480\" width=\"551\" height=\"372\" alt=\"Seeing the light\" title=\"Seeing the light\" typeof=\"foaf:Image\" class=\"image-style-image-551-372\" />\n\n</a>\n\";}}s:5:\"title\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:63:\"<a href=\"/blog/seeing-light\" hreflang=\"en\">Seeing the light</a>\";}}s:7:\"created\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:13:\"July 25, 2016\";}}s:3:\"uid\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:46:\"by <a href=\"/user/15\" hreflang=\"en\">linda</a> \";}}s:10:\"field_tags\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:50:\"in <a href=\"/tags/drupal\" hreflang=\"en\">Drupal</a>\";}}s:4:\"body\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:130:\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua.</p>\";}}}',-1,1636012250.680,1,'config:filter.format.full_html config:image.style.image_551_372 config:views.view.blog_page file:111 node:16 rendered taxonomy_term:1 taxonomy_term:2 user:15','8'),('views:fields:blog_page:block_2:f5797a519dbd9645ea52faeb83bea8f7a1cbc9320e85ee914a29ae99cc3157fc:[languages:language_interface]=en:[theme]=luxestate:[timezone]=Europe/Paris:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:11:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:8:\"timezone\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:8:{i:0;s:30:\"config:filter.format.full_html\";i:1;s:32:\"config:image.style.image_551_372\";i:2;s:27:\"config:views.view.blog_page\";i:3;s:8:\"file:111\";i:4;s:7:\"node:16\";i:5;s:15:\"taxonomy_term:1\";i:6;s:15:\"taxonomy_term:2\";i:7;s:7:\"user:15\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:7:{i:0;s:4:\"path\";i:1;s:11:\"field_image\";i:2;s:5:\"title\";i:3;s:7:\"created\";i:4;s:3:\"uid\";i:5;s:10:\"field_tags\";i:6;s:4:\"body\";}s:4:\"path\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:18:\"/blog/seeing-light\";}}s:11:\"field_image\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:278:\"  <a href=\"/blog/seeing-light\" hreflang=\"en\"><img src=\"/sites/default/files/styles/image_551_372/public/field/blog/blog-01.jpg?itok=WLGJd480\" width=\"551\" height=\"372\" alt=\"Seeing the light\" title=\"Seeing the light\" typeof=\"foaf:Image\" class=\"image-style-image-551-372\" />\n\n</a>\n\";}}s:5:\"title\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:63:\"<a href=\"/blog/seeing-light\" hreflang=\"en\">Seeing the light</a>\";}}s:7:\"created\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:13:\"July 25, 2016\";}}s:3:\"uid\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:46:\"by <a href=\"/user/15\" hreflang=\"en\">linda</a> \";}}s:10:\"field_tags\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:50:\"in <a href=\"/tags/drupal\" hreflang=\"en\">Drupal</a>\";}}s:4:\"body\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:130:\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua.</p>\";}}}',-1,1636711430.426,1,'config:filter.format.full_html config:image.style.image_551_372 config:views.view.blog_page file:111 node:16 rendered taxonomy_term:1 taxonomy_term:2 user:15','8'),('views:fields:blog_page:block_2:f5797a519dbd9645ea52faeb83bea8f7a1cbc9320e85ee914a29ae99cc3157fc:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:2:{s:15:\"#cache_redirect\";b:1;s:6:\"#cache\";a:5:{s:4:\"keys\";a:5:{i:0;s:5:\"views\";i:1;s:6:\"fields\";i:2;s:9:\"blog_page\";i:3;s:7:\"block_2\";i:4;s:64:\"f5797a519dbd9645ea52faeb83bea8f7a1cbc9320e85ee914a29ae99cc3157fc\";}s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:8:\"timezone\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:8:{i:0;s:30:\"config:filter.format.full_html\";i:1;s:32:\"config:image.style.image_551_372\";i:2;s:27:\"config:views.view.blog_page\";i:3;s:8:\"file:111\";i:4;s:7:\"node:16\";i:5;s:15:\"taxonomy_term:1\";i:6;s:15:\"taxonomy_term:2\";i:7;s:7:\"user:15\";}s:7:\"max-age\";i:-1;s:3:\"bin\";s:6:\"render\";}}',-1,1636012250.676,1,'config:filter.format.full_html config:image.style.image_551_372 config:views.view.blog_page file:111 node:16 rendered taxonomy_term:1 taxonomy_term:2 user:15','8'),('views:fields:blog_page:block_2:f5797a519dbd9645ea52faeb83bea8f7a1cbc9320e85ee914a29ae99cc3157fc:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:2:{s:15:\"#cache_redirect\";b:1;s:6:\"#cache\";a:5:{s:4:\"keys\";a:5:{i:0;s:5:\"views\";i:1;s:6:\"fields\";i:2;s:9:\"blog_page\";i:3;s:7:\"block_2\";i:4;s:64:\"f5797a519dbd9645ea52faeb83bea8f7a1cbc9320e85ee914a29ae99cc3157fc\";}s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:8:\"timezone\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:8:{i:0;s:30:\"config:filter.format.full_html\";i:1;s:32:\"config:image.style.image_551_372\";i:2;s:27:\"config:views.view.blog_page\";i:3;s:8:\"file:111\";i:4;s:7:\"node:16\";i:5;s:15:\"taxonomy_term:1\";i:6;s:15:\"taxonomy_term:2\";i:7;s:7:\"user:15\";}s:7:\"max-age\";i:-1;s:3:\"bin\";s:6:\"render\";}}',-1,1636711430.420,1,'config:filter.format.full_html config:image.style.image_551_372 config:views.view.blog_page file:111 node:16 rendered taxonomy_term:1 taxonomy_term:2 user:15','8'),('views:fields:blog_page:block_3:4374e626c40a565fd17e5e1ada425e20edaf68b82a36325975ee56fa53be0e98:[languages:language_interface]=en:[theme]=luxestate:[timezone]=Europe/Paris:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:9:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:8:\"timezone\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:6:{i:0;s:30:\"config:filter.format.full_html\";i:1;s:30:\"config:image.style.image_63_63\";i:2;s:27:\"config:views.view.blog_page\";i:3;s:8:\"file:112\";i:4;s:8:\"file:122\";i:5;s:7:\"node:11\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:5:{i:0;s:11:\"field_image\";i:1;s:5:\"title\";i:2;s:4:\"body\";i:3;s:7:\"created\";i:4;s:7:\"nothing\";}s:11:\"field_image\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:309:\"  <a href=\"/blog/warehouse-sale-emeryville\" hreflang=\"en\"><img src=\"/sites/default/files/styles/image_63_63/public/field/blog/blog-02.jpg?itok=8Le4uyzF\" width=\"63\" height=\"63\" alt=\"Warehouse Sale in Emeryville\" title=\"Warehouse Sale in Emeryville\" typeof=\"foaf:Image\" class=\"image-style-image-63-63\" />\n\n</a>\n\";}}s:5:\"title\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:88:\"<a href=\"/blog/warehouse-sale-emeryville\" hreflang=\"en\">Warehouse Sale in Emeryville</a>\";}}s:4:\"body\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:49:\"<p>Lorem ipsum dolor sit amet, consectetur…</p>\";}}s:7:\"created\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:11:\"08 Jan,2016\";}}s:7:\"nothing\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:739:\"<div class=\"views-field wp-views-field-img\">\n	  <a href=\"/blog/warehouse-sale-emeryville\" hreflang=\"en\"><img src=\"/sites/default/files/styles/image_63_63/public/field/blog/blog-02.jpg?itok=8Le4uyzF\" width=\"63\" height=\"63\" alt=\"Warehouse Sale in Emeryville\" title=\"Warehouse Sale in Emeryville\" typeof=\"Image\" class=\"image-style-image-63-63\" />\n\n</a>\n 	\n</div>\n<div class=\"views-inner views-fieldset\">\n	<div class=\"views-field wp-views-field-title\">\n		<a href=\"/blog/warehouse-sale-emeryville\" hreflang=\"en\">Warehouse Sale in Emeryville</a>	\n	</div>\n	<div class=\"views-field wp-views-field-body\">\n		<p>Lorem ipsum dolor sit amet, consectetur…</p> 	\n	</div>\n	<div class=\"views-field wp-views-field-created\">\n		08 Jan,2016		\n	</div>\n</div>\n\";}}}',-1,1637057271.459,1,'config:filter.format.full_html config:image.style.image_63_63 config:views.view.blog_page file:112 file:122 node:11 rendered','8'),('views:fields:blog_page:block_3:4374e626c40a565fd17e5e1ada425e20edaf68b82a36325975ee56fa53be0e98:[languages:language_interface]=en:[theme]=luxestate:[timezone]=Europe/Paris:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:9:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:8:\"timezone\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:6:{i:0;s:30:\"config:filter.format.full_html\";i:1;s:30:\"config:image.style.image_63_63\";i:2;s:27:\"config:views.view.blog_page\";i:3;s:8:\"file:112\";i:4;s:8:\"file:122\";i:5;s:7:\"node:11\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:5:{i:0;s:11:\"field_image\";i:1;s:5:\"title\";i:2;s:4:\"body\";i:3;s:7:\"created\";i:4;s:7:\"nothing\";}s:11:\"field_image\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:309:\"  <a href=\"/blog/warehouse-sale-emeryville\" hreflang=\"en\"><img src=\"/sites/default/files/styles/image_63_63/public/field/blog/blog-02.jpg?itok=8Le4uyzF\" width=\"63\" height=\"63\" alt=\"Warehouse Sale in Emeryville\" title=\"Warehouse Sale in Emeryville\" typeof=\"foaf:Image\" class=\"image-style-image-63-63\" />\n\n</a>\n\";}}s:5:\"title\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:88:\"<a href=\"/blog/warehouse-sale-emeryville\" hreflang=\"en\">Warehouse Sale in Emeryville</a>\";}}s:4:\"body\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:49:\"<p>Lorem ipsum dolor sit amet, consectetur…</p>\";}}s:7:\"created\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:11:\"08 Jan,2016\";}}s:7:\"nothing\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:739:\"<div class=\"views-field wp-views-field-img\">\n	  <a href=\"/blog/warehouse-sale-emeryville\" hreflang=\"en\"><img src=\"/sites/default/files/styles/image_63_63/public/field/blog/blog-02.jpg?itok=8Le4uyzF\" width=\"63\" height=\"63\" alt=\"Warehouse Sale in Emeryville\" title=\"Warehouse Sale in Emeryville\" typeof=\"Image\" class=\"image-style-image-63-63\" />\n\n</a>\n 	\n</div>\n<div class=\"views-inner views-fieldset\">\n	<div class=\"views-field wp-views-field-title\">\n		<a href=\"/blog/warehouse-sale-emeryville\" hreflang=\"en\">Warehouse Sale in Emeryville</a>	\n	</div>\n	<div class=\"views-field wp-views-field-body\">\n		<p>Lorem ipsum dolor sit amet, consectetur…</p> 	\n	</div>\n	<div class=\"views-field wp-views-field-created\">\n		08 Jan,2016		\n	</div>\n</div>\n\";}}}',-1,1637057290.483,1,'config:filter.format.full_html config:image.style.image_63_63 config:views.view.blog_page file:112 file:122 node:11 rendered','8'),('views:fields:blog_page:block_3:4374e626c40a565fd17e5e1ada425e20edaf68b82a36325975ee56fa53be0e98:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:2:{s:15:\"#cache_redirect\";b:1;s:6:\"#cache\";a:5:{s:4:\"keys\";a:5:{i:0;s:5:\"views\";i:1;s:6:\"fields\";i:2;s:9:\"blog_page\";i:3;s:7:\"block_3\";i:4;s:64:\"4374e626c40a565fd17e5e1ada425e20edaf68b82a36325975ee56fa53be0e98\";}s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:8:\"timezone\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:6:{i:0;s:30:\"config:filter.format.full_html\";i:1;s:30:\"config:image.style.image_63_63\";i:2;s:27:\"config:views.view.blog_page\";i:3;s:8:\"file:112\";i:4;s:8:\"file:122\";i:5;s:7:\"node:11\";}s:7:\"max-age\";i:-1;s:3:\"bin\";s:6:\"render\";}}',-1,1637057271.454,1,'config:filter.format.full_html config:image.style.image_63_63 config:views.view.blog_page file:112 file:122 node:11 rendered','8'),('views:fields:blog_page:block_3:4374e626c40a565fd17e5e1ada425e20edaf68b82a36325975ee56fa53be0e98:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:2:{s:15:\"#cache_redirect\";b:1;s:6:\"#cache\";a:5:{s:4:\"keys\";a:5:{i:0;s:5:\"views\";i:1;s:6:\"fields\";i:2;s:9:\"blog_page\";i:3;s:7:\"block_3\";i:4;s:64:\"4374e626c40a565fd17e5e1ada425e20edaf68b82a36325975ee56fa53be0e98\";}s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:8:\"timezone\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:6:{i:0;s:30:\"config:filter.format.full_html\";i:1;s:30:\"config:image.style.image_63_63\";i:2;s:27:\"config:views.view.blog_page\";i:3;s:8:\"file:112\";i:4;s:8:\"file:122\";i:5;s:7:\"node:11\";}s:7:\"max-age\";i:-1;s:3:\"bin\";s:6:\"render\";}}',-1,1637057290.480,1,'config:filter.format.full_html config:image.style.image_63_63 config:views.view.blog_page file:112 file:122 node:11 rendered','8'),('views:fields:blog_page:block_3:5bf03759bb21fab31e4ceca387473e4d40d4412666e8a50377238f48fee1edf4:[languages:language_interface]=en:[theme]=luxestate:[timezone]=Europe/Paris:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:9:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:8:\"timezone\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:5:{i:0;s:30:\"config:filter.format.full_html\";i:1;s:30:\"config:image.style.image_63_63\";i:2;s:27:\"config:views.view.blog_page\";i:3;s:8:\"file:111\";i:4;s:7:\"node:16\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:5:{i:0;s:11:\"field_image\";i:1;s:5:\"title\";i:2;s:4:\"body\";i:3;s:7:\"created\";i:4;s:7:\"nothing\";}s:11:\"field_image\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:272:\"  <a href=\"/blog/seeing-light\" hreflang=\"en\"><img src=\"/sites/default/files/styles/image_63_63/public/field/blog/blog-01.jpg?itok=JB0jmD8A\" width=\"63\" height=\"63\" alt=\"Seeing the light\" title=\"Seeing the light\" typeof=\"foaf:Image\" class=\"image-style-image-63-63\" />\n\n</a>\n\";}}s:5:\"title\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:63:\"<a href=\"/blog/seeing-light\" hreflang=\"en\">Seeing the light</a>\";}}s:4:\"body\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:49:\"<p>Lorem ipsum dolor sit amet, consectetur…</p>\";}}s:7:\"created\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:11:\"25 Jul,2016\";}}s:7:\"nothing\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:677:\"<div class=\"views-field wp-views-field-img\">\n	  <a href=\"/blog/seeing-light\" hreflang=\"en\"><img src=\"/sites/default/files/styles/image_63_63/public/field/blog/blog-01.jpg?itok=JB0jmD8A\" width=\"63\" height=\"63\" alt=\"Seeing the light\" title=\"Seeing the light\" typeof=\"Image\" class=\"image-style-image-63-63\" />\n\n</a>\n 	\n</div>\n<div class=\"views-inner views-fieldset\">\n	<div class=\"views-field wp-views-field-title\">\n		<a href=\"/blog/seeing-light\" hreflang=\"en\">Seeing the light</a>	\n	</div>\n	<div class=\"views-field wp-views-field-body\">\n		<p>Lorem ipsum dolor sit amet, consectetur…</p> 	\n	</div>\n	<div class=\"views-field wp-views-field-created\">\n		25 Jul,2016		\n	</div>\n</div>\n\";}}}',-1,1637057271.441,1,'config:filter.format.full_html config:image.style.image_63_63 config:views.view.blog_page file:111 node:16 rendered','9'),('views:fields:blog_page:block_3:5bf03759bb21fab31e4ceca387473e4d40d4412666e8a50377238f48fee1edf4:[languages:language_interface]=en:[theme]=luxestate:[timezone]=Europe/Paris:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:9:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:8:\"timezone\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:5:{i:0;s:30:\"config:filter.format.full_html\";i:1;s:30:\"config:image.style.image_63_63\";i:2;s:27:\"config:views.view.blog_page\";i:3;s:8:\"file:111\";i:4;s:7:\"node:16\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:5:{i:0;s:11:\"field_image\";i:1;s:5:\"title\";i:2;s:4:\"body\";i:3;s:7:\"created\";i:4;s:7:\"nothing\";}s:11:\"field_image\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:272:\"  <a href=\"/blog/seeing-light\" hreflang=\"en\"><img src=\"/sites/default/files/styles/image_63_63/public/field/blog/blog-01.jpg?itok=JB0jmD8A\" width=\"63\" height=\"63\" alt=\"Seeing the light\" title=\"Seeing the light\" typeof=\"foaf:Image\" class=\"image-style-image-63-63\" />\n\n</a>\n\";}}s:5:\"title\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:63:\"<a href=\"/blog/seeing-light\" hreflang=\"en\">Seeing the light</a>\";}}s:4:\"body\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:49:\"<p>Lorem ipsum dolor sit amet, consectetur…</p>\";}}s:7:\"created\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:11:\"25 Jul,2016\";}}s:7:\"nothing\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:677:\"<div class=\"views-field wp-views-field-img\">\n	  <a href=\"/blog/seeing-light\" hreflang=\"en\"><img src=\"/sites/default/files/styles/image_63_63/public/field/blog/blog-01.jpg?itok=JB0jmD8A\" width=\"63\" height=\"63\" alt=\"Seeing the light\" title=\"Seeing the light\" typeof=\"Image\" class=\"image-style-image-63-63\" />\n\n</a>\n 	\n</div>\n<div class=\"views-inner views-fieldset\">\n	<div class=\"views-field wp-views-field-title\">\n		<a href=\"/blog/seeing-light\" hreflang=\"en\">Seeing the light</a>	\n	</div>\n	<div class=\"views-field wp-views-field-body\">\n		<p>Lorem ipsum dolor sit amet, consectetur…</p> 	\n	</div>\n	<div class=\"views-field wp-views-field-created\">\n		25 Jul,2016		\n	</div>\n</div>\n\";}}}',-1,1637057290.469,1,'config:filter.format.full_html config:image.style.image_63_63 config:views.view.blog_page file:111 node:16 rendered','9'),('views:fields:blog_page:block_3:5bf03759bb21fab31e4ceca387473e4d40d4412666e8a50377238f48fee1edf4:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:2:{s:15:\"#cache_redirect\";b:1;s:6:\"#cache\";a:5:{s:4:\"keys\";a:5:{i:0;s:5:\"views\";i:1;s:6:\"fields\";i:2;s:9:\"blog_page\";i:3;s:7:\"block_3\";i:4;s:64:\"5bf03759bb21fab31e4ceca387473e4d40d4412666e8a50377238f48fee1edf4\";}s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:8:\"timezone\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:5:{i:0;s:30:\"config:filter.format.full_html\";i:1;s:30:\"config:image.style.image_63_63\";i:2;s:27:\"config:views.view.blog_page\";i:3;s:8:\"file:111\";i:4;s:7:\"node:16\";}s:7:\"max-age\";i:-1;s:3:\"bin\";s:6:\"render\";}}',-1,1637057271.436,1,'config:filter.format.full_html config:image.style.image_63_63 config:views.view.blog_page file:111 node:16 rendered','9'),('views:fields:blog_page:block_3:5bf03759bb21fab31e4ceca387473e4d40d4412666e8a50377238f48fee1edf4:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:2:{s:15:\"#cache_redirect\";b:1;s:6:\"#cache\";a:5:{s:4:\"keys\";a:5:{i:0;s:5:\"views\";i:1;s:6:\"fields\";i:2;s:9:\"blog_page\";i:3;s:7:\"block_3\";i:4;s:64:\"5bf03759bb21fab31e4ceca387473e4d40d4412666e8a50377238f48fee1edf4\";}s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:8:\"timezone\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:5:{i:0;s:30:\"config:filter.format.full_html\";i:1;s:30:\"config:image.style.image_63_63\";i:2;s:27:\"config:views.view.blog_page\";i:3;s:8:\"file:111\";i:4;s:7:\"node:16\";}s:7:\"max-age\";i:-1;s:3:\"bin\";s:6:\"render\";}}',-1,1637057290.465,1,'config:filter.format.full_html config:image.style.image_63_63 config:views.view.blog_page file:111 node:16 rendered','9'),('views:fields:frontpage:page_1:9300f5e1e267ee1808a5e53e74b69ce581391a921c61102b429c29f715687b42:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:8:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:3:{i:0;s:30:\"config:filter.format.full_html\";i:1;s:27:\"config:views.view.frontpage\";i:2;s:7:\"node:15\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:4:{i:0;s:5:\"title\";i:1;s:4:\"body\";i:2;s:9:\"view_node\";i:3;s:7:\"nothing\";}s:5:\"title\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:51:\"<a href=\"/blog/wall\" hreflang=\"en\">Off the wall</a>\";}}s:4:\"body\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:125:\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna…</p>\";}}s:9:\"view_node\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:48:\"<a href=\"/blog/wall\" hreflang=\"en\">Read more</a>\";}}s:7:\"nothing\";a:1:{s:7:\"#markup\";s:0:\"\";}}',-1,1636012247.913,1,'config:filter.format.full_html config:views.view.frontpage node:15 rendered','8'),('views:fields:frontpage:page_1:9300f5e1e267ee1808a5e53e74b69ce581391a921c61102b429c29f715687b42:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:8:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:3:{i:0;s:30:\"config:filter.format.full_html\";i:1;s:27:\"config:views.view.frontpage\";i:2;s:7:\"node:15\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:4:{i:0;s:5:\"title\";i:1;s:4:\"body\";i:2;s:9:\"view_node\";i:3;s:7:\"nothing\";}s:5:\"title\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:51:\"<a href=\"/blog/wall\" hreflang=\"en\">Off the wall</a>\";}}s:4:\"body\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:125:\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna…</p>\";}}s:9:\"view_node\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:48:\"<a href=\"/blog/wall\" hreflang=\"en\">Read more</a>\";}}s:7:\"nothing\";a:1:{s:7:\"#markup\";s:0:\"\";}}',-1,1636711429.429,1,'config:filter.format.full_html config:views.view.frontpage node:15 rendered','8'),('views:fields:frontpage:page_1:d08002add5abdc746d9605a9599aec05b379ed3f9c3a4a5e3f0f15760b051eb2:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:8:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:3:{i:0;s:30:\"config:filter.format.full_html\";i:1;s:27:\"config:views.view.frontpage\";i:2;s:7:\"node:16\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:4:{i:0;s:5:\"title\";i:1;s:4:\"body\";i:2;s:9:\"view_node\";i:3;s:7:\"nothing\";}s:5:\"title\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:63:\"<a href=\"/blog/seeing-light\" hreflang=\"en\">Seeing the light</a>\";}}s:4:\"body\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:125:\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna…</p>\";}}s:9:\"view_node\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:56:\"<a href=\"/blog/seeing-light\" hreflang=\"en\">Read more</a>\";}}s:7:\"nothing\";a:1:{s:7:\"#markup\";s:0:\"\";}}',-1,1636012247.927,1,'config:filter.format.full_html config:views.view.frontpage node:16 rendered','9'),('views:fields:frontpage:page_1:d08002add5abdc746d9605a9599aec05b379ed3f9c3a4a5e3f0f15760b051eb2:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:8:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:3:{i:0;s:30:\"config:filter.format.full_html\";i:1;s:27:\"config:views.view.frontpage\";i:2;s:7:\"node:16\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:4:{i:0;s:5:\"title\";i:1;s:4:\"body\";i:2;s:9:\"view_node\";i:3;s:7:\"nothing\";}s:5:\"title\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:63:\"<a href=\"/blog/seeing-light\" hreflang=\"en\">Seeing the light</a>\";}}s:4:\"body\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:125:\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna…</p>\";}}s:9:\"view_node\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:56:\"<a href=\"/blog/seeing-light\" hreflang=\"en\">Read more</a>\";}}s:7:\"nothing\";a:1:{s:7:\"#markup\";s:0:\"\";}}',-1,1636711429.436,1,'config:filter.format.full_html config:views.view.frontpage node:16 rendered','9'),('views:fields:frontpage:page_1:d8e5b632d78e93e87acb1531a127d7badd92280baaf85ff5c541f22a68a0cd3a:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:8:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:3:{i:0;s:30:\"config:filter.format.full_html\";i:1;s:27:\"config:views.view.frontpage\";i:2;s:7:\"node:12\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:4:{i:0;s:5:\"title\";i:1;s:4:\"body\";i:2;s:9:\"view_node\";i:3;s:7:\"nothing\";}s:5:\"title\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:56:\"<a href=\"/blog/dare-bare\" hreflang=\"en\">Dare to bare</a>\";}}s:4:\"body\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:125:\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna…</p>\";}}s:9:\"view_node\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:53:\"<a href=\"/blog/dare-bare\" hreflang=\"en\">Read more</a>\";}}s:7:\"nothing\";a:1:{s:7:\"#markup\";s:0:\"\";}}',-1,1636012247.906,1,'config:filter.format.full_html config:views.view.frontpage node:12 rendered','8'),('views:fields:frontpage:page_1:d8e5b632d78e93e87acb1531a127d7badd92280baaf85ff5c541f22a68a0cd3a:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:8:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:3:{i:0;s:30:\"config:filter.format.full_html\";i:1;s:27:\"config:views.view.frontpage\";i:2;s:7:\"node:12\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:4:{i:0;s:5:\"title\";i:1;s:4:\"body\";i:2;s:9:\"view_node\";i:3;s:7:\"nothing\";}s:5:\"title\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:56:\"<a href=\"/blog/dare-bare\" hreflang=\"en\">Dare to bare</a>\";}}s:4:\"body\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:125:\"<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna…</p>\";}}s:9:\"view_node\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:53:\"<a href=\"/blog/dare-bare\" hreflang=\"en\">Read more</a>\";}}s:7:\"nothing\";a:1:{s:7:\"#markup\";s:0:\"\";}}',-1,1636711429.421,1,'config:filter.format.full_html config:views.view.frontpage node:12 rendered','8'),('views:fields:our_partners:block_1:03c7fb5b5054b26330e8809e592654bb6e93f37afacbb94f6a2949601aae6d49:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:7:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:4:{i:0;s:32:\"config:image.style.image_380_224\";i:1;s:30:\"config:views.view.our_partners\";i:2;s:6:\"file:4\";i:3;s:6:\"node:7\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:3:{i:0;s:5:\"title\";i:1;s:10:\"field_link\";i:2;s:14:\"field_partners\";}s:5:\"title\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:57:\"<a href=\"/partners/bootstrap\" hreflang=\"en\">Bootstrap</a>\";}}s:10:\"field_link\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:79:\"<a href=\"http://getbootstrap.com/\" target=\"_blank\">http://getbootstrap.com/</a>\";}}s:14:\"field_partners\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:283:\"<a href=\"http://getbootstrap.com/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/bootstrap-logo.png?itok=1m_YLXKP\" width=\"380\" height=\"224\" alt=\"Bootstrap\" title=\"Bootstrap\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a>\";}}}',-1,1637057271.256,1,'config:image.style.image_380_224 config:views.view.our_partners file:4 node:7 rendered','7'),('views:fields:our_partners:block_1:03c7fb5b5054b26330e8809e592654bb6e93f37afacbb94f6a2949601aae6d49:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:7:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:4:{i:0;s:32:\"config:image.style.image_380_224\";i:1;s:30:\"config:views.view.our_partners\";i:2;s:6:\"file:4\";i:3;s:6:\"node:7\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:3:{i:0;s:5:\"title\";i:1;s:10:\"field_link\";i:2;s:14:\"field_partners\";}s:5:\"title\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:57:\"<a href=\"/partners/bootstrap\" hreflang=\"en\">Bootstrap</a>\";}}s:10:\"field_link\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:79:\"<a href=\"http://getbootstrap.com/\" target=\"_blank\">http://getbootstrap.com/</a>\";}}s:14:\"field_partners\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:283:\"<a href=\"http://getbootstrap.com/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/bootstrap-logo.png?itok=1m_YLXKP\" width=\"380\" height=\"224\" alt=\"Bootstrap\" title=\"Bootstrap\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a>\";}}}',-1,1637057290.349,1,'config:image.style.image_380_224 config:views.view.our_partners file:4 node:7 rendered','7'),('views:fields:our_partners:block_1:7cee1850d9c3165cd4f35477f7a3b5ec156e0e0640b97ad73f54b81c72a2ccac:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:7:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:4:{i:0;s:32:\"config:image.style.image_380_224\";i:1;s:30:\"config:views.view.our_partners\";i:2;s:6:\"file:6\";i:3;s:7:\"node:10\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:3:{i:0;s:5:\"title\";i:1;s:10:\"field_link\";i:2;s:14:\"field_partners\";}s:5:\"title\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:51:\"<a href=\"/partners/jquery\" hreflang=\"en\">jQuery</a>\";}}s:10:\"field_link\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:69:\"<a href=\"https://jquery.com/\" target=\"_blank\">https://jquery.com/</a>\";}}s:14:\"field_partners\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:269:\"<a href=\"https://jquery.com/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/jquery-logo.png?itok=LOz187-u\" width=\"380\" height=\"224\" alt=\"jQuery\" title=\"jQuery\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a>\";}}}',-1,1637057271.242,1,'config:image.style.image_380_224 config:views.view.our_partners file:6 node:10 rendered','7'),('views:fields:our_partners:block_1:7cee1850d9c3165cd4f35477f7a3b5ec156e0e0640b97ad73f54b81c72a2ccac:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:7:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:4:{i:0;s:32:\"config:image.style.image_380_224\";i:1;s:30:\"config:views.view.our_partners\";i:2;s:6:\"file:6\";i:3;s:7:\"node:10\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:3:{i:0;s:5:\"title\";i:1;s:10:\"field_link\";i:2;s:14:\"field_partners\";}s:5:\"title\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:51:\"<a href=\"/partners/jquery\" hreflang=\"en\">jQuery</a>\";}}s:10:\"field_link\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:69:\"<a href=\"https://jquery.com/\" target=\"_blank\">https://jquery.com/</a>\";}}s:14:\"field_partners\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:269:\"<a href=\"https://jquery.com/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/jquery-logo.png?itok=LOz187-u\" width=\"380\" height=\"224\" alt=\"jQuery\" title=\"jQuery\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a>\";}}}',-1,1637057290.330,1,'config:image.style.image_380_224 config:views.view.our_partners file:6 node:10 rendered','7'),('views:fields:our_partners:block_1:93e5f1c9fcbabe00ceb068fc40ca959e034f9bd76f78fe38f57155a3bae22c18:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:7:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:4:{i:0;s:32:\"config:image.style.image_380_224\";i:1;s:30:\"config:views.view.our_partners\";i:2;s:8:\"file:109\";i:3;s:7:\"node:44\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:3:{i:0;s:5:\"title\";i:1;s:10:\"field_link\";i:2;s:14:\"field_partners\";}s:5:\"title\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:55:\"<a href=\"/partners/business\" hreflang=\"en\">Business</a>\";}}s:10:\"field_link\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:113:\"<a href=\"http://demo.weebpal.com/drupal8/business/\" target=\"_blank\">http://demo.weebpal.com/drupal8/business/</a>\";}}s:14:\"field_partners\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:291:\"<a href=\"http://demo.weebpal.com/drupal8/business/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/logo-bs.png?itok=K0RPbk_h\" width=\"380\" height=\"224\" alt=\"Business\" title=\"Business\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a>\";}}}',-1,1637057271.221,1,'config:image.style.image_380_224 config:views.view.our_partners file:109 node:44 rendered','7'),('views:fields:our_partners:block_1:93e5f1c9fcbabe00ceb068fc40ca959e034f9bd76f78fe38f57155a3bae22c18:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:7:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:4:{i:0;s:32:\"config:image.style.image_380_224\";i:1;s:30:\"config:views.view.our_partners\";i:2;s:8:\"file:109\";i:3;s:7:\"node:44\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:3:{i:0;s:5:\"title\";i:1;s:10:\"field_link\";i:2;s:14:\"field_partners\";}s:5:\"title\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:55:\"<a href=\"/partners/business\" hreflang=\"en\">Business</a>\";}}s:10:\"field_link\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:113:\"<a href=\"http://demo.weebpal.com/drupal8/business/\" target=\"_blank\">http://demo.weebpal.com/drupal8/business/</a>\";}}s:14:\"field_partners\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:291:\"<a href=\"http://demo.weebpal.com/drupal8/business/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/logo-bs.png?itok=K0RPbk_h\" width=\"380\" height=\"224\" alt=\"Business\" title=\"Business\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a>\";}}}',-1,1637057290.314,1,'config:image.style.image_380_224 config:views.view.our_partners file:109 node:44 rendered','7'),('views:fields:our_partners:block_1:e258dea9e086e3d96651ccd23e880497a39ad7c28d5508b0b9ccb7a4bb794c32:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:7:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:4:{i:0;s:32:\"config:image.style.image_380_224\";i:1;s:30:\"config:views.view.our_partners\";i:2;s:6:\"file:5\";i:3;s:6:\"node:9\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:3:{i:0;s:5:\"title\";i:1;s:10:\"field_link\";i:2;s:14:\"field_partners\";}s:5:\"title\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:53:\"<a href=\"/partners/youtube\" hreflang=\"en\">Youtube</a>\";}}s:10:\"field_link\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:79:\"<a href=\"https://www.youtube.com/\" target=\"_blank\">https://www.youtube.com/</a>\";}}s:14:\"field_partners\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:277:\"<a href=\"https://www.youtube.com/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/youtube_logo.png?itok=W1Z0jbNz\" width=\"380\" height=\"224\" alt=\"Youtube\" title=\"Youtube\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a>\";}}}',-1,1637057271.249,1,'config:image.style.image_380_224 config:views.view.our_partners file:5 node:9 rendered','7'),('views:fields:our_partners:block_1:e258dea9e086e3d96651ccd23e880497a39ad7c28d5508b0b9ccb7a4bb794c32:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:7:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:4:{i:0;s:32:\"config:image.style.image_380_224\";i:1;s:30:\"config:views.view.our_partners\";i:2;s:6:\"file:5\";i:3;s:6:\"node:9\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:3:{i:0;s:5:\"title\";i:1;s:10:\"field_link\";i:2;s:14:\"field_partners\";}s:5:\"title\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:53:\"<a href=\"/partners/youtube\" hreflang=\"en\">Youtube</a>\";}}s:10:\"field_link\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:79:\"<a href=\"https://www.youtube.com/\" target=\"_blank\">https://www.youtube.com/</a>\";}}s:14:\"field_partners\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:277:\"<a href=\"https://www.youtube.com/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/youtube_logo.png?itok=W1Z0jbNz\" width=\"380\" height=\"224\" alt=\"Youtube\" title=\"Youtube\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a>\";}}}',-1,1637057290.340,1,'config:image.style.image_380_224 config:views.view.our_partners file:5 node:9 rendered','7'),('views:fields:our_partners:block_1:eb25027de045999546b0f1bcf29a48e2e414431a494d3a92ec117332c1ac63c0:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:7:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:4:{i:0;s:32:\"config:image.style.image_380_224\";i:1;s:30:\"config:views.view.our_partners\";i:2;s:8:\"file:105\";i:3;s:7:\"node:43\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:3:{i:0;s:5:\"title\";i:1;s:10:\"field_link\";i:2;s:14:\"field_partners\";}s:5:\"title\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:53:\"<a href=\"/partners/weebpal\" hreflang=\"en\">Weebpal</a>\";}}s:10:\"field_link\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:69:\"<a href=\"http://weebpal.com/\" target=\"_blank\">http://weebpal.com/</a>\";}}s:14:\"field_partners\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:267:\"<a href=\"http://weebpal.com/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/logo-wp.png?itok=bg9l3f8O\" width=\"380\" height=\"224\" alt=\"Weebpal\" title=\"Weebpal\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a>\";}}}',-1,1637057271.235,1,'config:image.style.image_380_224 config:views.view.our_partners file:105 node:43 rendered','7'),('views:fields:our_partners:block_1:eb25027de045999546b0f1bcf29a48e2e414431a494d3a92ec117332c1ac63c0:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:7:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:4:{i:0;s:32:\"config:image.style.image_380_224\";i:1;s:30:\"config:views.view.our_partners\";i:2;s:8:\"file:105\";i:3;s:7:\"node:43\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:3:{i:0;s:5:\"title\";i:1;s:10:\"field_link\";i:2;s:14:\"field_partners\";}s:5:\"title\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:53:\"<a href=\"/partners/weebpal\" hreflang=\"en\">Weebpal</a>\";}}s:10:\"field_link\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:69:\"<a href=\"http://weebpal.com/\" target=\"_blank\">http://weebpal.com/</a>\";}}s:14:\"field_partners\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:267:\"<a href=\"http://weebpal.com/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/logo-wp.png?itok=bg9l3f8O\" width=\"380\" height=\"224\" alt=\"Weebpal\" title=\"Weebpal\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a>\";}}}',-1,1637057290.321,1,'config:image.style.image_380_224 config:views.view.our_partners file:105 node:43 rendered','7'),('views:fields:our_partners:block_1:fbf97d6c362a22c08b3c2527ee13178f9eef160e86c02a6775e18e941b7a75a9:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:7:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:4:{i:0;s:32:\"config:image.style.image_380_224\";i:1;s:30:\"config:views.view.our_partners\";i:2;s:6:\"file:2\";i:3;s:6:\"node:5\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:3:{i:0;s:5:\"title\";i:1;s:10:\"field_link\";i:2;s:14:\"field_partners\";}s:5:\"title\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:51:\"<a href=\"/partners/drupal\" hreflang=\"en\">Drupal</a>\";}}s:10:\"field_link\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:77:\"<a href=\"https://www.drupal.com/\" target=\"_blank\">https://www.drupal.com/</a>\";}}s:14:\"field_partners\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:279:\"<a href=\"https://www.drupal.com/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/drupal-logo-trans.png?itok=xwZywhaS\" width=\"380\" height=\"224\" alt=\"Drupal\" title=\"Drupal\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a>\";}}}',-1,1637057271.263,1,'config:image.style.image_380_224 config:views.view.our_partners file:2 node:5 rendered','7'),('views:fields:our_partners:block_1:fbf97d6c362a22c08b3c2527ee13178f9eef160e86c02a6775e18e941b7a75a9:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:7:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:4:{i:0;s:32:\"config:image.style.image_380_224\";i:1;s:30:\"config:views.view.our_partners\";i:2;s:6:\"file:2\";i:3;s:6:\"node:5\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:3:{i:0;s:5:\"title\";i:1;s:10:\"field_link\";i:2;s:14:\"field_partners\";}s:5:\"title\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:51:\"<a href=\"/partners/drupal\" hreflang=\"en\">Drupal</a>\";}}s:10:\"field_link\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:77:\"<a href=\"https://www.drupal.com/\" target=\"_blank\">https://www.drupal.com/</a>\";}}s:14:\"field_partners\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:279:\"<a href=\"https://www.drupal.com/\" target=\"_blank\">  <img src=\"/sites/default/files/styles/image_380_224/public/field/partners/drupal-logo-trans.png?itok=xwZywhaS\" width=\"380\" height=\"224\" alt=\"Drupal\" title=\"Drupal\" typeof=\"foaf:Image\" class=\"image-style-image-380-224\" />\n\n\n</a>\";}}}',-1,1637057290.358,1,'config:image.style.image_380_224 config:views.view.our_partners file:2 node:5 rendered','7'),('views:fields:portfolio:block_1:348390c789409be26f3419bedc7e8ac297f007e17866ce7a10c7c4a12abd45d7:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:5:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:2:{s:7:\"library\";a:12:{i:0;s:17:\"colorbox/colorbox\";i:1;s:16:\"colorbox/default\";i:2;s:17:\"colorbox/colorbox\";i:3;s:16:\"colorbox/default\";i:4;s:17:\"colorbox/colorbox\";i:5;s:16:\"colorbox/default\";i:6;s:17:\"colorbox/colorbox\";i:7;s:16:\"colorbox/default\";i:8;s:17:\"colorbox/colorbox\";i:9;s:16:\"colorbox/default\";i:10;s:17:\"colorbox/colorbox\";i:11;s:16:\"colorbox/default\";}s:14:\"drupalSettings\";a:1:{s:8:\"colorbox\";a:10:{s:7:\"opacity\";s:4:\"0.85\";s:7:\"current\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"{current} of {total}\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"previous\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"« Prev\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"next\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Next »\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"close\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Close\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"maxWidth\";s:3:\"98%\";s:9:\"maxHeight\";s:3:\"98%\";s:5:\"fixed\";b:1;s:12:\"mobiledetect\";b:1;s:17:\"mobiledevicewidth\";s:5:\"480px\";}}}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:8:{i:0;s:27:\"config:views.view.portfolio\";i:1;s:7:\"file:94\";i:2;s:7:\"file:95\";i:3;s:7:\"file:96\";i:4;s:7:\"file:97\";i:5;s:7:\"file:98\";i:6;s:7:\"file:99\";i:7;s:7:\"node:20\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:1:{i:0;s:13:\"field_gallery\";}s:13:\"field_gallery\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:507:\"\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo7_1.jpg\" title=\"Ut enim ad minim veniam\" data-colorbox-gallery=\"gallery-all-VGi3IDMCSJM\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Ut enim ad minim veniam&quot;,&quot;alt&quot;:&quot;Ut enim ad minim veniam&quot;}\"><img src=\"/sites/default/files/field/gallery/demo7_1.jpg\" width=\"1100\" height=\"1100\" alt=\"Ut enim ad minim veniam\" title=\"Ut enim ad minim veniam\" typeof=\"foaf:Image\" />\n</a>\n\";}}}',-1,1636012250.375,1,'config:views.view.portfolio file:94 file:95 file:96 file:97 file:98 file:99 node:20 rendered','6'),('views:fields:portfolio:block_1:348390c789409be26f3419bedc7e8ac297f007e17866ce7a10c7c4a12abd45d7:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:5:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:2:{s:7:\"library\";a:12:{i:0;s:17:\"colorbox/colorbox\";i:1;s:16:\"colorbox/default\";i:2;s:17:\"colorbox/colorbox\";i:3;s:16:\"colorbox/default\";i:4;s:17:\"colorbox/colorbox\";i:5;s:16:\"colorbox/default\";i:6;s:17:\"colorbox/colorbox\";i:7;s:16:\"colorbox/default\";i:8;s:17:\"colorbox/colorbox\";i:9;s:16:\"colorbox/default\";i:10;s:17:\"colorbox/colorbox\";i:11;s:16:\"colorbox/default\";}s:14:\"drupalSettings\";a:1:{s:8:\"colorbox\";a:10:{s:7:\"opacity\";s:4:\"0.85\";s:7:\"current\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"{current} of {total}\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"previous\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"« Prev\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"next\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Next »\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"close\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Close\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"maxWidth\";s:3:\"98%\";s:9:\"maxHeight\";s:3:\"98%\";s:5:\"fixed\";b:1;s:12:\"mobiledetect\";b:1;s:17:\"mobiledevicewidth\";s:5:\"480px\";}}}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:8:{i:0;s:27:\"config:views.view.portfolio\";i:1;s:7:\"file:94\";i:2;s:7:\"file:95\";i:3;s:7:\"file:96\";i:4;s:7:\"file:97\";i:5;s:7:\"file:98\";i:6;s:7:\"file:99\";i:7;s:7:\"node:20\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:1:{i:0;s:13:\"field_gallery\";}s:13:\"field_gallery\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:507:\"\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo7_1.jpg\" title=\"Ut enim ad minim veniam\" data-colorbox-gallery=\"gallery-all-ZvUqTAWkBI0\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Ut enim ad minim veniam&quot;,&quot;alt&quot;:&quot;Ut enim ad minim veniam&quot;}\"><img src=\"/sites/default/files/field/gallery/demo7_1.jpg\" width=\"1100\" height=\"1100\" alt=\"Ut enim ad minim veniam\" title=\"Ut enim ad minim veniam\" typeof=\"foaf:Image\" />\n</a>\n\";}}}',-1,1636711430.193,1,'config:views.view.portfolio file:94 file:95 file:96 file:97 file:98 file:99 node:20 rendered','6'),('views:fields:portfolio:block_1:3662154c45c802ff6ea4d0abca3df459729d42ea5e3ea3d2e35105d24ce0c402:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:5:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:2:{s:7:\"library\";a:18:{i:0;s:17:\"colorbox/colorbox\";i:1;s:16:\"colorbox/default\";i:2;s:17:\"colorbox/colorbox\";i:3;s:16:\"colorbox/default\";i:4;s:17:\"colorbox/colorbox\";i:5;s:16:\"colorbox/default\";i:6;s:17:\"colorbox/colorbox\";i:7;s:16:\"colorbox/default\";i:8;s:17:\"colorbox/colorbox\";i:9;s:16:\"colorbox/default\";i:10;s:17:\"colorbox/colorbox\";i:11;s:16:\"colorbox/default\";i:12;s:17:\"colorbox/colorbox\";i:13;s:16:\"colorbox/default\";i:14;s:17:\"colorbox/colorbox\";i:15;s:16:\"colorbox/default\";i:16;s:17:\"colorbox/colorbox\";i:17;s:16:\"colorbox/default\";}s:14:\"drupalSettings\";a:1:{s:8:\"colorbox\";a:10:{s:7:\"opacity\";s:4:\"0.85\";s:7:\"current\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"{current} of {total}\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"previous\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"« Prev\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"next\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Next »\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"close\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Close\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"maxWidth\";s:3:\"98%\";s:9:\"maxHeight\";s:3:\"98%\";s:5:\"fixed\";b:1;s:12:\"mobiledetect\";b:1;s:17:\"mobiledevicewidth\";s:5:\"480px\";}}}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:11:{i:0;s:27:\"config:views.view.portfolio\";i:1;s:7:\"file:80\";i:2;s:7:\"file:81\";i:3;s:7:\"file:82\";i:4;s:7:\"file:83\";i:5;s:7:\"file:84\";i:6;s:7:\"file:85\";i:7;s:7:\"file:86\";i:8;s:7:\"file:87\";i:9;s:7:\"file:88\";i:10;s:7:\"node:19\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:1:{i:0;s:13:\"field_gallery\";}s:13:\"field_gallery\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:522:\"\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo5_0.jpg\" title=\"Lorem ipsum dolor sit amet\" data-colorbox-gallery=\"gallery-all-VGi3IDMCSJM\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Lorem ipsum dolor sit amet&quot;,&quot;alt&quot;:&quot;Lorem ipsum dolor sit amet&quot;}\"><img src=\"/sites/default/files/field/gallery/demo5_0.jpg\" width=\"1100\" height=\"1100\" alt=\"Lorem ipsum dolor sit amet\" title=\"Lorem ipsum dolor sit amet\" typeof=\"foaf:Image\" />\n</a>\n\";}}}',-1,1636012250.431,1,'config:views.view.portfolio file:80 file:81 file:82 file:83 file:84 file:85 file:86 file:87 file:88 node:19 rendered','6'),('views:fields:portfolio:block_1:4c581474b275891c2cc2b1fa32b96d1f873006ed5b6009d9dd9acdb350080be3:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:5:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:2:{s:7:\"library\";a:18:{i:0;s:17:\"colorbox/colorbox\";i:1;s:16:\"colorbox/default\";i:2;s:17:\"colorbox/colorbox\";i:3;s:16:\"colorbox/default\";i:4;s:17:\"colorbox/colorbox\";i:5;s:16:\"colorbox/default\";i:6;s:17:\"colorbox/colorbox\";i:7;s:16:\"colorbox/default\";i:8;s:17:\"colorbox/colorbox\";i:9;s:16:\"colorbox/default\";i:10;s:17:\"colorbox/colorbox\";i:11;s:16:\"colorbox/default\";i:12;s:17:\"colorbox/colorbox\";i:13;s:16:\"colorbox/default\";i:14;s:17:\"colorbox/colorbox\";i:15;s:16:\"colorbox/default\";i:16;s:17:\"colorbox/colorbox\";i:17;s:16:\"colorbox/default\";}s:14:\"drupalSettings\";a:1:{s:8:\"colorbox\";a:10:{s:7:\"opacity\";s:4:\"0.85\";s:7:\"current\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"{current} of {total}\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"previous\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"« Prev\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"next\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Next »\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"close\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Close\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"maxWidth\";s:3:\"98%\";s:9:\"maxHeight\";s:3:\"98%\";s:5:\"fixed\";b:1;s:12:\"mobiledetect\";b:1;s:17:\"mobiledevicewidth\";s:5:\"480px\";}}}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:11:{i:0;s:27:\"config:views.view.portfolio\";i:1;s:7:\"file:80\";i:2;s:7:\"file:81\";i:3;s:7:\"file:82\";i:4;s:7:\"file:83\";i:5;s:7:\"file:84\";i:6;s:7:\"file:85\";i:7;s:7:\"file:86\";i:8;s:7:\"file:87\";i:9;s:7:\"file:88\";i:10;s:7:\"node:19\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:1:{i:0;s:13:\"field_gallery\";}s:13:\"field_gallery\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:522:\"\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo6_0.jpg\" title=\"Lorem ipsum dolor sit amet\" data-colorbox-gallery=\"gallery-all-VGi3IDMCSJM\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Lorem ipsum dolor sit amet&quot;,&quot;alt&quot;:&quot;Lorem ipsum dolor sit amet&quot;}\"><img src=\"/sites/default/files/field/gallery/demo6_0.jpg\" width=\"1100\" height=\"1100\" alt=\"Lorem ipsum dolor sit amet\" title=\"Lorem ipsum dolor sit amet\" typeof=\"foaf:Image\" />\n</a>\n\";}}}',-1,1636012250.421,1,'config:views.view.portfolio file:80 file:81 file:82 file:83 file:84 file:85 file:86 file:87 file:88 node:19 rendered','6'),('views:fields:portfolio:block_1:4c581474b275891c2cc2b1fa32b96d1f873006ed5b6009d9dd9acdb350080be3:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:5:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:2:{s:7:\"library\";a:18:{i:0;s:17:\"colorbox/colorbox\";i:1;s:16:\"colorbox/default\";i:2;s:17:\"colorbox/colorbox\";i:3;s:16:\"colorbox/default\";i:4;s:17:\"colorbox/colorbox\";i:5;s:16:\"colorbox/default\";i:6;s:17:\"colorbox/colorbox\";i:7;s:16:\"colorbox/default\";i:8;s:17:\"colorbox/colorbox\";i:9;s:16:\"colorbox/default\";i:10;s:17:\"colorbox/colorbox\";i:11;s:16:\"colorbox/default\";i:12;s:17:\"colorbox/colorbox\";i:13;s:16:\"colorbox/default\";i:14;s:17:\"colorbox/colorbox\";i:15;s:16:\"colorbox/default\";i:16;s:17:\"colorbox/colorbox\";i:17;s:16:\"colorbox/default\";}s:14:\"drupalSettings\";a:1:{s:8:\"colorbox\";a:10:{s:7:\"opacity\";s:4:\"0.85\";s:7:\"current\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"{current} of {total}\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"previous\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"« Prev\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"next\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Next »\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"close\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Close\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"maxWidth\";s:3:\"98%\";s:9:\"maxHeight\";s:3:\"98%\";s:5:\"fixed\";b:1;s:12:\"mobiledetect\";b:1;s:17:\"mobiledevicewidth\";s:5:\"480px\";}}}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:11:{i:0;s:27:\"config:views.view.portfolio\";i:1;s:7:\"file:80\";i:2;s:7:\"file:81\";i:3;s:7:\"file:82\";i:4;s:7:\"file:83\";i:5;s:7:\"file:84\";i:6;s:7:\"file:85\";i:7;s:7:\"file:86\";i:8;s:7:\"file:87\";i:9;s:7:\"file:88\";i:10;s:7:\"node:19\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:1:{i:0;s:13:\"field_gallery\";}s:13:\"field_gallery\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:522:\"\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo6_0.jpg\" title=\"Lorem ipsum dolor sit amet\" data-colorbox-gallery=\"gallery-all-ZvUqTAWkBI0\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Lorem ipsum dolor sit amet&quot;,&quot;alt&quot;:&quot;Lorem ipsum dolor sit amet&quot;}\"><img src=\"/sites/default/files/field/gallery/demo6_0.jpg\" width=\"1100\" height=\"1100\" alt=\"Lorem ipsum dolor sit amet\" title=\"Lorem ipsum dolor sit amet\" typeof=\"foaf:Image\" />\n</a>\n\";}}}',-1,1636711430.245,1,'config:views.view.portfolio file:80 file:81 file:82 file:83 file:84 file:85 file:86 file:87 file:88 node:19 rendered','6'),('views:fields:portfolio:block_1:5d075e9c722fadd2c8febf6045eadaa4eb8d10de655cf16ad5b537587430f6a2:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:5:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:2:{s:7:\"library\";a:12:{i:0;s:17:\"colorbox/colorbox\";i:1;s:16:\"colorbox/default\";i:2;s:17:\"colorbox/colorbox\";i:3;s:16:\"colorbox/default\";i:4;s:17:\"colorbox/colorbox\";i:5;s:16:\"colorbox/default\";i:6;s:17:\"colorbox/colorbox\";i:7;s:16:\"colorbox/default\";i:8;s:17:\"colorbox/colorbox\";i:9;s:16:\"colorbox/default\";i:10;s:17:\"colorbox/colorbox\";i:11;s:16:\"colorbox/default\";}s:14:\"drupalSettings\";a:1:{s:8:\"colorbox\";a:10:{s:7:\"opacity\";s:4:\"0.85\";s:7:\"current\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"{current} of {total}\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"previous\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"« Prev\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"next\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Next »\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"close\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Close\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"maxWidth\";s:3:\"98%\";s:9:\"maxHeight\";s:3:\"98%\";s:5:\"fixed\";b:1;s:12:\"mobiledetect\";b:1;s:17:\"mobiledevicewidth\";s:5:\"480px\";}}}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:8:{i:0;s:27:\"config:views.view.portfolio\";i:1;s:7:\"file:94\";i:2;s:7:\"file:95\";i:3;s:7:\"file:96\";i:4;s:7:\"file:97\";i:5;s:7:\"file:98\";i:6;s:7:\"file:99\";i:7;s:7:\"node:20\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:1:{i:0;s:13:\"field_gallery\";}s:13:\"field_gallery\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:507:\"\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo1_1.jpg\" title=\"Ut enim ad minim veniam\" data-colorbox-gallery=\"gallery-all-VGi3IDMCSJM\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Ut enim ad minim veniam&quot;,&quot;alt&quot;:&quot;Ut enim ad minim veniam&quot;}\"><img src=\"/sites/default/files/field/gallery/demo1_1.jpg\" width=\"1100\" height=\"1100\" alt=\"Ut enim ad minim veniam\" title=\"Ut enim ad minim veniam\" typeof=\"foaf:Image\" />\n</a>\n\";}}}',-1,1636012250.357,1,'config:views.view.portfolio file:94 file:95 file:96 file:97 file:98 file:99 node:20 rendered','6'),('views:fields:portfolio:block_1:5d075e9c722fadd2c8febf6045eadaa4eb8d10de655cf16ad5b537587430f6a2:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:5:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:2:{s:7:\"library\";a:12:{i:0;s:17:\"colorbox/colorbox\";i:1;s:16:\"colorbox/default\";i:2;s:17:\"colorbox/colorbox\";i:3;s:16:\"colorbox/default\";i:4;s:17:\"colorbox/colorbox\";i:5;s:16:\"colorbox/default\";i:6;s:17:\"colorbox/colorbox\";i:7;s:16:\"colorbox/default\";i:8;s:17:\"colorbox/colorbox\";i:9;s:16:\"colorbox/default\";i:10;s:17:\"colorbox/colorbox\";i:11;s:16:\"colorbox/default\";}s:14:\"drupalSettings\";a:1:{s:8:\"colorbox\";a:10:{s:7:\"opacity\";s:4:\"0.85\";s:7:\"current\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"{current} of {total}\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"previous\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"« Prev\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"next\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Next »\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"close\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Close\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"maxWidth\";s:3:\"98%\";s:9:\"maxHeight\";s:3:\"98%\";s:5:\"fixed\";b:1;s:12:\"mobiledetect\";b:1;s:17:\"mobiledevicewidth\";s:5:\"480px\";}}}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:8:{i:0;s:27:\"config:views.view.portfolio\";i:1;s:7:\"file:94\";i:2;s:7:\"file:95\";i:3;s:7:\"file:96\";i:4;s:7:\"file:97\";i:5;s:7:\"file:98\";i:6;s:7:\"file:99\";i:7;s:7:\"node:20\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:1:{i:0;s:13:\"field_gallery\";}s:13:\"field_gallery\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:507:\"\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo1_1.jpg\" title=\"Ut enim ad minim veniam\" data-colorbox-gallery=\"gallery-all-ZvUqTAWkBI0\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Ut enim ad minim veniam&quot;,&quot;alt&quot;:&quot;Ut enim ad minim veniam&quot;}\"><img src=\"/sites/default/files/field/gallery/demo1_1.jpg\" width=\"1100\" height=\"1100\" alt=\"Ut enim ad minim veniam\" title=\"Ut enim ad minim veniam\" typeof=\"foaf:Image\" />\n</a>\n\";}}}',-1,1636711430.200,1,'config:views.view.portfolio file:94 file:95 file:96 file:97 file:98 file:99 node:20 rendered','6'),('views:fields:portfolio:block_1:66f315742295a5b1e51ceb2b09a52d9de833b84a6c26a688d3f2b75084f83ba2:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:5:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:2:{s:7:\"library\";a:12:{i:0;s:17:\"colorbox/colorbox\";i:1;s:16:\"colorbox/default\";i:2;s:17:\"colorbox/colorbox\";i:3;s:16:\"colorbox/default\";i:4;s:17:\"colorbox/colorbox\";i:5;s:16:\"colorbox/default\";i:6;s:17:\"colorbox/colorbox\";i:7;s:16:\"colorbox/default\";i:8;s:17:\"colorbox/colorbox\";i:9;s:16:\"colorbox/default\";i:10;s:17:\"colorbox/colorbox\";i:11;s:16:\"colorbox/default\";}s:14:\"drupalSettings\";a:1:{s:8:\"colorbox\";a:10:{s:7:\"opacity\";s:4:\"0.85\";s:7:\"current\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"{current} of {total}\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"previous\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"« Prev\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"next\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Next »\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"close\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Close\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"maxWidth\";s:3:\"98%\";s:9:\"maxHeight\";s:3:\"98%\";s:5:\"fixed\";b:1;s:12:\"mobiledetect\";b:1;s:17:\"mobiledevicewidth\";s:5:\"480px\";}}}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:8:{i:0;s:27:\"config:views.view.portfolio\";i:1;s:7:\"file:94\";i:2;s:7:\"file:95\";i:3;s:7:\"file:96\";i:4;s:7:\"file:97\";i:5;s:7:\"file:98\";i:6;s:7:\"file:99\";i:7;s:7:\"node:20\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:1:{i:0;s:13:\"field_gallery\";}s:13:\"field_gallery\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:507:\"\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo8_2.jpg\" title=\"Ut enim ad minim veniam\" data-colorbox-gallery=\"gallery-all-VGi3IDMCSJM\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Ut enim ad minim veniam&quot;,&quot;alt&quot;:&quot;Ut enim ad minim veniam&quot;}\"><img src=\"/sites/default/files/field/gallery/demo8_2.jpg\" width=\"1100\" height=\"1100\" alt=\"Ut enim ad minim veniam\" title=\"Ut enim ad minim veniam\" typeof=\"foaf:Image\" />\n</a>\n\";}}}',-1,1636012250.391,1,'config:views.view.portfolio file:94 file:95 file:96 file:97 file:98 file:99 node:20 rendered','6'),('views:fields:portfolio:block_1:66f315742295a5b1e51ceb2b09a52d9de833b84a6c26a688d3f2b75084f83ba2:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:5:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:2:{s:7:\"library\";a:12:{i:0;s:17:\"colorbox/colorbox\";i:1;s:16:\"colorbox/default\";i:2;s:17:\"colorbox/colorbox\";i:3;s:16:\"colorbox/default\";i:4;s:17:\"colorbox/colorbox\";i:5;s:16:\"colorbox/default\";i:6;s:17:\"colorbox/colorbox\";i:7;s:16:\"colorbox/default\";i:8;s:17:\"colorbox/colorbox\";i:9;s:16:\"colorbox/default\";i:10;s:17:\"colorbox/colorbox\";i:11;s:16:\"colorbox/default\";}s:14:\"drupalSettings\";a:1:{s:8:\"colorbox\";a:10:{s:7:\"opacity\";s:4:\"0.85\";s:7:\"current\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"{current} of {total}\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"previous\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"« Prev\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"next\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Next »\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"close\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Close\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"maxWidth\";s:3:\"98%\";s:9:\"maxHeight\";s:3:\"98%\";s:5:\"fixed\";b:1;s:12:\"mobiledetect\";b:1;s:17:\"mobiledevicewidth\";s:5:\"480px\";}}}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:8:{i:0;s:27:\"config:views.view.portfolio\";i:1;s:7:\"file:94\";i:2;s:7:\"file:95\";i:3;s:7:\"file:96\";i:4;s:7:\"file:97\";i:5;s:7:\"file:98\";i:6;s:7:\"file:99\";i:7;s:7:\"node:20\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:1:{i:0;s:13:\"field_gallery\";}s:13:\"field_gallery\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:507:\"\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo8_2.jpg\" title=\"Ut enim ad minim veniam\" data-colorbox-gallery=\"gallery-all-ZvUqTAWkBI0\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Ut enim ad minim veniam&quot;,&quot;alt&quot;:&quot;Ut enim ad minim veniam&quot;}\"><img src=\"/sites/default/files/field/gallery/demo8_2.jpg\" width=\"1100\" height=\"1100\" alt=\"Ut enim ad minim veniam\" title=\"Ut enim ad minim veniam\" typeof=\"foaf:Image\" />\n</a>\n\";}}}',-1,1636711430.178,1,'config:views.view.portfolio file:94 file:95 file:96 file:97 file:98 file:99 node:20 rendered','6'),('views:fields:portfolio:block_1:782214ef65f015484e3b18eeb6c2cacbe6795075e62a1e865809bdcbb1677bef:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:5:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:2:{s:7:\"library\";a:18:{i:0;s:17:\"colorbox/colorbox\";i:1;s:16:\"colorbox/default\";i:2;s:17:\"colorbox/colorbox\";i:3;s:16:\"colorbox/default\";i:4;s:17:\"colorbox/colorbox\";i:5;s:16:\"colorbox/default\";i:6;s:17:\"colorbox/colorbox\";i:7;s:16:\"colorbox/default\";i:8;s:17:\"colorbox/colorbox\";i:9;s:16:\"colorbox/default\";i:10;s:17:\"colorbox/colorbox\";i:11;s:16:\"colorbox/default\";i:12;s:17:\"colorbox/colorbox\";i:13;s:16:\"colorbox/default\";i:14;s:17:\"colorbox/colorbox\";i:15;s:16:\"colorbox/default\";i:16;s:17:\"colorbox/colorbox\";i:17;s:16:\"colorbox/default\";}s:14:\"drupalSettings\";a:1:{s:8:\"colorbox\";a:10:{s:7:\"opacity\";s:4:\"0.85\";s:7:\"current\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"{current} of {total}\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"previous\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"« Prev\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"next\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Next »\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"close\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Close\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"maxWidth\";s:3:\"98%\";s:9:\"maxHeight\";s:3:\"98%\";s:5:\"fixed\";b:1;s:12:\"mobiledetect\";b:1;s:17:\"mobiledevicewidth\";s:5:\"480px\";}}}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:11:{i:0;s:27:\"config:views.view.portfolio\";i:1;s:7:\"file:80\";i:2;s:7:\"file:81\";i:3;s:7:\"file:82\";i:4;s:7:\"file:83\";i:5;s:7:\"file:84\";i:6;s:7:\"file:85\";i:7;s:7:\"file:86\";i:8;s:7:\"file:87\";i:9;s:7:\"file:88\";i:10;s:7:\"node:19\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:1:{i:0;s:13:\"field_gallery\";}s:13:\"field_gallery\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:522:\"\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo2_0.jpg\" title=\"Lorem ipsum dolor sit amet\" data-colorbox-gallery=\"gallery-all-ZvUqTAWkBI0\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Lorem ipsum dolor sit amet&quot;,&quot;alt&quot;:&quot;Lorem ipsum dolor sit amet&quot;}\"><img src=\"/sites/default/files/field/gallery/demo2_0.jpg\" width=\"1100\" height=\"1100\" alt=\"Lorem ipsum dolor sit amet\" title=\"Lorem ipsum dolor sit amet\" typeof=\"foaf:Image\" />\n</a>\n\";}}}',-1,1636711430.217,1,'config:views.view.portfolio file:80 file:81 file:82 file:83 file:84 file:85 file:86 file:87 file:88 node:19 rendered','6'),('views:fields:portfolio:block_1:a84e8a37f2262659f609d827440337480039995c9b789db0987ee9d821083e7a:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:5:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:2:{s:7:\"library\";a:12:{i:0;s:17:\"colorbox/colorbox\";i:1;s:16:\"colorbox/default\";i:2;s:17:\"colorbox/colorbox\";i:3;s:16:\"colorbox/default\";i:4;s:17:\"colorbox/colorbox\";i:5;s:16:\"colorbox/default\";i:6;s:17:\"colorbox/colorbox\";i:7;s:16:\"colorbox/default\";i:8;s:17:\"colorbox/colorbox\";i:9;s:16:\"colorbox/default\";i:10;s:17:\"colorbox/colorbox\";i:11;s:16:\"colorbox/default\";}s:14:\"drupalSettings\";a:1:{s:8:\"colorbox\";a:10:{s:7:\"opacity\";s:4:\"0.85\";s:7:\"current\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"{current} of {total}\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"previous\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"« Prev\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"next\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Next »\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"close\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Close\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"maxWidth\";s:3:\"98%\";s:9:\"maxHeight\";s:3:\"98%\";s:5:\"fixed\";b:1;s:12:\"mobiledetect\";b:1;s:17:\"mobiledevicewidth\";s:5:\"480px\";}}}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:8:{i:0;s:27:\"config:views.view.portfolio\";i:1;s:7:\"file:94\";i:2;s:7:\"file:95\";i:3;s:7:\"file:96\";i:4;s:7:\"file:97\";i:5;s:7:\"file:98\";i:6;s:7:\"file:99\";i:7;s:7:\"node:20\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:1:{i:0;s:13:\"field_gallery\";}s:13:\"field_gallery\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:507:\"\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo4_2.jpg\" title=\"Ut enim ad minim veniam\" data-colorbox-gallery=\"gallery-all-VGi3IDMCSJM\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Ut enim ad minim veniam&quot;,&quot;alt&quot;:&quot;Ut enim ad minim veniam&quot;}\"><img src=\"/sites/default/files/field/gallery/demo4_2.jpg\" width=\"1100\" height=\"1100\" alt=\"Ut enim ad minim veniam\" title=\"Ut enim ad minim veniam\" typeof=\"foaf:Image\" />\n</a>\n\";}}}',-1,1636012250.382,1,'config:views.view.portfolio file:94 file:95 file:96 file:97 file:98 file:99 node:20 rendered','6'),('views:fields:portfolio:block_1:a84e8a37f2262659f609d827440337480039995c9b789db0987ee9d821083e7a:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:5:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:2:{s:7:\"library\";a:12:{i:0;s:17:\"colorbox/colorbox\";i:1;s:16:\"colorbox/default\";i:2;s:17:\"colorbox/colorbox\";i:3;s:16:\"colorbox/default\";i:4;s:17:\"colorbox/colorbox\";i:5;s:16:\"colorbox/default\";i:6;s:17:\"colorbox/colorbox\";i:7;s:16:\"colorbox/default\";i:8;s:17:\"colorbox/colorbox\";i:9;s:16:\"colorbox/default\";i:10;s:17:\"colorbox/colorbox\";i:11;s:16:\"colorbox/default\";}s:14:\"drupalSettings\";a:1:{s:8:\"colorbox\";a:10:{s:7:\"opacity\";s:4:\"0.85\";s:7:\"current\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"{current} of {total}\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"previous\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"« Prev\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"next\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Next »\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"close\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Close\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"maxWidth\";s:3:\"98%\";s:9:\"maxHeight\";s:3:\"98%\";s:5:\"fixed\";b:1;s:12:\"mobiledetect\";b:1;s:17:\"mobiledevicewidth\";s:5:\"480px\";}}}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:8:{i:0;s:27:\"config:views.view.portfolio\";i:1;s:7:\"file:94\";i:2;s:7:\"file:95\";i:3;s:7:\"file:96\";i:4;s:7:\"file:97\";i:5;s:7:\"file:98\";i:6;s:7:\"file:99\";i:7;s:7:\"node:20\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:1:{i:0;s:13:\"field_gallery\";}s:13:\"field_gallery\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:507:\"\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo4_2.jpg\" title=\"Ut enim ad minim veniam\" data-colorbox-gallery=\"gallery-all-ZvUqTAWkBI0\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Ut enim ad minim veniam&quot;,&quot;alt&quot;:&quot;Ut enim ad minim veniam&quot;}\"><img src=\"/sites/default/files/field/gallery/demo4_2.jpg\" width=\"1100\" height=\"1100\" alt=\"Ut enim ad minim veniam\" title=\"Ut enim ad minim veniam\" typeof=\"foaf:Image\" />\n</a>\n\";}}}',-1,1636711430.168,1,'config:views.view.portfolio file:94 file:95 file:96 file:97 file:98 file:99 node:20 rendered','6'),('views:fields:portfolio:block_1:b0664a86dba27634366789d01e5d002aabe746b3e204a197602b978c946bf93e:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:5:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:2:{s:7:\"library\";a:18:{i:0;s:17:\"colorbox/colorbox\";i:1;s:16:\"colorbox/default\";i:2;s:17:\"colorbox/colorbox\";i:3;s:16:\"colorbox/default\";i:4;s:17:\"colorbox/colorbox\";i:5;s:16:\"colorbox/default\";i:6;s:17:\"colorbox/colorbox\";i:7;s:16:\"colorbox/default\";i:8;s:17:\"colorbox/colorbox\";i:9;s:16:\"colorbox/default\";i:10;s:17:\"colorbox/colorbox\";i:11;s:16:\"colorbox/default\";i:12;s:17:\"colorbox/colorbox\";i:13;s:16:\"colorbox/default\";i:14;s:17:\"colorbox/colorbox\";i:15;s:16:\"colorbox/default\";i:16;s:17:\"colorbox/colorbox\";i:17;s:16:\"colorbox/default\";}s:14:\"drupalSettings\";a:1:{s:8:\"colorbox\";a:10:{s:7:\"opacity\";s:4:\"0.85\";s:7:\"current\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"{current} of {total}\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"previous\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"« Prev\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"next\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Next »\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"close\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Close\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"maxWidth\";s:3:\"98%\";s:9:\"maxHeight\";s:3:\"98%\";s:5:\"fixed\";b:1;s:12:\"mobiledetect\";b:1;s:17:\"mobiledevicewidth\";s:5:\"480px\";}}}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:11:{i:0;s:27:\"config:views.view.portfolio\";i:1;s:7:\"file:80\";i:2;s:7:\"file:81\";i:3;s:7:\"file:82\";i:4;s:7:\"file:83\";i:5;s:7:\"file:84\";i:6;s:7:\"file:85\";i:7;s:7:\"file:86\";i:8;s:7:\"file:87\";i:9;s:7:\"file:88\";i:10;s:7:\"node:19\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:1:{i:0;s:13:\"field_gallery\";}s:13:\"field_gallery\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:522:\"\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo4_0.jpg\" title=\"Lorem ipsum dolor sit amet\" data-colorbox-gallery=\"gallery-all-VGi3IDMCSJM\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Lorem ipsum dolor sit amet&quot;,&quot;alt&quot;:&quot;Lorem ipsum dolor sit amet&quot;}\"><img src=\"/sites/default/files/field/gallery/demo4_0.jpg\" width=\"1100\" height=\"1100\" alt=\"Lorem ipsum dolor sit amet\" title=\"Lorem ipsum dolor sit amet\" typeof=\"foaf:Image\" />\n</a>\n\";}}}',-1,1636012250.446,1,'config:views.view.portfolio file:80 file:81 file:82 file:83 file:84 file:85 file:86 file:87 file:88 node:19 rendered','6'),('views:fields:portfolio:block_1:b1e6e63f03ef5196c949675c5ca10bec2721e24d275aafb872fa1d76a287dcc1:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:5:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:2:{s:7:\"library\";a:18:{i:0;s:17:\"colorbox/colorbox\";i:1;s:16:\"colorbox/default\";i:2;s:17:\"colorbox/colorbox\";i:3;s:16:\"colorbox/default\";i:4;s:17:\"colorbox/colorbox\";i:5;s:16:\"colorbox/default\";i:6;s:17:\"colorbox/colorbox\";i:7;s:16:\"colorbox/default\";i:8;s:17:\"colorbox/colorbox\";i:9;s:16:\"colorbox/default\";i:10;s:17:\"colorbox/colorbox\";i:11;s:16:\"colorbox/default\";i:12;s:17:\"colorbox/colorbox\";i:13;s:16:\"colorbox/default\";i:14;s:17:\"colorbox/colorbox\";i:15;s:16:\"colorbox/default\";i:16;s:17:\"colorbox/colorbox\";i:17;s:16:\"colorbox/default\";}s:14:\"drupalSettings\";a:1:{s:8:\"colorbox\";a:10:{s:7:\"opacity\";s:4:\"0.85\";s:7:\"current\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"{current} of {total}\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"previous\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"« Prev\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"next\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Next »\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"close\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Close\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"maxWidth\";s:3:\"98%\";s:9:\"maxHeight\";s:3:\"98%\";s:5:\"fixed\";b:1;s:12:\"mobiledetect\";b:1;s:17:\"mobiledevicewidth\";s:5:\"480px\";}}}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:11:{i:0;s:27:\"config:views.view.portfolio\";i:1;s:7:\"file:80\";i:2;s:7:\"file:81\";i:3;s:7:\"file:82\";i:4;s:7:\"file:83\";i:5;s:7:\"file:84\";i:6;s:7:\"file:85\";i:7;s:7:\"file:86\";i:8;s:7:\"file:87\";i:9;s:7:\"file:88\";i:10;s:7:\"node:19\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:1:{i:0;s:13:\"field_gallery\";}s:13:\"field_gallery\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:522:\"\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo7_0.jpg\" title=\"Lorem ipsum dolor sit amet\" data-colorbox-gallery=\"gallery-all-ZvUqTAWkBI0\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Lorem ipsum dolor sit amet&quot;,&quot;alt&quot;:&quot;Lorem ipsum dolor sit amet&quot;}\"><img src=\"/sites/default/files/field/gallery/demo7_0.jpg\" width=\"1100\" height=\"1100\" alt=\"Lorem ipsum dolor sit amet\" title=\"Lorem ipsum dolor sit amet\" typeof=\"foaf:Image\" />\n</a>\n\";}}}',-1,1636711430.226,1,'config:views.view.portfolio file:80 file:81 file:82 file:83 file:84 file:85 file:86 file:87 file:88 node:19 rendered','6'),('views:fields:portfolio:block_1:d39c04ee1b9eb868bb1852299f9e3fbceee5dc6d010fefab2ab97f7ba57fe0a0:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:5:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:2:{s:7:\"library\";a:12:{i:0;s:17:\"colorbox/colorbox\";i:1;s:16:\"colorbox/default\";i:2;s:17:\"colorbox/colorbox\";i:3;s:16:\"colorbox/default\";i:4;s:17:\"colorbox/colorbox\";i:5;s:16:\"colorbox/default\";i:6;s:17:\"colorbox/colorbox\";i:7;s:16:\"colorbox/default\";i:8;s:17:\"colorbox/colorbox\";i:9;s:16:\"colorbox/default\";i:10;s:17:\"colorbox/colorbox\";i:11;s:16:\"colorbox/default\";}s:14:\"drupalSettings\";a:1:{s:8:\"colorbox\";a:10:{s:7:\"opacity\";s:4:\"0.85\";s:7:\"current\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"{current} of {total}\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"previous\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"« Prev\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"next\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Next »\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"close\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Close\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"maxWidth\";s:3:\"98%\";s:9:\"maxHeight\";s:3:\"98%\";s:5:\"fixed\";b:1;s:12:\"mobiledetect\";b:1;s:17:\"mobiledevicewidth\";s:5:\"480px\";}}}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:8:{i:0;s:27:\"config:views.view.portfolio\";i:1;s:7:\"file:94\";i:2;s:7:\"file:95\";i:3;s:7:\"file:96\";i:4;s:7:\"file:97\";i:5;s:7:\"file:98\";i:6;s:7:\"file:99\";i:7;s:7:\"node:20\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:1:{i:0;s:13:\"field_gallery\";}s:13:\"field_gallery\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:507:\"\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo3_1.jpg\" title=\"Ut enim ad minim veniam\" data-colorbox-gallery=\"gallery-all-VGi3IDMCSJM\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Ut enim ad minim veniam&quot;,&quot;alt&quot;:&quot;Ut enim ad minim veniam&quot;}\"><img src=\"/sites/default/files/field/gallery/demo3_1.jpg\" width=\"1100\" height=\"1100\" alt=\"Ut enim ad minim veniam\" title=\"Ut enim ad minim veniam\" typeof=\"foaf:Image\" />\n</a>\n\";}}}',-1,1636012250.365,1,'config:views.view.portfolio file:94 file:95 file:96 file:97 file:98 file:99 node:20 rendered','6'),('views:fields:portfolio:block_1:d39c04ee1b9eb868bb1852299f9e3fbceee5dc6d010fefab2ab97f7ba57fe0a0:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:5:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:2:{s:7:\"library\";a:12:{i:0;s:17:\"colorbox/colorbox\";i:1;s:16:\"colorbox/default\";i:2;s:17:\"colorbox/colorbox\";i:3;s:16:\"colorbox/default\";i:4;s:17:\"colorbox/colorbox\";i:5;s:16:\"colorbox/default\";i:6;s:17:\"colorbox/colorbox\";i:7;s:16:\"colorbox/default\";i:8;s:17:\"colorbox/colorbox\";i:9;s:16:\"colorbox/default\";i:10;s:17:\"colorbox/colorbox\";i:11;s:16:\"colorbox/default\";}s:14:\"drupalSettings\";a:1:{s:8:\"colorbox\";a:10:{s:7:\"opacity\";s:4:\"0.85\";s:7:\"current\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"{current} of {total}\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"previous\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"« Prev\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"next\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Next »\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"close\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Close\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"maxWidth\";s:3:\"98%\";s:9:\"maxHeight\";s:3:\"98%\";s:5:\"fixed\";b:1;s:12:\"mobiledetect\";b:1;s:17:\"mobiledevicewidth\";s:5:\"480px\";}}}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:8:{i:0;s:27:\"config:views.view.portfolio\";i:1;s:7:\"file:94\";i:2;s:7:\"file:95\";i:3;s:7:\"file:96\";i:4;s:7:\"file:97\";i:5;s:7:\"file:98\";i:6;s:7:\"file:99\";i:7;s:7:\"node:20\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:1:{i:0;s:13:\"field_gallery\";}s:13:\"field_gallery\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:507:\"\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo3_1.jpg\" title=\"Ut enim ad minim veniam\" data-colorbox-gallery=\"gallery-all-ZvUqTAWkBI0\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Ut enim ad minim veniam&quot;,&quot;alt&quot;:&quot;Ut enim ad minim veniam&quot;}\"><img src=\"/sites/default/files/field/gallery/demo3_1.jpg\" width=\"1100\" height=\"1100\" alt=\"Ut enim ad minim veniam\" title=\"Ut enim ad minim veniam\" typeof=\"foaf:Image\" />\n</a>\n\";}}}',-1,1636711430.208,1,'config:views.view.portfolio file:94 file:95 file:96 file:97 file:98 file:99 node:20 rendered','6'),('views:fields:portfolio:block_1:d4a915f4e9dbc687be07f0609318b1c75bbfa19c2c2a370f1fdd24495199c3be:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:5:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:2:{s:7:\"library\";a:18:{i:0;s:17:\"colorbox/colorbox\";i:1;s:16:\"colorbox/default\";i:2;s:17:\"colorbox/colorbox\";i:3;s:16:\"colorbox/default\";i:4;s:17:\"colorbox/colorbox\";i:5;s:16:\"colorbox/default\";i:6;s:17:\"colorbox/colorbox\";i:7;s:16:\"colorbox/default\";i:8;s:17:\"colorbox/colorbox\";i:9;s:16:\"colorbox/default\";i:10;s:17:\"colorbox/colorbox\";i:11;s:16:\"colorbox/default\";i:12;s:17:\"colorbox/colorbox\";i:13;s:16:\"colorbox/default\";i:14;s:17:\"colorbox/colorbox\";i:15;s:16:\"colorbox/default\";i:16;s:17:\"colorbox/colorbox\";i:17;s:16:\"colorbox/default\";}s:14:\"drupalSettings\";a:1:{s:8:\"colorbox\";a:10:{s:7:\"opacity\";s:4:\"0.85\";s:7:\"current\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"{current} of {total}\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"previous\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"« Prev\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"next\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Next »\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"close\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Close\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"maxWidth\";s:3:\"98%\";s:9:\"maxHeight\";s:3:\"98%\";s:5:\"fixed\";b:1;s:12:\"mobiledetect\";b:1;s:17:\"mobiledevicewidth\";s:5:\"480px\";}}}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:11:{i:0;s:27:\"config:views.view.portfolio\";i:1;s:7:\"file:80\";i:2;s:7:\"file:81\";i:3;s:7:\"file:82\";i:4;s:7:\"file:83\";i:5;s:7:\"file:84\";i:6;s:7:\"file:85\";i:7;s:7:\"file:86\";i:8;s:7:\"file:87\";i:9;s:7:\"file:88\";i:10;s:7:\"node:19\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:1:{i:0;s:13:\"field_gallery\";}s:13:\"field_gallery\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:522:\"\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo1_0.jpg\" title=\"Lorem ipsum dolor sit amet\" data-colorbox-gallery=\"gallery-all-VGi3IDMCSJM\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Lorem ipsum dolor sit amet&quot;,&quot;alt&quot;:&quot;Lorem ipsum dolor sit amet&quot;}\"><img src=\"/sites/default/files/field/gallery/demo1_0.jpg\" width=\"1100\" height=\"1100\" alt=\"Lorem ipsum dolor sit amet\" title=\"Lorem ipsum dolor sit amet\" typeof=\"foaf:Image\" />\n</a>\n\";}}}',-1,1636012250.410,1,'config:views.view.portfolio file:80 file:81 file:82 file:83 file:84 file:85 file:86 file:87 file:88 node:19 rendered','6'),('views:fields:portfolio:block_1:d4a915f4e9dbc687be07f0609318b1c75bbfa19c2c2a370f1fdd24495199c3be:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:5:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:2:{s:7:\"library\";a:18:{i:0;s:17:\"colorbox/colorbox\";i:1;s:16:\"colorbox/default\";i:2;s:17:\"colorbox/colorbox\";i:3;s:16:\"colorbox/default\";i:4;s:17:\"colorbox/colorbox\";i:5;s:16:\"colorbox/default\";i:6;s:17:\"colorbox/colorbox\";i:7;s:16:\"colorbox/default\";i:8;s:17:\"colorbox/colorbox\";i:9;s:16:\"colorbox/default\";i:10;s:17:\"colorbox/colorbox\";i:11;s:16:\"colorbox/default\";i:12;s:17:\"colorbox/colorbox\";i:13;s:16:\"colorbox/default\";i:14;s:17:\"colorbox/colorbox\";i:15;s:16:\"colorbox/default\";i:16;s:17:\"colorbox/colorbox\";i:17;s:16:\"colorbox/default\";}s:14:\"drupalSettings\";a:1:{s:8:\"colorbox\";a:10:{s:7:\"opacity\";s:4:\"0.85\";s:7:\"current\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"{current} of {total}\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"previous\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"« Prev\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"next\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Next »\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"close\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Close\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"maxWidth\";s:3:\"98%\";s:9:\"maxHeight\";s:3:\"98%\";s:5:\"fixed\";b:1;s:12:\"mobiledetect\";b:1;s:17:\"mobiledevicewidth\";s:5:\"480px\";}}}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:11:{i:0;s:27:\"config:views.view.portfolio\";i:1;s:7:\"file:80\";i:2;s:7:\"file:81\";i:3;s:7:\"file:82\";i:4;s:7:\"file:83\";i:5;s:7:\"file:84\";i:6;s:7:\"file:85\";i:7;s:7:\"file:86\";i:8;s:7:\"file:87\";i:9;s:7:\"file:88\";i:10;s:7:\"node:19\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:1:{i:0;s:13:\"field_gallery\";}s:13:\"field_gallery\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:522:\"\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo1_0.jpg\" title=\"Lorem ipsum dolor sit amet\" data-colorbox-gallery=\"gallery-all-ZvUqTAWkBI0\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Lorem ipsum dolor sit amet&quot;,&quot;alt&quot;:&quot;Lorem ipsum dolor sit amet&quot;}\"><img src=\"/sites/default/files/field/gallery/demo1_0.jpg\" width=\"1100\" height=\"1100\" alt=\"Lorem ipsum dolor sit amet\" title=\"Lorem ipsum dolor sit amet\" typeof=\"foaf:Image\" />\n</a>\n\";}}}',-1,1636711430.235,1,'config:views.view.portfolio file:80 file:81 file:82 file:83 file:84 file:85 file:86 file:87 file:88 node:19 rendered','6'),('views:fields:portfolio:block_1:f1c7d8d6e076f16f8543a2346ef7fe6cfaa7bec0192650e7d9c2bc9c951652d3:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:5:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:2:{s:7:\"library\";a:12:{i:0;s:17:\"colorbox/colorbox\";i:1;s:16:\"colorbox/default\";i:2;s:17:\"colorbox/colorbox\";i:3;s:16:\"colorbox/default\";i:4;s:17:\"colorbox/colorbox\";i:5;s:16:\"colorbox/default\";i:6;s:17:\"colorbox/colorbox\";i:7;s:16:\"colorbox/default\";i:8;s:17:\"colorbox/colorbox\";i:9;s:16:\"colorbox/default\";i:10;s:17:\"colorbox/colorbox\";i:11;s:16:\"colorbox/default\";}s:14:\"drupalSettings\";a:1:{s:8:\"colorbox\";a:10:{s:7:\"opacity\";s:4:\"0.85\";s:7:\"current\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"{current} of {total}\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"previous\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"« Prev\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"next\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Next »\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"close\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Close\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"maxWidth\";s:3:\"98%\";s:9:\"maxHeight\";s:3:\"98%\";s:5:\"fixed\";b:1;s:12:\"mobiledetect\";b:1;s:17:\"mobiledevicewidth\";s:5:\"480px\";}}}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:8:{i:0;s:27:\"config:views.view.portfolio\";i:1;s:7:\"file:94\";i:2;s:7:\"file:95\";i:3;s:7:\"file:96\";i:4;s:7:\"file:97\";i:5;s:7:\"file:98\";i:6;s:7:\"file:99\";i:7;s:7:\"node:20\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:1:{i:0;s:13:\"field_gallery\";}s:13:\"field_gallery\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:507:\"\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo6_2.jpg\" title=\"Ut enim ad minim veniam\" data-colorbox-gallery=\"gallery-all-VGi3IDMCSJM\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Ut enim ad minim veniam&quot;,&quot;alt&quot;:&quot;Ut enim ad minim veniam&quot;}\"><img src=\"/sites/default/files/field/gallery/demo6_2.jpg\" width=\"1100\" height=\"1100\" alt=\"Ut enim ad minim veniam\" title=\"Ut enim ad minim veniam\" typeof=\"foaf:Image\" />\n</a>\n\";}}}',-1,1636012250.400,1,'config:views.view.portfolio file:94 file:95 file:96 file:97 file:98 file:99 node:20 rendered','6'),('views:fields:portfolio:block_1:f1c7d8d6e076f16f8543a2346ef7fe6cfaa7bec0192650e7d9c2bc9c951652d3:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:5:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:2:{s:7:\"library\";a:12:{i:0;s:17:\"colorbox/colorbox\";i:1;s:16:\"colorbox/default\";i:2;s:17:\"colorbox/colorbox\";i:3;s:16:\"colorbox/default\";i:4;s:17:\"colorbox/colorbox\";i:5;s:16:\"colorbox/default\";i:6;s:17:\"colorbox/colorbox\";i:7;s:16:\"colorbox/default\";i:8;s:17:\"colorbox/colorbox\";i:9;s:16:\"colorbox/default\";i:10;s:17:\"colorbox/colorbox\";i:11;s:16:\"colorbox/default\";}s:14:\"drupalSettings\";a:1:{s:8:\"colorbox\";a:10:{s:7:\"opacity\";s:4:\"0.85\";s:7:\"current\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"{current} of {total}\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"previous\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"« Prev\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:4:\"next\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Next »\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:5:\"close\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Close\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"maxWidth\";s:3:\"98%\";s:9:\"maxHeight\";s:3:\"98%\";s:5:\"fixed\";b:1;s:12:\"mobiledetect\";b:1;s:17:\"mobiledevicewidth\";s:5:\"480px\";}}}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:8:{i:0;s:27:\"config:views.view.portfolio\";i:1;s:7:\"file:94\";i:2;s:7:\"file:95\";i:3;s:7:\"file:96\";i:4;s:7:\"file:97\";i:5;s:7:\"file:98\";i:6;s:7:\"file:99\";i:7;s:7:\"node:20\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:1:{i:0;s:13:\"field_gallery\";}s:13:\"field_gallery\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:507:\"\n<a href=\"http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/field/gallery/demo6_2.jpg\" title=\"Ut enim ad minim veniam\" data-colorbox-gallery=\"gallery-all-ZvUqTAWkBI0\" class=\"colorbox\" data-cbox-img-attrs=\"{&quot;title&quot;:&quot;Ut enim ad minim veniam&quot;,&quot;alt&quot;:&quot;Ut enim ad minim veniam&quot;}\"><img src=\"/sites/default/files/field/gallery/demo6_2.jpg\" width=\"1100\" height=\"1100\" alt=\"Ut enim ad minim veniam\" title=\"Ut enim ad minim veniam\" typeof=\"foaf:Image\" />\n</a>\n\";}}}',-1,1636711430.186,1,'config:views.view.portfolio file:94 file:95 file:96 file:97 file:98 file:99 node:20 rendered','6'),('views:fields:slideshow:block_1:046666b15f9b36b2ce954ebe447a271a6b3bde657aaf92890be497c17afb1c46:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:5:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:4:{i:0;s:33:\"config:image.style.image_1920_845\";i:1;s:27:\"config:views.view.slideshow\";i:2;s:8:\"file:130\";i:3;s:7:\"node:15\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:1:{i:0;s:15:\"field_slideshow\";}s:15:\"field_slideshow\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:234:\"  <img src=\"/sites/default/files/styles/image_1920_845/public/field/slideshow/slider01_0.jpg?itok=pJtNgbQz\" width=\"1920\" height=\"845\" alt=\"Off the wall\" title=\"Off the wall\" typeof=\"foaf:Image\" class=\"image-style-image-1920-845\" />\n\n\n\";}}}',-1,1636012249.864,1,'config:image.style.image_1920_845 config:views.view.slideshow file:130 node:15 rendered','7'),('views:fields:slideshow:block_1:046666b15f9b36b2ce954ebe447a271a6b3bde657aaf92890be497c17afb1c46:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:5:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:4:{i:0;s:33:\"config:image.style.image_1920_845\";i:1;s:27:\"config:views.view.slideshow\";i:2;s:8:\"file:130\";i:3;s:7:\"node:15\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:1:{i:0;s:15:\"field_slideshow\";}s:15:\"field_slideshow\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:234:\"  <img src=\"/sites/default/files/styles/image_1920_845/public/field/slideshow/slider01_0.jpg?itok=pJtNgbQz\" width=\"1920\" height=\"845\" alt=\"Off the wall\" title=\"Off the wall\" typeof=\"foaf:Image\" class=\"image-style-image-1920-845\" />\n\n\n\";}}}',-1,1636711429.870,1,'config:image.style.image_1920_845 config:views.view.slideshow file:130 node:15 rendered','7'),('views:fields:slideshow:block_1:34f6a4a5359469f492ca27e470d154cf1d19a299a6a135debc4b1d45ed3562eb:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:5:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:4:{i:0;s:33:\"config:image.style.image_1920_845\";i:1;s:27:\"config:views.view.slideshow\";i:2;s:8:\"file:129\";i:3;s:7:\"node:16\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:1:{i:0;s:15:\"field_slideshow\";}s:15:\"field_slideshow\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:240:\"  <img src=\"/sites/default/files/styles/image_1920_845/public/field/slideshow/slider01.jpg?itok=oZlj1ppz\" width=\"1920\" height=\"845\" alt=\"Seeing the light\" title=\"Seeing the light\" typeof=\"foaf:Image\" class=\"image-style-image-1920-845\" />\n\n\n\";}}}',-1,1636012249.884,1,'config:image.style.image_1920_845 config:views.view.slideshow file:129 node:16 rendered','8'),('views:fields:slideshow:block_1:34f6a4a5359469f492ca27e470d154cf1d19a299a6a135debc4b1d45ed3562eb:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:5:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:4:{i:0;s:33:\"config:image.style.image_1920_845\";i:1;s:27:\"config:views.view.slideshow\";i:2;s:8:\"file:129\";i:3;s:7:\"node:16\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:1:{i:0;s:15:\"field_slideshow\";}s:15:\"field_slideshow\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:240:\"  <img src=\"/sites/default/files/styles/image_1920_845/public/field/slideshow/slider01.jpg?itok=oZlj1ppz\" width=\"1920\" height=\"845\" alt=\"Seeing the light\" title=\"Seeing the light\" typeof=\"foaf:Image\" class=\"image-style-image-1920-845\" />\n\n\n\";}}}',-1,1636711429.886,1,'config:image.style.image_1920_845 config:views.view.slideshow file:129 node:16 rendered','8'),('views:fields:slideshow:block_1:6ea45961f0e33aeda81de9d4ec2411faadcbbcb32a11e2e716ba31652b3960a1:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:5:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:4:{i:0;s:33:\"config:image.style.image_1920_845\";i:1;s:27:\"config:views.view.slideshow\";i:2;s:8:\"file:129\";i:3;s:7:\"node:16\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:1:{i:0;s:15:\"field_slideshow\";}s:15:\"field_slideshow\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:240:\"  <img src=\"/sites/default/files/styles/image_1920_845/public/field/slideshow/slider01.jpg?itok=oZlj1ppz\" width=\"1920\" height=\"845\" alt=\"Seeing the light\" title=\"Seeing the light\" typeof=\"foaf:Image\" class=\"image-style-image-1920-845\" />\n\n\n\";}}}',-1,1636012249.871,1,'config:image.style.image_1920_845 config:views.view.slideshow file:129 node:16 rendered','8'),('views:fields:slideshow:block_1:6ea45961f0e33aeda81de9d4ec2411faadcbbcb32a11e2e716ba31652b3960a1:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:5:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:4:{i:0;s:33:\"config:image.style.image_1920_845\";i:1;s:27:\"config:views.view.slideshow\";i:2;s:8:\"file:129\";i:3;s:7:\"node:16\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:1:{i:0;s:15:\"field_slideshow\";}s:15:\"field_slideshow\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:240:\"  <img src=\"/sites/default/files/styles/image_1920_845/public/field/slideshow/slider01.jpg?itok=oZlj1ppz\" width=\"1920\" height=\"845\" alt=\"Seeing the light\" title=\"Seeing the light\" typeof=\"foaf:Image\" class=\"image-style-image-1920-845\" />\n\n\n\";}}}',-1,1636711429.876,1,'config:image.style.image_1920_845 config:views.view.slideshow file:129 node:16 rendered','8'),('views:fields:slideshow:block_1:88871884b6e0eff27ef3cd169a684168b29d1e0583c1e1c5ae2f43e2036b9eb9:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:5:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:4:{i:0;s:33:\"config:image.style.image_1920_845\";i:1;s:27:\"config:views.view.slideshow\";i:2;s:8:\"file:130\";i:3;s:7:\"node:15\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:1:{i:0;s:15:\"field_slideshow\";}s:15:\"field_slideshow\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:234:\"  <img src=\"/sites/default/files/styles/image_1920_845/public/field/slideshow/slider01_0.jpg?itok=pJtNgbQz\" width=\"1920\" height=\"845\" alt=\"Off the wall\" title=\"Off the wall\" typeof=\"foaf:Image\" class=\"image-style-image-1920-845\" />\n\n\n\";}}}',-1,1636012249.890,1,'config:image.style.image_1920_845 config:views.view.slideshow file:130 node:15 rendered','7'),('views:fields:slideshow:block_1:88871884b6e0eff27ef3cd169a684168b29d1e0583c1e1c5ae2f43e2036b9eb9:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:5:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:4:{i:0;s:33:\"config:image.style.image_1920_845\";i:1;s:27:\"config:views.view.slideshow\";i:2;s:8:\"file:130\";i:3;s:7:\"node:15\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:1:{i:0;s:15:\"field_slideshow\";}s:15:\"field_slideshow\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:234:\"  <img src=\"/sites/default/files/styles/image_1920_845/public/field/slideshow/slider01_0.jpg?itok=pJtNgbQz\" width=\"1920\" height=\"845\" alt=\"Off the wall\" title=\"Off the wall\" typeof=\"foaf:Image\" class=\"image-style-image-1920-845\" />\n\n\n\";}}}',-1,1636711429.891,1,'config:image.style.image_1920_845 config:views.view.slideshow file:130 node:15 rendered','7'),('views:fields:slideshow:block_1:c26666ca09356a0922912ac670817106ba25c9540c583e9ca08abb7b45d5fc07:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=4795e65dd7986ef95531d5f617926772e4f3c7d4db7e1301161dd70819cea79f','a:5:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:4:{i:0;s:33:\"config:image.style.image_1920_845\";i:1;s:27:\"config:views.view.slideshow\";i:2;s:8:\"file:131\";i:3;s:7:\"node:12\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:1:{i:0;s:15:\"field_slideshow\";}s:15:\"field_slideshow\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:232:\"  <img src=\"/sites/default/files/styles/image_1920_845/public/field/slideshow/slider02.jpg?itok=zHD8Qxbq\" width=\"1920\" height=\"845\" alt=\"Dare to bare\" title=\"Dare to bare\" typeof=\"foaf:Image\" class=\"image-style-image-1920-845\" />\n\n\n\";}}}',-1,1636012249.877,1,'config:image.style.image_1920_845 config:views.view.slideshow file:131 node:12 rendered','7'),('views:fields:slideshow:block_1:c26666ca09356a0922912ac670817106ba25c9540c583e9ca08abb7b45d5fc07:[languages:language_interface]=en:[theme]=luxestate:[user.permissions]=9e2be63bfcb9845d96f89e80145d6ca53313320193b206dc37054383455d728b','a:5:{s:7:\"#markup\";s:0:\"\";s:9:\"#attached\";a:0:{}s:6:\"#cache\";a:3:{s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:5:\"theme\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:4:{i:0;s:33:\"config:image.style.image_1920_845\";i:1;s:27:\"config:views.view.slideshow\";i:2;s:8:\"file:131\";i:3;s:7:\"node:12\";}s:7:\"max-age\";i:-1;}s:17:\"#cache_properties\";a:1:{i:0;s:15:\"field_slideshow\";}s:15:\"field_slideshow\";a:1:{s:7:\"#markup\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:232:\"  <img src=\"/sites/default/files/styles/image_1920_845/public/field/slideshow/slider02.jpg?itok=zHD8Qxbq\" width=\"1920\" height=\"845\" alt=\"Dare to bare\" title=\"Dare to bare\" typeof=\"foaf:Image\" class=\"image-style-image-1920-845\" />\n\n\n\";}}}',-1,1636711429.881,1,'config:image.style.image_1920_845 config:views.view.slideshow file:131 node:12 rendered','7');
/*!40000 ALTER TABLE `cache_render` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_toolbar`
--

DROP TABLE IF EXISTS `cache_toolbar`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_toolbar` (
  `cid` varchar(255) CHARACTER SET ascii COLLATE ascii_bin NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob DEFAULT NULL COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT 0 COMMENT 'A Unix timestamp indicating when the cache entry should expire, or -1 for never.',
  `created` decimal(14,3) NOT NULL DEFAULT 0.000 COMMENT 'A timestamp with millisecond precision indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT 0 COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  `tags` longtext DEFAULT NULL COMMENT 'Space-separated list of cache tags for this entry.',
  `checksum` varchar(255) CHARACTER SET ascii NOT NULL COMMENT 'The tag invalidation checksum when this entry was saved.',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`),
  KEY `created` (`created`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Storage for the cache API.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_toolbar`
--

LOCK TABLES `cache_toolbar` WRITE;
/*!40000 ALTER TABLE `cache_toolbar` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_toolbar` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cachetags`
--

DROP TABLE IF EXISTS `cachetags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cachetags` (
  `tag` varchar(255) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'Namespace-prefixed tag string.',
  `invalidations` int(11) NOT NULL DEFAULT 0 COMMENT 'Number incremented when the tag is invalidated.',
  PRIMARY KEY (`tag`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Cache table for tracking cache tag invalidations.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cachetags`
--

LOCK TABLES `cachetags` WRITE;
/*!40000 ALTER TABLE `cachetags` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `cachetags` VALUES ('4xx-response',63),('block_content:4',1),('block_content_list',1),('block_content_list:basic',1),('block_content_view',1),('breakpoints',57),('comment_list',1),('comment_list:comment',1),('comment_view',1),('config:action_list',1),('config:block.block.bartik_account_menu',1),('config:block.block.bartik_content',2),('config:block.block.bartik_footer',1),('config:block.block.bartik_help',2),('config:block.block.bartik_main_menu',1),('config:block.block.bartik_page_title',2),('config:block.block.bartik_powered',2),('config:block.block.bartik_search',2),('config:block.block.bartik_tools',3),('config:block.block.luxestate_account_menu',1),('config:block.block.luxestate_footer',1),('config:block.block.luxestate_search',1),('config:block.block.luxestate_tools',1),('config:block.block.mainnavigation',1),('config:block.block.quicklinks',1),('config:block.block.seven_content',2),('config:block.block.seven_help',2),('config:block.block.seven_page_title',2),('config:block.block.seven_primary_local_tasks',2),('config:block.block.seven_secondary_local_tasks',2),('config:block_list',2),('config:colorbox.settings',2),('config:contact.form.feedback',2),('config:contact.form.personal',2),('config:contact.settings',1),('config:core.base_field_override.node.page.promote',2),('config:core.entity_form_display.block_content.basic.default',1),('config:core.entity_form_display.comment.comment.default',2),('config:core.entity_form_display.contact_message.feedback.default',2),('config:core.entity_form_display.node.article.default',2),('config:core.entity_form_display.node.banner.default',1),('config:core.entity_form_display.node.blog.default',2),('config:core.entity_form_display.node.our_mission.default',1),('config:core.entity_form_display.node.our_services.default',1),('config:core.entity_form_display.node.page.default',2),('config:core.entity_form_display.node.partners.default',1),('config:core.entity_form_display.node.portfolio.default',1),('config:core.entity_form_display.node.simplenews_issue.default',1),('config:core.entity_form_display.node.why_us.default',1),('config:core.entity_form_display.user.user.default',2),('config:core.entity_form_mode.simplenews_subscriber.block',2),('config:core.entity_form_mode.simplenews_subscriber.page',2),('config:core.entity_form_mode.user.register',2),('config:core.entity_view_display.comment.comment.default',1),('config:core.entity_view_display.node.article.rss',1),('config:core.entity_view_display.node.article.teaser',1),('config:core.entity_view_display.node.banner.default',1),('config:core.entity_view_display.node.banner.teaser',1),('config:core.entity_view_display.node.blog.teaser',1),('config:core.entity_view_display.node.our_mission.default',1),('config:core.entity_view_display.node.our_mission.teaser',1),('config:core.entity_view_display.node.our_services.default',1),('config:core.entity_view_display.node.our_services.teaser',1),('config:core.entity_view_display.node.page.default',1),('config:core.entity_view_display.node.page.teaser',1),('config:core.entity_view_display.node.partners.default',1),('config:core.entity_view_display.node.partners.teaser',1),('config:core.entity_view_display.node.portfolio.default',1),('config:core.entity_view_display.node.portfolio.teaser',1),('config:core.entity_view_display.node.simplenews_issue.default',1),('config:core.entity_view_display.node.why_us.default',1),('config:core.entity_view_display.node.why_us.teaser',1),('config:core.entity_view_display.user.user.default',1),('config:core.entity_view_mode.comment.full',2),('config:core.entity_view_mode.node.full',2),('config:core.entity_view_mode.node.rss',2),('config:core.entity_view_mode.node.search_index',2),('config:core.entity_view_mode.node.teaser',2),('config:core.entity_view_mode.taxonomy_term.full',2),('config:core.entity_view_mode.user.full',2),('config:core.extension',6),('config:devel.settings',1),('config:entity_form_display_list',2),('config:entity_view_display_list',1),('config:field.field.block_content.basic.body',2),('config:field.field.comment.comment.comment_body',2),('config:field.field.node.article.body',2),('config:field.field.node.article.comment',2),('config:field.field.node.article.field_image',2),('config:field.field.node.article.field_tags',2),('config:field.field.node.banner.body',1),('config:field.field.node.blog.body',1),('config:field.field.node.our_mission.body',1),('config:field.field.node.our_services.body',1),('config:field.field.node.page.body',2),('config:field.field.node.partners.body',1),('config:field.field.node.portfolio.body',1),('config:field.field.node.simplenews_issue.body',2),('config:field.field.node.simplenews_issue.simplenews_issue',2),('config:field.field.node.why_us.body',1),('config:field.field.user.user.user_picture',2),('config:filter.format.plain_text',2),('config:image.style.image_1400_700',1),('config:image.style.image_1920_1280',1),('config:image.style.image_1920_595',1),('config:image.style.image_1920_700',1),('config:image.style.image_1920_845',1),('config:image.style.image_1921_685_',1),('config:image.style.image_270_270',1),('config:image.style.image_360_360_',1),('config:image.style.image_370_350',1),('config:image.style.image_370_370',1),('config:image.style.image_380_224',1),('config:image.style.image_513_251_',1),('config:image.style.image_551_372',1),('config:image.style.image_63_63',1),('config:image.style.image_640_363_',1),('config:image_style_list',1),('config:language.content_settings.path_alias.path_alias',1),('config:language.entity.ar',2),('config:language.entity.en',2),('config:language.entity.und',2),('config:language.entity.zxx',2),('config:language.types',4),('config:locale.settings',1),('config:menu_list',1),('config:node.type.article',2),('config:node.type.page',2),('config:pathauto.settings',1),('config:search.page.node_search',2),('config:search.page.user_search',2),('config:shortcut.set.default',2),('config:system.action.comment_delete_action',1),('config:system.action.comment_publish_action',3),('config:system.action.comment_save_action',3),('config:system.action.comment_unpublish_action',3),('config:system.action.node_delete_action',1),('config:system.action.node_make_sticky_action',2),('config:system.action.node_make_unsticky_action',2),('config:system.action.node_promote_action',2),('config:system.action.node_publish_action',3),('config:system.action.node_save_action',3),('config:system.action.node_unpromote_action',2),('config:system.action.node_unpublish_action',3),('config:system.file',1),('config:system.maintenance',3),('config:system.menu.account',57),('config:system.menu.admin',59),('config:system.menu.devel',58),('config:system.menu.footer',59),('config:system.menu.main',58),('config:system.menu.quick',58),('config:system.menu.tools',59),('config:system.site',1),('config:taxonomy.vocabulary.tags',3),('config:taxonomy_vocabulary_list',1),('config:tour.tour.language',2),('config:tour.tour.language-add',2),('config:tour.tour.language-edit',2),('config:tour.tour.locale',2),('config:tour.tour.views-ui',2),('config:user.mail',3),('config:user.role.administrator',1),('config:user.role.anonymous',2),('config:user.settings',3),('config:user_role_list',1),('config:views.view.about_us',5),('config:views.view.archive',4),('config:views.view.banner',3),('config:views.view.block_content',6),('config:views.view.blog_details',3),('config:views.view.blog_page',4),('config:views.view.comment',4),('config:views.view.comments_recent',4),('config:views.view.comment_block',3),('config:views.view.content',5),('config:views.view.content_recent',4),('config:views.view.files',5),('config:views.view.frontpage',6),('config:views.view.glossary',6),('config:views.view.our_mission',3),('config:views.view.our_partners',3),('config:views.view.our_services',3),('config:views.view.portfolio',4),('config:views.view.simplenews_newsletters',5),('config:views.view.simplenews_subscribers',5),('config:views.view.slideshow',4),('config:views.view.tags',4),('config:views.view.taxonomy_term',5),('config:views.view.user_admin_people',5),('config:views.view.user_page_banner',3),('config:views.view.watchdog',5),('config:views.view.who_s_new',5),('config:views.view.who_s_online',5),('config:views.view.why_choose_us',3),('config:view_list',4),('config_translation_info_plugins',57),('contextual_links_plugins',55),('element_info_build',55),('entity_bundles',40),('entity_field_info',56),('entity_types',84),('file:100',1),('file:123',1),('file:16',1),('file:17',1),('file:19',1),('file:27',1),('file:28',1),('file:29',1),('file_list',1),('http_response',56),('link_relation_type',55),('local_action',55),('local_task',70),('menu_link_content:1',1),('menu_link_content:10',1),('menu_link_content:11',1),('menu_link_content:12',1),('menu_link_content:13',1),('menu_link_content:14',1),('menu_link_content:15',1),('menu_link_content:16',1),('menu_link_content:17',1),('menu_link_content:18',1),('menu_link_content:19',1),('menu_link_content:2',1),('menu_link_content:3',1),('menu_link_content:4',1),('menu_link_content:6',1),('menu_link_content:7',1),('menu_link_content:8',1),('menu_link_content:9',1),('menu_link_content_list',1),('menu_link_content_list:menu_link_content',1),('node:16',1),('node_view',2),('rendered',3),('routes',58),('route_match',59),('search_index:node_search',2),('simplenews_subscriber:2',1),('simplenews_subscriber:3',3),('simplenews_subscriber_list',4),('taxonomy_term_view',1),('theme_registry',5),('token_info',1),('user:0',2),('user:46',2),('user_list',4),('user_view',1),('views_data',1);
/*!40000 ALTER TABLE `cachetags` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `comment`
--

DROP TABLE IF EXISTS `comment`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `comment` (
  `cid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `comment_type` varchar(32) CHARACTER SET ascii NOT NULL COMMENT 'The ID of the target entity.',
  `uuid` varchar(128) CHARACTER SET ascii NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  PRIMARY KEY (`cid`),
  UNIQUE KEY `comment_field__uuid__value` (`uuid`),
  KEY `comment_field__comment_type__target_id` (`comment_type`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COMMENT='The base table for comment entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `comment`
--

LOCK TABLES `comment` WRITE;
/*!40000 ALTER TABLE `comment` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `comment` VALUES (1,'comment','7f1218a2-6018-4ecb-88c0-50d0a65812ab','en'),(2,'comment','ad133f01-0f29-4da7-917f-99c8c47babaa','en'),(3,'comment','873bc05d-2e95-4f61-9a86-beda754e33b6','en'),(4,'comment','5a780e3e-ae1e-4343-92f9-fef80538a459','en'),(5,'comment','b6babc5a-d2de-436d-aaed-0de880436fc3','en');
/*!40000 ALTER TABLE `comment` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `comment__comment_body`
--

DROP TABLE IF EXISTS `comment__comment_body`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `comment__comment_body` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to, which for an unversioned entity type is the same as the entity id',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `comment_body_value` longtext NOT NULL,
  `comment_body_format` varchar(255) CHARACTER SET ascii DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `comment_body_format` (`comment_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for comment field comment_body.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `comment__comment_body`
--

LOCK TABLES `comment__comment_body` WRITE;
/*!40000 ALTER TABLE `comment__comment_body` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `comment__comment_body` VALUES ('comment',0,1,1,'en',0,'<p>Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n','full_html'),('comment',0,2,2,'en',0,'<p><span style=\"color: rgb(115, 115, 115); font-family: robotoregular; font-size: 15px; font-style: normal; font-variant: normal; font-weight: normal; letter-spacing: normal; line-height: 19.5px; orphans: auto; text-align: start; text-indent: 0px; text-transform: none; white-space: normal; widows: 1; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none; background-color: rgba(255, 255, 255, 0.8);\">Sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. D</span></p>\r\n','full_html'),('comment',0,3,3,'en',0,'<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n','full_html'),('comment',0,4,4,'en',0,'<p>In the class, students familiarize themselves with the development process, and deliver a live website, training schedules for end users and an owner’s manual— all of which they build as part of their schoolwork.</p>\r\n','full_html'),('comment',0,5,5,'en',0,'<p>123</p>\r\n','full_html');
/*!40000 ALTER TABLE `comment__comment_body` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `comment_entity_statistics`
--

DROP TABLE IF EXISTS `comment_entity_statistics`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `comment_entity_statistics` (
  `entity_id` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The entity_id of the entity for which the statistics are compiled.',
  `entity_type` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT 'node' COMMENT 'The entity_type of the entity to which this comment is a reply.',
  `field_name` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field_name of the field that was used to add this comment.',
  `cid` int(11) NOT NULL DEFAULT 0 COMMENT 'The comment.cid of the last comment.',
  `last_comment_timestamp` int(11) NOT NULL DEFAULT 0 COMMENT 'The Unix timestamp of the last comment that was posted within this node, from comment.changed.',
  `last_comment_name` varchar(60) DEFAULT NULL COMMENT 'The name of the latest author to post a comment on this node, from comment.name.',
  `last_comment_uid` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The user ID of the latest author to post a comment on this node, from comment.uid.',
  `comment_count` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The total number of comments on this entity.',
  PRIMARY KEY (`entity_id`,`entity_type`,`field_name`),
  KEY `last_comment_timestamp` (`last_comment_timestamp`),
  KEY `comment_count` (`comment_count`),
  KEY `last_comment_uid` (`last_comment_uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Maintains statistics of entity and comments posts to show …';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `comment_entity_statistics`
--

LOCK TABLES `comment_entity_statistics` WRITE;
/*!40000 ALTER TABLE `comment_entity_statistics` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `comment_entity_statistics` VALUES (4,'node','comment',0,1468922474,NULL,1,0),(12,'node','comment',0,1469417333,NULL,1,0),(15,'node','comment',0,1469421121,NULL,1,0),(16,'node','comment',5,1635318898,'',46,5),(30,'node','comment',0,1470382528,NULL,1,0);
/*!40000 ALTER TABLE `comment_entity_statistics` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `comment_field_data`
--

DROP TABLE IF EXISTS `comment_field_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `comment_field_data` (
  `cid` int(10) unsigned NOT NULL,
  `comment_type` varchar(32) CHARACTER SET ascii NOT NULL COMMENT 'The ID of the target entity.',
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  `pid` int(10) unsigned DEFAULT NULL COMMENT 'The ID of the target entity.',
  `entity_id` int(10) unsigned DEFAULT NULL COMMENT 'The ID of the target entity.',
  `subject` varchar(64) DEFAULT NULL,
  `uid` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  `name` varchar(60) DEFAULT NULL,
  `mail` varchar(254) DEFAULT NULL,
  `homepage` varchar(255) DEFAULT NULL,
  `hostname` varchar(128) DEFAULT NULL,
  `created` int(11) NOT NULL,
  `changed` int(11) DEFAULT NULL,
  `status` tinyint(4) NOT NULL,
  `thread` varchar(255) NOT NULL,
  `entity_type` varchar(32) CHARACTER SET ascii NOT NULL,
  `field_name` varchar(32) CHARACTER SET ascii NOT NULL,
  `default_langcode` tinyint(4) NOT NULL,
  PRIMARY KEY (`cid`,`langcode`),
  KEY `comment_field__comment_type__target_id` (`comment_type`),
  KEY `comment_field__created` (`created`),
  KEY `comment__id__default_langcode__langcode` (`cid`,`default_langcode`,`langcode`),
  KEY `comment__status_comment_type` (`status`,`comment_type`,`cid`),
  KEY `comment__status_pid` (`pid`,`status`),
  KEY `comment__num_new` (`entity_id`,`entity_type`,`comment_type`,`status`,`created`,`cid`,`thread`(191)),
  KEY `comment__entity_langcode` (`entity_id`,`entity_type`,`comment_type`,`default_langcode`),
  KEY `comment_field__uid__target_id` (`uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='The data table for comment entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `comment_field_data`
--

LOCK TABLES `comment_field_data` WRITE;
/*!40000 ALTER TABLE `comment_field_data` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `comment_field_data` VALUES (1,'comment','en',NULL,16,'Lorem ipsum dolor sit amet',15,'linda',NULL,NULL,'210.245.34.166',1472721526,1472721526,1,'01/','node','comment',1),(2,'comment','en',1,16,'Consectetur adipisicing elit',21,'john',NULL,NULL,'210.245.34.166',1472721666,1472721666,1,'01.00/','node','comment',1),(3,'comment','en',1,16,'Great!',22,'Smith',NULL,NULL,'116.100.158.45',1473048557,1473048557,1,'01.01/','node','comment',1),(4,'comment','en',NULL,16,'Awesome',22,'Smith',NULL,NULL,'116.100.158.45',1473048636,1473048636,1,'02/','node','comment',1),(5,'comment','en',NULL,16,'ABC',46,NULL,NULL,NULL,NULL,1635318898,1635318898,1,'03/','node','comment',1);
/*!40000 ALTER TABLE `comment_field_data` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `config`
--

DROP TABLE IF EXISTS `config`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `config` (
  `collection` varchar(255) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'Primary Key: Config object collection.',
  `name` varchar(255) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'Primary Key: Config object name.',
  `data` longblob DEFAULT NULL COMMENT 'A serialized configuration object data.',
  PRIMARY KEY (`collection`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='The base table for configuration data.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `config`
--

LOCK TABLES `config` WRITE;
/*!40000 ALTER TABLE `config` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `config` VALUES ('','automated_cron.settings','a:2:{s:8:\"interval\";i:10800;s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"fUksROt4FfkAU9BV4hV2XvhTBSS2nTNrZS4U7S-tKrs\";}}'),('','block.block.bartik_account_menu','a:13:{s:4:\"uuid\";s:36:\"05ad0efb-df48-45a8-8fdd-02f5f99b2e2b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:19:\"system.menu.account\";}s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"DweBpscQZdG0-fHkSpUzdYucrNH45G_KF7Z82V-oyQM\";}s:2:\"id\";s:19:\"bartik_account_menu\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:14:\"secondary_menu\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:25:\"system_menu_block:account\";s:8:\"settings\";a:7:{s:2:\"id\";s:25:\"system_menu_block:account\";s:5:\"label\";s:17:\"User account menu\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";s:5:\"level\";i:1;s:5:\"depth\";i:1;s:16:\"expand_all_items\";b:0;}s:10:\"visibility\";a:0:{}}'),('','block.block.bartik_branding','a:13:{s:4:\"uuid\";s:36:\"0b15030f-d01a-4381-a992-d5e5f579bcd3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"NDwadleLD3YVSbDUaakxyYZyINYtkFtOVGShfq4kWy8\";}s:2:\"id\";s:15:\"bartik_branding\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:6:\"header\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:21:\"system_branding_block\";s:8:\"settings\";a:7:{s:2:\"id\";s:21:\"system_branding_block\";s:5:\"label\";s:13:\"Site branding\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";s:13:\"use_site_logo\";b:1;s:13:\"use_site_name\";b:1;s:15:\"use_site_slogan\";b:1;}s:10:\"visibility\";a:0:{}}'),('','block.block.bartik_breadcrumbs','a:13:{s:4:\"uuid\";s:36:\"9da5a1e7-9b2e-4871-826d-b144ffbb9a50\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"oXUb3JZR2WW5VOdw4HrhRicCsq51mCgLfRyvheG68ck\";}s:2:\"id\";s:18:\"bartik_breadcrumbs\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:10:\"breadcrumb\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:23:\"system_breadcrumb_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:23:\"system_breadcrumb_block\";s:5:\"label\";s:11:\"Breadcrumbs\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}'),('','block.block.bartik_content','a:13:{s:4:\"uuid\";s:36:\"524c8164-c841-4aa9-80e2-d5fa420b6b99\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"9EoWV2Lot6FVSr50t4hoKgiz1LIXYWNG-IIPYsWxBqo\";}s:2:\"id\";s:14:\"bartik_content\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:17:\"system_main_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:17:\"system_main_block\";s:5:\"label\";s:17:\"Main page content\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}'),('','block.block.bartik_footer','a:13:{s:4:\"uuid\";s:36:\"a0b0daed-e8ce-4606-89cc-0287f20e6aa8\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:18:\"system.menu.footer\";}s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"kkISXE1LT2FJEoYnqCrCpeFB-2pmGmMxMklVk7rQcfg\";}s:2:\"id\";s:13:\"bartik_footer\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:12:\"footer_fifth\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:24:\"system_menu_block:footer\";s:8:\"settings\";a:7:{s:2:\"id\";s:24:\"system_menu_block:footer\";s:5:\"label\";s:11:\"Footer menu\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";s:5:\"level\";i:1;s:5:\"depth\";i:0;s:16:\"expand_all_items\";b:0;}s:10:\"visibility\";a:0:{}}'),('','block.block.bartik_help','a:13:{s:4:\"uuid\";s:36:\"7f4a9b19-b797-45e1-9d8a-1d2bffa74e40\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:4:\"help\";}s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"8I8iACSa0sKO3k3jlvUG1ge52rfcKX7USJAQYnzuBgg\";}s:2:\"id\";s:11:\"bartik_help\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:-30;s:8:\"provider\";N;s:6:\"plugin\";s:10:\"help_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:10:\"help_block\";s:5:\"label\";s:4:\"Help\";s:8:\"provider\";s:4:\"help\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}'),('','block.block.bartik_local_actions','a:13:{s:4:\"uuid\";s:36:\"82797529-f064-4ac7-8b87-c8eb161fbeda\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"13GQpeITIJsp1kyPniXtWZfyFH87vb1xxJCHifL4UeE\";}s:2:\"id\";s:20:\"bartik_local_actions\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:-20;s:8:\"provider\";N;s:6:\"plugin\";s:19:\"local_actions_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:19:\"local_actions_block\";s:5:\"label\";s:21:\"Primary admin actions\";s:8:\"provider\";s:4:\"core\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}'),('','block.block.bartik_local_tasks','a:13:{s:4:\"uuid\";s:36:\"b5a8d5d0-8602-45a3-b247-e38fab322e20\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"X9I1OB0W3WlWtrK-CNcg6hNWwa8wficanpH8pYnDZDE\";}s:2:\"id\";s:18:\"bartik_local_tasks\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:-40;s:8:\"provider\";N;s:6:\"plugin\";s:17:\"local_tasks_block\";s:8:\"settings\";a:6:{s:2:\"id\";s:17:\"local_tasks_block\";s:5:\"label\";s:4:\"Tabs\";s:8:\"provider\";s:4:\"core\";s:13:\"label_display\";s:1:\"0\";s:7:\"primary\";b:1;s:9:\"secondary\";b:1;}s:10:\"visibility\";a:0:{}}'),('','block.block.bartik_main_menu','a:13:{s:4:\"uuid\";s:36:\"1e204480-f964-4428-a728-3edbcef2a6b3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:16:\"system.menu.main\";}s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"rx9IrdDv7Ldc4kpalZAxdhIPZfYIeOMh1N-qKoQZwHo\";}s:2:\"id\";s:16:\"bartik_main_menu\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:12:\"primary_menu\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:22:\"system_menu_block:main\";s:8:\"settings\";a:7:{s:2:\"id\";s:22:\"system_menu_block:main\";s:5:\"label\";s:15:\"Main navigation\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";s:5:\"level\";i:1;s:5:\"depth\";i:1;s:16:\"expand_all_items\";b:0;}s:10:\"visibility\";a:0:{}}'),('','block.block.bartik_messages','a:13:{s:4:\"uuid\";s:36:\"1b9ab4d1-ad75-4e83-b06a-68d103ea375b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"KHQIJ7Vfl25lTjzIc7qIvnuistt-Mw2O0kG4jCofmkI\";}s:2:\"id\";s:15:\"bartik_messages\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:11:\"highlighted\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:21:\"system_messages_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:21:\"system_messages_block\";s:5:\"label\";s:15:\"Status messages\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}'),('','block.block.bartik_page_title','a:13:{s:4:\"uuid\";s:36:\"14d65fdc-e501-4a0e-a1c2-91b9ddaf883d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"7rR9chwXvdM2H8OYMAYx9Zj3GGlPMrZp_M3ZA4thYTk\";}s:2:\"id\";s:17:\"bartik_page_title\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:-50;s:8:\"provider\";N;s:6:\"plugin\";s:16:\"page_title_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:16:\"page_title_block\";s:5:\"label\";s:10:\"Page title\";s:8:\"provider\";s:4:\"core\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}'),('','block.block.bartik_powered','a:13:{s:4:\"uuid\";s:36:\"ea087a6a-3200-471b-ada0-2c044b1a5c4b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"jQQUUWN2Uxr5qZtc9zcJKBCxpKY8orN1u2HPqYYRQDI\";}s:2:\"id\";s:14:\"bartik_powered\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:12:\"footer_fifth\";s:6:\"weight\";i:10;s:8:\"provider\";N;s:6:\"plugin\";s:23:\"system_powered_by_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:23:\"system_powered_by_block\";s:5:\"label\";s:17:\"Powered by Drupal\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}'),('','block.block.bartik_search','a:13:{s:4:\"uuid\";s:36:\"123d7e2e-70ec-472d-8bc7-18089d4b1448\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"search\";}s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"za-39d5WDUg6XvbyqSnuVYEeq6QM4qKJxW8MnoAha5A\";}s:2:\"id\";s:13:\"bartik_search\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:13:\"sidebar_first\";s:6:\"weight\";i:-1;s:8:\"provider\";N;s:6:\"plugin\";s:17:\"search_form_block\";s:8:\"settings\";a:5:{s:2:\"id\";s:17:\"search_form_block\";s:5:\"label\";s:6:\"Search\";s:8:\"provider\";s:6:\"search\";s:13:\"label_display\";s:7:\"visible\";s:7:\"page_id\";s:0:\"\";}s:10:\"visibility\";a:0:{}}'),('','block.block.bartik_tools','a:13:{s:4:\"uuid\";s:36:\"a18097dc-09a4-4728-bed4-492c98fbd181\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:17:\"system.menu.tools\";}s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:6:\"bartik\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"NeHSoqm4XFqA7_0bDmR429ZZQt3LRbZMNRJTMsFyOfI\";}s:2:\"id\";s:12:\"bartik_tools\";s:5:\"theme\";s:6:\"bartik\";s:6:\"region\";s:13:\"sidebar_first\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:23:\"system_menu_block:tools\";s:8:\"settings\";a:7:{s:2:\"id\";s:23:\"system_menu_block:tools\";s:5:\"label\";s:5:\"Tools\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:7:\"visible\";s:5:\"level\";i:1;s:5:\"depth\";i:0;s:16:\"expand_all_items\";b:0;}s:10:\"visibility\";a:0:{}}'),('','block.block.blog','a:13:{s:4:\"uuid\";s:36:\"9bd8bd30-5981-4e15-9126-5d99b17adb56\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:3:{s:7:\"content\";a:1:{i:0;s:56:\"block_content:basic:3740ba50-c010-4c70-b600-b0caeb076315\";}s:6:\"module\";a:3:{i:0;s:11:\"block_class\";i:1;s:13:\"block_content\";i:2;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:11:\"blog-banner\";}}s:2:\"id\";s:4:\"blog\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:8:\"headline\";s:6:\"weight\";i:-22;s:8:\"provider\";N;s:6:\"plugin\";s:50:\"block_content:3740ba50-c010-4c70-b600-b0caeb076315\";s:8:\"settings\";a:7:{s:2:\"id\";s:50:\"block_content:3740ba50-c010-4c70-b600-b0caeb076315\";s:5:\"label\";s:4:\"Blog\";s:8:\"provider\";s:13:\"block_content\";s:13:\"label_display\";s:1:\"0\";s:6:\"status\";b:1;s:4:\"info\";s:0:\"\";s:9:\"view_mode\";s:4:\"full\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:7:\"/blog/*\";s:6:\"negate\";b:0;s:15:\"context_mapping\";a:0:{}}}}'),('','block.block.breadcrumbs','a:13:{s:4:\"uuid\";s:36:\"dbee2165-ea59-4a34-9fc8-f230c237936a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:3:{i:0;s:11:\"block_class\";i:1;s:6:\"ctools\";i:2;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:0:\"\";}}s:2:\"id\";s:11:\"breadcrumbs\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:-22;s:8:\"provider\";N;s:6:\"plugin\";s:23:\"system_breadcrumb_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:23:\"system_breadcrumb_block\";s:5:\"label\";s:11:\"Breadcrumbs\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:2:{s:31:\"entity_bundle:menu_link_content\";a:4:{s:2:\"id\";s:31:\"entity_bundle:menu_link_content\";s:7:\"bundles\";a:1:{s:17:\"menu_link_content\";s:17:\"menu_link_content\";}s:6:\"negate\";b:0;s:15:\"context_mapping\";a:0:{}}s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:7:\"<front>\";s:6:\"negate\";b:1;s:15:\"context_mapping\";a:0:{}}}}'),('','block.block.contactus','a:13:{s:4:\"uuid\";s:36:\"59f9e433-ab1f-4d03-812d-a4130361bed9\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:7:\"content\";a:1:{i:0;s:56:\"block_content:basic:b7be088a-40ae-4f2f-9614-8e1bae7b453d\";}s:6:\"module\";a:2:{i:0;s:11:\"block_class\";i:1;s:13:\"block_content\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:21:\"contact-us-block-info\";}}s:2:\"id\";s:9:\"contactus\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:19:\"footer_fourthcolumn\";s:6:\"weight\";i:-16;s:8:\"provider\";N;s:6:\"plugin\";s:50:\"block_content:b7be088a-40ae-4f2f-9614-8e1bae7b453d\";s:8:\"settings\";a:7:{s:2:\"id\";s:50:\"block_content:b7be088a-40ae-4f2f-9614-8e1bae7b453d\";s:5:\"label\";s:10:\"Contact us\";s:8:\"provider\";s:13:\"block_content\";s:13:\"label_display\";s:7:\"visible\";s:6:\"status\";b:1;s:4:\"info\";s:0:\"\";s:9:\"view_mode\";s:4:\"full\";}s:10:\"visibility\";a:0:{}}'),('','block.block.copyrightbyweebpal','a:13:{s:4:\"uuid\";s:36:\"98a6c337-730b-4a53-8a9a-f03621e6fb96\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:7:\"content\";a:1:{i:0;s:56:\"block_content:basic:d077ed59-d2a0-42b7-afc6-ed94b9621584\";}s:6:\"module\";a:2:{i:0;s:11:\"block_class\";i:1;s:13:\"block_content\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:0:\"\";}}s:2:\"id\";s:18:\"copyrightbyweebpal\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:6:\"footer\";s:6:\"weight\";i:-21;s:8:\"provider\";N;s:6:\"plugin\";s:50:\"block_content:d077ed59-d2a0-42b7-afc6-ed94b9621584\";s:8:\"settings\";a:7:{s:2:\"id\";s:50:\"block_content:d077ed59-d2a0-42b7-afc6-ed94b9621584\";s:5:\"label\";s:20:\"Copyright by Weebpal\";s:8:\"provider\";s:13:\"block_content\";s:13:\"label_display\";s:1:\"0\";s:6:\"status\";b:1;s:4:\"info\";s:0:\"\";s:9:\"view_mode\";s:4:\"full\";}s:10:\"visibility\";a:0:{}}'),('','block.block.luxestate_account_menu','a:13:{s:4:\"uuid\";s:36:\"35b5c009-e15f-4fb0-a1eb-a53cd12afcf0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:19:\"system.menu.account\";}s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"DweBpscQZdG0-fHkSpUzdYucrNH45G_KF7Z82V-oyQM\";}s:2:\"id\";s:22:\"luxestate_account_menu\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:14:\"secondary_menu\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:25:\"system_menu_block:account\";s:8:\"settings\";a:7:{s:2:\"id\";s:25:\"system_menu_block:account\";s:5:\"label\";s:17:\"User account menu\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";s:5:\"level\";i:1;s:5:\"depth\";i:1;s:16:\"expand_all_items\";b:0;}s:10:\"visibility\";a:0:{}}'),('','block.block.luxestate_branding','a:14:{s:4:\"uuid\";s:36:\"5afb6e2c-d5f9-46e6-aa4f-c96ebaaf6651\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:2:{i:0;s:11:\"block_class\";i:1;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:0:\"\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"NDwadleLD3YVSbDUaakxyYZyINYtkFtOVGShfq4kWy8\";}s:2:\"id\";s:18:\"luxestate_branding\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:6:\"header\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:21:\"system_branding_block\";s:8:\"settings\";a:7:{s:2:\"id\";s:21:\"system_branding_block\";s:5:\"label\";s:13:\"Site branding\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";s:13:\"use_site_logo\";b:1;s:13:\"use_site_name\";b:1;s:15:\"use_site_slogan\";b:1;}s:10:\"visibility\";a:0:{}}'),('','block.block.luxestate_breadcrumbs','a:13:{s:4:\"uuid\";s:36:\"d1d6b8ed-8fda-47ad-abbf-57e7cc7bd3c5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"oXUb3JZR2WW5VOdw4HrhRicCsq51mCgLfRyvheG68ck\";}s:2:\"id\";s:21:\"luxestate_breadcrumbs\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:10:\"breadcrumb\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:23:\"system_breadcrumb_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:23:\"system_breadcrumb_block\";s:5:\"label\";s:11:\"Breadcrumbs\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}'),('','block.block.luxestate_content','a:13:{s:4:\"uuid\";s:36:\"0d108db3-6ac7-44fd-b666-c0408758add7\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"9EoWV2Lot6FVSr50t4hoKgiz1LIXYWNG-IIPYsWxBqo\";}s:2:\"id\";s:17:\"luxestate_content\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:-16;s:8:\"provider\";N;s:6:\"plugin\";s:17:\"system_main_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:17:\"system_main_block\";s:5:\"label\";s:17:\"Main page content\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}'),('','block.block.luxestate_footer','a:13:{s:4:\"uuid\";s:36:\"46466991-b794-4562-a678-9b83bcde6f16\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:18:\"system.menu.footer\";}s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"kkISXE1LT2FJEoYnqCrCpeFB-2pmGmMxMklVk7rQcfg\";}s:2:\"id\";s:16:\"luxestate_footer\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:8:\"headline\";s:6:\"weight\";i:-21;s:8:\"provider\";N;s:6:\"plugin\";s:24:\"system_menu_block:footer\";s:8:\"settings\";a:7:{s:2:\"id\";s:24:\"system_menu_block:footer\";s:5:\"label\";s:11:\"Footer menu\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";s:5:\"level\";i:1;s:5:\"depth\";i:0;s:16:\"expand_all_items\";b:0;}s:10:\"visibility\";a:0:{}}'),('','block.block.luxestate_help','a:13:{s:4:\"uuid\";s:36:\"247f7463-1949-43c8-ac7e-e62c195b59ab\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:4:\"help\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"8I8iACSa0sKO3k3jlvUG1ge52rfcKX7USJAQYnzuBgg\";}s:2:\"id\";s:14:\"luxestate_help\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:-20;s:8:\"provider\";N;s:6:\"plugin\";s:10:\"help_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:10:\"help_block\";s:5:\"label\";s:4:\"Help\";s:8:\"provider\";s:4:\"help\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}'),('','block.block.luxestate_local_actions','a:13:{s:4:\"uuid\";s:36:\"3b4cd89a-b17f-4257-8acb-a4e2af15feed\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"13GQpeITIJsp1kyPniXtWZfyFH87vb1xxJCHifL4UeE\";}s:2:\"id\";s:23:\"luxestate_local_actions\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:-19;s:8:\"provider\";N;s:6:\"plugin\";s:19:\"local_actions_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:19:\"local_actions_block\";s:5:\"label\";s:21:\"Primary admin actions\";s:8:\"provider\";s:4:\"core\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}'),('','block.block.luxestate_local_tasks','a:13:{s:4:\"uuid\";s:36:\"f10bcc3c-098e-468c-9923-46e70ed89a31\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"X9I1OB0W3WlWtrK-CNcg6hNWwa8wficanpH8pYnDZDE\";}s:2:\"id\";s:21:\"luxestate_local_tasks\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:-17;s:8:\"provider\";N;s:6:\"plugin\";s:17:\"local_tasks_block\";s:8:\"settings\";a:6:{s:2:\"id\";s:17:\"local_tasks_block\";s:5:\"label\";s:4:\"Tabs\";s:8:\"provider\";s:4:\"core\";s:13:\"label_display\";s:1:\"0\";s:7:\"primary\";b:1;s:9:\"secondary\";b:1;}s:10:\"visibility\";a:0:{}}'),('','block.block.luxestate_messages','a:13:{s:4:\"uuid\";s:36:\"e58b5379-763b-41b2-b3d3-de9abe8a64db\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"KHQIJ7Vfl25lTjzIc7qIvnuistt-Mw2O0kG4jCofmkI\";}s:2:\"id\";s:18:\"luxestate_messages\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:11:\"highlighted\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:21:\"system_messages_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:21:\"system_messages_block\";s:5:\"label\";s:15:\"Status messages\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}'),('','block.block.luxestate_page_title','a:14:{s:4:\"uuid\";s:36:\"463b0385-ce78-4597-a4c2-ca479b3fa8c2\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:2:{i:0;s:11:\"block_class\";i:1;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:0:\"\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"7rR9chwXvdM2H8OYMAYx9Zj3GGlPMrZp_M3ZA4thYTk\";}s:2:\"id\";s:20:\"luxestate_page_title\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:-18;s:8:\"provider\";N;s:6:\"plugin\";s:16:\"page_title_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:16:\"page_title_block\";s:5:\"label\";s:10:\"Page title\";s:8:\"provider\";s:4:\"core\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:70:\"/blog\r\n/portfolio\r\n/portfolio_masonry\r\n/portfolio_4_col\r\n/blog_default\";s:6:\"negate\";b:1;s:15:\"context_mapping\";a:0:{}}}}'),('','block.block.luxestate_powered','a:13:{s:4:\"uuid\";s:36:\"d94c59cc-e5d4-4a6a-bd41-82b51303099a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"jQQUUWN2Uxr5qZtc9zcJKBCxpKY8orN1u2HPqYYRQDI\";}s:2:\"id\";s:17:\"luxestate_powered\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:8:\"headline\";s:6:\"weight\";i:-19;s:8:\"provider\";N;s:6:\"plugin\";s:23:\"system_powered_by_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:23:\"system_powered_by_block\";s:5:\"label\";s:17:\"Powered by Drupal\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}'),('','block.block.luxestate_search','a:13:{s:4:\"uuid\";s:36:\"3bd68868-5850-4eec-8065-82aae90d9a54\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:3:{i:0;s:11:\"block_class\";i:1;s:6:\"search\";i:2;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"za-39d5WDUg6XvbyqSnuVYEeq6QM4qKJxW8MnoAha5A\";}s:2:\"id\";s:16:\"luxestate_search\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:13:\"sidebar_first\";s:6:\"weight\";i:-11;s:8:\"provider\";N;s:6:\"plugin\";s:17:\"search_form_block\";s:8:\"settings\";a:5:{s:2:\"id\";s:17:\"search_form_block\";s:5:\"label\";s:6:\"Search\";s:8:\"provider\";s:6:\"search\";s:13:\"label_display\";s:1:\"0\";s:7:\"page_id\";s:0:\"\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:29:\"/blog/*\r\n/blog\r\n/blog_default\";s:6:\"negate\";b:0;s:15:\"context_mapping\";a:0:{}}}}'),('','block.block.luxestate_tools','a:13:{s:4:\"uuid\";s:36:\"4c105b7c-288e-4e78-9b59-7b844259c685\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:17:\"system.menu.tools\";}s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"NeHSoqm4XFqA7_0bDmR429ZZQt3LRbZMNRJTMsFyOfI\";}s:2:\"id\";s:15:\"luxestate_tools\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:8:\"headline\";s:6:\"weight\";i:-18;s:8:\"provider\";N;s:6:\"plugin\";s:23:\"system_menu_block:tools\";s:8:\"settings\";a:7:{s:2:\"id\";s:23:\"system_menu_block:tools\";s:5:\"label\";s:5:\"Tools\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:7:\"visible\";s:5:\"level\";i:1;s:5:\"depth\";i:0;s:16:\"expand_all_items\";b:0;}s:10:\"visibility\";a:0:{}}'),('','block.block.mainnavigation','a:13:{s:4:\"uuid\";s:36:\"f51ffd01-503a-4f00-b3c2-3baafeb230f9\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:16:\"system.menu.main\";}s:6:\"module\";a:2:{i:0;s:11:\"block_class\";i:1;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:16:\"main-menu-footer\";}}s:2:\"id\";s:14:\"mainnavigation\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:18:\"footer_firstcolumn\";s:6:\"weight\";i:-21;s:8:\"provider\";N;s:6:\"plugin\";s:22:\"system_menu_block:main\";s:8:\"settings\";a:7:{s:2:\"id\";s:22:\"system_menu_block:main\";s:5:\"label\";s:15:\"Main navigation\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";s:5:\"level\";i:1;s:5:\"depth\";i:0;s:16:\"expand_all_items\";b:0;}s:10:\"visibility\";a:0:{}}'),('','block.block.mainnavigation_2','a:13:{s:4:\"uuid\";s:36:\"4649d7ab-1769-4af0-a737-9fa4516e7cbd\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:2:{i:0;s:11:\"block_class\";i:1;s:11:\"we_megamenu\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:0:\"\";}}s:2:\"id\";s:16:\"mainnavigation_2\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:12:\"primary_menu\";s:6:\"weight\";i:-23;s:8:\"provider\";N;s:6:\"plugin\";s:22:\"we_megamenu_block:main\";s:8:\"settings\";a:4:{s:2:\"id\";s:22:\"we_megamenu_block:main\";s:5:\"label\";s:15:\"Main navigation\";s:8:\"provider\";s:11:\"we_megamenu\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}'),('','block.block.newsletterblock','a:13:{s:4:\"uuid\";s:36:\"b5b44fb2-4da4-4f6a-a351-cda526e7d3b3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:7:\"content\";a:1:{i:0;s:56:\"block_content:basic:b0c92726-50bb-4afe-8a60-e078803c0753\";}s:6:\"module\";a:3:{i:0;s:11:\"block_class\";i:1;s:13:\"block_content\";i:2;s:4:\"user\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:0:\"\";}}s:2:\"id\";s:15:\"newsletterblock\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:18:\"footer_thirdcolumn\";s:6:\"weight\";i:-21;s:8:\"provider\";N;s:6:\"plugin\";s:50:\"block_content:b0c92726-50bb-4afe-8a60-e078803c0753\";s:8:\"settings\";a:7:{s:2:\"id\";s:50:\"block_content:b0c92726-50bb-4afe-8a60-e078803c0753\";s:5:\"label\";s:16:\"Newsletter block\";s:8:\"provider\";s:13:\"block_content\";s:13:\"label_display\";s:1:\"0\";s:6:\"status\";b:1;s:4:\"info\";s:0:\"\";s:9:\"view_mode\";s:4:\"full\";}s:10:\"visibility\";a:1:{s:9:\"user_role\";a:4:{s:2:\"id\";s:9:\"user_role\";s:5:\"roles\";a:1:{s:9:\"anonymous\";s:9:\"anonymous\";}s:6:\"negate\";b:0;s:15:\"context_mapping\";a:1:{s:4:\"user\";s:39:\"@user.current_user_context:current_user\";}}}}'),('','block.block.ourlocation','a:13:{s:4:\"uuid\";s:36:\"91abbd9a-b992-498c-8784-66b126c66985\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:7:\"content\";a:1:{i:0;s:56:\"block_content:basic:f714da14-65b4-4919-8791-25debf49859d\";}s:6:\"module\";a:3:{i:0;s:11:\"block_class\";i:1;s:13:\"block_content\";i:2;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:0:\"\";}}s:2:\"id\";s:11:\"ourlocation\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:12:\"panel_second\";s:6:\"weight\";i:-17;s:8:\"provider\";N;s:6:\"plugin\";s:50:\"block_content:f714da14-65b4-4919-8791-25debf49859d\";s:8:\"settings\";a:7:{s:2:\"id\";s:50:\"block_content:f714da14-65b4-4919-8791-25debf49859d\";s:5:\"label\";s:12:\"Our location\";s:8:\"provider\";s:13:\"block_content\";s:13:\"label_display\";s:1:\"0\";s:6:\"status\";b:1;s:4:\"info\";s:0:\"\";s:9:\"view_mode\";s:4:\"full\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:8:\"/contact\";s:6:\"negate\";b:0;s:15:\"context_mapping\";a:0:{}}}}'),('','block.block.pagetitle','a:13:{s:4:\"uuid\";s:36:\"777cd0f6-f75b-42fc-93cb-19d4ee26c25d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:2:{s:6:\"module\";a:2:{i:0;s:11:\"block_class\";i:1;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:0:\"\";}}s:2:\"id\";s:9:\"pagetitle\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:8:\"headline\";s:6:\"weight\";i:-20;s:8:\"provider\";N;s:6:\"plugin\";s:16:\"page_title_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:16:\"page_title_block\";s:5:\"label\";s:10:\"Page title\";s:8:\"provider\";s:4:\"core\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:9:\"/services\";s:6:\"negate\";b:0;s:15:\"context_mapping\";a:0:{}}}}'),('','block.block.quicklinks','a:12:{s:4:\"uuid\";s:36:\"a27c34c1-6da0-48f0-aca6-b016b44553ee\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:17:\"system.menu.quick\";}s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:2:\"id\";s:10:\"quicklinks\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:18:\"footer_firstcolumn\";s:6:\"weight\";i:-22;s:8:\"provider\";N;s:6:\"plugin\";s:23:\"system_menu_block:quick\";s:8:\"settings\";a:7:{s:2:\"id\";s:23:\"system_menu_block:quick\";s:5:\"label\";s:11:\"Quick links\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:7:\"visible\";s:5:\"level\";i:1;s:5:\"depth\";i:0;s:16:\"expand_all_items\";b:0;}s:10:\"visibility\";a:0:{}}'),('','block.block.seven_breadcrumbs','a:13:{s:4:\"uuid\";s:36:\"f453a16b-9058-4027-883e-3bde1fd9f07e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:5:\"seven\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"WWu2OQswgCztl9OeXjD1stexIEMZsSgPMYIdC-JHx9c\";}s:2:\"id\";s:17:\"seven_breadcrumbs\";s:5:\"theme\";s:5:\"seven\";s:6:\"region\";s:10:\"breadcrumb\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:23:\"system_breadcrumb_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:23:\"system_breadcrumb_block\";s:5:\"label\";s:11:\"Breadcrumbs\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}'),('','block.block.seven_content','a:13:{s:4:\"uuid\";s:36:\"9d0f0343-beec-47c4-ba30-186b9f81b8c0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:5:\"seven\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"YRY68JWkaUiGeZlWMv1nzeIgDm0ZZwXYgpqUpLFzwAY\";}s:2:\"id\";s:13:\"seven_content\";s:5:\"theme\";s:5:\"seven\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:17:\"system_main_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:17:\"system_main_block\";s:5:\"label\";s:17:\"Main page content\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}'),('','block.block.seven_help','a:13:{s:4:\"uuid\";s:36:\"f5f7debb-442f-4f84-a672-3a0660a4df66\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:4:\"help\";}s:5:\"theme\";a:1:{i:0;s:5:\"seven\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"NU5A_49mwLHfs5xFzMFrZ850w9pgUolxMS9NNF3vv4c\";}s:2:\"id\";s:10:\"seven_help\";s:5:\"theme\";s:5:\"seven\";s:6:\"region\";s:4:\"help\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:10:\"help_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:10:\"help_block\";s:5:\"label\";s:4:\"Help\";s:8:\"provider\";s:4:\"help\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}'),('','block.block.seven_local_actions','a:13:{s:4:\"uuid\";s:36:\"6409e469-0a6b-46ef-9808-02d09a55e463\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:5:\"theme\";a:1:{i:0;s:5:\"seven\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"HHryZVJbeKi9WnuBGC8FOhBZmBnk2G1H6KxFuy-rC9A\";}s:2:\"id\";s:19:\"seven_local_actions\";s:5:\"theme\";s:5:\"seven\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:-10;s:8:\"provider\";N;s:6:\"plugin\";s:19:\"local_actions_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:19:\"local_actions_block\";s:5:\"label\";s:21:\"Primary admin actions\";s:8:\"provider\";s:4:\"core\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}'),('','block.block.seven_login','a:13:{s:4:\"uuid\";s:36:\"067d7b51-7e59-4378-9675-9505841dca91\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}s:5:\"theme\";a:1:{i:0;s:5:\"seven\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"IItlF4SKHgxduIysVQdvirDJ_v3HGuAviOkidAOJYRE\";}s:2:\"id\";s:11:\"seven_login\";s:5:\"theme\";s:5:\"seven\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:10;s:8:\"provider\";N;s:6:\"plugin\";s:16:\"user_login_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:16:\"user_login_block\";s:5:\"label\";s:10:\"User login\";s:8:\"provider\";s:4:\"user\";s:13:\"label_display\";s:7:\"visible\";}s:10:\"visibility\";a:0:{}}'),('','block.block.seven_messages','a:13:{s:4:\"uuid\";s:36:\"93566e58-5841-48d0-b92b-37e576c8a558\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:1:{i:0;s:6:\"system\";}s:5:\"theme\";a:1:{i:0;s:5:\"seven\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"XJqWwLt1LDCnazcEN6QkJmCLjk4R0__-8s0OO9xeNjg\";}s:2:\"id\";s:14:\"seven_messages\";s:5:\"theme\";s:5:\"seven\";s:6:\"region\";s:11:\"highlighted\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:21:\"system_messages_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:21:\"system_messages_block\";s:5:\"label\";s:15:\"Status messages\";s:8:\"provider\";s:6:\"system\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}'),('','block.block.seven_page_title','a:13:{s:4:\"uuid\";s:36:\"53057242-7cdb-46df-88f7-374f3976c45a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:5:\"theme\";a:1:{i:0;s:5:\"seven\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"ZSpc3IoSaLd0PkB02nxjVPBMztIdsTdHek9SiGaqZ_c\";}s:2:\"id\";s:16:\"seven_page_title\";s:5:\"theme\";s:5:\"seven\";s:6:\"region\";s:6:\"header\";s:6:\"weight\";i:-30;s:8:\"provider\";N;s:6:\"plugin\";s:16:\"page_title_block\";s:8:\"settings\";a:4:{s:2:\"id\";s:16:\"page_title_block\";s:5:\"label\";s:10:\"Page title\";s:8:\"provider\";s:4:\"core\";s:13:\"label_display\";s:1:\"0\";}s:10:\"visibility\";a:0:{}}'),('','block.block.seven_primary_local_tasks','a:13:{s:4:\"uuid\";s:36:\"67ee53bf-f406-4bbc-b758-08f474f0774c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:5:\"theme\";a:1:{i:0;s:5:\"seven\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"ddy1OsBbWxjwEI8VL1viD4I69qcLHOkul4BxbTqLBTs\";}s:2:\"id\";s:25:\"seven_primary_local_tasks\";s:5:\"theme\";s:5:\"seven\";s:6:\"region\";s:6:\"header\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:17:\"local_tasks_block\";s:8:\"settings\";a:6:{s:2:\"id\";s:17:\"local_tasks_block\";s:5:\"label\";s:12:\"Primary tabs\";s:8:\"provider\";s:4:\"core\";s:13:\"label_display\";s:1:\"0\";s:7:\"primary\";b:1;s:9:\"secondary\";b:0;}s:10:\"visibility\";a:0:{}}'),('','block.block.seven_secondary_local_tasks','a:13:{s:4:\"uuid\";s:36:\"d38bebd8-09a4-4808-a5c2-6226e963e777\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:5:\"theme\";a:1:{i:0;s:5:\"seven\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"QeZBeCilQfeET3GeW6ZtJkEiwROADTZktFgKWwPieD4\";}s:2:\"id\";s:27:\"seven_secondary_local_tasks\";s:5:\"theme\";s:5:\"seven\";s:6:\"region\";s:11:\"pre_content\";s:6:\"weight\";i:0;s:8:\"provider\";N;s:6:\"plugin\";s:17:\"local_tasks_block\";s:8:\"settings\";a:6:{s:2:\"id\";s:17:\"local_tasks_block\";s:5:\"label\";s:14:\"Secondary tabs\";s:8:\"provider\";s:4:\"core\";s:13:\"label_display\";s:1:\"0\";s:7:\"primary\";b:0;s:9:\"secondary\";b:1;}s:10:\"visibility\";a:0:{}}'),('','block.block.simplenewssubscription','a:13:{s:4:\"uuid\";s:36:\"1dc39fed-9056-4b00-9641-b842b7ea760c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"module\";a:2:{i:0;s:11:\"block_class\";i:1;s:10:\"simplenews\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:0:\"\";}}s:2:\"id\";s:22:\"simplenewssubscription\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:18:\"footer_thirdcolumn\";s:6:\"weight\";i:-22;s:8:\"provider\";N;s:6:\"plugin\";s:29:\"simplenews_subscription_block\";s:8:\"settings\";a:7:{s:2:\"id\";s:29:\"simplenews_subscription_block\";s:5:\"label\";s:10:\"Newsletter\";s:8:\"provider\";s:10:\"simplenews\";s:13:\"label_display\";s:7:\"visible\";s:11:\"newsletters\";a:1:{s:7:\"default\";s:7:\"default\";}s:7:\"message\";s:57:\"Sign up for our mailing to get latest updates and offers.\";s:9:\"unique_id\";s:36:\"2e7f7bdc-7622-4ced-9848-99a362a0e07e\";}s:10:\"visibility\";a:0:{}}'),('','block.block.views_block__about_us_block_1','a:13:{s:4:\"uuid\";s:36:\"b10cfdf4-0bc8-40ee-9d32-d7b900b9a7f9\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:19:\"views.view.about_us\";}s:6:\"module\";a:3:{i:0;s:11:\"block_class\";i:1;s:6:\"system\";i:2;s:5:\"views\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:0:\"\";}}s:2:\"id\";s:29:\"views_block__about_us_block_1\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:12:\"panel_second\";s:6:\"weight\";i:-18;s:8:\"provider\";N;s:6:\"plugin\";s:28:\"views_block:about_us-block_1\";s:8:\"settings\";a:6:{s:2:\"id\";s:28:\"views_block:about_us-block_1\";s:5:\"label\";s:0:\"\";s:8:\"provider\";s:5:\"views\";s:13:\"label_display\";s:1:\"0\";s:11:\"views_label\";s:0:\"\";s:14:\"items_per_page\";s:4:\"none\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:7:\"<front>\";s:6:\"negate\";b:0;s:15:\"context_mapping\";a:0:{}}}}'),('','block.block.views_block__banner_block_1','a:13:{s:4:\"uuid\";s:36:\"a4939ac5-7f92-4f64-b224-627d89b86f8a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:17:\"views.view.banner\";}s:6:\"module\";a:3:{i:0;s:11:\"block_class\";i:1;s:6:\"system\";i:2;s:5:\"views\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:16:\"view-blog-banner\";}}s:2:\"id\";s:27:\"views_block__banner_block_1\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:6:\"banner\";s:6:\"weight\";i:-15;s:8:\"provider\";N;s:6:\"plugin\";s:26:\"views_block:banner-block_1\";s:8:\"settings\";a:6:{s:2:\"id\";s:26:\"views_block:banner-block_1\";s:5:\"label\";s:0:\"\";s:8:\"provider\";s:5:\"views\";s:13:\"label_display\";s:1:\"0\";s:11:\"views_label\";s:0:\"\";s:14:\"items_per_page\";s:4:\"none\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:7:\"/blog/*\";s:6:\"negate\";b:0;s:15:\"context_mapping\";a:0:{}}}}'),('','block.block.views_block__banner_block_2','a:13:{s:4:\"uuid\";s:36:\"ab90aeec-2619-4b81-b79f-c584f2c0e8e6\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:17:\"views.view.banner\";}s:6:\"module\";a:3:{i:0;s:11:\"block_class\";i:1;s:6:\"system\";i:2;s:5:\"views\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:0:\"\";}}s:2:\"id\";s:27:\"views_block__banner_block_2\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:6:\"banner\";s:6:\"weight\";i:-13;s:8:\"provider\";N;s:6:\"plugin\";s:26:\"views_block:banner-block_2\";s:8:\"settings\";a:6:{s:2:\"id\";s:26:\"views_block:banner-block_2\";s:5:\"label\";s:0:\"\";s:8:\"provider\";s:5:\"views\";s:13:\"label_display\";s:1:\"0\";s:11:\"views_label\";s:0:\"\";s:14:\"items_per_page\";s:4:\"none\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:50:\"/portfolio\r\n/portfolio_4_col\r\n/portfolio_masonry\r\n\";s:6:\"negate\";b:0;s:15:\"context_mapping\";a:0:{}}}}'),('','block.block.views_block__banner_block_3','a:13:{s:4:\"uuid\";s:36:\"a93ad700-47bd-4c72-bde7-873a7609bc32\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:17:\"views.view.banner\";}s:6:\"module\";a:3:{i:0;s:11:\"block_class\";i:1;s:6:\"system\";i:2;s:5:\"views\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:0:\"\";}}s:2:\"id\";s:27:\"views_block__banner_block_3\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:6:\"banner\";s:6:\"weight\";i:-14;s:8:\"provider\";N;s:6:\"plugin\";s:26:\"views_block:banner-block_3\";s:8:\"settings\";a:6:{s:2:\"id\";s:26:\"views_block:banner-block_3\";s:5:\"label\";s:0:\"\";s:8:\"provider\";s:5:\"views\";s:13:\"label_display\";s:1:\"0\";s:11:\"views_label\";s:0:\"\";s:14:\"items_per_page\";s:4:\"none\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:20:\"/blog\r\n/blog_default\";s:6:\"negate\";b:0;s:15:\"context_mapping\";a:0:{}}}}'),('','block.block.views_block__banner_block_4','a:13:{s:4:\"uuid\";s:36:\"eeab3648-832b-44bf-9a31-8f3ec87d92db\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:17:\"views.view.banner\";}s:6:\"module\";a:3:{i:0;s:11:\"block_class\";i:1;s:6:\"system\";i:2;s:5:\"views\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:0:\"\";}}s:2:\"id\";s:27:\"views_block__banner_block_4\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:6:\"banner\";s:6:\"weight\";i:-16;s:8:\"provider\";N;s:6:\"plugin\";s:26:\"views_block:banner-block_4\";s:8:\"settings\";a:6:{s:2:\"id\";s:26:\"views_block:banner-block_4\";s:5:\"label\";s:0:\"\";s:8:\"provider\";s:5:\"views\";s:13:\"label_display\";s:1:\"0\";s:11:\"views_label\";s:0:\"\";s:14:\"items_per_page\";s:4:\"none\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:9:\"/about-us\";s:6:\"negate\";b:0;s:15:\"context_mapping\";a:0:{}}}}'),('','block.block.views_block__banner_block_5','a:13:{s:4:\"uuid\";s:36:\"4ea627d8-f6f4-49d6-b20b-da8ed689fcfa\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:17:\"views.view.banner\";}s:6:\"module\";a:3:{i:0;s:11:\"block_class\";i:1;s:6:\"system\";i:2;s:5:\"views\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:0:\"\";}}s:2:\"id\";s:27:\"views_block__banner_block_5\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:6:\"banner\";s:6:\"weight\";i:-21;s:8:\"provider\";N;s:6:\"plugin\";s:26:\"views_block:banner-block_5\";s:8:\"settings\";a:6:{s:2:\"id\";s:26:\"views_block:banner-block_5\";s:5:\"label\";s:0:\"\";s:8:\"provider\";s:5:\"views\";s:13:\"label_display\";s:1:\"0\";s:11:\"views_label\";s:0:\"\";s:14:\"items_per_page\";s:4:\"none\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:9:\"/services\";s:6:\"negate\";b:0;s:15:\"context_mapping\";a:0:{}}}}'),('','block.block.views_block__banner_block_6','a:13:{s:4:\"uuid\";s:36:\"02fecbf4-9dc0-497d-8275-4004aca97142\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:17:\"views.view.banner\";}s:6:\"module\";a:3:{i:0;s:11:\"block_class\";i:1;s:6:\"system\";i:2;s:5:\"views\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:0:\"\";}}s:2:\"id\";s:27:\"views_block__banner_block_6\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:6:\"banner\";s:6:\"weight\";i:-22;s:8:\"provider\";N;s:6:\"plugin\";s:26:\"views_block:banner-block_6\";s:8:\"settings\";a:6:{s:2:\"id\";s:26:\"views_block:banner-block_6\";s:5:\"label\";s:0:\"\";s:8:\"provider\";s:5:\"views\";s:13:\"label_display\";s:1:\"0\";s:11:\"views_label\";s:0:\"\";s:14:\"items_per_page\";s:4:\"none\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:8:\"/contact\";s:6:\"negate\";b:0;s:15:\"context_mapping\";a:0:{}}}}'),('','block.block.views_block__banner_block_7','a:13:{s:4:\"uuid\";s:36:\"2a7804a5-19b9-4f53-a519-d5c7536084d9\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:17:\"views.view.banner\";}s:6:\"module\";a:3:{i:0;s:11:\"block_class\";i:1;s:6:\"system\";i:2;s:5:\"views\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:0:\"\";}}s:2:\"id\";s:27:\"views_block__banner_block_7\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:8:\"headline\";s:6:\"weight\";i:-23;s:8:\"provider\";N;s:6:\"plugin\";s:26:\"views_block:banner-block_7\";s:8:\"settings\";a:6:{s:2:\"id\";s:26:\"views_block:banner-block_7\";s:5:\"label\";s:0:\"\";s:8:\"provider\";s:5:\"views\";s:13:\"label_display\";s:1:\"0\";s:11:\"views_label\";s:0:\"\";s:14:\"items_per_page\";s:4:\"none\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:21:\"/user/*\r\n~/user/login\";s:6:\"negate\";b:0;s:15:\"context_mapping\";a:0:{}}}}'),('','block.block.views_block__blog_details_block_1','a:13:{s:4:\"uuid\";s:36:\"00cefbc2-9642-41a1-83b7-988a50cecc14\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:23:\"views.view.blog_details\";}s:6:\"module\";a:3:{i:0;s:11:\"block_class\";i:1;s:6:\"system\";i:2;s:5:\"views\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:0:\"\";}}s:2:\"id\";s:33:\"views_block__blog_details_block_1\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:11:\"panel_first\";s:6:\"weight\";i:-21;s:8:\"provider\";N;s:6:\"plugin\";s:32:\"views_block:blog_details-block_1\";s:8:\"settings\";a:6:{s:2:\"id\";s:32:\"views_block:blog_details-block_1\";s:5:\"label\";s:0:\"\";s:8:\"provider\";s:5:\"views\";s:13:\"label_display\";s:1:\"0\";s:11:\"views_label\";s:0:\"\";s:14:\"items_per_page\";s:4:\"none\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:7:\"/blog/*\";s:6:\"negate\";b:0;s:15:\"context_mapping\";a:0:{}}}}'),('','block.block.views_block__blog_details_block_3','a:13:{s:4:\"uuid\";s:36:\"8a5f9a82-3a4a-402f-8990-54159c7d973b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:23:\"views.view.blog_details\";}s:6:\"module\";a:3:{i:0;s:11:\"block_class\";i:1;s:6:\"system\";i:2;s:5:\"views\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:0:\"\";}}s:2:\"id\";s:33:\"views_block__blog_details_block_3\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";i:-21;s:8:\"provider\";N;s:6:\"plugin\";s:32:\"views_block:blog_details-block_3\";s:8:\"settings\";a:6:{s:2:\"id\";s:32:\"views_block:blog_details-block_3\";s:5:\"label\";s:0:\"\";s:8:\"provider\";s:5:\"views\";s:13:\"label_display\";s:1:\"0\";s:11:\"views_label\";s:0:\"\";s:14:\"items_per_page\";s:4:\"none\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:7:\"/blog/*\";s:6:\"negate\";b:0;s:15:\"context_mapping\";a:0:{}}}}'),('','block.block.views_block__blog_page_block_1','a:13:{s:4:\"uuid\";s:36:\"28333d3c-53c0-414c-b9aa-2c0d3cdbc6af\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:20:\"views.view.blog_page\";}s:6:\"module\";a:3:{i:0;s:11:\"block_class\";i:1;s:6:\"system\";i:2;s:5:\"views\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:0:\"\";}}s:2:\"id\";s:30:\"views_block__blog_page_block_1\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:13:\"sidebar_first\";s:6:\"weight\";i:-10;s:8:\"provider\";N;s:6:\"plugin\";s:29:\"views_block:blog_page-block_1\";s:8:\"settings\";a:6:{s:2:\"id\";s:29:\"views_block:blog_page-block_1\";s:5:\"label\";s:0:\"\";s:8:\"provider\";s:5:\"views\";s:13:\"label_display\";s:7:\"visible\";s:11:\"views_label\";s:0:\"\";s:14:\"items_per_page\";s:4:\"none\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:29:\"/blog/*\r\n/blog\r\n/blog_default\";s:6:\"negate\";b:0;s:15:\"context_mapping\";a:0:{}}}}'),('','block.block.views_block__blog_page_block_2','a:13:{s:4:\"uuid\";s:36:\"d3cebbbb-4518-4651-b930-814519d61bea\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:20:\"views.view.blog_page\";}s:6:\"module\";a:3:{i:0;s:11:\"block_class\";i:1;s:6:\"system\";i:2;s:5:\"views\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:0:\"\";}}s:2:\"id\";s:30:\"views_block__blog_page_block_2\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:12:\"panel_fourth\";s:6:\"weight\";i:-13;s:8:\"provider\";N;s:6:\"plugin\";s:29:\"views_block:blog_page-block_2\";s:8:\"settings\";a:6:{s:2:\"id\";s:29:\"views_block:blog_page-block_2\";s:5:\"label\";s:0:\"\";s:8:\"provider\";s:5:\"views\";s:13:\"label_display\";s:7:\"visible\";s:11:\"views_label\";s:0:\"\";s:14:\"items_per_page\";s:4:\"none\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:7:\"<front>\";s:6:\"negate\";b:0;s:15:\"context_mapping\";a:0:{}}}}'),('','block.block.views_block__blog_page_block_3','a:13:{s:4:\"uuid\";s:36:\"5e54cc7d-0bb7-4b10-b641-3c7dd297aaae\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:20:\"views.view.blog_page\";}s:6:\"module\";a:2:{i:0;s:11:\"block_class\";i:1;s:5:\"views\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:0:\"\";}}s:2:\"id\";s:30:\"views_block__blog_page_block_3\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:19:\"footer_secondcolumn\";s:6:\"weight\";i:-13;s:8:\"provider\";N;s:6:\"plugin\";s:29:\"views_block:blog_page-block_3\";s:8:\"settings\";a:6:{s:2:\"id\";s:29:\"views_block:blog_page-block_3\";s:5:\"label\";s:0:\"\";s:8:\"provider\";s:5:\"views\";s:13:\"label_display\";s:7:\"visible\";s:11:\"views_label\";s:0:\"\";s:14:\"items_per_page\";s:4:\"none\";}s:10:\"visibility\";a:0:{}}'),('','block.block.views_block__frontpage_block_1','a:13:{s:4:\"uuid\";s:36:\"fc04f2f2-f09f-4ff5-aaa3-8d26c2027c0f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:20:\"views.view.frontpage\";}s:6:\"module\";a:3:{i:0;s:11:\"block_class\";i:1;s:6:\"system\";i:2;s:5:\"views\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:0:\"\";}}s:2:\"id\";s:30:\"views_block__frontpage_block_1\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:12:\"panel_fourth\";s:6:\"weight\";i:-18;s:8:\"provider\";N;s:6:\"plugin\";s:29:\"views_block:frontpage-block_1\";s:8:\"settings\";a:6:{s:2:\"id\";s:29:\"views_block:frontpage-block_1\";s:5:\"label\";s:0:\"\";s:8:\"provider\";s:5:\"views\";s:13:\"label_display\";s:1:\"0\";s:11:\"views_label\";s:0:\"\";s:14:\"items_per_page\";s:1:\"5\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:9:\"/about-us\";s:6:\"negate\";b:0;s:15:\"context_mapping\";a:0:{}}}}'),('','block.block.views_block__our_mission_block_1','a:13:{s:4:\"uuid\";s:36:\"5b4ce356-61d4-4575-9dd8-4a04f2ca23c4\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:22:\"views.view.our_mission\";}s:6:\"module\";a:3:{i:0;s:11:\"block_class\";i:1;s:6:\"system\";i:2;s:5:\"views\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:0:\"\";}}s:2:\"id\";s:32:\"views_block__our_mission_block_1\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:14:\"content_bottom\";s:6:\"weight\";i:-19;s:8:\"provider\";N;s:6:\"plugin\";s:31:\"views_block:our_mission-block_1\";s:8:\"settings\";a:6:{s:2:\"id\";s:31:\"views_block:our_mission-block_1\";s:5:\"label\";s:0:\"\";s:8:\"provider\";s:5:\"views\";s:13:\"label_display\";s:7:\"visible\";s:11:\"views_label\";s:0:\"\";s:14:\"items_per_page\";s:4:\"none\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:9:\"/about-us\";s:6:\"negate\";b:0;s:15:\"context_mapping\";a:0:{}}}}'),('','block.block.views_block__our_partners_block_1','a:12:{s:4:\"uuid\";s:36:\"d307cace-b623-42f4-a2b4-a94e054d16b3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:23:\"views.view.our_partners\";}s:6:\"module\";a:1:{i:0;s:5:\"views\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:2:\"id\";s:33:\"views_block__our_partners_block_1\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:11:\"panel_fifth\";s:6:\"weight\";i:-8;s:8:\"provider\";N;s:6:\"plugin\";s:32:\"views_block:our_partners-block_1\";s:8:\"settings\";a:6:{s:2:\"id\";s:32:\"views_block:our_partners-block_1\";s:5:\"label\";s:0:\"\";s:8:\"provider\";s:5:\"views\";s:13:\"label_display\";s:7:\"visible\";s:11:\"views_label\";s:0:\"\";s:14:\"items_per_page\";s:4:\"none\";}s:10:\"visibility\";a:0:{}}'),('','block.block.views_block__our_services_block_1','a:13:{s:4:\"uuid\";s:36:\"2bf0dffb-1c03-4067-aaee-c5e303892373\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:23:\"views.view.our_services\";}s:6:\"module\";a:3:{i:0;s:11:\"block_class\";i:1;s:6:\"system\";i:2;s:5:\"views\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:0:\"\";}}s:2:\"id\";s:33:\"views_block__our_services_block_1\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:11:\"panel_third\";s:6:\"weight\";i:-19;s:8:\"provider\";N;s:6:\"plugin\";s:32:\"views_block:our_services-block_1\";s:8:\"settings\";a:6:{s:2:\"id\";s:32:\"views_block:our_services-block_1\";s:5:\"label\";s:0:\"\";s:8:\"provider\";s:5:\"views\";s:13:\"label_display\";s:7:\"visible\";s:11:\"views_label\";s:0:\"\";s:14:\"items_per_page\";s:4:\"none\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:9:\"/about-us\";s:6:\"negate\";b:0;s:15:\"context_mapping\";a:0:{}}}}'),('','block.block.views_block__portfolio_block_1','a:13:{s:4:\"uuid\";s:36:\"e8a6ae54-70d7-434c-b7d6-b9d5fe9c8626\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:20:\"views.view.portfolio\";}s:6:\"module\";a:3:{i:0;s:11:\"block_class\";i:1;s:6:\"system\";i:2;s:5:\"views\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:0:\"\";}}s:2:\"id\";s:30:\"views_block__portfolio_block_1\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:11:\"panel_third\";s:6:\"weight\";i:-17;s:8:\"provider\";N;s:6:\"plugin\";s:29:\"views_block:portfolio-block_1\";s:8:\"settings\";a:6:{s:2:\"id\";s:29:\"views_block:portfolio-block_1\";s:5:\"label\";s:0:\"\";s:8:\"provider\";s:5:\"views\";s:13:\"label_display\";s:7:\"visible\";s:11:\"views_label\";s:0:\"\";s:14:\"items_per_page\";s:4:\"none\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:7:\"<front>\";s:6:\"negate\";b:0;s:15:\"context_mapping\";a:0:{}}}}'),('','block.block.views_block__slideshow_block_1','a:13:{s:4:\"uuid\";s:36:\"74498e76-c24e-4da8-8c85-2d799f799dca\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:20:\"views.view.slideshow\";}s:6:\"module\";a:3:{i:0;s:11:\"block_class\";i:1;s:6:\"system\";i:2;s:5:\"views\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:0:\"\";}}s:2:\"id\";s:30:\"views_block__slideshow_block_1\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:9:\"slideshow\";s:6:\"weight\";i:-14;s:8:\"provider\";N;s:6:\"plugin\";s:29:\"views_block:slideshow-block_1\";s:8:\"settings\";a:6:{s:2:\"id\";s:29:\"views_block:slideshow-block_1\";s:5:\"label\";s:0:\"\";s:8:\"provider\";s:5:\"views\";s:13:\"label_display\";s:1:\"0\";s:11:\"views_label\";s:0:\"\";s:14:\"items_per_page\";s:4:\"none\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:7:\"<front>\";s:6:\"negate\";b:0;s:15:\"context_mapping\";a:0:{}}}}'),('','block.block.views_block__tags_block_1','a:13:{s:4:\"uuid\";s:36:\"933d36c2-424e-47c9-b44f-63fc857c2fff\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:15:\"views.view.tags\";}s:6:\"module\";a:3:{i:0;s:11:\"block_class\";i:1;s:6:\"system\";i:2;s:5:\"views\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:0:\"\";}}s:2:\"id\";s:25:\"views_block__tags_block_1\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:13:\"sidebar_first\";s:6:\"weight\";i:-9;s:8:\"provider\";N;s:6:\"plugin\";s:24:\"views_block:tags-block_1\";s:8:\"settings\";a:6:{s:2:\"id\";s:24:\"views_block:tags-block_1\";s:5:\"label\";s:0:\"\";s:8:\"provider\";s:5:\"views\";s:13:\"label_display\";s:7:\"visible\";s:11:\"views_label\";s:0:\"\";s:14:\"items_per_page\";s:4:\"none\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:29:\"/blog/*\r\n/blog\r\n/blog_default\";s:6:\"negate\";b:0;s:15:\"context_mapping\";a:0:{}}}}'),('','block.block.views_block__why_choose_us_block_1','a:13:{s:4:\"uuid\";s:36:\"acd97cc9-63d4-4ef0-9828-50c84366fd54\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:24:\"views.view.why_choose_us\";}s:6:\"module\";a:3:{i:0;s:11:\"block_class\";i:1;s:6:\"system\";i:2;s:5:\"views\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:0:\"\";}}s:2:\"id\";s:34:\"views_block__why_choose_us_block_1\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:11:\"panel_third\";s:6:\"weight\";i:-18;s:8:\"provider\";N;s:6:\"plugin\";s:33:\"views_block:why_choose_us-block_1\";s:8:\"settings\";a:6:{s:2:\"id\";s:33:\"views_block:why_choose_us-block_1\";s:5:\"label\";s:0:\"\";s:8:\"provider\";s:5:\"views\";s:13:\"label_display\";s:7:\"visible\";s:11:\"views_label\";s:0:\"\";s:14:\"items_per_page\";s:4:\"none\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:9:\"/about-us\";s:6:\"negate\";b:0;s:15:\"context_mapping\";a:0:{}}}}'),('','block.block.views_block__why_choose_us_block_2','a:13:{s:4:\"uuid\";s:36:\"5fa90933-4a5a-4af5-9006-05fc186dddd4\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:3:{s:6:\"config\";a:1:{i:0;s:24:\"views.view.why_choose_us\";}s:6:\"module\";a:3:{i:0;s:11:\"block_class\";i:1;s:6:\"system\";i:2;s:5:\"views\";}s:5:\"theme\";a:1:{i:0;s:9:\"luxestate\";}}s:20:\"third_party_settings\";a:1:{s:11:\"block_class\";a:1:{s:7:\"classes\";s:0:\"\";}}s:2:\"id\";s:34:\"views_block__why_choose_us_block_2\";s:5:\"theme\";s:9:\"luxestate\";s:6:\"region\";s:11:\"panel_third\";s:6:\"weight\";i:-20;s:8:\"provider\";N;s:6:\"plugin\";s:33:\"views_block:why_choose_us-block_2\";s:8:\"settings\";a:6:{s:2:\"id\";s:33:\"views_block:why_choose_us-block_2\";s:5:\"label\";s:0:\"\";s:8:\"provider\";s:5:\"views\";s:13:\"label_display\";s:7:\"visible\";s:11:\"views_label\";s:0:\"\";s:14:\"items_per_page\";s:4:\"none\";}s:10:\"visibility\";a:1:{s:12:\"request_path\";a:4:{s:2:\"id\";s:12:\"request_path\";s:5:\"pages\";s:9:\"/services\";s:6:\"negate\";b:0;s:15:\"context_mapping\";a:0:{}}}}'),('','block_content.type.basic','a:9:{s:4:\"uuid\";s:36:\"77607f3b-980c-4cfa-9a24-5735ae708e46\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"zglzjmYxi0G0ag9MZ02y0LSJOdpWRwJxyP_OvFojFyo\";}s:2:\"id\";s:5:\"basic\";s:5:\"label\";s:11:\"Basic block\";s:8:\"revision\";i:0;s:11:\"description\";s:42:\"A basic block contains a title and a body.\";}'),('','colorbox.settings','a:3:{s:6:\"custom\";a:17:{s:5:\"style\";s:7:\"default\";s:8:\"activate\";i:0;s:15:\"transition_type\";s:7:\"elastic\";s:16:\"transition_speed\";i:350;s:7:\"opacity\";d:0.84999999999999998;s:12:\"text_current\";s:20:\"{current} of {total}\";s:13:\"text_previous\";s:7:\"« Prev\";s:9:\"text_next\";s:7:\"Next »\";s:10:\"text_close\";s:5:\"Close\";s:8:\"maxwidth\";s:3:\"98%\";s:9:\"maxheight\";s:3:\"98%\";s:12:\"initialwidth\";s:3:\"300\";s:13:\"initialheight\";s:3:\"250\";s:12:\"overlayclose\";b:1;s:5:\"fixed\";b:1;s:9:\"scrolling\";b:1;s:9:\"slideshow\";a:5:{s:9:\"slideshow\";i:0;s:4:\"auto\";b:1;s:5:\"speed\";i:2500;s:10:\"text_start\";s:15:\"start slideshow\";s:9:\"text_stop\";s:14:\"stop slideshow\";}}s:8:\"advanced\";a:6:{s:12:\"unique_token\";i:1;s:13:\"mobile_detect\";i:1;s:19:\"mobile_device_width\";s:5:\"480px\";s:12:\"caption_trim\";i:0;s:19:\"caption_trim_length\";i:75;s:16:\"compression_type\";s:8:\"minified\";}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"pGLVIx7btzLB_RbaJGrS9lLls2p8GixZdvheuN7QcjU\";}}'),('','comment.settings','a:1:{s:16:\"log_ip_addresses\";b:1;}'),('','comment.type.comment','a:9:{s:4:\"uuid\";s:36:\"df90402f-7483-4652-8958-f2c2555f18b3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"bqZsN31T2n0UjcbyCpOPi9D2iO0sAOHR7FnEs9qMvaA\";}s:2:\"id\";s:7:\"comment\";s:5:\"label\";s:16:\"Default comments\";s:21:\"target_entity_type_id\";s:4:\"node\";s:11:\"description\";s:28:\"Allows commenting on content\";}'),('','contact.form.feedback','a:12:{s:4:\"uuid\";s:36:\"2a769dee-6c36-492e-af95-2ded668b944a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"c4zaT5cyPxuTXI6JOWt3qRtMvICT9tHB6d9a5VG-CmQ\";}s:2:\"id\";s:8:\"feedback\";s:5:\"label\";s:16:\"Website feedback\";s:10:\"recipients\";a:1:{i:0;s:13:\"admin@lvh.com\";}s:5:\"reply\";s:0:\"\";s:6:\"weight\";i:0;s:7:\"message\";s:27:\"Your message has been sent.\";s:8:\"redirect\";s:0:\"\";}'),('','contact.form.personal','a:12:{s:4:\"uuid\";s:36:\"0a89f02e-d2f8-4c7b-83f0-b78772c367ad\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"4w1vDIuPlVqNIiynysHZHU-9sBCpx5uiEIPlo4SW1tw\";}s:2:\"id\";s:8:\"personal\";s:5:\"label\";s:21:\"Personal contact form\";s:10:\"recipients\";a:0:{}s:5:\"reply\";s:0:\"\";s:6:\"weight\";i:0;s:7:\"message\";s:27:\"Your message has been sent.\";s:8:\"redirect\";s:0:\"\";}'),('','contact.settings','a:4:{s:12:\"default_form\";s:8:\"feedback\";s:5:\"flood\";a:2:{s:5:\"limit\";i:5;s:8:\"interval\";i:3600;}s:20:\"user_default_enabled\";b:1;s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"U69DBeuvXuNVOC15rVNaBjDPK2fWFbo9v4takdYSSO8\";}}'),('','core.base_field_override.block_content.basic.changed','a:16:{s:4:\"uuid\";s:36:\"0888b0af-dbb3-4b71-abaa-90394adaef39\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:24:\"block_content.type.basic\";}}s:2:\"id\";s:27:\"block_content.basic.changed\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";s:5:\"basic\";s:5:\"label\";s:7:\"Changed\";s:11:\"description\";s:47:\"The time that the custom block was last edited.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"changed\";}'),('','core.base_field_override.block_content.basic.info','a:16:{s:4:\"uuid\";s:36:\"18bc6ab1-fdd2-4936-8aa5-e27b18bb0b02\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:24:\"block_content.type.basic\";}}s:2:\"id\";s:24:\"block_content.basic.info\";s:10:\"field_name\";s:4:\"info\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";s:5:\"basic\";s:5:\"label\";s:17:\"Block description\";s:11:\"description\";s:34:\"A brief description of your block.\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','core.base_field_override.comment.comment.changed','a:16:{s:4:\"uuid\";s:36:\"998839ab-612e-4fea-8154-f1ea85492f8a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:20:\"comment.type.comment\";}}s:2:\"id\";s:23:\"comment.comment.changed\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:7:\"comment\";s:5:\"label\";s:7:\"Changed\";s:11:\"description\";s:42:\"The time that the comment was last edited.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"changed\";}'),('','core.base_field_override.comment.comment.created','a:16:{s:4:\"uuid\";s:36:\"452b5a60-9b36-4c1b-969d-ca3ec80d8f05\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:20:\"comment.type.comment\";}}s:2:\"id\";s:23:\"comment.comment.created\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:7:\"comment\";s:5:\"label\";s:7:\"Created\";s:11:\"description\";s:38:\"The time that the comment was created.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"created\";}'),('','core.base_field_override.comment.comment.homepage','a:16:{s:4:\"uuid\";s:36:\"26471f53-b64c-47c7-b472-3420407e1022\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:20:\"comment.type.comment\";}}s:2:\"id\";s:24:\"comment.comment.homepage\";s:10:\"field_name\";s:8:\"homepage\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:7:\"comment\";s:5:\"label\";s:8:\"Homepage\";s:11:\"description\";s:39:\"The comment author\'s home page address.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:3:\"uri\";}'),('','core.base_field_override.comment.comment.hostname','a:16:{s:4:\"uuid\";s:36:\"470f6eb9-33d7-4dd5-a755-7a002ae82f36\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:20:\"comment.type.comment\";}}s:2:\"id\";s:24:\"comment.comment.hostname\";s:10:\"field_name\";s:8:\"hostname\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:7:\"comment\";s:5:\"label\";s:8:\"Hostname\";s:11:\"description\";s:30:\"The comment author\'s hostname.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','core.base_field_override.comment.comment.mail','a:16:{s:4:\"uuid\";s:36:\"8c5f47a9-627b-4cb5-b23e-b3959664f40b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:20:\"comment.type.comment\";}}s:2:\"id\";s:20:\"comment.comment.mail\";s:10:\"field_name\";s:4:\"mail\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:7:\"comment\";s:5:\"label\";s:5:\"Email\";s:11:\"description\";s:35:\"The comment author\'s email address.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:5:\"email\";}'),('','core.base_field_override.comment.comment.name','a:16:{s:4:\"uuid\";s:36:\"5ad9bc80-cd2f-4631-90bc-a7e34096603a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:20:\"comment.type.comment\";}}s:2:\"id\";s:20:\"comment.comment.name\";s:10:\"field_name\";s:4:\"name\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:7:\"comment\";s:5:\"label\";s:4:\"Name\";s:11:\"description\";s:26:\"The comment author\'s name.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:0:\"\";}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','core.base_field_override.comment.comment.status','a:16:{s:4:\"uuid\";s:36:\"9d25da66-fbf5-4c9f-9e8b-0497951dbdf1\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:20:\"comment.type.comment\";}}s:2:\"id\";s:22:\"comment.comment.status\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:7:\"comment\";s:5:\"label\";s:17:\"Publishing status\";s:11:\"description\";s:54:\"A boolean indicating whether the comment is published.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:1;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.comment.comment.subject','a:16:{s:4:\"uuid\";s:36:\"5037bb2a-67ff-453c-b3d7-04434719a5bc\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:20:\"comment.type.comment\";}}s:2:\"id\";s:23:\"comment.comment.subject\";s:10:\"field_name\";s:7:\"subject\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:7:\"comment\";s:5:\"label\";s:7:\"Subject\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','core.base_field_override.comment.comment.uid','a:16:{s:4:\"uuid\";s:36:\"56886831-90f5-4917-9d74-1b57755cfe84\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:20:\"comment.type.comment\";}}s:2:\"id\";s:19:\"comment.comment.uid\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:7:\"comment\";s:5:\"label\";s:7:\"User ID\";s:11:\"description\";s:34:\"The user ID of the comment author.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:9:\"target_id\";s:1:\"0\";}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','core.base_field_override.menu_link_content.menu_link_content.changed','a:16:{s:4:\"uuid\";s:36:\"be96a82e-4241-478e-8c65-7c7051a3e35f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"menu_link_content\";}}s:2:\"id\";s:43:\"menu_link_content.menu_link_content.changed\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";s:17:\"menu_link_content\";s:5:\"label\";s:7:\"Changed\";s:11:\"description\";s:44:\"The time that the menu link was last edited.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"changed\";}'),('','core.base_field_override.menu_link_content.menu_link_content.description','a:16:{s:4:\"uuid\";s:36:\"3b2dc857-4d58-4731-8643-9154cde95748\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"menu_link_content\";}}s:2:\"id\";s:47:\"menu_link_content.menu_link_content.description\";s:10:\"field_name\";s:11:\"description\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";s:17:\"menu_link_content\";s:5:\"label\";s:11:\"Description\";s:11:\"description\";s:39:\"Shown when hovering over the menu link.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','core.base_field_override.menu_link_content.menu_link_content.title','a:16:{s:4:\"uuid\";s:36:\"72d3717c-caa5-4c4d-a4cc-4561fcace5b2\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"menu_link_content\";}}s:2:\"id\";s:41:\"menu_link_content.menu_link_content.title\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";s:17:\"menu_link_content\";s:5:\"label\";s:15:\"Menu link title\";s:11:\"description\";s:46:\"The text to be used for this link in the menu.\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','core.base_field_override.node.banner.changed','a:16:{s:4:\"uuid\";s:36:\"7b729932-c723-44eb-badd-753875f0c626\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:16:\"node.type.banner\";}}s:2:\"id\";s:19:\"node.banner.changed\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:6:\"banner\";s:5:\"label\";s:7:\"Changed\";s:11:\"description\";s:39:\"The time that the node was last edited.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"changed\";}'),('','core.base_field_override.node.banner.created','a:16:{s:4:\"uuid\";s:36:\"20d9bf7f-bba7-47ac-9ac5-55474739d526\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:16:\"node.type.banner\";}}s:2:\"id\";s:19:\"node.banner.created\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:6:\"banner\";s:5:\"label\";s:11:\"Authored on\";s:11:\"description\";s:35:\"The time that the node was created.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"created\";}'),('','core.base_field_override.node.banner.promote','a:16:{s:4:\"uuid\";s:36:\"98ba52dc-faf3-4775-b80c-f6f50b94fdb7\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:16:\"node.type.banner\";}}s:2:\"id\";s:19:\"node.banner.promote\";s:10:\"field_name\";s:7:\"promote\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:6:\"banner\";s:5:\"label\";s:22:\"Promoted to front page\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.node.banner.status','a:16:{s:4:\"uuid\";s:36:\"03df651f-1fc3-40c9-8281-10b78dcb759b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:16:\"node.type.banner\";}}s:2:\"id\";s:18:\"node.banner.status\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:6:\"banner\";s:5:\"label\";s:17:\"Publishing status\";s:11:\"description\";s:51:\"A boolean indicating whether the node is published.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:1;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.node.banner.sticky','a:16:{s:4:\"uuid\";s:36:\"993f418a-f71d-48cf-b4c3-f43e7796eb7b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:16:\"node.type.banner\";}}s:2:\"id\";s:18:\"node.banner.sticky\";s:10:\"field_name\";s:6:\"sticky\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:6:\"banner\";s:5:\"label\";s:22:\"Sticky at top of lists\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.node.banner.title','a:16:{s:4:\"uuid\";s:36:\"bd27b94b-ae12-4cf4-90f8-b3df3d5a99e1\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:16:\"node.type.banner\";}}s:2:\"id\";s:17:\"node.banner.title\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:6:\"banner\";s:5:\"label\";s:5:\"Title\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','core.base_field_override.node.banner.uid','a:16:{s:4:\"uuid\";s:36:\"88fbb663-a777-4ac7-b6a1-2a95c007e5a5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:16:\"node.type.banner\";}}s:2:\"id\";s:15:\"node.banner.uid\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:6:\"banner\";s:5:\"label\";s:11:\"Authored by\";s:11:\"description\";s:35:\"The username of the content author.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:41:\"Drupal\\node\\Entity\\Node::getCurrentUserId\";s:8:\"settings\";a:2:{s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','core.base_field_override.node.blog.changed','a:16:{s:4:\"uuid\";s:36:\"a67e5619-a7de-4ef2-898e-70b8359f01a8\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.blog\";}}s:2:\"id\";s:17:\"node.blog.changed\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"blog\";s:5:\"label\";s:7:\"Changed\";s:11:\"description\";s:39:\"The time that the node was last edited.\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"changed\";}'),('','core.base_field_override.node.blog.created','a:16:{s:4:\"uuid\";s:36:\"5e4a4be8-3a2b-4023-8ff1-ccec77207856\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.blog\";}}s:2:\"id\";s:17:\"node.blog.created\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"blog\";s:5:\"label\";s:11:\"Authored on\";s:11:\"description\";s:35:\"The time that the node was created.\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"created\";}'),('','core.base_field_override.node.blog.promote','a:16:{s:4:\"uuid\";s:36:\"94a806fc-d0c2-4b13-afc8-e43b7bda082b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.blog\";}}s:2:\"id\";s:17:\"node.blog.promote\";s:10:\"field_name\";s:7:\"promote\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"blog\";s:5:\"label\";s:22:\"Promoted to front page\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.node.blog.status','a:16:{s:4:\"uuid\";s:36:\"c6327e7a-dc6e-46ec-952f-1b9efe453cac\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.blog\";}}s:2:\"id\";s:16:\"node.blog.status\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"blog\";s:5:\"label\";s:17:\"Publishing status\";s:11:\"description\";s:51:\"A boolean indicating whether the node is published.\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:1;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.node.blog.sticky','a:16:{s:4:\"uuid\";s:36:\"4b8de43f-a246-46cc-86a8-d32b187bfb75\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.blog\";}}s:2:\"id\";s:16:\"node.blog.sticky\";s:10:\"field_name\";s:6:\"sticky\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"blog\";s:5:\"label\";s:22:\"Sticky at top of lists\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.node.blog.title','a:16:{s:4:\"uuid\";s:36:\"a44832a3-1c61-499d-809f-36628b926d57\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.blog\";}}s:2:\"id\";s:15:\"node.blog.title\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"blog\";s:5:\"label\";s:5:\"Title\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:1;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','core.base_field_override.node.blog.uid','a:16:{s:4:\"uuid\";s:36:\"aee566d9-3688-4510-bfe7-373fd364993b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.blog\";}}s:2:\"id\";s:13:\"node.blog.uid\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"blog\";s:5:\"label\";s:11:\"Authored by\";s:11:\"description\";s:35:\"The username of the content author.\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:41:\"Drupal\\node\\Entity\\Node::getCurrentUserId\";s:8:\"settings\";a:2:{s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','core.base_field_override.node.our_mission.changed','a:16:{s:4:\"uuid\";s:36:\"f3806e33-b7fe-4011-bc41-f59a39be0252\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:21:\"node.type.our_mission\";}}s:2:\"id\";s:24:\"node.our_mission.changed\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:11:\"our_mission\";s:5:\"label\";s:7:\"Changed\";s:11:\"description\";s:39:\"The time that the node was last edited.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"changed\";}'),('','core.base_field_override.node.our_mission.created','a:16:{s:4:\"uuid\";s:36:\"eb1914e0-af7f-415a-b962-0f332bb2e4fe\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:21:\"node.type.our_mission\";}}s:2:\"id\";s:24:\"node.our_mission.created\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:11:\"our_mission\";s:5:\"label\";s:11:\"Authored on\";s:11:\"description\";s:35:\"The time that the node was created.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"created\";}'),('','core.base_field_override.node.our_mission.promote','a:16:{s:4:\"uuid\";s:36:\"6447bdd5-518b-4163-896e-503fbd73dda9\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:21:\"node.type.our_mission\";}}s:2:\"id\";s:24:\"node.our_mission.promote\";s:10:\"field_name\";s:7:\"promote\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:11:\"our_mission\";s:5:\"label\";s:22:\"Promoted to front page\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.node.our_mission.status','a:16:{s:4:\"uuid\";s:36:\"820324ae-317e-45a1-ab2b-d9f1556549b3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:21:\"node.type.our_mission\";}}s:2:\"id\";s:23:\"node.our_mission.status\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:11:\"our_mission\";s:5:\"label\";s:17:\"Publishing status\";s:11:\"description\";s:51:\"A boolean indicating whether the node is published.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:1;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.node.our_mission.sticky','a:16:{s:4:\"uuid\";s:36:\"83f2334e-4108-437e-81ac-702049da7a59\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:21:\"node.type.our_mission\";}}s:2:\"id\";s:23:\"node.our_mission.sticky\";s:10:\"field_name\";s:6:\"sticky\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:11:\"our_mission\";s:5:\"label\";s:22:\"Sticky at top of lists\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.node.our_mission.title','a:16:{s:4:\"uuid\";s:36:\"2aaf4966-7f64-43b4-a9b2-c251869c5773\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:21:\"node.type.our_mission\";}}s:2:\"id\";s:22:\"node.our_mission.title\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:11:\"our_mission\";s:5:\"label\";s:5:\"Title\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','core.base_field_override.node.our_mission.uid','a:16:{s:4:\"uuid\";s:36:\"e037941a-1e3e-43bd-a2aa-a99136df4a72\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:21:\"node.type.our_mission\";}}s:2:\"id\";s:20:\"node.our_mission.uid\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:11:\"our_mission\";s:5:\"label\";s:11:\"Authored by\";s:11:\"description\";s:35:\"The username of the content author.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:41:\"Drupal\\node\\Entity\\Node::getCurrentUserId\";s:8:\"settings\";a:2:{s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','core.base_field_override.node.our_services.changed','a:16:{s:4:\"uuid\";s:36:\"09c8cb9e-3d03-44ab-9c07-584fe0b7617d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:22:\"node.type.our_services\";}}s:2:\"id\";s:25:\"node.our_services.changed\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:12:\"our_services\";s:5:\"label\";s:7:\"Changed\";s:11:\"description\";s:39:\"The time that the node was last edited.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"changed\";}'),('','core.base_field_override.node.our_services.created','a:16:{s:4:\"uuid\";s:36:\"512cce3f-52d0-4937-958d-b06316a71941\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:22:\"node.type.our_services\";}}s:2:\"id\";s:25:\"node.our_services.created\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:12:\"our_services\";s:5:\"label\";s:11:\"Authored on\";s:11:\"description\";s:35:\"The time that the node was created.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"created\";}'),('','core.base_field_override.node.our_services.promote','a:16:{s:4:\"uuid\";s:36:\"1892cc9a-a91d-484e-adfd-17c7b1993b6a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:22:\"node.type.our_services\";}}s:2:\"id\";s:25:\"node.our_services.promote\";s:10:\"field_name\";s:7:\"promote\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:12:\"our_services\";s:5:\"label\";s:22:\"Promoted to front page\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.node.our_services.status','a:16:{s:4:\"uuid\";s:36:\"a396116f-1305-4222-b6be-7524cba2aa07\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:22:\"node.type.our_services\";}}s:2:\"id\";s:24:\"node.our_services.status\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:12:\"our_services\";s:5:\"label\";s:17:\"Publishing status\";s:11:\"description\";s:51:\"A boolean indicating whether the node is published.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:1;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.node.our_services.sticky','a:16:{s:4:\"uuid\";s:36:\"144dc4e1-f407-4aeb-af22-a7cb792f7a4f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:22:\"node.type.our_services\";}}s:2:\"id\";s:24:\"node.our_services.sticky\";s:10:\"field_name\";s:6:\"sticky\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:12:\"our_services\";s:5:\"label\";s:22:\"Sticky at top of lists\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.node.our_services.title','a:16:{s:4:\"uuid\";s:36:\"5e24793b-e933-46cc-93f5-83b7d9b9c554\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:22:\"node.type.our_services\";}}s:2:\"id\";s:23:\"node.our_services.title\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:12:\"our_services\";s:5:\"label\";s:5:\"Title\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','core.base_field_override.node.our_services.uid','a:16:{s:4:\"uuid\";s:36:\"95dae5b0-d6fe-4444-96a2-84243b5c6300\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:22:\"node.type.our_services\";}}s:2:\"id\";s:21:\"node.our_services.uid\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:12:\"our_services\";s:5:\"label\";s:11:\"Authored by\";s:11:\"description\";s:35:\"The username of the content author.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:41:\"Drupal\\node\\Entity\\Node::getCurrentUserId\";s:8:\"settings\";a:2:{s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','core.base_field_override.node.page.changed','a:16:{s:4:\"uuid\";s:36:\"ff00964f-4802-4583-b887-0c4924be50e0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}}s:2:\"id\";s:17:\"node.page.changed\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"page\";s:5:\"label\";s:7:\"Changed\";s:11:\"description\";s:39:\"The time that the node was last edited.\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"changed\";}'),('','core.base_field_override.node.page.created','a:16:{s:4:\"uuid\";s:36:\"d7f0ea97-0b7a-44ac-8963-754b00c381ee\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}}s:2:\"id\";s:17:\"node.page.created\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"page\";s:5:\"label\";s:11:\"Authored on\";s:11:\"description\";s:35:\"The time that the node was created.\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"created\";}'),('','core.base_field_override.node.page.promote','a:17:{s:4:\"uuid\";s:36:\"df5d2528-7fff-4e75-b489-d98f3417fced\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"fPUEnm4T5zfZRr3ttDUqq7yCDd2uW3clWD-pvos4tlQ\";}s:2:\"id\";s:17:\"node.page.promote\";s:10:\"field_name\";s:7:\"promote\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"page\";s:5:\"label\";s:22:\"Promoted to front page\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.node.page.status','a:16:{s:4:\"uuid\";s:36:\"d3ae6269-253d-43cf-8b3a-ced54dd4d946\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}}s:2:\"id\";s:16:\"node.page.status\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"page\";s:5:\"label\";s:17:\"Publishing status\";s:11:\"description\";s:51:\"A boolean indicating whether the node is published.\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:1;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.node.page.sticky','a:16:{s:4:\"uuid\";s:36:\"a8d5bea5-4d19-456b-857e-462a23ec7357\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}}s:2:\"id\";s:16:\"node.page.sticky\";s:10:\"field_name\";s:6:\"sticky\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"page\";s:5:\"label\";s:22:\"Sticky at top of lists\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.node.page.title','a:16:{s:4:\"uuid\";s:36:\"494bf3f7-0fc0-490e-9889-ed23d9ce2f84\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}}s:2:\"id\";s:15:\"node.page.title\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"page\";s:5:\"label\";s:5:\"Title\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:1;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','core.base_field_override.node.page.uid','a:16:{s:4:\"uuid\";s:36:\"9dfefbb4-e0c9-4afe-bdb3-4c082847d856\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}}s:2:\"id\";s:13:\"node.page.uid\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"page\";s:5:\"label\";s:11:\"Authored by\";s:11:\"description\";s:35:\"The username of the content author.\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:41:\"Drupal\\node\\Entity\\Node::getCurrentUserId\";s:8:\"settings\";a:2:{s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','core.base_field_override.node.partners.changed','a:16:{s:4:\"uuid\";s:36:\"5a091269-d0bf-4ebd-8657-cefb8b598a35\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:18:\"node.type.partners\";}}s:2:\"id\";s:21:\"node.partners.changed\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:8:\"partners\";s:5:\"label\";s:7:\"Changed\";s:11:\"description\";s:39:\"The time that the node was last edited.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"changed\";}'),('','core.base_field_override.node.partners.created','a:16:{s:4:\"uuid\";s:36:\"4719b7ba-5e2c-44bd-94bc-1906043dc38b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:18:\"node.type.partners\";}}s:2:\"id\";s:21:\"node.partners.created\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:8:\"partners\";s:5:\"label\";s:11:\"Authored on\";s:11:\"description\";s:35:\"The time that the node was created.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"created\";}'),('','core.base_field_override.node.partners.promote','a:16:{s:4:\"uuid\";s:36:\"d051456e-ffc7-4ed6-ba3d-c438daa34819\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:18:\"node.type.partners\";}}s:2:\"id\";s:21:\"node.partners.promote\";s:10:\"field_name\";s:7:\"promote\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:8:\"partners\";s:5:\"label\";s:22:\"Promoted to front page\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.node.partners.status','a:16:{s:4:\"uuid\";s:36:\"b23fcdf9-291c-4109-9307-32001b3c05a0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:18:\"node.type.partners\";}}s:2:\"id\";s:20:\"node.partners.status\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:8:\"partners\";s:5:\"label\";s:17:\"Publishing status\";s:11:\"description\";s:51:\"A boolean indicating whether the node is published.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:1;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.node.partners.sticky','a:16:{s:4:\"uuid\";s:36:\"9d5e6c2b-8d66-4604-a0be-ded3febec41f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:18:\"node.type.partners\";}}s:2:\"id\";s:20:\"node.partners.sticky\";s:10:\"field_name\";s:6:\"sticky\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:8:\"partners\";s:5:\"label\";s:22:\"Sticky at top of lists\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.node.partners.title','a:16:{s:4:\"uuid\";s:36:\"0f9bf904-d747-45fc-bfe1-45903aa49fcc\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:18:\"node.type.partners\";}}s:2:\"id\";s:19:\"node.partners.title\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:8:\"partners\";s:5:\"label\";s:5:\"Title\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','core.base_field_override.node.partners.uid','a:16:{s:4:\"uuid\";s:36:\"4348f9ec-1813-458e-916f-eacc7b064b95\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:18:\"node.type.partners\";}}s:2:\"id\";s:17:\"node.partners.uid\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:8:\"partners\";s:5:\"label\";s:11:\"Authored by\";s:11:\"description\";s:35:\"The username of the content author.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:41:\"Drupal\\node\\Entity\\Node::getCurrentUserId\";s:8:\"settings\";a:2:{s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','core.base_field_override.node.portfolio.changed','a:16:{s:4:\"uuid\";s:36:\"f7353d61-a93d-44d4-a647-3b94ddbe2e0e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:19:\"node.type.portfolio\";}}s:2:\"id\";s:22:\"node.portfolio.changed\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:9:\"portfolio\";s:5:\"label\";s:7:\"Changed\";s:11:\"description\";s:39:\"The time that the node was last edited.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"changed\";}'),('','core.base_field_override.node.portfolio.created','a:16:{s:4:\"uuid\";s:36:\"27f6e62d-370e-4499-b867-ca02d28c6db4\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:19:\"node.type.portfolio\";}}s:2:\"id\";s:22:\"node.portfolio.created\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:9:\"portfolio\";s:5:\"label\";s:11:\"Authored on\";s:11:\"description\";s:35:\"The time that the node was created.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"created\";}'),('','core.base_field_override.node.portfolio.promote','a:16:{s:4:\"uuid\";s:36:\"0c9f04e7-e524-42ac-afe1-b67961334758\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:19:\"node.type.portfolio\";}}s:2:\"id\";s:22:\"node.portfolio.promote\";s:10:\"field_name\";s:7:\"promote\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:9:\"portfolio\";s:5:\"label\";s:22:\"Promoted to front page\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.node.portfolio.status','a:16:{s:4:\"uuid\";s:36:\"b5ee00c5-6460-4848-9011-16a2a3d1ef2b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:19:\"node.type.portfolio\";}}s:2:\"id\";s:21:\"node.portfolio.status\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:9:\"portfolio\";s:5:\"label\";s:17:\"Publishing status\";s:11:\"description\";s:51:\"A boolean indicating whether the node is published.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:1;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.node.portfolio.sticky','a:16:{s:4:\"uuid\";s:36:\"0ea9d636-cf2f-4621-9698-46835575d05e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:19:\"node.type.portfolio\";}}s:2:\"id\";s:21:\"node.portfolio.sticky\";s:10:\"field_name\";s:6:\"sticky\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:9:\"portfolio\";s:5:\"label\";s:22:\"Sticky at top of lists\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.node.portfolio.title','a:16:{s:4:\"uuid\";s:36:\"feb08c84-0493-4ef5-b6d8-7e8bd147ee47\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:19:\"node.type.portfolio\";}}s:2:\"id\";s:20:\"node.portfolio.title\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:9:\"portfolio\";s:5:\"label\";s:5:\"Title\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','core.base_field_override.node.portfolio.uid','a:16:{s:4:\"uuid\";s:36:\"f23385cb-1248-4d2f-8576-f8557e18fe92\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:19:\"node.type.portfolio\";}}s:2:\"id\";s:18:\"node.portfolio.uid\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:9:\"portfolio\";s:5:\"label\";s:11:\"Authored by\";s:11:\"description\";s:35:\"The username of the content author.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:41:\"Drupal\\node\\Entity\\Node::getCurrentUserId\";s:8:\"settings\";a:2:{s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','core.base_field_override.node.simplenews_issue.changed','a:16:{s:4:\"uuid\";s:36:\"cc0f115f-6b29-44f5-b41b-33526e018e6b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:26:\"node.type.simplenews_issue\";}}s:2:\"id\";s:29:\"node.simplenews_issue.changed\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:16:\"simplenews_issue\";s:5:\"label\";s:7:\"Changed\";s:11:\"description\";s:39:\"The time that the node was last edited.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"changed\";}'),('','core.base_field_override.node.simplenews_issue.created','a:16:{s:4:\"uuid\";s:36:\"ac0c39ac-2fcf-412a-8924-b3449703a7ab\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:26:\"node.type.simplenews_issue\";}}s:2:\"id\";s:29:\"node.simplenews_issue.created\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:16:\"simplenews_issue\";s:5:\"label\";s:11:\"Authored on\";s:11:\"description\";s:35:\"The time that the node was created.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"created\";}'),('','core.base_field_override.node.simplenews_issue.promote','a:16:{s:4:\"uuid\";s:36:\"39c095f6-2005-42d3-abf8-a223a16a6927\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:26:\"node.type.simplenews_issue\";}}s:2:\"id\";s:29:\"node.simplenews_issue.promote\";s:10:\"field_name\";s:7:\"promote\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:16:\"simplenews_issue\";s:5:\"label\";s:22:\"Promoted to front page\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:1;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.node.simplenews_issue.status','a:16:{s:4:\"uuid\";s:36:\"f7b0e40e-d1de-483c-b777-d4c1fdfe3347\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:26:\"node.type.simplenews_issue\";}}s:2:\"id\";s:28:\"node.simplenews_issue.status\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:16:\"simplenews_issue\";s:5:\"label\";s:17:\"Publishing status\";s:11:\"description\";s:51:\"A boolean indicating whether the node is published.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:1;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.node.simplenews_issue.sticky','a:16:{s:4:\"uuid\";s:36:\"18db0e37-4602-42a4-9b14-81b0f079ac99\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:26:\"node.type.simplenews_issue\";}}s:2:\"id\";s:28:\"node.simplenews_issue.sticky\";s:10:\"field_name\";s:6:\"sticky\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:16:\"simplenews_issue\";s:5:\"label\";s:22:\"Sticky at top of lists\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.node.simplenews_issue.title','a:16:{s:4:\"uuid\";s:36:\"94d28040-185d-4c39-a002-72d974e3cdcf\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:26:\"node.type.simplenews_issue\";}}s:2:\"id\";s:27:\"node.simplenews_issue.title\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:16:\"simplenews_issue\";s:5:\"label\";s:5:\"Title\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','core.base_field_override.node.simplenews_issue.uid','a:16:{s:4:\"uuid\";s:36:\"ab6f4ac7-245d-455e-8cad-5abb502430bc\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:26:\"node.type.simplenews_issue\";}}s:2:\"id\";s:25:\"node.simplenews_issue.uid\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:16:\"simplenews_issue\";s:5:\"label\";s:11:\"Authored by\";s:11:\"description\";s:35:\"The username of the content author.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:41:\"Drupal\\node\\Entity\\Node::getCurrentUserId\";s:8:\"settings\";a:2:{s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','core.base_field_override.node.why_us.changed','a:16:{s:4:\"uuid\";s:36:\"3208534b-0f12-45e8-b744-404c9c4052e7\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:16:\"node.type.why_us\";}}s:2:\"id\";s:19:\"node.why_us.changed\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:6:\"why_us\";s:5:\"label\";s:7:\"Changed\";s:11:\"description\";s:39:\"The time that the node was last edited.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"changed\";}'),('','core.base_field_override.node.why_us.created','a:16:{s:4:\"uuid\";s:36:\"a44b1ba8-4d31-414c-b124-22a457ea04f8\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:16:\"node.type.why_us\";}}s:2:\"id\";s:19:\"node.why_us.created\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:6:\"why_us\";s:5:\"label\";s:11:\"Authored on\";s:11:\"description\";s:35:\"The time that the node was created.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"created\";}'),('','core.base_field_override.node.why_us.promote','a:16:{s:4:\"uuid\";s:36:\"afbb8f85-68a6-4409-8fc9-424bd4605322\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:16:\"node.type.why_us\";}}s:2:\"id\";s:19:\"node.why_us.promote\";s:10:\"field_name\";s:7:\"promote\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:6:\"why_us\";s:5:\"label\";s:22:\"Promoted to front page\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.node.why_us.status','a:16:{s:4:\"uuid\";s:36:\"757f0ddf-1683-43af-a414-252bddd4b3a5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:16:\"node.type.why_us\";}}s:2:\"id\";s:18:\"node.why_us.status\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:6:\"why_us\";s:5:\"label\";s:17:\"Publishing status\";s:11:\"description\";s:51:\"A boolean indicating whether the node is published.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:1;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.node.why_us.sticky','a:16:{s:4:\"uuid\";s:36:\"710974ed-5fc2-4622-92cb-124fd5083329\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:16:\"node.type.why_us\";}}s:2:\"id\";s:18:\"node.why_us.sticky\";s:10:\"field_name\";s:6:\"sticky\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:6:\"why_us\";s:5:\"label\";s:22:\"Sticky at top of lists\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:8:\"on_label\";s:2:\"On\";s:9:\"off_label\";s:3:\"Off\";}s:10:\"field_type\";s:7:\"boolean\";}'),('','core.base_field_override.node.why_us.title','a:16:{s:4:\"uuid\";s:36:\"bd8a3c37-84f9-46a2-b167-7aa2b9981eda\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:16:\"node.type.why_us\";}}s:2:\"id\";s:17:\"node.why_us.title\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:6:\"why_us\";s:5:\"label\";s:5:\"Title\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','core.base_field_override.node.why_us.uid','a:16:{s:4:\"uuid\";s:36:\"423d924b-3328-47c7-8b6a-2864237ce911\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:16:\"node.type.why_us\";}}s:2:\"id\";s:15:\"node.why_us.uid\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:6:\"why_us\";s:5:\"label\";s:11:\"Authored by\";s:11:\"description\";s:35:\"The username of the content author.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:41:\"Drupal\\node\\Entity\\Node::getCurrentUserId\";s:8:\"settings\";a:2:{s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','core.base_field_override.shortcut.default.title','a:16:{s:4:\"uuid\";s:36:\"55acaedf-540d-4c74-b615-5ecbed395f55\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:20:\"shortcut.set.default\";}}s:2:\"id\";s:22:\"shortcut.default.title\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:8:\"shortcut\";s:6:\"bundle\";s:7:\"default\";s:5:\"label\";s:4:\"Name\";s:11:\"description\";s:25:\"The name of the shortcut.\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','core.base_field_override.taxonomy_term.tags.changed','a:16:{s:4:\"uuid\";s:36:\"545e7ab9-c952-4998-9005-9bb50fc12285\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:24:\"taxonomy.vocabulary.tags\";}}s:2:\"id\";s:26:\"taxonomy_term.tags.changed\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:4:\"tags\";s:5:\"label\";s:7:\"Changed\";s:11:\"description\";s:39:\"The time that the term was last edited.\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"changed\";}'),('','core.base_field_override.taxonomy_term.tags.description','a:16:{s:4:\"uuid\";s:36:\"3532f61e-0afc-429c-89c7-f5a8976725d4\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:24:\"taxonomy.vocabulary.tags\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:30:\"taxonomy_term.tags.description\";s:10:\"field_name\";s:11:\"description\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:4:\"tags\";s:5:\"label\";s:11:\"Description\";s:11:\"description\";s:26:\"A description of the term.\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:9:\"text_long\";}'),('','core.base_field_override.taxonomy_term.tags.name','a:16:{s:4:\"uuid\";s:36:\"e11c2191-a1f9-4355-9c67-454f314df5c0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:24:\"taxonomy.vocabulary.tags\";}}s:2:\"id\";s:23:\"taxonomy_term.tags.name\";s:10:\"field_name\";s:4:\"name\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:4:\"tags\";s:5:\"label\";s:4:\"Name\";s:11:\"description\";s:14:\"The term name.\";s:8:\"required\";b:1;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','core.base_field_override.user.user.changed','a:16:{s:4:\"uuid\";s:36:\"139c11a6-0611-41fc-9f1c-949fd6220904\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:2:\"id\";s:17:\"user.user.changed\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";s:4:\"user\";s:5:\"label\";s:7:\"Changed\";s:11:\"description\";s:39:\"The time that the user was last edited.\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:7:\"changed\";}'),('','core.date_format.fallback','a:9:{s:4:\"uuid\";s:36:\"e12e1db5-d60a-43c6-af74-8b6aaf76a519\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"7klS5IWXrwzVaPpYZFAs6wcx8U2FF1X73OfrtTsvuvE\";}s:2:\"id\";s:8:\"fallback\";s:5:\"label\";s:20:\"Fallback date format\";s:6:\"locked\";b:1;s:7:\"pattern\";s:14:\"D, m/d/Y - H:i\";}'),('','core.date_format.html_date','a:9:{s:4:\"uuid\";s:36:\"2b8717b7-0999-49e7-8cf9-053e08c0e277\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"EOQltUQPmgc6UQ2rcJ4Xi_leCEJj5ui0TR-12duS-Tk\";}s:2:\"id\";s:9:\"html_date\";s:5:\"label\";s:9:\"HTML Date\";s:6:\"locked\";b:1;s:7:\"pattern\";s:5:\"Y-m-d\";}'),('','core.date_format.html_datetime','a:9:{s:4:\"uuid\";s:36:\"72370129-04a1-4bdd-9e9e-8aa371f66a99\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"jxfClwZIRXIdcvMrE--WkcZxDGUVoOIE3Sm2NRZlFuE\";}s:2:\"id\";s:13:\"html_datetime\";s:5:\"label\";s:13:\"HTML Datetime\";s:6:\"locked\";b:1;s:7:\"pattern\";s:13:\"Y-m-d\\TH:i:sO\";}'),('','core.date_format.html_month','a:9:{s:4:\"uuid\";s:36:\"0aa59391-30b0-49be-8ed0-d27d1dfc78f0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"Z7KuCUwM_WdTNvLcoltuX3_8d-s-8FZkTN6KgNwF0eM\";}s:2:\"id\";s:10:\"html_month\";s:5:\"label\";s:10:\"HTML Month\";s:6:\"locked\";b:1;s:7:\"pattern\";s:3:\"Y-m\";}'),('','core.date_format.html_time','a:9:{s:4:\"uuid\";s:36:\"41b088c0-5599-48eb-b470-1acf6d00f8eb\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"M7yqicYkU36hRy5p9drAaGBBihhUD1OyujFrAaQ93ZE\";}s:2:\"id\";s:9:\"html_time\";s:5:\"label\";s:9:\"HTML Time\";s:6:\"locked\";b:1;s:7:\"pattern\";s:5:\"H:i:s\";}'),('','core.date_format.html_week','a:9:{s:4:\"uuid\";s:36:\"5aa6ef52-030d-4a94-af8b-4eaa64aa03d9\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"wKD4WsoV_wFgv2vgI4mcAAFSIzrye17ykzdwrnApkfY\";}s:2:\"id\";s:9:\"html_week\";s:5:\"label\";s:9:\"HTML Week\";s:6:\"locked\";b:1;s:7:\"pattern\";s:5:\"Y-\\WW\";}'),('','core.date_format.html_year','a:9:{s:4:\"uuid\";s:36:\"d380a6b3-e833-4413-a215-7e8ae29234f6\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"OjekiQuX9RbVQ2_8jOHBL94RgYLePqX7wpfNGgcQzrk\";}s:2:\"id\";s:9:\"html_year\";s:5:\"label\";s:9:\"HTML Year\";s:6:\"locked\";b:1;s:7:\"pattern\";s:1:\"Y\";}'),('','core.date_format.html_yearless_date','a:9:{s:4:\"uuid\";s:36:\"b3b10235-c0b6-41e7-bd83-e669af051647\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"5VpawMrKPEPCkoO4YpPa0TDFO2dgiIHfTziJtwlmUxc\";}s:2:\"id\";s:18:\"html_yearless_date\";s:5:\"label\";s:18:\"HTML Yearless date\";s:6:\"locked\";b:1;s:7:\"pattern\";s:3:\"m-d\";}'),('','core.date_format.long','a:9:{s:4:\"uuid\";s:36:\"37d87aca-405f-4157-bb7f-e4ec5b8c130c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"og8sWXhBuHbLMw3CoiBEZjgqSyhFBFmcbUW_wLcfNbo\";}s:2:\"id\";s:4:\"long\";s:5:\"label\";s:17:\"Default long date\";s:6:\"locked\";b:0;s:7:\"pattern\";s:15:\"l, F j, Y - H:i\";}'),('','core.date_format.medium','a:9:{s:4:\"uuid\";s:36:\"ffac6d2f-f986-4864-b323-9207dffa5745\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"nzL5d024NjXIX_8TlT6uFAu973lmfkmHklJC-2i9rAE\";}s:2:\"id\";s:6:\"medium\";s:5:\"label\";s:19:\"Default medium date\";s:6:\"locked\";b:0;s:7:\"pattern\";s:14:\"D, m/d/Y - H:i\";}'),('','core.date_format.short','a:9:{s:4:\"uuid\";s:36:\"e3f4b66f-9575-4ed2-88d1-7da077eeed83\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"AlzeyytA8InBgxIG9H2UDJYs3CG98Zj6yRsDKmlbZwA\";}s:2:\"id\";s:5:\"short\";s:5:\"label\";s:18:\"Default short date\";s:6:\"locked\";b:0;s:7:\"pattern\";s:11:\"m/d/Y - H:i\";}'),('','core.entity_form_display.block_content.basic.default','a:11:{s:4:\"uuid\";s:36:\"e5ba0896-3e61-4dcf-9ecb-59f9fddeee10\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:24:\"block_content.type.basic\";i:1;s:36:\"field.field.block_content.basic.body\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"kv6gwb6PJ8DcMSj5kgsd52qCIHl1xkxBDL5_AMm-g8k\";}s:2:\"id\";s:27:\"block_content.basic.default\";s:16:\"targetEntityType\";s:13:\"block_content\";s:6:\"bundle\";s:5:\"basic\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:3:{s:4:\"body\";a:5:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:6:\"weight\";i:-4;s:8:\"settings\";a:4:{s:4:\"rows\";i:9;s:12:\"summary_rows\";i:3;s:11:\"placeholder\";s:0:\"\";s:12:\"show_summary\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:4:\"info\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:-5;s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:0:{}}'),('','core.entity_form_display.comment.comment.default','a:11:{s:4:\"uuid\";s:36:\"feb82a15-c4d3-47e1-9853-ebfe8f58127b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:20:\"comment.type.comment\";i:1;s:40:\"field.field.comment.comment.comment_body\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"ooVjelXSXbiQtp-hYb7LS44vR5UO-Kqu4vf484ggR8w\";}s:2:\"id\";s:23:\"comment.comment.default\";s:16:\"targetEntityType\";s:7:\"comment\";s:6:\"bundle\";s:7:\"comment\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:4:{s:6:\"author\";a:4:{s:6:\"weight\";i:-2;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:12:\"comment_body\";a:5:{s:4:\"type\";s:13:\"text_textarea\";s:6:\"weight\";i:11;s:8:\"settings\";a:2:{s:4:\"rows\";i:5;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:7:\"subject\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:10;s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:0:{}}'),('','core.entity_form_display.contact_message.feedback.default','a:10:{s:4:\"uuid\";s:36:\"c1d001ad-acfd-4221-8c43-714bcff5708c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:21:\"contact.form.feedback\";}}s:2:\"id\";s:32:\"contact_message.feedback.default\";s:16:\"targetEntityType\";s:15:\"contact_message\";s:6:\"bundle\";s:8:\"feedback\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:6:{s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:4:\"mail\";a:4:{s:6:\"weight\";i:1;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:7:\"message\";a:5:{s:4:\"type\";s:15:\"string_textarea\";s:6:\"weight\";i:3;s:8:\"settings\";a:2:{s:4:\"rows\";i:12;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:4:\"name\";a:4:{s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:7:\"preview\";a:4:{s:6:\"weight\";i:40;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:7:\"subject\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:2;s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:1:{s:4:\"copy\";b:1;}}'),('','core.entity_form_display.node.article.default','a:11:{s:4:\"uuid\";s:36:\"3c45df3a-a9fb-4b50-aa82-9f9e1983844f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:8:{i:0;s:29:\"field.field.node.article.body\";i:1;s:32:\"field.field.node.article.comment\";i:2;s:37:\"field.field.node.article.field_banner\";i:3;s:36:\"field.field.node.article.field_image\";i:4;s:33:\"field.field.node.article.field_su\";i:5;s:35:\"field.field.node.article.field_tags\";i:6;s:21:\"image.style.thumbnail\";i:7;s:17:\"node.type.article\";}s:6:\"module\";a:4:{i:0;s:7:\"comment\";i:1;s:5:\"image\";i:2;s:4:\"path\";i:3;s:4:\"text\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"7CvVDwPYotAZFBa36mcpMKZOfVRRp_iGuPHpHaavI6E\";}s:2:\"id\";s:20:\"node.article.default\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:7:\"article\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:16:{s:4:\"body\";a:5:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:6:\"weight\";i:2;s:8:\"settings\";a:4:{s:4:\"rows\";i:9;s:12:\"summary_rows\";i:3;s:11:\"placeholder\";s:0:\"\";s:12:\"show_summary\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:7:\"comment\";a:5:{s:4:\"type\";s:15:\"comment_default\";s:6:\"weight\";i:9;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:7:\"created\";a:5:{s:4:\"type\";s:18:\"datetime_timestamp\";s:6:\"weight\";i:6;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:12:\"field_banner\";a:5:{s:6:\"weight\";i:11;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}s:20:\"third_party_settings\";a:0:{}s:4:\"type\";s:11:\"image_image\";s:6:\"region\";s:7:\"content\";}s:11:\"field_image\";a:5:{s:4:\"type\";s:11:\"image_image\";s:6:\"weight\";i:4;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:8:\"field_su\";a:5:{s:6:\"weight\";i:1;s:8:\"settings\";a:2:{s:4:\"rows\";i:5;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:4:\"type\";s:13:\"text_textarea\";s:6:\"region\";s:7:\"content\";}s:10:\"field_tags\";a:5:{s:4:\"type\";s:34:\"entity_reference_autocomplete_tags\";s:6:\"weight\";i:3;s:8:\"settings\";a:4:{s:14:\"match_operator\";s:8:\"CONTAINS\";s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";s:11:\"match_limit\";i:10;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:10:\"node_class\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:35;s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:4:\"path\";a:5:{s:4:\"type\";s:4:\"path\";s:6:\"weight\";i:10;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:7:\"promote\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:7;s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:6:\"status\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:121;s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:6:\"sticky\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:8;s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:5:\"title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:11:\"translation\";a:4:{s:6:\"weight\";i:10;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:3:\"uid\";a:5:{s:4:\"type\";s:29:\"entity_reference_autocomplete\";s:6:\"weight\";i:5;s:8:\"settings\";a:4:{s:14:\"match_operator\";s:8:\"CONTAINS\";s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";s:11:\"match_limit\";i:10;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:0:{}}'),('','core.entity_form_display.node.banner.default','a:10:{s:4:\"uuid\";s:36:\"330adaf0-b6c9-4ec8-bba7-c4c804e50e0b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:6:{i:0;s:28:\"field.field.node.banner.body\";i:1;s:42:\"field.field.node.banner.field_banner_title\";i:2;s:35:\"field.field.node.banner.field_image\";i:3;s:34:\"field.field.node.banner.field_type\";i:4;s:21:\"image.style.thumbnail\";i:5;s:16:\"node.type.banner\";}s:6:\"module\";a:3:{i:0;s:5:\"image\";i:1;s:4:\"path\";i:2;s:4:\"text\";}}s:2:\"id\";s:19:\"node.banner.default\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:6:\"banner\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:13:{s:4:\"body\";a:5:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:6:\"weight\";i:7;s:8:\"settings\";a:4:{s:4:\"rows\";i:9;s:12:\"summary_rows\";i:3;s:11:\"placeholder\";s:0:\"\";s:12:\"show_summary\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:7:\"created\";a:5:{s:4:\"type\";s:18:\"datetime_timestamp\";s:6:\"weight\";i:2;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:18:\"field_banner_title\";a:5:{s:6:\"weight\";i:6;s:8:\"settings\";a:2:{s:4:\"rows\";i:5;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:4:\"type\";s:15:\"string_textarea\";s:6:\"region\";s:7:\"content\";}s:11:\"field_image\";a:5:{s:6:\"weight\";i:8;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}s:20:\"third_party_settings\";a:0:{}s:4:\"type\";s:11:\"image_image\";s:6:\"region\";s:7:\"content\";}s:10:\"field_type\";a:5:{s:6:\"weight\";i:9;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:4:\"type\";s:14:\"options_select\";s:6:\"region\";s:7:\"content\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:10:\"node_class\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:35;s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:4:\"path\";a:5:{s:4:\"type\";s:4:\"path\";s:6:\"weight\";i:5;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:7:\"promote\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:3;s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:6:\"status\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:121;s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:6:\"sticky\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:4;s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:5:\"title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:3:\"uid\";a:5:{s:4:\"type\";s:29:\"entity_reference_autocomplete\";s:6:\"weight\";i:1;s:8:\"settings\";a:4:{s:14:\"match_operator\";s:8:\"CONTAINS\";s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";s:11:\"match_limit\";i:10;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:0:{}}'),('','core.entity_form_display.node.blog.default','a:10:{s:4:\"uuid\";s:36:\"8bfac6ee-7143-4e3c-9898-6a200d47eda1\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:8:{i:0;s:26:\"field.field.node.blog.body\";i:1;s:29:\"field.field.node.blog.comment\";i:2;s:33:\"field.field.node.blog.field_image\";i:3;s:37:\"field.field.node.blog.field_slideshow\";i:4;s:32:\"field.field.node.blog.field_tags\";i:5;s:33:\"field.field.node.blog.field_video\";i:6;s:21:\"image.style.thumbnail\";i:7;s:14:\"node.type.blog\";}s:6:\"module\";a:5:{i:0;s:7:\"comment\";i:1;s:5:\"image\";i:2;s:4:\"path\";i:3;s:4:\"text\";i:4;s:17:\"video_embed_field\";}}s:2:\"id\";s:17:\"node.blog.default\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:4:\"blog\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:16:{s:4:\"body\";a:5:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:6:\"weight\";i:31;s:8:\"settings\";a:4:{s:4:\"rows\";i:9;s:12:\"summary_rows\";i:3;s:11:\"placeholder\";s:0:\"\";s:12:\"show_summary\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:7:\"comment\";a:5:{s:6:\"weight\";i:34;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:4:\"type\";s:15:\"comment_default\";s:6:\"region\";s:7:\"content\";}s:7:\"created\";a:5:{s:4:\"type\";s:18:\"datetime_timestamp\";s:6:\"weight\";i:10;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:11:\"field_image\";a:5:{s:6:\"weight\";i:33;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}s:20:\"third_party_settings\";a:0:{}s:4:\"type\";s:11:\"image_image\";s:6:\"region\";s:7:\"content\";}s:15:\"field_slideshow\";a:5:{s:6:\"weight\";i:35;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}s:20:\"third_party_settings\";a:0:{}s:4:\"type\";s:11:\"image_image\";s:6:\"region\";s:7:\"content\";}s:10:\"field_tags\";a:5:{s:6:\"weight\";i:32;s:8:\"settings\";a:4:{s:14:\"match_operator\";s:8:\"CONTAINS\";s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";s:11:\"match_limit\";i:10;}s:20:\"third_party_settings\";a:0:{}s:4:\"type\";s:29:\"entity_reference_autocomplete\";s:6:\"region\";s:7:\"content\";}s:11:\"field_video\";a:5:{s:6:\"weight\";i:36;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:4:\"type\";s:27:\"video_embed_field_textfield\";s:6:\"region\";s:7:\"content\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:10:\"node_class\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:35;s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:4:\"path\";a:5:{s:4:\"type\";s:4:\"path\";s:6:\"weight\";i:30;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:7:\"promote\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:15;s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:6:\"status\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:121;s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:6:\"sticky\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:16;s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:5:\"title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:-5;s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:11:\"translation\";a:4:{s:6:\"weight\";i:10;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:3:\"uid\";a:5:{s:4:\"type\";s:29:\"entity_reference_autocomplete\";s:6:\"weight\";i:5;s:8:\"settings\";a:4:{s:14:\"match_operator\";s:8:\"CONTAINS\";s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";s:11:\"match_limit\";i:10;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:0:{}}'),('','core.entity_form_display.node.our_mission.default','a:10:{s:4:\"uuid\";s:36:\"be61f5fa-d828-4bc2-aed4-fa8670e4588d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:4:{i:0;s:33:\"field.field.node.our_mission.body\";i:1;s:40:\"field.field.node.our_mission.field_image\";i:2;s:21:\"image.style.thumbnail\";i:3;s:21:\"node.type.our_mission\";}s:6:\"module\";a:3:{i:0;s:5:\"image\";i:1;s:4:\"path\";i:2;s:4:\"text\";}}s:2:\"id\";s:24:\"node.our_mission.default\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:11:\"our_mission\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:11:{s:4:\"body\";a:5:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:6:\"weight\";i:31;s:8:\"settings\";a:4:{s:4:\"rows\";i:9;s:12:\"summary_rows\";i:3;s:11:\"placeholder\";s:0:\"\";s:12:\"show_summary\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:7:\"created\";a:5:{s:4:\"type\";s:18:\"datetime_timestamp\";s:6:\"weight\";i:10;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:11:\"field_image\";a:5:{s:6:\"weight\";i:32;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}s:20:\"third_party_settings\";a:0:{}s:4:\"type\";s:11:\"image_image\";s:6:\"region\";s:7:\"content\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:10:\"node_class\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:35;s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:4:\"path\";a:5:{s:4:\"type\";s:4:\"path\";s:6:\"weight\";i:30;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:7:\"promote\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:15;s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:6:\"status\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:121;s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:6:\"sticky\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:16;s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:5:\"title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:-5;s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:3:\"uid\";a:5:{s:4:\"type\";s:29:\"entity_reference_autocomplete\";s:6:\"weight\";i:5;s:8:\"settings\";a:4:{s:14:\"match_operator\";s:8:\"CONTAINS\";s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";s:11:\"match_limit\";i:10;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:0:{}}'),('','core.entity_form_display.node.our_services.default','a:10:{s:4:\"uuid\";s:36:\"9db8e5eb-0b08-4cac-a3f7-c6bbc75dc321\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:3:{i:0;s:34:\"field.field.node.our_services.body\";i:1;s:43:\"field.field.node.our_services.field_percent\";i:2;s:22:\"node.type.our_services\";}s:6:\"module\";a:2:{i:0;s:4:\"path\";i:1;s:4:\"text\";}}s:2:\"id\";s:25:\"node.our_services.default\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:12:\"our_services\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:11:{s:4:\"body\";a:5:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:6:\"weight\";i:31;s:8:\"settings\";a:4:{s:4:\"rows\";i:9;s:12:\"summary_rows\";i:3;s:11:\"placeholder\";s:0:\"\";s:12:\"show_summary\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:7:\"created\";a:5:{s:4:\"type\";s:18:\"datetime_timestamp\";s:6:\"weight\";i:10;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:13:\"field_percent\";a:5:{s:6:\"weight\";i:32;s:8:\"settings\";a:1:{s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:4:\"type\";s:6:\"number\";s:6:\"region\";s:7:\"content\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:10:\"node_class\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:35;s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:4:\"path\";a:5:{s:4:\"type\";s:4:\"path\";s:6:\"weight\";i:30;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:7:\"promote\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:15;s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:6:\"status\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:121;s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:6:\"sticky\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:16;s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:5:\"title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:-5;s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:3:\"uid\";a:5:{s:4:\"type\";s:29:\"entity_reference_autocomplete\";s:6:\"weight\";i:5;s:8:\"settings\";a:4:{s:14:\"match_operator\";s:8:\"CONTAINS\";s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";s:11:\"match_limit\";i:10;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:0:{}}'),('','core.entity_form_display.node.page.default','a:11:{s:4:\"uuid\";s:36:\"2477e473-3d63-4ac3-97b3-50f46eaec610\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:3:{i:0;s:26:\"field.field.node.page.body\";i:1;s:38:\"field.field.node.page.field_icon_class\";i:2;s:14:\"node.type.page\";}s:6:\"module\";a:2:{i:0;s:4:\"path\";i:1;s:4:\"text\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"KSvzyFhdLuxniTsunUnUfpfMmod2l57GibtVjL8ymHM\";}s:2:\"id\";s:17:\"node.page.default\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:4:\"page\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:12:{s:4:\"body\";a:5:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:6:\"weight\";i:31;s:8:\"settings\";a:4:{s:4:\"rows\";i:9;s:12:\"summary_rows\";i:3;s:11:\"placeholder\";s:0:\"\";s:12:\"show_summary\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:7:\"created\";a:5:{s:4:\"type\";s:18:\"datetime_timestamp\";s:6:\"weight\";i:10;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:16:\"field_icon_class\";a:5:{s:6:\"weight\";i:32;s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:4:\"type\";s:16:\"string_textfield\";s:6:\"region\";s:7:\"content\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:10:\"node_class\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:35;s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:4:\"path\";a:5:{s:4:\"type\";s:4:\"path\";s:6:\"weight\";i:30;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:7:\"promote\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:15;s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:6:\"status\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:121;s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:6:\"sticky\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:16;s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:5:\"title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:-5;s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:11:\"translation\";a:4:{s:6:\"weight\";i:10;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:3:\"uid\";a:5:{s:4:\"type\";s:29:\"entity_reference_autocomplete\";s:6:\"weight\";i:5;s:8:\"settings\";a:4:{s:14:\"match_operator\";s:8:\"CONTAINS\";s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";s:11:\"match_limit\";i:10;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:0:{}}'),('','core.entity_form_display.node.partners.default','a:10:{s:4:\"uuid\";s:36:\"89f03753-2806-410a-a49b-3470c5458ebd\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:5:{i:0;s:30:\"field.field.node.partners.body\";i:1;s:36:\"field.field.node.partners.field_link\";i:2;s:40:\"field.field.node.partners.field_partners\";i:3;s:21:\"image.style.thumbnail\";i:4;s:18:\"node.type.partners\";}s:6:\"module\";a:4:{i:0;s:5:\"image\";i:1;s:4:\"link\";i:2;s:4:\"path\";i:3;s:4:\"text\";}}s:2:\"id\";s:21:\"node.partners.default\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:8:\"partners\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:12:{s:4:\"body\";a:5:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:6:\"weight\";i:31;s:8:\"settings\";a:4:{s:4:\"rows\";i:9;s:12:\"summary_rows\";i:3;s:11:\"placeholder\";s:0:\"\";s:12:\"show_summary\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:7:\"created\";a:5:{s:4:\"type\";s:18:\"datetime_timestamp\";s:6:\"weight\";i:10;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:10:\"field_link\";a:5:{s:6:\"weight\";i:33;s:8:\"settings\";a:2:{s:15:\"placeholder_url\";s:0:\"\";s:17:\"placeholder_title\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:4:\"type\";s:12:\"link_default\";s:6:\"region\";s:7:\"content\";}s:14:\"field_partners\";a:5:{s:6:\"weight\";i:32;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}s:20:\"third_party_settings\";a:0:{}s:4:\"type\";s:11:\"image_image\";s:6:\"region\";s:7:\"content\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:10:\"node_class\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:35;s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:4:\"path\";a:5:{s:4:\"type\";s:4:\"path\";s:6:\"weight\";i:30;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:7:\"promote\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:15;s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:6:\"status\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:121;s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:6:\"sticky\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:16;s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:5:\"title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:-5;s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:3:\"uid\";a:5:{s:4:\"type\";s:29:\"entity_reference_autocomplete\";s:6:\"weight\";i:5;s:8:\"settings\";a:4:{s:14:\"match_operator\";s:8:\"CONTAINS\";s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";s:11:\"match_limit\";i:10;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:0:{}}'),('','core.entity_form_display.node.portfolio.default','a:10:{s:4:\"uuid\";s:36:\"9b2d99ba-d93e-4943-ad6d-6d676fd46916\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:4:{i:0;s:31:\"field.field.node.portfolio.body\";i:1;s:40:\"field.field.node.portfolio.field_gallery\";i:2;s:21:\"image.style.thumbnail\";i:3;s:19:\"node.type.portfolio\";}s:6:\"module\";a:3:{i:0;s:5:\"image\";i:1;s:4:\"path\";i:2;s:4:\"text\";}}s:2:\"id\";s:22:\"node.portfolio.default\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:9:\"portfolio\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:11:{s:4:\"body\";a:5:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:6:\"weight\";i:31;s:8:\"settings\";a:4:{s:4:\"rows\";i:9;s:12:\"summary_rows\";i:3;s:11:\"placeholder\";s:0:\"\";s:12:\"show_summary\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:7:\"created\";a:5:{s:4:\"type\";s:18:\"datetime_timestamp\";s:6:\"weight\";i:10;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:13:\"field_gallery\";a:5:{s:6:\"weight\";i:32;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}s:20:\"third_party_settings\";a:0:{}s:4:\"type\";s:11:\"image_image\";s:6:\"region\";s:7:\"content\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:10:\"node_class\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:35;s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:4:\"path\";a:5:{s:4:\"type\";s:4:\"path\";s:6:\"weight\";i:30;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:7:\"promote\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:15;s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:6:\"status\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:121;s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:6:\"sticky\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:16;s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:5:\"title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:-5;s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:3:\"uid\";a:5:{s:4:\"type\";s:29:\"entity_reference_autocomplete\";s:6:\"weight\";i:5;s:8:\"settings\";a:4:{s:14:\"match_operator\";s:8:\"CONTAINS\";s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";s:11:\"match_limit\";i:10;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:0:{}}'),('','core.entity_form_display.node.simplenews_issue.default','a:11:{s:4:\"uuid\";s:36:\"8e39a037-daf6-4f86-bbb1-b3f67687bdb7\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:3:{i:0;s:38:\"field.field.node.simplenews_issue.body\";i:1;s:50:\"field.field.node.simplenews_issue.simplenews_issue\";i:2;s:26:\"node.type.simplenews_issue\";}s:6:\"module\";a:2:{i:0;s:4:\"path\";i:1;s:4:\"text\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"WqeUSrMFjkfE6sD1OFP-91spC9kIXK8gtJ_qXf4bKDg\";}s:2:\"id\";s:29:\"node.simplenews_issue.default\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:16:\"simplenews_issue\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:11:{s:4:\"body\";a:5:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:6:\"weight\";i:2;s:8:\"settings\";a:4:{s:4:\"rows\";i:9;s:12:\"summary_rows\";i:3;s:11:\"placeholder\";s:0:\"\";s:12:\"show_summary\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:7:\"created\";a:5:{s:4:\"type\";s:18:\"datetime_timestamp\";s:6:\"weight\";i:10;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:10:\"node_class\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:35;s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:4:\"path\";a:5:{s:4:\"type\";s:4:\"path\";s:6:\"weight\";i:30;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:7:\"promote\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:15;s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:16:\"simplenews_issue\";a:5:{s:4:\"type\";s:14:\"options_select\";s:6:\"weight\";i:3;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:6:\"status\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:121;s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:6:\"sticky\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:16;s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:5:\"title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:3:\"uid\";a:5:{s:4:\"type\";s:29:\"entity_reference_autocomplete\";s:6:\"weight\";i:5;s:8:\"settings\";a:4:{s:14:\"match_operator\";s:8:\"CONTAINS\";s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";s:11:\"match_limit\";i:10;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:0:{}}'),('','core.entity_form_display.node.why_us.default','a:10:{s:4:\"uuid\";s:36:\"d6e62d69-2ff8-46b5-8a6d-0e6fe67be069\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:3:{i:0;s:28:\"field.field.node.why_us.body\";i:1;s:41:\"field.field.node.why_us.field_why_us_type\";i:2;s:16:\"node.type.why_us\";}s:6:\"module\";a:2:{i:0;s:4:\"path\";i:1;s:4:\"text\";}}s:2:\"id\";s:19:\"node.why_us.default\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:6:\"why_us\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:11:{s:4:\"body\";a:5:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:6:\"weight\";i:31;s:8:\"settings\";a:4:{s:4:\"rows\";i:9;s:12:\"summary_rows\";i:3;s:11:\"placeholder\";s:0:\"\";s:12:\"show_summary\";b:0;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:7:\"created\";a:5:{s:4:\"type\";s:18:\"datetime_timestamp\";s:6:\"weight\";i:10;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:17:\"field_why_us_type\";a:5:{s:6:\"weight\";i:32;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:4:\"type\";s:14:\"options_select\";s:6:\"region\";s:7:\"content\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;s:8:\"settings\";a:1:{s:14:\"include_locked\";b:1;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:10:\"node_class\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:35;s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:4:\"path\";a:5:{s:4:\"type\";s:4:\"path\";s:6:\"weight\";i:30;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:7:\"promote\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:15;s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:6:\"status\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:121;s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:6:\"sticky\";a:5:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:16;s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:5:\"title\";a:5:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:-5;s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:3:\"uid\";a:5:{s:4:\"type\";s:29:\"entity_reference_autocomplete\";s:6:\"weight\";i:5;s:8:\"settings\";a:4:{s:14:\"match_operator\";s:8:\"CONTAINS\";s:4:\"size\";i:60;s:11:\"placeholder\";s:0:\"\";s:11:\"match_limit\";i:10;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:0:{}}'),('','core.entity_form_display.simplenews_subscriber.simplenews_subscriber.account','a:11:{s:4:\"uuid\";s:36:\"23949d6c-f805-4439-bb9a-7c5dea5afef9\";s:8:\"langcode\";s:3:\"und\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:51:\"core.entity_form_mode.simplenews_subscriber.account\";i:1;s:69:\"field.field.simplenews_subscriber.simplenews_subscriber.subscriptions\";}s:6:\"module\";a:1:{i:0;s:10:\"simplenews\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"wsSwexy6Zc4ZKCF3dNzcg9vwvZeAsOKhe-WpASvCLIs\";}s:2:\"id\";s:51:\"simplenews_subscriber.simplenews_subscriber.account\";s:16:\"targetEntityType\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";s:21:\"simplenews_subscriber\";s:4:\"mode\";s:7:\"account\";s:7:\"content\";a:1:{s:13:\"subscriptions\";a:5:{s:4:\"type\";s:30:\"simplenews_subscription_select\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:2:{s:4:\"mail\";b:1;s:3:\"uid\";b:1;}}'),('','core.entity_form_display.simplenews_subscriber.simplenews_subscriber.default','a:11:{s:4:\"uuid\";s:36:\"7808a8ec-c485-4e88-a6dc-713c2db8f831\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:69:\"field.field.simplenews_subscriber.simplenews_subscriber.subscriptions\";}s:6:\"module\";a:1:{i:0;s:10:\"simplenews\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"pxNnkOchZljVErGC7uuVjmPpbp0Wy2CiK-pllIxNLK0\";}s:2:\"id\";s:51:\"simplenews_subscriber.simplenews_subscriber.default\";s:16:\"targetEntityType\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";s:21:\"simplenews_subscriber\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:2:{s:4:\"mail\";a:5:{s:4:\"type\";s:13:\"email_default\";s:6:\"weight\";i:5;s:8:\"settings\";a:1:{s:11:\"placeholder\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:13:\"subscriptions\";a:5:{s:4:\"type\";s:30:\"simplenews_subscription_select\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:1:{s:3:\"uid\";b:1;}}'),('','core.entity_form_display.user.user.default','a:11:{s:4:\"uuid\";s:36:\"7923560e-8edf-49db-a5c8-aba990cdbe24\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:34:\"field.field.user.user.user_picture\";i:1;s:21:\"image.style.thumbnail\";}s:6:\"module\";a:3:{i:0;s:5:\"image\";i:1;s:4:\"path\";i:2;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"LLAieeozVsoZDb-2PbFxRJpQqnKmpR7-4OoRJnduz-U\";}s:2:\"id\";s:17:\"user.user.default\";s:16:\"targetEntityType\";s:4:\"user\";s:6:\"bundle\";s:4:\"user\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:8:{s:7:\"account\";a:4:{s:6:\"weight\";i:-10;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:7:\"contact\";a:4:{s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:8:\"language\";a:4:{s:6:\"weight\";i:0;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:4:\"path\";a:5:{s:4:\"type\";s:4:\"path\";s:6:\"weight\";i:30;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:10:\"simplenews\";a:4:{s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:8:\"timezone\";a:4:{s:6:\"weight\";i:6;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:11:\"translation\";a:4:{s:6:\"weight\";i:10;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:12:\"user_picture\";a:5:{s:4:\"type\";s:11:\"image_image\";s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}s:20:\"third_party_settings\";a:0:{}s:6:\"weight\";i:-1;s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:1:{s:8:\"langcode\";b:1;}}'),('','core.entity_form_mode.simplenews_subscriber.account','a:9:{s:4:\"uuid\";s:36:\"3d9fe5e6-0bfe-469f-aa07-70c715e88cdd\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:10:\"simplenews\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"3Ly1xMx90SxhhhBmZjDhcBCQ4kyR4u7tS5vLgA84B2M\";}s:2:\"id\";s:29:\"simplenews_subscriber.account\";s:5:\"label\";s:7:\"Account\";s:16:\"targetEntityType\";s:21:\"simplenews_subscriber\";s:5:\"cache\";b:1;}'),('','core.entity_form_mode.simplenews_subscriber.block','a:9:{s:4:\"uuid\";s:36:\"01473263-9e4a-4cb1-9d49-578c9fc816a3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:10:\"simplenews\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"7EIO8InzdeUlS1NCs5hq23QRzWmqAKGjeSqd3hQP62s\";}s:2:\"id\";s:27:\"simplenews_subscriber.block\";s:5:\"label\";s:5:\"Block\";s:16:\"targetEntityType\";s:21:\"simplenews_subscriber\";s:5:\"cache\";b:1;}'),('','core.entity_form_mode.simplenews_subscriber.page','a:9:{s:4:\"uuid\";s:36:\"45aa92b8-6a12-44a0-aa54-8d9932eae7f9\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:10:\"simplenews\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"ZNiTMgBURMLUyp3dwxIn7Zz_hREzPRpyF2M-Dm3e1BI\";}s:2:\"id\";s:26:\"simplenews_subscriber.page\";s:5:\"label\";s:4:\"Page\";s:16:\"targetEntityType\";s:21:\"simplenews_subscriber\";s:5:\"cache\";b:1;}'),('','core.entity_form_mode.user.register','a:9:{s:4:\"uuid\";s:36:\"970e7df6-6557-4734-aca7-2e59c0b28555\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"flXhTcp55yLcyy7ZLOhPGKGZobZQJdkAFVWV3LseiuI\";}s:2:\"id\";s:13:\"user.register\";s:5:\"label\";s:8:\"Register\";s:16:\"targetEntityType\";s:4:\"user\";s:5:\"cache\";b:1;}'),('','core.entity_view_display.block_content.basic.default','a:11:{s:4:\"uuid\";s:36:\"ac510f9a-d9bd-49cb-89e1-958d8c7e5eb4\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:24:\"block_content.type.basic\";i:1;s:36:\"field.field.block_content.basic.body\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"zCrrHAjrsQgWjBXBsshAZjND21czBy8sH_L5v_xDKSA\";}s:2:\"id\";s:27:\"block_content.basic.default\";s:16:\"targetEntityType\";s:13:\"block_content\";s:6:\"bundle\";s:5:\"basic\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:1:{s:4:\"body\";a:6:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:1:{s:8:\"langcode\";b:1;}}'),('','core.entity_view_display.comment.comment.default','a:11:{s:4:\"uuid\";s:36:\"f56301c6-5e7b-4529-9018-267e6984f64e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:20:\"comment.type.comment\";i:1;s:40:\"field.field.comment.comment.comment_body\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"1yBeJcGufCbnbSolmaYgTIXZWYUaO7kw6xszGA8TYs8\";}s:2:\"id\";s:23:\"comment.comment.default\";s:16:\"targetEntityType\";s:7:\"comment\";s:6:\"bundle\";s:7:\"comment\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:2:{s:12:\"comment_body\";a:6:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:5:\"links\";a:4:{s:6:\"weight\";i:100;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:1:{s:8:\"langcode\";b:1;}}'),('','core.entity_view_display.node.article.default','a:11:{s:4:\"uuid\";s:36:\"44c22411-4af2-4cdb-9701-27be2e13d9a7\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:7:{i:0;s:29:\"field.field.node.article.body\";i:1;s:32:\"field.field.node.article.comment\";i:2;s:37:\"field.field.node.article.field_banner\";i:3;s:36:\"field.field.node.article.field_image\";i:4;s:33:\"field.field.node.article.field_su\";i:5;s:35:\"field.field.node.article.field_tags\";i:6;s:17:\"node.type.article\";}s:6:\"module\";a:3:{i:0;s:5:\"image\";i:1;s:4:\"text\";i:2;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"JtAg_-waIt1quMtdDtHIaXJMxvTuSmxW7bWyO6Zd68E\";}s:2:\"id\";s:20:\"node.article.default\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:7:\"article\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:3:{s:4:\"body\";a:6:{s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:2;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:5:\"label\";s:6:\"hidden\";s:6:\"region\";s:7:\"content\";}s:11:\"field_image\";a:6:{s:4:\"type\";s:5:\"image\";s:6:\"weight\";i:0;s:8:\"settings\";a:2:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:5:\"label\";s:6:\"hidden\";s:6:\"region\";s:7:\"content\";}s:8:\"field_su\";a:6:{s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:1;s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:5:{s:7:\"comment\";b:1;s:12:\"field_banner\";b:1;s:10:\"field_tags\";b:1;s:8:\"langcode\";b:1;s:5:\"links\";b:1;}}'),('','core.entity_view_display.node.article.rss','a:11:{s:4:\"uuid\";s:36:\"7a3dcc3d-3aee-41b2-9a46-5feec4cfae7b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:8:{i:0;s:30:\"core.entity_view_mode.node.rss\";i:1;s:29:\"field.field.node.article.body\";i:2;s:32:\"field.field.node.article.comment\";i:3;s:37:\"field.field.node.article.field_banner\";i:4;s:36:\"field.field.node.article.field_image\";i:5;s:33:\"field.field.node.article.field_su\";i:6;s:35:\"field.field.node.article.field_tags\";i:7;s:17:\"node.type.article\";}s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"Q90X1FmFdOkTx8udckWPoAgleOstOerbgDnNpoP6PO4\";}s:2:\"id\";s:16:\"node.article.rss\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:7:\"article\";s:4:\"mode\";s:3:\"rss\";s:7:\"content\";a:1:{s:5:\"links\";a:4:{s:6:\"weight\";i:100;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:7:{s:4:\"body\";b:1;s:7:\"comment\";b:1;s:12:\"field_banner\";b:1;s:11:\"field_image\";b:1;s:8:\"field_su\";b:1;s:10:\"field_tags\";b:1;s:8:\"langcode\";b:1;}}'),('','core.entity_view_display.node.article.teaser','a:11:{s:4:\"uuid\";s:36:\"8f9e1544-5b10-4a31-ba55-202c4068d064\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:9:{i:0;s:33:\"core.entity_view_mode.node.teaser\";i:1;s:29:\"field.field.node.article.body\";i:2;s:32:\"field.field.node.article.comment\";i:3;s:37:\"field.field.node.article.field_banner\";i:4;s:36:\"field.field.node.article.field_image\";i:5;s:33:\"field.field.node.article.field_su\";i:6;s:35:\"field.field.node.article.field_tags\";i:7;s:18:\"image.style.medium\";i:8;s:17:\"node.type.article\";}s:6:\"module\";a:3:{i:0;s:5:\"image\";i:1;s:4:\"text\";i:2;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"U8ghxJXn8JE2p6Q2wLpPWAxpz4r_8crL1LxtapSrHAE\";}s:2:\"id\";s:19:\"node.article.teaser\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:7:\"article\";s:4:\"mode\";s:6:\"teaser\";s:7:\"content\";a:4:{s:4:\"body\";a:6:{s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:6:\"weight\";i:0;s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:20:\"third_party_settings\";a:0:{}s:5:\"label\";s:6:\"hidden\";s:6:\"region\";s:7:\"content\";}s:11:\"field_image\";a:6:{s:4:\"type\";s:5:\"image\";s:6:\"weight\";i:-1;s:8:\"settings\";a:2:{s:11:\"image_style\";s:6:\"medium\";s:10:\"image_link\";s:7:\"content\";}s:20:\"third_party_settings\";a:0:{}s:5:\"label\";s:6:\"hidden\";s:6:\"region\";s:7:\"content\";}s:10:\"field_tags\";a:6:{s:4:\"type\";s:22:\"entity_reference_label\";s:6:\"weight\";i:10;s:8:\"settings\";a:1:{s:4:\"link\";b:1;}s:20:\"third_party_settings\";a:0:{}s:5:\"label\";s:5:\"above\";s:6:\"region\";s:7:\"content\";}s:5:\"links\";a:4:{s:6:\"weight\";i:100;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:6:{s:7:\"comment\";b:1;s:12:\"field_banner\";b:1;s:11:\"field_image\";b:1;s:8:\"field_su\";b:1;s:10:\"field_tags\";b:1;s:8:\"langcode\";b:1;}}'),('','core.entity_view_display.node.banner.default','a:10:{s:4:\"uuid\";s:36:\"cb70ee22-7300-41f3-9678-573fa3895b42\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:5:{i:0;s:28:\"field.field.node.banner.body\";i:1;s:42:\"field.field.node.banner.field_banner_title\";i:2;s:35:\"field.field.node.banner.field_image\";i:3;s:34:\"field.field.node.banner.field_type\";i:4;s:16:\"node.type.banner\";}s:6:\"module\";a:4:{i:0;s:5:\"image\";i:1;s:7:\"options\";i:2;s:4:\"text\";i:3;s:4:\"user\";}}s:2:\"id\";s:19:\"node.banner.default\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:6:\"banner\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:5:{s:4:\"body\";a:6:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:101;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:18:\"field_banner_title\";a:6:{s:6:\"weight\";i:104;s:5:\"label\";s:5:\"above\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:4:\"type\";s:12:\"basic_string\";s:6:\"region\";s:7:\"content\";}s:11:\"field_image\";a:6:{s:6:\"weight\";i:102;s:5:\"label\";s:5:\"above\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:4:\"type\";s:5:\"image\";s:6:\"region\";s:7:\"content\";}s:10:\"field_type\";a:6:{s:6:\"weight\";i:103;s:5:\"label\";s:5:\"above\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:4:\"type\";s:12:\"list_default\";s:6:\"region\";s:7:\"content\";}s:5:\"links\";a:4:{s:6:\"weight\";i:100;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:1:{s:8:\"langcode\";b:1;}}'),('','core.entity_view_display.node.banner.teaser','a:10:{s:4:\"uuid\";s:36:\"fcf0a213-e8eb-460f-b74d-f7028d50de7b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:6:{i:0;s:33:\"core.entity_view_mode.node.teaser\";i:1;s:28:\"field.field.node.banner.body\";i:2;s:42:\"field.field.node.banner.field_banner_title\";i:3;s:35:\"field.field.node.banner.field_image\";i:4;s:34:\"field.field.node.banner.field_type\";i:5;s:16:\"node.type.banner\";}s:6:\"module\";a:2:{i:0;s:4:\"text\";i:1;s:4:\"user\";}}s:2:\"id\";s:18:\"node.banner.teaser\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:6:\"banner\";s:4:\"mode\";s:6:\"teaser\";s:7:\"content\";a:2:{s:4:\"body\";a:6:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:6:\"weight\";i:101;s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:5:\"links\";a:4:{s:6:\"weight\";i:100;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:4:{s:18:\"field_banner_title\";b:1;s:11:\"field_image\";b:1;s:10:\"field_type\";b:1;s:8:\"langcode\";b:1;}}'),('','core.entity_view_display.node.blog.default','a:10:{s:4:\"uuid\";s:36:\"b9bb3491-1582-4dcf-bb91-191577fa8efc\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:8:{i:0;s:48:\"core.entity_view_display.comment.comment.default\";i:1;s:26:\"field.field.node.blog.body\";i:2;s:29:\"field.field.node.blog.comment\";i:3;s:33:\"field.field.node.blog.field_image\";i:4;s:37:\"field.field.node.blog.field_slideshow\";i:5;s:32:\"field.field.node.blog.field_tags\";i:6;s:33:\"field.field.node.blog.field_video\";i:7;s:14:\"node.type.blog\";}s:6:\"module\";a:3:{i:0;s:7:\"comment\";i:1;s:4:\"text\";i:2;s:4:\"user\";}}s:2:\"id\";s:17:\"node.blog.default\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:4:\"blog\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:2:{s:4:\"body\";a:6:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:7:\"comment\";a:6:{s:4:\"type\";s:15:\"comment_default\";s:6:\"weight\";i:1;s:5:\"label\";s:5:\"above\";s:8:\"settings\";a:2:{s:8:\"pager_id\";i:0;s:9:\"view_mode\";s:7:\"default\";}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:6:{s:11:\"field_image\";b:1;s:15:\"field_slideshow\";b:1;s:10:\"field_tags\";b:1;s:11:\"field_video\";b:1;s:8:\"langcode\";b:1;s:5:\"links\";b:1;}}'),('','core.entity_view_display.node.blog.teaser','a:10:{s:4:\"uuid\";s:36:\"c4a6f58f-730a-4425-9a55-a3f4871044e6\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:8:{i:0;s:33:\"core.entity_view_mode.node.teaser\";i:1;s:26:\"field.field.node.blog.body\";i:2;s:29:\"field.field.node.blog.comment\";i:3;s:33:\"field.field.node.blog.field_image\";i:4;s:37:\"field.field.node.blog.field_slideshow\";i:5;s:32:\"field.field.node.blog.field_tags\";i:6;s:33:\"field.field.node.blog.field_video\";i:7;s:14:\"node.type.blog\";}s:6:\"module\";a:2:{i:0;s:4:\"text\";i:1;s:4:\"user\";}}s:2:\"id\";s:16:\"node.blog.teaser\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:4:\"blog\";s:4:\"mode\";s:6:\"teaser\";s:7:\"content\";a:2:{s:4:\"body\";a:6:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:6:\"weight\";i:101;s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:5:\"links\";a:4:{s:6:\"weight\";i:100;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:6:{s:7:\"comment\";b:1;s:11:\"field_image\";b:1;s:15:\"field_slideshow\";b:1;s:10:\"field_tags\";b:1;s:11:\"field_video\";b:1;s:8:\"langcode\";b:1;}}'),('','core.entity_view_display.node.our_mission.default','a:10:{s:4:\"uuid\";s:36:\"bf9c3a9c-1b8f-4880-921f-822bca5666d3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:3:{i:0;s:33:\"field.field.node.our_mission.body\";i:1;s:40:\"field.field.node.our_mission.field_image\";i:2;s:21:\"node.type.our_mission\";}s:6:\"module\";a:3:{i:0;s:5:\"image\";i:1;s:4:\"text\";i:2;s:4:\"user\";}}s:2:\"id\";s:24:\"node.our_mission.default\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:11:\"our_mission\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:3:{s:4:\"body\";a:6:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:101;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:11:\"field_image\";a:6:{s:6:\"weight\";i:102;s:5:\"label\";s:5:\"above\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:4:\"type\";s:5:\"image\";s:6:\"region\";s:7:\"content\";}s:5:\"links\";a:4:{s:6:\"weight\";i:100;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:1:{s:8:\"langcode\";b:1;}}'),('','core.entity_view_display.node.our_mission.teaser','a:10:{s:4:\"uuid\";s:36:\"58fa8860-7917-4e59-b463-f47b2ad06dd7\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:4:{i:0;s:33:\"core.entity_view_mode.node.teaser\";i:1;s:33:\"field.field.node.our_mission.body\";i:2;s:40:\"field.field.node.our_mission.field_image\";i:3;s:21:\"node.type.our_mission\";}s:6:\"module\";a:2:{i:0;s:4:\"text\";i:1;s:4:\"user\";}}s:2:\"id\";s:23:\"node.our_mission.teaser\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:11:\"our_mission\";s:4:\"mode\";s:6:\"teaser\";s:7:\"content\";a:2:{s:4:\"body\";a:6:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:6:\"weight\";i:101;s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:5:\"links\";a:4:{s:6:\"weight\";i:100;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:2:{s:11:\"field_image\";b:1;s:8:\"langcode\";b:1;}}'),('','core.entity_view_display.node.our_services.default','a:10:{s:4:\"uuid\";s:36:\"e39d523c-cf7f-491a-8f21-2b618e1065c6\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:3:{i:0;s:34:\"field.field.node.our_services.body\";i:1;s:43:\"field.field.node.our_services.field_percent\";i:2;s:22:\"node.type.our_services\";}s:6:\"module\";a:2:{i:0;s:4:\"text\";i:1;s:4:\"user\";}}s:2:\"id\";s:25:\"node.our_services.default\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:12:\"our_services\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:3:{s:4:\"body\";a:6:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:101;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:13:\"field_percent\";a:6:{s:6:\"weight\";i:102;s:5:\"label\";s:5:\"above\";s:8:\"settings\";a:4:{s:18:\"thousand_separator\";s:0:\"\";s:17:\"decimal_separator\";s:1:\".\";s:5:\"scale\";i:2;s:13:\"prefix_suffix\";b:1;}s:20:\"third_party_settings\";a:0:{}s:4:\"type\";s:14:\"number_decimal\";s:6:\"region\";s:7:\"content\";}s:5:\"links\";a:4:{s:6:\"weight\";i:100;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:1:{s:8:\"langcode\";b:1;}}'),('','core.entity_view_display.node.our_services.teaser','a:10:{s:4:\"uuid\";s:36:\"7b5d3676-999e-4179-a310-5fa86a435402\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:4:{i:0;s:33:\"core.entity_view_mode.node.teaser\";i:1;s:34:\"field.field.node.our_services.body\";i:2;s:43:\"field.field.node.our_services.field_percent\";i:3;s:22:\"node.type.our_services\";}s:6:\"module\";a:2:{i:0;s:4:\"text\";i:1;s:4:\"user\";}}s:2:\"id\";s:24:\"node.our_services.teaser\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:12:\"our_services\";s:4:\"mode\";s:6:\"teaser\";s:7:\"content\";a:2:{s:4:\"body\";a:6:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:6:\"weight\";i:101;s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:5:\"links\";a:4:{s:6:\"weight\";i:100;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:2:{s:13:\"field_percent\";b:1;s:8:\"langcode\";b:1;}}'),('','core.entity_view_display.node.page.default','a:11:{s:4:\"uuid\";s:36:\"685070b8-ca53-4645-9139-4b9fae931280\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:3:{i:0;s:26:\"field.field.node.page.body\";i:1;s:38:\"field.field.node.page.field_icon_class\";i:2;s:14:\"node.type.page\";}s:6:\"module\";a:2:{i:0;s:4:\"text\";i:1;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"oZ-7vpIJxjxL2up9B5KrJGD0lazQ9aN0P-fIPo6OrSU\";}s:2:\"id\";s:17:\"node.page.default\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:4:\"page\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:3:{s:4:\"body\";a:6:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:100;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:16:\"field_icon_class\";a:6:{s:6:\"weight\";i:102;s:5:\"label\";s:5:\"above\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:20:\"third_party_settings\";a:0:{}s:4:\"type\";s:6:\"string\";s:6:\"region\";s:7:\"content\";}s:5:\"links\";a:4:{s:6:\"weight\";i:101;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:1:{s:8:\"langcode\";b:1;}}'),('','core.entity_view_display.node.page.teaser','a:11:{s:4:\"uuid\";s:36:\"9ef59783-54fa-4435-af08-2521fddd905e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:4:{i:0;s:33:\"core.entity_view_mode.node.teaser\";i:1;s:26:\"field.field.node.page.body\";i:2;s:38:\"field.field.node.page.field_icon_class\";i:3;s:14:\"node.type.page\";}s:6:\"module\";a:2:{i:0;s:4:\"text\";i:1;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"rN2zrScZAJ9xB16hm_Deb9QJKy6JXnn0PdI2n5Z3KRs\";}s:2:\"id\";s:16:\"node.page.teaser\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:4:\"page\";s:4:\"mode\";s:6:\"teaser\";s:7:\"content\";a:2:{s:4:\"body\";a:6:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:6:\"weight\";i:100;s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:5:\"links\";a:4:{s:6:\"weight\";i:101;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:2:{s:16:\"field_icon_class\";b:1;s:8:\"langcode\";b:1;}}'),('','core.entity_view_display.node.partners.default','a:10:{s:4:\"uuid\";s:36:\"d851900a-50f9-4240-8adf-e545f4ef752f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:4:{i:0;s:30:\"field.field.node.partners.body\";i:1;s:36:\"field.field.node.partners.field_link\";i:2;s:40:\"field.field.node.partners.field_partners\";i:3;s:18:\"node.type.partners\";}s:6:\"module\";a:4:{i:0;s:5:\"image\";i:1;s:4:\"link\";i:2;s:4:\"text\";i:3;s:4:\"user\";}}s:2:\"id\";s:21:\"node.partners.default\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:8:\"partners\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:4:{s:4:\"body\";a:6:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:101;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:10:\"field_link\";a:6:{s:6:\"weight\";i:103;s:5:\"label\";s:5:\"above\";s:8:\"settings\";a:5:{s:11:\"trim_length\";i:80;s:8:\"url_only\";b:0;s:9:\"url_plain\";b:0;s:3:\"rel\";s:0:\"\";s:6:\"target\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:4:\"type\";s:4:\"link\";s:6:\"region\";s:7:\"content\";}s:14:\"field_partners\";a:6:{s:6:\"weight\";i:102;s:5:\"label\";s:5:\"above\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:4:\"type\";s:5:\"image\";s:6:\"region\";s:7:\"content\";}s:5:\"links\";a:4:{s:6:\"weight\";i:100;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:1:{s:8:\"langcode\";b:1;}}'),('','core.entity_view_display.node.partners.teaser','a:10:{s:4:\"uuid\";s:36:\"dac4d4f0-b71e-473c-b45f-63f94f976dc7\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:5:{i:0;s:33:\"core.entity_view_mode.node.teaser\";i:1;s:30:\"field.field.node.partners.body\";i:2;s:36:\"field.field.node.partners.field_link\";i:3;s:40:\"field.field.node.partners.field_partners\";i:4;s:18:\"node.type.partners\";}s:6:\"module\";a:2:{i:0;s:4:\"text\";i:1;s:4:\"user\";}}s:2:\"id\";s:20:\"node.partners.teaser\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:8:\"partners\";s:4:\"mode\";s:6:\"teaser\";s:7:\"content\";a:2:{s:4:\"body\";a:6:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:6:\"weight\";i:101;s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:5:\"links\";a:4:{s:6:\"weight\";i:100;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:3:{s:10:\"field_link\";b:1;s:14:\"field_partners\";b:1;s:8:\"langcode\";b:1;}}'),('','core.entity_view_display.node.portfolio.default','a:10:{s:4:\"uuid\";s:36:\"c3911edd-3dfe-4217-bcbc-54199abf447a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:3:{i:0;s:31:\"field.field.node.portfolio.body\";i:1;s:40:\"field.field.node.portfolio.field_gallery\";i:2;s:19:\"node.type.portfolio\";}s:6:\"module\";a:3:{i:0;s:5:\"image\";i:1;s:4:\"text\";i:2;s:4:\"user\";}}s:2:\"id\";s:22:\"node.portfolio.default\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:9:\"portfolio\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:3:{s:4:\"body\";a:6:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:101;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:13:\"field_gallery\";a:6:{s:6:\"weight\";i:102;s:5:\"label\";s:5:\"above\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:0:\"\";}s:20:\"third_party_settings\";a:0:{}s:4:\"type\";s:5:\"image\";s:6:\"region\";s:7:\"content\";}s:5:\"links\";a:4:{s:6:\"weight\";i:100;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:1:{s:8:\"langcode\";b:1;}}'),('','core.entity_view_display.node.portfolio.teaser','a:10:{s:4:\"uuid\";s:36:\"6fea26c1-ba55-4809-8f77-d4b353375f83\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:4:{i:0;s:33:\"core.entity_view_mode.node.teaser\";i:1;s:31:\"field.field.node.portfolio.body\";i:2;s:40:\"field.field.node.portfolio.field_gallery\";i:3;s:19:\"node.type.portfolio\";}s:6:\"module\";a:2:{i:0;s:4:\"text\";i:1;s:4:\"user\";}}s:2:\"id\";s:21:\"node.portfolio.teaser\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:9:\"portfolio\";s:4:\"mode\";s:6:\"teaser\";s:7:\"content\";a:2:{s:4:\"body\";a:6:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:6:\"weight\";i:101;s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:5:\"links\";a:4:{s:6:\"weight\";i:100;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:2:{s:13:\"field_gallery\";b:1;s:8:\"langcode\";b:1;}}'),('','core.entity_view_display.node.simplenews_issue.default','a:11:{s:4:\"uuid\";s:36:\"237757b5-bdf4-4ac5-b1d1-d3136f38e509\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:3:{i:0;s:38:\"field.field.node.simplenews_issue.body\";i:1;s:50:\"field.field.node.simplenews_issue.simplenews_issue\";i:2;s:26:\"node.type.simplenews_issue\";}s:6:\"module\";a:2:{i:0;s:4:\"text\";i:1;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"2uFXyR4335F9Qrls0Lx2QTobeBiF6FN1PeDjJEv47Yw\";}s:2:\"id\";s:29:\"node.simplenews_issue.default\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:16:\"simplenews_issue\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:2:{s:4:\"body\";a:6:{s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:5:\"label\";s:6:\"hidden\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:5:\"links\";a:4:{s:6:\"weight\";i:1;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:2:{s:8:\"langcode\";b:1;s:16:\"simplenews_issue\";b:1;}}'),('','core.entity_view_display.node.simplenews_issue.email_html','a:11:{s:4:\"uuid\";s:36:\"595d84b8-78d5-46b1-855d-93f466a736b9\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:4:{i:0;s:37:\"core.entity_view_mode.node.email_html\";i:1;s:38:\"field.field.node.simplenews_issue.body\";i:2;s:50:\"field.field.node.simplenews_issue.simplenews_issue\";i:3;s:26:\"node.type.simplenews_issue\";}s:6:\"module\";a:2:{i:0;s:4:\"text\";i:1;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"k7huXut68pdao0qGHWeETfwtQudI0SZ260TyVyGTOFg\";}s:2:\"id\";s:32:\"node.simplenews_issue.email_html\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:16:\"simplenews_issue\";s:4:\"mode\";s:10:\"email_html\";s:7:\"content\";a:1:{s:4:\"body\";a:6:{s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:5:\"label\";s:6:\"hidden\";s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:3:{s:8:\"langcode\";b:1;s:5:\"links\";b:1;s:16:\"simplenews_issue\";b:1;}}'),('','core.entity_view_display.node.simplenews_issue.email_plain','a:11:{s:4:\"uuid\";s:36:\"a836de9a-6d1f-4ed7-8600-fbc2b09286c1\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:4:{i:0;s:38:\"core.entity_view_mode.node.email_plain\";i:1;s:38:\"field.field.node.simplenews_issue.body\";i:2;s:50:\"field.field.node.simplenews_issue.simplenews_issue\";i:3;s:26:\"node.type.simplenews_issue\";}s:6:\"module\";a:2:{i:0;s:4:\"text\";i:1;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"yLPMU-4Mw-Wl011PDZNQMHzzeilyDjLSQZQ4LLQG08k\";}s:2:\"id\";s:33:\"node.simplenews_issue.email_plain\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:16:\"simplenews_issue\";s:4:\"mode\";s:11:\"email_plain\";s:7:\"content\";a:1:{s:4:\"body\";a:6:{s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:5:\"label\";s:6:\"hidden\";s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:3:{s:8:\"langcode\";b:1;s:5:\"links\";b:1;s:16:\"simplenews_issue\";b:1;}}'),('','core.entity_view_display.node.simplenews_issue.email_textalt','a:11:{s:4:\"uuid\";s:36:\"6e5a75a4-cf9b-4b8c-bf00-dbde3b42dcb2\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:4:{i:0;s:40:\"core.entity_view_mode.node.email_textalt\";i:1;s:38:\"field.field.node.simplenews_issue.body\";i:2;s:50:\"field.field.node.simplenews_issue.simplenews_issue\";i:3;s:26:\"node.type.simplenews_issue\";}s:6:\"module\";a:2:{i:0;s:4:\"text\";i:1;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"nbS6YErkrJfcf1Lgbd-MEFDZvatGhf9ZYEdg7_phgRU\";}s:2:\"id\";s:35:\"node.simplenews_issue.email_textalt\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:16:\"simplenews_issue\";s:4:\"mode\";s:13:\"email_textalt\";s:7:\"content\";a:1:{s:4:\"body\";a:6:{s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:5:\"label\";s:6:\"hidden\";s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:3:{s:8:\"langcode\";b:1;s:5:\"links\";b:1;s:16:\"simplenews_issue\";b:1;}}'),('','core.entity_view_display.node.simplenews_issue.teaser','a:11:{s:4:\"uuid\";s:36:\"1754e700-7290-485d-a404-4a052ef18ae2\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:4:{i:0;s:33:\"core.entity_view_mode.node.teaser\";i:1;s:38:\"field.field.node.simplenews_issue.body\";i:2;s:50:\"field.field.node.simplenews_issue.simplenews_issue\";i:3;s:26:\"node.type.simplenews_issue\";}s:6:\"module\";a:2:{i:0;s:4:\"text\";i:1;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"n2xAKuCwCLXGUcR4BjVa08OIbG6UDdyIQFjq_S91h50\";}s:2:\"id\";s:28:\"node.simplenews_issue.teaser\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:16:\"simplenews_issue\";s:4:\"mode\";s:6:\"teaser\";s:7:\"content\";a:1:{s:4:\"body\";a:6:{s:4:\"type\";s:12:\"text_trimmed\";s:6:\"weight\";i:0;s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:20:\"third_party_settings\";a:0:{}s:5:\"label\";s:6:\"hidden\";s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:3:{s:8:\"langcode\";b:1;s:5:\"links\";b:1;s:16:\"simplenews_issue\";b:1;}}'),('','core.entity_view_display.node.why_us.default','a:10:{s:4:\"uuid\";s:36:\"56232bd4-535b-4d8d-b88d-c0d410ccd199\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:3:{i:0;s:28:\"field.field.node.why_us.body\";i:1;s:41:\"field.field.node.why_us.field_why_us_type\";i:2;s:16:\"node.type.why_us\";}s:6:\"module\";a:3:{i:0;s:7:\"options\";i:1;s:4:\"text\";i:2;s:4:\"user\";}}s:2:\"id\";s:19:\"node.why_us.default\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:6:\"why_us\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:3:{s:4:\"body\";a:6:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:101;s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:17:\"field_why_us_type\";a:6:{s:6:\"weight\";i:102;s:5:\"label\";s:5:\"above\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}s:4:\"type\";s:12:\"list_default\";s:6:\"region\";s:7:\"content\";}s:5:\"links\";a:4:{s:6:\"weight\";i:100;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:1:{s:8:\"langcode\";b:1;}}'),('','core.entity_view_display.node.why_us.teaser','a:10:{s:4:\"uuid\";s:36:\"417cc05d-d907-4bf3-9bdb-1b9c381f4e34\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:4:{i:0;s:33:\"core.entity_view_mode.node.teaser\";i:1;s:28:\"field.field.node.why_us.body\";i:2;s:41:\"field.field.node.why_us.field_why_us_type\";i:3;s:16:\"node.type.why_us\";}s:6:\"module\";a:2:{i:0;s:4:\"text\";i:1;s:4:\"user\";}}s:2:\"id\";s:18:\"node.why_us.teaser\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:6:\"why_us\";s:4:\"mode\";s:6:\"teaser\";s:7:\"content\";a:2:{s:4:\"body\";a:6:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:6:\"weight\";i:101;s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:20:\"third_party_settings\";a:0:{}s:6:\"region\";s:7:\"content\";}s:5:\"links\";a:4:{s:6:\"weight\";i:100;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}}s:6:\"hidden\";a:2:{s:17:\"field_why_us_type\";b:1;s:8:\"langcode\";b:1;}}'),('','core.entity_view_display.user.user.compact','a:11:{s:4:\"uuid\";s:36:\"6f2e4f62-a418-46cb-9521-db56402d42c7\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:3:{i:0;s:34:\"core.entity_view_mode.user.compact\";i:1;s:34:\"field.field.user.user.user_picture\";i:2;s:21:\"image.style.thumbnail\";}s:6:\"module\";a:2:{i:0;s:5:\"image\";i:1;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"C3k_McOy8bL8rTnIjspy5OfFdgqV1z6OdGZaI-tO5eM\";}s:2:\"id\";s:17:\"user.user.compact\";s:16:\"targetEntityType\";s:4:\"user\";s:6:\"bundle\";s:4:\"user\";s:4:\"mode\";s:7:\"compact\";s:7:\"content\";a:1:{s:12:\"user_picture\";a:6:{s:4:\"type\";s:5:\"image\";s:6:\"weight\";i:0;s:8:\"settings\";a:2:{s:11:\"image_style\";s:9:\"thumbnail\";s:10:\"image_link\";s:7:\"content\";}s:20:\"third_party_settings\";a:0:{}s:5:\"label\";s:6:\"hidden\";s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:3:{s:8:\"langcode\";b:1;s:10:\"member_for\";b:1;s:10:\"simplenews\";b:1;}}'),('','core.entity_view_display.user.user.default','a:11:{s:4:\"uuid\";s:36:\"74bbebb3-0409-4e81-a772-accf6ad18d9f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:34:\"field.field.user.user.user_picture\";i:1;s:21:\"image.style.thumbnail\";}s:6:\"module\";a:2:{i:0;s:5:\"image\";i:1;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"L2mtwGWH_7wDRCMIR4r_Iu_jmvQ10DV1L8ht8iNZ5qY\";}s:2:\"id\";s:17:\"user.user.default\";s:16:\"targetEntityType\";s:4:\"user\";s:6:\"bundle\";s:4:\"user\";s:4:\"mode\";s:7:\"default\";s:7:\"content\";a:2:{s:10:\"member_for\";a:4:{s:6:\"weight\";i:5;s:6:\"region\";s:7:\"content\";s:8:\"settings\";a:0:{}s:20:\"third_party_settings\";a:0:{}}s:12:\"user_picture\";a:6:{s:4:\"type\";s:5:\"image\";s:6:\"weight\";i:0;s:8:\"settings\";a:2:{s:11:\"image_style\";s:9:\"thumbnail\";s:10:\"image_link\";s:7:\"content\";}s:20:\"third_party_settings\";a:0:{}s:5:\"label\";s:6:\"hidden\";s:6:\"region\";s:7:\"content\";}}s:6:\"hidden\";a:2:{s:8:\"langcode\";b:1;s:10:\"simplenews\";b:1;}}'),('','core.entity_view_mode.block.token','a:8:{s:4:\"uuid\";s:36:\"21310d1e-472a-4623-8336-ae04a450c9b6\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:5:\"block\";}}s:2:\"id\";s:11:\"block.token\";s:5:\"label\";s:5:\"Token\";s:16:\"targetEntityType\";s:5:\"block\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.block_content.full','a:9:{s:4:\"uuid\";s:36:\"a4ac9bda-198f-43bc-a947-1a2f4058351c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:13:\"block_content\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"4tedlMuvQjDOdvHdw86_e-2Rt78aR7TGFMfOK8Ejppg\";}s:2:\"id\";s:18:\"block_content.full\";s:5:\"label\";s:4:\"Full\";s:16:\"targetEntityType\";s:13:\"block_content\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.block_content.token','a:8:{s:4:\"uuid\";s:36:\"1e28e7b1-2b2e-4714-b87a-ba8517c6505c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:13:\"block_content\";}}s:2:\"id\";s:19:\"block_content.token\";s:5:\"label\";s:5:\"Token\";s:16:\"targetEntityType\";s:13:\"block_content\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.comment.full','a:9:{s:4:\"uuid\";s:36:\"e7b2fc96-4cfc-4145-8384-f0593aceaf63\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:7:\"comment\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"K7eNlfU7NEUajz01wItywZklr2oaPgL6s1_97fmDXLA\";}s:2:\"id\";s:12:\"comment.full\";s:5:\"label\";s:12:\"Full comment\";s:16:\"targetEntityType\";s:7:\"comment\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.comment.token','a:8:{s:4:\"uuid\";s:36:\"1e63c648-ea0c-4c85-9b8d-7cba9ed36d08\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:7:\"comment\";}}s:2:\"id\";s:13:\"comment.token\";s:5:\"label\";s:5:\"Token\";s:16:\"targetEntityType\";s:7:\"comment\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.contact_message.token','a:8:{s:4:\"uuid\";s:36:\"ff589cba-3995-4b9f-ae88-f0ea4eff90ff\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:7:\"contact\";}}s:2:\"id\";s:21:\"contact_message.token\";s:5:\"label\";s:5:\"Token\";s:16:\"targetEntityType\";s:15:\"contact_message\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.file.token','a:8:{s:4:\"uuid\";s:36:\"79a84e8c-7d6d-4910-a4ba-f548fece6d24\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"file\";}}s:2:\"id\";s:10:\"file.token\";s:5:\"label\";s:5:\"Token\";s:16:\"targetEntityType\";s:4:\"file\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.menu_link_content.token','a:8:{s:4:\"uuid\";s:36:\"37d1a394-5d96-4872-a4e8-8d4d2d085f0e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:17:\"menu_link_content\";}}s:2:\"id\";s:23:\"menu_link_content.token\";s:5:\"label\";s:5:\"Token\";s:16:\"targetEntityType\";s:17:\"menu_link_content\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.node.email_html','a:9:{s:4:\"uuid\";s:36:\"b240fc1f-30f7-4d0d-876c-cf5c44e4dbf5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:2:{s:8:\"enforced\";a:1:{s:6:\"module\";a:1:{i:0;s:10:\"simplenews\";}}s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"iQNOEsNlbBFbVMOoSwtfUd8YC0XpRLzTjXv48HYfxwE\";}s:2:\"id\";s:15:\"node.email_html\";s:5:\"label\";s:11:\"Email: HTML\";s:16:\"targetEntityType\";s:4:\"node\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.node.email_plain','a:9:{s:4:\"uuid\";s:36:\"6c74b1f8-f113-4940-a6c1-58332c377bd6\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:2:{s:8:\"enforced\";a:1:{s:6:\"module\";a:1:{i:0;s:10:\"simplenews\";}}s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"rCDGCl6pMFu6zZuErLQggKvmawfFDysFcZNCDL72U4M\";}s:2:\"id\";s:16:\"node.email_plain\";s:5:\"label\";s:12:\"Email: Plain\";s:16:\"targetEntityType\";s:4:\"node\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.node.email_textalt','a:9:{s:4:\"uuid\";s:36:\"b7c20b42-33c6-43a4-96fe-8619f28fd96a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:2:{s:8:\"enforced\";a:1:{s:6:\"module\";a:1:{i:0;s:10:\"simplenews\";}}s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"3VUPDEGmxWyAGCr0U_RTGoPS3xmNiOj3NU0wy4vxgwI\";}s:2:\"id\";s:18:\"node.email_textalt\";s:5:\"label\";s:28:\"Email: HTML text alternative\";s:16:\"targetEntityType\";s:4:\"node\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.node.full','a:9:{s:4:\"uuid\";s:36:\"651b023b-49de-4c40-9cf2-71170d3cd709\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"ElrtInxGjZd7GaapJ5O9n-ugi2hG2IxFivtgn0tHOsk\";}s:2:\"id\";s:9:\"node.full\";s:5:\"label\";s:12:\"Full content\";s:16:\"targetEntityType\";s:4:\"node\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.node.rss','a:9:{s:4:\"uuid\";s:36:\"ab44ddff-9f3b-4b89-9f6f-8601dacc16f0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"vlYzr-rp2f9NMp-Qlr4sFjlqRq-90mco5-afLNGwCrU\";}s:2:\"id\";s:8:\"node.rss\";s:5:\"label\";s:3:\"RSS\";s:16:\"targetEntityType\";s:4:\"node\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.node.search_index','a:9:{s:4:\"uuid\";s:36:\"34d350ab-2db4-480d-a608-2536c67ba343\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"fVFfJv_GzBRE-wpRHbfD5a3VjnhbEOXG6lvRd3uaccY\";}s:2:\"id\";s:17:\"node.search_index\";s:5:\"label\";s:12:\"Search index\";s:16:\"targetEntityType\";s:4:\"node\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.node.search_result','a:9:{s:4:\"uuid\";s:36:\"322e223e-e9da-4f41-8de1-02492ebd3cb8\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"6GCOQ-jP2RbdbHA5YWQ6bT8CfGbqrBYKOSC_XY4E3ZM\";}s:2:\"id\";s:18:\"node.search_result\";s:5:\"label\";s:32:\"Search result highlighting input\";s:16:\"targetEntityType\";s:4:\"node\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.node.teaser','a:9:{s:4:\"uuid\";s:36:\"026a8761-bc16-4de5-bff7-37e0c0c7be8e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"Mz9qWr1kUYK0mjRAGDsr5XS6PvtZ24en_7ndt-pyWe4\";}s:2:\"id\";s:11:\"node.teaser\";s:5:\"label\";s:6:\"Teaser\";s:16:\"targetEntityType\";s:4:\"node\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.node.token','a:8:{s:4:\"uuid\";s:36:\"4fc3c08f-567d-415a-be2d-b84db5f7283c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:10:\"node.token\";s:5:\"label\";s:5:\"Token\";s:16:\"targetEntityType\";s:4:\"node\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.shortcut.token','a:8:{s:4:\"uuid\";s:36:\"170950bf-7d2d-44a7-9b71-4356798ade52\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:8:\"shortcut\";}}s:2:\"id\";s:14:\"shortcut.token\";s:5:\"label\";s:5:\"Token\";s:16:\"targetEntityType\";s:8:\"shortcut\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.taxonomy_term.full','a:9:{s:4:\"uuid\";s:36:\"9cce7646-9f8c-4000-9317-81242a77e183\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:8:\"taxonomy\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"-PPKjsNQPvoIDjOuUAvlLocYD976MNjb9Zpgyz5_BWE\";}s:2:\"id\";s:18:\"taxonomy_term.full\";s:5:\"label\";s:18:\"Taxonomy term page\";s:16:\"targetEntityType\";s:13:\"taxonomy_term\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.taxonomy_term.token','a:8:{s:4:\"uuid\";s:36:\"4b62e7f3-e70b-4de4-bfd9-f77daa493d80\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:8:\"taxonomy\";}}s:2:\"id\";s:19:\"taxonomy_term.token\";s:5:\"label\";s:5:\"Token\";s:16:\"targetEntityType\";s:13:\"taxonomy_term\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.tour.token','a:8:{s:4:\"uuid\";s:36:\"3371dda6-434b-411f-a6ed-1d0d88529d67\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"tour\";}}s:2:\"id\";s:10:\"tour.token\";s:5:\"label\";s:5:\"Token\";s:16:\"targetEntityType\";s:4:\"tour\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.user.compact','a:9:{s:4:\"uuid\";s:36:\"79198018-bf67-4ae7-a786-86e30e0fc2fd\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"71CSAr_LNPcgu6D6jI4INl1KATkahmeyUFBETAWya8g\";}s:2:\"id\";s:12:\"user.compact\";s:5:\"label\";s:7:\"Compact\";s:16:\"targetEntityType\";s:4:\"user\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.user.full','a:9:{s:4:\"uuid\";s:36:\"99237fee-d81d-423f-bcc0-7ac477f27595\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"mQIF_foYjmnVSr9MpcD4CTaJE_FpO1AyDd_DskztGhM\";}s:2:\"id\";s:9:\"user.full\";s:5:\"label\";s:12:\"User account\";s:16:\"targetEntityType\";s:4:\"user\";s:5:\"cache\";b:1;}'),('','core.entity_view_mode.user.token','a:8:{s:4:\"uuid\";s:36:\"9d4a4f31-0332-4f48-89e6-d1a0de7951f4\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:2:\"id\";s:10:\"user.token\";s:5:\"label\";s:5:\"Token\";s:16:\"targetEntityType\";s:4:\"user\";s:5:\"cache\";b:1;}'),('','core.extension','a:4:{s:6:\"module\";a:63:{s:13:\"admin_toolbar\";i:0;s:20:\"admin_toolbar_search\";i:0;s:19:\"admin_toolbar_tools\";i:0;s:14:\"automated_cron\";i:0;s:5:\"block\";i:0;s:11:\"block_class\";i:0;s:13:\"block_content\";i:0;s:10:\"breakpoint\";i:0;s:8:\"ckeditor\";i:0;s:5:\"color\";i:0;s:8:\"colorbox\";i:0;s:7:\"comment\";i:0;s:6:\"config\";i:0;s:18:\"config_translation\";i:0;s:7:\"contact\";i:0;s:19:\"content_translation\";i:0;s:10:\"contextual\";i:0;s:6:\"ctools\";i:0;s:8:\"datetime\";i:0;s:5:\"dblog\";i:0;s:18:\"dynamic_page_cache\";i:0;s:6:\"editor\";i:0;s:5:\"field\";i:0;s:8:\"field_ui\";i:0;s:4:\"file\";i:0;s:6:\"filter\";i:0;s:4:\"help\";i:0;s:7:\"history\";i:0;s:5:\"image\";i:0;s:8:\"language\";i:0;s:9:\"libraries\";i:0;s:4:\"link\";i:0;s:6:\"locale\";i:0;s:20:\"menu_link_attributes\";i:0;s:7:\"menu_ui\";i:0;s:4:\"node\";i:0;s:10:\"node_class\";i:0;s:7:\"options\";i:0;s:10:\"page_cache\";i:0;s:4:\"path\";i:0;s:10:\"path_alias\";i:0;s:9:\"quickedit\";i:0;s:3:\"rdf\";i:0;s:16:\"responsive_image\";i:0;s:6:\"search\";i:0;s:9:\"sharethis\";i:0;s:8:\"shortcut\";i:0;s:10:\"simplenews\";i:0;s:6:\"system\";i:0;s:8:\"taxonomy\";i:0;s:4:\"text\";i:0;s:5:\"token\";i:0;s:7:\"toolbar\";i:0;s:4:\"tour\";i:0;s:6:\"update\";i:0;s:4:\"user\";i:0;s:17:\"video_embed_field\";i:0;s:8:\"views_ui\";i:0;s:11:\"we_megamenu\";i:0;s:17:\"menu_link_content\";i:1;s:8:\"pathauto\";i:1;s:5:\"views\";i:10;s:8:\"standard\";i:1000;}s:5:\"theme\";a:5:{s:6:\"stable\";i:0;s:6:\"classy\";i:0;s:6:\"bartik\";i:0;s:5:\"seven\";i:0;s:9:\"luxestate\";i:0;}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"m2GVq11UAOVuNgj8x0t5fMOPujpvQQ_zxLoaly1BMEU\";}s:7:\"profile\";s:8:\"standard\";}'),('','core.menu.static_menu_link_overrides','a:2:{s:11:\"definitions\";a:3:{s:18:\"contact__site_page\";a:5:{s:7:\"enabled\";b:1;s:9:\"menu_name\";s:6:\"footer\";s:6:\"parent\";s:0:\"\";s:6:\"weight\";i:0;s:8:\"expanded\";b:0;}s:20:\"standard__front_page\";a:5:{s:6:\"weight\";i:-50;s:9:\"menu_name\";s:4:\"main\";s:6:\"parent\";s:0:\"\";s:8:\"expanded\";b:0;s:7:\"enabled\";b:1;}s:10:\"user__page\";a:5:{s:9:\"menu_name\";s:7:\"account\";s:6:\"parent\";s:0:\"\";s:6:\"weight\";i:-10;s:8:\"expanded\";b:0;s:7:\"enabled\";b:1;}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"jdY7AU0tU-QsjmiOw3W8vwpYMb-By--_MSFgbqKUTYM\";}}'),('','dblog.settings','a:2:{s:9:\"row_limit\";i:1000;s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"e883aGsrt1wFrsydlYU584PZONCSfRy0DtkZ9KzHb58\";}}'),('','editor.editor.basic_html','a:9:{s:4:\"uuid\";s:36:\"6f9461fb-2138-4a10-9f44-c84e13b13495\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:24:\"filter.format.basic_html\";}s:6:\"module\";a:1:{i:0;s:8:\"ckeditor\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"AqlPmO16LvJI4D0Ih6u4GFQIzqr5OnLgAUSjcUGWk2g\";}s:6:\"format\";s:10:\"basic_html\";s:6:\"editor\";s:8:\"ckeditor\";s:8:\"settings\";a:2:{s:7:\"toolbar\";a:1:{s:4:\"rows\";a:1:{i:0;a:6:{i:0;a:2:{s:4:\"name\";s:10:\"Formatting\";s:5:\"items\";a:2:{i:0;s:4:\"Bold\";i:1;s:6:\"Italic\";}}i:1;a:2:{s:4:\"name\";s:7:\"Linking\";s:5:\"items\";a:2:{i:0;s:10:\"DrupalLink\";i:1;s:12:\"DrupalUnlink\";}}i:2;a:2:{s:4:\"name\";s:5:\"Lists\";s:5:\"items\";a:2:{i:0;s:12:\"BulletedList\";i:1;s:12:\"NumberedList\";}}i:3;a:2:{s:4:\"name\";s:5:\"Media\";s:5:\"items\";a:2:{i:0;s:10:\"Blockquote\";i:1;s:11:\"DrupalImage\";}}i:4;a:2:{s:4:\"name\";s:16:\"Block Formatting\";s:5:\"items\";a:1:{i:0;s:6:\"Format\";}}i:5;a:2:{s:4:\"name\";s:5:\"Tools\";s:5:\"items\";a:1:{i:0;s:6:\"Source\";}}}}}s:7:\"plugins\";a:1:{s:11:\"stylescombo\";a:1:{s:6:\"styles\";s:0:\"\";}}}s:12:\"image_upload\";a:5:{s:6:\"status\";b:1;s:6:\"scheme\";s:6:\"public\";s:9:\"directory\";s:13:\"inline-images\";s:8:\"max_size\";s:0:\"\";s:14:\"max_dimensions\";a:2:{s:5:\"width\";i:0;s:6:\"height\";i:0;}}}'),('','editor.editor.full_html','a:9:{s:4:\"uuid\";s:36:\"bf57c16d-4f10-4dda-ba52-74d3d163e2be\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:23:\"filter.format.full_html\";}s:6:\"module\";a:1:{i:0;s:8:\"ckeditor\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"967ijj7p6i7rwrYl7r08WQFeCY_c23YAh0h8u-w_CXM\";}s:6:\"format\";s:9:\"full_html\";s:6:\"editor\";s:8:\"ckeditor\";s:8:\"settings\";a:2:{s:7:\"toolbar\";a:1:{s:4:\"rows\";a:1:{i:0;a:6:{i:0;a:2:{s:4:\"name\";s:10:\"Formatting\";s:5:\"items\";a:7:{i:0;s:4:\"Bold\";i:1;s:6:\"Italic\";i:2;s:6:\"Strike\";i:3;s:11:\"Superscript\";i:4;s:9:\"Subscript\";i:5;s:1:\"-\";i:6;s:12:\"RemoveFormat\";}}i:1;a:2:{s:4:\"name\";s:7:\"Linking\";s:5:\"items\";a:2:{i:0;s:10:\"DrupalLink\";i:1;s:12:\"DrupalUnlink\";}}i:2;a:2:{s:4:\"name\";s:5:\"Lists\";s:5:\"items\";a:2:{i:0;s:12:\"BulletedList\";i:1;s:12:\"NumberedList\";}}i:3;a:2:{s:4:\"name\";s:5:\"Media\";s:5:\"items\";a:4:{i:0;s:10:\"Blockquote\";i:1;s:11:\"DrupalImage\";i:2;s:5:\"Table\";i:3;s:14:\"HorizontalRule\";}}i:4;a:2:{s:4:\"name\";s:16:\"Block Formatting\";s:5:\"items\";a:1:{i:0;s:6:\"Format\";}}i:5;a:2:{s:4:\"name\";s:5:\"Tools\";s:5:\"items\";a:2:{i:0;s:10:\"ShowBlocks\";i:1;s:6:\"Source\";}}}}}s:7:\"plugins\";a:2:{s:8:\"language\";a:1:{s:13:\"language_list\";s:2:\"un\";}s:11:\"stylescombo\";a:1:{s:6:\"styles\";s:0:\"\";}}}s:12:\"image_upload\";a:5:{s:6:\"status\";b:1;s:6:\"scheme\";s:6:\"public\";s:9:\"directory\";s:13:\"inline-images\";s:8:\"max_size\";s:0:\"\";s:14:\"max_dimensions\";a:2:{s:5:\"width\";N;s:6:\"height\";N;}}}'),('','field.field.block_content.basic.body','a:17:{s:4:\"uuid\";s:36:\"617fc148-b825-49eb-a0f8-1c795ecd7ea6\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:24:\"block_content.type.basic\";i:1;s:32:\"field.storage.block_content.body\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"R__6wc-rMfFMO8d7jcgqnqiA92j8spKhcc5MiqecrMc\";}s:2:\"id\";s:24:\"block_content.basic.body\";s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";s:5:\"basic\";s:5:\"label\";s:4:\"Body\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:15:\"display_summary\";b:0;s:16:\"required_summary\";b:0;}s:10:\"field_type\";s:17:\"text_with_summary\";}'),('','field.field.comment.comment.comment_body','a:17:{s:4:\"uuid\";s:36:\"963c436d-85aa-4b14-97bc-05d7813594bc\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:20:\"comment.type.comment\";i:1;s:34:\"field.storage.comment.comment_body\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"TmAKjNrJ7RR60YpqvJq_QqEewYe_S8Kd23n8VRCqiWs\";}s:2:\"id\";s:28:\"comment.comment.comment_body\";s:10:\"field_name\";s:12:\"comment_body\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";s:7:\"comment\";s:5:\"label\";s:7:\"Comment\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:9:\"text_long\";}'),('','field.field.node.article.body','a:17:{s:4:\"uuid\";s:36:\"8535255e-3824-4bb3-9164-fba7825bdb3b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:23:\"field.storage.node.body\";i:1;s:17:\"node.type.article\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"Ay3b2hq42cpQTFB_lNu8S2ZxuVIY6-dlBsc7vLeJ-YY\";}s:2:\"id\";s:17:\"node.article.body\";s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:7:\"article\";s:5:\"label\";s:4:\"Body\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:15:\"display_summary\";b:1;s:16:\"required_summary\";b:0;}s:10:\"field_type\";s:17:\"text_with_summary\";}'),('','field.field.node.article.comment','a:17:{s:4:\"uuid\";s:36:\"d022d48f-52dc-4609-8898-515da38879ec\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:26:\"field.storage.node.comment\";i:1;s:17:\"node.type.article\";}s:6:\"module\";a:1:{i:0;s:7:\"comment\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"szSOp-8eNsMcuh8usDre1x76RhDKaPhNUuwzRX5cgv4\";}s:2:\"id\";s:20:\"node.article.comment\";s:10:\"field_name\";s:7:\"comment\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:7:\"article\";s:5:\"label\";s:8:\"Comments\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:1;s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:6:{s:6:\"status\";i:2;s:3:\"cid\";i:0;s:17:\"last_comment_name\";N;s:22:\"last_comment_timestamp\";i:0;s:16:\"last_comment_uid\";i:0;s:13:\"comment_count\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:5:{s:12:\"default_mode\";i:1;s:8:\"per_page\";i:50;s:13:\"form_location\";b:1;s:9:\"anonymous\";i:0;s:7:\"preview\";i:1;}s:10:\"field_type\";s:7:\"comment\";}'),('','field.field.node.article.field_banner','a:17:{s:4:\"uuid\";s:36:\"0d775f34-813a-4f1b-832e-e3ff7f10e6e0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:31:\"field.storage.node.field_banner\";i:1;s:17:\"node.type.article\";}s:6:\"module\";a:2:{i:0;s:19:\"content_translation\";i:1;s:5:\"image\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:16:\"translation_sync\";a:3:{s:3:\"alt\";s:3:\"alt\";s:5:\"title\";s:5:\"title\";s:4:\"file\";s:1:\"0\";}}}s:2:\"id\";s:25:\"node.article.field_banner\";s:10:\"field_name\";s:12:\"field_banner\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:7:\"article\";s:5:\"label\";s:6:\"Banner\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:12:{s:14:\"file_directory\";s:12:\"field/banner\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:18:\"alt_field_required\";b:0;s:11:\"title_field\";b:1;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}}s:10:\"field_type\";s:5:\"image\";}'),('','field.field.node.article.field_image','a:18:{s:4:\"uuid\";s:36:\"5cd96fc2-a268-4565-acbb-47d1d7a661dc\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:30:\"field.storage.node.field_image\";i:1;s:17:\"node.type.article\";}s:6:\"module\";a:2:{i:0;s:19:\"content_translation\";i:1;s:5:\"image\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:16:\"translation_sync\";a:3:{s:3:\"alt\";s:3:\"alt\";s:5:\"title\";s:5:\"title\";s:4:\"file\";s:1:\"0\";}}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"tgJzhA7Swh4M_gWU5FwFe5lPxPj5rebpMbvhpdNrERs\";}s:2:\"id\";s:24:\"node.article.field_image\";s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:7:\"article\";s:5:\"label\";s:5:\"Image\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:12:{s:14:\"file_directory\";s:31:\"[date:custom:Y]-[date:custom:m]\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:11:\"title_field\";b:0;s:18:\"alt_field_required\";b:1;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";N;s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}}s:10:\"field_type\";s:5:\"image\";}'),('','field.field.node.article.field_su','a:16:{s:4:\"uuid\";s:36:\"838268ab-2a51-4c16-8fda-aea368e2c03b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:27:\"field.storage.node.field_su\";i:1;s:17:\"node.type.article\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:21:\"node.article.field_su\";s:10:\"field_name\";s:8:\"field_su\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:7:\"article\";s:5:\"label\";s:7:\"Summary\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:9:\"text_long\";}'),('','field.field.node.article.field_tags','a:17:{s:4:\"uuid\";s:36:\"2db5574a-d8e5-4f25-89f8-bad82b3f89a4\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:3:{i:0;s:29:\"field.storage.node.field_tags\";i:1;s:17:\"node.type.article\";i:2;s:24:\"taxonomy.vocabulary.tags\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"QdUgf_beeoaPiyKorFv0q1fcJpWH_uZTqe_xoVJacrw\";}s:2:\"id\";s:23:\"node.article.field_tags\";s:10:\"field_name\";s:10:\"field_tags\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:7:\"article\";s:5:\"label\";s:4:\"Tags\";s:11:\"description\";s:84:\"Enter a comma-separated list. For example: Amsterdam, Mexico City, \"Cleveland, Ohio\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:7:\"handler\";s:21:\"default:taxonomy_term\";s:16:\"handler_settings\";a:3:{s:14:\"target_bundles\";a:1:{s:4:\"tags\";s:4:\"tags\";}s:4:\"sort\";a:1:{s:5:\"field\";s:5:\"_none\";}s:11:\"auto_create\";b:1;}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','field.field.node.banner.body','a:16:{s:4:\"uuid\";s:36:\"7ebb332b-5502-40e1-b3e7-69a45afe4b84\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:23:\"field.storage.node.body\";i:1;s:16:\"node.type.banner\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:16:\"node.banner.body\";s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:6:\"banner\";s:5:\"label\";s:17:\"Short description\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:15:\"display_summary\";b:1;s:16:\"required_summary\";b:0;}s:10:\"field_type\";s:17:\"text_with_summary\";}'),('','field.field.node.banner.field_banner_title','a:16:{s:4:\"uuid\";s:36:\"3c51716a-2a87-4c86-baaf-bb758019980d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:2:{i:0;s:37:\"field.storage.node.field_banner_title\";i:1;s:16:\"node.type.banner\";}}s:2:\"id\";s:30:\"node.banner.field_banner_title\";s:10:\"field_name\";s:18:\"field_banner_title\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:6:\"banner\";s:5:\"label\";s:12:\"Banner title\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:11:\"string_long\";}'),('','field.field.node.banner.field_image','a:16:{s:4:\"uuid\";s:36:\"8099a257-5265-484c-90c8-eb10f94e5104\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:30:\"field.storage.node.field_image\";i:1;s:16:\"node.type.banner\";}s:6:\"module\";a:1:{i:0;s:5:\"image\";}}s:2:\"id\";s:23:\"node.banner.field_image\";s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:6:\"banner\";s:5:\"label\";s:6:\"Banner\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:12:{s:14:\"file_directory\";s:12:\"field/banner\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:18:\"alt_field_required\";b:0;s:11:\"title_field\";b:1;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}}s:10:\"field_type\";s:5:\"image\";}'),('','field.field.node.banner.field_type','a:16:{s:4:\"uuid\";s:36:\"f7f01996-237c-46f7-b3dc-8f5acec7245d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:29:\"field.storage.node.field_type\";i:1;s:16:\"node.type.banner\";}s:6:\"module\";a:1:{i:0;s:7:\"options\";}}s:2:\"id\";s:22:\"node.banner.field_type\";s:10:\"field_name\";s:10:\"field_type\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:6:\"banner\";s:5:\"label\";s:4:\"Type\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:11:\"list_string\";}'),('','field.field.node.blog.body','a:16:{s:4:\"uuid\";s:36:\"f88faf78-0644-43b4-91fc-77f58f3a76b0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:23:\"field.storage.node.body\";i:1;s:14:\"node.type.blog\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:14:\"node.blog.body\";s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"blog\";s:5:\"label\";s:4:\"Body\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:15:\"display_summary\";b:1;s:16:\"required_summary\";b:0;}s:10:\"field_type\";s:17:\"text_with_summary\";}'),('','field.field.node.blog.comment','a:16:{s:4:\"uuid\";s:36:\"23ecfb1a-3ea9-4143-afca-bfabb30ea05e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:26:\"field.storage.node.comment\";i:1;s:14:\"node.type.blog\";}s:6:\"module\";a:1:{i:0;s:7:\"comment\";}}s:2:\"id\";s:17:\"node.blog.comment\";s:10:\"field_name\";s:7:\"comment\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"blog\";s:5:\"label\";s:8:\"Comments\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:6:{s:6:\"status\";i:2;s:3:\"cid\";i:0;s:22:\"last_comment_timestamp\";i:0;s:17:\"last_comment_name\";N;s:16:\"last_comment_uid\";i:0;s:13:\"comment_count\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:5:{s:12:\"default_mode\";i:1;s:8:\"per_page\";i:50;s:9:\"anonymous\";i:0;s:13:\"form_location\";b:1;s:7:\"preview\";i:1;}s:10:\"field_type\";s:7:\"comment\";}'),('','field.field.node.blog.field_image','a:17:{s:4:\"uuid\";s:36:\"f3cc3618-60b4-4e4c-aabe-fbcd3a2d6d90\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:30:\"field.storage.node.field_image\";i:1;s:14:\"node.type.blog\";}s:6:\"module\";a:2:{i:0;s:19:\"content_translation\";i:1;s:5:\"image\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:16:\"translation_sync\";a:3:{s:3:\"alt\";s:3:\"alt\";s:5:\"title\";s:5:\"title\";s:4:\"file\";s:1:\"0\";}}}s:2:\"id\";s:21:\"node.blog.field_image\";s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"blog\";s:5:\"label\";s:5:\"Image\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:12:{s:14:\"file_directory\";s:10:\"field/blog\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:18:\"alt_field_required\";b:0;s:11:\"title_field\";b:1;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}}s:10:\"field_type\";s:5:\"image\";}'),('','field.field.node.blog.field_slideshow','a:17:{s:4:\"uuid\";s:36:\"29727e2e-df46-488a-a810-f11ea23511e5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:34:\"field.storage.node.field_slideshow\";i:1;s:14:\"node.type.blog\";}s:6:\"module\";a:2:{i:0;s:19:\"content_translation\";i:1;s:5:\"image\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:16:\"translation_sync\";a:3:{s:3:\"alt\";s:3:\"alt\";s:5:\"title\";s:5:\"title\";s:4:\"file\";s:1:\"0\";}}}s:2:\"id\";s:25:\"node.blog.field_slideshow\";s:10:\"field_name\";s:15:\"field_slideshow\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"blog\";s:5:\"label\";s:9:\"Slideshow\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:12:{s:14:\"file_directory\";s:15:\"field/slideshow\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:18:\"alt_field_required\";b:0;s:11:\"title_field\";b:1;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}}s:10:\"field_type\";s:5:\"image\";}'),('','field.field.node.blog.field_tags','a:16:{s:4:\"uuid\";s:36:\"328b7f74-1b58-4d96-a5ca-97070084fa91\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:3:{i:0;s:29:\"field.storage.node.field_tags\";i:1;s:14:\"node.type.blog\";i:2;s:24:\"taxonomy.vocabulary.tags\";}}s:2:\"id\";s:20:\"node.blog.field_tags\";s:10:\"field_name\";s:10:\"field_tags\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"blog\";s:5:\"label\";s:4:\"Tags\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:7:\"handler\";s:21:\"default:taxonomy_term\";s:16:\"handler_settings\";a:4:{s:14:\"target_bundles\";a:1:{s:4:\"tags\";s:4:\"tags\";}s:4:\"sort\";a:1:{s:5:\"field\";s:5:\"_none\";}s:11:\"auto_create\";b:0;s:18:\"auto_create_bundle\";s:0:\"\";}}s:10:\"field_type\";s:16:\"entity_reference\";}'),('','field.field.node.blog.field_video','a:16:{s:4:\"uuid\";s:36:\"02c3e309-16ad-4a27-b424-3379ed09e32f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:30:\"field.storage.node.field_video\";i:1;s:14:\"node.type.blog\";}s:6:\"module\";a:1:{i:0;s:17:\"video_embed_field\";}}s:2:\"id\";s:21:\"node.blog.field_video\";s:10:\"field_name\";s:11:\"field_video\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"blog\";s:5:\"label\";s:5:\"Video\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:1:{s:17:\"allowed_providers\";a:3:{s:5:\"vimeo\";s:5:\"vimeo\";s:7:\"youtube\";s:7:\"youtube\";s:16:\"youtube_playlist\";s:1:\"0\";}}s:10:\"field_type\";s:17:\"video_embed_field\";}'),('','field.field.node.our_mission.body','a:16:{s:4:\"uuid\";s:36:\"40793a2c-16a2-4f41-9b28-6d1b631497bf\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:23:\"field.storage.node.body\";i:1;s:21:\"node.type.our_mission\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:21:\"node.our_mission.body\";s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:11:\"our_mission\";s:5:\"label\";s:4:\"Body\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:15:\"display_summary\";b:1;s:16:\"required_summary\";b:0;}s:10:\"field_type\";s:17:\"text_with_summary\";}'),('','field.field.node.our_mission.field_image','a:16:{s:4:\"uuid\";s:36:\"51baa96d-12fb-45f4-8e4c-889896ac394d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:30:\"field.storage.node.field_image\";i:1;s:21:\"node.type.our_mission\";}s:6:\"module\";a:1:{i:0;s:5:\"image\";}}s:2:\"id\";s:28:\"node.our_mission.field_image\";s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:11:\"our_mission\";s:5:\"label\";s:5:\"Image\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:12:{s:14:\"file_directory\";s:17:\"field/our_mission\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:18:\"alt_field_required\";b:0;s:11:\"title_field\";b:1;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}}s:10:\"field_type\";s:5:\"image\";}'),('','field.field.node.our_services.body','a:16:{s:4:\"uuid\";s:36:\"9e0a03ef-8ad0-4c36-b505-bf6f9a56dcab\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:23:\"field.storage.node.body\";i:1;s:22:\"node.type.our_services\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:22:\"node.our_services.body\";s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:12:\"our_services\";s:5:\"label\";s:4:\"Body\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:15:\"display_summary\";b:1;s:16:\"required_summary\";b:0;}s:10:\"field_type\";s:17:\"text_with_summary\";}'),('','field.field.node.our_services.field_percent','a:16:{s:4:\"uuid\";s:36:\"fbfdc492-6233-4ca9-a11a-38b7957e4257\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:2:{i:0;s:32:\"field.storage.node.field_percent\";i:1;s:22:\"node.type.our_services\";}}s:2:\"id\";s:31:\"node.our_services.field_percent\";s:10:\"field_name\";s:13:\"field_percent\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:12:\"our_services\";s:5:\"label\";s:7:\"Percent\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:4:{s:3:\"min\";d:0;s:3:\"max\";d:100;s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:1:\"%\";}s:10:\"field_type\";s:5:\"float\";}'),('','field.field.node.page.body','a:17:{s:4:\"uuid\";s:36:\"5afd535f-4955-4738-b95d-c9eccf70e2d0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:23:\"field.storage.node.body\";i:1;s:14:\"node.type.page\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"rUop-8b6hvxxDYbv-KobTfNIBNbPY9qOPl8f6kBNSpw\";}s:2:\"id\";s:14:\"node.page.body\";s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"page\";s:5:\"label\";s:4:\"Body\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:15:\"display_summary\";b:1;s:16:\"required_summary\";b:0;}s:10:\"field_type\";s:17:\"text_with_summary\";}'),('','field.field.node.page.field_icon_class','a:16:{s:4:\"uuid\";s:36:\"5eab01ba-0567-43cf-9dbc-864792008222\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:2:{i:0;s:35:\"field.storage.node.field_icon_class\";i:1;s:14:\"node.type.page\";}}s:2:\"id\";s:26:\"node.page.field_icon_class\";s:10:\"field_name\";s:16:\"field_icon_class\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:4:\"page\";s:5:\"label\";s:10:\"Icon class\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:6:\"string\";}'),('','field.field.node.partners.body','a:16:{s:4:\"uuid\";s:36:\"2d693a5a-f25e-47fc-be01-15b07589ebd5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:23:\"field.storage.node.body\";i:1;s:18:\"node.type.partners\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:18:\"node.partners.body\";s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:8:\"partners\";s:5:\"label\";s:4:\"Body\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:15:\"display_summary\";b:1;s:16:\"required_summary\";b:0;}s:10:\"field_type\";s:17:\"text_with_summary\";}'),('','field.field.node.partners.field_link','a:16:{s:4:\"uuid\";s:36:\"1b46fda6-bf86-4cb4-b5e8-3bdb73899123\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:29:\"field.storage.node.field_link\";i:1;s:18:\"node.type.partners\";}s:6:\"module\";a:1:{i:0;s:4:\"link\";}}s:2:\"id\";s:24:\"node.partners.field_link\";s:10:\"field_name\";s:10:\"field_link\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:8:\"partners\";s:5:\"label\";s:4:\"Link\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:9:\"link_type\";i:17;s:5:\"title\";i:1;}s:10:\"field_type\";s:4:\"link\";}'),('','field.field.node.partners.field_partners','a:16:{s:4:\"uuid\";s:36:\"c5c621d8-c239-44fa-8585-9625710009f3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:33:\"field.storage.node.field_partners\";i:1;s:18:\"node.type.partners\";}s:6:\"module\";a:1:{i:0;s:5:\"image\";}}s:2:\"id\";s:28:\"node.partners.field_partners\";s:10:\"field_name\";s:14:\"field_partners\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:8:\"partners\";s:5:\"label\";s:8:\"Partners\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:12:{s:14:\"file_directory\";s:14:\"field/partners\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:18:\"alt_field_required\";b:0;s:11:\"title_field\";b:1;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}}s:10:\"field_type\";s:5:\"image\";}'),('','field.field.node.portfolio.body','a:16:{s:4:\"uuid\";s:36:\"64091b85-f7dc-4af0-a67b-d5412e5617c5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:23:\"field.storage.node.body\";i:1;s:19:\"node.type.portfolio\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:19:\"node.portfolio.body\";s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:9:\"portfolio\";s:5:\"label\";s:4:\"Body\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:15:\"display_summary\";b:1;s:16:\"required_summary\";b:0;}s:10:\"field_type\";s:17:\"text_with_summary\";}'),('','field.field.node.portfolio.field_gallery','a:16:{s:4:\"uuid\";s:36:\"b59f96e5-9c60-4b17-be0b-1d9507ee63e6\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:32:\"field.storage.node.field_gallery\";i:1;s:19:\"node.type.portfolio\";}s:6:\"module\";a:1:{i:0;s:5:\"image\";}}s:2:\"id\";s:28:\"node.portfolio.field_gallery\";s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:9:\"portfolio\";s:5:\"label\";s:7:\"Gallery\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:12:{s:14:\"file_directory\";s:13:\"field/gallery\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:18:\"alt_field_required\";b:0;s:11:\"title_field\";b:1;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}}s:10:\"field_type\";s:5:\"image\";}'),('','field.field.node.simplenews_issue.body','a:17:{s:4:\"uuid\";s:36:\"fa08d833-71d4-4634-be81-deb833e6be3e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:23:\"field.storage.node.body\";i:1;s:26:\"node.type.simplenews_issue\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"WmXguLYedqjDlEM-2yau5wACNAMvrbCVHXQUn4GQEDA\";}s:2:\"id\";s:26:\"node.simplenews_issue.body\";s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:16:\"simplenews_issue\";s:5:\"label\";s:4:\"Body\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:15:\"display_summary\";b:0;s:16:\"required_summary\";b:0;}s:10:\"field_type\";s:17:\"text_with_summary\";}'),('','field.field.node.simplenews_issue.simplenews_issue','a:17:{s:4:\"uuid\";s:36:\"767f9d7a-6ee4-4a54-bc98-d5419bd53a6d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:35:\"field.storage.node.simplenews_issue\";i:1;s:26:\"node.type.simplenews_issue\";}s:6:\"module\";a:1:{i:0;s:10:\"simplenews\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"7I8TFo87YOgsZYmlZeFxbC-uebIhSy0RGoSxIem8zUQ\";}s:2:\"id\";s:38:\"node.simplenews_issue.simplenews_issue\";s:10:\"field_name\";s:16:\"simplenews_issue\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:16:\"simplenews_issue\";s:5:\"label\";s:10:\"Newsletter\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:6:{s:9:\"target_id\";s:7:\"default\";s:7:\"handler\";s:14:\"simplenews_all\";s:16:\"handler_settings\";a:0:{}s:6:\"status\";i:0;s:10:\"sent_count\";i:0;s:11:\"subscribers\";i:0;}}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:7:\"handler\";s:29:\"default:simplenews_newsletter\";s:16:\"handler_settings\";a:1:{s:14:\"target_bundles\";N;}}s:10:\"field_type\";s:16:\"simplenews_issue\";}'),('','field.field.node.why_us.body','a:16:{s:4:\"uuid\";s:36:\"a54538db-ea2c-485a-bcec-dc37d879c449\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:23:\"field.storage.node.body\";i:1;s:16:\"node.type.why_us\";}s:6:\"module\";a:1:{i:0;s:4:\"text\";}}s:2:\"id\";s:16:\"node.why_us.body\";s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:6:\"why_us\";s:5:\"label\";s:4:\"Body\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:15:\"display_summary\";b:1;s:16:\"required_summary\";b:0;}s:10:\"field_type\";s:17:\"text_with_summary\";}'),('','field.field.node.why_us.field_why_us_type','a:16:{s:4:\"uuid\";s:36:\"c9aaa05c-1a36-4433-b956-719da4bd2794\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:36:\"field.storage.node.field_why_us_type\";i:1;s:16:\"node.type.why_us\";}s:6:\"module\";a:1:{i:0;s:7:\"options\";}}s:2:\"id\";s:29:\"node.why_us.field_why_us_type\";s:10:\"field_name\";s:17:\"field_why_us_type\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:6:\"why_us\";s:5:\"label\";s:11:\"Why us type\";s:11:\"description\";s:0:\"\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:0:{}s:10:\"field_type\";s:11:\"list_string\";}'),('','field.field.simplenews_subscriber.simplenews_subscriber.subscriptions','a:17:{s:4:\"uuid\";s:36:\"c266e9df-f450-4123-87ae-affd53fe6357\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:49:\"field.storage.simplenews_subscriber.subscriptions\";}s:6:\"module\";a:1:{i:0;s:10:\"simplenews\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"-FGoXJQMTtfhnYhAdYmmB815lFLwEn09sI0nyn2EbKM\";}s:2:\"id\";s:57:\"simplenews_subscriber.simplenews_subscriber.subscriptions\";s:10:\"field_name\";s:13:\"subscriptions\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";s:21:\"simplenews_subscriber\";s:5:\"label\";s:13:\"Subscriptions\";s:11:\"description\";s:24:\"We respect your privacy.\";s:8:\"required\";b:0;s:12:\"translatable\";b:0;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:2:{s:7:\"handler\";s:29:\"default:simplenews_newsletter\";s:16:\"handler_settings\";a:2:{s:14:\"target_bundles\";N;s:11:\"auto_create\";b:0;}}s:10:\"field_type\";s:23:\"simplenews_subscription\";}'),('','field.field.user.user.user_picture','a:18:{s:4:\"uuid\";s:36:\"e41371ef-0349-4e25-afc6-9bf888b580b4\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:31:\"field.storage.user.user_picture\";}s:6:\"module\";a:3:{i:0;s:19:\"content_translation\";i:1;s:5:\"image\";i:2;s:4:\"user\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:16:\"translation_sync\";a:3:{s:3:\"alt\";s:3:\"alt\";s:5:\"title\";s:5:\"title\";s:4:\"file\";s:1:\"0\";}}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"cL7i1kgJvlJa6H00f0E_fZ2KdD1ag0ASpLts0K-KNII\";}s:2:\"id\";s:22:\"user.user.user_picture\";s:10:\"field_name\";s:12:\"user_picture\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";s:4:\"user\";s:5:\"label\";s:7:\"Picture\";s:11:\"description\";s:29:\"Your virtual face or picture.\";s:8:\"required\";b:0;s:12:\"translatable\";b:1;s:13:\"default_value\";a:0:{}s:22:\"default_value_callback\";s:0:\"\";s:8:\"settings\";a:12:{s:14:\"file_directory\";s:40:\"pictures/[date:custom:Y]-[date:custom:m]\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:5:\"30 KB\";s:14:\"max_resolution\";s:7:\"250x250\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:0;s:18:\"alt_field_required\";b:0;s:11:\"title_field\";b:0;s:20:\"title_field_required\";b:0;s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:7:\"handler\";s:12:\"default:file\";s:16:\"handler_settings\";a:0:{}}s:10:\"field_type\";s:5:\"image\";}'),('','field.settings','a:2:{s:16:\"purge_batch_size\";i:50;s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"nJk0TAQBzlNo52ehiHI7bIEPLGi0BYqZvPdEn7Chfu0\";}}'),('','field.storage.block_content.body','a:17:{s:4:\"uuid\";s:36:\"376513d3-9d75-4403-b578-ad97f71231fa\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:13:\"block_content\";i:1;s:4:\"text\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"eS0snV_L3dx9shtWRTzm5eblwOJ7qKWC9IE-4GMTDFc\";}s:2:\"id\";s:18:\"block_content.body\";s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:13:\"block_content\";s:4:\"type\";s:17:\"text_with_summary\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:1;s:14:\"custom_storage\";b:0;}'),('','field.storage.comment.comment_body','a:17:{s:4:\"uuid\";s:36:\"9b748097-7a4f-464f-96c4-4aa975cb0c86\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:7:\"comment\";i:1;s:4:\"text\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"swYoCch_hY8QO5uwr4FURplfnUCUlpPB4idF8WGVCpw\";}s:2:\"id\";s:20:\"comment.comment_body\";s:10:\"field_name\";s:12:\"comment_body\";s:11:\"entity_type\";s:7:\"comment\";s:4:\"type\";s:9:\"text_long\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:1;s:14:\"custom_storage\";b:0;}'),('','field.storage.node.body','a:17:{s:4:\"uuid\";s:36:\"5b4f7200-9ce1-47fd-8771-3f4f0fe45388\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:4:\"text\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"EBUo7qOWqaiZaQ_RC9sLY5IoDKphS34v77VIHSACmVY\";}s:2:\"id\";s:9:\"node.body\";s:10:\"field_name\";s:4:\"body\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:17:\"text_with_summary\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:1;s:14:\"custom_storage\";b:0;}'),('','field.storage.node.comment','a:17:{s:4:\"uuid\";s:36:\"2664db21-7715-460e-85f4-70b5c70ba1bc\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:7:\"comment\";i:1;s:4:\"node\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"ktCna9xmWvYZIUfOCUyDQvedn5RtnS4CRmEIwNmvYjc\";}s:2:\"id\";s:12:\"node.comment\";s:10:\"field_name\";s:7:\"comment\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:7:\"comment\";s:8:\"settings\";a:1:{s:12:\"comment_type\";s:7:\"comment\";}s:6:\"module\";s:7:\"comment\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.node.field_banner','a:16:{s:4:\"uuid\";s:36:\"c66cc57d-76b7-4dc9-994b-f68c4bcf6e0d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:4:\"file\";i:1;s:5:\"image\";i:2;s:4:\"node\";}}s:2:\"id\";s:17:\"node.field_banner\";s:10:\"field_name\";s:12:\"field_banner\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.node.field_banner_title','a:16:{s:4:\"uuid\";s:36:\"5a5cb1c4-0b64-4ad6-931e-858dafc0789f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:23:\"node.field_banner_title\";s:10:\"field_name\";s:18:\"field_banner_title\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:11:\"string_long\";s:8:\"settings\";a:1:{s:14:\"case_sensitive\";b:0;}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.node.field_gallery','a:16:{s:4:\"uuid\";s:36:\"1517bdc8-d091-4e0f-8a1c-d287bd383250\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:4:\"file\";i:1;s:5:\"image\";i:2;s:4:\"node\";}}s:2:\"id\";s:18:\"node.field_gallery\";s:10:\"field_name\";s:13:\"field_gallery\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.node.field_icon_class','a:16:{s:4:\"uuid\";s:36:\"7779bda3-6dd2-4c89-ad2a-3b07a9adc912\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:21:\"node.field_icon_class\";s:10:\"field_name\";s:16:\"field_icon_class\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.node.field_image','a:17:{s:4:\"uuid\";s:36:\"99270b75-d166-44ea-adc5-35245a8806e2\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:4:\"file\";i:1;s:5:\"image\";i:2;s:4:\"node\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"SkXIPKZYiIMMtnBmfnxk58RYfbZ8cHSw5NZPY_JByME\";}s:2:\"id\";s:16:\"node.field_image\";s:10:\"field_name\";s:11:\"field_image\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";N;s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.node.field_link','a:16:{s:4:\"uuid\";s:36:\"53c02de5-9554-4167-89f9-66e39fb7652a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"link\";i:1;s:4:\"node\";}}s:2:\"id\";s:15:\"node.field_link\";s:10:\"field_name\";s:10:\"field_link\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:4:\"link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"link\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.node.field_partners','a:16:{s:4:\"uuid\";s:36:\"631deb2f-20f7-4e93-9457-e3bfe1c8cd19\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:4:\"file\";i:1;s:5:\"image\";i:2;s:4:\"node\";}}s:2:\"id\";s:19:\"node.field_partners\";s:10:\"field_name\";s:14:\"field_partners\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.node.field_percent','a:16:{s:4:\"uuid\";s:36:\"cab51041-9a45-4c8f-a921-be60ddfa27ce\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:18:\"node.field_percent\";s:10:\"field_name\";s:13:\"field_percent\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:5:\"float\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.node.field_slideshow','a:16:{s:4:\"uuid\";s:36:\"de75d22f-44ac-4dd0-a92b-10683cfca971\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:4:\"file\";i:1;s:5:\"image\";i:2;s:4:\"node\";}}s:2:\"id\";s:20:\"node.field_slideshow\";s:10:\"field_name\";s:15:\"field_slideshow\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.node.field_su','a:16:{s:4:\"uuid\";s:36:\"51ea101f-de2d-4147-92f2-a1aa27aa9be8\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:4:\"text\";}}s:2:\"id\";s:13:\"node.field_su\";s:10:\"field_name\";s:8:\"field_su\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:9:\"text_long\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.node.field_tags','a:17:{s:4:\"uuid\";s:36:\"b12e67cb-3bac-442c-b039-65ce91937ca5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:8:\"taxonomy\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"WpOE_bs8Bs_HY2ns7n2r__de-xno0-Bxkqep5-MsHAs\";}s:2:\"id\";s:15:\"node.field_tags\";s:10:\"field_name\";s:10:\"field_tags\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:16:\"entity_reference\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:13:\"taxonomy_term\";}s:6:\"module\";s:4:\"core\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.node.field_type','a:16:{s:4:\"uuid\";s:36:\"77a6aad6-0a3f-4c7a-914d-cfc651a97328\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:7:\"options\";}}s:2:\"id\";s:15:\"node.field_type\";s:10:\"field_name\";s:10:\"field_type\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:11:\"list_string\";s:8:\"settings\";a:2:{s:14:\"allowed_values\";a:8:{i:0;a:2:{s:5:\"value\";s:1:\"1\";s:5:\"label\";s:12:\"Blog details\";}i:1;a:2:{s:5:\"value\";s:1:\"2\";s:5:\"label\";s:9:\"Blog page\";}i:2;a:2:{s:5:\"value\";s:1:\"3\";s:5:\"label\";s:17:\"Portfolio details\";}i:3;a:2:{s:5:\"value\";s:1:\"4\";s:5:\"label\";s:14:\"Portfolio page\";}i:4;a:2:{s:5:\"value\";s:1:\"5\";s:5:\"label\";s:8:\"About us\";}i:5;a:2:{s:5:\"value\";s:1:\"6\";s:5:\"label\";s:7:\"Service\";}i:6;a:2:{s:5:\"value\";s:1:\"7\";s:5:\"label\";s:7:\"Contact\";}i:7;a:2:{s:5:\"value\";s:1:\"8\";s:5:\"label\";s:14:\"Userlogin page\";}}s:23:\"allowed_values_function\";s:0:\"\";}s:6:\"module\";s:7:\"options\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.node.field_video','a:16:{s:4:\"uuid\";s:36:\"9b3c12ca-5601-4aa1-9786-aa727082ca17\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:17:\"video_embed_field\";}}s:2:\"id\";s:16:\"node.field_video\";s:10:\"field_name\";s:11:\"field_video\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:17:\"video_embed_field\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"video_embed_field\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.node.field_why_us_type','a:16:{s:4:\"uuid\";s:36:\"a50b1fb6-85ee-4dd7-bd60-1d1b3f59bffa\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:7:\"options\";}}s:2:\"id\";s:22:\"node.field_why_us_type\";s:10:\"field_name\";s:17:\"field_why_us_type\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:11:\"list_string\";s:8:\"settings\";a:2:{s:14:\"allowed_values\";a:2:{i:0;a:2:{s:5:\"value\";s:1:\"1\";s:5:\"label\";s:8:\"About us\";}i:1;a:2:{s:5:\"value\";s:1:\"2\";s:5:\"label\";s:8:\"Services\";}}s:23:\"allowed_values_function\";s:0:\"\";}s:6:\"module\";s:7:\"options\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.node.simplenews_issue','a:17:{s:4:\"uuid\";s:36:\"1b245196-bf51-4c0b-b807-66f1b282e695\";s:8:\"langcode\";s:3:\"und\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:10:\"simplenews\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"WH-ddyUo4oWNnk6HaulK2RLdPTM4CV0xBZSj5HFqAnQ\";}s:2:\"id\";s:21:\"node.simplenews_issue\";s:10:\"field_name\";s:16:\"simplenews_issue\";s:11:\"entity_type\";s:4:\"node\";s:4:\"type\";s:16:\"simplenews_issue\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:21:\"simplenews_newsletter\";}s:6:\"module\";s:10:\"simplenews\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.simplenews_subscriber.subscriptions','a:17:{s:4:\"uuid\";s:36:\"c7e7a770-0ad8-43e0-a3dd-f26ab3f0870b\";s:8:\"langcode\";s:3:\"und\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:10:\"simplenews\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"wPBNO4_O9cizdnYp2mpq2Dd3O163g-2v5v6_yazR4MA\";}s:2:\"id\";s:35:\"simplenews_subscriber.subscriptions\";s:10:\"field_name\";s:13:\"subscriptions\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:4:\"type\";s:23:\"simplenews_subscription\";s:8:\"settings\";a:1:{s:11:\"target_type\";s:21:\"simplenews_newsletter\";}s:6:\"module\";s:10:\"simplenews\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:-1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:0:{}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field.storage.user.user_picture','a:17:{s:4:\"uuid\";s:36:\"e64d8313-b823-473d-b7c5-f51613cc8e75\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:4:\"file\";i:1;s:5:\"image\";i:2;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"6k-VBFilDLuzgSOT-77CFgHFlcd5D-kqRixtH89EShU\";}s:2:\"id\";s:17:\"user.user_picture\";s:10:\"field_name\";s:12:\"user_picture\";s:11:\"entity_type\";s:4:\"user\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:5:{s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";N;s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;}s:6:\"module\";s:5:\"image\";s:6:\"locked\";b:0;s:11:\"cardinality\";i:1;s:12:\"translatable\";b:1;s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:22:\"persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;}'),('','field_ui.settings','a:2:{s:12:\"field_prefix\";s:6:\"field_\";s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"Q1nMi90W6YQxKzZAgJQw7Ag9U4JrsEUwkomF0lhvbIM\";}}'),('','file.settings','a:4:{s:11:\"description\";a:2:{s:4:\"type\";s:9:\"textfield\";s:6:\"length\";i:128;}s:4:\"icon\";a:1:{s:9:\"directory\";s:23:\"core/modules/file/icons\";}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"8LI-1XgwLt9hYRns_7c81S632d6JhdqXKs4vDheaG6E\";}s:35:\"make_unused_managed_files_temporary\";b:0;}'),('','filter.format.basic_html','a:9:{s:4:\"uuid\";s:36:\"d4ada579-3847-4caf-9811-f9e7a8227242\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:6:\"editor\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"P8ddpAIKtawJDi5SzOwCzVnnNYqONewSTJ6Xn0dW_aQ\";}s:4:\"name\";s:10:\"Basic HTML\";s:6:\"format\";s:10:\"basic_html\";s:6:\"weight\";i:-9;s:7:\"filters\";a:5:{s:11:\"filter_html\";a:5:{s:2:\"id\";s:11:\"filter_html\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:-10;s:8:\"settings\";a:3:{s:12:\"allowed_html\";s:250:\"<a href hreflang> <em> <strong> <cite> <blockquote cite> <code> <ul type> <ol start type> <li> <dl> <dt> <dd> <h2 id> <h3 id> <h4 id> <h5 id> <h6 id> <p> <br> <span> <img src alt height width data-entity-type data-entity-uuid data-align data-caption>\";s:16:\"filter_html_help\";b:0;s:20:\"filter_html_nofollow\";b:0;}}s:12:\"filter_align\";a:5:{s:2:\"id\";s:12:\"filter_align\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:7;s:8:\"settings\";a:0:{}}s:14:\"filter_caption\";a:5:{s:2:\"id\";s:14:\"filter_caption\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:8;s:8:\"settings\";a:0:{}}s:24:\"filter_html_image_secure\";a:5:{s:2:\"id\";s:24:\"filter_html_image_secure\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:9;s:8:\"settings\";a:0:{}}s:21:\"editor_file_reference\";a:5:{s:2:\"id\";s:21:\"editor_file_reference\";s:8:\"provider\";s:6:\"editor\";s:6:\"status\";b:1;s:6:\"weight\";i:11;s:8:\"settings\";a:0:{}}}}'),('','filter.format.full_html','a:9:{s:4:\"uuid\";s:36:\"efe20ac4-44c8-461d-9471-f88c6e15a634\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:6:\"editor\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"hewPmBgni9jlDK_IjLxUx1HsTbinK-hdl0lOwjbteIY\";}s:4:\"name\";s:9:\"Full HTML\";s:6:\"format\";s:9:\"full_html\";s:6:\"weight\";i:-10;s:7:\"filters\";a:6:{s:12:\"filter_align\";a:5:{s:2:\"id\";s:12:\"filter_align\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:8;s:8:\"settings\";a:0:{}}s:14:\"filter_caption\";a:5:{s:2:\"id\";s:14:\"filter_caption\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:9;s:8:\"settings\";a:0:{}}s:20:\"filter_htmlcorrector\";a:5:{s:2:\"id\";s:20:\"filter_htmlcorrector\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:10;s:8:\"settings\";a:0:{}}s:21:\"editor_file_reference\";a:5:{s:2:\"id\";s:21:\"editor_file_reference\";s:8:\"provider\";s:6:\"editor\";s:6:\"status\";b:1;s:6:\"weight\";i:11;s:8:\"settings\";a:0:{}}s:12:\"filter_autop\";a:5:{s:2:\"id\";s:12:\"filter_autop\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}}s:11:\"filter_html\";a:5:{s:2:\"id\";s:11:\"filter_html\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:0;s:6:\"weight\";i:-10;s:8:\"settings\";a:3:{s:12:\"allowed_html\";s:314:\"<a hreflang href> <em> <strong> <cite> <blockquote cite> <code> <ul type> <ol type start> <li> <dl> <dt> <dd> <h2 id> <h3 id> <h4 id> <h5 id> <h6 id> <s> <sup> <sub> <img src alt data-entity-type data-entity-uuid data-align data-caption> <table> <caption> <tbody> <thead> <tfoot> <th> <td> <tr> <hr> <p> <h1> <pre>\";s:16:\"filter_html_help\";b:1;s:20:\"filter_html_nofollow\";b:0;}}}}'),('','filter.format.plain_text','a:9:{s:4:\"uuid\";s:36:\"8c494b7c-79fe-4492-99e6-de6eb17099c5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"NIKBt6kw_uPhNI0qtR2DnRf7mSOgAQdx7Q94SKMjXbQ\";}s:4:\"name\";s:10:\"Plain text\";s:6:\"format\";s:10:\"plain_text\";s:6:\"weight\";i:-7;s:7:\"filters\";a:3:{s:18:\"filter_html_escape\";a:5:{s:2:\"id\";s:18:\"filter_html_escape\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:-10;s:8:\"settings\";a:0:{}}s:10:\"filter_url\";a:5:{s:2:\"id\";s:10:\"filter_url\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:0;s:8:\"settings\";a:1:{s:17:\"filter_url_length\";i:72;}}s:12:\"filter_autop\";a:5:{s:2:\"id\";s:12:\"filter_autop\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}}}}'),('','filter.format.restricted_html','a:9:{s:4:\"uuid\";s:36:\"99b1b028-071c-47e7-8d86-cb4db3563de2\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"KUjJ8Ti_ZJSlhGM88E_mhJP-8mmQRNUB6RFof615Kt0\";}s:4:\"name\";s:15:\"Restricted HTML\";s:6:\"format\";s:15:\"restricted_html\";s:6:\"weight\";i:-8;s:7:\"filters\";a:3:{s:11:\"filter_html\";a:5:{s:2:\"id\";s:11:\"filter_html\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:-10;s:8:\"settings\";a:3:{s:12:\"allowed_html\";s:149:\"<a href hreflang> <em> <strong> <cite> <blockquote cite> <code> <ul type> <ol start type> <li> <dl> <dt> <dd> <h2 id> <h3 id> <h4 id> <h5 id> <h6 id>\";s:16:\"filter_html_help\";b:1;s:20:\"filter_html_nofollow\";b:0;}}s:12:\"filter_autop\";a:5:{s:2:\"id\";s:12:\"filter_autop\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}}s:10:\"filter_url\";a:5:{s:2:\"id\";s:10:\"filter_url\";s:8:\"provider\";s:6:\"filter\";s:6:\"status\";b:1;s:6:\"weight\";i:0;s:8:\"settings\";a:1:{s:17:\"filter_url_length\";i:72;}}}}'),('','filter.settings','a:3:{s:15:\"fallback_format\";s:10:\"plain_text\";s:27:\"always_show_fallback_choice\";b:0;s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"FiPjM3WdB__ruFA7B6TLwni_UcZbmek5G4b2dxQItxA\";}}'),('','image.settings','a:4:{s:13:\"preview_image\";s:29:\"core/modules/image/sample.png\";s:26:\"allow_insecure_derivatives\";b:0;s:20:\"suppress_itok_output\";b:0;s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"k-yDFHbqNfpe-Srg4sdCSqaosCl2D8uwyEY5esF8gEw\";}}'),('','image.style.image_1400_700','a:7:{s:4:\"uuid\";s:36:\"50658240-178b-4df6-a403-684bfcfe1fd7\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:14:\"image_1400_700\";s:5:\"label\";s:15:\"Image(1170_700)\";s:7:\"effects\";a:1:{s:36:\"e2e3c15d-6142-47f4-a306-bc7d2c036484\";a:4:{s:4:\"uuid\";s:36:\"e2e3c15d-6142-47f4-a306-bc7d2c036484\";s:2:\"id\";s:20:\"image_scale_and_crop\";s:6:\"weight\";i:1;s:4:\"data\";a:3:{s:5:\"width\";i:1170;s:6:\"height\";i:700;s:6:\"anchor\";s:13:\"center-center\";}}}}'),('','image.style.image_1920_1280','a:7:{s:4:\"uuid\";s:36:\"912d7362-50b4-422c-8e86-e876769c48d8\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:15:\"image_1920_1280\";s:5:\"label\";s:16:\"Image(1920_1280)\";s:7:\"effects\";a:1:{s:36:\"58d9c5a7-c483-4818-abeb-158efd079d63\";a:4:{s:4:\"uuid\";s:36:\"58d9c5a7-c483-4818-abeb-158efd079d63\";s:2:\"id\";s:20:\"image_scale_and_crop\";s:6:\"weight\";i:1;s:4:\"data\";a:3:{s:5:\"width\";i:1920;s:6:\"height\";i:1280;s:6:\"anchor\";s:13:\"center-center\";}}}}'),('','image.style.image_1920_595','a:7:{s:4:\"uuid\";s:36:\"a6d7fecd-7a17-451a-ad2e-1860552e2f6c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:14:\"image_1920_595\";s:5:\"label\";s:15:\"Image(1920_830)\";s:7:\"effects\";a:1:{s:36:\"04a7389a-0b3b-4ac6-bd2c-94eeb7d50653\";a:4:{s:4:\"uuid\";s:36:\"04a7389a-0b3b-4ac6-bd2c-94eeb7d50653\";s:2:\"id\";s:20:\"image_scale_and_crop\";s:6:\"weight\";i:1;s:4:\"data\";a:3:{s:5:\"width\";i:1920;s:6:\"height\";i:830;s:6:\"anchor\";s:13:\"center-center\";}}}}'),('','image.style.image_1920_700','a:7:{s:4:\"uuid\";s:36:\"8747f947-e3d1-4ac3-8b57-05062b7bd107\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:14:\"image_1920_700\";s:5:\"label\";s:15:\"Image(1920_700)\";s:7:\"effects\";a:1:{s:36:\"a73a559f-fd27-4ce4-b2f9-d3c9b623c384\";a:4:{s:4:\"uuid\";s:36:\"a73a559f-fd27-4ce4-b2f9-d3c9b623c384\";s:2:\"id\";s:20:\"image_scale_and_crop\";s:6:\"weight\";i:1;s:4:\"data\";a:3:{s:5:\"width\";i:1920;s:6:\"height\";i:700;s:6:\"anchor\";s:13:\"center-center\";}}}}'),('','image.style.image_1920_845','a:7:{s:4:\"uuid\";s:36:\"808ad9d0-05ff-47f4-9449-4ec291def08b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:14:\"image_1920_845\";s:5:\"label\";s:15:\"Image(1920_845)\";s:7:\"effects\";a:1:{s:36:\"6a50f49b-cd27-4440-8388-bcf0caab827b\";a:4:{s:4:\"uuid\";s:36:\"6a50f49b-cd27-4440-8388-bcf0caab827b\";s:2:\"id\";s:20:\"image_scale_and_crop\";s:6:\"weight\";i:1;s:4:\"data\";a:3:{s:5:\"width\";i:1920;s:6:\"height\";i:845;s:6:\"anchor\";s:13:\"center-center\";}}}}'),('','image.style.image_1921_685_','a:7:{s:4:\"uuid\";s:36:\"c83cebb2-9bd6-4e72-996a-4529efaec5cd\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:15:\"image_1921_685_\";s:5:\"label\";s:15:\"Image(1921_685)\";s:7:\"effects\";a:1:{s:36:\"7e7065fa-1d67-4a57-a1d1-8d2e88c33f55\";a:4:{s:4:\"uuid\";s:36:\"7e7065fa-1d67-4a57-a1d1-8d2e88c33f55\";s:2:\"id\";s:20:\"image_scale_and_crop\";s:6:\"weight\";i:1;s:4:\"data\";a:3:{s:5:\"width\";i:1921;s:6:\"height\";i:685;s:6:\"anchor\";s:13:\"center-center\";}}}}'),('','image.style.image_270_270','a:7:{s:4:\"uuid\";s:36:\"5e2ea4f8-a090-46d8-bc78-100996c31979\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:13:\"image_270_270\";s:5:\"label\";s:14:\"Image(270_270)\";s:7:\"effects\";a:1:{s:36:\"b37656fe-2437-4150-93fc-e831aedacb64\";a:4:{s:4:\"uuid\";s:36:\"b37656fe-2437-4150-93fc-e831aedacb64\";s:2:\"id\";s:20:\"image_scale_and_crop\";s:6:\"weight\";i:1;s:4:\"data\";a:3:{s:5:\"width\";i:270;s:6:\"height\";i:270;s:6:\"anchor\";s:13:\"center-center\";}}}}'),('','image.style.image_360_360_','a:7:{s:4:\"uuid\";s:36:\"ca4435dd-2293-4e94-b103-f5d186e78462\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:14:\"image_360_360_\";s:5:\"label\";s:14:\"Image(360_360)\";s:7:\"effects\";a:1:{s:36:\"61952412-7c6d-4c05-a92f-d67f96375cda\";a:4:{s:4:\"uuid\";s:36:\"61952412-7c6d-4c05-a92f-d67f96375cda\";s:2:\"id\";s:20:\"image_scale_and_crop\";s:6:\"weight\";i:1;s:4:\"data\";a:3:{s:5:\"width\";i:360;s:6:\"height\";i:360;s:6:\"anchor\";s:13:\"center-center\";}}}}'),('','image.style.image_370_350','a:7:{s:4:\"uuid\";s:36:\"123875a2-e242-4edb-ac32-84c93ed47e04\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:13:\"image_370_350\";s:5:\"label\";s:14:\"Image(370_221)\";s:7:\"effects\";a:1:{s:36:\"8606d402-2d3d-4a81-a4a2-81f5c293b062\";a:4:{s:4:\"uuid\";s:36:\"8606d402-2d3d-4a81-a4a2-81f5c293b062\";s:2:\"id\";s:20:\"image_scale_and_crop\";s:6:\"weight\";i:1;s:4:\"data\";a:3:{s:5:\"width\";i:370;s:6:\"height\";i:221;s:6:\"anchor\";s:13:\"center-center\";}}}}'),('','image.style.image_370_370','a:7:{s:4:\"uuid\";s:36:\"a7b3f6fd-e128-4e63-9ff2-79dfa57fcd3e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:13:\"image_370_370\";s:5:\"label\";s:14:\"Image(370_370)\";s:7:\"effects\";a:1:{s:36:\"a842684e-ab38-481a-94d0-bae0b3a3584f\";a:4:{s:4:\"uuid\";s:36:\"a842684e-ab38-481a-94d0-bae0b3a3584f\";s:2:\"id\";s:20:\"image_scale_and_crop\";s:6:\"weight\";i:1;s:4:\"data\";a:3:{s:5:\"width\";i:370;s:6:\"height\";i:370;s:6:\"anchor\";s:13:\"center-center\";}}}}'),('','image.style.image_380_224','a:7:{s:4:\"uuid\";s:36:\"2d810af2-1a84-4621-9b95-f62043d7b9f5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:13:\"image_380_224\";s:5:\"label\";s:14:\"Image(380_224)\";s:7:\"effects\";a:1:{s:36:\"8d6c52a1-495c-4833-89c7-2a4cb28cee7b\";a:4:{s:4:\"uuid\";s:36:\"8d6c52a1-495c-4833-89c7-2a4cb28cee7b\";s:2:\"id\";s:20:\"image_scale_and_crop\";s:6:\"weight\";i:1;s:4:\"data\";a:3:{s:5:\"width\";i:380;s:6:\"height\";i:224;s:6:\"anchor\";s:13:\"center-center\";}}}}'),('','image.style.image_513_251_','a:7:{s:4:\"uuid\";s:36:\"8c34ceb0-3238-4bdc-96ff-9686ed86eba2\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:14:\"image_513_251_\";s:5:\"label\";s:14:\"Image(513_251)\";s:7:\"effects\";a:1:{s:36:\"8f86a171-5aab-48cf-aaef-bb93014dbd43\";a:4:{s:4:\"uuid\";s:36:\"8f86a171-5aab-48cf-aaef-bb93014dbd43\";s:2:\"id\";s:20:\"image_scale_and_crop\";s:6:\"weight\";i:1;s:4:\"data\";a:3:{s:5:\"width\";i:513;s:6:\"height\";i:251;s:6:\"anchor\";s:13:\"center-center\";}}}}'),('','image.style.image_551_372','a:7:{s:4:\"uuid\";s:36:\"ba89ba3e-6c23-48ca-a750-030125738327\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:13:\"image_551_372\";s:5:\"label\";s:14:\"Image(551_372)\";s:7:\"effects\";a:1:{s:36:\"ef914078-d791-44db-bb8e-756a00f9a88c\";a:4:{s:4:\"uuid\";s:36:\"ef914078-d791-44db-bb8e-756a00f9a88c\";s:2:\"id\";s:20:\"image_scale_and_crop\";s:6:\"weight\";i:1;s:4:\"data\";a:3:{s:5:\"width\";i:551;s:6:\"height\";i:372;s:6:\"anchor\";s:13:\"center-center\";}}}}'),('','image.style.image_63_63','a:7:{s:4:\"uuid\";s:36:\"0b26d8b3-8975-43c6-ab92-a8ff667fcb5c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:11:\"image_63_63\";s:5:\"label\";s:12:\"Image(63_63)\";s:7:\"effects\";a:1:{s:36:\"818f426a-6794-4483-ad9d-e0d3b24a577e\";a:4:{s:4:\"uuid\";s:36:\"818f426a-6794-4483-ad9d-e0d3b24a577e\";s:2:\"id\";s:20:\"image_scale_and_crop\";s:6:\"weight\";i:1;s:4:\"data\";a:3:{s:5:\"width\";i:63;s:6:\"height\";i:63;s:6:\"anchor\";s:13:\"center-center\";}}}}'),('','image.style.image_640_363_','a:7:{s:4:\"uuid\";s:36:\"a50d2f53-0c6b-497d-a5a7-710713c60791\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:4:\"name\";s:14:\"image_640_363_\";s:5:\"label\";s:14:\"Image(640_363)\";s:7:\"effects\";a:1:{s:36:\"3e9b4634-dc5b-40ac-93e8-d29ce09da738\";a:4:{s:4:\"uuid\";s:36:\"3e9b4634-dc5b-40ac-93e8-d29ce09da738\";s:2:\"id\";s:20:\"image_scale_and_crop\";s:6:\"weight\";i:1;s:4:\"data\";a:3:{s:5:\"width\";i:640;s:6:\"height\";i:363;s:6:\"anchor\";s:13:\"center-center\";}}}}'),('','image.style.large','a:8:{s:4:\"uuid\";s:36:\"b11f113b-644f-4597-8f38-39d1315e039f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"J2n0RpFzS0-bgSyxjs6rSdgxB1rb-bTAgqywNx_964M\";}s:4:\"name\";s:5:\"large\";s:5:\"label\";s:16:\"Large (480×480)\";s:7:\"effects\";a:1:{s:36:\"ddd73aa7-4bd6-4c85-b600-bdf2b1628d1d\";a:4:{s:4:\"uuid\";s:36:\"ddd73aa7-4bd6-4c85-b600-bdf2b1628d1d\";s:2:\"id\";s:11:\"image_scale\";s:6:\"weight\";i:0;s:4:\"data\";a:3:{s:5:\"width\";i:480;s:6:\"height\";i:480;s:7:\"upscale\";b:0;}}}}'),('','image.style.max_1300x1300','a:8:{s:4:\"uuid\";s:36:\"5ac58f87-c9b6-4610-a374-e2e08ff0d56a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:8:\"enforced\";a:1:{s:6:\"module\";a:1:{i:0;s:16:\"responsive_image\";}}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"xW1ApqbWjK7oCBCl8jVHA42u2MekQDq4gry3xfZzdWY\";}s:4:\"name\";s:13:\"max_1300x1300\";s:5:\"label\";s:13:\"Max 1300x1300\";s:7:\"effects\";a:1:{s:36:\"04caae9a-fa3e-4ea6-ae09-9c26aec7d308\";a:4:{s:4:\"uuid\";s:36:\"04caae9a-fa3e-4ea6-ae09-9c26aec7d308\";s:2:\"id\";s:11:\"image_scale\";s:6:\"weight\";i:1;s:4:\"data\";a:3:{s:5:\"width\";i:1300;s:6:\"height\";i:1300;s:7:\"upscale\";b:0;}}}}'),('','image.style.max_2600x2600','a:8:{s:4:\"uuid\";s:36:\"0b6dc3fc-6dd9-4c7d-be24-0bb5a256bba5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:8:\"enforced\";a:1:{s:6:\"module\";a:1:{i:0;s:16:\"responsive_image\";}}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"M-7xzqSFQjuAiL0BP9rHC3DbUi2HnaoD538wlFWsoc4\";}s:4:\"name\";s:13:\"max_2600x2600\";s:5:\"label\";s:13:\"Max 2600x2600\";s:7:\"effects\";a:1:{s:36:\"9b311dd1-0351-45a1-9500-cd069e4670cb\";a:4:{s:4:\"uuid\";s:36:\"9b311dd1-0351-45a1-9500-cd069e4670cb\";s:2:\"id\";s:11:\"image_scale\";s:6:\"weight\";i:3;s:4:\"data\";a:3:{s:5:\"width\";i:2600;s:6:\"height\";i:2600;s:7:\"upscale\";b:0;}}}}'),('','image.style.max_325x325','a:8:{s:4:\"uuid\";s:36:\"0fef7669-37f2-4884-9fde-a69904a27889\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:8:\"enforced\";a:1:{s:6:\"module\";a:1:{i:0;s:16:\"responsive_image\";}}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"YbP9GLqlo6fjA8GIfiC8CzCOjkUm0Cf3A0_aRw8vHhE\";}s:4:\"name\";s:11:\"max_325x325\";s:5:\"label\";s:11:\"Max 325x325\";s:7:\"effects\";a:1:{s:36:\"cb842cc8-682f-42a6-bd05-5a1ac726f0d8\";a:4:{s:4:\"uuid\";s:36:\"cb842cc8-682f-42a6-bd05-5a1ac726f0d8\";s:2:\"id\";s:11:\"image_scale\";s:6:\"weight\";i:1;s:4:\"data\";a:3:{s:5:\"width\";i:325;s:6:\"height\";i:325;s:7:\"upscale\";b:0;}}}}'),('','image.style.max_650x650','a:8:{s:4:\"uuid\";s:36:\"fa9e75bc-ad30-4a07-833d-aaacaaf31e44\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:8:\"enforced\";a:1:{s:6:\"module\";a:1:{i:0;s:16:\"responsive_image\";}}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"MIWUEhKenWK-3vEZNN_FJwpmqggIZtfJ9LOLYryTqHI\";}s:4:\"name\";s:11:\"max_650x650\";s:5:\"label\";s:11:\"Max 650x650\";s:7:\"effects\";a:1:{s:36:\"949c201a-77f5-48f6-ba00-be91eb1aad47\";a:4:{s:4:\"uuid\";s:36:\"949c201a-77f5-48f6-ba00-be91eb1aad47\";s:2:\"id\";s:11:\"image_scale\";s:6:\"weight\";i:1;s:4:\"data\";a:3:{s:5:\"width\";i:650;s:6:\"height\";i:650;s:7:\"upscale\";b:0;}}}}'),('','image.style.medium','a:8:{s:4:\"uuid\";s:36:\"8d08329f-ca57-418e-9b67-1ec66bf27bc3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"Y9NmnZHQq20ASSyTNA6JnwtWrJJiSajOehGDtmUFdM0\";}s:4:\"name\";s:6:\"medium\";s:5:\"label\";s:17:\"Medium (220×220)\";s:7:\"effects\";a:1:{s:36:\"bddf0d06-42f9-4c75-a700-a33cafa25ea0\";a:4:{s:4:\"uuid\";s:36:\"bddf0d06-42f9-4c75-a700-a33cafa25ea0\";s:2:\"id\";s:11:\"image_scale\";s:6:\"weight\";i:0;s:4:\"data\";a:3:{s:5:\"width\";i:220;s:6:\"height\";i:220;s:7:\"upscale\";b:0;}}}}'),('','image.style.thumbnail','a:8:{s:4:\"uuid\";s:36:\"13f80893-dd02-4139-b69c-9ed488efd94c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"cCiWdBHgLwj5omG35lsKc4LkW4MBdmcctkVop4ol5x0\";}s:4:\"name\";s:9:\"thumbnail\";s:5:\"label\";s:20:\"Thumbnail (100×100)\";s:7:\"effects\";a:1:{s:36:\"1cfec298-8620-4749-b100-ccb6c4500779\";a:4:{s:4:\"uuid\";s:36:\"1cfec298-8620-4749-b100-ccb6c4500779\";s:2:\"id\";s:11:\"image_scale\";s:6:\"weight\";i:0;s:4:\"data\";a:3:{s:5:\"width\";i:100;s:6:\"height\";i:100;s:7:\"upscale\";b:0;}}}}'),('','language.content_settings.block_content.basic','a:10:{s:4:\"uuid\";s:36:\"bbffcffb-4b6e-4947-bd70-d35d7e0572ba\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:24:\"block_content.type.basic\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:19:\"block_content.basic\";s:21:\"target_entity_type_id\";s:13:\"block_content\";s:13:\"target_bundle\";s:5:\"basic\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}'),('','language.content_settings.comment.comment','a:10:{s:4:\"uuid\";s:36:\"f5163600-bf2d-49af-b54e-5993f0c61ff4\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:20:\"comment.type.comment\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:15:\"comment.comment\";s:21:\"target_entity_type_id\";s:7:\"comment\";s:13:\"target_bundle\";s:7:\"comment\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}'),('','language.content_settings.contact_message.feedback','a:9:{s:4:\"uuid\";s:36:\"27a2bb5a-1e30-4a5b-9415-27c4a420ac91\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:21:\"contact.form.feedback\";}}s:2:\"id\";s:24:\"contact_message.feedback\";s:21:\"target_entity_type_id\";s:15:\"contact_message\";s:13:\"target_bundle\";s:8:\"feedback\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}'),('','language.content_settings.contact_message.personal','a:9:{s:4:\"uuid\";s:36:\"ac8bb1a9-5c2c-4c9b-ab5d-ebfa4e1ad514\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:1:{i:0;s:21:\"contact.form.personal\";}}s:2:\"id\";s:24:\"contact_message.personal\";s:21:\"target_entity_type_id\";s:15:\"contact_message\";s:13:\"target_bundle\";s:8:\"personal\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}'),('','language.content_settings.file.file','a:9:{s:4:\"uuid\";s:36:\"53fcf181-0b82-403f-aca5-a0fcf6d1363e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"file\";}}s:2:\"id\";s:9:\"file.file\";s:21:\"target_entity_type_id\";s:4:\"file\";s:13:\"target_bundle\";s:4:\"file\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}'),('','language.content_settings.menu_link_content.menu_link_content','a:10:{s:4:\"uuid\";s:36:\"d1cbbb2a-c9e1-4a37-9b8d-012aade5f139\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:19:\"content_translation\";i:1;s:17:\"menu_link_content\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:35:\"menu_link_content.menu_link_content\";s:21:\"target_entity_type_id\";s:17:\"menu_link_content\";s:13:\"target_bundle\";s:17:\"menu_link_content\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}'),('','language.content_settings.node.article','a:10:{s:4:\"uuid\";s:36:\"d25a2638-b735-421b-a035-008b6c45444c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:17:\"node.type.article\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:1;}}s:2:\"id\";s:12:\"node.article\";s:21:\"target_entity_type_id\";s:4:\"node\";s:13:\"target_bundle\";s:7:\"article\";s:16:\"default_langcode\";s:17:\"current_interface\";s:18:\"language_alterable\";b:1;}'),('','language.content_settings.node.banner','a:10:{s:4:\"uuid\";s:36:\"d2b01ce3-8acc-43d7-a421-4974512f290a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:16:\"node.type.banner\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:11:\"node.banner\";s:21:\"target_entity_type_id\";s:4:\"node\";s:13:\"target_bundle\";s:6:\"banner\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}'),('','language.content_settings.node.blog','a:10:{s:4:\"uuid\";s:36:\"e55376b8-9057-4a7c-bf4e-f2db42cd221a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.blog\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:1;}}s:2:\"id\";s:9:\"node.blog\";s:21:\"target_entity_type_id\";s:4:\"node\";s:13:\"target_bundle\";s:4:\"blog\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:1;}'),('','language.content_settings.node.our_mission','a:10:{s:4:\"uuid\";s:36:\"974ae65a-376d-47ed-9619-c2fbbbe73209\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:21:\"node.type.our_mission\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:16:\"node.our_mission\";s:21:\"target_entity_type_id\";s:4:\"node\";s:13:\"target_bundle\";s:11:\"our_mission\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}'),('','language.content_settings.node.our_services','a:10:{s:4:\"uuid\";s:36:\"c0dead90-54e0-4ea5-9e53-d29ff6dff17a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:22:\"node.type.our_services\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:17:\"node.our_services\";s:21:\"target_entity_type_id\";s:4:\"node\";s:13:\"target_bundle\";s:12:\"our_services\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}'),('','language.content_settings.node.page','a:10:{s:4:\"uuid\";s:36:\"f9a4bc02-0492-4620-8439-3b678951bc15\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:1;}}s:2:\"id\";s:9:\"node.page\";s:21:\"target_entity_type_id\";s:4:\"node\";s:13:\"target_bundle\";s:4:\"page\";s:16:\"default_langcode\";s:17:\"current_interface\";s:18:\"language_alterable\";b:1;}'),('','language.content_settings.node.partners','a:10:{s:4:\"uuid\";s:36:\"bae870e5-dba2-4e8a-b6e0-6a2bffc87572\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:18:\"node.type.partners\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:13:\"node.partners\";s:21:\"target_entity_type_id\";s:4:\"node\";s:13:\"target_bundle\";s:8:\"partners\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}'),('','language.content_settings.node.portfolio','a:10:{s:4:\"uuid\";s:36:\"fab72d4a-f379-4052-8c6a-d3042e0f72f4\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:19:\"node.type.portfolio\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:14:\"node.portfolio\";s:21:\"target_entity_type_id\";s:4:\"node\";s:13:\"target_bundle\";s:9:\"portfolio\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}'),('','language.content_settings.node.simplenews_issue','a:10:{s:4:\"uuid\";s:36:\"28bb0bb6-88b7-4a14-894a-00a74d8493ab\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:26:\"node.type.simplenews_issue\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:21:\"node.simplenews_issue\";s:21:\"target_entity_type_id\";s:4:\"node\";s:13:\"target_bundle\";s:16:\"simplenews_issue\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}'),('','language.content_settings.node.why_us','a:10:{s:4:\"uuid\";s:36:\"b5bcd5ad-88b7-4299-933e-d52a67860ad3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:16:\"node.type.why_us\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:11:\"node.why_us\";s:21:\"target_entity_type_id\";s:4:\"node\";s:13:\"target_bundle\";s:6:\"why_us\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}'),('','language.content_settings.path_alias.path_alias','a:10:{s:4:\"uuid\";s:36:\"6a50af60-83f9-4eec-8ef7-785d5f618fe0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:10:\"path_alias\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"dhjFABRzm52DkRXnYja5ZoHwjY0R3gEGic3KpDUXgRo\";}s:2:\"id\";s:21:\"path_alias.path_alias\";s:21:\"target_entity_type_id\";s:10:\"path_alias\";s:13:\"target_bundle\";s:10:\"path_alias\";s:16:\"default_langcode\";s:3:\"und\";s:18:\"language_alterable\";b:1;}'),('','language.content_settings.shortcut.default','a:10:{s:4:\"uuid\";s:36:\"a12eb571-35e6-4c9f-912b-4a554a6843f3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:20:\"shortcut.set.default\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:0;}}s:2:\"id\";s:16:\"shortcut.default\";s:21:\"target_entity_type_id\";s:8:\"shortcut\";s:13:\"target_bundle\";s:7:\"default\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:0;}'),('','language.content_settings.taxonomy_term.tags','a:10:{s:4:\"uuid\";s:36:\"a59aafbd-a7d8-4977-9481-1c62ddd6d672\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:24:\"taxonomy.vocabulary.tags\";}s:6:\"module\";a:1:{i:0;s:19:\"content_translation\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:1;}}s:2:\"id\";s:18:\"taxonomy_term.tags\";s:21:\"target_entity_type_id\";s:13:\"taxonomy_term\";s:13:\"target_bundle\";s:4:\"tags\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:1;}'),('','language.content_settings.user.user','a:10:{s:4:\"uuid\";s:36:\"0633eecb-ed52-445e-845e-5be41b3c87fa\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:19:\"content_translation\";i:1;s:4:\"user\";}}s:20:\"third_party_settings\";a:1:{s:19:\"content_translation\";a:1:{s:7:\"enabled\";b:1;}}s:2:\"id\";s:9:\"user.user\";s:21:\"target_entity_type_id\";s:4:\"user\";s:13:\"target_bundle\";s:4:\"user\";s:16:\"default_langcode\";s:12:\"site_default\";s:18:\"language_alterable\";b:1;}'),('','language.entity.ar','a:9:{s:4:\"uuid\";s:36:\"2ef9f621-64f0-452e-9619-62c95c733e04\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:2:\"ar\";s:5:\"label\";s:6:\"Arabic\";s:9:\"direction\";s:3:\"rtl\";s:6:\"weight\";i:1;s:6:\"locked\";b:0;}'),('','language.entity.en','a:10:{s:4:\"uuid\";s:36:\"6c55d020-3f44-46ed-8985-c57be1afdd4c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"lBXDpdDPXQtrfTJQhr6MjRJJEEyYSoRJ0acdvHLsWeA\";}s:2:\"id\";s:2:\"en\";s:5:\"label\";s:7:\"English\";s:9:\"direction\";s:3:\"ltr\";s:6:\"weight\";i:0;s:6:\"locked\";b:0;}'),('','language.entity.und','a:10:{s:4:\"uuid\";s:36:\"635dd98b-f2a0-4d9b-b4e1-983aa020d48b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"eNX6lLCKDaY83nCMh20My---y03KbiFlv802DKCCpvg\";}s:2:\"id\";s:3:\"und\";s:5:\"label\";s:13:\"Not specified\";s:9:\"direction\";s:3:\"ltr\";s:6:\"weight\";i:2;s:6:\"locked\";b:1;}'),('','language.entity.zxx','a:10:{s:4:\"uuid\";s:36:\"acf95ace-379e-4ced-8dbc-d33ebdea3dcb\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"35CefWbnzaiytcg3acexxz_GTvuwIjYd_ZTcmmR-tXA\";}s:2:\"id\";s:3:\"zxx\";s:5:\"label\";s:14:\"Not applicable\";s:9:\"direction\";s:3:\"ltr\";s:6:\"weight\";i:3;s:6:\"locked\";b:1;}'),('','language.mappings','a:2:{s:3:\"map\";a:10:{s:2:\"no\";s:2:\"nb\";s:2:\"pt\";s:5:\"pt-pt\";s:2:\"zh\";s:7:\"zh-hans\";s:5:\"zh-tw\";s:7:\"zh-hant\";s:5:\"zh-hk\";s:7:\"zh-hant\";s:5:\"zh-mo\";s:7:\"zh-hant\";s:6:\"zh-cht\";s:7:\"zh-hant\";s:5:\"zh-cn\";s:7:\"zh-hans\";s:5:\"zh-sg\";s:7:\"zh-hans\";s:6:\"zh-chs\";s:7:\"zh-hans\";}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"EMWe7Yu4Q5eD-NUfNuQAWGBvYUNZPIinztEtONSmsDc\";}}'),('','language.negotiation','a:4:{s:7:\"session\";a:1:{s:9:\"parameter\";s:8:\"language\";}s:3:\"url\";a:3:{s:6:\"source\";s:11:\"path_prefix\";s:8:\"prefixes\";a:2:{s:2:\"en\";s:0:\"\";s:2:\"ar\";s:2:\"ar\";}s:7:\"domains\";a:2:{s:2:\"en\";s:0:\"\";s:2:\"ar\";s:0:\"\";}}s:17:\"selected_langcode\";s:12:\"site_default\";s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"uEePITI9tV6WqzmsTb7MfPCi5yPWXSxAN1xeLcYFQbM\";}}'),('','language.types','a:4:{s:3:\"all\";a:3:{i:0;s:18:\"language_interface\";i:1;s:16:\"language_content\";i:2;s:12:\"language_url\";}s:12:\"configurable\";a:1:{i:0;s:18:\"language_interface\";}s:11:\"negotiation\";a:3:{s:16:\"language_content\";a:1:{s:7:\"enabled\";a:1:{s:18:\"language-interface\";i:0;}}s:12:\"language_url\";a:1:{s:7:\"enabled\";a:2:{s:12:\"language-url\";i:0;s:21:\"language-url-fallback\";i:1;}}s:18:\"language_interface\";a:1:{s:7:\"enabled\";a:1:{s:12:\"language-url\";i:0;}}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"dqouFqVseNJNvEjsoYKxbinFOITuCxYhi4y2OTNQP_8\";}}'),('','libraries.settings','a:2:{s:19:\"library_definitions\";a:2:{s:5:\"local\";a:1:{s:4:\"path\";s:28:\"public://library-definitions\";}s:6:\"remote\";a:2:{s:6:\"enable\";b:0;s:3:\"url\";s:0:\"\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"sagWCPZp0ozZk48F0iBkKDbBWR0lwLkIs4HL_8EhBw8\";}}'),('','locale.settings','a:5:{s:13:\"cache_strings\";b:1;s:17:\"translate_english\";b:0;s:10:\"javascript\";a:1:{s:9:\"directory\";s:9:\"languages\";}s:11:\"translation\";a:8:{s:10:\"use_source\";s:16:\"remote_and_local\";s:16:\"default_filename\";s:30:\"%project-%version.%language.po\";s:22:\"default_server_pattern\";s:87:\"https://ftp.drupal.org/files/translations/%core/%project/%project-%version.%language.po\";s:20:\"overwrite_customized\";b:0;s:24:\"overwrite_not_customized\";b:1;s:20:\"update_interval_days\";i:0;s:4:\"path\";s:32:\"sites/default/files/translations\";s:14:\"import_enabled\";b:1;}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"Lqw8pAQIfr4sRSts2RRWG97eNG6vRT7FhqF_b5COPGk\";}}'),('','luxestate.settings','a:9:{s:17:\"luxestate_version\";s:3:\"1.0\";s:6:\"layout\";s:14:\"layout-default\";s:12:\"layout_width\";s:4:\"1200\";s:10:\"background\";s:10:\"bg-default\";s:8:\"features\";a:4:{s:17:\"node_user_picture\";i:1;s:20:\"comment_user_picture\";i:1;s:25:\"comment_user_verification\";i:1;s:7:\"favicon\";i:1;}s:15:\"show_skins_menu\";i:1;s:12:\"loading_page\";i:0;s:4:\"logo\";a:1:{s:11:\"use_default\";i:1;}s:7:\"favicon\";a:1:{s:11:\"use_default\";i:1;}}'),('','menu_link_attributes.config','a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:2:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";}s:6:\"target\";a:3:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:7:\"options\";a:2:{s:6:\"_blank\";s:19:\"New window (_blank)\";s:5:\"_self\";s:19:\"Same window (_self)\";}}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"9nRDOclwSlz2Os9mJXM1LXNbV2q-bADV0zipiWPXymk\";}}'),('','menu_ui.settings','a:2:{s:24:\"override_parent_selector\";b:0;s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"SqMarzIjxC3F8dZo9FEOxfqDKD_sdW1tbcFTV1BA2zU\";}}'),('','node.settings','a:2:{s:15:\"use_admin_theme\";b:1;s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"2OMXCScXUOLSYID9-phjO4q36nnnaMWNUlDxEqZzG1U\";}}'),('','node.type.article','a:13:{s:4:\"uuid\";s:36:\"4101228b-5bde-42f6-bb0f-bc2a7da297a5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:7:\"menu_ui\";}}s:20:\"third_party_settings\";a:1:{s:7:\"menu_ui\";a:2:{s:15:\"available_menus\";a:1:{i:0;s:4:\"main\";}s:6:\"parent\";s:5:\"main:\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"i4OVV5qrD7abstl4SKS8v5Ee7PuxrL548iZVSty1HRg\";}s:4:\"name\";s:7:\"Article\";s:4:\"type\";s:7:\"article\";s:11:\"description\";s:89:\"Use <em>articles</em> for time-sensitive content like news, press releases or blog posts.\";s:4:\"help\";s:0:\"\";s:12:\"new_revision\";b:0;s:12:\"preview_mode\";i:1;s:17:\"display_submitted\";b:0;}'),('','node.type.banner','a:12:{s:4:\"uuid\";s:36:\"59ee7222-5870-4e97-a44c-e2bcb40b3cf5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:7:\"menu_ui\";}}s:20:\"third_party_settings\";a:1:{s:7:\"menu_ui\";a:2:{s:15:\"available_menus\";a:1:{i:0;s:4:\"main\";}s:6:\"parent\";s:5:\"main:\";}}s:4:\"name\";s:6:\"Banner\";s:4:\"type\";s:6:\"banner\";s:11:\"description\";s:0:\"\";s:4:\"help\";s:0:\"\";s:12:\"new_revision\";b:0;s:12:\"preview_mode\";i:1;s:17:\"display_submitted\";b:0;}'),('','node.type.blog','a:12:{s:4:\"uuid\";s:36:\"1d4c8d45-4921-4533-bc81-6d341b7dd16c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:7:\"menu_ui\";}}s:20:\"third_party_settings\";a:1:{s:7:\"menu_ui\";a:2:{s:15:\"available_menus\";a:1:{i:0;s:4:\"main\";}s:6:\"parent\";s:5:\"main:\";}}s:4:\"name\";s:4:\"Blog\";s:4:\"type\";s:4:\"blog\";s:11:\"description\";s:0:\"\";s:4:\"help\";s:0:\"\";s:12:\"new_revision\";b:0;s:12:\"preview_mode\";i:1;s:17:\"display_submitted\";b:0;}'),('','node.type.our_mission','a:12:{s:4:\"uuid\";s:36:\"199c35bf-5c32-49e3-8f2d-50b5f50b7f1e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:7:\"menu_ui\";}}s:20:\"third_party_settings\";a:1:{s:7:\"menu_ui\";a:2:{s:15:\"available_menus\";a:1:{i:0;s:4:\"main\";}s:6:\"parent\";s:5:\"main:\";}}s:4:\"name\";s:11:\"Our mission\";s:4:\"type\";s:11:\"our_mission\";s:11:\"description\";s:0:\"\";s:4:\"help\";s:0:\"\";s:12:\"new_revision\";b:0;s:12:\"preview_mode\";i:1;s:17:\"display_submitted\";b:0;}'),('','node.type.our_services','a:12:{s:4:\"uuid\";s:36:\"5cd74c2f-55e9-42ff-bd47-5f63ad48f8d2\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:7:\"menu_ui\";}}s:20:\"third_party_settings\";a:1:{s:7:\"menu_ui\";a:2:{s:15:\"available_menus\";a:1:{i:0;s:4:\"main\";}s:6:\"parent\";s:5:\"main:\";}}s:4:\"name\";s:12:\"Our services\";s:4:\"type\";s:12:\"our_services\";s:11:\"description\";s:0:\"\";s:4:\"help\";s:0:\"\";s:12:\"new_revision\";b:0;s:12:\"preview_mode\";i:1;s:17:\"display_submitted\";b:0;}'),('','node.type.page','a:12:{s:4:\"uuid\";s:36:\"552ce646-2fb9-45cd-ae84-807ee8d41f23\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"zhtPXoRcC6REiepM0k16zw__FDW5YOXDR6U2WlldTrs\";}s:4:\"name\";s:10:\"Basic page\";s:4:\"type\";s:4:\"page\";s:11:\"description\";s:77:\"Use <em>basic pages</em> for your static content, such as an \'About us\' page.\";s:4:\"help\";s:0:\"\";s:12:\"new_revision\";b:0;s:12:\"preview_mode\";i:1;s:17:\"display_submitted\";b:0;}'),('','node.type.partners','a:12:{s:4:\"uuid\";s:36:\"09a33451-a6ec-4c3d-9fc1-abd5fbece254\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:7:\"menu_ui\";}}s:20:\"third_party_settings\";a:1:{s:7:\"menu_ui\";a:2:{s:15:\"available_menus\";a:1:{i:0;s:4:\"main\";}s:6:\"parent\";s:5:\"main:\";}}s:4:\"name\";s:8:\"Partners\";s:4:\"type\";s:8:\"partners\";s:11:\"description\";s:0:\"\";s:4:\"help\";s:0:\"\";s:12:\"new_revision\";b:0;s:12:\"preview_mode\";i:1;s:17:\"display_submitted\";b:0;}'),('','node.type.portfolio','a:12:{s:4:\"uuid\";s:36:\"6ac71c33-032d-4cd0-b37b-e56ca659feb6\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:7:\"menu_ui\";}}s:20:\"third_party_settings\";a:1:{s:7:\"menu_ui\";a:2:{s:15:\"available_menus\";a:1:{i:0;s:4:\"main\";}s:6:\"parent\";s:5:\"main:\";}}s:4:\"name\";s:9:\"Portfolio\";s:4:\"type\";s:9:\"portfolio\";s:11:\"description\";s:0:\"\";s:4:\"help\";s:0:\"\";s:12:\"new_revision\";b:0;s:12:\"preview_mode\";i:1;s:17:\"display_submitted\";b:0;}'),('','node.type.simplenews_issue','a:12:{s:4:\"uuid\";s:36:\"3a7f92de-9c25-41b3-848d-5d04bf2fe017\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"3BiX0lHzQ8EyHRnO56OziilMZPNxJImXpSAQUTuALLU\";}s:4:\"name\";s:16:\"Newsletter Issue\";s:4:\"type\";s:16:\"simplenews_issue\";s:11:\"description\";s:46:\"Use <em>Newsletter Issue</em> for newsletters.\";s:4:\"help\";s:0:\"\";s:12:\"new_revision\";b:0;s:12:\"preview_mode\";i:1;s:17:\"display_submitted\";b:0;}'),('','node.type.why_us','a:12:{s:4:\"uuid\";s:36:\"f597cad7-5989-49c2-b769-3d401ec2d9e4\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:7:\"menu_ui\";}}s:20:\"third_party_settings\";a:1:{s:7:\"menu_ui\";a:2:{s:15:\"available_menus\";a:1:{i:0;s:4:\"main\";}s:6:\"parent\";s:5:\"main:\";}}s:4:\"name\";s:6:\"Why us\";s:4:\"type\";s:6:\"why_us\";s:11:\"description\";s:0:\"\";s:4:\"help\";s:0:\"\";s:12:\"new_revision\";b:0;s:12:\"preview_mode\";i:1;s:17:\"display_submitted\";b:0;}'),('','pathauto.pattern.banner','a:12:{s:4:\"uuid\";s:36:\"9b2a9b1c-598d-49e9-b152-5aa4c92f17cc\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:6:\"banner\";s:5:\"label\";s:6:\"Banner\";s:4:\"type\";s:23:\"canonical_entities:node\";s:7:\"pattern\";s:20:\"/banner/[node:title]\";s:18:\"selection_criteria\";a:1:{s:36:\"8a6a688f-0aa1-40d0-b955-407d4d8b0b57\";a:5:{s:2:\"id\";s:9:\"node_type\";s:7:\"bundles\";a:1:{s:6:\"banner\";s:6:\"banner\";}s:6:\"negate\";b:0;s:15:\"context_mapping\";a:1:{s:4:\"node\";s:4:\"node\";}s:4:\"uuid\";s:36:\"8a6a688f-0aa1-40d0-b955-407d4d8b0b57\";}}s:15:\"selection_logic\";s:3:\"and\";s:6:\"weight\";i:-5;s:13:\"relationships\";a:0:{}}'),('','pathauto.pattern.blog','a:12:{s:4:\"uuid\";s:36:\"b6929cf3-8303-4cb7-863a-0958dfa29816\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:4:\"blog\";s:5:\"label\";s:4:\"Blog\";s:4:\"type\";s:23:\"canonical_entities:node\";s:7:\"pattern\";s:18:\"/blog/[node:title]\";s:18:\"selection_criteria\";a:1:{s:36:\"b02462f4-3f03-431a-adef-a510b7902664\";a:5:{s:2:\"id\";s:9:\"node_type\";s:7:\"bundles\";a:1:{s:4:\"blog\";s:4:\"blog\";}s:6:\"negate\";b:0;s:15:\"context_mapping\";a:1:{s:4:\"node\";s:4:\"node\";}s:4:\"uuid\";s:36:\"b02462f4-3f03-431a-adef-a510b7902664\";}}s:15:\"selection_logic\";s:3:\"and\";s:6:\"weight\";i:-5;s:13:\"relationships\";a:0:{}}'),('','pathauto.pattern.o','a:12:{s:4:\"uuid\";s:36:\"7bfea17f-6ee1-4465-b973-26d2b3b78539\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:1:\"o\";s:5:\"label\";s:12:\"Our services\";s:4:\"type\";s:23:\"canonical_entities:node\";s:7:\"pattern\";s:26:\"/our_services/[node:title]\";s:18:\"selection_criteria\";a:1:{s:36:\"2948fd0b-ccb9-4c9d-bdd1-20a55472d889\";a:5:{s:2:\"id\";s:9:\"node_type\";s:7:\"bundles\";a:1:{s:12:\"our_services\";s:12:\"our_services\";}s:6:\"negate\";b:0;s:15:\"context_mapping\";a:1:{s:4:\"node\";s:4:\"node\";}s:4:\"uuid\";s:36:\"2948fd0b-ccb9-4c9d-bdd1-20a55472d889\";}}s:15:\"selection_logic\";s:3:\"and\";s:6:\"weight\";i:-5;s:13:\"relationships\";a:0:{}}'),('','pathauto.pattern.our_mission','a:12:{s:4:\"uuid\";s:36:\"20003c65-0003-42d9-ad26-e7df081cfe4f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:11:\"our_mission\";s:5:\"label\";s:11:\"Our mission\";s:4:\"type\";s:23:\"canonical_entities:node\";s:7:\"pattern\";s:25:\"/our_mission/[node:title]\";s:18:\"selection_criteria\";a:1:{s:36:\"cefe0215-7688-475b-825b-b6e2dc4258aa\";a:5:{s:2:\"id\";s:9:\"node_type\";s:7:\"bundles\";a:1:{s:11:\"our_mission\";s:11:\"our_mission\";}s:6:\"negate\";b:0;s:15:\"context_mapping\";a:1:{s:4:\"node\";s:4:\"node\";}s:4:\"uuid\";s:36:\"cefe0215-7688-475b-825b-b6e2dc4258aa\";}}s:15:\"selection_logic\";s:3:\"and\";s:6:\"weight\";i:-5;s:13:\"relationships\";a:0:{}}'),('','pathauto.pattern.partners','a:12:{s:4:\"uuid\";s:36:\"fdca64a2-e68f-47ee-b8d0-b7d632f323f1\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:8:\"partners\";s:5:\"label\";s:8:\"Partners\";s:4:\"type\";s:23:\"canonical_entities:node\";s:7:\"pattern\";s:22:\"/partners/[node:title]\";s:18:\"selection_criteria\";a:1:{s:36:\"69844955-7e5d-4442-9387-ab4562b65c9a\";a:5:{s:2:\"id\";s:9:\"node_type\";s:7:\"bundles\";a:1:{s:8:\"partners\";s:8:\"partners\";}s:6:\"negate\";b:0;s:15:\"context_mapping\";a:1:{s:4:\"node\";s:4:\"node\";}s:4:\"uuid\";s:36:\"69844955-7e5d-4442-9387-ab4562b65c9a\";}}s:15:\"selection_logic\";s:3:\"and\";s:6:\"weight\";i:-5;s:13:\"relationships\";a:0:{}}'),('','pathauto.pattern.portfolio','a:12:{s:4:\"uuid\";s:36:\"5409dd92-f6d9-4d67-9af4-1493027d92ae\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:9:\"portfolio\";s:5:\"label\";s:9:\"Portfolio\";s:4:\"type\";s:23:\"canonical_entities:node\";s:7:\"pattern\";s:23:\"/portfolio/[node:title]\";s:18:\"selection_criteria\";a:1:{s:36:\"0a4a6750-5f7d-4a57-a6d3-3e0dfe66ecdd\";a:5:{s:2:\"id\";s:9:\"node_type\";s:7:\"bundles\";a:1:{s:9:\"portfolio\";s:9:\"portfolio\";}s:6:\"negate\";b:0;s:15:\"context_mapping\";a:1:{s:4:\"node\";s:4:\"node\";}s:4:\"uuid\";s:36:\"0a4a6750-5f7d-4a57-a6d3-3e0dfe66ecdd\";}}s:15:\"selection_logic\";s:3:\"and\";s:6:\"weight\";i:-5;s:13:\"relationships\";a:0:{}}'),('','pathauto.pattern.vocabulary_tags','a:12:{s:4:\"uuid\";s:36:\"94c5e4e2-ef4f-470e-8f01-eb01b926c279\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:6:\"ctools\";i:1;s:8:\"taxonomy\";}}s:2:\"id\";s:15:\"vocabulary_tags\";s:5:\"label\";s:15:\"Vocabulary tags\";s:4:\"type\";s:32:\"canonical_entities:taxonomy_term\";s:7:\"pattern\";s:35:\"/[term:vocabulary:name]/[term:name]\";s:18:\"selection_criteria\";a:1:{s:36:\"0a3d165d-11be-4dde-87e8-92c6c2e44650\";a:5:{s:2:\"id\";s:27:\"entity_bundle:taxonomy_term\";s:7:\"bundles\";a:1:{s:4:\"tags\";s:4:\"tags\";}s:6:\"negate\";b:0;s:15:\"context_mapping\";a:1:{s:13:\"taxonomy_term\";s:13:\"taxonomy_term\";}s:4:\"uuid\";s:36:\"0a3d165d-11be-4dde-87e8-92c6c2e44650\";}}s:15:\"selection_logic\";s:3:\"and\";s:6:\"weight\";i:-5;s:13:\"relationships\";a:0:{}}'),('','pathauto.pattern.why_us','a:12:{s:4:\"uuid\";s:36:\"f1214a15-3f09-44b0-8e64-bc68ebfdc131\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:2:\"id\";s:6:\"why_us\";s:5:\"label\";s:6:\"Why us\";s:4:\"type\";s:23:\"canonical_entities:node\";s:7:\"pattern\";s:20:\"/why_us/[node:title]\";s:18:\"selection_criteria\";a:1:{s:36:\"48d0e92f-a2f4-4087-a39b-a04b02104a5b\";a:5:{s:2:\"id\";s:9:\"node_type\";s:7:\"bundles\";a:1:{s:6:\"why_us\";s:6:\"why_us\";}s:6:\"negate\";b:0;s:15:\"context_mapping\";a:1:{s:4:\"node\";s:4:\"node\";}s:4:\"uuid\";s:36:\"48d0e92f-a2f4-4087-a39b-a04b02104a5b\";}}s:15:\"selection_logic\";s:3:\"and\";s:6:\"weight\";i:-5;s:13:\"relationships\";a:0:{}}'),('','pathauto.settings','a:13:{s:11:\"punctuation\";a:1:{s:6:\"hyphen\";i:1;}s:7:\"verbose\";b:0;s:9:\"separator\";s:1:\"-\";s:10:\"max_length\";i:100;s:20:\"max_component_length\";i:100;s:13:\"transliterate\";b:1;s:12:\"reduce_ascii\";b:0;s:4:\"case\";b:1;s:12:\"ignore_words\";s:134:\"a, an, as, at, before, but, by, for, from, is, in, into, like, of, off, on, onto, per, since, than, the, this, that, to, up, via, with\";s:13:\"update_action\";i:2;s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"YrQtUD-tjwXmWch1oNpPqr3qb5S17-dXdlKwqhiHjNI\";}s:20:\"enabled_entity_types\";a:1:{i:0;s:4:\"user\";}s:11:\"safe_tokens\";a:7:{i:0;s:5:\"alias\";i:1;s:5:\"alias\";i:2;s:4:\"path\";i:3;s:9:\"join-path\";i:4;s:9:\"login-url\";i:5;s:3:\"url\";i:6;s:9:\"url-brief\";}}'),('','rdf.mapping.comment.comment','a:10:{s:4:\"uuid\";s:36:\"c3c6479c-be44-459d-a106-78aba917a646\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:20:\"comment.type.comment\";}s:6:\"module\";a:1:{i:0;s:7:\"comment\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"uETe6XupRGKDForx2MpY0pMOEu6CzGgdCAZZOKkbgmk\";}s:2:\"id\";s:15:\"comment.comment\";s:16:\"targetEntityType\";s:7:\"comment\";s:6:\"bundle\";s:7:\"comment\";s:5:\"types\";a:1:{i:0;s:14:\"schema:Comment\";}s:13:\"fieldMappings\";a:5:{s:7:\"subject\";a:1:{s:10:\"properties\";a:1:{i:0;s:11:\"schema:name\";}}s:7:\"created\";a:2:{s:10:\"properties\";a:1:{i:0;s:18:\"schema:dateCreated\";}s:17:\"datatype_callback\";a:1:{s:8:\"callable\";s:48:\"Drupal\\rdf\\CommonDataConverter::dateIso8601Value\";}}s:7:\"changed\";a:2:{s:10:\"properties\";a:1:{i:0;s:19:\"schema:dateModified\";}s:17:\"datatype_callback\";a:1:{s:8:\"callable\";s:48:\"Drupal\\rdf\\CommonDataConverter::dateIso8601Value\";}}s:12:\"comment_body\";a:1:{s:10:\"properties\";a:1:{i:0;s:11:\"schema:text\";}}s:3:\"uid\";a:2:{s:10:\"properties\";a:1:{i:0;s:13:\"schema:author\";}s:12:\"mapping_type\";s:3:\"rel\";}}}'),('','rdf.mapping.node.article','a:10:{s:4:\"uuid\";s:36:\"5e7f7fd8-1a81-4674-a631-170771867a69\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:17:\"node.type.article\";}s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"IdobJe379eDudt7-bXFfJjF7pDqFl-kYxVFtpWrgkro\";}s:2:\"id\";s:12:\"node.article\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:7:\"article\";s:5:\"types\";a:1:{i:0;s:14:\"schema:Article\";}s:13:\"fieldMappings\";a:9:{s:5:\"title\";a:1:{s:10:\"properties\";a:1:{i:0;s:11:\"schema:name\";}}s:7:\"created\";a:2:{s:10:\"properties\";a:1:{i:0;s:18:\"schema:dateCreated\";}s:17:\"datatype_callback\";a:1:{s:8:\"callable\";s:48:\"Drupal\\rdf\\CommonDataConverter::dateIso8601Value\";}}s:7:\"changed\";a:2:{s:10:\"properties\";a:1:{i:0;s:19:\"schema:dateModified\";}s:17:\"datatype_callback\";a:1:{s:8:\"callable\";s:48:\"Drupal\\rdf\\CommonDataConverter::dateIso8601Value\";}}s:4:\"body\";a:1:{s:10:\"properties\";a:1:{i:0;s:11:\"schema:text\";}}s:3:\"uid\";a:1:{s:10:\"properties\";a:1:{i:0;s:13:\"schema:author\";}}s:7:\"comment\";a:2:{s:10:\"properties\";a:1:{i:0;s:14:\"schema:comment\";}s:12:\"mapping_type\";s:3:\"rel\";}s:13:\"comment_count\";a:2:{s:10:\"properties\";a:1:{i:0;s:23:\"schema:interactionCount\";}s:17:\"datatype_callback\";a:2:{s:8:\"callable\";s:51:\"Drupal\\rdf\\SchemaOrgDataConverter::interactionCount\";s:9:\"arguments\";a:1:{s:16:\"interaction_type\";s:12:\"UserComments\";}}}s:11:\"field_image\";a:1:{s:10:\"properties\";a:1:{i:0;s:12:\"schema:image\";}}s:10:\"field_tags\";a:1:{s:10:\"properties\";a:1:{i:0;s:12:\"schema:about\";}}}}'),('','rdf.mapping.node.page','a:10:{s:4:\"uuid\";s:36:\"5b583582-850c-4984-aa80-3957e2c68f15\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:14:\"node.type.page\";}s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"32LxRnl4Wesvzqyfp7HnD0-U9-wxrLBn76pqY5XGNAE\";}s:2:\"id\";s:9:\"node.page\";s:16:\"targetEntityType\";s:4:\"node\";s:6:\"bundle\";s:4:\"page\";s:5:\"types\";a:1:{i:0;s:14:\"schema:WebPage\";}s:13:\"fieldMappings\";a:6:{s:5:\"title\";a:1:{s:10:\"properties\";a:1:{i:0;s:11:\"schema:name\";}}s:7:\"created\";a:2:{s:10:\"properties\";a:1:{i:0;s:18:\"schema:dateCreated\";}s:17:\"datatype_callback\";a:1:{s:8:\"callable\";s:48:\"Drupal\\rdf\\CommonDataConverter::dateIso8601Value\";}}s:7:\"changed\";a:2:{s:10:\"properties\";a:1:{i:0;s:19:\"schema:dateModified\";}s:17:\"datatype_callback\";a:1:{s:8:\"callable\";s:48:\"Drupal\\rdf\\CommonDataConverter::dateIso8601Value\";}}s:4:\"body\";a:1:{s:10:\"properties\";a:1:{i:0;s:11:\"schema:text\";}}s:3:\"uid\";a:2:{s:10:\"properties\";a:1:{i:0;s:13:\"schema:author\";}s:12:\"mapping_type\";s:3:\"rel\";}s:13:\"comment_count\";a:2:{s:10:\"properties\";a:1:{i:0;s:23:\"schema:interactionCount\";}s:17:\"datatype_callback\";a:2:{s:8:\"callable\";s:51:\"Drupal\\rdf\\SchemaOrgDataConverter::interactionCount\";s:9:\"arguments\";a:1:{s:16:\"interaction_type\";s:12:\"UserComments\";}}}}}'),('','rdf.mapping.taxonomy_term.tags','a:10:{s:4:\"uuid\";s:36:\"e81bfeaf-c2ea-461c-854d-63e80a030fbd\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:24:\"taxonomy.vocabulary.tags\";}s:6:\"module\";a:1:{i:0;s:8:\"taxonomy\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"o5duwyS1CTHx3tYOZhuu91kspe8VQjQsnwZjAJv9njk\";}s:2:\"id\";s:18:\"taxonomy_term.tags\";s:16:\"targetEntityType\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:4:\"tags\";s:5:\"types\";a:1:{i:0;s:12:\"schema:Thing\";}s:13:\"fieldMappings\";a:2:{s:4:\"name\";a:1:{s:10:\"properties\";a:1:{i:0;s:11:\"schema:name\";}}s:11:\"description\";a:1:{s:10:\"properties\";a:1:{i:0;s:18:\"schema:description\";}}}}'),('','rdf.mapping.user.user','a:10:{s:4:\"uuid\";s:36:\"b4d473de-992f-481f-8550-3dc53154719a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"TGTlmpYAtXxjtYMFA_A0vosE2c4R5MCQwLviIA5HUM0\";}s:2:\"id\";s:9:\"user.user\";s:16:\"targetEntityType\";s:4:\"user\";s:6:\"bundle\";s:4:\"user\";s:5:\"types\";a:1:{i:0;s:13:\"schema:Person\";}s:13:\"fieldMappings\";a:1:{s:4:\"name\";a:1:{s:10:\"properties\";a:1:{i:0;s:11:\"schema:name\";}}}}'),('','responsive_image.styles.narrow','a:10:{s:4:\"uuid\";s:36:\"8eb79e19-da57-4bd3-8304-4e0b5a147276\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:3:{i:0;s:25:\"image.style.max_1300x1300\";i:1;s:23:\"image.style.max_325x325\";i:2;s:23:\"image.style.max_650x650\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"xAduWBNBoi9WKBMCoVIKSueNYqPK84SiiZwQYKPbkaE\";}s:2:\"id\";s:6:\"narrow\";s:5:\"label\";s:6:\"Narrow\";s:20:\"image_style_mappings\";a:1:{i:0;a:4:{s:13:\"breakpoint_id\";s:32:\"responsive_image.viewport_sizing\";s:10:\"multiplier\";s:2:\"1x\";s:18:\"image_mapping_type\";s:5:\"sizes\";s:13:\"image_mapping\";a:2:{s:5:\"sizes\";s:82:\"(min-width: 1290px) 325px, (min-width: 851px) 25vw, (min-width: 560px) 50vw, 100vw\";s:18:\"sizes_image_styles\";a:3:{i:0;s:13:\"max_1300x1300\";i:1;s:11:\"max_650x650\";i:2;s:11:\"max_325x325\";}}}}s:16:\"breakpoint_group\";s:16:\"responsive_image\";s:20:\"fallback_image_style\";s:11:\"max_325x325\";}'),('','responsive_image.styles.wide','a:10:{s:4:\"uuid\";s:36:\"5cffd3ef-5656-4446-b200-b771d8076568\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"config\";a:4:{i:0;s:25:\"image.style.max_1300x1300\";i:1;s:25:\"image.style.max_2600x2600\";i:2;s:23:\"image.style.max_325x325\";i:3;s:23:\"image.style.max_650x650\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"waBU_eXNHzwqmAXPugM2-ZD5Cuvzw_OGwPfSITxymOE\";}s:2:\"id\";s:4:\"wide\";s:5:\"label\";s:4:\"Wide\";s:20:\"image_style_mappings\";a:1:{i:0;a:4:{s:13:\"breakpoint_id\";s:32:\"responsive_image.viewport_sizing\";s:10:\"multiplier\";s:2:\"1x\";s:18:\"image_mapping_type\";s:5:\"sizes\";s:13:\"image_mapping\";a:2:{s:5:\"sizes\";s:33:\"(min-width: 1290px) 1290px, 100vw\";s:18:\"sizes_image_styles\";a:4:{i:0;s:13:\"max_2600x2600\";i:1;s:13:\"max_1300x1300\";i:2;s:11:\"max_650x650\";i:3;s:11:\"max_325x325\";}}}}s:16:\"breakpoint_group\";s:16:\"responsive_image\";s:20:\"fallback_image_style\";s:11:\"max_325x325\";}'),('','search.page.node_search','a:11:{s:4:\"uuid\";s:36:\"0d4c7aba-c879-4ad2-8cde-f1dedce20c79\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"97tvtzGOa8_flb22CzSjgtm_YkiGMHvEBO-6q2K9V_U\";}s:2:\"id\";s:11:\"node_search\";s:5:\"label\";s:7:\"Content\";s:4:\"path\";s:4:\"node\";s:6:\"weight\";i:-10;s:6:\"plugin\";s:11:\"node_search\";s:13:\"configuration\";a:1:{s:8:\"rankings\";a:0:{}}}'),('','search.page.user_search','a:11:{s:4:\"uuid\";s:36:\"86a112ee-d335-4343-8e7d-cdd2fdd728ca\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"k3aUaZXGDuhkek2TZIee0PApOPTvYZLadziekdyHA5A\";}s:2:\"id\";s:11:\"user_search\";s:5:\"label\";s:5:\"Users\";s:4:\"path\";s:4:\"user\";s:6:\"weight\";i:0;s:6:\"plugin\";s:11:\"user_search\";s:13:\"configuration\";a:0:{}}'),('','search.settings','a:5:{s:12:\"and_or_limit\";i:7;s:12:\"default_page\";s:11:\"node_search\";s:5:\"index\";a:4:{s:10:\"cron_limit\";i:100;s:11:\"overlap_cjk\";b:1;s:17:\"minimum_word_size\";i:3;s:11:\"tag_weights\";a:12:{s:2:\"h1\";i:25;s:2:\"h2\";i:18;s:2:\"h3\";i:15;s:2:\"h4\";i:14;s:2:\"h5\";i:9;s:2:\"h6\";i:6;s:1:\"u\";i:3;s:1:\"b\";i:3;s:1:\"i\";i:3;s:6:\"strong\";i:3;s:2:\"em\";i:3;s:1:\"a\";i:10;}}s:7:\"logging\";b:0;s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"hvVxL1G-ZCxaq32IZws0YsfuhvaDiQE_np-0g35KjUk\";}}'),('','seven.settings','a:1:{s:20:\"third_party_settings\";a:1:{s:8:\"shortcut\";a:1:{s:11:\"module_link\";b:1;}}}'),('','sharethis.settings','a:21:{s:13:\"button_option\";s:5:\"stbc_\";s:8:\"comments\";i:0;s:9:\"late_load\";i:0;s:8:\"location\";s:5:\"block\";s:10:\"node_types\";a:10:{s:7:\"article\";s:7:\"article\";s:4:\"page\";s:4:\"page\";s:6:\"banner\";N;s:4:\"blog\";N;s:11:\"our_mission\";N;s:12:\"our_services\";N;s:8:\"partners\";N;s:9:\"portfolio\";N;s:16:\"simplenews_issue\";N;s:6:\"why_us\";N;}s:13:\"option_extras\";a:2:{s:23:\"Google Plus One:plusone\";s:1:\"0\";s:20:\"Facebook Like:fblike\";s:1:\"0\";}s:16:\"option_neworzero\";i:0;s:14:\"option_onhover\";i:1;s:14:\"option_shorten\";i:1;s:14:\"service_option\";s:59:\"\'Facebook:facebook\',\'Twitter:twitter\',\'Google +:googleplus\'\";s:14:\"twitter_handle\";s:0:\"\";s:18:\"twitter_recommends\";s:0:\"\";s:14:\"twitter_suffix\";s:0:\"\";s:15:\"webform_options\";s:0:\"\";s:6:\"weight\";i:10;s:13:\"widget_option\";s:8:\"st_multi\";s:3:\"cns\";a:2:{s:9:\"donotcopy\";N;s:11:\"hashaddress\";N;}s:14:\"sharethisnodes\";a:10:{s:7:\"article\";a:9:{s:4:\"full\";s:4:\"full\";s:10:\"email_html\";s:1:\"0\";s:11:\"email_plain\";s:1:\"0\";s:13:\"email_textalt\";s:1:\"0\";s:3:\"rss\";s:1:\"0\";s:12:\"search_index\";s:1:\"0\";s:13:\"search_result\";s:1:\"0\";s:6:\"teaser\";s:1:\"0\";s:5:\"token\";s:1:\"0\";}s:4:\"page\";a:9:{s:4:\"full\";s:4:\"full\";s:10:\"email_html\";s:1:\"0\";s:11:\"email_plain\";s:1:\"0\";s:13:\"email_textalt\";s:1:\"0\";s:3:\"rss\";s:1:\"0\";s:12:\"search_index\";s:1:\"0\";s:13:\"search_result\";s:1:\"0\";s:6:\"teaser\";s:1:\"0\";s:5:\"token\";s:1:\"0\";}s:6:\"banner\";a:9:{s:10:\"email_html\";s:1:\"0\";s:11:\"email_plain\";s:1:\"0\";s:13:\"email_textalt\";s:1:\"0\";s:4:\"full\";s:1:\"0\";s:3:\"rss\";s:1:\"0\";s:12:\"search_index\";s:1:\"0\";s:13:\"search_result\";s:1:\"0\";s:6:\"teaser\";s:1:\"0\";s:5:\"token\";s:1:\"0\";}s:4:\"blog\";a:9:{s:10:\"email_html\";s:1:\"0\";s:11:\"email_plain\";s:1:\"0\";s:13:\"email_textalt\";s:1:\"0\";s:4:\"full\";s:1:\"0\";s:3:\"rss\";s:1:\"0\";s:12:\"search_index\";s:1:\"0\";s:13:\"search_result\";s:1:\"0\";s:6:\"teaser\";s:1:\"0\";s:5:\"token\";s:1:\"0\";}s:11:\"our_mission\";a:9:{s:10:\"email_html\";s:1:\"0\";s:11:\"email_plain\";s:1:\"0\";s:13:\"email_textalt\";s:1:\"0\";s:4:\"full\";s:1:\"0\";s:3:\"rss\";s:1:\"0\";s:12:\"search_index\";s:1:\"0\";s:13:\"search_result\";s:1:\"0\";s:6:\"teaser\";s:1:\"0\";s:5:\"token\";s:1:\"0\";}s:8:\"partners\";a:9:{s:10:\"email_html\";s:1:\"0\";s:11:\"email_plain\";s:1:\"0\";s:13:\"email_textalt\";s:1:\"0\";s:4:\"full\";s:1:\"0\";s:3:\"rss\";s:1:\"0\";s:12:\"search_index\";s:1:\"0\";s:13:\"search_result\";s:1:\"0\";s:6:\"teaser\";s:1:\"0\";s:5:\"token\";s:1:\"0\";}s:9:\"portfolio\";a:9:{s:10:\"email_html\";s:1:\"0\";s:11:\"email_plain\";s:1:\"0\";s:13:\"email_textalt\";s:1:\"0\";s:4:\"full\";s:1:\"0\";s:3:\"rss\";s:1:\"0\";s:12:\"search_index\";s:1:\"0\";s:13:\"search_result\";s:1:\"0\";s:6:\"teaser\";s:1:\"0\";s:5:\"token\";s:1:\"0\";}s:16:\"simplenews_issue\";a:9:{s:10:\"email_html\";s:1:\"0\";s:11:\"email_plain\";s:1:\"0\";s:13:\"email_textalt\";s:1:\"0\";s:4:\"full\";s:1:\"0\";s:3:\"rss\";s:1:\"0\";s:12:\"search_index\";s:1:\"0\";s:13:\"search_result\";s:1:\"0\";s:6:\"teaser\";s:1:\"0\";s:5:\"token\";s:1:\"0\";}s:12:\"our_services\";a:9:{s:10:\"email_html\";s:1:\"0\";s:11:\"email_plain\";s:1:\"0\";s:13:\"email_textalt\";s:1:\"0\";s:4:\"full\";s:1:\"0\";s:3:\"rss\";s:1:\"0\";s:12:\"search_index\";s:1:\"0\";s:13:\"search_result\";s:1:\"0\";s:6:\"teaser\";s:1:\"0\";s:5:\"token\";s:1:\"0\";}s:6:\"why_us\";a:9:{s:10:\"email_html\";s:1:\"0\";s:11:\"email_plain\";s:1:\"0\";s:13:\"email_textalt\";s:1:\"0\";s:4:\"full\";s:1:\"0\";s:3:\"rss\";s:1:\"0\";s:12:\"search_index\";s:1:\"0\";s:13:\"search_result\";s:1:\"0\";s:6:\"teaser\";s:1:\"0\";s:5:\"token\";s:1:\"0\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"OUePCWmQ_tUOCD4VF7-AP0maPJi2Y18f0JvNTgThhRQ\";}s:11:\"publisherID\";s:39:\"dr-2a8c716b-1c81-232e-c99b-e7dfa79de96c\";s:7:\"callesi\";s:1:\"0\";}'),('','shortcut.set.default','a:7:{s:4:\"uuid\";s:36:\"a01d13da-088c-4ce3-9924-4c1f180975d1\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"U5VlGjd_SfV0Qm_EfnaynOfc549cNscFAx48JfYoMRI\";}s:2:\"id\";s:7:\"default\";s:5:\"label\";s:7:\"Default\";}'),('','simplenews.newsletter.default','a:18:{s:4:\"uuid\";s:36:\"02d3288a-b749-42a0-bcb8-5464db90c83a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"hj6zGNwndnW_J6lKfFcg-tY5e5YqWfgXyt0qioGtXL8\";}s:4:\"name\";s:18:\"Default newsletter\";s:2:\"id\";s:7:\"default\";s:11:\"description\";s:41:\"This is an example newsletter. Change it.\";s:6:\"format\";s:5:\"plain\";s:8:\"priority\";i:0;s:7:\"receipt\";b:1;s:9:\"from_name\";s:9:\"Luxestate\";s:7:\"subject\";s:43:\"[[simplenews-newsletter:name]] [node:title]\";s:12:\"from_address\";s:13:\"admin@lvh.com\";s:10:\"hyperlinks\";b:0;s:11:\"new_account\";s:4:\"none\";s:9:\"opt_inout\";s:6:\"double\";s:6:\"weight\";i:0;}'),('','simplenews.settings','a:6:{s:15:\"hash_expiration\";i:86400;s:10:\"newsletter\";a:5:{s:6:\"format\";s:5:\"plain\";s:8:\"priority\";i:0;s:7:\"receipt\";b:1;s:12:\"from_address\";s:13:\"admin@lvh.com\";s:9:\"from_name\";s:9:\"Luxestate\";}s:10:\"subscriber\";a:1:{s:11:\"sync_fields\";b:1;}s:12:\"subscription\";a:15:{s:12:\"use_combined\";s:8:\"multiple\";s:25:\"confirm_subscribe_subject\";s:62:\"Confirmation for [simplenews-newsletter:name] from [site:name]\";s:30:\"confirm_subscribe_unsubscribed\";s:232:\"We have received a request to subscribe [simplenews-subscriber:mail] to the [simplenews-newsletter:name] newsletter on [site:name] website at [site:url]. To confirm please use the link below. \n\n [simplenews-subscriber:subscribe-url]\";s:28:\"confirm_subscribe_subscribed\";s:281:\"We have received a request to subscribe [simplenews-subscriber:mail] to the [simplenews-newsletter:name]  newsletter on [site:name] website at [site:url]. However, this email is already subscribed to this newsletter. If you intended to unsubscribe please visit our site: [site:url]\";s:30:\"confirm_unsubscribe_subscribed\";s:239:\"We have received a request to remove the [simplenews-subscriber:mail] from the [simplenews-newsletter:name] mailing list on [site:name] website at [site:url]. To confirm please use the link below.\r\n\r\n[simplenews-subscriber:unsubscribe-url]\";s:32:\"confirm_unsubscribe_unsubscribed\";s:283:\"We have received a request to remove the [simplenews-subscriber:mail] from the [simplenews-newsletter:name] mailing list on [site:name] website at [site:url]. However, this email is not subscribed to this mailing list. If you intended to subscribe please visit our site at [site:url]\";s:24:\"confirm_combined_subject\";s:28:\"Confirmation for [site:name]\";s:21:\"confirm_combined_body\";s:212:\"We have received a request for the following subscription changes for [simplenews-subscriber:mail] at [site:url]:\r\n\r\n[changes-list]\r\n\r\nTo confirm please use the link below.\r\n\r\n[simplenews-subscriber:combined-url]\";s:31:\"confirm_combined_body_unchanged\";s:215:\"We have received a request for the following subscription changes for [simplenews-subscriber:mail] at [site:url]:\r\n\r\n[changes-list]\r\n\r\nNo confirmation necessary because all requested changes equal the current state.\";s:44:\"confirm_combined_line_subscribe_unsubscribed\";s:41:\"Subscribe to [simplenews-newsletter:name]\";s:42:\"confirm_combined_line_subscribe_subscribed\";s:50:\"Already subscribed to [simplenews-newsletter:name]\";s:44:\"confirm_combined_line_unsubscribe_subscribed\";s:45:\"Unsubscribe from [simplenews-newsletter:name]\";s:46:\"confirm_combined_line_unsubscribe_unsubscribed\";s:54:\"Already unsubscribed from [simplenews-newsletter:name]\";s:22:\"confirm_subscribe_page\";s:0:\"\";s:24:\"confirm_unsubscribe_page\";s:0:\"\";}s:4:\"mail\";a:5:{s:8:\"use_cron\";b:1;s:8:\"throttle\";i:20;s:25:\"spool_progress_expiration\";i:3600;s:12:\"spool_expire\";i:0;s:5:\"debug\";b:0;}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"cy-hJPYCnfCsuUZA7VDoAwssKhRJCa8N88iJTaWiims\";}}'),('','system.action.comment_delete_action','a:9:{s:4:\"uuid\";s:36:\"b67fb1c2-f5d0-45e8-9e6f-96545040c384\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:7:\"comment\";}}s:2:\"id\";s:21:\"comment_delete_action\";s:5:\"label\";s:14:\"Delete comment\";s:4:\"type\";s:7:\"comment\";s:6:\"plugin\";s:28:\"entity:delete_action:comment\";s:13:\"configuration\";a:0:{}}'),('','system.action.comment_publish_action','a:10:{s:4:\"uuid\";s:36:\"a23fa41e-1cf3-42ea-949f-54c96024d927\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:7:\"comment\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"f6w_Pd30AyyDIoMkD4QpPMM2-I8FTEHICchFVOpjiCI\";}s:2:\"id\";s:22:\"comment_publish_action\";s:5:\"label\";s:15:\"Publish comment\";s:4:\"type\";s:7:\"comment\";s:6:\"plugin\";s:29:\"entity:publish_action:comment\";s:13:\"configuration\";a:0:{}}'),('','system.action.comment_save_action','a:10:{s:4:\"uuid\";s:36:\"f3c6a2b8-e8d4-4879-9186-6f06f9bf5dab\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:7:\"comment\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"TSkg_gUZvk-39yXFrIFnKjsxuEzO0qBH82TdDxOMMr4\";}s:2:\"id\";s:19:\"comment_save_action\";s:5:\"label\";s:12:\"Save comment\";s:4:\"type\";s:7:\"comment\";s:6:\"plugin\";s:26:\"entity:save_action:comment\";s:13:\"configuration\";a:0:{}}'),('','system.action.comment_unpublish_action','a:10:{s:4:\"uuid\";s:36:\"6ec6a4c8-a2f5-4bce-9923-a28f15685063\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:7:\"comment\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"MLin6S_PsJ7Oo480DxS46D46IM8tqFkkWOLyH7TGByI\";}s:2:\"id\";s:24:\"comment_unpublish_action\";s:5:\"label\";s:17:\"Unpublish comment\";s:4:\"type\";s:7:\"comment\";s:6:\"plugin\";s:31:\"entity:unpublish_action:comment\";s:13:\"configuration\";a:0:{}}'),('','system.action.node_delete_action','a:10:{s:4:\"uuid\";s:36:\"e6e122be-8bfb-45d0-847a-9f41952efeba\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"Zx0jD1Klh5tZaGJy8uOeR_2MCu9FDM4xg7TaUJUEbkI\";}s:2:\"id\";s:18:\"node_delete_action\";s:5:\"label\";s:14:\"Delete content\";s:4:\"type\";s:4:\"node\";s:6:\"plugin\";s:25:\"entity:delete_action:node\";s:13:\"configuration\";a:0:{}}'),('','system.action.node_make_sticky_action','a:10:{s:4:\"uuid\";s:36:\"7a0bd181-183f-41cc-9243-24aa2af6d096\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"sOb26JSy3fGpWkvR0WYN6_hMqj_6d1rvbvrkzp1yya0\";}s:2:\"id\";s:23:\"node_make_sticky_action\";s:5:\"label\";s:19:\"Make content sticky\";s:4:\"type\";s:4:\"node\";s:6:\"plugin\";s:23:\"node_make_sticky_action\";s:13:\"configuration\";a:0:{}}'),('','system.action.node_make_unsticky_action','a:10:{s:4:\"uuid\";s:36:\"244a3215-a24c-4fb1-b822-44757cc1b24b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"lDM9mvIGAu8Sw8rt-uCO4Sr7yX5VPrDPxYcawkbKd6k\";}s:2:\"id\";s:25:\"node_make_unsticky_action\";s:5:\"label\";s:21:\"Make content unsticky\";s:4:\"type\";s:4:\"node\";s:6:\"plugin\";s:25:\"node_make_unsticky_action\";s:13:\"configuration\";a:0:{}}'),('','system.action.node_promote_action','a:10:{s:4:\"uuid\";s:36:\"51548d5b-2db0-4765-9d94-11b7057d49df\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"N0RDBTqiK4dKoN4p4oW2j0SGWycdHyALUe9M-Ofp89U\";}s:2:\"id\";s:19:\"node_promote_action\";s:5:\"label\";s:29:\"Promote content to front page\";s:4:\"type\";s:4:\"node\";s:6:\"plugin\";s:19:\"node_promote_action\";s:13:\"configuration\";a:0:{}}'),('','system.action.node_publish_action','a:10:{s:4:\"uuid\";s:36:\"7cce743d-5bea-47aa-b3b6-b9986ecd6fc8\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"lsQkbo4njZ-Q_oGKCPGXGWFjWF1I7QpgA6m-t9rcRoA\";}s:2:\"id\";s:19:\"node_publish_action\";s:5:\"label\";s:15:\"Publish content\";s:4:\"type\";s:4:\"node\";s:6:\"plugin\";s:26:\"entity:publish_action:node\";s:13:\"configuration\";a:0:{}}'),('','system.action.node_save_action','a:10:{s:4:\"uuid\";s:36:\"b01b6536-4728-469d-adbb-5e015936e29c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"U9HspszLxcw6pZmRacFa6yDbbheyMN-We4fPbrWWHGg\";}s:2:\"id\";s:16:\"node_save_action\";s:5:\"label\";s:12:\"Save content\";s:4:\"type\";s:4:\"node\";s:6:\"plugin\";s:23:\"entity:save_action:node\";s:13:\"configuration\";a:0:{}}'),('','system.action.node_unpromote_action','a:10:{s:4:\"uuid\";s:36:\"306dffb4-b40e-427e-be75-fa7f2ee2c2f5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"JBptjnfuOMtsdKygklXxoOgeOCTMtQxlkymjnnj-cC0\";}s:2:\"id\";s:21:\"node_unpromote_action\";s:5:\"label\";s:30:\"Remove content from front page\";s:4:\"type\";s:4:\"node\";s:6:\"plugin\";s:21:\"node_unpromote_action\";s:13:\"configuration\";a:0:{}}'),('','system.action.node_unpublish_action','a:10:{s:4:\"uuid\";s:36:\"b90e4cc9-fca0-4f15-a927-c6d097d42203\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"gGQXiSspwGl0lyOS6w_HCPpvGAPDciqDNLFwWOydVtI\";}s:2:\"id\";s:21:\"node_unpublish_action\";s:5:\"label\";s:17:\"Unpublish content\";s:4:\"type\";s:4:\"node\";s:6:\"plugin\";s:28:\"entity:unpublish_action:node\";s:13:\"configuration\";a:0:{}}'),('','system.action.pathauto_update_alias_node','a:10:{s:4:\"uuid\";s:36:\"240ddbc5-722e-4234-964d-e32a4690d1b3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:8:\"pathauto\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"-SdRoSbsl_FULjbX8mgESZdeoEOjgi7rDhHNdLOJ8n8\";}s:2:\"id\";s:26:\"pathauto_update_alias_node\";s:5:\"label\";s:16:\"Update URL alias\";s:4:\"type\";s:4:\"node\";s:6:\"plugin\";s:21:\"pathauto_update_alias\";s:13:\"configuration\";a:0:{}}'),('','system.action.pathauto_update_alias_user','a:10:{s:4:\"uuid\";s:36:\"3865a05d-7ad8-40a3-b42a-78afe2b1ee47\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:8:\"pathauto\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"fWszFHPeJ_dhZ8kJEEWo4w-FQH_etR4AxTQkQCW9OLk\";}s:2:\"id\";s:26:\"pathauto_update_alias_user\";s:5:\"label\";s:16:\"Update URL alias\";s:4:\"type\";s:4:\"user\";s:6:\"plugin\";s:21:\"pathauto_update_alias\";s:13:\"configuration\";a:0:{}}'),('','system.action.simplenews_send_action','a:10:{s:4:\"uuid\";s:36:\"762bd699-f185-4848-9db0-bd84ec81b60b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:10:\"simplenews\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"_80qceRjNVCStX2wbyle-6zMazNn3VsvHpwLRV3Gr5M\";}s:2:\"id\";s:22:\"simplenews_send_action\";s:5:\"label\";s:21:\"Send newsletter issue\";s:4:\"type\";s:4:\"node\";s:6:\"plugin\";s:22:\"simplenews_send_action\";s:13:\"configuration\";a:0:{}}'),('','system.action.simplenews_stop_action','a:10:{s:4:\"uuid\";s:36:\"3472bcda-9e81-4e29-b564-1fa291deb905\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:10:\"simplenews\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"03Ao5qcJ1Dn0biP58cSBcKu_JNkpvt9n8tHLi5SToJ4\";}s:2:\"id\";s:22:\"simplenews_stop_action\";s:5:\"label\";s:12:\"Stop sending\";s:4:\"type\";s:4:\"node\";s:6:\"plugin\";s:22:\"simplenews_stop_action\";s:13:\"configuration\";a:0:{}}'),('','system.action.user_add_role_action.administrator','a:9:{s:4:\"uuid\";s:36:\"f056d54f-dbc3-4a83-b9e5-dcdd835eda30\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:23:\"user.role.administrator\";}s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:2:\"id\";s:34:\"user_add_role_action.administrator\";s:5:\"label\";s:48:\"Add the Administrator role to the selected users\";s:4:\"type\";s:4:\"user\";s:6:\"plugin\";s:20:\"user_add_role_action\";s:13:\"configuration\";a:1:{s:3:\"rid\";s:13:\"administrator\";}}'),('','system.action.user_block_user_action','a:10:{s:4:\"uuid\";s:36:\"325131db-66dd-4bd2-8136-3fbe8563820d\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"DyypzTfThX10FFQw-399qPfEbLLyrhXgQrKPVsmAoJ4\";}s:2:\"id\";s:22:\"user_block_user_action\";s:5:\"label\";s:26:\"Block the selected user(s)\";s:4:\"type\";s:4:\"user\";s:6:\"plugin\";s:22:\"user_block_user_action\";s:13:\"configuration\";a:0:{}}'),('','system.action.user_cancel_user_action','a:10:{s:4:\"uuid\";s:36:\"e0639a78-ee8a-43df-b820-3e90ea123232\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"nvrL9bFilzBvm2bjO9rQnFDpBA7dBBUjShSSt6NS-DU\";}s:2:\"id\";s:23:\"user_cancel_user_action\";s:5:\"label\";s:35:\"Cancel the selected user account(s)\";s:4:\"type\";s:4:\"user\";s:6:\"plugin\";s:23:\"user_cancel_user_action\";s:13:\"configuration\";a:0:{}}'),('','system.action.user_remove_role_action.administrator','a:9:{s:4:\"uuid\";s:36:\"841831b0-2443-4eba-9e1f-925c6612d584\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:23:\"user.role.administrator\";}s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:2:\"id\";s:37:\"user_remove_role_action.administrator\";s:5:\"label\";s:53:\"Remove the Administrator role from the selected users\";s:4:\"type\";s:4:\"user\";s:6:\"plugin\";s:23:\"user_remove_role_action\";s:13:\"configuration\";a:1:{s:3:\"rid\";s:13:\"administrator\";}}'),('','system.action.user_unblock_user_action','a:10:{s:4:\"uuid\";s:36:\"7a6e1e7a-c5d2-4b90-8feb-35f8429a3e6e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"SPsUXsR3Rc8d1y3gewzaAKWa1ncea_ywXX3f7LTn7k0\";}s:2:\"id\";s:24:\"user_unblock_user_action\";s:5:\"label\";s:28:\"Unblock the selected user(s)\";s:4:\"type\";s:4:\"user\";s:6:\"plugin\";s:24:\"user_unblock_user_action\";s:13:\"configuration\";a:0:{}}'),('','system.authorize','a:2:{s:20:\"filetransfer_default\";N;s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"z63ds8M4zPrylEgFRkRcOlfcsXWwfITzjD4cj1kRdfg\";}}'),('','system.cron','a:3:{s:9:\"threshold\";a:2:{s:20:\"requirements_warning\";i:172800;s:18:\"requirements_error\";i:1209600;}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"05U0n1_8zHYzxEFSWjyHCWuJyhdez2a6Z_aTIXin04E\";}s:7:\"logging\";i:1;}'),('','system.date','a:4:{s:7:\"country\";a:1:{s:7:\"default\";s:0:\"\";}s:9:\"first_day\";i:0;s:8:\"timezone\";a:2:{s:7:\"default\";s:12:\"Europe/Paris\";s:4:\"user\";a:3:{s:12:\"configurable\";b:1;s:4:\"warn\";b:0;s:7:\"default\";i:0;}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"V9UurX2GPT05NWKG9f2GWQqFG2TRG8vczidwjpy7Woo\";}}'),('','system.diff','a:2:{s:7:\"context\";a:2:{s:13:\"lines_leading\";i:2;s:14:\"lines_trailing\";i:2;}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"1WanmaEhxW_vM8_5Ktsdntj8MaO9UBHXg0lN603PsWM\";}}'),('','system.file','a:5:{s:22:\"allow_insecure_uploads\";b:0;s:14:\"default_scheme\";s:6:\"public\";s:4:\"path\";a:0:{}s:21:\"temporary_maximum_age\";i:21600;s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"t48gCU9DzYfjb3bAOIqHLzhL0ChBlXh6_5B5Pyo9t8g\";}}'),('','system.image','a:2:{s:7:\"toolkit\";s:2:\"gd\";s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"durWHaKeBaq4d9Wpi4RqwADj1OufDepcnJuhVLmKN24\";}}'),('','system.image.gd','a:2:{s:12:\"jpeg_quality\";i:75;s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"eNXaHfkJJUThHeF0nvkoXyPLRrKYGxgHRjORvT4F5rQ\";}}'),('','system.logging','a:2:{s:11:\"error_level\";s:4:\"hide\";s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"u3-njszl92FaxjrCMiq0yDcjAfcdx72w1zT1O9dx6aA\";}}'),('','system.mail','a:2:{s:9:\"interface\";a:1:{s:7:\"default\";s:8:\"php_mail\";}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"rYgt7uhPafP2ngaN_ZUPFuyI4KdE0zU868zLNSlzKoE\";}}'),('','system.maintenance','a:3:{s:7:\"message\";s:93:\"@site is currently under maintenance. We should be back shortly. Thank you for your patience.\";s:8:\"langcode\";s:2:\"en\";s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"Z5MXifrF77GEAgx0GQ6iWT8wStjFuY8BD9OruofWTJ8\";}}'),('','system.menu.account','a:9:{s:4:\"uuid\";s:36:\"7cd78d5c-9bb7-43cb-a76d-4cbd18e0784f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"M_Bh81osDyUQ4wV0GgU_NdBNqkzM87sLxjaCdFj9mnw\";}s:2:\"id\";s:7:\"account\";s:5:\"label\";s:17:\"User account menu\";s:11:\"description\";s:40:\"Links related to the active user account\";s:6:\"locked\";b:1;}'),('','system.menu.admin','a:9:{s:4:\"uuid\";s:36:\"41a24b73-ad3d-443d-9755-16b8255c1bc3\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"sapEi2YDGoI9yQIT_WgIV2vUdQ6DScH0V3fAyTadAL0\";}s:2:\"id\";s:5:\"admin\";s:5:\"label\";s:14:\"Administration\";s:11:\"description\";s:25:\"Administrative task links\";s:6:\"locked\";b:1;}'),('','system.menu.footer','a:9:{s:4:\"uuid\";s:36:\"3ba80657-c212-49ed-9083-572dea4463f5\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"7yrlW5z9zdg2eBucB2GPqXKSMQfH9lSRSO4DbWF7AFc\";}s:2:\"id\";s:6:\"footer\";s:5:\"label\";s:6:\"Footer\";s:11:\"description\";s:22:\"Site information links\";s:6:\"locked\";b:1;}'),('','system.menu.main','a:9:{s:4:\"uuid\";s:36:\"0ff1c93b-64b4-4d9e-84bf-6b826257e135\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"Q2Ra3jfoIVk0f3SjxJX61byRQFVBAbpzYDQOiY-kno8\";}s:2:\"id\";s:4:\"main\";s:5:\"label\";s:15:\"Main navigation\";s:11:\"description\";s:18:\"Site section links\";s:6:\"locked\";b:1;}'),('','system.menu.quick','a:8:{s:4:\"uuid\";s:36:\"3066309e-2f3f-43d4-af34-d0ee2d11621b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:2:\"id\";s:5:\"quick\";s:5:\"label\";s:11:\"Quick links\";s:11:\"description\";s:0:\"\";s:6:\"locked\";b:0;}'),('','system.menu.tools','a:9:{s:4:\"uuid\";s:36:\"e737a044-65be-4d0d-8396-c6dbc31f2e9e\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"BCM-vV1zzRaLHN18dqAR_CuGOj8AFJvTx7BKl_8Gcxc\";}s:2:\"id\";s:5:\"tools\";s:5:\"label\";s:5:\"Tools\";s:11:\"description\";s:39:\"User tool links, often added by modules\";s:6:\"locked\";b:1;}'),('','system.performance','a:6:{s:5:\"cache\";a:1:{s:4:\"page\";a:1:{s:7:\"max_age\";i:0;}}s:3:\"css\";a:2:{s:10:\"preprocess\";b:0;s:4:\"gzip\";b:1;}s:8:\"fast_404\";a:4:{s:7:\"enabled\";b:1;s:5:\"paths\";s:69:\"/\\.(?:txt|png|gif|jpe?g|css|js|ico|swf|flv|cgi|bat|pl|dll|exe|asp)$/i\";s:13:\"exclude_paths\";s:27:\"/\\/(?:styles|imagecache)\\//\";s:4:\"html\";s:162:\"<!DOCTYPE html><html><head><title>404 Not Found</title></head><body><h1>Not Found</h1><p>The requested URL \"@path\" was not found on this server.</p></body></html>\";}s:2:\"js\";a:2:{s:10:\"preprocess\";b:0;s:4:\"gzip\";b:1;}s:20:\"stale_file_threshold\";i:2592000;s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"b2cssrj-lOmATIbdehfCqfCFgVR0qCdxxWhwqa2KBVQ\";}}'),('','system.rss','a:4:{s:7:\"channel\";a:1:{s:11:\"description\";s:0:\"\";}s:5:\"items\";a:2:{s:5:\"limit\";i:10;s:9:\"view_mode\";s:3:\"rss\";}s:8:\"langcode\";s:2:\"en\";s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"TlH7NNk46phfxu1mSUfwg1C0YqaGsUCeD4l9JQnQlDU\";}}'),('','system.site','a:11:{s:4:\"uuid\";s:36:\"88f25917-f5fc-4c5a-8711-82b5982d4ded\";s:4:\"name\";s:9:\"Luxestate\";s:4:\"mail\";s:13:\"admin@lvh.com\";s:6:\"slogan\";s:77:\"Luxestate is open source software has long been a natural choice for schools \";s:4:\"page\";a:3:{i:403;s:0:\"\";i:404;s:0:\"\";s:5:\"front\";s:5:\"/node\";}s:18:\"admin_compact_mode\";b:0;s:17:\"weight_select_max\";i:100;s:8:\"langcode\";s:2:\"en\";s:16:\"default_langcode\";s:2:\"en\";s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"yXadRE77Va-G6dxhd2kPYapAvbnSvTF6hO4oXiOEynI\";}s:17:\"mail_notification\";s:0:\"\";}'),('','system.theme','a:3:{s:5:\"admin\";s:5:\"seven\";s:7:\"default\";s:9:\"luxestate\";s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"fOjer9hADYYnbCJVZMFZIIM1azTFWyg84ZkFDHfAbUg\";}}'),('','system.theme.global','a:4:{s:7:\"favicon\";a:4:{s:8:\"mimetype\";s:24:\"image/vnd.microsoft.icon\";s:4:\"path\";s:0:\"\";s:3:\"url\";s:0:\"\";s:11:\"use_default\";b:1;}s:8:\"features\";a:4:{s:20:\"comment_user_picture\";b:1;s:25:\"comment_user_verification\";b:1;s:7:\"favicon\";b:1;s:17:\"node_user_picture\";b:1;}s:4:\"logo\";a:3:{s:4:\"path\";s:0:\"\";s:3:\"url\";s:0:\"\";s:11:\"use_default\";b:1;}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"9rAU4Pku7eMBQxauQqAgjzlcicFZ2As6zEa6zvTlCB8\";}}'),('','taxonomy.settings','a:4:{s:20:\"maintain_index_table\";b:1;s:17:\"override_selector\";b:0;s:20:\"terms_per_page_admin\";i:100;s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"zKpaWT6cJc1tVQQaTqatGELaCqU_oyRym6zTl27Yias\";}}'),('','taxonomy.vocabulary.tags','a:9:{s:4:\"uuid\";s:36:\"fa86c821-577e-4938-9b46-ac79edb47f56\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"lO5ziR5dVI1PpEeHZsSOfQ-Y7NWihSDKW8-MMf6uoms\";}s:4:\"name\";s:4:\"Tags\";s:3:\"vid\";s:4:\"tags\";s:11:\"description\";s:61:\"Use tags to group articles on similar topics into categories.\";s:6:\"weight\";i:0;}'),('','text.settings','a:2:{s:22:\"default_summary_length\";i:600;s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"Bkewb77RBOK3_aXMPsp8p87gbc03NvmC5gBLzPl7hVA\";}}'),('','tour.tour.language','a:10:{s:4:\"uuid\";s:36:\"16a59aa6-72e6-43ba-bf7e-bdf6b799d1ca\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:8:\"language\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"LlLH_HQYhZxal4iB88sQSB45acF-8GJH0PJcvziEmqg\";}s:2:\"id\";s:8:\"language\";s:5:\"label\";s:8:\"Language\";s:6:\"module\";s:8:\"language\";s:6:\"routes\";a:1:{i:0;a:1:{s:10:\"route_name\";s:39:\"entity.configurable_language.collection\";}}s:4:\"tips\";a:6:{s:17:\"language-overview\";a:5:{s:2:\"id\";s:17:\"language-overview\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:9:\"Languages\";s:4:\"body\";s:96:\"<p>The \"Languages\" page allows you to add, edit, delete, and reorder languages for the site.</p>\";s:6:\"weight\";i:1;}s:12:\"language-add\";a:6:{s:2:\"id\";s:12:\"language-add\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:16:\"Adding languages\";s:4:\"body\";s:171:\"<p>To add more languages to your site, click the \"Add language\" button.</p><p>Added languages will be displayed in the language list and can then be edited or deleted.</p>\";s:6:\"weight\";i:2;s:10:\"attributes\";a:1:{s:10:\"data-class\";s:13:\"button-action\";}}s:16:\"language-reorder\";a:6:{s:2:\"id\";s:16:\"language-reorder\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:20:\"Reordering languages\";s:4:\"body\";s:402:\"<p>To reorder the languages on your site, use the drag icons next to each language.</p><p>The order shown here is the display order for language lists on the site such as in the language switcher blocks provided by the Interface Translation and Content Translation modules.</p><p>When you are done with reordering the languages, click the \"Save configuration\" button for the changes to take effect.</p>\";s:6:\"weight\";i:3;s:10:\"attributes\";a:1:{s:10:\"data-class\";s:9:\"draggable\";}}s:16:\"language-default\";a:6:{s:2:\"id\";s:16:\"language-default\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:25:\"Set a language as default\";s:4:\"body\";s:274:\"<p>You can change the default language of the site by choosing one of your configured languages as default. The site will use the default language in situations where no choice is made but a language should be set, for example as the language of the displayed interface.</p>\";s:6:\"weight\";i:4;s:10:\"attributes\";a:1:{s:10:\"data-class\";s:34:\"js-form-item-site-default-language\";}}s:19:\"language-operations\";a:6:{s:2:\"id\";s:19:\"language-operations\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:19:\"Modifying languages\";s:4:\"body\";s:399:\"<p>Operations are provided for editing and deleting your languages.</p><p>You can edit the name and the direction of the language.</p><p>Deleted languages can be added back at a later time. Deleting a language will remove all interface translations associated with it, and content in this language will be set to be language neutral. Note that you cannot delete the default language of the site.</p>\";s:6:\"weight\";i:5;s:10:\"attributes\";a:1:{s:10:\"data-class\";s:18:\"dropbutton-wrapper\";}}s:17:\"language-continue\";a:5:{s:2:\"id\";s:17:\"language-continue\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:13:\"Continuing on\";s:4:\"body\";s:261:\"<p>Now that you have an overview of the \"Languages\" page, you can continue by:<ul><li><a href=\"[site:url]/admin/config/regional/language/add\">Adding a language</a></li><li>Reordering languages</li><li>Editing a language</li><li>Deleting a language</li></ul></p>\";s:6:\"weight\";i:6;}}}'),('','tour.tour.language-add','a:10:{s:4:\"uuid\";s:36:\"5e52f36c-ab14-4758-8d84-0c1d90ffdb7b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:8:\"language\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"AMWw3H7E7fuBLMW6LmsCJvYFYQiWwSCl0Fbwe0wiIrU\";}s:2:\"id\";s:12:\"language-add\";s:5:\"label\";s:16:\"Adding languages\";s:6:\"module\";s:8:\"language\";s:6:\"routes\";a:1:{i:0;a:1:{s:10:\"route_name\";s:12:\"language.add\";}}s:4:\"tips\";a:3:{s:21:\"language-add-overview\";a:5:{s:2:\"id\";s:21:\"language-add-overview\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:16:\"Adding languages\";s:4:\"body\";s:154:\"<p>This page provides the ability to add common languages to your site.</p><p>If the desired language is not available, you can add a custom language.</p>\";s:6:\"weight\";i:1;}s:19:\"language-add-choose\";a:6:{s:2:\"id\";s:19:\"language-add-choose\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:15:\"Select language\";s:4:\"body\";s:312:\"<p>Choose a language from the list, or choose \"Custom language...\" at the end of the list.</p><p>Click the \"Add language\" button when you are done choosing your language.</p><p>When adding a custom language, you will get an additional form where you can provide the name, code, and direction of the language.</p>\";s:6:\"weight\";i:2;s:10:\"attributes\";a:1:{s:7:\"data-id\";s:24:\"edit-predefined-langcode\";}}s:21:\"language-add-continue\";a:5:{s:2:\"id\";s:21:\"language-add-continue\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:13:\"Continuing on\";s:4:\"body\";s:250:\"<p>Now that you have an overview of the \"Add languages\" feature, you can continue by:<ul><li>Adding a language</li><li>Adding a custom language</li><li><a href=\"[site:url]/admin/config/regional/language\">Viewing configured languages</a></li></ul></p>\";s:6:\"weight\";i:3;}}}'),('','tour.tour.language-edit','a:10:{s:4:\"uuid\";s:36:\"94533701-40c2-4100-9421-eb035b23a00b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:8:\"language\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"eYyOjXVghEin1Ed7t7vr9X0dSn018_zeZegu2Ao-j4Q\";}s:2:\"id\";s:13:\"language-edit\";s:5:\"label\";s:17:\"Editing languages\";s:6:\"module\";s:8:\"language\";s:6:\"routes\";a:1:{i:0;a:1:{s:10:\"route_name\";s:38:\"entity.configurable_language.edit_form\";}}s:4:\"tips\";a:5:{s:22:\"language-edit-overview\";a:5:{s:2:\"id\";s:22:\"language-edit-overview\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:17:\"Editing languages\";s:4:\"body\";s:98:\"<p>This page provides the ability to edit a language on your site, including custom languages.</p>\";s:6:\"weight\";i:1;}s:22:\"language-edit-langcode\";a:6:{s:2:\"id\";s:22:\"language-edit-langcode\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:13:\"Language code\";s:4:\"body\";s:122:\"<p>You cannot change the code of a language on the site, since it is used by the system to keep track of the language.</p>\";s:6:\"weight\";i:2;s:10:\"attributes\";a:1:{s:7:\"data-id\";s:18:\"edit-langcode-view\";}}s:19:\"language-edit-label\";a:6:{s:2:\"id\";s:19:\"language-edit-label\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:13:\"Language name\";s:4:\"body\";s:289:\"<p>The language name is used throughout the site for all users and is written in English. Names of built-in languages can be translated using the Interface Translation module, and names of both built-in and custom languages can be translated using the Configuration Translation module.</p>\";s:6:\"weight\";i:3;s:10:\"attributes\";a:1:{s:7:\"data-id\";s:10:\"edit-label\";}}s:23:\"language-edit-direction\";a:6:{s:2:\"id\";s:23:\"language-edit-direction\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:18:\"Language direction\";s:4:\"body\";s:196:\"<p>Choose if the language is a \"Left to right\" or \"Right to left\" language.</p><p>Note that not all themes support \"Right to left\" layouts, so test your theme if you are using \"Right to left\".</p>\";s:6:\"weight\";i:4;s:10:\"attributes\";a:1:{s:7:\"data-id\";s:36:\"edit-direction--wrapper--description\";}}s:22:\"language-edit-continue\";a:5:{s:2:\"id\";s:22:\"language-edit-continue\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:13:\"Continuing on\";s:4:\"body\";s:218:\"<p>Now that you have an overview of the \"Edit language\" feature, you can continue by:<ul><li>Editing a language</li><li><a href=\"[site:url]/admin/config/regional/language\">Viewing configured languages</a></li></ul></p>\";s:6:\"weight\";i:5;}}}'),('','tour.tour.locale','a:10:{s:4:\"uuid\";s:36:\"11787856-cf3e-40d1-a11e-29d16d813012\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:6:\"locale\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"2RuPjrDfA8rPp1mcEzIYMz7RRJQLfovwJuJnuosFu2Y\";}s:2:\"id\";s:6:\"locale\";s:5:\"label\";s:11:\"Translation\";s:6:\"module\";s:6:\"locale\";s:6:\"routes\";a:1:{i:0;a:1:{s:10:\"route_name\";s:21:\"locale.translate_page\";}}s:4:\"tips\";a:8:{s:15:\"locale-overview\";a:5:{s:2:\"id\";s:15:\"locale-overview\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:26:\"User interface translation\";s:4:\"body\";s:281:\"This page allows you to translate the user interface or modify existing translations. If you have installed your site initially in English, you must first add another language on the <a href=\"[site:url]/admin/config/regional/language\">Languages page</a>, in order to use this page.\";s:6:\"weight\";i:1;}s:15:\"locale-language\";a:6:{s:2:\"id\";s:15:\"locale-language\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:20:\"Translation language\";s:4:\"body\";s:42:\"Choose the language you want to translate.\";s:6:\"weight\";i:2;s:10:\"attributes\";a:1:{s:7:\"data-id\";s:13:\"edit-langcode\";}}s:13:\"locale-search\";a:6:{s:2:\"id\";s:13:\"locale-search\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:6:\"Search\";s:4:\"body\";s:100:\"Enter the specific word or sentence you want to translate, you can also write just a part of a word.\";s:6:\"weight\";i:3;s:10:\"attributes\";a:1:{s:7:\"data-id\";s:11:\"edit-string\";}}s:13:\"locale-filter\";a:6:{s:2:\"id\";s:13:\"locale-filter\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:17:\"Filter the search\";s:4:\"body\";s:202:\"You can search for untranslated strings if you want to translate something that isn\'t translated yet. If you want to modify an existing translation, you might want to search only for translated strings.\";s:6:\"weight\";i:4;s:10:\"attributes\";a:1:{s:7:\"data-id\";s:16:\"edit-translation\";}}s:13:\"locale-submit\";a:6:{s:2:\"id\";s:13:\"locale-submit\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:26:\"Apply your search criteria\";s:4:\"body\";s:67:\"To apply your search criteria, click on the <em>Filter</em> button.\";s:6:\"weight\";i:5;s:10:\"attributes\";a:1:{s:7:\"data-id\";s:11:\"edit-submit\";}}s:16:\"locale-translate\";a:6:{s:2:\"id\";s:16:\"locale-translate\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:9:\"Translate\";s:4:\"body\";s:180:\"You can write your own translation in the text fields of the right column. Try to figure out in which context the text will be used in order to translate it in the appropriate way.\";s:6:\"weight\";i:6;s:10:\"attributes\";a:1:{s:10:\"data-class\";s:21:\"js-form-type-textarea\";}}s:15:\"locale-validate\";a:6:{s:2:\"id\";s:15:\"locale-validate\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:24:\"Validate the translation\";s:4:\"body\";s:181:\"When you have finished your translations, click on the <em>Save translations</em> button. You must save your translations, each time before changing the page or making a new search.\";s:6:\"weight\";i:7;s:10:\"attributes\";a:1:{s:7:\"data-id\";s:14:\"edit-submit--2\";}}s:15:\"locale-continue\";a:5:{s:2:\"id\";s:15:\"locale-continue\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:13:\"Continuing on\";s:4:\"body\";s:354:\"The translations you have made here will be used on your site\'s user interface. If you want to use them on another site or modify them on an external translation editor, you can <a href=\"[site:url]/admin/config/regional/translate/export\">export them</a> to a .po file and <a href=\"[site:url]/admin/config/regional/translate/import\">import them</a> later.\";s:6:\"weight\";i:8;}}}'),('','tour.tour.views-ui','a:10:{s:4:\"uuid\";s:36:\"81d35547-479d-4ff4-8539-56857e61ee2f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:8:\"views_ui\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"c-HMyZwgeP8H6AITDcq4hznePkd7azpe8xl_WTnx2O0\";}s:2:\"id\";s:8:\"views-ui\";s:5:\"label\";s:14:\"View edit page\";s:6:\"module\";s:8:\"views_ui\";s:6:\"routes\";a:2:{i:0;a:1:{s:10:\"route_name\";s:21:\"entity.view.edit_form\";}i:1;a:1:{s:10:\"route_name\";s:29:\"entity.view.edit_display_form\";}}s:4:\"tips\";a:10:{s:10:\"views-main\";a:5:{s:2:\"id\";s:10:\"views-main\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:20:\"Manage view settings\";s:4:\"body\";s:31:\"View or edit the configuration.\";s:6:\"weight\";i:1;}s:17:\"views-ui-displays\";a:6:{s:2:\"id\";s:17:\"views-ui-displays\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:21:\"Displays in this view\";s:4:\"body\";s:169:\"A display is a way of outputting the results, e.g., as a page or a block. A view can contain multiple displays, which are listed here. The active display is highlighted.\";s:6:\"weight\";i:2;s:10:\"attributes\";a:1:{s:7:\"data-id\";s:17:\"views-display-top\";}}s:19:\"views-ui-view-admin\";a:7:{s:2:\"id\";s:19:\"views-ui-view-admin\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:19:\"View administration\";s:4:\"body\";s:140:\"Perform administrative tasks, including adding a description and creating a clone. Click the drop-down button to view the available options.\";s:6:\"weight\";i:3;s:8:\"location\";s:4:\"left\";s:10:\"attributes\";a:1:{s:7:\"data-id\";s:27:\"views-display-extra-actions\";}}s:15:\"views-ui-format\";a:6:{s:2:\"id\";s:15:\"views-ui-format\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:13:\"Output format\";s:4:\"body\";s:325:\"Choose how to output results. E.g., choose <em>Content</em> to output each item completely, using your configured display settings. Or choose <em>Fields</em>, which allows you to output only specific fields for each result. Additional formats can be added by installing modules to <em>extend</em> Drupal\'s base functionality.\";s:6:\"weight\";i:4;s:10:\"attributes\";a:1:{s:10:\"data-class\";s:34:\"views-ui-display-tab-bucket.format\";}}s:15:\"views-ui-fields\";a:6:{s:2:\"id\";s:15:\"views-ui-fields\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:6:\"Fields\";s:4:\"body\";s:89:\"If this view uses fields, they are listed here. You can click on a field to configure it.\";s:6:\"weight\";i:5;s:10:\"attributes\";a:1:{s:10:\"data-class\";s:33:\"views-ui-display-tab-bucket.field\";}}s:15:\"views-ui-filter\";a:6:{s:2:\"id\";s:15:\"views-ui-filter\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:16:\"Filter your view\";s:4:\"body\";s:173:\"Add filters to limit the results in the output. E.g., to only show content that is <em>published</em>, you would add a filter for <em>Published</em> and select <em>Yes</em>.\";s:6:\"weight\";i:6;s:10:\"attributes\";a:1:{s:10:\"data-class\";s:34:\"views-ui-display-tab-bucket.filter\";}}s:26:\"views-ui-filter-operations\";a:6:{s:2:\"id\";s:26:\"views-ui-filter-operations\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:14:\"Filter actions\";s:4:\"body\";s:33:\"Add, rearrange or remove filters.\";s:6:\"weight\";i:7;s:10:\"attributes\";a:1:{s:10:\"data-class\";s:53:\"views-ui-display-tab-bucket.filter .dropbutton-widget\";}}s:14:\"views-ui-sorts\";a:6:{s:2:\"id\";s:14:\"views-ui-sorts\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:13:\"Sort Criteria\";s:4:\"body\";s:96:\"Control the order in which the results are output. Click on an active sort rule to configure it.\";s:6:\"weight\";i:8;s:10:\"attributes\";a:1:{s:10:\"data-class\";s:32:\"views-ui-display-tab-bucket.sort\";}}s:25:\"views-ui-sorts-operations\";a:6:{s:2:\"id\";s:25:\"views-ui-sorts-operations\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:12:\"Sort actions\";s:4:\"body\";s:39:\"Add, rearrange or remove sorting rules.\";s:6:\"weight\";i:9;s:10:\"attributes\";a:1:{s:10:\"data-class\";s:51:\"views-ui-display-tab-bucket.sort .dropbutton-widget\";}}s:16:\"views-ui-preview\";a:7:{s:2:\"id\";s:16:\"views-ui-preview\";s:6:\"plugin\";s:4:\"text\";s:5:\"label\";s:7:\"Preview\";s:4:\"body\";s:34:\"Show a preview of the view output.\";s:6:\"weight\";i:10;s:8:\"location\";s:4:\"left\";s:10:\"attributes\";a:1:{s:7:\"data-id\";s:14:\"preview-submit\";}}}}'),('','update.settings','a:4:{s:5:\"check\";a:2:{s:19:\"disabled_extensions\";b:0;s:13:\"interval_days\";i:1;}s:5:\"fetch\";a:3:{s:3:\"url\";s:0:\"\";s:12:\"max_attempts\";i:2;s:7:\"timeout\";i:30;}s:12:\"notification\";a:2:{s:6:\"emails\";a:1:{i:0;s:13:\"admin@lvh.com\";}s:9:\"threshold\";s:3:\"all\";}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"2QzULf0zovJQx3J06Y9rufzzfi-CY2CTTlEfJJh2Qyw\";}}'),('','user.flood','a:6:{s:8:\"uid_only\";b:0;s:8:\"ip_limit\";i:50;s:9:\"ip_window\";i:3600;s:10:\"user_limit\";i:5;s:11:\"user_window\";i:21600;s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"UYfMzeP1S8jKm9PSvxf7nQNe8DsNS-3bc2WSNNXBQWs\";}}'),('','user.mail','a:11:{s:14:\"cancel_confirm\";a:2:{s:4:\"body\";s:389:\"[user:display-name],\r\n\r\nA request to cancel your account has been made at [site:name].\r\n\r\nYou may now cancel your account on [site:url-brief] by clicking this link or copying and pasting it into your browser:\r\n\r\n[user:cancel-url]\r\n\r\nNOTE: The cancellation of your account is not reversible.\r\n\r\nThis link expires in one day and nothing will happen if it is not used.\r\n\r\n--  [site:name] team\";s:7:\"subject\";s:67:\"Account cancellation request for [user:display-name] at [site:name]\";}s:14:\"password_reset\";a:2:{s:4:\"body\";s:417:\"[user:display-name],\r\n\r\nA request to reset the password for your account has been made at [site:name].\r\n\r\nYou may now log in by clicking this link or copying and pasting it into your browser:\r\n\r\n[user:one-time-login-url]\r\n\r\nThis link can only be used once to log in and will lead you to a page where you can set your password. It expires after one day and nothing will happen if it\'s not used.\r\n\r\n--  [site:name] team\";s:7:\"subject\";s:68:\"Replacement login information for [user:display-name] at [site:name]\";}s:22:\"register_admin_created\";a:2:{s:4:\"body\";s:486:\"[user:display-name],\r\n\r\nA site administrator at [site:name] has created an account for you. You may now log in by clicking this link or copying and pasting it into your browser:\r\n\r\n[user:one-time-login-url]\r\n\r\nThis link can only be used once to log in and will lead you to a page where you can set your password.\r\n\r\nAfter setting your password, you will be able to log in at [site:login-url] in the future using:\r\n\r\nusername: [user:name]\r\npassword: Your password\r\n\r\n--  [site:name] team\";s:7:\"subject\";s:58:\"An administrator created an account for you at [site:name]\";}s:29:\"register_no_approval_required\";a:2:{s:4:\"body\";s:460:\"[user:display-name],\r\n\r\nThank you for registering at [site:name]. You may now log in by clicking this link or copying and pasting it into your browser:\r\n\r\n[user:one-time-login-url]\r\n\r\nThis link can only be used once to log in and will lead you to a page where you can set your password.\r\n\r\nAfter setting your password, you will be able to log in at [site:login-url] in the future using:\r\n\r\nusername: [user:name]\r\npassword: Your password\r\n\r\n--  [site:name] team\";s:7:\"subject\";s:54:\"Account details for [user:display-name] at [site:name]\";}s:25:\"register_pending_approval\";a:2:{s:4:\"body\";s:294:\"[user:display-name],\r\n\r\nThank you for registering at [site:name]. Your application for an account is currently pending approval. Once it has been approved, you will receive another email containing information about how to log in, set your password, and other details.\r\n\r\n\r\n--  [site:name] team\";s:7:\"subject\";s:79:\"Account details for [user:display-name] at [site:name] (pending admin approval)\";}s:31:\"register_pending_approval_admin\";a:2:{s:4:\"body\";s:66:\"[user:display-name] has applied for an account.\r\n\r\n[user:edit-url]\";s:7:\"subject\";s:79:\"Account details for [user:display-name] at [site:name] (pending admin approval)\";}s:16:\"status_activated\";a:2:{s:4:\"body\";s:477:\"[user:display-name],\r\n\r\nYour account at [site:name] has been activated.\r\n\r\nYou may now log in by clicking this link or copying and pasting it into your browser:\r\n\r\n[user:one-time-login-url]\r\n\r\nThis link can only be used once to log in and will lead you to a page where you can set your password.\r\n\r\nAfter setting your password, you will be able to log in at [site:login-url] in the future using:\r\n\r\nusername: [user:account-name]\r\npassword: Your password\r\n\r\n--  [site:name] team\";s:7:\"subject\";s:65:\"Account details for [user:display-name] at [site:name] (approved)\";}s:14:\"status_blocked\";a:2:{s:4:\"body\";s:93:\"[user:display-name],\r\n\r\nYour account on [site:name] has been blocked.\r\n\r\n--  [site:name] team\";s:7:\"subject\";s:64:\"Account details for [user:display-name] at [site:name] (blocked)\";}s:15:\"status_canceled\";a:2:{s:4:\"body\";s:94:\"[user:display-name],\r\n\r\nYour account on [site:name] has been canceled.\r\n\r\n--  [site:name] team\";s:7:\"subject\";s:65:\"Account details for [user:display-name] at [site:name] (canceled)\";}s:8:\"langcode\";s:2:\"en\";s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"m4J3ROov32OEquRYGLbx3SpdDGuqx9l_zJtNvihqdCg\";}}'),('','user.role.administrator','a:10:{s:4:\"uuid\";s:36:\"43779bef-811e-4c05-9be4-1c4272c9ef9a\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"Om6FEO7vZZMkPIbVvfxtdkWerQ2PvQM4sWUd6Q3ZnfI\";}s:2:\"id\";s:13:\"administrator\";s:5:\"label\";s:13:\"Administrator\";s:6:\"weight\";i:2;s:8:\"is_admin\";b:1;s:11:\"permissions\";a:0:{}}'),('','user.role.anonymous','a:10:{s:4:\"uuid\";s:36:\"25fc56b7-90d9-4320-a2e0-e71268bf2122\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"j5zLMOdJBqC0bMvSdth5UebkprJB8g_2FXHqhfpJzow\";}s:2:\"id\";s:9:\"anonymous\";s:5:\"label\";s:14:\"Anonymous user\";s:6:\"weight\";i:0;s:8:\"is_admin\";b:0;s:11:\"permissions\";a:6:{i:0;s:15:\"access comments\";i:1;s:14:\"access content\";i:2;s:29:\"access site-wide contact form\";i:3;s:14:\"search content\";i:4;s:24:\"subscribe to newsletters\";i:5;s:31:\"use text format restricted_html\";}}'),('','user.role.authenticated','a:10:{s:4:\"uuid\";s:36:\"2fd21ec0-6a19-49a0-8e8b-e81513c68ef0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:0:{}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"dJ0L2DNSj5q6XVZAGsuVDpJTh5UeYkIPwKrUOOpr8YI\";}s:2:\"id\";s:13:\"authenticated\";s:5:\"label\";s:18:\"Authenticated user\";s:6:\"weight\";i:1;s:8:\"is_admin\";b:0;s:11:\"permissions\";a:10:{i:0;s:15:\"access comments\";i:1;s:14:\"access content\";i:2;s:16:\"access shortcuts\";i:3;s:29:\"access site-wide contact form\";i:4;s:13:\"post comments\";i:5;s:14:\"search content\";i:6;s:21:\"skip comment approval\";i:7;s:24:\"subscribe to newsletters\";i:8;s:26:\"use text format basic_html\";i:9;s:25:\"use text format full_html\";}}'),('','user.settings','a:9:{s:9:\"anonymous\";s:9:\"Anonymous\";s:11:\"verify_mail\";b:1;s:6:\"notify\";a:8:{s:14:\"cancel_confirm\";b:1;s:14:\"password_reset\";b:1;s:16:\"status_activated\";b:1;s:14:\"status_blocked\";b:0;s:15:\"status_canceled\";b:0;s:22:\"register_admin_created\";b:1;s:29:\"register_no_approval_required\";b:1;s:25:\"register_pending_approval\";b:1;}s:8:\"register\";s:10:\"admin_only\";s:13:\"cancel_method\";s:17:\"user_cancel_block\";s:22:\"password_reset_timeout\";i:86400;s:17:\"password_strength\";b:1;s:8:\"langcode\";s:2:\"en\";s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"r4kwhOM0IWXVMUZDz744Yc16EOh37ZhYbA8kGOhSmLk\";}}'),('','views.settings','a:6:{s:17:\"display_extenders\";a:0:{}s:10:\"skip_cache\";b:0;s:13:\"sql_signature\";b:0;s:2:\"ui\";a:3:{s:4:\"show\";a:7:{s:18:\"additional_queries\";b:0;s:15:\"advanced_column\";b:0;s:14:\"master_display\";b:0;s:22:\"performance_statistics\";b:0;s:19:\"preview_information\";b:1;s:9:\"sql_query\";a:2:{s:7:\"enabled\";b:0;s:5:\"where\";s:5:\"above\";}s:13:\"display_embed\";b:0;}s:19:\"always_live_preview\";b:1;s:24:\"exposed_filter_any_label\";s:7:\"old_any\";}s:22:\"field_rewrite_elements\";a:29:{s:3:\"div\";s:3:\"DIV\";s:4:\"span\";s:4:\"SPAN\";s:2:\"h1\";s:2:\"H1\";s:2:\"h2\";s:2:\"H2\";s:2:\"h3\";s:2:\"H3\";s:2:\"h4\";s:2:\"H4\";s:2:\"h5\";s:2:\"H5\";s:2:\"h6\";s:2:\"H6\";s:1:\"p\";s:1:\"P\";s:6:\"header\";s:6:\"HEADER\";s:6:\"footer\";s:6:\"FOOTER\";s:7:\"article\";s:7:\"ARTICLE\";s:7:\"section\";s:7:\"SECTION\";s:5:\"aside\";s:5:\"ASIDE\";s:7:\"details\";s:7:\"DETAILS\";s:10:\"blockquote\";s:10:\"BLOCKQUOTE\";s:6:\"figure\";s:6:\"FIGURE\";s:7:\"address\";s:7:\"ADDRESS\";s:4:\"code\";s:4:\"CODE\";s:3:\"pre\";s:3:\"PRE\";s:3:\"var\";s:3:\"VAR\";s:4:\"samp\";s:4:\"SAMP\";s:3:\"kbd\";s:3:\"KBD\";s:6:\"strong\";s:6:\"STRONG\";s:2:\"em\";s:2:\"EM\";s:3:\"del\";s:3:\"DEL\";s:3:\"ins\";s:3:\"INS\";s:1:\"q\";s:1:\"Q\";s:1:\"s\";s:1:\"S\";}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"RaRd9EIcwA4u3qCSRLL8EnCicbda1kV__ASmVbyehvQ\";}}'),('','views.view.about_us','a:12:{s:4:\"uuid\";s:36:\"af24948e-2a3a-4fc2-8f7f-ae031b27d12f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:4:{i:0;s:31:\"field.storage.node.field_banner\";i:1;s:27:\"field.storage.node.field_su\";i:2;s:26:\"image.style.image_1920_700\";i:3;s:17:\"node.type.article\";}s:6:\"module\";a:4:{i:0;s:5:\"image\";i:1;s:4:\"node\";i:2;s:4:\"text\";i:3;s:4:\"user\";}}s:2:\"id\";s:8:\"about_us\";s:5:\"label\";s:8:\"About us\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:17:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:5;s:6:\"offset\";i:0;}}s:5:\"style\";a:1:{s:4:\"type\";s:7:\"default\";}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:6:\"fields\";a:5:{s:4:\"path\";a:25:{s:2:\"id\";s:4:\"path\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"absolute\";b:0;s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:11:\"entity_link\";s:18:\"output_url_as_text\";b:1;}s:12:\"field_banner\";a:35:{s:2:\"id\";s:12:\"field_banner\";s:5:\"table\";s:18:\"node__field_banner\";s:5:\"field\";s:12:\"field_banner\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:14:\"image_1920_700\";s:10:\"image_link\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:5:\"title\";a:35:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:8:\"field_su\";a:35:{s:2:\"id\";s:8:\"field_su\";s:5:\"table\";s:14:\"node__field_su\";s:5:\"field\";s:8:\"field_su\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:7:\"nothing\";a:22:{s:2:\"id\";s:7:\"nothing\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"nothing\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:96:\"<div class=\"views-field wp-views-field-view-node\">\n		<a href=\"{{ path }}\">Read more</a> 	\n</div>\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:0;s:9:\"plugin_id\";s:6:\"custom\";}}s:7:\"filters\";a:4:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:7:\"article\";s:7:\"article\";}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:3:\"nid\";a:16:{s:2:\"id\";s:3:\"nid\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:3:\"nid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";a:3:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:1:\"4\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:15:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:11:\"placeholder\";s:0:\"\";s:15:\"min_placeholder\";s:0:\"\";s:15:\"max_placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:3:\"nid\";s:9:\"plugin_id\";s:7:\"numeric\";}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:33:\"***LANGUAGE_language_interface***\";s:33:\"***LANGUAGE_language_interface***\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";}}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";}}s:5:\"title\";s:8:\"About us\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:9:\"arguments\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:2:{i:0;s:38:\"config:field.storage.node.field_banner\";i:1;s:34:\"config:field.storage.node.field_su\";}}}s:7:\"block_1\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_1\";s:13:\"display_title\";s:8:\"About us\";s:8:\"position\";i:1;s:15:\"display_options\";a:3:{s:17:\"display_extenders\";a:0:{}s:19:\"display_description\";s:0:\"\";s:18:\"rendering_language\";s:33:\"***LANGUAGE_language_interface***\";}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:3:{i:0;s:28:\"languages:language_interface\";i:1;s:21:\"user.node_grants:view\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:2:{i:0;s:38:\"config:field.storage.node.field_banner\";i:1;s:34:\"config:field.storage.node.field_su\";}}}}}'),('','views.view.archive','a:13:{s:4:\"uuid\";s:36:\"659f915c-ecb1-43bb-90d1-ce4960694ebb\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:33:\"core.entity_view_mode.node.teaser\";}s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"Ea3cxQo9FjYVScZDVackg-6ID_GgTkdKORm_APgV-5I\";}s:2:\"id\";s:7:\"archive\";s:5:\"label\";s:7:\"Archive\";s:6:\"module\";s:4:\"node\";s:11:\"description\";s:22:\"All content, by month.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:3:{s:7:\"default\";a:6:{s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:14:\"display_plugin\";s:7:\"default\";s:8:\"position\";i:0;s:15:\"display_options\";a:17:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:13:\"query_comment\";s:0:\"\";s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:10:\"query_tags\";a:0:{}}}s:5:\"title\";s:15:\"Monthly archive\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:6:{s:14:\"items_per_page\";i:10;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";i:0;s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:4:\"tags\";a:2:{s:8:\"previous\";s:6:\"‹‹\";s:4:\"next\";s:6:\"››\";}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";s:9:\"plugin_id\";s:4:\"date\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";}}s:9:\"arguments\";a:1:{s:18:\"created_year_month\";a:13:{s:2:\"id\";s:18:\"created_year_month\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:18:\"created_year_month\";s:14:\"default_action\";s:7:\"summary\";s:9:\"exception\";a:1:{s:12:\"title_enable\";b:1;}s:12:\"title_enable\";b:1;s:5:\"title\";s:34:\"{{ arguments.created_year_month }}\";s:21:\"default_argument_type\";s:5:\"fixed\";s:7:\"summary\";a:2:{s:10:\"sort_order\";s:4:\"desc\";s:6:\"format\";s:15:\"default_summary\";}s:15:\"summary_options\";a:2:{s:8:\"override\";b:1;s:14:\"items_per_page\";i:30;}s:18:\"specify_validation\";b:1;s:9:\"plugin_id\";s:15:\"date_year_month\";s:11:\"entity_type\";s:4:\"node\";}}s:7:\"filters\";a:2:{s:6:\"status\";a:9:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:0;s:6:\"expose\";a:3:{s:8:\"operator\";s:1:\"0\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:31:\"***LANGUAGE_language_content***\";s:31:\"***LANGUAGE_language_content***\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:8:\"language\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:8:\"langcode\";}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:4:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:11:\"uses_fields\";b:0;}}s:3:\"row\";a:2:{s:4:\"type\";s:11:\"entity:node\";s:7:\"options\";a:1:{s:9:\"view_mode\";s:6:\"teaser\";}}s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:5:{i:0;s:28:\"languages:language_interface\";i:1;s:3:\"url\";i:2;s:14:\"url.query_args\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}s:7:\"block_1\";a:6:{s:2:\"id\";s:7:\"block_1\";s:13:\"display_title\";s:5:\"Block\";s:14:\"display_plugin\";s:5:\"block\";s:8:\"position\";i:1;s:15:\"display_options\";a:4:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:8:\"defaults\";a:1:{s:9:\"arguments\";b:0;}s:9:\"arguments\";a:1:{s:18:\"created_year_month\";a:13:{s:2:\"id\";s:18:\"created_year_month\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:18:\"created_year_month\";s:14:\"default_action\";s:7:\"summary\";s:9:\"exception\";a:1:{s:12:\"title_enable\";b:1;}s:12:\"title_enable\";b:1;s:5:\"title\";s:34:\"{{ arguments.created_year_month }}\";s:21:\"default_argument_type\";s:5:\"fixed\";s:7:\"summary\";a:1:{s:6:\"format\";s:15:\"default_summary\";}s:15:\"summary_options\";a:1:{s:14:\"items_per_page\";i:30;}s:18:\"specify_validation\";b:1;s:9:\"plugin_id\";s:15:\"date_year_month\";s:11:\"entity_type\";s:4:\"node\";}}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:5:{i:0;s:28:\"languages:language_interface\";i:1;s:3:\"url\";i:2;s:14:\"url.query_args\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}s:6:\"page_1\";a:6:{s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:4:\"Page\";s:14:\"display_plugin\";s:4:\"page\";s:8:\"position\";i:2;s:15:\"display_options\";a:3:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:7:\"archive\";s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:5:{i:0;s:28:\"languages:language_interface\";i:1;s:3:\"url\";i:2;s:14:\"url.query_args\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}}}'),('','views.view.banner','a:12:{s:4:\"uuid\";s:36:\"8ac920a0-95e6-44ec-a34f-3f37a5d251ef\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:5:{i:0;s:23:\"field.storage.node.body\";i:1;s:37:\"field.storage.node.field_banner_title\";i:2;s:30:\"field.storage.node.field_image\";i:3;s:26:\"image.style.image_1920_595\";i:4;s:16:\"node.type.banner\";}s:6:\"module\";a:5:{i:0;s:5:\"image\";i:1;s:4:\"node\";i:2;s:7:\"options\";i:3;s:4:\"text\";i:4;s:4:\"user\";}}s:2:\"id\";s:6:\"banner\";s:5:\"label\";s:6:\"Banner\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:8:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:17:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:1;s:6:\"offset\";i:0;}}s:5:\"style\";a:1:{s:4:\"type\";s:7:\"default\";}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:6:\"fields\";a:5:{s:18:\"field_banner_title\";a:35:{s:2:\"id\";s:18:\"field_banner_title\";s:5:\"table\";s:24:\"node__field_banner_title\";s:5:\"field\";s:18:\"field_banner_title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"basic_string\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:5:\"title\";a:35:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:4:\"body\";a:35:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:10:\"node__body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:7:\"summary\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:11:\"field_image\";a:35:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:17:\"node__field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:14:\"image_1920_595\";s:10:\"image_link\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:7:\"nothing\";a:22:{s:2:\"id\";s:7:\"nothing\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"nothing\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:212:\"<div class=\"views-inner\">\n	<div class=\"views-field wp-views-field-banner-title\">\n    <span>\n		{{ field_banner_title }}\n	<span>\n	</div>\n	<div class=\"views-field wp-views-field-body\">\n		{{ body }}	\n	</div>	\n</div>\n\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:0;s:9:\"plugin_id\";s:6:\"custom\";}}s:7:\"filters\";a:3:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:6:\"banner\";s:6:\"banner\";}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:16:\"field_type_value\";a:15:{s:2:\"id\";s:16:\"field_type_value\";s:5:\"table\";s:16:\"node__field_type\";s:5:\"field\";s:16:\"field_type_value\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:1:{i:1;s:1:\"1\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";b:0;s:9:\"plugin_id\";s:10:\"list_field\";}}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";}}s:5:\"title\";s:11:\"Blog Banner\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:9:\"arguments\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:3:{i:0;s:30:\"config:field.storage.node.body\";i:1;s:44:\"config:field.storage.node.field_banner_title\";i:2;s:37:\"config:field.storage.node.field_image\";}}}s:7:\"block_1\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_1\";s:13:\"display_title\";s:11:\"Blog banner\";s:8:\"position\";i:1;s:15:\"display_options\";a:2:{s:17:\"display_extenders\";a:0:{}s:19:\"display_description\";s:0:\"\";}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:3:{i:0;s:30:\"config:field.storage.node.body\";i:1;s:44:\"config:field.storage.node.field_banner_title\";i:2;s:37:\"config:field.storage.node.field_image\";}}}s:7:\"block_2\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_2\";s:13:\"display_title\";s:15:\"Porfolio banner\";s:8:\"position\";i:1;s:15:\"display_options\";a:6:{s:17:\"display_extenders\";a:0:{}s:19:\"display_description\";s:0:\"\";s:7:\"filters\";a:3:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:6:\"banner\";s:6:\"banner\";}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:16:\"field_type_value\";a:15:{s:2:\"id\";s:16:\"field_type_value\";s:5:\"table\";s:16:\"node__field_type\";s:5:\"field\";s:16:\"field_type_value\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:1:{i:4;s:1:\"4\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";b:0;s:9:\"plugin_id\";s:10:\"list_field\";}}s:8:\"defaults\";a:3:{s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;s:5:\"title\";b:0;}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:5:\"title\";s:15:\"Porfolio Banner\";}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:3:{i:0;s:30:\"config:field.storage.node.body\";i:1;s:44:\"config:field.storage.node.field_banner_title\";i:2;s:37:\"config:field.storage.node.field_image\";}}}s:7:\"block_3\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_3\";s:13:\"display_title\";s:16:\"Blog page banner\";s:8:\"position\";i:1;s:15:\"display_options\";a:6:{s:17:\"display_extenders\";a:0:{}s:19:\"display_description\";s:0:\"\";s:7:\"filters\";a:3:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:6:\"banner\";s:6:\"banner\";}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:16:\"field_type_value\";a:15:{s:2:\"id\";s:16:\"field_type_value\";s:5:\"table\";s:16:\"node__field_type\";s:5:\"field\";s:16:\"field_type_value\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:1:{i:2;s:1:\"2\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";b:0;s:9:\"plugin_id\";s:10:\"list_field\";}}s:8:\"defaults\";a:3:{s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;s:5:\"title\";b:0;}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:5:\"title\";s:16:\"Blog page Banner\";}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:3:{i:0;s:30:\"config:field.storage.node.body\";i:1;s:44:\"config:field.storage.node.field_banner_title\";i:2;s:37:\"config:field.storage.node.field_image\";}}}s:7:\"block_4\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_4\";s:13:\"display_title\";s:20:\"About us page banner\";s:8:\"position\";i:1;s:15:\"display_options\";a:8:{s:17:\"display_extenders\";a:0:{}s:19:\"display_description\";s:0:\"\";s:7:\"filters\";a:3:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:6:\"banner\";s:6:\"banner\";}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:16:\"field_type_value\";a:15:{s:2:\"id\";s:16:\"field_type_value\";s:5:\"table\";s:16:\"node__field_type\";s:5:\"field\";s:16:\"field_type_value\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:1:{i:5;s:1:\"5\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";b:0;s:9:\"plugin_id\";s:10:\"list_field\";}}s:8:\"defaults\";a:5:{s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;s:5:\"title\";b:0;s:6:\"fields\";b:0;s:9:\"css_class\";b:0;}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:5:\"title\";s:20:\"About us page Banner\";s:6:\"fields\";a:5:{s:18:\"field_banner_title\";a:35:{s:2:\"id\";s:18:\"field_banner_title\";s:5:\"table\";s:24:\"node__field_banner_title\";s:5:\"field\";s:18:\"field_banner_title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"basic_string\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:5:\"title\";a:35:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:4:\"body\";a:35:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:10:\"node__body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:7:\"summary\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:11:\"field_image\";a:35:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:17:\"node__field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:14:\"image_1920_595\";s:10:\"image_link\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:7:\"nothing\";a:22:{s:2:\"id\";s:7:\"nothing\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"nothing\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:212:\"<div class=\"views-inner\">\n	<div class=\"views-field wp-views-field-banner-title\">\n    <span>\n		{{ field_banner_title }}\n	<span>\n	</div>\n	<div class=\"views-field wp-views-field-body\">\n		{{ body }}	\n	</div>	\n</div>\n\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:0;s:9:\"plugin_id\";s:6:\"custom\";}}s:9:\"css_class\";s:16:\"view-type-banner\";}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:3:{i:0;s:30:\"config:field.storage.node.body\";i:1;s:44:\"config:field.storage.node.field_banner_title\";i:2;s:37:\"config:field.storage.node.field_image\";}}}s:7:\"block_5\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_5\";s:13:\"display_title\";s:20:\"Services page banner\";s:8:\"position\";i:1;s:15:\"display_options\";a:6:{s:17:\"display_extenders\";a:0:{}s:19:\"display_description\";s:0:\"\";s:7:\"filters\";a:3:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:6:\"banner\";s:6:\"banner\";}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:16:\"field_type_value\";a:15:{s:2:\"id\";s:16:\"field_type_value\";s:5:\"table\";s:16:\"node__field_type\";s:5:\"field\";s:16:\"field_type_value\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:1:{i:6;s:1:\"6\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";b:0;s:9:\"plugin_id\";s:10:\"list_field\";}}s:8:\"defaults\";a:3:{s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;s:5:\"title\";b:0;}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:5:\"title\";s:20:\"Services page Banner\";}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:3:{i:0;s:30:\"config:field.storage.node.body\";i:1;s:44:\"config:field.storage.node.field_banner_title\";i:2;s:37:\"config:field.storage.node.field_image\";}}}s:7:\"block_6\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_6\";s:13:\"display_title\";s:19:\"Contact page banner\";s:8:\"position\";i:1;s:15:\"display_options\";a:6:{s:17:\"display_extenders\";a:0:{}s:19:\"display_description\";s:0:\"\";s:7:\"filters\";a:3:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:6:\"banner\";s:6:\"banner\";}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:16:\"field_type_value\";a:15:{s:2:\"id\";s:16:\"field_type_value\";s:5:\"table\";s:16:\"node__field_type\";s:5:\"field\";s:16:\"field_type_value\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:1:{i:7;s:1:\"7\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";b:0;s:9:\"plugin_id\";s:10:\"list_field\";}}s:8:\"defaults\";a:3:{s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;s:5:\"title\";b:0;}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:5:\"title\";s:19:\"Contact page Banner\";}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:3:{i:0;s:30:\"config:field.storage.node.body\";i:1;s:44:\"config:field.storage.node.field_banner_title\";i:2;s:37:\"config:field.storage.node.field_image\";}}}s:7:\"block_7\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_7\";s:13:\"display_title\";s:16:\"User page banner\";s:8:\"position\";i:1;s:15:\"display_options\";a:9:{s:17:\"display_extenders\";a:0:{}s:19:\"display_description\";s:0:\"\";s:7:\"filters\";a:3:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:6:\"banner\";s:6:\"banner\";}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:16:\"field_type_value\";a:15:{s:2:\"id\";s:16:\"field_type_value\";s:5:\"table\";s:16:\"node__field_type\";s:5:\"field\";s:16:\"field_type_value\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:1:{i:8;s:1:\"8\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";b:0;s:9:\"plugin_id\";s:10:\"list_field\";}}s:8:\"defaults\";a:6:{s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;s:5:\"title\";b:0;s:13:\"relationships\";b:0;s:6:\"fields\";b:0;s:9:\"arguments\";b:0;}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:5:\"title\";s:16:\"User page Banner\";s:13:\"relationships\";a:1:{s:3:\"uid\";a:10:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:19:\"node_field_revision\";s:5:\"field\";s:3:\"uid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:4:\"User\";s:8:\"required\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:3:\"uid\";s:9:\"plugin_id\";s:8:\"standard\";}}s:6:\"fields\";a:6:{s:18:\"field_banner_title\";a:35:{s:2:\"id\";s:18:\"field_banner_title\";s:5:\"table\";s:24:\"node__field_banner_title\";s:5:\"field\";s:18:\"field_banner_title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"basic_string\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:5:\"title\";a:35:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:4:\"name\";a:37:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:3:\"uid\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"user_name\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:5:\"field\";}s:4:\"body\";a:35:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:10:\"node__body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:7:\"summary\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:11:\"field_image\";a:35:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:17:\"node__field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:14:\"image_1920_595\";s:10:\"image_link\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:7:\"nothing\";a:22:{s:2:\"id\";s:7:\"nothing\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"nothing\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:198:\"<div class=\"views-inner\">\n	<div class=\"views-field wp-views-field-banner-title\">\n    <span>\n		{{ name }}\n	<span>\n	</div>\n	<div class=\"views-field wp-views-field-body\">\n		{{ body }}	\n	</div>	\n</div>\n\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:0;s:9:\"plugin_id\";s:6:\"custom\";}}s:9:\"arguments\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:3:{i:0;s:30:\"config:field.storage.node.body\";i:1;s:44:\"config:field.storage.node.field_banner_title\";i:2;s:37:\"config:field.storage.node.field_image\";}}}}}'),('','views.view.block_content','a:13:{s:4:\"uuid\";s:36:\"587526db-3e89-4daf-85f6-bb8b742a38dd\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:13:\"block_content\";i:1;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"msYnighLW1IbiBfyQbwbQwb2cU-5LECiFryt60k0Nfk\";}s:2:\"id\";s:13:\"block_content\";s:5:\"label\";s:20:\"Custom block library\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:30:\"Find and manage custom blocks.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:24:\"block_content_field_data\";s:10:\"base_field\";s:2:\"id\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:17:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:17:\"administer blocks\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:6:{s:14:\"items_per_page\";i:50;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";N;s:4:\"tags\";a:2:{s:8:\"previous\";s:12:\"‹ Previous\";s:4:\"next\";s:8:\"Next ›\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}}}s:5:\"style\";a:2:{s:4:\"type\";s:5:\"table\";s:7:\"options\";a:12:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:8:\"override\";b:1;s:6:\"sticky\";b:0;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";s:11:\"description\";s:0:\"\";s:7:\"columns\";a:4:{s:4:\"info\";s:4:\"info\";s:4:\"type\";s:4:\"type\";s:7:\"changed\";s:7:\"changed\";s:10:\"operations\";s:10:\"operations\";}s:4:\"info\";a:4:{s:4:\"info\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:4:\"type\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:7:\"changed\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:10:\"operations\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}}s:7:\"default\";s:7:\"changed\";s:11:\"empty_table\";b:1;}}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:6:\"fields\";a:4:{s:4:\"info\";a:37:{s:2:\"id\";s:4:\"info\";s:5:\"table\";s:24:\"block_content_field_data\";s:5:\"field\";s:4:\"info\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:17:\"Block description\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";N;s:12:\"entity_field\";s:4:\"info\";s:9:\"plugin_id\";s:5:\"field\";}s:4:\"type\";a:37:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:24:\"block_content_field_data\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:10:\"Block type\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:22:\"entity_reference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:0;}s:12:\"group_column\";s:9:\"target_id\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:13:\"block_content\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:5:\"field\";}s:7:\"changed\";a:26:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:24:\"block_content_field_data\";s:5:\"field\";s:7:\"changed\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:7:\"Updated\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"entity_type\";s:13:\"block_content\";s:12:\"entity_field\";s:7:\"changed\";s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:5:\"short\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";}s:9:\"plugin_id\";s:5:\"field\";}s:10:\"operations\";a:24:{s:2:\"id\";s:10:\"operations\";s:5:\"table\";s:13:\"block_content\";s:5:\"field\";s:10:\"operations\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:10:\"Operations\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"destination\";b:1;s:11:\"entity_type\";s:13:\"block_content\";s:9:\"plugin_id\";s:17:\"entity_operations\";}}s:7:\"filters\";a:3:{s:4:\"info\";a:16:{s:2:\"id\";s:4:\"info\";s:5:\"table\";s:24:\"block_content_field_data\";s:5:\"field\";s:4:\"info\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:8:\"contains\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:7:\"info_op\";s:5:\"label\";s:17:\"Block description\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:7:\"info_op\";s:10:\"identifier\";s:4:\"info\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:13:\"block_content\";s:12:\"entity_field\";s:4:\"info\";s:9:\"plugin_id\";s:6:\"string\";}s:4:\"type\";a:16:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:24:\"block_content_field_data\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:7:\"type_op\";s:5:\"label\";s:10:\"Block type\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:7:\"type_op\";s:10:\"identifier\";s:4:\"type\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:13:\"block_content\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";}s:8:\"reusable\";a:16:{s:2:\"id\";s:8:\"reusable\";s:5:\"table\";s:24:\"block_content_field_data\";s:5:\"field\";s:8:\"reusable\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:11:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:13:\"block_content\";s:12:\"entity_field\";s:8:\"reusable\";s:9:\"plugin_id\";s:7:\"boolean\";}}s:5:\"sorts\";a:0:{}s:5:\"title\";s:20:\"Custom block library\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:2:{s:16:\"area_text_custom\";a:10:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:1;s:8:\"tokenize\";b:0;s:7:\"content\";s:38:\"There are no custom blocks available. \";s:9:\"plugin_id\";s:11:\"text_custom\";}s:27:\"block_content_listing_empty\";a:10:{s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:1;s:5:\"field\";s:27:\"block_content_listing_empty\";s:10:\"group_type\";s:5:\"group\";s:2:\"id\";s:27:\"block_content_listing_empty\";s:5:\"label\";s:0:\"\";s:12:\"relationship\";s:4:\"none\";s:5:\"table\";s:13:\"block_content\";s:9:\"plugin_id\";s:27:\"block_content_listing_empty\";s:11:\"entity_type\";s:13:\"block_content\";}}s:13:\"relationships\";a:0:{}s:9:\"arguments\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}s:6:\"page_1\";a:6:{s:14:\"display_plugin\";s:4:\"page\";s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:4:\"Page\";s:8:\"position\";i:1;s:15:\"display_options\";a:3:{s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:35:\"admin/structure/block/block-content\";s:4:\"menu\";a:7:{s:4:\"type\";s:3:\"tab\";s:5:\"title\";s:20:\"Custom block library\";s:11:\"description\";s:0:\"\";s:6:\"parent\";s:19:\"block.admin_display\";s:6:\"weight\";i:0;s:7:\"context\";s:1:\"0\";s:9:\"menu_name\";s:5:\"admin\";}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}}}'),('','views.view.blog_details','a:12:{s:4:\"uuid\";s:36:\"8e8c4b50-cf64-4bb8-a8a6-6199d120cf8c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:4:{i:0;s:30:\"field.storage.node.field_image\";i:1;s:30:\"field.storage.node.field_video\";i:2;s:26:\"image.style.image_1400_700\";i:3;s:14:\"node.type.blog\";}s:6:\"module\";a:4:{i:0;s:5:\"image\";i:1;s:4:\"node\";i:2;s:4:\"user\";i:3;s:17:\"video_embed_field\";}}s:2:\"id\";s:12:\"blog_details\";s:5:\"label\";s:12:\"Blog details\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:3:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:17:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:1;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:5;s:6:\"offset\";i:0;}}s:5:\"style\";a:1:{s:4:\"type\";s:7:\"default\";}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:6:\"fields\";a:2:{s:11:\"field_image\";a:35:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:17:\"node__field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:14:\"image_1400_700\";s:10:\"image_link\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:11:\"field_video\";a:35:{s:2:\"id\";s:11:\"field_video\";s:5:\"table\";s:17:\"node__field_video\";s:5:\"field\";s:11:\"field_video\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:16:\"{{field_image}} \";s:10:\"hide_empty\";b:1;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:23:\"video_embed_field_video\";s:8:\"settings\";a:4:{s:8:\"autoplay\";b:1;s:10:\"responsive\";b:1;s:5:\"width\";i:854;s:6:\"height\";i:480;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}}s:7:\"filters\";a:3:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:4:\"blog\";s:4:\"blog\";}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:33:\"***LANGUAGE_language_interface***\";s:33:\"***LANGUAGE_language_interface***\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";}}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";}}s:5:\"title\";s:12:\"Blog details\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:9:\"arguments\";a:1:{s:3:\"nid\";a:23:{s:2:\"id\";s:3:\"nid\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:3:\"nid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:14:\"default_action\";s:7:\"default\";s:9:\"exception\";a:3:{s:5:\"value\";s:3:\"all\";s:12:\"title_enable\";b:0;s:5:\"title\";s:3:\"All\";}s:12:\"title_enable\";b:0;s:5:\"title\";s:0:\"\";s:21:\"default_argument_type\";s:4:\"node\";s:24:\"default_argument_options\";a:0:{}s:25:\"default_argument_skip_url\";b:0;s:15:\"summary_options\";a:4:{s:9:\"base_path\";s:0:\"\";s:5:\"count\";b:1;s:14:\"items_per_page\";i:25;s:8:\"override\";b:0;}s:7:\"summary\";a:3:{s:10:\"sort_order\";s:3:\"asc\";s:17:\"number_of_records\";i:0;s:6:\"format\";s:15:\"default_summary\";}s:18:\"specify_validation\";b:0;s:8:\"validate\";a:2:{s:4:\"type\";s:4:\"none\";s:4:\"fail\";s:9:\"not found\";}s:16:\"validate_options\";a:0:{}s:12:\"break_phrase\";b:0;s:3:\"not\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:3:\"nid\";s:9:\"plugin_id\";s:8:\"node_nid\";}}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:2:{i:0;s:37:\"config:field.storage.node.field_image\";i:1;s:37:\"config:field.storage.node.field_video\";}}}s:7:\"block_1\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_1\";s:13:\"display_title\";s:10:\"Blog Image\";s:8:\"position\";i:1;s:15:\"display_options\";a:5:{s:17:\"display_extenders\";a:0:{}s:19:\"display_description\";s:0:\"\";s:9:\"css_class\";s:17:\"view-type-details\";s:8:\"defaults\";a:1:{s:9:\"css_class\";b:0;}s:18:\"rendering_language\";s:33:\"***LANGUAGE_language_interface***\";}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:3:\"url\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:2:{i:0;s:37:\"config:field.storage.node.field_image\";i:1;s:37:\"config:field.storage.node.field_video\";}}}s:7:\"block_3\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_3\";s:13:\"display_title\";s:9:\"Blog time\";s:8:\"position\";i:3;s:15:\"display_options\";a:5:{s:17:\"display_extenders\";a:0:{}s:19:\"display_description\";s:0:\"\";s:5:\"title\";s:9:\"Blog time\";s:8:\"defaults\";a:2:{s:5:\"title\";b:0;s:6:\"fields\";b:0;}s:6:\"fields\";a:3:{s:7:\"created\";a:37:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:19:\"node_field_revision\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:6:\"custom\";s:18:\"custom_date_format\";s:1:\"M\";s:8:\"timezone\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:5:\"field\";}s:9:\"created_1\";a:37:{s:2:\"id\";s:9:\"created_1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:6:\"custom\";s:18:\"custom_date_format\";s:1:\"d\";s:8:\"timezone\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:5:\"field\";}s:7:\"nothing\";a:22:{s:2:\"id\";s:7:\"nothing\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"nothing\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:202:\"<div class=\"views-info\">\n  		<div class=\"views-field wp-views-field-created\">\n  			{{ created }}\n  		</div>\n  		<div class=\"views-field wp-views-field-created-1\">\n  			{{ created_1 }}\n  		</div>\n	</div>\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:0;s:9:\"plugin_id\";s:6:\"custom\";}}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}}}'),('','views.view.blog_page','a:12:{s:4:\"uuid\";s:36:\"f8a69985-b991-45a8-87e2-bc593b731377\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:8:{i:0;s:23:\"field.storage.node.body\";i:1;s:30:\"field.storage.node.field_image\";i:2;s:29:\"field.storage.node.field_tags\";i:3;s:25:\"image.style.image_370_350\";i:4;s:25:\"image.style.image_551_372\";i:5;s:23:\"image.style.image_63_63\";i:6;s:26:\"image.style.image_640_363_\";i:7;s:14:\"node.type.blog\";}s:6:\"module\";a:4:{i:0;s:5:\"image\";i:1;s:4:\"node\";i:2;s:4:\"text\";i:3;s:4:\"user\";}}s:2:\"id\";s:9:\"blog_page\";s:5:\"label\";s:9:\"Blog page\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:6:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:17:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:6:{s:14:\"items_per_page\";i:10;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";N;s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:4:\"tags\";a:2:{s:8:\"previous\";s:6:\"‹‹\";s:4:\"next\";s:6:\"››\";}}}s:5:\"style\";a:1:{s:4:\"type\";s:7:\"default\";}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:4:{s:22:\"default_field_elements\";b:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";b:0;}}s:6:\"fields\";a:1:{s:5:\"title\";a:37:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";b:0;s:9:\"make_link\";b:0;s:8:\"absolute\";b:0;s:4:\"trim\";b:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:10:\"strip_tags\";b:0;s:4:\"html\";b:0;}s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:9:\"plugin_id\";s:5:\"field\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exclude\";b:0;s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}}s:7:\"filters\";a:3:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:4:\"blog\";s:4:\"blog\";}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:33:\"***LANGUAGE_language_interface***\";s:33:\"***LANGUAGE_language_interface***\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";}}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";}}s:5:\"title\";s:9:\"Blog page\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:9:\"arguments\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:14:\"url.query_args\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}s:7:\"block_1\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_1\";s:13:\"display_title\";s:12:\"Recent posts\";s:8:\"position\";i:2;s:15:\"display_options\";a:8:{s:17:\"display_extenders\";a:0:{}s:5:\"title\";s:12:\"Recent posts\";s:8:\"defaults\";a:5:{s:5:\"title\";b:0;s:5:\"style\";b:0;s:3:\"row\";b:0;s:5:\"pager\";b:0;s:6:\"fields\";b:0;}s:5:\"style\";a:1:{s:4:\"type\";s:7:\"default\";}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:5;s:6:\"offset\";i:0;}}s:6:\"fields\";a:1:{s:5:\"title\";a:35:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:9:\"plugin_id\";s:5:\"field\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}}s:19:\"display_description\";s:0:\"\";}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}s:7:\"block_2\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_2\";s:13:\"display_title\";s:9:\"Blog news\";s:8:\"position\";i:1;s:15:\"display_options\";a:13:{s:17:\"display_extenders\";a:0:{}s:6:\"fields\";a:7:{s:4:\"path\";a:25:{s:2:\"id\";s:4:\"path\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"absolute\";b:0;s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:11:\"entity_link\";s:18:\"output_url_as_text\";b:1;}s:11:\"field_image\";a:35:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:17:\"node__field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:13:\"image_551_372\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:5:\"title\";a:37:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:9:\"plugin_id\";s:5:\"field\";}s:7:\"created\";a:37:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:6:\"custom\";s:18:\"custom_date_format\";s:6:\"F d, Y\";s:8:\"timezone\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:5:\"field\";}s:3:\"uid\";a:37:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:3:\"uid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:13:\"by {{ uid }} \";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:22:\"entity_reference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:1;}s:12:\"group_column\";s:9:\"target_id\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:3:\"uid\";s:9:\"plugin_id\";s:5:\"field\";}s:10:\"field_tags\";a:35:{s:2:\"id\";s:10:\"field_tags\";s:5:\"table\";s:16:\"node__field_tags\";s:5:\"field\";s:10:\"field_tags\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:19:\"in {{ field_tags }}\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:22:\"entity_reference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:1;}s:12:\"group_column\";s:9:\"target_id\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:1;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:0:\"\";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:4:\"body\";a:35:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:10:\"node__body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:200;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:1;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_trimmed\";s:8:\"settings\";a:1:{s:11:\"trim_length\";i:150;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}}s:8:\"defaults\";a:10:{s:6:\"fields\";b:0;s:5:\"pager\";b:0;s:5:\"title\";b:0;s:6:\"header\";b:0;s:5:\"style\";b:0;s:3:\"row\";b:0;s:9:\"css_class\";b:0;s:6:\"access\";b:0;s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:3;s:6:\"offset\";i:0;}}s:19:\"display_description\";s:0:\"\";s:5:\"title\";s:11:\"latest news\";s:6:\"header\";a:1:{s:4:\"area\";a:10:{s:2:\"id\";s:4:\"area\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:4:\"area\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:0;s:8:\"tokenize\";b:0;s:7:\"content\";a:2:{s:5:\"value\";s:126:\"Lorem ipsum dolor sit amet, consectetur adipiscing elit.\nPraesent facilisis massa nellyary eget magna semper,  dolor sit amet.\";s:6:\"format\";s:9:\"full_html\";}s:9:\"plugin_id\";s:4:\"text\";}}s:5:\"style\";a:2:{s:4:\"type\";s:4:\"grid\";s:7:\"options\";a:8:{s:8:\"grouping\";a:0:{}s:7:\"columns\";i:3;s:15:\"automatic_width\";b:1;s:9:\"alignment\";s:10:\"horizontal\";s:17:\"col_class_default\";b:1;s:16:\"col_class_custom\";s:0:\"\";s:17:\"row_class_default\";b:1;s:16:\"row_class_custom\";s:0:\"\";}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:4:{s:22:\"default_field_elements\";b:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";b:0;}}s:9:\"css_class\";s:14:\"view-type-grid\";s:6:\"access\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:7:\"filters\";a:3:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:4:\"blog\";s:4:\"blog\";}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:33:\"***LANGUAGE_language_interface***\";s:33:\"***LANGUAGE_language_interface***\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";}}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:3:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";}s:4:\"tags\";a:3:{i:0;s:30:\"config:field.storage.node.body\";i:1;s:37:\"config:field.storage.node.field_image\";i:2;s:36:\"config:field.storage.node.field_tags\";}}}s:7:\"block_3\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_3\";s:13:\"display_title\";s:11:\"Latest news\";s:8:\"position\";i:1;s:15:\"display_options\";a:8:{s:17:\"display_extenders\";a:0:{}s:6:\"fields\";a:5:{s:11:\"field_image\";a:35:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:17:\"node__field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:11:\"image_63_63\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:5:\"title\";a:37:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:9:\"plugin_id\";s:5:\"field\";}s:4:\"body\";a:35:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:10:\"node__body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:50;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:1;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:7:\"created\";a:37:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:6:\"custom\";s:18:\"custom_date_format\";s:5:\"d M,Y\";s:8:\"timezone\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:5:\"field\";}s:7:\"nothing\";a:22:{s:2:\"id\";s:7:\"nothing\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"nothing\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:338:\"<div class=\"views-field wp-views-field-img\">\n	{{ field_image }} 	\n</div>\n<div class=\"views-inner views-fieldset\">\n	<div class=\"views-field wp-views-field-title\">\n		{{ title }}	\n	</div>\n	<div class=\"views-field wp-views-field-body\">\n		{{ body }} 	\n	</div>\n	<div class=\"views-field wp-views-field-created\">\n		{{ created }}		\n	</div>\n</div>\n\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:0;s:9:\"plugin_id\";s:6:\"custom\";}}s:8:\"defaults\";a:5:{s:6:\"fields\";b:0;s:5:\"pager\";b:0;s:5:\"title\";b:0;s:6:\"header\";b:0;s:9:\"css_class\";b:0;}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:2;s:6:\"offset\";i:0;}}s:19:\"display_description\";s:0:\"\";s:5:\"title\";s:11:\"Latest news\";s:6:\"header\";a:1:{s:4:\"area\";a:10:{s:2:\"id\";s:4:\"area\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:4:\"area\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:0;s:8:\"tokenize\";b:0;s:7:\"content\";a:2:{s:5:\"value\";s:126:\"Lorem ipsum dolor sit amet, consectetur adipiscing elit.\nPraesent facilisis massa nellyary eget magna semper,  dolor sit amet.\";s:6:\"format\";s:9:\"full_html\";}s:9:\"plugin_id\";s:4:\"text\";}}s:9:\"css_class\";s:14:\"view-type-list\";}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:2:{i:0;s:30:\"config:field.storage.node.body\";i:1;s:37:\"config:field.storage.node.field_image\";}}}s:6:\"page_1\";a:6:{s:14:\"display_plugin\";s:4:\"page\";s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:4:\"Page\";s:8:\"position\";i:1;s:15:\"display_options\";a:6:{s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:4:\"blog\";s:6:\"fields\";a:8:{s:4:\"path\";a:25:{s:2:\"id\";s:4:\"path\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"absolute\";b:0;s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:11:\"entity_link\";s:18:\"output_url_as_text\";b:1;}s:11:\"field_image\";a:35:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:17:\"node__field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:14:\"image_640_363_\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:5:\"title\";a:37:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:9:\"plugin_id\";s:5:\"field\";}s:7:\"created\";a:37:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:6:\"custom\";s:18:\"custom_date_format\";s:1:\"M\";s:8:\"timezone\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:5:\"field\";}s:9:\"created_1\";a:37:{s:2:\"id\";s:9:\"created_1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:6:\"custom\";s:18:\"custom_date_format\";s:1:\"d\";s:8:\"timezone\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:5:\"field\";}s:4:\"body\";a:35:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:10:\"node__body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:200;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:1;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:9:\"view_node\";a:26:{s:2:\"id\";s:9:\"view_node\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:1;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"text\";s:9:\"Read more\";s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:11:\"entity_link\";s:18:\"output_url_as_text\";b:0;s:8:\"absolute\";b:0;}s:7:\"nothing\";a:22:{s:2:\"id\";s:7:\"nothing\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"nothing\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:564:\"<div class=\"views-field wp-views-field-img\">\n      {{ field_image }}\n</div>\n<div class=\"views-inner\">\n  	<div class=\"views-info\">\n  		<div class=\"views-field wp-views-field-created\">\n  			{{ created }}\n  		</div>\n  		<div class=\"views-field wp-views-field-created-1\">\n  			{{ created_1 }}\n  		</div>\n	</div>\n	<div class=\"views-field wp-views-field-title\">\n		{{ title }}\n	</div>\n	<div class=\"views-field wp-views-field-body\">\n		{{ body }} 	\n	</div>\n	<div class=\"views-field wp-views-field-view-node\">\n		<a href=\"{{ path }}\">Read more</a> 	\n	</div>\n         \n</div>\n\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:0;s:9:\"plugin_id\";s:6:\"custom\";}}s:8:\"defaults\";a:3:{s:6:\"fields\";b:0;s:5:\"pager\";b:0;s:9:\"css_class\";b:0;}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:14:\"items_per_page\";i:5;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";N;s:4:\"tags\";a:4:{s:8:\"previous\";s:6:\"‹‹\";s:4:\"next\";s:6:\"››\";s:5:\"first\";s:8:\"« First\";s:4:\"last\";s:7:\"Last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:8:\"quantity\";i:9;}}s:9:\"css_class\";s:14:\"view-type-list\";}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:14:\"url.query_args\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:2:{i:0;s:30:\"config:field.storage.node.body\";i:1;s:37:\"config:field.storage.node.field_image\";}}}s:6:\"page_2\";a:6:{s:14:\"display_plugin\";s:4:\"page\";s:2:\"id\";s:6:\"page_2\";s:13:\"display_title\";s:12:\"Page default\";s:8:\"position\";i:1;s:15:\"display_options\";a:7:{s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:12:\"blog_default\";s:6:\"fields\";a:7:{s:4:\"path\";a:25:{s:2:\"id\";s:4:\"path\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"absolute\";b:0;s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:11:\"entity_link\";s:18:\"output_url_as_text\";b:1;}s:11:\"field_image\";a:35:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:17:\"node__field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:13:\"image_370_350\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:5:\"title\";a:37:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:9:\"plugin_id\";s:5:\"field\";}s:7:\"created\";a:37:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:6:\"custom\";s:18:\"custom_date_format\";s:3:\"M d\";s:8:\"timezone\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:5:\"field\";}s:4:\"body\";a:35:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:10:\"node__body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:200;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:1;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:9:\"view_node\";a:26:{s:2:\"id\";s:9:\"view_node\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:1;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"text\";s:9:\"Read more\";s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:11:\"entity_link\";s:18:\"output_url_as_text\";b:0;s:8:\"absolute\";b:0;}s:7:\"nothing\";a:22:{s:2:\"id\";s:7:\"nothing\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"nothing\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:96:\"<div class=\"views-field wp-views-field-view-node\">\n  <a href=\"{{ path }}\">Read more</a> 	\n</div>\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:0;s:9:\"plugin_id\";s:6:\"custom\";}}s:8:\"defaults\";a:3:{s:6:\"fields\";b:0;s:5:\"pager\";b:0;s:5:\"title\";b:0;}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:14:\"items_per_page\";i:5;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";N;s:4:\"tags\";a:4:{s:8:\"previous\";s:6:\"‹‹\";s:4:\"next\";s:6:\"››\";s:5:\"first\";s:8:\"« First\";s:4:\"last\";s:7:\"Last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:8:\"quantity\";i:9;}}s:19:\"display_description\";s:0:\"\";s:5:\"title\";s:12:\"Blog default\";}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:14:\"url.query_args\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:2:{i:0;s:30:\"config:field.storage.node.body\";i:1;s:37:\"config:field.storage.node.field_image\";}}}}}'),('','views.view.comment','a:12:{s:4:\"uuid\";s:36:\"091dbd98-dd78-4296-ab15-0a431e23e244\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:7:\"comment\";i:1;s:4:\"user\";}}s:2:\"id\";s:7:\"comment\";s:5:\"label\";s:8:\"Comments\";s:6:\"module\";s:7:\"comment\";s:11:\"description\";s:25:\"Find and manage comments.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:18:\"comment_field_data\";s:10:\"base_field\";s:3:\"cid\";s:7:\"display\";a:3:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:26:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:19:\"administer comments\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:14:\"items_per_page\";i:50;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";N;s:4:\"tags\";a:4:{s:8:\"previous\";s:12:\"‹ previous\";s:4:\"next\";s:8:\"next ›\";s:5:\"first\";s:8:\"« first\";s:4:\"last\";s:7:\"last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:8:\"quantity\";i:9;}}s:5:\"style\";a:2:{s:4:\"type\";s:5:\"table\";s:7:\"options\";a:12:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:8:\"override\";b:1;s:6:\"sticky\";b:1;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";s:11:\"description\";s:0:\"\";s:7:\"columns\";a:6:{s:17:\"comment_bulk_form\";s:17:\"comment_bulk_form\";s:7:\"subject\";s:7:\"subject\";s:3:\"uid\";s:3:\"uid\";s:9:\"entity_id\";s:9:\"entity_id\";s:7:\"changed\";s:7:\"changed\";s:10:\"operations\";s:10:\"operations\";}s:4:\"info\";a:6:{s:17:\"comment_bulk_form\";a:4:{s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:7:\"subject\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:3:\"uid\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:9:\"entity_id\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:7:\"changed\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:10:\"operations\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}}s:7:\"default\";s:7:\"changed\";s:11:\"empty_table\";b:1;}}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:6:\"fields\";a:8:{s:17:\"comment_bulk_form\";a:26:{s:2:\"id\";s:17:\"comment_bulk_form\";s:5:\"table\";s:7:\"comment\";s:5:\"field\";s:17:\"comment_bulk_form\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:12:\"action_title\";s:6:\"Action\";s:15:\"include_exclude\";s:7:\"include\";s:16:\"selected_actions\";a:2:{i:0;s:21:\"comment_delete_action\";i:1;s:24:\"comment_unpublish_action\";}s:9:\"plugin_id\";s:17:\"comment_bulk_form\";s:11:\"entity_type\";s:7:\"comment\";}s:7:\"subject\";a:37:{s:2:\"id\";s:7:\"subject\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"subject\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:7:\"Subject\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:17:\"comment_permalink\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"subject\";s:9:\"plugin_id\";s:5:\"field\";}s:3:\"uid\";a:37:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:3:\"uid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:22:\"entity_reference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:1;}s:12:\"group_column\";s:9:\"target_id\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:3:\"uid\";s:9:\"plugin_id\";s:5:\"field\";}s:4:\"name\";a:37:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:6:\"Author\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:9:\"{{ uid }}\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:16:\"comment_username\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:5:\"field\";}s:9:\"entity_id\";a:37:{s:2:\"id\";s:9:\"entity_id\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:9:\"entity_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:9:\"Posted in\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:22:\"entity_reference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:1;}s:12:\"group_column\";s:9:\"target_id\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:9:\"entity_id\";s:9:\"plugin_id\";s:16:\"commented_entity\";}s:7:\"changed\";a:37:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"changed\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:7:\"Updated\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:5:\"short\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"changed\";s:9:\"plugin_id\";s:5:\"field\";}s:10:\"operations\";a:24:{s:2:\"id\";s:10:\"operations\";s:5:\"table\";s:7:\"comment\";s:5:\"field\";s:10:\"operations\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:10:\"Operations\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"destination\";b:1;s:11:\"entity_type\";s:7:\"comment\";s:9:\"plugin_id\";s:17:\"entity_operations\";}s:6:\"name_1\";a:37:{s:2:\"id\";s:6:\"name_1\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:3:\"uid\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"user_name\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:5:\"field\";}}s:7:\"filters\";a:4:{s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";}s:7:\"subject\";a:16:{s:2:\"id\";s:7:\"subject\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"subject\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:8:\"contains\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:10:\"subject_op\";s:5:\"label\";s:7:\"Subject\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:10:\"subject_op\";s:10:\"identifier\";s:7:\"subject\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"subject\";s:9:\"plugin_id\";s:6:\"string\";}s:7:\"combine\";a:15:{s:2:\"id\";s:7:\"combine\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"combine\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:8:\"contains\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:10:\"combine_op\";s:5:\"label\";s:11:\"Author name\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:10:\"combine_op\";s:10:\"identifier\";s:11:\"author_name\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:6:\"fields\";a:2:{s:4:\"name\";s:4:\"name\";s:6:\"name_1\";s:6:\"name_1\";}s:9:\"plugin_id\";s:7:\"combine\";}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:11:\"langcode_op\";s:5:\"label\";s:8:\"Language\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:11:\"langcode_op\";s:10:\"identifier\";s:8:\"langcode\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";}}s:5:\"sorts\";a:1:{s:7:\"changed\";a:13:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"changed\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"order\";s:4:\"DESC\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"changed\";s:9:\"plugin_id\";s:4:\"date\";}}s:5:\"title\";s:8:\"Comments\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:1:{s:16:\"area_text_custom\";a:10:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:1;s:8:\"tokenize\";b:0;s:7:\"content\";s:22:\"No comments available.\";s:9:\"plugin_id\";s:11:\"text_custom\";}}s:9:\"arguments\";a:0:{}s:17:\"display_extenders\";a:0:{}s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:1;s:13:\"use_more_text\";s:4:\"more\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"group_by\";b:0;s:9:\"css_class\";s:0:\"\";s:13:\"relationships\";a:1:{s:3:\"uid\";a:10:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:3:\"uid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:6:\"author\";s:8:\"required\";b:0;s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:3:\"uid\";s:9:\"plugin_id\";s:8:\"standard\";}}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}}s:14:\"cache_metadata\";a:4:{s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:9:\"cacheable\";b:0;s:7:\"max-age\";i:0;s:4:\"tags\";a:0:{}}}s:14:\"page_published\";a:6:{s:14:\"display_plugin\";s:4:\"page\";s:2:\"id\";s:14:\"page_published\";s:13:\"display_title\";s:18:\"Published comments\";s:8:\"position\";i:1;s:15:\"display_options\";a:6:{s:4:\"path\";s:21:\"admin/content/comment\";s:4:\"menu\";a:7:{s:4:\"type\";s:3:\"tab\";s:5:\"title\";s:8:\"Comments\";s:11:\"description\";s:18:\"Comments published\";s:6:\"parent\";s:0:\"\";s:6:\"weight\";i:0;s:7:\"context\";s:1:\"0\";s:9:\"menu_name\";s:5:\"admin\";}s:19:\"display_description\";s:30:\"The approved comments listing.\";s:17:\"display_extenders\";a:0:{}s:13:\"exposed_block\";b:0;s:15:\"display_comment\";s:0:\"\";}s:14:\"cache_metadata\";a:4:{s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:9:\"cacheable\";b:0;s:7:\"max-age\";i:0;s:4:\"tags\";a:0:{}}}s:15:\"page_unapproved\";a:6:{s:14:\"display_plugin\";s:4:\"page\";s:2:\"id\";s:15:\"page_unapproved\";s:13:\"display_title\";s:19:\"Unapproved comments\";s:8:\"position\";i:2;s:15:\"display_options\";a:8:{s:4:\"path\";s:30:\"admin/content/comment/approval\";s:4:\"menu\";a:7:{s:4:\"type\";s:3:\"tab\";s:5:\"title\";s:19:\"Unapproved comments\";s:11:\"description\";s:19:\"Comments unapproved\";s:6:\"parent\";s:0:\"\";s:6:\"weight\";i:1;s:7:\"context\";s:1:\"0\";s:9:\"menu_name\";s:5:\"admin\";}s:19:\"display_description\";s:32:\"The unapproved comments listing.\";s:7:\"filters\";a:4:{s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"0\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";}s:7:\"subject\";a:16:{s:2:\"id\";s:7:\"subject\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"subject\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:8:\"contains\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:10:\"subject_op\";s:5:\"label\";s:7:\"Subject\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:10:\"subject_op\";s:10:\"identifier\";s:7:\"subject\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"subject\";s:9:\"plugin_id\";s:6:\"string\";}s:7:\"combine\";a:15:{s:2:\"id\";s:7:\"combine\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"combine\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:8:\"contains\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:10:\"combine_op\";s:5:\"label\";s:11:\"Author Name\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:10:\"combine_op\";s:10:\"identifier\";s:11:\"author_name\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:6:\"fields\";a:2:{s:4:\"name\";s:4:\"name\";s:6:\"name_1\";s:6:\"name_1\";}s:9:\"plugin_id\";s:7:\"combine\";}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:11:\"langcode_op\";s:5:\"label\";s:8:\"Language\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:11:\"langcode_op\";s:10:\"identifier\";s:8:\"langcode\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";}}s:8:\"defaults\";a:3:{s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;s:6:\"fields\";b:0;}s:17:\"display_extenders\";a:0:{}s:6:\"fields\";a:8:{s:17:\"comment_bulk_form\";a:26:{s:2:\"id\";s:17:\"comment_bulk_form\";s:5:\"table\";s:7:\"comment\";s:5:\"field\";s:17:\"comment_bulk_form\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:12:\"action_title\";s:6:\"Action\";s:15:\"include_exclude\";s:7:\"include\";s:16:\"selected_actions\";a:2:{i:0;s:21:\"comment_delete_action\";i:1;s:22:\"comment_publish_action\";}s:9:\"plugin_id\";s:17:\"comment_bulk_form\";s:11:\"entity_type\";s:7:\"comment\";}s:7:\"subject\";a:37:{s:2:\"id\";s:7:\"subject\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"subject\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:7:\"Subject\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:17:\"comment_permalink\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"subject\";s:9:\"plugin_id\";s:5:\"field\";}s:3:\"uid\";a:37:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:3:\"uid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:22:\"entity_reference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:1;}s:12:\"group_column\";s:9:\"target_id\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:3:\"uid\";s:9:\"plugin_id\";s:5:\"field\";}s:4:\"name\";a:37:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:6:\"Author\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:9:\"{{ uid }}\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:16:\"comment_username\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:5:\"field\";}s:9:\"entity_id\";a:37:{s:2:\"id\";s:9:\"entity_id\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:9:\"entity_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:9:\"Posted in\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:22:\"entity_reference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:1;}s:12:\"group_column\";s:9:\"target_id\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:9:\"entity_id\";s:9:\"plugin_id\";s:16:\"commented_entity\";}s:7:\"changed\";a:37:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"changed\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:7:\"Updated\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:5:\"short\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"changed\";s:9:\"plugin_id\";s:5:\"field\";}s:10:\"operations\";a:24:{s:2:\"id\";s:10:\"operations\";s:5:\"table\";s:7:\"comment\";s:5:\"field\";s:10:\"operations\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:10:\"Operations\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"destination\";b:1;s:11:\"entity_type\";s:7:\"comment\";s:9:\"plugin_id\";s:17:\"entity_operations\";}s:6:\"name_1\";a:37:{s:2:\"id\";s:6:\"name_1\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:3:\"uid\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"user_name\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:5:\"field\";}}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}}s:14:\"cache_metadata\";a:4:{s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:9:\"cacheable\";b:0;s:7:\"max-age\";i:0;s:4:\"tags\";a:0:{}}}}}'),('','views.view.comments_recent','a:13:{s:4:\"uuid\";s:36:\"d28d778f-6d2b-4b3d-836a-630e3367c1cf\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:7:\"comment\";i:1;s:4:\"node\";i:2;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"jmfZ73IDUpneecqVXUK3whGzTcvwLBBll9U3ZTCzndo\";}s:2:\"id\";s:15:\"comments_recent\";s:5:\"label\";s:15:\"Recent comments\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:16:\"Recent comments.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:18:\"comment_field_data\";s:10:\"base_field\";s:3:\"cid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:14:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:15:\"access comments\";}}s:5:\"cache\";a:1:{s:4:\"type\";s:3:\"tag\";}s:5:\"query\";a:1:{s:4:\"type\";s:11:\"views_query\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:10;s:6:\"offset\";i:0;}}s:5:\"style\";a:2:{s:4:\"type\";s:9:\"html_list\";s:7:\"options\";a:6:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:4:\"type\";s:2:\"ul\";s:13:\"wrapper_class\";s:9:\"item-list\";s:5:\"class\";s:0:\"\";}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:4:{s:22:\"default_field_elements\";b:1;s:6:\"inline\";a:2:{s:7:\"subject\";s:7:\"subject\";s:7:\"changed\";s:7:\"changed\";}s:9:\"separator\";s:1:\" \";s:10:\"hide_empty\";b:0;}}s:13:\"relationships\";a:1:{s:4:\"node\";a:5:{s:5:\"field\";s:4:\"node\";s:2:\"id\";s:4:\"node\";s:5:\"table\";s:18:\"comment_field_data\";s:8:\"required\";b:1;s:9:\"plugin_id\";s:8:\"standard\";}}s:6:\"fields\";a:2:{s:7:\"subject\";a:26:{s:2:\"id\";s:7:\"subject\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"subject\";s:12:\"relationship\";s:4:\"none\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:9:\"plugin_id\";s:5:\"field\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"subject\";}s:7:\"changed\";a:26:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"changed\";s:12:\"relationship\";s:4:\"none\";s:9:\"plugin_id\";s:5:\"field\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:13:\"timestamp_ago\";s:8:\"settings\";a:3:{s:13:\"future_format\";s:15:\"@interval hence\";s:11:\"past_format\";s:13:\"@interval ago\";s:11:\"granularity\";i:2;}s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"changed\";}}s:7:\"filters\";a:2:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:6:\"status\";}s:11:\"status_node\";a:10:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"node\";s:2:\"id\";s:11:\"status_node\";s:9:\"plugin_id\";s:7:\"boolean\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";}}s:5:\"sorts\";a:2:{s:7:\"created\";a:12:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"order\";s:4:\"DESC\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:9:\"plugin_id\";s:4:\"date\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"created\";}s:3:\"cid\";a:11:{s:2:\"id\";s:3:\"cid\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:3:\"cid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"order\";s:4:\"DESC\";s:7:\"exposed\";b:0;s:9:\"plugin_id\";s:5:\"field\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:3:\"cid\";}}s:5:\"title\";s:15:\"Recent comments\";s:5:\"empty\";a:1:{s:16:\"area_text_custom\";a:11:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:5:\"empty\";b:1;s:7:\"content\";s:22:\"No comments available.\";s:8:\"tokenize\";b:0;s:9:\"plugin_id\";s:11:\"text_custom\";}}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:3:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}s:7:\"block_1\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_1\";s:13:\"display_title\";s:5:\"Block\";s:8:\"position\";i:1;s:15:\"display_options\";a:4:{s:17:\"block_description\";s:15:\"Recent comments\";s:14:\"block_category\";s:13:\"Lists (Views)\";s:5:\"allow\";a:1:{s:14:\"items_per_page\";b:1;}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:3:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}}}'),('','views.view.comment_block','a:12:{s:4:\"uuid\";s:36:\"d7f381fe-14db-4772-a3f0-41842a94610c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:20:\"comment.type.comment\";}s:6:\"module\";a:3:{i:0;s:7:\"comment\";i:1;s:4:\"node\";i:2;s:4:\"user\";}}s:2:\"id\";s:13:\"comment_block\";s:5:\"label\";s:13:\"Comment block\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:10:\"base_table\";s:18:\"comment_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:17:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:15:\"access comments\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:5;s:6:\"offset\";i:0;}}s:5:\"style\";a:1:{s:4:\"type\";s:7:\"default\";}s:3:\"row\";a:1:{s:4:\"type\";s:14:\"entity:comment\";}s:13:\"relationships\";a:1:{s:4:\"node\";a:9:{s:2:\"id\";s:4:\"node\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:4:\"node\";s:11:\"entity_type\";s:18:\"comment_field_data\";s:8:\"required\";b:1;s:9:\"plugin_id\";s:8:\"standard\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:7:\"Content\";}}s:6:\"fields\";a:1:{s:7:\"subject\";a:37:{s:2:\"id\";s:7:\"subject\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:7:\"subject\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:7:\"subject\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";b:0;s:9:\"make_link\";b:0;s:8:\"absolute\";b:0;s:4:\"trim\";b:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:10:\"strip_tags\";b:0;s:4:\"html\";b:0;}s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:9:\"plugin_id\";s:5:\"field\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exclude\";b:0;s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}}s:7:\"filters\";a:3:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:11:\"status_node\";a:10:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:12:\"relationship\";s:4:\"node\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:11:\"status_node\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:12:\"comment_type\";a:8:{s:2:\"id\";s:12:\"comment_type\";s:5:\"table\";s:18:\"comment_field_data\";s:5:\"field\";s:12:\"comment_type\";s:5:\"value\";a:1:{s:7:\"comment\";s:7:\"comment\";}s:11:\"entity_type\";s:7:\"comment\";s:12:\"entity_field\";s:12:\"comment_type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}}s:5:\"sorts\";a:0:{}s:5:\"title\";s:13:\"Comment block\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:9:\"arguments\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:3:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}s:7:\"block_1\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_1\";s:13:\"display_title\";s:5:\"Block\";s:8:\"position\";i:1;s:15:\"display_options\";a:1:{s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:3:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}}}'),('','views.view.content','a:13:{s:4:\"uuid\";s:36:\"50eda1e2-2616-4d12-afd2-6d04dedf7d15\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"YIwhIF9MSP1E_HMam6MrYeti_UqMXQiLDMjDsPFKK8s\";}s:2:\"id\";s:7:\"content\";s:5:\"label\";s:7:\"Content\";s:6:\"module\";s:4:\"node\";s:11:\"description\";s:24:\"Find and manage content.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:15:\"display_options\";a:17:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:23:\"access content overview\";}}s:5:\"cache\";a:1:{s:4:\"type\";s:3:\"tag\";}s:5:\"query\";a:1:{s:4:\"type\";s:11:\"views_query\";}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:6:\"Filter\";s:12:\"reset_button\";b:1;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:50;s:4:\"tags\";a:4:{s:8:\"previous\";s:12:\"‹ Previous\";s:4:\"next\";s:8:\"Next ›\";s:5:\"first\";s:8:\"« First\";s:4:\"last\";s:7:\"Last »\";}}}s:5:\"style\";a:2:{s:4:\"type\";s:5:\"table\";s:7:\"options\";a:12:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:8:\"override\";b:1;s:6:\"sticky\";b:1;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";s:11:\"description\";s:0:\"\";s:7:\"columns\";a:10:{s:14:\"node_bulk_form\";s:14:\"node_bulk_form\";s:5:\"title\";s:5:\"title\";s:4:\"type\";s:4:\"type\";s:4:\"name\";s:4:\"name\";s:6:\"status\";s:6:\"status\";s:7:\"changed\";s:7:\"changed\";s:9:\"edit_node\";s:9:\"edit_node\";s:11:\"delete_node\";s:11:\"delete_node\";s:10:\"dropbutton\";s:10:\"dropbutton\";s:9:\"timestamp\";s:5:\"title\";}s:4:\"info\";a:10:{s:14:\"node_bulk_form\";a:4:{s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:5:\"title\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:4:\"type\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:4:\"name\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:6:\"status\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:7:\"changed\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:9:\"edit_node\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:11:\"delete_node\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:10:\"dropbutton\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:9:\"timestamp\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}}s:7:\"default\";s:7:\"changed\";s:11:\"empty_table\";b:1;}}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:6:\"fields\";a:8:{s:14:\"node_bulk_form\";a:14:{s:2:\"id\";s:14:\"node_bulk_form\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:14:\"node_bulk_form\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:1:{s:10:\"alter_text\";b:0;}s:13:\"element_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:9:\"plugin_id\";s:14:\"node_bulk_form\";s:11:\"entity_type\";s:4:\"node\";}s:5:\"title\";a:17:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:5:\"Title\";s:7:\"exclude\";b:0;s:5:\"alter\";a:1:{s:10:\"alter_text\";b:0;}s:13:\"element_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:9:\"plugin_id\";s:5:\"field\";}s:4:\"type\";a:37:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:12:\"Content type\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:22:\"entity_reference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:0;}s:12:\"group_column\";s:9:\"target_id\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:5:\"field\";}s:4:\"name\";a:17:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:3:\"uid\";s:5:\"label\";s:6:\"Author\";s:7:\"exclude\";b:0;s:5:\"alter\";a:1:{s:10:\"alter_text\";b:0;}s:13:\"element_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:9:\"plugin_id\";s:5:\"field\";s:4:\"type\";s:9:\"user_name\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"name\";}s:6:\"status\";a:17:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:5:\"label\";s:6:\"Status\";s:7:\"exclude\";b:0;s:5:\"alter\";a:1:{s:10:\"alter_text\";b:0;}s:13:\"element_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:7:\"boolean\";s:8:\"settings\";a:3:{s:6:\"format\";s:6:\"custom\";s:18:\"format_custom_true\";s:9:\"Published\";s:19:\"format_custom_false\";s:11:\"Unpublished\";}s:9:\"plugin_id\";s:5:\"field\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";}s:7:\"changed\";a:17:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"changed\";s:5:\"label\";s:7:\"Updated\";s:7:\"exclude\";b:0;s:5:\"alter\";a:1:{s:10:\"alter_text\";b:0;}s:13:\"element_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:5:\"short\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";}s:9:\"plugin_id\";s:5:\"field\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"changed\";}s:10:\"operations\";a:23:{s:2:\"id\";s:10:\"operations\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:10:\"operations\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:10:\"Operations\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"destination\";b:1;s:9:\"plugin_id\";s:17:\"entity_operations\";}s:8:\"langcode\";a:37:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:8:\"Language\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:8:\"language\";s:8:\"settings\";a:2:{s:14:\"link_to_entity\";b:0;s:15:\"native_language\";b:0;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:5:\"field\";}}s:7:\"filters\";a:6:{s:12:\"status_extra\";a:9:{s:2:\"id\";s:12:\"status_extra\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:12:\"status_extra\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";b:0;s:9:\"plugin_id\";s:11:\"node_status\";s:5:\"group\";i:1;s:11:\"entity_type\";s:4:\"node\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:6:\"Status\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:9:\"status_op\";s:10:\"identifier\";s:6:\"status\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:1;s:10:\"group_info\";a:10:{s:5:\"label\";s:16:\"Published status\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:6:\"status\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:2:{i:1;a:3:{s:5:\"title\";s:9:\"Published\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";}i:2;a:3:{s:5:\"title\";s:11:\"Unpublished\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"0\";}}}s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";}s:4:\"type\";a:16:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:7:\"type_op\";s:5:\"label\";s:12:\"Content type\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:7:\"type_op\";s:10:\"identifier\";s:4:\"type\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:6:\"bundle\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";}s:5:\"title\";a:16:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:8:\"contains\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:8:\"title_op\";s:5:\"label\";s:5:\"Title\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:8:\"title_op\";s:10:\"identifier\";s:5:\"title\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:6:\"string\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:11:\"langcode_op\";s:5:\"label\";s:8:\"Language\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:11:\"langcode_op\";s:10:\"identifier\";s:8:\"langcode\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:8:\"language\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:8:\"langcode\";}s:10:\"langcode_1\";a:16:{s:2:\"id\";s:10:\"langcode_1\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:3:\"uid\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:33:\"***LANGUAGE_language_interface***\";s:33:\"***LANGUAGE_language_interface***\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";}}s:5:\"sorts\";a:0:{}s:5:\"title\";s:7:\"Content\";s:5:\"empty\";a:1:{s:16:\"area_text_custom\";a:6:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:5:\"empty\";b:1;s:7:\"content\";s:21:\"No content available.\";s:9:\"plugin_id\";s:11:\"text_custom\";}}s:9:\"arguments\";a:0:{}s:13:\"relationships\";a:1:{s:3:\"uid\";a:6:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:3:\"uid\";s:11:\"admin_label\";s:6:\"author\";s:8:\"required\";b:1;s:9:\"plugin_id\";s:8:\"standard\";}}s:16:\"show_admin_links\";b:0;s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:17:\"display_extenders\";a:0:{}}s:14:\"display_plugin\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:2:\"id\";s:7:\"default\";s:8:\"position\";i:0;s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:7:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:4:\"user\";i:5;s:21:\"user.node_grants:view\";i:6;s:16:\"user.permissions\";}s:7:\"max-age\";i:0;s:4:\"tags\";a:0:{}}}s:6:\"page_1\";a:6:{s:15:\"display_options\";a:4:{s:4:\"path\";s:18:\"admin/content/node\";s:4:\"menu\";a:6:{s:4:\"type\";s:11:\"default tab\";s:5:\"title\";s:7:\"Content\";s:11:\"description\";s:0:\"\";s:9:\"menu_name\";s:5:\"admin\";s:6:\"weight\";i:-10;s:7:\"context\";s:0:\"\";}s:11:\"tab_options\";a:5:{s:4:\"type\";s:6:\"normal\";s:5:\"title\";s:7:\"Content\";s:11:\"description\";s:23:\"Find and manage content\";s:9:\"menu_name\";s:5:\"admin\";s:6:\"weight\";i:-10;}s:17:\"display_extenders\";a:0:{}}s:14:\"display_plugin\";s:4:\"page\";s:13:\"display_title\";s:4:\"Page\";s:2:\"id\";s:6:\"page_1\";s:8:\"position\";i:1;s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:7:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:4:\"user\";i:5;s:21:\"user.node_grants:view\";i:6;s:16:\"user.permissions\";}s:7:\"max-age\";i:0;s:4:\"tags\";a:0:{}}}}}'),('','views.view.content_recent','a:13:{s:4:\"uuid\";s:36:\"87985971-f189-42cc-ba4e-6a4ad23d4c3c\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"tDcmzGfShE0XJbfwJzyA6lJTUYC6X4iVu887dgoFfDg\";}s:2:\"id\";s:14:\"content_recent\";s:5:\"label\";s:14:\"Recent content\";s:6:\"module\";s:4:\"node\";s:11:\"description\";s:15:\"Recent content.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:22:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:10;s:6:\"offset\";i:0;}}s:5:\"style\";a:2:{s:4:\"type\";s:9:\"html_list\";s:7:\"options\";a:6:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:4:\"type\";s:2:\"ul\";s:13:\"wrapper_class\";s:9:\"item-list\";s:5:\"class\";s:0:\"\";}}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:6:\"fields\";a:2:{s:5:\"title\";a:26:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:8:{s:10:\"alter_text\";b:0;s:9:\"make_link\";b:0;s:8:\"absolute\";b:0;s:4:\"trim\";b:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:10:\"strip_tags\";b:0;s:4:\"html\";b:0;}s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:9:\"plugin_id\";s:5:\"field\";}s:7:\"changed\";a:37:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"changed\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:13:\"timestamp_ago\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"changed\";s:9:\"plugin_id\";s:5:\"field\";}}s:7:\"filters\";a:2:{s:12:\"status_extra\";a:15:{s:2:\"id\";s:12:\"status_extra\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:12:\"status_extra\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";b:0;s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:11:\"node_status\";}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:31:\"***LANGUAGE_language_content***\";s:31:\"***LANGUAGE_language_content***\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";}}s:5:\"sorts\";a:1:{s:7:\"changed\";a:13:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"changed\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"order\";s:4:\"DESC\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"changed\";s:9:\"plugin_id\";s:4:\"date\";}}s:5:\"title\";s:14:\"Recent content\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:1:{s:16:\"area_text_custom\";a:10:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:1;s:8:\"tokenize\";b:0;s:7:\"content\";s:21:\"No content available.\";s:9:\"plugin_id\";s:11:\"text_custom\";}}s:13:\"relationships\";a:1:{s:3:\"uid\";a:10:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:3:\"uid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:6:\"author\";s:8:\"required\";b:1;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:3:\"uid\";s:9:\"plugin_id\";s:8:\"standard\";}}s:9:\"arguments\";a:0:{}s:17:\"display_extenders\";a:0:{}s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:0;s:13:\"use_more_text\";s:4:\"More\";s:8:\"link_url\";s:0:\"\";s:12:\"link_display\";s:1:\"0\";}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:4:\"user\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}s:7:\"block_1\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_1\";s:13:\"display_title\";s:5:\"Block\";s:8:\"position\";i:1;s:15:\"display_options\";a:1:{s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:4:\"user\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}}}'),('','views.view.files','a:13:{s:4:\"uuid\";s:36:\"d546fe82-e0d3-4b56-99b5-7523c3b5a73f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"file\";i:1;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"rRWxAX-IQkJ5viACQRovRkC784EyCl9493GU_G23n2Q\";}s:2:\"id\";s:5:\"files\";s:5:\"label\";s:5:\"Files\";s:6:\"module\";s:4:\"file\";s:11:\"description\";s:22:\"Find and manage files.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:12:\"file_managed\";s:10:\"base_field\";s:3:\"fid\";s:7:\"display\";a:3:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:19:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:21:\"access files overview\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:6:\"Filter\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:6:{s:14:\"items_per_page\";i:50;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";i:0;s:4:\"tags\";a:2:{s:8:\"previous\";s:12:\"‹ Previous\";s:4:\"next\";s:8:\"Next ›\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}}}s:5:\"style\";a:2:{s:4:\"type\";s:5:\"table\";s:7:\"options\";a:12:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:8:\"override\";b:1;s:6:\"sticky\";b:0;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";s:11:\"description\";s:0:\"\";s:7:\"columns\";a:8:{s:3:\"fid\";s:3:\"fid\";s:8:\"filename\";s:8:\"filename\";s:8:\"filemime\";s:8:\"filemime\";s:8:\"filesize\";s:8:\"filesize\";s:6:\"status\";s:6:\"status\";s:7:\"created\";s:7:\"created\";s:7:\"changed\";s:7:\"changed\";s:5:\"count\";s:5:\"count\";}s:4:\"info\";a:8:{s:3:\"fid\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:8:\"filename\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:8:\"filemime\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:15:\"priority-medium\";}s:8:\"filesize\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:6:\"status\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:7:\"created\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:7:\"changed\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:5:\"count\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:15:\"priority-medium\";}}s:7:\"default\";s:7:\"changed\";s:11:\"empty_table\";b:1;}}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:6:\"fields\";a:8:{s:3:\"fid\";a:24:{s:2:\"id\";s:3:\"fid\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:3:\"fid\";s:5:\"alter\";a:8:{s:10:\"alter_text\";b:0;s:9:\"make_link\";b:0;s:8:\"absolute\";b:0;s:4:\"trim\";b:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:10:\"strip_tags\";b:0;s:4:\"html\";b:0;}s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:3:\"Fid\";s:7:\"exclude\";b:1;s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:16:\"hide_alter_empty\";b:1;s:9:\"plugin_id\";s:5:\"field\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:3:\"fid\";}s:8:\"filename\";a:36:{s:2:\"id\";s:8:\"filename\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:8:\"filename\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:4:\"Name\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"file_link\";s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:8:\"filename\";}s:8:\"filemime\";a:25:{s:2:\"id\";s:8:\"filemime\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:8:\"filemime\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:9:\"MIME type\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:13:\"file_filemime\";s:9:\"plugin_id\";s:5:\"field\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:8:\"filemime\";}s:8:\"filesize\";a:25:{s:2:\"id\";s:8:\"filesize\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:8:\"filesize\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:4:\"Size\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:9:\"file_size\";s:9:\"plugin_id\";s:5:\"field\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:8:\"filesize\";}s:6:\"status\";a:26:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:6:\"Status\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:7:\"boolean\";s:8:\"settings\";a:3:{s:6:\"format\";s:6:\"custom\";s:19:\"format_custom_false\";s:9:\"Temporary\";s:18:\"format_custom_true\";s:9:\"Permanent\";}s:9:\"plugin_id\";s:5:\"field\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:6:\"status\";}s:7:\"created\";a:26:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:11:\"Upload date\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:6:\"medium\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";}s:9:\"plugin_id\";s:5:\"field\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:7:\"created\";}s:7:\"changed\";a:26:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:7:\"changed\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:12:\"Changed date\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:6:\"medium\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";}s:9:\"plugin_id\";s:5:\"field\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:7:\"changed\";}s:5:\"count\";a:30:{s:2:\"id\";s:5:\"count\";s:5:\"table\";s:10:\"file_usage\";s:5:\"field\";s:5:\"count\";s:12:\"relationship\";s:3:\"fid\";s:10:\"group_type\";s:3:\"sum\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:7:\"Used in\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:1;s:4:\"path\";s:35:\"admin/content/files/usage/{{ fid }}\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:13:\"set_precision\";b:0;s:9:\"precision\";i:0;s:7:\"decimal\";s:1:\".\";s:9:\"separator\";s:1:\",\";s:13:\"format_plural\";b:1;s:20:\"format_plural_string\";s:21:\"1 place@count places\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:9:\"plugin_id\";s:7:\"numeric\";}}s:7:\"filters\";a:3:{s:8:\"filename\";a:16:{s:2:\"id\";s:8:\"filename\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:8:\"filename\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:4:\"word\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:11:\"filemime_op\";s:5:\"label\";s:8:\"Filename\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:11:\"filename_op\";s:10:\"identifier\";s:8:\"filename\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:6:\"string\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:8:\"filename\";}s:8:\"filemime\";a:16:{s:2:\"id\";s:8:\"filemime\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:8:\"filemime\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:4:\"word\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:11:\"filemime_op\";s:5:\"label\";s:9:\"MIME type\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:11:\"filemime_op\";s:10:\"identifier\";s:8:\"filemime\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:6:\"string\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:8:\"filemime\";}s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:9:\"status_op\";s:5:\"label\";s:6:\"Status\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:9:\"status_op\";s:10:\"identifier\";s:6:\"status\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:11:\"file_status\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:6:\"status\";}}s:5:\"sorts\";a:0:{}s:5:\"title\";s:5:\"Files\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:1:{s:16:\"area_text_custom\";a:6:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:5:\"empty\";b:1;s:7:\"content\";s:19:\"No files available.\";s:9:\"plugin_id\";s:11:\"text_custom\";}}s:13:\"relationships\";a:1:{s:3:\"fid\";a:7:{s:2:\"id\";s:3:\"fid\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:3:\"fid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:10:\"File usage\";s:8:\"required\";b:1;}}s:9:\"arguments\";a:0:{}s:8:\"group_by\";b:1;s:16:\"show_admin_links\";b:1;s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}s:6:\"page_1\";a:6:{s:14:\"display_plugin\";s:4:\"page\";s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:14:\"Files overview\";s:8:\"position\";i:1;s:15:\"display_options\";a:6:{s:4:\"path\";s:19:\"admin/content/files\";s:4:\"menu\";a:6:{s:4:\"type\";s:3:\"tab\";s:5:\"title\";s:5:\"Files\";s:11:\"description\";s:0:\"\";s:9:\"menu_name\";s:5:\"admin\";s:6:\"weight\";i:0;s:7:\"context\";s:0:\"\";}s:19:\"display_description\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"pager\";b:1;s:13:\"relationships\";b:0;}s:13:\"relationships\";a:1:{s:3:\"fid\";a:7:{s:2:\"id\";s:3:\"fid\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:3:\"fid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:10:\"File usage\";s:8:\"required\";b:0;}}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}s:6:\"page_2\";a:6:{s:14:\"display_plugin\";s:4:\"page\";s:2:\"id\";s:6:\"page_2\";s:13:\"display_title\";s:10:\"File usage\";s:8:\"position\";i:2;s:15:\"display_options\";a:15:{s:19:\"display_description\";s:0:\"\";s:4:\"path\";s:27:\"admin/content/files/usage/%\";s:5:\"empty\";a:0:{}s:8:\"defaults\";a:11:{s:5:\"empty\";b:0;s:5:\"pager\";b:0;s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;s:6:\"fields\";b:0;s:8:\"group_by\";b:0;s:5:\"title\";b:0;s:9:\"arguments\";b:0;s:5:\"style\";b:0;s:3:\"row\";b:0;s:13:\"relationships\";b:0;}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:6:{s:14:\"items_per_page\";i:10;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";i:0;s:4:\"tags\";a:2:{s:8:\"previous\";s:12:\"‹ Previous\";s:4:\"next\";s:8:\"Next ›\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}}}s:7:\"filters\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:0:{}}s:6:\"fields\";a:4:{s:12:\"entity_label\";a:23:{s:2:\"id\";s:12:\"entity_label\";s:5:\"table\";s:10:\"file_usage\";s:5:\"field\";s:12:\"entity_label\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:6:\"Entity\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:14:\"link_to_entity\";b:1;s:9:\"plugin_id\";s:12:\"entity_label\";}s:4:\"type\";a:22:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:10:\"file_usage\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:11:\"Entity type\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:9:\"plugin_id\";s:8:\"standard\";}s:6:\"module\";a:22:{s:2:\"id\";s:6:\"module\";s:5:\"table\";s:10:\"file_usage\";s:5:\"field\";s:6:\"module\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:18:\"Registering module\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:9:\"plugin_id\";s:8:\"standard\";}s:5:\"count\";a:30:{s:2:\"id\";s:5:\"count\";s:5:\"table\";s:10:\"file_usage\";s:5:\"field\";s:5:\"count\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:9:\"Use count\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:13:\"set_precision\";b:0;s:9:\"precision\";i:0;s:7:\"decimal\";s:1:\".\";s:9:\"separator\";s:1:\",\";s:13:\"format_plural\";b:0;s:20:\"format_plural_string\";s:8:\"1@count\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:9:\"plugin_id\";s:7:\"numeric\";}}s:8:\"group_by\";b:0;s:5:\"title\";s:10:\"File usage\";s:9:\"arguments\";a:1:{s:3:\"fid\";a:23:{s:2:\"id\";s:3:\"fid\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:3:\"fid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:14:\"default_action\";s:9:\"not found\";s:9:\"exception\";a:3:{s:5:\"value\";s:3:\"all\";s:12:\"title_enable\";b:0;s:5:\"title\";s:3:\"All\";}s:12:\"title_enable\";b:1;s:5:\"title\";s:46:\"File usage information for {{ arguments.fid }}\";s:21:\"default_argument_type\";s:5:\"fixed\";s:24:\"default_argument_options\";a:1:{s:8:\"argument\";s:0:\"\";}s:25:\"default_argument_skip_url\";b:0;s:15:\"summary_options\";a:4:{s:9:\"base_path\";s:0:\"\";s:5:\"count\";b:1;s:14:\"items_per_page\";i:25;s:8:\"override\";b:0;}s:7:\"summary\";a:3:{s:10:\"sort_order\";s:3:\"asc\";s:17:\"number_of_records\";i:0;s:6:\"format\";s:15:\"default_summary\";}s:18:\"specify_validation\";b:0;s:8:\"validate\";a:2:{s:4:\"type\";s:4:\"none\";s:4:\"fail\";s:9:\"not found\";}s:16:\"validate_options\";a:0:{}s:12:\"break_phrase\";b:0;s:3:\"not\";b:0;s:9:\"plugin_id\";s:8:\"file_fid\";s:11:\"entity_type\";s:4:\"file\";s:12:\"entity_field\";s:3:\"fid\";}}s:5:\"style\";a:2:{s:4:\"type\";s:5:\"table\";s:7:\"options\";a:12:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:8:\"override\";b:1;s:6:\"sticky\";b:0;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";s:11:\"description\";s:0:\"\";s:7:\"columns\";a:4:{s:12:\"entity_label\";s:12:\"entity_label\";s:4:\"type\";s:4:\"type\";s:6:\"module\";s:6:\"module\";s:5:\"count\";s:5:\"count\";}s:4:\"info\";a:4:{s:12:\"entity_label\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:4:\"type\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:15:\"priority-medium\";}s:6:\"module\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:5:\"count\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}}s:7:\"default\";s:12:\"entity_label\";s:11:\"empty_table\";b:1;}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:13:\"relationships\";a:1:{s:3:\"fid\";a:7:{s:2:\"id\";s:3:\"fid\";s:5:\"table\";s:12:\"file_managed\";s:5:\"field\";s:3:\"fid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:10:\"File usage\";s:8:\"required\";b:1;}}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:4:{i:0;s:28:\"languages:language_interface\";i:1;s:3:\"url\";i:2;s:14:\"url.query_args\";i:3;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}}}'),('','views.view.frontpage','a:13:{s:4:\"uuid\";s:36:\"0a97407f-cb1e-48d5-833d-0db56ad931c1\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:5:{i:0;s:30:\"core.entity_view_mode.node.rss\";i:1;s:23:\"field.storage.node.body\";i:2;s:35:\"field.storage.node.field_icon_class\";i:3;s:14:\"node.type.blog\";i:4;s:14:\"node.type.page\";}s:6:\"module\";a:3:{i:0;s:4:\"node\";i:1;s:4:\"text\";i:2;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"rwRoOr3DiobxwoWSmtUcna1LQz5_HxHvS7H5dl7_-Uo\";}s:2:\"id\";s:9:\"frontpage\";s:5:\"label\";s:9:\"Frontpage\";s:6:\"module\";s:4:\"node\";s:11:\"description\";s:39:\"All content promoted to the front page.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:4:{s:7:\"default\";a:6:{s:15:\"display_options\";a:18:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"empty\";a:3:{s:16:\"area_text_custom\";a:11:{s:11:\"admin_label\";s:0:\"\";s:7:\"content\";s:43:\"No front page content has been created yet.\";s:5:\"empty\";b:1;s:5:\"field\";s:16:\"area_text_custom\";s:10:\"group_type\";s:5:\"group\";s:2:\"id\";s:16:\"area_text_custom\";s:5:\"label\";s:0:\"\";s:12:\"relationship\";s:4:\"none\";s:5:\"table\";s:5:\"views\";s:8:\"tokenize\";b:0;s:9:\"plugin_id\";s:11:\"text_custom\";}s:18:\"node_listing_empty\";a:10:{s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:1;s:5:\"field\";s:18:\"node_listing_empty\";s:10:\"group_type\";s:5:\"group\";s:2:\"id\";s:18:\"node_listing_empty\";s:5:\"label\";s:0:\"\";s:12:\"relationship\";s:4:\"none\";s:5:\"table\";s:4:\"node\";s:9:\"plugin_id\";s:18:\"node_listing_empty\";s:11:\"entity_type\";s:4:\"node\";}s:5:\"title\";a:10:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:5:\"empty\";b:1;s:5:\"title\";s:22:\"Welcome to [site:name]\";s:9:\"plugin_id\";s:5:\"title\";}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:7:\"filters\";a:3:{s:7:\"promote\";a:16:{s:11:\"admin_label\";s:0:\"\";s:6:\"expose\";a:12:{s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:5:\"label\";s:0:\"\";s:8:\"multiple\";b:0;s:8:\"operator\";s:0:\"\";s:11:\"operator_id\";s:0:\"\";s:8:\"remember\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:8:\"required\";b:0;s:12:\"use_operator\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:7:\"exposed\";b:0;s:5:\"field\";s:7:\"promote\";s:5:\"group\";i:1;s:10:\"group_info\";a:10:{s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"description\";s:0:\"\";s:11:\"group_items\";a:0:{}s:10:\"identifier\";s:0:\"\";s:5:\"label\";s:0:\"\";s:8:\"multiple\";b:0;s:8:\"optional\";b:1;s:8:\"remember\";b:0;s:6:\"widget\";s:6:\"select\";}s:10:\"group_type\";s:5:\"group\";s:2:\"id\";s:7:\"promote\";s:10:\"is_grouped\";b:0;s:8:\"operator\";s:1:\"=\";s:12:\"relationship\";s:4:\"none\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"value\";s:1:\"1\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"promote\";}s:6:\"status\";a:9:{s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"field\";s:6:\"status\";s:5:\"group\";i:1;s:2:\"id\";s:6:\"status\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"value\";s:1:\"1\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";}s:4:\"type\";a:16:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:4:\"page\";s:4:\"page\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:14:\"items_per_page\";i:10;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";i:0;s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:4:\"tags\";a:4:{s:8:\"previous\";s:12:\"‹ Previous\";s:4:\"next\";s:8:\"Next ›\";s:5:\"first\";s:8:\"« First\";s:4:\"last\";s:7:\"Last »\";}s:8:\"quantity\";i:9;}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:4:{s:22:\"default_field_elements\";b:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";b:0;}}s:5:\"sorts\";a:2:{s:6:\"sticky\";a:12:{s:11:\"admin_label\";s:0:\"\";s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:7:\"exposed\";b:0;s:5:\"field\";s:6:\"sticky\";s:10:\"group_type\";s:5:\"group\";s:2:\"id\";s:6:\"sticky\";s:5:\"order\";s:4:\"DESC\";s:12:\"relationship\";s:4:\"none\";s:5:\"table\";s:15:\"node_field_data\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"sticky\";}s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"order\";s:3:\"ASC\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";s:9:\"plugin_id\";s:4:\"date\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";}}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:4:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:11:\"uses_fields\";b:0;}}s:5:\"title\";s:0:\"\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:4:{s:16:\"field_icon_class\";a:35:{s:2:\"id\";s:16:\"field_icon_class\";s:5:\"table\";s:22:\"node__field_icon_class\";s:5:\"field\";s:16:\"field_icon_class\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:52:\"<i class=\"nc-icon-glyph {{ field_icon_class }}\"></i>\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:16:\"nc-icon-outline \";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:5:\"title\";a:37:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:9:\"plugin_id\";s:5:\"field\";}s:4:\"body\";a:35:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:10:\"node__body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:200;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:9:\"view_node\";a:26:{s:2:\"id\";s:9:\"view_node\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"text\";s:9:\"Read more\";s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:11:\"entity_link\";s:18:\"output_url_as_text\";b:0;s:8:\"absolute\";b:0;}}s:9:\"arguments\";a:0:{}s:17:\"display_extenders\";a:0:{}s:9:\"css_class\";s:17:\"view-blog-summary\";}s:14:\"display_plugin\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:2:\"id\";s:7:\"default\";s:8:\"position\";i:0;s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:14:\"url.query_args\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:2:{i:0;s:30:\"config:field.storage.node.body\";i:1;s:42:\"config:field.storage.node.field_icon_class\";}}}s:7:\"block_1\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_1\";s:13:\"display_title\";s:5:\"Block\";s:8:\"position\";i:1;s:15:\"display_options\";a:5:{s:17:\"display_extenders\";a:0:{}s:5:\"style\";a:2:{s:4:\"type\";s:4:\"grid\";s:7:\"options\";a:8:{s:8:\"grouping\";a:0:{}s:7:\"columns\";i:3;s:15:\"automatic_width\";b:1;s:9:\"alignment\";s:10:\"horizontal\";s:17:\"col_class_default\";b:1;s:16:\"col_class_custom\";s:0:\"\";s:17:\"row_class_default\";b:1;s:16:\"row_class_custom\";s:0:\"\";}}s:8:\"defaults\";a:3:{s:5:\"style\";b:0;s:3:\"row\";b:0;s:6:\"fields\";b:0;}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:4:{s:22:\"default_field_elements\";b:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";b:0;}}s:6:\"fields\";a:4:{s:16:\"field_icon_class\";a:35:{s:2:\"id\";s:16:\"field_icon_class\";s:5:\"table\";s:22:\"node__field_icon_class\";s:5:\"field\";s:16:\"field_icon_class\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:52:\"<i class=\"nc-icon-glyph {{ field_icon_class }}\"></i>\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:16:\"nc-icon-outline \";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:5:\"title\";a:37:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:9:\"plugin_id\";s:5:\"field\";}s:4:\"body\";a:35:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:10:\"node__body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:120;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:9:\"view_node\";a:26:{s:2:\"id\";s:9:\"view_node\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"text\";s:9:\"Read more\";s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:11:\"entity_link\";s:18:\"output_url_as_text\";b:0;s:8:\"absolute\";b:0;}}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:14:\"url.query_args\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:2:{i:0;s:30:\"config:field.storage.node.body\";i:1;s:42:\"config:field.storage.node.field_icon_class\";}}}s:6:\"feed_1\";a:6:{s:14:\"display_plugin\";s:4:\"feed\";s:2:\"id\";s:6:\"feed_1\";s:13:\"display_title\";s:4:\"Feed\";s:8:\"position\";i:2;s:15:\"display_options\";a:7:{s:14:\"sitename_title\";b:1;s:4:\"path\";s:7:\"rss.xml\";s:8:\"displays\";a:2:{s:6:\"page_1\";s:6:\"page_1\";s:7:\"default\";s:0:\"\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:10;s:6:\"offset\";i:0;}}s:5:\"style\";a:2:{s:4:\"type\";s:3:\"rss\";s:7:\"options\";a:3:{s:11:\"description\";s:0:\"\";s:8:\"grouping\";a:0:{}s:11:\"uses_fields\";b:0;}}s:3:\"row\";a:2:{s:4:\"type\";s:8:\"node_rss\";s:7:\"options\";a:2:{s:12:\"relationship\";s:4:\"none\";s:9:\"view_mode\";s:3:\"rss\";}}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:2:{i:0;s:30:\"config:field.storage.node.body\";i:1;s:42:\"config:field.storage.node.field_icon_class\";}}}s:6:\"page_1\";a:6:{s:15:\"display_options\";a:10:{s:4:\"path\";s:4:\"node\";s:17:\"display_extenders\";a:0:{}s:5:\"style\";a:2:{s:4:\"type\";s:4:\"grid\";s:7:\"options\";a:8:{s:8:\"grouping\";a:0:{}s:7:\"columns\";i:3;s:15:\"automatic_width\";b:1;s:9:\"alignment\";s:10:\"horizontal\";s:17:\"col_class_default\";b:1;s:16:\"col_class_custom\";s:0:\"\";s:17:\"row_class_default\";b:1;s:16:\"row_class_custom\";s:0:\"\";}}s:8:\"defaults\";a:7:{s:5:\"style\";b:0;s:3:\"row\";b:0;s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;s:5:\"pager\";b:0;s:6:\"fields\";b:0;s:9:\"css_class\";b:0;}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:4:{s:22:\"default_field_elements\";b:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";b:0;}}s:7:\"filters\";a:3:{s:6:\"status\";a:9:{s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"field\";s:6:\"status\";s:5:\"group\";i:1;s:2:\"id\";s:6:\"status\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"value\";s:1:\"1\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";}s:4:\"type\";a:16:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:4:\"blog\";s:4:\"blog\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";}s:5:\"title\";a:16:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:11:\"shorterthan\";s:5:\"value\";s:2:\"17\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:11:\"placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:9:\"plugin_id\";s:6:\"string\";}}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:3;s:6:\"offset\";i:0;}}s:6:\"fields\";a:4:{s:5:\"title\";a:37:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:15;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:9:\"plugin_id\";s:5:\"field\";}s:4:\"body\";a:35:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:10:\"node__body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:120;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:9:\"view_node\";a:26:{s:2:\"id\";s:9:\"view_node\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"text\";s:9:\"Read more\";s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:11:\"entity_link\";s:18:\"output_url_as_text\";b:0;s:8:\"absolute\";b:0;}s:7:\"nothing\";a:4:{s:2:\"id\";s:7:\"nothing\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"nothing\";s:9:\"plugin_id\";s:6:\"custom\";}}s:9:\"css_class\";s:17:\"view-blog-summary\";}s:14:\"display_plugin\";s:4:\"page\";s:13:\"display_title\";s:4:\"Page\";s:2:\"id\";s:6:\"page_1\";s:8:\"position\";i:1;s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:1:{i:0;s:30:\"config:field.storage.node.body\";}}}}}'),('','views.view.glossary','a:13:{s:4:\"uuid\";s:36:\"709fdfa6-8127-435f-962e-33bdcf74868b\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:0;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:16:\"system.menu.main\";}s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"-pCFOVfbt__jaohFffTLnVavh4OBC6CjREAnchiRomQ\";}s:2:\"id\";s:8:\"glossary\";s:5:\"label\";s:8:\"Glossary\";s:6:\"module\";s:4:\"node\";s:11:\"description\";s:23:\"All content, by letter.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:3:{s:7:\"default\";a:6:{s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:14:\"display_plugin\";s:7:\"default\";s:8:\"position\";i:0;s:15:\"display_options\";a:17:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:13:\"query_comment\";s:0:\"\";s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:10:\"query_tags\";a:0:{}}}s:8:\"use_ajax\";b:1;s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:6:{s:14:\"items_per_page\";i:36;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";i:0;s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:4:\"tags\";a:2:{s:8:\"previous\";s:6:\"‹‹\";s:4:\"next\";s:6:\"››\";}}}s:6:\"fields\";a:3:{s:5:\"title\";a:24:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:9:\"plugin_id\";s:5:\"field\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:5:\"Title\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";}s:4:\"name\";a:25:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"name\";s:5:\"label\";s:6:\"Author\";s:12:\"relationship\";s:3:\"uid\";s:9:\"plugin_id\";s:5:\"field\";s:4:\"type\";s:9:\"user_name\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"name\";}s:7:\"changed\";a:26:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"changed\";s:5:\"label\";s:11:\"Last update\";s:4:\"type\";s:9:\"timestamp\";s:8:\"settings\";a:3:{s:11:\"date_format\";s:4:\"long\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";}s:9:\"plugin_id\";s:5:\"field\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"changed\";}}s:9:\"arguments\";a:1:{s:5:\"title\";a:27:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:14:\"default_action\";s:7:\"default\";s:9:\"exception\";a:1:{s:12:\"title_enable\";b:1;}s:21:\"default_argument_type\";s:5:\"fixed\";s:24:\"default_argument_options\";a:1:{s:8:\"argument\";s:1:\"a\";}s:7:\"summary\";a:1:{s:6:\"format\";s:15:\"default_summary\";}s:18:\"specify_validation\";b:1;s:8:\"glossary\";b:1;s:5:\"limit\";i:1;s:4:\"case\";s:5:\"upper\";s:9:\"path_case\";s:5:\"lower\";s:14:\"transform_dash\";b:0;s:9:\"plugin_id\";s:6:\"string\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:12:\"title_enable\";b:0;s:5:\"title\";s:0:\"\";s:25:\"default_argument_skip_url\";b:0;s:15:\"summary_options\";a:0:{}s:8:\"validate\";a:2:{s:4:\"type\";s:4:\"none\";s:4:\"fail\";s:9:\"not found\";}s:16:\"validate_options\";a:0:{}s:12:\"break_phrase\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";}}s:13:\"relationships\";a:1:{s:3:\"uid\";a:8:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:3:\"uid\";s:9:\"plugin_id\";s:8:\"standard\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:6:\"author\";s:8:\"required\";b:0;}}s:5:\"style\";a:2:{s:4:\"type\";s:5:\"table\";s:7:\"options\";a:12:{s:7:\"columns\";a:3:{s:5:\"title\";s:5:\"title\";s:4:\"name\";s:4:\"name\";s:7:\"changed\";s:7:\"changed\";}s:7:\"default\";s:5:\"title\";s:4:\"info\";a:3:{s:5:\"title\";a:2:{s:8:\"sortable\";b:1;s:9:\"separator\";s:0:\"\";}s:4:\"name\";a:2:{s:8:\"sortable\";b:1;s:9:\"separator\";s:0:\"\";}s:7:\"changed\";a:2:{s:8:\"sortable\";b:1;s:9:\"separator\";s:0:\"\";}}s:8:\"override\";b:1;s:6:\"sticky\";b:0;s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:11:\"uses_fields\";b:0;s:5:\"order\";s:3:\"asc\";s:7:\"summary\";s:0:\"\";s:11:\"empty_table\";b:0;}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:4:{s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";b:0;s:22:\"default_field_elements\";b:1;}}s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:5:\"sorts\";a:0:{}s:7:\"filters\";a:2:{s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:31:\"***LANGUAGE_language_content***\";s:31:\"***LANGUAGE_language_content***\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:8:\"language\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:8:\"langcode\";}s:6:\"status\";a:9:{s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"field\";s:6:\"status\";s:5:\"group\";i:1;s:2:\"id\";s:6:\"status\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"value\";s:1:\"1\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";}}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:6:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:21:\"user.node_grants:view\";i:5;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}s:12:\"attachment_1\";a:6:{s:2:\"id\";s:12:\"attachment_1\";s:13:\"display_title\";s:10:\"Attachment\";s:14:\"display_plugin\";s:10:\"attachment\";s:8:\"position\";i:2;s:15:\"display_options\";a:7:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:2:{s:6:\"offset\";i:0;s:14:\"items_per_page\";i:0;}}s:8:\"defaults\";a:1:{s:9:\"arguments\";b:0;}s:9:\"arguments\";a:1:{s:5:\"title\";a:27:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:14:\"default_action\";s:7:\"summary\";s:9:\"exception\";a:1:{s:12:\"title_enable\";b:1;}s:21:\"default_argument_type\";s:5:\"fixed\";s:24:\"default_argument_options\";a:1:{s:8:\"argument\";s:1:\"a\";}s:7:\"summary\";a:1:{s:6:\"format\";s:19:\"unformatted_summary\";}s:15:\"summary_options\";a:3:{s:14:\"items_per_page\";i:25;s:6:\"inline\";b:1;s:9:\"separator\";s:3:\" | \";}s:18:\"specify_validation\";b:1;s:8:\"glossary\";b:1;s:5:\"limit\";i:1;s:4:\"case\";s:5:\"upper\";s:9:\"path_case\";s:5:\"lower\";s:14:\"transform_dash\";b:0;s:9:\"plugin_id\";s:6:\"string\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:12:\"title_enable\";b:0;s:5:\"title\";s:0:\"\";s:25:\"default_argument_skip_url\";b:0;s:8:\"validate\";a:2:{s:4:\"type\";s:4:\"none\";s:4:\"fail\";s:9:\"not found\";}s:16:\"validate_options\";a:0:{}s:12:\"break_phrase\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";}}s:8:\"displays\";a:2:{s:7:\"default\";s:7:\"default\";s:6:\"page_1\";s:6:\"page_1\";}s:17:\"inherit_arguments\";b:0;s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:6:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:21:\"user.node_grants:view\";i:5;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}s:6:\"page_1\";a:6:{s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:4:\"Page\";s:14:\"display_plugin\";s:4:\"page\";s:8:\"position\";i:1;s:15:\"display_options\";a:4:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:8:\"glossary\";s:4:\"menu\";a:5:{s:4:\"type\";s:6:\"normal\";s:5:\"title\";s:8:\"Glossary\";s:6:\"weight\";i:0;s:9:\"menu_name\";s:4:\"main\";s:6:\"parent\";s:0:\"\";}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:6:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:21:\"user.node_grants:view\";i:5;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}}}'),('','views.view.our_mission','a:12:{s:4:\"uuid\";s:36:\"bdb3f319-873f-4cc0-81b3-b787143ae677\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:4:{i:0;s:23:\"field.storage.node.body\";i:1;s:30:\"field.storage.node.field_image\";i:2;s:25:\"image.style.image_551_372\";i:3;s:21:\"node.type.our_mission\";}s:6:\"module\";a:5:{i:0;s:5:\"image\";i:1;s:4:\"node\";i:2;s:9:\"sharethis\";i:3;s:4:\"text\";i:4;s:4:\"user\";}}s:2:\"id\";s:11:\"our_mission\";s:5:\"label\";s:11:\"Our mission\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:18:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:3;s:6:\"offset\";i:0;}}s:5:\"style\";a:2:{s:4:\"type\";s:4:\"grid\";s:7:\"options\";a:8:{s:8:\"grouping\";a:0:{}s:7:\"columns\";i:3;s:15:\"automatic_width\";b:1;s:9:\"alignment\";s:10:\"horizontal\";s:17:\"col_class_default\";b:1;s:16:\"col_class_custom\";s:0:\"\";s:17:\"row_class_default\";b:1;s:16:\"row_class_custom\";s:0:\"\";}}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:6:\"fields\";a:4:{s:11:\"field_image\";a:35:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:17:\"node__field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:13:\"image_551_372\";s:10:\"image_link\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:5:\"title\";a:35:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:4:\"body\";a:35:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:10:\"node__body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:100;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:14:\"sharethis_node\";a:23:{s:2:\"id\";s:14:\"sharethis_node\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:14:\"sharethis_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:14:\"sharethis_node\";}}s:7:\"filters\";a:2:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:11:\"our_mission\";s:11:\"our_mission\";}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";}}s:5:\"title\";s:11:\"Our mission\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:9:\"arguments\";a:0:{}s:17:\"display_extenders\";a:0:{}s:9:\"css_class\";s:14:\"view-type-grid\";}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:2:{i:0;s:30:\"config:field.storage.node.body\";i:1;s:37:\"config:field.storage.node.field_image\";}}}s:7:\"block_1\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_1\";s:13:\"display_title\";s:11:\"Our mission\";s:8:\"position\";i:1;s:15:\"display_options\";a:2:{s:17:\"display_extenders\";a:0:{}s:19:\"display_description\";s:0:\"\";}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:2:{i:0;s:30:\"config:field.storage.node.body\";i:1;s:37:\"config:field.storage.node.field_image\";}}}}}'),('','views.view.our_partners','a:12:{s:4:\"uuid\";s:36:\"681f5a9b-5973-460f-9d36-3a7904261bfe\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:4:{i:0;s:29:\"field.storage.node.field_link\";i:1;s:33:\"field.storage.node.field_partners\";i:2;s:25:\"image.style.image_380_224\";i:3;s:18:\"node.type.partners\";}s:6:\"module\";a:4:{i:0;s:5:\"image\";i:1;s:4:\"link\";i:2;s:4:\"node\";i:3;s:4:\"user\";}}s:2:\"id\";s:12:\"our_partners\";s:5:\"label\";s:12:\"Our partners\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:18:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:6;s:6:\"offset\";i:0;}}s:5:\"style\";a:1:{s:4:\"type\";s:7:\"default\";}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:6:\"fields\";a:3:{s:5:\"title\";a:35:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:10:\"field_link\";a:35:{s:2:\"id\";s:10:\"field_link\";s:5:\"table\";s:16:\"node__field_link\";s:5:\"field\";s:10:\"field_link\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:71:\"<a href=\"{{ field_link__uri }} \"><img src=\"{{ field_partners }}\"></</a>\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:3:\"uri\";s:4:\"type\";s:4:\"link\";s:8:\"settings\";a:5:{s:11:\"trim_length\";i:80;s:8:\"url_only\";b:1;s:9:\"url_plain\";b:0;s:3:\"rel\";s:1:\"0\";s:6:\"target\";s:6:\"_blank\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:14:\"field_partners\";a:35:{s:2:\"id\";s:14:\"field_partners\";s:5:\"table\";s:20:\"node__field_partners\";s:5:\"field\";s:14:\"field_partners\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:64:\"<a href=\"{{ field_link }}\"><img src=\"{{ field_partners }}\"/></a>\";s:9:\"make_link\";b:1;s:4:\"path\";s:16:\"{{ field_link }}\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:6:\"_blank\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:13:\"image_380_224\";s:10:\"image_link\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}}s:7:\"filters\";a:2:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:8:\"partners\";s:8:\"partners\";}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";}}s:5:\"title\";s:12:\"Our partners\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:9:\"arguments\";a:0:{}s:17:\"display_extenders\";a:0:{}s:9:\"css_class\";s:17:\"view-our-partners\";}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:2:{i:0;s:36:\"config:field.storage.node.field_link\";i:1;s:40:\"config:field.storage.node.field_partners\";}}}s:7:\"block_1\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_1\";s:13:\"display_title\";s:12:\"Our partners\";s:8:\"position\";i:1;s:15:\"display_options\";a:3:{s:17:\"display_extenders\";a:0:{}s:19:\"display_description\";s:0:\"\";s:18:\"rendering_language\";s:33:\"***LANGUAGE_entity_translation***\";}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:2:{i:0;s:36:\"config:field.storage.node.field_link\";i:1;s:40:\"config:field.storage.node.field_partners\";}}}}}'),('','views.view.our_services','a:12:{s:4:\"uuid\";s:36:\"ca8dfcb7-7a82-4258-9666-401f76d41a30\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:32:\"field.storage.node.field_percent\";i:1;s:22:\"node.type.our_services\";}s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:4:\"user\";}}s:2:\"id\";s:12:\"our_services\";s:5:\"label\";s:12:\"Our services\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:17:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:6;s:6:\"offset\";i:0;}}s:5:\"style\";a:1:{s:4:\"type\";s:7:\"default\";}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:6:\"fields\";a:4:{s:15:\"field_percent_1\";a:35:{s:2:\"id\";s:15:\"field_percent_1\";s:5:\"table\";s:19:\"node__field_percent\";s:5:\"field\";s:13:\"field_percent\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:14:\"number_decimal\";s:8:\"settings\";a:4:{s:18:\"thousand_separator\";s:0:\"\";s:13:\"prefix_suffix\";b:1;s:17:\"decimal_separator\";s:1:\".\";s:5:\"scale\";i:0;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:5:\"title\";a:37:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:9:\"plugin_id\";s:5:\"field\";}s:13:\"field_percent\";a:35:{s:2:\"id\";s:13:\"field_percent\";s:5:\"table\";s:19:\"node__field_percent\";s:5:\"field\";s:13:\"field_percent\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:14:\"number_decimal\";s:8:\"settings\";a:4:{s:18:\"thousand_separator\";s:0:\"\";s:13:\"prefix_suffix\";b:0;s:17:\"decimal_separator\";s:1:\".\";s:5:\"scale\";i:0;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:7:\"nothing\";a:22:{s:2:\"id\";s:7:\"nothing\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"nothing\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:259:\" <div class=\"progress\">\n  <div class=\"progress-bar\" role=\"progressbar\" aria-valuenow=\"{{ field_percent }}\"  aria-valuemin=\"0\" aria-valuemax=\"100\" style=\"width:{{ field_percent }}\">\n    <span class=\"sr-only\">{{ field_percent }}  Complete</span>\n  </div>\n</div>\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:0;s:9:\"plugin_id\";s:6:\"custom\";}}s:7:\"filters\";a:2:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:12:\"our_services\";s:12:\"our_services\";}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"order\";s:3:\"ASC\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";}}s:5:\"title\";s:12:\"Our services\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:9:\"arguments\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:1:{i:0;s:39:\"config:field.storage.node.field_percent\";}}}s:7:\"block_1\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_1\";s:13:\"display_title\";s:5:\"Block\";s:8:\"position\";i:1;s:15:\"display_options\";a:1:{s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:1:{i:0;s:39:\"config:field.storage.node.field_percent\";}}}}}'),('','views.view.portfolio','a:12:{s:4:\"uuid\";s:36:\"f843166f-993a-492c-b328-bbe5f329d3f0\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:4:{i:0;s:32:\"field.storage.node.field_gallery\";i:1;s:26:\"image.style.image_360_360_\";i:2;s:25:\"image.style.image_370_370\";i:3;s:19:\"node.type.portfolio\";}s:6:\"module\";a:3:{i:0;s:8:\"colorbox\";i:1;s:4:\"node\";i:2;s:4:\"user\";}}s:2:\"id\";s:9:\"portfolio\";s:5:\"label\";s:9:\"Portfolio\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:5:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:17:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:1;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:14:\"items_per_page\";i:12;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";N;s:4:\"tags\";a:4:{s:8:\"previous\";s:6:\"‹‹\";s:4:\"next\";s:6:\"››\";s:5:\"first\";s:8:\"« First\";s:4:\"last\";s:7:\"Last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:8:\"quantity\";i:9;}}s:5:\"style\";a:2:{s:4:\"type\";s:4:\"grid\";s:7:\"options\";a:8:{s:8:\"grouping\";a:0:{}s:7:\"columns\";i:4;s:15:\"automatic_width\";b:1;s:9:\"alignment\";s:10:\"horizontal\";s:17:\"col_class_default\";b:1;s:16:\"col_class_custom\";s:0:\"\";s:17:\"row_class_default\";b:1;s:16:\"row_class_custom\";s:0:\"\";}}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:6:\"fields\";a:1:{s:13:\"field_gallery\";a:35:{s:2:\"id\";s:13:\"field_gallery\";s:5:\"table\";s:19:\"node__field_gallery\";s:5:\"field\";s:13:\"field_gallery\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:8:\"colorbox\";s:8:\"settings\";a:7:{s:19:\"colorbox_node_style\";s:13:\"image_370_370\";s:25:\"colorbox_node_style_first\";s:0:\"\";s:20:\"colorbox_image_style\";s:0:\"\";s:16:\"colorbox_gallery\";s:4:\"page\";s:23:\"colorbox_gallery_custom\";s:7:\"gallery\";s:16:\"colorbox_caption\";s:5:\"title\";s:23:\"colorbox_caption_custom\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:0;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:2:\"ul\";s:9:\"separator\";s:0:\"\";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}}s:7:\"filters\";a:3:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:9:\"portfolio\";s:9:\"portfolio\";}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:23:\"field_gallery_target_id\";a:14:{s:2:\"id\";s:23:\"field_gallery_target_id\";s:5:\"table\";s:19:\"node__field_gallery\";s:5:\"field\";s:23:\"field_gallery_target_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:9:\"not empty\";s:5:\"value\";a:3:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:0:\"\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:15:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:11:\"placeholder\";s:0:\"\";s:15:\"min_placeholder\";s:0:\"\";s:15:\"max_placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:7:\"numeric\";}}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";}}s:5:\"title\";s:9:\"Portfolio\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:9:\"arguments\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:14:\"url.query_args\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:1:{i:0;s:39:\"config:field.storage.node.field_gallery\";}}}s:7:\"block_1\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_1\";s:13:\"display_title\";s:19:\"Porfolio front page\";s:8:\"position\";i:1;s:15:\"display_options\";a:10:{s:17:\"display_extenders\";a:0:{}s:6:\"fields\";a:1:{s:13:\"field_gallery\";a:35:{s:2:\"id\";s:13:\"field_gallery\";s:5:\"table\";s:19:\"node__field_gallery\";s:5:\"field\";s:13:\"field_gallery\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:17:\"portfolio-gallery\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:8:\"colorbox\";s:8:\"settings\";a:7:{s:19:\"colorbox_node_style\";s:0:\"\";s:25:\"colorbox_node_style_first\";s:0:\"\";s:20:\"colorbox_image_style\";s:0:\"\";s:16:\"colorbox_gallery\";s:4:\"page\";s:23:\"colorbox_gallery_custom\";s:7:\"gallery\";s:16:\"colorbox_caption\";s:5:\"title\";s:23:\"colorbox_caption_custom\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:0;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:2:\"ul\";s:9:\"separator\";s:0:\"\";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}}s:8:\"defaults\";a:7:{s:6:\"fields\";b:0;s:5:\"style\";b:0;s:3:\"row\";b:0;s:9:\"css_class\";b:0;s:5:\"pager\";b:0;s:6:\"header\";b:0;s:6:\"footer\";b:0;}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:3:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:0;}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:9:\"css_class\";s:0:\"\";s:19:\"display_description\";s:0:\"\";s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:10;s:6:\"offset\";i:0;}}s:6:\"header\";a:1:{s:4:\"area\";a:10:{s:2:\"id\";s:4:\"area\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:4:\"area\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:0;s:8:\"tokenize\";b:0;s:7:\"content\";a:2:{s:5:\"value\";s:352:\"“There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which don\'t look even slightly believable. If you are going to use a passage of Lorem Ipsum, you need to be sure there isn\'t anything embarrassing hidden.”\n\n										   -- Lorem Ipsum --\";s:6:\"format\";s:9:\"full_html\";}s:9:\"plugin_id\";s:4:\"text\";}}s:6:\"footer\";a:1:{s:4:\"area\";a:10:{s:2:\"id\";s:4:\"area\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:4:\"area\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:0;s:8:\"tokenize\";b:0;s:7:\"content\";a:2:{s:5:\"value\";s:163:\"“If you are going to use a passage of Lorem Ipsum, you need to be sure there isn\'t anything embarrassing hidden in the middle of text.”\n\n						-- H. Rackham --\";s:6:\"format\";s:9:\"full_html\";}s:9:\"plugin_id\";s:4:\"text\";}}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:1:{i:0;s:39:\"config:field.storage.node.field_gallery\";}}}s:6:\"page_1\";a:6:{s:14:\"display_plugin\";s:4:\"page\";s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:4:\"Page\";s:8:\"position\";i:1;s:15:\"display_options\";a:6:{s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:9:\"portfolio\";s:5:\"style\";a:2:{s:4:\"type\";s:4:\"grid\";s:7:\"options\";a:8:{s:8:\"grouping\";a:0:{}s:7:\"columns\";i:3;s:15:\"automatic_width\";b:1;s:9:\"alignment\";s:10:\"horizontal\";s:17:\"col_class_default\";b:1;s:16:\"col_class_custom\";s:0:\"\";s:17:\"row_class_default\";b:1;s:16:\"row_class_custom\";s:0:\"\";}}s:8:\"defaults\";a:3:{s:5:\"style\";b:0;s:3:\"row\";b:0;s:5:\"pager\";b:0;}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:14:\"items_per_page\";i:12;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";N;s:4:\"tags\";a:4:{s:8:\"previous\";s:6:\"‹‹\";s:4:\"next\";s:6:\"››\";s:5:\"first\";s:8:\"« First\";s:4:\"last\";s:7:\"Last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:8:\"quantity\";i:9;}}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:14:\"url.query_args\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:1:{i:0;s:39:\"config:field.storage.node.field_gallery\";}}}s:6:\"page_2\";a:6:{s:14:\"display_plugin\";s:4:\"page\";s:2:\"id\";s:6:\"page_2\";s:13:\"display_title\";s:4:\"Page\";s:8:\"position\";i:1;s:15:\"display_options\";a:4:{s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:15:\"portfolio_4_col\";s:6:\"fields\";a:1:{s:13:\"field_gallery\";a:35:{s:2:\"id\";s:13:\"field_gallery\";s:5:\"table\";s:19:\"node__field_gallery\";s:5:\"field\";s:13:\"field_gallery\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:8:\"colorbox\";s:8:\"settings\";a:7:{s:19:\"colorbox_node_style\";s:14:\"image_360_360_\";s:25:\"colorbox_node_style_first\";s:0:\"\";s:20:\"colorbox_image_style\";s:0:\"\";s:16:\"colorbox_gallery\";s:4:\"page\";s:23:\"colorbox_gallery_custom\";s:7:\"gallery\";s:16:\"colorbox_caption\";s:5:\"title\";s:23:\"colorbox_caption_custom\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:0;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:2:\"ul\";s:9:\"separator\";s:0:\"\";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}}s:8:\"defaults\";a:1:{s:6:\"fields\";b:0;}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:14:\"url.query_args\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:1:{i:0;s:39:\"config:field.storage.node.field_gallery\";}}}s:6:\"page_3\";a:6:{s:14:\"display_plugin\";s:4:\"page\";s:2:\"id\";s:6:\"page_3\";s:13:\"display_title\";s:4:\"Page\";s:8:\"position\";i:1;s:15:\"display_options\";a:9:{s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:17:\"portfolio_masonry\";s:6:\"fields\";a:1:{s:13:\"field_gallery\";a:35:{s:2:\"id\";s:13:\"field_gallery\";s:5:\"table\";s:19:\"node__field_gallery\";s:5:\"field\";s:13:\"field_gallery\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:8:\"colorbox\";s:8:\"settings\";a:7:{s:19:\"colorbox_node_style\";s:0:\"\";s:25:\"colorbox_node_style_first\";s:0:\"\";s:20:\"colorbox_image_style\";s:0:\"\";s:16:\"colorbox_gallery\";s:4:\"page\";s:23:\"colorbox_gallery_custom\";s:7:\"gallery\";s:16:\"colorbox_caption\";s:5:\"title\";s:23:\"colorbox_caption_custom\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:0;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:2:\"ul\";s:9:\"separator\";s:0:\"\";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}}s:8:\"defaults\";a:6:{s:6:\"fields\";b:0;s:5:\"style\";b:0;s:3:\"row\";b:0;s:9:\"css_class\";b:0;s:6:\"header\";b:0;s:5:\"pager\";b:0;}s:5:\"style\";a:2:{s:4:\"type\";s:7:\"default\";s:7:\"options\";a:3:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:0;}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:0:{}}s:9:\"css_class\";s:21:\"view-porfolio-masonry\";s:6:\"header\";a:1:{s:4:\"area\";a:10:{s:2:\"id\";s:4:\"area\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:4:\"area\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:0;s:8:\"tokenize\";b:0;s:7:\"content\";a:2:{s:5:\"value\";s:371:\"<h2>Masonery</h2>\n<p>“There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which don\'t look even slightly believable. If you are going to use a passage of Lorem Ipsum, you need to be sure there isn\'t anything embarrassing hidden.”</p>\n<p> -- Lorem Ipsum --</p>\";s:6:\"format\";s:9:\"full_html\";}s:9:\"plugin_id\";s:4:\"text\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:12;s:6:\"offset\";i:0;}}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:1:{i:0;s:39:\"config:field.storage.node.field_gallery\";}}}}}'),('','views.view.simplenews_newsletters','a:13:{s:4:\"uuid\";s:36:\"24d4baa7-7935-4c5c-8cc1-4aae6db3e210\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:35:\"field.storage.node.simplenews_issue\";}s:6:\"module\";a:3:{i:0;s:4:\"node\";i:1;s:10:\"simplenews\";i:2;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"HuVRq8jAJW0fd2D6rM4IFSjVVl0zaXy3GRZMHpgstik\";}s:2:\"id\";s:22:\"simplenews_newsletters\";s:5:\"label\";s:11:\"Newsletters\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:17:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:15:\"send newsletter\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:14:\"items_per_page\";i:10;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";N;s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:4:\"tags\";a:4:{s:8:\"previous\";s:12:\"‹ previous\";s:4:\"next\";s:8:\"next ›\";s:5:\"first\";s:8:\"« first\";s:4:\"last\";s:7:\"last »\";}s:8:\"quantity\";i:9;}}s:5:\"style\";a:1:{s:4:\"type\";s:5:\"table\";}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:6:\"fields\";a:7:{s:14:\"node_bulk_form\";a:26:{s:2:\"id\";s:14:\"node_bulk_form\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:14:\"node_bulk_form\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:25:\"Node operations bulk form\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:12:\"action_title\";s:14:\"With selection\";s:15:\"include_exclude\";s:7:\"include\";s:16:\"selected_actions\";a:2:{i:0;s:22:\"simplenews_send_action\";i:1;s:22:\"simplenews_stop_action\";}s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:14:\"node_bulk_form\";}s:5:\"title\";a:25:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:5:\"Issue\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:12:\"link_to_node\";b:1;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:9:\"plugin_id\";s:4:\"node\";}s:16:\"simplenews_issue\";a:35:{s:2:\"id\";s:16:\"simplenews_issue\";s:5:\"table\";s:22:\"node__simplenews_issue\";s:5:\"field\";s:16:\"simplenews_issue\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:10:\"Newsletter\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:22:\"entity_reference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:1;}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:6:\"status\";a:37:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:9:\"Published\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:7:\"boolean\";s:8:\"settings\";a:3:{s:6:\"format\";s:14:\"unicode-yes-no\";s:18:\"format_custom_true\";s:0:\"\";s:19:\"format_custom_false\";s:0:\"\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:5:\"field\";}s:7:\"created\";a:27:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:7:\"Updated\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"date_format\";s:5:\"short\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";}s:11:\"send_status\";a:23:{s:2:\"id\";s:11:\"send_status\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:11:\"send_status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:11:\"Send status\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:22:\"simplenews_send_status\";}s:10:\"operations\";a:24:{s:2:\"id\";s:10:\"operations\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:10:\"operations\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:16:\"Operations links\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"destination\";b:1;s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:17:\"entity_operations\";}}s:7:\"filters\";a:2:{s:26:\"simplenews_issue_target_id\";a:14:{s:2:\"id\";s:26:\"simplenews_issue_target_id\";s:5:\"table\";s:22:\"node__simplenews_issue\";s:5:\"field\";s:26:\"simplenews_issue_target_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:9:\"not empty\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:11:\"in_operator\";}s:28:\"simplenews_issue_target_id_1\";a:14:{s:2:\"id\";s:28:\"simplenews_issue_target_id_1\";s:5:\"table\";s:22:\"node__simplenews_issue\";s:5:\"field\";s:26:\"simplenews_issue_target_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:31:\"simplenews_issue_target_id_1_op\";s:5:\"label\";s:10:\"Newsletter\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:31:\"simplenews_issue_target_id_1_op\";s:10:\"identifier\";s:28:\"simplenews_issue_target_id_1\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:11:\"in_operator\";}}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";}}s:5:\"title\";s:11:\"Newsletters\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:1:{s:4:\"area\";a:10:{s:2:\"id\";s:4:\"area\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:4:\"area\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:1;s:8:\"tokenize\";b:0;s:7:\"content\";a:2:{s:5:\"value\";s:27:\"No newsletter issues found.\";s:6:\"format\";s:10:\"basic_html\";}s:9:\"plugin_id\";s:4:\"text\";}}s:13:\"relationships\";a:0:{}s:9:\"arguments\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:4:{s:8:\"contexts\";a:6:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:21:\"user.node_grants:view\";i:5;s:16:\"user.permissions\";}s:9:\"cacheable\";b:0;s:7:\"max-age\";i:0;s:4:\"tags\";a:1:{i:0;s:42:\"config:field.storage.node.simplenews_issue\";}}}s:6:\"page_1\";a:6:{s:14:\"display_plugin\";s:4:\"page\";s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:4:\"Page\";s:8:\"position\";i:1;s:15:\"display_options\";a:3:{s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:24:\"admin/content/simplenews\";s:4:\"menu\";a:7:{s:4:\"type\";s:3:\"tab\";s:5:\"title\";s:17:\"Newsletter issues\";s:11:\"description\";s:0:\"\";s:6:\"parent\";s:20:\"system.admin_content\";s:6:\"weight\";i:0;s:7:\"context\";s:1:\"0\";s:9:\"menu_name\";s:5:\"admin\";}}s:14:\"cache_metadata\";a:4:{s:8:\"contexts\";a:6:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:21:\"user.node_grants:view\";i:5;s:16:\"user.permissions\";}s:9:\"cacheable\";b:0;s:7:\"max-age\";i:0;s:4:\"tags\";a:1:{i:0;s:42:\"config:field.storage.node.simplenews_issue\";}}}}}'),('','views.view.simplenews_subscribers','a:13:{s:4:\"uuid\";s:36:\"3384fb9f-a6e9-49ba-b4b9-32124f9904a6\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:49:\"field.storage.simplenews_subscriber.subscriptions\";}s:6:\"module\";a:2:{i:0;s:10:\"simplenews\";i:1;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"c6m5U7h0PQWxcZ9jfbUnHAeaIU-V9Wyipt7BmEiv9rk\";}s:2:\"id\";s:22:\"simplenews_subscribers\";s:5:\"label\";s:11:\"Subscribers\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:10:\"base_table\";s:21:\"simplenews_subscriber\";s:10:\"base_field\";s:2:\"id\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:17:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:35:\"administer simplenews subscriptions\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:1;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:14:\"items_per_page\";i:30;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";N;s:4:\"tags\";a:4:{s:8:\"previous\";s:12:\"‹ previous\";s:4:\"next\";s:8:\"next ›\";s:5:\"first\";s:8:\"« first\";s:4:\"last\";s:7:\"last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:8:\"quantity\";i:9;}}s:5:\"style\";a:1:{s:4:\"type\";s:5:\"table\";}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:6:\"fields\";a:6:{s:4:\"mail\";a:24:{s:5:\"table\";s:21:\"simplenews_subscriber\";s:5:\"field\";s:4:\"mail\";s:2:\"id\";s:4:\"mail\";s:11:\"entity_type\";N;s:12:\"entity_field\";s:4:\"mail\";s:9:\"plugin_id\";s:8:\"standard\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:5:\"Email\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;}s:9:\"user_name\";a:23:{s:2:\"id\";s:9:\"user_name\";s:5:\"table\";s:21:\"simplenews_subscriber\";s:5:\"field\";s:9:\"user_name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:8:\"Username\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:9:\"plugin_id\";s:20:\"simplenews_user_name\";}s:13:\"subscriptions\";a:34:{s:2:\"id\";s:13:\"subscriptions\";s:5:\"table\";s:36:\"simplenews_subscriber__subscriptions\";s:5:\"field\";s:13:\"subscriptions\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:13:\"Subscriptions\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:30:\"simplenews_subscription_status\";s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:2:\"ul\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:6:\"status\";a:28:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:21:\"simplenews_subscriber\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:6:\"Active\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:7:\"boolean\";s:16:\"type_custom_true\";s:0:\"\";s:17:\"type_custom_false\";s:0:\"\";s:3:\"not\";b:0;s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";}s:7:\"created\";a:27:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:21:\"simplenews_subscriber\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:7:\"Created\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";N;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"date_format\";s:8:\"fallback\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";}s:10:\"operations\";a:24:{s:2:\"id\";s:10:\"operations\";s:5:\"table\";s:21:\"simplenews_subscriber\";s:5:\"field\";s:10:\"operations\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:10:\"Operations\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"destination\";b:1;s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:9:\"plugin_id\";s:17:\"entity_operations\";}}s:7:\"filters\";a:4:{s:4:\"mail\";a:16:{s:2:\"id\";s:4:\"mail\";s:5:\"table\";s:21:\"simplenews_subscriber\";s:5:\"field\";s:4:\"mail\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:8:\"contains\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:7:\"mail_op\";s:5:\"label\";s:5:\"Email\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:7:\"mail_op\";s:10:\"identifier\";s:4:\"mail\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:12:\"entity_field\";s:4:\"mail\";s:9:\"plugin_id\";s:6:\"string\";}s:23:\"subscriptions_target_id\";a:14:{s:2:\"id\";s:23:\"subscriptions_target_id\";s:5:\"table\";s:36:\"simplenews_subscriber__subscriptions\";s:5:\"field\";s:23:\"subscriptions_target_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:26:\"subscriptions_target_id_op\";s:5:\"label\";s:11:\"Newsletters\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:26:\"subscriptions_target_id_op\";s:10:\"identifier\";s:23:\"subscriptions_target_id\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:11:\"in_operator\";}s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:21:\"simplenews_subscriber\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:6:\"Active\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:9:\"status_op\";s:10:\"identifier\";s:6:\"status\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";}s:20:\"subscriptions_status\";a:14:{s:2:\"id\";s:20:\"subscriptions_status\";s:5:\"table\";s:36:\"simplenews_subscriber__subscriptions\";s:5:\"field\";s:20:\"subscriptions_status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{i:1;s:1:\"1\";}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:23:\"subscriptions_status_op\";s:5:\"label\";s:6:\"Status\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:23:\"subscriptions_status_op\";s:10:\"identifier\";s:20:\"subscriptions_status\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:11:\"in_operator\";}}s:5:\"sorts\";a:0:{}s:5:\"title\";s:11:\"Subscribers\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:1:{s:4:\"area\";a:10:{s:2:\"id\";s:4:\"area\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:4:\"area\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:1;s:8:\"tokenize\";b:0;s:7:\"content\";a:2:{s:5:\"value\";s:21:\"No subscribers found.\";s:6:\"format\";s:10:\"basic_html\";}s:9:\"plugin_id\";s:4:\"text\";}}s:13:\"relationships\";a:0:{}s:9:\"arguments\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:4:{s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:9:\"cacheable\";b:0;s:7:\"max-age\";i:-1;s:4:\"tags\";a:1:{i:0;s:56:\"config:field.storage.simplenews_subscriber.subscriptions\";}}}s:6:\"page_1\";a:6:{s:14:\"display_plugin\";s:4:\"page\";s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:4:\"Page\";s:8:\"position\";i:1;s:15:\"display_options\";a:3:{s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:23:\"admin/people/simplenews\";s:4:\"menu\";a:7:{s:4:\"type\";s:3:\"tab\";s:5:\"title\";s:11:\"Subscribers\";s:11:\"description\";s:0:\"\";s:6:\"parent\";s:16:\"user.admin_index\";s:6:\"weight\";i:11;s:7:\"context\";s:1:\"0\";s:9:\"menu_name\";s:5:\"admin\";}}s:14:\"cache_metadata\";a:4:{s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:9:\"cacheable\";b:0;s:7:\"max-age\";i:-1;s:4:\"tags\";a:1:{i:0;s:56:\"config:field.storage.simplenews_subscriber.subscriptions\";}}}}}'),('','views.view.slideshow','a:12:{s:4:\"uuid\";s:36:\"d2ef335f-402f-43cf-9509-2d4d3b576983\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:3:{i:0;s:34:\"field.storage.node.field_slideshow\";i:1;s:26:\"image.style.image_1920_845\";i:2;s:14:\"node.type.blog\";}s:6:\"module\";a:3:{i:0;s:5:\"image\";i:1;s:4:\"node\";i:2;s:4:\"user\";}}s:2:\"id\";s:9:\"slideshow\";s:5:\"label\";s:9:\"Slideshow\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:18:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:5;s:6:\"offset\";i:0;}}s:5:\"style\";a:1:{s:4:\"type\";s:7:\"default\";}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:6:\"fields\";a:1:{s:15:\"field_slideshow\";a:35:{s:2:\"id\";s:15:\"field_slideshow\";s:5:\"table\";s:21:\"node__field_slideshow\";s:5:\"field\";s:15:\"field_slideshow\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:9:\"target_id\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:14:\"image_1920_845\";s:10:\"image_link\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}}s:7:\"filters\";a:3:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:4:\"blog\";s:4:\"blog\";}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:25:\"field_slideshow_target_id\";a:14:{s:2:\"id\";s:25:\"field_slideshow_target_id\";s:5:\"table\";s:21:\"node__field_slideshow\";s:5:\"field\";s:25:\"field_slideshow_target_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:9:\"not empty\";s:5:\"value\";a:3:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:0:\"\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:15:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:11:\"placeholder\";s:0:\"\";s:15:\"min_placeholder\";s:0:\"\";s:15:\"max_placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:7:\"numeric\";}}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";}}s:5:\"title\";s:9:\"Slideshow\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:9:\"arguments\";a:0:{}s:17:\"display_extenders\";a:0:{}s:9:\"css_class\";s:9:\"slideshow\";}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:1:{i:0;s:41:\"config:field.storage.node.field_slideshow\";}}}s:7:\"block_1\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_1\";s:13:\"display_title\";s:5:\"Block\";s:8:\"position\";i:1;s:15:\"display_options\";a:1:{s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:1:{i:0;s:41:\"config:field.storage.node.field_slideshow\";}}}}}'),('','views.view.tags','a:12:{s:4:\"uuid\";s:36:\"c96e6168-8398-4987-8982-6245a1e68183\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:24:\"taxonomy.vocabulary.tags\";}s:6:\"module\";a:3:{i:0;s:4:\"node\";i:1;s:8:\"taxonomy\";i:2;s:4:\"user\";}}s:2:\"id\";s:4:\"tags\";s:5:\"label\";s:4:\"Tags\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:10:\"base_table\";s:24:\"taxonomy_term_field_data\";s:10:\"base_field\";s:3:\"tid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:19:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:10;s:6:\"offset\";i:0;}}s:5:\"style\";a:2:{s:4:\"type\";s:9:\"html_list\";s:7:\"options\";a:6:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:4:\"type\";s:2:\"ul\";s:13:\"wrapper_class\";s:9:\"item-list\";s:5:\"class\";s:0:\"\";}}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:6:\"fields\";a:2:{s:4:\"name\";a:38:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:24:\"taxonomy_term_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:14:\"convert_spaces\";b:0;s:11:\"entity_type\";s:13:\"taxonomy_term\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:9:\"term_name\";}s:6:\"name_1\";a:45:{s:2:\"id\";s:6:\"name_1\";s:5:\"table\";s:24:\"taxonomy_term_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"count\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:13:\"set_precision\";b:0;s:9:\"precision\";i:0;s:7:\"decimal\";s:1:\".\";s:9:\"separator\";s:1:\",\";s:13:\"format_plural\";i:0;s:20:\"format_plural_string\";s:8:\"1@count\";s:6:\"prefix\";s:1:\"(\";s:6:\"suffix\";s:1:\")\";s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:17:\"field_api_classes\";b:0;s:14:\"convert_spaces\";b:0;s:11:\"entity_type\";s:13:\"taxonomy_term\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:9:\"term_name\";}}s:7:\"filters\";a:3:{s:3:\"vid\";a:8:{s:2:\"id\";s:3:\"vid\";s:5:\"table\";s:24:\"taxonomy_term_field_data\";s:5:\"field\";s:3:\"vid\";s:5:\"value\";a:1:{s:4:\"tags\";s:4:\"tags\";}s:11:\"entity_type\";s:13:\"taxonomy_term\";s:12:\"entity_field\";s:3:\"vid\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:24:\"taxonomy_term_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:33:\"***LANGUAGE_language_interface***\";s:33:\"***LANGUAGE_language_interface***\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:13:\"taxonomy_term\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";}s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:24:\"taxonomy_term_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:13:\"taxonomy_term\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";}}s:5:\"sorts\";a:0:{}s:5:\"title\";s:4:\"Tags\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:1:{s:3:\"nid\";a:8:{s:2:\"id\";s:3:\"nid\";s:5:\"table\";s:14:\"taxonomy_index\";s:5:\"field\";s:3:\"nid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:4:\"node\";s:8:\"required\";b:1;s:9:\"plugin_id\";s:8:\"standard\";}}s:9:\"arguments\";a:0:{}s:17:\"display_extenders\";a:0:{}s:8:\"group_by\";b:1;s:9:\"css_class\";s:14:\"view-type-tags\";}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:3:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}s:7:\"block_1\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_1\";s:13:\"display_title\";s:4:\"Tags\";s:8:\"position\";i:1;s:15:\"display_options\";a:5:{s:17:\"display_extenders\";a:0:{}s:19:\"display_description\";s:0:\"\";s:6:\"fields\";a:0:{}s:5:\"sorts\";a:0:{}s:7:\"filters\";a:1:{s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:24:\"taxonomy_term_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:13:\"taxonomy_term\";s:12:\"entity_field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";}}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:3:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}}}'),('','views.view.taxonomy_term','a:13:{s:4:\"uuid\";s:36:\"30a13caa-0585-4851-ae29-98b5e3ba70c6\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:1:{i:0;s:23:\"field.storage.node.body\";}s:6:\"module\";a:4:{i:0;s:4:\"node\";i:1;s:8:\"taxonomy\";i:2;s:4:\"text\";i:3;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"YY-QIsPmXCITvYjAnlCzaqASCB1Telev3U0IKOztZkc\";}s:2:\"id\";s:13:\"taxonomy_term\";s:5:\"label\";s:13:\"Taxonomy term\";s:6:\"module\";s:8:\"taxonomy\";s:11:\"description\";s:45:\"Content belonging to a certain taxonomy term.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:3:{s:7:\"default\";a:6:{s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:14:\"display_plugin\";s:7:\"default\";s:8:\"position\";i:0;s:15:\"display_options\";a:18:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:13:\"query_comment\";s:0:\"\";s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:10:\"query_tags\";a:0:{}}}s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:6:{s:14:\"items_per_page\";i:10;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";i:0;s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:4:\"tags\";a:2:{s:8:\"previous\";s:6:\"‹‹\";s:4:\"next\";s:6:\"››\";}}}s:5:\"sorts\";a:2:{s:6:\"sticky\";a:10:{s:2:\"id\";s:6:\"sticky\";s:5:\"table\";s:14:\"taxonomy_index\";s:5:\"field\";s:6:\"sticky\";s:5:\"order\";s:4:\"DESC\";s:9:\"plugin_id\";s:8:\"standard\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}}s:7:\"created\";a:11:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:14:\"taxonomy_index\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";s:9:\"plugin_id\";s:4:\"date\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";}}s:9:\"arguments\";a:1:{s:3:\"tid\";a:23:{s:2:\"id\";s:3:\"tid\";s:5:\"table\";s:14:\"taxonomy_index\";s:5:\"field\";s:3:\"tid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:14:\"default_action\";s:9:\"not found\";s:9:\"exception\";a:3:{s:5:\"value\";s:0:\"\";s:12:\"title_enable\";b:0;s:5:\"title\";s:3:\"All\";}s:12:\"title_enable\";b:1;s:5:\"title\";s:19:\"{{ arguments.tid }}\";s:21:\"default_argument_type\";s:5:\"fixed\";s:24:\"default_argument_options\";a:1:{s:8:\"argument\";s:0:\"\";}s:25:\"default_argument_skip_url\";b:0;s:15:\"summary_options\";a:4:{s:9:\"base_path\";s:0:\"\";s:5:\"count\";b:1;s:14:\"items_per_page\";i:25;s:8:\"override\";b:0;}s:7:\"summary\";a:3:{s:10:\"sort_order\";s:3:\"asc\";s:17:\"number_of_records\";i:0;s:6:\"format\";s:15:\"default_summary\";}s:18:\"specify_validation\";b:1;s:8:\"validate\";a:2:{s:4:\"type\";s:20:\"entity:taxonomy_term\";s:4:\"fail\";s:9:\"not found\";}s:16:\"validate_options\";a:4:{s:6:\"access\";b:1;s:9:\"operation\";s:4:\"view\";s:8:\"multiple\";i:0;s:7:\"bundles\";a:0:{}}s:12:\"break_phrase\";b:0;s:9:\"add_table\";b:0;s:13:\"require_value\";b:0;s:17:\"reduce_duplicates\";b:0;s:9:\"plugin_id\";s:18:\"taxonomy_index_tid\";}}s:7:\"filters\";a:2:{s:6:\"status\";a:14:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:14:\"taxonomy_index\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:7:\"boolean\";}s:8:\"langcode\";a:16:{s:2:\"id\";s:8:\"langcode\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:8:\"langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:33:\"***LANGUAGE_language_interface***\";s:33:\"***LANGUAGE_language_interface***\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:8:\"langcode\";s:9:\"plugin_id\";s:8:\"language\";}}s:5:\"style\";a:2:{s:4:\"type\";s:4:\"grid\";s:7:\"options\";a:8:{s:8:\"grouping\";a:0:{}s:7:\"columns\";i:3;s:15:\"automatic_width\";b:1;s:9:\"alignment\";s:10:\"horizontal\";s:17:\"col_class_default\";b:1;s:16:\"col_class_custom\";s:0:\"\";s:17:\"row_class_default\";b:1;s:16:\"row_class_custom\";s:0:\"\";}}s:3:\"row\";a:2:{s:4:\"type\";s:6:\"fields\";s:7:\"options\";a:4:{s:22:\"default_field_elements\";b:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";b:0;}}s:6:\"header\";a:1:{s:20:\"entity_taxonomy_term\";a:12:{s:2:\"id\";s:20:\"entity_taxonomy_term\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:20:\"entity_taxonomy_term\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:1;s:8:\"tokenize\";b:1;s:6:\"target\";s:23:\"{{ raw_arguments.tid }}\";s:9:\"view_mode\";s:4:\"full\";s:13:\"bypass_access\";b:0;s:9:\"plugin_id\";s:6:\"entity\";}}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:6:\"fields\";a:4:{s:4:\"path\";a:25:{s:2:\"id\";s:4:\"path\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"absolute\";b:0;s:11:\"entity_type\";s:4:\"node\";s:9:\"plugin_id\";s:11:\"entity_link\";s:18:\"output_url_as_text\";b:1;}s:5:\"title\";a:37:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:5:\"title\";s:9:\"plugin_id\";s:5:\"field\";}s:4:\"body\";a:35:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:10:\"node__body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:200;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:7:\"nothing\";a:22:{s:2:\"id\";s:7:\"nothing\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"nothing\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:98:\"	<div class=\"views-field wp-views-field-view-node\">\n		<a href=\"{{ path }}\">Read more</a> 	\n	</div>\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:0;s:9:\"plugin_id\";s:6:\"custom\";}}s:17:\"display_extenders\";a:0:{}s:8:\"link_url\";s:0:\"\";s:12:\"link_display\";s:6:\"page_1\";}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:6:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:21:\"user.node_grants:view\";i:5;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:1:{i:0;s:30:\"config:field.storage.node.body\";}}}s:6:\"feed_1\";a:6:{s:2:\"id\";s:6:\"feed_1\";s:13:\"display_title\";s:4:\"Feed\";s:14:\"display_plugin\";s:4:\"feed\";s:8:\"position\";i:2;s:15:\"display_options\";a:7:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:10;s:6:\"offset\";i:0;}}s:4:\"path\";s:20:\"taxonomy/term/%/feed\";s:8:\"displays\";a:2:{s:6:\"page_1\";s:6:\"page_1\";s:7:\"default\";s:1:\"0\";}s:5:\"style\";a:2:{s:4:\"type\";s:3:\"rss\";s:7:\"options\";a:3:{s:11:\"description\";s:0:\"\";s:8:\"grouping\";a:0:{}s:11:\"uses_fields\";b:0;}}s:3:\"row\";a:2:{s:4:\"type\";s:8:\"node_rss\";s:7:\"options\";a:2:{s:12:\"relationship\";s:4:\"none\";s:9:\"view_mode\";s:7:\"default\";}}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:21:\"user.node_grants:view\";i:4;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:1:{i:0;s:30:\"config:field.storage.node.body\";}}}s:6:\"page_1\";a:6:{s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:4:\"Page\";s:14:\"display_plugin\";s:4:\"page\";s:8:\"position\";i:1;s:15:\"display_options\";a:3:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:15:\"taxonomy/term/%\";s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:6:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:21:\"user.node_grants:view\";i:5;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:1:{i:0;s:30:\"config:field.storage.node.body\";}}}}}'),('','views.view.user_admin_people','a:13:{s:4:\"uuid\";s:36:\"b252cf52-f026-4c75-b27e-04282bef7925\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"queuLjhKGUQ_b-lNh_TkhCvOPrVunfJopvVGOf3cjAo\";}s:2:\"id\";s:17:\"user_admin_people\";s:5:\"label\";s:6:\"People\";s:6:\"module\";s:4:\"user\";s:11:\"description\";s:50:\"Find and manage people interacting with your site.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:16:\"users_field_data\";s:10:\"base_field\";s:3:\"uid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:25:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:16:\"administer users\";}}s:5:\"cache\";a:1:{s:4:\"type\";s:3:\"tag\";}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:6:\"Filter\";s:12:\"reset_button\";b:1;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:14:\"items_per_page\";i:50;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";i:0;s:4:\"tags\";a:4:{s:8:\"previous\";s:12:\"‹ Previous\";s:4:\"next\";s:8:\"Next ›\";s:5:\"first\";s:8:\"« First\";s:4:\"last\";s:7:\"Last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:8:\"quantity\";i:9;}}s:5:\"style\";a:2:{s:4:\"type\";s:5:\"table\";s:7:\"options\";a:10:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:8:\"override\";b:1;s:6:\"sticky\";b:0;s:7:\"summary\";s:0:\"\";s:7:\"columns\";a:8:{s:14:\"user_bulk_form\";s:14:\"user_bulk_form\";s:4:\"name\";s:4:\"name\";s:6:\"status\";s:6:\"status\";s:3:\"rid\";s:3:\"rid\";s:7:\"created\";s:7:\"created\";s:6:\"access\";s:6:\"access\";s:9:\"edit_node\";s:9:\"edit_node\";s:10:\"dropbutton\";s:10:\"dropbutton\";}s:4:\"info\";a:8:{s:14:\"user_bulk_form\";a:4:{s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:4:\"name\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:6:\"status\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:3:\"rid\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:7:\"created\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:6:\"access\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:9:\"edit_node\";a:4:{s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:10:\"dropbutton\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}}s:7:\"default\";s:7:\"created\";s:11:\"empty_table\";b:1;}}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:6:\"fields\";a:8:{s:14:\"user_bulk_form\";a:23:{s:2:\"id\";s:14:\"user_bulk_form\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:14:\"user_bulk_form\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:11:\"Bulk update\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:9:\"plugin_id\";s:14:\"user_bulk_form\";s:11:\"entity_type\";s:4:\"user\";}s:4:\"name\";a:25:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:8:\"Username\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:9:\"plugin_id\";s:5:\"field\";s:4:\"type\";s:9:\"user_name\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"name\";}s:6:\"status\";a:26:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:6:\"Status\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:9:\"plugin_id\";s:5:\"field\";s:4:\"type\";s:7:\"boolean\";s:8:\"settings\";a:3:{s:6:\"format\";s:6:\"custom\";s:18:\"format_custom_true\";s:6:\"Active\";s:19:\"format_custom_false\";s:7:\"Blocked\";}s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:6:\"status\";}s:15:\"roles_target_id\";a:24:{s:2:\"id\";s:15:\"roles_target_id\";s:5:\"table\";s:11:\"user__roles\";s:5:\"field\";s:15:\"roles_target_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:5:\"Roles\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:2:\"ul\";s:9:\"separator\";s:2:\", \";s:9:\"plugin_id\";s:10:\"user_roles\";}s:7:\"created\";a:26:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:10:\"Member for\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:13:\"timestamp_ago\";s:8:\"settings\";a:3:{s:13:\"future_format\";s:9:\"@interval\";s:11:\"past_format\";s:9:\"@interval\";s:11:\"granularity\";i:2;}s:9:\"plugin_id\";s:5:\"field\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:7:\"created\";}s:6:\"access\";a:26:{s:2:\"id\";s:6:\"access\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:6:\"access\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:11:\"Last access\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:4:\"type\";s:13:\"timestamp_ago\";s:8:\"settings\";a:3:{s:13:\"future_format\";s:15:\"@interval hence\";s:11:\"past_format\";s:13:\"@interval ago\";s:11:\"granularity\";i:2;}s:9:\"plugin_id\";s:5:\"field\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:6:\"access\";}s:10:\"operations\";a:24:{s:2:\"id\";s:10:\"operations\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:10:\"operations\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:10:\"Operations\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"destination\";b:1;s:11:\"entity_type\";s:4:\"user\";s:9:\"plugin_id\";s:17:\"entity_operations\";}s:4:\"mail\";a:37:{s:2:\"id\";s:4:\"mail\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"mail\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"basic_string\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"mail\";}}s:7:\"filters\";a:6:{s:7:\"combine\";a:15:{s:2:\"id\";s:7:\"combine\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"combine\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:8:\"contains\";s:5:\"value\";s:0:\"\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:10:\"combine_op\";s:5:\"label\";s:22:\"Name or email contains\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:10:\"combine_op\";s:10:\"identifier\";s:4:\"user\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:6:\"fields\";a:2:{s:4:\"name\";s:4:\"name\";s:4:\"mail\";s:4:\"mail\";}s:9:\"plugin_id\";s:7:\"combine\";}s:15:\"roles_target_id\";a:15:{s:2:\"id\";s:15:\"roles_target_id\";s:5:\"table\";s:11:\"user__roles\";s:5:\"field\";s:15:\"roles_target_id\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:18:\"roles_target_id_op\";s:5:\"label\";s:4:\"Role\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:18:\"roles_target_id_op\";s:10:\"identifier\";s:4:\"role\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";b:0;s:9:\"plugin_id\";s:10:\"user_roles\";}s:10:\"permission\";a:15:{s:2:\"id\";s:10:\"permission\";s:5:\"table\";s:11:\"user__roles\";s:5:\"field\";s:10:\"permission\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:13:\"permission_op\";s:5:\"label\";s:10:\"Permission\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:13:\"permission_op\";s:10:\"identifier\";s:10:\"permission\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";b:0;s:9:\"plugin_id\";s:16:\"user_permissions\";}s:6:\"status\";a:16:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:6:\"status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:9:\"status_op\";s:10:\"identifier\";s:6:\"status\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:1;s:10:\"group_info\";a:10:{s:5:\"label\";s:6:\"Status\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:6:\"status\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:2:{i:1;a:3:{s:5:\"title\";s:6:\"Active\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";}i:2;a:3:{s:5:\"title\";s:7:\"Blocked\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"0\";}}}s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:6:\"status\";}s:16:\"default_langcode\";a:16:{s:2:\"id\";s:16:\"default_langcode\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:16:\"default_langcode\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:16:\"default_langcode\";s:9:\"plugin_id\";s:7:\"boolean\";}s:7:\"uid_raw\";a:15:{s:2:\"id\";s:7:\"uid_raw\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:7:\"uid_raw\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"!=\";s:5:\"value\";a:3:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:1:\"0\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:15:{s:11:\"operator_id\";s:1:\"0\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:11:\"placeholder\";s:0:\"\";s:15:\"min_placeholder\";s:0:\"\";s:15:\"max_placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:7:\"numeric\";s:11:\"entity_type\";s:4:\"user\";}}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"order\";s:4:\"DESC\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";s:9:\"plugin_id\";s:4:\"date\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:7:\"created\";}}s:5:\"title\";s:6:\"People\";s:5:\"empty\";a:1:{s:16:\"area_text_custom\";a:10:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:1;s:8:\"tokenize\";b:0;s:7:\"content\";s:20:\"No people available.\";s:9:\"plugin_id\";s:11:\"text_custom\";}}s:8:\"use_more\";b:0;s:15:\"use_more_always\";b:0;s:13:\"use_more_text\";s:4:\"more\";s:15:\"display_comment\";s:0:\"\";s:8:\"use_ajax\";b:0;s:23:\"hide_attachment_summary\";b:0;s:16:\"show_admin_links\";b:1;s:8:\"group_by\";b:0;s:8:\"link_url\";s:0:\"\";s:12:\"link_display\";s:6:\"page_1\";s:9:\"css_class\";s:0:\"\";s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:7:\"max-age\";i:0;s:4:\"tags\";a:0:{}}}s:6:\"page_1\";a:6:{s:14:\"display_plugin\";s:4:\"page\";s:2:\"id\";s:6:\"page_1\";s:13:\"display_title\";s:4:\"Page\";s:8:\"position\";i:1;s:15:\"display_options\";a:6:{s:4:\"path\";s:17:\"admin/people/list\";s:16:\"show_admin_links\";b:0;s:4:\"menu\";a:6:{s:4:\"type\";s:11:\"default tab\";s:5:\"title\";s:4:\"List\";s:11:\"description\";s:50:\"Find and manage people interacting with your site.\";s:9:\"menu_name\";s:5:\"admin\";s:6:\"weight\";i:-10;s:7:\"context\";s:0:\"\";}s:11:\"tab_options\";a:5:{s:4:\"type\";s:6:\"normal\";s:5:\"title\";s:6:\"People\";s:11:\"description\";s:45:\"Manage user accounts, roles, and permissions.\";s:9:\"menu_name\";s:5:\"admin\";s:6:\"weight\";i:0;}s:8:\"defaults\";a:1:{s:16:\"show_admin_links\";b:0;}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:7:\"max-age\";i:0;s:4:\"tags\";a:0:{}}}}}'),('','views.view.user_page_banner','a:12:{s:4:\"uuid\";s:36:\"1fbd0a5c-be0f-4461-88e5-486f97429775\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:2:\"id\";s:16:\"user_page_banner\";s:5:\"label\";s:16:\"User Page Banner\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:10:\"base_table\";s:16:\"users_field_data\";s:10:\"base_field\";s:3:\"uid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:17:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:20:\"access user profiles\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:5;s:6:\"offset\";i:0;}}s:5:\"style\";a:1:{s:4:\"type\";s:7:\"default\";}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:6:\"fields\";a:1:{s:4:\"name\";a:37:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"name\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"name\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";b:0;s:9:\"make_link\";b:0;s:8:\"absolute\";b:0;s:4:\"trim\";b:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:10:\"strip_tags\";b:0;s:4:\"html\";b:0;}s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:9:\"plugin_id\";s:5:\"field\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exclude\";b:0;s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"user_name\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;}}s:7:\"filters\";a:1:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}}s:5:\"sorts\";a:0:{}s:5:\"title\";s:16:\"User Page Banner\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:9:\"arguments\";a:1:{s:3:\"uid\";a:23:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:3:\"uid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:14:\"default_action\";s:7:\"default\";s:9:\"exception\";a:3:{s:5:\"value\";s:3:\"all\";s:12:\"title_enable\";b:0;s:5:\"title\";s:3:\"All\";}s:12:\"title_enable\";b:0;s:5:\"title\";s:0:\"\";s:21:\"default_argument_type\";s:12:\"current_user\";s:24:\"default_argument_options\";a:0:{}s:25:\"default_argument_skip_url\";b:0;s:15:\"summary_options\";a:4:{s:9:\"base_path\";s:0:\"\";s:5:\"count\";b:1;s:14:\"items_per_page\";i:25;s:8:\"override\";b:0;}s:7:\"summary\";a:3:{s:10:\"sort_order\";s:3:\"asc\";s:17:\"number_of_records\";i:0;s:6:\"format\";s:15:\"default_summary\";}s:18:\"specify_validation\";b:0;s:8:\"validate\";a:2:{s:4:\"type\";s:4:\"none\";s:4:\"fail\";s:9:\"not found\";}s:16:\"validate_options\";a:0:{}s:12:\"break_phrase\";b:0;s:3:\"not\";b:0;s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:3:\"uid\";s:9:\"plugin_id\";s:8:\"user_uid\";}}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:4:\"user\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}s:7:\"block_1\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_1\";s:13:\"display_title\";s:5:\"Block\";s:8:\"position\";i:1;s:15:\"display_options\";a:1:{s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:4:\"user\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}}}'),('','views.view.watchdog','a:12:{s:4:\"uuid\";s:36:\"fead2258-6a23-4deb-aa9c-fd4e75a5b8ba\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:5:\"dblog\";i:1;s:4:\"user\";}}s:2:\"id\";s:8:\"watchdog\";s:5:\"label\";s:8:\"Watchdog\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:19:\"Recent log messages\";s:3:\"tag\";s:0:\"\";s:10:\"base_table\";s:8:\"watchdog\";s:10:\"base_field\";s:3:\"wid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:19:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:19:\"access site reports\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:6:\"Filter\";s:12:\"reset_button\";b:1;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:0;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"mini\";s:7:\"options\";a:6:{s:14:\"items_per_page\";i:50;s:6:\"offset\";i:0;s:2:\"id\";i:0;s:11:\"total_pages\";N;s:6:\"expose\";a:7:{s:14:\"items_per_page\";b:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:13:\"5, 10, 25, 50\";s:26:\"items_per_page_options_all\";b:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";b:0;s:12:\"offset_label\";s:6:\"Offset\";}s:4:\"tags\";a:2:{s:8:\"previous\";s:6:\"‹‹\";s:4:\"next\";s:6:\"››\";}}}s:5:\"style\";a:2:{s:4:\"type\";s:5:\"table\";s:7:\"options\";a:12:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:25:\"{{ type }} {{ severity }}\";s:17:\"default_row_class\";b:1;s:8:\"override\";b:1;s:6:\"sticky\";b:0;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";s:11:\"description\";s:0:\"\";s:7:\"columns\";a:8:{s:7:\"nothing\";s:7:\"nothing\";s:3:\"wid\";s:3:\"wid\";s:8:\"severity\";s:8:\"severity\";s:4:\"type\";s:4:\"type\";s:9:\"timestamp\";s:9:\"timestamp\";s:7:\"message\";s:7:\"message\";s:4:\"name\";s:4:\"name\";s:4:\"link\";s:4:\"link\";}s:4:\"info\";a:8:{s:7:\"nothing\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:15:\"priority-medium\";}s:3:\"wid\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:8:\"severity\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:4:\"type\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:15:\"priority-medium\";}s:9:\"timestamp\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:4:\"desc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}s:7:\"message\";a:6:{s:8:\"sortable\";b:0;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:0:\"\";}s:4:\"name\";a:6:{s:8:\"sortable\";b:1;s:18:\"default_sort_order\";s:3:\"asc\";s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:15:\"priority-medium\";}s:4:\"link\";a:4:{s:5:\"align\";s:0:\"\";s:9:\"separator\";s:0:\"\";s:12:\"empty_column\";b:0;s:10:\"responsive\";s:12:\"priority-low\";}}s:7:\"default\";s:3:\"wid\";s:11:\"empty_table\";b:0;}}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:6:\"fields\";a:8:{s:7:\"nothing\";a:22:{s:2:\"id\";s:7:\"nothing\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"nothing\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:4:\"Icon\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:4:\"icon\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:0;s:9:\"plugin_id\";s:6:\"custom\";}s:3:\"wid\";a:22:{s:2:\"id\";s:3:\"wid\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:3:\"wid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:3:\"WID\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:9:\"plugin_id\";s:8:\"standard\";}s:8:\"severity\";a:23:{s:2:\"id\";s:8:\"severity\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:8:\"severity\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:8:\"Severity\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:12:\"machine_name\";b:0;s:9:\"plugin_id\";s:12:\"machine_name\";}s:4:\"type\";a:22:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:4:\"Type\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:9:\"plugin_id\";s:8:\"standard\";}s:9:\"timestamp\";a:25:{s:2:\"id\";s:9:\"timestamp\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:9:\"timestamp\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:4:\"Date\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:11:\"date_format\";s:5:\"short\";s:18:\"custom_date_format\";s:0:\"\";s:8:\"timezone\";s:0:\"\";s:9:\"plugin_id\";s:4:\"date\";}s:7:\"message\";a:23:{s:2:\"id\";s:7:\"message\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:7:\"message\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:7:\"Message\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:1;s:4:\"path\";s:35:\"admin/reports/dblog/event/{{ wid }}\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:13:\"{{ message }}\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:56;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:1;s:4:\"trim\";b:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"replace_variables\";b:1;s:9:\"plugin_id\";s:13:\"dblog_message\";}s:4:\"name\";a:37:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:3:\"uid\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:4:\"User\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:9:\"user_name\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"name\";s:9:\"plugin_id\";s:5:\"field\";}s:4:\"link\";a:22:{s:2:\"id\";s:4:\"link\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:4:\"link\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:10:\"Operations\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:9:\"plugin_id\";s:16:\"dblog_operations\";}}s:7:\"filters\";a:2:{s:4:\"type\";a:14:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:7:\"type_op\";s:5:\"label\";s:4:\"Type\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:7:\"type_op\";s:10:\"identifier\";s:4:\"type\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:1;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:11:\"dblog_types\";}s:8:\"severity\";a:14:{s:2:\"id\";s:8:\"severity\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:8:\"severity\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:11:\"severity_op\";s:5:\"label\";s:8:\"Severity\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:11:\"severity_op\";s:10:\"identifier\";s:8:\"severity\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:1;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:11:\"in_operator\";}}s:5:\"sorts\";a:1:{s:3:\"wid\";a:10:{s:2:\"id\";s:3:\"wid\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:3:\"wid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"order\";s:4:\"DESC\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:9:\"plugin_id\";s:8:\"standard\";}}s:5:\"title\";s:19:\"Recent log messages\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:1:{s:4:\"area\";a:10:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:26:\"No log messages available.\";s:5:\"empty\";b:1;s:8:\"tokenize\";b:0;s:7:\"content\";s:26:\"No log messages available.\";s:9:\"plugin_id\";s:11:\"text_custom\";}}s:13:\"relationships\";a:1:{s:3:\"uid\";a:8:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:8:\"watchdog\";s:5:\"field\";s:3:\"uid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:4:\"User\";s:8:\"required\";b:0;s:9:\"plugin_id\";s:8:\"standard\";}}s:9:\"arguments\";a:0:{}s:17:\"display_extenders\";a:0:{}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:9:\"css_class\";s:11:\"admin-dblog\";}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}s:4:\"page\";a:6:{s:14:\"display_plugin\";s:4:\"page\";s:2:\"id\";s:4:\"page\";s:13:\"display_title\";s:4:\"Page\";s:8:\"position\";i:1;s:15:\"display_options\";a:2:{s:17:\"display_extenders\";a:0:{}s:4:\"path\";s:19:\"admin/reports/dblog\";}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:5:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:3:\"url\";i:3;s:14:\"url.query_args\";i:4;s:16:\"user.permissions\";}s:4:\"tags\";a:0:{}}}}}'),('','views.view.who_s_new','a:13:{s:4:\"uuid\";s:36:\"c93f19dd-25ca-48f0-bc01-38933cdeae88\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"B2M6BoNVm-hHVnH2ILCpbhCZV71T6zLNs8Ag5QH-oNE\";}s:2:\"id\";s:9:\"who_s_new\";s:5:\"label\";s:9:\"Who\'s new\";s:6:\"module\";s:4:\"user\";s:11:\"description\";s:53:\"Shows a list of the newest user accounts on the site.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:16:\"users_field_data\";s:10:\"base_field\";s:3:\"uid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:17:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:5;s:6:\"offset\";i:0;}}s:5:\"style\";a:1:{s:4:\"type\";s:9:\"html_list\";}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:6:\"fields\";a:1:{s:4:\"name\";a:25:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"name\";s:5:\"label\";s:0:\"\";s:9:\"plugin_id\";s:5:\"field\";s:4:\"type\";s:9:\"user_name\";s:5:\"alter\";a:8:{s:10:\"alter_text\";b:0;s:9:\"make_link\";b:0;s:8:\"absolute\";b:0;s:4:\"trim\";b:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:10:\"strip_tags\";b:0;s:4:\"html\";b:0;}s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exclude\";b:0;s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:16:\"hide_alter_empty\";b:1;s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"name\";}}s:7:\"filters\";a:2:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:1:\"0\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:6:\"status\";}s:6:\"access\";a:16:{s:2:\"id\";s:6:\"access\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:6:\"access\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:1:\">\";s:5:\"value\";a:4:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:10:\"1970-01-01\";s:4:\"type\";s:4:\"date\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:15:{s:11:\"operator_id\";s:1:\"0\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:11:\"placeholder\";s:0:\"\";s:15:\"min_placeholder\";s:0:\"\";s:15:\"max_placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:4:\"date\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:6:\"access\";}}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"order\";s:4:\"DESC\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";s:9:\"plugin_id\";s:4:\"date\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:7:\"created\";}}s:5:\"title\";s:9:\"Who\'s new\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:9:\"arguments\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:3:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}s:7:\"block_1\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_1\";s:13:\"display_title\";s:9:\"Who\'s new\";s:8:\"position\";i:1;s:15:\"display_options\";a:4:{s:19:\"display_description\";s:19:\"A list of new users\";s:17:\"block_description\";s:9:\"Who\'s new\";s:14:\"block_category\";s:4:\"User\";s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:3:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}}}'),('','views.view.who_s_online','a:13:{s:4:\"uuid\";s:36:\"103d19fc-13a8-4331-af03-ca768b4a35cc\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"user\";}}s:5:\"_core\";a:1:{s:19:\"default_config_hash\";s:43:\"DWLCIpl8ku4NbiI9t3GgDeuW13KSOy2l1zho7ReP_Bg\";}s:2:\"id\";s:12:\"who_s_online\";s:5:\"label\";s:18:\"Who\'s online block\";s:6:\"module\";s:4:\"user\";s:11:\"description\";s:93:\"Shows the user names of the most recently active users, and the total number of active users.\";s:3:\"tag\";s:7:\"default\";s:10:\"base_table\";s:16:\"users_field_data\";s:10:\"base_field\";s:3:\"uid\";s:7:\"display\";a:2:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:17:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:20:\"access user profiles\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:10;s:6:\"offset\";i:0;}}s:5:\"style\";a:2:{s:4:\"type\";s:9:\"html_list\";s:7:\"options\";a:6:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";b:1;s:4:\"type\";s:2:\"ul\";s:13:\"wrapper_class\";s:9:\"item-list\";s:5:\"class\";s:0:\"\";}}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:6:\"fields\";a:1:{s:4:\"name\";a:25:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:4:\"name\";s:5:\"label\";s:0:\"\";s:9:\"plugin_id\";s:5:\"field\";s:4:\"type\";s:9:\"user_name\";s:5:\"alter\";a:8:{s:10:\"alter_text\";b:0;s:9:\"make_link\";b:0;s:8:\"absolute\";b:0;s:4:\"trim\";b:0;s:13:\"word_boundary\";b:0;s:8:\"ellipsis\";b:0;s:10:\"strip_tags\";b:0;s:4:\"html\";b:0;}s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exclude\";b:0;s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:16:\"hide_alter_empty\";b:1;s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:4:\"name\";}}s:7:\"filters\";a:2:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:1:\"0\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:6:\"status\";}s:6:\"access\";a:16:{s:2:\"id\";s:6:\"access\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:6:\"access\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\">=\";s:5:\"value\";a:4:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:11:\"-15 minutes\";s:4:\"type\";s:6:\"offset\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:15:{s:11:\"operator_id\";s:9:\"access_op\";s:5:\"label\";s:11:\"Last access\";s:11:\"description\";s:77:\"A user is considered online for this long after they have last viewed a page.\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:9:\"access_op\";s:10:\"identifier\";s:6:\"access\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:3:{s:13:\"authenticated\";s:13:\"authenticated\";s:9:\"anonymous\";s:1:\"0\";s:13:\"administrator\";s:1:\"0\";}s:11:\"placeholder\";s:0:\"\";s:15:\"min_placeholder\";s:0:\"\";s:15:\"max_placeholder\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:9:\"plugin_id\";s:4:\"date\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:6:\"access\";}}s:5:\"sorts\";a:1:{s:6:\"access\";a:13:{s:2:\"id\";s:6:\"access\";s:5:\"table\";s:16:\"users_field_data\";s:5:\"field\";s:6:\"access\";s:5:\"order\";s:4:\"DESC\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";s:9:\"plugin_id\";s:4:\"date\";s:11:\"entity_type\";s:4:\"user\";s:12:\"entity_field\";s:6:\"access\";}}s:5:\"title\";s:12:\"Who\'s online\";s:6:\"header\";a:1:{s:6:\"result\";a:9:{s:2:\"id\";s:6:\"result\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:6:\"result\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:0;s:7:\"content\";s:40:\"There are currently @total users online.\";s:9:\"plugin_id\";s:6:\"result\";}}s:6:\"footer\";a:0:{}s:5:\"empty\";a:1:{s:16:\"area_text_custom\";a:10:{s:2:\"id\";s:16:\"area_text_custom\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:16:\"area_text_custom\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"empty\";b:1;s:8:\"tokenize\";b:0;s:7:\"content\";s:35:\"There are currently 0 users online.\";s:9:\"plugin_id\";s:11:\"text_custom\";}}s:13:\"relationships\";a:0:{}s:9:\"arguments\";a:0:{}s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:3:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}s:18:\"who_s_online_block\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:18:\"who_s_online_block\";s:13:\"display_title\";s:12:\"Who\'s online\";s:8:\"position\";i:1;s:15:\"display_options\";a:3:{s:17:\"block_description\";s:12:\"Who\'s online\";s:19:\"display_description\";s:45:\"A list of users that are currently logged in.\";s:17:\"display_extenders\";a:0:{}}s:14:\"cache_metadata\";a:3:{s:8:\"contexts\";a:3:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:16:\"user.permissions\";}s:7:\"max-age\";i:-1;s:4:\"tags\";a:0:{}}}}}'),('','views.view.why_choose_us','a:12:{s:4:\"uuid\";s:36:\"bc828e13-4376-4661-bcf6-6da499621a1f\";s:8:\"langcode\";s:2:\"en\";s:6:\"status\";b:1;s:12:\"dependencies\";a:2:{s:6:\"config\";a:2:{i:0;s:23:\"field.storage.node.body\";i:1;s:16:\"node.type.why_us\";}s:6:\"module\";a:4:{i:0;s:4:\"node\";i:1;s:7:\"options\";i:2;s:4:\"text\";i:3;s:4:\"user\";}}s:2:\"id\";s:13:\"why_choose_us\";s:5:\"label\";s:13:\"Why choose us\";s:6:\"module\";s:5:\"views\";s:11:\"description\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:10:\"base_table\";s:15:\"node_field_data\";s:10:\"base_field\";s:3:\"nid\";s:7:\"display\";a:3:{s:7:\"default\";a:6:{s:14:\"display_plugin\";s:7:\"default\";s:2:\"id\";s:7:\"default\";s:13:\"display_title\";s:6:\"Master\";s:8:\"position\";i:0;s:15:\"display_options\";a:18:{s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:7:\"options\";a:1:{s:4:\"perm\";s:14:\"access content\";}}s:5:\"cache\";a:2:{s:4:\"type\";s:3:\"tag\";s:7:\"options\";a:0:{}}s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:5:{s:19:\"disable_sql_rewrite\";b:0;s:8:\"distinct\";b:0;s:7:\"replica\";b:0;s:13:\"query_comment\";s:0:\"\";s:10:\"query_tags\";a:0:{}}}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:5:\"basic\";s:7:\"options\";a:7:{s:13:\"submit_button\";s:5:\"Apply\";s:12:\"reset_button\";b:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";b:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";i:5;s:6:\"offset\";i:0;}}s:5:\"style\";a:1:{s:4:\"type\";s:7:\"default\";}s:3:\"row\";a:1:{s:4:\"type\";s:6:\"fields\";}s:6:\"fields\";a:3:{s:7:\"counter\";a:23:{s:2:\"id\";s:7:\"counter\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"counter\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:13:\"counter_start\";i:0;s:9:\"plugin_id\";s:7:\"counter\";}s:5:\"title\";a:35:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:1;s:4:\"path\";s:20:\"#whyus-{{ counter }}\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:9:\"collapsed\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:2:\"h4\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:4:\"body\";a:35:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:10:\"node__body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}}s:7:\"filters\";a:3:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:6:\"why_us\";s:6:\"why_us\";}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:23:\"field_why_us_type_value\";a:15:{s:2:\"id\";s:23:\"field_why_us_type_value\";s:5:\"table\";s:23:\"node__field_why_us_type\";s:5:\"field\";s:23:\"field_why_us_type_value\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:1:{i:2;s:1:\"2\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";b:0;s:9:\"plugin_id\";s:10:\"list_field\";}}s:5:\"sorts\";a:1:{s:7:\"created\";a:13:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:7:\"created\";s:9:\"plugin_id\";s:4:\"date\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";}}s:5:\"title\";s:13:\"Why choose us\";s:6:\"header\";a:0:{}s:6:\"footer\";a:0:{}s:5:\"empty\";a:0:{}s:13:\"relationships\";a:0:{}s:9:\"arguments\";a:0:{}s:17:\"display_extenders\";a:0:{}s:9:\"css_class\";s:12:\"why-us-block\";}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:1:{i:0;s:30:\"config:field.storage.node.body\";}}}s:7:\"block_1\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_1\";s:13:\"display_title\";s:13:\"Why choose us\";s:8:\"position\";i:1;s:15:\"display_options\";a:5:{s:17:\"display_extenders\";a:0:{}s:19:\"display_description\";s:0:\"\";s:7:\"filters\";a:3:{s:6:\"status\";a:9:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:6:\"status\";s:9:\"plugin_id\";s:7:\"boolean\";s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:3:{s:8:\"operator\";s:0:\"\";s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:5:\"group\";i:1;}s:4:\"type\";a:8:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:6:\"why_us\";s:6:\"why_us\";}s:11:\"entity_type\";s:4:\"node\";s:12:\"entity_field\";s:4:\"type\";s:9:\"plugin_id\";s:6:\"bundle\";s:6:\"expose\";a:2:{s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}}s:23:\"field_why_us_type_value\";a:15:{s:2:\"id\";s:23:\"field_why_us_type_value\";s:5:\"table\";s:23:\"node__field_why_us_type\";s:5:\"field\";s:23:\"field_why_us_type_value\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:1:{i:1;s:1:\"1\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:13:{s:11:\"operator_id\";s:0:\"\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{s:13:\"authenticated\";s:13:\"authenticated\";}s:6:\"reduce\";b:0;s:24:\"operator_limit_selection\";b:0;s:13:\"operator_list\";a:0:{}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";b:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";b:0;s:9:\"plugin_id\";s:10:\"list_field\";}}s:8:\"defaults\";a:2:{s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:1:{i:0;s:30:\"config:field.storage.node.body\";}}}s:7:\"block_2\";a:6:{s:14:\"display_plugin\";s:5:\"block\";s:2:\"id\";s:7:\"block_2\";s:13:\"display_title\";s:20:\"OUR AMAZING FEATURES\";s:8:\"position\";i:1;s:15:\"display_options\";a:5:{s:17:\"display_extenders\";a:0:{}s:19:\"display_description\";s:0:\"\";s:5:\"title\";s:20:\"Our amazing features\";s:8:\"defaults\";a:2:{s:5:\"title\";b:0;s:6:\"fields\";b:0;}s:6:\"fields\";a:3:{s:7:\"counter\";a:23:{s:2:\"id\";s:7:\"counter\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"counter\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:13:\"counter_start\";i:0;s:9:\"plugin_id\";s:7:\"counter\";}s:5:\"title\";a:35:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:15:\"node_field_data\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:1;s:4:\"path\";s:20:\"#whyus-{{ counter }}\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:9:\"collapsed\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:2:\"h4\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:6:\"string\";s:8:\"settings\";a:1:{s:14:\"link_to_entity\";b:0;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}s:4:\"body\";a:35:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:10:\"node__body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:11:\"admin_label\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:0;s:4:\"text\";s:44:\"{{ body }}\n<div class=\"ad-arrow\">Arrow</div>\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";b:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";b:0;s:10:\"max_length\";i:0;s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";b:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";i:0;s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";b:0;s:9:\"plugin_id\";s:5:\"field\";}}}s:14:\"cache_metadata\";a:3:{s:7:\"max-age\";i:-1;s:8:\"contexts\";a:4:{i:0;s:26:\"languages:language_content\";i:1;s:28:\"languages:language_interface\";i:2;s:21:\"user.node_grants:view\";i:3;s:16:\"user.permissions\";}s:4:\"tags\";a:1:{i:0;s:30:\"config:field.storage.node.body\";}}}}}'),('language.ar','block.block.bartik_content','a:1:{s:8:\"settings\";a:1:{s:5:\"label\";s:40:\"محتوى الصفحة الرئيسية\";}}'),('language.ar','block.block.bartik_help','a:1:{s:8:\"settings\";a:1:{s:5:\"label\";s:16:\"المساعدة\";}}'),('language.ar','block.block.bartik_page_title','a:1:{s:8:\"settings\";a:1:{s:5:\"label\";s:23:\"عنوان الصفحة\";}}'),('language.ar','block.block.bartik_powered','a:1:{s:8:\"settings\";a:1:{s:5:\"label\";s:25:\"يستخدم دروبال\";}}'),('language.ar','block.block.bartik_search','a:1:{s:8:\"settings\";a:1:{s:5:\"label\";s:6:\"بحث\";}}'),('language.ar','block.block.bartik_tools','a:1:{s:8:\"settings\";a:1:{s:5:\"label\";s:14:\"الأدوات\";}}'),('language.ar','block.block.seven_content','a:1:{s:8:\"settings\";a:1:{s:5:\"label\";s:40:\"محتوى الصفحة الرئيسية\";}}'),('language.ar','block.block.seven_help','a:1:{s:8:\"settings\";a:1:{s:5:\"label\";s:16:\"المساعدة\";}}'),('language.ar','block.block.seven_login','a:1:{s:8:\"settings\";a:1:{s:5:\"label\";s:25:\"دخول المستخدم\";}}'),('language.ar','block.block.seven_page_title','a:1:{s:8:\"settings\";a:1:{s:5:\"label\";s:23:\"عنوان الصفحة\";}}'),('language.ar','block.block.seven_primary_local_tasks','a:1:{s:8:\"settings\";a:1:{s:5:\"label\";s:35:\"التبويبات الأساسية\";}}'),('language.ar','block.block.seven_secondary_local_tasks','a:1:{s:8:\"settings\";a:1:{s:5:\"label\";s:33:\"التبويبات الفرعية\";}}'),('language.ar','colorbox.settings','a:1:{s:6:\"custom\";a:1:{s:10:\"text_close\";s:10:\"إغلاق\";}}'),('language.ar','contact.form.feedback','a:1:{s:7:\"message\";s:26:\"أُرسلت رسالتك.\";}'),('language.ar','contact.form.personal','a:2:{s:5:\"label\";s:44:\"استمارة الاتصال الشخصية\";s:7:\"message\";s:26:\"أُرسلت رسالتك.\";}'),('language.ar','core.base_field_override.node.page.promote','a:2:{s:5:\"label\";s:47:\"مرقّى إلى الصفحة الرئيسية\";s:8:\"settings\";a:1:{s:8:\"on_label\";s:4:\"في\";}}'),('language.ar','core.entity_form_mode.simplenews_subscriber.block','a:1:{s:5:\"label\";s:14:\"الصندوق\";}'),('language.ar','core.entity_form_mode.simplenews_subscriber.page','a:1:{s:5:\"label\";s:12:\"الصفحة\";}'),('language.ar','core.entity_form_mode.user.register','a:1:{s:5:\"label\";s:14:\"التسجيل\";}'),('language.ar','core.entity_view_mode.comment.full','a:1:{s:5:\"label\";s:27:\"التعليق بأكمله\";}'),('language.ar','core.entity_view_mode.node.full','a:1:{s:5:\"label\";s:27:\"المحتوى الكامل\";}'),('language.ar','core.entity_view_mode.node.rss','a:1:{s:5:\"label\";s:14:\"آر.إس.إس\";}'),('language.ar','core.entity_view_mode.node.search_index','a:1:{s:5:\"label\";s:19:\"فهرس البحث\";}'),('language.ar','core.entity_view_mode.node.teaser','a:1:{s:5:\"label\";s:8:\"موجز\";}'),('language.ar','core.entity_view_mode.taxonomy_term.full','a:1:{s:5:\"label\";s:30:\"صفحة مصطلح تصنيف\";}'),('language.ar','core.entity_view_mode.user.full','a:1:{s:5:\"label\";s:25:\"حساب المستخدم\";}'),('language.ar','field.field.block_content.basic.body','a:1:{s:5:\"label\";s:10:\"المتن\";}'),('language.ar','field.field.comment.comment.comment_body','a:1:{s:5:\"label\";s:14:\"التعليق\";}'),('language.ar','field.field.node.article.body','a:1:{s:5:\"label\";s:10:\"المتن\";}'),('language.ar','field.field.node.article.comment','a:1:{s:5:\"label\";s:18:\"التعليقات\";}'),('language.ar','field.field.node.article.field_image','a:1:{s:5:\"label\";s:12:\"الصورة\";}'),('language.ar','field.field.node.article.field_tags','a:1:{s:5:\"label\";s:8:\"وسوم\";}'),('language.ar','field.field.node.page.body','a:1:{s:5:\"label\";s:10:\"المتن\";}'),('language.ar','field.field.node.simplenews_issue.body','a:1:{s:5:\"label\";s:10:\"المتن\";}'),('language.ar','field.field.node.simplenews_issue.simplenews_issue','a:1:{s:5:\"label\";s:12:\"النشرة\";}'),('language.ar','field.field.user.user.user_picture','a:1:{s:5:\"label\";s:12:\"الصورة\";}'),('language.ar','filter.format.plain_text','a:1:{s:4:\"name\";s:13:\"نص عادي\";}'),('language.ar','language.entity.ar','a:1:{s:5:\"label\";s:10:\"عربية\";}'),('language.ar','language.entity.en','a:1:{s:5:\"label\";s:16:\"إنجليزية\";}'),('language.ar','language.entity.und','a:1:{s:5:\"label\";s:15:\"غير محدد\";}'),('language.ar','language.entity.zxx','a:1:{s:5:\"label\";s:17:\"غير منطبق\";}'),('language.ar','node.type.article','a:2:{s:4:\"name\";s:8:\"مقال\";s:11:\"description\";s:157:\"استخدم <em>المقال</em> للمحتويات المتغيرة كالأخبار، والنشرات الصحفية أو ملاحظات المدونة.\";}'),('language.ar','node.type.page','a:2:{s:4:\"name\";s:29:\"الصفحة الأساسية\";s:11:\"description\";s:120:\"استخدم <em>الصفحات الأساسية</em> للمحتوى الثابت، مثل صفحة \'عن الموقع\'.\";}'),('language.ar','search.page.node_search','a:1:{s:5:\"label\";s:14:\"المحتوى\";}'),('language.ar','search.page.user_search','a:1:{s:5:\"label\";s:20:\"المستخدمين\";}'),('language.ar','shortcut.set.default','a:1:{s:5:\"label\";s:18:\"الافتراضي\";}'),('language.ar','system.action.comment_publish_action','a:1:{s:5:\"label\";s:21:\"نشر التعليق\";}'),('language.ar','system.action.comment_save_action','a:1:{s:5:\"label\";s:21:\"حفظ التعليق\";}'),('language.ar','system.action.comment_unpublish_action','a:1:{s:5:\"label\";s:37:\"تراجع عن نشر التعليق\";}'),('language.ar','system.action.node_make_sticky_action','a:1:{s:5:\"label\";s:25:\"تثبيت المحتوى\";}'),('language.ar','system.action.node_make_unsticky_action','a:1:{s:5:\"label\";s:41:\"إلغاء جعل المحتوى مثبت\";}'),('language.ar','system.action.node_promote_action','a:1:{s:5:\"label\";s:62:\"ترقية المحتوى إلى الصفحة الرئيسية\";}'),('language.ar','system.action.node_publish_action','a:1:{s:5:\"label\";s:21:\"نشر المحتوى\";}'),('language.ar','system.action.node_save_action','a:1:{s:5:\"label\";s:21:\"حفظ المحتوى\";}'),('language.ar','system.action.node_unpromote_action','a:1:{s:5:\"label\";s:58:\"ارفع الموضوع من الصفحة الرئيسية\";}'),('language.ar','system.action.node_unpublish_action','a:1:{s:5:\"label\";s:32:\"إلغاء نشر المحتوى\";}'),('language.ar','system.maintenance','a:1:{s:7:\"message\";s:86:\"@site حاليا تحت الصيانة. يعود قريبا. شكرا على صبرك.\";}'),('language.ar','system.menu.admin','a:1:{s:5:\"label\";s:14:\"الإدارة\";}'),('language.ar','system.menu.footer','a:1:{s:5:\"label\";s:14:\"التذييل\";}'),('language.ar','system.menu.tools','a:1:{s:5:\"label\";s:14:\"الأدوات\";}'),('language.ar','system.site','a:1:{s:4:\"name\";s:12:\"دروبال\";}'),('language.ar','taxonomy.vocabulary.tags','a:1:{s:4:\"name\";s:8:\"وسوم\";}'),('language.ar','tour.tour.language','a:2:{s:5:\"label\";s:10:\"اللغة\";s:4:\"tips\";a:1:{s:17:\"language-overview\";a:1:{s:5:\"label\";s:12:\"اللغات\";}}}'),('language.ar','tour.tour.language-add','a:1:{s:4:\"tips\";a:1:{s:19:\"language-add-choose\";a:1:{s:5:\"label\";s:19:\"اختر اللغة\";}}}'),('language.ar','tour.tour.language-edit','a:1:{s:4:\"tips\";a:2:{s:22:\"language-edit-langcode\";a:1:{s:5:\"label\";s:17:\"رمز اللغة\";}s:19:\"language-edit-label\";a:1:{s:5:\"label\";s:17:\"اسم اللغة\";}}}'),('language.ar','tour.tour.locale','a:2:{s:5:\"label\";s:14:\"الترجمة\";s:4:\"tips\";a:2:{s:13:\"locale-search\";a:1:{s:5:\"label\";s:6:\"بحث\";}s:16:\"locale-translate\";a:1:{s:5:\"label\";s:10:\"ترجمة\";}}}'),('language.ar','tour.tour.views-ui','a:1:{s:4:\"tips\";a:2:{s:15:\"views-ui-fields\";a:1:{s:5:\"label\";s:12:\"الحقول\";}s:16:\"views-ui-preview\";a:1:{s:5:\"label\";s:12:\"معاينة\";}}}'),('language.ar','user.mail','a:1:{s:22:\"register_admin_created\";a:1:{s:7:\"subject\";s:48:\"أنشأ مدير حساب لك في [site:name]\";}}'),('language.ar','user.role.anonymous','a:1:{s:5:\"label\";s:23:\"مستخدم مجهول\";}'),('language.ar','user.settings','a:1:{s:9:\"anonymous\";s:10:\"مجهول\";}'),('language.ar','views.view.archive','a:2:{s:5:\"label\";s:14:\"الأرشيف\";s:7:\"display\";a:3:{s:7:\"default\";a:2:{s:13:\"display_title\";s:14:\"الرئيسي\";s:15:\"display_options\";a:2:{s:12:\"exposed_form\";a:1:{s:7:\"options\";a:5:{s:13:\"submit_button\";s:10:\"تطبيق\";s:18:\"reset_button_label\";s:21:\"إعادة الضبط\";s:19:\"exposed_sorts_label\";s:21:\"الترتيب حسب\";s:14:\"sort_asc_label\";s:12:\"تصاعدي\";s:15:\"sort_desc_label\";s:12:\"تنازلي\";}}s:5:\"pager\";a:1:{s:7:\"options\";a:1:{s:6:\"expose\";a:1:{s:32:\"items_per_page_options_all_label\";s:12:\"- الكل -\";}}}}}s:7:\"block_1\";a:1:{s:13:\"display_title\";s:14:\"الصندوق\";}s:6:\"page_1\";a:1:{s:13:\"display_title\";s:12:\"الصفحة\";}}}'),('language.ar','views.view.block_content','a:1:{s:7:\"display\";a:2:{s:7:\"default\";a:2:{s:13:\"display_title\";s:14:\"الرئيسي\";s:15:\"display_options\";a:4:{s:12:\"exposed_form\";a:1:{s:7:\"options\";a:5:{s:13:\"submit_button\";s:10:\"تطبيق\";s:18:\"reset_button_label\";s:21:\"إعادة الضبط\";s:19:\"exposed_sorts_label\";s:21:\"الترتيب حسب\";s:14:\"sort_asc_label\";s:12:\"تصاعدي\";s:15:\"sort_desc_label\";s:12:\"تنازلي\";}}s:5:\"pager\";a:1:{s:7:\"options\";a:1:{s:6:\"expose\";a:1:{s:32:\"items_per_page_options_all_label\";s:12:\"- الكل -\";}}}s:6:\"fields\";a:4:{s:4:\"info\";a:1:{s:5:\"label\";s:21:\"وصف الصندوق\";}s:4:\"type\";a:1:{s:5:\"label\";s:21:\"نوع الصندوق\";}s:7:\"changed\";a:1:{s:5:\"label\";s:14:\"التحديث\";}s:10:\"operations\";a:1:{s:5:\"label\";s:12:\"عمليات\";}}s:7:\"filters\";a:2:{s:4:\"info\";a:1:{s:6:\"expose\";a:1:{s:5:\"label\";s:21:\"وصف الصندوق\";}}s:4:\"type\";a:1:{s:6:\"expose\";a:1:{s:5:\"label\";s:21:\"نوع الصندوق\";}}}}}s:6:\"page_1\";a:1:{s:13:\"display_title\";s:12:\"الصفحة\";}}}'),('language.ar','views.view.comments_recent','a:2:{s:5:\"label\";s:27:\"أحدث التعليقات\";s:7:\"display\";a:2:{s:7:\"default\";a:2:{s:13:\"display_title\";s:14:\"الرئيسي\";s:15:\"display_options\";a:2:{s:5:\"title\";s:27:\"أحدث التعليقات\";s:5:\"empty\";a:1:{s:16:\"area_text_custom\";a:1:{s:7:\"content\";s:20:\"لا تعليقات.\";}}}}s:7:\"block_1\";a:2:{s:13:\"display_title\";s:14:\"الصندوق\";s:15:\"display_options\";a:1:{s:17:\"block_description\";s:27:\"أحدث التعليقات\";}}}}'),('language.ar','views.view.content','a:3:{s:5:\"label\";s:14:\"المحتوى\";s:11:\"description\";s:38:\"إيجاد وإدارة المحتوى\";s:7:\"display\";a:2:{s:7:\"default\";a:2:{s:15:\"display_options\";a:5:{s:12:\"exposed_form\";a:1:{s:7:\"options\";a:5:{s:13:\"submit_button\";s:12:\"انتقاء\";s:18:\"reset_button_label\";s:21:\"إعادة الضبط\";s:19:\"exposed_sorts_label\";s:21:\"الترتيب حسب\";s:14:\"sort_asc_label\";s:12:\"تصاعدي\";s:15:\"sort_desc_label\";s:12:\"تنازلي\";}}s:6:\"fields\";a:6:{s:5:\"title\";a:1:{s:5:\"label\";s:14:\"العنوان\";}s:4:\"type\";a:1:{s:5:\"label\";s:21:\"نوع المحتوى\";}s:4:\"name\";a:1:{s:5:\"label\";s:12:\"المؤلف\";}s:6:\"status\";a:2:{s:5:\"label\";s:12:\"الحالة\";s:8:\"settings\";a:1:{s:18:\"format_custom_true\";s:10:\"منشور\";}}s:7:\"changed\";a:1:{s:5:\"label\";s:14:\"التحديث\";}s:10:\"operations\";a:1:{s:5:\"label\";s:12:\"عمليات\";}}s:7:\"filters\";a:4:{s:5:\"title\";a:1:{s:6:\"expose\";a:1:{s:5:\"label\";s:14:\"العنوان\";}}s:4:\"type\";a:1:{s:6:\"expose\";a:1:{s:5:\"label\";s:21:\"نوع المحتوى\";}}s:6:\"status\";a:2:{s:6:\"expose\";a:1:{s:5:\"label\";s:12:\"الحالة\";}s:10:\"group_info\";a:1:{s:11:\"group_items\";a:1:{i:1;a:1:{s:5:\"title\";s:10:\"منشور\";}}}}s:8:\"langcode\";a:1:{s:6:\"expose\";a:1:{s:5:\"label\";s:10:\"اللغة\";}}}s:5:\"title\";s:14:\"المحتوى\";s:5:\"empty\";a:1:{s:16:\"area_text_custom\";a:1:{s:7:\"content\";s:25:\"لا يوجد محتوى.\";}}}s:13:\"display_title\";s:14:\"الرئيسي\";}s:6:\"page_1\";a:2:{s:15:\"display_options\";a:2:{s:4:\"menu\";a:1:{s:5:\"title\";s:14:\"المحتوى\";}s:11:\"tab_options\";a:1:{s:5:\"title\";s:14:\"المحتوى\";}}s:13:\"display_title\";s:12:\"الصفحة\";}}}'),('language.ar','views.view.content_recent','a:2:{s:5:\"label\";s:27:\"أحدث المحتويات\";s:7:\"display\";a:2:{s:7:\"default\";a:2:{s:13:\"display_title\";s:14:\"الرئيسي\";s:15:\"display_options\";a:4:{s:12:\"exposed_form\";a:1:{s:7:\"options\";a:5:{s:13:\"submit_button\";s:10:\"تطبيق\";s:18:\"reset_button_label\";s:21:\"إعادة الضبط\";s:19:\"exposed_sorts_label\";s:21:\"الترتيب حسب\";s:14:\"sort_asc_label\";s:12:\"تصاعدي\";s:15:\"sort_desc_label\";s:12:\"تنازلي\";}}s:5:\"title\";s:27:\"أحدث المحتويات\";s:5:\"empty\";a:1:{s:16:\"area_text_custom\";a:1:{s:7:\"content\";s:25:\"لا يوجد محتوى.\";}}s:13:\"use_more_text\";s:12:\"المزيد\";}}s:7:\"block_1\";a:1:{s:13:\"display_title\";s:14:\"الصندوق\";}}}'),('language.ar','views.view.files','a:2:{s:5:\"label\";s:14:\"الملفات\";s:7:\"display\";a:3:{s:7:\"default\";a:2:{s:13:\"display_title\";s:14:\"الرئيسي\";s:15:\"display_options\";a:5:{s:12:\"exposed_form\";a:1:{s:7:\"options\";a:5:{s:13:\"submit_button\";s:12:\"انتقاء\";s:18:\"reset_button_label\";s:21:\"إعادة الضبط\";s:19:\"exposed_sorts_label\";s:21:\"الترتيب حسب\";s:14:\"sort_asc_label\";s:12:\"تصاعدي\";s:15:\"sort_desc_label\";s:12:\"تنازلي\";}}s:5:\"pager\";a:1:{s:7:\"options\";a:1:{s:6:\"expose\";a:1:{s:32:\"items_per_page_options_all_label\";s:12:\"- الكل -\";}}}s:6:\"fields\";a:5:{s:8:\"filename\";a:1:{s:5:\"label\";s:10:\"الاسم\";}s:8:\"filemime\";a:1:{s:5:\"label\";s:11:\"نوع MIME\";}s:8:\"filesize\";a:1:{s:5:\"label\";s:10:\"الحجم\";}s:6:\"status\";a:1:{s:5:\"label\";s:12:\"الحالة\";}s:5:\"count\";a:1:{s:5:\"label\";s:19:\"مستخدمة في\";}}s:7:\"filters\";a:3:{s:8:\"filename\";a:1:{s:6:\"expose\";a:1:{s:5:\"label\";s:17:\"اسم الملف\";}}s:8:\"filemime\";a:1:{s:6:\"expose\";a:1:{s:5:\"label\";s:11:\"نوع MIME\";}}s:6:\"status\";a:1:{s:6:\"expose\";a:1:{s:5:\"label\";s:12:\"الحالة\";}}}s:5:\"title\";s:14:\"الملفات\";}}s:6:\"page_1\";a:1:{s:15:\"display_options\";a:1:{s:4:\"menu\";a:1:{s:5:\"title\";s:14:\"الملفات\";}}}s:6:\"page_2\";a:1:{s:15:\"display_options\";a:3:{s:5:\"pager\";a:1:{s:7:\"options\";a:1:{s:6:\"expose\";a:1:{s:32:\"items_per_page_options_all_label\";s:12:\"- الكل -\";}}}s:6:\"fields\";a:2:{s:12:\"entity_label\";a:1:{s:5:\"label\";s:12:\"الكيان\";}s:4:\"type\";a:1:{s:5:\"label\";s:19:\"نوع الكيان\";}}s:9:\"arguments\";a:1:{s:3:\"fid\";a:1:{s:9:\"exception\";a:1:{s:5:\"title\";s:8:\"الكل\";}}}}}}}'),('language.ar','views.view.frontpage','a:1:{s:7:\"display\";a:3:{s:7:\"default\";a:2:{s:15:\"display_options\";a:2:{s:12:\"exposed_form\";a:1:{s:7:\"options\";a:5:{s:13:\"submit_button\";s:10:\"تطبيق\";s:18:\"reset_button_label\";s:21:\"إعادة الضبط\";s:19:\"exposed_sorts_label\";s:21:\"الترتيب حسب\";s:14:\"sort_asc_label\";s:12:\"تصاعدي\";s:15:\"sort_desc_label\";s:12:\"تنازلي\";}}s:5:\"pager\";a:1:{s:7:\"options\";a:1:{s:6:\"expose\";a:1:{s:32:\"items_per_page_options_all_label\";s:12:\"- الكل -\";}}}}s:13:\"display_title\";s:14:\"الرئيسي\";}s:6:\"feed_1\";a:1:{s:13:\"display_title\";s:16:\"التلقيمة\";}s:6:\"page_1\";a:1:{s:13:\"display_title\";s:12:\"الصفحة\";}}}'),('language.ar','views.view.glossary','a:2:{s:5:\"label\";s:14:\"القاموس\";s:7:\"display\";a:3:{s:7:\"default\";a:2:{s:13:\"display_title\";s:14:\"الرئيسي\";s:15:\"display_options\";a:3:{s:12:\"exposed_form\";a:1:{s:7:\"options\";a:5:{s:13:\"submit_button\";s:10:\"تطبيق\";s:18:\"reset_button_label\";s:21:\"إعادة الضبط\";s:19:\"exposed_sorts_label\";s:21:\"الترتيب حسب\";s:14:\"sort_asc_label\";s:12:\"تصاعدي\";s:15:\"sort_desc_label\";s:12:\"تنازلي\";}}s:5:\"pager\";a:1:{s:7:\"options\";a:1:{s:6:\"expose\";a:1:{s:32:\"items_per_page_options_all_label\";s:12:\"- الكل -\";}}}s:6:\"fields\";a:3:{s:5:\"title\";a:1:{s:5:\"label\";s:14:\"العنوان\";}s:4:\"name\";a:1:{s:5:\"label\";s:12:\"المؤلف\";}s:7:\"changed\";a:1:{s:5:\"label\";s:17:\"آخر تحديث\";}}}}s:12:\"attachment_1\";a:1:{s:13:\"display_title\";s:12:\"المرفق\";}s:6:\"page_1\";a:2:{s:13:\"display_title\";s:12:\"الصفحة\";s:15:\"display_options\";a:1:{s:4:\"menu\";a:1:{s:5:\"title\";s:14:\"القاموس\";}}}}}'),('language.ar','views.view.simplenews_newsletters','a:2:{s:5:\"label\";s:14:\"النشرات\";s:7:\"display\";a:2:{s:7:\"default\";a:2:{s:13:\"display_title\";s:14:\"الرئيسي\";s:15:\"display_options\";a:5:{s:12:\"exposed_form\";a:1:{s:7:\"options\";a:5:{s:13:\"submit_button\";s:10:\"تطبيق\";s:18:\"reset_button_label\";s:21:\"إعادة الضبط\";s:19:\"exposed_sorts_label\";s:21:\"الترتيب حسب\";s:14:\"sort_asc_label\";s:12:\"تصاعدي\";s:15:\"sort_desc_label\";s:12:\"تنازلي\";}}s:5:\"pager\";a:1:{s:7:\"options\";a:1:{s:6:\"expose\";a:1:{s:32:\"items_per_page_options_all_label\";s:12:\"- الكل -\";}}}s:6:\"fields\";a:4:{s:16:\"simplenews_issue\";a:1:{s:5:\"label\";s:12:\"النشرة\";}s:6:\"status\";a:1:{s:5:\"label\";s:10:\"منشور\";}s:7:\"created\";a:1:{s:5:\"label\";s:14:\"التحديث\";}s:10:\"operations\";a:1:{s:5:\"label\";s:27:\"روابط العمليات\";}}s:7:\"filters\";a:1:{s:28:\"simplenews_issue_target_id_1\";a:1:{s:6:\"expose\";a:1:{s:5:\"label\";s:12:\"النشرة\";}}}s:5:\"title\";s:14:\"النشرات\";}}s:6:\"page_1\";a:1:{s:13:\"display_title\";s:12:\"الصفحة\";}}}'),('language.ar','views.view.simplenews_subscribers','a:2:{s:5:\"label\";s:18:\"المشتركين\";s:7:\"display\";a:2:{s:7:\"default\";a:2:{s:13:\"display_title\";s:14:\"الرئيسي\";s:15:\"display_options\";a:5:{s:12:\"exposed_form\";a:1:{s:7:\"options\";a:5:{s:13:\"submit_button\";s:10:\"تطبيق\";s:18:\"reset_button_label\";s:21:\"إعادة الضبط\";s:19:\"exposed_sorts_label\";s:21:\"الترتيب حسب\";s:14:\"sort_asc_label\";s:12:\"تصاعدي\";s:15:\"sort_desc_label\";s:12:\"تنازلي\";}}s:5:\"pager\";a:1:{s:7:\"options\";a:1:{s:6:\"expose\";a:1:{s:32:\"items_per_page_options_all_label\";s:12:\"- الكل -\";}}}s:6:\"fields\";a:5:{s:4:\"mail\";a:1:{s:5:\"label\";s:33:\"البريد الإلكتروني\";}s:9:\"user_name\";a:1:{s:5:\"label\";s:23:\"اسم المستخدم\";}s:6:\"status\";a:1:{s:5:\"label\";s:6:\"نشط\";}s:7:\"created\";a:1:{s:5:\"label\";s:14:\"الإنشاء\";}s:10:\"operations\";a:1:{s:5:\"label\";s:12:\"عمليات\";}}s:7:\"filters\";a:4:{s:4:\"mail\";a:1:{s:6:\"expose\";a:1:{s:5:\"label\";s:33:\"البريد الإلكتروني\";}}s:23:\"subscriptions_target_id\";a:1:{s:6:\"expose\";a:1:{s:5:\"label\";s:14:\"النشرات\";}}s:6:\"status\";a:1:{s:6:\"expose\";a:1:{s:5:\"label\";s:6:\"نشط\";}}s:20:\"subscriptions_status\";a:1:{s:6:\"expose\";a:1:{s:5:\"label\";s:12:\"الحالة\";}}}s:5:\"title\";s:18:\"المشتركين\";}}s:6:\"page_1\";a:2:{s:13:\"display_title\";s:12:\"الصفحة\";s:15:\"display_options\";a:1:{s:4:\"menu\";a:1:{s:5:\"title\";s:18:\"المشتركين\";}}}}}'),('language.ar','views.view.taxonomy_term','a:2:{s:5:\"label\";s:21:\"مصطلح تصنيف\";s:7:\"display\";a:3:{s:7:\"default\";a:2:{s:13:\"display_title\";s:14:\"الرئيسي\";s:15:\"display_options\";a:3:{s:12:\"exposed_form\";a:1:{s:7:\"options\";a:5:{s:13:\"submit_button\";s:10:\"تطبيق\";s:18:\"reset_button_label\";s:21:\"إعادة الضبط\";s:19:\"exposed_sorts_label\";s:21:\"الترتيب حسب\";s:14:\"sort_asc_label\";s:12:\"تصاعدي\";s:15:\"sort_desc_label\";s:12:\"تنازلي\";}}s:5:\"pager\";a:1:{s:7:\"options\";a:1:{s:6:\"expose\";a:1:{s:32:\"items_per_page_options_all_label\";s:12:\"- الكل -\";}}}s:9:\"arguments\";a:1:{s:3:\"tid\";a:1:{s:9:\"exception\";a:1:{s:5:\"title\";s:8:\"الكل\";}}}}}s:6:\"feed_1\";a:1:{s:13:\"display_title\";s:16:\"التلقيمة\";}s:6:\"page_1\";a:1:{s:13:\"display_title\";s:12:\"الصفحة\";}}}'),('language.ar','views.view.user_admin_people','a:3:{s:5:\"label\";s:14:\"الأشخاص\";s:11:\"description\";s:72:\"بحث وإدارة الأشخاص المتفاعلين مع موقعك.\";s:7:\"display\";a:2:{s:7:\"default\";a:2:{s:13:\"display_title\";s:14:\"الرئيسي\";s:15:\"display_options\";a:7:{s:12:\"exposed_form\";a:1:{s:7:\"options\";a:5:{s:13:\"submit_button\";s:12:\"انتقاء\";s:18:\"reset_button_label\";s:21:\"إعادة الضبط\";s:19:\"exposed_sorts_label\";s:21:\"الترتيب حسب\";s:14:\"sort_asc_label\";s:12:\"تصاعدي\";s:15:\"sort_desc_label\";s:12:\"تنازلي\";}}s:5:\"pager\";a:1:{s:7:\"options\";a:1:{s:6:\"expose\";a:1:{s:32:\"items_per_page_options_all_label\";s:12:\"- الكل -\";}}}s:6:\"fields\";a:6:{s:4:\"name\";a:1:{s:5:\"label\";s:23:\"اسم المستخدم\";}s:6:\"status\";a:2:{s:5:\"label\";s:12:\"الحالة\";s:8:\"settings\";a:2:{s:18:\"format_custom_true\";s:6:\"نشط\";s:19:\"format_custom_false\";s:10:\"ممنوع\";}}s:15:\"roles_target_id\";a:1:{s:5:\"label\";s:14:\"الأدوار\";}s:7:\"created\";a:1:{s:5:\"label\";s:30:\"مسجل بالموقع منذ\";}s:6:\"access\";a:1:{s:5:\"label\";s:15:\"آخر وصول\";}s:10:\"operations\";a:1:{s:5:\"label\";s:12:\"عمليات\";}}s:7:\"filters\";a:3:{s:6:\"status\";a:1:{s:10:\"group_info\";a:2:{s:5:\"label\";s:12:\"الحالة\";s:11:\"group_items\";a:2:{i:1;a:1:{s:5:\"title\";s:6:\"نشط\";}i:2;a:1:{s:5:\"title\";s:10:\"ممنوع\";}}}}s:15:\"roles_target_id\";a:1:{s:6:\"expose\";a:1:{s:5:\"label\";s:10:\"الدور\";}}s:10:\"permission\";a:1:{s:6:\"expose\";a:1:{s:5:\"label\";s:16:\"الصلاحية\";}}}s:5:\"title\";s:14:\"الأشخاص\";s:5:\"empty\";a:1:{s:16:\"area_text_custom\";a:1:{s:7:\"content\";s:25:\"لا يوجد أشخاص.\";}}s:13:\"use_more_text\";s:12:\"المزيد\";}}s:6:\"page_1\";a:2:{s:13:\"display_title\";s:12:\"الصفحة\";s:15:\"display_options\";a:2:{s:4:\"menu\";a:2:{s:5:\"title\";s:10:\"لائحة\";s:11:\"description\";s:72:\"بحث وإدارة الأشخاص المتفاعلين مع موقعك.\";}s:11:\"tab_options\";a:2:{s:5:\"title\";s:14:\"الأشخاص\";s:11:\"description\";s:83:\"إدارة حسابات المستخدمين والأدوار والصلاحيات.\";}}}}}'),('language.ar','views.view.who_s_new','a:2:{s:5:\"label\";s:31:\"المستخدمون الجدد\";s:7:\"display\";a:2:{s:7:\"default\";a:2:{s:13:\"display_title\";s:14:\"الرئيسي\";s:15:\"display_options\";a:2:{s:12:\"exposed_form\";a:1:{s:7:\"options\";a:5:{s:13:\"submit_button\";s:10:\"تطبيق\";s:18:\"reset_button_label\";s:21:\"إعادة الضبط\";s:19:\"exposed_sorts_label\";s:21:\"الترتيب حسب\";s:14:\"sort_asc_label\";s:12:\"تصاعدي\";s:15:\"sort_desc_label\";s:12:\"تنازلي\";}}s:5:\"title\";s:31:\"المستخدمون الجدد\";}}s:7:\"block_1\";a:2:{s:13:\"display_title\";s:31:\"المستخدمون الجدد\";s:15:\"display_options\";a:2:{s:17:\"block_description\";s:31:\"المستخدمون الجدد\";s:14:\"block_category\";s:16:\"المستخدم\";}}}}'),('language.ar','views.view.who_s_online','a:1:{s:7:\"display\";a:2:{s:7:\"default\";a:2:{s:13:\"display_title\";s:14:\"الرئيسي\";s:15:\"display_options\";a:3:{s:12:\"exposed_form\";a:1:{s:7:\"options\";a:5:{s:13:\"submit_button\";s:10:\"تطبيق\";s:18:\"reset_button_label\";s:21:\"إعادة الضبط\";s:19:\"exposed_sorts_label\";s:21:\"الترتيب حسب\";s:14:\"sort_asc_label\";s:12:\"تصاعدي\";s:15:\"sort_desc_label\";s:12:\"تنازلي\";}}s:7:\"filters\";a:1:{s:6:\"access\";a:1:{s:6:\"expose\";a:2:{s:5:\"label\";s:15:\"آخر وصول\";s:11:\"description\";s:87:\"تحسب فترة وجود المستخدم عالخط منذ آخر عرض لصفحة.\";}}}s:5:\"title\";s:25:\"المتصلون الأن\";}}s:18:\"who_s_online_block\";a:2:{s:13:\"display_title\";s:25:\"المتصلون الأن\";s:15:\"display_options\";a:1:{s:17:\"block_description\";s:25:\"المتصلون الأن\";}}}}');
/*!40000 ALTER TABLE `config` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `file_managed`
--

DROP TABLE IF EXISTS `file_managed`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `file_managed` (
  `fid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `uuid` varchar(128) CHARACTER SET ascii NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  `uid` int(10) unsigned DEFAULT NULL COMMENT 'The ID of the target entity.',
  `filename` varchar(255) DEFAULT NULL,
  `uri` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL,
  `filemime` varchar(255) CHARACTER SET ascii DEFAULT NULL,
  `filesize` bigint(20) unsigned DEFAULT NULL,
  `status` tinyint(4) NOT NULL,
  `created` int(11) DEFAULT NULL,
  `changed` int(11) NOT NULL,
  PRIMARY KEY (`fid`),
  UNIQUE KEY `file_field__uuid__value` (`uuid`),
  KEY `file_field__uri` (`uri`(191)),
  KEY `file_field__status` (`status`),
  KEY `file_field__changed` (`changed`),
  KEY `file_field__uid__target_id` (`uid`)
) ENGINE=InnoDB AUTO_INCREMENT=132 DEFAULT CHARSET=utf8mb4 COMMENT='The base table for file entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `file_managed`
--

LOCK TABLES `file_managed` WRITE;
/*!40000 ALTER TABLE `file_managed` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `file_managed` VALUES (2,'a1460525-c562-4004-a979-fefa8be5d930','en',1,'drupal-logo-trans.png','public://field/partners/drupal-logo-trans.png','image/png',49734,1,1468923356,1468923358),(4,'9b408625-ea32-42cd-9ae3-6a2573e06bff','en',1,'bootstrap-logo.png','public://field/partners/bootstrap-logo.png','image/png',36448,1,1468985454,1468985457),(5,'234d4eaa-47e1-447d-8603-02c789181189','en',1,'youtube_logo.png','public://field/partners/youtube_logo.png','image/png',30662,1,1468985990,1468986019),(6,'f3dcc04b-1153-4ef4-beb9-d088b415c921','en',1,'jquery-logo.png','public://field/partners/jquery-logo.png','image/png',60159,1,1468986061,1468986073),(8,'0f463478-2cf0-411c-be5b-5de0bf6c1a30','en',1,'photo-1463171379579-3fdfb86d6285.jpg','public://inline-images/photo-1463171379579-3fdfb86d6285.jpg','image/jpeg',3042571,1,1469170169,1469170236),(33,'5e6ee6f0-e2cd-4969-a3f8-553f1f633021','en',1,'imgge2.jpg','public://field/our_mission/imgge2_0.jpg','image/jpeg',228702,1,1469782333,1469782338),(34,'5b1dde60-04a1-497f-b642-5bf9ca29b714','en',1,'image3.jpg','public://field/our_mission/image3_0.jpg','image/jpeg',252781,1,1469782409,1469782413),(35,'9b22ddb6-69c8-46fc-b7be-83e17849ecca','en',1,'image4.jpg','public://field/our_mission/image4_0.jpg','image/jpeg',302043,1,1469782443,1469782446),(36,'5c9bd31a-6fa3-4a70-859c-f8bffc307975','en',1,'about-us-banner.jpg','public://field/banner/about-us-banner.jpg','image/jpeg',570788,1,1470044188,1470044192),(68,'3abbd4f9-d6fd-486a-92a3-496d5d21b07f','en',1,'demo.jpg','public://2016-08/demo.jpg','image/jpeg',635837,1,1472024799,1472024810),(70,'4e09022e-fa1d-4a62-b375-b2fa603b2739','en',1,'drmo9.jpg','public://field/gallery/drmo9.jpg','image/jpeg',210098,1,1472025878,1472025938),(71,'a3548aee-7d9b-4a0e-b72c-3519c18bc006','en',1,'demo10.jpg','public://field/gallery/demo10_1.jpg','image/jpeg',117601,1,1472025885,1472025938),(72,'b565bfd9-58a9-4edc-8f0f-9cfaf5353b8d','en',1,'demo8.jpg','public://field/gallery/demo8.jpg','image/jpeg',124316,1,1472025891,1472025938),(73,'54cce99c-37f2-411d-867b-0422ef7a4ca6','en',1,'demo7.jpg','public://field/gallery/demo7.jpg','image/jpeg',290352,1,1472025901,1472025938),(74,'cbb5b19f-b86a-4828-b30f-79a88c49f8cd','en',1,'demo6.jpg','public://field/gallery/demo6.jpg','image/jpeg',107496,1,1472025906,1472025938),(75,'dbca96a1-71d0-4198-bd95-e7af3e067865','en',1,'demo5.jpg','public://field/gallery/demo5.jpg','image/jpeg',142348,1,1472025911,1472025938),(76,'9048583b-c8d2-4fd1-8a42-d82df87b95f7','en',1,'demo4.jpg','public://field/gallery/demo4.jpg','image/jpeg',207075,1,1472025917,1472025938),(77,'126cb88e-6d91-45cb-81b3-a24e123505d4','en',1,'demo3.jpg','public://field/gallery/demo3.jpg','image/jpeg',191855,1,1472025922,1472025938),(78,'60550f7e-a64b-4efc-b1c1-edaf10e77191','en',1,'demo2.jpg','public://field/gallery/demo2.jpg','image/jpeg',101515,1,1472025928,1472025938),(79,'6be5707a-258a-4c0e-9ff2-da8d912e4ffb','en',1,'demo1.jpg','public://field/gallery/demo1.jpg','image/jpeg',99150,1,1472025933,1472025938),(80,'5b358041-d2ef-4efc-aea3-b0fda063ec06','en',1,'demo1.jpg','public://field/gallery/demo1_0.jpg','image/jpeg',99150,1,1472025989,1472026058),(81,'035c48f7-cffe-4310-bb7c-2a59ca5ba6f8','en',1,'demo2.jpg','public://field/gallery/demo2_0.jpg','image/jpeg',101515,1,1472026006,1472026058),(82,'2423b860-ac20-4d2d-8d48-99b3e82521af','en',1,'demo3.jpg','public://field/gallery/demo3_0.jpg','image/jpeg',191855,1,1472026015,1472026058),(83,'8d10343b-ce7e-4fdb-8028-6abdc4179ae1','en',1,'demo4.jpg','public://field/gallery/demo4_0.jpg','image/jpeg',207075,1,1472026021,1472026058),(84,'141a3ee3-98a5-43ee-a6bf-1e94700179cc','en',1,'demo5.jpg','public://field/gallery/demo5_0.jpg','image/jpeg',142348,1,1472026027,1472026058),(85,'28e8d0c5-280b-487d-afc3-62d9d713446b','en',1,'demo6.jpg','public://field/gallery/demo6_0.jpg','image/jpeg',107496,1,1472026035,1472026058),(86,'ba307144-4b87-4d3e-a265-4aae22b90c7c','en',1,'demo7.jpg','public://field/gallery/demo7_0.jpg','image/jpeg',290352,1,1472026040,1472026058),(87,'19f17d5b-5fa8-4415-87fb-f5ed938a567d','en',1,'demo8.jpg','public://field/gallery/demo8_0.jpg','image/jpeg',124316,1,1472026045,1472026058),(88,'28c22836-d84c-4c46-bdbb-470674eeefba','en',1,'demo10.jpg','public://field/gallery/demo10_2.jpg','image/jpeg',117601,1,1472026051,1472026058),(94,'458ca5c1-9ce9-46b1-8b02-c44d145e47e2','en',1,'demo7.jpg','public://field/gallery/demo7_1.jpg','image/jpeg',290352,1,1472026273,1472026306),(95,'f67bd41c-9db2-4b5c-9cf4-151772c8c2dd','en',1,'demo6.jpg','public://field/gallery/demo6_2.jpg','image/jpeg',107496,1,1472026279,1472026306),(96,'50c9ffc3-484d-4659-8cfc-830c2b1241fd','en',1,'demo8.jpg','public://field/gallery/demo8_2.jpg','image/jpeg',124316,1,1472026285,1472026306),(97,'fb7a7c1c-87c7-48b1-ac41-efcb4e71e416','en',1,'demo4.jpg','public://field/gallery/demo4_2.jpg','image/jpeg',207075,1,1472026291,1472026306),(98,'83df2628-e7b4-4e4e-81ff-5930c1ddde01','en',1,'demo3.jpg','public://field/gallery/demo3_1.jpg','image/jpeg',191855,1,1472026295,1472026306),(99,'92f8ccff-a60b-4fb7-bf63-cfb555e97352','en',1,'demo1.jpg','public://field/gallery/demo1_1.jpg','image/jpeg',99150,1,1472026302,1472026306),(105,'f2a7ad5a-1afb-4c5a-bf1d-c0a7860a957a','en',1,'logo-wp.png','public://field/partners/logo-wp.png','image/png',33172,1,1472616154,1472616176),(109,'0b9b1645-2c79-4030-a208-bdc18fc5423c','en',1,'logo-bs.png','public://field/partners/logo-bs.png','image/png',25184,1,1472618054,1472618107),(111,'b206ab3b-7e02-41e2-afa6-b72c2fa40604','en',1,'blog-01.jpg','public://field/blog/blog-01.jpg','image/jpeg',345491,1,1472618918,1472618923),(112,'7f0c3af6-455e-44f0-82ad-547f25a1dd9b','en',1,'blog-02.jpg','public://field/blog/blog-02.jpg','image/jpeg',236720,1,1472634459,1472634468),(114,'080d3895-ed42-42b0-b73d-ffd93d2d0cd1','en',1,'blog-03.jpg','public://field/blog/blog-03.jpg','image/jpeg',302935,1,1472634592,1472634596),(115,'6cea1a73-815c-4321-82b4-836739797427','en',1,'blog-04.jpg','public://field/blog/blog-04.jpg','image/jpeg',272417,1,1472634625,1472634628),(116,'b38a147c-0e9f-497d-abfd-f32a5afe08a3','en',1,'banner-01.jpg','public://field/banner/banner-01.jpg','image/jpeg',300287,1,1472700412,1472700416),(117,'c70fbf7f-63a4-412b-9884-c1745a2523d3','en',1,'banner-05.jpg','public://field/banner/banner-05.jpg','image/jpeg',350775,1,1472700490,1472700494),(118,'bb941dd6-7826-4e74-b2b5-0ee902a37aa7','en',1,'banner-04.jpg','public://field/banner/banner-04.jpg','image/jpeg',285839,1,1472700565,1472700572),(119,'854f3098-6690-4cb6-8579-a42b4137e3d1','en',1,'banner-02.jpg','public://field/banner/banner-02.jpg','image/jpeg',594647,1,1472700683,1472700691),(120,'0a79a25e-3c00-49b0-82a2-919e0b03bda2','en',1,'banner-03.jpg','public://field/banner/banner-03.jpg','image/jpeg',814881,1,1472700904,1472700908),(121,'d8ae4637-1881-4b8a-abbd-0b467e8dbeea','en',1,'banner-02.jpg','public://field/banner/banner-02_0.jpg','image/jpeg',594647,1,1472700929,1472700933),(122,'19184840-d49d-48ef-aeaa-aef9bee1e09c','en',1,'blog-dt-01.jpg','public://inline-images/blog-dt-01.jpg','image/jpeg',175725,1,1472720951,1472721003),(124,'590f2a73-72db-4309-aff1-fd77455d7a69','en',1,'image-1.jpg','public://field/banner/image-1_1.jpg','image/jpeg',691672,1,1473046325,1473046329),(126,'f0568e87-2597-44bb-aaff-fda009134a91','en',1,'user-3.jpg','public://pictures/2016-09/user-3.jpg','image/jpeg',25968,1,1473048280,1473048283),(127,'6bdce9fd-0467-4d5a-9a82-d2b1e58c0365','en',1,'user-4.jpg','public://pictures/2016-09/user-4.jpg','image/jpeg',22120,1,1473048313,1473048315),(128,'a91fbdb4-65fd-44cf-afae-34b1de147399','en',1,'user-2.jpg','public://pictures/2016-09/user-2.jpg','image/jpeg',30561,1,1473048428,1473048477),(129,'93335aa3-18d3-4cbd-8ae4-92f195fbfd3c','en',1,'slider01.jpg','public://field/slideshow/slider01.jpg','image/jpeg',2825616,1,1473667143,1473667150),(130,'32ed49c8-5241-4ff3-8342-71fc7b9a1aec','en',1,'slider01.jpg','public://field/slideshow/slider01_0.jpg','image/jpeg',2825616,1,1473667186,1473667190),(131,'a4a4ed1b-fad5-4210-bf11-25f60195cd46','en',1,'slider02.jpg','public://field/slideshow/slider02.jpg','image/jpeg',3182478,1,1473667396,1473667400);
/*!40000 ALTER TABLE `file_managed` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `file_usage`
--

DROP TABLE IF EXISTS `file_usage`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `file_usage` (
  `fid` int(10) unsigned NOT NULL COMMENT 'File ID.',
  `module` varchar(50) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The name of the module that is using the file.',
  `type` varchar(64) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The name of the object type in which the file is used.',
  `id` varchar(64) CHARACTER SET ascii NOT NULL DEFAULT '0' COMMENT 'The primary key of the object using the file.',
  `count` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The number of times this file is used by this object.',
  PRIMARY KEY (`fid`,`type`,`id`,`module`),
  KEY `type_id` (`type`,`id`),
  KEY `fid_count` (`fid`,`count`),
  KEY `fid_module` (`fid`,`module`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Track where a file is used.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `file_usage`
--

LOCK TABLES `file_usage` WRITE;
/*!40000 ALTER TABLE `file_usage` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `file_usage` VALUES (2,'file','node','5',1),(4,'file','node','7',1),(5,'file','node','9',1),(6,'file','node','10',1),(8,'editor','block_content','1',1),(33,'file','node','22',1),(34,'file','node','23',1),(35,'file','node','24',1),(36,'file','node','4',2),(68,'file','node','4',2),(70,'file','node','18',1),(71,'file','node','18',1),(72,'file','node','18',1),(73,'file','node','18',1),(74,'file','node','18',1),(75,'file','node','18',1),(76,'file','node','18',1),(77,'file','node','18',1),(78,'file','node','18',1),(79,'file','node','18',1),(80,'file','node','19',1),(81,'file','node','19',1),(82,'file','node','19',1),(83,'file','node','19',1),(84,'file','node','19',1),(85,'file','node','19',1),(86,'file','node','19',1),(87,'file','node','19',1),(88,'file','node','19',1),(94,'file','node','20',1),(95,'file','node','20',1),(96,'file','node','20',1),(97,'file','node','20',1),(98,'file','node','20',1),(99,'file','node','20',1),(105,'file','node','43',1),(109,'file','node','44',1),(111,'file','node','16',2),(112,'file','node','11',2),(114,'file','node','15',2),(115,'file','node','12',2),(116,'file','node','21',1),(117,'file','node','42',1),(118,'file','node','41',1),(119,'file','node','17',1),(120,'file','node','14',1),(121,'file','node','13',1),(122,'editor','node','11',1),(124,'file','node','45',1),(126,'file','user','15',2),(127,'file','user','21',1),(128,'file','user','22',1),(129,'file','node','16',2),(130,'file','node','15',2),(131,'file','node','12',2);
/*!40000 ALTER TABLE `file_usage` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `flood`
--

DROP TABLE IF EXISTS `flood`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `flood` (
  `fid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Unique flood event ID.',
  `event` varchar(64) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'Name of event (e.g. contact).',
  `identifier` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'Identifier of the visitor, such as an IP address or hostname.',
  `timestamp` int(11) NOT NULL DEFAULT 0 COMMENT 'Timestamp of the event.',
  `expiration` int(11) NOT NULL DEFAULT 0 COMMENT 'Expiration timestamp. Expired events are purged on cron run.',
  PRIMARY KEY (`fid`),
  KEY `allow` (`event`,`identifier`,`timestamp`),
  KEY `purge` (`expiration`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Flood controls the threshold of events, such as the number…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `flood`
--

LOCK TABLES `flood` WRITE;
/*!40000 ALTER TABLE `flood` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `flood` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `history`
--

DROP TABLE IF EXISTS `history`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `history` (
  `uid` int(11) NOT NULL DEFAULT 0 COMMENT 'The users.uid that read the node nid.',
  `nid` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The node.nid that was read.',
  `timestamp` int(11) NOT NULL DEFAULT 0 COMMENT 'The Unix timestamp at which the read occurred.',
  PRIMARY KEY (`uid`,`nid`),
  KEY `nid` (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='A record of which users have read which nodes.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `history`
--

LOCK TABLES `history` WRITE;
/*!40000 ALTER TABLE `history` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `history` VALUES (46,16,1635318900);
/*!40000 ALTER TABLE `history` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `key_value`
--

DROP TABLE IF EXISTS `key_value`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `key_value` (
  `collection` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'A named collection of key and value pairs.',
  `name` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The key of the key-value pair. As KEY is a SQL reserved keyword, name was chosen instead.',
  `value` longblob NOT NULL COMMENT 'The value.',
  PRIMARY KEY (`collection`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Generic key-value storage table. See the state system for…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `key_value`
--

LOCK TABLES `key_value` WRITE;
/*!40000 ALTER TABLE `key_value` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `key_value` VALUES ('config.entity.key_store.action','uuid:240ddbc5-722e-4234-964d-e32a4690d1b3','a:1:{i:0;s:40:\"system.action.pathauto_update_alias_node\";}'),('config.entity.key_store.action','uuid:244a3215-a24c-4fb1-b822-44757cc1b24b','a:1:{i:0;s:39:\"system.action.node_make_unsticky_action\";}'),('config.entity.key_store.action','uuid:306dffb4-b40e-427e-be75-fa7f2ee2c2f5','a:1:{i:0;s:35:\"system.action.node_unpromote_action\";}'),('config.entity.key_store.action','uuid:325131db-66dd-4bd2-8136-3fbe8563820d','a:1:{i:0;s:36:\"system.action.user_block_user_action\";}'),('config.entity.key_store.action','uuid:3472bcda-9e81-4e29-b564-1fa291deb905','a:1:{i:0;s:36:\"system.action.simplenews_stop_action\";}'),('config.entity.key_store.action','uuid:3865a05d-7ad8-40a3-b42a-78afe2b1ee47','a:1:{i:0;s:40:\"system.action.pathauto_update_alias_user\";}'),('config.entity.key_store.action','uuid:51548d5b-2db0-4765-9d94-11b7057d49df','a:1:{i:0;s:33:\"system.action.node_promote_action\";}'),('config.entity.key_store.action','uuid:6ec6a4c8-a2f5-4bce-9923-a28f15685063','a:1:{i:0;s:38:\"system.action.comment_unpublish_action\";}'),('config.entity.key_store.action','uuid:762bd699-f185-4848-9db0-bd84ec81b60b','a:1:{i:0;s:36:\"system.action.simplenews_send_action\";}'),('config.entity.key_store.action','uuid:7a0bd181-183f-41cc-9243-24aa2af6d096','a:1:{i:0;s:37:\"system.action.node_make_sticky_action\";}'),('config.entity.key_store.action','uuid:7a6e1e7a-c5d2-4b90-8feb-35f8429a3e6e','a:1:{i:0;s:38:\"system.action.user_unblock_user_action\";}'),('config.entity.key_store.action','uuid:7cce743d-5bea-47aa-b3b6-b9986ecd6fc8','a:1:{i:0;s:33:\"system.action.node_publish_action\";}'),('config.entity.key_store.action','uuid:841831b0-2443-4eba-9e1f-925c6612d584','a:1:{i:0;s:51:\"system.action.user_remove_role_action.administrator\";}'),('config.entity.key_store.action','uuid:a23fa41e-1cf3-42ea-949f-54c96024d927','a:1:{i:0;s:36:\"system.action.comment_publish_action\";}'),('config.entity.key_store.action','uuid:b01b6536-4728-469d-adbb-5e015936e29c','a:1:{i:0;s:30:\"system.action.node_save_action\";}'),('config.entity.key_store.action','uuid:b67fb1c2-f5d0-45e8-9e6f-96545040c384','a:1:{i:0;s:35:\"system.action.comment_delete_action\";}'),('config.entity.key_store.action','uuid:b90e4cc9-fca0-4f15-a927-c6d097d42203','a:1:{i:0;s:35:\"system.action.node_unpublish_action\";}'),('config.entity.key_store.action','uuid:e0639a78-ee8a-43df-b820-3e90ea123232','a:1:{i:0;s:37:\"system.action.user_cancel_user_action\";}'),('config.entity.key_store.action','uuid:e6e122be-8bfb-45d0-847a-9f41952efeba','a:1:{i:0;s:32:\"system.action.node_delete_action\";}'),('config.entity.key_store.action','uuid:f056d54f-dbc3-4a83-b9e5-dcdd835eda30','a:1:{i:0;s:48:\"system.action.user_add_role_action.administrator\";}'),('config.entity.key_store.action','uuid:f3c6a2b8-e8d4-4879-9186-6f06f9bf5dab','a:1:{i:0;s:33:\"system.action.comment_save_action\";}'),('config.entity.key_store.base_field_override','uuid:03df651f-1fc3-40c9-8281-10b78dcb759b','a:1:{i:0;s:43:\"core.base_field_override.node.banner.status\";}'),('config.entity.key_store.base_field_override','uuid:0888b0af-dbb3-4b71-abaa-90394adaef39','a:1:{i:0;s:52:\"core.base_field_override.block_content.basic.changed\";}'),('config.entity.key_store.base_field_override','uuid:09c8cb9e-3d03-44ab-9c07-584fe0b7617d','a:1:{i:0;s:50:\"core.base_field_override.node.our_services.changed\";}'),('config.entity.key_store.base_field_override','uuid:0c9f04e7-e524-42ac-afe1-b67961334758','a:1:{i:0;s:47:\"core.base_field_override.node.portfolio.promote\";}'),('config.entity.key_store.base_field_override','uuid:0ea9d636-cf2f-4621-9698-46835575d05e','a:1:{i:0;s:46:\"core.base_field_override.node.portfolio.sticky\";}'),('config.entity.key_store.base_field_override','uuid:0f9bf904-d747-45fc-bfe1-45903aa49fcc','a:1:{i:0;s:44:\"core.base_field_override.node.partners.title\";}'),('config.entity.key_store.base_field_override','uuid:139c11a6-0611-41fc-9f1c-949fd6220904','a:1:{i:0;s:42:\"core.base_field_override.user.user.changed\";}'),('config.entity.key_store.base_field_override','uuid:144dc4e1-f407-4aeb-af22-a7cb792f7a4f','a:1:{i:0;s:49:\"core.base_field_override.node.our_services.sticky\";}'),('config.entity.key_store.base_field_override','uuid:1892cc9a-a91d-484e-adfd-17c7b1993b6a','a:1:{i:0;s:50:\"core.base_field_override.node.our_services.promote\";}'),('config.entity.key_store.base_field_override','uuid:18bc6ab1-fdd2-4936-8aa5-e27b18bb0b02','a:1:{i:0;s:49:\"core.base_field_override.block_content.basic.info\";}'),('config.entity.key_store.base_field_override','uuid:18db0e37-4602-42a4-9b14-81b0f079ac99','a:1:{i:0;s:53:\"core.base_field_override.node.simplenews_issue.sticky\";}'),('config.entity.key_store.base_field_override','uuid:20d9bf7f-bba7-47ac-9ac5-55474739d526','a:1:{i:0;s:44:\"core.base_field_override.node.banner.created\";}'),('config.entity.key_store.base_field_override','uuid:26471f53-b64c-47c7-b472-3420407e1022','a:1:{i:0;s:49:\"core.base_field_override.comment.comment.homepage\";}'),('config.entity.key_store.base_field_override','uuid:27f6e62d-370e-4499-b867-ca02d28c6db4','a:1:{i:0;s:47:\"core.base_field_override.node.portfolio.created\";}'),('config.entity.key_store.base_field_override','uuid:2aaf4966-7f64-43b4-a9b2-c251869c5773','a:1:{i:0;s:47:\"core.base_field_override.node.our_mission.title\";}'),('config.entity.key_store.base_field_override','uuid:3208534b-0f12-45e8-b744-404c9c4052e7','a:1:{i:0;s:44:\"core.base_field_override.node.why_us.changed\";}'),('config.entity.key_store.base_field_override','uuid:3532f61e-0afc-429c-89c7-f5a8976725d4','a:1:{i:0;s:55:\"core.base_field_override.taxonomy_term.tags.description\";}'),('config.entity.key_store.base_field_override','uuid:39c095f6-2005-42d3-abf8-a223a16a6927','a:1:{i:0;s:54:\"core.base_field_override.node.simplenews_issue.promote\";}'),('config.entity.key_store.base_field_override','uuid:3b2dc857-4d58-4731-8643-9154cde95748','a:1:{i:0;s:72:\"core.base_field_override.menu_link_content.menu_link_content.description\";}'),('config.entity.key_store.base_field_override','uuid:423d924b-3328-47c7-8b6a-2864237ce911','a:1:{i:0;s:40:\"core.base_field_override.node.why_us.uid\";}'),('config.entity.key_store.base_field_override','uuid:4348f9ec-1813-458e-916f-eacc7b064b95','a:1:{i:0;s:42:\"core.base_field_override.node.partners.uid\";}'),('config.entity.key_store.base_field_override','uuid:452b5a60-9b36-4c1b-969d-ca3ec80d8f05','a:1:{i:0;s:48:\"core.base_field_override.comment.comment.created\";}'),('config.entity.key_store.base_field_override','uuid:470f6eb9-33d7-4dd5-a755-7a002ae82f36','a:1:{i:0;s:49:\"core.base_field_override.comment.comment.hostname\";}'),('config.entity.key_store.base_field_override','uuid:4719b7ba-5e2c-44bd-94bc-1906043dc38b','a:1:{i:0;s:46:\"core.base_field_override.node.partners.created\";}'),('config.entity.key_store.base_field_override','uuid:494bf3f7-0fc0-490e-9889-ed23d9ce2f84','a:1:{i:0;s:40:\"core.base_field_override.node.page.title\";}'),('config.entity.key_store.base_field_override','uuid:4b8de43f-a246-46cc-86a8-d32b187bfb75','a:1:{i:0;s:41:\"core.base_field_override.node.blog.sticky\";}'),('config.entity.key_store.base_field_override','uuid:5037bb2a-67ff-453c-b3d7-04434719a5bc','a:1:{i:0;s:48:\"core.base_field_override.comment.comment.subject\";}'),('config.entity.key_store.base_field_override','uuid:512cce3f-52d0-4937-958d-b06316a71941','a:1:{i:0;s:50:\"core.base_field_override.node.our_services.created\";}'),('config.entity.key_store.base_field_override','uuid:545e7ab9-c952-4998-9005-9bb50fc12285','a:1:{i:0;s:51:\"core.base_field_override.taxonomy_term.tags.changed\";}'),('config.entity.key_store.base_field_override','uuid:55acaedf-540d-4c74-b615-5ecbed395f55','a:1:{i:0;s:47:\"core.base_field_override.shortcut.default.title\";}'),('config.entity.key_store.base_field_override','uuid:56886831-90f5-4917-9d74-1b57755cfe84','a:1:{i:0;s:44:\"core.base_field_override.comment.comment.uid\";}'),('config.entity.key_store.base_field_override','uuid:5a091269-d0bf-4ebd-8657-cefb8b598a35','a:1:{i:0;s:46:\"core.base_field_override.node.partners.changed\";}'),('config.entity.key_store.base_field_override','uuid:5ad9bc80-cd2f-4631-90bc-a7e34096603a','a:1:{i:0;s:45:\"core.base_field_override.comment.comment.name\";}'),('config.entity.key_store.base_field_override','uuid:5e24793b-e933-46cc-93f5-83b7d9b9c554','a:1:{i:0;s:48:\"core.base_field_override.node.our_services.title\";}'),('config.entity.key_store.base_field_override','uuid:5e4a4be8-3a2b-4023-8ff1-ccec77207856','a:1:{i:0;s:42:\"core.base_field_override.node.blog.created\";}'),('config.entity.key_store.base_field_override','uuid:6447bdd5-518b-4163-896e-503fbd73dda9','a:1:{i:0;s:49:\"core.base_field_override.node.our_mission.promote\";}'),('config.entity.key_store.base_field_override','uuid:710974ed-5fc2-4622-92cb-124fd5083329','a:1:{i:0;s:43:\"core.base_field_override.node.why_us.sticky\";}'),('config.entity.key_store.base_field_override','uuid:72d3717c-caa5-4c4d-a4cc-4561fcace5b2','a:1:{i:0;s:66:\"core.base_field_override.menu_link_content.menu_link_content.title\";}'),('config.entity.key_store.base_field_override','uuid:757f0ddf-1683-43af-a414-252bddd4b3a5','a:1:{i:0;s:43:\"core.base_field_override.node.why_us.status\";}'),('config.entity.key_store.base_field_override','uuid:7b729932-c723-44eb-badd-753875f0c626','a:1:{i:0;s:44:\"core.base_field_override.node.banner.changed\";}'),('config.entity.key_store.base_field_override','uuid:820324ae-317e-45a1-ab2b-d9f1556549b3','a:1:{i:0;s:48:\"core.base_field_override.node.our_mission.status\";}'),('config.entity.key_store.base_field_override','uuid:83f2334e-4108-437e-81ac-702049da7a59','a:1:{i:0;s:48:\"core.base_field_override.node.our_mission.sticky\";}'),('config.entity.key_store.base_field_override','uuid:88fbb663-a777-4ac7-b6a1-2a95c007e5a5','a:1:{i:0;s:40:\"core.base_field_override.node.banner.uid\";}'),('config.entity.key_store.base_field_override','uuid:8c5f47a9-627b-4cb5-b23e-b3959664f40b','a:1:{i:0;s:45:\"core.base_field_override.comment.comment.mail\";}'),('config.entity.key_store.base_field_override','uuid:94a806fc-d0c2-4b13-afc8-e43b7bda082b','a:1:{i:0;s:42:\"core.base_field_override.node.blog.promote\";}'),('config.entity.key_store.base_field_override','uuid:94d28040-185d-4c39-a002-72d974e3cdcf','a:1:{i:0;s:52:\"core.base_field_override.node.simplenews_issue.title\";}'),('config.entity.key_store.base_field_override','uuid:95dae5b0-d6fe-4444-96a2-84243b5c6300','a:1:{i:0;s:46:\"core.base_field_override.node.our_services.uid\";}'),('config.entity.key_store.base_field_override','uuid:98ba52dc-faf3-4775-b80c-f6f50b94fdb7','a:1:{i:0;s:44:\"core.base_field_override.node.banner.promote\";}'),('config.entity.key_store.base_field_override','uuid:993f418a-f71d-48cf-b4c3-f43e7796eb7b','a:1:{i:0;s:43:\"core.base_field_override.node.banner.sticky\";}'),('config.entity.key_store.base_field_override','uuid:998839ab-612e-4fea-8154-f1ea85492f8a','a:1:{i:0;s:48:\"core.base_field_override.comment.comment.changed\";}'),('config.entity.key_store.base_field_override','uuid:9d25da66-fbf5-4c9f-9e8b-0497951dbdf1','a:1:{i:0;s:47:\"core.base_field_override.comment.comment.status\";}'),('config.entity.key_store.base_field_override','uuid:9d5e6c2b-8d66-4604-a0be-ded3febec41f','a:1:{i:0;s:45:\"core.base_field_override.node.partners.sticky\";}'),('config.entity.key_store.base_field_override','uuid:9dfefbb4-e0c9-4afe-bdb3-4c082847d856','a:1:{i:0;s:38:\"core.base_field_override.node.page.uid\";}'),('config.entity.key_store.base_field_override','uuid:a396116f-1305-4222-b6be-7524cba2aa07','a:1:{i:0;s:49:\"core.base_field_override.node.our_services.status\";}'),('config.entity.key_store.base_field_override','uuid:a44832a3-1c61-499d-809f-36628b926d57','a:1:{i:0;s:40:\"core.base_field_override.node.blog.title\";}'),('config.entity.key_store.base_field_override','uuid:a44b1ba8-4d31-414c-b124-22a457ea04f8','a:1:{i:0;s:44:\"core.base_field_override.node.why_us.created\";}'),('config.entity.key_store.base_field_override','uuid:a67e5619-a7de-4ef2-898e-70b8359f01a8','a:1:{i:0;s:42:\"core.base_field_override.node.blog.changed\";}'),('config.entity.key_store.base_field_override','uuid:a8d5bea5-4d19-456b-857e-462a23ec7357','a:1:{i:0;s:41:\"core.base_field_override.node.page.sticky\";}'),('config.entity.key_store.base_field_override','uuid:ab6f4ac7-245d-455e-8cad-5abb502430bc','a:1:{i:0;s:50:\"core.base_field_override.node.simplenews_issue.uid\";}'),('config.entity.key_store.base_field_override','uuid:ac0c39ac-2fcf-412a-8924-b3449703a7ab','a:1:{i:0;s:54:\"core.base_field_override.node.simplenews_issue.created\";}'),('config.entity.key_store.base_field_override','uuid:aee566d9-3688-4510-bfe7-373fd364993b','a:1:{i:0;s:38:\"core.base_field_override.node.blog.uid\";}'),('config.entity.key_store.base_field_override','uuid:afbb8f85-68a6-4409-8fc9-424bd4605322','a:1:{i:0;s:44:\"core.base_field_override.node.why_us.promote\";}'),('config.entity.key_store.base_field_override','uuid:b23fcdf9-291c-4109-9307-32001b3c05a0','a:1:{i:0;s:45:\"core.base_field_override.node.partners.status\";}'),('config.entity.key_store.base_field_override','uuid:b5ee00c5-6460-4848-9011-16a2a3d1ef2b','a:1:{i:0;s:46:\"core.base_field_override.node.portfolio.status\";}'),('config.entity.key_store.base_field_override','uuid:bd27b94b-ae12-4cf4-90f8-b3df3d5a99e1','a:1:{i:0;s:42:\"core.base_field_override.node.banner.title\";}'),('config.entity.key_store.base_field_override','uuid:bd8a3c37-84f9-46a2-b167-7aa2b9981eda','a:1:{i:0;s:42:\"core.base_field_override.node.why_us.title\";}'),('config.entity.key_store.base_field_override','uuid:be96a82e-4241-478e-8c65-7c7051a3e35f','a:1:{i:0;s:68:\"core.base_field_override.menu_link_content.menu_link_content.changed\";}'),('config.entity.key_store.base_field_override','uuid:c6327e7a-dc6e-46ec-952f-1b9efe453cac','a:1:{i:0;s:41:\"core.base_field_override.node.blog.status\";}'),('config.entity.key_store.base_field_override','uuid:cc0f115f-6b29-44f5-b41b-33526e018e6b','a:1:{i:0;s:54:\"core.base_field_override.node.simplenews_issue.changed\";}'),('config.entity.key_store.base_field_override','uuid:d051456e-ffc7-4ed6-ba3d-c438daa34819','a:1:{i:0;s:46:\"core.base_field_override.node.partners.promote\";}'),('config.entity.key_store.base_field_override','uuid:d3ae6269-253d-43cf-8b3a-ced54dd4d946','a:1:{i:0;s:41:\"core.base_field_override.node.page.status\";}'),('config.entity.key_store.base_field_override','uuid:d7f0ea97-0b7a-44ac-8963-754b00c381ee','a:1:{i:0;s:42:\"core.base_field_override.node.page.created\";}'),('config.entity.key_store.base_field_override','uuid:df5d2528-7fff-4e75-b489-d98f3417fced','a:1:{i:0;s:42:\"core.base_field_override.node.page.promote\";}'),('config.entity.key_store.base_field_override','uuid:e037941a-1e3e-43bd-a2aa-a99136df4a72','a:1:{i:0;s:45:\"core.base_field_override.node.our_mission.uid\";}'),('config.entity.key_store.base_field_override','uuid:e11c2191-a1f9-4355-9c67-454f314df5c0','a:1:{i:0;s:48:\"core.base_field_override.taxonomy_term.tags.name\";}'),('config.entity.key_store.base_field_override','uuid:eb1914e0-af7f-415a-b962-0f332bb2e4fe','a:1:{i:0;s:49:\"core.base_field_override.node.our_mission.created\";}'),('config.entity.key_store.base_field_override','uuid:f23385cb-1248-4d2f-8576-f8557e18fe92','a:1:{i:0;s:43:\"core.base_field_override.node.portfolio.uid\";}'),('config.entity.key_store.base_field_override','uuid:f3806e33-b7fe-4011-bc41-f59a39be0252','a:1:{i:0;s:49:\"core.base_field_override.node.our_mission.changed\";}'),('config.entity.key_store.base_field_override','uuid:f7353d61-a93d-44d4-a647-3b94ddbe2e0e','a:1:{i:0;s:47:\"core.base_field_override.node.portfolio.changed\";}'),('config.entity.key_store.base_field_override','uuid:f7b0e40e-d1de-483c-b777-d4c1fdfe3347','a:1:{i:0;s:53:\"core.base_field_override.node.simplenews_issue.status\";}'),('config.entity.key_store.base_field_override','uuid:feb08c84-0493-4ef5-b6d8-7e8bd147ee47','a:1:{i:0;s:45:\"core.base_field_override.node.portfolio.title\";}'),('config.entity.key_store.base_field_override','uuid:ff00964f-4802-4583-b887-0c4924be50e0','a:1:{i:0;s:42:\"core.base_field_override.node.page.changed\";}'),('config.entity.key_store.block','theme:bartik','a:14:{i:0;s:32:\"block.block.bartik_local_actions\";i:1;s:30:\"block.block.bartik_local_tasks\";i:2;s:29:\"block.block.bartik_page_title\";i:3;s:23:\"block.block.bartik_help\";i:4;s:25:\"block.block.bartik_search\";i:5;s:26:\"block.block.bartik_powered\";i:6;s:27:\"block.block.bartik_messages\";i:7;s:26:\"block.block.bartik_content\";i:8;s:30:\"block.block.bartik_breadcrumbs\";i:9;s:27:\"block.block.bartik_branding\";i:10;s:31:\"block.block.bartik_account_menu\";i:11;s:25:\"block.block.bartik_footer\";i:12;s:28:\"block.block.bartik_main_menu\";i:13;s:24:\"block.block.bartik_tools\";}'),('config.entity.key_store.block','theme:luxestate','a:46:{i:0;s:34:\"block.block.luxestate_account_menu\";i:1;s:30:\"block.block.luxestate_branding\";i:2;s:33:\"block.block.luxestate_breadcrumbs\";i:3;s:29:\"block.block.luxestate_content\";i:4;s:28:\"block.block.luxestate_footer\";i:5;s:26:\"block.block.luxestate_help\";i:6;s:35:\"block.block.luxestate_local_actions\";i:7;s:33:\"block.block.luxestate_local_tasks\";i:9;s:30:\"block.block.luxestate_messages\";i:10;s:32:\"block.block.luxestate_page_title\";i:11;s:29:\"block.block.luxestate_powered\";i:12;s:28:\"block.block.luxestate_search\";i:13;s:27:\"block.block.luxestate_tools\";i:14;s:45:\"block.block.views_block__our_partners_block_1\";i:15;s:26:\"block.block.mainnavigation\";i:16;s:22:\"block.block.quicklinks\";i:17;s:16:\"block.block.blog\";i:19;s:39:\"block.block.views_block__banner_block_1\";i:20;s:42:\"block.block.views_block__blog_page_block_1\";i:21;s:45:\"block.block.views_block__blog_details_block_3\";i:23;s:37:\"block.block.views_block__tags_block_1\";i:24;s:39:\"block.block.views_block__banner_block_3\";i:25;s:42:\"block.block.views_block__blog_page_block_2\";i:26;s:42:\"block.block.views_block__blog_page_block_3\";i:27;s:42:\"block.block.views_block__slideshow_block_1\";i:28;s:39:\"block.block.views_block__banner_block_2\";i:29;s:42:\"block.block.views_block__portfolio_block_1\";i:30;s:41:\"block.block.views_block__about_us_block_1\";i:31;s:34:\"block.block.simplenewssubscription\";i:32;s:21:\"block.block.contactus\";i:33;s:23:\"block.block.ourlocation\";i:34;s:39:\"block.block.views_block__banner_block_4\";i:35;s:30:\"block.block.copyrightbyweebpal\";i:36;s:42:\"block.block.views_block__frontpage_block_1\";i:37;s:44:\"block.block.views_block__our_mission_block_1\";i:38;s:46:\"block.block.views_block__why_choose_us_block_1\";i:39;s:45:\"block.block.views_block__our_services_block_1\";i:40;s:46:\"block.block.views_block__why_choose_us_block_2\";i:41;s:39:\"block.block.views_block__banner_block_5\";i:42;s:45:\"block.block.views_block__blog_details_block_1\";i:43;s:21:\"block.block.pagetitle\";i:44;s:39:\"block.block.views_block__banner_block_6\";i:45;s:27:\"block.block.newsletterblock\";i:46;s:23:\"block.block.breadcrumbs\";i:47;s:39:\"block.block.views_block__banner_block_7\";i:48;s:28:\"block.block.mainnavigation_2\";}'),('config.entity.key_store.block','theme:seven','a:9:{i:0;s:39:\"block.block.seven_secondary_local_tasks\";i:1;s:37:\"block.block.seven_primary_local_tasks\";i:2;s:28:\"block.block.seven_page_title\";i:3;s:31:\"block.block.seven_local_actions\";i:4;s:22:\"block.block.seven_help\";i:5;s:26:\"block.block.seven_messages\";i:6;s:25:\"block.block.seven_content\";i:7;s:29:\"block.block.seven_breadcrumbs\";i:8;s:23:\"block.block.seven_login\";}'),('config.entity.key_store.block','uuid:00cefbc2-9642-41a1-83b7-988a50cecc14','a:1:{i:0;s:45:\"block.block.views_block__blog_details_block_1\";}'),('config.entity.key_store.block','uuid:02fecbf4-9dc0-497d-8275-4004aca97142','a:1:{i:0;s:39:\"block.block.views_block__banner_block_6\";}'),('config.entity.key_store.block','uuid:05ad0efb-df48-45a8-8fdd-02f5f99b2e2b','a:1:{i:0;s:31:\"block.block.bartik_account_menu\";}'),('config.entity.key_store.block','uuid:067d7b51-7e59-4378-9675-9505841dca91','a:1:{i:0;s:23:\"block.block.seven_login\";}'),('config.entity.key_store.block','uuid:0b15030f-d01a-4381-a992-d5e5f579bcd3','a:1:{i:0;s:27:\"block.block.bartik_branding\";}'),('config.entity.key_store.block','uuid:0d108db3-6ac7-44fd-b666-c0408758add7','a:1:{i:0;s:29:\"block.block.luxestate_content\";}'),('config.entity.key_store.block','uuid:123d7e2e-70ec-472d-8bc7-18089d4b1448','a:1:{i:0;s:25:\"block.block.bartik_search\";}'),('config.entity.key_store.block','uuid:14d65fdc-e501-4a0e-a1c2-91b9ddaf883d','a:1:{i:0;s:29:\"block.block.bartik_page_title\";}'),('config.entity.key_store.block','uuid:1b9ab4d1-ad75-4e83-b06a-68d103ea375b','a:1:{i:0;s:27:\"block.block.bartik_messages\";}'),('config.entity.key_store.block','uuid:1dc39fed-9056-4b00-9641-b842b7ea760c','a:1:{i:0;s:34:\"block.block.simplenewssubscription\";}'),('config.entity.key_store.block','uuid:1e204480-f964-4428-a728-3edbcef2a6b3','a:1:{i:0;s:28:\"block.block.bartik_main_menu\";}'),('config.entity.key_store.block','uuid:247f7463-1949-43c8-ac7e-e62c195b59ab','a:1:{i:0;s:26:\"block.block.luxestate_help\";}'),('config.entity.key_store.block','uuid:28333d3c-53c0-414c-b9aa-2c0d3cdbc6af','a:1:{i:0;s:42:\"block.block.views_block__blog_page_block_1\";}'),('config.entity.key_store.block','uuid:2a7804a5-19b9-4f53-a519-d5c7536084d9','a:1:{i:0;s:39:\"block.block.views_block__banner_block_7\";}'),('config.entity.key_store.block','uuid:2bf0dffb-1c03-4067-aaee-c5e303892373','a:1:{i:0;s:45:\"block.block.views_block__our_services_block_1\";}'),('config.entity.key_store.block','uuid:35b5c009-e15f-4fb0-a1eb-a53cd12afcf0','a:1:{i:0;s:34:\"block.block.luxestate_account_menu\";}'),('config.entity.key_store.block','uuid:3b4cd89a-b17f-4257-8acb-a4e2af15feed','a:1:{i:0;s:35:\"block.block.luxestate_local_actions\";}'),('config.entity.key_store.block','uuid:3bd68868-5850-4eec-8065-82aae90d9a54','a:1:{i:0;s:28:\"block.block.luxestate_search\";}'),('config.entity.key_store.block','uuid:463b0385-ce78-4597-a4c2-ca479b3fa8c2','a:1:{i:0;s:32:\"block.block.luxestate_page_title\";}'),('config.entity.key_store.block','uuid:46466991-b794-4562-a678-9b83bcde6f16','a:1:{i:0;s:28:\"block.block.luxestate_footer\";}'),('config.entity.key_store.block','uuid:4649d7ab-1769-4af0-a737-9fa4516e7cbd','a:1:{i:0;s:28:\"block.block.mainnavigation_2\";}'),('config.entity.key_store.block','uuid:4c105b7c-288e-4e78-9b59-7b844259c685','a:1:{i:0;s:27:\"block.block.luxestate_tools\";}'),('config.entity.key_store.block','uuid:4ea627d8-f6f4-49d6-b20b-da8ed689fcfa','a:1:{i:0;s:39:\"block.block.views_block__banner_block_5\";}'),('config.entity.key_store.block','uuid:524c8164-c841-4aa9-80e2-d5fa420b6b99','a:1:{i:0;s:26:\"block.block.bartik_content\";}'),('config.entity.key_store.block','uuid:53057242-7cdb-46df-88f7-374f3976c45a','a:1:{i:0;s:28:\"block.block.seven_page_title\";}'),('config.entity.key_store.block','uuid:59f9e433-ab1f-4d03-812d-a4130361bed9','a:1:{i:0;s:21:\"block.block.contactus\";}'),('config.entity.key_store.block','uuid:5afb6e2c-d5f9-46e6-aa4f-c96ebaaf6651','a:1:{i:0;s:30:\"block.block.luxestate_branding\";}'),('config.entity.key_store.block','uuid:5b4ce356-61d4-4575-9dd8-4a04f2ca23c4','a:1:{i:0;s:44:\"block.block.views_block__our_mission_block_1\";}'),('config.entity.key_store.block','uuid:5e54cc7d-0bb7-4b10-b641-3c7dd297aaae','a:1:{i:0;s:42:\"block.block.views_block__blog_page_block_3\";}'),('config.entity.key_store.block','uuid:5fa90933-4a5a-4af5-9006-05fc186dddd4','a:1:{i:0;s:46:\"block.block.views_block__why_choose_us_block_2\";}'),('config.entity.key_store.block','uuid:6409e469-0a6b-46ef-9808-02d09a55e463','a:1:{i:0;s:31:\"block.block.seven_local_actions\";}'),('config.entity.key_store.block','uuid:67ee53bf-f406-4bbc-b758-08f474f0774c','a:1:{i:0;s:37:\"block.block.seven_primary_local_tasks\";}'),('config.entity.key_store.block','uuid:74498e76-c24e-4da8-8c85-2d799f799dca','a:1:{i:0;s:42:\"block.block.views_block__slideshow_block_1\";}'),('config.entity.key_store.block','uuid:777cd0f6-f75b-42fc-93cb-19d4ee26c25d','a:1:{i:0;s:21:\"block.block.pagetitle\";}'),('config.entity.key_store.block','uuid:7f4a9b19-b797-45e1-9d8a-1d2bffa74e40','a:1:{i:0;s:23:\"block.block.bartik_help\";}'),('config.entity.key_store.block','uuid:82797529-f064-4ac7-8b87-c8eb161fbeda','a:1:{i:0;s:32:\"block.block.bartik_local_actions\";}'),('config.entity.key_store.block','uuid:8a5f9a82-3a4a-402f-8990-54159c7d973b','a:1:{i:0;s:45:\"block.block.views_block__blog_details_block_3\";}'),('config.entity.key_store.block','uuid:91abbd9a-b992-498c-8784-66b126c66985','a:1:{i:0;s:23:\"block.block.ourlocation\";}'),('config.entity.key_store.block','uuid:933d36c2-424e-47c9-b44f-63fc857c2fff','a:1:{i:0;s:37:\"block.block.views_block__tags_block_1\";}'),('config.entity.key_store.block','uuid:93566e58-5841-48d0-b92b-37e576c8a558','a:1:{i:0;s:26:\"block.block.seven_messages\";}'),('config.entity.key_store.block','uuid:98a6c337-730b-4a53-8a9a-f03621e6fb96','a:1:{i:0;s:30:\"block.block.copyrightbyweebpal\";}'),('config.entity.key_store.block','uuid:9bd8bd30-5981-4e15-9126-5d99b17adb56','a:1:{i:0;s:16:\"block.block.blog\";}'),('config.entity.key_store.block','uuid:9d0f0343-beec-47c4-ba30-186b9f81b8c0','a:1:{i:0;s:25:\"block.block.seven_content\";}'),('config.entity.key_store.block','uuid:9da5a1e7-9b2e-4871-826d-b144ffbb9a50','a:1:{i:0;s:30:\"block.block.bartik_breadcrumbs\";}'),('config.entity.key_store.block','uuid:a0b0daed-e8ce-4606-89cc-0287f20e6aa8','a:1:{i:0;s:25:\"block.block.bartik_footer\";}'),('config.entity.key_store.block','uuid:a18097dc-09a4-4728-bed4-492c98fbd181','a:1:{i:0;s:24:\"block.block.bartik_tools\";}'),('config.entity.key_store.block','uuid:a27c34c1-6da0-48f0-aca6-b016b44553ee','a:1:{i:0;s:22:\"block.block.quicklinks\";}'),('config.entity.key_store.block','uuid:a4939ac5-7f92-4f64-b224-627d89b86f8a','a:1:{i:0;s:39:\"block.block.views_block__banner_block_1\";}'),('config.entity.key_store.block','uuid:a93ad700-47bd-4c72-bde7-873a7609bc32','a:1:{i:0;s:39:\"block.block.views_block__banner_block_3\";}'),('config.entity.key_store.block','uuid:ab90aeec-2619-4b81-b79f-c584f2c0e8e6','a:1:{i:0;s:39:\"block.block.views_block__banner_block_2\";}'),('config.entity.key_store.block','uuid:acd97cc9-63d4-4ef0-9828-50c84366fd54','a:1:{i:0;s:46:\"block.block.views_block__why_choose_us_block_1\";}'),('config.entity.key_store.block','uuid:b10cfdf4-0bc8-40ee-9d32-d7b900b9a7f9','a:1:{i:0;s:41:\"block.block.views_block__about_us_block_1\";}'),('config.entity.key_store.block','uuid:b5a8d5d0-8602-45a3-b247-e38fab322e20','a:1:{i:0;s:30:\"block.block.bartik_local_tasks\";}'),('config.entity.key_store.block','uuid:b5b44fb2-4da4-4f6a-a351-cda526e7d3b3','a:1:{i:0;s:27:\"block.block.newsletterblock\";}'),('config.entity.key_store.block','uuid:d1d6b8ed-8fda-47ad-abbf-57e7cc7bd3c5','a:1:{i:0;s:33:\"block.block.luxestate_breadcrumbs\";}'),('config.entity.key_store.block','uuid:d307cace-b623-42f4-a2b4-a94e054d16b3','a:1:{i:0;s:45:\"block.block.views_block__our_partners_block_1\";}'),('config.entity.key_store.block','uuid:d38bebd8-09a4-4808-a5c2-6226e963e777','a:1:{i:0;s:39:\"block.block.seven_secondary_local_tasks\";}'),('config.entity.key_store.block','uuid:d3cebbbb-4518-4651-b930-814519d61bea','a:1:{i:0;s:42:\"block.block.views_block__blog_page_block_2\";}'),('config.entity.key_store.block','uuid:d94c59cc-e5d4-4a6a-bd41-82b51303099a','a:1:{i:0;s:29:\"block.block.luxestate_powered\";}'),('config.entity.key_store.block','uuid:dbee2165-ea59-4a34-9fc8-f230c237936a','a:1:{i:0;s:23:\"block.block.breadcrumbs\";}'),('config.entity.key_store.block','uuid:e58b5379-763b-41b2-b3d3-de9abe8a64db','a:1:{i:0;s:30:\"block.block.luxestate_messages\";}'),('config.entity.key_store.block','uuid:e8a6ae54-70d7-434c-b7d6-b9d5fe9c8626','a:1:{i:0;s:42:\"block.block.views_block__portfolio_block_1\";}'),('config.entity.key_store.block','uuid:ea087a6a-3200-471b-ada0-2c044b1a5c4b','a:1:{i:0;s:26:\"block.block.bartik_powered\";}'),('config.entity.key_store.block','uuid:eeab3648-832b-44bf-9a31-8f3ec87d92db','a:1:{i:0;s:39:\"block.block.views_block__banner_block_4\";}'),('config.entity.key_store.block','uuid:f10bcc3c-098e-468c-9923-46e70ed89a31','a:1:{i:0;s:33:\"block.block.luxestate_local_tasks\";}'),('config.entity.key_store.block','uuid:f453a16b-9058-4027-883e-3bde1fd9f07e','a:1:{i:0;s:29:\"block.block.seven_breadcrumbs\";}'),('config.entity.key_store.block','uuid:f51ffd01-503a-4f00-b3c2-3baafeb230f9','a:1:{i:0;s:26:\"block.block.mainnavigation\";}'),('config.entity.key_store.block','uuid:f5f7debb-442f-4f84-a672-3a0660a4df66','a:1:{i:0;s:22:\"block.block.seven_help\";}'),('config.entity.key_store.block','uuid:fc04f2f2-f09f-4ff5-aaa3-8d26c2027c0f','a:1:{i:0;s:42:\"block.block.views_block__frontpage_block_1\";}'),('config.entity.key_store.block_content_type','uuid:77607f3b-980c-4cfa-9a24-5735ae708e46','a:1:{i:0;s:24:\"block_content.type.basic\";}'),('config.entity.key_store.comment_type','uuid:df90402f-7483-4652-8958-f2c2555f18b3','a:1:{i:0;s:20:\"comment.type.comment\";}'),('config.entity.key_store.configurable_language','uuid:2ef9f621-64f0-452e-9619-62c95c733e04','a:1:{i:0;s:18:\"language.entity.ar\";}'),('config.entity.key_store.configurable_language','uuid:635dd98b-f2a0-4d9b-b4e1-983aa020d48b','a:1:{i:0;s:19:\"language.entity.und\";}'),('config.entity.key_store.configurable_language','uuid:6c55d020-3f44-46ed-8985-c57be1afdd4c','a:1:{i:0;s:18:\"language.entity.en\";}'),('config.entity.key_store.configurable_language','uuid:acf95ace-379e-4ced-8dbc-d33ebdea3dcb','a:1:{i:0;s:19:\"language.entity.zxx\";}'),('config.entity.key_store.contact_form','uuid:0a89f02e-d2f8-4c7b-83f0-b78772c367ad','a:1:{i:0;s:21:\"contact.form.personal\";}'),('config.entity.key_store.contact_form','uuid:2a769dee-6c36-492e-af95-2ded668b944a','a:1:{i:0;s:21:\"contact.form.feedback\";}'),('config.entity.key_store.date_format','uuid:0aa59391-30b0-49be-8ed0-d27d1dfc78f0','a:1:{i:0;s:27:\"core.date_format.html_month\";}'),('config.entity.key_store.date_format','uuid:2b8717b7-0999-49e7-8cf9-053e08c0e277','a:1:{i:0;s:26:\"core.date_format.html_date\";}'),('config.entity.key_store.date_format','uuid:37d87aca-405f-4157-bb7f-e4ec5b8c130c','a:1:{i:0;s:21:\"core.date_format.long\";}'),('config.entity.key_store.date_format','uuid:41b088c0-5599-48eb-b470-1acf6d00f8eb','a:1:{i:0;s:26:\"core.date_format.html_time\";}'),('config.entity.key_store.date_format','uuid:5aa6ef52-030d-4a94-af8b-4eaa64aa03d9','a:1:{i:0;s:26:\"core.date_format.html_week\";}'),('config.entity.key_store.date_format','uuid:72370129-04a1-4bdd-9e9e-8aa371f66a99','a:1:{i:0;s:30:\"core.date_format.html_datetime\";}'),('config.entity.key_store.date_format','uuid:b3b10235-c0b6-41e7-bd83-e669af051647','a:1:{i:0;s:35:\"core.date_format.html_yearless_date\";}'),('config.entity.key_store.date_format','uuid:d380a6b3-e833-4413-a215-7e8ae29234f6','a:1:{i:0;s:26:\"core.date_format.html_year\";}'),('config.entity.key_store.date_format','uuid:e12e1db5-d60a-43c6-af74-8b6aaf76a519','a:1:{i:0;s:25:\"core.date_format.fallback\";}'),('config.entity.key_store.date_format','uuid:e3f4b66f-9575-4ed2-88d1-7da077eeed83','a:1:{i:0;s:22:\"core.date_format.short\";}'),('config.entity.key_store.date_format','uuid:ffac6d2f-f986-4864-b323-9207dffa5745','a:1:{i:0;s:23:\"core.date_format.medium\";}'),('config.entity.key_store.editor','uuid:6f9461fb-2138-4a10-9f44-c84e13b13495','a:1:{i:0;s:24:\"editor.editor.basic_html\";}'),('config.entity.key_store.editor','uuid:bf57c16d-4f10-4dda-ba52-74d3d163e2be','a:1:{i:0;s:23:\"editor.editor.full_html\";}'),('config.entity.key_store.entity_form_display','uuid:23949d6c-f805-4439-bb9a-7c5dea5afef9','a:1:{i:0;s:76:\"core.entity_form_display.simplenews_subscriber.simplenews_subscriber.account\";}'),('config.entity.key_store.entity_form_display','uuid:2477e473-3d63-4ac3-97b3-50f46eaec610','a:1:{i:0;s:42:\"core.entity_form_display.node.page.default\";}'),('config.entity.key_store.entity_form_display','uuid:330adaf0-b6c9-4ec8-bba7-c4c804e50e0b','a:1:{i:0;s:44:\"core.entity_form_display.node.banner.default\";}'),('config.entity.key_store.entity_form_display','uuid:3c45df3a-a9fb-4b50-aa82-9f9e1983844f','a:1:{i:0;s:45:\"core.entity_form_display.node.article.default\";}'),('config.entity.key_store.entity_form_display','uuid:7808a8ec-c485-4e88-a6dc-713c2db8f831','a:1:{i:0;s:76:\"core.entity_form_display.simplenews_subscriber.simplenews_subscriber.default\";}'),('config.entity.key_store.entity_form_display','uuid:7923560e-8edf-49db-a5c8-aba990cdbe24','a:1:{i:0;s:42:\"core.entity_form_display.user.user.default\";}'),('config.entity.key_store.entity_form_display','uuid:89f03753-2806-410a-a49b-3470c5458ebd','a:1:{i:0;s:46:\"core.entity_form_display.node.partners.default\";}'),('config.entity.key_store.entity_form_display','uuid:8bfac6ee-7143-4e3c-9898-6a200d47eda1','a:1:{i:0;s:42:\"core.entity_form_display.node.blog.default\";}'),('config.entity.key_store.entity_form_display','uuid:8e39a037-daf6-4f86-bbb1-b3f67687bdb7','a:1:{i:0;s:54:\"core.entity_form_display.node.simplenews_issue.default\";}'),('config.entity.key_store.entity_form_display','uuid:9b2d99ba-d93e-4943-ad6d-6d676fd46916','a:1:{i:0;s:47:\"core.entity_form_display.node.portfolio.default\";}'),('config.entity.key_store.entity_form_display','uuid:9db8e5eb-0b08-4cac-a3f7-c6bbc75dc321','a:1:{i:0;s:50:\"core.entity_form_display.node.our_services.default\";}'),('config.entity.key_store.entity_form_display','uuid:be61f5fa-d828-4bc2-aed4-fa8670e4588d','a:1:{i:0;s:49:\"core.entity_form_display.node.our_mission.default\";}'),('config.entity.key_store.entity_form_display','uuid:c1d001ad-acfd-4221-8c43-714bcff5708c','a:1:{i:0;s:57:\"core.entity_form_display.contact_message.feedback.default\";}'),('config.entity.key_store.entity_form_display','uuid:d6e62d69-2ff8-46b5-8a6d-0e6fe67be069','a:1:{i:0;s:44:\"core.entity_form_display.node.why_us.default\";}'),('config.entity.key_store.entity_form_display','uuid:e5ba0896-3e61-4dcf-9ecb-59f9fddeee10','a:1:{i:0;s:52:\"core.entity_form_display.block_content.basic.default\";}'),('config.entity.key_store.entity_form_display','uuid:feb82a15-c4d3-47e1-9853-ebfe8f58127b','a:1:{i:0;s:48:\"core.entity_form_display.comment.comment.default\";}'),('config.entity.key_store.entity_form_mode','uuid:01473263-9e4a-4cb1-9d49-578c9fc816a3','a:1:{i:0;s:49:\"core.entity_form_mode.simplenews_subscriber.block\";}'),('config.entity.key_store.entity_form_mode','uuid:3d9fe5e6-0bfe-469f-aa07-70c715e88cdd','a:1:{i:0;s:51:\"core.entity_form_mode.simplenews_subscriber.account\";}'),('config.entity.key_store.entity_form_mode','uuid:45aa92b8-6a12-44a0-aa54-8d9932eae7f9','a:1:{i:0;s:48:\"core.entity_form_mode.simplenews_subscriber.page\";}'),('config.entity.key_store.entity_form_mode','uuid:970e7df6-6557-4734-aca7-2e59c0b28555','a:1:{i:0;s:35:\"core.entity_form_mode.user.register\";}'),('config.entity.key_store.entity_view_display','uuid:1754e700-7290-485d-a404-4a052ef18ae2','a:1:{i:0;s:53:\"core.entity_view_display.node.simplenews_issue.teaser\";}'),('config.entity.key_store.entity_view_display','uuid:237757b5-bdf4-4ac5-b1d1-d3136f38e509','a:1:{i:0;s:54:\"core.entity_view_display.node.simplenews_issue.default\";}'),('config.entity.key_store.entity_view_display','uuid:417cc05d-d907-4bf3-9bdb-1b9c381f4e34','a:1:{i:0;s:43:\"core.entity_view_display.node.why_us.teaser\";}'),('config.entity.key_store.entity_view_display','uuid:44c22411-4af2-4cdb-9701-27be2e13d9a7','a:1:{i:0;s:45:\"core.entity_view_display.node.article.default\";}'),('config.entity.key_store.entity_view_display','uuid:56232bd4-535b-4d8d-b88d-c0d410ccd199','a:1:{i:0;s:44:\"core.entity_view_display.node.why_us.default\";}'),('config.entity.key_store.entity_view_display','uuid:58fa8860-7917-4e59-b463-f47b2ad06dd7','a:1:{i:0;s:48:\"core.entity_view_display.node.our_mission.teaser\";}'),('config.entity.key_store.entity_view_display','uuid:595d84b8-78d5-46b1-855d-93f466a736b9','a:1:{i:0;s:57:\"core.entity_view_display.node.simplenews_issue.email_html\";}'),('config.entity.key_store.entity_view_display','uuid:685070b8-ca53-4645-9139-4b9fae931280','a:1:{i:0;s:42:\"core.entity_view_display.node.page.default\";}'),('config.entity.key_store.entity_view_display','uuid:6e5a75a4-cf9b-4b8c-bf00-dbde3b42dcb2','a:1:{i:0;s:60:\"core.entity_view_display.node.simplenews_issue.email_textalt\";}'),('config.entity.key_store.entity_view_display','uuid:6f2e4f62-a418-46cb-9521-db56402d42c7','a:1:{i:0;s:42:\"core.entity_view_display.user.user.compact\";}'),('config.entity.key_store.entity_view_display','uuid:6fea26c1-ba55-4809-8f77-d4b353375f83','a:1:{i:0;s:46:\"core.entity_view_display.node.portfolio.teaser\";}'),('config.entity.key_store.entity_view_display','uuid:74bbebb3-0409-4e81-a772-accf6ad18d9f','a:1:{i:0;s:42:\"core.entity_view_display.user.user.default\";}'),('config.entity.key_store.entity_view_display','uuid:7a3dcc3d-3aee-41b2-9a46-5feec4cfae7b','a:1:{i:0;s:41:\"core.entity_view_display.node.article.rss\";}'),('config.entity.key_store.entity_view_display','uuid:7b5d3676-999e-4179-a310-5fa86a435402','a:1:{i:0;s:49:\"core.entity_view_display.node.our_services.teaser\";}'),('config.entity.key_store.entity_view_display','uuid:8f9e1544-5b10-4a31-ba55-202c4068d064','a:1:{i:0;s:44:\"core.entity_view_display.node.article.teaser\";}'),('config.entity.key_store.entity_view_display','uuid:9ef59783-54fa-4435-af08-2521fddd905e','a:1:{i:0;s:41:\"core.entity_view_display.node.page.teaser\";}'),('config.entity.key_store.entity_view_display','uuid:a836de9a-6d1f-4ed7-8600-fbc2b09286c1','a:1:{i:0;s:58:\"core.entity_view_display.node.simplenews_issue.email_plain\";}'),('config.entity.key_store.entity_view_display','uuid:ac510f9a-d9bd-49cb-89e1-958d8c7e5eb4','a:1:{i:0;s:52:\"core.entity_view_display.block_content.basic.default\";}'),('config.entity.key_store.entity_view_display','uuid:b9bb3491-1582-4dcf-bb91-191577fa8efc','a:1:{i:0;s:42:\"core.entity_view_display.node.blog.default\";}'),('config.entity.key_store.entity_view_display','uuid:bf9c3a9c-1b8f-4880-921f-822bca5666d3','a:1:{i:0;s:49:\"core.entity_view_display.node.our_mission.default\";}'),('config.entity.key_store.entity_view_display','uuid:c3911edd-3dfe-4217-bcbc-54199abf447a','a:1:{i:0;s:47:\"core.entity_view_display.node.portfolio.default\";}'),('config.entity.key_store.entity_view_display','uuid:c4a6f58f-730a-4425-9a55-a3f4871044e6','a:1:{i:0;s:41:\"core.entity_view_display.node.blog.teaser\";}'),('config.entity.key_store.entity_view_display','uuid:cb70ee22-7300-41f3-9678-573fa3895b42','a:1:{i:0;s:44:\"core.entity_view_display.node.banner.default\";}'),('config.entity.key_store.entity_view_display','uuid:d851900a-50f9-4240-8adf-e545f4ef752f','a:1:{i:0;s:46:\"core.entity_view_display.node.partners.default\";}'),('config.entity.key_store.entity_view_display','uuid:dac4d4f0-b71e-473c-b45f-63f94f976dc7','a:1:{i:0;s:45:\"core.entity_view_display.node.partners.teaser\";}'),('config.entity.key_store.entity_view_display','uuid:e39d523c-cf7f-491a-8f21-2b618e1065c6','a:1:{i:0;s:50:\"core.entity_view_display.node.our_services.default\";}'),('config.entity.key_store.entity_view_display','uuid:f56301c6-5e7b-4529-9018-267e6984f64e','a:1:{i:0;s:48:\"core.entity_view_display.comment.comment.default\";}'),('config.entity.key_store.entity_view_display','uuid:fcf0a213-e8eb-460f-b74d-f7028d50de7b','a:1:{i:0;s:43:\"core.entity_view_display.node.banner.teaser\";}'),('config.entity.key_store.entity_view_mode','uuid:026a8761-bc16-4de5-bff7-37e0c0c7be8e','a:1:{i:0;s:33:\"core.entity_view_mode.node.teaser\";}'),('config.entity.key_store.entity_view_mode','uuid:170950bf-7d2d-44a7-9b71-4356798ade52','a:1:{i:0;s:36:\"core.entity_view_mode.shortcut.token\";}'),('config.entity.key_store.entity_view_mode','uuid:1e28e7b1-2b2e-4714-b87a-ba8517c6505c','a:1:{i:0;s:41:\"core.entity_view_mode.block_content.token\";}'),('config.entity.key_store.entity_view_mode','uuid:1e63c648-ea0c-4c85-9b8d-7cba9ed36d08','a:1:{i:0;s:35:\"core.entity_view_mode.comment.token\";}'),('config.entity.key_store.entity_view_mode','uuid:21310d1e-472a-4623-8336-ae04a450c9b6','a:1:{i:0;s:33:\"core.entity_view_mode.block.token\";}'),('config.entity.key_store.entity_view_mode','uuid:322e223e-e9da-4f41-8de1-02492ebd3cb8','a:1:{i:0;s:40:\"core.entity_view_mode.node.search_result\";}'),('config.entity.key_store.entity_view_mode','uuid:3371dda6-434b-411f-a6ed-1d0d88529d67','a:1:{i:0;s:32:\"core.entity_view_mode.tour.token\";}'),('config.entity.key_store.entity_view_mode','uuid:34d350ab-2db4-480d-a608-2536c67ba343','a:1:{i:0;s:39:\"core.entity_view_mode.node.search_index\";}'),('config.entity.key_store.entity_view_mode','uuid:37d1a394-5d96-4872-a4e8-8d4d2d085f0e','a:1:{i:0;s:45:\"core.entity_view_mode.menu_link_content.token\";}'),('config.entity.key_store.entity_view_mode','uuid:4b62e7f3-e70b-4de4-bfd9-f77daa493d80','a:1:{i:0;s:41:\"core.entity_view_mode.taxonomy_term.token\";}'),('config.entity.key_store.entity_view_mode','uuid:4fc3c08f-567d-415a-be2d-b84db5f7283c','a:1:{i:0;s:32:\"core.entity_view_mode.node.token\";}'),('config.entity.key_store.entity_view_mode','uuid:651b023b-49de-4c40-9cf2-71170d3cd709','a:1:{i:0;s:31:\"core.entity_view_mode.node.full\";}'),('config.entity.key_store.entity_view_mode','uuid:6c74b1f8-f113-4940-a6c1-58332c377bd6','a:1:{i:0;s:38:\"core.entity_view_mode.node.email_plain\";}'),('config.entity.key_store.entity_view_mode','uuid:79198018-bf67-4ae7-a786-86e30e0fc2fd','a:1:{i:0;s:34:\"core.entity_view_mode.user.compact\";}'),('config.entity.key_store.entity_view_mode','uuid:79a84e8c-7d6d-4910-a4ba-f548fece6d24','a:1:{i:0;s:32:\"core.entity_view_mode.file.token\";}'),('config.entity.key_store.entity_view_mode','uuid:99237fee-d81d-423f-bcc0-7ac477f27595','a:1:{i:0;s:31:\"core.entity_view_mode.user.full\";}'),('config.entity.key_store.entity_view_mode','uuid:9cce7646-9f8c-4000-9317-81242a77e183','a:1:{i:0;s:40:\"core.entity_view_mode.taxonomy_term.full\";}'),('config.entity.key_store.entity_view_mode','uuid:9d4a4f31-0332-4f48-89e6-d1a0de7951f4','a:1:{i:0;s:32:\"core.entity_view_mode.user.token\";}'),('config.entity.key_store.entity_view_mode','uuid:a4ac9bda-198f-43bc-a947-1a2f4058351c','a:1:{i:0;s:40:\"core.entity_view_mode.block_content.full\";}'),('config.entity.key_store.entity_view_mode','uuid:ab44ddff-9f3b-4b89-9f6f-8601dacc16f0','a:1:{i:0;s:30:\"core.entity_view_mode.node.rss\";}'),('config.entity.key_store.entity_view_mode','uuid:b240fc1f-30f7-4d0d-876c-cf5c44e4dbf5','a:1:{i:0;s:37:\"core.entity_view_mode.node.email_html\";}'),('config.entity.key_store.entity_view_mode','uuid:b7c20b42-33c6-43a4-96fe-8619f28fd96a','a:1:{i:0;s:40:\"core.entity_view_mode.node.email_textalt\";}'),('config.entity.key_store.entity_view_mode','uuid:e7b2fc96-4cfc-4145-8384-f0593aceaf63','a:1:{i:0;s:34:\"core.entity_view_mode.comment.full\";}'),('config.entity.key_store.entity_view_mode','uuid:ff589cba-3995-4b9f-ae88-f0ea4eff90ff','a:1:{i:0;s:43:\"core.entity_view_mode.contact_message.token\";}'),('config.entity.key_store.field_config','uuid:02c3e309-16ad-4a27-b424-3379ed09e32f','a:1:{i:0;s:33:\"field.field.node.blog.field_video\";}'),('config.entity.key_store.field_config','uuid:0d775f34-813a-4f1b-832e-e3ff7f10e6e0','a:1:{i:0;s:37:\"field.field.node.article.field_banner\";}'),('config.entity.key_store.field_config','uuid:1b46fda6-bf86-4cb4-b5e8-3bdb73899123','a:1:{i:0;s:36:\"field.field.node.partners.field_link\";}'),('config.entity.key_store.field_config','uuid:23ecfb1a-3ea9-4143-afca-bfabb30ea05e','a:1:{i:0;s:29:\"field.field.node.blog.comment\";}'),('config.entity.key_store.field_config','uuid:29727e2e-df46-488a-a810-f11ea23511e5','a:1:{i:0;s:37:\"field.field.node.blog.field_slideshow\";}'),('config.entity.key_store.field_config','uuid:2d693a5a-f25e-47fc-be01-15b07589ebd5','a:1:{i:0;s:30:\"field.field.node.partners.body\";}'),('config.entity.key_store.field_config','uuid:2db5574a-d8e5-4f25-89f8-bad82b3f89a4','a:1:{i:0;s:35:\"field.field.node.article.field_tags\";}'),('config.entity.key_store.field_config','uuid:328b7f74-1b58-4d96-a5ca-97070084fa91','a:1:{i:0;s:32:\"field.field.node.blog.field_tags\";}'),('config.entity.key_store.field_config','uuid:3c51716a-2a87-4c86-baaf-bb758019980d','a:1:{i:0;s:42:\"field.field.node.banner.field_banner_title\";}'),('config.entity.key_store.field_config','uuid:40793a2c-16a2-4f41-9b28-6d1b631497bf','a:1:{i:0;s:33:\"field.field.node.our_mission.body\";}'),('config.entity.key_store.field_config','uuid:51baa96d-12fb-45f4-8e4c-889896ac394d','a:1:{i:0;s:40:\"field.field.node.our_mission.field_image\";}'),('config.entity.key_store.field_config','uuid:5afd535f-4955-4738-b95d-c9eccf70e2d0','a:1:{i:0;s:26:\"field.field.node.page.body\";}'),('config.entity.key_store.field_config','uuid:5cd96fc2-a268-4565-acbb-47d1d7a661dc','a:1:{i:0;s:36:\"field.field.node.article.field_image\";}'),('config.entity.key_store.field_config','uuid:5eab01ba-0567-43cf-9dbc-864792008222','a:1:{i:0;s:38:\"field.field.node.page.field_icon_class\";}'),('config.entity.key_store.field_config','uuid:617fc148-b825-49eb-a0f8-1c795ecd7ea6','a:1:{i:0;s:36:\"field.field.block_content.basic.body\";}'),('config.entity.key_store.field_config','uuid:64091b85-f7dc-4af0-a67b-d5412e5617c5','a:1:{i:0;s:31:\"field.field.node.portfolio.body\";}'),('config.entity.key_store.field_config','uuid:767f9d7a-6ee4-4a54-bc98-d5419bd53a6d','a:1:{i:0;s:50:\"field.field.node.simplenews_issue.simplenews_issue\";}'),('config.entity.key_store.field_config','uuid:7ebb332b-5502-40e1-b3e7-69a45afe4b84','a:1:{i:0;s:28:\"field.field.node.banner.body\";}'),('config.entity.key_store.field_config','uuid:8099a257-5265-484c-90c8-eb10f94e5104','a:1:{i:0;s:35:\"field.field.node.banner.field_image\";}'),('config.entity.key_store.field_config','uuid:838268ab-2a51-4c16-8fda-aea368e2c03b','a:1:{i:0;s:33:\"field.field.node.article.field_su\";}'),('config.entity.key_store.field_config','uuid:8535255e-3824-4bb3-9164-fba7825bdb3b','a:1:{i:0;s:29:\"field.field.node.article.body\";}'),('config.entity.key_store.field_config','uuid:963c436d-85aa-4b14-97bc-05d7813594bc','a:1:{i:0;s:40:\"field.field.comment.comment.comment_body\";}'),('config.entity.key_store.field_config','uuid:9e0a03ef-8ad0-4c36-b505-bf6f9a56dcab','a:1:{i:0;s:34:\"field.field.node.our_services.body\";}'),('config.entity.key_store.field_config','uuid:a54538db-ea2c-485a-bcec-dc37d879c449','a:1:{i:0;s:28:\"field.field.node.why_us.body\";}'),('config.entity.key_store.field_config','uuid:b59f96e5-9c60-4b17-be0b-1d9507ee63e6','a:1:{i:0;s:40:\"field.field.node.portfolio.field_gallery\";}'),('config.entity.key_store.field_config','uuid:c266e9df-f450-4123-87ae-affd53fe6357','a:1:{i:0;s:69:\"field.field.simplenews_subscriber.simplenews_subscriber.subscriptions\";}'),('config.entity.key_store.field_config','uuid:c5c621d8-c239-44fa-8585-9625710009f3','a:1:{i:0;s:40:\"field.field.node.partners.field_partners\";}'),('config.entity.key_store.field_config','uuid:c9aaa05c-1a36-4433-b956-719da4bd2794','a:1:{i:0;s:41:\"field.field.node.why_us.field_why_us_type\";}'),('config.entity.key_store.field_config','uuid:d022d48f-52dc-4609-8898-515da38879ec','a:1:{i:0;s:32:\"field.field.node.article.comment\";}'),('config.entity.key_store.field_config','uuid:e41371ef-0349-4e25-afc6-9bf888b580b4','a:1:{i:0;s:34:\"field.field.user.user.user_picture\";}'),('config.entity.key_store.field_config','uuid:f3cc3618-60b4-4e4c-aabe-fbcd3a2d6d90','a:1:{i:0;s:33:\"field.field.node.blog.field_image\";}'),('config.entity.key_store.field_config','uuid:f7f01996-237c-46f7-b3dc-8f5acec7245d','a:1:{i:0;s:34:\"field.field.node.banner.field_type\";}'),('config.entity.key_store.field_config','uuid:f88faf78-0644-43b4-91fc-77f58f3a76b0','a:1:{i:0;s:26:\"field.field.node.blog.body\";}'),('config.entity.key_store.field_config','uuid:fa08d833-71d4-4634-be81-deb833e6be3e','a:1:{i:0;s:38:\"field.field.node.simplenews_issue.body\";}'),('config.entity.key_store.field_config','uuid:fbfdc492-6233-4ca9-a11a-38b7957e4257','a:1:{i:0;s:43:\"field.field.node.our_services.field_percent\";}'),('config.entity.key_store.field_storage_config','uuid:1517bdc8-d091-4e0f-8a1c-d287bd383250','a:1:{i:0;s:32:\"field.storage.node.field_gallery\";}'),('config.entity.key_store.field_storage_config','uuid:1b245196-bf51-4c0b-b807-66f1b282e695','a:1:{i:0;s:35:\"field.storage.node.simplenews_issue\";}'),('config.entity.key_store.field_storage_config','uuid:2664db21-7715-460e-85f4-70b5c70ba1bc','a:1:{i:0;s:26:\"field.storage.node.comment\";}'),('config.entity.key_store.field_storage_config','uuid:376513d3-9d75-4403-b578-ad97f71231fa','a:1:{i:0;s:32:\"field.storage.block_content.body\";}'),('config.entity.key_store.field_storage_config','uuid:51ea101f-de2d-4147-92f2-a1aa27aa9be8','a:1:{i:0;s:27:\"field.storage.node.field_su\";}'),('config.entity.key_store.field_storage_config','uuid:53c02de5-9554-4167-89f9-66e39fb7652a','a:1:{i:0;s:29:\"field.storage.node.field_link\";}'),('config.entity.key_store.field_storage_config','uuid:5a5cb1c4-0b64-4ad6-931e-858dafc0789f','a:1:{i:0;s:37:\"field.storage.node.field_banner_title\";}'),('config.entity.key_store.field_storage_config','uuid:5b4f7200-9ce1-47fd-8771-3f4f0fe45388','a:1:{i:0;s:23:\"field.storage.node.body\";}'),('config.entity.key_store.field_storage_config','uuid:631deb2f-20f7-4e93-9457-e3bfe1c8cd19','a:1:{i:0;s:33:\"field.storage.node.field_partners\";}'),('config.entity.key_store.field_storage_config','uuid:7779bda3-6dd2-4c89-ad2a-3b07a9adc912','a:1:{i:0;s:35:\"field.storage.node.field_icon_class\";}'),('config.entity.key_store.field_storage_config','uuid:77a6aad6-0a3f-4c7a-914d-cfc651a97328','a:1:{i:0;s:29:\"field.storage.node.field_type\";}'),('config.entity.key_store.field_storage_config','uuid:99270b75-d166-44ea-adc5-35245a8806e2','a:1:{i:0;s:30:\"field.storage.node.field_image\";}'),('config.entity.key_store.field_storage_config','uuid:9b3c12ca-5601-4aa1-9786-aa727082ca17','a:1:{i:0;s:30:\"field.storage.node.field_video\";}'),('config.entity.key_store.field_storage_config','uuid:9b748097-7a4f-464f-96c4-4aa975cb0c86','a:1:{i:0;s:34:\"field.storage.comment.comment_body\";}'),('config.entity.key_store.field_storage_config','uuid:a50b1fb6-85ee-4dd7-bd60-1d1b3f59bffa','a:1:{i:0;s:36:\"field.storage.node.field_why_us_type\";}'),('config.entity.key_store.field_storage_config','uuid:b12e67cb-3bac-442c-b039-65ce91937ca5','a:1:{i:0;s:29:\"field.storage.node.field_tags\";}'),('config.entity.key_store.field_storage_config','uuid:c66cc57d-76b7-4dc9-994b-f68c4bcf6e0d','a:1:{i:0;s:31:\"field.storage.node.field_banner\";}'),('config.entity.key_store.field_storage_config','uuid:c7e7a770-0ad8-43e0-a3dd-f26ab3f0870b','a:1:{i:0;s:49:\"field.storage.simplenews_subscriber.subscriptions\";}'),('config.entity.key_store.field_storage_config','uuid:cab51041-9a45-4c8f-a921-be60ddfa27ce','a:1:{i:0;s:32:\"field.storage.node.field_percent\";}'),('config.entity.key_store.field_storage_config','uuid:de75d22f-44ac-4dd0-a92b-10683cfca971','a:1:{i:0;s:34:\"field.storage.node.field_slideshow\";}'),('config.entity.key_store.field_storage_config','uuid:e64d8313-b823-473d-b7c5-f51613cc8e75','a:1:{i:0;s:31:\"field.storage.user.user_picture\";}'),('config.entity.key_store.filter_format','uuid:8c494b7c-79fe-4492-99e6-de6eb17099c5','a:1:{i:0;s:24:\"filter.format.plain_text\";}'),('config.entity.key_store.filter_format','uuid:99b1b028-071c-47e7-8d86-cb4db3563de2','a:1:{i:0;s:29:\"filter.format.restricted_html\";}'),('config.entity.key_store.filter_format','uuid:d4ada579-3847-4caf-9811-f9e7a8227242','a:1:{i:0;s:24:\"filter.format.basic_html\";}'),('config.entity.key_store.filter_format','uuid:efe20ac4-44c8-461d-9471-f88c6e15a634','a:1:{i:0;s:23:\"filter.format.full_html\";}'),('config.entity.key_store.image_style','uuid:0b26d8b3-8975-43c6-ab92-a8ff667fcb5c','a:1:{i:0;s:23:\"image.style.image_63_63\";}'),('config.entity.key_store.image_style','uuid:0b6dc3fc-6dd9-4c7d-be24-0bb5a256bba5','a:1:{i:0;s:25:\"image.style.max_2600x2600\";}'),('config.entity.key_store.image_style','uuid:0fef7669-37f2-4884-9fde-a69904a27889','a:1:{i:0;s:23:\"image.style.max_325x325\";}'),('config.entity.key_store.image_style','uuid:123875a2-e242-4edb-ac32-84c93ed47e04','a:2:{i:0;s:25:\"image.style.image_533_356\";i:1;s:25:\"image.style.image_370_350\";}'),('config.entity.key_store.image_style','uuid:13f80893-dd02-4139-b69c-9ed488efd94c','a:1:{i:0;s:21:\"image.style.thumbnail\";}'),('config.entity.key_store.image_style','uuid:2d810af2-1a84-4621-9b95-f62043d7b9f5','a:1:{i:0;s:25:\"image.style.image_380_224\";}'),('config.entity.key_store.image_style','uuid:50658240-178b-4df6-a403-684bfcfe1fd7','a:2:{i:0;s:27:\"image.style.image_1400_700_\";i:1;s:26:\"image.style.image_1400_700\";}'),('config.entity.key_store.image_style','uuid:5ac58f87-c9b6-4610-a374-e2e08ff0d56a','a:1:{i:0;s:25:\"image.style.max_1300x1300\";}'),('config.entity.key_store.image_style','uuid:5e2ea4f8-a090-46d8-bc78-100996c31979','a:2:{i:0;s:25:\"image.style.image_256_265\";i:1;s:25:\"image.style.image_270_270\";}'),('config.entity.key_store.image_style','uuid:808ad9d0-05ff-47f4-9449-4ec291def08b','a:1:{i:0;s:26:\"image.style.image_1920_845\";}'),('config.entity.key_store.image_style','uuid:8747f947-e3d1-4ac3-8b57-05062b7bd107','a:1:{i:0;s:26:\"image.style.image_1920_700\";}'),('config.entity.key_store.image_style','uuid:8c34ceb0-3238-4bdc-96ff-9686ed86eba2','a:1:{i:0;s:26:\"image.style.image_513_251_\";}'),('config.entity.key_store.image_style','uuid:8d08329f-ca57-418e-9b67-1ec66bf27bc3','a:1:{i:0;s:18:\"image.style.medium\";}'),('config.entity.key_store.image_style','uuid:912d7362-50b4-422c-8e86-e876769c48d8','a:1:{i:0;s:27:\"image.style.image_1920_1280\";}'),('config.entity.key_store.image_style','uuid:a50d2f53-0c6b-497d-a5a7-710713c60791','a:1:{i:0;s:26:\"image.style.image_640_363_\";}'),('config.entity.key_store.image_style','uuid:a6d7fecd-7a17-451a-ad2e-1860552e2f6c','a:1:{i:0;s:26:\"image.style.image_1920_595\";}'),('config.entity.key_store.image_style','uuid:a7b3f6fd-e128-4e63-9ff2-79dfa57fcd3e','a:2:{i:0;s:25:\"image.style.image_350_362\";i:1;s:25:\"image.style.image_370_370\";}'),('config.entity.key_store.image_style','uuid:b11f113b-644f-4597-8f38-39d1315e039f','a:1:{i:0;s:17:\"image.style.large\";}'),('config.entity.key_store.image_style','uuid:ba89ba3e-6c23-48ca-a750-030125738327','a:3:{i:0;s:25:\"image.style.image_370_250\";i:1;s:25:\"image.style.image_551_250\";i:2;s:25:\"image.style.image_551_372\";}'),('config.entity.key_store.image_style','uuid:c83cebb2-9bd6-4e72-996a-4529efaec5cd','a:1:{i:0;s:27:\"image.style.image_1921_685_\";}'),('config.entity.key_store.image_style','uuid:ca4435dd-2293-4e94-b103-f5d186e78462','a:1:{i:0;s:26:\"image.style.image_360_360_\";}'),('config.entity.key_store.image_style','uuid:fa9e75bc-ad30-4a07-833d-aaacaaf31e44','a:1:{i:0;s:23:\"image.style.max_650x650\";}'),('config.entity.key_store.language_content_settings','uuid:0633eecb-ed52-445e-845e-5be41b3c87fa','a:1:{i:0;s:35:\"language.content_settings.user.user\";}'),('config.entity.key_store.language_content_settings','uuid:27a2bb5a-1e30-4a5b-9415-27c4a420ac91','a:1:{i:0;s:50:\"language.content_settings.contact_message.feedback\";}'),('config.entity.key_store.language_content_settings','uuid:28bb0bb6-88b7-4a14-894a-00a74d8493ab','a:1:{i:0;s:47:\"language.content_settings.node.simplenews_issue\";}'),('config.entity.key_store.language_content_settings','uuid:53fcf181-0b82-403f-aca5-a0fcf6d1363e','a:1:{i:0;s:35:\"language.content_settings.file.file\";}'),('config.entity.key_store.language_content_settings','uuid:6a50af60-83f9-4eec-8ef7-785d5f618fe0','a:1:{i:0;s:47:\"language.content_settings.path_alias.path_alias\";}'),('config.entity.key_store.language_content_settings','uuid:974ae65a-376d-47ed-9619-c2fbbbe73209','a:1:{i:0;s:42:\"language.content_settings.node.our_mission\";}'),('config.entity.key_store.language_content_settings','uuid:a12eb571-35e6-4c9f-912b-4a554a6843f3','a:1:{i:0;s:42:\"language.content_settings.shortcut.default\";}'),('config.entity.key_store.language_content_settings','uuid:a59aafbd-a7d8-4977-9481-1c62ddd6d672','a:1:{i:0;s:44:\"language.content_settings.taxonomy_term.tags\";}'),('config.entity.key_store.language_content_settings','uuid:ac8bb1a9-5c2c-4c9b-ab5d-ebfa4e1ad514','a:1:{i:0;s:50:\"language.content_settings.contact_message.personal\";}'),('config.entity.key_store.language_content_settings','uuid:b5bcd5ad-88b7-4299-933e-d52a67860ad3','a:1:{i:0;s:37:\"language.content_settings.node.why_us\";}'),('config.entity.key_store.language_content_settings','uuid:bae870e5-dba2-4e8a-b6e0-6a2bffc87572','a:1:{i:0;s:39:\"language.content_settings.node.partners\";}'),('config.entity.key_store.language_content_settings','uuid:bbffcffb-4b6e-4947-bd70-d35d7e0572ba','a:1:{i:0;s:45:\"language.content_settings.block_content.basic\";}'),('config.entity.key_store.language_content_settings','uuid:c0dead90-54e0-4ea5-9e53-d29ff6dff17a','a:1:{i:0;s:43:\"language.content_settings.node.our_services\";}'),('config.entity.key_store.language_content_settings','uuid:d1cbbb2a-c9e1-4a37-9b8d-012aade5f139','a:1:{i:0;s:61:\"language.content_settings.menu_link_content.menu_link_content\";}'),('config.entity.key_store.language_content_settings','uuid:d25a2638-b735-421b-a035-008b6c45444c','a:1:{i:0;s:38:\"language.content_settings.node.article\";}'),('config.entity.key_store.language_content_settings','uuid:d2b01ce3-8acc-43d7-a421-4974512f290a','a:1:{i:0;s:37:\"language.content_settings.node.banner\";}'),('config.entity.key_store.language_content_settings','uuid:e55376b8-9057-4a7c-bf4e-f2db42cd221a','a:1:{i:0;s:35:\"language.content_settings.node.blog\";}'),('config.entity.key_store.language_content_settings','uuid:f5163600-bf2d-49af-b54e-5993f0c61ff4','a:1:{i:0;s:41:\"language.content_settings.comment.comment\";}'),('config.entity.key_store.language_content_settings','uuid:f9a4bc02-0492-4620-8439-3b678951bc15','a:1:{i:0;s:35:\"language.content_settings.node.page\";}'),('config.entity.key_store.language_content_settings','uuid:fab72d4a-f379-4052-8c6a-d3042e0f72f4','a:1:{i:0;s:40:\"language.content_settings.node.portfolio\";}'),('config.entity.key_store.menu','uuid:0ff1c93b-64b4-4d9e-84bf-6b826257e135','a:1:{i:0;s:16:\"system.menu.main\";}'),('config.entity.key_store.menu','uuid:3066309e-2f3f-43d4-af34-d0ee2d11621b','a:1:{i:0;s:17:\"system.menu.quick\";}'),('config.entity.key_store.menu','uuid:3ba80657-c212-49ed-9083-572dea4463f5','a:1:{i:0;s:18:\"system.menu.footer\";}'),('config.entity.key_store.menu','uuid:41a24b73-ad3d-443d-9755-16b8255c1bc3','a:1:{i:0;s:17:\"system.menu.admin\";}'),('config.entity.key_store.menu','uuid:7cd78d5c-9bb7-43cb-a76d-4cbd18e0784f','a:1:{i:0;s:19:\"system.menu.account\";}'),('config.entity.key_store.menu','uuid:e737a044-65be-4d0d-8396-c6dbc31f2e9e','a:1:{i:0;s:17:\"system.menu.tools\";}'),('config.entity.key_store.node_type','uuid:09a33451-a6ec-4c3d-9fc1-abd5fbece254','a:1:{i:0;s:18:\"node.type.partners\";}'),('config.entity.key_store.node_type','uuid:199c35bf-5c32-49e3-8f2d-50b5f50b7f1e','a:1:{i:0;s:21:\"node.type.our_mission\";}'),('config.entity.key_store.node_type','uuid:1d4c8d45-4921-4533-bc81-6d341b7dd16c','a:1:{i:0;s:14:\"node.type.blog\";}'),('config.entity.key_store.node_type','uuid:3a7f92de-9c25-41b3-848d-5d04bf2fe017','a:1:{i:0;s:26:\"node.type.simplenews_issue\";}'),('config.entity.key_store.node_type','uuid:4101228b-5bde-42f6-bb0f-bc2a7da297a5','a:1:{i:0;s:17:\"node.type.article\";}'),('config.entity.key_store.node_type','uuid:552ce646-2fb9-45cd-ae84-807ee8d41f23','a:1:{i:0;s:14:\"node.type.page\";}'),('config.entity.key_store.node_type','uuid:59ee7222-5870-4e97-a44c-e2bcb40b3cf5','a:1:{i:0;s:16:\"node.type.banner\";}'),('config.entity.key_store.node_type','uuid:5cd74c2f-55e9-42ff-bd47-5f63ad48f8d2','a:1:{i:0;s:22:\"node.type.our_services\";}'),('config.entity.key_store.node_type','uuid:6ac71c33-032d-4cd0-b37b-e56ca659feb6','a:1:{i:0;s:19:\"node.type.portfolio\";}'),('config.entity.key_store.node_type','uuid:f597cad7-5989-49c2-b769-3d401ec2d9e4','a:1:{i:0;s:16:\"node.type.why_us\";}'),('config.entity.key_store.pathauto_pattern','status:1','a:8:{i:0;s:25:\"pathauto.pattern.partners\";i:1;s:21:\"pathauto.pattern.blog\";i:2;s:32:\"pathauto.pattern.vocabulary_tags\";i:3;s:23:\"pathauto.pattern.banner\";i:4;s:26:\"pathauto.pattern.portfolio\";i:5;s:28:\"pathauto.pattern.our_mission\";i:6;s:23:\"pathauto.pattern.why_us\";i:7;s:18:\"pathauto.pattern.o\";}'),('config.entity.key_store.pathauto_pattern','type:canonical_entities:node','a:7:{i:0;s:25:\"pathauto.pattern.partners\";i:1;s:21:\"pathauto.pattern.blog\";i:2;s:23:\"pathauto.pattern.banner\";i:3;s:26:\"pathauto.pattern.portfolio\";i:4;s:28:\"pathauto.pattern.our_mission\";i:5;s:23:\"pathauto.pattern.why_us\";i:6;s:18:\"pathauto.pattern.o\";}'),('config.entity.key_store.pathauto_pattern','type:canonical_entities:taxonomy_term','a:1:{i:0;s:32:\"pathauto.pattern.vocabulary_tags\";}'),('config.entity.key_store.pathauto_pattern','uuid:20003c65-0003-42d9-ad26-e7df081cfe4f','a:1:{i:0;s:28:\"pathauto.pattern.our_mission\";}'),('config.entity.key_store.pathauto_pattern','uuid:5409dd92-f6d9-4d67-9af4-1493027d92ae','a:1:{i:0;s:26:\"pathauto.pattern.portfolio\";}'),('config.entity.key_store.pathauto_pattern','uuid:7bfea17f-6ee1-4465-b973-26d2b3b78539','a:1:{i:0;s:18:\"pathauto.pattern.o\";}'),('config.entity.key_store.pathauto_pattern','uuid:94c5e4e2-ef4f-470e-8f01-eb01b926c279','a:1:{i:0;s:32:\"pathauto.pattern.vocabulary_tags\";}'),('config.entity.key_store.pathauto_pattern','uuid:9b2a9b1c-598d-49e9-b152-5aa4c92f17cc','a:1:{i:0;s:23:\"pathauto.pattern.banner\";}'),('config.entity.key_store.pathauto_pattern','uuid:b6929cf3-8303-4cb7-863a-0958dfa29816','a:1:{i:0;s:21:\"pathauto.pattern.blog\";}'),('config.entity.key_store.pathauto_pattern','uuid:f1214a15-3f09-44b0-8e64-bc68ebfdc131','a:1:{i:0;s:23:\"pathauto.pattern.why_us\";}'),('config.entity.key_store.pathauto_pattern','uuid:fdca64a2-e68f-47ee-b8d0-b7d632f323f1','a:1:{i:0;s:25:\"pathauto.pattern.partners\";}'),('config.entity.key_store.rdf_mapping','uuid:5b583582-850c-4984-aa80-3957e2c68f15','a:1:{i:0;s:21:\"rdf.mapping.node.page\";}'),('config.entity.key_store.rdf_mapping','uuid:5e7f7fd8-1a81-4674-a631-170771867a69','a:1:{i:0;s:24:\"rdf.mapping.node.article\";}'),('config.entity.key_store.rdf_mapping','uuid:b4d473de-992f-481f-8550-3dc53154719a','a:1:{i:0;s:21:\"rdf.mapping.user.user\";}'),('config.entity.key_store.rdf_mapping','uuid:c3c6479c-be44-459d-a106-78aba917a646','a:1:{i:0;s:27:\"rdf.mapping.comment.comment\";}'),('config.entity.key_store.rdf_mapping','uuid:e81bfeaf-c2ea-461c-854d-63e80a030fbd','a:1:{i:0;s:30:\"rdf.mapping.taxonomy_term.tags\";}'),('config.entity.key_store.responsive_image_style','uuid:5cffd3ef-5656-4446-b200-b771d8076568','a:1:{i:0;s:28:\"responsive_image.styles.wide\";}'),('config.entity.key_store.responsive_image_style','uuid:8eb79e19-da57-4bd3-8304-4e0b5a147276','a:1:{i:0;s:30:\"responsive_image.styles.narrow\";}'),('config.entity.key_store.search_page','uuid:0d4c7aba-c879-4ad2-8cde-f1dedce20c79','a:1:{i:0;s:23:\"search.page.node_search\";}'),('config.entity.key_store.search_page','uuid:86a112ee-d335-4343-8e7d-cdd2fdd728ca','a:1:{i:0;s:23:\"search.page.user_search\";}'),('config.entity.key_store.shortcut_set','uuid:a01d13da-088c-4ce3-9924-4c1f180975d1','a:1:{i:0;s:20:\"shortcut.set.default\";}'),('config.entity.key_store.simplenews_newsletter','uuid:02d3288a-b749-42a0-bcb8-5464db90c83a','a:1:{i:0;s:29:\"simplenews.newsletter.default\";}'),('config.entity.key_store.taxonomy_vocabulary','uuid:fa86c821-577e-4938-9b46-ac79edb47f56','a:1:{i:0;s:24:\"taxonomy.vocabulary.tags\";}'),('config.entity.key_store.tour','routes.*.route_name:entity.configurable_language.collection','a:1:{i:0;s:18:\"tour.tour.language\";}'),('config.entity.key_store.tour','routes.*.route_name:entity.configurable_language.edit_form','a:1:{i:0;s:23:\"tour.tour.language-edit\";}'),('config.entity.key_store.tour','routes.*.route_name:entity.view.edit_display_form','a:1:{i:0;s:18:\"tour.tour.views-ui\";}'),('config.entity.key_store.tour','routes.*.route_name:entity.view.edit_form','a:1:{i:0;s:18:\"tour.tour.views-ui\";}'),('config.entity.key_store.tour','routes.*.route_name:language.add','a:1:{i:0;s:22:\"tour.tour.language-add\";}'),('config.entity.key_store.tour','routes.*.route_name:locale.translate_page','a:1:{i:0;s:16:\"tour.tour.locale\";}'),('config.entity.key_store.tour','uuid:11787856-cf3e-40d1-a11e-29d16d813012','a:1:{i:0;s:16:\"tour.tour.locale\";}'),('config.entity.key_store.tour','uuid:16a59aa6-72e6-43ba-bf7e-bdf6b799d1ca','a:1:{i:0;s:18:\"tour.tour.language\";}'),('config.entity.key_store.tour','uuid:5e52f36c-ab14-4758-8d84-0c1d90ffdb7b','a:1:{i:0;s:22:\"tour.tour.language-add\";}'),('config.entity.key_store.tour','uuid:81d35547-479d-4ff4-8539-56857e61ee2f','a:1:{i:0;s:18:\"tour.tour.views-ui\";}'),('config.entity.key_store.tour','uuid:94533701-40c2-4100-9421-eb035b23a00b','a:1:{i:0;s:23:\"tour.tour.language-edit\";}'),('config.entity.key_store.user_role','uuid:25fc56b7-90d9-4320-a2e0-e71268bf2122','a:1:{i:0;s:19:\"user.role.anonymous\";}'),('config.entity.key_store.user_role','uuid:2fd21ec0-6a19-49a0-8e8b-e81513c68ef0','a:1:{i:0;s:23:\"user.role.authenticated\";}'),('config.entity.key_store.user_role','uuid:43779bef-811e-4c05-9be4-1c4272c9ef9a','a:1:{i:0;s:23:\"user.role.administrator\";}'),('config.entity.key_store.view','uuid:091dbd98-dd78-4296-ab15-0a431e23e244','a:1:{i:0;s:18:\"views.view.comment\";}'),('config.entity.key_store.view','uuid:0a97407f-cb1e-48d5-833d-0db56ad931c1','a:1:{i:0;s:20:\"views.view.frontpage\";}'),('config.entity.key_store.view','uuid:103d19fc-13a8-4331-af03-ca768b4a35cc','a:1:{i:0;s:23:\"views.view.who_s_online\";}'),('config.entity.key_store.view','uuid:1fbd0a5c-be0f-4461-88e5-486f97429775','a:1:{i:0;s:27:\"views.view.user_page_banner\";}'),('config.entity.key_store.view','uuid:24d4baa7-7935-4c5c-8cc1-4aae6db3e210','a:1:{i:0;s:33:\"views.view.simplenews_newsletters\";}'),('config.entity.key_store.view','uuid:30a13caa-0585-4851-ae29-98b5e3ba70c6','a:1:{i:0;s:24:\"views.view.taxonomy_term\";}'),('config.entity.key_store.view','uuid:3384fb9f-a6e9-49ba-b4b9-32124f9904a6','a:1:{i:0;s:33:\"views.view.simplenews_subscribers\";}'),('config.entity.key_store.view','uuid:50eda1e2-2616-4d12-afd2-6d04dedf7d15','a:1:{i:0;s:18:\"views.view.content\";}'),('config.entity.key_store.view','uuid:587526db-3e89-4daf-85f6-bb8b742a38dd','a:1:{i:0;s:24:\"views.view.block_content\";}'),('config.entity.key_store.view','uuid:659f915c-ecb1-43bb-90d1-ce4960694ebb','a:1:{i:0;s:18:\"views.view.archive\";}'),('config.entity.key_store.view','uuid:681f5a9b-5973-460f-9d36-3a7904261bfe','a:1:{i:0;s:23:\"views.view.our_partners\";}'),('config.entity.key_store.view','uuid:709fdfa6-8127-435f-962e-33bdcf74868b','a:1:{i:0;s:19:\"views.view.glossary\";}'),('config.entity.key_store.view','uuid:87985971-f189-42cc-ba4e-6a4ad23d4c3c','a:1:{i:0;s:25:\"views.view.content_recent\";}'),('config.entity.key_store.view','uuid:8ac920a0-95e6-44ec-a34f-3f37a5d251ef','a:1:{i:0;s:17:\"views.view.banner\";}'),('config.entity.key_store.view','uuid:8e8c4b50-cf64-4bb8-a8a6-6199d120cf8c','a:1:{i:0;s:23:\"views.view.blog_details\";}'),('config.entity.key_store.view','uuid:af24948e-2a3a-4fc2-8f7f-ae031b27d12f','a:1:{i:0;s:19:\"views.view.about_us\";}'),('config.entity.key_store.view','uuid:b252cf52-f026-4c75-b27e-04282bef7925','a:1:{i:0;s:28:\"views.view.user_admin_people\";}'),('config.entity.key_store.view','uuid:bc828e13-4376-4661-bcf6-6da499621a1f','a:1:{i:0;s:24:\"views.view.why_choose_us\";}'),('config.entity.key_store.view','uuid:bdb3f319-873f-4cc0-81b3-b787143ae677','a:1:{i:0;s:22:\"views.view.our_mission\";}'),('config.entity.key_store.view','uuid:c93f19dd-25ca-48f0-bc01-38933cdeae88','a:1:{i:0;s:20:\"views.view.who_s_new\";}'),('config.entity.key_store.view','uuid:c96e6168-8398-4987-8982-6245a1e68183','a:1:{i:0;s:15:\"views.view.tags\";}'),('config.entity.key_store.view','uuid:ca8dfcb7-7a82-4258-9666-401f76d41a30','a:1:{i:0;s:23:\"views.view.our_services\";}'),('config.entity.key_store.view','uuid:d28d778f-6d2b-4b3d-836a-630e3367c1cf','a:1:{i:0;s:26:\"views.view.comments_recent\";}'),('config.entity.key_store.view','uuid:d2ef335f-402f-43cf-9509-2d4d3b576983','a:1:{i:0;s:20:\"views.view.slideshow\";}'),('config.entity.key_store.view','uuid:d546fe82-e0d3-4b56-99b5-7523c3b5a73f','a:1:{i:0;s:16:\"views.view.files\";}'),('config.entity.key_store.view','uuid:d7f381fe-14db-4772-a3f0-41842a94610c','a:1:{i:0;s:24:\"views.view.comment_block\";}'),('config.entity.key_store.view','uuid:f843166f-993a-492c-b328-bbe5f329d3f0','a:1:{i:0;s:20:\"views.view.portfolio\";}'),('config.entity.key_store.view','uuid:f8a69985-b991-45a8-87e2-bc593b731377','a:1:{i:0;s:20:\"views.view.blog_page\";}'),('config.entity.key_store.view','uuid:fead2258-6a23-4deb-aa9c-fd4e75a5b8ba','a:1:{i:0;s:19:\"views.view.watchdog\";}'),('entity.definitions.bundle_field_map','block_content','a:1:{s:4:\"body\";a:2:{s:4:\"type\";s:17:\"text_with_summary\";s:7:\"bundles\";a:1:{s:5:\"basic\";s:5:\"basic\";}}}'),('entity.definitions.bundle_field_map','comment','a:1:{s:12:\"comment_body\";a:2:{s:4:\"type\";s:9:\"text_long\";s:7:\"bundles\";a:1:{s:7:\"comment\";s:7:\"comment\";}}}'),('entity.definitions.bundle_field_map','node','a:17:{s:11:\"field_image\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:4:{s:7:\"article\";s:7:\"article\";s:4:\"blog\";s:4:\"blog\";s:6:\"banner\";s:6:\"banner\";s:11:\"our_mission\";s:11:\"our_mission\";}}s:7:\"comment\";a:2:{s:4:\"type\";s:7:\"comment\";s:7:\"bundles\";a:2:{s:7:\"article\";s:7:\"article\";s:4:\"blog\";s:4:\"blog\";}}s:10:\"field_tags\";a:2:{s:4:\"type\";s:16:\"entity_reference\";s:7:\"bundles\";a:2:{s:7:\"article\";s:7:\"article\";s:4:\"blog\";s:4:\"blog\";}}s:4:\"body\";a:2:{s:4:\"type\";s:17:\"text_with_summary\";s:7:\"bundles\";a:10:{s:4:\"page\";s:4:\"page\";s:7:\"article\";s:7:\"article\";s:8:\"partners\";s:8:\"partners\";s:9:\"portfolio\";s:9:\"portfolio\";s:4:\"blog\";s:4:\"blog\";s:6:\"banner\";s:6:\"banner\";s:16:\"simplenews_issue\";s:16:\"simplenews_issue\";s:11:\"our_mission\";s:11:\"our_mission\";s:6:\"why_us\";s:6:\"why_us\";s:12:\"our_services\";s:12:\"our_services\";}}s:14:\"field_partners\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:1:{s:8:\"partners\";s:8:\"partners\";}}s:10:\"field_link\";a:2:{s:4:\"type\";s:4:\"link\";s:7:\"bundles\";a:1:{s:8:\"partners\";s:8:\"partners\";}}s:13:\"field_gallery\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:1:{s:9:\"portfolio\";s:9:\"portfolio\";}}s:10:\"field_type\";a:2:{s:4:\"type\";s:11:\"list_string\";s:7:\"bundles\";a:1:{s:6:\"banner\";s:6:\"banner\";}}s:18:\"field_banner_title\";a:2:{s:4:\"type\";s:11:\"string_long\";s:7:\"bundles\";a:1:{s:6:\"banner\";s:6:\"banner\";}}s:16:\"simplenews_issue\";a:2:{s:4:\"type\";s:16:\"simplenews_issue\";s:7:\"bundles\";a:1:{s:16:\"simplenews_issue\";s:16:\"simplenews_issue\";}}s:15:\"field_slideshow\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:1:{s:4:\"blog\";s:4:\"blog\";}}s:16:\"field_icon_class\";a:2:{s:4:\"type\";s:6:\"string\";s:7:\"bundles\";a:1:{s:4:\"page\";s:4:\"page\";}}s:12:\"field_banner\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:1:{s:7:\"article\";s:7:\"article\";}}s:13:\"field_percent\";a:2:{s:4:\"type\";s:5:\"float\";s:7:\"bundles\";a:1:{s:12:\"our_services\";s:12:\"our_services\";}}s:17:\"field_why_us_type\";a:2:{s:4:\"type\";s:11:\"list_string\";s:7:\"bundles\";a:1:{s:6:\"why_us\";s:6:\"why_us\";}}s:8:\"field_su\";a:2:{s:4:\"type\";s:9:\"text_long\";s:7:\"bundles\";a:1:{s:7:\"article\";s:7:\"article\";}}s:11:\"field_video\";a:2:{s:4:\"type\";s:17:\"video_embed_field\";s:7:\"bundles\";a:1:{s:4:\"blog\";s:4:\"blog\";}}}'),('entity.definitions.bundle_field_map','simplenews_subscriber','a:1:{s:13:\"subscriptions\";a:2:{s:4:\"type\";s:23:\"simplenews_subscription\";s:7:\"bundles\";a:1:{s:21:\"simplenews_subscriber\";s:21:\"simplenews_subscriber\";}}}'),('entity.definitions.bundle_field_map','user','a:1:{s:12:\"user_picture\";a:2:{s:4:\"type\";s:5:\"image\";s:7:\"bundles\";a:1:{s:4:\"user\";s:4:\"user\";}}}'),('entity.definitions.installed','action.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":39:{s:16:\"\0*\0config_prefix\";N;s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:5:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:4:\"type\";i:3;s:6:\"plugin\";i:4;s:13:\"configuration\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:6:\"action\";s:11:\"\0*\0provider\";s:6:\"system\";s:8:\"\0*\0class\";s:27:\"Drupal\\system\\Entity\\Action\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:2:{s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";s:18:\"administer actions\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Action\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:18:\"config:action_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','base_field_override.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":39:{s:16:\"\0*\0config_prefix\";s:19:\"base_field_override\";s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:12:{i:0;s:2:\"id\";i:1;s:10:\"field_name\";i:2;s:11:\"entity_type\";i:3;s:6:\"bundle\";i:4;s:5:\"label\";i:5;s:11:\"description\";i:6;s:8:\"required\";i:7;s:12:\"translatable\";i:8;s:13:\"default_value\";i:9;s:22:\"default_value_callback\";i:10;s:8:\"settings\";i:11;s:10:\"field_type\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:19:\"base_field_override\";s:11:\"\0*\0provider\";s:4:\"core\";s:8:\"\0*\0class\";s:42:\"Drupal\\Core\\Field\\Entity\\BaseFieldOverride\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:2:{s:7:\"storage\";s:42:\"Drupal\\Core\\Field\\BaseFieldOverrideStorage\";s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Base field override\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:31:\"config:base_field_override_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','block.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":39:{s:16:\"\0*\0config_prefix\";N;s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:2:{i:0;s:5:\"theme\";i:1;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:8:{i:0;s:2:\"id\";i:1;s:5:\"theme\";i:2;s:6:\"region\";i:3;s:6:\"weight\";i:4;s:8:\"provider\";i:5;s:6:\"plugin\";i:6;s:8:\"settings\";i:7;s:10:\"visibility\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:6:{s:2:\"id\";s:2:\"id\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:5:\"block\";s:11:\"\0*\0provider\";s:5:\"block\";s:8:\"\0*\0class\";s:25:\"Drupal\\block\\Entity\\Block\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:5:{s:6:\"access\";s:38:\"Drupal\\block\\BlockAccessControlHandler\";s:12:\"view_builder\";s:29:\"Drupal\\block\\BlockViewBuilder\";s:12:\"list_builder\";s:29:\"Drupal\\block\\BlockListBuilder\";s:4:\"form\";a:2:{s:7:\"default\";s:22:\"Drupal\\block\\BlockForm\";s:6:\"delete\";s:33:\"Drupal\\block\\Form\\BlockDeleteForm\";}s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";s:17:\"administer blocks\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:2:{s:11:\"delete-form\";s:44:\"/admin/structure/block/manage/{block}/delete\";s:9:\"edit-form\";s:37:\"/admin/structure/block/manage/{block}\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Block\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:17:\"config:block_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','block_content.entity_type','O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":42:{s:25:\"\0*\0revision_metadata_keys\";a:4:{s:13:\"revision_user\";s:13:\"revision_user\";s:16:\"revision_created\";s:16:\"revision_created\";s:20:\"revision_log_message\";s:12:\"revision_log\";s:16:\"revision_default\";s:16:\"revision_default\";}s:31:\"\0*\0requiredRevisionMetadataKeys\";a:1:{s:16:\"revision_default\";s:16:\"revision_default\";}s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:0;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:9:{s:2:\"id\";s:2:\"id\";s:8:\"revision\";s:11:\"revision_id\";s:6:\"bundle\";s:4:\"type\";s:5:\"label\";s:4:\"info\";s:8:\"langcode\";s:8:\"langcode\";s:4:\"uuid\";s:4:\"uuid\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:9:\"published\";s:6:\"status\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";}s:5:\"\0*\0id\";s:13:\"block_content\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:7:{s:7:\"storage\";s:46:\"Drupal\\Core\\Entity\\Sql\\SqlContentEntityStorage\";s:6:\"access\";s:53:\"Drupal\\block_content\\BlockContentAccessControlHandler\";s:12:\"list_builder\";s:44:\"Drupal\\block_content\\BlockContentListBuilder\";s:12:\"view_builder\";s:44:\"Drupal\\block_content\\BlockContentViewBuilder\";s:10:\"views_data\";s:42:\"Drupal\\block_content\\BlockContentViewsData\";s:4:\"form\";a:4:{s:3:\"add\";s:37:\"Drupal\\block_content\\BlockContentForm\";s:4:\"edit\";s:37:\"Drupal\\block_content\\BlockContentForm\";s:6:\"delete\";s:48:\"Drupal\\block_content\\Form\\BlockContentDeleteForm\";s:7:\"default\";s:37:\"Drupal\\block_content\\BlockContentForm\";}s:11:\"translation\";s:51:\"Drupal\\block_content\\BlockContentTranslationHandler\";}s:19:\"\0*\0admin_permission\";s:17:\"administer blocks\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:4:{s:9:\"canonical\";s:22:\"/block/{block_content}\";s:11:\"delete-form\";s:29:\"/block/{block_content}/delete\";s:9:\"edit-form\";s:22:\"/block/{block_content}\";s:10:\"collection\";s:36:\"/admin/structure/block/block-content\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";s:18:\"block_content_type\";s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Custom block type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"\0*\0base_table\";s:13:\"block_content\";s:22:\"\0*\0revision_data_table\";s:28:\"block_content_field_revision\";s:17:\"\0*\0revision_table\";s:22:\"block_content_revision\";s:13:\"\0*\0data_table\";s:24:\"block_content_field_data\";s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:1;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Custom block\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";s:35:\"entity.block_content_type.edit_form\";s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:18:\"block_content_list\";}s:14:\"\0*\0constraints\";a:1:{s:13:\"EntityChanged\";N;}s:13:\"\0*\0additional\";a:0:{}s:8:\"\0*\0class\";s:40:\"Drupal\\block_content\\Entity\\BlockContent\";s:11:\"\0*\0provider\";s:13:\"block_content\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','block_content.field_storage_definitions','a:16:{s:2:\"id\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:2;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Custom block ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"The custom block ID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:2:\"id\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:1:{s:5:\"value\";a:1:{i:0;s:5:\"value\";}}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:39;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"The custom block UUID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}}s:11:\"revision_id\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:75;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Revision ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"The revision ID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:11:\"revision_id\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:112;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"The custom block language code.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:1:{s:4:\"type\";s:6:\"hidden\";}}s:4:\"form\";a:1:{s:7:\"options\";a:2:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;}}}s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}}s:4:\"info\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:151;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:11:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Block description\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:34:\"A brief description of your block.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"required\";b:1;s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:-5;}s:12:\"configurable\";b:1;}}s:11:\"constraints\";a:1:{s:11:\"UniqueField\";a:0:{}}s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:4:\"info\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}}s:4:\"type\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:195;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:18:\"block_content_type\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Block type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"The block type.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:4:\"type\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}}s:12:\"revision_log\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:230;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:22:\"field_item:string_long\";s:8:\"settings\";a:1:{s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Revision log message\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:54:\"The log entry explaining the changes in this revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:12:\"revision_log\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}}s:7:\"changed\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"changed\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:261;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:changed\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Changed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"The time that the custom block was last edited.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}}s:29:\"revision_translation_affected\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:291;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Revision translation affected\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"Indicates if the last edit of a translation belongs to current revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:29:\"revision_translation_affected\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}}s:16:\"default_langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:331;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Default translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:58:\"A flag indicating whether this is the default translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:16:\"default_langcode\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}}s:4:\"body\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":29:{s:5:\"\0*\0id\";s:18:\"block_content.body\";s:13:\"\0*\0field_name\";s:4:\"body\";s:14:\"\0*\0entity_type\";s:13:\"block_content\";s:7:\"\0*\0type\";s:17:\"text_with_summary\";s:9:\"\0*\0module\";s:4:\"text\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:1;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:13:\"\0*\0originalId\";s:18:\"block_content.body\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"376513d3-9d75-4403-b578-ad97f71231fa\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:1:{s:19:\"default_config_hash\";s:43:\"eS0snV_L3dx9shtWRTzm5eblwOJ7qKWC9IE-4GMTDFc\";}s:14:\"\0*\0trustedData\";b:1;s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:13:\"block_content\";i:1;s:4:\"text\";}}}s:16:\"revision_created\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"created\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:407;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:created\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Revision create time\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"The time that the current revision was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:16:\"revision_created\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}}s:13:\"revision_user\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:436;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:4:\"user\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Revision user\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:50:\"The user ID of the author of the current revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:8:\"provider\";s:13:\"block_content\";s:10:\"field_name\";s:13:\"revision_user\";s:11:\"entity_type\";s:13:\"block_content\";s:6:\"bundle\";N;}}s:6:\"status\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:472;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Publishing status\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:41:\"A boolean indicating the published state.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:13:\"initial_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:13:\"block_content\";s:8:\"provider\";s:13:\"block_content\";s:6:\"bundle\";N;}}s:8:\"reusable\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:517;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Reusable\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"A boolean indicating whether this block is reusable.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:0;s:12:\"revisionable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:13:\"initial_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:10:\"field_name\";s:8:\"reusable\";s:11:\"entity_type\";s:13:\"block_content\";s:8:\"provider\";s:13:\"block_content\";s:6:\"bundle\";N;}}s:16:\"revision_default\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:562;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Default revision\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"A flag indicating whether this was a default revision when it was saved.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:16:\"storage_required\";b:1;s:12:\"translatable\";b:0;s:12:\"revisionable\";b:1;s:13:\"initial_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:10:\"field_name\";s:16:\"revision_default\";s:11:\"entity_type\";s:13:\"block_content\";s:8:\"provider\";s:13:\"block_content\";s:6:\"bundle\";N;}}}'),('entity.definitions.installed','block_content_type.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":39:{s:16:\"\0*\0config_prefix\";s:4:\"type\";s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:4:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:8:\"revision\";i:3;s:11:\"description\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:18:\"block_content_type\";s:11:\"\0*\0provider\";s:13:\"block_content\";s:8:\"\0*\0class\";s:44:\"Drupal\\block_content\\Entity\\BlockContentType\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:4:{s:4:\"form\";a:4:{s:7:\"default\";s:41:\"Drupal\\block_content\\BlockContentTypeForm\";s:3:\"add\";s:41:\"Drupal\\block_content\\BlockContentTypeForm\";s:4:\"edit\";s:41:\"Drupal\\block_content\\BlockContentTypeForm\";s:6:\"delete\";s:52:\"Drupal\\block_content\\Form\\BlockContentTypeDeleteForm\";}s:12:\"list_builder\";s:48:\"Drupal\\block_content\\BlockContentTypeListBuilder\";s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";s:17:\"administer blocks\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:3:{s:11:\"delete-form\";s:71:\"/admin/structure/block/block-content/manage/{block_content_type}/delete\";s:9:\"edit-form\";s:64:\"/admin/structure/block/block-content/manage/{block_content_type}\";s:10:\"collection\";s:42:\"/admin/structure/block/block-content/types\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";s:13:\"block_content\";s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Custom block type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:30:\"config:block_content_type_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','comment.entity_type','O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":42:{s:25:\"\0*\0revision_metadata_keys\";a:0:{}s:31:\"\0*\0requiredRevisionMetadataKeys\";a:0:{}s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:9:{s:2:\"id\";s:3:\"cid\";s:6:\"bundle\";s:12:\"comment_type\";s:5:\"label\";s:7:\"subject\";s:8:\"langcode\";s:8:\"langcode\";s:4:\"uuid\";s:4:\"uuid\";s:8:\"revision\";s:0:\"\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:9:\"published\";s:6:\"status\";s:5:\"owner\";s:3:\"uid\";}s:5:\"\0*\0id\";s:7:\"comment\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:8:{s:7:\"storage\";s:29:\"Drupal\\comment\\CommentStorage\";s:14:\"storage_schema\";s:35:\"Drupal\\comment\\CommentStorageSchema\";s:6:\"access\";s:42:\"Drupal\\comment\\CommentAccessControlHandler\";s:12:\"list_builder\";s:36:\"Drupal\\Core\\Entity\\EntityListBuilder\";s:12:\"view_builder\";s:33:\"Drupal\\comment\\CommentViewBuilder\";s:10:\"views_data\";s:31:\"Drupal\\comment\\CommentViewsData\";s:4:\"form\";a:2:{s:7:\"default\";s:26:\"Drupal\\comment\\CommentForm\";s:6:\"delete\";s:30:\"Drupal\\comment\\Form\\DeleteForm\";}s:11:\"translation\";s:40:\"Drupal\\comment\\CommentTranslationHandler\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:3:{s:9:\"canonical\";s:18:\"/comment/{comment}\";s:11:\"delete-form\";s:25:\"/comment/{comment}/delete\";s:9:\"edit-form\";s:23:\"/comment/{comment}/edit\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";s:12:\"comment_type\";s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Comment type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"\0*\0base_table\";s:7:\"comment\";s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";s:18:\"comment_field_data\";s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:1;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Comment\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";s:11:\"comment_uri\";s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";s:29:\"entity.comment_type.edit_form\";s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:12:\"comment_list\";}s:14:\"\0*\0constraints\";a:2:{s:11:\"CommentName\";a:0:{}s:13:\"EntityChanged\";N;}s:13:\"\0*\0additional\";a:0:{}s:8:\"\0*\0class\";s:29:\"Drupal\\comment\\Entity\\Comment\";s:11:\"\0*\0provider\";s:7:\"comment\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','comment.field_storage_definitions','a:20:{s:3:\"cid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:2;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Comment ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"The comment ID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:3:\"cid\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:1:{s:5:\"value\";a:1:{i:0;s:5:\"value\";}}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:39;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"The comment UUID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}}s:3:\"pid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:75;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:7:\"comment\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Parent ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:54:\"The parent comment ID if this is a reply to a comment.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:3:\"pid\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}}s:9:\"entity_id\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:110;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:4:\"node\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Entity ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:54:\"The ID of the entity of which this comment is a reply.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:9:\"entity_id\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:146;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"The comment language code.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:1:{s:4:\"type\";s:6:\"hidden\";}}s:4:\"form\";a:1:{s:7:\"options\";a:2:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;}}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}}s:7:\"subject\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:64;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:184;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:64;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Subject\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:10;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:7:\"subject\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}}s:3:\"uid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:220;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:4:\"user\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"User ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:34:\"The user ID of the comment author.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:9:\"target_id\";i:0;}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}}s:4:\"name\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:60;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:259;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:60;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"The comment author\'s name.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:0:\"\";}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:4:\"name\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}}s:4:\"mail\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:5:\"email\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:254;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:296;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:16:\"field_item:email\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Email\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"The comment author\'s email address.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:4:\"mail\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}}s:8:\"homepage\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:3:\"uri\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:326;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:14:\"field_item:uri\";s:8:\"settings\";a:2:{s:10:\"max_length\";i:255;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Homepage\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:39:\"The comment author\'s home page address.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:8:\"homepage\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}}s:8:\"hostname\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:128;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:359;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Hostname\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:30:\"The comment author\'s hostname.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:8:\"hostname\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;s:22:\"default_value_callback\";s:49:\"Drupal\\comment\\Entity\\Comment::getDefaultHostname\";}}s:7:\"created\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"created\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:394;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:created\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Created\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:38:\"The time that the comment was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}}s:7:\"changed\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"changed\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:423;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:changed\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Changed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:42:\"The time that the comment was last edited.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}}s:6:\"status\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";r:463;s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Publishing status\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:54:\"A boolean indicating whether the comment is published.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}}s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";r:477;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:41:\"A boolean indicating the published state.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;s:12:\"revisionable\";b:1;}}s:6:\"thread\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:519;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Thread place\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:144:\"The alphadecimal representation of the comment\'s place in a thread, consisting of a base 36 string prefixed by an integer indicating its length.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:6:\"thread\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}}s:11:\"entity_type\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:552;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:32;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Entity type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:50:\"The entity type to which this comment is attached.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:11:\"entity_type\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;s:8:\"required\";b:1;}}s:12:\"comment_type\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:586;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:12:\"comment_type\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Comment Type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"The comment type.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:12:\"comment_type\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}}s:10:\"field_name\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:621;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:32;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Comment field name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"The field name through which this comment was added.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:10:\"field_name\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;s:8:\"required\";b:1;}}s:16:\"default_langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:655;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Default translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:58:\"A flag indicating whether this is the default translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:7:\"comment\";s:10:\"field_name\";s:16:\"default_langcode\";s:11:\"entity_type\";s:7:\"comment\";s:6:\"bundle\";N;}}s:12:\"comment_body\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:5:\"\0*\0id\";s:20:\"comment.comment_body\";s:13:\"\0*\0field_name\";s:12:\"comment_body\";s:14:\"\0*\0entity_type\";s:7:\"comment\";s:7:\"\0*\0type\";s:9:\"text_long\";s:9:\"\0*\0module\";s:4:\"text\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:1;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:13:\"\0*\0originalId\";s:20:\"comment.comment_body\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"9b748097-7a4f-464f-96c4-4aa975cb0c86\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:1:{s:19:\"default_config_hash\";s:43:\"swYoCch_hY8QO5uwr4FURplfnUCUlpPB4idF8WGVCpw\";}s:14:\"\0*\0trustedData\";b:1;s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:7:\"comment\";i:1;s:4:\"text\";}}s:12:\"\0*\0isSyncing\";b:0;}}'),('entity.definitions.installed','comment_type.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":39:{s:16:\"\0*\0config_prefix\";s:4:\"type\";s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:4:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:21:\"target_entity_type_id\";i:3;s:11:\"description\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:12:\"comment_type\";s:11:\"\0*\0provider\";s:7:\"comment\";s:8:\"\0*\0class\";s:33:\"Drupal\\comment\\Entity\\CommentType\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:4:{s:4:\"form\";a:4:{s:7:\"default\";s:30:\"Drupal\\comment\\CommentTypeForm\";s:3:\"add\";s:30:\"Drupal\\comment\\CommentTypeForm\";s:4:\"edit\";s:30:\"Drupal\\comment\\CommentTypeForm\";s:6:\"delete\";s:41:\"Drupal\\comment\\Form\\CommentTypeDeleteForm\";}s:12:\"list_builder\";s:37:\"Drupal\\comment\\CommentTypeListBuilder\";s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";s:24:\"administer comment types\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:4:{s:11:\"delete-form\";s:53:\"/admin/structure/comment/manage/{comment_type}/delete\";s:9:\"edit-form\";s:46:\"/admin/structure/comment/manage/{comment_type}\";s:8:\"add-form\";s:34:\"/admin/structure/comment/types/add\";s:10:\"collection\";s:30:\"/admin/structure/comment/types\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";s:7:\"comment\";s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Comment type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:24:\"config:comment_type_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','configurable_language.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":39:{s:16:\"\0*\0config_prefix\";s:6:\"entity\";s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:0:{}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:6:\"weight\";s:6:\"weight\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:21:\"configurable_language\";s:11:\"\0*\0provider\";s:8:\"language\";s:8:\"\0*\0class\";s:43:\"Drupal\\language\\Entity\\ConfigurableLanguage\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:4:{s:12:\"list_builder\";s:35:\"Drupal\\language\\LanguageListBuilder\";s:6:\"access\";s:44:\"Drupal\\language\\LanguageAccessControlHandler\";s:4:\"form\";a:3:{s:3:\"add\";s:36:\"Drupal\\language\\Form\\LanguageAddForm\";s:4:\"edit\";s:37:\"Drupal\\language\\Form\\LanguageEditForm\";s:6:\"delete\";s:39:\"Drupal\\language\\Form\\LanguageDeleteForm\";}s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";s:20:\"administer languages\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:4:{s:11:\"delete-form\";s:62:\"/admin/config/regional/language/delete/{configurable_language}\";s:9:\"edit-form\";s:60:\"/admin/config/regional/language/edit/{configurable_language}\";s:10:\"collection\";s:31:\"/admin/config/regional/language\";s:10:\"devel-load\";s:52:\"/devel/configurable_language/{configurable_language}\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:33:\"config:configurable_language_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:21:\"configurable_language\";}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','contact_form.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":39:{s:16:\"\0*\0config_prefix\";s:4:\"form\";s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:5:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:10:\"recipients\";i:3;s:5:\"reply\";i:4;s:6:\"weight\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:12:\"contact_form\";s:11:\"\0*\0provider\";s:7:\"contact\";s:8:\"\0*\0class\";s:33:\"Drupal\\contact\\Entity\\ContactForm\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:4:{s:6:\"access\";s:46:\"Drupal\\contact\\ContactFormAccessControlHandler\";s:12:\"list_builder\";s:37:\"Drupal\\contact\\ContactFormListBuilder\";s:4:\"form\";a:3:{s:3:\"add\";s:34:\"Drupal\\contact\\ContactFormEditForm\";s:4:\"edit\";s:34:\"Drupal\\contact\\ContactFormEditForm\";s:6:\"delete\";s:35:\"Drupal\\Core\\Entity\\EntityDeleteForm\";}s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";s:24:\"administer contact forms\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:4:{s:11:\"delete-form\";s:53:\"/admin/structure/contact/manage/{contact_form}/delete\";s:9:\"edit-form\";s:46:\"/admin/structure/contact/manage/{contact_form}\";s:10:\"collection\";s:24:\"/admin/structure/contact\";s:9:\"canonical\";s:23:\"/contact/{contact_form}\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";s:15:\"contact_message\";s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Contact form\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:24:\"config:contact_form_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','contact_message.entity_type','O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":35:{s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:5:{s:6:\"bundle\";s:12:\"contact_form\";s:4:\"uuid\";s:4:\"uuid\";s:8:\"langcode\";s:8:\"langcode\";s:8:\"revision\";s:0:\"\";s:16:\"default_langcode\";s:16:\"default_langcode\";}s:5:\"\0*\0id\";s:15:\"contact_message\";s:11:\"\0*\0provider\";s:7:\"contact\";s:8:\"\0*\0class\";s:29:\"Drupal\\contact\\Entity\\Message\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:4:{s:6:\"access\";s:49:\"Drupal\\contact\\ContactMessageAccessControlHandler\";s:7:\"storage\";s:43:\"Drupal\\Core\\Entity\\ContentEntityNullStorage\";s:12:\"view_builder\";s:33:\"Drupal\\contact\\MessageViewBuilder\";s:4:\"form\";a:1:{s:7:\"default\";s:26:\"Drupal\\contact\\MessageForm\";}}s:19:\"\0*\0admin_permission\";s:24:\"administer contact forms\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";s:12:\"contact_form\";s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Contact message\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";s:29:\"entity.contact_form.edit_form\";s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:20:\"contact_message_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','contact_message.field_storage_definitions','a:9:{s:12:\"contact_form\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:2;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:12:\"contact_form\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Form ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:30:\"The ID of the associated form.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:8:\"provider\";s:7:\"contact\";s:10:\"field_name\";s:12:\"contact_form\";s:11:\"entity_type\";s:15:\"contact_message\";s:6:\"bundle\";N;}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:28;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"The message UUID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:7:\"contact\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:15:\"contact_message\";s:6:\"bundle\";N;}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:54;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"The message language code.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"display\";a:1:{s:4:\"form\";a:1:{s:7:\"options\";a:2:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;}}}s:8:\"provider\";s:7:\"contact\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:15:\"contact_message\";s:6:\"bundle\";N;}}s:4:\"name\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:81;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"The sender\'s name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:59:\"The name of the person that is sending the contact message.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:7:\"contact\";s:10:\"field_name\";s:4:\"name\";s:11:\"entity_type\";s:15:\"contact_message\";s:6:\"bundle\";N;}}s:4:\"mail\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:5:\"email\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:106;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:16:\"field_item:email\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"The sender\'s email\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:60:\"The email of the person that is sending the contact message.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:7:\"contact\";s:10:\"field_name\";s:4:\"mail\";s:11:\"entity_type\";s:15:\"contact_message\";s:6:\"bundle\";N;}}s:7:\"subject\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:128;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:100;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Subject\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:-10;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:7:\"contact\";s:10:\"field_name\";s:7:\"subject\";s:11:\"entity_type\";s:15:\"contact_message\";s:6:\"bundle\";N;}}s:7:\"message\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:156;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:22:\"field_item:string_long\";s:8:\"settings\";a:1:{s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Message\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:7:\"display\";a:2:{s:4:\"form\";a:2:{s:7:\"options\";a:3:{s:4:\"type\";s:15:\"string_textarea\";s:6:\"weight\";i:0;s:8:\"settings\";a:1:{s:4:\"rows\";i:12;}}s:12:\"configurable\";b:1;}s:4:\"view\";a:2:{s:7:\"options\";a:3:{s:4:\"type\";s:6:\"string\";s:6:\"weight\";i:0;s:5:\"label\";s:5:\"above\";}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:7:\"contact\";s:10:\"field_name\";s:7:\"message\";s:11:\"entity_type\";s:15:\"contact_message\";s:6:\"bundle\";N;}}s:4:\"copy\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:190;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Copy\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"Whether to send a copy of the message to the sender.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:7:\"contact\";s:10:\"field_name\";s:4:\"copy\";s:11:\"entity_type\";s:15:\"contact_message\";s:6:\"bundle\";N;}}s:9:\"recipient\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";N;s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:220;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:4:\"user\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Recipient ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:59:\"The ID of the recipient user for personal contact messages.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:7:\"contact\";s:10:\"field_name\";s:9:\"recipient\";s:11:\"entity_type\";s:15:\"contact_message\";s:6:\"bundle\";N;}}}'),('entity.definitions.installed','date_format.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":39:{s:16:\"\0*\0config_prefix\";N;s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:4:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:6:\"locked\";i:3;s:7:\"pattern\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:11:\"date_format\";s:11:\"\0*\0provider\";s:4:\"core\";s:8:\"\0*\0class\";s:38:\"Drupal\\Core\\Datetime\\Entity\\DateFormat\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:4:{s:6:\"access\";s:44:\"Drupal\\system\\DateFormatAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";s:4:\"form\";a:3:{s:3:\"add\";s:36:\"Drupal\\system\\Form\\DateFormatAddForm\";s:4:\"edit\";s:37:\"Drupal\\system\\Form\\DateFormatEditForm\";s:6:\"delete\";s:39:\"Drupal\\system\\Form\\DateFormatDeleteForm\";}s:12:\"list_builder\";s:35:\"Drupal\\system\\DateFormatListBuilder\";}s:19:\"\0*\0admin_permission\";s:29:\"administer site configuration\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:3:{s:9:\"edit-form\";s:61:\"/admin/config/regional/date-time/formats/manage/{date_format}\";s:11:\"delete-form\";s:68:\"/admin/config/regional/date-time/formats/manage/{date_format}/delete\";s:10:\"collection\";s:40:\"/admin/config/regional/date-time/formats\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Date format\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:8:\"rendered\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','editor.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":39:{s:16:\"\0*\0config_prefix\";N;s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:4:{i:0;s:6:\"format\";i:1;s:6:\"editor\";i:2;s:8:\"settings\";i:3;s:12:\"image_upload\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:6:{s:2:\"id\";s:6:\"format\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:6:\"editor\";s:11:\"\0*\0provider\";s:6:\"editor\";s:8:\"\0*\0class\";s:27:\"Drupal\\editor\\Entity\\Editor\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:2:{s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Text Editor\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:18:\"config:editor_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','entity_form_display.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":39:{s:16:\"\0*\0config_prefix\";N;s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:6:{i:0;s:2:\"id\";i:1;s:16:\"targetEntityType\";i:2;s:6:\"bundle\";i:3;s:4:\"mode\";i:4;s:7:\"content\";i:5;s:6:\"hidden\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:2:\"id\";s:6:\"status\";s:6:\"status\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:19:\"entity_form_display\";s:11:\"\0*\0provider\";s:4:\"core\";s:8:\"\0*\0class\";s:43:\"Drupal\\Core\\Entity\\Entity\\EntityFormDisplay\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:2:{s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Entity form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:31:\"config:entity_form_display_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','entity_form_mode.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":39:{s:16:\"\0*\0config_prefix\";N;s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:4:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:16:\"targetEntityType\";i:3;s:5:\"cache\";}s:21:\"\0*\0mergedConfigExport\";a:10:{s:4:\"uuid\";s:4:\"uuid\";s:8:\"langcode\";s:8:\"langcode\";s:6:\"status\";s:6:\"status\";s:12:\"dependencies\";s:12:\"dependencies\";s:20:\"third_party_settings\";s:20:\"third_party_settings\";s:5:\"_core\";s:5:\"_core\";s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:16:\"targetEntityType\";s:16:\"targetEntityType\";s:5:\"cache\";s:5:\"cache\";}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:16:\"entity_form_mode\";s:11:\"\0*\0provider\";s:4:\"core\";s:8:\"\0*\0class\";s:40:\"Drupal\\Core\\Entity\\Entity\\EntityFormMode\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:2:{s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Form mode\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:28:\"config:entity_form_mode_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','entity_view_display.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":39:{s:16:\"\0*\0config_prefix\";N;s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:6:{i:0;s:2:\"id\";i:1;s:16:\"targetEntityType\";i:2;s:6:\"bundle\";i:3;s:4:\"mode\";i:4;s:7:\"content\";i:5;s:6:\"hidden\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:2:\"id\";s:6:\"status\";s:6:\"status\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:19:\"entity_view_display\";s:11:\"\0*\0provider\";s:4:\"core\";s:8:\"\0*\0class\";s:43:\"Drupal\\Core\\Entity\\Entity\\EntityViewDisplay\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:2:{s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Entity view display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:31:\"config:entity_view_display_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','entity_view_mode.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":39:{s:16:\"\0*\0config_prefix\";N;s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:4:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:16:\"targetEntityType\";i:3;s:5:\"cache\";}s:21:\"\0*\0mergedConfigExport\";a:10:{s:4:\"uuid\";s:4:\"uuid\";s:8:\"langcode\";s:8:\"langcode\";s:6:\"status\";s:6:\"status\";s:12:\"dependencies\";s:12:\"dependencies\";s:20:\"third_party_settings\";s:20:\"third_party_settings\";s:5:\"_core\";s:5:\"_core\";s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:16:\"targetEntityType\";s:16:\"targetEntityType\";s:5:\"cache\";s:5:\"cache\";}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:16:\"entity_view_mode\";s:11:\"\0*\0provider\";s:4:\"core\";s:8:\"\0*\0class\";s:40:\"Drupal\\Core\\Entity\\Entity\\EntityViewMode\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:2:{s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"View mode\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:28:\"config:entity_view_mode_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','field_config.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":39:{s:16:\"\0*\0config_prefix\";s:5:\"field\";s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:12:{i:0;s:2:\"id\";i:1;s:10:\"field_name\";i:2;s:11:\"entity_type\";i:3;s:6:\"bundle\";i:4;s:5:\"label\";i:5;s:11:\"description\";i:6;s:8:\"required\";i:7;s:12:\"translatable\";i:8;s:13:\"default_value\";i:9;s:22:\"default_value_callback\";i:10;s:8:\"settings\";i:11;s:10:\"field_type\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:12:\"field_config\";s:11:\"\0*\0provider\";s:5:\"field\";s:8:\"\0*\0class\";s:31:\"Drupal\\field\\Entity\\FieldConfig\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:2:{s:6:\"access\";s:44:\"Drupal\\field\\FieldConfigAccessControlHandler\";s:7:\"storage\";s:31:\"Drupal\\field\\FieldConfigStorage\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Field\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:24:\"config:field_config_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','field_storage_config.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":39:{s:16:\"\0*\0config_prefix\";s:7:\"storage\";s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:12:{i:0;s:2:\"id\";i:1;s:10:\"field_name\";i:2;s:11:\"entity_type\";i:3;s:4:\"type\";i:4;s:8:\"settings\";i:5;s:6:\"module\";i:6;s:6:\"locked\";i:7;s:11:\"cardinality\";i:8;s:12:\"translatable\";i:9;s:7:\"indexes\";i:10;s:22:\"persist_with_no_fields\";i:11;s:14:\"custom_storage\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:2:\"id\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:20:\"field_storage_config\";s:11:\"\0*\0provider\";s:5:\"field\";s:8:\"\0*\0class\";s:38:\"Drupal\\field\\Entity\\FieldStorageConfig\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:2:{s:7:\"storage\";s:38:\"Drupal\\field\\FieldStorageConfigStorage\";s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Field storage\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:32:\"config:field_storage_config_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','file.entity_type','O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":42:{s:25:\"\0*\0revision_metadata_keys\";a:0:{}s:31:\"\0*\0requiredRevisionMetadataKeys\";a:0:{}s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:3:\"fid\";s:5:\"label\";s:8:\"filename\";s:8:\"langcode\";s:8:\"langcode\";s:4:\"uuid\";s:4:\"uuid\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:5:\"owner\";s:3:\"uid\";}s:5:\"\0*\0id\";s:4:\"file\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:5:{s:7:\"storage\";s:23:\"Drupal\\file\\FileStorage\";s:14:\"storage_schema\";s:29:\"Drupal\\file\\FileStorageSchema\";s:6:\"access\";s:36:\"Drupal\\file\\FileAccessControlHandler\";s:10:\"views_data\";s:25:\"Drupal\\file\\FileViewsData\";s:12:\"view_builder\";s:36:\"Drupal\\Core\\Entity\\EntityViewBuilder\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";s:12:\"file_managed\";s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"File\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:9:\"file_list\";}s:14:\"\0*\0constraints\";a:1:{s:13:\"EntityChanged\";N;}s:13:\"\0*\0additional\";a:0:{}s:8:\"\0*\0class\";s:23:\"Drupal\\file\\Entity\\File\";s:11:\"\0*\0provider\";s:4:\"file\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','file.field_storage_definitions','a:11:{s:3:\"fid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:2;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"File ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"The file ID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:4:\"file\";s:10:\"field_name\";s:3:\"fid\";s:11:\"entity_type\";s:4:\"file\";s:6:\"bundle\";N;}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:1:{s:5:\"value\";a:1:{i:0;s:5:\"value\";}}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:39;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"The file UUID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:4:\"file\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:4:\"file\";s:6:\"bundle\";N;}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:75;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Language code\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"The file language code.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"file\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:4:\"file\";s:6:\"bundle\";N;}}s:3:\"uid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:104;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:4:\"user\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"User ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"The user ID of the file.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"file\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:4:\"file\";s:6:\"bundle\";N;}}s:8:\"filename\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:139;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Filename\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:41:\"Name of the file with no path components.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"file\";s:10:\"field_name\";s:8:\"filename\";s:11:\"entity_type\";s:4:\"file\";s:6:\"bundle\";N;}}s:3:\"uri\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:3:\"uri\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:1;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:172;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:14:\"field_item:uri\";s:8:\"settings\";a:2:{s:10:\"max_length\";i:255;s:14:\"case_sensitive\";b:1;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"URI\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"The URI to access the file (either local or remote).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:13:\"FileUriUnique\";N;}s:8:\"provider\";s:4:\"file\";s:10:\"field_name\";s:3:\"uri\";s:11:\"entity_type\";s:4:\"file\";s:6:\"bundle\";N;}}s:8:\"filemime\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:206;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"File MIME type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"The file\'s MIME type.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"file\";s:10:\"field_name\";s:8:\"filemime\";s:11:\"entity_type\";s:4:\"file\";s:6:\"bundle\";N;}}s:8:\"filesize\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:3:\"big\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:239;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:3:\"big\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"File size\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:30:\"The size of the file in bytes.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"file\";s:10:\"field_name\";s:8:\"filesize\";s:11:\"entity_type\";s:4:\"file\";s:6:\"bundle\";N;}}s:6:\"status\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:275;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Status\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:63:\"The status of the file, temporary (FALSE) and permanent (TRUE).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:8:\"provider\";s:4:\"file\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:4:\"file\";s:6:\"bundle\";N;}}s:7:\"created\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"created\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:315;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:created\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Created\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:40:\"The timestamp that the file was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"file\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:4:\"file\";s:6:\"bundle\";N;}}s:7:\"changed\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"changed\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:343;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:changed\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Changed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"The timestamp that the file was last changed.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"file\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:4:\"file\";s:6:\"bundle\";N;}}}'),('entity.definitions.installed','filter_format.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":39:{s:16:\"\0*\0config_prefix\";s:6:\"format\";s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:5:{i:0;s:4:\"name\";i:1;s:6:\"format\";i:2;s:6:\"weight\";i:3;s:5:\"roles\";i:4;s:7:\"filters\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:9:{s:2:\"id\";s:6:\"format\";s:5:\"label\";s:4:\"name\";s:6:\"weight\";s:6:\"weight\";s:6:\"status\";s:6:\"status\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:13:\"filter_format\";s:11:\"\0*\0provider\";s:6:\"filter\";s:8:\"\0*\0class\";s:33:\"Drupal\\filter\\Entity\\FilterFormat\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:4:{s:4:\"form\";a:3:{s:3:\"add\";s:33:\"Drupal\\filter\\FilterFormatAddForm\";s:4:\"edit\";s:34:\"Drupal\\filter\\FilterFormatEditForm\";s:7:\"disable\";s:36:\"Drupal\\filter\\Form\\FilterDisableForm\";}s:12:\"list_builder\";s:37:\"Drupal\\filter\\FilterFormatListBuilder\";s:6:\"access\";s:46:\"Drupal\\filter\\FilterFormatAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";s:18:\"administer filters\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:2:{s:9:\"edit-form\";s:52:\"/admin/config/content/formats/manage/{filter_format}\";s:7:\"disable\";s:60:\"/admin/config/content/formats/manage/{filter_format}/disable\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Text format\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:25:\"config:filter_format_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','image_style.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":39:{s:16:\"\0*\0config_prefix\";s:5:\"style\";s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:3:{i:0;s:4:\"name\";i:1;s:5:\"label\";i:2;s:7:\"effects\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:4:\"name\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:11:\"image_style\";s:11:\"\0*\0provider\";s:5:\"image\";s:8:\"\0*\0class\";s:30:\"Drupal\\image\\Entity\\ImageStyle\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:4:{s:4:\"form\";a:4:{s:3:\"add\";s:35:\"Drupal\\image\\Form\\ImageStyleAddForm\";s:4:\"edit\";s:36:\"Drupal\\image\\Form\\ImageStyleEditForm\";s:6:\"delete\";s:38:\"Drupal\\image\\Form\\ImageStyleDeleteForm\";s:5:\"flush\";s:37:\"Drupal\\image\\Form\\ImageStyleFlushForm\";}s:12:\"list_builder\";s:34:\"Drupal\\image\\ImageStyleListBuilder\";s:7:\"storage\";s:30:\"Drupal\\image\\ImageStyleStorage\";s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";}s:19:\"\0*\0admin_permission\";s:23:\"administer image styles\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:4:{s:10:\"flush-form\";s:59:\"/admin/config/media/image-styles/manage/{image_style}/flush\";s:9:\"edit-form\";s:53:\"/admin/config/media/image-styles/manage/{image_style}\";s:11:\"delete-form\";s:60:\"/admin/config/media/image-styles/manage/{image_style}/delete\";s:10:\"collection\";s:32:\"/admin/config/media/image-styles\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Image style\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:23:\"config:image_style_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','language_content_settings.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":39:{s:16:\"\0*\0config_prefix\";s:16:\"content_settings\";s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:0:{}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:6:{s:2:\"id\";s:2:\"id\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:25:\"language_content_settings\";s:11:\"\0*\0provider\";s:8:\"language\";s:8:\"\0*\0class\";s:46:\"Drupal\\language\\Entity\\ContentLanguageSettings\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:2:{s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";s:20:\"administer languages\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"Content Language Settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:8:\"rendered\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:25:\"language_content_settings\";}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','menu.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":39:{s:16:\"\0*\0config_prefix\";N;s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:4:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:11:\"description\";i:3;s:6:\"locked\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:4:\"menu\";s:11:\"\0*\0provider\";s:6:\"system\";s:8:\"\0*\0class\";s:25:\"Drupal\\system\\Entity\\Menu\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:2:{s:6:\"access\";s:38:\"Drupal\\system\\MenuAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";s:15:\"administer menu\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Menu\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:16:\"config:menu_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','menu_link_content.entity_type','O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":42:{s:25:\"\0*\0revision_metadata_keys\";a:4:{s:16:\"revision_default\";s:16:\"revision_default\";s:13:\"revision_user\";s:13:\"revision_user\";s:16:\"revision_created\";s:16:\"revision_created\";s:20:\"revision_log_message\";s:20:\"revision_log_message\";}s:31:\"\0*\0requiredRevisionMetadataKeys\";a:0:{}s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:9:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"title\";s:8:\"langcode\";s:8:\"langcode\";s:4:\"uuid\";s:4:\"uuid\";s:6:\"bundle\";s:6:\"bundle\";s:8:\"revision\";s:11:\"revision_id\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:9:\"published\";s:7:\"enabled\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";}s:5:\"\0*\0id\";s:17:\"menu_link_content\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:5:{s:7:\"storage\";s:46:\"Drupal\\Core\\Entity\\Sql\\SqlContentEntityStorage\";s:14:\"storage_schema\";s:53:\"Drupal\\menu_link_content\\MenuLinkContentStorageSchema\";s:6:\"access\";s:60:\"Drupal\\menu_link_content\\MenuLinkContentAccessControlHandler\";s:4:\"form\";a:2:{s:7:\"default\";s:49:\"Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";s:6:\"delete\";s:55:\"Drupal\\menu_link_content\\Form\\MenuLinkContentDeleteForm\";}s:12:\"view_builder\";s:36:\"Drupal\\Core\\Entity\\EntityViewBuilder\";}s:19:\"\0*\0admin_permission\";s:15:\"administer menu\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:3:{s:9:\"canonical\";s:51:\"/admin/structure/menu/item/{menu_link_content}/edit\";s:9:\"edit-form\";s:51:\"/admin/structure/menu/item/{menu_link_content}/edit\";s:11:\"delete-form\";s:53:\"/admin/structure/menu/item/{menu_link_content}/delete\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";s:17:\"menu_link_content\";s:22:\"\0*\0revision_data_table\";s:32:\"menu_link_content_field_revision\";s:17:\"\0*\0revision_table\";s:26:\"menu_link_content_revision\";s:13:\"\0*\0data_table\";s:22:\"menu_link_content_data\";s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:1;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Custom menu link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:22:\"menu_link_content_list\";}s:14:\"\0*\0constraints\";a:1:{s:13:\"EntityChanged\";N;}s:13:\"\0*\0additional\";a:0:{}s:8:\"\0*\0class\";s:47:\"Drupal\\menu_link_content\\Entity\\MenuLinkContent\";s:11:\"\0*\0provider\";s:17:\"menu_link_content\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','menu_link_content.field_storage_definitions','a:22:{s:2:\"id\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:2;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Entity ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:48:\"The entity ID for this menu link content entity.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:2:\"id\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:1:{s:5:\"value\";a:1:{i:0;s:5:\"value\";}}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:39;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:27:\"The content menu link UUID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:6:\"bundle\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:75;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:32;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Bundle\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"The content menu link bundle.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:6:\"bundle\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:5:\"title\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:109;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Menu link title\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"The text to be used for this link in the menu.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:12:\"translatable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"string\";s:6:\"weight\";i:-5;}}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:-5;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;s:12:\"revisionable\";b:1;}}s:11:\"description\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:156;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Description\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:39:\"Shown when hovering over the menu link.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"string\";s:6:\"weight\";i:0;}}s:4:\"form\";a:1:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;}}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:11:\"description\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;s:12:\"revisionable\";b:1;}}s:9:\"menu_name\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:201;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Menu name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:93:\"The menu name. All links with the same menu name (such as \"tools\") are part of the same menu.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:5:\"tools\";}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:9:\"menu_name\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:4:\"link\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:4:\"link\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:3:{s:3:\"uri\";a:3:{s:11:\"description\";s:20:\"The URI of the link.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:2048;}s:5:\"title\";a:3:{s:11:\"description\";s:14:\"The link text.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;}s:7:\"options\";a:4:{s:11:\"description\";s:41:\"Serialized array of options for the link.\";s:4:\"type\";s:4:\"blob\";s:4:\"size\";s:3:\"big\";s:9:\"serialize\";b:1;}}s:7:\"indexes\";a:1:{s:3:\"uri\";a:1:{i:0;a:2:{i:0;s:3:\"uri\";i:1;i:30;}}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:237;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:link\";s:8:\"settings\";a:2:{s:5:\"title\";i:0;s:9:\"link_type\";i:17;}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:38:\"The location this menu link points to.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:4:\"form\";a:1:{s:7:\"options\";a:2:{s:4:\"type\";s:12:\"link_default\";s:6:\"weight\";i:-2;}}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:4:\"link\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;s:12:\"revisionable\";b:1;}}s:8:\"external\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:289;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"External\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:120:\"A flag to indicate if the link points to a full URL starting with a protocol, like http:// (1 = external, 0 = internal).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:8:\"external\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;s:12:\"revisionable\";b:1;}}s:10:\"rediscover\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:330;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:54:\"Indicates whether the menu link should be rediscovered\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:10:\"rediscover\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:6:\"weight\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:0;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:366;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:0;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Weight\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:172:\"Link weight among links in the same menu at the same depth. In the menu, the links with high weight will sink and links with a low weight will be positioned nearer the top.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:7:\"integer\";s:6:\"weight\";i:0;}}s:4:\"form\";a:1:{s:7:\"options\";a:2:{s:4:\"type\";s:6:\"number\";s:6:\"weight\";i:20;}}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:6:\"weight\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:8:\"expanded\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:415;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Show as expanded\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:82:\"If selected and this menu link has children, the menu will always appear expanded.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:7:\"boolean\";s:6:\"weight\";i:0;}}s:4:\"form\";a:1:{s:7:\"options\";a:2:{s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:0;}}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:8:\"expanded\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:7:\"enabled\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:466;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Enabled\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:65:\"A flag for whether the link should be enabled in menus or hidden.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:7:\"boolean\";s:6:\"weight\";i:0;}}s:4:\"form\";a:1:{s:7:\"options\";a:2:{s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:-1;}}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:7:\"enabled\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;s:12:\"revisionable\";b:1;}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:518;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:28:\"The menu link language code.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:1:{s:4:\"type\";s:6:\"hidden\";}}s:4:\"form\";a:1:{s:7:\"options\";a:2:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;}}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;s:12:\"revisionable\";b:1;}}s:6:\"parent\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:557;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Parent plugin ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:94:\"The ID of the parent menu link plugin, or empty string when at the top level of the hierarchy.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:6:\"parent\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:7:\"changed\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"changed\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:590;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:changed\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Changed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:44:\"The time that the menu link was last edited.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;s:12:\"revisionable\";b:1;}}s:16:\"default_langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:620;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Default translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:58:\"A flag indicating whether this is the default translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:16:\"default_langcode\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:11:\"revision_id\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:662;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:6:{s:10:\"field_name\";s:11:\"revision_id\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Revision ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:13:\"initial_value\";N;}}s:16:\"revision_default\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:695;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:10:{s:10:\"field_name\";s:16:\"revision_default\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Default revision\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"A flag indicating whether this was a default revision when it was saved.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:16:\"storage_required\";b:1;s:8:\"internal\";b:1;s:12:\"translatable\";b:0;s:12:\"revisionable\";b:1;s:13:\"initial_value\";N;}}s:29:\"revision_translation_affected\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:736;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:9:{s:10:\"field_name\";s:29:\"revision_translation_affected\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Revision translation affected\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"Indicates if the last edit of a translation belongs to current revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:13:\"initial_value\";N;}}s:16:\"revision_created\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"created\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:776;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:created\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:7:{s:10:\"field_name\";s:16:\"revision_created\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Revision create time\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"The time that the current revision was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:13:\"initial_value\";N;}}s:13:\"revision_user\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:805;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:4:\"user\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:7:{s:10:\"field_name\";s:13:\"revision_user\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Revision user\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:50:\"The user ID of the author of the current revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:13:\"initial_value\";N;}}s:20:\"revision_log_message\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:841;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:22:\"field_item:string_long\";s:8:\"settings\";a:1:{s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:8:{s:10:\"field_name\";s:20:\"revision_log_message\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Revision log message\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:43:\"Briefly describe the changes you have made.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:0:\"\";}}s:13:\"initial_value\";N;}}}'),('entity.definitions.installed','node.entity_type','O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":42:{s:25:\"\0*\0revision_metadata_keys\";a:4:{s:16:\"revision_default\";s:16:\"revision_default\";s:13:\"revision_user\";s:12:\"revision_uid\";s:16:\"revision_created\";s:18:\"revision_timestamp\";s:20:\"revision_log_message\";s:12:\"revision_log\";}s:31:\"\0*\0requiredRevisionMetadataKeys\";a:1:{s:16:\"revision_default\";s:16:\"revision_default\";}s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:12:{s:2:\"id\";s:3:\"nid\";s:8:\"revision\";s:3:\"vid\";s:6:\"bundle\";s:4:\"type\";s:5:\"label\";s:5:\"title\";s:8:\"langcode\";s:8:\"langcode\";s:4:\"uuid\";s:4:\"uuid\";s:6:\"status\";s:6:\"status\";s:3:\"uid\";s:3:\"uid\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:9:\"published\";s:6:\"status\";s:5:\"owner\";s:3:\"uid\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";}s:5:\"\0*\0id\";s:4:\"node\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:9:{s:7:\"storage\";s:23:\"Drupal\\node\\NodeStorage\";s:14:\"storage_schema\";s:29:\"Drupal\\node\\NodeStorageSchema\";s:12:\"view_builder\";s:27:\"Drupal\\node\\NodeViewBuilder\";s:6:\"access\";s:36:\"Drupal\\node\\NodeAccessControlHandler\";s:10:\"views_data\";s:25:\"Drupal\\node\\NodeViewsData\";s:4:\"form\";a:3:{s:7:\"default\";s:20:\"Drupal\\node\\NodeForm\";s:6:\"delete\";s:31:\"Drupal\\node\\Form\\NodeDeleteForm\";s:4:\"edit\";s:20:\"Drupal\\node\\NodeForm\";}s:14:\"route_provider\";a:1:{s:4:\"html\";s:36:\"Drupal\\node\\Entity\\NodeRouteProvider\";}s:12:\"list_builder\";s:27:\"Drupal\\node\\NodeListBuilder\";s:11:\"translation\";s:34:\"Drupal\\node\\NodeTranslationHandler\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:6:\"bundle\";s:8:\"\0*\0links\";a:5:{s:9:\"canonical\";s:12:\"/node/{node}\";s:11:\"delete-form\";s:19:\"/node/{node}/delete\";s:9:\"edit-form\";s:17:\"/node/{node}/edit\";s:15:\"version-history\";s:22:\"/node/{node}/revisions\";s:8:\"revision\";s:43:\"/node/{node}/revisions/{node_revision}/view\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";s:9:\"node_type\";s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Content type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"\0*\0base_table\";s:4:\"node\";s:22:\"\0*\0revision_data_table\";s:19:\"node_field_revision\";s:17:\"\0*\0revision_table\";s:13:\"node_revision\";s:13:\"\0*\0data_table\";s:15:\"node_field_data\";s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:1;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"content item\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"content items\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:19:\"@count content item\";s:6:\"plural\";s:20:\"@count content items\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";s:26:\"entity.node_type.edit_form\";s:26:\"\0*\0common_reference_target\";b:1;s:22:\"\0*\0list_cache_contexts\";a:1:{i:0;s:21:\"user.node_grants:view\";}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:9:\"node_list\";}s:14:\"\0*\0constraints\";a:1:{s:13:\"EntityChanged\";N;}s:13:\"\0*\0additional\";a:0:{}s:8:\"\0*\0class\";s:23:\"Drupal\\node\\Entity\\Node\";s:11:\"\0*\0provider\";s:4:\"node\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','node.field_storage_definitions','a:38:{s:3:\"nid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:2;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:3:\"nid\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:1:{s:5:\"value\";a:1:{i:0;s:5:\"value\";}}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:35;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}}s:3:\"vid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:67;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Revision ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:3:\"vid\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:100;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:1:{s:4:\"type\";s:6:\"hidden\";}}s:4:\"form\";a:1:{s:7:\"options\";a:2:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;}}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}}s:4:\"type\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:135;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:9:\"node_type\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";s:12:\"Content type\";s:8:\"required\";b:1;s:9:\"read-only\";b:1;s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:4:\"type\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}}s:5:\"title\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:165;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Title\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"string\";s:6:\"weight\";i:-5;}}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:-5;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}}s:3:\"uid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:208;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:4:\"user\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Authored by\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"The username of the content author.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:22:\"default_value_callback\";s:41:\"Drupal\\node\\Entity\\Node::getCurrentUserId\";s:12:\"translatable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"author\";s:6:\"weight\";i:0;}}s:4:\"form\";a:2:{s:7:\"options\";a:3:{s:4:\"type\";s:29:\"entity_reference_autocomplete\";s:6:\"weight\";i:5;s:8:\"settings\";a:3:{s:14:\"match_operator\";s:8:\"CONTAINS\";s:4:\"size\";s:2:\"60\";s:11:\"placeholder\";s:0:\"\";}}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}}s:6:\"status\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:261;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Publishing status\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:51:\"A boolean indicating whether the node is published.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}}s:7:\"created\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"created\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:303;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:created\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Authored on\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"The time that the node was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:9:\"timestamp\";s:6:\"weight\";i:0;}}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:18:\"datetime_timestamp\";s:6:\"weight\";i:10;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}}s:7:\"changed\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"changed\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:344;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:changed\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Changed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:39:\"The time that the node was last edited.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}}s:7:\"promote\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:374;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"Promoted to front page\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:3:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:15;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:7:\"promote\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}}s:6:\"sticky\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:420;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"Sticky at top of lists\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:3:{s:4:\"type\";s:16:\"boolean_checkbox\";s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:16;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:6:\"sticky\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}}s:18:\"revision_timestamp\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"created\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:466;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:created\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Revision timestamp\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"The time that the current revision was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"queryable\";b:0;s:12:\"revisionable\";b:1;s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:18:\"revision_timestamp\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}}s:12:\"revision_uid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:496;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:4:\"user\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Revision user ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:50:\"The user ID of the author of the current revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"queryable\";b:0;s:12:\"revisionable\";b:1;s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:12:\"revision_uid\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}}s:12:\"revision_log\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:533;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:22:\"field_item:string_long\";s:8:\"settings\";a:1:{s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Revision log message\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:43:\"Briefly describe the changes you have made.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:0:\"\";}}s:7:\"display\";a:1:{s:4:\"form\";a:1:{s:7:\"options\";a:3:{s:4:\"type\";s:15:\"string_textarea\";s:6:\"weight\";i:25;s:8:\"settings\";a:1:{s:4:\"rows\";i:4;}}}}s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:12:\"revision_log\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}}s:29:\"revision_translation_affected\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:574;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Revision translation affected\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"Indicates if the last edit of a translation belongs to current revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:29:\"revision_translation_affected\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}}s:16:\"default_langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:614;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Default translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:58:\"A flag indicating whether this is the default translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:4:\"node\";s:10:\"field_name\";s:16:\"default_langcode\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}}s:4:\"body\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:5:\"\0*\0id\";s:9:\"node.body\";s:13:\"\0*\0field_name\";s:4:\"body\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:17:\"text_with_summary\";s:9:\"\0*\0module\";s:4:\"text\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:1;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:13:\"\0*\0originalId\";s:9:\"node.body\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"5b4f7200-9ce1-47fd-8771-3f4f0fe45388\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:1:{s:19:\"default_config_hash\";s:43:\"EBUo7qOWqaiZaQ_RC9sLY5IoDKphS34v77VIHSACmVY\";}s:14:\"\0*\0trustedData\";b:1;s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:4:\"text\";}}s:12:\"\0*\0isSyncing\";b:0;}s:11:\"field_image\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:5:\"\0*\0id\";s:16:\"node.field_image\";s:13:\"\0*\0field_name\";s:11:\"field_image\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";N;s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:10:\"\0*\0deleted\";b:0;s:13:\"\0*\0originalId\";s:16:\"node.field_image\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"99270b75-d166-44ea-adc5-35245a8806e2\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:1:{s:19:\"default_config_hash\";s:43:\"SkXIPKZYiIMMtnBmfnxk58RYfbZ8cHSw5NZPY_JByME\";}s:14:\"\0*\0trustedData\";b:1;s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:4:\"file\";i:1;s:5:\"image\";i:2;s:4:\"node\";}}s:12:\"\0*\0isSyncing\";b:0;}s:7:\"comment\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:5:\"\0*\0id\";s:12:\"node.comment\";s:13:\"\0*\0field_name\";s:7:\"comment\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:7:\"comment\";s:9:\"\0*\0module\";s:7:\"comment\";s:11:\"\0*\0settings\";a:1:{s:12:\"comment_type\";s:7:\"comment\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:13:\"\0*\0originalId\";s:12:\"node.comment\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"2664db21-7715-460e-85f4-70b5c70ba1bc\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:1:{s:19:\"default_config_hash\";s:43:\"ktCna9xmWvYZIUfOCUyDQvedn5RtnS4CRmEIwNmvYjc\";}s:14:\"\0*\0trustedData\";b:1;s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:7:\"comment\";i:1;s:4:\"node\";}}s:12:\"\0*\0isSyncing\";b:0;}s:10:\"field_tags\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:5:\"\0*\0id\";s:15:\"node.field_tags\";s:13:\"\0*\0field_name\";s:10:\"field_tags\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:13:\"taxonomy_term\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:13:\"\0*\0originalId\";s:15:\"node.field_tags\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"b12e67cb-3bac-442c-b039-65ce91937ca5\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:1:{s:19:\"default_config_hash\";s:43:\"WpOE_bs8Bs_HY2ns7n2r__de-xno0-Bxkqep5-MsHAs\";}s:14:\"\0*\0trustedData\";b:1;s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:8:\"taxonomy\";}}s:12:\"\0*\0isSyncing\";b:0;}s:14:\"field_partners\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":35:{s:5:\"\0*\0id\";s:19:\"node.field_partners\";s:13:\"\0*\0field_name\";s:14:\"field_partners\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;}s:14:\"\0*\0cardinality\";s:1:\"1\";s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:13:\"\0*\0originalId\";s:19:\"node.field_partners\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"631deb2f-20f7-4e93-9457-e3bfe1c8cd19\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:4:\"file\";i:1;s:5:\"image\";i:2;s:4:\"node\";}}s:12:\"\0*\0isSyncing\";b:0;s:18:\"cardinality_number\";s:1:\"1\";s:6:\"submit\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Save field settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"form_build_id\";s:48:\"form-ryWrAAUI0_h-ayhUih7Xa-THsH_mWAR8hP3SR6QD7_8\";s:10:\"form_token\";s:43:\"VGIcBy4-fV5a0fzhCnRlyWnCM3ssarHpaD_83o3tbuk\";s:7:\"form_id\";s:30:\"field_storage_config_edit_form\";}s:10:\"field_link\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":35:{s:5:\"\0*\0id\";s:15:\"node.field_link\";s:13:\"\0*\0field_name\";s:10:\"field_link\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:4:\"link\";s:9:\"\0*\0module\";s:4:\"link\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";s:1:\"1\";s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:13:\"\0*\0originalId\";s:15:\"node.field_link\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"53c02de5-9554-4167-89f9-66e39fb7652a\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"link\";i:1;s:4:\"node\";}}s:12:\"\0*\0isSyncing\";b:0;s:18:\"cardinality_number\";s:1:\"1\";s:6:\"submit\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Save field settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"form_build_id\";s:48:\"form-9SfnU9Zk_j8FCcd25qAnjkw5HSXMfw-1Cwg8x_3iVKA\";s:10:\"form_token\";s:43:\"VGIcBy4-fV5a0fzhCnRlyWnCM3ssarHpaD_83o3tbuk\";s:7:\"form_id\";s:30:\"field_storage_config_edit_form\";}s:13:\"field_gallery\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":35:{s:5:\"\0*\0id\";s:18:\"node.field_gallery\";s:13:\"\0*\0field_name\";s:13:\"field_gallery\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;}s:14:\"\0*\0cardinality\";s:2:\"-1\";s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:13:\"\0*\0originalId\";s:18:\"node.field_gallery\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"1517bdc8-d091-4e0f-8a1c-d287bd383250\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:4:\"file\";i:1;s:5:\"image\";i:2;s:4:\"node\";}}s:12:\"\0*\0isSyncing\";b:0;s:18:\"cardinality_number\";i:1;s:6:\"submit\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Save field settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"form_build_id\";s:48:\"form-kI1TeNl88SCAHsXCBBUQ_57VRSOIzgIDiBAlYccmj68\";s:10:\"form_token\";s:43:\"VGIcBy4-fV5a0fzhCnRlyWnCM3ssarHpaD_83o3tbuk\";s:7:\"form_id\";s:30:\"field_storage_config_edit_form\";}s:10:\"field_type\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":35:{s:5:\"\0*\0id\";s:15:\"node.field_type\";s:13:\"\0*\0field_name\";s:10:\"field_type\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:11:\"list_string\";s:9:\"\0*\0module\";s:7:\"options\";s:11:\"\0*\0settings\";a:2:{s:14:\"allowed_values\";a:8:{i:1;s:12:\"Blog details\";i:2;s:9:\"Blog page\";i:3;s:17:\"Portfolio details\";i:4;s:14:\"Portfolio page\";i:5;s:8:\"About us\";i:6;s:7:\"Service\";i:7;s:7:\"Contact\";i:8;s:14:\"Userlogin page\";}s:23:\"allowed_values_function\";s:0:\"\";}s:14:\"\0*\0cardinality\";s:1:\"1\";s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:13:\"\0*\0originalId\";s:15:\"node.field_type\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"77a6aad6-0a3f-4c7a-914d-cfc651a97328\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:7:\"options\";}}s:12:\"\0*\0isSyncing\";b:0;s:18:\"cardinality_number\";s:1:\"1\";s:6:\"submit\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Save field settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"form_build_id\";s:48:\"form-jC0YlrAkSNBnI_Em_es7Vz6I2nt1GklvfLT373xpZo4\";s:10:\"form_token\";s:43:\"iMMzN06nsWqtHEEI-Wbkz7_jeCaREEjcjq7IDCmh1gI\";s:7:\"form_id\";s:30:\"field_storage_config_edit_form\";}s:18:\"field_banner_title\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":35:{s:5:\"\0*\0id\";s:23:\"node.field_banner_title\";s:13:\"\0*\0field_name\";s:18:\"field_banner_title\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:1:{s:14:\"case_sensitive\";b:0;}s:14:\"\0*\0cardinality\";s:1:\"1\";s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:13:\"\0*\0originalId\";s:23:\"node.field_banner_title\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"5a5cb1c4-0b64-4ad6-931e-858dafc0789f\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:12:\"\0*\0isSyncing\";b:0;s:18:\"cardinality_number\";s:1:\"1\";s:6:\"submit\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Save field settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"form_build_id\";s:48:\"form-oH0z8JOyy5uLBYedN1BhbwakI7gF89FATdHh8-CEkyE\";s:10:\"form_token\";s:43:\"VGIcBy4-fV5a0fzhCnRlyWnCM3ssarHpaD_83o3tbuk\";s:7:\"form_id\";s:30:\"field_storage_config_edit_form\";}s:16:\"simplenews_issue\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":30:{s:5:\"\0*\0id\";s:21:\"node.simplenews_issue\";s:13:\"\0*\0field_name\";s:16:\"simplenews_issue\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:16:\"simplenews_issue\";s:9:\"\0*\0module\";s:10:\"simplenews\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:21:\"simplenews_newsletter\";}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:13:\"\0*\0originalId\";s:21:\"node.simplenews_issue\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"1b245196-bf51-4c0b-b807-66f1b282e695\";s:11:\"\0*\0langcode\";s:3:\"und\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:1:{s:19:\"default_config_hash\";s:43:\"WH-ddyUo4oWNnk6HaulK2RLdPTM4CV0xBZSj5HFqAnQ\";}s:14:\"\0*\0trustedData\";b:1;s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:10:\"simplenews\";}}s:12:\"\0*\0isSyncing\";b:0;}s:15:\"field_slideshow\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":35:{s:5:\"\0*\0id\";s:20:\"node.field_slideshow\";s:13:\"\0*\0field_name\";s:15:\"field_slideshow\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;}s:14:\"\0*\0cardinality\";s:1:\"1\";s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:13:\"\0*\0originalId\";s:20:\"node.field_slideshow\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"de75d22f-44ac-4dd0-a92b-10683cfca971\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:4:\"file\";i:1;s:5:\"image\";i:2;s:4:\"node\";}}s:12:\"\0*\0isSyncing\";b:0;s:18:\"cardinality_number\";s:1:\"1\";s:6:\"submit\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Save field settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"form_build_id\";s:48:\"form-AY8E9O-Bq2y5MsmnEJlKmeCVJ8BH9uXGt55ee7siyC0\";s:10:\"form_token\";s:43:\"VGIcBy4-fV5a0fzhCnRlyWnCM3ssarHpaD_83o3tbuk\";s:7:\"form_id\";s:30:\"field_storage_config_edit_form\";}s:16:\"field_icon_class\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":35:{s:5:\"\0*\0id\";s:21:\"node.field_icon_class\";s:13:\"\0*\0field_name\";s:16:\"field_icon_class\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:3:{s:10:\"max_length\";s:3:\"255\";s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}s:14:\"\0*\0cardinality\";s:1:\"1\";s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:13:\"\0*\0originalId\";s:21:\"node.field_icon_class\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"7779bda3-6dd2-4c89-ad2a-3b07a9adc912\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:12:\"\0*\0isSyncing\";b:0;s:18:\"cardinality_number\";s:1:\"1\";s:6:\"submit\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Save field settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"form_build_id\";s:48:\"form-KTXzoMkfLhVz1zrnxVhK41CuIAIFX8YgqNDdlIyVzUU\";s:10:\"form_token\";s:43:\"VGIcBy4-fV5a0fzhCnRlyWnCM3ssarHpaD_83o3tbuk\";s:7:\"form_id\";s:30:\"field_storage_config_edit_form\";}s:12:\"field_banner\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":35:{s:5:\"\0*\0id\";s:17:\"node.field_banner\";s:13:\"\0*\0field_name\";s:12:\"field_banner\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;}s:14:\"\0*\0cardinality\";s:1:\"1\";s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:13:\"\0*\0originalId\";s:17:\"node.field_banner\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"c66cc57d-76b7-4dc9-994b-f68c4bcf6e0d\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:4:\"file\";i:1;s:5:\"image\";i:2;s:4:\"node\";}}s:12:\"\0*\0isSyncing\";b:0;s:18:\"cardinality_number\";s:1:\"1\";s:6:\"submit\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Save field settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"form_build_id\";s:48:\"form-TJPehWdTYm-WSzyViQGY52-RSay6W3qIx6JVtdcz494\";s:10:\"form_token\";s:43:\"EvFY1GYJ20a0_apeNZWDXf0xoidj40TwH2Dr77OhZ7s\";s:7:\"form_id\";s:30:\"field_storage_config_edit_form\";}s:13:\"field_percent\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":35:{s:5:\"\0*\0id\";s:18:\"node.field_percent\";s:13:\"\0*\0field_name\";s:13:\"field_percent\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:5:\"float\";s:9:\"\0*\0module\";s:4:\"core\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";s:1:\"1\";s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:13:\"\0*\0originalId\";s:18:\"node.field_percent\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"cab51041-9a45-4c8f-a921-be60ddfa27ce\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:4:\"node\";}}s:12:\"\0*\0isSyncing\";b:0;s:18:\"cardinality_number\";s:1:\"1\";s:6:\"submit\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Save field settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"form_build_id\";s:48:\"form-jFY26AHhebIIxkcNN7LsGR2uEy3MYGZS_uZoQxTgBro\";s:10:\"form_token\";s:43:\"EvFY1GYJ20a0_apeNZWDXf0xoidj40TwH2Dr77OhZ7s\";s:7:\"form_id\";s:30:\"field_storage_config_edit_form\";}s:17:\"field_why_us_type\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":35:{s:5:\"\0*\0id\";s:22:\"node.field_why_us_type\";s:13:\"\0*\0field_name\";s:17:\"field_why_us_type\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:11:\"list_string\";s:9:\"\0*\0module\";s:7:\"options\";s:11:\"\0*\0settings\";a:2:{s:14:\"allowed_values\";a:2:{i:1;s:8:\"About us\";i:2;s:8:\"Services\";}s:23:\"allowed_values_function\";s:0:\"\";}s:14:\"\0*\0cardinality\";s:1:\"1\";s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:13:\"\0*\0originalId\";s:22:\"node.field_why_us_type\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"a50b1fb6-85ee-4dd7-bd60-1d1b3f59bffa\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:7:\"options\";}}s:12:\"\0*\0isSyncing\";b:0;s:18:\"cardinality_number\";s:1:\"1\";s:6:\"submit\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Save field settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"form_build_id\";s:48:\"form-9DIE_l3oOgt2kEQykn0KkbERT4e_TM91yOKmKdG7ptU\";s:10:\"form_token\";s:43:\"EvFY1GYJ20a0_apeNZWDXf0xoidj40TwH2Dr77OhZ7s\";s:7:\"form_id\";s:30:\"field_storage_config_edit_form\";}s:8:\"field_su\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":35:{s:5:\"\0*\0id\";s:13:\"node.field_su\";s:13:\"\0*\0field_name\";s:8:\"field_su\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:9:\"text_long\";s:9:\"\0*\0module\";s:4:\"text\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";s:1:\"1\";s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:13:\"\0*\0originalId\";s:13:\"node.field_su\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"51ea101f-de2d-4147-92f2-a1aa27aa9be8\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:4:\"text\";}}s:12:\"\0*\0isSyncing\";b:0;s:18:\"cardinality_number\";s:1:\"1\";s:6:\"submit\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Save field settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"form_build_id\";s:48:\"form-ioEtn7P9_Bu2w_iQHFoZJq8B9-chMl1qFnc2UFpPvBs\";s:10:\"form_token\";s:43:\"4o4UtFh6NKmOcYI59i6H0fCdFczBv3z9ElacPWyGF8U\";s:7:\"form_id\";s:30:\"field_storage_config_edit_form\";}s:10:\"node_class\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:1367;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"CSS class(es)\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:35;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:10:\"node_class\";s:10:\"field_name\";s:10:\"node_class\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}}s:26:\"content_translation_source\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:1402;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Translation source\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:60:\"The source language from which this translation was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:3:\"und\";}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:19:\"content_translation\";s:10:\"field_name\";s:26:\"content_translation_source\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}}s:28:\"content_translation_outdated\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:1436;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Translation outdated\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:66:\"A boolean indicating whether this translation needs to be updated.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:19:\"content_translation\";s:10:\"field_name\";s:28:\"content_translation_outdated\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";N;}}s:11:\"field_video\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":35:{s:5:\"\0*\0id\";s:16:\"node.field_video\";s:13:\"\0*\0field_name\";s:11:\"field_video\";s:14:\"\0*\0entity_type\";s:4:\"node\";s:7:\"\0*\0type\";s:17:\"video_embed_field\";s:9:\"\0*\0module\";s:17:\"video_embed_field\";s:11:\"\0*\0settings\";a:0:{}s:14:\"\0*\0cardinality\";s:1:\"1\";s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:13:\"\0*\0originalId\";s:16:\"node.field_video\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"9b3c12ca-5601-4aa1-9786-aa727082ca17\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:0:{}s:14:\"\0*\0trustedData\";b:0;s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";N;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:1:{i:0;s:28:\"languages:language_interface\";}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:2:{i:0;s:4:\"node\";i:1;s:17:\"video_embed_field\";}}s:12:\"\0*\0isSyncing\";b:0;s:18:\"cardinality_number\";s:1:\"1\";s:6:\"submit\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Save field settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"form_build_id\";s:48:\"form-WChMSX0FpCWPbqZgSuoOlC4wTbjQ9ljIxfEnduHHAtQ\";s:10:\"form_token\";s:43:\"dyi87Zj1TBIErnCgYKtWym6GLivFwDwhBUtQ-Ri90l4\";s:7:\"form_id\";s:30:\"field_storage_config_edit_form\";}s:16:\"revision_default\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:1521;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Default revision\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"A flag indicating whether this was a default revision when it was saved.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:16:\"storage_required\";b:1;s:12:\"translatable\";b:0;s:12:\"revisionable\";b:1;s:13:\"initial_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:10:\"field_name\";s:16:\"revision_default\";s:11:\"entity_type\";s:4:\"node\";s:8:\"provider\";s:4:\"node\";s:6:\"bundle\";N;}}}'),('entity.definitions.installed','node_type.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":39:{s:16:\"\0*\0config_prefix\";s:4:\"type\";s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:7:{i:0;s:4:\"name\";i:1;s:4:\"type\";i:2;s:11:\"description\";i:3;s:4:\"help\";i:4;s:12:\"new_revision\";i:5;s:12:\"preview_mode\";i:6;s:17:\"display_submitted\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:4:\"type\";s:5:\"label\";s:4:\"name\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:9:\"node_type\";s:11:\"\0*\0provider\";s:4:\"node\";s:8:\"\0*\0class\";s:27:\"Drupal\\node\\Entity\\NodeType\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:4:{s:6:\"access\";s:40:\"Drupal\\node\\NodeTypeAccessControlHandler\";s:4:\"form\";a:3:{s:3:\"add\";s:24:\"Drupal\\node\\NodeTypeForm\";s:4:\"edit\";s:24:\"Drupal\\node\\NodeTypeForm\";s:6:\"delete\";s:38:\"Drupal\\node\\Form\\NodeTypeDeleteConfirm\";}s:12:\"list_builder\";s:31:\"Drupal\\node\\NodeTypeListBuilder\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";s:24:\"administer content types\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:3:{s:9:\"edit-form\";s:41:\"/admin/structure/types/manage/{node_type}\";s:11:\"delete-form\";s:48:\"/admin/structure/types/manage/{node_type}/delete\";s:10:\"collection\";s:22:\"/admin/structure/types\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";s:4:\"node\";s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Content type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:21:\"config:node_type_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','pathauto_pattern.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":39:{s:16:\"\0*\0config_prefix\";s:7:\"pattern\";s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:3:{i:0;s:4:\"type\";i:1;s:6:\"status\";i:2;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:8:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:4:\"type\";i:3;s:7:\"pattern\";i:4;s:18:\"selection_criteria\";i:5;s:15:\"selection_logic\";i:6;s:6:\"weight\";i:7;s:13:\"relationships\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:9:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:4:\"uuid\";s:4:\"uuid\";s:6:\"weight\";s:6:\"weight\";s:6:\"status\";s:6:\"status\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";}s:5:\"\0*\0id\";s:16:\"pathauto_pattern\";s:11:\"\0*\0provider\";s:8:\"pathauto\";s:8:\"\0*\0class\";s:38:\"Drupal\\pathauto\\Entity\\PathautoPattern\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:5:{s:12:\"list_builder\";s:42:\"Drupal\\pathauto\\PathautoPatternListBuilder\";s:4:\"form\";a:4:{s:7:\"default\";s:36:\"Drupal\\pathauto\\Form\\PatternEditForm\";s:6:\"delete\";s:35:\"Drupal\\Core\\Entity\\EntityDeleteForm\";s:6:\"enable\";s:38:\"Drupal\\pathauto\\Form\\PatternEnableForm\";s:7:\"disable\";s:39:\"Drupal\\pathauto\\Form\\PatternDisableForm\";}s:14:\"route_provider\";a:1:{s:4:\"html\";s:51:\"Drupal\\Core\\Entity\\Routing\\DefaultHtmlRouteProvider\";}s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";s:19:\"administer pathauto\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:5:{s:10:\"collection\";s:34:\"/admin/config/search/path/patterns\";s:9:\"edit-form\";s:53:\"/admin/config/search/path/patterns/{pathauto_pattern}\";s:11:\"delete-form\";s:60:\"/admin/config/search/path/patterns/{pathauto_pattern}/delete\";s:6:\"enable\";s:60:\"/admin/config/search/path/patterns/{pathauto_pattern}/enable\";s:7:\"disable\";s:61:\"/admin/config/search/path/patterns/{pathauto_pattern}/disable\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Pathauto pattern\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:28:\"config:pathauto_pattern_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:16:\"pathauto_pattern\";}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','path_alias.entity_type','O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":42:{s:25:\"\0*\0revision_metadata_keys\";a:1:{s:16:\"revision_default\";s:16:\"revision_default\";}s:31:\"\0*\0requiredRevisionMetadataKeys\";a:1:{s:16:\"revision_default\";s:16:\"revision_default\";}s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:8:\"revision\";s:11:\"revision_id\";s:8:\"langcode\";s:8:\"langcode\";s:4:\"uuid\";s:4:\"uuid\";s:9:\"published\";s:6:\"status\";s:6:\"bundle\";s:0:\"\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";}s:5:\"\0*\0id\";s:10:\"path_alias\";s:16:\"\0*\0originalClass\";s:34:\"Drupal\\path_alias\\Entity\\PathAlias\";s:11:\"\0*\0handlers\";a:7:{s:7:\"storage\";s:34:\"Drupal\\path_alias\\PathAliasStorage\";s:14:\"storage_schema\";s:40:\"Drupal\\path_alias\\PathAliasStorageSchema\";s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:12:\"view_builder\";s:36:\"Drupal\\Core\\Entity\\EntityViewBuilder\";s:4:\"form\";a:2:{s:7:\"default\";s:25:\"Drupal\\path\\PathAliasForm\";s:6:\"delete\";s:42:\"Drupal\\Core\\Entity\\ContentEntityDeleteForm\";}s:14:\"route_provider\";a:1:{s:4:\"html\";s:49:\"Drupal\\Core\\Entity\\Routing\\AdminHtmlRouteProvider\";}s:12:\"list_builder\";s:32:\"Drupal\\path\\PathAliasListBuilder\";}s:19:\"\0*\0admin_permission\";s:22:\"administer url aliases\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:4:{s:10:\"collection\";s:25:\"/admin/config/search/path\";s:8:\"add-form\";s:29:\"/admin/config/search/path/add\";s:9:\"edit-form\";s:43:\"/admin/config/search/path/edit/{path_alias}\";s:11:\"delete-form\";s:45:\"/admin/config/search/path/delete/{path_alias}\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";s:10:\"path_alias\";s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";s:19:\"path_alias_revision\";s:13:\"\0*\0data_table\";N;s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:0;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"URL alias\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"URL aliases\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"URL alias\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:15:\"\0*\0label_plural\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"URL aliases\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:14:\"\0*\0label_count\";a:3:{s:8:\"singular\";s:16:\"@count URL alias\";s:6:\"plural\";s:18:\"@count URL aliases\";s:7:\"context\";N;}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:11:\"route_match\";}s:14:\"\0*\0constraints\";a:3:{s:15:\"UniquePathAlias\";a:0:{}s:26:\"EntityUntranslatableFields\";N;s:36:\"ContentTranslationSynchronizedFields\";N;}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:10:\"path_alias\";}s:8:\"\0*\0class\";s:34:\"Drupal\\path_alias\\Entity\\PathAlias\";s:11:\"\0*\0provider\";s:10:\"path_alias\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','path_alias.field_storage_definitions','a:8:{s:2:\"id\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:2;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:10:\"path_alias\";s:10:\"field_name\";s:2:\"id\";s:11:\"entity_type\";s:10:\"path_alias\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:1:{s:5:\"value\";a:1:{i:0;s:5:\"value\";}}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:36;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:10:\"path_alias\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:10:\"path_alias\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}}s:11:\"revision_id\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:69;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Revision ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:10:\"path_alias\";s:10:\"field_name\";s:11:\"revision_id\";s:11:\"entity_type\";s:10:\"path_alias\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:103;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"display\";a:2:{s:4:\"view\";a:2:{s:7:\"options\";a:1:{s:6:\"region\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}s:4:\"form\";a:2:{s:7:\"options\";a:3:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:0;s:8:\"settings\";a:1:{s:14:\"include_locked\";b:0;}}s:12:\"configurable\";b:1;}}s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:3:\"und\";}}s:8:\"provider\";s:10:\"path_alias\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:10:\"path_alias\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}}s:4:\"path\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:145;s:13:\"\0*\0definition\";a:3:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}s:11:\"constraints\";a:1:{s:11:\"ComplexData\";a:1:{s:5:\"value\";a:2:{s:9:\"ValidPath\";a:0:{}s:5:\"Regex\";a:2:{s:7:\"pattern\";s:6:\"/^\\//i\";s:7:\"message\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:42:\"The source path has to start with a slash.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}}}}s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"System path\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:36:\"The path that this alias belongs to.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:12:\"revisionable\";b:1;s:8:\"provider\";s:10:\"path_alias\";s:10:\"field_name\";s:4:\"path\";s:11:\"entity_type\";s:10:\"path_alias\";s:6:\"bundle\";N;s:7:\"display\";a:1:{s:4:\"form\";a:1:{s:7:\"options\";a:3:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:5;s:8:\"settings\";a:1:{s:4:\"size\";i:45;}}}}s:13:\"initial_value\";N;}}s:5:\"alias\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:198;s:13:\"\0*\0definition\";a:3:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}s:11:\"constraints\";a:1:{s:11:\"ComplexData\";a:1:{s:5:\"value\";a:1:{s:5:\"Regex\";a:2:{s:7:\"pattern\";s:6:\"/^\\//i\";s:7:\"message\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:41:\"The alias path has to start with a slash.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}}}}s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"URL alias\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"An alias used with this path.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:12:\"revisionable\";b:1;s:8:\"provider\";s:10:\"path_alias\";s:10:\"field_name\";s:5:\"alias\";s:11:\"entity_type\";s:10:\"path_alias\";s:6:\"bundle\";N;s:7:\"display\";a:1:{s:4:\"form\";a:1:{s:7:\"options\";a:3:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:10;s:8:\"settings\";a:1:{s:4:\"size\";i:45;}}}}s:13:\"initial_value\";N;}}s:6:\"status\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:250;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Published\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:0;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:10:\"path_alias\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:10:\"path_alias\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}}s:16:\"revision_default\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:289;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:11:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Default revision\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"A flag indicating whether this was a default revision when it was saved.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:16:\"storage_required\";b:1;s:8:\"internal\";b:1;s:12:\"translatable\";b:0;s:12:\"revisionable\";b:1;s:8:\"provider\";s:10:\"path_alias\";s:10:\"field_name\";s:16:\"revision_default\";s:11:\"entity_type\";s:10:\"path_alias\";s:6:\"bundle\";N;s:13:\"initial_value\";N;}}}'),('entity.definitions.installed','rdf_mapping.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":39:{s:16:\"\0*\0config_prefix\";s:7:\"mapping\";s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:5:{i:0;s:2:\"id\";i:1;s:16:\"targetEntityType\";i:2;s:6:\"bundle\";i:3;s:5:\"types\";i:4;s:13:\"fieldMappings\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:6:{s:2:\"id\";s:2:\"id\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:11:\"rdf_mapping\";s:11:\"\0*\0provider\";s:3:\"rdf\";s:8:\"\0*\0class\";s:28:\"Drupal\\rdf\\Entity\\RdfMapping\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:2:{s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"RDF mapping\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:23:\"config:rdf_mapping_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','responsive_image_style.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":39:{s:16:\"\0*\0config_prefix\";s:6:\"styles\";s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:0:{}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:22:\"responsive_image_style\";s:11:\"\0*\0provider\";s:16:\"responsive_image\";s:8:\"\0*\0class\";s:51:\"Drupal\\responsive_image\\Entity\\ResponsiveImageStyle\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:5:{s:12:\"list_builder\";s:55:\"Drupal\\responsive_image\\ResponsiveImageStyleListBuilder\";s:4:\"form\";a:4:{s:4:\"edit\";s:48:\"Drupal\\responsive_image\\ResponsiveImageStyleForm\";s:3:\"add\";s:48:\"Drupal\\responsive_image\\ResponsiveImageStyleForm\";s:6:\"delete\";s:35:\"Drupal\\Core\\Entity\\EntityDeleteForm\";s:9:\"duplicate\";s:48:\"Drupal\\responsive_image\\ResponsiveImageStyleForm\";}s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";s:23:\"config_translation_list\";s:71:\"Drupal\\config_translation\\Controller\\ConfigTranslationEntityListBuilder\";}s:19:\"\0*\0admin_permission\";s:28:\"administer responsive images\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:6:{s:9:\"edit-form\";s:67:\"/admin/config/media/responsive-image-style/{responsive_image_style}\";s:14:\"duplicate-form\";s:77:\"/admin/config/media/responsive-image-style/{responsive_image_style}/duplicate\";s:11:\"delete-form\";s:74:\"/admin/config/media/responsive-image-style/{responsive_image_style}/delete\";s:10:\"collection\";s:42:\"/admin/config/media/responsive-image-style\";s:27:\"config-translation-overview\";s:77:\"/admin/config/media/responsive-image-style/{responsive_image_style}/translate\";s:10:\"devel-load\";s:54:\"/devel/responsive_image_style/{responsive_image_style}\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"Responsive image style\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:34:\"config:responsive_image_style_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:22:\"responsive_image_style\";}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','search_page.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":39:{s:16:\"\0*\0config_prefix\";s:4:\"page\";s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:6:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:4:\"path\";i:3;s:6:\"weight\";i:4;s:6:\"plugin\";i:5;s:13:\"configuration\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:9:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:6:\"weight\";s:6:\"weight\";s:6:\"status\";s:6:\"status\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:11:\"search_page\";s:11:\"\0*\0provider\";s:6:\"search\";s:8:\"\0*\0class\";s:31:\"Drupal\\search\\Entity\\SearchPage\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:4:{s:6:\"access\";s:44:\"Drupal\\search\\SearchPageAccessControlHandler\";s:12:\"list_builder\";s:35:\"Drupal\\search\\SearchPageListBuilder\";s:4:\"form\";a:4:{s:3:\"add\";s:36:\"Drupal\\search\\Form\\SearchPageAddForm\";s:4:\"edit\";s:37:\"Drupal\\search\\Form\\SearchPageEditForm\";s:6:\"search\";s:33:\"Drupal\\search\\Form\\SearchPageForm\";s:6:\"delete\";s:35:\"Drupal\\Core\\Entity\\EntityDeleteForm\";}s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";s:17:\"administer search\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:6:{s:9:\"edit-form\";s:47:\"/admin/config/search/pages/manage/{search_page}\";s:11:\"delete-form\";s:54:\"/admin/config/search/pages/manage/{search_page}/delete\";s:6:\"enable\";s:54:\"/admin/config/search/pages/manage/{search_page}/enable\";s:7:\"disable\";s:55:\"/admin/config/search/pages/manage/{search_page}/disable\";s:11:\"set-default\";s:59:\"/admin/config/search/pages/manage/{search_page}/set-default\";s:10:\"collection\";s:26:\"/admin/config/search/pages\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Search page\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:23:\"config:search_page_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','shortcut.entity_type','O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":35:{s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:2:\"id\";s:4:\"uuid\";s:4:\"uuid\";s:6:\"bundle\";s:12:\"shortcut_set\";s:5:\"label\";s:5:\"title\";s:8:\"langcode\";s:8:\"langcode\";s:8:\"revision\";s:0:\"\";s:16:\"default_langcode\";s:16:\"default_langcode\";}s:5:\"\0*\0id\";s:8:\"shortcut\";s:11:\"\0*\0provider\";s:8:\"shortcut\";s:8:\"\0*\0class\";s:31:\"Drupal\\shortcut\\Entity\\Shortcut\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:5:{s:6:\"access\";s:44:\"Drupal\\shortcut\\ShortcutAccessControlHandler\";s:4:\"form\";a:4:{s:7:\"default\";s:28:\"Drupal\\shortcut\\ShortcutForm\";s:3:\"add\";s:28:\"Drupal\\shortcut\\ShortcutForm\";s:4:\"edit\";s:28:\"Drupal\\shortcut\\ShortcutForm\";s:6:\"delete\";s:39:\"Drupal\\shortcut\\Form\\ShortcutDeleteForm\";}s:11:\"translation\";s:52:\"Drupal\\content_translation\\ContentTranslationHandler\";s:7:\"storage\";s:46:\"Drupal\\Core\\Entity\\Sql\\SqlContentEntityStorage\";s:12:\"view_builder\";s:36:\"Drupal\\Core\\Entity\\EntityViewBuilder\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:3:{s:9:\"canonical\";s:53:\"/admin/config/user-interface/shortcut/link/{shortcut}\";s:11:\"delete-form\";s:60:\"/admin/config/user-interface/shortcut/link/{shortcut}/delete\";s:9:\"edit-form\";s:53:\"/admin/config/user-interface/shortcut/link/{shortcut}\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";s:12:\"shortcut_set\";s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";s:8:\"shortcut\";s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";s:19:\"shortcut_field_data\";s:15:\"\0*\0translatable\";b:1;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Shortcut link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:24:\"config:shortcut_set_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','shortcut.field_storage_definitions','a:8:{s:2:\"id\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:2;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"The ID of the shortcut.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:8:\"shortcut\";s:10:\"field_name\";s:2:\"id\";s:11:\"entity_type\";s:8:\"shortcut\";s:6:\"bundle\";N;}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:1:{s:5:\"value\";a:1:{i:0;s:5:\"value\";}}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:39;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"The UUID of the shortcut.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:8:\"shortcut\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:8:\"shortcut\";s:6:\"bundle\";N;}}s:12:\"shortcut_set\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:75;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:12:\"shortcut_set\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Shortcut set\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:27:\"The bundle of the shortcut.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:8:\"provider\";s:8:\"shortcut\";s:10:\"field_name\";s:12:\"shortcut_set\";s:11:\"entity_type\";s:8:\"shortcut\";s:6:\"bundle\";N;}}s:5:\"title\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:111;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"The name of the shortcut.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:12:\"translatable\";b:1;s:7:\"display\";a:1:{s:4:\"form\";a:1:{s:7:\"options\";a:3:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:-10;s:8:\"settings\";a:1:{s:4:\"size\";i:40;}}}}s:8:\"provider\";s:8:\"shortcut\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:8:\"shortcut\";s:6:\"bundle\";N;}}s:6:\"weight\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:0;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:153;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:0;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Weight\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:48:\"Weight among shortcuts in the same shortcut set.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:8:\"shortcut\";s:10:\"field_name\";s:6:\"weight\";s:11:\"entity_type\";s:8:\"shortcut\";s:6:\"bundle\";N;}}s:4:\"link\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:4:\"link\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:3:{s:3:\"uri\";a:3:{s:11:\"description\";s:20:\"The URI of the link.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:2048;}s:5:\"title\";a:3:{s:11:\"description\";s:14:\"The link text.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;}s:7:\"options\";a:4:{s:11:\"description\";s:41:\"Serialized array of options for the link.\";s:4:\"type\";s:4:\"blob\";s:4:\"size\";s:3:\"big\";s:9:\"serialize\";b:1;}}s:7:\"indexes\";a:1:{s:3:\"uri\";a:1:{i:0;a:2:{i:0;s:3:\"uri\";i:1;i:30;}}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:189;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:link\";s:8:\"settings\";a:2:{s:5:\"title\";i:0;s:9:\"link_type\";i:1;}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Path\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:37:\"The location this shortcut points to.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:12:\"link_default\";s:6:\"weight\";i:0;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:8:\"shortcut\";s:10:\"field_name\";s:4:\"link\";s:11:\"entity_type\";s:8:\"shortcut\";s:6:\"bundle\";N;}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:241;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:34:\"The language code of the shortcut.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:1:{s:4:\"type\";s:6:\"hidden\";}}s:4:\"form\";a:1:{s:7:\"options\";a:2:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;}}}s:8:\"provider\";s:8:\"shortcut\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:8:\"shortcut\";s:6:\"bundle\";N;}}s:16:\"default_langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:279;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Default translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:58:\"A flag indicating whether this is the default translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:8:\"shortcut\";s:10:\"field_name\";s:16:\"default_langcode\";s:11:\"entity_type\";s:8:\"shortcut\";s:6:\"bundle\";N;}}}'),('entity.definitions.installed','shortcut_set.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":39:{s:16:\"\0*\0config_prefix\";s:3:\"set\";s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:2:{i:0;s:2:\"id\";i:1;s:5:\"label\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:12:\"shortcut_set\";s:11:\"\0*\0provider\";s:8:\"shortcut\";s:8:\"\0*\0class\";s:34:\"Drupal\\shortcut\\Entity\\ShortcutSet\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:4:{s:7:\"storage\";s:34:\"Drupal\\shortcut\\ShortcutSetStorage\";s:6:\"access\";s:47:\"Drupal\\shortcut\\ShortcutSetAccessControlHandler\";s:12:\"list_builder\";s:38:\"Drupal\\shortcut\\ShortcutSetListBuilder\";s:4:\"form\";a:5:{s:7:\"default\";s:31:\"Drupal\\shortcut\\ShortcutSetForm\";s:3:\"add\";s:31:\"Drupal\\shortcut\\ShortcutSetForm\";s:4:\"edit\";s:31:\"Drupal\\shortcut\\ShortcutSetForm\";s:9:\"customize\";s:33:\"Drupal\\shortcut\\Form\\SetCustomize\";s:6:\"delete\";s:42:\"Drupal\\shortcut\\Form\\ShortcutSetDeleteForm\";}}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:4:{s:14:\"customize-form\";s:69:\"/admin/config/user-interface/shortcut/manage/{shortcut_set}/customize\";s:11:\"delete-form\";s:66:\"/admin/config/user-interface/shortcut/manage/{shortcut_set}/delete\";s:9:\"edit-form\";s:59:\"/admin/config/user-interface/shortcut/manage/{shortcut_set}\";s:10:\"collection\";s:37:\"/admin/config/user-interface/shortcut\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";s:8:\"shortcut\";s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Shortcut set\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:24:\"config:shortcut_set_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','simplenews_newsletter.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":39:{s:16:\"\0*\0config_prefix\";s:10:\"newsletter\";s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:13:{i:0;s:4:\"name\";i:1;s:2:\"id\";i:2;s:11:\"description\";i:3;s:6:\"format\";i:4;s:8:\"priority\";i:5;s:7:\"receipt\";i:6;s:9:\"from_name\";i:7;s:7:\"subject\";i:8;s:12:\"from_address\";i:9;s:10:\"hyperlinks\";i:10;s:11:\"new_account\";i:11;s:9:\"opt_inout\";i:12;s:6:\"weight\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:4:\"name\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:21:\"simplenews_newsletter\";s:11:\"\0*\0provider\";s:10:\"simplenews\";s:8:\"\0*\0class\";s:35:\"Drupal\\simplenews\\Entity\\Newsletter\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:4:{s:12:\"list_builder\";s:39:\"Drupal\\simplenews\\NewsletterListBuilder\";s:4:\"form\";a:3:{s:3:\"add\";s:37:\"Drupal\\simplenews\\Form\\NewsletterForm\";s:4:\"edit\";s:37:\"Drupal\\simplenews\\Form\\NewsletterForm\";s:6:\"delete\";s:43:\"Drupal\\simplenews\\Form\\NewsletterDeleteForm\";}s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";s:22:\"administer newsletters\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:3:{s:11:\"delete-form\";s:71:\"/admin/config/services/simplenews/manage/{simplenews_newsletter}/delete\";s:9:\"edit-form\";s:64:\"/admin/config/services/simplenews/manage/{simplenews_newsletter}\";s:10:\"devel-load\";s:52:\"/devel/simplenews_newsletter/{simplenews_newsletter}\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Simplenews newsletter\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:33:\"config:simplenews_newsletter_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:21:\"simplenews_newsletter\";}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','simplenews_subscriber.entity_type','O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":35:{s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:6:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:4:\"mail\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:0:\"\";s:16:\"default_langcode\";s:16:\"default_langcode\";}s:5:\"\0*\0id\";s:21:\"simplenews_subscriber\";s:11:\"\0*\0provider\";s:10:\"simplenews\";s:8:\"\0*\0class\";s:35:\"Drupal\\simplenews\\Entity\\Subscriber\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:6:{s:4:\"form\";a:5:{s:7:\"default\";s:37:\"Drupal\\simplenews\\Form\\SubscriberForm\";s:7:\"account\";s:47:\"Drupal\\simplenews\\Form\\SubscriptionsAccountForm\";s:5:\"block\";s:45:\"Drupal\\simplenews\\Form\\SubscriptionsBlockForm\";s:4:\"page\";s:44:\"Drupal\\simplenews\\Form\\SubscriptionsPageForm\";s:6:\"delete\";s:43:\"Drupal\\simplenews\\Form\\SubscriberDeleteForm\";}s:12:\"view_builder\";s:36:\"Drupal\\Core\\Entity\\EntityViewBuilder\";s:12:\"list_builder\";s:36:\"Drupal\\Core\\Entity\\EntityListBuilder\";s:10:\"views_data\";s:37:\"Drupal\\simplenews\\SubscriberViewsData\";s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:46:\"Drupal\\Core\\Entity\\Sql\\SqlContentEntityStorage\";}s:19:\"\0*\0admin_permission\";s:35:\"administer simplenews subscriptions\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:3:{s:9:\"edit-form\";s:53:\"/admin/people/simplenews/edit/{simplenews_subscriber}\";s:11:\"delete-form\";s:55:\"/admin/people/simplenews/delete/{simplenews_subscriber}\";s:10:\"devel-load\";s:52:\"/devel/simplenews_subscriber/{simplenews_subscriber}\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";s:21:\"simplenews_subscriber\";s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Simplenews subscriber\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";s:30:\"simplenews.settings_subscriber\";s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:26:\"simplenews_subscriber_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:1:{s:10:\"token_type\";s:21:\"simplenews_subscriber\";}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','simplenews_subscriber.field_storage_definitions','a:9:{s:2:\"id\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:2;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Subscriber ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:34:\"Primary key: Unique subscriber ID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:10:\"simplenews\";s:10:\"field_name\";s:2:\"id\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";N;}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:1:{s:5:\"value\";a:1:{i:0;s:5:\"value\";}}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:39;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"The subscriber UUID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:10:\"simplenews\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";N;}}s:6:\"status\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:75;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Status\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:48:\"Boolean indicating the status of the subscriber.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:10:\"simplenews\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";N;}}s:4:\"mail\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:5:\"email\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:254;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:115;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:16:\"field_item:email\";s:8:\"settings\";a:1:{s:13:\"default_value\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Email\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"The subscriber\'s email address.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:3:{s:4:\"type\";s:5:\"email\";s:8:\"settings\";a:0:{}s:6:\"weight\";i:5;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:10:\"simplenews\";s:10:\"field_name\";s:4:\"mail\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";N;}}s:3:\"uid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:153;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:4:\"user\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"User\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"The corresponding user.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:7:\"display\";a:1:{s:4:\"form\";a:2:{s:7:\"options\";a:1:{s:4:\"type\";s:6:\"hidden\";}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:10:\"simplenews\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";N;}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:193;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:36:\"The subscriber\'s preferred language.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:10:\"simplenews\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";N;}}s:7:\"changes\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:222;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:22:\"field_item:string_long\";s:8:\"settings\";a:1:{s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Changes\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:44:\"Contains the requested subscription changes.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:10:\"simplenews\";s:10:\"field_name\";s:7:\"changes\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";N;}}s:7:\"created\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"created\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:252;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:created\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Created\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:41:\"The time that the subscriber was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:10:\"simplenews\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";N;}}s:13:\"subscriptions\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":28:{s:5:\"\0*\0id\";s:35:\"simplenews_subscriber.subscriptions\";s:13:\"\0*\0field_name\";s:13:\"subscriptions\";s:14:\"\0*\0entity_type\";s:21:\"simplenews_subscriber\";s:7:\"\0*\0type\";s:23:\"simplenews_subscription\";s:9:\"\0*\0module\";s:10:\"simplenews\";s:11:\"\0*\0settings\";a:1:{s:11:\"target_type\";s:21:\"simplenews_newsletter\";}s:14:\"\0*\0cardinality\";i:-1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:0:{}s:10:\"\0*\0deleted\";b:0;s:13:\"\0*\0originalId\";s:35:\"simplenews_subscriber.subscriptions\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"c7e7a770-0ad8-43e0-a3dd-f26ab3f0870b\";s:11:\"\0*\0langcode\";s:3:\"und\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:1:{s:19:\"default_config_hash\";s:43:\"wPBNO4_O9cizdnYp2mpq2Dd3O163g-2v5v6_yazR4MA\";}s:14:\"\0*\0trustedData\";b:1;s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:1:{i:0;s:10:\"simplenews\";}}}}'),('entity.definitions.installed','taxonomy_term.entity_type','O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":42:{s:25:\"\0*\0revision_metadata_keys\";a:4:{s:16:\"revision_default\";s:16:\"revision_default\";s:13:\"revision_user\";s:13:\"revision_user\";s:16:\"revision_created\";s:16:\"revision_created\";s:20:\"revision_log_message\";s:20:\"revision_log_message\";}s:31:\"\0*\0requiredRevisionMetadataKeys\";a:0:{}s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:9:{s:2:\"id\";s:3:\"tid\";s:6:\"bundle\";s:3:\"vid\";s:5:\"label\";s:4:\"name\";s:8:\"langcode\";s:8:\"langcode\";s:4:\"uuid\";s:4:\"uuid\";s:8:\"revision\";s:11:\"revision_id\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:9:\"published\";s:6:\"status\";s:29:\"revision_translation_affected\";s:29:\"revision_translation_affected\";}s:5:\"\0*\0id\";s:13:\"taxonomy_term\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:7:{s:7:\"storage\";s:27:\"Drupal\\taxonomy\\TermStorage\";s:14:\"storage_schema\";s:33:\"Drupal\\taxonomy\\TermStorageSchema\";s:12:\"view_builder\";s:31:\"Drupal\\taxonomy\\TermViewBuilder\";s:6:\"access\";s:40:\"Drupal\\taxonomy\\TermAccessControlHandler\";s:10:\"views_data\";s:29:\"Drupal\\taxonomy\\TermViewsData\";s:4:\"form\";a:2:{s:7:\"default\";s:24:\"Drupal\\taxonomy\\TermForm\";s:6:\"delete\";s:35:\"Drupal\\taxonomy\\Form\\TermDeleteForm\";}s:11:\"translation\";s:38:\"Drupal\\taxonomy\\TermTranslationHandler\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:6:\"bundle\";s:8:\"\0*\0links\";a:3:{s:9:\"canonical\";s:30:\"/taxonomy/term/{taxonomy_term}\";s:11:\"delete-form\";s:37:\"/taxonomy/term/{taxonomy_term}/delete\";s:9:\"edit-form\";s:35:\"/taxonomy/term/{taxonomy_term}/edit\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";s:19:\"taxonomy_vocabulary\";s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Vocabulary\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"\0*\0base_table\";s:18:\"taxonomy_term_data\";s:22:\"\0*\0revision_data_table\";s:28:\"taxonomy_term_field_revision\";s:17:\"\0*\0revision_table\";s:22:\"taxonomy_term_revision\";s:13:\"\0*\0data_table\";s:24:\"taxonomy_term_field_data\";s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:1;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Taxonomy term\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";s:17:\"taxonomy_term_uri\";s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";s:40:\"entity.taxonomy_vocabulary.overview_form\";s:26:\"\0*\0common_reference_target\";b:1;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:18:\"taxonomy_term_list\";}s:14:\"\0*\0constraints\";a:1:{s:13:\"EntityChanged\";N;}s:13:\"\0*\0additional\";a:0:{}s:8:\"\0*\0class\";s:27:\"Drupal\\taxonomy\\Entity\\Term\";s:11:\"\0*\0provider\";s:8:\"taxonomy\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','taxonomy_term.field_storage_definitions','a:21:{s:3:\"tid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:2;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Term ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"The term ID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:3:\"tid\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:1:{s:5:\"value\";a:1:{i:0;s:5:\"value\";}}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:39;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"The term UUID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:3:\"vid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:75;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:19:\"taxonomy_vocabulary\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Vocabulary\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"The vocabulary to which the term is assigned.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:3:\"vid\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:110;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"The term language code.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:1:{s:4:\"type\";s:6:\"hidden\";}}s:4:\"form\";a:1:{s:7:\"options\";a:2:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;}}}s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;s:12:\"revisionable\";b:1;}}s:4:\"name\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:149;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:10:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"The term name.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"required\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"string\";s:6:\"weight\";i:-5;}}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:-5;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:4:\"name\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;s:12:\"revisionable\";b:1;}}s:11:\"description\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:9:\"text_long\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:2:{s:5:\"value\";a:2:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";}s:6:\"format\";a:2:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:196;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:20:\"field_item:text_long\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Description\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"A description of the term.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:2:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;}s:12:\"configurable\";b:1;}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:14:\"text_textfield\";s:6:\"weight\";i:0;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:11:\"description\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;s:12:\"revisionable\";b:1;}}s:6:\"weight\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:0;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:244;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:0;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Weight\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:51:\"The weight of this term in relation to other terms.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:6:\"weight\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:6:\"parent\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:283;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:13:\"taxonomy_term\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Term Parents\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"The parents of this term.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"cardinality\";i:-1;s:14:\"custom_storage\";b:0;s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:6:\"parent\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:7:\"changed\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"changed\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:320;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:changed\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Changed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:39:\"The time that the term was last edited.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;s:12:\"revisionable\";b:1;}}s:16:\"default_langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:350;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Default translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:58:\"A flag indicating whether this is the default translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:16:\"default_langcode\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:26:\"content_translation_source\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:392;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Translation source\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:60:\"The source language from which this translation was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:3:\"und\";}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:19:\"content_translation\";s:10:\"field_name\";s:26:\"content_translation_source\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:28:\"content_translation_outdated\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:426;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Translation outdated\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:66:\"A boolean indicating whether this translation needs to be updated.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:19:\"content_translation\";s:10:\"field_name\";s:28:\"content_translation_outdated\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:23:\"content_translation_uid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:468;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:4:\"user\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Translation author\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"The author of this translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:22:\"default_value_callback\";s:57:\"Drupal\\taxonomy\\TermTranslationHandler::getDefaultOwnerId\";s:12:\"translatable\";b:1;s:8:\"provider\";s:19:\"content_translation\";s:10:\"field_name\";s:23:\"content_translation_uid\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:27:\"content_translation_created\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"created\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:506;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:created\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Translation created time\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"The Unix timestamp when the translation was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:19:\"content_translation\";s:10:\"field_name\";s:27:\"content_translation_created\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:6:\"status\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:536;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:11:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Publishing status\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:41:\"A boolean indicating the published state.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:24:\"initial_value_from_field\";s:26:\"content_translation_status\";s:13:\"initial_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:8:\"provider\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:11:\"revision_id\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:582;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:6:{s:10:\"field_name\";s:11:\"revision_id\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Revision ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:13:\"initial_value\";N;}}s:16:\"revision_default\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:615;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:10:{s:10:\"field_name\";s:16:\"revision_default\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Default revision\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"A flag indicating whether this was a default revision when it was saved.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:16:\"storage_required\";b:1;s:8:\"internal\";b:1;s:12:\"translatable\";b:0;s:12:\"revisionable\";b:1;s:13:\"initial_value\";N;}}s:29:\"revision_translation_affected\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:656;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:9:{s:10:\"field_name\";s:29:\"revision_translation_affected\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Revision translation affected\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:72:\"Indicates if the last edit of a translation belongs to current revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:13:\"initial_value\";N;}}s:16:\"revision_created\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"created\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:696;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:created\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:7:{s:10:\"field_name\";s:16:\"revision_created\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Revision create time\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:47:\"The time that the current revision was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:13:\"initial_value\";N;}}s:13:\"revision_user\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:725;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:4:\"user\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:7:{s:10:\"field_name\";s:13:\"revision_user\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Revision user\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:50:\"The user ID of the author of the current revision.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:13:\"initial_value\";N;}}s:20:\"revision_log_message\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:11:\"string_long\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:761;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:22:\"field_item:string_long\";s:8:\"settings\";a:1:{s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:8:{s:10:\"field_name\";s:20:\"revision_log_message\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Revision log message\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:43:\"Briefly describe the changes you have made.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:0:\"\";}}s:13:\"initial_value\";N;}}}'),('entity.definitions.installed','taxonomy_vocabulary.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":39:{s:16:\"\0*\0config_prefix\";s:10:\"vocabulary\";s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:5:{i:0;s:4:\"name\";i:1;s:3:\"vid\";i:2;s:11:\"description\";i:3;s:9:\"hierarchy\";i:4;s:6:\"weight\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:3:\"vid\";s:5:\"label\";s:4:\"name\";s:6:\"weight\";s:6:\"weight\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:19:\"taxonomy_vocabulary\";s:11:\"\0*\0provider\";s:8:\"taxonomy\";s:8:\"\0*\0class\";s:33:\"Drupal\\taxonomy\\Entity\\Vocabulary\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:4:{s:7:\"storage\";s:33:\"Drupal\\taxonomy\\VocabularyStorage\";s:12:\"list_builder\";s:37:\"Drupal\\taxonomy\\VocabularyListBuilder\";s:4:\"form\";a:3:{s:7:\"default\";s:30:\"Drupal\\taxonomy\\VocabularyForm\";s:5:\"reset\";s:40:\"Drupal\\taxonomy\\Form\\VocabularyResetForm\";s:6:\"delete\";s:41:\"Drupal\\taxonomy\\Form\\VocabularyDeleteForm\";}s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";}s:19:\"\0*\0admin_permission\";s:19:\"administer taxonomy\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:6:{s:8:\"add-form\";s:58:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/add\";s:11:\"delete-form\";s:61:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/delete\";s:10:\"reset-form\";s:60:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/reset\";s:13:\"overview-form\";s:63:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview\";s:9:\"edit-form\";s:54:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}\";s:10:\"collection\";s:25:\"/admin/structure/taxonomy\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";s:13:\"taxonomy_term\";s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Taxonomy vocabulary\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:31:\"config:taxonomy_vocabulary_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','tour.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":39:{s:16:\"\0*\0config_prefix\";N;s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:2:{i:0;s:19:\"routes.*.route_name\";i:1;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:5:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:6:\"module\";i:3;s:6:\"routes\";i:4;s:4:\"tips\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:7:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:4:\"tour\";s:11:\"\0*\0provider\";s:4:\"tour\";s:8:\"\0*\0class\";s:23:\"Drupal\\tour\\Entity\\Tour\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:3:{s:12:\"view_builder\";s:27:\"Drupal\\tour\\TourViewBuilder\";s:6:\"access\";s:45:\"Drupal\\Core\\Entity\\EntityAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Tour\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:16:\"config:tour_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','user.entity_type','O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":35:{s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:6:{s:2:\"id\";s:3:\"uid\";s:8:\"langcode\";s:8:\"langcode\";s:4:\"uuid\";s:4:\"uuid\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:16:\"default_langcode\";s:16:\"default_langcode\";}s:5:\"\0*\0id\";s:4:\"user\";s:11:\"\0*\0provider\";s:4:\"user\";s:8:\"\0*\0class\";s:23:\"Drupal\\user\\Entity\\User\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:9:{s:7:\"storage\";s:23:\"Drupal\\user\\UserStorage\";s:14:\"storage_schema\";s:29:\"Drupal\\user\\UserStorageSchema\";s:6:\"access\";s:36:\"Drupal\\user\\UserAccessControlHandler\";s:12:\"list_builder\";s:27:\"Drupal\\user\\UserListBuilder\";s:10:\"views_data\";s:25:\"Drupal\\user\\UserViewsData\";s:14:\"route_provider\";a:1:{s:4:\"html\";s:36:\"Drupal\\user\\Entity\\UserRouteProvider\";}s:4:\"form\";a:3:{s:7:\"default\";s:23:\"Drupal\\user\\ProfileForm\";s:6:\"cancel\";s:31:\"Drupal\\user\\Form\\UserCancelForm\";s:8:\"register\";s:24:\"Drupal\\user\\RegisterForm\";}s:11:\"translation\";s:37:\"Drupal\\user\\ProfileTranslationHandler\";s:12:\"view_builder\";s:36:\"Drupal\\Core\\Entity\\EntityViewBuilder\";}s:19:\"\0*\0admin_permission\";s:16:\"administer users\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:4:{s:9:\"canonical\";s:12:\"/user/{user}\";s:9:\"edit-form\";s:17:\"/user/{user}/edit\";s:11:\"cancel-form\";s:19:\"/user/{user}/cancel\";s:10:\"collection\";s:13:\"/admin/people\";}s:17:\"\0*\0label_callback\";s:16:\"user_format_name\";s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";s:5:\"users\";s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";s:16:\"users_field_data\";s:15:\"\0*\0translatable\";b:1;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"User\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";s:22:\"entity.user.admin_form\";s:26:\"\0*\0common_reference_target\";b:1;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:9:\"user_list\";}s:14:\"\0*\0constraints\";a:1:{s:13:\"EntityChanged\";N;}s:13:\"\0*\0additional\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','user.field_storage_definitions','a:23:{s:3:\"uid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:2;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"User ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"The user ID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:3:\"uid\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:1:{s:5:\"value\";a:1:{i:0;s:5:\"value\";}}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:39;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"The user UUID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:75;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Language code\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"The user language code.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:18:\"preferred_langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:105;s:13:\"\0*\0definition\";a:3:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}s:11:\"constraints\";a:1:{s:11:\"ComplexData\";a:1:{s:5:\"value\";a:2:{s:13:\"AllowedValues\";a:1:{s:8:\"callback\";s:60:\"Drupal\\user\\Entity\\User::getAllowedConfigurableLanguageCodes\";}s:6:\"Length\";a:1:{s:3:\"max\";i:12;}}}}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"Preferred language code\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:77:\"The user\'s preferred language code for receiving emails and viewing the site.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:18:\"preferred_langcode\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:24:\"preferred_admin_langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:141;s:13:\"\0*\0definition\";a:3:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}s:11:\"constraints\";a:1:{s:11:\"ComplexData\";a:1:{s:5:\"value\";a:2:{s:13:\"AllowedValues\";a:1:{s:8:\"callback\";s:60:\"Drupal\\user\\Entity\\User::getAllowedConfigurableLanguageCodes\";}s:6:\"Length\";a:1:{s:3:\"max\";i:12;}}}}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Preferred admin language code\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:68:\"The user\'s preferred language code for viewing administration pages.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";N;}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:24:\"preferred_admin_langcode\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:4:\"name\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:180;s:13:\"\0*\0definition\";a:3:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}s:5:\"class\";s:25:\"\\Drupal\\user\\UserNameItem\";}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"The name of this user.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:11:\"constraints\";a:2:{s:8:\"UserName\";a:0:{}s:14:\"UserNameUnique\";a:0:{}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:4:\"name\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:4:\"pass\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:8:\"password\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:218;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:password\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Password\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"The password of this user (hashed).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"constraints\";a:1:{s:18:\"ProtectedUserField\";N;}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:4:\"pass\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:4:\"mail\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:5:\"email\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:254;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:253;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:16:\"field_item:email\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Email\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"The email of this user.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:0:\"\";}}s:11:\"constraints\";a:3:{s:14:\"UserMailUnique\";N;s:16:\"UserMailRequired\";N;s:18:\"ProtectedUserField\";N;}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:4:\"mail\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:8:\"timezone\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:32;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:289;s:13:\"\0*\0definition\";a:3:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:32;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}s:11:\"constraints\";a:1:{s:11:\"ComplexData\";a:1:{s:5:\"value\";a:1:{s:13:\"AllowedValues\";a:1:{s:8:\"callback\";s:44:\"Drupal\\user\\Entity\\User::getAllowedTimezones\";}}}}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Timezone\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"The timezone of this user.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:8:\"timezone\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:6:\"status\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:327;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"User status\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:38:\"Whether the user is active or blocked.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:7:\"created\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"created\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:367;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:created\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Created\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"The time that the user was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:7:\"created\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:7:\"changed\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"changed\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:395;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:changed\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Changed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:39:\"The time that the user was last edited.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:6:\"access\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:9:\"timestamp\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:424;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:20:\"field_item:timestamp\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Last access\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"The time that the user last accessed the site.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:6:\"access\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:5:\"login\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:9:\"timestamp\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:455;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:20:\"field_item:timestamp\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Last login\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:38:\"The time that the user last logged in.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:5:\"login\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:4:\"init\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:5:\"email\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:254;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:486;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:16:\"field_item:email\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Initial email\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"The email address used for initial account creation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:0:\"\";}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:4:\"init\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:5:\"roles\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:518;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:9:\"user_role\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Roles\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"cardinality\";i:-1;s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"The roles the user has.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:5:\"roles\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:16:\"default_langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:554;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Default translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:58:\"A flag indicating whether this is the default translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:4:\"user\";s:10:\"field_name\";s:16:\"default_langcode\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:12:\"user_picture\";O:38:\"Drupal\\field\\Entity\\FieldStorageConfig\":28:{s:5:\"\0*\0id\";s:17:\"user.user_picture\";s:13:\"\0*\0field_name\";s:12:\"user_picture\";s:14:\"\0*\0entity_type\";s:4:\"user\";s:7:\"\0*\0type\";s:5:\"image\";s:9:\"\0*\0module\";s:5:\"image\";s:11:\"\0*\0settings\";a:5:{s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";a:5:{s:4:\"uuid\";N;s:3:\"alt\";s:0:\"\";s:5:\"title\";s:0:\"\";s:5:\"width\";N;s:6:\"height\";N;}s:11:\"target_type\";s:4:\"file\";s:13:\"display_field\";b:0;s:15:\"display_default\";b:0;}s:14:\"\0*\0cardinality\";i:1;s:15:\"\0*\0translatable\";b:1;s:9:\"\0*\0locked\";b:0;s:25:\"\0*\0persist_with_no_fields\";b:0;s:14:\"custom_storage\";b:0;s:10:\"\0*\0indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:10:\"\0*\0deleted\";b:0;s:13:\"\0*\0originalId\";s:17:\"user.user_picture\";s:9:\"\0*\0status\";b:1;s:7:\"\0*\0uuid\";s:36:\"e64d8313-b823-473d-b7c5-f51613cc8e75\";s:11:\"\0*\0langcode\";s:2:\"en\";s:23:\"\0*\0third_party_settings\";a:0:{}s:8:\"\0*\0_core\";a:1:{s:19:\"default_config_hash\";s:43:\"6k-VBFilDLuzgSOT-77CFgHFlcd5D-kqRixtH89EShU\";}s:14:\"\0*\0trustedData\";b:1;s:15:\"\0*\0entityTypeId\";s:20:\"field_storage_config\";s:15:\"\0*\0enforceIsNew\";b:1;s:12:\"\0*\0typedData\";N;s:16:\"\0*\0cacheContexts\";a:0:{}s:12:\"\0*\0cacheTags\";a:0:{}s:14:\"\0*\0cacheMaxAge\";i:-1;s:14:\"\0*\0_serviceIds\";a:0:{}s:15:\"\0*\0dependencies\";a:1:{s:6:\"module\";a:3:{i:0;s:4:\"file\";i:1;s:5:\"image\";i:2;s:4:\"user\";}}}s:26:\"content_translation_source\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:642;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Translation source\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:60:\"The source language from which this translation was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:3:\"und\";}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:19:\"content_translation\";s:10:\"field_name\";s:26:\"content_translation_source\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:28:\"content_translation_outdated\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:676;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Translation outdated\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:66:\"A boolean indicating whether this translation needs to be updated.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:19:\"content_translation\";s:10:\"field_name\";s:28:\"content_translation_outdated\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:23:\"content_translation_uid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:718;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:4:\"user\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Translation author\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"The author of this translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:22:\"default_value_callback\";s:56:\"Drupal\\user\\ProfileTranslationHandler::getDefaultOwnerId\";s:12:\"translatable\";b:1;s:8:\"provider\";s:19:\"content_translation\";s:10:\"field_name\";s:23:\"content_translation_uid\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:26:\"content_translation_status\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:756;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Translation status\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:75:\"A boolean indicating whether the translation is visible to non-translators.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:19:\"content_translation\";s:10:\"field_name\";s:26:\"content_translation_status\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}s:27:\"content_translation_created\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"created\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:798;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:created\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Translation created time\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"The Unix timestamp when the translation was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:19:\"content_translation\";s:10:\"field_name\";s:27:\"content_translation_created\";s:11:\"entity_type\";s:4:\"user\";s:6:\"bundle\";N;}}}'),('entity.definitions.installed','user_role.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":39:{s:16:\"\0*\0config_prefix\";s:4:\"role\";s:15:\"\0*\0static_cache\";b:1;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:5:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:6:\"weight\";i:3;s:8:\"is_admin\";i:4;s:11:\"permissions\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:6:\"weight\";s:6:\"weight\";s:5:\"label\";s:5:\"label\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:9:\"user_role\";s:11:\"\0*\0provider\";s:4:\"user\";s:8:\"\0*\0class\";s:23:\"Drupal\\user\\Entity\\Role\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:4:{s:7:\"storage\";s:23:\"Drupal\\user\\RoleStorage\";s:6:\"access\";s:36:\"Drupal\\user\\RoleAccessControlHandler\";s:12:\"list_builder\";s:27:\"Drupal\\user\\RoleListBuilder\";s:4:\"form\";a:2:{s:7:\"default\";s:20:\"Drupal\\user\\RoleForm\";s:6:\"delete\";s:35:\"Drupal\\Core\\Entity\\EntityDeleteForm\";}}s:19:\"\0*\0admin_permission\";s:22:\"administer permissions\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:4:{s:11:\"delete-form\";s:45:\"/admin/people/roles/manage/{user_role}/delete\";s:9:\"edit-form\";s:38:\"/admin/people/roles/manage/{user_role}\";s:21:\"edit-permissions-form\";s:37:\"/admin/people/permissions/{user_role}\";s:10:\"collection\";s:19:\"/admin/people/roles\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Role\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:21:\"config:user_role_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.definitions.installed','view.entity_type','O:42:\"Drupal\\Core\\Config\\Entity\\ConfigEntityType\":39:{s:16:\"\0*\0config_prefix\";N;s:15:\"\0*\0static_cache\";b:0;s:14:\"\0*\0lookup_keys\";a:1:{i:0;s:4:\"uuid\";}s:16:\"\0*\0config_export\";a:9:{i:0;s:2:\"id\";i:1;s:5:\"label\";i:2;s:6:\"module\";i:3;s:11:\"description\";i:4;s:3:\"tag\";i:5;s:10:\"base_table\";i:6;s:10:\"base_field\";i:7;s:4:\"core\";i:8;s:7:\"display\";}s:21:\"\0*\0mergedConfigExport\";a:0:{}s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"label\";s:6:\"status\";s:6:\"status\";s:8:\"revision\";s:0:\"\";s:6:\"bundle\";s:0:\"\";s:8:\"langcode\";s:8:\"langcode\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:4:\"uuid\";s:4:\"uuid\";}s:5:\"\0*\0id\";s:4:\"view\";s:11:\"\0*\0provider\";s:5:\"views\";s:8:\"\0*\0class\";s:24:\"Drupal\\views\\Entity\\View\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:2:{s:6:\"access\";s:37:\"Drupal\\views\\ViewAccessControlHandler\";s:7:\"storage\";s:45:\"Drupal\\Core\\Config\\Entity\\ConfigEntityStorage\";}s:19:\"\0*\0admin_permission\";s:16:\"administer views\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:0:{}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";N;s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";N;s:15:\"\0*\0translatable\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"View\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:16:\"View entity type\";}}s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:13:\"configuration\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:16:\"config:view_list\";}s:14:\"\0*\0constraints\";a:0:{}s:13:\"\0*\0additional\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}'),('entity.storage_schema.sql','block_content.entity_schema_data','a:4:{s:13:\"block_content\";a:2:{s:11:\"primary key\";a:1:{i:0;s:2:\"id\";}s:11:\"unique keys\";a:1:{s:26:\"block_content__revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}s:22:\"block_content_revision\";a:2:{s:11:\"primary key\";a:1:{i:0;s:11:\"revision_id\";}s:7:\"indexes\";a:1:{s:17:\"block_content__id\";a:1:{i:0;s:2:\"id\";}}}s:24:\"block_content_field_data\";a:2:{s:11:\"primary key\";a:2:{i:0;s:2:\"id\";i:1;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:45:\"block_content__id__default_langcode__langcode\";a:3:{i:0;s:2:\"id\";i:1;s:16:\"default_langcode\";i:2;s:8:\"langcode\";}s:26:\"block_content__revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:26:\"block_content__status_type\";a:3:{i:0;s:6:\"status\";i:1;s:4:\"type\";i:2;s:2:\"id\";}}}s:28:\"block_content_field_revision\";a:2:{s:11:\"primary key\";a:2:{i:0;s:11:\"revision_id\";i:1;s:8:\"langcode\";}s:7:\"indexes\";a:1:{s:45:\"block_content__id__default_langcode__langcode\";a:3:{i:0;s:2:\"id\";i:1;s:16:\"default_langcode\";i:2;s:8:\"langcode\";}}}}'),('entity.storage_schema.sql','block_content.field_schema_data.body','a:2:{s:19:\"block_content__body\";a:4:{s:11:\"description\";s:42:\"Data storage for block_content field body.\";s:6:\"fields\";a:9:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:10:\"body_value\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:1;}s:12:\"body_summary\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:0;}s:11:\"body_format\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:11:\"body_format\";a:1:{i:0;s:11:\"body_format\";}}}s:28:\"block_content_revision__body\";a:4:{s:11:\"description\";s:54:\"Revision archive storage for block_content field body.\";s:6:\"fields\";a:9:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:10:\"body_value\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:1;}s:12:\"body_summary\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:0;}s:11:\"body_format\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:11:\"body_format\";a:1:{i:0;s:11:\"body_format\";}}}}'),('entity.storage_schema.sql','block_content.field_schema_data.changed','a:2:{s:24:\"block_content_field_data\";a:1:{s:6:\"fields\";a:1:{s:7:\"changed\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;}}}s:28:\"block_content_field_revision\";a:1:{s:6:\"fields\";a:1:{s:7:\"changed\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','block_content.field_schema_data.default_langcode','a:2:{s:24:\"block_content_field_data\";a:1:{s:6:\"fields\";a:1:{s:16:\"default_langcode\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}}s:28:\"block_content_field_revision\";a:1:{s:6:\"fields\";a:1:{s:16:\"default_langcode\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','block_content.field_schema_data.id','a:4:{s:13:\"block_content\";a:1:{s:6:\"fields\";a:1:{s:2:\"id\";a:4:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}s:24:\"block_content_field_data\";a:1:{s:6:\"fields\";a:1:{s:2:\"id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}s:22:\"block_content_revision\";a:1:{s:6:\"fields\";a:1:{s:2:\"id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}s:28:\"block_content_field_revision\";a:1:{s:6:\"fields\";a:1:{s:2:\"id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','block_content.field_schema_data.info','a:2:{s:24:\"block_content_field_data\";a:1:{s:6:\"fields\";a:1:{s:4:\"info\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:0;}}}s:28:\"block_content_field_revision\";a:1:{s:6:\"fields\";a:1:{s:4:\"info\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','block_content.field_schema_data.langcode','a:4:{s:13:\"block_content\";a:1:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:1;}}}s:24:\"block_content_field_data\";a:1:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:1;}}}s:22:\"block_content_revision\";a:1:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:1;}}}s:28:\"block_content_field_revision\";a:1:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','block_content.field_schema_data.reusable','a:1:{s:24:\"block_content_field_data\";a:1:{s:6:\"fields\";a:1:{s:8:\"reusable\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','block_content.field_schema_data.revision_created','a:1:{s:22:\"block_content_revision\";a:1:{s:6:\"fields\";a:1:{s:16:\"revision_created\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','block_content.field_schema_data.revision_default','a:1:{s:22:\"block_content_revision\";a:1:{s:6:\"fields\";a:1:{s:16:\"revision_default\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','block_content.field_schema_data.revision_id','a:4:{s:13:\"block_content\";a:1:{s:6:\"fields\";a:1:{s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:0;}}}s:24:\"block_content_field_data\";a:1:{s:6:\"fields\";a:1:{s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}s:22:\"block_content_revision\";a:1:{s:6:\"fields\";a:1:{s:11:\"revision_id\";a:4:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}s:28:\"block_content_field_revision\";a:1:{s:6:\"fields\";a:1:{s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','block_content.field_schema_data.revision_log','a:1:{s:22:\"block_content_revision\";a:1:{s:6:\"fields\";a:1:{s:12:\"revision_log\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','block_content.field_schema_data.revision_translation_affected','a:2:{s:24:\"block_content_field_data\";a:1:{s:6:\"fields\";a:1:{s:29:\"revision_translation_affected\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}s:28:\"block_content_field_revision\";a:1:{s:6:\"fields\";a:1:{s:29:\"revision_translation_affected\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','block_content.field_schema_data.revision_user','a:1:{s:22:\"block_content_revision\";a:2:{s:6:\"fields\";a:1:{s:13:\"revision_user\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:7:\"indexes\";a:1:{s:45:\"block_content_field__revision_user__target_id\";a:1:{i:0;s:13:\"revision_user\";}}}}'),('entity.storage_schema.sql','block_content.field_schema_data.status','a:2:{s:24:\"block_content_field_data\";a:1:{s:6:\"fields\";a:1:{s:6:\"status\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}}s:28:\"block_content_field_revision\";a:1:{s:6:\"fields\";a:1:{s:6:\"status\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','block_content.field_schema_data.type','a:2:{s:13:\"block_content\";a:2:{s:6:\"fields\";a:1:{s:4:\"type\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;}}s:7:\"indexes\";a:1:{s:36:\"block_content_field__type__target_id\";a:1:{i:0;s:4:\"type\";}}}s:24:\"block_content_field_data\";a:2:{s:6:\"fields\";a:1:{s:4:\"type\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;}}s:7:\"indexes\";a:1:{s:36:\"block_content_field__type__target_id\";a:1:{i:0;s:4:\"type\";}}}}'),('entity.storage_schema.sql','block_content.field_schema_data.uuid','a:1:{s:13:\"block_content\";a:2:{s:6:\"fields\";a:1:{s:4:\"uuid\";a:4:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:6:\"binary\";b:0;s:8:\"not null\";b:1;}}s:11:\"unique keys\";a:1:{s:32:\"block_content_field__uuid__value\";a:1:{i:0;s:4:\"uuid\";}}}}'),('entity.storage_schema.sql','comment.entity_schema_data','a:2:{s:7:\"comment\";a:1:{s:11:\"primary key\";a:1:{i:0;s:3:\"cid\";}}s:18:\"comment_field_data\";a:2:{s:11:\"primary key\";a:2:{i:0;s:3:\"cid\";i:1;s:8:\"langcode\";}s:7:\"indexes\";a:5:{s:39:\"comment__id__default_langcode__langcode\";a:3:{i:0;s:3:\"cid\";i:1;s:16:\"default_langcode\";i:2;s:8:\"langcode\";}s:28:\"comment__status_comment_type\";a:3:{i:0;s:6:\"status\";i:1;s:12:\"comment_type\";i:2;s:3:\"cid\";}s:19:\"comment__status_pid\";a:2:{i:0;s:3:\"pid\";i:1;s:6:\"status\";}s:16:\"comment__num_new\";a:7:{i:0;s:9:\"entity_id\";i:1;s:11:\"entity_type\";i:2;s:12:\"comment_type\";i:3;s:6:\"status\";i:4;s:7:\"created\";i:5;s:3:\"cid\";i:6;s:6:\"thread\";}s:24:\"comment__entity_langcode\";a:4:{i:0;s:9:\"entity_id\";i:1;s:11:\"entity_type\";i:2;s:12:\"comment_type\";i:3;s:16:\"default_langcode\";}}}}'),('entity.storage_schema.sql','comment.field_schema_data.changed','a:1:{s:18:\"comment_field_data\";a:1:{s:6:\"fields\";a:1:{s:7:\"changed\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','comment.field_schema_data.cid','a:2:{s:7:\"comment\";a:1:{s:6:\"fields\";a:1:{s:3:\"cid\";a:4:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}s:18:\"comment_field_data\";a:1:{s:6:\"fields\";a:1:{s:3:\"cid\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','comment.field_schema_data.comment_body','a:1:{s:21:\"comment__comment_body\";a:4:{s:11:\"description\";s:44:\"Data storage for comment field comment_body.\";s:6:\"fields\";a:8:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:114:\"The entity revision id this data is attached to, which for an unversioned entity type is the same as the entity id\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:18:\"comment_body_value\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:1;}s:19:\"comment_body_format\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:19:\"comment_body_format\";a:1:{i:0;s:19:\"comment_body_format\";}}}}'),('entity.storage_schema.sql','comment.field_schema_data.comment_type','a:2:{s:7:\"comment\";a:2:{s:6:\"fields\";a:1:{s:12:\"comment_type\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;}}s:7:\"indexes\";a:1:{s:38:\"comment_field__comment_type__target_id\";a:1:{i:0;s:12:\"comment_type\";}}}s:18:\"comment_field_data\";a:2:{s:6:\"fields\";a:1:{s:12:\"comment_type\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;}}s:7:\"indexes\";a:1:{s:38:\"comment_field__comment_type__target_id\";a:1:{i:0;s:12:\"comment_type\";}}}}'),('entity.storage_schema.sql','comment.field_schema_data.created','a:1:{s:18:\"comment_field_data\";a:2:{s:6:\"fields\";a:1:{s:7:\"created\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;}}s:7:\"indexes\";a:1:{s:22:\"comment_field__created\";a:1:{i:0;s:7:\"created\";}}}}'),('entity.storage_schema.sql','comment.field_schema_data.default_langcode','a:1:{s:18:\"comment_field_data\";a:1:{s:6:\"fields\";a:1:{s:16:\"default_langcode\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','comment.field_schema_data.entity_id','a:1:{s:18:\"comment_field_data\";a:2:{s:6:\"fields\";a:1:{s:9:\"entity_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:7:\"indexes\";a:0:{}}}'),('entity.storage_schema.sql','comment.field_schema_data.entity_type','a:1:{s:18:\"comment_field_data\";a:1:{s:6:\"fields\";a:1:{s:11:\"entity_type\";a:4:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:6:\"binary\";b:0;s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','comment.field_schema_data.field_name','a:1:{s:18:\"comment_field_data\";a:1:{s:6:\"fields\";a:1:{s:10:\"field_name\";a:4:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:6:\"binary\";b:0;s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','comment.field_schema_data.homepage','a:1:{s:18:\"comment_field_data\";a:1:{s:6:\"fields\";a:1:{s:8:\"homepage\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','comment.field_schema_data.hostname','a:1:{s:18:\"comment_field_data\";a:1:{s:6:\"fields\";a:1:{s:8:\"hostname\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:128;s:6:\"binary\";b:0;s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','comment.field_schema_data.langcode','a:2:{s:7:\"comment\";a:1:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:1;}}}s:18:\"comment_field_data\";a:1:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','comment.field_schema_data.mail','a:1:{s:18:\"comment_field_data\";a:1:{s:6:\"fields\";a:1:{s:4:\"mail\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:254;s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','comment.field_schema_data.name','a:1:{s:18:\"comment_field_data\";a:1:{s:6:\"fields\";a:1:{s:4:\"name\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:60;s:6:\"binary\";b:0;s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','comment.field_schema_data.pid','a:1:{s:18:\"comment_field_data\";a:2:{s:6:\"fields\";a:1:{s:3:\"pid\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:7:\"indexes\";a:0:{}}}'),('entity.storage_schema.sql','comment.field_schema_data.status','a:1:{s:18:\"comment_field_data\";a:1:{s:6:\"fields\";a:1:{s:6:\"status\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','comment.field_schema_data.subject','a:1:{s:18:\"comment_field_data\";a:1:{s:6:\"fields\";a:1:{s:7:\"subject\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:64;s:6:\"binary\";b:0;s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','comment.field_schema_data.thread','a:1:{s:18:\"comment_field_data\";a:1:{s:6:\"fields\";a:1:{s:6:\"thread\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','comment.field_schema_data.uid','a:1:{s:18:\"comment_field_data\";a:3:{s:6:\"fields\";a:1:{s:3:\"uid\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:7:\"indexes\";a:1:{s:29:\"comment_field__uid__target_id\";a:1:{i:0;s:3:\"uid\";}}s:12:\"foreign keys\";a:1:{s:18:\"comment_field__uid\";a:2:{s:5:\"table\";s:5:\"users\";s:7:\"columns\";a:1:{s:3:\"uid\";s:3:\"uid\";}}}}}'),('entity.storage_schema.sql','comment.field_schema_data.uuid','a:1:{s:7:\"comment\";a:2:{s:6:\"fields\";a:1:{s:4:\"uuid\";a:4:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:6:\"binary\";b:0;s:8:\"not null\";b:1;}}s:11:\"unique keys\";a:1:{s:26:\"comment_field__uuid__value\";a:1:{i:0;s:4:\"uuid\";}}}}'),('entity.storage_schema.sql','file.entity_schema_data','a:1:{s:12:\"file_managed\";a:1:{s:11:\"primary key\";a:1:{i:0;s:3:\"fid\";}}}'),('entity.storage_schema.sql','file.field_schema_data.changed','a:1:{s:12:\"file_managed\";a:2:{s:6:\"fields\";a:1:{s:7:\"changed\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;}}s:7:\"indexes\";a:1:{s:19:\"file_field__changed\";a:1:{i:0;s:7:\"changed\";}}}}'),('entity.storage_schema.sql','file.field_schema_data.created','a:1:{s:12:\"file_managed\";a:1:{s:6:\"fields\";a:1:{s:7:\"created\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','file.field_schema_data.fid','a:1:{s:12:\"file_managed\";a:1:{s:6:\"fields\";a:1:{s:3:\"fid\";a:4:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','file.field_schema_data.filemime','a:1:{s:12:\"file_managed\";a:1:{s:6:\"fields\";a:1:{s:8:\"filemime\";a:4:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','file.field_schema_data.filename','a:1:{s:12:\"file_managed\";a:1:{s:6:\"fields\";a:1:{s:8:\"filename\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','file.field_schema_data.filesize','a:1:{s:12:\"file_managed\";a:1:{s:6:\"fields\";a:1:{s:8:\"filesize\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','file.field_schema_data.langcode','a:1:{s:12:\"file_managed\";a:1:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','file.field_schema_data.status','a:1:{s:12:\"file_managed\";a:2:{s:6:\"fields\";a:1:{s:6:\"status\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}s:7:\"indexes\";a:1:{s:18:\"file_field__status\";a:1:{i:0;s:6:\"status\";}}}}'),('entity.storage_schema.sql','file.field_schema_data.uid','a:1:{s:12:\"file_managed\";a:2:{s:6:\"fields\";a:1:{s:3:\"uid\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:7:\"indexes\";a:1:{s:26:\"file_field__uid__target_id\";a:1:{i:0;s:3:\"uid\";}}}}'),('entity.storage_schema.sql','file.field_schema_data.uri','a:1:{s:12:\"file_managed\";a:2:{s:6:\"fields\";a:1:{s:3:\"uri\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:1;s:8:\"not null\";b:1;}}s:7:\"indexes\";a:1:{s:15:\"file_field__uri\";a:1:{i:0;s:3:\"uri\";}}}}'),('entity.storage_schema.sql','file.field_schema_data.uuid','a:1:{s:12:\"file_managed\";a:2:{s:6:\"fields\";a:1:{s:4:\"uuid\";a:4:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:6:\"binary\";b:0;s:8:\"not null\";b:1;}}s:11:\"unique keys\";a:1:{s:23:\"file_field__uuid__value\";a:1:{i:0;s:4:\"uuid\";}}}}'),('entity.storage_schema.sql','menu_link_content.entity_schema_data','a:4:{s:17:\"menu_link_content\";a:2:{s:11:\"primary key\";a:1:{i:0;s:2:\"id\";}s:11:\"unique keys\";a:1:{s:30:\"menu_link_content__revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}s:26:\"menu_link_content_revision\";a:2:{s:11:\"primary key\";a:1:{i:0;s:11:\"revision_id\";}s:7:\"indexes\";a:1:{s:21:\"menu_link_content__id\";a:1:{i:0;s:2:\"id\";}}}s:22:\"menu_link_content_data\";a:2:{s:11:\"primary key\";a:2:{i:0;s:2:\"id\";i:1;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:49:\"menu_link_content__id__default_langcode__langcode\";a:3:{i:0;s:2:\"id\";i:1;s:16:\"default_langcode\";i:2;s:8:\"langcode\";}s:30:\"menu_link_content__revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:33:\"menu_link_content__enabled_bundle\";a:3:{i:0;s:7:\"enabled\";i:1;s:6:\"bundle\";i:2;s:2:\"id\";}}}s:32:\"menu_link_content_field_revision\";a:2:{s:11:\"primary key\";a:2:{i:0;s:11:\"revision_id\";i:1;s:8:\"langcode\";}s:7:\"indexes\";a:1:{s:49:\"menu_link_content__id__default_langcode__langcode\";a:3:{i:0;s:2:\"id\";i:1;s:16:\"default_langcode\";i:2;s:8:\"langcode\";}}}}'),('entity.storage_schema.sql','menu_link_content.field_schema_data.bundle','a:2:{s:17:\"menu_link_content\";a:1:{s:6:\"fields\";a:1:{s:6:\"bundle\";a:4:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:6:\"binary\";b:0;s:8:\"not null\";b:1;}}}s:22:\"menu_link_content_data\";a:1:{s:6:\"fields\";a:1:{s:6:\"bundle\";a:4:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:6:\"binary\";b:0;s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','menu_link_content.field_schema_data.changed','a:2:{s:22:\"menu_link_content_data\";a:1:{s:6:\"fields\";a:1:{s:7:\"changed\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;}}}s:32:\"menu_link_content_field_revision\";a:1:{s:6:\"fields\";a:1:{s:7:\"changed\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','menu_link_content.field_schema_data.default_langcode','a:2:{s:22:\"menu_link_content_data\";a:1:{s:6:\"fields\";a:1:{s:16:\"default_langcode\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}}s:32:\"menu_link_content_field_revision\";a:1:{s:6:\"fields\";a:1:{s:16:\"default_langcode\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','menu_link_content.field_schema_data.description','a:2:{s:22:\"menu_link_content_data\";a:1:{s:6:\"fields\";a:1:{s:11:\"description\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:0;}}}s:32:\"menu_link_content_field_revision\";a:1:{s:6:\"fields\";a:1:{s:11:\"description\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','menu_link_content.field_schema_data.enabled','a:2:{s:22:\"menu_link_content_data\";a:1:{s:6:\"fields\";a:1:{s:7:\"enabled\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}}s:32:\"menu_link_content_field_revision\";a:1:{s:6:\"fields\";a:1:{s:7:\"enabled\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','menu_link_content.field_schema_data.expanded','a:1:{s:22:\"menu_link_content_data\";a:1:{s:6:\"fields\";a:1:{s:8:\"expanded\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','menu_link_content.field_schema_data.external','a:2:{s:22:\"menu_link_content_data\";a:1:{s:6:\"fields\";a:1:{s:8:\"external\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}s:32:\"menu_link_content_field_revision\";a:1:{s:6:\"fields\";a:1:{s:8:\"external\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','menu_link_content.field_schema_data.id','a:4:{s:17:\"menu_link_content\";a:1:{s:6:\"fields\";a:1:{s:2:\"id\";a:4:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}s:22:\"menu_link_content_data\";a:1:{s:6:\"fields\";a:1:{s:2:\"id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}s:26:\"menu_link_content_revision\";a:1:{s:6:\"fields\";a:1:{s:2:\"id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}s:32:\"menu_link_content_field_revision\";a:1:{s:6:\"fields\";a:1:{s:2:\"id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','menu_link_content.field_schema_data.langcode','a:4:{s:17:\"menu_link_content\";a:1:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:1;}}}s:22:\"menu_link_content_data\";a:1:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:1;}}}s:26:\"menu_link_content_revision\";a:1:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:1;}}}s:32:\"menu_link_content_field_revision\";a:1:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','menu_link_content.field_schema_data.link','a:2:{s:22:\"menu_link_content_data\";a:2:{s:6:\"fields\";a:3:{s:9:\"link__uri\";a:4:{s:11:\"description\";s:20:\"The URI of the link.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:2048;s:8:\"not null\";b:0;}s:11:\"link__title\";a:4:{s:11:\"description\";s:14:\"The link text.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}s:13:\"link__options\";a:5:{s:11:\"description\";s:41:\"Serialized array of options for the link.\";s:4:\"type\";s:4:\"blob\";s:4:\"size\";s:3:\"big\";s:9:\"serialize\";b:1;s:8:\"not null\";b:0;}}s:7:\"indexes\";a:1:{s:34:\"menu_link_content_field__link__uri\";a:1:{i:0;a:2:{i:0;s:9:\"link__uri\";i:1;i:30;}}}}s:32:\"menu_link_content_field_revision\";a:2:{s:6:\"fields\";a:3:{s:9:\"link__uri\";a:4:{s:11:\"description\";s:20:\"The URI of the link.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:2048;s:8:\"not null\";b:0;}s:11:\"link__title\";a:4:{s:11:\"description\";s:14:\"The link text.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}s:13:\"link__options\";a:5:{s:11:\"description\";s:41:\"Serialized array of options for the link.\";s:4:\"type\";s:4:\"blob\";s:4:\"size\";s:3:\"big\";s:9:\"serialize\";b:1;s:8:\"not null\";b:0;}}s:7:\"indexes\";a:1:{s:34:\"menu_link_content_field__link__uri\";a:1:{i:0;a:2:{i:0;s:9:\"link__uri\";i:1;i:30;}}}}}'),('entity.storage_schema.sql','menu_link_content.field_schema_data.menu_name','a:1:{s:22:\"menu_link_content_data\";a:1:{s:6:\"fields\";a:1:{s:9:\"menu_name\";a:4:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','menu_link_content.field_schema_data.parent','a:1:{s:22:\"menu_link_content_data\";a:1:{s:6:\"fields\";a:1:{s:6:\"parent\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','menu_link_content.field_schema_data.rediscover','a:1:{s:22:\"menu_link_content_data\";a:1:{s:6:\"fields\";a:1:{s:10:\"rediscover\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','menu_link_content.field_schema_data.revision_created','a:1:{s:26:\"menu_link_content_revision\";a:1:{s:6:\"fields\";a:1:{s:16:\"revision_created\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','menu_link_content.field_schema_data.revision_default','a:1:{s:26:\"menu_link_content_revision\";a:1:{s:6:\"fields\";a:1:{s:16:\"revision_default\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','menu_link_content.field_schema_data.revision_id','a:4:{s:17:\"menu_link_content\";a:1:{s:6:\"fields\";a:1:{s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:0;}}}s:22:\"menu_link_content_data\";a:1:{s:6:\"fields\";a:1:{s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}s:26:\"menu_link_content_revision\";a:1:{s:6:\"fields\";a:1:{s:11:\"revision_id\";a:4:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}s:32:\"menu_link_content_field_revision\";a:1:{s:6:\"fields\";a:1:{s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','menu_link_content.field_schema_data.revision_log_message','a:1:{s:26:\"menu_link_content_revision\";a:1:{s:6:\"fields\";a:1:{s:20:\"revision_log_message\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','menu_link_content.field_schema_data.revision_translation_affected','a:2:{s:22:\"menu_link_content_data\";a:1:{s:6:\"fields\";a:1:{s:29:\"revision_translation_affected\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}s:32:\"menu_link_content_field_revision\";a:1:{s:6:\"fields\";a:1:{s:29:\"revision_translation_affected\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','menu_link_content.field_schema_data.revision_user','a:1:{s:26:\"menu_link_content_revision\";a:2:{s:6:\"fields\";a:1:{s:13:\"revision_user\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:7:\"indexes\";a:1:{s:29:\"menu_link_content__ef029a1897\";a:1:{i:0;s:13:\"revision_user\";}}}}'),('entity.storage_schema.sql','menu_link_content.field_schema_data.title','a:2:{s:22:\"menu_link_content_data\";a:1:{s:6:\"fields\";a:1:{s:5:\"title\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:0;}}}s:32:\"menu_link_content_field_revision\";a:1:{s:6:\"fields\";a:1:{s:5:\"title\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','menu_link_content.field_schema_data.uuid','a:1:{s:17:\"menu_link_content\";a:2:{s:6:\"fields\";a:1:{s:4:\"uuid\";a:4:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:6:\"binary\";b:0;s:8:\"not null\";b:1;}}s:11:\"unique keys\";a:1:{s:36:\"menu_link_content_field__uuid__value\";a:1:{i:0;s:4:\"uuid\";}}}}'),('entity.storage_schema.sql','menu_link_content.field_schema_data.weight','a:1:{s:22:\"menu_link_content_data\";a:1:{s:6:\"fields\";a:1:{s:6:\"weight\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:0;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','node.entity_schema_data','a:4:{s:4:\"node\";a:2:{s:11:\"primary key\";a:1:{i:0;s:3:\"nid\";}s:11:\"unique keys\";a:1:{s:9:\"node__vid\";a:1:{i:0;s:3:\"vid\";}}}s:13:\"node_revision\";a:2:{s:11:\"primary key\";a:1:{i:0;s:3:\"vid\";}s:7:\"indexes\";a:1:{s:9:\"node__nid\";a:1:{i:0;s:3:\"nid\";}}}s:15:\"node_field_data\";a:2:{s:11:\"primary key\";a:2:{i:0;s:3:\"nid\";i:1;s:8:\"langcode\";}s:7:\"indexes\";a:5:{s:36:\"node__id__default_langcode__langcode\";a:3:{i:0;s:3:\"nid\";i:1;s:16:\"default_langcode\";i:2;s:8:\"langcode\";}s:9:\"node__vid\";a:1:{i:0;s:3:\"vid\";}s:15:\"node__frontpage\";a:4:{i:0;s:7:\"promote\";i:1;s:6:\"status\";i:2;s:6:\"sticky\";i:3;s:7:\"created\";}s:17:\"node__status_type\";a:3:{i:0;s:6:\"status\";i:1;s:4:\"type\";i:2;s:3:\"nid\";}s:16:\"node__title_type\";a:2:{i:0;s:5:\"title\";i:1;a:2:{i:0;s:4:\"type\";i:1;i:4;}}}}s:19:\"node_field_revision\";a:2:{s:11:\"primary key\";a:2:{i:0;s:3:\"vid\";i:1;s:8:\"langcode\";}s:7:\"indexes\";a:1:{s:36:\"node__id__default_langcode__langcode\";a:3:{i:0;s:3:\"nid\";i:1;s:16:\"default_langcode\";i:2;s:8:\"langcode\";}}}}'),('entity.storage_schema.sql','node.field_schema_data.body','a:2:{s:10:\"node__body\";a:4:{s:11:\"description\";s:33:\"Data storage for node field body.\";s:6:\"fields\";a:9:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:10:\"body_value\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:1;}s:12:\"body_summary\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:0;}s:11:\"body_format\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:11:\"body_format\";a:1:{i:0;s:11:\"body_format\";}}}s:19:\"node_revision__body\";a:4:{s:11:\"description\";s:45:\"Revision archive storage for node field body.\";s:6:\"fields\";a:9:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:10:\"body_value\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:1;}s:12:\"body_summary\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:0;}s:11:\"body_format\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:11:\"body_format\";a:1:{i:0;s:11:\"body_format\";}}}}'),('entity.storage_schema.sql','node.field_schema_data.changed','a:2:{s:15:\"node_field_data\";a:2:{s:6:\"fields\";a:1:{s:7:\"changed\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;}}s:7:\"indexes\";a:1:{s:19:\"node_field__changed\";a:1:{i:0;s:7:\"changed\";}}}s:19:\"node_field_revision\";a:1:{s:6:\"fields\";a:1:{s:7:\"changed\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','node.field_schema_data.comment','a:2:{s:13:\"node__comment\";a:4:{s:11:\"description\";s:36:\"Data storage for node field comment.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:14:\"comment_status\";a:4:{s:11:\"description\";s:99:\"Whether comments are allowed on this entity: 0 = no, 1 = closed (read only), 2 = open (read/write).\";s:4:\"type\";s:3:\"int\";s:7:\"default\";i:0;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}s:22:\"node_revision__comment\";a:4:{s:11:\"description\";s:48:\"Revision archive storage for node field comment.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:14:\"comment_status\";a:4:{s:11:\"description\";s:99:\"Whether comments are allowed on this entity: 0 = no, 1 = closed (read only), 2 = open (read/write).\";s:4:\"type\";s:3:\"int\";s:7:\"default\";i:0;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}}'),('entity.storage_schema.sql','node.field_schema_data.content_translation_outdated','a:2:{s:15:\"node_field_data\";a:1:{s:6:\"fields\";a:1:{s:28:\"content_translation_outdated\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}s:19:\"node_field_revision\";a:1:{s:6:\"fields\";a:1:{s:28:\"content_translation_outdated\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','node.field_schema_data.content_translation_source','a:2:{s:15:\"node_field_data\";a:1:{s:6:\"fields\";a:1:{s:26:\"content_translation_source\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:0;}}}s:19:\"node_field_revision\";a:1:{s:6:\"fields\";a:1:{s:26:\"content_translation_source\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','node.field_schema_data.created','a:2:{s:15:\"node_field_data\";a:2:{s:6:\"fields\";a:1:{s:7:\"created\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;}}s:7:\"indexes\";a:1:{s:19:\"node_field__created\";a:1:{i:0;s:7:\"created\";}}}s:19:\"node_field_revision\";a:1:{s:6:\"fields\";a:1:{s:7:\"created\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','node.field_schema_data.default_langcode','a:2:{s:15:\"node_field_data\";a:1:{s:6:\"fields\";a:1:{s:16:\"default_langcode\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}}s:19:\"node_field_revision\";a:1:{s:6:\"fields\";a:1:{s:16:\"default_langcode\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','node.field_schema_data.field_banner','a:2:{s:18:\"node__field_banner\";a:5:{s:11:\"description\";s:41:\"Data storage for node field field_banner.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:22:\"field_banner_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:16:\"field_banner_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:18:\"field_banner_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:18:\"field_banner_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:19:\"field_banner_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:22:\"field_banner_target_id\";a:1:{i:0;s:22:\"field_banner_target_id\";}}s:12:\"foreign keys\";a:1:{s:22:\"field_banner_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:22:\"field_banner_target_id\";s:3:\"fid\";}}}}s:27:\"node_revision__field_banner\";a:5:{s:11:\"description\";s:53:\"Revision archive storage for node field field_banner.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:22:\"field_banner_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:16:\"field_banner_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:18:\"field_banner_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:18:\"field_banner_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:19:\"field_banner_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:22:\"field_banner_target_id\";a:1:{i:0;s:22:\"field_banner_target_id\";}}s:12:\"foreign keys\";a:1:{s:22:\"field_banner_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:22:\"field_banner_target_id\";s:3:\"fid\";}}}}}'),('entity.storage_schema.sql','node.field_schema_data.field_banner_title','a:2:{s:24:\"node__field_banner_title\";a:4:{s:11:\"description\";s:47:\"Data storage for node field field_banner_title.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:24:\"field_banner_title_value\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}s:33:\"node_revision__field_banner_title\";a:4:{s:11:\"description\";s:59:\"Revision archive storage for node field field_banner_title.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:24:\"field_banner_title_value\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}}'),('entity.storage_schema.sql','node.field_schema_data.field_gallery','a:2:{s:19:\"node__field_gallery\";a:5:{s:11:\"description\";s:42:\"Data storage for node field field_gallery.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:23:\"field_gallery_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:17:\"field_gallery_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:19:\"field_gallery_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:19:\"field_gallery_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:20:\"field_gallery_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:23:\"field_gallery_target_id\";a:1:{i:0;s:23:\"field_gallery_target_id\";}}s:12:\"foreign keys\";a:1:{s:23:\"field_gallery_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:23:\"field_gallery_target_id\";s:3:\"fid\";}}}}s:28:\"node_revision__field_gallery\";a:5:{s:11:\"description\";s:54:\"Revision archive storage for node field field_gallery.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:23:\"field_gallery_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:17:\"field_gallery_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:19:\"field_gallery_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:19:\"field_gallery_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:20:\"field_gallery_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:23:\"field_gallery_target_id\";a:1:{i:0;s:23:\"field_gallery_target_id\";}}s:12:\"foreign keys\";a:1:{s:23:\"field_gallery_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:23:\"field_gallery_target_id\";s:3:\"fid\";}}}}}'),('entity.storage_schema.sql','node.field_schema_data.field_icon_class','a:2:{s:22:\"node__field_icon_class\";a:4:{s:11:\"description\";s:45:\"Data storage for node field field_icon_class.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:22:\"field_icon_class_value\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}s:31:\"node_revision__field_icon_class\";a:4:{s:11:\"description\";s:57:\"Revision archive storage for node field field_icon_class.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:22:\"field_icon_class_value\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}}'),('entity.storage_schema.sql','node.field_schema_data.field_image','a:2:{s:17:\"node__field_image\";a:5:{s:11:\"description\";s:40:\"Data storage for node field field_image.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:21:\"field_image_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:15:\"field_image_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:17:\"field_image_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:17:\"field_image_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:18:\"field_image_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:21:\"field_image_target_id\";a:1:{i:0;s:21:\"field_image_target_id\";}}s:12:\"foreign keys\";a:1:{s:21:\"field_image_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:21:\"field_image_target_id\";s:3:\"fid\";}}}}s:26:\"node_revision__field_image\";a:5:{s:11:\"description\";s:52:\"Revision archive storage for node field field_image.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:21:\"field_image_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:15:\"field_image_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:17:\"field_image_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:17:\"field_image_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:18:\"field_image_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:21:\"field_image_target_id\";a:1:{i:0;s:21:\"field_image_target_id\";}}s:12:\"foreign keys\";a:1:{s:21:\"field_image_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:21:\"field_image_target_id\";s:3:\"fid\";}}}}}'),('entity.storage_schema.sql','node.field_schema_data.field_link','a:2:{s:16:\"node__field_link\";a:4:{s:11:\"description\";s:39:\"Data storage for node field field_link.\";s:6:\"fields\";a:9:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:14:\"field_link_uri\";a:4:{s:11:\"description\";s:20:\"The URI of the link.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:2048;s:8:\"not null\";b:0;}s:16:\"field_link_title\";a:4:{s:11:\"description\";s:14:\"The link text.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}s:18:\"field_link_options\";a:5:{s:11:\"description\";s:41:\"Serialized array of options for the link.\";s:4:\"type\";s:4:\"blob\";s:4:\"size\";s:3:\"big\";s:9:\"serialize\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:14:\"field_link_uri\";a:1:{i:0;a:2:{i:0;s:14:\"field_link_uri\";i:1;i:30;}}}}s:25:\"node_revision__field_link\";a:4:{s:11:\"description\";s:51:\"Revision archive storage for node field field_link.\";s:6:\"fields\";a:9:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:14:\"field_link_uri\";a:4:{s:11:\"description\";s:20:\"The URI of the link.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:2048;s:8:\"not null\";b:0;}s:16:\"field_link_title\";a:4:{s:11:\"description\";s:14:\"The link text.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}s:18:\"field_link_options\";a:5:{s:11:\"description\";s:41:\"Serialized array of options for the link.\";s:4:\"type\";s:4:\"blob\";s:4:\"size\";s:3:\"big\";s:9:\"serialize\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:14:\"field_link_uri\";a:1:{i:0;a:2:{i:0;s:14:\"field_link_uri\";i:1;i:30;}}}}}'),('entity.storage_schema.sql','node.field_schema_data.field_partners','a:2:{s:20:\"node__field_partners\";a:5:{s:11:\"description\";s:43:\"Data storage for node field field_partners.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:24:\"field_partners_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:18:\"field_partners_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:20:\"field_partners_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:20:\"field_partners_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:21:\"field_partners_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:24:\"field_partners_target_id\";a:1:{i:0;s:24:\"field_partners_target_id\";}}s:12:\"foreign keys\";a:1:{s:24:\"field_partners_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:24:\"field_partners_target_id\";s:3:\"fid\";}}}}s:29:\"node_revision__field_partners\";a:5:{s:11:\"description\";s:55:\"Revision archive storage for node field field_partners.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:24:\"field_partners_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:18:\"field_partners_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:20:\"field_partners_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:20:\"field_partners_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:21:\"field_partners_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:24:\"field_partners_target_id\";a:1:{i:0;s:24:\"field_partners_target_id\";}}s:12:\"foreign keys\";a:1:{s:24:\"field_partners_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:24:\"field_partners_target_id\";s:3:\"fid\";}}}}}'),('entity.storage_schema.sql','node.field_schema_data.field_percent','a:2:{s:19:\"node__field_percent\";a:4:{s:11:\"description\";s:42:\"Data storage for node field field_percent.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:19:\"field_percent_value\";a:2:{s:4:\"type\";s:5:\"float\";s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}s:28:\"node_revision__field_percent\";a:4:{s:11:\"description\";s:54:\"Revision archive storage for node field field_percent.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:19:\"field_percent_value\";a:2:{s:4:\"type\";s:5:\"float\";s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}}'),('entity.storage_schema.sql','node.field_schema_data.field_slideshow','a:2:{s:21:\"node__field_slideshow\";a:5:{s:11:\"description\";s:44:\"Data storage for node field field_slideshow.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:25:\"field_slideshow_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:19:\"field_slideshow_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:21:\"field_slideshow_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:21:\"field_slideshow_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:22:\"field_slideshow_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:25:\"field_slideshow_target_id\";a:1:{i:0;s:25:\"field_slideshow_target_id\";}}s:12:\"foreign keys\";a:1:{s:25:\"field_slideshow_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:25:\"field_slideshow_target_id\";s:3:\"fid\";}}}}s:30:\"node_revision__field_slideshow\";a:5:{s:11:\"description\";s:56:\"Revision archive storage for node field field_slideshow.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:25:\"field_slideshow_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:19:\"field_slideshow_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:21:\"field_slideshow_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:21:\"field_slideshow_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:22:\"field_slideshow_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:25:\"field_slideshow_target_id\";a:1:{i:0;s:25:\"field_slideshow_target_id\";}}s:12:\"foreign keys\";a:1:{s:25:\"field_slideshow_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:25:\"field_slideshow_target_id\";s:3:\"fid\";}}}}}'),('entity.storage_schema.sql','node.field_schema_data.field_su','a:2:{s:14:\"node__field_su\";a:4:{s:11:\"description\";s:37:\"Data storage for node field field_su.\";s:6:\"fields\";a:8:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:14:\"field_su_value\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:1;}s:15:\"field_su_format\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:15:\"field_su_format\";a:1:{i:0;s:15:\"field_su_format\";}}}s:23:\"node_revision__field_su\";a:4:{s:11:\"description\";s:49:\"Revision archive storage for node field field_su.\";s:6:\"fields\";a:8:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:14:\"field_su_value\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:1;}s:15:\"field_su_format\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:15:\"field_su_format\";a:1:{i:0;s:15:\"field_su_format\";}}}}'),('entity.storage_schema.sql','node.field_schema_data.field_tags','a:2:{s:16:\"node__field_tags\";a:4:{s:11:\"description\";s:39:\"Data storage for node field field_tags.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:20:\"field_tags_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:20:\"field_tags_target_id\";a:1:{i:0;s:20:\"field_tags_target_id\";}}}s:25:\"node_revision__field_tags\";a:4:{s:11:\"description\";s:51:\"Revision archive storage for node field field_tags.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:20:\"field_tags_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:20:\"field_tags_target_id\";a:1:{i:0;s:20:\"field_tags_target_id\";}}}}'),('entity.storage_schema.sql','node.field_schema_data.field_type','a:2:{s:16:\"node__field_type\";a:4:{s:11:\"description\";s:39:\"Data storage for node field field_type.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:16:\"field_type_value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:16:\"field_type_value\";a:1:{i:0;s:16:\"field_type_value\";}}}s:25:\"node_revision__field_type\";a:4:{s:11:\"description\";s:51:\"Revision archive storage for node field field_type.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:16:\"field_type_value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:16:\"field_type_value\";a:1:{i:0;s:16:\"field_type_value\";}}}}'),('entity.storage_schema.sql','node.field_schema_data.field_video','a:2:{s:17:\"node__field_video\";a:4:{s:11:\"description\";s:40:\"Data storage for node field field_video.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:17:\"field_video_value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:256;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}s:26:\"node_revision__field_video\";a:4:{s:11:\"description\";s:52:\"Revision archive storage for node field field_video.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:17:\"field_video_value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:256;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:2:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}}'),('entity.storage_schema.sql','node.field_schema_data.field_why_us_type','a:2:{s:23:\"node__field_why_us_type\";a:4:{s:11:\"description\";s:46:\"Data storage for node field field_why_us_type.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:23:\"field_why_us_type_value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:23:\"field_why_us_type_value\";a:1:{i:0;s:23:\"field_why_us_type_value\";}}}s:32:\"node_revision__field_why_us_type\";a:4:{s:11:\"description\";s:58:\"Revision archive storage for node field field_why_us_type.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:23:\"field_why_us_type_value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:23:\"field_why_us_type_value\";a:1:{i:0;s:23:\"field_why_us_type_value\";}}}}'),('entity.storage_schema.sql','node.field_schema_data.langcode','a:4:{s:4:\"node\";a:1:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:1;}}}s:15:\"node_field_data\";a:1:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:1;}}}s:13:\"node_revision\";a:2:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:1;}}s:7:\"indexes\";a:1:{s:20:\"node_field__langcode\";a:1:{i:0;s:8:\"langcode\";}}}s:19:\"node_field_revision\";a:1:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','node.field_schema_data.nid','a:4:{s:4:\"node\";a:1:{s:6:\"fields\";a:1:{s:3:\"nid\";a:4:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}s:15:\"node_field_data\";a:1:{s:6:\"fields\";a:1:{s:3:\"nid\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}s:13:\"node_revision\";a:1:{s:6:\"fields\";a:1:{s:3:\"nid\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}s:19:\"node_field_revision\";a:1:{s:6:\"fields\";a:1:{s:3:\"nid\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','node.field_schema_data.node_class','a:1:{s:15:\"node_field_data\";a:1:{s:6:\"fields\";a:1:{s:10:\"node_class\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','node.field_schema_data.promote','a:2:{s:15:\"node_field_data\";a:1:{s:6:\"fields\";a:1:{s:7:\"promote\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}}s:19:\"node_field_revision\";a:1:{s:6:\"fields\";a:1:{s:7:\"promote\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','node.field_schema_data.revision_default','a:1:{s:13:\"node_revision\";a:1:{s:6:\"fields\";a:1:{s:16:\"revision_default\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','node.field_schema_data.revision_log','a:1:{s:13:\"node_revision\";a:1:{s:6:\"fields\";a:1:{s:12:\"revision_log\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','node.field_schema_data.revision_timestamp','a:1:{s:13:\"node_revision\";a:1:{s:6:\"fields\";a:1:{s:18:\"revision_timestamp\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','node.field_schema_data.revision_translation_affected','a:2:{s:15:\"node_field_data\";a:1:{s:6:\"fields\";a:1:{s:29:\"revision_translation_affected\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}s:19:\"node_field_revision\";a:1:{s:6:\"fields\";a:1:{s:29:\"revision_translation_affected\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','node.field_schema_data.revision_uid','a:1:{s:13:\"node_revision\";a:3:{s:6:\"fields\";a:1:{s:12:\"revision_uid\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:7:\"indexes\";a:1:{s:35:\"node_field__revision_uid__target_id\";a:1:{i:0;s:12:\"revision_uid\";}}s:12:\"foreign keys\";a:1:{s:24:\"node_field__revision_uid\";a:2:{s:5:\"table\";s:5:\"users\";s:7:\"columns\";a:1:{s:12:\"revision_uid\";s:3:\"uid\";}}}}}'),('entity.storage_schema.sql','node.field_schema_data.simplenews_issue','a:2:{s:22:\"node__simplenews_issue\";a:4:{s:11:\"description\";s:45:\"Data storage for node field simplenews_issue.\";s:6:\"fields\";a:12:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:26:\"simplenews_issue_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;s:8:\"not null\";b:1;}s:24:\"simplenews_issue_handler\";a:4:{s:11:\"description\";s:18:\"The issue handler.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}s:33:\"simplenews_issue_handler_settings\";a:5:{s:11:\"description\";s:27:\"The issue handler settings.\";s:4:\"type\";s:4:\"blob\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:0;s:9:\"serialize\";b:1;}s:23:\"simplenews_issue_status\";a:4:{s:11:\"description\";s:88:\"A flag indicating whether the issue is published (3), ready (2), pending (1) or not (0).\";s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}s:27:\"simplenews_issue_sent_count\";a:4:{s:11:\"description\";s:36:\"Counter of already sent newsletters.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:28:\"simplenews_issue_subscribers\";a:4:{s:11:\"description\";s:23:\"Counter of subscribers.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:26:\"simplenews_issue_target_id\";a:1:{i:0;s:26:\"simplenews_issue_target_id\";}}}s:31:\"node_revision__simplenews_issue\";a:4:{s:11:\"description\";s:57:\"Revision archive storage for node field simplenews_issue.\";s:6:\"fields\";a:12:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:26:\"simplenews_issue_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;s:8:\"not null\";b:1;}s:24:\"simplenews_issue_handler\";a:4:{s:11:\"description\";s:18:\"The issue handler.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}s:33:\"simplenews_issue_handler_settings\";a:5:{s:11:\"description\";s:27:\"The issue handler settings.\";s:4:\"type\";s:4:\"blob\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:0;s:9:\"serialize\";b:1;}s:23:\"simplenews_issue_status\";a:4:{s:11:\"description\";s:88:\"A flag indicating whether the issue is published (3), ready (2), pending (1) or not (0).\";s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}s:27:\"simplenews_issue_sent_count\";a:4:{s:11:\"description\";s:36:\"Counter of already sent newsletters.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:28:\"simplenews_issue_subscribers\";a:4:{s:11:\"description\";s:23:\"Counter of subscribers.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:26:\"simplenews_issue_target_id\";a:1:{i:0;s:26:\"simplenews_issue_target_id\";}}}}'),('entity.storage_schema.sql','node.field_schema_data.status','a:2:{s:15:\"node_field_data\";a:1:{s:6:\"fields\";a:1:{s:6:\"status\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}}s:19:\"node_field_revision\";a:1:{s:6:\"fields\";a:1:{s:6:\"status\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','node.field_schema_data.sticky','a:2:{s:15:\"node_field_data\";a:1:{s:6:\"fields\";a:1:{s:6:\"sticky\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}}s:19:\"node_field_revision\";a:1:{s:6:\"fields\";a:1:{s:6:\"sticky\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','node.field_schema_data.title','a:2:{s:15:\"node_field_data\";a:1:{s:6:\"fields\";a:1:{s:5:\"title\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:1;}}}s:19:\"node_field_revision\";a:1:{s:6:\"fields\";a:1:{s:5:\"title\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','node.field_schema_data.type','a:2:{s:4:\"node\";a:2:{s:6:\"fields\";a:1:{s:4:\"type\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;}}s:7:\"indexes\";a:1:{s:27:\"node_field__type__target_id\";a:1:{i:0;s:4:\"type\";}}}s:15:\"node_field_data\";a:2:{s:6:\"fields\";a:1:{s:4:\"type\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;}}s:7:\"indexes\";a:1:{s:27:\"node_field__type__target_id\";a:1:{i:0;s:4:\"type\";}}}}'),('entity.storage_schema.sql','node.field_schema_data.uid','a:2:{s:15:\"node_field_data\";a:2:{s:6:\"fields\";a:1:{s:3:\"uid\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:7:\"indexes\";a:1:{s:26:\"node_field__uid__target_id\";a:1:{i:0;s:3:\"uid\";}}}s:19:\"node_field_revision\";a:2:{s:6:\"fields\";a:1:{s:3:\"uid\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:7:\"indexes\";a:1:{s:26:\"node_field__uid__target_id\";a:1:{i:0;s:3:\"uid\";}}}}'),('entity.storage_schema.sql','node.field_schema_data.uuid','a:1:{s:4:\"node\";a:2:{s:6:\"fields\";a:1:{s:4:\"uuid\";a:4:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:6:\"binary\";b:0;s:8:\"not null\";b:1;}}s:11:\"unique keys\";a:1:{s:23:\"node_field__uuid__value\";a:1:{i:0;s:4:\"uuid\";}}}}'),('entity.storage_schema.sql','node.field_schema_data.vid','a:4:{s:4:\"node\";a:1:{s:6:\"fields\";a:1:{s:3:\"vid\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:0;}}}s:15:\"node_field_data\";a:1:{s:6:\"fields\";a:1:{s:3:\"vid\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}s:13:\"node_revision\";a:1:{s:6:\"fields\";a:1:{s:3:\"vid\";a:4:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}s:19:\"node_field_revision\";a:1:{s:6:\"fields\";a:1:{s:3:\"vid\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','path_alias.entity_schema_data','a:2:{s:10:\"path_alias\";a:3:{s:11:\"primary key\";a:1:{i:0;s:2:\"id\";}s:7:\"indexes\";a:3:{s:18:\"path_alias__status\";a:2:{i:0;s:6:\"status\";i:1;s:2:\"id\";}s:36:\"path_alias__alias_langcode_id_status\";a:4:{i:0;s:5:\"alias\";i:1;s:8:\"langcode\";i:2;s:2:\"id\";i:3;s:6:\"status\";}s:35:\"path_alias__path_langcode_id_status\";a:4:{i:0;s:4:\"path\";i:1;s:8:\"langcode\";i:2;s:2:\"id\";i:3;s:6:\"status\";}}s:11:\"unique keys\";a:1:{s:23:\"path_alias__revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}s:19:\"path_alias_revision\";a:2:{s:11:\"primary key\";a:1:{i:0;s:11:\"revision_id\";}s:7:\"indexes\";a:1:{s:14:\"path_alias__id\";a:1:{i:0;s:2:\"id\";}}}}'),('entity.storage_schema.sql','path_alias.field_schema_data.alias','a:2:{s:10:\"path_alias\";a:1:{s:6:\"fields\";a:1:{s:5:\"alias\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:0;}}}s:19:\"path_alias_revision\";a:1:{s:6:\"fields\";a:1:{s:5:\"alias\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','path_alias.field_schema_data.id','a:2:{s:10:\"path_alias\";a:1:{s:6:\"fields\";a:1:{s:2:\"id\";a:4:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}s:19:\"path_alias_revision\";a:1:{s:6:\"fields\";a:1:{s:2:\"id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','path_alias.field_schema_data.langcode','a:2:{s:10:\"path_alias\";a:1:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:1;}}}s:19:\"path_alias_revision\";a:1:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','path_alias.field_schema_data.path','a:2:{s:10:\"path_alias\";a:1:{s:6:\"fields\";a:1:{s:4:\"path\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:0;}}}s:19:\"path_alias_revision\";a:1:{s:6:\"fields\";a:1:{s:4:\"path\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','path_alias.field_schema_data.revision_default','a:1:{s:19:\"path_alias_revision\";a:1:{s:6:\"fields\";a:1:{s:16:\"revision_default\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','path_alias.field_schema_data.revision_id','a:2:{s:10:\"path_alias\";a:1:{s:6:\"fields\";a:1:{s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:0;}}}s:19:\"path_alias_revision\";a:1:{s:6:\"fields\";a:1:{s:11:\"revision_id\";a:4:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','path_alias.field_schema_data.status','a:2:{s:10:\"path_alias\";a:1:{s:6:\"fields\";a:1:{s:6:\"status\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}}s:19:\"path_alias_revision\";a:1:{s:6:\"fields\";a:1:{s:6:\"status\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','path_alias.field_schema_data.uuid','a:1:{s:10:\"path_alias\";a:2:{s:6:\"fields\";a:1:{s:4:\"uuid\";a:4:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:6:\"binary\";b:0;s:8:\"not null\";b:1;}}s:11:\"unique keys\";a:1:{s:29:\"path_alias_field__uuid__value\";a:1:{i:0;s:4:\"uuid\";}}}}'),('entity.storage_schema.sql','shortcut.entity_schema_data','a:2:{s:8:\"shortcut\";a:1:{s:11:\"primary key\";a:1:{i:0;s:2:\"id\";}}s:19:\"shortcut_field_data\";a:2:{s:11:\"primary key\";a:2:{i:0;s:2:\"id\";i:1;s:8:\"langcode\";}s:7:\"indexes\";a:1:{s:40:\"shortcut__id__default_langcode__langcode\";a:3:{i:0;s:2:\"id\";i:1;s:16:\"default_langcode\";i:2;s:8:\"langcode\";}}}}'),('entity.storage_schema.sql','shortcut.field_schema_data.default_langcode','a:1:{s:19:\"shortcut_field_data\";a:1:{s:6:\"fields\";a:1:{s:16:\"default_langcode\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','shortcut.field_schema_data.id','a:2:{s:8:\"shortcut\";a:1:{s:6:\"fields\";a:1:{s:2:\"id\";a:4:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}s:19:\"shortcut_field_data\";a:1:{s:6:\"fields\";a:1:{s:2:\"id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','shortcut.field_schema_data.langcode','a:2:{s:8:\"shortcut\";a:1:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:1;}}}s:19:\"shortcut_field_data\";a:1:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','shortcut.field_schema_data.link','a:1:{s:19:\"shortcut_field_data\";a:2:{s:6:\"fields\";a:3:{s:9:\"link__uri\";a:4:{s:11:\"description\";s:20:\"The URI of the link.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:2048;s:8:\"not null\";b:0;}s:11:\"link__title\";a:4:{s:11:\"description\";s:14:\"The link text.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}s:13:\"link__options\";a:5:{s:11:\"description\";s:41:\"Serialized array of options for the link.\";s:4:\"type\";s:4:\"blob\";s:4:\"size\";s:3:\"big\";s:9:\"serialize\";b:1;s:8:\"not null\";b:0;}}s:7:\"indexes\";a:1:{s:25:\"shortcut_field__link__uri\";a:1:{i:0;a:2:{i:0;s:9:\"link__uri\";i:1;i:30;}}}}}'),('entity.storage_schema.sql','shortcut.field_schema_data.shortcut_set','a:2:{s:8:\"shortcut\";a:2:{s:6:\"fields\";a:1:{s:12:\"shortcut_set\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;}}s:7:\"indexes\";a:1:{s:39:\"shortcut_field__shortcut_set__target_id\";a:1:{i:0;s:12:\"shortcut_set\";}}}s:19:\"shortcut_field_data\";a:2:{s:6:\"fields\";a:1:{s:12:\"shortcut_set\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;}}s:7:\"indexes\";a:1:{s:39:\"shortcut_field__shortcut_set__target_id\";a:1:{i:0;s:12:\"shortcut_set\";}}}}'),('entity.storage_schema.sql','shortcut.field_schema_data.title','a:1:{s:19:\"shortcut_field_data\";a:1:{s:6:\"fields\";a:1:{s:5:\"title\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','shortcut.field_schema_data.uuid','a:1:{s:8:\"shortcut\";a:2:{s:6:\"fields\";a:1:{s:4:\"uuid\";a:4:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:6:\"binary\";b:0;s:8:\"not null\";b:1;}}s:11:\"unique keys\";a:1:{s:27:\"shortcut_field__uuid__value\";a:1:{i:0;s:4:\"uuid\";}}}}'),('entity.storage_schema.sql','shortcut.field_schema_data.weight','a:1:{s:19:\"shortcut_field_data\";a:1:{s:6:\"fields\";a:1:{s:6:\"weight\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:0;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','simplenews_subscriber.entity_schema_data','a:1:{s:21:\"simplenews_subscriber\";a:1:{s:11:\"primary key\";a:1:{i:0;s:2:\"id\";}}}'),('entity.storage_schema.sql','simplenews_subscriber.field_schema_data.changes','a:1:{s:21:\"simplenews_subscriber\";a:1:{s:6:\"fields\";a:1:{s:7:\"changes\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','simplenews_subscriber.field_schema_data.created','a:1:{s:21:\"simplenews_subscriber\";a:1:{s:6:\"fields\";a:1:{s:7:\"created\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','simplenews_subscriber.field_schema_data.id','a:1:{s:21:\"simplenews_subscriber\";a:1:{s:6:\"fields\";a:1:{s:2:\"id\";a:4:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','simplenews_subscriber.field_schema_data.langcode','a:1:{s:21:\"simplenews_subscriber\";a:1:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','simplenews_subscriber.field_schema_data.mail','a:1:{s:21:\"simplenews_subscriber\";a:1:{s:6:\"fields\";a:1:{s:4:\"mail\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:254;s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','simplenews_subscriber.field_schema_data.status','a:1:{s:21:\"simplenews_subscriber\";a:1:{s:6:\"fields\";a:1:{s:6:\"status\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','simplenews_subscriber.field_schema_data.subscriptions','a:1:{s:36:\"simplenews_subscriber__subscriptions\";a:4:{s:11:\"description\";s:59:\"Data storage for simplenews_subscriber field subscriptions.\";s:6:\"fields\";a:10:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:114:\"The entity revision id this data is attached to, which for an unversioned entity type is the same as the entity id\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:23:\"subscriptions_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;s:8:\"not null\";b:1;}s:20:\"subscriptions_status\";a:4:{s:11:\"description\";s:73:\"A flag indicating whether the user is subscribed (1) or unsubscribed (0).\";s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}s:23:\"subscriptions_timestamp\";a:4:{s:11:\"description\";s:50:\"UNIX timestamp of when the user is (un)subscribed.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:20:\"subscriptions_source\";a:4:{s:11:\"description\";s:50:\"The source via which the user is (un)subscription.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:24;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:23:\"subscriptions_target_id\";a:1:{i:0;s:23:\"subscriptions_target_id\";}}}}'),('entity.storage_schema.sql','simplenews_subscriber.field_schema_data.uid','a:1:{s:21:\"simplenews_subscriber\";a:2:{s:6:\"fields\";a:1:{s:3:\"uid\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:7:\"indexes\";a:1:{s:43:\"simplenews_subscriber_field__uid__target_id\";a:1:{i:0;s:3:\"uid\";}}}}'),('entity.storage_schema.sql','simplenews_subscriber.field_schema_data.uuid','a:1:{s:21:\"simplenews_subscriber\";a:2:{s:6:\"fields\";a:1:{s:4:\"uuid\";a:4:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:6:\"binary\";b:0;s:8:\"not null\";b:0;}}s:11:\"unique keys\";a:1:{s:40:\"simplenews_subscriber_field__uuid__value\";a:1:{i:0;s:4:\"uuid\";}}}}'),('entity.storage_schema.sql','taxonomy_term.entity_schema_data','a:5:{s:18:\"taxonomy_term_data\";a:2:{s:11:\"primary key\";a:1:{i:0;s:3:\"tid\";}s:11:\"unique keys\";a:1:{s:26:\"taxonomy_term__revision_id\";a:1:{i:0;s:11:\"revision_id\";}}}s:22:\"taxonomy_term_revision\";a:2:{s:11:\"primary key\";a:1:{i:0;s:11:\"revision_id\";}s:7:\"indexes\";a:1:{s:18:\"taxonomy_term__tid\";a:1:{i:0;s:3:\"tid\";}}}s:24:\"taxonomy_term_field_data\";a:2:{s:11:\"primary key\";a:2:{i:0;s:3:\"tid\";i:1;s:8:\"langcode\";}s:7:\"indexes\";a:5:{s:45:\"taxonomy_term__id__default_langcode__langcode\";a:3:{i:0;s:3:\"tid\";i:1;s:16:\"default_langcode\";i:2;s:8:\"langcode\";}s:26:\"taxonomy_term__revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:25:\"taxonomy_term__status_vid\";a:3:{i:0;s:6:\"status\";i:1;s:3:\"vid\";i:2;s:3:\"tid\";}s:19:\"taxonomy_term__tree\";a:3:{i:0;s:3:\"vid\";i:1;s:6:\"weight\";i:2;s:4:\"name\";}s:23:\"taxonomy_term__vid_name\";a:2:{i:0;s:3:\"vid\";i:1;s:4:\"name\";}}}s:28:\"taxonomy_term_field_revision\";a:2:{s:11:\"primary key\";a:2:{i:0;s:11:\"revision_id\";i:1;s:8:\"langcode\";}s:7:\"indexes\";a:1:{s:45:\"taxonomy_term__id__default_langcode__langcode\";a:3:{i:0;s:3:\"tid\";i:1;s:16:\"default_langcode\";i:2;s:8:\"langcode\";}}}s:14:\"taxonomy_index\";a:2:{s:11:\"primary key\";a:2:{i:0;s:3:\"nid\";i:1;s:3:\"tid\";}s:7:\"indexes\";a:1:{s:9:\"term_node\";a:4:{i:0;s:3:\"tid\";i:1;s:6:\"status\";i:2;s:6:\"sticky\";i:3;s:7:\"created\";}}}}'),('entity.storage_schema.sql','taxonomy_term.field_schema_data.changed','a:2:{s:24:\"taxonomy_term_field_data\";a:1:{s:6:\"fields\";a:1:{s:7:\"changed\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;}}}s:28:\"taxonomy_term_field_revision\";a:1:{s:6:\"fields\";a:1:{s:7:\"changed\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','taxonomy_term.field_schema_data.content_translation_created','a:2:{s:24:\"taxonomy_term_field_data\";a:1:{s:6:\"fields\";a:1:{s:27:\"content_translation_created\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;}}}s:28:\"taxonomy_term_field_revision\";a:1:{s:6:\"fields\";a:1:{s:27:\"content_translation_created\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','taxonomy_term.field_schema_data.content_translation_outdated','a:2:{s:24:\"taxonomy_term_field_data\";a:1:{s:6:\"fields\";a:1:{s:28:\"content_translation_outdated\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}s:28:\"taxonomy_term_field_revision\";a:1:{s:6:\"fields\";a:1:{s:28:\"content_translation_outdated\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','taxonomy_term.field_schema_data.content_translation_source','a:2:{s:24:\"taxonomy_term_field_data\";a:1:{s:6:\"fields\";a:1:{s:26:\"content_translation_source\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:0;}}}s:28:\"taxonomy_term_field_revision\";a:1:{s:6:\"fields\";a:1:{s:26:\"content_translation_source\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','taxonomy_term.field_schema_data.content_translation_uid','a:2:{s:24:\"taxonomy_term_field_data\";a:2:{s:6:\"fields\";a:1:{s:23:\"content_translation_uid\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:7:\"indexes\";a:1:{s:25:\"taxonomy_term__1a0c187e9a\";a:1:{i:0;s:23:\"content_translation_uid\";}}}s:28:\"taxonomy_term_field_revision\";a:2:{s:6:\"fields\";a:1:{s:23:\"content_translation_uid\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:7:\"indexes\";a:1:{s:25:\"taxonomy_term__1a0c187e9a\";a:1:{i:0;s:23:\"content_translation_uid\";}}}}'),('entity.storage_schema.sql','taxonomy_term.field_schema_data.default_langcode','a:2:{s:24:\"taxonomy_term_field_data\";a:1:{s:6:\"fields\";a:1:{s:16:\"default_langcode\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}}s:28:\"taxonomy_term_field_revision\";a:1:{s:6:\"fields\";a:1:{s:16:\"default_langcode\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','taxonomy_term.field_schema_data.description','a:2:{s:24:\"taxonomy_term_field_data\";a:2:{s:6:\"fields\";a:2:{s:18:\"description__value\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:0;}s:19:\"description__format\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}}s:7:\"indexes\";a:0:{}}s:28:\"taxonomy_term_field_revision\";a:2:{s:6:\"fields\";a:2:{s:18:\"description__value\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:0;}s:19:\"description__format\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}}s:7:\"indexes\";a:1:{s:40:\"taxonomy_term_field__description__format\";a:1:{i:0;s:19:\"description__format\";}}}}'),('entity.storage_schema.sql','taxonomy_term.field_schema_data.langcode','a:4:{s:18:\"taxonomy_term_data\";a:1:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:1;}}}s:24:\"taxonomy_term_field_data\";a:1:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:1;}}}s:22:\"taxonomy_term_revision\";a:1:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:1;}}}s:28:\"taxonomy_term_field_revision\";a:1:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','taxonomy_term.field_schema_data.name','a:2:{s:24:\"taxonomy_term_field_data\";a:2:{s:6:\"fields\";a:1:{s:4:\"name\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:1;}}s:7:\"indexes\";a:1:{s:25:\"taxonomy_term_field__name\";a:1:{i:0;s:4:\"name\";}}}s:28:\"taxonomy_term_field_revision\";a:1:{s:6:\"fields\";a:1:{s:4:\"name\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','taxonomy_term.field_schema_data.parent','a:2:{s:21:\"taxonomy_term__parent\";a:4:{s:11:\"description\";s:44:\"Data storage for taxonomy_term field parent.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:16:\"parent_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:16:\"parent_target_id\";a:1:{i:0;s:16:\"parent_target_id\";}s:22:\"bundle_delta_target_id\";a:3:{i:0;s:6:\"bundle\";i:1;s:5:\"delta\";i:2;s:16:\"parent_target_id\";}}}s:30:\"taxonomy_term_revision__parent\";a:4:{s:11:\"description\";s:56:\"Revision archive storage for taxonomy_term field parent.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:47:\"The entity revision id this data is attached to\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:16:\"parent_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:5:{i:0;s:9:\"entity_id\";i:1;s:11:\"revision_id\";i:2;s:7:\"deleted\";i:3;s:5:\"delta\";i:4;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:16:\"parent_target_id\";a:1:{i:0;s:16:\"parent_target_id\";}}}}'),('entity.storage_schema.sql','taxonomy_term.field_schema_data.revision_created','a:1:{s:22:\"taxonomy_term_revision\";a:1:{s:6:\"fields\";a:1:{s:16:\"revision_created\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','taxonomy_term.field_schema_data.revision_default','a:1:{s:22:\"taxonomy_term_revision\";a:1:{s:6:\"fields\";a:1:{s:16:\"revision_default\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','taxonomy_term.field_schema_data.revision_id','a:4:{s:18:\"taxonomy_term_data\";a:1:{s:6:\"fields\";a:1:{s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:0;}}}s:24:\"taxonomy_term_field_data\";a:1:{s:6:\"fields\";a:1:{s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}s:22:\"taxonomy_term_revision\";a:1:{s:6:\"fields\";a:1:{s:11:\"revision_id\";a:4:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}s:28:\"taxonomy_term_field_revision\";a:1:{s:6:\"fields\";a:1:{s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','taxonomy_term.field_schema_data.revision_log_message','a:1:{s:22:\"taxonomy_term_revision\";a:1:{s:6:\"fields\";a:1:{s:20:\"revision_log_message\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','taxonomy_term.field_schema_data.revision_translation_affected','a:2:{s:24:\"taxonomy_term_field_data\";a:1:{s:6:\"fields\";a:1:{s:29:\"revision_translation_affected\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}s:28:\"taxonomy_term_field_revision\";a:1:{s:6:\"fields\";a:1:{s:29:\"revision_translation_affected\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','taxonomy_term.field_schema_data.revision_user','a:1:{s:22:\"taxonomy_term_revision\";a:2:{s:6:\"fields\";a:1:{s:13:\"revision_user\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:7:\"indexes\";a:1:{s:45:\"taxonomy_term_field__revision_user__target_id\";a:1:{i:0;s:13:\"revision_user\";}}}}'),('entity.storage_schema.sql','taxonomy_term.field_schema_data.status','a:2:{s:24:\"taxonomy_term_field_data\";a:1:{s:6:\"fields\";a:1:{s:6:\"status\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}}s:28:\"taxonomy_term_field_revision\";a:1:{s:6:\"fields\";a:1:{s:6:\"status\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','taxonomy_term.field_schema_data.tid','a:4:{s:18:\"taxonomy_term_data\";a:1:{s:6:\"fields\";a:1:{s:3:\"tid\";a:4:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}s:24:\"taxonomy_term_field_data\";a:1:{s:6:\"fields\";a:1:{s:3:\"tid\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}s:22:\"taxonomy_term_revision\";a:1:{s:6:\"fields\";a:1:{s:3:\"tid\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}s:28:\"taxonomy_term_field_revision\";a:1:{s:6:\"fields\";a:1:{s:3:\"tid\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','taxonomy_term.field_schema_data.uuid','a:1:{s:18:\"taxonomy_term_data\";a:2:{s:6:\"fields\";a:1:{s:4:\"uuid\";a:4:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:6:\"binary\";b:0;s:8:\"not null\";b:1;}}s:11:\"unique keys\";a:1:{s:32:\"taxonomy_term_field__uuid__value\";a:1:{i:0;s:4:\"uuid\";}}}}'),('entity.storage_schema.sql','taxonomy_term.field_schema_data.vid','a:2:{s:18:\"taxonomy_term_data\";a:2:{s:6:\"fields\";a:1:{s:3:\"vid\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;}}s:7:\"indexes\";a:1:{s:35:\"taxonomy_term_field__vid__target_id\";a:1:{i:0;s:3:\"vid\";}}}s:24:\"taxonomy_term_field_data\";a:2:{s:6:\"fields\";a:1:{s:3:\"vid\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;}}s:7:\"indexes\";a:0:{}}}'),('entity.storage_schema.sql','taxonomy_term.field_schema_data.weight','a:1:{s:24:\"taxonomy_term_field_data\";a:1:{s:6:\"fields\";a:1:{s:6:\"weight\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:0;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','user.entity_schema_data','a:2:{s:5:\"users\";a:1:{s:11:\"primary key\";a:1:{i:0;s:3:\"uid\";}}s:16:\"users_field_data\";a:3:{s:11:\"primary key\";a:2:{i:0;s:3:\"uid\";i:1;s:8:\"langcode\";}s:7:\"indexes\";a:1:{s:36:\"user__id__default_langcode__langcode\";a:3:{i:0;s:3:\"uid\";i:1;s:16:\"default_langcode\";i:2;s:8:\"langcode\";}}s:11:\"unique keys\";a:1:{s:10:\"user__name\";a:2:{i:0;s:4:\"name\";i:1;s:8:\"langcode\";}}}}'),('entity.storage_schema.sql','user.field_schema_data.access','a:1:{s:16:\"users_field_data\";a:2:{s:6:\"fields\";a:1:{s:6:\"access\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;}}s:7:\"indexes\";a:1:{s:18:\"user_field__access\";a:1:{i:0;s:6:\"access\";}}}}'),('entity.storage_schema.sql','user.field_schema_data.changed','a:1:{s:16:\"users_field_data\";a:1:{s:6:\"fields\";a:1:{s:7:\"changed\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','user.field_schema_data.content_translation_created','a:1:{s:16:\"users_field_data\";a:1:{s:6:\"fields\";a:1:{s:27:\"content_translation_created\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','user.field_schema_data.content_translation_outdated','a:1:{s:16:\"users_field_data\";a:1:{s:6:\"fields\";a:1:{s:28:\"content_translation_outdated\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','user.field_schema_data.content_translation_source','a:1:{s:16:\"users_field_data\";a:1:{s:6:\"fields\";a:1:{s:26:\"content_translation_source\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','user.field_schema_data.content_translation_status','a:1:{s:16:\"users_field_data\";a:1:{s:6:\"fields\";a:1:{s:26:\"content_translation_status\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','user.field_schema_data.content_translation_uid','a:1:{s:16:\"users_field_data\";a:2:{s:6:\"fields\";a:1:{s:23:\"content_translation_uid\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:7:\"indexes\";a:1:{s:46:\"user_field__content_translation_uid__target_id\";a:1:{i:0;s:23:\"content_translation_uid\";}}}}'),('entity.storage_schema.sql','user.field_schema_data.created','a:1:{s:16:\"users_field_data\";a:2:{s:6:\"fields\";a:1:{s:7:\"created\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;}}s:7:\"indexes\";a:1:{s:19:\"user_field__created\";a:1:{i:0;s:7:\"created\";}}}}'),('entity.storage_schema.sql','user.field_schema_data.default_langcode','a:1:{s:16:\"users_field_data\";a:1:{s:6:\"fields\";a:1:{s:16:\"default_langcode\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','user.field_schema_data.init','a:1:{s:16:\"users_field_data\";a:1:{s:6:\"fields\";a:1:{s:4:\"init\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:254;s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','user.field_schema_data.langcode','a:2:{s:5:\"users\";a:1:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:1;}}}s:16:\"users_field_data\";a:1:{s:6:\"fields\";a:1:{s:8:\"langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','user.field_schema_data.login','a:1:{s:16:\"users_field_data\";a:1:{s:6:\"fields\";a:1:{s:5:\"login\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','user.field_schema_data.mail','a:1:{s:16:\"users_field_data\";a:2:{s:6:\"fields\";a:1:{s:4:\"mail\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:254;s:8:\"not null\";b:0;}}s:7:\"indexes\";a:1:{s:16:\"user_field__mail\";a:1:{i:0;s:4:\"mail\";}}}}'),('entity.storage_schema.sql','user.field_schema_data.name','a:1:{s:16:\"users_field_data\";a:1:{s:6:\"fields\";a:1:{s:4:\"name\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:60;s:6:\"binary\";b:0;s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','user.field_schema_data.pass','a:1:{s:16:\"users_field_data\";a:1:{s:6:\"fields\";a:1:{s:4:\"pass\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','user.field_schema_data.preferred_admin_langcode','a:1:{s:16:\"users_field_data\";a:1:{s:6:\"fields\";a:1:{s:24:\"preferred_admin_langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','user.field_schema_data.preferred_langcode','a:1:{s:16:\"users_field_data\";a:1:{s:6:\"fields\";a:1:{s:18:\"preferred_langcode\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','user.field_schema_data.roles','a:1:{s:11:\"user__roles\";a:4:{s:11:\"description\";s:34:\"Data storage for user field roles.\";s:6:\"fields\";a:7:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:114:\"The entity revision id this data is attached to, which for an unversioned entity type is the same as the entity id\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:15:\"roles_target_id\";a:4:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:15:\"roles_target_id\";a:1:{i:0;s:15:\"roles_target_id\";}}}}'),('entity.storage_schema.sql','user.field_schema_data.status','a:1:{s:16:\"users_field_data\";a:1:{s:6:\"fields\";a:1:{s:6:\"status\";a:3:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','user.field_schema_data.timezone','a:1:{s:16:\"users_field_data\";a:1:{s:6:\"fields\";a:1:{s:8:\"timezone\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:32;s:6:\"binary\";b:0;s:8:\"not null\";b:0;}}}}'),('entity.storage_schema.sql','user.field_schema_data.uid','a:2:{s:5:\"users\";a:1:{s:6:\"fields\";a:1:{s:3:\"uid\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}s:16:\"users_field_data\";a:1:{s:6:\"fields\";a:1:{s:3:\"uid\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:8:\"not null\";b:1;}}}}'),('entity.storage_schema.sql','user.field_schema_data.user_picture','a:1:{s:18:\"user__user_picture\";a:5:{s:11:\"description\";s:41:\"Data storage for user field user_picture.\";s:6:\"fields\";a:11:{s:6:\"bundle\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:88:\"The field instance bundle to which this row belongs, used when deleting a field instance\";}s:7:\"deleted\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:11:\"description\";s:60:\"A boolean indicating whether this data item has been deleted\";}s:9:\"entity_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:38:\"The entity id this data is attached to\";}s:11:\"revision_id\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:114:\"The entity revision id this data is attached to, which for an unversioned entity type is the same as the entity id\";}s:8:\"langcode\";a:5:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:11:\"description\";s:37:\"The language code for this data item.\";}s:5:\"delta\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:11:\"description\";s:67:\"The sequence number for this data item, used for multi-value fields\";}s:22:\"user_picture_target_id\";a:4:{s:11:\"description\";s:26:\"The ID of the file entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:16:\"user_picture_alt\";a:4:{s:11:\"description\";s:56:\"Alternative image text, for the image\'s \'alt\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:512;s:8:\"not null\";b:0;}s:18:\"user_picture_title\";a:4:{s:11:\"description\";s:52:\"Image title text, for the image\'s \'title\' attribute.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:1024;s:8:\"not null\";b:0;}s:18:\"user_picture_width\";a:4:{s:11:\"description\";s:33:\"The width of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}s:19:\"user_picture_height\";a:4:{s:11:\"description\";s:34:\"The height of the image in pixels.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;}}s:11:\"primary key\";a:4:{i:0;s:9:\"entity_id\";i:1;s:7:\"deleted\";i:2;s:5:\"delta\";i:3;s:8:\"langcode\";}s:7:\"indexes\";a:3:{s:6:\"bundle\";a:1:{i:0;s:6:\"bundle\";}s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}s:22:\"user_picture_target_id\";a:1:{i:0;s:22:\"user_picture_target_id\";}}s:12:\"foreign keys\";a:1:{s:22:\"user_picture_target_id\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:22:\"user_picture_target_id\";s:3:\"fid\";}}}}}'),('entity.storage_schema.sql','user.field_schema_data.uuid','a:1:{s:5:\"users\";a:2:{s:6:\"fields\";a:1:{s:4:\"uuid\";a:4:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:6:\"binary\";b:0;s:8:\"not null\";b:1;}}s:11:\"unique keys\";a:1:{s:23:\"user_field__uuid__value\";a:1:{i:0;s:4:\"uuid\";}}}}'),('entity.update_backup','menu_link_content.65e25e','a:4:{s:11:\"entity_type\";O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":42:{s:25:\"\0*\0revision_metadata_keys\";a:0:{}s:31:\"\0*\0requiredRevisionMetadataKeys\";a:0:{}s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:2:\"id\";s:5:\"label\";s:5:\"title\";s:8:\"langcode\";s:8:\"langcode\";s:4:\"uuid\";s:4:\"uuid\";s:6:\"bundle\";s:6:\"bundle\";s:8:\"revision\";s:0:\"\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:9:\"published\";s:7:\"enabled\";}s:5:\"\0*\0id\";s:17:\"menu_link_content\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:5:{s:7:\"storage\";s:46:\"Drupal\\Core\\Entity\\Sql\\SqlContentEntityStorage\";s:14:\"storage_schema\";s:53:\"Drupal\\menu_link_content\\MenuLinkContentStorageSchema\";s:6:\"access\";s:60:\"Drupal\\menu_link_content\\MenuLinkContentAccessControlHandler\";s:4:\"form\";a:2:{s:7:\"default\";s:49:\"Drupal\\menu_link_content\\Form\\MenuLinkContentForm\";s:6:\"delete\";s:55:\"Drupal\\menu_link_content\\Form\\MenuLinkContentDeleteForm\";}s:12:\"view_builder\";s:36:\"Drupal\\Core\\Entity\\EntityViewBuilder\";}s:19:\"\0*\0admin_permission\";s:15:\"administer menu\";s:25:\"\0*\0permission_granularity\";s:11:\"entity_type\";s:8:\"\0*\0links\";a:3:{s:9:\"canonical\";s:51:\"/admin/structure/menu/item/{menu_link_content}/edit\";s:9:\"edit-form\";s:51:\"/admin/structure/menu/item/{menu_link_content}/edit\";s:11:\"delete-form\";s:53:\"/admin/structure/menu/item/{menu_link_content}/delete\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";N;s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";N;s:13:\"\0*\0base_table\";s:17:\"menu_link_content\";s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";s:22:\"menu_link_content_data\";s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:1;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Custom menu link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";N;s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";N;s:26:\"\0*\0common_reference_target\";b:0;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:22:\"menu_link_content_list\";}s:14:\"\0*\0constraints\";a:1:{s:13:\"EntityChanged\";N;}s:13:\"\0*\0additional\";a:0:{}s:8:\"\0*\0class\";s:47:\"Drupal\\menu_link_content\\Entity\\MenuLinkContent\";s:11:\"\0*\0provider\";s:17:\"menu_link_content\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}s:25:\"field_storage_definitions\";a:16:{s:2:\"id\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:73;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Entity ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:48:\"The entity ID for this menu link content entity.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:2:\"id\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:1:{s:5:\"value\";a:1:{i:0;s:5:\"value\";}}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:110;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:27:\"The content menu link UUID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:6:\"bundle\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:146;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:32;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Bundle\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"The content menu link bundle.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:6:\"bundle\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:5:\"title\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:180;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:15:\"Menu link title\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"The text to be used for this link in the menu.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:12:\"translatable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"string\";s:6:\"weight\";i:-5;}}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:-5;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:5:\"title\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:11:\"description\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:226;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Description\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:39:\"Shown when hovering over the menu link.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"string\";s:6:\"weight\";i:0;}}s:4:\"form\";a:1:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:0;}}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:11:\"description\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:9:\"menu_name\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:270;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Menu name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:93:\"The menu name. All links with the same menu name (such as \"tools\") are part of the same menu.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:5:\"tools\";}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:9:\"menu_name\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:4:\"link\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:4:\"link\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:3:{s:3:\"uri\";a:3:{s:11:\"description\";s:20:\"The URI of the link.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:2048;}s:5:\"title\";a:3:{s:11:\"description\";s:14:\"The link text.\";s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;}s:7:\"options\";a:4:{s:11:\"description\";s:41:\"Serialized array of options for the link.\";s:4:\"type\";s:4:\"blob\";s:4:\"size\";s:3:\"big\";s:9:\"serialize\";b:1;}}s:7:\"indexes\";a:1:{s:3:\"uri\";a:1:{i:0;a:2:{i:0;s:3:\"uri\";i:1;i:30;}}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:306;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:link\";s:8:\"settings\";a:2:{s:5:\"title\";i:0;s:9:\"link_type\";i:17;}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:38:\"The location this menu link points to.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:4:\"form\";a:1:{s:7:\"options\";a:2:{s:4:\"type\";s:12:\"link_default\";s:6:\"weight\";i:-2;}}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:4:\"link\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:8:\"external\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:357;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"External\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:120:\"A flag to indicate if the link points to a full URL starting with a protocol, like http:// (1 = external, 0 = internal).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:8:\"external\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:10:\"rediscover\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:397;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:54:\"Indicates whether the menu link should be rediscovered\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:10:\"rediscover\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:6:\"weight\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:0;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:433;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:0;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Weight\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:172:\"Link weight among links in the same menu at the same depth. In the menu, the links with high weight will sink and links with a low weight will be positioned nearer the top.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:7:\"integer\";s:6:\"weight\";i:0;}}s:4:\"form\";a:1:{s:7:\"options\";a:2:{s:4:\"type\";s:6:\"number\";s:6:\"weight\";i:20;}}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:6:\"weight\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:8:\"expanded\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:482;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Show as expanded\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:82:\"If selected and this menu link has children, the menu will always appear expanded.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:7:\"boolean\";s:6:\"weight\";i:0;}}s:4:\"form\";a:1:{s:7:\"options\";a:2:{s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:0;}}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:8:\"expanded\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:7:\"enabled\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:533;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Enabled\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:65:\"A flag for whether the link should be enabled in menus or hidden.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:7:\"boolean\";s:6:\"weight\";i:0;}}s:4:\"form\";a:1:{s:7:\"options\";a:2:{s:8:\"settings\";a:1:{s:13:\"display_label\";b:1;}s:6:\"weight\";i:-1;}}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:7:\"enabled\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:584;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:28:\"The menu link language code.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:1:{s:4:\"type\";s:6:\"hidden\";}}s:4:\"form\";a:1:{s:7:\"options\";a:2:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;}}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:6:\"parent\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:622;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Parent plugin ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:94:\"The ID of the parent menu link plugin, or empty string when at the top level of the hierarchy.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:6:\"parent\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:7:\"changed\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"changed\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:655;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:changed\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Changed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:44:\"The time that the menu link was last edited.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}s:16:\"default_langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:684;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Default translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:58:\"A flag indicating whether this is the default translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:17:\"menu_link_content\";s:10:\"field_name\";s:16:\"default_langcode\";s:11:\"entity_type\";s:17:\"menu_link_content\";s:6:\"bundle\";N;}}}s:13:\"table_mapping\";O:42:\"Drupal\\Core\\Entity\\Sql\\DefaultTableMapping\":11:{s:13:\"\0*\0entityType\";r:2;s:26:\"\0*\0fieldStorageDefinitions\";a:16:{s:2:\"id\";r:73;s:4:\"uuid\";r:110;s:6:\"bundle\";r:146;s:5:\"title\";r:180;s:11:\"description\";r:226;s:9:\"menu_name\";r:270;s:4:\"link\";r:306;s:8:\"external\";r:357;s:10:\"rediscover\";r:397;s:6:\"weight\";r:433;s:8:\"expanded\";r:482;s:7:\"enabled\";r:533;s:8:\"langcode\";r:584;s:6:\"parent\";r:622;s:7:\"changed\";r:655;s:16:\"default_langcode\";r:684;}s:9:\"\0*\0prefix\";s:10:\"old_65e25e\";s:12:\"\0*\0baseTable\";s:27:\"old_65e25emenu_link_content\";s:16:\"\0*\0revisionTable\";N;s:12:\"\0*\0dataTable\";s:32:\"old_65e25emenu_link_content_data\";s:20:\"\0*\0revisionDataTable\";N;s:13:\"\0*\0fieldNames\";a:2:{s:27:\"old_65e25emenu_link_content\";a:4:{i:0;s:2:\"id\";i:1;s:6:\"bundle\";i:2;s:4:\"uuid\";i:3;s:8:\"langcode\";}s:32:\"old_65e25emenu_link_content_data\";a:15:{i:0;s:2:\"id\";i:1;s:6:\"bundle\";i:2;s:8:\"langcode\";i:3;s:5:\"title\";i:4;s:11:\"description\";i:5;s:9:\"menu_name\";i:6;s:4:\"link\";i:7;s:8:\"external\";i:8;s:10:\"rediscover\";i:9;s:6:\"weight\";i:10;s:8:\"expanded\";i:11;s:7:\"enabled\";i:12;s:6:\"parent\";i:13;s:7:\"changed\";i:14;s:16:\"default_langcode\";}}s:15:\"\0*\0extraColumns\";a:0:{}s:16:\"\0*\0columnMapping\";a:0:{}s:13:\"\0*\0allColumns\";a:0:{}}s:12:\"request_time\";i:1558338144;}'),('entity.update_backup','taxonomy_term.775174','a:4:{s:11:\"entity_type\";O:36:\"Drupal\\Core\\Entity\\ContentEntityType\":42:{s:25:\"\0*\0revision_metadata_keys\";a:0:{}s:31:\"\0*\0requiredRevisionMetadataKeys\";a:0:{}s:15:\"\0*\0static_cache\";b:1;s:15:\"\0*\0render_cache\";b:1;s:19:\"\0*\0persistent_cache\";b:1;s:14:\"\0*\0entity_keys\";a:8:{s:2:\"id\";s:3:\"tid\";s:6:\"bundle\";s:3:\"vid\";s:5:\"label\";s:4:\"name\";s:8:\"langcode\";s:8:\"langcode\";s:4:\"uuid\";s:4:\"uuid\";s:8:\"revision\";s:0:\"\";s:16:\"default_langcode\";s:16:\"default_langcode\";s:9:\"published\";s:6:\"status\";}s:5:\"\0*\0id\";s:13:\"taxonomy_term\";s:16:\"\0*\0originalClass\";N;s:11:\"\0*\0handlers\";a:7:{s:7:\"storage\";s:27:\"Drupal\\taxonomy\\TermStorage\";s:14:\"storage_schema\";s:33:\"Drupal\\taxonomy\\TermStorageSchema\";s:12:\"view_builder\";s:31:\"Drupal\\taxonomy\\TermViewBuilder\";s:6:\"access\";s:40:\"Drupal\\taxonomy\\TermAccessControlHandler\";s:10:\"views_data\";s:29:\"Drupal\\taxonomy\\TermViewsData\";s:4:\"form\";a:2:{s:7:\"default\";s:24:\"Drupal\\taxonomy\\TermForm\";s:6:\"delete\";s:35:\"Drupal\\taxonomy\\Form\\TermDeleteForm\";}s:11:\"translation\";s:38:\"Drupal\\taxonomy\\TermTranslationHandler\";}s:19:\"\0*\0admin_permission\";N;s:25:\"\0*\0permission_granularity\";s:6:\"bundle\";s:8:\"\0*\0links\";a:3:{s:9:\"canonical\";s:30:\"/taxonomy/term/{taxonomy_term}\";s:11:\"delete-form\";s:37:\"/taxonomy/term/{taxonomy_term}/delete\";s:9:\"edit-form\";s:35:\"/taxonomy/term/{taxonomy_term}/edit\";}s:17:\"\0*\0label_callback\";N;s:21:\"\0*\0bundle_entity_type\";s:19:\"taxonomy_vocabulary\";s:12:\"\0*\0bundle_of\";N;s:15:\"\0*\0bundle_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Vocabulary\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"\0*\0base_table\";s:18:\"taxonomy_term_data\";s:22:\"\0*\0revision_data_table\";N;s:17:\"\0*\0revision_table\";N;s:13:\"\0*\0data_table\";s:24:\"taxonomy_term_field_data\";s:11:\"\0*\0internal\";b:0;s:15:\"\0*\0translatable\";b:1;s:19:\"\0*\0show_revision_ui\";b:0;s:8:\"\0*\0label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Taxonomy term\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:19:\"\0*\0label_collection\";s:0:\"\";s:17:\"\0*\0label_singular\";s:0:\"\";s:15:\"\0*\0label_plural\";s:0:\"\";s:14:\"\0*\0label_count\";a:0:{}s:15:\"\0*\0uri_callback\";s:17:\"taxonomy_term_uri\";s:8:\"\0*\0group\";s:7:\"content\";s:14:\"\0*\0group_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:1:{s:7:\"context\";s:17:\"Entity type group\";}}s:22:\"\0*\0field_ui_base_route\";s:40:\"entity.taxonomy_vocabulary.overview_form\";s:26:\"\0*\0common_reference_target\";b:1;s:22:\"\0*\0list_cache_contexts\";a:0:{}s:18:\"\0*\0list_cache_tags\";a:1:{i:0;s:18:\"taxonomy_term_list\";}s:14:\"\0*\0constraints\";a:1:{s:13:\"EntityChanged\";N;}s:13:\"\0*\0additional\";a:0:{}s:8:\"\0*\0class\";s:27:\"Drupal\\taxonomy\\Entity\\Term\";s:11:\"\0*\0provider\";s:8:\"taxonomy\";s:14:\"\0*\0_serviceIds\";a:0:{}s:18:\"\0*\0_entityStorages\";a:0:{}s:20:\"\0*\0stringTranslation\";N;}s:25:\"field_storage_definitions\";a:15:{s:3:\"tid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:78;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:1;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Term ID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"The term ID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:3:\"tid\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:4:\"uuid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:4:\"uuid\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:128;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:1:{s:5:\"value\";a:1:{i:0;s:5:\"value\";}}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:115;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:15:\"field_item:uuid\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:128;s:8:\"is_ascii\";b:1;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"UUID\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"The term UUID.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"read-only\";b:1;s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:4:\"uuid\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:3:\"vid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:32;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:151;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:19:\"taxonomy_vocabulary\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:6:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Vocabulary\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"The vocabulary to which the term is assigned.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:3:\"vid\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:8:\"langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:186;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"The term language code.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:1:{s:4:\"type\";s:6:\"hidden\";}}s:4:\"form\";a:1:{s:7:\"options\";a:2:{s:4:\"type\";s:15:\"language_select\";s:6:\"weight\";i:2;}}}s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:8:\"langcode\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:4:\"name\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:6:\"string\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:6:\"binary\";b:0;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:224;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:17:\"field_item:string\";s:8:\"settings\";a:3:{s:10:\"max_length\";i:255;s:8:\"is_ascii\";b:0;s:14:\"case_sensitive\";b:0;}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Name\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"The term name.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"required\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:1:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"string\";s:6:\"weight\";i:-5;}}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:16:\"string_textfield\";s:6:\"weight\";i:-5;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:4:\"name\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:11:\"description\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:9:\"text_long\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:2:{s:5:\"value\";a:2:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";}s:6:\"format\";a:2:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:255;}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:270;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:20:\"field_item:text_long\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Description\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"A description of the term.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:7:\"display\";a:2:{s:4:\"view\";a:2:{s:7:\"options\";a:3:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;}s:12:\"configurable\";b:1;}s:4:\"form\";a:2:{s:7:\"options\";a:2:{s:4:\"type\";s:14:\"text_textfield\";s:6:\"weight\";i:0;}s:12:\"configurable\";b:1;}}s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:11:\"description\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:6:\"weight\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"integer\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:0;s:4:\"size\";s:6:\"normal\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:317;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:integer\";s:8:\"settings\";a:6:{s:8:\"unsigned\";b:0;s:4:\"size\";s:6:\"normal\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Weight\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:51:\"The weight of this term in relation to other terms.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";i:0;}}s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:6:\"weight\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:6:\"parent\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:356;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:13:\"taxonomy_term\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Term Parents\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"The parents of this term.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"cardinality\";i:-1;s:14:\"custom_storage\";b:0;s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:6:\"parent\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:7:\"changed\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"changed\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:393;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:changed\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:7:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Changed\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:39:\"The time that the term was last edited.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:7:\"changed\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:16:\"default_langcode\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:422;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Default translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:58:\"A flag indicating whether this is the default translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"translatable\";b:1;s:12:\"revisionable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:8:\"provider\";s:8:\"taxonomy\";s:10:\"field_name\";s:16:\"default_langcode\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:26:\"content_translation_source\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:8:\"language\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:13:\"varchar_ascii\";s:6:\"length\";i:12;}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:464;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:19:\"field_item:language\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Translation source\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:60:\"The source language from which this translation was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";s:3:\"und\";}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:19:\"content_translation\";s:10:\"field_name\";s:26:\"content_translation_source\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:28:\"content_translation_outdated\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:498;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Translation outdated\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:66:\"A boolean indicating whether this translation needs to be updated.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:0;}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:19:\"content_translation\";s:10:\"field_name\";s:28:\"content_translation_outdated\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:23:\"content_translation_uid\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:16:\"entity_reference\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:9:\"target_id\";a:3:{s:11:\"description\";s:28:\"The ID of the target entity.\";s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;}}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}s:11:\"unique keys\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:540;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:27:\"field_item:entity_reference\";s:8:\"settings\";a:3:{s:11:\"target_type\";s:4:\"user\";s:7:\"handler\";s:7:\"default\";s:16:\"handler_settings\";a:0:{}}}}s:13:\"\0*\0definition\";a:9:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Translation author\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"The author of this translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:22:\"default_value_callback\";s:57:\"Drupal\\taxonomy\\TermTranslationHandler::getDefaultOwnerId\";s:12:\"translatable\";b:1;s:8:\"provider\";s:19:\"content_translation\";s:10:\"field_name\";s:23:\"content_translation_uid\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:27:\"content_translation_created\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"created\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:1:{s:4:\"type\";s:3:\"int\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:578;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:created\";s:8:\"settings\";a:0:{}}}s:13:\"\0*\0definition\";a:8:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Translation created time\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"The Unix timestamp when the translation was created.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:8:\"provider\";s:19:\"content_translation\";s:10:\"field_name\";s:27:\"content_translation_created\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}s:6:\"status\";O:37:\"Drupal\\Core\\Field\\BaseFieldDefinition\":5:{s:7:\"\0*\0type\";s:7:\"boolean\";s:9:\"\0*\0schema\";a:4:{s:7:\"columns\";a:1:{s:5:\"value\";a:2:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";}}s:11:\"unique keys\";a:0:{}s:7:\"indexes\";a:0:{}s:12:\"foreign keys\";a:0:{}}s:10:\"\0*\0indexes\";a:0:{}s:17:\"\0*\0itemDefinition\";O:51:\"Drupal\\Core\\Field\\TypedData\\FieldItemDataDefinition\":2:{s:18:\"\0*\0fieldDefinition\";r:608;s:13:\"\0*\0definition\";a:2:{s:4:\"type\";s:18:\"field_item:boolean\";s:8:\"settings\";a:2:{s:8:\"on_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:2:\"On\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:9:\"off_label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:3:\"Off\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}}}s:13:\"\0*\0definition\";a:11:{s:5:\"label\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Publishing status\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:11:\"description\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:41:\"A boolean indicating the published state.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}s:12:\"revisionable\";b:1;s:12:\"translatable\";b:1;s:13:\"default_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:24:\"initial_value_from_field\";s:26:\"content_translation_status\";s:13:\"initial_value\";a:1:{i:0;a:1:{s:5:\"value\";b:1;}}s:10:\"field_name\";s:6:\"status\";s:11:\"entity_type\";s:13:\"taxonomy_term\";s:8:\"provider\";s:13:\"taxonomy_term\";s:6:\"bundle\";N;}}}s:13:\"table_mapping\";O:42:\"Drupal\\Core\\Entity\\Sql\\DefaultTableMapping\":11:{s:13:\"\0*\0entityType\";r:2;s:26:\"\0*\0fieldStorageDefinitions\";a:15:{s:3:\"tid\";r:78;s:4:\"uuid\";r:115;s:3:\"vid\";r:151;s:8:\"langcode\";r:186;s:4:\"name\";r:224;s:11:\"description\";r:270;s:6:\"weight\";r:317;s:6:\"parent\";r:356;s:7:\"changed\";r:393;s:16:\"default_langcode\";r:422;s:26:\"content_translation_source\";r:464;s:28:\"content_translation_outdated\";r:498;s:23:\"content_translation_uid\";r:540;s:27:\"content_translation_created\";r:578;s:6:\"status\";r:608;}s:9:\"\0*\0prefix\";s:10:\"old_775174\";s:12:\"\0*\0baseTable\";s:28:\"old_775174taxonomy_term_data\";s:16:\"\0*\0revisionTable\";N;s:12:\"\0*\0dataTable\";s:34:\"old_775174taxonomy_term_field_data\";s:20:\"\0*\0revisionDataTable\";N;s:13:\"\0*\0fieldNames\";a:3:{s:28:\"old_775174taxonomy_term_data\";a:4:{i:0;s:3:\"tid\";i:1;s:3:\"vid\";i:2;s:4:\"uuid\";i:3;s:8:\"langcode\";}s:34:\"old_775174taxonomy_term_field_data\";a:13:{i:0;s:3:\"tid\";i:1;s:3:\"vid\";i:2;s:8:\"langcode\";i:3;s:4:\"name\";i:4;s:11:\"description\";i:5;s:6:\"weight\";i:6;s:7:\"changed\";i:7;s:16:\"default_langcode\";i:8;s:26:\"content_translation_source\";i:9;s:28:\"content_translation_outdated\";i:10;s:23:\"content_translation_uid\";i:11;s:27:\"content_translation_created\";i:12;s:6:\"status\";}s:31:\"old_775174taxonomy_term__parent\";a:1:{i:0;s:6:\"parent\";}}s:15:\"\0*\0extraColumns\";a:1:{s:31:\"old_775174taxonomy_term__parent\";a:6:{i:0;s:6:\"bundle\";i:1;s:7:\"deleted\";i:2;s:9:\"entity_id\";i:3;s:11:\"revision_id\";i:4;s:8:\"langcode\";i:5;s:5:\"delta\";}}s:16:\"\0*\0columnMapping\";a:0:{}s:13:\"\0*\0allColumns\";a:0:{}}s:12:\"request_time\";i:1558338144;}'),('entity_autocomplete','0O2ewxRtYNU7TOOL4FXHxNegujsLCG47Lece6Anm_Yk','a:0:{}'),('entity_autocomplete','2O6GC2Vx010pyypRTA71V0bZHSwA89NlAwPPjQIvEnE','a:5:{s:14:\"target_bundles\";a:1:{s:4:\"tags\";s:4:\"tags\";}s:4:\"sort\";a:1:{s:5:\"field\";s:5:\"_none\";}s:11:\"auto_create\";b:0;s:18:\"auto_create_bundle\";s:0:\"\";s:14:\"match_operator\";s:8:\"CONTAINS\";}'),('entity_autocomplete','3uZovwW-qq4T4HrsQg1LBSEF-jPqmvOh5K8tjUFlmbc','a:1:{s:17:\"include_anonymous\";b:0;}'),('entity_autocomplete','4kueP2QxVA2QggJZ4B_2A5l3rccVsosjUeSDHbVomVE','a:0:{}'),('entity_autocomplete','59BBrvlJhyjyH6rNNYTecoxGQrpw2V9BMwIMK_aQ8UI','a:0:{}'),('entity_autocomplete','5bmKMbxsI-_ETQEcmXi_XY2ody0cFUQeoMRPCe-jG1Y','a:0:{}'),('entity_autocomplete','6oSBoC3adVget1ysdorXGcJJy3bp3KNYNWc2mVQJkmE','a:3:{s:14:\"target_bundles\";a:1:{s:4:\"tags\";s:4:\"tags\";}s:4:\"sort\";a:1:{s:5:\"field\";s:5:\"_none\";}s:11:\"auto_create\";b:1;}'),('entity_autocomplete','7kvsIKZ1iyb-3F9mtrSxorSmq4RgnEPDUwuWfBv8EoM','a:0:{}'),('entity_autocomplete','8Ezo_vsDfWPF_g7maBQxMpHigkBXnSnbh8iMB4NfCZE','a:0:{}'),('entity_autocomplete','8YOkVY4dfZjukvrhCDnjsmODbNBadRDIyEgsvvbb6Ow','a:0:{}'),('entity_autocomplete','cScgjwYxDGGeDzPDwsOCuXpm-KkW1esSO4TCUZ3KQJ8','a:3:{s:14:\"target_bundles\";a:1:{s:4:\"tags\";s:4:\"tags\";}s:4:\"sort\";a:1:{s:5:\"field\";s:5:\"_none\";}s:11:\"auto_create\";b:1;}'),('entity_autocomplete','ddIWBJ5ofEOTzAwymYMtLRHz7f1edI6h5rvgl2uW6OE','a:0:{}'),('entity_autocomplete','egRxfTvjdKjpeSUf7XS8Ouu30mKs7v6vLPDM3A93Y2Y','a:1:{s:14:\"match_operator\";s:8:\"CONTAINS\";}'),('entity_autocomplete','EI-tf34En7HmmUyXuTBcH3jFZsTTxGNU3-rfsuTVwGM','a:3:{s:14:\"target_bundles\";a:1:{s:4:\"tags\";s:4:\"tags\";}s:4:\"sort\";a:1:{s:5:\"field\";s:5:\"_none\";}s:11:\"auto_create\";b:1;}'),('entity_autocomplete','fFo66elQM59MTBqlVLCPkOs8GJqszrfXEMNigM7x9Xc','a:0:{}'),('entity_autocomplete','fxbaf2jZpU-JVrFdWlMtGY1VIjb7OsEqfBrL2T3f_-8','a:0:{}'),('entity_autocomplete','GLoliMEsxDa9MgcIFOtMfS9Sq3lc8G_LvaDQcZ3X2b0','a:1:{s:17:\"include_anonymous\";b:0;}'),('entity_autocomplete','gqsfuXJWo6p_fZPB0yCxiOBhIUOHWl85m650z8nXxRA','a:3:{s:14:\"target_bundles\";a:1:{s:4:\"tags\";s:4:\"tags\";}s:4:\"sort\";a:1:{s:5:\"field\";s:5:\"_none\";}s:11:\"auto_create\";b:1;}'),('entity_autocomplete','GUReijQg-e5iaXQnse4xaKObPaFYFrv60c1-yylDyhc','a:1:{s:17:\"include_anonymous\";b:0;}'),('entity_autocomplete','I3eBy7A35ACXb8X60hUCKmr7PsZ15sg4cA9AcKVTUoY','a:1:{s:17:\"include_anonymous\";b:0;}'),('entity_autocomplete','iiEPPUBp8CGovGvlUaknA31i2QWksWrW_B_c394WoXg','a:3:{s:14:\"target_bundles\";a:1:{s:4:\"tags\";s:4:\"tags\";}s:4:\"sort\";a:1:{s:5:\"field\";s:5:\"_none\";}s:11:\"auto_create\";b:1;}'),('entity_autocomplete','ILK8LHTZu5TMNwSEA0YylW7E0OCmqc3Ec9ITia1K_7A','a:1:{s:17:\"include_anonymous\";b:0;}'),('entity_autocomplete','JdBHAhwYznp_1px8ry38jcUWn_LUsQewERt9ibpK0As','a:0:{}'),('entity_autocomplete','jzdB2CnSjIHfrsXhOLvvJReOTcjcvgPMBLa9wohNn_M','a:4:{s:14:\"target_bundles\";a:1:{s:4:\"tags\";s:4:\"tags\";}s:4:\"sort\";a:1:{s:5:\"field\";s:5:\"_none\";}s:11:\"auto_create\";b:0;s:18:\"auto_create_bundle\";s:0:\"\";}'),('entity_autocomplete','KMGrBz2mRUVgV6kTkNDx1KMpZslD7RdJqZeHsxQn_Ks','a:1:{s:17:\"include_anonymous\";b:0;}'),('entity_autocomplete','KzM8HAyeomZTWQ-pxvIIbKhHLGNQJpUpnMX2EioJaTg','a:0:{}'),('entity_autocomplete','lfUY7mDpz5nDzJoak-SrWGGO0TsM0TYJYEwVqiEnoGU','a:0:{}'),('entity_autocomplete','LgVyrc1cyy0WzgXGLxjrUZYwzO2ObV3lN8bo6U-oLtI','a:1:{s:17:\"include_anonymous\";b:0;}'),('entity_autocomplete','Livqp8RGDZ7KyQkRKWC5QYErp8noKrdsDq4hqJjhVug','a:4:{s:14:\"target_bundles\";a:1:{s:4:\"tags\";s:4:\"tags\";}s:4:\"sort\";a:1:{s:5:\"field\";s:5:\"_none\";}s:11:\"auto_create\";b:0;s:18:\"auto_create_bundle\";s:0:\"\";}'),('entity_autocomplete','LzBgPvWh_eSFufubKvtISPtXmkusGhwTKQk3-mreBPc','a:1:{s:17:\"include_anonymous\";b:0;}'),('entity_autocomplete','MCVIbXrB5ULRUAulPD74gICyHmSXl6H2uDkr05amg6Y','a:3:{s:14:\"target_bundles\";a:1:{s:4:\"tags\";s:4:\"tags\";}s:4:\"sort\";a:1:{s:5:\"field\";s:5:\"_none\";}s:11:\"auto_create\";b:1;}'),('entity_autocomplete','mm-VLyFgF2z672w0Wred44ZqO3pC1ygIZ2jOzb8q-9c','a:4:{s:14:\"target_bundles\";a:1:{s:4:\"tags\";s:4:\"tags\";}s:4:\"sort\";a:1:{s:5:\"field\";s:5:\"_none\";}s:11:\"auto_create\";b:0;s:18:\"auto_create_bundle\";s:0:\"\";}'),('entity_autocomplete','MXKYFgoI5IFEmocRhdSQ_GDQFbO3rD7LWIRq3ADYz90','a:4:{s:14:\"target_bundles\";a:1:{s:4:\"tags\";s:4:\"tags\";}s:4:\"sort\";a:1:{s:5:\"field\";s:5:\"_none\";}s:11:\"auto_create\";b:0;s:18:\"auto_create_bundle\";s:0:\"\";}'),('entity_autocomplete','MzZd4oh8UYybEy6KGA17le9lTlx4Faq9ElsTDTy445o','a:4:{s:14:\"target_bundles\";a:1:{s:4:\"tags\";s:4:\"tags\";}s:4:\"sort\";a:1:{s:5:\"field\";s:5:\"_none\";}s:11:\"auto_create\";b:1;s:14:\"match_operator\";s:8:\"CONTAINS\";}'),('entity_autocomplete','nPZtXd0VVrRZngyHPyrOoP6aob0V6DNlD4pR-zzwW_o','a:0:{}'),('entity_autocomplete','OAN7JUxTaexu8XY9de0yyGukNjodjFYgqmOE3pFTgYA','a:1:{s:14:\"target_bundles\";a:1:{s:4:\"tags\";s:4:\"tags\";}}'),('entity_autocomplete','OazVLmMCg5dCTjeK0J8t1xedIONrvxIvrEKQ965O9qQ','a:0:{}'),('entity_autocomplete','oMe5520LsdLXLTJS1-b0uHsEBruRqBTJ5_41RMV2kQw','a:1:{s:14:\"target_bundles\";a:1:{s:4:\"tags\";s:4:\"tags\";}}'),('entity_autocomplete','RlTkGkxIP4nghU5O96uAKrCF2vZZfikXmbV5sRNrfrg','a:0:{}'),('entity_autocomplete','TAB1SALXdRYXxaak4v_vOvZ0tCJFy1Yg65aB5mhCoM0','a:1:{s:17:\"include_anonymous\";b:0;}'),('entity_autocomplete','TKgKaN1Y6J2VX5fOtM4RyMMBrTchVs_6QCCoJi2v8bw','a:0:{}'),('entity_autocomplete','vdT78t9o2KwdEMA582K1j7H6OtffepfL-YqOkLCCiPI','a:1:{s:17:\"include_anonymous\";b:0;}'),('entity_autocomplete','viOpIJM08uS51FgtptjWjDmHGLLb7YUwXga_MBP8p3w','a:1:{s:17:\"include_anonymous\";b:0;}'),('entity_autocomplete','VnI-BLUCF3H2xSr6r2UQwR-cZzwkR1xbv5HRG_6QqX0','a:1:{s:17:\"include_anonymous\";b:0;}'),('entity_autocomplete','x-DPN8nDQZDAq5k1oJcW7QD5Y32HVOYJD0vA5_xdbyQ','a:4:{s:14:\"target_bundles\";a:1:{s:4:\"tags\";s:4:\"tags\";}s:4:\"sort\";a:1:{s:5:\"field\";s:5:\"_none\";}s:11:\"auto_create\";b:0;s:18:\"auto_create_bundle\";s:0:\"\";}'),('entity_autocomplete','yjHZsWrYVEYzvCbIraNmS_hThWahqawbZKWGeyNsVd0','a:1:{s:14:\"target_bundles\";a:1:{s:4:\"tags\";s:4:\"tags\";}}'),('locale.project','admin_toolbar','a:10:{s:4:\"name\";s:13:\"admin_toolbar\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Admin Toolbar\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:7:\"8.x-2.3\";s:7:\"project\";s:13:\"admin_toolbar\";s:9:\"datestamp\";i:1592535601;s:16:\"_info_file_ctime\";i:1600419051;}s:9:\"datestamp\";i:1592535601;s:8:\"includes\";a:3:{s:13:\"admin_toolbar\";s:13:\"Admin Toolbar\";s:20:\"admin_toolbar_search\";s:20:\"Admin Toolbar Search\";s:19:\"admin_toolbar_tools\";s:25:\"Admin Toolbar Extra Tools\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:7:\"version\";s:7:\"8.x-2.3\";s:4:\"core\";s:3:\"all\";s:14:\"server_pattern\";s:87:\"https://ftp.drupal.org/files/translations/%core/%project/%project-%version.%language.po\";s:6:\"status\";i:1;}'),('locale.project','block_class','a:10:{s:4:\"name\";s:11:\"block_class\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Block Class\";s:7:\"package\";s:5:\"Other\";s:7:\"version\";s:7:\"8.x-1.2\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";i:1588263518;s:16:\"_info_file_ctime\";i:1600418805;}s:9:\"datestamp\";i:1588263518;s:8:\"includes\";a:1:{s:11:\"block_class\";s:11:\"Block Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:7:\"version\";s:7:\"8.x-1.2\";s:4:\"core\";s:3:\"all\";s:14:\"server_pattern\";s:87:\"https://ftp.drupal.org/files/translations/%core/%project/%project-%version.%language.po\";s:6:\"status\";i:1;}'),('locale.project','colorbox','a:10:{s:4:\"name\";s:8:\"colorbox\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Colorbox\";s:7:\"package\";s:5:\"Media\";s:7:\"version\";s:7:\"8.x-1.6\";s:7:\"project\";s:8:\"colorbox\";s:9:\"datestamp\";i:1587016345;s:16:\"_info_file_ctime\";i:1600418805;}s:9:\"datestamp\";i:1587016345;s:8:\"includes\";a:1:{s:8:\"colorbox\";s:8:\"Colorbox\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:7:\"version\";s:7:\"8.x-1.6\";s:4:\"core\";s:3:\"all\";s:14:\"server_pattern\";s:87:\"https://ftp.drupal.org/files/translations/%core/%project/%project-%version.%language.po\";s:6:\"status\";i:1;}'),('locale.project','ctools','a:10:{s:4:\"name\";s:6:\"ctools\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Chaos Tools\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:7:\"8.x-3.4\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";i:1585763385;s:16:\"_info_file_ctime\";i:1600418805;}s:9:\"datestamp\";i:1585763385;s:8:\"includes\";a:1:{s:6:\"ctools\";s:11:\"Chaos Tools\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:7:\"version\";s:7:\"8.x-3.4\";s:4:\"core\";s:3:\"all\";s:14:\"server_pattern\";s:87:\"https://ftp.drupal.org/files/translations/%core/%project/%project-%version.%language.po\";s:6:\"status\";i:1;}'),('locale.project','drupal','a:10:{s:4:\"name\";s:6:\"drupal\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Automated Cron\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:5:\"8.9.6\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";i:1600276320;s:16:\"_info_file_ctime\";i:1600418805;}s:9:\"datestamp\";i:1600276320;s:8:\"includes\";a:52:{s:14:\"automated_cron\";s:14:\"Automated Cron\";s:5:\"block\";s:5:\"Block\";s:13:\"block_content\";s:12:\"Custom Block\";s:10:\"breakpoint\";s:10:\"Breakpoint\";s:8:\"ckeditor\";s:8:\"CKEditor\";s:5:\"color\";s:5:\"Color\";s:7:\"comment\";s:7:\"Comment\";s:6:\"config\";s:21:\"Configuration Manager\";s:18:\"config_translation\";s:25:\"Configuration Translation\";s:7:\"contact\";s:7:\"Contact\";s:19:\"content_translation\";s:19:\"Content Translation\";s:10:\"contextual\";s:16:\"Contextual Links\";s:8:\"datetime\";s:8:\"Datetime\";s:5:\"dblog\";s:16:\"Database Logging\";s:18:\"dynamic_page_cache\";s:27:\"Internal Dynamic Page Cache\";s:6:\"editor\";s:11:\"Text Editor\";s:5:\"field\";s:5:\"Field\";s:8:\"field_ui\";s:8:\"Field UI\";s:4:\"file\";s:4:\"File\";s:6:\"filter\";s:6:\"Filter\";s:4:\"help\";s:4:\"Help\";s:7:\"history\";s:7:\"History\";s:5:\"image\";s:5:\"Image\";s:8:\"language\";s:8:\"Language\";s:4:\"link\";s:4:\"Link\";s:6:\"locale\";s:21:\"Interface Translation\";s:17:\"menu_link_content\";s:17:\"Custom Menu Links\";s:7:\"menu_ui\";s:7:\"Menu UI\";s:4:\"node\";s:4:\"Node\";s:7:\"options\";s:7:\"Options\";s:10:\"page_cache\";s:19:\"Internal Page Cache\";s:4:\"path\";s:4:\"Path\";s:10:\"path_alias\";s:10:\"Path alias\";s:9:\"quickedit\";s:10:\"Quick Edit\";s:3:\"rdf\";s:3:\"RDF\";s:16:\"responsive_image\";s:16:\"Responsive Image\";s:6:\"search\";s:6:\"Search\";s:8:\"shortcut\";s:8:\"Shortcut\";s:6:\"system\";s:6:\"System\";s:8:\"taxonomy\";s:8:\"Taxonomy\";s:4:\"text\";s:4:\"Text\";s:7:\"toolbar\";s:7:\"Toolbar\";s:4:\"tour\";s:4:\"Tour\";s:6:\"update\";s:14:\"Update Manager\";s:4:\"user\";s:4:\"User\";s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";s:8:\"standard\";s:8:\"Standard\";s:6:\"stable\";s:6:\"Stable\";s:6:\"bartik\";s:6:\"Bartik\";s:5:\"seven\";s:5:\"Seven\";s:6:\"classy\";s:6:\"Classy\";}s:12:\"project_type\";s:4:\"core\";s:14:\"project_status\";b:1;s:7:\"version\";s:5:\"8.9.6\";s:4:\"core\";s:3:\"all\";s:14:\"server_pattern\";s:87:\"https://ftp.drupal.org/files/translations/%core/%project/%project-%version.%language.po\";s:6:\"status\";i:1;}'),('locale.project','libraries','a:10:{s:4:\"name\";s:9:\"libraries\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Libraries\";s:7:\"version\";s:14:\"8.x-3.0-alpha1\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";i:1517046488;s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1600418805;}s:9:\"datestamp\";i:1517046488;s:8:\"includes\";a:1:{s:9:\"libraries\";s:9:\"Libraries\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:7:\"version\";s:14:\"8.x-3.0-alpha1\";s:4:\"core\";s:3:\"all\";s:14:\"server_pattern\";s:87:\"https://ftp.drupal.org/files/translations/%core/%project/%project-%version.%language.po\";s:6:\"status\";i:1;}'),('locale.project','menu_link_attributes','a:10:{s:4:\"name\";s:20:\"menu_link_attributes\";s:4:\"info\";a:6:{s:4:\"name\";s:20:\"Menu Link Attributes\";s:7:\"version\";s:7:\"8.x-1.1\";s:7:\"project\";s:20:\"menu_link_attributes\";s:9:\"datestamp\";i:1593424629;s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1600419051;}s:9:\"datestamp\";i:1593424629;s:8:\"includes\";a:1:{s:20:\"menu_link_attributes\";s:20:\"Menu Link Attributes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:7:\"version\";s:7:\"8.x-1.1\";s:4:\"core\";s:3:\"all\";s:14:\"server_pattern\";s:87:\"https://ftp.drupal.org/files/translations/%core/%project/%project-%version.%language.po\";s:6:\"status\";i:1;}'),('locale.project','node_class','a:10:{s:4:\"name\";s:10:\"node_class\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Node class\";s:7:\"version\";s:13:\"8.x-1.0-beta1\";s:7:\"project\";s:10:\"node_class\";s:9:\"datestamp\";i:1466182504;s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1600418805;}s:9:\"datestamp\";i:1466182504;s:8:\"includes\";a:1:{s:10:\"node_class\";s:10:\"Node class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:7:\"version\";s:13:\"8.x-1.0-beta1\";s:4:\"core\";s:3:\"all\";s:14:\"server_pattern\";s:87:\"https://ftp.drupal.org/files/translations/%core/%project/%project-%version.%language.po\";s:6:\"status\";i:1;}'),('locale.project','pathauto','a:10:{s:4:\"name\";s:8:\"pathauto\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Pathauto\";s:7:\"version\";s:7:\"8.x-1.8\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";i:1588103048;s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1600418805;}s:9:\"datestamp\";i:1588103048;s:8:\"includes\";a:1:{s:8:\"pathauto\";s:8:\"Pathauto\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:7:\"version\";s:7:\"8.x-1.8\";s:4:\"core\";s:3:\"all\";s:14:\"server_pattern\";s:87:\"https://ftp.drupal.org/files/translations/%core/%project/%project-%version.%language.po\";s:6:\"status\";i:1;}'),('locale.project','sharethis','a:10:{s:4:\"name\";s:9:\"sharethis\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"ShareThis\";s:7:\"version\";s:13:\"8.x-2.0-beta5\";s:7:\"project\";s:9:\"sharethis\";s:9:\"datestamp\";i:1592286579;s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1600419052;}s:9:\"datestamp\";i:1592286579;s:8:\"includes\";a:1:{s:9:\"sharethis\";s:9:\"ShareThis\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:7:\"version\";s:13:\"8.x-2.0-beta5\";s:4:\"core\";s:3:\"all\";s:14:\"server_pattern\";s:87:\"https://ftp.drupal.org/files/translations/%core/%project/%project-%version.%language.po\";s:6:\"status\";i:1;}'),('locale.project','simplenews','a:10:{s:4:\"name\";s:10:\"simplenews\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Simplenews\";s:7:\"package\";s:4:\"Mail\";s:7:\"version\";s:13:\"8.x-1.0-beta2\";s:7:\"project\";s:10:\"simplenews\";s:9:\"datestamp\";i:1599415338;s:16:\"_info_file_ctime\";i:1600419052;}s:9:\"datestamp\";i:1599415338;s:8:\"includes\";a:1:{s:10:\"simplenews\";s:10:\"Simplenews\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:7:\"version\";s:13:\"8.x-1.0-beta2\";s:4:\"core\";s:3:\"all\";s:14:\"server_pattern\";s:87:\"https://ftp.drupal.org/files/translations/%core/%project/%project-%version.%language.po\";s:6:\"status\";i:1;}'),('locale.project','token','a:10:{s:4:\"name\";s:5:\"token\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Token\";s:7:\"version\";s:7:\"8.x-1.7\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";i:1587893591;s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1600418805;}s:9:\"datestamp\";i:1587893591;s:8:\"includes\";a:1:{s:5:\"token\";s:5:\"Token\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:7:\"version\";s:7:\"8.x-1.7\";s:4:\"core\";s:3:\"all\";s:14:\"server_pattern\";s:87:\"https://ftp.drupal.org/files/translations/%core/%project/%project-%version.%language.po\";s:6:\"status\";i:1;}'),('locale.project','video_embed_field','a:10:{s:4:\"name\";s:17:\"video_embed_field\";s:4:\"info\";a:6:{s:4:\"name\";s:17:\"Video Embed Field\";s:7:\"package\";s:17:\"Video Embed Field\";s:7:\"version\";s:7:\"8.x-2.4\";s:7:\"project\";s:17:\"video_embed_field\";s:9:\"datestamp\";i:1587686287;s:16:\"_info_file_ctime\";i:1600419052;}s:9:\"datestamp\";i:1587686287;s:8:\"includes\";a:1:{s:17:\"video_embed_field\";s:17:\"Video Embed Field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:7:\"version\";s:7:\"8.x-2.4\";s:4:\"core\";s:3:\"all\";s:14:\"server_pattern\";s:87:\"https://ftp.drupal.org/files/translations/%core/%project/%project-%version.%language.po\";s:6:\"status\";i:1;}'),('locale.project','we_megamenu','a:10:{s:4:\"name\";s:11:\"we_megamenu\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Drupal Mega Menu\";s:7:\"package\";s:10:\"WeMegaMenu\";s:7:\"version\";s:8:\"8.x-1.11\";s:7:\"project\";s:11:\"we_megamenu\";s:9:\"datestamp\";i:1592456475;s:16:\"_info_file_ctime\";i:1600419052;}s:9:\"datestamp\";i:1592456475;s:8:\"includes\";a:1:{s:11:\"we_megamenu\";s:16:\"Drupal Mega Menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:7:\"version\";s:8:\"8.x-1.11\";s:4:\"core\";s:3:\"all\";s:14:\"server_pattern\";s:87:\"https://ftp.drupal.org/files/translations/%core/%project/%project-%version.%language.po\";s:6:\"status\";i:1;}'),('locale.translation_status','admin_toolbar','a:1:{s:2:\"ar\";O:8:\"stdClass\":16:{s:4:\"name\";s:13:\"admin_toolbar\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Admin Toolbar\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:8:\"8.x-1.19\";s:7:\"project\";s:13:\"admin_toolbar\";s:9:\"datestamp\";i:1491487686;s:16:\"_info_file_ctime\";i:1500611419;}s:9:\"datestamp\";i:1491487686;s:8:\"includes\";a:2:{s:13:\"admin_toolbar\";s:13:\"Admin Toolbar\";s:19:\"admin_toolbar_tools\";s:25:\"Admin Toolbar Extra Tools\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:7:\"version\";s:8:\"8.x-1.19\";s:4:\"core\";s:3:\"8.x\";s:14:\"server_pattern\";s:86:\"http://ftp.drupal.org/files/translations/%core/%project/%project-%version.%language.po\";s:6:\"status\";i:1;s:7:\"project\";s:13:\"admin_toolbar\";s:8:\"langcode\";s:2:\"ar\";s:4:\"type\";s:7:\"current\";s:9:\"timestamp\";i:1500611473;s:12:\"last_checked\";i:1500611473;s:5:\"files\";a:3:{s:6:\"remote\";O:8:\"stdClass\":7:{s:7:\"project\";s:13:\"admin_toolbar\";s:8:\"langcode\";s:2:\"ar\";s:7:\"version\";s:8:\"8.x-1.19\";s:4:\"type\";s:6:\"remote\";s:8:\"filename\";s:28:\"admin_toolbar-8.x-1.19.ar.po\";s:3:\"uri\";s:95:\"https://ftp-origin.drupal.org/files/translations/8.x/admin_toolbar/admin_toolbar-8.x-1.19.ar.po\";s:9:\"timestamp\";i:1491530887;}s:5:\"local\";O:8:\"stdClass\":8:{s:7:\"project\";s:13:\"admin_toolbar\";s:8:\"langcode\";s:2:\"ar\";s:7:\"version\";s:8:\"8.x-1.19\";s:4:\"type\";s:5:\"local\";s:8:\"filename\";s:28:\"admin_toolbar-8.x-1.19.ar.po\";s:3:\"uri\";s:43:\"translations://admin_toolbar-8.x-1.19.ar.po\";s:9:\"timestamp\";i:1500611473;s:9:\"directory\";s:15:\"translations://\";}s:7:\"current\";O:8:\"stdClass\":8:{s:7:\"project\";s:13:\"admin_toolbar\";s:8:\"langcode\";s:2:\"ar\";s:8:\"filename\";s:0:\"\";s:7:\"version\";s:8:\"8.x-1.14\";s:3:\"uri\";s:0:\"\";s:9:\"timestamp\";s:10:\"1471338179\";s:12:\"last_checked\";s:10:\"1471338179\";s:4:\"type\";s:7:\"current\";}}}}'),('pathauto_state.node','1','i:0;'),('pathauto_state.node','10','i:1;'),('pathauto_state.node','11','i:1;'),('pathauto_state.node','12','i:1;'),('pathauto_state.node','13','i:1;'),('pathauto_state.node','14','i:1;'),('pathauto_state.node','15','i:1;'),('pathauto_state.node','16','i:1;'),('pathauto_state.node','17','i:1;'),('pathauto_state.node','18','i:1;'),('pathauto_state.node','19','i:1;'),('pathauto_state.node','2','i:0;'),('pathauto_state.node','20','i:1;'),('pathauto_state.node','21','i:1;'),('pathauto_state.node','22','i:1;'),('pathauto_state.node','23','i:1;'),('pathauto_state.node','24','i:1;'),('pathauto_state.node','25','i:1;'),('pathauto_state.node','26','i:1;'),('pathauto_state.node','27','i:1;'),('pathauto_state.node','28','i:1;'),('pathauto_state.node','29','i:1;'),('pathauto_state.node','3','i:0;'),('pathauto_state.node','30','i:0;'),('pathauto_state.node','31','i:1;'),('pathauto_state.node','32','i:1;'),('pathauto_state.node','33','i:1;'),('pathauto_state.node','34','i:1;'),('pathauto_state.node','35','i:1;'),('pathauto_state.node','36','i:1;'),('pathauto_state.node','37','i:1;'),('pathauto_state.node','38','i:1;'),('pathauto_state.node','39','i:1;'),('pathauto_state.node','4','i:0;'),('pathauto_state.node','40','i:1;'),('pathauto_state.node','41','i:1;'),('pathauto_state.node','42','i:1;'),('pathauto_state.node','43','i:1;'),('pathauto_state.node','44','i:1;'),('pathauto_state.node','45','i:1;'),('pathauto_state.node','5','i:1;'),('pathauto_state.node','7','i:1;'),('pathauto_state.node','9','i:1;'),('pathauto_state.taxonomy_term','1','i:1;'),('pathauto_state.taxonomy_term','2','i:1;'),('pathauto_state.taxonomy_term','3','i:1;'),('pathauto_state.taxonomy_term','4','i:1;'),('pathauto_state.taxonomy_term','5','i:1;'),('pathauto_state.taxonomy_term','6','i:1;'),('pathauto_state.user','0','i:0;'),('pathauto_state.user','1','i:0;'),('pathauto_state.user','15','i:0;'),('pathauto_state.user','21','i:0;'),('pathauto_state.user','22','i:0;'),('pathauto_state.user','46','i:0;'),('post_update','existing_updates','a:72:{i:0;s:64:\"system_post_update_recalculate_configuration_entity_dependencies\";i:1;s:43:\"field_post_update_email_widget_size_setting\";i:2;s:50:\"field_post_update_entity_reference_handler_setting\";i:3;s:46:\"field_post_update_save_custom_storage_property\";i:4;s:54:\"block_post_update_disable_blocks_with_missing_contexts\";i:5;s:42:\"image_post_update_image_style_dependencies\";i:6;s:46:\"views_post_update_cleanup_duplicate_views_data\";i:7;s:46:\"views_post_update_field_formatter_dependencies\";i:8;s:36:\"views_post_update_taxonomy_index_tid\";i:9;s:46:\"views_post_update_update_cacheability_metadata\";i:10;s:45:\"colorbox_post_update_image_style_dependencies\";i:11;s:50:\"responsive_image_post_update_recreate_dependencies\";i:12;s:42:\"block_post_update_fix_negate_in_conditions\";i:13;s:62:\"contact_post_update_add_message_redirect_field_to_contact_form\";i:14;s:56:\"editor_post_update_clear_cache_for_file_reference_filter\";i:15;s:39:\"views_post_update_boolean_filter_values\";i:16;s:41:\"views_post_update_serializer_dependencies\";i:17;s:40:\"block_post_update_disabled_region_update\";i:18;s:48:\"system_post_update_add_region_to_entity_displays\";i:19;s:37:\"system_post_update_hashes_clear_cache\";i:20;s:36:\"system_post_update_timestamp_plugins\";i:21;s:45:\"user_post_update_enforce_order_of_permissions\";i:22;s:33:\"views_post_update_grouped_filters\";i:23;s:45:\"comment_post_update_enable_comment_admin_view\";i:24;s:49:\"dblog_post_update_convert_recent_messages_to_view\";i:25;s:47:\"field_post_update_remove_handler_submit_setting\";i:26;s:43:\"language_post_update_language_select_widget\";i:27;s:46:\"node_post_update_configure_status_field_widget\";i:28;s:41:\"system_post_update_classy_message_library\";i:29;s:37:\"system_post_update_field_type_plugins\";i:30;s:42:\"views_post_update_revision_metadata_fields\";i:31;s:51:\"block_content_post_update_add_views_reusable_filter\";i:32;s:48:\"contextual_post_update_fixed_endpoint_and_markup\";i:33;s:50:\"image_post_update_scale_and_crop_effect_add_anchor\";i:34;s:51:\"locale_post_update_clear_cache_for_old_translations\";i:35;s:40:\"system_post_update_change_action_plugins\";i:36;s:47:\"system_post_update_change_delete_action_plugins\";i:37;s:31:\"system_post_update_extra_fields\";i:38;s:48:\"system_post_update_field_formatter_entity_schema\";i:39;s:41:\"system_post_update_language_item_callback\";i:40;s:64:\"taxonomy_post_update_clear_entity_bundle_field_definitions_cache\";i:41;s:43:\"taxonomy_post_update_clear_views_data_cache\";i:42;s:63:\"taxonomy_post_update_handle_publishing_status_addition_in_views\";i:43;s:34:\"views_post_update_bulk_field_moved\";i:44;s:33:\"views_post_update_entity_link_url\";i:45;s:41:\"views_post_update_filter_placeholder_text\";i:46;s:45:\"views_post_update_table_display_cache_max_age\";i:47;s:47:\"views_post_update_views_data_table_dependencies\";i:48;s:42:\"comment_post_update_add_ip_address_setting\";i:49;s:65:\"menu_link_content_post_update_make_menu_link_content_revisionable\";i:50;s:41:\"node_post_update_node_revision_views_data\";i:51;s:64:\"system_post_update_add_expand_all_items_key_in_system_menu_block\";i:52;s:35:\"system_post_update_clear_menu_cache\";i:53;s:36:\"system_post_update_fix_jquery_extend\";i:54;s:37:\"system_post_update_states_clear_cache\";i:55;s:52:\"taxonomy_post_update_make_taxonomy_term_revisionable\";i:56;s:55:\"taxonomy_post_update_remove_hierarchy_from_vocabularies\";i:57;s:53:\"views_post_update_exposed_filter_blocks_label_display\";i:58;s:48:\"views_post_update_make_placeholders_translatable\";i:59;s:49:\"path_post_update_create_language_content_settings\";i:60;s:29:\"search_post_update_block_page\";i:61;s:60:\"system_post_update_entity_reference_autocomplete_match_limit\";i:62;s:44:\"system_post_update_extra_fields_form_display\";i:63;s:46:\"system_post_update_layout_plugin_schema_change\";i:64;s:50:\"taxonomy_post_update_configure_status_field_widget\";i:65;s:42:\"text_post_update_add_required_summary_flag\";i:66;s:55:\"text_post_update_add_required_summary_flag_form_display\";i:67;s:41:\"views_post_update_limit_operator_defaults\";i:68;s:33:\"views_post_update_remove_core_key\";i:69;s:51:\"views_post_update_field_names_for_multivalue_fields\";i:70;s:55:\"search_post_update_reindex_after_diacritics_rule_change\";i:71;s:40:\"node_post_update_glossary_view_published\";}'),('state','comment.maintain_entity_statistics','b:1;'),('state','comment.node_comment_statistics_scale','d:0.2;'),('state','field.field.deleted','a:0:{}'),('state','field.storage.deleted','a:0:{}'),('state','install_task','s:4:\"done\";'),('state','install_time','i:1468829253;'),('state','locale.translation.formulae','a:1:{s:2:\"ar\";a:2:{s:7:\"plurals\";s:1:\"6\";s:7:\"formula\";a:23:{i:0;i:1;i:1;i:0;i:2;i:2;i:3;i:3;i:4;i:3;i:5;i:3;i:6;i:3;i:7;i:3;i:8;i:3;i:9;i:3;i:10;i:3;i:100;i:5;i:101;i:5;i:102;i:5;i:103;i:3;i:104;i:3;i:105;i:3;i:106;i:3;i:107;i:3;i:108;i:3;i:109;i:3;i:110;i:3;s:7:\"default\";i:4;}}}'),('state','locale.translation.javascript','a:1:{s:2:\"ar\";s:43:\"ZpJeys2h2O--_ZfajfxHpuZxlhN5CgjTxiHhWS0yUko\";}'),('state','locale.translation_last_checked','i:1500611478;'),('state','node.min_max_update_time','a:2:{s:11:\"min_created\";s:10:\"1449807607\";s:11:\"max_created\";s:10:\"1473752412\";}'),('state','router.path_roots','a:39:{i:0;s:5:\"admin\";i:1;s:8:\"run-cron\";i:2;s:14:\"block-category\";i:3;s:5:\"block\";i:4;s:7:\"comment\";i:5;s:8:\"comments\";i:6;s:7:\"contact\";i:7;s:4:\"user\";i:8;s:10:\"contextual\";i:9;s:6:\"editor\";i:10;s:4:\"file\";i:11;s:6:\"filter\";i:12;s:7:\"history\";i:13;s:5:\"sites\";i:14;s:6:\"system\";i:15;s:9:\"quickedit\";i:16;s:4:\"node\";i:17;s:6:\"search\";i:18;s:10:\"newsletter\";i:19;s:4:\"cron\";i:20;s:12:\"machine_name\";i:21;s:0:\"\";i:22;s:9:\"<current>\";i:23;s:5:\"batch\";i:24;s:10:\"update.php\";i:25;s:29:\"entity_reference_autocomplete\";i:26;s:7:\"session\";i:27;s:8:\"taxonomy\";i:28;s:5:\"token\";i:29;s:7:\"toolbar\";i:30;s:11:\".well-known\";i:31;s:12:\"we-mega-menu\";i:32;s:4:\"blog\";i:33;s:12:\"blog_default\";i:34;s:7:\"rss.xml\";i:35;s:9:\"portfolio\";i:36;s:15:\"portfolio_4_col\";i:37;s:17:\"portfolio_masonry\";i:38;s:5:\"views\";}'),('state','routing.menu_masks.router','a:56:{i:0;i:2037;i:1;i:2005;i:2;i:1973;i:3;i:1013;i:4;i:981;i:5;i:509;i:6;i:501;i:7;i:493;i:8;i:464;i:9;i:255;i:10;i:254;i:11;i:253;i:12;i:252;i:13;i:251;i:14;i:250;i:15;i:247;i:16;i:246;i:17;i:245;i:18;i:232;i:19;i:224;i:20;i:193;i:21;i:127;i:22;i:126;i:23;i:125;i:24;i:123;i:25;i:122;i:26;i:116;i:27;i:113;i:28;i:96;i:29;i:63;i:30;i:62;i:31;i:61;i:32;i:60;i:33;i:56;i:34;i:49;i:35;i:42;i:36;i:32;i:37;i:31;i:38;i:30;i:39;i:29;i:40;i:28;i:41;i:27;i:42;i:24;i:43;i:21;i:44;i:15;i:45;i:14;i:46;i:13;i:47;i:12;i:48;i:11;i:49;i:8;i:50;i:7;i:51;i:6;i:52;i:5;i:53;i:3;i:54;i:2;i:55;i:1;}'),('state','routing.non_admin_routes','a:135:{i:0;s:22:\"admin_toolbar.run.cron\";i:1;s:27:\"block.category_autocomplete\";i:2;s:22:\"block_content.add_page\";i:3;s:22:\"block_content.add_form\";i:4;s:30:\"entity.block_content.canonical\";i:5;s:30:\"entity.block_content.edit_form\";i:6;s:32:\"entity.block_content.delete_form\";i:7;s:24:\"entity.comment.edit_form\";i:8;s:15:\"comment.approve\";i:9;s:24:\"entity.comment.canonical\";i:10;s:26:\"entity.comment.delete_form\";i:11;s:13:\"comment.reply\";i:12;s:31:\"comment.new_comments_node_links\";i:13;s:21:\"comment.node_redirect\";i:14;s:17:\"contact.site_page\";i:15;s:29:\"entity.contact_form.canonical\";i:16;s:24:\"entity.user.contact_form\";i:17;s:17:\"contextual.render\";i:18;s:17:\"editor.filter_xss\";i:19;s:31:\"editor.field_untransformed_text\";i:20;s:19:\"editor.image_dialog\";i:21;s:18:\"editor.link_dialog\";i:22;s:18:\"file.ajax_progress\";i:23;s:15:\"filter.tips_all\";i:24;s:11:\"filter.tips\";i:25;s:26:\"history.get_last_node_view\";i:26;s:17:\"history.read_node\";i:27;s:18:\"image.style_public\";i:28;s:19:\"image.style_private\";i:29;s:12:\"image.upload\";i:30;s:10:\"image.info\";i:31;s:13:\"node.add_page\";i:32;s:8:\"node.add\";i:33;s:19:\"entity.node.preview\";i:34;s:27:\"entity.node.version_history\";i:35;s:20:\"entity.node.revision\";i:36;s:28:\"node.revision_revert_confirm\";i:37;s:40:\"node.revision_revert_translation_confirm\";i:38;s:28:\"node.revision_delete_confirm\";i:39;s:18:\"quickedit.metadata\";i:40;s:21:\"quickedit.attachments\";i:41;s:20:\"quickedit.field_form\";i:42;s:21:\"quickedit.entity_save\";i:43;s:11:\"search.view\";i:44;s:23:\"search.view_node_search\";i:45;s:23:\"search.help_node_search\";i:46;s:23:\"search.view_user_search\";i:47;s:23:\"search.help_user_search\";i:48;s:19:\"shortcut.set_switch\";i:49;s:35:\"simplenews.newsletter_subscriptions\";i:50;s:45:\"simplenews.newsletter_subscriptions_arguments\";i:51;s:40:\"simplenews.newsletter_subscriptions_user\";i:52;s:38:\"simplenews.newsletter_confirm_combined\";i:53;s:42:\"simplenews.newsletter_confirm_subscription\";i:54;s:48:\"simplenews.newsletter_confirm_combined_immediate\";i:55;s:52:\"simplenews.newsletter_confirm_subscription_immediate\";i:56;s:19:\"simplenews.node_tab\";i:57;s:10:\"system.401\";i:58;s:10:\"system.403\";i:59;s:10:\"system.404\";i:60;s:10:\"system.4xx\";i:61;s:11:\"system.cron\";i:62;s:33:\"system.machine_name_transliterate\";i:63;s:12:\"system.files\";i:64;s:28:\"system.private_file_download\";i:65;s:16:\"system.temporary\";i:66;s:7:\"<front>\";i:67;s:6:\"<none>\";i:68;s:8:\"<nolink>\";i:69;s:8:\"<button>\";i:70;s:9:\"<current>\";i:71;s:15:\"system.timezone\";i:72;s:22:\"system.batch_page.html\";i:73;s:16:\"system.db_update\";i:74;s:26:\"system.entity_autocomplete\";i:75;s:16:\"system.csrftoken\";i:76;s:30:\"entity.taxonomy_term.edit_form\";i:77;s:32:\"entity.taxonomy_term.delete_form\";i:78;s:10:\"token.tree\";i:79;s:18:\"token.autocomplete\";i:80;s:16:\"toolbar.subtrees\";i:81;s:13:\"user.register\";i:82;s:11:\"user.logout\";i:83;s:9:\"user.pass\";i:84;s:9:\"user.page\";i:85;s:10:\"user.login\";i:86;s:19:\"user.cancel_confirm\";i:87;s:16:\"user.reset.login\";i:88;s:10:\"user.reset\";i:89;s:15:\"user.reset.form\";i:90;s:31:\"user.well-known.change_password\";i:91;s:23:\"we_megamenu.renderblock\";i:92;s:20:\"we_megamenu.geticons\";i:93;s:21:\"view.blog_page.page_1\";i:94;s:21:\"view.blog_page.page_2\";i:95;s:21:\"view.frontpage.feed_1\";i:96;s:21:\"view.frontpage.page_1\";i:97;s:21:\"view.portfolio.page_1\";i:98;s:21:\"view.portfolio.page_2\";i:99;s:21:\"view.portfolio.page_3\";i:100;s:25:\"view.taxonomy_term.feed_1\";i:101;s:25:\"view.taxonomy_term.page_1\";i:102;s:10:\"views.ajax\";i:103;s:21:\"entity.node.canonical\";i:104;s:23:\"entity.node.delete_form\";i:105;s:21:\"entity.node.edit_form\";i:106;s:21:\"entity.user.canonical\";i:107;s:21:\"entity.user.edit_form\";i:108;s:23:\"entity.user.cancel_form\";i:109;s:14:\"path.admin_add\";i:110;s:15:\"path.admin_edit\";i:111;s:11:\"path.delete\";i:112;s:19:\"path.admin_overview\";i:113;s:26:\"path.admin_overview_filter\";i:114;s:30:\"entity.taxonomy_term.canonical\";i:115;s:49:\"entity.block_content.content_translation_overview\";i:116;s:44:\"entity.block_content.content_translation_add\";i:117;s:45:\"entity.block_content.content_translation_edit\";i:118;s:47:\"entity.block_content.content_translation_delete\";i:119;s:43:\"entity.comment.content_translation_overview\";i:120;s:38:\"entity.comment.content_translation_add\";i:121;s:39:\"entity.comment.content_translation_edit\";i:122;s:41:\"entity.comment.content_translation_delete\";i:123;s:40:\"entity.node.content_translation_overview\";i:124;s:35:\"entity.node.content_translation_add\";i:125;s:36:\"entity.node.content_translation_edit\";i:126;s:38:\"entity.node.content_translation_delete\";i:127;s:49:\"entity.taxonomy_term.content_translation_overview\";i:128;s:44:\"entity.taxonomy_term.content_translation_add\";i:129;s:45:\"entity.taxonomy_term.content_translation_edit\";i:130;s:47:\"entity.taxonomy_term.content_translation_delete\";i:131;s:40:\"entity.user.content_translation_overview\";i:132;s:35:\"entity.user.content_translation_add\";i:133;s:36:\"entity.user.content_translation_edit\";i:134;s:38:\"entity.user.content_translation_delete\";}'),('state','system.cron_key','s:74:\"ygGIEY_ESuKy-HHKzTbHt3IxL2R9cW7iYyVxpliyb-jlqA_aBpRv1bm0aatoOus2THkTTi9QRg\";'),('state','system.cron_last','i:1637057200;'),('state','system.css_js_query_string','s:6:\"r21ec5\";'),('state','system.javascript_parsed','a:133:{i:0;s:45:\"core/assets/vendor/html5shiv/html5shiv.min.js\";i:1;s:39:\"core/assets/vendor/jquery/jquery.min.js\";i:2;s:33:\"core/misc/drupalSettingsLoader.js\";i:3;s:19:\"core/misc/drupal.js\";i:4;s:24:\"core/misc/drupal.init.js\";i:5;s:21:\"core/misc/progress.js\";i:6;s:49:\"core/assets/vendor/jquery-once/jquery.once.min.js\";i:7;s:57:\"core/modules/responsive_image/js/responsive_image.ajax.js\";i:8;s:17:\"core/misc/ajax.js\";i:9;s:29:\"core/themes/stable/js/ajax.js\";i:10;s:47:\"core/assets/vendor/underscore/underscore-min.js\";i:11;s:43:\"core/assets/vendor/backbone/backbone-min.js\";i:12;s:45:\"core/assets/vendor/modernizr/modernizr.min.js\";i:13;s:40:\"core/modules/contextual/js/contextual.js\";i:14;s:47:\"core/modules/contextual/js/models/StateModel.js\";i:15;s:45:\"core/modules/contextual/js/views/AuralView.js\";i:16;s:48:\"core/modules/contextual/js/views/KeyboardView.js\";i:17;s:46:\"core/modules/contextual/js/views/RegionView.js\";i:18;s:46:\"core/modules/contextual/js/views/VisualView.js\";i:19;s:49:\"core/assets/vendor/jquery-form/jquery.form.min.js\";i:20;s:21:\"core/misc/debounce.js\";i:21;s:21:\"core/misc/displace.js\";i:22;s:17:\"core/misc/form.js\";i:23;s:43:\"core/assets/vendor/jquery.ui/ui/data-min.js\";i:24;s:56:\"core/assets/vendor/jquery.ui/ui/disable-selection-min.js\";i:25;s:43:\"core/assets/vendor/jquery.ui/ui/form-min.js\";i:26;s:45:\"core/assets/vendor/jquery.ui/ui/labels-min.js\";i:27;s:49:\"core/assets/vendor/jquery.ui/ui/jquery-1-7-min.js\";i:28;s:52:\"core/assets/vendor/jquery.ui/ui/scroll-parent-min.js\";i:29;s:47:\"core/assets/vendor/jquery.ui/ui/tabbable-min.js\";i:30;s:48:\"core/assets/vendor/jquery.ui/ui/unique-id-min.js\";i:31;s:46:\"core/assets/vendor/jquery.ui/ui/version-min.js\";i:32;s:54:\"core/assets/vendor/jquery.ui/ui/escape-selector-min.js\";i:33;s:48:\"core/assets/vendor/jquery.ui/ui/focusable-min.js\";i:34;s:41:\"core/assets/vendor/jquery.ui/ui/ie-min.js\";i:35;s:46:\"core/assets/vendor/jquery.ui/ui/keycode-min.js\";i:36;s:45:\"core/assets/vendor/jquery.ui/ui/plugin-min.js\";i:37;s:58:\"core/assets/vendor/jquery.ui/ui/safe-active-element-min.js\";i:38;s:48:\"core/assets/vendor/jquery.ui/ui/safe-blur-min.js\";i:39;s:45:\"core/assets/vendor/jquery.ui/ui/widget-min.js\";i:40;s:55:\"core/assets/vendor/jquery.ui/ui/form-reset-mixin-min.js\";i:41;s:60:\"core/assets/vendor/jquery.ui/ui/widgets/checkboxradio-min.js\";i:42;s:59:\"core/assets/vendor/jquery.ui/ui/widgets/controlgroup-min.js\";i:43;s:53:\"core/assets/vendor/jquery.ui/ui/widgets/button-min.js\";i:44;s:52:\"core/assets/vendor/jquery.ui/ui/widgets/mouse-min.js\";i:45;s:56:\"core/assets/vendor/jquery.ui/ui/widgets/draggable-min.js\";i:46;s:47:\"core/assets/vendor/jquery.ui/ui/position-min.js\";i:47;s:56:\"core/assets/vendor/jquery.ui/ui/widgets/resizable-min.js\";i:48;s:53:\"core/assets/vendor/jquery.ui/ui/widgets/dialog-min.js\";i:49;s:26:\"core/misc/dialog/dialog.js\";i:50;s:35:\"core/misc/dialog/dialog.position.js\";i:51;s:36:\"core/misc/dialog/dialog.jquery-ui.js\";i:52;s:41:\"core/assets/vendor/popperjs/popper.min.js\";i:53;s:38:\"core/modules/quickedit/js/quickedit.js\";i:54;s:33:\"core/modules/quickedit/js/util.js\";i:55;s:45:\"core/modules/quickedit/js/models/BaseModel.js\";i:56;s:44:\"core/modules/quickedit/js/models/AppModel.js\";i:57;s:47:\"core/modules/quickedit/js/models/EntityModel.js\";i:58;s:46:\"core/modules/quickedit/js/models/FieldModel.js\";i:59;s:47:\"core/modules/quickedit/js/models/EditorModel.js\";i:60;s:42:\"core/modules/quickedit/js/views/AppView.js\";i:61;s:54:\"core/modules/quickedit/js/views/FieldDecorationView.js\";i:62;s:55:\"core/modules/quickedit/js/views/EntityDecorationView.js\";i:63;s:52:\"core/modules/quickedit/js/views/EntityToolbarView.js\";i:64;s:53:\"core/modules/quickedit/js/views/ContextualLinkView.js\";i:65;s:51:\"core/modules/quickedit/js/views/FieldToolbarView.js\";i:66;s:45:\"core/modules/quickedit/js/views/EditorView.js\";i:67;s:34:\"core/modules/quickedit/js/theme.js\";i:68;s:47:\"core/assets/vendor/matchMedia/matchMedia.min.js\";i:69;s:42:\"themes/luxestate/assets/js/jquery.fixes.js\";i:70;s:55:\"themes/luxestate/assets/includes/jssor/js/jssor.core.js\";i:71;s:56:\"themes/luxestate/assets/includes/jssor/js/jssor.utils.js\";i:72;s:57:\"themes/luxestate/assets/includes/jssor/js/jssor.slider.js\";i:73;s:62:\"themes/luxestate/assets/includes/bootstrap/js/bootstrap.min.js\";i:74;s:61:\"themes/luxestate/assets/includes/owl-carousel/owl.carousel.js\";i:75;s:64:\"themes/luxestate/assets/includes/flexslider/jquery.flexslider.js\";i:76;s:55:\"themes/luxestate/assets/includes/jquery.colorbox-min.js\";i:77;s:57:\"themes/luxestate/assets/includes/respond/html5shiv.min.js\";i:78;s:55:\"themes/luxestate/assets/includes/respond/respond.min.js\";i:79;s:50:\"themes/luxestate/assets/js/jquery.smooth-scroll.js\";i:80;s:48:\"themes/luxestate/assets/js/jquery.matchHeight.js\";i:81;s:39:\"themes/luxestate/assets/js/slideshow.js\";i:82;s:39:\"themes/luxestate/assets/js/luxestate.js\";i:83;s:40:\"themes/luxestate/assets/js/flexslider.js\";i:84;s:40:\"themes/luxestate/assets/js/fix_script.js\";i:85;s:57:\"themes/luxestate/assets/includes/skins-menu/skins_menu.js\";i:86;s:53:\"themes/luxestate/assets/includes/slick/slick/slick.js\";i:87;s:45:\"core/assets/vendor/classList/classList.min.js\";i:88;s:24:\"core/misc/active-link.js\";i:89;s:41:\"libraries/colorbox/jquery.colorbox-min.js\";i:90;s:31:\"modules/colorbox/js/colorbox.js\";i:91;s:49:\"modules/colorbox/styles/default/colorbox_style.js\";i:92;s:47:\"modules/we_megamenu/assets/js/we_mobile_menu.js\";i:93;s:53:\"modules/we_megamenu/assets/js/we_megamenu_frontend.js\";i:94;s:43:\"themes/luxestate/assets/js/jquery.cookie.js\";i:95;s:21:\"core/misc/announce.js\";i:96;s:59:\"core/assets/vendor/matchMedia/matchMedia.addListener.min.js\";i:97;s:39:\"core/modules/toolbar/js/toolbar.menu.js\";i:98;s:34:\"core/modules/toolbar/js/toolbar.js\";i:99;s:43:\"core/modules/toolbar/js/models/MenuModel.js\";i:100;s:46:\"core/modules/toolbar/js/models/ToolbarModel.js\";i:101;s:47:\"core/modules/toolbar/js/views/BodyVisualView.js\";i:102;s:47:\"core/modules/toolbar/js/views/MenuVisualView.js\";i:103;s:49:\"core/modules/toolbar/js/views/ToolbarAuralView.js\";i:104;s:50:\"core/modules/toolbar/js/views/ToolbarVisualView.js\";i:105;s:51:\"core/assets/vendor/jquery.ui/ui/widgets/menu-min.js\";i:106;s:59:\"core/assets/vendor/jquery.ui/ui/widgets/autocomplete-min.js\";i:107;s:69:\"modules/admin_toolbar/admin_toolbar_search/js/admin_toolbar_search.js\";i:108;s:55:\"core/assets/vendor/jquery-joyride/jquery.joyride-2.1.js\";i:109;s:28:\"core/modules/tour/js/tour.js\";i:110;s:27:\"core/misc/tabbingmanager.js\";i:111;s:48:\"core/modules/contextual/js/contextual.toolbar.js\";i:112;s:55:\"core/modules/contextual/js/toolbar/models/StateModel.js\";i:113;s:53:\"core/modules/contextual/js/toolbar/views/AuralView.js\";i:114;s:54:\"core/modules/contextual/js/toolbar/views/VisualView.js\";i:115;s:46:\"modules/admin_toolbar/js/jquery.hoverIntent.js\";i:116;s:41:\"modules/admin_toolbar/js/admin_toolbar.js\";i:117;s:38:\"core/modules/toolbar/js/escapeAdmin.js\";s:10:\"refresh:ar\";s:7:\"waiting\";i:118;s:54:\"core/modules/ckeditor/js/plugins/drupalimage/plugin.js\";i:119;s:61:\"core/modules/ckeditor/js/plugins/drupalimagecaption/plugin.js\";i:120;s:53:\"core/modules/ckeditor/js/plugins/drupallink/plugin.js\";i:121;s:28:\"core/misc/tableresponsive.js\";i:122;s:40:\"core/modules/system/js/system.modules.js\";i:123;s:25:\"core/misc/details-aria.js\";i:124;s:21:\"core/misc/collapse.js\";i:125;s:32:\"core/themes/seven/js/nav-tabs.js\";i:126;s:21:\"core/misc/checkbox.js\";i:127;s:24:\"core/misc/tableselect.js\";i:128;s:26:\"core/misc/vertical-tabs.js\";i:129;s:31:\"core/misc/dialog/dialog.ajax.js\";i:130;s:25:\"modules/token/js/token.js\";i:131;s:19:\"core/misc/states.js\";}'),('state','system.maintenance_mode','i:0;'),('state','system.private_key','s:74:\"uwqQw1yRwav-62jEi1qhJckth_cL82lRiXVH8_DqePa00ZDs7ujJqMCZowuvjQFJtH-drhKTXQ\";'),('state','system.profile.files','a:14:{s:10:\"demo_umami\";s:44:\"core/profiles/demo_umami/demo_umami.info.yml\";s:7:\"minimal\";s:38:\"core/profiles/minimal/minimal.info.yml\";s:8:\"standard\";s:40:\"core/profiles/standard/standard.info.yml\";s:7:\"testing\";s:38:\"core/profiles/testing/testing.info.yml\";s:21:\"testing_config_import\";s:66:\"core/profiles/testing_config_import/testing_config_import.info.yml\";s:24:\"testing_config_overrides\";s:72:\"core/profiles/testing_config_overrides/testing_config_overrides.info.yml\";s:40:\"testing_install_profile_all_dependencies\";s:104:\"core/profiles/testing_install_profile_all_dependencies/testing_install_profile_all_dependencies.info.yml\";s:36:\"testing_install_profile_dependencies\";s:96:\"core/profiles/testing_install_profile_dependencies/testing_install_profile_dependencies.info.yml\";s:39:\"testing_install_profile_dependencies_bc\";s:102:\"core/profiles/testing_install_profile_dependencies_bc/testing_install_profile_dependencies_bc.info.yml\";s:28:\"testing_missing_dependencies\";s:80:\"core/profiles/testing_missing_dependencies/testing_missing_dependencies.info.yml\";s:20:\"testing_multilingual\";s:64:\"core/profiles/testing_multilingual/testing_multilingual.info.yml\";s:33:\"testing_multilingual_with_english\";s:90:\"core/profiles/testing_multilingual_with_english/testing_multilingual_with_english.info.yml\";s:20:\"testing_requirements\";s:64:\"core/profiles/testing_requirements/testing_requirements.info.yml\";s:19:\"testing_site_config\";s:62:\"core/profiles/testing_site_config/testing_site_config.info.yml\";}'),('state','system.theme.files','a:7:{s:6:\"bartik\";s:34:\"core/themes/bartik/bartik.info.yml\";s:5:\"claro\";s:32:\"core/themes/claro/claro.info.yml\";s:6:\"classy\";s:34:\"core/themes/classy/classy.info.yml\";s:9:\"luxestate\";s:35:\"themes/luxestate/luxestate.info.yml\";s:5:\"seven\";s:32:\"core/themes/seven/seven.info.yml\";s:6:\"stable\";s:34:\"core/themes/stable/stable.info.yml\";s:5:\"stark\";s:32:\"core/themes/stark/stark.info.yml\";}'),('state','system.theme_engine.files','a:1:{s:4:\"twig\";s:38:\"core/themes/engines/twig/twig.info.yml\";}'),('state','twig_extension_hash_prefix','a:2:{s:19:\"twig_extension_hash\";s:43:\"gpShZ9ulVxmydbitwj-o3u6x18HoBhDJvTBpLMgOczw\";s:17:\"twig_cache_prefix\";s:13:\"618390d7cb50f\";}'),('state','update.last_check','i:1637057209;'),('state','update.last_email_notification','i:1637057200;'),('state','views.view_route_names','a:19:{s:13:\"watchdog.page\";s:14:\"dblog.overview\";s:24:\"user_admin_people.page_1\";s:22:\"entity.user.collection\";s:20:\"taxonomy_term.page_1\";s:30:\"entity.taxonomy_term.canonical\";s:14:\"content.page_1\";s:20:\"system.admin_content\";s:23:\"comment.page_unapproved\";s:22:\"comment.admin_approval\";s:22:\"comment.page_published\";s:13:\"comment.admin\";s:20:\"block_content.page_1\";s:31:\"entity.block_content.collection\";s:16:\"blog_page.page_1\";s:21:\"view.blog_page.page_1\";s:16:\"blog_page.page_2\";s:21:\"view.blog_page.page_2\";s:12:\"files.page_1\";s:17:\"view.files.page_1\";s:12:\"files.page_2\";s:17:\"view.files.page_2\";s:16:\"frontpage.feed_1\";s:21:\"view.frontpage.feed_1\";s:16:\"frontpage.page_1\";s:21:\"view.frontpage.page_1\";s:16:\"portfolio.page_1\";s:21:\"view.portfolio.page_1\";s:16:\"portfolio.page_2\";s:21:\"view.portfolio.page_2\";s:16:\"portfolio.page_3\";s:21:\"view.portfolio.page_3\";s:29:\"simplenews_newsletters.page_1\";s:34:\"view.simplenews_newsletters.page_1\";s:29:\"simplenews_subscribers.page_1\";s:34:\"view.simplenews_subscribers.page_1\";s:20:\"taxonomy_term.feed_1\";s:25:\"view.taxonomy_term.feed_1\";}'),('state','we_megamenu_backend_style','s:0:\"\";'),('system.schema','admin_toolbar','i:8001;'),('system.schema','admin_toolbar_search','i:8000;'),('system.schema','admin_toolbar_tools','i:8001;'),('system.schema','automated_cron','i:8000;'),('system.schema','block','s:4:\"8003\";'),('system.schema','block_class','i:8000;'),('system.schema','block_content','i:8600;'),('system.schema','breakpoint','i:8000;'),('system.schema','ckeditor','i:8000;'),('system.schema','color','i:8000;'),('system.schema','colorbox','i:8000;'),('system.schema','comment','i:8701;'),('system.schema','config','i:8000;'),('system.schema','config_translation','i:8000;'),('system.schema','contact','i:8000;'),('system.schema','content_translation','i:8400;'),('system.schema','contextual','i:8000;'),('system.schema','ctools','i:8000;'),('system.schema','datetime','i:8000;'),('system.schema','dblog','i:8600;'),('system.schema','dynamic_page_cache','i:8000;'),('system.schema','editor','s:4:\"8001\";'),('system.schema','field','i:8500;'),('system.schema','field_ui','i:8000;'),('system.schema','file','i:8700;'),('system.schema','filter','i:8000;'),('system.schema','help','i:8000;'),('system.schema','history','s:4:\"8101\";'),('system.schema','image','i:8201;'),('system.schema','language','s:4:\"8001\";'),('system.schema','libraries','i:8000;'),('system.schema','link','i:8000;'),('system.schema','locale','i:8800;'),('system.schema','menu_link_attributes','i:8001;'),('system.schema','menu_link_content','i:8601;'),('system.schema','menu_ui','i:8000;'),('system.schema','node','i:8700;'),('system.schema','node_class','i:8000;'),('system.schema','options','i:8000;'),('system.schema','page_cache','i:8000;'),('system.schema','path','i:8200;'),('system.schema','pathauto','i:8107;'),('system.schema','path_alias','i:8000;'),('system.schema','quickedit','i:8000;'),('system.schema','rdf','i:8000;'),('system.schema','responsive_image','i:8000;'),('system.schema','search','i:8000;'),('system.schema','sharethis','i:8000;'),('system.schema','shortcut','i:8000;'),('system.schema','simplenews','i:8000;'),('system.schema','standard','i:8000;'),('system.schema','system','i:8901;'),('system.schema','taxonomy','i:8702;'),('system.schema','text','i:8000;'),('system.schema','token','i:8000;'),('system.schema','toolbar','i:8000;'),('system.schema','tour','i:8000;'),('system.schema','update','s:4:\"8001\";'),('system.schema','user','s:4:\"8100\";'),('system.schema','video_embed_field','i:8000;'),('system.schema','views','i:8500;'),('system.schema','views_ui','i:8000;'),('system.schema','we_megamenu','i:8101;');
/*!40000 ALTER TABLE `key_value` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `key_value_expire`
--

DROP TABLE IF EXISTS `key_value_expire`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `key_value_expire` (
  `collection` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'A named collection of key and value pairs.',
  `name` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The key of the key/value pair.',
  `value` longblob NOT NULL COMMENT 'The value of the key/value pair.',
  `expire` int(11) NOT NULL DEFAULT 2147483647 COMMENT 'The time since Unix epoch in seconds when this item expires. Defaults to the maximum possible time.',
  PRIMARY KEY (`collection`,`name`),
  KEY `all` (`name`,`collection`,`expire`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Generic key/value storage table with an expiration.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `key_value_expire`
--

LOCK TABLES `key_value_expire` WRITE;
/*!40000 ALTER TABLE `key_value_expire` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `key_value_expire` VALUES ('update','fetch_failures','N;',1637057509),('update','update_project_data','a:14:{s:6:\"drupal\";a:16:{s:4:\"name\";s:6:\"drupal\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Automated Cron\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:7:\"project\";s:6:\"drupal\";s:16:\"_info_file_ctime\";i:1636008949;s:9:\"datestamp\";i:0;}s:9:\"datestamp\";i:0;s:8:\"includes\";a:47:{s:14:\"automated_cron\";s:14:\"Automated Cron\";s:5:\"block\";s:5:\"Block\";s:13:\"block_content\";s:12:\"Custom Block\";s:10:\"breakpoint\";s:10:\"Breakpoint\";s:8:\"ckeditor\";s:8:\"CKEditor\";s:5:\"color\";s:5:\"Color\";s:7:\"comment\";s:7:\"Comment\";s:6:\"config\";s:21:\"Configuration Manager\";s:18:\"config_translation\";s:25:\"Configuration Translation\";s:7:\"contact\";s:7:\"Contact\";s:19:\"content_translation\";s:19:\"Content Translation\";s:10:\"contextual\";s:16:\"Contextual Links\";s:8:\"datetime\";s:8:\"Datetime\";s:5:\"dblog\";s:16:\"Database Logging\";s:18:\"dynamic_page_cache\";s:27:\"Internal Dynamic Page Cache\";s:6:\"editor\";s:11:\"Text Editor\";s:5:\"field\";s:5:\"Field\";s:8:\"field_ui\";s:8:\"Field UI\";s:4:\"file\";s:4:\"File\";s:6:\"filter\";s:6:\"Filter\";s:4:\"help\";s:4:\"Help\";s:7:\"history\";s:7:\"History\";s:5:\"image\";s:5:\"Image\";s:8:\"language\";s:8:\"Language\";s:4:\"link\";s:4:\"Link\";s:6:\"locale\";s:21:\"Interface Translation\";s:17:\"menu_link_content\";s:17:\"Custom Menu Links\";s:7:\"menu_ui\";s:7:\"Menu UI\";s:4:\"node\";s:4:\"Node\";s:7:\"options\";s:7:\"Options\";s:10:\"page_cache\";s:19:\"Internal Page Cache\";s:4:\"path\";s:4:\"Path\";s:10:\"path_alias\";s:10:\"Path alias\";s:9:\"quickedit\";s:10:\"Quick Edit\";s:3:\"rdf\";s:3:\"RDF\";s:16:\"responsive_image\";s:16:\"Responsive Image\";s:6:\"search\";s:6:\"Search\";s:8:\"shortcut\";s:8:\"Shortcut\";s:6:\"system\";s:6:\"System\";s:8:\"taxonomy\";s:8:\"Taxonomy\";s:4:\"text\";s:4:\"Text\";s:7:\"toolbar\";s:7:\"Toolbar\";s:4:\"tour\";s:4:\"Tour\";s:6:\"update\";s:14:\"Update Manager\";s:4:\"user\";s:4:\"User\";s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";}s:12:\"project_type\";s:4:\"core\";s:14:\"project_status\";b:1;s:16:\"existing_version\";s:6:\"8.9.19\";s:14:\"existing_major\";s:1:\"8\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:11:\"Drupal core\";s:4:\"link\";s:37:\"https://www.drupal.org/project/drupal\";s:4:\"also\";a:1:{i:9;s:11:\"9.3.0-beta1\";}s:8:\"releases\";a:2:{s:11:\"9.3.0-beta1\";a:10:{s:4:\"name\";s:18:\"drupal 9.3.0-beta1\";s:7:\"version\";s:11:\"9.3.0-beta1\";s:3:\"tag\";s:11:\"9.3.0-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/9.3.0-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-9.3.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1636746050\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:6:\"8.9.19\";a:10:{s:4:\"name\";s:13:\"drupal 8.9.19\";s:7:\"version\";s:6:\"8.9.19\";s:3:\"tag\";s:6:\"8.9.19\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.9.19\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.9.19.tar.gz\";s:4:\"date\";s:10:\"1631722431\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:14:\"latest_version\";s:6:\"8.9.19\";s:11:\"recommended\";s:6:\"8.9.19\";s:6:\"status\";i:5;}s:13:\"admin_toolbar\";a:16:{s:4:\"name\";s:13:\"admin_toolbar\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Admin Toolbar\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:7:\"8.x-2.5\";s:7:\"project\";s:13:\"admin_toolbar\";s:9:\"datestamp\";i:1629883385;s:16:\"_info_file_ctime\";i:1636009305;}s:9:\"datestamp\";i:1629883385;s:8:\"includes\";a:3:{s:13:\"admin_toolbar\";s:13:\"Admin Toolbar\";s:20:\"admin_toolbar_search\";s:20:\"Admin Toolbar Search\";s:19:\"admin_toolbar_tools\";s:25:\"Admin Toolbar Extra Tools\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:16:\"existing_version\";s:7:\"8.x-2.5\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:13:\"Admin Toolbar\";s:4:\"link\";s:44:\"https://www.drupal.org/project/admin_toolbar\";s:4:\"also\";a:1:{i:3;s:5:\"3.0.3\";}s:8:\"releases\";a:2:{s:5:\"3.0.3\";a:13:{s:4:\"name\";s:19:\"admin_toolbar 3.0.3\";s:7:\"version\";s:5:\"3.0.3\";s:3:\"tag\";s:5:\"3.0.3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/admin_toolbar/releases/3.0.3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/admin_toolbar-3.0.3.tar.gz\";s:4:\"date\";s:10:\"1632322068\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:12:\"^8.8.0 || ^9\";s:15:\"core_compatible\";b:1;s:26:\"core_compatibility_message\";s:37:\"Requires Drupal core: 8.9.19 to 9.2.8\";}s:7:\"8.x-2.5\";a:13:{s:4:\"name\";s:21:\"admin_toolbar 8.x-2.5\";s:7:\"version\";s:7:\"8.x-2.5\";s:3:\"tag\";s:7:\"8.x-2.5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-2.5\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-2.5.tar.gz\";s:4:\"date\";s:10:\"1629883381\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:14:\"^8.8.0 || ^9.0\";s:15:\"core_compatible\";b:1;s:26:\"core_compatibility_message\";s:37:\"Requires Drupal core: 8.9.19 to 9.2.8\";}}s:14:\"latest_version\";s:7:\"8.x-2.5\";s:11:\"recommended\";s:7:\"8.x-2.5\";s:6:\"status\";i:5;}s:11:\"block_class\";a:15:{s:4:\"name\";s:11:\"block_class\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Block Class\";s:7:\"package\";s:14:\"User Interface\";s:7:\"version\";s:7:\"8.x-1.3\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";i:1604426180;s:16:\"_info_file_ctime\";i:1627877148;}s:9:\"datestamp\";i:1604426180;s:8:\"includes\";a:1:{s:11:\"block_class\";s:11:\"Block Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:16:\"existing_version\";s:7:\"8.x-1.3\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:11:\"Block Class\";s:4:\"link\";s:42:\"https://www.drupal.org/project/block_class\";s:14:\"latest_version\";s:7:\"8.x-1.3\";s:8:\"releases\";a:1:{s:7:\"8.x-1.3\";a:13:{s:4:\"name\";s:19:\"block_class 8.x-1.3\";s:7:\"version\";s:7:\"8.x-1.3\";s:3:\"tag\";s:7:\"8.x-1.3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/block_class/releases/8.x-1.3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/block_class-8.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1604426178\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:8:\"^8 || ^9\";s:15:\"core_compatible\";b:1;s:26:\"core_compatibility_message\";s:37:\"Requires Drupal core: 8.9.19 to 9.2.8\";}}s:11:\"recommended\";s:7:\"8.x-1.3\";s:6:\"status\";i:5;}s:8:\"colorbox\";a:15:{s:4:\"name\";s:8:\"colorbox\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Colorbox\";s:7:\"package\";s:5:\"Media\";s:7:\"version\";s:7:\"8.x-1.7\";s:7:\"project\";s:8:\"colorbox\";s:9:\"datestamp\";i:1614960643;s:16:\"_info_file_ctime\";i:1627877158;}s:9:\"datestamp\";i:1614960643;s:8:\"includes\";a:1:{s:8:\"colorbox\";s:8:\"Colorbox\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:16:\"existing_version\";s:7:\"8.x-1.7\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:8:\"Colorbox\";s:4:\"link\";s:39:\"https://www.drupal.org/project/colorbox\";s:14:\"latest_version\";s:7:\"8.x-1.7\";s:8:\"releases\";a:1:{s:7:\"8.x-1.7\";a:13:{s:4:\"name\";s:16:\"colorbox 8.x-1.7\";s:7:\"version\";s:7:\"8.x-1.7\";s:3:\"tag\";s:7:\"8.x-1.7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/colorbox/releases/8.x-1.7\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/colorbox-8.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1614960641\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";s:15:\"core_compatible\";b:1;s:26:\"core_compatibility_message\";s:37:\"Requires Drupal core: 8.9.19 to 9.2.8\";}}s:11:\"recommended\";s:7:\"8.x-1.7\";s:6:\"status\";i:5;}s:6:\"ctools\";a:15:{s:4:\"name\";s:6:\"ctools\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Chaos Tools\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:7:\"8.x-3.7\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";i:1623822132;s:16:\"_info_file_ctime\";i:1627877168;}s:9:\"datestamp\";i:1623822132;s:8:\"includes\";a:1:{s:6:\"ctools\";s:11:\"Chaos Tools\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:16:\"existing_version\";s:7:\"8.x-3.7\";s:14:\"existing_major\";s:1:\"3\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:25:\"Chaos Tool Suite (ctools)\";s:4:\"link\";s:37:\"https://www.drupal.org/project/ctools\";s:14:\"latest_version\";s:7:\"8.x-3.7\";s:8:\"releases\";a:1:{s:7:\"8.x-3.7\";a:13:{s:4:\"name\";s:14:\"ctools 8.x-3.7\";s:7:\"version\";s:7:\"8.x-3.7\";s:3:\"tag\";s:7:\"8.x-3.7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/8.x-3.7\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-8.x-3.7.tar.gz\";s:4:\"date\";s:10:\"1623822128\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";s:15:\"core_compatible\";b:1;s:26:\"core_compatibility_message\";s:37:\"Requires Drupal core: 8.9.19 to 9.2.8\";}}s:11:\"recommended\";s:7:\"8.x-3.7\";s:6:\"status\";i:5;}s:9:\"libraries\";a:15:{s:4:\"name\";s:9:\"libraries\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Libraries\";s:7:\"version\";s:13:\"8.x-3.0-beta2\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";i:1635190096;s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1636009315;}s:9:\"datestamp\";i:1635190096;s:8:\"includes\";a:1:{s:9:\"libraries\";s:9:\"Libraries\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:16:\"existing_version\";s:13:\"8.x-3.0-beta2\";s:14:\"existing_major\";s:1:\"3\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:13:\"Libraries API\";s:4:\"link\";s:40:\"https://www.drupal.org/project/libraries\";s:14:\"latest_version\";s:13:\"8.x-3.0-beta2\";s:8:\"releases\";a:1:{s:13:\"8.x-3.0-beta2\";a:13:{s:4:\"name\";s:23:\"libraries 8.x-3.0-beta2\";s:7:\"version\";s:13:\"8.x-3.0-beta2\";s:3:\"tag\";s:13:\"8.x-3.0-beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/libraries/releases/8.x-3.0-beta2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/libraries-8.x-3.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1635190094\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";s:15:\"core_compatible\";b:1;s:26:\"core_compatibility_message\";s:37:\"Requires Drupal core: 8.9.19 to 9.2.8\";}}s:11:\"recommended\";s:13:\"8.x-3.0-beta2\";s:6:\"status\";i:5;}s:20:\"menu_link_attributes\";a:15:{s:4:\"name\";s:20:\"menu_link_attributes\";s:4:\"info\";a:6:{s:4:\"name\";s:20:\"Menu Link Attributes\";s:7:\"version\";s:7:\"8.x-1.2\";s:7:\"project\";s:20:\"menu_link_attributes\";s:9:\"datestamp\";i:1614211189;s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1627877184;}s:9:\"datestamp\";i:1614211189;s:8:\"includes\";a:1:{s:20:\"menu_link_attributes\";s:20:\"Menu Link Attributes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:16:\"existing_version\";s:7:\"8.x-1.2\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:20:\"Menu Link Attributes\";s:4:\"link\";s:51:\"https://www.drupal.org/project/menu_link_attributes\";s:14:\"latest_version\";s:7:\"8.x-1.2\";s:8:\"releases\";a:1:{s:7:\"8.x-1.2\";a:13:{s:4:\"name\";s:28:\"menu_link_attributes 8.x-1.2\";s:7:\"version\";s:7:\"8.x-1.2\";s:3:\"tag\";s:7:\"8.x-1.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/menu_link_attributes/releases/8.x-1.2\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/menu_link_attributes-8.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1614211187\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:8:\"^8 || ^9\";s:15:\"core_compatible\";b:1;s:26:\"core_compatibility_message\";s:37:\"Requires Drupal core: 8.9.19 to 9.2.8\";}}s:11:\"recommended\";s:7:\"8.x-1.2\";s:6:\"status\";i:5;}s:10:\"node_class\";a:15:{s:4:\"name\";s:10:\"node_class\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Node class\";s:7:\"version\";s:13:\"8.x-1.0-beta1\";s:7:\"project\";s:10:\"node_class\";s:9:\"datestamp\";i:1466182504;s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1627876805;}s:9:\"datestamp\";i:1466182504;s:8:\"includes\";a:1:{s:10:\"node_class\";s:10:\"Node class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:16:\"existing_version\";s:13:\"8.x-1.0-beta1\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:10:\"Node Class\";s:4:\"link\";s:41:\"https://www.drupal.org/project/node_class\";s:6:\"status\";i:3;s:14:\"latest_version\";s:5:\"2.0.0\";s:8:\"releases\";a:1:{s:5:\"2.0.0\";a:13:{s:4:\"name\";s:16:\"node_class 2.0.0\";s:7:\"version\";s:5:\"2.0.0\";s:3:\"tag\";s:5:\"2.0.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/node_class/releases/2.0.0\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/node_class-2.0.0.tar.gz\";s:4:\"date\";s:10:\"1634365434\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";s:15:\"core_compatible\";b:1;s:26:\"core_compatibility_message\";s:37:\"Requires Drupal core: 8.9.19 to 9.2.8\";}}s:11:\"recommended\";s:5:\"2.0.0\";}s:8:\"pathauto\";a:15:{s:4:\"name\";s:8:\"pathauto\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Pathauto\";s:7:\"version\";s:7:\"8.x-1.8\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";i:1588103048;s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1627876805;}s:9:\"datestamp\";i:1588103048;s:8:\"includes\";a:1:{s:8:\"pathauto\";s:8:\"Pathauto\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:16:\"existing_version\";s:7:\"8.x-1.8\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:8:\"Pathauto\";s:4:\"link\";s:39:\"https://www.drupal.org/project/pathauto\";s:14:\"latest_version\";s:7:\"8.x-1.8\";s:8:\"releases\";a:1:{s:7:\"8.x-1.8\";a:13:{s:4:\"name\";s:16:\"pathauto 8.x-1.8\";s:7:\"version\";s:7:\"8.x-1.8\";s:3:\"tag\";s:7:\"8.x-1.8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/pathauto/releases/8.x-1.8\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/pathauto-8.x-1.8.tar.gz\";s:4:\"date\";s:10:\"1588103046\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";s:15:\"core_compatible\";b:1;s:26:\"core_compatibility_message\";s:37:\"Requires Drupal core: 8.9.19 to 9.2.8\";}}s:11:\"recommended\";s:7:\"8.x-1.8\";s:6:\"status\";i:5;}s:9:\"sharethis\";a:15:{s:4:\"name\";s:9:\"sharethis\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"ShareThis\";s:7:\"version\";s:13:\"8.x-2.0-beta5\";s:7:\"project\";s:9:\"sharethis\";s:9:\"datestamp\";i:1592286579;s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1627876805;}s:9:\"datestamp\";i:1592286579;s:8:\"includes\";a:1:{s:9:\"sharethis\";s:9:\"ShareThis\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:16:\"existing_version\";s:13:\"8.x-2.0-beta5\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:9:\"ShareThis\";s:4:\"link\";s:40:\"https://www.drupal.org/project/sharethis\";s:14:\"latest_version\";s:13:\"8.x-2.0-beta5\";s:8:\"releases\";a:1:{s:13:\"8.x-2.0-beta5\";a:13:{s:4:\"name\";s:23:\"sharethis 8.x-2.0-beta5\";s:7:\"version\";s:13:\"8.x-2.0-beta5\";s:3:\"tag\";s:13:\"8.x-2.0-beta5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/sharethis/releases/8.x-2.0-beta5\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/sharethis-8.x-2.0-beta5.tar.gz\";s:4:\"date\";s:10:\"1592286577\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";s:15:\"core_compatible\";b:1;s:26:\"core_compatibility_message\";s:37:\"Requires Drupal core: 8.9.19 to 9.2.8\";}}s:11:\"recommended\";s:13:\"8.x-2.0-beta5\";s:6:\"status\";i:5;}s:10:\"simplenews\";a:16:{s:4:\"name\";s:10:\"simplenews\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Simplenews\";s:7:\"package\";s:4:\"Mail\";s:7:\"version\";s:13:\"8.x-1.0-beta2\";s:7:\"project\";s:10:\"simplenews\";s:9:\"datestamp\";i:1599415338;s:16:\"_info_file_ctime\";i:1627876805;}s:9:\"datestamp\";i:1599415338;s:8:\"includes\";a:1:{s:10:\"simplenews\";s:10:\"Simplenews\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:16:\"existing_version\";s:13:\"8.x-1.0-beta2\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:10:\"Simplenews\";s:4:\"link\";s:41:\"https://www.drupal.org/project/simplenews\";s:6:\"status\";i:3;s:4:\"also\";a:1:{i:3;s:11:\"3.0.0-beta1\";}s:8:\"releases\";a:2:{s:11:\"3.0.0-beta1\";a:13:{s:4:\"name\";s:22:\"simplenews 3.0.0-beta1\";s:7:\"version\";s:11:\"3.0.0-beta1\";s:3:\"tag\";s:11:\"3.0.0-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/simplenews/releases/3.0.0-beta1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/simplenews-3.0.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1636221224\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";s:15:\"core_compatible\";b:1;s:26:\"core_compatibility_message\";s:37:\"Requires Drupal core: 8.9.19 to 9.2.8\";}s:13:\"8.x-2.0-beta2\";a:13:{s:4:\"name\";s:24:\"simplenews 8.x-2.0-beta2\";s:7:\"version\";s:13:\"8.x-2.0-beta2\";s:3:\"tag\";s:13:\"8.x-2.0-beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/simplenews/releases/8.x-2.0-beta2\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/simplenews-8.x-2.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1592298547\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";s:15:\"core_compatible\";b:1;s:26:\"core_compatibility_message\";s:37:\"Requires Drupal core: 8.9.19 to 9.2.8\";}}s:14:\"latest_version\";s:13:\"8.x-2.0-beta2\";s:11:\"recommended\";s:13:\"8.x-2.0-beta2\";}s:5:\"token\";a:15:{s:4:\"name\";s:5:\"token\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Token\";s:7:\"version\";s:7:\"8.x-1.9\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";i:1608284868;s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1627877212;}s:9:\"datestamp\";i:1608284868;s:8:\"includes\";a:1:{s:5:\"token\";s:5:\"Token\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:16:\"existing_version\";s:7:\"8.x-1.9\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:5:\"Token\";s:4:\"link\";s:36:\"https://www.drupal.org/project/token\";s:14:\"latest_version\";s:7:\"8.x-1.9\";s:8:\"releases\";a:1:{s:7:\"8.x-1.9\";a:13:{s:4:\"name\";s:13:\"token 8.x-1.9\";s:7:\"version\";s:7:\"8.x-1.9\";s:3:\"tag\";s:7:\"8.x-1.9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/8.x-1.9\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-8.x-1.9.tar.gz\";s:4:\"date\";s:10:\"1608284866\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";s:15:\"core_compatible\";b:1;s:26:\"core_compatibility_message\";s:37:\"Requires Drupal core: 8.9.19 to 9.2.8\";}}s:11:\"recommended\";s:7:\"8.x-1.9\";s:6:\"status\";i:5;}s:17:\"video_embed_field\";a:15:{s:4:\"name\";s:17:\"video_embed_field\";s:4:\"info\";a:6:{s:4:\"name\";s:17:\"Video Embed Field\";s:7:\"package\";s:17:\"Video Embed Field\";s:7:\"version\";s:7:\"8.x-2.4\";s:7:\"project\";s:17:\"video_embed_field\";s:9:\"datestamp\";i:1587686287;s:16:\"_info_file_ctime\";i:1627876805;}s:9:\"datestamp\";i:1587686287;s:8:\"includes\";a:1:{s:17:\"video_embed_field\";s:17:\"Video Embed Field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:16:\"existing_version\";s:7:\"8.x-2.4\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:17:\"Video Embed Field\";s:4:\"link\";s:48:\"https://www.drupal.org/project/video_embed_field\";s:14:\"latest_version\";s:7:\"8.x-2.4\";s:8:\"releases\";a:1:{s:7:\"8.x-2.4\";a:13:{s:4:\"name\";s:25:\"video_embed_field 8.x-2.4\";s:7:\"version\";s:7:\"8.x-2.4\";s:3:\"tag\";s:7:\"8.x-2.4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/video_embed_field/releases/8.x-2.4\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/video_embed_field-8.x-2.4.tar.gz\";s:4:\"date\";s:10:\"1587686284\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";s:5:\"terms\";a:0:{}s:15:\"core_compatible\";b:1;s:26:\"core_compatibility_message\";s:37:\"Requires Drupal core: 8.9.19 to 9.2.8\";}}s:11:\"recommended\";s:7:\"8.x-2.4\";s:6:\"status\";i:5;}s:11:\"we_megamenu\";a:15:{s:4:\"name\";s:11:\"we_megamenu\";s:4:\"info\";a:6:{s:4:\"name\";s:24:\"Mega Menu for Drupal 8/9\";s:7:\"package\";s:10:\"WeMegaMenu\";s:7:\"version\";s:8:\"8.x-1.13\";s:7:\"project\";s:11:\"we_megamenu\";s:9:\"datestamp\";i:1624951528;s:16:\"_info_file_ctime\";i:1627877228;}s:9:\"datestamp\";i:1624951528;s:8:\"includes\";a:1:{s:11:\"we_megamenu\";s:24:\"Mega Menu for Drupal 8/9\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:16:\"existing_version\";s:8:\"8.x-1.13\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:16:\"Drupal Mega Menu\";s:4:\"link\";s:42:\"https://www.drupal.org/project/we_megamenu\";s:14:\"latest_version\";s:8:\"8.x-1.13\";s:8:\"releases\";a:1:{s:8:\"8.x-1.13\";a:13:{s:4:\"name\";s:20:\"we_megamenu 8.x-1.13\";s:7:\"version\";s:8:\"8.x-1.13\";s:3:\"tag\";s:8:\"8.x-1.13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/we_megamenu/releases/8.x-1.13\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/we_megamenu-8.x-1.13.tar.gz\";s:4:\"date\";s:10:\"1624951526\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:8:\"^8 || ^9\";s:15:\"core_compatible\";b:1;s:26:\"core_compatibility_message\";s:37:\"Requires Drupal core: 8.9.19 to 9.2.8\";}}s:11:\"recommended\";s:8:\"8.x-1.13\";s:6:\"status\";i:5;}}',1637060827),('update','update_project_projects','a:14:{s:6:\"drupal\";a:6:{s:4:\"name\";s:6:\"drupal\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Automated Cron\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:6:\"8.9.19\";s:7:\"project\";s:6:\"drupal\";s:16:\"_info_file_ctime\";i:1636008949;s:9:\"datestamp\";i:0;}s:9:\"datestamp\";i:0;s:8:\"includes\";a:47:{s:14:\"automated_cron\";s:14:\"Automated Cron\";s:5:\"block\";s:5:\"Block\";s:13:\"block_content\";s:12:\"Custom Block\";s:10:\"breakpoint\";s:10:\"Breakpoint\";s:8:\"ckeditor\";s:8:\"CKEditor\";s:5:\"color\";s:5:\"Color\";s:7:\"comment\";s:7:\"Comment\";s:6:\"config\";s:21:\"Configuration Manager\";s:18:\"config_translation\";s:25:\"Configuration Translation\";s:7:\"contact\";s:7:\"Contact\";s:19:\"content_translation\";s:19:\"Content Translation\";s:10:\"contextual\";s:16:\"Contextual Links\";s:8:\"datetime\";s:8:\"Datetime\";s:5:\"dblog\";s:16:\"Database Logging\";s:18:\"dynamic_page_cache\";s:27:\"Internal Dynamic Page Cache\";s:6:\"editor\";s:11:\"Text Editor\";s:5:\"field\";s:5:\"Field\";s:8:\"field_ui\";s:8:\"Field UI\";s:4:\"file\";s:4:\"File\";s:6:\"filter\";s:6:\"Filter\";s:4:\"help\";s:4:\"Help\";s:7:\"history\";s:7:\"History\";s:5:\"image\";s:5:\"Image\";s:8:\"language\";s:8:\"Language\";s:4:\"link\";s:4:\"Link\";s:6:\"locale\";s:21:\"Interface Translation\";s:17:\"menu_link_content\";s:17:\"Custom Menu Links\";s:7:\"menu_ui\";s:7:\"Menu UI\";s:4:\"node\";s:4:\"Node\";s:7:\"options\";s:7:\"Options\";s:10:\"page_cache\";s:19:\"Internal Page Cache\";s:4:\"path\";s:4:\"Path\";s:10:\"path_alias\";s:10:\"Path alias\";s:9:\"quickedit\";s:10:\"Quick Edit\";s:3:\"rdf\";s:3:\"RDF\";s:16:\"responsive_image\";s:16:\"Responsive Image\";s:6:\"search\";s:6:\"Search\";s:8:\"shortcut\";s:8:\"Shortcut\";s:6:\"system\";s:6:\"System\";s:8:\"taxonomy\";s:8:\"Taxonomy\";s:4:\"text\";s:4:\"Text\";s:7:\"toolbar\";s:7:\"Toolbar\";s:4:\"tour\";s:4:\"Tour\";s:6:\"update\";s:14:\"Update Manager\";s:4:\"user\";s:4:\"User\";s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";}s:12:\"project_type\";s:4:\"core\";s:14:\"project_status\";b:1;}s:13:\"admin_toolbar\";a:6:{s:4:\"name\";s:13:\"admin_toolbar\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Admin Toolbar\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:7:\"8.x-2.5\";s:7:\"project\";s:13:\"admin_toolbar\";s:9:\"datestamp\";i:1629883385;s:16:\"_info_file_ctime\";i:1636009305;}s:9:\"datestamp\";i:1629883385;s:8:\"includes\";a:3:{s:13:\"admin_toolbar\";s:13:\"Admin Toolbar\";s:20:\"admin_toolbar_search\";s:20:\"Admin Toolbar Search\";s:19:\"admin_toolbar_tools\";s:25:\"Admin Toolbar Extra Tools\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;}s:11:\"block_class\";a:6:{s:4:\"name\";s:11:\"block_class\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Block Class\";s:7:\"package\";s:14:\"User Interface\";s:7:\"version\";s:7:\"8.x-1.3\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";i:1604426180;s:16:\"_info_file_ctime\";i:1627877148;}s:9:\"datestamp\";i:1604426180;s:8:\"includes\";a:1:{s:11:\"block_class\";s:11:\"Block Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;}s:8:\"colorbox\";a:6:{s:4:\"name\";s:8:\"colorbox\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Colorbox\";s:7:\"package\";s:5:\"Media\";s:7:\"version\";s:7:\"8.x-1.7\";s:7:\"project\";s:8:\"colorbox\";s:9:\"datestamp\";i:1614960643;s:16:\"_info_file_ctime\";i:1627877158;}s:9:\"datestamp\";i:1614960643;s:8:\"includes\";a:1:{s:8:\"colorbox\";s:8:\"Colorbox\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;}s:6:\"ctools\";a:6:{s:4:\"name\";s:6:\"ctools\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Chaos Tools\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:7:\"8.x-3.7\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";i:1623822132;s:16:\"_info_file_ctime\";i:1627877168;}s:9:\"datestamp\";i:1623822132;s:8:\"includes\";a:1:{s:6:\"ctools\";s:11:\"Chaos Tools\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;}s:9:\"libraries\";a:6:{s:4:\"name\";s:9:\"libraries\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Libraries\";s:7:\"version\";s:13:\"8.x-3.0-beta2\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";i:1635190096;s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1636009315;}s:9:\"datestamp\";i:1635190096;s:8:\"includes\";a:1:{s:9:\"libraries\";s:9:\"Libraries\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;}s:20:\"menu_link_attributes\";a:6:{s:4:\"name\";s:20:\"menu_link_attributes\";s:4:\"info\";a:6:{s:4:\"name\";s:20:\"Menu Link Attributes\";s:7:\"version\";s:7:\"8.x-1.2\";s:7:\"project\";s:20:\"menu_link_attributes\";s:9:\"datestamp\";i:1614211189;s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1627877184;}s:9:\"datestamp\";i:1614211189;s:8:\"includes\";a:1:{s:20:\"menu_link_attributes\";s:20:\"Menu Link Attributes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;}s:10:\"node_class\";a:6:{s:4:\"name\";s:10:\"node_class\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Node class\";s:7:\"version\";s:13:\"8.x-1.0-beta1\";s:7:\"project\";s:10:\"node_class\";s:9:\"datestamp\";i:1466182504;s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1627876805;}s:9:\"datestamp\";i:1466182504;s:8:\"includes\";a:1:{s:10:\"node_class\";s:10:\"Node class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;}s:8:\"pathauto\";a:6:{s:4:\"name\";s:8:\"pathauto\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Pathauto\";s:7:\"version\";s:7:\"8.x-1.8\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";i:1588103048;s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1627876805;}s:9:\"datestamp\";i:1588103048;s:8:\"includes\";a:1:{s:8:\"pathauto\";s:8:\"Pathauto\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;}s:9:\"sharethis\";a:6:{s:4:\"name\";s:9:\"sharethis\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"ShareThis\";s:7:\"version\";s:13:\"8.x-2.0-beta5\";s:7:\"project\";s:9:\"sharethis\";s:9:\"datestamp\";i:1592286579;s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1627876805;}s:9:\"datestamp\";i:1592286579;s:8:\"includes\";a:1:{s:9:\"sharethis\";s:9:\"ShareThis\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;}s:10:\"simplenews\";a:6:{s:4:\"name\";s:10:\"simplenews\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Simplenews\";s:7:\"package\";s:4:\"Mail\";s:7:\"version\";s:13:\"8.x-1.0-beta2\";s:7:\"project\";s:10:\"simplenews\";s:9:\"datestamp\";i:1599415338;s:16:\"_info_file_ctime\";i:1627876805;}s:9:\"datestamp\";i:1599415338;s:8:\"includes\";a:1:{s:10:\"simplenews\";s:10:\"Simplenews\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;}s:5:\"token\";a:6:{s:4:\"name\";s:5:\"token\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Token\";s:7:\"version\";s:7:\"8.x-1.9\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";i:1608284868;s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1627877212;}s:9:\"datestamp\";i:1608284868;s:8:\"includes\";a:1:{s:5:\"token\";s:5:\"Token\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;}s:17:\"video_embed_field\";a:6:{s:4:\"name\";s:17:\"video_embed_field\";s:4:\"info\";a:6:{s:4:\"name\";s:17:\"Video Embed Field\";s:7:\"package\";s:17:\"Video Embed Field\";s:7:\"version\";s:7:\"8.x-2.4\";s:7:\"project\";s:17:\"video_embed_field\";s:9:\"datestamp\";i:1587686287;s:16:\"_info_file_ctime\";i:1627876805;}s:9:\"datestamp\";i:1587686287;s:8:\"includes\";a:1:{s:17:\"video_embed_field\";s:17:\"Video Embed Field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;}s:11:\"we_megamenu\";a:6:{s:4:\"name\";s:11:\"we_megamenu\";s:4:\"info\";a:6:{s:4:\"name\";s:24:\"Mega Menu for Drupal 8/9\";s:7:\"package\";s:10:\"WeMegaMenu\";s:7:\"version\";s:8:\"8.x-1.13\";s:7:\"project\";s:11:\"we_megamenu\";s:9:\"datestamp\";i:1624951528;s:16:\"_info_file_ctime\";i:1627877228;}s:9:\"datestamp\";i:1624951528;s:8:\"includes\";a:1:{s:11:\"we_megamenu\";s:24:\"Mega Menu for Drupal 8/9\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;}}',1637060827),('update_available_releases','admin_toolbar','a:9:{s:5:\"title\";s:13:\"Admin Toolbar\";s:10:\"short_name\";s:13:\"admin_toolbar\";s:4:\"type\";s:14:\"project_module\";s:18:\"supported_branches\";s:11:\"3.0.,8.x-2.\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:44:\"https://www.drupal.org/project/admin_toolbar\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:43:{s:5:\"3.0.3\";a:11:{s:4:\"name\";s:19:\"admin_toolbar 3.0.3\";s:7:\"version\";s:5:\"3.0.3\";s:3:\"tag\";s:5:\"3.0.3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/admin_toolbar/releases/3.0.3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/admin_toolbar-3.0.3.tar.gz\";s:4:\"date\";s:10:\"1632322068\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:12:\"^8.8.0 || ^9\";}s:5:\"3.0.2\";a:11:{s:4:\"name\";s:19:\"admin_toolbar 3.0.2\";s:7:\"version\";s:5:\"3.0.2\";s:3:\"tag\";s:5:\"3.0.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/admin_toolbar/releases/3.0.2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/admin_toolbar-3.0.2.tar.gz\";s:4:\"date\";s:10:\"1629882675\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:12:\"^8.8.0 || ^9\";}s:5:\"3.0.1\";a:11:{s:4:\"name\";s:19:\"admin_toolbar 3.0.1\";s:7:\"version\";s:5:\"3.0.1\";s:3:\"tag\";s:5:\"3.0.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/admin_toolbar/releases/3.0.1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/admin_toolbar-3.0.1.tar.gz\";s:4:\"date\";s:10:\"1622644077\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:12:\"^8.8.0 || ^9\";}s:5:\"3.0.0\";a:11:{s:4:\"name\";s:19:\"admin_toolbar 3.0.0\";s:7:\"version\";s:5:\"3.0.0\";s:3:\"tag\";s:5:\"3.0.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/admin_toolbar/releases/3.0.0\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/admin_toolbar-3.0.0.tar.gz\";s:4:\"date\";s:10:\"1611311186\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:14:\"^8.8.0 || ^9.0\";}s:7:\"8.x-2.5\";a:11:{s:4:\"name\";s:21:\"admin_toolbar 8.x-2.5\";s:7:\"version\";s:7:\"8.x-2.5\";s:3:\"tag\";s:7:\"8.x-2.5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-2.5\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-2.5.tar.gz\";s:4:\"date\";s:10:\"1629883381\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:14:\"^8.8.0 || ^9.0\";}s:7:\"8.x-2.4\";a:11:{s:4:\"name\";s:21:\"admin_toolbar 8.x-2.4\";s:7:\"version\";s:7:\"8.x-2.4\";s:3:\"tag\";s:7:\"8.x-2.4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-2.4\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-2.4.tar.gz\";s:4:\"date\";s:10:\"1601998853\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:14:\"^8.8.0 || ^9.0\";}s:7:\"8.x-2.3\";a:11:{s:4:\"name\";s:21:\"admin_toolbar 8.x-2.3\";s:7:\"version\";s:7:\"8.x-2.3\";s:3:\"tag\";s:7:\"8.x-2.3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-2.3\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1592535597\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:14:\"^8.8.0 || ^9.0\";}s:7:\"8.x-2.2\";a:11:{s:4:\"name\";s:21:\"admin_toolbar 8.x-2.2\";s:7:\"version\";s:7:\"8.x-2.2\";s:3:\"tag\";s:7:\"8.x-2.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-2.2\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-2.2.tar.gz\";s:4:\"date\";s:10:\"1585017179\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:14:\"^8.8.0 || ^9.0\";}s:7:\"8.x-2.1\";a:11:{s:4:\"name\";s:21:\"admin_toolbar 8.x-2.1\";s:7:\"version\";s:7:\"8.x-2.1\";s:3:\"tag\";s:7:\"8.x-2.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-2.1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1584986458\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:14:\"^8.7.7 || ^9.0\";}s:7:\"8.x-2.0\";a:11:{s:4:\"name\";s:21:\"admin_toolbar 8.x-2.0\";s:7:\"version\";s:7:\"8.x-2.0\";s:3:\"tag\";s:7:\"8.x-2.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-2.0\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1572370984\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:13:\"8.x-2.0-beta2\";a:11:{s:4:\"name\";s:27:\"admin_toolbar 8.x-2.0-beta2\";s:7:\"version\";s:13:\"8.x-2.0-beta2\";s:3:\"tag\";s:13:\"8.x-2.0-beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-2.0-beta2\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-2.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1567506785\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:13:\"8.x-2.0-beta1\";a:11:{s:4:\"name\";s:27:\"admin_toolbar 8.x-2.0-beta1\";s:7:\"version\";s:13:\"8.x-2.0-beta1\";s:3:\"tag\";s:13:\"8.x-2.0-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-2.0-beta1\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-2.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1562269081\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:8:\"8.x-1.27\";a:11:{s:4:\"name\";s:22:\"admin_toolbar 8.x-1.27\";s:7:\"version\";s:8:\"8.x-1.27\";s:3:\"tag\";s:8:\"8.x-1.27\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-1.27\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.27.tar.gz\";s:4:\"date\";s:10:\"1558552081\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:8:\"8.x-1.26\";a:11:{s:4:\"name\";s:22:\"admin_toolbar 8.x-1.26\";s:7:\"version\";s:8:\"8.x-1.26\";s:3:\"tag\";s:8:\"8.x-1.26\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-1.26\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.26.tar.gz\";s:4:\"date\";s:10:\"1549218480\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:8:\"8.x-1.25\";a:11:{s:4:\"name\";s:22:\"admin_toolbar 8.x-1.25\";s:7:\"version\";s:8:\"8.x-1.25\";s:3:\"tag\";s:8:\"8.x-1.25\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-1.25\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.25.tar.gz\";s:4:\"date\";s:10:\"1542915180\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:8:\"8.x-1.24\";a:11:{s:4:\"name\";s:22:\"admin_toolbar 8.x-1.24\";s:7:\"version\";s:8:\"8.x-1.24\";s:3:\"tag\";s:8:\"8.x-1.24\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-1.24\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.24.tar.gz\";s:4:\"date\";s:10:\"1527522480\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:8:\"8.x-1.23\";a:11:{s:4:\"name\";s:22:\"admin_toolbar 8.x-1.23\";s:7:\"version\";s:8:\"8.x-1.23\";s:3:\"tag\";s:8:\"8.x-1.23\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-1.23\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.23.tar.gz\";s:4:\"date\";s:10:\"1517936581\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:8:\"8.x-1.22\";a:11:{s:4:\"name\";s:22:\"admin_toolbar 8.x-1.22\";s:7:\"version\";s:8:\"8.x-1.22\";s:3:\"tag\";s:8:\"8.x-1.22\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-1.22\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.22.tar.gz\";s:4:\"date\";s:10:\"1514888585\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:8:\"8.x-1.21\";a:11:{s:4:\"name\";s:22:\"admin_toolbar 8.x-1.21\";s:7:\"version\";s:8:\"8.x-1.21\";s:3:\"tag\";s:8:\"8.x-1.21\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-1.21\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.21.tar.gz\";s:4:\"date\";s:10:\"1511190785\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:8:\"8.x-1.20\";a:11:{s:4:\"name\";s:22:\"admin_toolbar 8.x-1.20\";s:7:\"version\";s:8:\"8.x-1.20\";s:3:\"tag\";s:8:\"8.x-1.20\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-1.20\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.20.tar.gz\";s:4:\"date\";s:10:\"1505199844\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:8:\"8.x-1.19\";a:11:{s:4:\"name\";s:22:\"admin_toolbar 8.x-1.19\";s:7:\"version\";s:8:\"8.x-1.19\";s:3:\"tag\";s:8:\"8.x-1.19\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-1.19\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.19.tar.gz\";s:4:\"date\";s:10:\"1491487683\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:8:\"8.x-1.18\";a:11:{s:4:\"name\";s:22:\"admin_toolbar 8.x-1.18\";s:7:\"version\";s:8:\"8.x-1.18\";s:3:\"tag\";s:8:\"8.x-1.18\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-1.18\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.18.tar.gz\";s:4:\"date\";s:10:\"1480614184\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:8:\"8.x-1.17\";a:11:{s:4:\"name\";s:22:\"admin_toolbar 8.x-1.17\";s:7:\"version\";s:8:\"8.x-1.17\";s:3:\"tag\";s:8:\"8.x-1.17\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-1.17\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.17.tar.gz\";s:4:\"date\";s:10:\"1472585039\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:8:\"8.x-1.16\";a:11:{s:4:\"name\";s:22:\"admin_toolbar 8.x-1.16\";s:7:\"version\";s:8:\"8.x-1.16\";s:3:\"tag\";s:8:\"8.x-1.16\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-1.16\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.16.tar.gz\";s:4:\"date\";s:10:\"1469715839\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:8:\"8.x-1.15\";a:11:{s:4:\"name\";s:22:\"admin_toolbar 8.x-1.15\";s:7:\"version\";s:8:\"8.x-1.15\";s:3:\"tag\";s:8:\"8.x-1.15\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-1.15\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.15.tar.gz\";s:4:\"date\";s:10:\"1464016832\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:8:\"8.x-1.14\";a:11:{s:4:\"name\";s:22:\"admin_toolbar 8.x-1.14\";s:7:\"version\";s:8:\"8.x-1.14\";s:3:\"tag\";s:8:\"8.x-1.14\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-1.14\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.14.tar.gz\";s:4:\"date\";s:10:\"1454942939\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:8:\"8.x-1.13\";a:11:{s:4:\"name\";s:22:\"admin_toolbar 8.x-1.13\";s:7:\"version\";s:8:\"8.x-1.13\";s:3:\"tag\";s:8:\"8.x-1.13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-1.13\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.13.tar.gz\";s:4:\"date\";s:10:\"1454405939\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:8:\"8.x-1.12\";a:11:{s:4:\"name\";s:22:\"admin_toolbar 8.x-1.12\";s:7:\"version\";s:8:\"8.x-1.12\";s:3:\"tag\";s:8:\"8.x-1.12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-1.12\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.12.tar.gz\";s:4:\"date\";s:10:\"1454402339\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:8:\"8.x-1.11\";a:11:{s:4:\"name\";s:22:\"admin_toolbar 8.x-1.11\";s:7:\"version\";s:8:\"8.x-1.11\";s:3:\"tag\";s:8:\"8.x-1.11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-1.11\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.11.tar.gz\";s:4:\"date\";s:10:\"1449833341\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:8:\"8.x-1.10\";a:11:{s:4:\"name\";s:22:\"admin_toolbar 8.x-1.10\";s:7:\"version\";s:8:\"8.x-1.10\";s:3:\"tag\";s:8:\"8.x-1.10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-1.10\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.10.tar.gz\";s:4:\"date\";s:10:\"1445350439\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.9\";a:11:{s:4:\"name\";s:21:\"admin_toolbar 8.x-1.9\";s:7:\"version\";s:7:\"8.x-1.9\";s:3:\"tag\";s:7:\"8.x-1.9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-1.9\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.9.tar.gz\";s:4:\"date\";s:10:\"1438248239\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.8\";a:11:{s:4:\"name\";s:21:\"admin_toolbar 8.x-1.8\";s:7:\"version\";s:7:\"8.x-1.8\";s:3:\"tag\";s:7:\"8.x-1.8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-1.8\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.8.tar.gz\";s:4:\"date\";s:10:\"1437400139\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.7\";a:11:{s:4:\"name\";s:21:\"admin_toolbar 8.x-1.7\";s:7:\"version\";s:7:\"8.x-1.7\";s:3:\"tag\";s:7:\"8.x-1.7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-1.7\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1434972483\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.6\";a:11:{s:4:\"name\";s:21:\"admin_toolbar 8.x-1.6\";s:7:\"version\";s:7:\"8.x-1.6\";s:3:\"tag\";s:7:\"8.x-1.6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-1.6\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1433331481\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.5\";a:11:{s:4:\"name\";s:21:\"admin_toolbar 8.x-1.5\";s:7:\"version\";s:7:\"8.x-1.5\";s:3:\"tag\";s:7:\"8.x-1.5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-1.5\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1433329681\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.4\";a:11:{s:4:\"name\";s:21:\"admin_toolbar 8.x-1.4\";s:7:\"version\";s:7:\"8.x-1.4\";s:3:\"tag\";s:7:\"8.x-1.4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-1.4\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1432141381\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.3\";a:11:{s:4:\"name\";s:21:\"admin_toolbar 8.x-1.3\";s:7:\"version\";s:7:\"8.x-1.3\";s:3:\"tag\";s:7:\"8.x-1.3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-1.3\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1432129285\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.2\";a:11:{s:4:\"name\";s:21:\"admin_toolbar 8.x-1.2\";s:7:\"version\";s:7:\"8.x-1.2\";s:3:\"tag\";s:7:\"8.x-1.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-1.2\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1432129285\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.1\";a:11:{s:4:\"name\";s:21:\"admin_toolbar 8.x-1.1\";s:7:\"version\";s:7:\"8.x-1.1\";s:3:\"tag\";s:7:\"8.x-1.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-1.1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1432048381\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.0\";a:11:{s:4:\"name\";s:21:\"admin_toolbar 8.x-1.0\";s:7:\"version\";s:7:\"8.x-1.0\";s:3:\"tag\";s:7:\"8.x-1.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-1.0\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1431018181\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";s:5:\"terms\";a:0:{}}s:7:\"3.x-dev\";a:11:{s:4:\"name\";s:21:\"admin_toolbar 3.x-dev\";s:7:\"version\";s:7:\"3.x-dev\";s:3:\"tag\";s:3:\"3.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/admin_toolbar/releases/3.x-dev\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/admin_toolbar-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1635771133\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:12:\"^8.8.0 || ^9\";s:5:\"terms\";a:0:{}}s:11:\"8.x-2.x-dev\";a:11:{s:4:\"name\";s:25:\"admin_toolbar 8.x-2.x-dev\";s:7:\"version\";s:11:\"8.x-2.x-dev\";s:3:\"tag\";s:7:\"8.x-2.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-2.x-dev\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1633550587\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:12:\"^8.8.0 || ^9\";}s:11:\"8.x-1.x-dev\";a:11:{s:4:\"name\";s:25:\"admin_toolbar 8.x-1.x-dev\";s:7:\"version\";s:11:\"8.x-1.x-dev\";s:3:\"tag\";s:7:\"8.x-1.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/admin_toolbar/releases/8.x-1.x-dev\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/admin_toolbar-8.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1567701780\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}}s:10:\"last_fetch\";i:1637057208;}',1637143608),('update_available_releases','block_class','a:9:{s:5:\"title\";s:11:\"Block Class\";s:10:\"short_name\";s:11:\"block_class\";s:4:\"type\";s:14:\"project_module\";s:18:\"supported_branches\";s:6:\"8.x-1.\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:42:\"https://www.drupal.org/project/block_class\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:6:{s:7:\"8.x-1.3\";a:11:{s:4:\"name\";s:19:\"block_class 8.x-1.3\";s:7:\"version\";s:7:\"8.x-1.3\";s:3:\"tag\";s:7:\"8.x-1.3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/block_class/releases/8.x-1.3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/block_class-8.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1604426178\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:8:\"^8 || ^9\";}s:7:\"8.x-1.2\";a:11:{s:4:\"name\";s:19:\"block_class 8.x-1.2\";s:7:\"version\";s:7:\"8.x-1.2\";s:3:\"tag\";s:7:\"8.x-1.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/block_class/releases/8.x-1.2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/block_class-8.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1588263516\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:8:\"^8 || ^9\";}s:7:\"8.x-1.1\";a:11:{s:4:\"name\";s:19:\"block_class 8.x-1.1\";s:7:\"version\";s:7:\"8.x-1.1\";s:3:\"tag\";s:7:\"8.x-1.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/block_class/releases/8.x-1.1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/block_class-8.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1575060180\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.0\";a:11:{s:4:\"name\";s:19:\"block_class 8.x-1.0\";s:7:\"version\";s:7:\"8.x-1.0\";s:3:\"tag\";s:7:\"8.x-1.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/block_class/releases/8.x-1.0\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/block_class-8.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1531440821\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:14:\"8.x-1.0-alpha1\";a:11:{s:4:\"name\";s:26:\"block_class 8.x-1.0-alpha1\";s:7:\"version\";s:14:\"8.x-1.0-alpha1\";s:3:\"tag\";s:14:\"8.x-1.0-alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/block_class/releases/8.x-1.0-alpha1\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/block_class-8.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1475623439\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";s:5:\"terms\";a:0:{}}s:11:\"8.x-1.x-dev\";a:11:{s:4:\"name\";s:23:\"block_class 8.x-1.x-dev\";s:7:\"version\";s:11:\"8.x-1.x-dev\";s:3:\"tag\";s:7:\"8.x-1.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/block_class/releases/8.x-1.x-dev\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/block_class-8.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1621703474\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:8:\"^8 || ^9\";}}s:10:\"last_fetch\";i:1637057209;}',1637143609),('update_available_releases','colorbox','a:9:{s:5:\"title\";s:8:\"Colorbox\";s:10:\"short_name\";s:8:\"colorbox\";s:4:\"type\";s:14:\"project_module\";s:18:\"supported_branches\";s:6:\"8.x-1.\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:39:\"https://www.drupal.org/project/colorbox\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:9:{s:7:\"8.x-1.7\";a:11:{s:4:\"name\";s:16:\"colorbox 8.x-1.7\";s:7:\"version\";s:7:\"8.x-1.7\";s:3:\"tag\";s:7:\"8.x-1.7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/colorbox/releases/8.x-1.7\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/colorbox-8.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1614960641\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";}s:7:\"8.x-1.6\";a:11:{s:4:\"name\";s:16:\"colorbox 8.x-1.6\";s:7:\"version\";s:7:\"8.x-1.6\";s:3:\"tag\";s:7:\"8.x-1.6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/colorbox/releases/8.x-1.6\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/colorbox-8.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1587016344\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";}s:7:\"8.x-1.5\";a:11:{s:4:\"name\";s:16:\"colorbox 8.x-1.5\";s:7:\"version\";s:7:\"8.x-1.5\";s:3:\"tag\";s:7:\"8.x-1.5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/colorbox/releases/8.x-1.5\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/colorbox-8.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1586777974\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";}s:7:\"8.x-1.4\";a:11:{s:4:\"name\";s:16:\"colorbox 8.x-1.4\";s:7:\"version\";s:7:\"8.x-1.4\";s:3:\"tag\";s:7:\"8.x-1.4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/colorbox/releases/8.x-1.4\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/colorbox-8.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1493051344\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.3\";a:11:{s:4:\"name\";s:16:\"colorbox 8.x-1.3\";s:7:\"version\";s:7:\"8.x-1.3\";s:3:\"tag\";s:7:\"8.x-1.3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/colorbox/releases/8.x-1.3\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/colorbox-8.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1490794384\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.2\";a:11:{s:4:\"name\";s:16:\"colorbox 8.x-1.2\";s:7:\"version\";s:7:\"8.x-1.2\";s:3:\"tag\";s:7:\"8.x-1.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/colorbox/releases/8.x-1.2\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/colorbox-8.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1475750039\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.1\";a:11:{s:4:\"name\";s:16:\"colorbox 8.x-1.1\";s:7:\"version\";s:7:\"8.x-1.1\";s:3:\"tag\";s:7:\"8.x-1.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/colorbox/releases/8.x-1.1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/colorbox-8.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1467761939\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.0\";a:11:{s:4:\"name\";s:16:\"colorbox 8.x-1.0\";s:7:\"version\";s:7:\"8.x-1.0\";s:3:\"tag\";s:7:\"8.x-1.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/colorbox/releases/8.x-1.0\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/colorbox-8.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1454898839\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:11:\"8.x-1.x-dev\";a:11:{s:4:\"name\";s:20:\"colorbox 8.x-1.x-dev\";s:7:\"version\";s:11:\"8.x-1.x-dev\";s:3:\"tag\";s:7:\"8.x-1.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/colorbox/releases/8.x-1.x-dev\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/colorbox-8.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1634745745\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";s:5:\"terms\";a:0:{}}}s:10:\"last_fetch\";i:1637057209;}',1637143609),('update_available_releases','ctools','a:9:{s:5:\"title\";s:25:\"Chaos Tool Suite (ctools)\";s:10:\"short_name\";s:6:\"ctools\";s:4:\"type\";s:14:\"project_module\";s:18:\"supported_branches\";s:6:\"8.x-3.\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:37:\"https://www.drupal.org/project/ctools\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:22:{s:7:\"8.x-3.7\";a:11:{s:4:\"name\";s:14:\"ctools 8.x-3.7\";s:7:\"version\";s:7:\"8.x-3.7\";s:3:\"tag\";s:7:\"8.x-3.7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/8.x-3.7\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-8.x-3.7.tar.gz\";s:4:\"date\";s:10:\"1623822128\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";}s:7:\"8.x-3.6\";a:11:{s:4:\"name\";s:14:\"ctools 8.x-3.6\";s:7:\"version\";s:7:\"8.x-3.6\";s:3:\"tag\";s:7:\"8.x-3.6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/8.x-3.6\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-8.x-3.6.tar.gz\";s:4:\"date\";s:10:\"1620832812\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";}s:7:\"8.x-3.5\";a:11:{s:4:\"name\";s:14:\"ctools 8.x-3.5\";s:7:\"version\";s:7:\"8.x-3.5\";s:3:\"tag\";s:7:\"8.x-3.5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/8.x-3.5\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-8.x-3.5.tar.gz\";s:4:\"date\";s:10:\"1618592931\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";}s:7:\"8.x-3.4\";a:11:{s:4:\"name\";s:14:\"ctools 8.x-3.4\";s:7:\"version\";s:7:\"8.x-3.4\";s:3:\"tag\";s:7:\"8.x-3.4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/8.x-3.4\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-8.x-3.4.tar.gz\";s:4:\"date\";s:10:\"1585763383\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:12:\"^8.7.7 || ^9\";}s:7:\"8.x-3.3\";a:11:{s:4:\"name\";s:14:\"ctools 8.x-3.3\";s:7:\"version\";s:7:\"8.x-3.3\";s:3:\"tag\";s:7:\"8.x-3.3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/8.x-3.3\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-8.x-3.3.tar.gz\";s:4:\"date\";s:10:\"1585762870\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:8:\"^8 || ^9\";}s:7:\"8.x-3.2\";a:11:{s:4:\"name\";s:14:\"ctools 8.x-3.2\";s:7:\"version\";s:7:\"8.x-3.2\";s:3:\"tag\";s:7:\"8.x-3.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/8.x-3.2\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-8.x-3.2.tar.gz\";s:4:\"date\";s:10:\"1550728386\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-3.1\";a:11:{s:4:\"name\";s:14:\"ctools 8.x-3.1\";s:7:\"version\";s:7:\"8.x-3.1\";s:3:\"tag\";s:7:\"8.x-3.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/8.x-3.1\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-8.x-3.1.tar.gz\";s:4:\"date\";s:10:\"1549603381\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-3.0\";a:11:{s:4:\"name\";s:14:\"ctools 8.x-3.0\";s:7:\"version\";s:7:\"8.x-3.0\";s:3:\"tag\";s:7:\"8.x-3.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/8.x-3.0\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-8.x-3.0.tar.gz\";s:4:\"date\";s:10:\"1493401742\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:13:\"8.x-3.0-beta2\";a:11:{s:4:\"name\";s:20:\"ctools 8.x-3.0-beta2\";s:7:\"version\";s:13:\"8.x-3.0-beta2\";s:3:\"tag\";s:13:\"8.x-3.0-beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/ctools/releases/8.x-3.0-beta2\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/ctools-8.x-3.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1492545842\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:13:\"8.x-3.0-beta1\";a:11:{s:4:\"name\";s:20:\"ctools 8.x-3.0-beta1\";s:7:\"version\";s:13:\"8.x-3.0-beta1\";s:3:\"tag\";s:13:\"8.x-3.0-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/ctools/releases/8.x-3.0-beta1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/ctools-8.x-3.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1490677984\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:15:\"8.x-3.0-alpha27\";a:11:{s:4:\"name\";s:22:\"ctools 8.x-3.0-alpha27\";s:7:\"version\";s:15:\"8.x-3.0-alpha27\";s:3:\"tag\";s:15:\"8.x-3.0-alpha27\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/ctools/releases/8.x-3.0-alpha27\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/ctools-8.x-3.0-alpha27.tar.gz\";s:4:\"date\";s:10:\"1471723439\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:15:\"8.x-3.0-alpha26\";a:11:{s:4:\"name\";s:22:\"ctools 8.x-3.0-alpha26\";s:7:\"version\";s:15:\"8.x-3.0-alpha26\";s:3:\"tag\";s:15:\"8.x-3.0-alpha26\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/ctools/releases/8.x-3.0-alpha26\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/ctools-8.x-3.0-alpha26.tar.gz\";s:4:\"date\";s:10:\"1462560839\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:15:\"8.x-3.0-alpha25\";a:11:{s:4:\"name\";s:22:\"ctools 8.x-3.0-alpha25\";s:7:\"version\";s:15:\"8.x-3.0-alpha25\";s:3:\"tag\";s:15:\"8.x-3.0-alpha25\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/ctools/releases/8.x-3.0-alpha25\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/ctools-8.x-3.0-alpha25.tar.gz\";s:4:\"date\";s:10:\"1459542839\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:15:\"8.x-3.0-alpha24\";a:11:{s:4:\"name\";s:22:\"ctools 8.x-3.0-alpha24\";s:7:\"version\";s:15:\"8.x-3.0-alpha24\";s:3:\"tag\";s:15:\"8.x-3.0-alpha24\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/ctools/releases/8.x-3.0-alpha24\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/ctools-8.x-3.0-alpha24.tar.gz\";s:4:\"date\";s:10:\"1459129741\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:15:\"8.x-3.0-alpha23\";a:11:{s:4:\"name\";s:22:\"ctools 8.x-3.0-alpha23\";s:7:\"version\";s:15:\"8.x-3.0-alpha23\";s:3:\"tag\";s:15:\"8.x-3.0-alpha23\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/ctools/releases/8.x-3.0-alpha23\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/ctools-8.x-3.0-alpha23.tar.gz\";s:4:\"date\";s:10:\"1454702339\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:15:\"8.x-3.0-alpha22\";a:11:{s:4:\"name\";s:22:\"ctools 8.x-3.0-alpha22\";s:7:\"version\";s:15:\"8.x-3.0-alpha22\";s:3:\"tag\";s:15:\"8.x-3.0-alpha22\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/ctools/releases/8.x-3.0-alpha22\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/ctools-8.x-3.0-alpha22.tar.gz\";s:4:\"date\";s:10:\"1454448839\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:15:\"8.x-3.0-alpha21\";a:11:{s:4:\"name\";s:22:\"ctools 8.x-3.0-alpha21\";s:7:\"version\";s:15:\"8.x-3.0-alpha21\";s:3:\"tag\";s:15:\"8.x-3.0-alpha21\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/ctools/releases/8.x-3.0-alpha21\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/ctools-8.x-3.0-alpha21.tar.gz\";s:4:\"date\";s:10:\"1452350939\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:15:\"8.x-3.0-alpha20\";a:11:{s:4:\"name\";s:22:\"ctools 8.x-3.0-alpha20\";s:7:\"version\";s:15:\"8.x-3.0-alpha20\";s:3:\"tag\";s:15:\"8.x-3.0-alpha20\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/ctools/releases/8.x-3.0-alpha20\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/ctools-8.x-3.0-alpha20.tar.gz\";s:4:\"date\";s:10:\"1450374240\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:15:\"8.x-3.0-alpha19\";a:11:{s:4:\"name\";s:22:\"ctools 8.x-3.0-alpha19\";s:7:\"version\";s:15:\"8.x-3.0-alpha19\";s:3:\"tag\";s:15:\"8.x-3.0-alpha19\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/ctools/releases/8.x-3.0-alpha19\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/ctools-8.x-3.0-alpha19.tar.gz\";s:4:\"date\";s:10:\"1447863840\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:15:\"8.x-3.0-alpha18\";a:11:{s:4:\"name\";s:22:\"ctools 8.x-3.0-alpha18\";s:7:\"version\";s:15:\"8.x-3.0-alpha18\";s:3:\"tag\";s:15:\"8.x-3.0-alpha18\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/ctools/releases/8.x-3.0-alpha18\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/ctools-8.x-3.0-alpha18.tar.gz\";s:4:\"date\";s:10:\"1446661740\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:15:\"8.x-3.0-alpha17\";a:11:{s:4:\"name\";s:22:\"ctools 8.x-3.0-alpha17\";s:7:\"version\";s:15:\"8.x-3.0-alpha17\";s:3:\"tag\";s:15:\"8.x-3.0-alpha17\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/ctools/releases/8.x-3.0-alpha17\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/ctools-8.x-3.0-alpha17.tar.gz\";s:4:\"date\";s:10:\"1444426739\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:11:\"8.x-3.x-dev\";a:11:{s:4:\"name\";s:18:\"ctools 8.x-3.x-dev\";s:7:\"version\";s:11:\"8.x-3.x-dev\";s:3:\"tag\";s:7:\"8.x-3.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/ctools/releases/8.x-3.x-dev\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/ctools-8.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1632001553\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";s:5:\"terms\";a:0:{}}}s:10:\"last_fetch\";i:1637057209;}',1637143609),('update_available_releases','drupal','a:9:{s:5:\"title\";s:11:\"Drupal core\";s:10:\"short_name\";s:6:\"drupal\";s:4:\"type\";s:12:\"project_core\";s:18:\"supported_branches\";s:24:\"8.9.,9.1.,9.2.,9.3.,9.4.\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:37:\"https://www.drupal.org/project/drupal\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:268:{s:11:\"9.3.0-beta1\";a:10:{s:4:\"name\";s:18:\"drupal 9.3.0-beta1\";s:7:\"version\";s:11:\"9.3.0-beta1\";s:3:\"tag\";s:11:\"9.3.0-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/9.3.0-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-9.3.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1636746050\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:12:\"9.3.0-alpha1\";a:10:{s:4:\"name\";s:19:\"drupal 9.3.0-alpha1\";s:7:\"version\";s:12:\"9.3.0-alpha1\";s:3:\"tag\";s:12:\"9.3.0-alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/drupal/releases/9.3.0-alpha1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/drupal-9.3.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1635510285\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:5:\"9.2.8\";a:10:{s:4:\"name\";s:12:\"drupal 9.2.8\";s:7:\"version\";s:5:\"9.2.8\";s:3:\"tag\";s:5:\"9.2.8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.2.8\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.2.8.tar.gz\";s:4:\"date\";s:10:\"1635961216\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.2.7\";a:10:{s:4:\"name\";s:12:\"drupal 9.2.7\";s:7:\"version\";s:5:\"9.2.7\";s:3:\"tag\";s:5:\"9.2.7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.2.7\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.2.7.tar.gz\";s:4:\"date\";s:10:\"1633544267\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.2.6\";a:10:{s:4:\"name\";s:12:\"drupal 9.2.6\";s:7:\"version\";s:5:\"9.2.6\";s:3:\"tag\";s:5:\"9.2.6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.2.6\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.2.6.tar.gz\";s:4:\"date\";s:10:\"1631721555\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.2.5\";a:10:{s:4:\"name\";s:12:\"drupal 9.2.5\";s:7:\"version\";s:5:\"9.2.5\";s:3:\"tag\";s:5:\"9.2.5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.2.5\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.2.5.tar.gz\";s:4:\"date\";s:10:\"1630534729\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.2.4\";a:10:{s:4:\"name\";s:12:\"drupal 9.2.4\";s:7:\"version\";s:5:\"9.2.4\";s:3:\"tag\";s:5:\"9.2.4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.2.4\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.2.4.tar.gz\";s:4:\"date\";s:10:\"1628791178\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.2.3\";a:10:{s:4:\"name\";s:12:\"drupal 9.2.3\";s:7:\"version\";s:5:\"9.2.3\";s:3:\"tag\";s:5:\"9.2.3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.2.3\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.2.3.tar.gz\";s:4:\"date\";s:10:\"1627997922\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.2.2\";a:10:{s:4:\"name\";s:12:\"drupal 9.2.2\";s:7:\"version\";s:5:\"9.2.2\";s:3:\"tag\";s:5:\"9.2.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.2.2\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.2.2.tar.gz\";s:4:\"date\";s:10:\"1626882385\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.2.1\";a:10:{s:4:\"name\";s:12:\"drupal 9.2.1\";s:7:\"version\";s:5:\"9.2.1\";s:3:\"tag\";s:5:\"9.2.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.2.1\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.2.1.tar.gz\";s:4:\"date\";s:10:\"1625664286\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.2.0\";a:10:{s:4:\"name\";s:12:\"drupal 9.2.0\";s:7:\"version\";s:5:\"9.2.0\";s:3:\"tag\";s:5:\"9.2.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.2.0\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.2.0.tar.gz\";s:4:\"date\";s:10:\"1623847798\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:9:\"9.2.0-rc1\";a:10:{s:4:\"name\";s:16:\"drupal 9.2.0-rc1\";s:7:\"version\";s:9:\"9.2.0-rc1\";s:3:\"tag\";s:9:\"9.2.0-rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/9.2.0-rc1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-9.2.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1623080867\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"9.2.0-beta3\";a:10:{s:4:\"name\";s:18:\"drupal 9.2.0-beta3\";s:7:\"version\";s:11:\"9.2.0-beta3\";s:3:\"tag\";s:11:\"9.2.0-beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/9.2.0-beta3\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-9.2.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1622207568\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:11:\"9.2.0-beta2\";a:10:{s:4:\"name\";s:18:\"drupal 9.2.0-beta2\";s:7:\"version\";s:11:\"9.2.0-beta2\";s:3:\"tag\";s:11:\"9.2.0-beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/9.2.0-beta2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-9.2.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1622068611\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:4:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";i:3;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:11:\"9.2.0-beta1\";a:10:{s:4:\"name\";s:18:\"drupal 9.2.0-beta1\";s:7:\"version\";s:11:\"9.2.0-beta1\";s:3:\"tag\";s:11:\"9.2.0-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/9.2.0-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-9.2.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1621506248\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:8:\"Insecure\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:12:\"9.2.0-alpha1\";a:10:{s:4:\"name\";s:19:\"drupal 9.2.0-alpha1\";s:7:\"version\";s:12:\"9.2.0-alpha1\";s:3:\"tag\";s:12:\"9.2.0-alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/drupal/releases/9.2.0-alpha1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/drupal-9.2.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1620291652\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:8:\"Insecure\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:6:\"9.1.13\";a:10:{s:4:\"name\";s:13:\"drupal 9.1.13\";s:7:\"version\";s:6:\"9.1.13\";s:3:\"tag\";s:6:\"9.1.13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/9.1.13\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-9.1.13.tar.gz\";s:4:\"date\";s:10:\"1631722011\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"9.1.12\";a:10:{s:4:\"name\";s:13:\"drupal 9.1.12\";s:7:\"version\";s:6:\"9.1.12\";s:3:\"tag\";s:6:\"9.1.12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/9.1.12\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-9.1.12.tar.gz\";s:4:\"date\";s:10:\"1628791786\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"9.1.11\";a:10:{s:4:\"name\";s:13:\"drupal 9.1.11\";s:7:\"version\";s:6:\"9.1.11\";s:3:\"tag\";s:6:\"9.1.11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/9.1.11\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-9.1.11.tar.gz\";s:4:\"date\";s:10:\"1626882849\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"9.1.10\";a:10:{s:4:\"name\";s:13:\"drupal 9.1.10\";s:7:\"version\";s:6:\"9.1.10\";s:3:\"tag\";s:6:\"9.1.10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/9.1.10\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-9.1.10.tar.gz\";s:4:\"date\";s:10:\"1622828120\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.1.9\";a:10:{s:4:\"name\";s:12:\"drupal 9.1.9\";s:7:\"version\";s:5:\"9.1.9\";s:3:\"tag\";s:5:\"9.1.9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.1.9\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.1.9.tar.gz\";s:4:\"date\";s:10:\"1622056478\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.1.8\";a:10:{s:4:\"name\";s:12:\"drupal 9.1.8\";s:7:\"version\";s:5:\"9.1.8\";s:3:\"tag\";s:5:\"9.1.8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.1.8\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.1.8.tar.gz\";s:4:\"date\";s:10:\"1620214182\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.1.7\";a:10:{s:4:\"name\";s:12:\"drupal 9.1.7\";s:7:\"version\";s:5:\"9.1.7\";s:3:\"tag\";s:5:\"9.1.7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.1.7\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.1.7.tar.gz\";s:4:\"date\";s:10:\"1619022156\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.1.6\";a:10:{s:4:\"name\";s:12:\"drupal 9.1.6\";s:7:\"version\";s:5:\"9.1.6\";s:3:\"tag\";s:5:\"9.1.6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.1.6\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.1.6.tar.gz\";s:4:\"date\";s:10:\"1617795446\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.1.5\";a:10:{s:4:\"name\";s:12:\"drupal 9.1.5\";s:7:\"version\";s:5:\"9.1.5\";s:3:\"tag\";s:5:\"9.1.5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.1.5\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.1.5.tar.gz\";s:4:\"date\";s:10:\"1614869503\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.1.4\";a:10:{s:4:\"name\";s:12:\"drupal 9.1.4\";s:7:\"version\";s:5:\"9.1.4\";s:3:\"tag\";s:5:\"9.1.4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.1.4\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.1.4.tar.gz\";s:4:\"date\";s:10:\"1612380948\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.1.3\";a:10:{s:4:\"name\";s:12:\"drupal 9.1.3\";s:7:\"version\";s:5:\"9.1.3\";s:3:\"tag\";s:5:\"9.1.3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.1.3\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.1.3.tar.gz\";s:4:\"date\";s:10:\"1611161215\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.1.2\";a:10:{s:4:\"name\";s:12:\"drupal 9.1.2\";s:7:\"version\";s:5:\"9.1.2\";s:3:\"tag\";s:5:\"9.1.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.1.2\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.1.2.tar.gz\";s:4:\"date\";s:10:\"1609984407\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:8:\"Insecure\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.1.1\";a:10:{s:4:\"name\";s:12:\"drupal 9.1.1\";s:7:\"version\";s:5:\"9.1.1\";s:3:\"tag\";s:5:\"9.1.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.1.1\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.1.1.tar.gz\";s:4:\"date\";s:10:\"1609979034\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.1.0\";a:10:{s:4:\"name\";s:12:\"drupal 9.1.0\";s:7:\"version\";s:5:\"9.1.0\";s:3:\"tag\";s:5:\"9.1.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.1.0\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.1.0.tar.gz\";s:4:\"date\";s:10:\"1606933254\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:9:\"9.1.0-rc3\";a:10:{s:4:\"name\";s:16:\"drupal 9.1.0-rc3\";s:7:\"version\";s:9:\"9.1.0-rc3\";s:3:\"tag\";s:9:\"9.1.0-rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/9.1.0-rc3\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-9.1.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1606357271\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:9:\"9.1.0-rc2\";a:10:{s:4:\"name\";s:16:\"drupal 9.1.0-rc2\";s:7:\"version\";s:9:\"9.1.0-rc2\";s:3:\"tag\";s:9:\"9.1.0-rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/9.1.0-rc2\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-9.1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1606332982\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:9:\"9.1.0-rc1\";a:10:{s:4:\"name\";s:16:\"drupal 9.1.0-rc1\";s:7:\"version\";s:9:\"9.1.0-rc1\";s:3:\"tag\";s:9:\"9.1.0-rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/9.1.0-rc1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-9.1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1605722782\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:4:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";i:3;s:8:\"Insecure\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"9.1.0-beta1\";a:10:{s:4:\"name\";s:18:\"drupal 9.1.0-beta1\";s:7:\"version\";s:11:\"9.1.0-beta1\";s:3:\"tag\";s:11:\"9.1.0-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/9.1.0-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-9.1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1604672644\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:12:\"9.1.0-alpha1\";a:10:{s:4:\"name\";s:19:\"drupal 9.1.0-alpha1\";s:7:\"version\";s:12:\"9.1.0-alpha1\";s:3:\"tag\";s:12:\"9.1.0-alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/drupal/releases/9.1.0-alpha1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/drupal-9.1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1603466665\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:6:\"9.0.14\";a:10:{s:4:\"name\";s:13:\"drupal 9.0.14\";s:7:\"version\";s:6:\"9.0.14\";s:3:\"tag\";s:6:\"9.0.14\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/9.0.14\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-9.0.14.tar.gz\";s:4:\"date\";s:10:\"1622055778\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"9.0.13\";a:10:{s:4:\"name\";s:13:\"drupal 9.0.13\";s:7:\"version\";s:6:\"9.0.13\";s:3:\"tag\";s:6:\"9.0.13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/9.0.13\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-9.0.13.tar.gz\";s:4:\"date\";s:10:\"1620218506\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"9.0.12\";a:10:{s:4:\"name\";s:13:\"drupal 9.0.12\";s:7:\"version\";s:6:\"9.0.12\";s:3:\"tag\";s:6:\"9.0.12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/9.0.12\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-9.0.12.tar.gz\";s:4:\"date\";s:10:\"1619020951\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"9.0.11\";a:10:{s:4:\"name\";s:13:\"drupal 9.0.11\";s:7:\"version\";s:6:\"9.0.11\";s:3:\"tag\";s:6:\"9.0.11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/9.0.11\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-9.0.11.tar.gz\";s:4:\"date\";s:10:\"1611161749\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"9.0.10\";a:10:{s:4:\"name\";s:13:\"drupal 9.0.10\";s:7:\"version\";s:6:\"9.0.10\";s:3:\"tag\";s:6:\"9.0.10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/9.0.10\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-9.0.10.tar.gz\";s:4:\"date\";s:10:\"1607029536\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.0.9\";a:10:{s:4:\"name\";s:12:\"drupal 9.0.9\";s:7:\"version\";s:5:\"9.0.9\";s:3:\"tag\";s:5:\"9.0.9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.0.9\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.0.9.tar.gz\";s:4:\"date\";s:10:\"1606359757\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.0.8\";a:10:{s:4:\"name\";s:12:\"drupal 9.0.8\";s:7:\"version\";s:5:\"9.0.8\";s:3:\"tag\";s:5:\"9.0.8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.0.8\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.0.8.tar.gz\";s:4:\"date\";s:10:\"1605720638\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.0.7\";a:10:{s:4:\"name\";s:12:\"drupal 9.0.7\";s:7:\"version\";s:5:\"9.0.7\";s:3:\"tag\";s:5:\"9.0.7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.0.7\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.0.7.tar.gz\";s:4:\"date\";s:10:\"1602100055\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.0.6\";a:10:{s:4:\"name\";s:12:\"drupal 9.0.6\";s:7:\"version\";s:5:\"9.0.6\";s:3:\"tag\";s:5:\"9.0.6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.0.6\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.0.6.tar.gz\";s:4:\"date\";s:10:\"1600275813\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.0.5\";a:10:{s:4:\"name\";s:12:\"drupal 9.0.5\";s:7:\"version\";s:5:\"9.0.5\";s:3:\"tag\";s:5:\"9.0.5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.0.5\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.0.5.tar.gz\";s:4:\"date\";s:10:\"1599167739\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.0.4\";a:10:{s:4:\"name\";s:12:\"drupal 9.0.4\";s:7:\"version\";s:5:\"9.0.4\";s:3:\"tag\";s:5:\"9.0.4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.0.4\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.0.4.tar.gz\";s:4:\"date\";s:10:\"1599046734\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.0.3\";a:10:{s:4:\"name\";s:12:\"drupal 9.0.3\";s:7:\"version\";s:5:\"9.0.3\";s:3:\"tag\";s:5:\"9.0.3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.0.3\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.0.3.tar.gz\";s:4:\"date\";s:10:\"1596664575\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.0.2\";a:10:{s:4:\"name\";s:12:\"drupal 9.0.2\";s:7:\"version\";s:5:\"9.0.2\";s:3:\"tag\";s:5:\"9.0.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.0.2\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.0.2.tar.gz\";s:4:\"date\";s:10:\"1594237418\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.0.1\";a:10:{s:4:\"name\";s:12:\"drupal 9.0.1\";s:7:\"version\";s:5:\"9.0.1\";s:3:\"tag\";s:5:\"9.0.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.0.1\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.0.1.tar.gz\";s:4:\"date\";s:10:\"1592417721\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"9.0.0\";a:10:{s:4:\"name\";s:12:\"drupal 9.0.0\";s:7:\"version\";s:5:\"9.0.0\";s:3:\"tag\";s:5:\"9.0.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/9.0.0\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-9.0.0.tar.gz\";s:4:\"date\";s:10:\"1591221685\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:8:\"Insecure\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:9:\"9.0.0-rc1\";a:10:{s:4:\"name\";s:16:\"drupal 9.0.0-rc1\";s:7:\"version\";s:9:\"9.0.0-rc1\";s:3:\"tag\";s:9:\"9.0.0-rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/9.0.0-rc1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-9.0.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1590187579\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"9.0.0-beta3\";a:10:{s:4:\"name\";s:18:\"drupal 9.0.0-beta3\";s:7:\"version\";s:11:\"9.0.0-beta3\";s:3:\"tag\";s:11:\"9.0.0-beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/9.0.0-beta3\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-9.0.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1589587936\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:11:\"9.0.0-beta2\";a:10:{s:4:\"name\";s:18:\"drupal 9.0.0-beta2\";s:7:\"version\";s:11:\"9.0.0-beta2\";s:3:\"tag\";s:11:\"9.0.0-beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/9.0.0-beta2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-9.0.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1585597395\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:11:\"9.0.0-beta1\";a:10:{s:4:\"name\";s:18:\"drupal 9.0.0-beta1\";s:7:\"version\";s:11:\"9.0.0-beta1\";s:3:\"tag\";s:11:\"9.0.0-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/9.0.0-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-9.0.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1584734060\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:12:\"9.0.0-alpha2\";a:10:{s:4:\"name\";s:19:\"drupal 9.0.0-alpha2\";s:7:\"version\";s:12:\"9.0.0-alpha2\";s:3:\"tag\";s:12:\"9.0.0-alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/drupal/releases/9.0.0-alpha2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/drupal-9.0.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1583349043\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:12:\"9.0.0-alpha1\";a:10:{s:4:\"name\";s:19:\"drupal 9.0.0-alpha1\";s:7:\"version\";s:12:\"9.0.0-alpha1\";s:3:\"tag\";s:12:\"9.0.0-alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/drupal/releases/9.0.0-alpha1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/drupal-9.0.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1581447927\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:6:\"8.9.19\";a:10:{s:4:\"name\";s:13:\"drupal 8.9.19\";s:7:\"version\";s:6:\"8.9.19\";s:3:\"tag\";s:6:\"8.9.19\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.9.19\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.9.19.tar.gz\";s:4:\"date\";s:10:\"1631722431\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"8.9.18\";a:10:{s:4:\"name\";s:13:\"drupal 8.9.18\";s:7:\"version\";s:6:\"8.9.18\";s:3:\"tag\";s:6:\"8.9.18\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.9.18\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.9.18.tar.gz\";s:4:\"date\";s:10:\"1628792296\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"8.9.17\";a:10:{s:4:\"name\";s:13:\"drupal 8.9.17\";s:7:\"version\";s:6:\"8.9.17\";s:3:\"tag\";s:6:\"8.9.17\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.9.17\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.9.17.tar.gz\";s:4:\"date\";s:10:\"1626883324\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"8.9.16\";a:10:{s:4:\"name\";s:13:\"drupal 8.9.16\";s:7:\"version\";s:6:\"8.9.16\";s:3:\"tag\";s:6:\"8.9.16\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.9.16\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.9.16.tar.gz\";s:4:\"date\";s:10:\"1622058087\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"8.9.15\";a:10:{s:4:\"name\";s:13:\"drupal 8.9.15\";s:7:\"version\";s:6:\"8.9.15\";s:3:\"tag\";s:6:\"8.9.15\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.9.15\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.9.15.tar.gz\";s:4:\"date\";s:10:\"1620216983\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"8.9.14\";a:10:{s:4:\"name\";s:13:\"drupal 8.9.14\";s:7:\"version\";s:6:\"8.9.14\";s:3:\"tag\";s:6:\"8.9.14\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.9.14\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.9.14.tar.gz\";s:4:\"date\";s:10:\"1619021518\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"8.9.13\";a:10:{s:4:\"name\";s:13:\"drupal 8.9.13\";s:7:\"version\";s:6:\"8.9.13\";s:3:\"tag\";s:6:\"8.9.13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.9.13\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.9.13.tar.gz\";s:4:\"date\";s:10:\"1611162272\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"8.9.12\";a:10:{s:4:\"name\";s:13:\"drupal 8.9.12\";s:7:\"version\";s:6:\"8.9.12\";s:3:\"tag\";s:6:\"8.9.12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.9.12\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.9.12.tar.gz\";s:4:\"date\";s:10:\"1609977009\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"8.9.11\";a:10:{s:4:\"name\";s:13:\"drupal 8.9.11\";s:7:\"version\";s:6:\"8.9.11\";s:3:\"tag\";s:6:\"8.9.11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.9.11\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.9.11.tar.gz\";s:4:\"date\";s:10:\"1607030087\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"8.9.10\";a:10:{s:4:\"name\";s:13:\"drupal 8.9.10\";s:7:\"version\";s:6:\"8.9.10\";s:3:\"tag\";s:6:\"8.9.10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.9.10\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.9.10.tar.gz\";s:4:\"date\";s:10:\"1606360301\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.9.9\";a:10:{s:4:\"name\";s:12:\"drupal 8.9.9\";s:7:\"version\";s:5:\"8.9.9\";s:3:\"tag\";s:5:\"8.9.9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.9.9\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.9.9.tar.gz\";s:4:\"date\";s:10:\"1605721120\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.9.8\";a:10:{s:4:\"name\";s:12:\"drupal 8.9.8\";s:7:\"version\";s:5:\"8.9.8\";s:3:\"tag\";s:5:\"8.9.8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.9.8\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.9.8.tar.gz\";s:4:\"date\";s:10:\"1604595269\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.9.7\";a:10:{s:4:\"name\";s:12:\"drupal 8.9.7\";s:7:\"version\";s:5:\"8.9.7\";s:3:\"tag\";s:5:\"8.9.7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.9.7\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.9.7.tar.gz\";s:4:\"date\";s:10:\"1602100507\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.9.6\";a:10:{s:4:\"name\";s:12:\"drupal 8.9.6\";s:7:\"version\";s:5:\"8.9.6\";s:3:\"tag\";s:5:\"8.9.6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.9.6\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.9.6.tar.gz\";s:4:\"date\";s:10:\"1600276267\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.9.5\";a:10:{s:4:\"name\";s:12:\"drupal 8.9.5\";s:7:\"version\";s:5:\"8.9.5\";s:3:\"tag\";s:5:\"8.9.5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.9.5\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.9.5.tar.gz\";s:4:\"date\";s:10:\"1599168205\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.9.4\";a:10:{s:4:\"name\";s:12:\"drupal 8.9.4\";s:7:\"version\";s:5:\"8.9.4\";s:3:\"tag\";s:5:\"8.9.4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.9.4\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.9.4.tar.gz\";s:4:\"date\";s:10:\"1599047691\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.9.3\";a:10:{s:4:\"name\";s:12:\"drupal 8.9.3\";s:7:\"version\";s:5:\"8.9.3\";s:3:\"tag\";s:5:\"8.9.3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.9.3\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.9.3.tar.gz\";s:4:\"date\";s:10:\"1596665051\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.9.2\";a:10:{s:4:\"name\";s:12:\"drupal 8.9.2\";s:7:\"version\";s:5:\"8.9.2\";s:3:\"tag\";s:5:\"8.9.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.9.2\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.9.2.tar.gz\";s:4:\"date\";s:10:\"1594237961\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.9.1\";a:10:{s:4:\"name\";s:12:\"drupal 8.9.1\";s:7:\"version\";s:5:\"8.9.1\";s:3:\"tag\";s:5:\"8.9.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.9.1\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.9.1.tar.gz\";s:4:\"date\";s:10:\"1592418237\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.9.0\";a:10:{s:4:\"name\";s:12:\"drupal 8.9.0\";s:7:\"version\";s:5:\"8.9.0\";s:3:\"tag\";s:5:\"8.9.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.9.0\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.9.0.tar.gz\";s:4:\"date\";s:10:\"1591204117\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:8:\"Insecure\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:9:\"8.9.0-rc1\";a:10:{s:4:\"name\";s:16:\"drupal 8.9.0-rc1\";s:7:\"version\";s:9:\"8.9.0-rc1\";s:3:\"tag\";s:9:\"8.9.0-rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/8.9.0-rc1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-8.9.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1590189096\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"8.9.0-beta3\";a:10:{s:4:\"name\";s:18:\"drupal 8.9.0-beta3\";s:7:\"version\";s:11:\"8.9.0-beta3\";s:3:\"tag\";s:11:\"8.9.0-beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/8.9.0-beta3\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-8.9.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1589746375\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:11:\"8.9.0-beta2\";a:10:{s:4:\"name\";s:18:\"drupal 8.9.0-beta2\";s:7:\"version\";s:11:\"8.9.0-beta2\";s:3:\"tag\";s:11:\"8.9.0-beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/8.9.0-beta2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-8.9.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1585863226\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:11:\"8.9.0-beta1\";a:10:{s:4:\"name\";s:18:\"drupal 8.9.0-beta1\";s:7:\"version\";s:11:\"8.9.0-beta1\";s:3:\"tag\";s:11:\"8.9.0-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/8.9.0-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-8.9.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1585263710\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:8:\"Insecure\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:6:\"8.8.12\";a:10:{s:4:\"name\";s:13:\"drupal 8.8.12\";s:7:\"version\";s:6:\"8.8.12\";s:3:\"tag\";s:6:\"8.8.12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.8.12\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.8.12.tar.gz\";s:4:\"date\";s:10:\"1606360866\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"8.8.11\";a:10:{s:4:\"name\";s:13:\"drupal 8.8.11\";s:7:\"version\";s:6:\"8.8.11\";s:3:\"tag\";s:6:\"8.8.11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.8.11\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.8.11.tar.gz\";s:4:\"date\";s:10:\"1605721628\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"8.8.10\";a:10:{s:4:\"name\";s:13:\"drupal 8.8.10\";s:7:\"version\";s:6:\"8.8.10\";s:3:\"tag\";s:6:\"8.8.10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.8.10\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.8.10.tar.gz\";s:4:\"date\";s:10:\"1600276704\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.8.9\";a:10:{s:4:\"name\";s:12:\"drupal 8.8.9\";s:7:\"version\";s:5:\"8.8.9\";s:3:\"tag\";s:5:\"8.8.9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.8.9\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.8.9.tar.gz\";s:4:\"date\";s:10:\"1599168716\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.8.8\";a:10:{s:4:\"name\";s:12:\"drupal 8.8.8\";s:7:\"version\";s:5:\"8.8.8\";s:3:\"tag\";s:5:\"8.8.8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.8.8\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.8.8.tar.gz\";s:4:\"date\";s:10:\"1592418750\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.8.7\";a:10:{s:4:\"name\";s:12:\"drupal 8.8.7\";s:7:\"version\";s:5:\"8.8.7\";s:3:\"tag\";s:5:\"8.8.7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.8.7\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.8.7.tar.gz\";s:4:\"date\";s:10:\"1591203837\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.8.6\";a:10:{s:4:\"name\";s:12:\"drupal 8.8.6\";s:7:\"version\";s:5:\"8.8.6\";s:3:\"tag\";s:5:\"8.8.6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.8.6\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.8.6.tar.gz\";s:4:\"date\";s:10:\"1589989060\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.8.5\";a:10:{s:4:\"name\";s:12:\"drupal 8.8.5\";s:7:\"version\";s:5:\"8.8.5\";s:3:\"tag\";s:5:\"8.8.5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.8.5\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.8.5.tar.gz\";s:4:\"date\";s:10:\"1585861530\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.8.4\";a:10:{s:4:\"name\";s:12:\"drupal 8.8.4\";s:7:\"version\";s:5:\"8.8.4\";s:3:\"tag\";s:5:\"8.8.4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.8.4\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.8.4.tar.gz\";s:4:\"date\";s:10:\"1584560524\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.8.3\";a:10:{s:4:\"name\";s:12:\"drupal 8.8.3\";s:7:\"version\";s:5:\"8.8.3\";s:3:\"tag\";s:5:\"8.8.3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.8.3\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.8.3.tar.gz\";s:4:\"date\";s:10:\"1583347094\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.8.2\";a:10:{s:4:\"name\";s:12:\"drupal 8.8.2\";s:7:\"version\";s:5:\"8.8.2\";s:3:\"tag\";s:5:\"8.8.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.8.2\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.8.2.tar.gz\";s:4:\"date\";s:10:\"1580598849\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.8.1\";a:10:{s:4:\"name\";s:12:\"drupal 8.8.1\";s:7:\"version\";s:5:\"8.8.1\";s:3:\"tag\";s:5:\"8.8.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.8.1\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.8.1.tar.gz\";s:4:\"date\";s:10:\"1576695785\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.8.0\";a:10:{s:4:\"name\";s:12:\"drupal 8.8.0\";s:7:\"version\";s:5:\"8.8.0\";s:3:\"tag\";s:5:\"8.8.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.8.0\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.8.0.tar.gz\";s:4:\"date\";s:10:\"1575450481\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:8:\"Insecure\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:9:\"8.8.0-rc1\";a:10:{s:4:\"name\";s:16:\"drupal 8.8.0-rc1\";s:7:\"version\";s:9:\"8.8.0-rc1\";s:3:\"tag\";s:9:\"8.8.0-rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/8.8.0-rc1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-8.8.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1574462580\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"8.8.0-beta1\";a:10:{s:4:\"name\";s:18:\"drupal 8.8.0-beta1\";s:7:\"version\";s:11:\"8.8.0-beta1\";s:3:\"tag\";s:11:\"8.8.0-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/8.8.0-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-8.8.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1573256280\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:12:\"8.8.0-alpha1\";a:10:{s:4:\"name\";s:19:\"drupal 8.8.0-alpha1\";s:7:\"version\";s:12:\"8.8.0-alpha1\";s:3:\"tag\";s:12:\"8.8.0-alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/drupal/releases/8.8.0-alpha1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/drupal-8.8.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1571355784\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:6:\"8.7.14\";a:10:{s:4:\"name\";s:13:\"drupal 8.7.14\";s:7:\"version\";s:6:\"8.7.14\";s:3:\"tag\";s:6:\"8.7.14\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.7.14\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.7.14.tar.gz\";s:4:\"date\";s:10:\"1589988665\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"8.7.13\";a:10:{s:4:\"name\";s:13:\"drupal 8.7.13\";s:7:\"version\";s:6:\"8.7.13\";s:3:\"tag\";s:6:\"8.7.13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.7.13\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.7.13.tar.gz\";s:4:\"date\";s:10:\"1585861883\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"8.7.12\";a:10:{s:4:\"name\";s:13:\"drupal 8.7.12\";s:7:\"version\";s:6:\"8.7.12\";s:3:\"tag\";s:6:\"8.7.12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.7.12\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.7.12.tar.gz\";s:4:\"date\";s:10:\"1584552250\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"8.7.11\";a:10:{s:4:\"name\";s:13:\"drupal 8.7.11\";s:7:\"version\";s:6:\"8.7.11\";s:3:\"tag\";s:6:\"8.7.11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.7.11\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.7.11.tar.gz\";s:4:\"date\";s:10:\"1576695785\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"8.7.10\";a:10:{s:4:\"name\";s:13:\"drupal 8.7.10\";s:7:\"version\";s:6:\"8.7.10\";s:3:\"tag\";s:6:\"8.7.10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.7.10\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.7.10.tar.gz\";s:4:\"date\";s:10:\"1573687985\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.7.9\";a:10:{s:4:\"name\";s:12:\"drupal 8.7.9\";s:7:\"version\";s:5:\"8.7.9\";s:3:\"tag\";s:5:\"8.7.9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.7.9\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.7.9.tar.gz\";s:4:\"date\";s:10:\"1573063387\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.7.8\";a:10:{s:4:\"name\";s:12:\"drupal 8.7.8\";s:7:\"version\";s:5:\"8.7.8\";s:3:\"tag\";s:5:\"8.7.8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.7.8\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.7.8.tar.gz\";s:4:\"date\";s:10:\"1570044484\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.7.7\";a:10:{s:4:\"name\";s:12:\"drupal 8.7.7\";s:7:\"version\";s:5:\"8.7.7\";s:3:\"tag\";s:5:\"8.7.7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.7.7\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.7.7.tar.gz\";s:4:\"date\";s:10:\"1567593185\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.7.6\";a:10:{s:4:\"name\";s:12:\"drupal 8.7.6\";s:7:\"version\";s:5:\"8.7.6\";s:3:\"tag\";s:5:\"8.7.6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.7.6\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.7.6.tar.gz\";s:4:\"date\";s:10:\"1565206385\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.7.5\";a:10:{s:4:\"name\";s:12:\"drupal 8.7.5\";s:7:\"version\";s:5:\"8.7.5\";s:3:\"tag\";s:5:\"8.7.5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.7.5\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.7.5.tar.gz\";s:4:\"date\";s:10:\"1563380885\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.7.4\";a:10:{s:4:\"name\";s:12:\"drupal 8.7.4\";s:7:\"version\";s:5:\"8.7.4\";s:3:\"tag\";s:5:\"8.7.4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.7.4\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.7.4.tar.gz\";s:4:\"date\";s:10:\"1562225587\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.7.3\";a:10:{s:4:\"name\";s:12:\"drupal 8.7.3\";s:7:\"version\";s:5:\"8.7.3\";s:3:\"tag\";s:5:\"8.7.3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.7.3\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.7.3.tar.gz\";s:4:\"date\";s:10:\"1559762581\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.7.2\";a:10:{s:4:\"name\";s:12:\"drupal 8.7.2\";s:7:\"version\";s:5:\"8.7.2\";s:3:\"tag\";s:5:\"8.7.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.7.2\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.7.2.tar.gz\";s:4:\"date\";s:10:\"1558597086\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.7.1\";a:10:{s:4:\"name\";s:12:\"drupal 8.7.1\";s:7:\"version\";s:5:\"8.7.1\";s:3:\"tag\";s:5:\"8.7.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.7.1\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.7.1.tar.gz\";s:4:\"date\";s:10:\"1557335588\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.7.0\";a:10:{s:4:\"name\";s:12:\"drupal 8.7.0\";s:7:\"version\";s:5:\"8.7.0\";s:3:\"tag\";s:5:\"8.7.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.7.0\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.7.0.tar.gz\";s:4:\"date\";s:10:\"1556737085\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:9:\"8.7.0-rc1\";a:10:{s:4:\"name\";s:16:\"drupal 8.7.0-rc1\";s:7:\"version\";s:9:\"8.7.0-rc1\";s:3:\"tag\";s:9:\"8.7.0-rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/8.7.0-rc1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-8.7.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1555603385\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:4:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";i:3;s:8:\"Insecure\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"8.7.0-beta2\";a:10:{s:4:\"name\";s:18:\"drupal 8.7.0-beta2\";s:7:\"version\";s:11:\"8.7.0-beta2\";s:3:\"tag\";s:11:\"8.7.0-beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/8.7.0-beta2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-8.7.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1554684784\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:8:\"Insecure\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:11:\"8.7.0-beta1\";a:10:{s:4:\"name\";s:18:\"drupal 8.7.0-beta1\";s:7:\"version\";s:11:\"8.7.0-beta1\";s:3:\"tag\";s:11:\"8.7.0-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/8.7.0-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-8.7.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1553881681\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:12:\"8.7.0-alpha2\";a:10:{s:4:\"name\";s:19:\"drupal 8.7.0-alpha2\";s:7:\"version\";s:12:\"8.7.0-alpha2\";s:3:\"tag\";s:12:\"8.7.0-alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/drupal/releases/8.7.0-alpha2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/drupal-8.7.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1553106180\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:12:\"8.7.0-alpha1\";a:10:{s:4:\"name\";s:19:\"drupal 8.7.0-alpha1\";s:7:\"version\";s:12:\"8.7.0-alpha1\";s:3:\"tag\";s:12:\"8.7.0-alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/drupal/releases/8.7.0-alpha1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/drupal-8.7.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1552602484\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:6:\"8.6.18\";a:10:{s:4:\"name\";s:13:\"drupal 8.6.18\";s:7:\"version\";s:6:\"8.6.18\";s:3:\"tag\";s:6:\"8.6.18\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.6.18\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.6.18.tar.gz\";s:4:\"date\";s:10:\"1573687985\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"8.6.17\";a:10:{s:4:\"name\";s:13:\"drupal 8.6.17\";s:7:\"version\";s:6:\"8.6.17\";s:3:\"tag\";s:6:\"8.6.17\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.6.17\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.6.17.tar.gz\";s:4:\"date\";s:10:\"1560756785\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"8.6.16\";a:10:{s:4:\"name\";s:13:\"drupal 8.6.16\";s:7:\"version\";s:6:\"8.6.16\";s:3:\"tag\";s:6:\"8.6.16\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.6.16\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.6.16.tar.gz\";s:4:\"date\";s:10:\"1557335588\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"8.6.15\";a:10:{s:4:\"name\";s:13:\"drupal 8.6.15\";s:7:\"version\";s:6:\"8.6.15\";s:3:\"tag\";s:6:\"8.6.15\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.6.15\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.6.15.tar.gz\";s:4:\"date\";s:10:\"1555533181\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:8:\"Insecure\";i:1;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"8.6.14\";a:10:{s:4:\"name\";s:13:\"drupal 8.6.14\";s:7:\"version\";s:6:\"8.6.14\";s:3:\"tag\";s:6:\"8.6.14\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.6.14\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.6.14.tar.gz\";s:4:\"date\";s:10:\"1554688384\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:8:\"Insecure\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"8.6.13\";a:10:{s:4:\"name\";s:13:\"drupal 8.6.13\";s:7:\"version\";s:6:\"8.6.13\";s:3:\"tag\";s:6:\"8.6.13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.6.13\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.6.13.tar.gz\";s:4:\"date\";s:10:\"1553099584\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"8.6.12\";a:10:{s:4:\"name\";s:13:\"drupal 8.6.12\";s:7:\"version\";s:6:\"8.6.12\";s:3:\"tag\";s:6:\"8.6.12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.6.12\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.6.12.tar.gz\";s:4:\"date\";s:10:\"1552601584\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"8.6.11\";a:10:{s:4:\"name\";s:13:\"drupal 8.6.11\";s:7:\"version\";s:6:\"8.6.11\";s:3:\"tag\";s:6:\"8.6.11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.6.11\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.6.11.tar.gz\";s:4:\"date\";s:10:\"1552511584\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"8.6.10\";a:10:{s:4:\"name\";s:13:\"drupal 8.6.10\";s:7:\"version\";s:6:\"8.6.10\";s:3:\"tag\";s:6:\"8.6.10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.6.10\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.6.10.tar.gz\";s:4:\"date\";s:10:\"1550691784\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.6.9\";a:10:{s:4:\"name\";s:12:\"drupal 8.6.9\";s:7:\"version\";s:5:\"8.6.9\";s:3:\"tag\";s:5:\"8.6.9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.6.9\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.6.9.tar.gz\";s:4:\"date\";s:10:\"1549628580\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.6.8\";a:10:{s:4:\"name\";s:12:\"drupal 8.6.8\";s:7:\"version\";s:5:\"8.6.8\";s:3:\"tag\";s:5:\"8.6.8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.6.8\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.6.8.tar.gz\";s:4:\"date\";s:10:\"1549466580\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.6.7\";a:10:{s:4:\"name\";s:12:\"drupal 8.6.7\";s:7:\"version\";s:5:\"8.6.7\";s:3:\"tag\";s:5:\"8.6.7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.6.7\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.6.7.tar.gz\";s:4:\"date\";s:10:\"1547682180\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.6.6\";a:10:{s:4:\"name\";s:12:\"drupal 8.6.6\";s:7:\"version\";s:5:\"8.6.6\";s:3:\"tag\";s:5:\"8.6.6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.6.6\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.6.6.tar.gz\";s:4:\"date\";s:10:\"1547663557\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.6.5\";a:10:{s:4:\"name\";s:12:\"drupal 8.6.5\";s:7:\"version\";s:5:\"8.6.5\";s:3:\"tag\";s:5:\"8.6.5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.6.5\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.6.5.tar.gz\";s:4:\"date\";s:10:\"1546467485\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.6.4\";a:10:{s:4:\"name\";s:12:\"drupal 8.6.4\";s:7:\"version\";s:5:\"8.6.4\";s:3:\"tag\";s:5:\"8.6.4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.6.4\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.6.4.tar.gz\";s:4:\"date\";s:10:\"1544011681\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.6.3\";a:10:{s:4:\"name\";s:12:\"drupal 8.6.3\";s:7:\"version\";s:5:\"8.6.3\";s:3:\"tag\";s:5:\"8.6.3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.6.3\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.6.3.tar.gz\";s:4:\"date\";s:10:\"1541602684\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.6.2\";a:10:{s:4:\"name\";s:12:\"drupal 8.6.2\";s:7:\"version\";s:5:\"8.6.2\";s:3:\"tag\";s:5:\"8.6.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.6.2\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.6.2.tar.gz\";s:4:\"date\";s:10:\"1539816180\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.6.1\";a:10:{s:4:\"name\";s:12:\"drupal 8.6.1\";s:7:\"version\";s:5:\"8.6.1\";s:3:\"tag\";s:5:\"8.6.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.6.1\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.6.1.tar.gz\";s:4:\"date\";s:10:\"1536585780\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.6.0\";a:10:{s:4:\"name\";s:12:\"drupal 8.6.0\";s:7:\"version\";s:5:\"8.6.0\";s:3:\"tag\";s:5:\"8.6.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.6.0\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.6.0.tar.gz\";s:4:\"date\";s:10:\"1536186480\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:9:\"8.6.0-rc1\";a:10:{s:4:\"name\";s:16:\"drupal 8.6.0-rc1\";s:7:\"version\";s:9:\"8.6.0-rc1\";s:3:\"tag\";s:9:\"8.6.0-rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/8.6.0-rc1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-8.6.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1534532580\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"8.6.0-beta2\";a:10:{s:4:\"name\";s:18:\"drupal 8.6.0-beta2\";s:7:\"version\";s:11:\"8.6.0-beta2\";s:3:\"tag\";s:11:\"8.6.0-beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/8.6.0-beta2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-8.6.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1533298080\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:11:\"8.6.0-beta1\";a:10:{s:4:\"name\";s:18:\"drupal 8.6.0-beta1\";s:7:\"version\";s:11:\"8.6.0-beta1\";s:3:\"tag\";s:11:\"8.6.0-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/8.6.0-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-8.6.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1533270485\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:8:\"Insecure\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:12:\"8.6.0-alpha1\";a:10:{s:4:\"name\";s:19:\"drupal 8.6.0-alpha1\";s:7:\"version\";s:12:\"8.6.0-alpha1\";s:3:\"tag\";s:12:\"8.6.0-alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/drupal/releases/8.6.0-alpha1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/drupal-8.6.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1532033881\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:8:\"Insecure\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:6:\"8.5.15\";a:10:{s:4:\"name\";s:13:\"drupal 8.5.15\";s:7:\"version\";s:6:\"8.5.15\";s:3:\"tag\";s:6:\"8.5.15\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.5.15\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.5.15.tar.gz\";s:4:\"date\";s:10:\"1555533181\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:8:\"Insecure\";i:1;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"8.5.14\";a:10:{s:4:\"name\";s:13:\"drupal 8.5.14\";s:7:\"version\";s:6:\"8.5.14\";s:3:\"tag\";s:6:\"8.5.14\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.5.14\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.5.14.tar.gz\";s:4:\"date\";s:10:\"1553099584\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:8:\"Insecure\";i:1;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"8.5.13\";a:10:{s:4:\"name\";s:13:\"drupal 8.5.13\";s:7:\"version\";s:6:\"8.5.13\";s:3:\"tag\";s:6:\"8.5.13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.5.13\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.5.13.tar.gz\";s:4:\"date\";s:10:\"1552601584\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:8:\"Insecure\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"8.5.12\";a:10:{s:4:\"name\";s:13:\"drupal 8.5.12\";s:7:\"version\";s:6:\"8.5.12\";s:3:\"tag\";s:6:\"8.5.12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.5.12\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.5.12.tar.gz\";s:4:\"date\";s:10:\"1552511584\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:8:\"Insecure\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"8.5.11\";a:10:{s:4:\"name\";s:13:\"drupal 8.5.11\";s:7:\"version\";s:6:\"8.5.11\";s:3:\"tag\";s:6:\"8.5.11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.5.11\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.5.11.tar.gz\";s:4:\"date\";s:10:\"1550691784\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:8:\"Insecure\";i:1;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:6:\"8.5.10\";a:10:{s:4:\"name\";s:13:\"drupal 8.5.10\";s:7:\"version\";s:6:\"8.5.10\";s:3:\"tag\";s:6:\"8.5.10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.5.10\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.5.10.tar.gz\";s:4:\"date\";s:10:\"1547682180\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:8:\"Insecure\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.5.9\";a:10:{s:4:\"name\";s:12:\"drupal 8.5.9\";s:7:\"version\";s:5:\"8.5.9\";s:3:\"tag\";s:5:\"8.5.9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.5.9\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.5.9.tar.gz\";s:4:\"date\";s:10:\"1547663557\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:8:\"Insecure\";i:1;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.5.8\";a:10:{s:4:\"name\";s:12:\"drupal 8.5.8\";s:7:\"version\";s:5:\"8.5.8\";s:3:\"tag\";s:5:\"8.5.8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.5.8\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.5.8.tar.gz\";s:4:\"date\";s:10:\"1539816180\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:8:\"Insecure\";i:1;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.5.7\";a:10:{s:4:\"name\";s:12:\"drupal 8.5.7\";s:7:\"version\";s:5:\"8.5.7\";s:3:\"tag\";s:5:\"8.5.7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.5.7\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.5.7.tar.gz\";s:4:\"date\";s:10:\"1536187080\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.5.6\";a:10:{s:4:\"name\";s:12:\"drupal 8.5.6\";s:7:\"version\";s:5:\"8.5.6\";s:3:\"tag\";s:5:\"8.5.6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.5.6\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.5.6.tar.gz\";s:4:\"date\";s:10:\"1533156780\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.5.5\";a:10:{s:4:\"name\";s:12:\"drupal 8.5.5\";s:7:\"version\";s:5:\"8.5.5\";s:3:\"tag\";s:5:\"8.5.5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.5.5\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.5.5.tar.gz\";s:4:\"date\";s:10:\"1530738820\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.5.4\";a:10:{s:4:\"name\";s:12:\"drupal 8.5.4\";s:7:\"version\";s:5:\"8.5.4\";s:3:\"tag\";s:5:\"8.5.4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.5.4\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.5.4.tar.gz\";s:4:\"date\";s:10:\"1528319584\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.5.3\";a:10:{s:4:\"name\";s:12:\"drupal 8.5.3\";s:7:\"version\";s:5:\"8.5.3\";s:3:\"tag\";s:5:\"8.5.3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.5.3\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.5.3.tar.gz\";s:4:\"date\";s:10:\"1524672780\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.5.2\";a:10:{s:4:\"name\";s:12:\"drupal 8.5.2\";s:7:\"version\";s:5:\"8.5.2\";s:3:\"tag\";s:5:\"8.5.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.5.2\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.5.2.tar.gz\";s:4:\"date\";s:10:\"1524073147\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.5.1\";a:10:{s:4:\"name\";s:12:\"drupal 8.5.1\";s:7:\"version\";s:5:\"8.5.1\";s:3:\"tag\";s:5:\"8.5.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.5.1\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.5.1.tar.gz\";s:4:\"date\";s:10:\"1522263480\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.5.0\";a:10:{s:4:\"name\";s:12:\"drupal 8.5.0\";s:7:\"version\";s:5:\"8.5.0\";s:3:\"tag\";s:5:\"8.5.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.5.0\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.5.0.tar.gz\";s:4:\"date\";s:10:\"1520457780\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:9:\"8.5.0-rc1\";a:10:{s:4:\"name\";s:16:\"drupal 8.5.0-rc1\";s:7:\"version\";s:9:\"8.5.0-rc1\";s:3:\"tag\";s:9:\"8.5.0-rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/8.5.0-rc1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-8.5.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1519234680\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:4:{i:0;s:8:\"Insecure\";i:1;s:15:\"Security update\";i:2;s:9:\"Bug fixes\";i:3;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"8.5.0-beta1\";a:10:{s:4:\"name\";s:18:\"drupal 8.5.0-beta1\";s:7:\"version\";s:11:\"8.5.0-beta1\";s:3:\"tag\";s:11:\"8.5.0-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/8.5.0-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-8.5.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1518211380\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:12:\"8.5.0-alpha1\";a:10:{s:4:\"name\";s:19:\"drupal 8.5.0-alpha1\";s:7:\"version\";s:12:\"8.5.0-alpha1\";s:3:\"tag\";s:12:\"8.5.0-alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/drupal/releases/8.5.0-alpha1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/drupal-8.5.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1516320484\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:5:\"8.4.8\";a:10:{s:4:\"name\";s:12:\"drupal 8.4.8\";s:7:\"version\";s:5:\"8.4.8\";s:3:\"tag\";s:5:\"8.4.8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.4.8\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.4.8.tar.gz\";s:4:\"date\";s:10:\"1524672780\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.4.7\";a:10:{s:4:\"name\";s:12:\"drupal 8.4.7\";s:7:\"version\";s:5:\"8.4.7\";s:3:\"tag\";s:5:\"8.4.7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.4.7\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.4.7.tar.gz\";s:4:\"date\";s:10:\"1524073147\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.4.6\";a:10:{s:4:\"name\";s:12:\"drupal 8.4.6\";s:7:\"version\";s:5:\"8.4.6\";s:3:\"tag\";s:5:\"8.4.6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.4.6\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.4.6.tar.gz\";s:4:\"date\";s:10:\"1522263480\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.4.5\";a:10:{s:4:\"name\";s:12:\"drupal 8.4.5\";s:7:\"version\";s:5:\"8.4.5\";s:3:\"tag\";s:5:\"8.4.5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.4.5\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.4.5.tar.gz\";s:4:\"date\";s:10:\"1519234680\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:8:\"Insecure\";i:1;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.4.4\";a:10:{s:4:\"name\";s:12:\"drupal 8.4.4\";s:7:\"version\";s:5:\"8.4.4\";s:3:\"tag\";s:5:\"8.4.4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.4.4\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.4.4.tar.gz\";s:4:\"date\";s:10:\"1515021185\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.4.3\";a:10:{s:4:\"name\";s:12:\"drupal 8.4.3\";s:7:\"version\";s:5:\"8.4.3\";s:3:\"tag\";s:5:\"8.4.3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.4.3\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.4.3.tar.gz\";s:4:\"date\";s:10:\"1512600784\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.4.2\";a:10:{s:4:\"name\";s:12:\"drupal 8.4.2\";s:7:\"version\";s:5:\"8.4.2\";s:3:\"tag\";s:5:\"8.4.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.4.2\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.4.2.tar.gz\";s:4:\"date\";s:10:\"1509719885\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.4.1\";a:10:{s:4:\"name\";s:12:\"drupal 8.4.1\";s:7:\"version\";s:5:\"8.4.1\";s:3:\"tag\";s:5:\"8.4.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.4.1\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.4.1.tar.gz\";s:4:\"date\";s:10:\"1509562384\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.4.0\";a:10:{s:4:\"name\";s:12:\"drupal 8.4.0\";s:7:\"version\";s:5:\"8.4.0\";s:3:\"tag\";s:5:\"8.4.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.4.0\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.4.0.tar.gz\";s:4:\"date\";s:10:\"1507146244\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:9:\"8.4.0-rc2\";a:10:{s:4:\"name\";s:16:\"drupal 8.4.0-rc2\";s:7:\"version\";s:9:\"8.4.0-rc2\";s:3:\"tag\";s:9:\"8.4.0-rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/8.4.0-rc2\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-8.4.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1505911444\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:8:\"Insecure\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:9:\"8.4.0-rc1\";a:10:{s:4:\"name\";s:16:\"drupal 8.4.0-rc1\";s:7:\"version\";s:9:\"8.4.0-rc1\";s:3:\"tag\";s:9:\"8.4.0-rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/8.4.0-rc1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-8.4.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1504733043\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"8.4.0-beta1\";a:10:{s:4:\"name\";s:18:\"drupal 8.4.0-beta1\";s:7:\"version\";s:11:\"8.4.0-beta1\";s:3:\"tag\";s:11:\"8.4.0-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/8.4.0-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-8.4.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1502992144\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:12:\"8.4.0-alpha1\";a:10:{s:4:\"name\";s:19:\"drupal 8.4.0-alpha1\";s:7:\"version\";s:12:\"8.4.0-alpha1\";s:3:\"tag\";s:12:\"8.4.0-alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/drupal/releases/8.4.0-alpha1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/drupal-8.4.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1501790944\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:5:\"8.3.9\";a:10:{s:4:\"name\";s:12:\"drupal 8.3.9\";s:7:\"version\";s:5:\"8.3.9\";s:3:\"tag\";s:5:\"8.3.9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.3.9\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.3.9.tar.gz\";s:4:\"date\";s:10:\"1522263480\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.3.8\";a:10:{s:4:\"name\";s:12:\"drupal 8.3.8\";s:7:\"version\";s:5:\"8.3.8\";s:3:\"tag\";s:5:\"8.3.8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.3.8\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.3.8.tar.gz\";s:4:\"date\";s:10:\"1520881985\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:8:\"Insecure\";i:1;s:15:\"Security update\";i:2;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.3.7\";a:10:{s:4:\"name\";s:12:\"drupal 8.3.7\";s:7:\"version\";s:5:\"8.3.7\";s:3:\"tag\";s:5:\"8.3.7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.3.7\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.3.7.tar.gz\";s:4:\"date\";s:10:\"1502903903\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:8:\"Insecure\";i:1;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.3.6\";a:10:{s:4:\"name\";s:12:\"drupal 8.3.6\";s:7:\"version\";s:5:\"8.3.6\";s:3:\"tag\";s:5:\"8.3.6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.3.6\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.3.6.tar.gz\";s:4:\"date\";s:10:\"1501688043\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.3.5\";a:10:{s:4:\"name\";s:12:\"drupal 8.3.5\";s:7:\"version\";s:5:\"8.3.5\";s:3:\"tag\";s:5:\"8.3.5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.3.5\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.3.5.tar.gz\";s:4:\"date\";s:10:\"1499274843\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.3.4\";a:10:{s:4:\"name\";s:12:\"drupal 8.3.4\";s:7:\"version\";s:5:\"8.3.4\";s:3:\"tag\";s:5:\"8.3.4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.3.4\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.3.4.tar.gz\";s:4:\"date\";s:10:\"1498069442\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.3.3\";a:10:{s:4:\"name\";s:12:\"drupal 8.3.3\";s:7:\"version\";s:5:\"8.3.3\";s:3:\"tag\";s:5:\"8.3.3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.3.3\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.3.3.tar.gz\";s:4:\"date\";s:10:\"1496858041\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.3.2\";a:10:{s:4:\"name\";s:12:\"drupal 8.3.2\";s:7:\"version\";s:5:\"8.3.2\";s:3:\"tag\";s:5:\"8.3.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.3.2\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.3.2.tar.gz\";s:4:\"date\";s:10:\"1493834585\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.3.1\";a:10:{s:4:\"name\";s:12:\"drupal 8.3.1\";s:7:\"version\";s:5:\"8.3.1\";s:3:\"tag\";s:5:\"8.3.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.3.1\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.3.1.tar.gz\";s:4:\"date\";s:10:\"1492622946\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.3.0\";a:10:{s:4:\"name\";s:12:\"drupal 8.3.0\";s:7:\"version\";s:5:\"8.3.0\";s:3:\"tag\";s:5:\"8.3.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.3.0\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.3.0.tar.gz\";s:4:\"date\";s:10:\"1491439084\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:9:\"8.3.0-rc2\";a:10:{s:4:\"name\";s:16:\"drupal 8.3.0-rc2\";s:7:\"version\";s:9:\"8.3.0-rc2\";s:3:\"tag\";s:9:\"8.3.0-rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/8.3.0-rc2\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-8.3.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1489613583\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:9:\"8.3.0-rc1\";a:10:{s:4:\"name\";s:16:\"drupal 8.3.0-rc1\";s:7:\"version\";s:9:\"8.3.0-rc1\";s:3:\"tag\";s:9:\"8.3.0-rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/8.3.0-rc1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-8.3.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1488383284\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"8.3.0-beta1\";a:10:{s:4:\"name\";s:18:\"drupal 8.3.0-beta1\";s:7:\"version\";s:11:\"8.3.0-beta1\";s:3:\"tag\";s:11:\"8.3.0-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/8.3.0-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-8.3.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1487175783\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:12:\"8.3.0-alpha1\";a:10:{s:4:\"name\";s:19:\"drupal 8.3.0-alpha1\";s:7:\"version\";s:12:\"8.3.0-alpha1\";s:3:\"tag\";s:12:\"8.3.0-alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/drupal/releases/8.3.0-alpha1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/drupal-8.3.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1485968583\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:5:\"8.2.8\";a:10:{s:4:\"name\";s:12:\"drupal 8.2.8\";s:7:\"version\";s:5:\"8.2.8\";s:3:\"tag\";s:5:\"8.2.8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.2.8\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.2.8.tar.gz\";s:4:\"date\";s:10:\"1492622852\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:8:\"Insecure\";i:1;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.2.7\";a:10:{s:4:\"name\";s:12:\"drupal 8.2.7\";s:7:\"version\";s:5:\"8.2.7\";s:3:\"tag\";s:5:\"8.2.7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.2.7\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.2.7.tar.gz\";s:4:\"date\";s:10:\"1489609638\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.2.6\";a:10:{s:4:\"name\";s:12:\"drupal 8.2.6\";s:7:\"version\";s:5:\"8.2.6\";s:3:\"tag\";s:5:\"8.2.6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.2.6\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.2.6.tar.gz\";s:4:\"date\";s:10:\"1485975485\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.2.5\";a:10:{s:4:\"name\";s:12:\"drupal 8.2.5\";s:7:\"version\";s:5:\"8.2.5\";s:3:\"tag\";s:5:\"8.2.5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.2.5\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.2.5.tar.gz\";s:4:\"date\";s:10:\"1483529942\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.2.4\";a:10:{s:4:\"name\";s:12:\"drupal 8.2.4\";s:7:\"version\";s:5:\"8.2.4\";s:3:\"tag\";s:5:\"8.2.4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.2.4\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.2.4.tar.gz\";s:4:\"date\";s:10:\"1481136784\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.2.3\";a:10:{s:4:\"name\";s:12:\"drupal 8.2.3\";s:7:\"version\";s:5:\"8.2.3\";s:3:\"tag\";s:5:\"8.2.3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.2.3\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.2.3.tar.gz\";s:4:\"date\";s:10:\"1479322439\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:8:\"Insecure\";i:1;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.2.2\";a:10:{s:4:\"name\";s:12:\"drupal 8.2.2\";s:7:\"version\";s:5:\"8.2.2\";s:3:\"tag\";s:5:\"8.2.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.2.2\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.2.2.tar.gz\";s:4:\"date\";s:10:\"1478106542\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.2.1\";a:10:{s:4:\"name\";s:12:\"drupal 8.2.1\";s:7:\"version\";s:5:\"8.2.1\";s:3:\"tag\";s:5:\"8.2.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.2.1\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.2.1.tar.gz\";s:4:\"date\";s:10:\"1476181439\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.2.0\";a:10:{s:4:\"name\";s:12:\"drupal 8.2.0\";s:7:\"version\";s:5:\"8.2.0\";s:3:\"tag\";s:5:\"8.2.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.2.0\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.2.0.tar.gz\";s:4:\"date\";s:10:\"1475660639\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:9:\"8.2.0-rc2\";a:10:{s:4:\"name\";s:16:\"drupal 8.2.0-rc2\";s:7:\"version\";s:9:\"8.2.0-rc2\";s:3:\"tag\";s:9:\"8.2.0-rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/8.2.0-rc2\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-8.2.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1474484358\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:9:\"8.2.0-rc1\";a:10:{s:4:\"name\";s:16:\"drupal 8.2.0-rc1\";s:7:\"version\";s:9:\"8.2.0-rc1\";s:3:\"tag\";s:9:\"8.2.0-rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/8.2.0-rc1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-8.2.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1473285089\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"8.2.0-beta3\";a:10:{s:4:\"name\";s:18:\"drupal 8.2.0-beta3\";s:7:\"version\";s:11:\"8.2.0-beta3\";s:3:\"tag\";s:11:\"8.2.0-beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/8.2.0-beta3\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-8.2.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1472222475\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:11:\"8.2.0-beta2\";a:10:{s:4:\"name\";s:18:\"drupal 8.2.0-beta2\";s:7:\"version\";s:11:\"8.2.0-beta2\";s:3:\"tag\";s:11:\"8.2.0-beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/8.2.0-beta2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-8.2.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1471710839\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:11:\"8.2.0-beta1\";a:10:{s:4:\"name\";s:18:\"drupal 8.2.0-beta1\";s:7:\"version\";s:11:\"8.2.0-beta1\";s:3:\"tag\";s:11:\"8.2.0-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/8.2.0-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-8.2.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1470230639\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:6:\"8.1.10\";a:10:{s:4:\"name\";s:13:\"drupal 8.1.10\";s:7:\"version\";s:6:\"8.1.10\";s:3:\"tag\";s:6:\"8.1.10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/drupal/releases/8.1.10\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/drupal-8.1.10.tar.gz\";s:4:\"date\";s:10:\"1474478939\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:8:\"Insecure\";i:1;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.1.9\";a:10:{s:4:\"name\";s:12:\"drupal 8.1.9\";s:7:\"version\";s:5:\"8.1.9\";s:3:\"tag\";s:5:\"8.1.9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.1.9\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.1.9.tar.gz\";s:4:\"date\";s:10:\"1473276313\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.1.8\";a:10:{s:4:\"name\";s:12:\"drupal 8.1.8\";s:7:\"version\";s:5:\"8.1.8\";s:3:\"tag\";s:5:\"8.1.8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.1.8\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.1.8.tar.gz\";s:4:\"date\";s:10:\"1470233647\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.1.7\";a:10:{s:4:\"name\";s:12:\"drupal 8.1.7\";s:7:\"version\";s:5:\"8.1.7\";s:3:\"tag\";s:5:\"8.1.7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.1.7\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.1.7.tar.gz\";s:4:\"date\";s:10:\"1468855358\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.1.6\";a:10:{s:4:\"name\";s:12:\"drupal 8.1.6\";s:7:\"version\";s:5:\"8.1.6\";s:3:\"tag\";s:5:\"8.1.6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.1.6\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.1.6.tar.gz\";s:4:\"date\";s:10:\"1468242539\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.1.5\";a:10:{s:4:\"name\";s:12:\"drupal 8.1.5\";s:7:\"version\";s:5:\"8.1.5\";s:3:\"tag\";s:5:\"8.1.5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.1.5\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.1.5.tar.gz\";s:4:\"date\";s:10:\"1467884639\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.1.4\";a:10:{s:4:\"name\";s:12:\"drupal 8.1.4\";s:7:\"version\";s:5:\"8.1.4\";s:3:\"tag\";s:5:\"8.1.4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.1.4\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.1.4.tar.gz\";s:4:\"date\";s:10:\"1467810839\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.1.3\";a:10:{s:4:\"name\";s:12:\"drupal 8.1.3\";s:7:\"version\";s:5:\"8.1.3\";s:3:\"tag\";s:5:\"8.1.3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.1.3\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.1.3.tar.gz\";s:4:\"date\";s:10:\"1466021480\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.1.2\";a:10:{s:4:\"name\";s:12:\"drupal 8.1.2\";s:7:\"version\";s:5:\"8.1.2\";s:3:\"tag\";s:5:\"8.1.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.1.2\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.1.2.tar.gz\";s:4:\"date\";s:10:\"1464824339\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.1.1\";a:10:{s:4:\"name\";s:12:\"drupal 8.1.1\";s:7:\"version\";s:5:\"8.1.1\";s:3:\"tag\";s:5:\"8.1.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.1.1\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.1.1.tar.gz\";s:4:\"date\";s:10:\"1462361039\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.1.0\";a:10:{s:4:\"name\";s:12:\"drupal 8.1.0\";s:7:\"version\";s:5:\"8.1.0\";s:3:\"tag\";s:5:\"8.1.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.1.0\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.1.0.tar.gz\";s:4:\"date\";s:10:\"1461118190\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:9:\"8.1.0-rc1\";a:10:{s:4:\"name\";s:16:\"drupal 8.1.0-rc1\";s:7:\"version\";s:9:\"8.1.0-rc1\";s:3:\"tag\";s:9:\"8.1.0-rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/8.1.0-rc1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-8.1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1459976639\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:8:\"Insecure\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"8.1.0-beta2\";a:10:{s:4:\"name\";s:18:\"drupal 8.1.0-beta2\";s:7:\"version\";s:11:\"8.1.0-beta2\";s:3:\"tag\";s:11:\"8.1.0-beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/8.1.0-beta2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-8.1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1458699840\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:8:\"Insecure\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:11:\"8.1.0-beta1\";a:10:{s:4:\"name\";s:18:\"drupal 8.1.0-beta1\";s:7:\"version\";s:11:\"8.1.0-beta1\";s:3:\"tag\";s:11:\"8.1.0-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/8.1.0-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-8.1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1456975758\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:8:\"Insecure\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:5:\"8.0.6\";a:10:{s:4:\"name\";s:12:\"drupal 8.0.6\";s:7:\"version\";s:5:\"8.0.6\";s:3:\"tag\";s:5:\"8.0.6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.0.6\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.0.6.tar.gz\";s:4:\"date\";s:10:\"1459900439\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:8:\"Insecure\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.0.5\";a:10:{s:4:\"name\";s:12:\"drupal 8.0.5\";s:7:\"version\";s:5:\"8.0.5\";s:3:\"tag\";s:5:\"8.0.5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.0.5\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.0.5.tar.gz\";s:4:\"date\";s:10:\"1456914839\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:8:\"Insecure\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.0.4\";a:10:{s:4:\"name\";s:12:\"drupal 8.0.4\";s:7:\"version\";s:5:\"8.0.4\";s:3:\"tag\";s:5:\"8.0.4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.0.4\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.0.4.tar.gz\";s:4:\"date\";s:10:\"1456341749\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:8:\"Insecure\";i:1;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.0.3\";a:10:{s:4:\"name\";s:12:\"drupal 8.0.3\";s:7:\"version\";s:5:\"8.0.3\";s:3:\"tag\";s:5:\"8.0.3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.0.3\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.0.3.tar.gz\";s:4:\"date\";s:10:\"1454489043\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:8:\"Insecure\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.0.2\";a:10:{s:4:\"name\";s:12:\"drupal 8.0.2\";s:7:\"version\";s:5:\"8.0.2\";s:3:\"tag\";s:5:\"8.0.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.0.2\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.0.2.tar.gz\";s:4:\"date\";s:10:\"1452119939\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:8:\"Insecure\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.0.1\";a:10:{s:4:\"name\";s:12:\"drupal 8.0.1\";s:7:\"version\";s:5:\"8.0.1\";s:3:\"tag\";s:5:\"8.0.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.0.1\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.0.1.tar.gz\";s:4:\"date\";s:10:\"1449066839\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:8:\"Insecure\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:5:\"8.0.0\";a:10:{s:4:\"name\";s:12:\"drupal 8.0.0\";s:7:\"version\";s:5:\"8.0.0\";s:3:\"tag\";s:5:\"8.0.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/drupal/releases/8.0.0\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/drupal-8.0.0.tar.gz\";s:4:\"date\";s:10:\"1447941840\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:8:\"Insecure\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:9:\"8.0.0-rc4\";a:10:{s:4:\"name\";s:16:\"drupal 8.0.0-rc4\";s:7:\"version\";s:9:\"8.0.0-rc4\";s:3:\"tag\";s:9:\"8.0.0-rc4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/8.0.0-rc4\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-8.0.0-rc4.tar.gz\";s:4:\"date\";s:10:\"1447413840\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:8:\"Insecure\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:9:\"8.0.0-rc3\";a:10:{s:4:\"name\";s:16:\"drupal 8.0.0-rc3\";s:7:\"version\";s:9:\"8.0.0-rc3\";s:3:\"tag\";s:9:\"8.0.0-rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/8.0.0-rc3\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-8.0.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1446633239\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:8:\"Insecure\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:9:\"8.0.0-rc2\";a:10:{s:4:\"name\";s:16:\"drupal 8.0.0-rc2\";s:7:\"version\";s:9:\"8.0.0-rc2\";s:3:\"tag\";s:9:\"8.0.0-rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/8.0.0-rc2\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-8.0.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1445468639\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:8:\"Insecure\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:9:\"8.0.0-rc1\";a:10:{s:4:\"name\";s:16:\"drupal 8.0.0-rc1\";s:7:\"version\";s:9:\"8.0.0-rc1\";s:3:\"tag\";s:9:\"8.0.0-rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/8.0.0-rc1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-8.0.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1444253039\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:8:\"Insecure\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:12:\"8.0.0-beta16\";a:10:{s:4:\"name\";s:19:\"drupal 8.0.0-beta16\";s:7:\"version\";s:12:\"8.0.0-beta16\";s:3:\"tag\";s:12:\"8.0.0-beta16\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/drupal/releases/8.0.0-beta16\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/drupal-8.0.0-beta16.tar.gz\";s:4:\"date\";s:10:\"1443746640\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:8:\"Insecure\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:12:\"8.0.0-beta15\";a:10:{s:4:\"name\";s:19:\"drupal 8.0.0-beta15\";s:7:\"version\";s:12:\"8.0.0-beta15\";s:3:\"tag\";s:12:\"8.0.0-beta15\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/drupal/releases/8.0.0-beta15\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/drupal-8.0.0-beta15.tar.gz\";s:4:\"date\";s:10:\"1441357140\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:12:\"8.0.0-beta14\";a:10:{s:4:\"name\";s:19:\"drupal 8.0.0-beta14\";s:7:\"version\";s:12:\"8.0.0-beta14\";s:3:\"tag\";s:12:\"8.0.0-beta14\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/drupal/releases/8.0.0-beta14\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/drupal-8.0.0-beta14.tar.gz\";s:4:\"date\";s:10:\"1438593539\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:12:\"8.0.0-beta13\";a:10:{s:4:\"name\";s:19:\"drupal 8.0.0-beta13\";s:7:\"version\";s:12:\"8.0.0-beta13\";s:3:\"tag\";s:12:\"8.0.0-beta13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/drupal/releases/8.0.0-beta13\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/drupal-8.0.0-beta13.tar.gz\";s:4:\"date\";s:10:\"1438194539\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:12:\"8.0.0-beta12\";a:10:{s:4:\"name\";s:19:\"drupal 8.0.0-beta12\";s:7:\"version\";s:12:\"8.0.0-beta12\";s:3:\"tag\";s:12:\"8.0.0-beta12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/drupal/releases/8.0.0-beta12\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/drupal-8.0.0-beta12.tar.gz\";s:4:\"date\";s:10:\"1435601583\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:12:\"8.0.0-beta11\";a:10:{s:4:\"name\";s:19:\"drupal 8.0.0-beta11\";s:7:\"version\";s:12:\"8.0.0-beta11\";s:3:\"tag\";s:12:\"8.0.0-beta11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/drupal/releases/8.0.0-beta11\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/drupal-8.0.0-beta11.tar.gz\";s:4:\"date\";s:10:\"1432758481\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:12:\"8.0.0-beta10\";a:10:{s:4:\"name\";s:19:\"drupal 8.0.0-beta10\";s:7:\"version\";s:12:\"8.0.0-beta10\";s:3:\"tag\";s:12:\"8.0.0-beta10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/drupal/releases/8.0.0-beta10\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/drupal-8.0.0-beta10.tar.gz\";s:4:\"date\";s:10:\"1430314681\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:11:\"8.0.0-beta9\";a:10:{s:4:\"name\";s:18:\"drupal 8.0.0-beta9\";s:7:\"version\";s:11:\"8.0.0-beta9\";s:3:\"tag\";s:11:\"8.0.0-beta9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/8.0.0-beta9\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-8.0.0-beta9.tar.gz\";s:4:\"date\";s:10:\"1427299981\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:11:\"8.0.0-beta7\";a:10:{s:4:\"name\";s:18:\"drupal 8.0.0-beta7\";s:7:\"version\";s:11:\"8.0.0-beta7\";s:3:\"tag\";s:11:\"8.0.0-beta7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/8.0.0-beta7\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-8.0.0-beta7.tar.gz\";s:4:\"date\";s:10:\"1424875381\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:11:\"8.0.0-beta6\";a:10:{s:4:\"name\";s:18:\"drupal 8.0.0-beta6\";s:7:\"version\";s:11:\"8.0.0-beta6\";s:3:\"tag\";s:11:\"8.0.0-beta6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/8.0.0-beta6\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-8.0.0-beta6.tar.gz\";s:4:\"date\";s:10:\"1422443800\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:11:\"8.0.0-beta4\";a:10:{s:4:\"name\";s:18:\"drupal 8.0.0-beta4\";s:7:\"version\";s:11:\"8.0.0-beta4\";s:3:\"tag\";s:11:\"8.0.0-beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/8.0.0-beta4\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-8.0.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1418825280\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:11:\"8.0.0-beta3\";a:10:{s:4:\"name\";s:18:\"drupal 8.0.0-beta3\";s:7:\"version\";s:11:\"8.0.0-beta3\";s:3:\"tag\";s:11:\"8.0.0-beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/8.0.0-beta3\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-8.0.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1415797380\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:11:\"8.0.0-beta2\";a:10:{s:4:\"name\";s:18:\"drupal 8.0.0-beta2\";s:7:\"version\";s:11:\"8.0.0-beta2\";s:3:\"tag\";s:11:\"8.0.0-beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/8.0.0-beta2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-8.0.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1413394161\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:8:\"Insecure\";i:1;s:15:\"Security update\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:11:\"8.0.0-beta1\";a:10:{s:4:\"name\";s:18:\"drupal 8.0.0-beta1\";s:7:\"version\";s:11:\"8.0.0-beta1\";s:3:\"tag\";s:11:\"8.0.0-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/8.0.0-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-8.0.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1412147030\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:8:\"Insecure\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"8.0.0-alpha15\";a:10:{s:4:\"name\";s:20:\"drupal 8.0.0-alpha15\";s:7:\"version\";s:13:\"8.0.0-alpha15\";s:3:\"tag\";s:13:\"8.0.0-alpha15\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/drupal/releases/8.0.0-alpha15\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/drupal-8.0.0-alpha15.tar.gz\";s:4:\"date\";s:10:\"1411139628\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:13:\"8.0.0-alpha14\";a:10:{s:4:\"name\";s:20:\"drupal 8.0.0-alpha14\";s:7:\"version\";s:13:\"8.0.0-alpha14\";s:3:\"tag\";s:13:\"8.0.0-alpha14\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/drupal/releases/8.0.0-alpha14\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/drupal-8.0.0-alpha14.tar.gz\";s:4:\"date\";s:10:\"1407344628\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:11:\"8.0-alpha13\";a:10:{s:4:\"name\";s:18:\"drupal 8.0-alpha13\";s:7:\"version\";s:11:\"8.0-alpha13\";s:3:\"tag\";s:11:\"8.0-alpha13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/8.0-alpha13\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-8.0-alpha13.tar.gz\";s:4:\"date\";s:10:\"1404296627\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:11:\"8.0-alpha12\";a:10:{s:4:\"name\";s:18:\"drupal 8.0-alpha12\";s:7:\"version\";s:11:\"8.0-alpha12\";s:3:\"tag\";s:11:\"8.0-alpha12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/8.0-alpha12\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-8.0-alpha12.tar.gz\";s:4:\"date\";s:10:\"1401293627\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:11:\"8.0-alpha11\";a:10:{s:4:\"name\";s:18:\"drupal 8.0-alpha11\";s:7:\"version\";s:11:\"8.0-alpha11\";s:3:\"tag\";s:11:\"8.0-alpha11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/8.0-alpha11\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-8.0-alpha11.tar.gz\";s:4:\"date\";s:10:\"1398249227\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:11:\"8.0-alpha10\";a:10:{s:4:\"name\";s:18:\"drupal 8.0-alpha10\";s:7:\"version\";s:11:\"8.0-alpha10\";s:3:\"tag\";s:11:\"8.0-alpha10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/drupal/releases/8.0-alpha10\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/drupal-8.0-alpha10.tar.gz\";s:4:\"date\";s:10:\"1395231556\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:10:\"8.0-alpha9\";a:10:{s:4:\"name\";s:17:\"drupal 8.0-alpha9\";s:7:\"version\";s:10:\"8.0-alpha9\";s:3:\"tag\";s:10:\"8.0-alpha9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/8.0-alpha9\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-8.0-alpha9.tar.gz\";s:4:\"date\";s:10:\"1392806005\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:10:\"8.0-alpha8\";a:10:{s:4:\"name\";s:17:\"drupal 8.0-alpha8\";s:7:\"version\";s:10:\"8.0-alpha8\";s:3:\"tag\";s:10:\"8.0-alpha8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/8.0-alpha8\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-8.0-alpha8.tar.gz\";s:4:\"date\";s:10:\"1390393105\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:10:\"8.0-alpha7\";a:10:{s:4:\"name\";s:17:\"drupal 8.0-alpha7\";s:7:\"version\";s:10:\"8.0-alpha7\";s:3:\"tag\";s:10:\"8.0-alpha7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/8.0-alpha7\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-8.0-alpha7.tar.gz\";s:4:\"date\";s:10:\"1387399705\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:10:\"8.0-alpha6\";a:10:{s:4:\"name\";s:17:\"drupal 8.0-alpha6\";s:7:\"version\";s:10:\"8.0-alpha6\";s:3:\"tag\";s:10:\"8.0-alpha6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/8.0-alpha6\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-8.0-alpha6.tar.gz\";s:4:\"date\";s:10:\"1385153305\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:10:\"8.0-alpha5\";a:10:{s:4:\"name\";s:17:\"drupal 8.0-alpha5\";s:7:\"version\";s:10:\"8.0-alpha5\";s:3:\"tag\";s:10:\"8.0-alpha5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/8.0-alpha5\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-8.0-alpha5.tar.gz\";s:4:\"date\";s:10:\"1384850305\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:10:\"8.0-alpha4\";a:10:{s:4:\"name\";s:17:\"drupal 8.0-alpha4\";s:7:\"version\";s:10:\"8.0-alpha4\";s:3:\"tag\";s:10:\"8.0-alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/8.0-alpha4\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-8.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1382092313\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:10:\"8.0-alpha3\";a:10:{s:4:\"name\";s:17:\"drupal 8.0-alpha3\";s:7:\"version\";s:10:\"8.0-alpha3\";s:3:\"tag\";s:10:\"8.0-alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/8.0-alpha3\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-8.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1378303307\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";i:2;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:10:\"8.0-alpha2\";a:10:{s:4:\"name\";s:17:\"drupal 8.0-alpha2\";s:7:\"version\";s:10:\"8.0-alpha2\";s:3:\"tag\";s:10:\"8.0-alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/8.0-alpha2\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-8.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1372069563\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:8:\"Insecure\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:10:\"10.0.x-dev\";a:7:{s:4:\"name\";s:17:\"drupal 10.0.x-dev\";s:7:\"version\";s:10:\"10.0.x-dev\";s:3:\"tag\";s:6:\"10.0.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/10.0.x-dev\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:9:\"9.4.x-dev\";a:10:{s:4:\"name\";s:16:\"drupal 9.4.x-dev\";s:7:\"version\";s:9:\"9.4.x-dev\";s:3:\"tag\";s:5:\"9.4.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/9.4.x-dev\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-9.4.x-dev.tar.gz\";s:4:\"date\";s:10:\"1637051423\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:9:\"9.3.x-dev\";a:10:{s:4:\"name\";s:16:\"drupal 9.3.x-dev\";s:7:\"version\";s:9:\"9.3.x-dev\";s:3:\"tag\";s:5:\"9.3.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/9.3.x-dev\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-9.3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1637052535\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:9:\"9.2.x-dev\";a:10:{s:4:\"name\";s:16:\"drupal 9.2.x-dev\";s:7:\"version\";s:9:\"9.2.x-dev\";s:3:\"tag\";s:5:\"9.2.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/9.2.x-dev\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-9.2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1635960856\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:9:\"9.1.x-dev\";a:10:{s:4:\"name\";s:16:\"drupal 9.1.x-dev\";s:7:\"version\";s:9:\"9.1.x-dev\";s:3:\"tag\";s:5:\"9.1.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/9.1.x-dev\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-9.1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1632503666\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:9:\"9.0.x-dev\";a:10:{s:4:\"name\";s:16:\"drupal 9.0.x-dev\";s:7:\"version\";s:9:\"9.0.x-dev\";s:3:\"tag\";s:5:\"9.0.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/9.0.x-dev\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-9.0.x-dev.tar.gz\";s:4:\"date\";s:10:\"1622063424\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:9:\"8.9.x-dev\";a:10:{s:4:\"name\";s:16:\"drupal 8.9.x-dev\";s:7:\"version\";s:9:\"8.9.x-dev\";s:3:\"tag\";s:5:\"8.9.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/8.9.x-dev\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-8.9.x-dev.tar.gz\";s:4:\"date\";s:10:\"1632511393\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:9:\"8.8.x-dev\";a:10:{s:4:\"name\";s:16:\"drupal 8.8.x-dev\";s:7:\"version\";s:9:\"8.8.x-dev\";s:3:\"tag\";s:5:\"8.8.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/8.8.x-dev\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-8.8.x-dev.tar.gz\";s:4:\"date\";s:10:\"1606364994\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:9:\"8.7.x-dev\";a:10:{s:4:\"name\";s:16:\"drupal 8.7.x-dev\";s:7:\"version\";s:9:\"8.7.x-dev\";s:3:\"tag\";s:5:\"8.7.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/8.7.x-dev\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-8.7.x-dev.tar.gz\";s:4:\"date\";s:10:\"1589987612\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:9:\"8.6.x-dev\";a:10:{s:4:\"name\";s:16:\"drupal 8.6.x-dev\";s:7:\"version\";s:9:\"8.6.x-dev\";s:3:\"tag\";s:5:\"8.6.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/8.6.x-dev\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-8.6.x-dev.tar.gz\";s:4:\"date\";s:10:\"1573687985\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:9:\"8.5.x-dev\";a:10:{s:4:\"name\";s:16:\"drupal 8.5.x-dev\";s:7:\"version\";s:9:\"8.5.x-dev\";s:3:\"tag\";s:5:\"8.5.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/8.5.x-dev\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-8.5.x-dev.tar.gz\";s:4:\"date\";s:10:\"1555533181\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:9:\"8.4.x-dev\";a:10:{s:4:\"name\";s:16:\"drupal 8.4.x-dev\";s:7:\"version\";s:9:\"8.4.x-dev\";s:3:\"tag\";s:5:\"8.4.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/8.4.x-dev\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-8.4.x-dev.tar.gz\";s:4:\"date\";s:10:\"1533047880\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:9:\"8.3.x-dev\";a:10:{s:4:\"name\";s:16:\"drupal 8.3.x-dev\";s:7:\"version\";s:9:\"8.3.x-dev\";s:3:\"tag\";s:5:\"8.3.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/8.3.x-dev\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-8.3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1522263480\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:9:\"8.2.x-dev\";a:10:{s:4:\"name\";s:16:\"drupal 8.2.x-dev\";s:7:\"version\";s:9:\"8.2.x-dev\";s:3:\"tag\";s:5:\"8.2.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/8.2.x-dev\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-8.2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1492624982\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:9:\"8.1.x-dev\";a:10:{s:4:\"name\";s:16:\"drupal 8.1.x-dev\";s:7:\"version\";s:9:\"8.1.x-dev\";s:3:\"tag\";s:5:\"8.1.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/8.1.x-dev\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-8.1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1474478393\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:9:\"8.0.x-dev\";a:10:{s:4:\"name\";s:16:\"drupal 8.0.x-dev\";s:7:\"version\";s:9:\"8.0.x-dev\";s:3:\"tag\";s:5:\"8.0.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/8.0.x-dev\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-8.0.x-dev.tar.gz\";s:4:\"date\";s:10:\"1459900439\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}}s:10:\"last_fetch\";i:1637057208;}',1637143608),('update_available_releases','libraries','a:9:{s:5:\"title\";s:13:\"Libraries API\";s:10:\"short_name\";s:9:\"libraries\";s:4:\"type\";s:14:\"project_module\";s:18:\"supported_branches\";s:6:\"8.x-3.\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:40:\"https://www.drupal.org/project/libraries\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:8:{s:13:\"8.x-3.0-beta2\";a:11:{s:4:\"name\";s:23:\"libraries 8.x-3.0-beta2\";s:7:\"version\";s:13:\"8.x-3.0-beta2\";s:3:\"tag\";s:13:\"8.x-3.0-beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/libraries/releases/8.x-3.0-beta2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/libraries-8.x-3.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1635190094\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";}s:13:\"8.x-3.0-beta1\";a:11:{s:4:\"name\";s:23:\"libraries 8.x-3.0-beta1\";s:7:\"version\";s:13:\"8.x-3.0-beta1\";s:3:\"tag\";s:13:\"8.x-3.0-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/libraries/releases/8.x-3.0-beta1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/libraries-8.x-3.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1609758293\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:8:\"^8 || ^9\";}s:14:\"8.x-3.0-alpha6\";a:11:{s:4:\"name\";s:24:\"libraries 8.x-3.0-alpha6\";s:7:\"version\";s:14:\"8.x-3.0-alpha6\";s:3:\"tag\";s:14:\"8.x-3.0-alpha6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/libraries/releases/8.x-3.0-alpha6\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/libraries-8.x-3.0-alpha6.tar.gz\";s:4:\"date\";s:10:\"1608099124\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:8:\"^8 || ^9\";}s:14:\"8.x-3.0-alpha5\";a:11:{s:4:\"name\";s:24:\"libraries 8.x-3.0-alpha5\";s:7:\"version\";s:14:\"8.x-3.0-alpha5\";s:3:\"tag\";s:14:\"8.x-3.0-alpha5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/libraries/releases/8.x-3.0-alpha5\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/libraries-8.x-3.0-alpha5.tar.gz\";s:4:\"date\";s:10:\"1608091315\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:8:\"^8 || ^9\";}s:14:\"8.x-3.0-alpha3\";a:11:{s:4:\"name\";s:24:\"libraries 8.x-3.0-alpha3\";s:7:\"version\";s:14:\"8.x-3.0-alpha3\";s:3:\"tag\";s:14:\"8.x-3.0-alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/libraries/releases/8.x-3.0-alpha3\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/libraries-8.x-3.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1608052628\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:8:\"^8 || ^9\";}s:14:\"8.x-3.0-alpha2\";a:11:{s:4:\"name\";s:24:\"libraries 8.x-3.0-alpha2\";s:7:\"version\";s:14:\"8.x-3.0-alpha2\";s:3:\"tag\";s:14:\"8.x-3.0-alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/libraries/releases/8.x-3.0-alpha2\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/libraries-8.x-3.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1608051102\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:8:\"^8 || ^9\";}s:14:\"8.x-3.0-alpha1\";a:11:{s:4:\"name\";s:24:\"libraries 8.x-3.0-alpha1\";s:7:\"version\";s:14:\"8.x-3.0-alpha1\";s:3:\"tag\";s:14:\"8.x-3.0-alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/libraries/releases/8.x-3.0-alpha1\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/libraries-8.x-3.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1517046484\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:11:\"8.x-3.x-dev\";a:11:{s:4:\"name\";s:21:\"libraries 8.x-3.x-dev\";s:7:\"version\";s:11:\"8.x-3.x-dev\";s:3:\"tag\";s:7:\"8.x-3.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/libraries/releases/8.x-3.x-dev\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/libraries-8.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1635235433\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";}}s:10:\"last_fetch\";i:1637057209;}',1637143609),('update_available_releases','menu_link_attributes','a:9:{s:5:\"title\";s:20:\"Menu Link Attributes\";s:10:\"short_name\";s:20:\"menu_link_attributes\";s:4:\"type\";s:14:\"project_module\";s:18:\"supported_branches\";s:6:\"8.x-1.\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:51:\"https://www.drupal.org/project/menu_link_attributes\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:9:{s:7:\"8.x-1.2\";a:11:{s:4:\"name\";s:28:\"menu_link_attributes 8.x-1.2\";s:7:\"version\";s:7:\"8.x-1.2\";s:3:\"tag\";s:7:\"8.x-1.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/menu_link_attributes/releases/8.x-1.2\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/menu_link_attributes-8.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1614211187\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:8:\"^8 || ^9\";}s:7:\"8.x-1.1\";a:11:{s:4:\"name\";s:28:\"menu_link_attributes 8.x-1.1\";s:7:\"version\";s:7:\"8.x-1.1\";s:3:\"tag\";s:7:\"8.x-1.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/menu_link_attributes/releases/8.x-1.1\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/menu_link_attributes-8.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1593424626\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:8:\"^8 || ^9\";s:5:\"terms\";a:0:{}}s:7:\"8.x-1.0\";a:11:{s:4:\"name\";s:28:\"menu_link_attributes 8.x-1.0\";s:7:\"version\";s:7:\"8.x-1.0\";s:3:\"tag\";s:7:\"8.x-1.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/menu_link_attributes/releases/8.x-1.0\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/menu_link_attributes-8.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1507134244\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";s:5:\"terms\";a:0:{}}s:13:\"8.x-1.0-beta5\";a:11:{s:4:\"name\";s:34:\"menu_link_attributes 8.x-1.0-beta5\";s:7:\"version\";s:13:\"8.x-1.0-beta5\";s:3:\"tag\";s:13:\"8.x-1.0-beta5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:74:\"https://www.drupal.org/project/menu_link_attributes/releases/8.x-1.0-beta5\";s:13:\"download_link\";s:79:\"https://ftp.drupal.org/files/projects/menu_link_attributes-8.x-1.0-beta5.tar.gz\";s:4:\"date\";s:10:\"1507121643\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:13:\"8.x-1.0-beta4\";a:11:{s:4:\"name\";s:34:\"menu_link_attributes 8.x-1.0-beta4\";s:7:\"version\";s:13:\"8.x-1.0-beta4\";s:3:\"tag\";s:13:\"8.x-1.0-beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:74:\"https://www.drupal.org/project/menu_link_attributes/releases/8.x-1.0-beta4\";s:13:\"download_link\";s:79:\"https://ftp.drupal.org/files/projects/menu_link_attributes-8.x-1.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1507071844\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:13:\"8.x-1.0-beta3\";a:11:{s:4:\"name\";s:34:\"menu_link_attributes 8.x-1.0-beta3\";s:7:\"version\";s:13:\"8.x-1.0-beta3\";s:3:\"tag\";s:13:\"8.x-1.0-beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:74:\"https://www.drupal.org/project/menu_link_attributes/releases/8.x-1.0-beta3\";s:13:\"download_link\";s:79:\"https://ftp.drupal.org/files/projects/menu_link_attributes-8.x-1.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1467719639\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:13:\"8.x-1.0-beta2\";a:11:{s:4:\"name\";s:34:\"menu_link_attributes 8.x-1.0-beta2\";s:7:\"version\";s:13:\"8.x-1.0-beta2\";s:3:\"tag\";s:13:\"8.x-1.0-beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:74:\"https://www.drupal.org/project/menu_link_attributes/releases/8.x-1.0-beta2\";s:13:\"download_link\";s:79:\"https://ftp.drupal.org/files/projects/menu_link_attributes-8.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1467197939\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:13:\"8.x-1.0-beta1\";a:11:{s:4:\"name\";s:34:\"menu_link_attributes 8.x-1.0-beta1\";s:7:\"version\";s:13:\"8.x-1.0-beta1\";s:3:\"tag\";s:13:\"8.x-1.0-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:74:\"https://www.drupal.org/project/menu_link_attributes/releases/8.x-1.0-beta1\";s:13:\"download_link\";s:79:\"https://ftp.drupal.org/files/projects/menu_link_attributes-8.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1445115839\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";s:5:\"terms\";a:0:{}}s:11:\"8.x-1.x-dev\";a:11:{s:4:\"name\";s:32:\"menu_link_attributes 8.x-1.x-dev\";s:7:\"version\";s:11:\"8.x-1.x-dev\";s:3:\"tag\";s:7:\"8.x-1.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/menu_link_attributes/releases/8.x-1.x-dev\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/menu_link_attributes-8.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1636643950\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:8:\"^8 || ^9\";s:5:\"terms\";a:0:{}}}s:10:\"last_fetch\";i:1637057209;}',1637143609),('update_available_releases','node_class','a:9:{s:5:\"title\";s:10:\"Node Class\";s:10:\"short_name\";s:10:\"node_class\";s:4:\"type\";s:14:\"project_module\";s:18:\"supported_branches\";s:4:\"2.0.\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:41:\"https://www.drupal.org/project/node_class\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:4:{s:5:\"2.0.0\";a:11:{s:4:\"name\";s:16:\"node_class 2.0.0\";s:7:\"version\";s:5:\"2.0.0\";s:3:\"tag\";s:5:\"2.0.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/node_class/releases/2.0.0\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/node_class-2.0.0.tar.gz\";s:4:\"date\";s:10:\"1634365434\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";}s:13:\"8.x-1.0-beta1\";a:11:{s:4:\"name\";s:24:\"node_class 8.x-1.0-beta1\";s:7:\"version\";s:13:\"8.x-1.0-beta1\";s:3:\"tag\";s:13:\"8.x-1.0-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/node_class/releases/8.x-1.0-beta1\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/node_class-8.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1466182462\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";s:5:\"terms\";a:0:{}}s:9:\"2.0.x-dev\";a:11:{s:4:\"name\";s:20:\"node_class 2.0.x-dev\";s:7:\"version\";s:9:\"2.0.x-dev\";s:3:\"tag\";s:5:\"2.0.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/node_class/releases/2.0.x-dev\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/node_class-2.0.x-dev.tar.gz\";s:4:\"date\";s:10:\"1634364807\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";}s:11:\"8.x-1.x-dev\";a:11:{s:4:\"name\";s:22:\"node_class 8.x-1.x-dev\";s:7:\"version\";s:11:\"8.x-1.x-dev\";s:3:\"tag\";s:7:\"8.x-1.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/node_class/releases/8.x-1.x-dev\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/node_class-8.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1501661044\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";s:5:\"terms\";a:0:{}}}s:10:\"last_fetch\";i:1637057209;}',1637143609),('update_available_releases','pathauto','a:9:{s:5:\"title\";s:8:\"Pathauto\";s:10:\"short_name\";s:8:\"pathauto\";s:4:\"type\";s:14:\"project_module\";s:18:\"supported_branches\";s:6:\"8.x-1.\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:39:\"https://www.drupal.org/project/pathauto\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:18:{s:7:\"8.x-1.8\";a:11:{s:4:\"name\";s:16:\"pathauto 8.x-1.8\";s:7:\"version\";s:7:\"8.x-1.8\";s:3:\"tag\";s:7:\"8.x-1.8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/pathauto/releases/8.x-1.8\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/pathauto-8.x-1.8.tar.gz\";s:4:\"date\";s:10:\"1588103046\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";}s:7:\"8.x-1.7\";a:11:{s:4:\"name\";s:16:\"pathauto 8.x-1.7\";s:7:\"version\";s:7:\"8.x-1.7\";s:3:\"tag\";s:7:\"8.x-1.7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/pathauto/releases/8.x-1.7\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/pathauto-8.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1587898105\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";}s:7:\"8.x-1.6\";a:11:{s:4:\"name\";s:16:\"pathauto 8.x-1.6\";s:7:\"version\";s:7:\"8.x-1.6\";s:3:\"tag\";s:7:\"8.x-1.6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/pathauto/releases/8.x-1.6\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/pathauto-8.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1575467285\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:13:\"8.x-1.6-beta1\";a:11:{s:4:\"name\";s:22:\"pathauto 8.x-1.6-beta1\";s:7:\"version\";s:13:\"8.x-1.6-beta1\";s:3:\"tag\";s:13:\"8.x-1.6-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/pathauto/releases/8.x-1.6-beta1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/pathauto-8.x-1.6-beta1.tar.gz\";s:4:\"date\";s:10:\"1573505285\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:14:\"8.x-1.6-alpha1\";a:11:{s:4:\"name\";s:23:\"pathauto 8.x-1.6-alpha1\";s:7:\"version\";s:14:\"8.x-1.6-alpha1\";s:3:\"tag\";s:14:\"8.x-1.6-alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/pathauto/releases/8.x-1.6-alpha1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/pathauto-8.x-1.6-alpha1.tar.gz\";s:4:\"date\";s:10:\"1571587984\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.5\";a:11:{s:4:\"name\";s:16:\"pathauto 8.x-1.5\";s:7:\"version\";s:7:\"8.x-1.5\";s:3:\"tag\";s:7:\"8.x-1.5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/pathauto/releases/8.x-1.5\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/pathauto-8.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1570828084\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.4\";a:11:{s:4:\"name\";s:16:\"pathauto 8.x-1.4\";s:7:\"version\";s:7:\"8.x-1.4\";s:3:\"tag\";s:7:\"8.x-1.4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/pathauto/releases/8.x-1.4\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/pathauto-8.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1554239887\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.3\";a:11:{s:4:\"name\";s:16:\"pathauto 8.x-1.3\";s:7:\"version\";s:7:\"8.x-1.3\";s:3:\"tag\";s:7:\"8.x-1.3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/pathauto/releases/8.x-1.3\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/pathauto-8.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1536407884\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.2\";a:11:{s:4:\"name\";s:16:\"pathauto 8.x-1.2\";s:7:\"version\";s:7:\"8.x-1.2\";s:3:\"tag\";s:7:\"8.x-1.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/pathauto/releases/8.x-1.2\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/pathauto-8.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1524421084\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.1\";a:11:{s:4:\"name\";s:16:\"pathauto 8.x-1.1\";s:7:\"version\";s:7:\"8.x-1.1\";s:3:\"tag\";s:7:\"8.x-1.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/pathauto/releases/8.x-1.1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/pathauto-8.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1520092685\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.0\";a:11:{s:4:\"name\";s:16:\"pathauto 8.x-1.0\";s:7:\"version\";s:7:\"8.x-1.0\";s:3:\"tag\";s:7:\"8.x-1.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/pathauto/releases/8.x-1.0\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/pathauto-8.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1493468044\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:11:\"8.x-1.0-rc1\";a:11:{s:4:\"name\";s:20:\"pathauto 8.x-1.0-rc1\";s:7:\"version\";s:11:\"8.x-1.0-rc1\";s:3:\"tag\";s:11:\"8.x-1.0-rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/pathauto/releases/8.x-1.0-rc1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/pathauto-8.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1485702484\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:13:\"8.x-1.0-beta2\";a:11:{s:4:\"name\";s:22:\"pathauto 8.x-1.0-beta2\";s:7:\"version\";s:13:\"8.x-1.0-beta2\";s:3:\"tag\";s:13:\"8.x-1.0-beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/pathauto/releases/8.x-1.0-beta2\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/pathauto-8.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1484781483\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:13:\"8.x-1.0-beta1\";a:11:{s:4:\"name\";s:22:\"pathauto 8.x-1.0-beta1\";s:7:\"version\";s:13:\"8.x-1.0-beta1\";s:3:\"tag\";s:13:\"8.x-1.0-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/pathauto/releases/8.x-1.0-beta1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/pathauto-8.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1474313339\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:14:\"8.x-1.0-alpha3\";a:11:{s:4:\"name\";s:23:\"pathauto 8.x-1.0-alpha3\";s:7:\"version\";s:14:\"8.x-1.0-alpha3\";s:3:\"tag\";s:14:\"8.x-1.0-alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/pathauto/releases/8.x-1.0-alpha3\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/pathauto-8.x-1.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1461007694\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:14:\"8.x-1.0-alpha2\";a:11:{s:4:\"name\";s:23:\"pathauto 8.x-1.0-alpha2\";s:7:\"version\";s:14:\"8.x-1.0-alpha2\";s:3:\"tag\";s:14:\"8.x-1.0-alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/pathauto/releases/8.x-1.0-alpha2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/pathauto-8.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1456529339\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:14:\"8.x-1.0-alpha1\";a:11:{s:4:\"name\";s:23:\"pathauto 8.x-1.0-alpha1\";s:7:\"version\";s:14:\"8.x-1.0-alpha1\";s:3:\"tag\";s:14:\"8.x-1.0-alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/pathauto/releases/8.x-1.0-alpha1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/pathauto-8.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1453413539\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:11:\"8.x-1.x-dev\";a:11:{s:4:\"name\";s:20:\"pathauto 8.x-1.x-dev\";s:7:\"version\";s:11:\"8.x-1.x-dev\";s:3:\"tag\";s:7:\"8.x-1.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/pathauto/releases/8.x-1.x-dev\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/pathauto-8.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1609831832\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";s:5:\"terms\";a:0:{}}}s:10:\"last_fetch\";i:1637057209;}',1637143609),('update_available_releases','sharethis','a:9:{s:5:\"title\";s:9:\"ShareThis\";s:10:\"short_name\";s:9:\"sharethis\";s:4:\"type\";s:14:\"project_module\";s:18:\"supported_branches\";s:6:\"8.x-2.\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:40:\"https://www.drupal.org/project/sharethis\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:6:{s:13:\"8.x-2.0-beta5\";a:11:{s:4:\"name\";s:23:\"sharethis 8.x-2.0-beta5\";s:7:\"version\";s:13:\"8.x-2.0-beta5\";s:3:\"tag\";s:13:\"8.x-2.0-beta5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/sharethis/releases/8.x-2.0-beta5\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/sharethis-8.x-2.0-beta5.tar.gz\";s:4:\"date\";s:10:\"1592286577\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";}s:13:\"8.x-2.0-beta4\";a:11:{s:4:\"name\";s:23:\"sharethis 8.x-2.0-beta4\";s:7:\"version\";s:13:\"8.x-2.0-beta4\";s:3:\"tag\";s:13:\"8.x-2.0-beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/sharethis/releases/8.x-2.0-beta4\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/sharethis-8.x-2.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1592215605\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";}s:13:\"8.x-2.0-beta3\";a:11:{s:4:\"name\";s:23:\"sharethis 8.x-2.0-beta3\";s:7:\"version\";s:13:\"8.x-2.0-beta3\";s:3:\"tag\";s:13:\"8.x-2.0-beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/sharethis/releases/8.x-2.0-beta3\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/sharethis-8.x-2.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1468313039\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:13:\"8.x-2.0-beta2\";a:11:{s:4:\"name\";s:23:\"sharethis 8.x-2.0-beta2\";s:7:\"version\";s:13:\"8.x-2.0-beta2\";s:3:\"tag\";s:13:\"8.x-2.0-beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/sharethis/releases/8.x-2.0-beta2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/sharethis-8.x-2.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1458295831\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";s:5:\"terms\";a:0:{}}s:13:\"8.x-2.0-beta1\";a:11:{s:4:\"name\";s:23:\"sharethis 8.x-2.0-beta1\";s:7:\"version\";s:13:\"8.x-2.0-beta1\";s:3:\"tag\";s:13:\"8.x-2.0-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/sharethis/releases/8.x-2.0-beta1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/sharethis-8.x-2.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1453472958\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";s:5:\"terms\";a:0:{}}s:11:\"8.x-2.x-dev\";a:11:{s:4:\"name\";s:21:\"sharethis 8.x-2.x-dev\";s:7:\"version\";s:11:\"8.x-2.x-dev\";s:3:\"tag\";s:7:\"8.x-2.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/sharethis/releases/8.x-2.x-dev\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/sharethis-8.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1592286448\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";s:5:\"terms\";a:0:{}}}s:10:\"last_fetch\";i:1637057209;}',1637143609),('update_available_releases','simplenews','a:9:{s:5:\"title\";s:10:\"Simplenews\";s:10:\"short_name\";s:10:\"simplenews\";s:4:\"type\";s:14:\"project_module\";s:18:\"supported_branches\";s:11:\"3.0.,8.x-2.\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:41:\"https://www.drupal.org/project/simplenews\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:14:{s:11:\"3.0.0-beta1\";a:11:{s:4:\"name\";s:22:\"simplenews 3.0.0-beta1\";s:7:\"version\";s:11:\"3.0.0-beta1\";s:3:\"tag\";s:11:\"3.0.0-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/simplenews/releases/3.0.0-beta1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/simplenews-3.0.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1636221224\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";}s:12:\"3.0.0-alpha1\";a:11:{s:4:\"name\";s:23:\"simplenews 3.0.0-alpha1\";s:7:\"version\";s:12:\"3.0.0-alpha1\";s:3:\"tag\";s:12:\"3.0.0-alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/simplenews/releases/3.0.0-alpha1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/simplenews-3.0.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1603102789\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";}s:13:\"8.x-2.0-beta2\";a:11:{s:4:\"name\";s:24:\"simplenews 8.x-2.0-beta2\";s:7:\"version\";s:13:\"8.x-2.0-beta2\";s:3:\"tag\";s:13:\"8.x-2.0-beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/simplenews/releases/8.x-2.0-beta2\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/simplenews-8.x-2.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1592298547\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";}s:13:\"8.x-2.0-beta1\";a:11:{s:4:\"name\";s:24:\"simplenews 8.x-2.0-beta1\";s:7:\"version\";s:13:\"8.x-2.0-beta1\";s:3:\"tag\";s:13:\"8.x-2.0-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/simplenews/releases/8.x-2.0-beta1\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/simplenews-8.x-2.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1580749447\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";}s:14:\"8.x-2.0-alpha2\";a:11:{s:4:\"name\";s:25:\"simplenews 8.x-2.0-alpha2\";s:7:\"version\";s:14:\"8.x-2.0-alpha2\";s:3:\"tag\";s:14:\"8.x-2.0-alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/simplenews/releases/8.x-2.0-alpha2\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/simplenews-8.x-2.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1564762385\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:14:\"8.x-2.0-alpha1\";a:11:{s:4:\"name\";s:25:\"simplenews 8.x-2.0-alpha1\";s:7:\"version\";s:14:\"8.x-2.0-alpha1\";s:3:\"tag\";s:14:\"8.x-2.0-alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/simplenews/releases/8.x-2.0-alpha1\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/simplenews-8.x-2.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1564314785\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:13:\"8.x-1.0-beta2\";a:11:{s:4:\"name\";s:24:\"simplenews 8.x-1.0-beta2\";s:7:\"version\";s:13:\"8.x-1.0-beta2\";s:3:\"tag\";s:13:\"8.x-1.0-beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/simplenews/releases/8.x-1.0-beta2\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/simplenews-8.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1599415335\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";s:5:\"terms\";a:0:{}}s:13:\"8.x-1.0-beta1\";a:11:{s:4:\"name\";s:24:\"simplenews 8.x-1.0-beta1\";s:7:\"version\";s:13:\"8.x-1.0-beta1\";s:3:\"tag\";s:13:\"8.x-1.0-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/simplenews/releases/8.x-1.0-beta1\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/simplenews-8.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1556010481\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:14:\"8.x-1.0-alpha3\";a:11:{s:4:\"name\";s:25:\"simplenews 8.x-1.0-alpha3\";s:7:\"version\";s:14:\"8.x-1.0-alpha3\";s:3:\"tag\";s:14:\"8.x-1.0-alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/simplenews/releases/8.x-1.0-alpha3\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/simplenews-8.x-1.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1487059683\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:14:\"8.x-1.0-alpha2\";a:11:{s:4:\"name\";s:25:\"simplenews 8.x-1.0-alpha2\";s:7:\"version\";s:14:\"8.x-1.0-alpha2\";s:3:\"tag\";s:14:\"8.x-1.0-alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/simplenews/releases/8.x-1.0-alpha2\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/simplenews-8.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1448269739\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:14:\"8.x-1.0-alpha1\";a:11:{s:4:\"name\";s:25:\"simplenews 8.x-1.0-alpha1\";s:7:\"version\";s:14:\"8.x-1.0-alpha1\";s:3:\"tag\";s:14:\"8.x-1.0-alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/simplenews/releases/8.x-1.0-alpha1\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/simplenews-8.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1444573139\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"3.x-dev\";a:11:{s:4:\"name\";s:18:\"simplenews 3.x-dev\";s:7:\"version\";s:7:\"3.x-dev\";s:3:\"tag\";s:3:\"3.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/simplenews/releases/3.x-dev\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/simplenews-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1636716102\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";}s:11:\"8.x-2.x-dev\";a:11:{s:4:\"name\";s:22:\"simplenews 8.x-2.x-dev\";s:7:\"version\";s:11:\"8.x-2.x-dev\";s:3:\"tag\";s:7:\"8.x-2.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/simplenews/releases/8.x-2.x-dev\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/simplenews-8.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1592297674\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";}s:11:\"8.x-1.x-dev\";a:11:{s:4:\"name\";s:22:\"simplenews 8.x-1.x-dev\";s:7:\"version\";s:11:\"8.x-1.x-dev\";s:3:\"tag\";s:7:\"8.x-1.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/simplenews/releases/8.x-1.x-dev\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/simplenews-8.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1570272486\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}}s:10:\"last_fetch\";i:1637057209;}',1637143609),('update_available_releases','token','a:9:{s:5:\"title\";s:5:\"Token\";s:10:\"short_name\";s:5:\"token\";s:4:\"type\";s:14:\"project_module\";s:18:\"supported_branches\";s:6:\"8.x-1.\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:36:\"https://www.drupal.org/project/token\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:16:{s:7:\"8.x-1.9\";a:11:{s:4:\"name\";s:13:\"token 8.x-1.9\";s:7:\"version\";s:7:\"8.x-1.9\";s:3:\"tag\";s:7:\"8.x-1.9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/8.x-1.9\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-8.x-1.9.tar.gz\";s:4:\"date\";s:10:\"1608284866\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";}s:7:\"8.x-1.8\";a:11:{s:4:\"name\";s:13:\"token 8.x-1.8\";s:7:\"version\";s:7:\"8.x-1.8\";s:3:\"tag\";s:7:\"8.x-1.8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/8.x-1.8\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-8.x-1.8.tar.gz\";s:4:\"date\";s:10:\"1607552423\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";}s:7:\"8.x-1.7\";a:11:{s:4:\"name\";s:13:\"token 8.x-1.7\";s:7:\"version\";s:7:\"8.x-1.7\";s:3:\"tag\";s:7:\"8.x-1.7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/8.x-1.7\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-8.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1587893588\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";}s:7:\"8.x-1.6\";a:11:{s:4:\"name\";s:13:\"token 8.x-1.6\";s:7:\"version\";s:7:\"8.x-1.6\";s:3:\"tag\";s:7:\"8.x-1.6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/8.x-1.6\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-8.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1577708583\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:12:\"^8.7.7 || ^9\";}s:7:\"8.x-1.5\";a:11:{s:4:\"name\";s:13:\"token 8.x-1.5\";s:7:\"version\";s:7:\"8.x-1.5\";s:3:\"tag\";s:7:\"8.x-1.5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/8.x-1.5\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-8.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1537557481\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.4\";a:11:{s:4:\"name\";s:13:\"token 8.x-1.4\";s:7:\"version\";s:7:\"8.x-1.4\";s:3:\"tag\";s:7:\"8.x-1.4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/8.x-1.4\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-8.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1536408480\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.3\";a:11:{s:4:\"name\";s:13:\"token 8.x-1.3\";s:7:\"version\";s:7:\"8.x-1.3\";s:3:\"tag\";s:7:\"8.x-1.3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/8.x-1.3\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-8.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1527232684\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.2\";a:11:{s:4:\"name\";s:13:\"token 8.x-1.2\";s:7:\"version\";s:7:\"8.x-1.2\";s:3:\"tag\";s:7:\"8.x-1.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/8.x-1.2\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-8.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1527112080\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.1\";a:11:{s:4:\"name\";s:13:\"token 8.x-1.1\";s:7:\"version\";s:7:\"8.x-1.1\";s:3:\"tag\";s:7:\"8.x-1.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/8.x-1.1\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-8.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1513810384\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.0\";a:11:{s:4:\"name\";s:13:\"token 8.x-1.0\";s:7:\"version\";s:7:\"8.x-1.0\";s:3:\"tag\";s:7:\"8.x-1.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/8.x-1.0\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-8.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1493466843\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:11:\"8.x-1.0-rc1\";a:11:{s:4:\"name\";s:17:\"token 8.x-1.0-rc1\";s:7:\"version\";s:11:\"8.x-1.0-rc1\";s:3:\"tag\";s:11:\"8.x-1.0-rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/token/releases/8.x-1.0-rc1\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/token-8.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1483290542\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:13:\"8.x-1.0-beta2\";a:11:{s:4:\"name\";s:19:\"token 8.x-1.0-beta2\";s:7:\"version\";s:13:\"8.x-1.0-beta2\";s:3:\"tag\";s:13:\"8.x-1.0-beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/token/releases/8.x-1.0-beta2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/token-8.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1474367039\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:13:\"8.x-1.0-beta1\";a:11:{s:4:\"name\";s:19:\"token 8.x-1.0-beta1\";s:7:\"version\";s:13:\"8.x-1.0-beta1\";s:3:\"tag\";s:13:\"8.x-1.0-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/token/releases/8.x-1.0-beta1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/token-8.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1470864453\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:14:\"8.x-1.0-alpha2\";a:11:{s:4:\"name\";s:20:\"token 8.x-1.0-alpha2\";s:7:\"version\";s:14:\"8.x-1.0-alpha2\";s:3:\"tag\";s:14:\"8.x-1.0-alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/token/releases/8.x-1.0-alpha2\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/token-8.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1453363739\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:14:\"8.x-1.0-alpha1\";a:11:{s:4:\"name\";s:20:\"token 8.x-1.0-alpha1\";s:7:\"version\";s:14:\"8.x-1.0-alpha1\";s:3:\"tag\";s:14:\"8.x-1.0-alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/token/releases/8.x-1.0-alpha1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/token-8.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1450961339\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:11:\"8.x-1.x-dev\";a:11:{s:4:\"name\";s:17:\"token 8.x-1.x-dev\";s:7:\"version\";s:11:\"8.x-1.x-dev\";s:3:\"tag\";s:7:\"8.x-1.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/token/releases/8.x-1.x-dev\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/token-8.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1636354395\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";s:5:\"terms\";a:0:{}}}s:10:\"last_fetch\";i:1637057209;}',1637143609),('update_available_releases','video_embed_field','a:9:{s:5:\"title\";s:17:\"Video Embed Field\";s:10:\"short_name\";s:17:\"video_embed_field\";s:4:\"type\";s:14:\"project_module\";s:18:\"supported_branches\";s:6:\"8.x-2.\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:48:\"https://www.drupal.org/project/video_embed_field\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:24:{s:7:\"8.x-2.4\";a:11:{s:4:\"name\";s:25:\"video_embed_field 8.x-2.4\";s:7:\"version\";s:7:\"8.x-2.4\";s:3:\"tag\";s:7:\"8.x-2.4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/video_embed_field/releases/8.x-2.4\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/video_embed_field-8.x-2.4.tar.gz\";s:4:\"date\";s:10:\"1587686284\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";s:5:\"terms\";a:0:{}}s:7:\"8.x-2.3\";a:11:{s:4:\"name\";s:25:\"video_embed_field 8.x-2.3\";s:7:\"version\";s:7:\"8.x-2.3\";s:3:\"tag\";s:7:\"8.x-2.3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/video_embed_field/releases/8.x-2.3\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/video_embed_field-8.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1584489966\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";s:5:\"terms\";a:0:{}}s:7:\"8.x-2.2\";a:11:{s:4:\"name\";s:25:\"video_embed_field 8.x-2.2\";s:7:\"version\";s:7:\"8.x-2.2\";s:3:\"tag\";s:7:\"8.x-2.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/video_embed_field/releases/8.x-2.2\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/video_embed_field-8.x-2.2.tar.gz\";s:4:\"date\";s:10:\"1564103585\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-2.1\";a:11:{s:4:\"name\";s:25:\"video_embed_field 8.x-2.1\";s:7:\"version\";s:7:\"8.x-2.1\";s:3:\"tag\";s:7:\"8.x-2.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/video_embed_field/releases/8.x-2.1\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/video_embed_field-8.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1557724385\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-2.0\";a:11:{s:4:\"name\";s:25:\"video_embed_field 8.x-2.0\";s:7:\"version\";s:7:\"8.x-2.0\";s:3:\"tag\";s:7:\"8.x-2.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/video_embed_field/releases/8.x-2.0\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/video_embed_field-8.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1523338084\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";s:5:\"terms\";a:0:{}}s:14:\"8.x-2.0-alpha2\";a:11:{s:4:\"name\";s:32:\"video_embed_field 8.x-2.0-alpha2\";s:7:\"version\";s:14:\"8.x-2.0-alpha2\";s:3:\"tag\";s:14:\"8.x-2.0-alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/video_embed_field/releases/8.x-2.0-alpha2\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/video_embed_field-8.x-2.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1512694688\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:14:\"8.x-2.0-alpha1\";a:11:{s:4:\"name\";s:32:\"video_embed_field 8.x-2.0-alpha1\";s:7:\"version\";s:14:\"8.x-2.0-alpha1\";s:3:\"tag\";s:14:\"8.x-2.0-alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/video_embed_field/releases/8.x-2.0-alpha1\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/video_embed_field-8.x-2.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1506684843\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";s:5:\"terms\";a:0:{}}s:7:\"8.x-1.6\";a:11:{s:4:\"name\";s:25:\"video_embed_field 8.x-1.6\";s:7:\"version\";s:7:\"8.x-1.6\";s:3:\"tag\";s:7:\"8.x-1.6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/video_embed_field/releases/8.x-1.6\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/video_embed_field-8.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1557724385\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.5\";a:11:{s:4:\"name\";s:25:\"video_embed_field 8.x-1.5\";s:7:\"version\";s:7:\"8.x-1.5\";s:3:\"tag\";s:7:\"8.x-1.5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/video_embed_field/releases/8.x-1.5\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/video_embed_field-8.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1493246342\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.4\";a:11:{s:4:\"name\";s:25:\"video_embed_field 8.x-1.4\";s:7:\"version\";s:7:\"8.x-1.4\";s:3:\"tag\";s:7:\"8.x-1.4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/video_embed_field/releases/8.x-1.4\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/video_embed_field-8.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1484253183\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.3\";a:11:{s:4:\"name\";s:25:\"video_embed_field 8.x-1.3\";s:7:\"version\";s:7:\"8.x-1.3\";s:3:\"tag\";s:7:\"8.x-1.3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/video_embed_field/releases/8.x-1.3\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/video_embed_field-8.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1470991139\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.2\";a:11:{s:4:\"name\";s:25:\"video_embed_field 8.x-1.2\";s:7:\"version\";s:7:\"8.x-1.2\";s:3:\"tag\";s:7:\"8.x-1.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/video_embed_field/releases/8.x-1.2\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/video_embed_field-8.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1469178539\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.1\";a:11:{s:4:\"name\";s:25:\"video_embed_field 8.x-1.1\";s:7:\"version\";s:7:\"8.x-1.1\";s:3:\"tag\";s:7:\"8.x-1.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/video_embed_field/releases/8.x-1.1\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/video_embed_field-8.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1466402039\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";s:5:\"terms\";a:0:{}}s:7:\"8.x-1.0\";a:11:{s:4:\"name\";s:25:\"video_embed_field 8.x-1.0\";s:7:\"version\";s:7:\"8.x-1.0\";s:3:\"tag\";s:7:\"8.x-1.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/video_embed_field/releases/8.x-1.0\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/video_embed_field-8.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1463131439\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";s:5:\"terms\";a:0:{}}s:11:\"8.x-1.0-rc8\";a:11:{s:4:\"name\";s:29:\"video_embed_field 8.x-1.0-rc8\";s:7:\"version\";s:11:\"8.x-1.0-rc8\";s:3:\"tag\";s:11:\"8.x-1.0-rc8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/video_embed_field/releases/8.x-1.0-rc8\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/video_embed_field-8.x-1.0-rc8.tar.gz\";s:4:\"date\";s:10:\"1461927809\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";s:5:\"terms\";a:0:{}}s:11:\"8.x-1.0-rc7\";a:11:{s:4:\"name\";s:29:\"video_embed_field 8.x-1.0-rc7\";s:7:\"version\";s:11:\"8.x-1.0-rc7\";s:3:\"tag\";s:11:\"8.x-1.0-rc7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/video_embed_field/releases/8.x-1.0-rc7\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/video_embed_field-8.x-1.0-rc7.tar.gz\";s:4:\"date\";s:10:\"1460534039\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:11:\"8.x-1.0-rc6\";a:11:{s:4:\"name\";s:29:\"video_embed_field 8.x-1.0-rc6\";s:7:\"version\";s:11:\"8.x-1.0-rc6\";s:3:\"tag\";s:11:\"8.x-1.0-rc6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/video_embed_field/releases/8.x-1.0-rc6\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/video_embed_field-8.x-1.0-rc6.tar.gz\";s:4:\"date\";s:10:\"1459730642\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:11:\"8.x-1.0-rc5\";a:11:{s:4:\"name\";s:29:\"video_embed_field 8.x-1.0-rc5\";s:7:\"version\";s:11:\"8.x-1.0-rc5\";s:3:\"tag\";s:11:\"8.x-1.0-rc5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/video_embed_field/releases/8.x-1.0-rc5\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/video_embed_field-8.x-1.0-rc5.tar.gz\";s:4:\"date\";s:10:\"1458050080\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:11:\"8.x-1.0-rc4\";a:11:{s:4:\"name\";s:29:\"video_embed_field 8.x-1.0-rc4\";s:7:\"version\";s:11:\"8.x-1.0-rc4\";s:3:\"tag\";s:11:\"8.x-1.0-rc4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/video_embed_field/releases/8.x-1.0-rc4\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/video_embed_field-8.x-1.0-rc4.tar.gz\";s:4:\"date\";s:10:\"1457346497\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:11:\"8.x-1.0-rc3\";a:11:{s:4:\"name\";s:29:\"video_embed_field 8.x-1.0-rc3\";s:7:\"version\";s:11:\"8.x-1.0-rc3\";s:3:\"tag\";s:11:\"8.x-1.0-rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/video_embed_field/releases/8.x-1.0-rc3\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/video_embed_field-8.x-1.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1453357740\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:11:\"8.x-1.0-rc2\";a:11:{s:4:\"name\";s:29:\"video_embed_field 8.x-1.0-rc2\";s:7:\"version\";s:11:\"8.x-1.0-rc2\";s:3:\"tag\";s:11:\"8.x-1.0-rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/video_embed_field/releases/8.x-1.0-rc2\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/video_embed_field-8.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1450136640\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:11:\"8.x-1.0-rc1\";a:11:{s:4:\"name\";s:29:\"video_embed_field 8.x-1.0-rc1\";s:7:\"version\";s:11:\"8.x-1.0-rc1\";s:3:\"tag\";s:11:\"8.x-1.0-rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/video_embed_field/releases/8.x-1.0-rc1\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/video_embed_field-8.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1447238040\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";s:5:\"terms\";a:0:{}}s:11:\"8.x-2.x-dev\";a:11:{s:4:\"name\";s:29:\"video_embed_field 8.x-2.x-dev\";s:7:\"version\";s:11:\"8.x-2.x-dev\";s:3:\"tag\";s:7:\"8.x-2.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/video_embed_field/releases/8.x-2.x-dev\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/video_embed_field-8.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1605252437\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:10:\"^8.8 || ^9\";s:5:\"terms\";a:0:{}}s:11:\"8.x-1.x-dev\";a:11:{s:4:\"name\";s:29:\"video_embed_field 8.x-1.x-dev\";s:7:\"version\";s:11:\"8.x-1.x-dev\";s:3:\"tag\";s:7:\"8.x-1.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/video_embed_field/releases/8.x-1.x-dev\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/video_embed_field-8.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1558683487\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";s:5:\"terms\";a:0:{}}}s:10:\"last_fetch\";i:1637057209;}',1637143609),('update_available_releases','we_megamenu','a:9:{s:5:\"title\";s:16:\"Drupal Mega Menu\";s:10:\"short_name\";s:11:\"we_megamenu\";s:4:\"type\";s:14:\"project_module\";s:18:\"supported_branches\";s:6:\"8.x-1.\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:42:\"https://www.drupal.org/project/we_megamenu\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:20:{s:8:\"8.x-1.13\";a:11:{s:4:\"name\";s:20:\"we_megamenu 8.x-1.13\";s:7:\"version\";s:8:\"8.x-1.13\";s:3:\"tag\";s:8:\"8.x-1.13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/we_megamenu/releases/8.x-1.13\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/we_megamenu-8.x-1.13.tar.gz\";s:4:\"date\";s:10:\"1624951526\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:8:\"^8 || ^9\";}s:8:\"8.x-1.11\";a:11:{s:4:\"name\";s:20:\"we_megamenu 8.x-1.11\";s:7:\"version\";s:8:\"8.x-1.11\";s:3:\"tag\";s:8:\"8.x-1.11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/we_megamenu/releases/8.x-1.11\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/we_megamenu-8.x-1.11.tar.gz\";s:4:\"date\";s:10:\"1592456472\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:8:\"^8 || ^9\";}s:12:\"8.x-1.10-rc1\";a:11:{s:4:\"name\";s:24:\"we_megamenu 8.x-1.10-rc1\";s:7:\"version\";s:12:\"8.x-1.10-rc1\";s:3:\"tag\";s:12:\"8.x-1.10-rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/we_megamenu/releases/8.x-1.10-rc1\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/we_megamenu-8.x-1.10-rc1.tar.gz\";s:4:\"date\";s:10:\"1591694573\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:8:\"^8 || ^9\";}s:14:\"8.x-1.10-beta2\";a:11:{s:4:\"name\";s:26:\"we_megamenu 8.x-1.10-beta2\";s:7:\"version\";s:14:\"8.x-1.10-beta2\";s:3:\"tag\";s:14:\"8.x-1.10-beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/we_megamenu/releases/8.x-1.10-beta2\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/we_megamenu-8.x-1.10-beta2.tar.gz\";s:4:\"date\";s:10:\"1591609009\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:8:\"^8 || ^9\";}s:14:\"8.x-1.10-beta1\";a:11:{s:4:\"name\";s:26:\"we_megamenu 8.x-1.10-beta1\";s:7:\"version\";s:14:\"8.x-1.10-beta1\";s:3:\"tag\";s:14:\"8.x-1.10-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/we_megamenu/releases/8.x-1.10-beta1\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/we_megamenu-8.x-1.10-beta1.tar.gz\";s:4:\"date\";s:10:\"1591355181\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:8:\"^8 || ^9\";s:5:\"terms\";a:0:{}}s:7:\"8.x-1.9\";a:11:{s:4:\"name\";s:19:\"we_megamenu 8.x-1.9\";s:7:\"version\";s:7:\"8.x-1.9\";s:3:\"tag\";s:7:\"8.x-1.9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/we_megamenu/releases/8.x-1.9\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/we_megamenu-8.x-1.9.tar.gz\";s:4:\"date\";s:10:\"1585670713\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.8\";a:11:{s:4:\"name\";s:19:\"we_megamenu 8.x-1.8\";s:7:\"version\";s:7:\"8.x-1.8\";s:3:\"tag\";s:7:\"8.x-1.8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/we_megamenu/releases/8.x-1.8\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/we_megamenu-8.x-1.8.tar.gz\";s:4:\"date\";s:10:\"1585670509\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.7\";a:11:{s:4:\"name\";s:19:\"we_megamenu 8.x-1.7\";s:7:\"version\";s:7:\"8.x-1.7\";s:3:\"tag\";s:7:\"8.x-1.7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/we_megamenu/releases/8.x-1.7\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/we_megamenu-8.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1575618784\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.6\";a:11:{s:4:\"name\";s:19:\"we_megamenu 8.x-1.6\";s:7:\"version\";s:7:\"8.x-1.6\";s:3:\"tag\";s:7:\"8.x-1.6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/we_megamenu/releases/8.x-1.6\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/we_megamenu-8.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1575618185\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.5\";a:11:{s:4:\"name\";s:19:\"we_megamenu 8.x-1.5\";s:7:\"version\";s:7:\"8.x-1.5\";s:3:\"tag\";s:7:\"8.x-1.5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/we_megamenu/releases/8.x-1.5\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/we_megamenu-8.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1550114284\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.4\";a:11:{s:4:\"name\";s:19:\"we_megamenu 8.x-1.4\";s:7:\"version\";s:7:\"8.x-1.4\";s:3:\"tag\";s:7:\"8.x-1.4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/we_megamenu/releases/8.x-1.4\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/we_megamenu-8.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1539769380\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.3\";a:11:{s:4:\"name\";s:19:\"we_megamenu 8.x-1.3\";s:7:\"version\";s:7:\"8.x-1.3\";s:3:\"tag\";s:7:\"8.x-1.3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/we_megamenu/releases/8.x-1.3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/we_megamenu-8.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1536913980\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.2\";a:11:{s:4:\"name\";s:19:\"we_megamenu 8.x-1.2\";s:7:\"version\";s:7:\"8.x-1.2\";s:3:\"tag\";s:7:\"8.x-1.2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/we_megamenu/releases/8.x-1.2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/we_megamenu-8.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1532421784\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.1\";a:11:{s:4:\"name\";s:19:\"we_megamenu 8.x-1.1\";s:7:\"version\";s:7:\"8.x-1.1\";s:3:\"tag\";s:7:\"8.x-1.1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/we_megamenu/releases/8.x-1.1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/we_megamenu-8.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1523430484\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:13:\"8.x-1.1-beta2\";a:11:{s:4:\"name\";s:25:\"we_megamenu 8.x-1.1-beta2\";s:7:\"version\";s:13:\"8.x-1.1-beta2\";s:3:\"tag\";s:13:\"8.x-1.1-beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/we_megamenu/releases/8.x-1.1-beta2\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/we_megamenu-8.x-1.1-beta2.tar.gz\";s:4:\"date\";s:10:\"1523429885\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:7:\"8.x-1.0\";a:11:{s:4:\"name\";s:19:\"we_megamenu 8.x-1.0\";s:7:\"version\";s:7:\"8.x-1.0\";s:3:\"tag\";s:7:\"8.x-1.0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/we_megamenu/releases/8.x-1.0\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/we_megamenu-8.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1522379885\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:11:\"8.x-1.0-rc2\";a:11:{s:4:\"name\";s:23:\"we_megamenu 8.x-1.0-rc2\";s:7:\"version\";s:11:\"8.x-1.0-rc2\";s:3:\"tag\";s:11:\"8.x-1.0-rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/we_megamenu/releases/8.x-1.0-rc2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/we_megamenu-8.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1512375785\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:11:\"8.x-1.0-rc1\";a:11:{s:4:\"name\";s:23:\"we_megamenu 8.x-1.0-rc1\";s:7:\"version\";s:11:\"8.x-1.0-rc1\";s:3:\"tag\";s:11:\"8.x-1.0-rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/we_megamenu/releases/8.x-1.0-rc1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/we_megamenu-8.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1503399545\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:13:\"8.x-1.0-beta1\";a:11:{s:4:\"name\";s:25:\"we_megamenu 8.x-1.0-beta1\";s:7:\"version\";s:13:\"8.x-1.0-beta1\";s:3:\"tag\";s:13:\"8.x-1.0-beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/we_megamenu/releases/8.x-1.0-beta1\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/we_megamenu-8.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1501122544\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:3:\"8.x\";}s:11:\"8.x-1.x-dev\";a:11:{s:4:\"name\";s:23:\"we_megamenu 8.x-1.x-dev\";s:7:\"version\";s:11:\"8.x-1.x-dev\";s:3:\"tag\";s:7:\"8.x-1.x\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/we_megamenu/releases/8.x-1.x-dev\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/we_megamenu-8.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1624951313\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:18:\"core_compatibility\";s:8:\"^8 || ^9\";s:5:\"terms\";a:0:{}}}s:10:\"last_fetch\";i:1637057209;}',1637143609);
/*!40000 ALTER TABLE `key_value_expire` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `locale_file`
--

DROP TABLE IF EXISTS `locale_file`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `locale_file` (
  `project` varchar(255) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'A unique short name to identify the project the file belongs to.',
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'Language code of this translation. References language.langcode.',
  `filename` varchar(255) NOT NULL DEFAULT '' COMMENT 'Filename of the imported file.',
  `version` varchar(128) NOT NULL DEFAULT '' COMMENT 'Version tag of the imported file.',
  `uri` varchar(255) NOT NULL DEFAULT '' COMMENT 'URI of the remote file, the resulting local file or the locally imported file.',
  `timestamp` int(11) DEFAULT 0 COMMENT 'Unix timestamp of the imported file.',
  `last_checked` int(11) DEFAULT 0 COMMENT 'Unix timestamp of the last time this translation was confirmed to be the most recent release available.',
  PRIMARY KEY (`project`,`langcode`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='File import status information for interface translation…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `locale_file`
--

LOCK TABLES `locale_file` WRITE;
/*!40000 ALTER TABLE `locale_file` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `locale_file` VALUES ('admin_toolbar','ar','','8.x-1.19','',1500611473,1500611473),('block_class','ar','','8.x-1.2','',0,0),('colorbox','ar','','8.x-1.1','',1471338207,1471338207),('ctools','ar','','8.x-3.0-alpha26','',1471338208,1471338207),('drupal','ar','','8.1.8','',1471338181,1471338207),('libraries','ar','','8.x-3.0-alpha1','',0,0),('menu_link_attributes','ar','','8.x-1.0-beta3','',1471338209,1471338209),('node_class','ar','','8.x-1.0-beta1','',0,0),('pathauto','ar','','8.x-1.0-alpha3','',1471338210,1471338209),('sharethis','ar','','8.x-2.0-beta3','',1471338210,1471338209),('simplenews','ar','','8.x-1.0-alpha2','',1471338211,1471338211),('token','ar','','8.x-1.0-alpha2','',1471338213,1471338212),('video_embed_field','ar','','8.x-1.3','',1472112424,1472112423),('we_megamenu','ar','','8.x-1.11','',0,0);
/*!40000 ALTER TABLE `locale_file` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `locales_location`
--

DROP TABLE IF EXISTS `locales_location`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `locales_location` (
  `lid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Unique identifier of this location.',
  `sid` int(11) NOT NULL COMMENT 'Unique identifier of this string.',
  `type` varchar(50) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The location type (file, config, path, etc).',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'Type dependent location information (file name, path, etc).',
  `version` varchar(20) CHARACTER SET ascii NOT NULL DEFAULT 'none' COMMENT 'Version of Drupal where the location was found.',
  PRIMARY KEY (`lid`),
  KEY `string_id` (`sid`),
  KEY `string_type` (`sid`,`type`)
) ENGINE=InnoDB AUTO_INCREMENT=1512 DEFAULT CHARSET=utf8mb4 COMMENT='Location information for source strings.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `locales_location`
--

LOCK TABLES `locales_location` WRITE;
/*!40000 ALTER TABLE `locales_location` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `locales_location` VALUES (1,1,'javascript','core/modules/contextual/js/contextual.js','8.9.19'),(2,2,'javascript','core/modules/contextual/js/contextual.js','8.9.19'),(3,3,'javascript','core/modules/contextual/js/views/AuralView.js','8.9.19'),(4,4,'javascript','core/misc/tableresponsive.js','8.9.19'),(5,5,'javascript','core/misc/tableresponsive.js','8.9.19'),(6,6,'javascript','core/misc/tableresponsive.js','8.9.19'),(7,7,'javascript','core/misc/dropbutton/dropbutton.js','8.9.18'),(8,8,'javascript','core/misc/ajax.js','8.9.19'),(9,9,'javascript','core/misc/ajax.js','8.9.19'),(10,10,'javascript','core/misc/ajax.js','8.9.19'),(11,11,'javascript','core/misc/ajax.js','8.9.19'),(12,12,'javascript','core/misc/ajax.js','8.9.19'),(13,13,'javascript','core/misc/ajax.js','8.9.19'),(14,14,'javascript','core/misc/ajax.js','8.9.19'),(15,15,'javascript','core/misc/ajax.js','8.9.19'),(16,16,'javascript','core/misc/ajax.js','8.9.19'),(17,17,'javascript','core/misc/ajax.js','8.9.19'),(18,18,'javascript','core/misc/ajax.js','8.9.19'),(19,19,'javascript','core/misc/ajax.js','8.9.19'),(20,20,'javascript','core/misc/ajax.js','8.9.19'),(21,21,'javascript','core/misc/announce.js','8.3.5'),(22,22,'javascript','core/modules/toolbar/js/toolbar.menu.js','8.9.19'),(23,23,'javascript','core/modules/toolbar/js/toolbar.menu.js','8.9.19'),(24,24,'javascript','core/modules/toolbar/js/toolbar.menu.js','8.9.19'),(25,25,'javascript','core/modules/toolbar/js/toolbar.js','8.9.19'),(26,26,'javascript','core/modules/toolbar/js/toolbar.js','8.9.19'),(27,27,'javascript','core/modules/toolbar/js/models/ToolbarModel.js','8.9.19'),(28,28,'javascript','core/modules/toolbar/js/views/ToolbarAuralView.js','8.9.19'),(29,29,'javascript','core/modules/toolbar/js/views/ToolbarAuralView.js','8.9.19'),(30,30,'javascript','core/modules/toolbar/js/views/ToolbarAuralView.js','8.9.19'),(31,31,'javascript','core/modules/toolbar/js/views/ToolbarAuralView.js','8.9.19'),(32,32,'javascript','core/modules/toolbar/js/views/ToolbarAuralView.js','8.9.19'),(33,33,'javascript','core/modules/contextual/js/contextual.toolbar.js','8.9.19'),(34,34,'javascript','core/modules/contextual/js/contextual.toolbar.js','8.9.19'),(35,35,'javascript','core/modules/contextual/js/contextual.toolbar.js','8.9.19'),(36,36,'javascript','core/modules/contextual/js/toolbar/views/AuralView.js','8.9.19'),(37,37,'javascript','core/modules/tour/js/tour.js','8.9.19'),(38,38,'javascript','core/modules/tour/js/tour.js','8.9.19'),(39,39,'javascript','core/modules/toolbar/js/escapeAdmin.js','8.9.19'),(40,40,'javascript','core/modules/quickedit/js/quickedit.js','8.9.19'),(41,41,'javascript','core/modules/quickedit/js/util.js','8.9.19'),(42,42,'javascript','core/modules/quickedit/js/util.js','8.9.19'),(43,43,'javascript','core/modules/quickedit/js/util.js','8.9.19'),(44,44,'javascript','core/modules/quickedit/js/models/EntityModel.js','8.9.19'),(45,43,'javascript','core/modules/quickedit/js/models/EntityModel.js','8.9.19'),(46,45,'javascript','core/modules/quickedit/js/views/AppView.js','8.9.19'),(47,46,'javascript','core/modules/quickedit/js/views/AppView.js','8.9.19'),(48,47,'javascript','core/modules/quickedit/js/views/AppView.js','8.9.19'),(49,48,'javascript','core/modules/quickedit/js/views/AppView.js','8.9.19'),(50,47,'javascript','core/modules/quickedit/js/views/EntityToolbarView.js','8.9.19'),(51,49,'javascript','core/modules/quickedit/js/views/EntityToolbarView.js','8.9.19'),(52,2,'javascript','core/modules/quickedit/js/views/EntityToolbarView.js','8.9.19'),(53,50,'javascript','themes/luxestate/assets/js/luxestate.js','8.9.19'),(54,51,'javascript','themes/luxestate/assets/includes/skins-menu/skins_menu.js','8.9.19'),(55,52,'javascript','core/misc/tabledrag.js','8.4.0'),(56,53,'javascript','core/misc/tabledrag.js','8.4.0'),(57,54,'javascript','core/misc/tabledrag.js','8.4.0'),(58,55,'javascript','core/misc/tabledrag.js','8.4.0'),(59,20,'javascript','core/misc/tabledrag.js','8.4.0'),(60,56,'javascript','core/misc/tabledrag.js','8.4.0'),(61,57,'javascript','core/modules/ckeditor/js/plugins/drupalimage/plugin.js','8.9.19'),(62,58,'javascript','core/modules/ckeditor/js/plugins/drupallink/plugin.js','8.9.19'),(63,59,'javascript','core/modules/ckeditor/js/plugins/drupallink/plugin.js','8.9.19'),(64,60,'javascript','core/modules/ckeditor/js/plugins/drupallink/plugin.js','8.9.19'),(65,2911,'configuration','block.block.bartik_account_menu','8.1.8'),(66,2912,'configuration','block.block.bartik_branding','8.1.8'),(67,2913,'configuration','block.block.bartik_breadcrumbs','8.1.8'),(68,1860,'configuration','block.block.bartik_content','8.1.8'),(69,2914,'configuration','block.block.bartik_footer','8.1.8'),(70,210,'configuration','block.block.bartik_help','8.1.8'),(71,2915,'configuration','block.block.bartik_local_actions','8.1.8'),(72,2916,'configuration','block.block.bartik_local_tasks','8.1.8'),(73,2917,'configuration','block.block.bartik_main_menu','8.1.8'),(74,2918,'configuration','block.block.bartik_messages','8.1.8'),(75,311,'configuration','block.block.bartik_page_title','8.1.8'),(76,1672,'configuration','block.block.bartik_powered','8.1.8'),(77,163,'configuration','block.block.bartik_search','8.1.8'),(78,71,'configuration','block.block.bartik_tools','8.1.8'),(79,2913,'configuration','block.block.seven_breadcrumbs','8.1.8'),(80,1860,'configuration','block.block.seven_content','8.1.8'),(81,210,'configuration','block.block.seven_help','8.1.8'),(82,2915,'configuration','block.block.seven_local_actions','8.1.8'),(83,481,'configuration','block.block.seven_login','8.1.8'),(84,2918,'configuration','block.block.seven_messages','8.1.8'),(85,311,'configuration','block.block.seven_page_title','8.1.8'),(86,1249,'configuration','block.block.seven_primary_local_tasks','8.1.8'),(87,1250,'configuration','block.block.seven_secondary_local_tasks','8.1.8'),(88,2919,'configuration','block_content.type.basic','8.1.8'),(89,2920,'configuration','block_content.type.basic','8.1.8'),(90,2921,'configuration','comment.type.comment','8.1.8'),(91,2922,'configuration','comment.type.comment','8.1.8'),(92,2923,'configuration','contact.form.feedback','8.1.8'),(93,360,'configuration','core.base_field_override.node.page.promote','8.1.8'),(94,140,'configuration','core.base_field_override.node.page.promote','8.1.8'),(95,2924,'configuration','core.base_field_override.node.page.promote','8.1.8'),(96,93,'configuration','field.field.block_content.basic.body','8.1.8'),(97,351,'configuration','field.field.comment.comment.comment_body','8.1.8'),(98,93,'configuration','field.field.node.article.body','8.1.8'),(99,135,'configuration','field.field.node.article.comment','8.1.8'),(100,57,'configuration','field.field.node.article.field_image','8.1.8'),(101,142,'configuration','field.field.node.article.field_tags','8.1.8'),(102,2925,'configuration','field.field.node.article.field_tags','8.1.8'),(103,93,'configuration','field.field.node.page.body','8.1.8'),(104,274,'configuration','field.field.user.user.user_picture','8.1.8'),(105,2926,'configuration','field.field.user.user.user_picture','8.1.8'),(106,2927,'configuration','filter.format.basic_html','8.1.8'),(107,2928,'configuration','filter.format.full_html','8.1.8'),(108,2929,'configuration','filter.format.restricted_html','8.1.8'),(109,131,'configuration','node.type.article','8.1.8'),(110,2548,'configuration','node.type.article','8.1.8'),(111,2494,'configuration','node.type.page','8.1.8'),(112,2495,'configuration','node.type.page','8.1.8'),(113,142,'configuration','taxonomy.vocabulary.tags','8.1.8'),(114,2930,'configuration','taxonomy.vocabulary.tags','8.1.8'),(115,2931,'configuration','user.role.administrator','8.1.8'),(116,2932,'configuration','core.entity_view_mode.block_content.full','8.1.8'),(117,2933,'configuration','colorbox.settings','8.1.8'),(118,2934,'configuration','colorbox.settings','8.1.8'),(119,2935,'configuration','colorbox.settings','8.1.8'),(120,2,'configuration','colorbox.settings','8.1.8'),(121,2936,'configuration','colorbox.settings','8.1.8'),(122,2937,'configuration','colorbox.settings','8.1.8'),(123,2938,'configuration','colorbox.settings','8.1.8'),(124,2939,'configuration','colorbox.settings','8.1.8'),(125,2940,'configuration','colorbox.settings','8.1.8'),(126,1961,'configuration','core.entity_view_mode.comment.full','8.1.8'),(127,1304,'configuration','system.action.comment_publish_action','8.1.8'),(128,1974,'configuration','system.action.comment_save_action','8.1.8'),(129,1162,'configuration','system.action.comment_unpublish_action','8.1.8'),(130,1530,'configuration','contact.form.personal','8.1.8'),(131,62,'configuration','system.menu.devel','8.1.8'),(132,2941,'configuration','system.menu.devel','8.1.8'),(133,419,'configuration','filter.format.plain_text','8.1.8'),(134,2942,'configuration','image.style.large','8.1.8'),(135,2943,'configuration','image.style.medium','8.1.8'),(136,2944,'configuration','image.style.thumbnail','8.1.8'),(137,734,'configuration','language.entity.en','8.1.8'),(138,2705,'configuration','language.entity.und','8.1.8'),(139,1215,'configuration','language.entity.zxx','8.1.8'),(140,2206,'configuration','core.entity_view_mode.node.full','8.1.8'),(141,315,'configuration','core.entity_view_mode.node.rss','8.1.8'),(142,1288,'configuration','core.entity_view_mode.node.search_index','8.1.8'),(143,2945,'configuration','core.entity_view_mode.node.search_result','8.1.8'),(144,254,'configuration','core.entity_view_mode.node.teaser','8.1.8'),(145,2946,'configuration','system.action.node_delete_action','8.1.8'),(146,2217,'configuration','system.action.node_make_sticky_action','8.1.8'),(147,2218,'configuration','system.action.node_make_unsticky_action','8.1.8'),(148,2219,'configuration','system.action.node_promote_action','8.1.8'),(149,1156,'configuration','system.action.node_publish_action','8.1.8'),(150,2222,'configuration','system.action.node_save_action','8.1.8'),(151,2220,'configuration','system.action.node_unpromote_action','8.1.8'),(152,2216,'configuration','system.action.node_unpublish_action','8.1.8'),(153,214,'configuration','shortcut.set.default','8.1.8'),(154,2947,'configuration','core.entity_form_mode.simplenews_subscriber.account','8.1.8'),(155,312,'configuration','core.entity_form_mode.simplenews_subscriber.block','8.1.8'),(156,314,'configuration','core.entity_form_mode.simplenews_subscriber.page','8.1.8'),(157,2948,'configuration','core.entity_view_mode.node.email_html','8.1.8'),(158,2949,'configuration','core.entity_view_mode.node.email_plain','8.1.8'),(159,2950,'configuration','core.entity_view_mode.node.email_textalt','8.1.8'),(160,93,'configuration','field.field.node.simplenews_issue.body','8.1.8'),(161,2887,'configuration','field.field.node.simplenews_issue.simplenews_issue','8.1.8'),(162,2951,'configuration','field.field.simplenews_subscriber.simplenews_subscriber.subscriptions','8.1.8'),(163,2952,'configuration','node.type.simplenews_issue','8.1.8'),(164,2953,'configuration','node.type.simplenews_issue','8.1.8'),(165,2954,'configuration','simplenews.newsletter.default','8.1.8'),(166,2955,'configuration','simplenews.newsletter.default','8.1.8'),(167,2956,'configuration','simplenews.newsletter.default','8.1.8'),(168,2957,'configuration','simplenews.settings','8.1.8'),(169,2958,'configuration','simplenews.settings','8.1.8'),(170,2959,'configuration','simplenews.settings','8.1.8'),(171,2960,'configuration','simplenews.settings','8.1.8'),(172,2961,'configuration','simplenews.settings','8.1.8'),(173,2962,'configuration','simplenews.settings','8.1.8'),(174,2963,'configuration','simplenews.settings','8.1.8'),(175,2964,'configuration','simplenews.settings','8.1.8'),(176,2965,'configuration','simplenews.settings','8.1.8'),(177,2966,'configuration','simplenews.settings','8.1.8'),(178,2967,'configuration','simplenews.settings','8.1.8'),(179,2968,'configuration','simplenews.settings','8.1.8'),(180,2969,'configuration','system.action.simplenews_send_action','8.1.8'),(181,2970,'configuration','system.action.simplenews_stop_action','8.1.8'),(182,2888,'configuration','views.view.simplenews_newsletters','8.1.8'),(183,2732,'configuration','views.view.simplenews_newsletters','8.1.8'),(184,911,'configuration','views.view.simplenews_newsletters','8.1.8'),(185,164,'configuration','views.view.simplenews_newsletters','8.1.8'),(186,527,'configuration','views.view.simplenews_newsletters','8.1.8'),(187,2701,'configuration','views.view.simplenews_newsletters','8.1.8'),(188,430,'configuration','views.view.simplenews_newsletters','8.1.8'),(189,2971,'configuration','views.view.simplenews_newsletters','8.1.8'),(190,1380,'configuration','views.view.simplenews_newsletters','8.1.8'),(191,2972,'configuration','views.view.simplenews_newsletters','8.1.8'),(192,2973,'configuration','views.view.simplenews_newsletters','8.1.8'),(193,2974,'configuration','views.view.simplenews_newsletters','8.1.8'),(194,2975,'configuration','views.view.simplenews_newsletters','8.1.8'),(195,2976,'configuration','views.view.simplenews_newsletters','8.1.8'),(196,2977,'configuration','views.view.simplenews_newsletters','8.1.8'),(197,2978,'configuration','views.view.simplenews_newsletters','8.1.8'),(198,2979,'configuration','views.view.simplenews_newsletters','8.1.8'),(199,2887,'configuration','views.view.simplenews_newsletters','8.1.8'),(200,2980,'configuration','views.view.simplenews_newsletters','8.1.8'),(201,354,'configuration','views.view.simplenews_newsletters','8.1.8'),(202,256,'configuration','views.view.simplenews_newsletters','8.1.8'),(203,2981,'configuration','views.view.simplenews_newsletters','8.1.8'),(204,1811,'configuration','views.view.simplenews_newsletters','8.1.8'),(205,2982,'configuration','views.view.simplenews_newsletters','8.1.8'),(206,314,'configuration','views.view.simplenews_newsletters','8.1.8'),(207,2983,'configuration','views.view.simplenews_newsletters','8.1.8'),(208,2878,'configuration','views.view.simplenews_subscribers','8.1.8'),(209,2732,'configuration','views.view.simplenews_subscribers','8.1.8'),(210,911,'configuration','views.view.simplenews_subscribers','8.1.8'),(211,164,'configuration','views.view.simplenews_subscribers','8.1.8'),(212,527,'configuration','views.view.simplenews_subscribers','8.1.8'),(213,2701,'configuration','views.view.simplenews_subscribers','8.1.8'),(214,430,'configuration','views.view.simplenews_subscribers','8.1.8'),(215,2973,'configuration','views.view.simplenews_subscribers','8.1.8'),(216,2974,'configuration','views.view.simplenews_subscribers','8.1.8'),(217,2975,'configuration','views.view.simplenews_subscribers','8.1.8'),(218,2976,'configuration','views.view.simplenews_subscribers','8.1.8'),(219,2971,'configuration','views.view.simplenews_subscribers','8.1.8'),(220,1380,'configuration','views.view.simplenews_subscribers','8.1.8'),(221,2972,'configuration','views.view.simplenews_subscribers','8.1.8'),(222,279,'configuration','views.view.simplenews_subscribers','8.1.8'),(223,108,'configuration','views.view.simplenews_subscribers','8.1.8'),(224,2951,'configuration','views.view.simplenews_subscribers','8.1.8'),(225,2980,'configuration','views.view.simplenews_subscribers','8.1.8'),(226,304,'configuration','views.view.simplenews_subscribers','8.1.8'),(227,287,'configuration','views.view.simplenews_subscribers','8.1.8'),(228,105,'configuration','views.view.simplenews_subscribers','8.1.8'),(229,2888,'configuration','views.view.simplenews_subscribers','8.1.8'),(230,98,'configuration','views.view.simplenews_subscribers','8.1.8'),(231,2984,'configuration','views.view.simplenews_subscribers','8.1.8'),(232,314,'configuration','views.view.simplenews_subscribers','8.1.8'),(233,2985,'configuration','core.date_format.fallback','8.1.8'),(234,2986,'configuration','core.date_format.html_date','8.1.8'),(235,2987,'configuration','core.date_format.html_datetime','8.1.8'),(236,2988,'configuration','core.date_format.html_month','8.1.8'),(237,2989,'configuration','core.date_format.html_time','8.1.8'),(238,2990,'configuration','core.date_format.html_week','8.1.8'),(239,2991,'configuration','core.date_format.html_year','8.1.8'),(240,2992,'configuration','core.date_format.html_yearless_date','8.1.8'),(241,2993,'configuration','core.date_format.long','8.1.8'),(242,2994,'configuration','core.date_format.long','8.1.8'),(243,2995,'configuration','core.date_format.medium','8.1.8'),(244,2996,'configuration','core.date_format.medium','8.1.8'),(245,2997,'configuration','core.date_format.short','8.1.8'),(246,2998,'configuration','core.date_format.short','8.1.8'),(247,491,'configuration','system.maintenance','8.1.8'),(248,2911,'configuration','system.menu.account','8.1.8'),(249,2999,'configuration','system.menu.account','8.1.8'),(250,63,'configuration','system.menu.admin','8.1.8'),(251,3000,'configuration','system.menu.admin','8.1.8'),(252,340,'configuration','system.menu.footer','8.1.8'),(253,3001,'configuration','system.menu.footer','8.1.8'),(254,2917,'configuration','system.menu.main','8.1.8'),(255,3002,'configuration','system.menu.main','8.1.8'),(256,71,'configuration','system.menu.tools','8.1.8'),(257,3003,'configuration','system.menu.tools','8.1.8'),(258,2373,'configuration','core.entity_view_mode.taxonomy_term.full','8.1.8'),(259,99,'configuration','core.entity_form_mode.user.register','8.1.8'),(260,3004,'configuration','core.entity_view_mode.user.compact','8.1.8'),(261,1196,'configuration','core.entity_view_mode.user.full','8.1.8'),(262,3005,'configuration','system.action.user_block_user_action','8.1.8'),(263,3006,'configuration','system.action.user_cancel_user_action','8.1.8'),(264,3007,'configuration','system.action.user_unblock_user_action','8.1.8'),(265,3008,'configuration','user.mail','8.1.8'),(266,3009,'configuration','user.mail','8.1.8'),(267,3010,'configuration','user.mail','8.1.8'),(268,3011,'configuration','user.mail','8.1.8'),(269,3012,'configuration','user.mail','8.1.8'),(270,2477,'configuration','user.mail','8.1.8'),(271,3013,'configuration','user.mail','8.1.8'),(272,3014,'configuration','user.mail','8.1.8'),(273,3015,'configuration','user.mail','8.1.8'),(274,3016,'configuration','user.mail','8.1.8'),(275,3017,'configuration','user.mail','8.1.8'),(276,3018,'configuration','user.mail','8.1.8'),(277,3019,'configuration','user.mail','8.1.8'),(278,3020,'configuration','user.mail','8.1.8'),(279,3021,'configuration','user.mail','8.1.8'),(280,3022,'configuration','user.mail','8.1.8'),(281,3023,'configuration','user.mail','8.1.8'),(282,909,'configuration','user.role.anonymous','8.1.8'),(283,3024,'configuration','user.role.authenticated','8.1.8'),(284,496,'configuration','user.settings','8.1.8'),(285,3025,'configuration','image.style.max_1300x1300','8.1.8'),(286,3026,'configuration','image.style.max_2600x2600','8.1.8'),(287,3027,'configuration','image.style.max_325x325','8.1.8'),(288,3028,'configuration','image.style.max_650x650','8.1.8'),(289,3029,'configuration','responsive_image.styles.narrow','8.1.8'),(290,3030,'configuration','responsive_image.styles.wide','8.1.8'),(291,3031,'configuration','views.view.block_content','8.1.8'),(292,3032,'configuration','views.view.block_content','8.1.8'),(293,2732,'configuration','views.view.block_content','8.1.8'),(294,911,'configuration','views.view.block_content','8.1.8'),(295,164,'configuration','views.view.block_content','8.1.8'),(296,527,'configuration','views.view.block_content','8.1.8'),(297,2701,'configuration','views.view.block_content','8.1.8'),(298,430,'configuration','views.view.block_content','8.1.8'),(299,3033,'configuration','views.view.block_content','8.1.8'),(300,3034,'configuration','views.view.block_content','8.1.8'),(301,2971,'configuration','views.view.block_content','8.1.8'),(302,1380,'configuration','views.view.block_content','8.1.8'),(303,2972,'configuration','views.view.block_content','8.1.8'),(304,927,'configuration','views.view.block_content','8.1.8'),(305,2980,'configuration','views.view.block_content','8.1.8'),(306,1182,'configuration','views.view.block_content','8.1.8'),(307,256,'configuration','views.view.block_content','8.1.8'),(308,105,'configuration','views.view.block_content','8.1.8'),(309,3035,'configuration','views.view.block_content','8.1.8'),(310,314,'configuration','views.view.block_content','8.1.8'),(311,510,'configuration','views.view.comments_recent','8.1.8'),(312,3036,'configuration','views.view.comments_recent','8.1.8'),(313,2732,'configuration','views.view.comments_recent','8.1.8'),(314,1017,'configuration','views.view.comments_recent','8.1.8'),(315,312,'configuration','views.view.comments_recent','8.1.8'),(316,3037,'configuration','views.view.comments_recent','8.1.8'),(317,280,'configuration','views.view.files','8.1.8'),(318,3038,'configuration','views.view.files','8.1.8'),(319,2732,'configuration','views.view.files','8.1.8'),(320,356,'configuration','views.view.files','8.1.8'),(321,164,'configuration','views.view.files','8.1.8'),(322,527,'configuration','views.view.files','8.1.8'),(323,2701,'configuration','views.view.files','8.1.8'),(324,430,'configuration','views.view.files','8.1.8'),(325,3033,'configuration','views.view.files','8.1.8'),(326,3034,'configuration','views.view.files','8.1.8'),(327,2971,'configuration','views.view.files','8.1.8'),(328,1380,'configuration','views.view.files','8.1.8'),(329,2972,'configuration','views.view.files','8.1.8'),(330,3039,'configuration','views.view.files','8.1.8'),(331,192,'configuration','views.view.files','8.1.8'),(332,2980,'configuration','views.view.files','8.1.8'),(333,1282,'configuration','views.view.files','8.1.8'),(334,161,'configuration','views.view.files','8.1.8'),(335,98,'configuration','views.view.files','8.1.8'),(336,3040,'configuration','views.view.files','8.1.8'),(337,3041,'configuration','views.view.files','8.1.8'),(338,951,'configuration','views.view.files','8.1.8'),(339,3042,'configuration','views.view.files','8.1.8'),(340,238,'configuration','views.view.files','8.1.8'),(341,3043,'configuration','views.view.files','8.1.8'),(342,3044,'configuration','views.view.files','8.1.8'),(343,3045,'configuration','views.view.files','8.1.8'),(344,802,'configuration','views.view.files','8.1.8'),(345,1193,'configuration','views.view.files','8.1.8'),(346,3046,'configuration','views.view.files','8.1.8'),(347,3047,'configuration','views.view.files','8.1.8'),(348,3048,'configuration','views.view.files','8.1.8'),(349,303,'configuration','views.view.files','8.1.8'),(350,3049,'configuration','views.view.files','8.1.8'),(351,3050,'configuration','tour.tour.language-add','8.1.8'),(352,3051,'configuration','tour.tour.language-add','8.1.8'),(353,1403,'configuration','tour.tour.language-add','8.1.8'),(354,3052,'configuration','tour.tour.language-add','8.1.8'),(355,3053,'configuration','tour.tour.language-add','8.1.8'),(356,3054,'configuration','tour.tour.language-add','8.1.8'),(357,3055,'configuration','tour.tour.language-edit','8.1.8'),(358,3056,'configuration','tour.tour.language-edit','8.1.8'),(359,990,'configuration','tour.tour.language-edit','8.1.8'),(360,3057,'configuration','tour.tour.language-edit','8.1.8'),(361,1387,'configuration','tour.tour.language-edit','8.1.8'),(362,3058,'configuration','tour.tour.language-edit','8.1.8'),(363,3059,'configuration','tour.tour.language-edit','8.1.8'),(364,3060,'configuration','tour.tour.language-edit','8.1.8'),(365,3053,'configuration','tour.tour.language-edit','8.1.8'),(366,3061,'configuration','tour.tour.language-edit','8.1.8'),(367,126,'configuration','tour.tour.language','8.1.8'),(368,765,'configuration','tour.tour.language','8.1.8'),(369,3062,'configuration','tour.tour.language','8.1.8'),(370,3050,'configuration','tour.tour.language','8.1.8'),(371,3063,'configuration','tour.tour.language','8.1.8'),(372,3064,'configuration','tour.tour.language','8.1.8'),(373,3065,'configuration','tour.tour.language','8.1.8'),(374,3066,'configuration','tour.tour.language','8.1.8'),(375,3067,'configuration','tour.tour.language','8.1.8'),(376,3068,'configuration','tour.tour.language','8.1.8'),(377,3069,'configuration','tour.tour.language','8.1.8'),(378,3053,'configuration','tour.tour.language','8.1.8'),(379,3070,'configuration','tour.tour.language','8.1.8'),(380,928,'configuration','tour.tour.locale','8.1.8'),(381,3071,'configuration','tour.tour.locale','8.1.8'),(382,3072,'configuration','tour.tour.locale','8.1.8'),(383,3073,'configuration','tour.tour.locale','8.1.8'),(384,3074,'configuration','tour.tour.locale','8.1.8'),(385,163,'configuration','tour.tour.locale','8.1.8'),(386,3075,'configuration','tour.tour.locale','8.1.8'),(387,3076,'configuration','tour.tour.locale','8.1.8'),(388,3077,'configuration','tour.tour.locale','8.1.8'),(389,3078,'configuration','tour.tour.locale','8.1.8'),(390,3079,'configuration','tour.tour.locale','8.1.8'),(391,1175,'configuration','tour.tour.locale','8.1.8'),(392,3080,'configuration','tour.tour.locale','8.1.8'),(393,3081,'configuration','tour.tour.locale','8.1.8'),(394,3082,'configuration','tour.tour.locale','8.1.8'),(395,3053,'configuration','tour.tour.locale','8.1.8'),(396,3083,'configuration','tour.tour.locale','8.1.8'),(397,106,'configuration','search.page.node_search','8.1.8'),(398,226,'configuration','views.view.archive','8.1.8'),(399,3084,'configuration','views.view.archive','8.1.8'),(400,2732,'configuration','views.view.archive','8.1.8'),(401,3085,'configuration','views.view.archive','8.1.8'),(402,911,'configuration','views.view.archive','8.1.8'),(403,164,'configuration','views.view.archive','8.1.8'),(404,527,'configuration','views.view.archive','8.1.8'),(405,2701,'configuration','views.view.archive','8.1.8'),(406,430,'configuration','views.view.archive','8.1.8'),(407,2971,'configuration','views.view.archive','8.1.8'),(408,1380,'configuration','views.view.archive','8.1.8'),(409,2972,'configuration','views.view.archive','8.1.8'),(410,3086,'configuration','views.view.archive','8.1.8'),(411,3087,'configuration','views.view.archive','8.1.8'),(412,3088,'configuration','views.view.archive','8.1.8'),(413,312,'configuration','views.view.archive','8.1.8'),(414,314,'configuration','views.view.archive','8.1.8'),(415,106,'configuration','views.view.content','8.1.8'),(416,2227,'configuration','views.view.content','8.1.8'),(417,356,'configuration','views.view.content','8.1.8'),(418,164,'configuration','views.view.content','8.1.8'),(419,527,'configuration','views.view.content','8.1.8'),(420,2701,'configuration','views.view.content','8.1.8'),(421,430,'configuration','views.view.content','8.1.8'),(422,3033,'configuration','views.view.content','8.1.8'),(423,3034,'configuration','views.view.content','8.1.8'),(424,3089,'configuration','views.view.content','8.1.8'),(425,3090,'configuration','views.view.content','8.1.8'),(426,92,'configuration','views.view.content','8.1.8'),(427,276,'configuration','views.view.content','8.1.8'),(428,2980,'configuration','views.view.content','8.1.8'),(429,113,'configuration','views.view.content','8.1.8'),(430,98,'configuration','views.view.content','8.1.8'),(431,256,'configuration','views.view.content','8.1.8'),(432,105,'configuration','views.view.content','8.1.8'),(433,3091,'configuration','views.view.content','8.1.8'),(434,354,'configuration','views.view.content','8.1.8'),(435,3092,'configuration','views.view.content','8.1.8'),(436,3093,'configuration','views.view.content','8.1.8'),(437,126,'configuration','views.view.content','8.1.8'),(438,1216,'configuration','views.view.content','8.1.8'),(439,2732,'configuration','views.view.content','8.1.8'),(440,3094,'configuration','views.view.content','8.1.8'),(441,314,'configuration','views.view.content','8.1.8'),(442,2214,'configuration','views.view.content_recent','8.1.8'),(443,3095,'configuration','views.view.content_recent','8.1.8'),(444,2732,'configuration','views.view.content_recent','8.1.8'),(445,911,'configuration','views.view.content_recent','8.1.8'),(446,164,'configuration','views.view.content_recent','8.1.8'),(447,527,'configuration','views.view.content_recent','8.1.8'),(448,2701,'configuration','views.view.content_recent','8.1.8'),(449,430,'configuration','views.view.content_recent','8.1.8'),(450,2980,'configuration','views.view.content_recent','8.1.8'),(451,1216,'configuration','views.view.content_recent','8.1.8'),(452,136,'configuration','views.view.content_recent','8.1.8'),(453,312,'configuration','views.view.content_recent','8.1.8'),(454,3096,'configuration','views.view.frontpage','8.1.8'),(455,3097,'configuration','views.view.frontpage','8.1.8'),(456,2215,'configuration','views.view.frontpage','8.1.8'),(457,3098,'configuration','views.view.frontpage','8.1.8'),(458,911,'configuration','views.view.frontpage','8.1.8'),(459,164,'configuration','views.view.frontpage','8.1.8'),(460,527,'configuration','views.view.frontpage','8.1.8'),(461,2701,'configuration','views.view.frontpage','8.1.8'),(462,430,'configuration','views.view.frontpage','8.1.8'),(463,2971,'configuration','views.view.frontpage','8.1.8'),(464,1380,'configuration','views.view.frontpage','8.1.8'),(465,2972,'configuration','views.view.frontpage','8.1.8'),(466,3033,'configuration','views.view.frontpage','8.1.8'),(467,3034,'configuration','views.view.frontpage','8.1.8'),(468,3089,'configuration','views.view.frontpage','8.1.8'),(469,3090,'configuration','views.view.frontpage','8.1.8'),(470,2732,'configuration','views.view.frontpage','8.1.8'),(471,191,'configuration','views.view.frontpage','8.1.8'),(472,314,'configuration','views.view.frontpage','8.1.8'),(473,844,'configuration','views.view.glossary','8.1.8'),(474,3099,'configuration','views.view.glossary','8.1.8'),(475,2732,'configuration','views.view.glossary','8.1.8'),(476,911,'configuration','views.view.glossary','8.1.8'),(477,164,'configuration','views.view.glossary','8.1.8'),(478,527,'configuration','views.view.glossary','8.1.8'),(479,2701,'configuration','views.view.glossary','8.1.8'),(480,430,'configuration','views.view.glossary','8.1.8'),(481,2971,'configuration','views.view.glossary','8.1.8'),(482,1380,'configuration','views.view.glossary','8.1.8'),(483,2972,'configuration','views.view.glossary','8.1.8'),(484,3086,'configuration','views.view.glossary','8.1.8'),(485,3087,'configuration','views.view.glossary','8.1.8'),(486,92,'configuration','views.view.glossary','8.1.8'),(487,113,'configuration','views.view.glossary','8.1.8'),(488,399,'configuration','views.view.glossary','8.1.8'),(489,271,'configuration','views.view.glossary','8.1.8'),(490,314,'configuration','views.view.glossary','8.1.8'),(491,201,'configuration','views.view.taxonomy_term','8.1.8'),(492,3100,'configuration','views.view.taxonomy_term','8.1.8'),(493,2732,'configuration','views.view.taxonomy_term','8.1.8'),(494,911,'configuration','views.view.taxonomy_term','8.1.8'),(495,164,'configuration','views.view.taxonomy_term','8.1.8'),(496,527,'configuration','views.view.taxonomy_term','8.1.8'),(497,2701,'configuration','views.view.taxonomy_term','8.1.8'),(498,430,'configuration','views.view.taxonomy_term','8.1.8'),(499,2971,'configuration','views.view.taxonomy_term','8.1.8'),(500,1380,'configuration','views.view.taxonomy_term','8.1.8'),(501,2972,'configuration','views.view.taxonomy_term','8.1.8'),(502,3086,'configuration','views.view.taxonomy_term','8.1.8'),(503,3087,'configuration','views.view.taxonomy_term','8.1.8'),(504,303,'configuration','views.view.taxonomy_term','8.1.8'),(505,3101,'configuration','views.view.taxonomy_term','8.1.8'),(506,191,'configuration','views.view.taxonomy_term','8.1.8'),(507,314,'configuration','views.view.taxonomy_term','8.1.8'),(508,488,'configuration','search.page.user_search','8.1.8'),(509,829,'configuration','views.view.user_admin_people','8.1.8'),(510,2491,'configuration','views.view.user_admin_people','8.1.8'),(511,2732,'configuration','views.view.user_admin_people','8.1.8'),(512,356,'configuration','views.view.user_admin_people','8.1.8'),(513,164,'configuration','views.view.user_admin_people','8.1.8'),(514,527,'configuration','views.view.user_admin_people','8.1.8'),(515,2701,'configuration','views.view.user_admin_people','8.1.8'),(516,430,'configuration','views.view.user_admin_people','8.1.8'),(517,3033,'configuration','views.view.user_admin_people','8.1.8'),(518,3034,'configuration','views.view.user_admin_people','8.1.8'),(519,3089,'configuration','views.view.user_admin_people','8.1.8'),(520,3090,'configuration','views.view.user_admin_people','8.1.8'),(521,2971,'configuration','views.view.user_admin_people','8.1.8'),(522,1380,'configuration','views.view.user_admin_people','8.1.8'),(523,2972,'configuration','views.view.user_admin_people','8.1.8'),(524,3102,'configuration','views.view.user_admin_people','8.1.8'),(525,108,'configuration','views.view.user_admin_people','8.1.8'),(526,98,'configuration','views.view.user_admin_people','8.1.8'),(527,69,'configuration','views.view.user_admin_people','8.1.8'),(528,755,'configuration','views.view.user_admin_people','8.1.8'),(529,373,'configuration','views.view.user_admin_people','8.1.8'),(530,105,'configuration','views.view.user_admin_people','8.1.8'),(531,2980,'configuration','views.view.user_admin_people','8.1.8'),(532,3103,'configuration','views.view.user_admin_people','8.1.8'),(533,479,'configuration','views.view.user_admin_people','8.1.8'),(534,971,'configuration','views.view.user_admin_people','8.1.8'),(535,304,'configuration','views.view.user_admin_people','8.1.8'),(536,3092,'configuration','views.view.user_admin_people','8.1.8'),(537,833,'configuration','views.view.user_admin_people','8.1.8'),(538,2439,'configuration','views.view.user_admin_people','8.1.8'),(539,127,'configuration','views.view.user_admin_people','8.1.8'),(540,314,'configuration','views.view.user_admin_people','8.1.8'),(541,117,'configuration','views.view.user_admin_people','8.1.8'),(542,2636,'configuration','views.view.user_admin_people','8.1.8'),(543,1386,'configuration','views.view.who_s_new','8.1.8'),(544,3104,'configuration','views.view.who_s_new','8.1.8'),(545,2732,'configuration','views.view.who_s_new','8.1.8'),(546,911,'configuration','views.view.who_s_new','8.1.8'),(547,164,'configuration','views.view.who_s_new','8.1.8'),(548,527,'configuration','views.view.who_s_new','8.1.8'),(549,2701,'configuration','views.view.who_s_new','8.1.8'),(550,430,'configuration','views.view.who_s_new','8.1.8'),(551,3105,'configuration','views.view.who_s_new','8.1.8'),(552,2862,'configuration','views.view.who_s_new','8.1.8'),(553,3106,'configuration','views.view.who_s_online','8.1.8'),(554,3107,'configuration','views.view.who_s_online','8.1.8'),(555,2732,'configuration','views.view.who_s_online','8.1.8'),(556,911,'configuration','views.view.who_s_online','8.1.8'),(557,164,'configuration','views.view.who_s_online','8.1.8'),(558,527,'configuration','views.view.who_s_online','8.1.8'),(559,2701,'configuration','views.view.who_s_online','8.1.8'),(560,430,'configuration','views.view.who_s_online','8.1.8'),(561,373,'configuration','views.view.who_s_online','8.1.8'),(562,1040,'configuration','views.view.who_s_online','8.1.8'),(563,1722,'configuration','views.view.who_s_online','8.1.8'),(564,3108,'configuration','views.view.who_s_online','8.1.8'),(565,3109,'configuration','views.view.who_s_online','8.1.8'),(566,3110,'configuration','views.view.who_s_online','8.1.8'),(567,3111,'configuration','tour.tour.views-ui','8.1.8'),(568,3112,'configuration','tour.tour.views-ui','8.1.8'),(569,3113,'configuration','tour.tour.views-ui','8.1.8'),(570,3114,'configuration','tour.tour.views-ui','8.1.8'),(571,3115,'configuration','tour.tour.views-ui','8.1.8'),(572,3116,'configuration','tour.tour.views-ui','8.1.8'),(573,3117,'configuration','tour.tour.views-ui','8.1.8'),(574,3118,'configuration','tour.tour.views-ui','8.1.8'),(575,3119,'configuration','tour.tour.views-ui','8.1.8'),(576,380,'configuration','tour.tour.views-ui','8.1.8'),(577,3120,'configuration','tour.tour.views-ui','8.1.8'),(578,3121,'configuration','tour.tour.views-ui','8.1.8'),(579,3122,'configuration','tour.tour.views-ui','8.1.8'),(580,3123,'configuration','tour.tour.views-ui','8.1.8'),(581,3124,'configuration','tour.tour.views-ui','8.1.8'),(582,3125,'configuration','tour.tour.views-ui','8.1.8'),(583,3126,'configuration','tour.tour.views-ui','8.1.8'),(584,3127,'configuration','tour.tour.views-ui','8.1.8'),(585,3128,'configuration','tour.tour.views-ui','8.1.8'),(586,208,'configuration','tour.tour.views-ui','8.1.8'),(587,3129,'configuration','tour.tour.views-ui','8.1.8'),(588,3130,'configuration','system.action.pathauto_update_alias_node','8.1.8'),(589,3130,'configuration','system.action.pathauto_update_alias_user','8.1.8'),(590,733,'configuration','language.entity.ar','8.1.8'),(591,3131,'path','/ar','8.1.8'),(592,3132,'path','/ar','8.1.8'),(593,3133,'path','/ar','8.1.8'),(594,3134,'path','/ar','8.1.8'),(595,3135,'path','/ar','8.1.8'),(596,3136,'path','/ar','8.1.8'),(597,3137,'path','/ar','8.1.8'),(598,3138,'path','/ar','8.1.8'),(599,3139,'path','/ar','8.1.8'),(600,3140,'path','/ar','8.1.8'),(601,3141,'path','/ar','8.1.8'),(602,3142,'path','/ar','8.1.8'),(603,3143,'path','/ar','8.1.8'),(604,3144,'path','/ar','8.1.8'),(605,3145,'path','/ar','8.1.8'),(606,3146,'path','/ar','8.1.8'),(607,3147,'path','/ar','8.1.8'),(608,3148,'path','/ar','8.1.8'),(609,3149,'path','/ar','8.1.8'),(610,3150,'path','/ar','8.1.8'),(611,3151,'path','/ar','8.1.8'),(612,3152,'path','/ar','8.1.8'),(613,3153,'path','/ar','8.1.8'),(614,3154,'path','/ar','8.1.8'),(615,3155,'path','/ar','8.1.8'),(616,3156,'path','/ar','8.1.8'),(617,3157,'path','/ar','8.1.8'),(618,3158,'path','/ar','8.1.8'),(619,3159,'path','/ar','8.1.8'),(620,3160,'path','/ar','8.1.8'),(621,3161,'path','/ar','8.1.8'),(622,3162,'path','/ar','8.1.8'),(623,3163,'path','/ar','8.1.8'),(624,3164,'path','/ar','8.1.8'),(625,3165,'path','/ar','8.1.8'),(626,3166,'path','/ar','8.1.8'),(627,3167,'path','/ar','8.1.8'),(628,3168,'path','/ar','8.1.8'),(629,3169,'path','/ar','8.1.8'),(630,3170,'path','/ar','8.1.8'),(631,3171,'path','/ar','8.1.8'),(632,3172,'path','/ar','8.1.8'),(633,3173,'path','/ar','8.1.8'),(634,3174,'path','/ar','8.1.8'),(635,3175,'path','/ar','8.1.8'),(636,3176,'path','/ar','8.1.8'),(637,3177,'path','/ar','8.1.8'),(638,3178,'path','/ar','8.1.8'),(639,3179,'path','/ar','8.1.8'),(640,3180,'path','/ar','8.1.8'),(641,3181,'path','/ar','8.1.8'),(642,3182,'path','/ar','8.1.8'),(643,3183,'path','/ar','8.1.8'),(644,3184,'path','/ar','8.1.8'),(645,3185,'path','/ar','8.1.8'),(646,3186,'path','/ar','8.1.8'),(647,3187,'path','/ar','8.1.8'),(648,3188,'path','/ar','8.1.8'),(649,3189,'path','/ar','8.1.8'),(650,3190,'path','/ar','8.1.8'),(651,3191,'path','/ar','8.1.8'),(652,3192,'path','/ar','8.1.8'),(653,3193,'path','/ar','8.1.8'),(654,3194,'path','/ar','8.1.8'),(655,3195,'path','/ar','8.1.8'),(656,3196,'path','/ar','8.1.8'),(657,3197,'path','/ar','8.1.8'),(658,3198,'path','/ar','8.1.8'),(659,3199,'path','/ar','8.1.8'),(660,3200,'path','/ar','8.1.8'),(661,3201,'path','/ar','8.1.8'),(662,3202,'path','/ar','8.1.8'),(663,3203,'path','/ar','8.1.8'),(664,3204,'path','/ar','8.1.8'),(665,3205,'path','/ar','8.1.8'),(666,3206,'path','/ar','8.1.8'),(667,3207,'path','/ar','8.1.8'),(668,3208,'path','/ar','8.1.8'),(669,3209,'path','/ar','8.1.8'),(670,3210,'path','/ar','8.1.8'),(671,3211,'path','/ar','8.1.8'),(672,3212,'path','/ar','8.1.8'),(673,3213,'path','/ar','8.1.8'),(674,3214,'path','/ar','8.1.8'),(675,3215,'path','/ar','8.1.8'),(676,3216,'path','/ar','8.1.8'),(677,3217,'path','/ar','8.1.8'),(678,3218,'path','/ar','8.1.8'),(679,3219,'path','/ar','8.1.8'),(680,3220,'path','/ar','8.1.8'),(681,3221,'path','/ar','8.1.8'),(682,3222,'path','/ar','8.1.8'),(683,3223,'path','/ar','8.1.8'),(684,3224,'path','/ar','8.1.8'),(685,3225,'path','/ar','8.1.8'),(686,3226,'path','/ar','8.1.8'),(687,3227,'path','/ar','8.1.8'),(688,3228,'path','/ar','8.1.8'),(689,3229,'path','/ar','8.1.8'),(690,3230,'path','/ar','8.1.8'),(691,3231,'path','/ar','8.1.8'),(692,3232,'path','/ar','8.1.8'),(693,3233,'path','/ar','8.1.8'),(694,3234,'path','/ar','8.1.8'),(695,3235,'path','/ar','8.1.8'),(696,3236,'path','/ar','8.1.8'),(697,3237,'path','/ar','8.1.8'),(698,3238,'path','/ar','8.1.8'),(699,3239,'path','/ar','8.1.8'),(700,3240,'path','/ar','8.1.8'),(701,3241,'path','/ar','8.1.8'),(702,3242,'path','/ar','8.1.8'),(703,3243,'path','/ar','8.1.8'),(704,3244,'path','/ar','8.1.8'),(705,3245,'path','/ar','8.1.8'),(706,3246,'path','/ar','8.1.8'),(707,3247,'path','/ar','8.1.8'),(708,3248,'path','/ar','8.1.8'),(709,3249,'path','/ar','8.1.8'),(710,3250,'path','/ar','8.1.8'),(711,3251,'path','/ar','8.1.8'),(712,3252,'path','/ar','8.1.8'),(713,3253,'path','/ar','8.1.8'),(714,3254,'path','/ar/contextual/render','8.1.8'),(715,3255,'path','/ar/contextual/render','8.1.8'),(716,3256,'path','/ar/quickedit/attachments?_wrapper_format=drupal_ajax','8.1.8'),(717,3257,'path','/ar/quickedit/attachments?_wrapper_format=drupal_ajax','8.1.8'),(718,3258,'path','/ar/quickedit/attachments?_wrapper_format=drupal_ajax','8.1.8'),(719,3259,'path','/ar/quickedit/attachments?_wrapper_format=drupal_ajax','8.1.8'),(720,231,'javascript','core/modules/views_ui/js/views-admin.js','8.4.0'),(721,3260,'javascript','core/modules/views_ui/js/views-admin.js','8.4.0'),(722,2744,'javascript','core/modules/views_ui/js/views-admin.js','8.4.0'),(723,3261,'javascript','core/modules/views_ui/js/views-admin.js','8.4.0'),(724,2745,'javascript','core/modules/views_ui/js/views-admin.js','8.4.0'),(725,975,'javascript','core/misc/collapse.js','8.9.19'),(726,730,'javascript','core/misc/collapse.js','8.9.19'),(727,3262,'path','/ar/contact','8.1.8'),(728,3263,'path','/ar/contact','8.1.8'),(729,3264,'javascript','core/modules/editor/js/editor.js','8.9.18'),(730,3265,'javascript','core/modules/editor/js/editor.js','8.9.18'),(731,277,'javascript','core/modules/editor/js/editor.js','8.9.18'),(732,122,'javascript','core/modules/editor/js/editor.js','8.9.18'),(733,3266,'javascript','core/modules/ckeditor/js/ckeditor.js','8.9.18'),(734,893,'javascript','core/modules/ckeditor/js/ckeditor.js','8.9.18'),(735,3267,'path','/ar/portfolio','8.1.8'),(736,3268,'path','/ar/portfolio','8.1.8'),(737,3269,'path','/ar/portfolio','8.1.8'),(738,3270,'path','/ar/node/30','8.1.8'),(739,3271,'javascript','core/modules/system/js/system.modules.js','8.9.19'),(740,159,'javascript','core/misc/machine-name.js','8.3.5'),(741,1810,'javascript','core/modules/block/js/block.js','8.3.5'),(742,1937,'javascript','core/modules/block/js/block.js','8.3.5'),(743,1938,'javascript','core/modules/block/js/block.js','8.3.5'),(744,1900,'javascript','core/misc/vertical-tabs.js','8.9.19'),(745,1343,'javascript','core/modules/node/node.js','8.1.8'),(746,1806,'javascript','core/modules/node/node.js','8.1.8'),(747,1332,'javascript','core/modules/node/node.js','8.3.5'),(748,1333,'javascript','core/modules/node/node.js','8.3.5'),(749,3272,'javascript','core/modules/node/node.js','8.3.5'),(750,3273,'javascript','core/modules/node/node.js','8.3.5'),(751,3274,'javascript','core/modules/node/node.js','8.1.8'),(752,3275,'javascript','core/modules/node/node.js','8.1.8'),(753,3276,'javascript','core/modules/node/node.js','8.1.8'),(754,3277,'javascript','core/modules/node/node.js','8.1.8'),(755,305,'javascript','core/modules/locale/locale.datepicker.js','8.3.5'),(756,425,'javascript','core/modules/locale/locale.datepicker.js','8.3.5'),(757,94,'javascript','core/modules/locale/locale.datepicker.js','8.3.5'),(758,771,'javascript','core/modules/locale/locale.datepicker.js','8.3.5'),(759,2145,'javascript','core/modules/locale/locale.datepicker.js','8.3.5'),(760,2146,'javascript','core/modules/locale/locale.datepicker.js','8.3.5'),(761,2147,'javascript','core/modules/locale/locale.datepicker.js','8.3.5'),(762,2148,'javascript','core/modules/locale/locale.datepicker.js','8.3.5'),(763,2149,'javascript','core/modules/locale/locale.datepicker.js','8.3.5'),(764,2150,'javascript','core/modules/locale/locale.datepicker.js','8.3.5'),(765,2151,'javascript','core/modules/locale/locale.datepicker.js','8.3.5'),(766,2152,'javascript','core/modules/locale/locale.datepicker.js','8.3.5'),(767,2153,'javascript','core/modules/locale/locale.datepicker.js','8.3.5'),(768,2154,'javascript','core/modules/locale/locale.datepicker.js','8.3.5'),(769,2155,'javascript','core/modules/locale/locale.datepicker.js','8.3.5'),(770,2156,'javascript','core/modules/locale/locale.datepicker.js','8.3.5'),(771,781,'javascript','core/modules/locale/locale.datepicker.js','8.3.5'),(772,782,'javascript','core/modules/locale/locale.datepicker.js','8.3.5'),(773,783,'javascript','core/modules/locale/locale.datepicker.js','8.3.5'),(774,784,'javascript','core/modules/locale/locale.datepicker.js','8.3.5'),(775,467,'javascript','core/modules/locale/locale.datepicker.js','8.3.5'),(776,785,'javascript','core/modules/locale/locale.datepicker.js','8.3.5'),(777,786,'javascript','core/modules/locale/locale.datepicker.js','8.3.5'),(778,787,'javascript','core/modules/locale/locale.datepicker.js','8.3.5'),(779,788,'javascript','core/modules/locale/locale.datepicker.js','8.3.5'),(780,789,'javascript','core/modules/locale/locale.datepicker.js','8.3.5'),(781,790,'javascript','core/modules/locale/locale.datepicker.js','8.3.5'),(782,791,'javascript','core/modules/locale/locale.datepicker.js','8.3.5'),(783,216,'javascript','core/modules/locale/locale.datepicker.js','8.3.5'),(784,217,'javascript','core/modules/locale/locale.datepicker.js','8.3.5'),(785,218,'javascript','core/modules/locale/locale.datepicker.js','8.3.5'),(786,219,'javascript','core/modules/locale/locale.datepicker.js','8.3.5'),(787,220,'javascript','core/modules/locale/locale.datepicker.js','8.3.5'),(788,221,'javascript','core/modules/locale/locale.datepicker.js','8.3.5'),(789,222,'javascript','core/modules/locale/locale.datepicker.js','8.3.5'),(790,466,'javascript','core/modules/locale/locale.datepicker.js','8.3.5'),(791,460,'javascript','core/modules/locale/locale.datepicker.js','8.3.5'),(792,461,'javascript','core/modules/locale/locale.datepicker.js','8.3.5'),(793,462,'javascript','core/modules/locale/locale.datepicker.js','8.3.5'),(794,463,'javascript','core/modules/locale/locale.datepicker.js','8.3.5'),(795,464,'javascript','core/modules/locale/locale.datepicker.js','8.3.5'),(796,465,'javascript','core/modules/locale/locale.datepicker.js','8.3.5'),(797,816,'javascript','core/modules/locale/locale.datepicker.js','8.3.5'),(798,817,'javascript','core/modules/locale/locale.datepicker.js','8.3.5'),(799,818,'javascript','core/modules/locale/locale.datepicker.js','8.3.5'),(800,819,'javascript','core/modules/locale/locale.datepicker.js','8.3.5'),(801,820,'javascript','core/modules/locale/locale.datepicker.js','8.3.5'),(802,821,'javascript','core/modules/locale/locale.datepicker.js','8.3.5'),(803,822,'javascript','core/modules/locale/locale.datepicker.js','8.3.5'),(804,1174,'javascript','core/modules/locale/locale.datepicker.js','8.3.5'),(805,1335,'javascript','core/modules/path/path.js','8.3.5'),(806,1336,'javascript','core/modules/path/path.js','8.3.5'),(807,1334,'javascript','core/modules/menu_ui/menu_ui.js','8.3.5'),(808,2552,'javascript','core/modules/file/file.js','8.9.18'),(809,2010,'javascript','core/modules/text/text.js','8.9.0'),(810,2011,'javascript','core/modules/text/text.js','8.9.0'),(811,758,'javascript','core/misc/tableselect.js','8.9.19'),(812,759,'javascript','core/misc/tableselect.js','8.9.19'),(813,3278,'javascript','modules/pathauto/pathauto.js','8.3.5'),(814,1335,'javascript','modules/pathauto/pathauto.js','8.3.5'),(815,1336,'javascript','modules/pathauto/pathauto.js','8.3.5'),(816,1343,'javascript','core/modules/block_content/js/block_content.js','8.1.8'),(817,1806,'javascript','core/modules/block_content/js/block_content.js','8.1.8'),(818,3274,'javascript','core/modules/block_content/js/block_content.js','8.1.8'),(819,3275,'javascript','core/modules/block_content/js/block_content.js','8.1.8'),(820,3276,'javascript','core/modules/block_content/js/block_content.js','8.1.8'),(821,3277,'javascript','core/modules/block_content/js/block_content.js','8.1.8'),(822,3279,'path','/ar/node/4/translations/add/en/ar','8.1.8'),(823,3280,'path','/ar/node/4/translations/add/en/ar','8.1.8'),(824,3281,'path','/ar/node/4/translations/add/en/ar','8.1.8'),(825,3282,'path','/ar/node/4/translations/add/en/ar','8.1.8'),(826,3283,'path','/ar/node/4/translations/add/en/ar','8.1.8'),(827,3284,'path','/ar/node/4/translations/add/en/ar','8.1.8'),(828,3285,'path','/ar/node/4/translations/add/en/ar','8.1.8'),(829,3286,'path','/ar/node/4/translations/add/en/ar','8.1.8'),(830,3287,'path','/ar/node/4/translations/add/en/ar','8.1.8'),(831,3288,'path','/ar/node/4/translations/add/en/ar','8.1.8'),(832,3289,'path','/ar/node/4/translations/add/en/ar','8.1.8'),(833,3290,'path','/ar/node/4/translations/add/en/ar','8.1.8'),(834,3291,'path','/ar/node/4/translations/add/en/ar','8.1.8'),(835,3292,'path','/ar/node/4/translations/add/en/ar','8.1.8'),(836,3293,'path','/ar/node/4/translations/add/en/ar','8.1.8'),(837,3294,'path','/ar/node/4/translations/add/en/ar','8.1.8'),(838,3295,'path','/ar/node/4/translations/add/en/ar','8.1.8'),(839,3296,'path','/ar/node/4/translations/add/en/ar','8.1.8'),(840,3297,'path','/ar/node/4/translations/add/en/ar','8.1.8'),(841,3298,'path','/ar/node/4/translations/add/en/ar','8.1.8'),(842,3299,'path','/ar/node/4/translations/add/en/ar','8.1.8'),(843,3300,'path','/ar/node/4/translations/add/en/ar','8.1.8'),(844,3301,'path','/ar/node/4/translations/add/en/ar','8.1.8'),(845,3302,'path','/ar/node/4/translations/add/en/ar','8.1.8'),(846,3303,'path','/ar/node/30/translations/add/en/ar','8.1.8'),(847,3304,'path','/ar/node/30/translations/add/en/ar','8.1.8'),(848,3305,'path','/ar/node/30/translations/add/en/ar','8.1.8'),(849,1799,'javascript','core/modules/user/user.permissions.js','8.3.5'),(850,3308,'javascript','modules/token/js/token.js','8.9.19'),(851,3309,'javascript','modules/token/js/token.js','8.9.19'),(852,3310,'javascript','themes/luxestate/assets/js/luxestate.js','8.9.19'),(853,3311,'javascript','modules/sharethis/js/stlib_picker.js','8.1.8'),(854,3312,'javascript','modules/sharethis/js/stlib_picker.js','8.1.8'),(855,986,'javascript','core/modules/comment/js/node-new-comments-link.js','8.1.8'),(856,3313,'path','/ar','8.1.8'),(857,3314,'path','/ar/node/4/edit?destination=/admin/content','8.1.8'),(858,3315,'path','/ar/node/4/edit?destination=/admin/content','8.1.8'),(859,3316,'path','/ar/node/4/edit?destination=/admin/content','8.1.8'),(860,141,'javascript','core/modules/comment/js/comment-new-indicator.js','8.9.18'),(861,3317,'path','/ar','8.1.8'),(862,3318,'path','/ar/about-us','8.1.8'),(863,3319,'path','/ar/about-us','8.1.8'),(864,3320,'path','/ar/portfolio','8.1.8'),(865,3321,'path','/ar/portfolio','8.1.8'),(866,3322,'path','/ar/portfolio','8.1.8'),(867,3323,'path','/ar/portfolio?page=1','8.1.8'),(868,3324,'path','/ar/portfolio?page=1','8.1.8'),(869,3325,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(870,3326,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(871,3327,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(872,3328,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(873,3329,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(874,3330,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(875,3331,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(876,3332,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(877,3333,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(878,3334,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(879,3335,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(880,3336,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(881,3337,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(882,3338,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(883,3339,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(884,3340,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(885,3341,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(886,3342,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(887,3343,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(888,3344,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(889,3345,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(890,3346,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(891,3347,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(892,3348,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(893,3349,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(894,3350,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(895,3351,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(896,3352,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(897,3353,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(898,3354,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(899,3355,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(900,3356,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(901,3357,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(902,3358,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(903,3359,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(904,3360,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(905,3361,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(906,3362,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(907,3363,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(908,3364,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(909,3365,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(910,3366,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(911,3367,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(912,3368,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(913,3369,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(914,3370,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(915,3371,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(916,3372,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(917,3373,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(918,3374,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(919,3375,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(920,3376,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(921,3377,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(922,3378,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(923,3379,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(924,3380,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(925,3381,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(926,3382,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(927,3383,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(928,3384,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(929,3385,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(930,3386,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(931,3387,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(932,3388,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(933,3389,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(934,3390,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(935,3391,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(936,3392,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(937,3393,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(938,3394,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(939,3395,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(940,3396,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(941,3397,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(942,3398,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(943,3399,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(944,3400,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(945,3401,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(946,3402,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(947,3403,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(948,3404,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(949,3405,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(950,3406,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(951,3407,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(952,3408,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(953,3409,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(954,3410,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(955,3411,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(956,3412,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(957,3413,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(958,3414,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(959,3415,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(960,3416,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(961,3417,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(962,3418,'path','/ar/admin/structure/views/view/about_us/edit/block_1?destination=node','8.1.8'),(963,3419,'path','/ar/admin/structure/views/view/about_us/preview/block_1?_wrapper_format=drupal_ajax','8.1.8'),(964,3420,'path','/ar/admin/structure/views/view/about_us/preview/block_1?_wrapper_format=drupal_ajax','8.1.8'),(965,3421,'path','/ar/user/login','8.1.8'),(966,3422,'path','/ar/user/register','8.1.8'),(967,3423,'path','/ar/user/register','8.1.8'),(968,3424,'path','/ar/user/register','8.1.8'),(969,3425,'path','/ar/user/register','8.1.8'),(970,3426,'path','/ar/user/register','8.1.8'),(971,3427,'path','/ar/user/register','8.1.8'),(972,3428,'path','/ar/user/register','8.1.8'),(973,3429,'path','/ar/user/register','8.1.8'),(974,3430,'path','/ar/user/register','8.1.8'),(975,3431,'path','/ar/user/register','8.1.8'),(976,3432,'path','/ar/user/register','8.1.8'),(977,3433,'path','/ar/user/register','8.1.8'),(978,3434,'path','/ar/user/register','8.1.8'),(979,3435,'path','/ar/user/register','8.1.8'),(980,3436,'path','/ar/user/register','8.1.8'),(981,3437,'path','/ar/user/register','8.1.8'),(982,3438,'path','/ar/user/register','8.1.8'),(983,3439,'path','/ar/user/register','8.1.8'),(984,3440,'path','/ar/user/register','8.1.8'),(985,3441,'path','/ar/user/register','8.1.8'),(986,3442,'path','/ar/user/register','8.1.8'),(987,3443,'path','/ar/user/register','8.1.8'),(988,3444,'path','/ar/user/register','8.1.8'),(989,3445,'path','/ar/user/register','8.1.8'),(990,3446,'path','/ar/user/register','8.1.8'),(991,3447,'path','/ar/user/register','8.1.8'),(992,3448,'path','/ar/user/register','8.1.8'),(993,3449,'path','/ar/user/register','8.1.8'),(994,3450,'path','/ar/user/register','8.1.8'),(995,3451,'path','/ar/user/register','8.1.8'),(996,3452,'path','/ar/user/register','8.1.8'),(997,3453,'path','/ar/user/register','8.1.8'),(998,3454,'path','/ar/user/register','8.1.8'),(999,3455,'path','/ar/user/register','8.1.8'),(1000,3456,'path','/ar/user/register','8.1.8'),(1001,3457,'path','/ar/user/register','8.1.8'),(1002,3458,'path','/ar/user/register','8.1.8'),(1003,3459,'path','/ar/user/register','8.1.8'),(1004,3460,'path','/ar/user/register','8.1.8'),(1005,3461,'path','/ar/user/register','8.1.8'),(1006,3462,'path','/ar/user/register','8.1.8'),(1007,3463,'path','/ar/user/register','8.1.8'),(1008,3464,'path','/ar/user/register','8.1.8'),(1009,3465,'path','/ar/user/register','8.1.8'),(1010,3466,'path','/ar/user/register','8.1.8'),(1011,3467,'path','/ar/user/register','8.1.8'),(1012,3468,'path','/ar/user/register','8.1.8'),(1013,3469,'path','/ar/user/register','8.1.8'),(1014,3470,'path','/ar/user/register','8.1.8'),(1015,3471,'path','/ar/user/register','8.1.8'),(1016,3472,'path','/ar/user/register','8.1.8'),(1017,3473,'path','/ar/user/register','8.1.8'),(1018,3474,'path','/ar/user/register','8.1.8'),(1019,3475,'path','/ar/user/register','8.1.8'),(1020,3476,'path','/ar/user/register','8.1.8'),(1021,3477,'path','/ar/user/register','8.1.8'),(1022,3478,'path','/ar/user/register','8.1.8'),(1023,3479,'path','/ar/user/register','8.1.8'),(1024,3480,'path','/ar/user/register','8.1.8'),(1025,3481,'path','/ar/user/register','8.1.8'),(1026,3482,'path','/ar/user/register','8.1.8'),(1027,3483,'path','/ar/user/register','8.1.8'),(1028,3484,'path','/ar/user/register','8.1.8'),(1029,3485,'path','/ar/user/register','8.1.8'),(1030,3486,'path','/ar/user/register','8.1.8'),(1031,3487,'path','/ar/user/register','8.1.8'),(1032,3488,'path','/ar/user/register','8.1.8'),(1033,3489,'path','/ar/user/register','8.1.8'),(1034,3490,'path','/ar/user/register','8.1.8'),(1035,3491,'path','/ar/user/register','8.1.8'),(1036,3492,'path','/ar/user/register','8.1.8'),(1037,3493,'path','/ar/user/register','8.1.8'),(1038,3494,'path','/ar/user/register','8.1.8'),(1039,3495,'path','/ar/user/register','8.1.8'),(1040,3496,'path','/ar/user/register','8.1.8'),(1041,3497,'path','/ar/user/register','8.1.8'),(1042,3498,'path','/ar/user/register','8.1.8'),(1043,3499,'path','/ar/user/register','8.1.8'),(1044,3500,'path','/ar/user/register','8.1.8'),(1045,3501,'path','/ar/user/register','8.1.8'),(1046,3502,'path','/ar/user/register','8.1.8'),(1047,3503,'path','/ar/user/register','8.1.8'),(1048,3504,'path','/ar/user/register','8.1.8'),(1049,3505,'path','/ar/user/register','8.1.8'),(1050,3506,'path','/ar/user/register','8.1.8'),(1051,3507,'path','/ar/user/register','8.1.8'),(1052,3508,'path','/ar/user/register','8.1.8'),(1053,3509,'path','/ar/user/register','8.1.8'),(1054,3510,'path','/ar/user/register','8.1.8'),(1055,3511,'path','/ar/user/register','8.1.8'),(1056,3512,'path','/ar/user/register','8.1.8'),(1057,3513,'path','/ar/user/register','8.1.8'),(1058,3514,'path','/ar/user/register','8.1.8'),(1059,3515,'path','/ar/user/register','8.1.8'),(1060,3516,'path','/ar/user/register','8.1.8'),(1061,3517,'path','/ar/user/register','8.1.8'),(1062,3518,'path','/ar/user/register','8.1.8'),(1063,3519,'path','/ar/user/register','8.1.8'),(1064,3520,'path','/ar/user/register','8.1.8'),(1065,3521,'path','/ar/user/register','8.1.8'),(1066,3522,'path','/ar/user/register','8.1.8'),(1067,3523,'path','/ar/user/register','8.1.8'),(1068,3524,'path','/ar/user/register','8.1.8'),(1069,3525,'path','/ar/user/register','8.1.8'),(1070,3526,'path','/ar/user/register','8.1.8'),(1071,3527,'path','/ar/user/register','8.1.8'),(1072,3528,'path','/ar/user/register','8.1.8'),(1073,3529,'path','/ar/user/register','8.1.8'),(1074,3530,'path','/ar/user/register','8.1.8'),(1075,3531,'path','/ar/user/register','8.1.8'),(1076,3532,'path','/ar/user/register','8.1.8'),(1077,3533,'path','/ar/user/register','8.1.8'),(1078,3534,'path','/ar/user/register','8.1.8'),(1079,3535,'path','/ar/user/register','8.1.8'),(1080,3536,'path','/ar/user/register','8.1.8'),(1081,3537,'path','/ar/user/register','8.1.8'),(1082,3538,'path','/ar/user/register','8.1.8'),(1083,3539,'path','/ar/user/register','8.1.8'),(1084,3540,'path','/ar/user/register','8.1.8'),(1085,3541,'path','/ar/user/register','8.1.8'),(1086,3542,'path','/ar/user/register','8.1.8'),(1087,3543,'path','/ar/user/register','8.1.8'),(1088,3544,'path','/ar/user/register','8.1.8'),(1089,3545,'path','/ar/user/register','8.1.8'),(1090,3546,'path','/ar/user/register','8.1.8'),(1091,3547,'path','/ar/user/register','8.1.8'),(1092,3548,'path','/ar/user/register','8.1.8'),(1093,3549,'path','/ar/user/register','8.1.8'),(1094,3550,'path','/ar/user/register','8.1.8'),(1095,3551,'path','/ar/user/register','8.1.8'),(1096,3552,'path','/ar/user/register','8.1.8'),(1097,3553,'path','/ar/user/register','8.1.8'),(1098,3554,'path','/ar/user/register','8.1.8'),(1099,3555,'path','/ar/user/register','8.1.8'),(1100,3556,'path','/ar/user/register','8.1.8'),(1101,3557,'path','/ar/user/register','8.1.8'),(1102,3558,'path','/ar/user/register','8.1.8'),(1103,3559,'path','/ar/user/register','8.1.8'),(1104,3560,'path','/ar/user/register','8.1.8'),(1105,3561,'path','/ar/user/register','8.1.8'),(1106,3562,'path','/ar/user/register','8.1.8'),(1107,3563,'path','/ar/user/register','8.1.8'),(1108,3564,'path','/ar/user/register','8.1.8'),(1109,3565,'path','/ar/user/register','8.1.8'),(1110,3566,'path','/ar/user/register','8.1.8'),(1111,3567,'path','/ar/user/register','8.1.8'),(1112,3568,'path','/ar/user/register','8.1.8'),(1113,3569,'path','/ar/user/register','8.1.8'),(1114,3570,'path','/ar/user/register','8.1.8'),(1115,3571,'path','/ar/user/register','8.1.8'),(1116,3572,'path','/ar/user/register','8.1.8'),(1117,3573,'path','/ar/user/register','8.1.8'),(1118,3574,'path','/ar/user/register','8.1.8'),(1119,3575,'path','/ar/user/register','8.1.8'),(1120,3576,'path','/ar/user/register','8.1.8'),(1121,3577,'path','/ar/user/register','8.1.8'),(1122,3578,'path','/ar/user/register','8.1.8'),(1123,3579,'path','/ar/user/register','8.1.8'),(1124,3580,'path','/ar/user/register','8.1.8'),(1125,3581,'path','/ar/user/register','8.1.8'),(1126,3582,'path','/ar/user/register','8.1.8'),(1127,3583,'path','/ar/user/register','8.1.8'),(1128,3584,'path','/ar/user/register','8.1.8'),(1129,3585,'path','/ar/user/register','8.1.8'),(1130,3586,'path','/ar/user/register','8.1.8'),(1131,3587,'path','/ar/user/register','8.1.8'),(1132,3588,'path','/ar/user/register','8.1.8'),(1133,3589,'path','/ar/user/register','8.1.8'),(1134,3590,'path','/ar/user/register','8.1.8'),(1135,3591,'path','/ar/user/register','8.1.8'),(1136,3592,'path','/ar/user/register','8.1.8'),(1137,3593,'path','/ar/user/register','8.1.8'),(1138,3594,'path','/ar/user/register','8.1.8'),(1139,3595,'path','/ar/user/register','8.1.8'),(1140,3596,'path','/ar/user/register','8.1.8'),(1141,3597,'path','/ar/user/register','8.1.8'),(1142,3598,'path','/ar/user/register','8.1.8'),(1143,3599,'path','/ar/user/register','8.1.8'),(1144,3600,'path','/ar/user/register','8.1.8'),(1145,3601,'path','/ar/user/register','8.1.8'),(1146,3602,'path','/ar/user/register','8.1.8'),(1147,3603,'path','/ar/user/register','8.1.8'),(1148,3604,'path','/ar/user/register','8.1.8'),(1149,3605,'path','/ar/user/register','8.1.8'),(1150,3606,'path','/ar/user/register','8.1.8'),(1151,3607,'path','/ar/user/register','8.1.8'),(1152,3608,'path','/ar/user/register','8.1.8'),(1153,3609,'path','/ar/user/register','8.1.8'),(1154,3610,'path','/ar/user/register','8.1.8'),(1155,3611,'path','/ar/user/register','8.1.8'),(1156,3612,'path','/ar/user/register','8.1.8'),(1157,3613,'path','/ar/user/register','8.1.8'),(1158,3614,'path','/ar/user/register','8.1.8'),(1159,3615,'path','/ar/user/register','8.1.8'),(1160,3616,'path','/ar/user/register','8.1.8'),(1161,3617,'path','/ar/user/register','8.1.8'),(1162,3618,'path','/ar/user/register','8.1.8'),(1163,3619,'path','/ar/user/register','8.1.8'),(1164,3620,'path','/ar/user/register','8.1.8'),(1165,3621,'path','/ar/user/register','8.1.8'),(1166,3622,'path','/ar/user/register','8.1.8'),(1167,3623,'path','/ar/user/register','8.1.8'),(1168,3624,'path','/ar/user/register','8.1.8'),(1169,3625,'path','/ar/user/register','8.1.8'),(1170,3626,'path','/ar/user/register','8.1.8'),(1171,3627,'path','/ar/user/register','8.1.8'),(1172,3628,'path','/ar/user/register','8.1.8'),(1173,3629,'path','/ar/user/register','8.1.8'),(1174,3630,'path','/ar/user/register','8.1.8'),(1175,3631,'path','/ar/user/register','8.1.8'),(1176,3632,'path','/ar/user/register','8.1.8'),(1177,3633,'path','/ar/user/register','8.1.8'),(1178,3634,'path','/ar/user/register','8.1.8'),(1179,3635,'path','/ar/user/register','8.1.8'),(1180,3636,'path','/ar/user/register','8.1.8'),(1181,3637,'path','/ar/user/register','8.1.8'),(1182,3638,'path','/ar/user/register','8.1.8'),(1183,3639,'path','/ar/user/register','8.1.8'),(1184,3640,'path','/ar/user/register','8.1.8'),(1185,3641,'path','/ar/user/register','8.1.8'),(1186,3642,'path','/ar/user/register','8.1.8'),(1187,3643,'path','/ar/user/register','8.1.8'),(1188,3644,'path','/ar/user/register','8.1.8'),(1189,3645,'path','/ar/user/register','8.1.8'),(1190,3646,'path','/ar/user/register','8.1.8'),(1191,3647,'path','/ar/user/register','8.1.8'),(1192,3648,'path','/ar/user/register','8.1.8'),(1193,3649,'path','/ar/user/register','8.1.8'),(1194,3650,'path','/ar/user/register','8.1.8'),(1195,3651,'path','/ar/user/register','8.1.8'),(1196,3652,'path','/ar/user/register','8.1.8'),(1197,3653,'path','/ar/user/register','8.1.8'),(1198,3654,'path','/ar/user/register','8.1.8'),(1199,3655,'path','/ar/user/register','8.1.8'),(1200,3656,'path','/ar/user/register','8.1.8'),(1201,3657,'path','/ar/user/register','8.1.8'),(1202,3658,'path','/ar/user/register','8.1.8'),(1203,3659,'path','/ar/user/register','8.1.8'),(1204,3660,'path','/ar/user/register','8.1.8'),(1205,3661,'path','/ar/user/register','8.1.8'),(1206,3662,'path','/ar/user/register','8.1.8'),(1207,3663,'path','/ar/user/register','8.1.8'),(1208,3664,'path','/ar/user/register','8.1.8'),(1209,3665,'path','/ar/user/register','8.1.8'),(1210,3666,'path','/ar/user/register','8.1.8'),(1211,3667,'path','/ar/user/register','8.1.8'),(1212,3668,'path','/ar/user/register','8.1.8'),(1213,3669,'path','/ar/user/register','8.1.8'),(1214,3670,'path','/ar/user/register','8.1.8'),(1215,3671,'path','/ar/user/register','8.1.8'),(1216,3672,'path','/ar/user/register','8.1.8'),(1217,3673,'path','/ar/user/register','8.1.8'),(1218,3674,'path','/ar/user/register','8.1.8'),(1219,3675,'path','/ar/user/register','8.1.8'),(1220,3676,'path','/ar/user/register','8.1.8'),(1221,3677,'path','/ar/user/register','8.1.8'),(1222,3678,'path','/ar/user/register','8.1.8'),(1223,3679,'path','/ar/user/register','8.1.8'),(1224,3680,'path','/ar/user/register','8.1.8'),(1225,3681,'path','/ar/user/register','8.1.8'),(1226,3682,'path','/ar/user/register','8.1.8'),(1227,3683,'path','/ar/user/register','8.1.8'),(1228,3684,'path','/ar/user/register','8.1.8'),(1229,3685,'path','/ar/user/register','8.1.8'),(1230,3686,'path','/ar/user/register','8.1.8'),(1231,3687,'path','/ar/user/register','8.1.8'),(1232,3688,'path','/ar/user/register','8.1.8'),(1233,3689,'path','/ar/user/register','8.1.8'),(1234,3690,'path','/ar/user/register','8.1.8'),(1235,3691,'path','/ar/user/register','8.1.8'),(1236,3692,'path','/ar/user/register','8.1.8'),(1237,3693,'path','/ar/user/register','8.1.8'),(1238,3694,'path','/ar/user/register','8.1.8'),(1239,3695,'path','/ar/user/register','8.1.8'),(1240,3696,'path','/ar/user/register','8.1.8'),(1241,3697,'path','/ar/user/register','8.1.8'),(1242,3698,'path','/ar/user/register','8.1.8'),(1243,3699,'path','/ar/user/register','8.1.8'),(1244,3700,'path','/ar/user/register','8.1.8'),(1245,3701,'path','/ar/user/register','8.1.8'),(1246,3702,'path','/ar/user/register','8.1.8'),(1247,3703,'path','/ar/user/register','8.1.8'),(1248,3704,'path','/ar/user/register','8.1.8'),(1249,3705,'path','/ar/user/register','8.1.8'),(1250,3706,'path','/ar/user/register','8.1.8'),(1251,3707,'path','/ar/user/register','8.1.8'),(1252,3708,'path','/ar/user/register','8.1.8'),(1253,3709,'path','/ar/user/register','8.1.8'),(1254,3710,'path','/ar/user/register','8.1.8'),(1255,3711,'path','/ar/user/register','8.1.8'),(1256,3712,'path','/ar/user/register','8.1.8'),(1257,3713,'path','/ar/user/register','8.1.8'),(1258,3714,'path','/ar/user/register','8.1.8'),(1259,3715,'path','/ar/user/register','8.1.8'),(1260,3716,'path','/ar/user/register','8.1.8'),(1261,3717,'path','/ar/user/register','8.1.8'),(1262,3718,'path','/ar/user/register','8.1.8'),(1263,3719,'path','/ar/user/register','8.1.8'),(1264,3720,'path','/ar/user/register','8.1.8'),(1265,3721,'path','/ar/user/register','8.1.8'),(1266,3722,'path','/ar/user/register','8.1.8'),(1267,3723,'path','/ar/user/register','8.1.8'),(1268,3724,'path','/ar/user/register','8.1.8'),(1269,3725,'path','/ar/user/register','8.1.8'),(1270,3726,'path','/ar/user/register','8.1.8'),(1271,3727,'path','/ar/user/register','8.1.8'),(1272,3728,'path','/ar/user/register','8.1.8'),(1273,3729,'path','/ar/user/register','8.1.8'),(1274,3730,'path','/ar/user/register','8.1.8'),(1275,3731,'path','/ar/user/register','8.1.8'),(1276,3732,'path','/ar/user/register','8.1.8'),(1277,3733,'path','/ar/user/register','8.1.8'),(1278,3734,'path','/ar/user/register','8.1.8'),(1279,3735,'path','/ar/user/register','8.1.8'),(1280,3736,'path','/ar/user/register','8.1.8'),(1281,3737,'path','/ar/user/register','8.1.8'),(1282,3738,'path','/ar/user/register','8.1.8'),(1283,3739,'path','/ar/user/register','8.1.8'),(1284,3740,'path','/ar/user/register','8.1.8'),(1285,3741,'path','/ar/user/register','8.1.8'),(1286,3742,'path','/ar/user/register','8.1.8'),(1287,3743,'path','/ar/user/register','8.1.8'),(1288,3744,'path','/ar/user/register','8.1.8'),(1289,3745,'path','/ar/user/register','8.1.8'),(1290,3746,'path','/ar/user/register','8.1.8'),(1291,3747,'path','/ar/user/register','8.1.8'),(1292,3748,'path','/ar/user/register','8.1.8'),(1293,3749,'path','/ar/user/register','8.1.8'),(1294,3750,'path','/ar/user/register','8.1.8'),(1295,3751,'path','/ar/user/register','8.1.8'),(1296,3752,'path','/ar/user/register','8.1.8'),(1297,3753,'path','/ar/user/register','8.1.8'),(1298,3754,'path','/ar/user/register','8.1.8'),(1299,3755,'path','/ar/user/register','8.1.8'),(1300,3756,'path','/ar/user/register','8.1.8'),(1301,3757,'path','/ar/user/register','8.1.8'),(1302,3758,'path','/ar/user/register','8.1.8'),(1303,3759,'path','/ar/user/register','8.1.8'),(1304,3760,'path','/ar/user/register','8.1.8'),(1305,3761,'path','/ar/user/register','8.1.8'),(1306,3762,'path','/ar/user/register','8.1.8'),(1307,3763,'path','/ar/user/register','8.1.8'),(1308,3764,'path','/ar/user/register','8.1.8'),(1309,3765,'path','/ar/user/register','8.1.8'),(1310,3766,'path','/ar/user/register','8.1.8'),(1311,3767,'path','/ar/user/register','8.1.8'),(1312,3768,'path','/ar/user/register','8.1.8'),(1313,3769,'path','/ar/user/register','8.1.8'),(1314,3770,'path','/ar/user/register','8.1.8'),(1315,3771,'path','/ar/user/register','8.1.8'),(1316,3772,'path','/ar/user/register','8.1.8'),(1317,3773,'path','/ar/user/register','8.1.8'),(1318,3774,'path','/ar/user/register','8.1.8'),(1319,3775,'path','/ar/user/register','8.1.8'),(1320,3776,'path','/ar/user/register','8.1.8'),(1321,3777,'path','/ar/user/register','8.1.8'),(1322,3778,'path','/ar/user/register','8.1.8'),(1323,3779,'path','/ar/user/register','8.1.8'),(1324,3780,'path','/ar/user/register','8.1.8'),(1325,3781,'path','/ar/user/register','8.1.8'),(1326,3782,'path','/ar/user/register','8.1.8'),(1327,3783,'path','/ar/user/register','8.1.8'),(1328,3784,'path','/ar/user/register','8.1.8'),(1329,3785,'path','/ar/user/register','8.1.8'),(1330,3786,'path','/ar/user/register','8.1.8'),(1331,3787,'path','/ar/user/register','8.1.8'),(1332,3788,'path','/ar/user/register','8.1.8'),(1333,3789,'path','/ar/user/register','8.1.8'),(1334,3790,'path','/ar/user/register','8.1.8'),(1335,3791,'path','/ar/user/register','8.1.8'),(1336,3792,'path','/ar/user/register','8.1.8'),(1337,3793,'path','/ar/user/register','8.1.8'),(1338,3794,'path','/ar/user/register','8.1.8'),(1339,3795,'path','/ar/user/register','8.1.8'),(1340,3796,'path','/ar/user/register','8.1.8'),(1341,3797,'path','/ar/user/register','8.1.8'),(1342,3798,'path','/ar/user/register','8.1.8'),(1343,3799,'path','/ar/user/register','8.1.8'),(1344,3800,'path','/ar/user/register','8.1.8'),(1345,3801,'path','/ar/user/register','8.1.8'),(1346,3802,'path','/ar/user/register','8.1.8'),(1347,3803,'path','/ar/user/register','8.1.8'),(1348,3804,'path','/ar/user/register','8.1.8'),(1349,3805,'path','/ar/user/register','8.1.8'),(1350,3806,'path','/ar/user/register','8.1.8'),(1351,3807,'path','/ar/user/register','8.1.8'),(1352,3808,'path','/ar/user/register','8.1.8'),(1353,3809,'path','/ar/user/register','8.1.8'),(1354,3810,'path','/ar/user/register','8.1.8'),(1355,3811,'path','/ar/user/register','8.1.8'),(1356,3812,'path','/ar/user/register','8.1.8'),(1357,3813,'path','/ar/user/register','8.1.8'),(1358,3814,'path','/ar/user/register','8.1.8'),(1359,3815,'path','/ar/user/register','8.1.8'),(1360,3816,'path','/ar/user/register','8.1.8'),(1361,3817,'path','/ar/user/register','8.1.8'),(1362,3818,'path','/ar/user/register','8.1.8'),(1363,3819,'path','/ar/user/register','8.1.8'),(1364,3820,'path','/ar/user/register','8.1.8'),(1365,3821,'path','/ar/user/register','8.1.8'),(1366,3822,'path','/ar/user/register','8.1.8'),(1367,3823,'path','/ar/user/register','8.1.8'),(1368,3824,'path','/ar/user/register','8.1.8'),(1369,3825,'path','/ar/user/register','8.1.8'),(1370,3826,'path','/ar/user/register','8.1.8'),(1371,3827,'path','/ar/user/register','8.1.8'),(1372,3828,'path','/ar/user/register','8.1.8'),(1373,3829,'path','/ar/user/register','8.1.8'),(1374,3830,'path','/ar/user/register','8.1.8'),(1375,3831,'path','/ar/user/register','8.1.8'),(1376,3832,'path','/ar/user/register','8.1.8'),(1377,3833,'path','/ar/user/register','8.1.8'),(1378,3834,'path','/ar/user/register','8.1.8'),(1379,3835,'path','/ar/user/register','8.1.8'),(1380,3836,'path','/ar/user/register','8.1.8'),(1381,3837,'path','/ar/user/register','8.1.8'),(1382,3838,'path','/ar/user/register','8.1.8'),(1383,3839,'path','/ar/user/register','8.1.8'),(1384,3840,'path','/ar/user/register','8.1.8'),(1385,3841,'path','/ar/user/register','8.1.8'),(1386,3842,'path','/ar/user/register','8.1.8'),(1387,3843,'path','/ar/user/register','8.1.8'),(1388,3844,'path','/ar/user/password','8.1.8'),(1389,3845,'path','/ar/user/password','8.1.8'),(1390,3846,'path','/ar/taxonomy/term/1/translations/add/en/ar','8.1.8'),(1391,3847,'path','/ar/taxonomy/term/1/translations/add/en/ar','8.1.8'),(1392,3848,'path','/ar/taxonomy/term/2/translations/add/en/ar','8.1.8'),(1393,3849,'path','/ar/taxonomy/term/1/translations/add/en/ar','8.1.8'),(1394,3850,'path','/ar/taxonomy/term/1/translations/add/en/ar','8.1.8'),(1395,3851,'path','/ar/taxonomy/term/2/translations/add/en/ar','8.1.8'),(1396,3852,'path','/ar/taxonomy/term/5/translations/add/en/ar','8.1.8'),(1397,3853,'path','/ar/taxonomy/term/5/translations/add/en/ar','8.1.8'),(1398,3854,'path','/ar/taxonomy/term/5/translations/add/en/ar','8.1.8'),(1399,3855,'path','/ar/taxonomy/term/5/translations/add/en/ar','8.1.8'),(1400,3856,'path','/ar/taxonomy/term/5/translations/add/en/ar','8.1.8'),(1401,3857,'path','/ar/taxonomy/term/5/translations/add/en/ar','8.1.8'),(1402,3858,'path','/ar/taxonomy/term/5/translations/add/en/ar','8.1.8'),(1403,3859,'path','/ar/taxonomy/term/5/translations/add/en/ar','8.1.8'),(1404,3860,'path','/ar/taxonomy/term/5/translations/add/en/ar','8.1.8'),(1405,3861,'path','/ar/taxonomy/term/5/translations/add/en/ar','8.1.8'),(1406,3862,'path','/ar/taxonomy/term/5/translations/add/en/ar','8.1.8'),(1407,3863,'path','/ar/taxonomy/term/5/translations/add/en/ar','8.1.8'),(1408,3864,'path','/ar/taxonomy/term/5/translations/add/en/ar','8.1.8'),(1409,3865,'path','/ar/taxonomy/term/5/translations/add/en/ar','8.1.8'),(1410,3866,'path','/ar/taxonomy/term/5/translations/add/en/ar','8.1.8'),(1411,3867,'path','/ar/taxonomy/term/5/translations/add/en/ar','8.1.8'),(1412,3868,'path','/ar/taxonomy/term/5/translations/add/en/ar','8.1.8'),(1413,3869,'path','/ar/taxonomy/term/5/translations/add/en/ar','8.1.8'),(1414,3870,'path','/ar/taxonomy/term/5/translations/add/en/ar','8.1.8'),(1415,3871,'path','/ar/taxonomy/term/5/translations/add/en/ar','8.1.8'),(1416,3872,'path','/ar/taxonomy/term/5/translations/add/en/ar','8.1.8'),(1417,3873,'path','/ar/taxonomy/term/5/translations/add/en/ar','8.1.8'),(1418,3874,'path','/ar/taxonomy/term/5/translations/add/en/ar','8.1.8'),(1419,3875,'path','/ar/taxonomy/term/5/translations/add/en/ar','8.1.8'),(1420,3876,'path','/ar/taxonomy/term/5/translations/add/en/ar','8.1.8'),(1421,3877,'path','/ar/taxonomy/term/5/translations/add/en/ar','8.1.8'),(1422,3878,'path','/ar/taxonomy/term/5/translations/add/en/ar','8.1.8'),(1423,3879,'path','/ar/taxonomy/term/5/translations/add/en/ar','8.1.8'),(1424,3880,'path','/ar/taxonomy/term/5/translations/add/en/ar','8.1.8'),(1425,3881,'path','/ar/taxonomy/term/5/translations/add/en/ar','8.1.8'),(1426,3882,'path','/ar/taxonomy/term/5/translations/add/en/ar','8.1.8'),(1427,3883,'path','/ar/taxonomy/term/5/translations/add/en/ar','8.1.8'),(1428,3884,'path','/ar/taxonomy/term/5/translations/add/en/ar','8.1.8'),(1429,3885,'path','/ar/taxonomy/term/5/translations/add/en/ar','8.1.8'),(1430,3886,'path','/ar/taxonomy/term/5/translations/add/en/ar','8.1.8'),(1431,3887,'path','/ar/taxonomy/term/5/translations/add/en/ar','8.1.8'),(1432,3888,'path','/ar/taxonomy/term/5/translations/add/en/ar','8.1.8'),(1433,3889,'path','/ar/taxonomy/term/5/translations/add/en/ar','8.1.8'),(1434,3890,'path','/ar/taxonomy/term/5/translations/add/en/ar','8.1.8'),(1435,3891,'path','/ar/taxonomy/term/5/translations/add/en/ar','8.1.8'),(1436,3892,'path','/ar/taxonomy/term/5/translations/add/en/ar','8.1.8'),(1437,3893,'path','/ar/taxonomy/term/5/translations/add/en/ar','8.1.8'),(1438,3894,'path','/ar/node/12/translations/add/en/ar','8.1.8'),(1439,3895,'path','/ar/node/12/translations/add/en/ar','8.1.8'),(1440,3896,'path','/ar/blog/dare-bare','8.1.8'),(1441,1807,'javascript','core/modules/node/content_types.js','8.1.8'),(1442,871,'javascript','core/modules/node/content_types.js','8.1.8'),(1443,2228,'javascript','core/modules/node/content_types.js','8.1.8'),(1444,3897,'path','/ar/user/1/translations/add/en/ar','8.1.8'),(1445,3898,'path','/ar/user/1/translations/add/en/ar','8.1.8'),(1446,3899,'path','/ar/user/1/translations/add/en/ar','8.1.8'),(1447,3900,'path','/ar/user/1/translations/add/en/ar','8.1.8'),(1448,3901,'path','/ar/user/1/translations/add/en/ar','8.1.8'),(1449,3902,'path','/ar/user/15','8.1.8'),(1450,3903,'path','/ar/blog/seeing-light','8.1.8'),(1451,3904,'path','/ar/blog/seeing-light','8.1.8'),(1452,3905,'path','/luxestate/ar/user/register','8.1.8'),(1453,3906,'path','/luxestate/ar/user/register','8.1.8'),(1454,3907,'path','/luxestate/ar/user/register','8.1.8'),(1455,826,'configuration','contact.form.feedback','8.2.6'),(1456,826,'configuration','contact.form.personal','8.2.6'),(1457,68,'configuration','system.site','8.2.6'),(1458,3908,'configuration','tour.tour.language-add','8.2.6'),(1459,3909,'configuration','tour.tour.language-edit','8.2.6'),(1460,3910,'configuration','tour.tour.language','8.2.6'),(1461,3911,'configuration','tour.tour.locale','8.2.6'),(1462,3912,'configuration','tour.tour.locale','8.2.6'),(1463,3914,'configuration','views.view.files','8.3.5'),(1464,3915,'configuration','views.view.files','8.3.5'),(1465,1343,'javascript','core/misc/entity-form.js','8.9.0'),(1466,1806,'javascript','core/misc/entity-form.js','8.9.0'),(1467,3274,'javascript','core/misc/entity-form.js','8.9.0'),(1468,3275,'javascript','core/misc/entity-form.js','8.9.0'),(1469,3276,'javascript','core/misc/entity-form.js','8.9.0'),(1470,3277,'javascript','core/misc/entity-form.js','8.9.0'),(1471,2,'javascript','core/modules/tour/js/tour.js','8.9.19'),(1472,3916,'path','/ar','8.6.2'),(1473,3917,'path','/ar','8.6.2'),(1474,3918,'path','/ar','8.6.2'),(1475,3919,'path','/ar','8.6.2'),(1476,3920,'path','/ar','8.6.2'),(1477,3921,'path','/ar','8.6.2'),(1478,3922,'path','/ar','8.6.2'),(1479,3923,'path','/ar','8.6.2'),(1480,3924,'path','/ar','8.6.2'),(1481,3925,'path','/ar','8.6.2'),(1482,3926,'path','/ar','8.6.2'),(1483,3927,'path','/ar','8.6.2'),(1484,3928,'path','/ar','8.6.2'),(1485,3929,'path','/ar','8.6.2'),(1486,3930,'path','/ar','8.6.2'),(1487,3931,'path','/ar','8.6.2'),(1488,3932,'path','/ar','8.6.2'),(1489,3933,'path','/ar','8.6.2'),(1490,3934,'path','/ar','8.6.2'),(1491,3935,'path','/ar','8.6.2'),(1492,3936,'path','/ar','8.6.2'),(1493,3937,'path','/ar','8.6.2'),(1494,3938,'path','/ar','8.6.2'),(1495,3939,'path','/ar','8.6.2'),(1496,3940,'path','/ar','8.6.2'),(1497,3941,'path','/ar','8.6.2'),(1498,3942,'path','/ar','8.6.2'),(1499,3943,'path','/ar','8.6.2'),(1500,3944,'path','/ar','8.6.2'),(1501,3945,'path','/ar','8.6.2'),(1502,3946,'path','/ar','8.6.2'),(1503,3947,'path','/ar','8.6.2'),(1504,3948,'path','/ar','8.6.2'),(1505,3949,'path','/ar/contextual/render','8.6.2'),(1506,3950,'path','/ar','8.6.2'),(1507,3951,'path','/ar','8.6.2'),(1508,3952,'path','/ar','8.6.2'),(1509,3953,'configuration','user.mail','8.8.2'),(1510,3954,'configuration','views.view.block_content','8.8.2'),(1511,3955,'configuration','views.view.frontpage','8.8.2');
/*!40000 ALTER TABLE `locales_location` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `locales_source`
--

DROP TABLE IF EXISTS `locales_source`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `locales_source` (
  `lid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Unique identifier of this string.',
  `source` blob NOT NULL COMMENT 'The original string in English.',
  `context` varchar(255) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The context this string applies to.',
  `version` varchar(20) CHARACTER SET ascii NOT NULL DEFAULT 'none' COMMENT 'Version of Drupal where the string was last used (for locales optimization).',
  PRIMARY KEY (`lid`),
  KEY `source_context` (`source`(30),`context`)
) ENGINE=InnoDB AUTO_INCREMENT=3956 DEFAULT CHARSET=utf8mb4 COMMENT='List of English source strings.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `locales_source`
--

LOCK TABLES `locales_source` WRITE;
/*!40000 ALTER TABLE `locales_source` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `locales_source` VALUES (1,'Open','','8.9.19'),(2,'Close','','8.9.19'),(3,'@action @title configuration options','','8.9.19'),(4,'Show all columns','','8.9.19'),(5,'Hide lower priority columns','','8.9.19'),(6,'Show table cells that were hidden to make the table fit within a small screen.','','8.9.19'),(7,'List additional actions','','8.9.18'),(8,'An AJAX HTTP error occurred.','','8.9.19'),(9,'HTTP Result Code: !status','','8.9.19'),(10,'An AJAX HTTP request terminated abnormally.','','8.9.19'),(11,'Debugging information follows.','','8.9.19'),(12,'Path: !uri','','8.9.19'),(13,'StatusText: !statusText','','8.9.19'),(14,'ResponseText: !responseText','','8.9.19'),(15,'ReadyState: !readyState','','8.9.19'),(16,'CustomMessage: !customMessage','','8.9.19'),(17,'Please wait...','','8.9.19'),(18,'The response failed verification so will not be processed.','','8.9.19'),(19,'The callback URL is not local and not trusted: !url','','8.9.19'),(20,'Changed','','8.9.19'),(21,'@count items added to @container','','8.3.5'),(22,'Extend','','8.9.19'),(23,'Collapse','','8.9.19'),(24,'@label','','8.9.19'),(25,'Horizontal orientation','','8.9.19'),(26,'Vertical orientation','','8.9.19'),(27,'The toolbar cannot be set to a horizontal orientation when it is locked.','','8.9.19'),(28,'Tray orientation changed to @orientation.','','8.9.19'),(29,'closed','','8.9.19'),(30,'opened','','8.9.19'),(31,'Tray \"@tray\" @action.','','8.9.19'),(32,'Tray @action.','','8.9.19'),(33,'Tabbing is no longer constrained by the Contextual module.','','8.9.19'),(34,'Tabbing is constrained to a set of @contextualsCount and the edit mode toggle.','','8.9.19'),(35,'Press the esc key to exit.','','8.9.19'),(36,'@count contextual link@count contextual links','','8.9.19'),(37,'!tour_item of !total','','8.9.19'),(38,'End tour','','8.9.19'),(39,'Home','','8.9.19'),(40,'Quick edit','','8.9.19'),(41,'OK','','8.9.19'),(42,'Could not load the form for <q>@field-label</q>, either due to a website problem or a network connection problem.<br>Please try again.','','8.9.19'),(43,'Network problem!','','8.9.19'),(44,'Your changes to <q>@entity-title</q> could not be saved, either due to a website problem or a network connection problem.<br>Please try again.','','8.9.19'),(45,'You have unsaved changes','','8.9.19'),(46,'Discard changes?','','8.9.19'),(47,'Save','','8.9.19'),(48,'Discard changes','','8.9.19'),(49,'Saving','','8.9.19'),(50,'Keywords','','8.9.19'),(51,'Are you sure you want to reset your theme settings to default theme settings?','','8.9.19'),(52,'Re-order rows by numerical weight instead of dragging.','','8.4.0'),(53,'Show row weights','','8.4.0'),(54,'Hide row weights','','8.4.0'),(55,'Drag to re-order','','8.4.0'),(56,'You have unsaved changes.','','8.4.0'),(57,'Image','','8.9.19'),(58,'Link','','8.9.19'),(59,'Unlink','','8.9.19'),(60,'Edit Link','','8.9.19'),(61,'Delete','','8.6.2'),(62,'Development','','8.6.2'),(63,'Administration','','8.6.2'),(64,'Types','','8.6.2'),(65,'Settings','','8.6.2'),(66,'Update','','8.6.2'),(67,'Menu','','8.6.2'),(68,'Drupal','','8.2.6'),(69,'Roles','','8.6.2'),(70,'Uninstall','','8.1.8'),(71,'Tools','','8.6.2'),(72,'Add user','','8.1.8'),(73,'Add menu','','8.6.2'),(74,'Log out','','8.6.2'),(75,'Permissions','','8.6.2'),(76,'Add vocabulary','','8.6.2'),(77,'Manage fields','','8.6.2'),(78,'Index','','8.6.2'),(79,'Add role','','8.1.8'),(80,'About','','none'),(81,'Run cron','','8.6.2'),(82,'Drupal.org','','8.6.2'),(83,'Add link','','8.6.2'),(84,'Add content type','','8.6.2'),(85,'Cron ran successfully.','','none'),(86,'Manage display','','8.6.2'),(87,'Install new module','','8.6.2'),(88,'Install new theme','','8.6.2'),(89,'Add new view','','8.6.2'),(90,'Forms','','none'),(91,'User interface','','8.6.2'),(92,'Title','','8.1.8'),(93,'Body','','8.1.8'),(94,'Next','','8.3.5'),(95,'Pages','','none'),(96,'Save configuration','','none'),(97,'delete','','none'),(98,'Status','','8.1.8'),(99,'Register','','8.1.8'),(100,'Create a new user account.','','none'),(101,'Prefix','','none'),(102,'Suffix','','none'),(103,'Approve','','none'),(104,'Submit','','8.1.8'),(105,'Operations','','8.1.8'),(106,'Content','','8.6.2'),(107,'Value','','8.1.8'),(108,'Username','','8.1.8'),(109,'Email address','','8.1.8'),(110,'Groups','','none'),(111,'Group','','none'),(112,'Type','','none'),(113,'Author','','8.1.8'),(114,'Replies','','none'),(115,'Closed','','8.1.8'),(116,'yes','','8.1.8'),(117,'List','','8.1.8'),(118,'Subject','','8.6.2'),(119,'Actions','','none'),(120,'disabled','','none'),(121,'Confirm','','none'),(122,'Cancel','','8.9.18'),(123,'Remove','','8.1.8'),(124,'Last comment','','none'),(125,'Description','','8.6.2'),(126,'Language','','8.6.2'),(127,'more','','8.1.8'),(128,'Enable','','none'),(129,'Disable','','none'),(130,'Explanation or submission guidelines','','none'),(131,'Article','','8.6.2'),(132,'Disabled','','none'),(133,'Enabled','','none'),(134,'footer','','8.1.8'),(135,'Comments','','8.6.2'),(136,'More','','8.1.8'),(137,'not verified','','none'),(138,'Action','','8.1.8'),(139,'Last updated','','none'),(140,'On','','8.1.8'),(141,'new','','8.9.18'),(142,'Tags','','8.6.2'),(143,'Block title','','none'),(144,'The title of the block as shown to the user.','','none'),(145,'Taxonomy','','8.6.2'),(146,'Yes','','8.1.8'),(147,'No','','8.1.8'),(148,'Content types','','8.6.2'),(149,'Homepage','','none'),(150,'Home page','','8.1.8'),(151,'Download','','none'),(152,'view','','none'),(153,'updated','','none'),(154,'Overview','','none'),(155,'File information','','none'),(156,'File','','8.1.8'),(157,'Advanced options','','none'),(158,'Release notes','','none'),(159,'Edit','','8.6.2'),(160,'Date','','8.1.8'),(161,'Size','','8.1.8'),(162,'Links','','none'),(163,'Search','','8.6.2'),(164,'Reset','','8.1.8'),(165,'Daily','','none'),(166,'Weekly','','none'),(167,'None','','8.1.8'),(168,'Display settings','','none'),(169,'This action cannot be undone.','','none'),(170,'Test','','none'),(171,'Number','','8.1.8'),(172,'Message','','8.6.2'),(173,'No log messages available.','','none'),(174,'Password','','8.1.8'),(175,'Block settings','','8.1.8'),(176,'- None -','','none'),(177,'Country','','none'),(178,'Weight','','8.1.8'),(179,'The configuration options have been saved.','','none'),(180,'Center','','none'),(181,'Help text','','none'),(182,'Hierarchy','','none'),(183,'Multiple','','none'),(184,'Required','','none'),(185,'root','','8.1.8'),(186,'Parent','','8.1.8'),(187,'Pages at a given level are ordered first by weight and then by title.','','none'),(188,'Depth','','none'),(189,'Category','','none'),(190,'Add container','','none'),(191,'Feed','','8.1.8'),(192,'Name','','8.1.8'),(193,'edit container','','none'),(194,'edit','','none'),(195,'Go to previous page','','8.1.8'),(196,'Go to parent page','','none'),(197,'Go to next page','','8.1.8'),(198,'Import','','8.6.2'),(199,'Book','','none'),(200,'Export','','8.6.2'),(201,'Taxonomy term','','8.6.2'),(202,'settings','','none'),(203,'Node ID','','none'),(204,'Field','','8.1.8'),(205,'Outline','','none'),(206,'header','','8.1.8'),(207,'Label','','8.1.8'),(208,'Preview','','8.6.2'),(209,'Session opened for %name.','','none'),(210,'Help','','8.6.2'),(211,'Image settings','','none'),(212,'True','','none'),(213,'False','','none'),(214,'Default','','8.1.8'),(215,'Summary','','8.1.8'),(216,'Sunday','','8.3.5'),(217,'Monday','','8.3.5'),(218,'Tuesday','','8.3.5'),(219,'Wednesday','','8.3.5'),(220,'Thursday','','8.3.5'),(221,'Friday','','8.3.5'),(222,'Saturday','','8.3.5'),(223,'Core','','none'),(224,'High','','none'),(225,'Low','','none'),(226,'Archive','','8.1.8'),(227,'Icon','','none'),(228,'Add new','','8.1.8'),(229,'Time','','8.1.8'),(230,'Views','','8.6.2'),(231,'Add','','8.4.0'),(232,'View','','8.1.8'),(233,'Length','','none'),(234,'Format','','8.1.8'),(235,'History','','none'),(236,'URL','','8.1.8'),(237,'Path','','8.1.8'),(238,'Filename','','8.1.8'),(239,'Vocabularies','','8.1.8'),(240,'Modules','','none'),(241,'Clear index','','none'),(242,'General discussion','','none'),(243,'edit forum','','none'),(244,'Forum name','','none'),(245,'forum','','none'),(246,'Manage','','8.6.2'),(247,'Refresh','','none'),(248,'Region','','none'),(249,'Visible','','none'),(250,'Anchor','','none'),(251,'Display','','none'),(252,'Node type','','none'),(253,'Advanced settings','','none'),(254,'Teaser','','8.1.8'),(255,'never','','none'),(256,'Updated','','8.1.8'),(257,'Text','','none'),(258,'Theme','','none'),(259,'aggregator','','none'),(260,'Update interval','','none'),(261,'The fully-qualified URL of the feed.','','none'),(262,'Add forum','','none'),(263,'Add term','','none'),(264,'Timestamp','','none'),(265,'Access log settings','','none'),(266,'Preview comment','','none'),(267,'Statistics','','none'),(268,'Advanced search','','none'),(269,'You are not authorized to access this page.','','none'),(270,'Unknown','','none'),(271,'Attachment','','8.1.8'),(272,'n/a','','none'),(273,'Upload','','8.1.8'),(274,'Picture','','8.1.8'),(275,'Database type','','none'),(276,'Content type','','8.6.2'),(277,'Continue','','8.9.18'),(278,'Configure','','8.6.2'),(279,'Email','','8.1.8'),(280,'Files','','8.6.2'),(281,'User ID','','8.1.8'),(282,'Error','','none'),(283,'Options','','none'),(284,'Contact','','8.1.8'),(285,'no','','8.1.8'),(286,'New user: %name %email.','','none'),(287,'Created','','8.1.8'),(288,'Node','','none'),(289,'Sent email to %recipient','','none'),(290,'Unable to send email to %recipient','','none'),(291,'The subject of the message.','','none'),(292,'Create','','none'),(293,'Exclude','','none'),(294,'term','','none'),(295,'Expanded','','none'),(296,'Parent item','','8.1.8'),(297,'Add child page','','none'),(298,'Printer-friendly version','','none'),(299,'Content type for child pages','','none'),(300,'Update options','','none'),(301,'Remove from outline','','none'),(302,'Unknown export format.','','none'),(303,'All','','8.1.8'),(304,'Active','','8.1.8'),(305,'Done','','8.3.5'),(306,'Last post','','none'),(307,'Access denied','','none'),(308,'Year','','none'),(309,'Date format','','8.6.2'),(310,'Add content','','8.6.2'),(311,'Page title','','8.1.8'),(312,'Block','','8.6.2'),(313,'Override title','','none'),(314,'Page','','8.1.8'),(315,'RSS','','8.1.8'),(316,'1 hour@count hours','','none'),(317,'1 day@count days','','8.1.8'),(318,'Configuration saved.','','none'),(319,'Taxonomy terms','','8.1.8'),(320,'Logo','','none'),(321,'Site name','','none'),(322,'Site slogan','','none'),(323,'Good','','8.1.8'),(324,'User settings','','none'),(325,'Not found','','none'),(326,'PHP','','none'),(327,'Host','','none'),(328,'PostgreSQL','','none'),(329,'Available updates','','8.6.2'),(330,'Manual update check','','none'),(331,'Never','','none'),(332,'Check manually','','none'),(333,'Up to date','','8.1.8'),(334,'Update available','','none'),(335,'Drupal core update status','','none'),(336,'Out of date','','8.1.8'),(337,'Header','','8.1.8'),(338,'Left sidebar','','none'),(339,'Right sidebar','','none'),(340,'Footer','','8.6.2'),(341,'Inline','','none'),(342,'Recipients','','none'),(343,'Selected','','none'),(344,'Your name','','8.6.2'),(345,'Menu link','','8.1.8'),(346,'To','','none'),(347,'Feed description','','none'),(348,'Custom','','none'),(349,'Visibility','','none'),(350,'Revision ID','','8.1.8'),(351,'Comment','','8.1.8'),(352,'Comment ID','','8.1.8'),(353,'Hostname','','none'),(354,'Published','','8.1.8'),(355,'Signature','','none'),(356,'Filter','','8.1.8'),(357,'Location','','none'),(358,'Locale','','none'),(359,'Title field label','','none'),(360,'Promoted to front page','','8.1.8'),(361,'Sticky at top of lists','','8.1.8'),(362,'Revisions','','8.1.8'),(363,'URL alias','','8.1.8'),(364,'File ID','','8.1.8'),(365,'File name','','8.1.8'),(366,'File size','','8.1.8'),(367,'Vocabulary','','8.6.2'),(368,'Vocabulary ID','','8.1.8'),(369,'Vocabulary name','','none'),(370,'Term','','none'),(371,'Term ID','','8.1.8'),(372,'Role name','','none'),(373,'Last access','','8.1.8'),(374,'Last login','','8.1.8'),(375,'Time zone','','8.1.8'),(376,'Severity','','none'),(377,'Field name','','none'),(378,'Field type','','none'),(379,'Global settings','','none'),(380,'Fields','','8.1.8'),(381,'Widget type','','none'),(382,'Contains','','none'),(383,'Count','','8.1.8'),(384,'Overridden','','none'),(385,'Set name','','none'),(386,'Original image','','none'),(387,'Heading','','none'),(388,'Search settings','','none'),(389,'Mode','','none'),(390,'Warning','','none'),(391,'blocked','','none'),(392,'active','','none'),(393,'N/A','','none'),(394,'OPML feed','','none'),(395,'Number of news items in block','','none'),(396,'View this feed\'s recent news.','','none'),(397,'Feed overview','','none'),(398,'Items','','none'),(399,'Last update','','8.1.8'),(400,'Next update','','none'),(401,'%time ago','','none'),(402,'%time left','','none'),(403,'Nodes','','8.1.8'),(404,'Authored by','','8.1.8'),(405,'Advanced','','8.1.8'),(406,'The feed %feed has been updated.','','none'),(407,'Feed %feed added.','','none'),(408,'The feed %feed has been added.','','none'),(409,'Sort order','','none'),(410,'Up','','none'),(411,'Performance','','8.6.2'),(412,'Width','','none'),(413,'Height','','none'),(414,'Textfield','','none'),(415,'Maximum','','none'),(416,'Scale','','none'),(417,'Medium','','none'),(418,'Media','','8.6.2'),(419,'Plain text','','8.1.8'),(420,'Caching','','8.1.8'),(421,'Month','','none'),(422,'Details','','none'),(423,'Widget','','none'),(424,'Last reply','','none'),(425,'Prev','','8.3.5'),(426,'System','','8.6.2'),(427,'Domain','','none'),(428,'Processors','','none'),(429,'Unlimited','','none'),(430,'Desc','','8.1.8'),(431,'Enter a valid username.','','none'),(432,'Owner','','8.1.8'),(433,'Recipient','','none'),(434,'OR','','none'),(435,'Add a role to the selected users','','none'),(436,'Remove a role from the selected users','','none'),(437,'node','','8.6.2'),(438,'Administer content','','none'),(439,'General','','none'),(440,'Method','','none'),(441,'Egypt','','none'),(442,'Namibia','','none'),(443,'Israel','','none'),(444,'Iran','','none'),(445,'New Zealand','','none'),(446,'Tonga','','none'),(447,'Cuba','','none'),(448,'Brazil','','none'),(449,'Chile','','none'),(450,'Paraguay','','none'),(451,'Jamaica','','none'),(452,'Japan','','none'),(453,'Libya','','none'),(454,'Poland','','none'),(455,'Portugal','','none'),(456,'Singapore','','none'),(457,'Turkey','','none'),(458,'Day','','none'),(459,'Table','','none'),(460,'Mon','','8.3.5'),(461,'Tue','','8.3.5'),(462,'Wed','','8.3.5'),(463,'Thu','','8.3.5'),(464,'Fri','','8.3.5'),(465,'Sat','','8.3.5'),(466,'Sun','','8.3.5'),(467,'May','','8.3.5'),(468,'am','','none'),(469,'pm','','none'),(470,'Forum','','none'),(471,'Configuration','','8.6.2'),(472,'Other','','8.1.8'),(473,'Background color','','none'),(474,'Text color','','none'),(475,'Navigation','','none'),(476,'Basic','','8.1.8'),(477,'Color','','none'),(478,'Appearance','','8.6.2'),(479,'Role','','8.6.2'),(480,'Allow','','none'),(481,'User login','','8.1.8'),(482,'Log in','','8.1.8'),(483,'Updated URL for feed %title to %url.','','none'),(484,'Add new comment','','8.1.8'),(485,'String','','none'),(486,'Case','','none'),(487,'External','','none'),(488,'Users','','8.1.8'),(489,'Not installed','','none'),(490,'Referrer','','none'),(491,'@site is currently under maintenance. We should be back shortly. Thank you for your patience.','','8.1.8'),(492,'Default front page','','none'),(493,'Maximum length','','none'),(494,'Rows','','none'),(495,'Save changes','','none'),(496,'Anonymous','','8.1.8'),(497,'Install','','none'),(498,'Edit view','','8.6.2'),(499,'Administer views','','none'),(500,'Ascending','','none'),(501,'Descending','','none'),(502,'Option','','none'),(503,'Arguments','','8.1.8'),(504,'Operator','','none'),(505,'Filters','','none'),(506,'Optional','','none'),(507,'Exposed Filters','','none'),(508,'Order','','none'),(509,'Views UI','','none'),(510,'Recent comments','','8.1.8'),(511,'Random','','8.1.8'),(512,'Uncategorized','','none'),(513,'Position','','none'),(514,'Integer','','none'),(515,'IP Address','','8.1.8'),(516,'Pattern','','none'),(517,'The comment and all its replies have been deleted.','','none'),(518,'Preformatted','','none'),(519,'Anonymous users','','none'),(520,'Clear cache','','none'),(521,'fields','','8.1.8'),(522,'Save settings','','none'),(523,'Session closed for %name.','','none'),(524,'Tracker','','none'),(525,'Defaults','','none'),(526,'Germany','','none'),(527,'Sort by','','8.1.8'),(528,'1 new@count new','','none'),(529,'Default language','','none'),(530,'Condition','','none'),(531,'Afghanistan','','none'),(532,'Albania','','none'),(533,'Algeria','','none'),(534,'American Samoa','','none'),(535,'Andorra','','none'),(536,'Angola','','none'),(537,'Anguilla','','none'),(538,'Antarctica','','none'),(539,'Antigua and Barbuda','','none'),(540,'Argentina','','none'),(541,'Armenia','','none'),(542,'Aruba','','none'),(543,'Australia','','none'),(544,'Austria','','none'),(545,'Azerbaijan','','none'),(546,'Bahamas','','none'),(547,'Bahrain','','none'),(548,'Bangladesh','','none'),(549,'Barbados','','none'),(550,'Belarus','','none'),(551,'Belgium','','none'),(552,'Belize','','none'),(553,'Benin','','none'),(554,'Bermuda','','none'),(555,'Bhutan','','none'),(556,'Bolivia','','none'),(557,'Bosnia and Herzegovina','','none'),(558,'Botswana','','none'),(559,'Bouvet Island','','none'),(560,'Brunei','','none'),(561,'Bulgaria','','none'),(562,'Burkina Faso','','none'),(563,'Burundi','','none'),(564,'Cambodia','','none'),(565,'Cameroon','','none'),(566,'Canada','','none'),(567,'Cape Verde','','none'),(568,'Cayman Islands','','none'),(569,'Central African Republic','','none'),(570,'Chad','','none'),(571,'China','','none'),(572,'Christmas Island','','none'),(573,'Colombia','','none'),(574,'Comoros','','none'),(575,'Cook Islands','','none'),(576,'Costa Rica','','none'),(577,'Cyprus','','none'),(578,'Czech Republic','','none'),(579,'Denmark','','none'),(580,'Djibouti','','none'),(581,'Dominica','','none'),(582,'Dominican Republic','','none'),(583,'Ecuador','','none'),(584,'El Salvador','','none'),(585,'Equatorial Guinea','','none'),(586,'Eritrea','','none'),(587,'Estonia','','none'),(588,'Ethiopia','','none'),(589,'Faroe Islands','','none'),(590,'Finland','','none'),(591,'France','','none'),(592,'French Guiana','','none'),(593,'French Polynesia','','none'),(594,'Gabon','','none'),(595,'Gambia','','none'),(596,'Georgia','','none'),(597,'Ghana','','none'),(598,'Gibraltar','','none'),(599,'Greece','','none'),(600,'Greenland','','none'),(601,'Grenada','','none'),(602,'Guadeloupe','','none'),(603,'Guam','','none'),(604,'Guatemala','','none'),(605,'Guinea','','none'),(606,'Guinea-Bissau','','none'),(607,'Guyana','','none'),(608,'Haiti','','none'),(609,'Heard Island and McDonald Islands','','none'),(610,'Honduras','','none'),(611,'Hungary','','none'),(612,'Iceland','','none'),(613,'India','','none'),(614,'Indonesia','','none'),(615,'Iraq','','none'),(616,'Ireland','','none'),(617,'Italy','','none'),(618,'Jordan','','none'),(619,'Kazakhstan','','none'),(620,'Kenya','','none'),(621,'Kiribati','','none'),(622,'Kuwait','','none'),(623,'Kyrgyzstan','','none'),(624,'Laos','','none'),(625,'Latvia','','none'),(626,'Lebanon','','none'),(627,'Lesotho','','none'),(628,'Liberia','','none'),(629,'Liechtenstein','','none'),(630,'Lithuania','','none'),(631,'Luxembourg','','none'),(632,'Madagascar','','none'),(633,'Malawi','','none'),(634,'Malaysia','','none'),(635,'Maldives','','none'),(636,'Mali','','none'),(637,'Malta','','none'),(638,'Marshall Islands','','none'),(639,'Martinique','','none'),(640,'Mauritania','','none'),(641,'Mauritius','','none'),(642,'Mayotte','','none'),(643,'Mexico','','none'),(644,'Micronesia','','none'),(645,'Moldova','','none'),(646,'Monaco','','none'),(647,'Mongolia','','none'),(648,'Montserrat','','none'),(649,'Morocco','','none'),(650,'Mozambique','','none'),(651,'Nauru','','none'),(652,'Nepal','','none'),(653,'Netherlands','','none'),(654,'Netherlands Antilles','','none'),(655,'New Caledonia','','none'),(656,'Nicaragua','','none'),(657,'Niger','','none'),(658,'Nigeria','','none'),(659,'Niue','','none'),(660,'Norfolk Island','','none'),(661,'North Korea','','none'),(662,'Northern Mariana Islands','','none'),(663,'Norway','','none'),(664,'Oman','','none'),(665,'Pakistan','','none'),(666,'Palau','','none'),(667,'Panama','','none'),(668,'Papua New Guinea','','none'),(669,'Peru','','none'),(670,'Puerto Rico','','none'),(671,'Qatar','','none'),(672,'Romania','','none'),(673,'Russia','','none'),(674,'Rwanda','','none'),(675,'Samoa','','none'),(676,'San Marino','','none'),(677,'Saudi Arabia','','none'),(678,'Senegal','','none'),(679,'Seychelles','','none'),(680,'Sierra Leone','','none'),(681,'Slovakia','','none'),(682,'Slovenia','','none'),(683,'Solomon Islands','','none'),(684,'Somalia','','none'),(685,'South Africa','','none'),(686,'South Georgia and the South Sandwich Islands','','none'),(687,'Spain','','none'),(688,'Sri Lanka','','none'),(689,'Sudan','','none'),(690,'Suriname','','none'),(691,'Svalbard and Jan Mayen','','none'),(692,'Swaziland','','none'),(693,'Sweden','','none'),(694,'Switzerland','','none'),(695,'Syria','','none'),(696,'Taiwan','','none'),(697,'Tajikistan','','none'),(698,'Tanzania','','none'),(699,'Thailand','','none'),(700,'Togo','','none'),(701,'Tokelau','','none'),(702,'Trinidad and Tobago','','none'),(703,'Tunisia','','none'),(704,'Turkmenistan','','none'),(705,'Turks and Caicos Islands','','none'),(706,'Tuvalu','','none'),(707,'Uganda','','none'),(708,'Ukraine','','none'),(709,'United Arab Emirates','','none'),(710,'United Kingdom','','none'),(711,'United States','','none'),(712,'Uruguay','','none'),(713,'Uzbekistan','','none'),(714,'Vanuatu','','none'),(715,'Venezuela','','none'),(716,'Wallis and Futuna','','none'),(717,'Yemen','','none'),(718,'Zambia','','none'),(719,'Zimbabwe','','none'),(720,'Database username','','none'),(721,'Database password','','none'),(722,'Database name','','none'),(723,'Port','','none'),(724,'Size of textfield','','none'),(725,'Authoring information','','8.1.8'),(726,'Authored on','','8.1.8'),(727,'Leave blank for %anonymous.','','8.1.8'),(728,'Hidden','','8.1.8'),(729,'Undefined','','none'),(730,'Show','','8.9.19'),(731,'Syslog','','none'),(732,'Key','','none'),(733,'Arabic','','8.1.8'),(734,'English','','8.1.8'),(735,'French','','none'),(736,'Italian','','none'),(737,'Spanish','','none'),(738,'Japanese','','none'),(739,'Korean','','none'),(740,'Edit term','','none'),(741,'Import OPML','','none'),(742,'OPML File','','none'),(743,'Allowed HTML tags','','none'),(744,'Sources','','none'),(745,'1 item@count items','','none'),(746,'No items selected.','','none'),(747,'The update has been performed.','','none'),(748,'Browser','','none'),(749,'View user profile.','','8.1.8'),(750,'Titles only','','none'),(751,'Full text','','none'),(752,'published','','none'),(753,'The changes have been saved.','','8.1.8'),(754,'Undo','','none'),(755,'Member for','','8.1.8'),(756,'@time ago','','none'),(757,'No users selected.','','none'),(758,'Select all rows in this table','','8.9.19'),(759,'Deselect all rows in this table','','8.9.19'),(760,'Search results','','none'),(761,'Please enter some keywords.','','none'),(762,'Front page','','none'),(763,'Replacement patterns','','none'),(764,'Deleted','','none'),(765,'Languages','','8.6.2'),(766,'Topics','','none'),(767,'Topic','','none'),(768,'Definition','','none'),(769,'Allowed values list','','none'),(770,'Textfield size','','none'),(771,'Today','','8.3.5'),(772,'Edit menu','','8.6.2'),(773,'Delete menu','','none'),(774,'Publishing options','','none'),(775,'Create new revision','','8.1.8'),(776,'Minimum height','','none'),(777,'Minimum width','','none'),(778,'Locale settings','','8.1.8'),(779,'Configure block','','8.6.2'),(780,'How many content items to display in \"day\" list.','','none'),(781,'Jan','','8.3.5'),(782,'Feb','','8.3.5'),(783,'Mar','','8.3.5'),(784,'Apr','','8.3.5'),(785,'Jun','','8.3.5'),(786,'Jul','','8.3.5'),(787,'Aug','','8.3.5'),(788,'Sep','','8.6.2'),(789,'Oct','','8.3.5'),(790,'Nov','','8.3.5'),(791,'Dec','','8.3.5'),(792,'Hour','','none'),(793,'Select list','','none'),(794,'Text field','','none'),(795,'Granularity','','none'),(796,'Posts','','none'),(797,'Alignment','','none'),(798,'Configure permissions','','none'),(799,'Workflow','','8.6.2'),(800,'Randomize','','none'),(801,'author','','none'),(802,'Entity','','8.1.8'),(803,'AND','','none'),(804,'Revert','','none'),(805,'Negate','','none'),(806,'Empty','','none'),(807,'Existing system path','','none'),(808,'Path alias','','none'),(809,'Greater than','','none'),(810,'Less than','','none'),(811,'Notice','','none'),(812,'Number of day\'s top views to display','','none'),(813,'Number of all time views to display','','none'),(814,'Number of most recent views to display','','none'),(815,'characters','','none'),(816,'Su','','8.3.5'),(817,'Mo','','8.3.5'),(818,'Tu','','8.3.5'),(819,'We','','8.3.5'),(820,'Th','','8.3.5'),(821,'Fr','','8.3.5'),(822,'Sa','','8.3.5'),(823,'First day of week','','none'),(824,'Left','','none'),(825,'Right','','none'),(826,'Your message has been sent.','','8.2.6'),(827,'Create new account','','8.1.8'),(828,'Info','','none'),(829,'People','','8.6.2'),(830,'Created new term %term.','','none'),(831,'Deleted term %name.','','none'),(832,'Site information','','8.1.8'),(833,'Blocked','','8.1.8'),(834,'Enabled filters','','none'),(835,'or','','none'),(836,'Convert','','none'),(837,'List terms','','none'),(838,'Deleting a term will delete all its children if there are any. This action cannot be undone.','','none'),(839,'Parent term','','8.1.8'),(840,'Parent terms','','8.1.8'),(841,'Syndicate','','none'),(842,'Books','','none'),(843,'Forums','','none'),(844,'Glossary','','8.1.8'),(845,'Superscript','','none'),(846,'Revisions for %title','','none'),(847,'Revision','','none'),(848,'The specified passwords do not match.','','none'),(849,'Session','','none'),(850,'No forums defined','','none'),(851,'This topic has been moved','','none'),(852,'Your settings have been saved.','','none'),(853,'Cron','','8.6.2'),(854,'Installed','','none'),(855,'Link color','','none'),(856,'Date created','','8.1.8'),(857,'Testing','','none'),(858,'Standard','','none'),(859,'Fiji','','none'),(860,'Falkland Islands','','none'),(861,'Saint Kitts and Nevis','','none'),(862,'South Korea','','none'),(863,'Saint Lucia','','none'),(864,'Saint Helena','','none'),(865,'Saint Vincent and the Grenadines','','none'),(866,'British Virgin Islands','','none'),(867,'U.S. Virgin Islands','','none'),(868,'Vietnam','','none'),(869,'Guernsey','','none'),(870,'Jersey','','none'),(871,'Not published','','8.1.8'),(872,'File settings','','none'),(873,'Menu settings','','8.1.8'),(874,'Color scheme','','none'),(875,'Unformatted','','none'),(876,'Formats','','none'),(877,'@type: deleted %title.','','none'),(878,'Allowed file extensions','','none'),(879,'New comments','','none'),(880,'New','','none'),(881,'Redirect to URL','','none'),(882,'The username %name has not been activated or is blocked.','','none'),(883,'Login attempt failed for %user.','','none'),(884,'Revision of %title from %date','','none'),(885,'The username of the user to which you would like to assign ownership.','','none'),(886,'The action has been successfully saved.','','none'),(887,'Themes','','none'),(888,'JPEG quality','','none'),(889,'%','','none'),(890,'Delete comments','','none'),(891,'not published','','none'),(892,'Published comments','','none'),(893,'Loading...','','8.9.18'),(894,'Protected','','none'),(895,'Comment settings','','8.1.8'),(896,'Default options','','none'),(897,'Contact settings','','8.1.8'),(898,'Reset password','','none'),(899,'Processing','','none'),(900,'Temporary directory','','none'),(901,'File upload error. Could not move uploaded file.','','none'),(902,'Shortcuts','','8.6.2'),(903,'Shortcut','','none'),(904,'Default value','','none'),(905,'Timezone','','none'),(906,'Password strength:','','8.1.8'),(907,'Passwords match:','','8.1.8'),(908,'Slogan','','8.1.8'),(909,'Anonymous user','','8.6.2'),(910,'The name used to indicate anonymous users.','','none'),(911,'Apply','','8.1.8'),(912,'Not translated','','none'),(913,'Translatable','','none'),(914,'Location of comment submission form','','none'),(915,'Go to first page','','8.1.8'),(916,'Go to last page','','8.1.8'),(917,'Enter the terms you wish to search for.','','8.6.2'),(918,'Underlined','','none'),(919,'Tasks','','none'),(920,'Delete role','','none'),(921,'Basic configuration','','none'),(922,'British Indian Ocean Territory','','none'),(923,'Croatia','','none'),(924,'Macedonia','','none'),(925,'Western Sahara','','none'),(926,'Language switcher','','none'),(927,'Block description','','8.1.8'),(928,'Translation','','8.1.8'),(929,'Blocks','','none'),(930,'Configure what block content appears in your site\'s sidebars and other regions.','','8.6.2'),(931,'Delete block','','none'),(932,'Save blocks','','none'),(933,'The block settings have been updated.','','none'),(934,'Save block','','none'),(935,'The block configuration has been saved.','','none'),(936,'Menus','','8.6.2'),(937,'Any customizations will be lost. This action cannot be undone.','','none'),(938,'Allows administrators to customize the site navigation menu.','','none'),(939,'Edit vocabulary','','none'),(940,'Created new vocabulary %name.','','none'),(941,'Updated vocabulary %name.','','none'),(942,'Are you sure you want to delete the vocabulary %title?','','none'),(943,'Deleting a vocabulary will delete all the terms in it. This action cannot be undone.','','none'),(944,'Deleted vocabulary %name.','','none'),(945,'A description of the term.','','none'),(946,'Above','','none'),(947,'Default time zone','','none'),(948,'Add another item','','8.1.8'),(949,'Add field','','none'),(950,'Trimmed','','none'),(951,'Used in','','8.1.8'),(952,'Save field settings','','none'),(953,'The update has encountered an error.','','none'),(954,'1 item successfully processed:@count items successfully processed:','','none'),(955,'Decimal','','none'),(956,'Float','','none'),(957,'Minimum','','none'),(958,'Precision','','none'),(959,'The total number of digits to store in the database, including those to the right of the decimal.','','none'),(960,'The number of digits to the right of the decimal.','','none'),(961,'Decimal marker','','none'),(962,'Check boxes/radio buttons','','none'),(963,'Single on/off checkbox','','none'),(964,'Defines selection, check box and radio button widgets for text and numeric fields.','','none'),(965,'Text area (multiple rows)','','none'),(966,'Defines simple text field types.','','none'),(967,'Permalink','','8.1.8'),(968,'Theme-engine-specific settings','','none'),(969,'Debug','','none'),(970,'Exceptions','','none'),(971,'Permission','','8.1.8'),(972,'@module module','','none'),(973,'More information','','none'),(974,'Grid','','none'),(975,'Hide','','8.9.19'),(976,'Anonymous commenting','','none'),(977,'Anonymous posters may not enter their contact information','','none'),(978,'Anonymous posters may leave their contact information','','none'),(979,'Anonymous posters must leave their contact information','','none'),(980,'Default comment setting','','none'),(981,'The content of this field is kept private and will not be shown publicly.','','none'),(982,'parent','','none'),(983,'Date - newest first','','none'),(984,'Date - oldest first','','none'),(985,'1 comment@count comments','','none'),(986,'1 new comment@count new comments','','8.1.8'),(987,'Save content type','','none'),(988,'Show descriptions','','none'),(989,'Subtitle','','none'),(990,'Language code','','8.1.8'),(991,'Menu link title','','8.1.8'),(992,'The path \'@link_path\' is either invalid or you do not have access to it.','','none'),(993,'There was an error saving the menu link.','','none'),(994,'Menu name','','none'),(995,'RDF','','none'),(996,'Edit container','','none'),(997,'Reply','','8.1.8'),(998,'Hot topic threshold','','none'),(999,'Topics per page','','none'),(1000,'Posts - most active first','','none'),(1001,'Posts - least active first','','none'),(1002,'URL path settings','','8.1.8'),(1003,'Are you sure you want to revert to the revision from %revision-date?','','none'),(1004,'Are you sure you want to delete the revision from %revision-date?','','none'),(1005,'Maximum upload size','','none'),(1006,'Space','','none'),(1007,'New forum topics','','none'),(1008,'@type: deleted %title revision %revision.','','none'),(1009,'Page not found','','8.1.8'),(1010,'More help','','none'),(1011,'Account blocked','','none'),(1012,'Expand','','none'),(1013,'Provided by','','none'),(1014,'Resize','','none'),(1015,'The directory %directory does not exist.','','none'),(1016,'Defines a file field type.','','none'),(1017,'No comments available.','','8.1.8'),(1018,'Rebuild permissions','','none'),(1019,'@type: updated %title.','','none'),(1020,'@type: added %title.','','none'),(1021,'Path to custom logo','','none'),(1022,'Updated term %term.','','8.1.8'),(1023,'- None selected -','','8.1.8'),(1024,'Parser','','none'),(1025,'Discard items older than','','none'),(1026,'Aggregator','','none'),(1027,'There is no new syndicated content from %site.','','none'),(1028,'There is new syndicated content from %site.','','none'),(1029,'Feed aggregator','','none'),(1030,'Alias','','none'),(1031,'Account settings','','8.6.2'),(1032,'Enter your keywords','','none'),(1033,'Clean URLs','','none'),(1034,'My account','','8.6.2'),(1035,'Number of topics','','none'),(1036,'Active forum topics','','none'),(1037,'Read the latest forum topics.','','none'),(1038,'HTTP authentication','','none'),(1039,'GD library','','none'),(1040,'A user is considered online for this long after they have last viewed a page.','','8.1.8'),(1041,'Context','','none'),(1042,'Book navigation','','none'),(1043,'Pager','','8.1.8'),(1044,'Identifier','','none'),(1045,'Taxonomy vocabulary','','8.6.2'),(1046,'1 year@count years','','none'),(1047,'1 week@count weeks','','8.1.8'),(1048,'1 min@count min','','none'),(1049,'1 sec@count sec','','none'),(1050,'No temporary directories to remove.','','none'),(1051,'Bulgarian','','none'),(1052,'Croatian','','none'),(1053,'Czech','','none'),(1054,'Danish','','none'),(1055,'Dutch','','none'),(1056,'Finnish','','none'),(1057,'German','','none'),(1058,'Greek','','none'),(1059,'Hebrew','','none'),(1060,'Indonesian','','none'),(1061,'Polish','','none'),(1062,'Romanian','','none'),(1063,'Russian','','none'),(1064,'Slovak','','none'),(1065,'Swedish','','none'),(1066,'Turkish','','none'),(1067,'contains','','none'),(1068,'Send message','','8.6.2'),(1069,'Machine name','','none'),(1070,'Allow Upscaling','','none'),(1071,'Let scale make images larger than their original size','','none'),(1072,'Rotation angle','','none'),(1073,'The number of degrees the image should be rotated. Positive numbers are clockwise, negative are counter-clockwise.','','none'),(1074,'Randomize the rotation angle for each image. The angle specified above is used as a maximum.','','none'),(1075,'Print','','none'),(1076,'The file could not be created.','','8.1.8'),(1077,'Locked','','none'),(1078,'Password reset instructions mailed to %name at %email.','','none'),(1079,'Data','','none'),(1080,'Any','','none'),(1081,'Check for updates','','none'),(1082,'All newer versions','','none'),(1083,'Only security updates','','none'),(1084,'No update data available','','none'),(1085,'Not secure!','','none'),(1086,'Revoked!','','none'),(1087,'Unsupported release','','none'),(1088,'Can not determine status','','none'),(1089,'(version @version available)','','8.1.8'),(1090,'See the available updates page for more information:','','none'),(1091,'There is a security update available for your version of Drupal. To ensure the security of your server, you should update immediately!','','none'),(1092,'Your version of Drupal has been revoked and is no longer available for download. Upgrading is strongly recommended!','','none'),(1093,'The installed version of at least one of your modules or themes has been revoked and is no longer available for download. Upgrading or disabling is strongly recommended!','','none'),(1094,'Your version of Drupal is no longer supported. Upgrading is strongly recommended!','','none'),(1095,'There are updates available for your version of Drupal. To ensure the proper functioning of your site, you should update as soon as possible.','','8.1.8'),(1096,'Project not secure','','none'),(1097,'This project has been labeled insecure by the Drupal security team, and is no longer available for download. Immediately disabling everything included by this project is strongly recommended!','','none'),(1098,'Project revoked','','none'),(1099,'This project has been revoked, and is no longer available for download. Disabling everything included by this project is strongly recommended!','','none'),(1100,'Project not supported','','none'),(1101,'This project is no longer supported, and is no longer available for download. Disabling everything included by this project is strongly recommended!','','none'),(1102,'No available releases found','','none'),(1103,'Release revoked','','none'),(1104,'Your currently installed release has been revoked, and is no longer available for download. Disabling everything included in this release or upgrading is strongly recommended!','','none'),(1105,'Release not supported','','none'),(1106,'Your currently installed release is now unsupported, and is no longer available for download. Disabling everything included in this release or upgrading is strongly recommended!','','none'),(1107,'Invalid info','','none'),(1108,'Security update required!','','none'),(1109,'Not supported!','','none'),(1110,'Recommended version:','','none'),(1111,'Security update:','','none'),(1112,'Latest version:','','none'),(1113,'Development version:','','none'),(1114,'Also available:','','none'),(1115,'Node count','','8.1.8'),(1116,'Field settings','','none'),(1117,'Skip to main content','','8.6.2'),(1118,'Edit forum','','none'),(1119,'Default order','','none'),(1120,'This is the designated forum vocabulary. Some of the normal vocabulary options have been removed.','','none'),(1121,'Leave shadow copy','','none'),(1122,'If you move this topic, you can leave a link in the old forum to the new forum.','','none'),(1123,'Container name','','none'),(1124,'forum container','','none'),(1125,'Created new @type %term.','','none'),(1126,'The @type %term has been updated.','','none'),(1127,'Containing any of the words','','none'),(1128,'Containing the phrase','','none'),(1129,'Containing none of the words','','none'),(1130,'Only of the type(s)','','none'),(1131,'Content ranking','','none'),(1132,'Keyword relevance','','none'),(1133,'Number of comments','','none'),(1134,'Number of views','','none'),(1135,'Factor','','none'),(1136,'Expand layout to include descriptions.','','none'),(1137,'Hide descriptions','','none'),(1138,'Compress layout by hiding descriptions.','','none'),(1139,'Or','','none'),(1140,'Color set','','none'),(1141,'Content ID','','8.1.8'),(1142,'Maximum link text length','','none'),(1143,'URLs longer than this number of characters will be truncated to prevent long strings that break formatting. The link itself will be retained; just the text portion of the link will be truncated.','','none'),(1144,'Reports','','8.6.2'),(1145,'Setting','','none'),(1146,'Toggle display','','none'),(1147,'If you don\'t have direct file access to the server, use this field to upload your logo.','','none'),(1148,'Link class','','none'),(1149,'%percentage of the site has been indexed.','','none'),(1150,'File directory','','none'),(1151,'Default theme','','none'),(1152,'Web server','','none'),(1153,'There is 1 item left to index.There are @count items left to index.','','none'),(1154,'The content access permissions have been rebuilt.','','none'),(1155,'sort by @s','','none'),(1156,'Publish content','','8.1.8'),(1157,'and','','none'),(1158,'Manage actions','','none'),(1159,'Choose an advanced action','','none'),(1160,'Action type','','none'),(1161,'Display a message to the user','','none'),(1162,'Unpublish comment','','8.1.8'),(1163,'Unpublish comment containing keyword(s)','','none'),(1164,'- Select -','','none'),(1165,'Enables the categorization of content.','','none'),(1166,'Path prefix','','none'),(1167,'Auto-reply','','none'),(1168,'Optional auto-reply. Leave empty if you do not want to send the user an auto-reply message.','','none'),(1169,'Add @type','','none'),(1170,'Lithuanian','','none'),(1171,'field','','none'),(1172,'Some required modules must be enabled','','none'),(1173,'New posts','','none'),(1174,'mm/dd/yy','','8.3.5'),(1175,'Translate','','8.1.8'),(1176,'File to import not found.','','none'),(1177,'Save translations','','none'),(1178,'Create @name','','none'),(1179,'Crop','','none'),(1180,'Not enabled','','none'),(1181,'Instructions to present to the user below this field on the editing form.<br />Allowed HTML tags: @tags','','none'),(1182,'Block type','','8.1.8'),(1183,'@module (<span class=\"admin-disabled\">disabled</span>)','','none'),(1184,'Web services','','8.6.2'),(1185,'Save permissions','','none'),(1186,'Effect','','none'),(1187,'Route','','none'),(1188,'Error message','','8.1.8'),(1189,'Delete content type','','none'),(1190,'Change book (update list of parents)','','none'),(1191,'Manage your site\'s book outlines.','','none'),(1192,'For security reasons, your upload has been renamed to %filename.','','none'),(1193,'Entity type','','8.1.8'),(1194,'Installed version','','none'),(1195,'Recommended version','','none'),(1196,'User account','','8.6.2'),(1197,'Acronym','','none'),(1198,'original','','none'),(1199,'Title only','','none'),(1200,'Dates','','8.1.8'),(1201,'Validator','','none'),(1202,'pixels','','none'),(1203,'Use default','','none'),(1204,'1 month@count months','','8.1.8'),(1205,'Save order','','none'),(1206,'done','','none'),(1207,'Custom format','','8.1.8'),(1208,'Direction','','none'),(1209,'Drupal core','','none'),(1210,'Book navigation block display','','none'),(1211,'Relations','','8.1.8'),(1212,'Password field is required.','','none'),(1213,'Display type','','none'),(1214,'Confirm password','','8.1.8'),(1215,'Not applicable','','8.1.8'),(1216,'No content available.','','8.1.8'),(1217,'Default display order','','none'),(1218,'Administration theme','','none'),(1219,'Isle of Man','','none'),(1220,'Montenegro','','none'),(1221,'Saint Pierre and Miquelon','','none'),(1222,'Serbia','','none'),(1223,'Uri','','none'),(1224,'Run updates','','8.6.2'),(1225,'Warning message','','none'),(1226,'The file %file could not be saved. An unknown error has occurred.','','none'),(1227,'The specified file %name could not be uploaded.','','none'),(1228,'The file\'s name is empty. Please give a name to the file.','','none'),(1229,'Only files with the following extensions are allowed: %files-allowed.','','none'),(1230,'The file is %filesize exceeding the maximum file size of %maxsize.','','none'),(1231,'The file is %filesize which would exceed your disk quota of %quota.','','none'),(1232,'The image was resized to fit within the maximum allowed dimensions of %dimensions pixels.','','none'),(1233,'The image is too small; the minimum dimensions are %dimensions pixels.','','none'),(1234,'Upload error. Could not move uploaded file %file to destination %destination.','','none'),(1235,'Add to book outline','','none'),(1236,'Stark','','none'),(1237,'New set','','none'),(1238,'outdated','','none'),(1239,'Manage tagging, categorization, and classification of your content.','','8.6.2'),(1240,'Re-index site','','none'),(1241,'Are you sure you want to re-index the site?','','none'),(1242,'cURL','','none'),(1243,'No test results to display.','','none'),(1244,'Save and continue','','none'),(1245,'IP address','','8.1.8'),(1246,'Maximum height','','none'),(1247,'Maximum width','','none'),(1248,'Timor-Leste','','none'),(1249,'Primary tabs','','8.1.8'),(1250,'Secondary tabs','','8.1.8'),(1251,'Enable or disable the display of certain page elements.','','none'),(1252,'Boolean','','none'),(1253,'Maximum image resolution','','none'),(1254,'An illegal choice has been detected. Please contact the site administrator.','','none'),(1255,'Status report','','8.6.2'),(1256,'Not writable','','none'),(1257,'Decimal point','','none'),(1258,'This will be the top-level page in this book.','','none'),(1259,'Revision information','','8.1.8'),(1260,'Notify user of new account','','8.1.8'),(1261,'Form mode','','8.6.2'),(1262,'View comment','','none'),(1263,'Comma','','none'),(1264,'Uses','','none'),(1265,'Path to custom icon','','none'),(1266,'Current user','','8.1.8'),(1267,'Digest','','none'),(1268,'Default display mode','','none'),(1269,'Default comments per page','','none'),(1270,'Comment controls','','none'),(1271,'Comment subject field','','none'),(1272,'Any replies to this comment will be lost. This action cannot be undone.','','none'),(1273,'Publish the selected comments','','none'),(1274,'Unpublish the selected comments','','none'),(1275,'Are you sure you want to delete these comments and all their children?','','none'),(1276,'(No subject)','','none'),(1277,'Access type','','none'),(1278,'Default image','','none'),(1279,'This text will be used by screen readers, search engines, or when the image cannot be loaded.','','8.1.8'),(1280,'Add feed','','none'),(1281,'List links','','none'),(1282,'MIME type','','8.1.8'),(1283,'File system','','8.6.2'),(1284,'Toolbar','','none'),(1285,'Enter your @s username.','','8.1.8'),(1286,'Posted in','','none'),(1287,'Comment: unauthorized comment submitted or comment submitted to a closed post %subject.','','none'),(1288,'Search index','','8.1.8'),(1289,'The size of the file.','','none'),(1290,'The MIME type of the file.','','none'),(1291,'@type %title has been created.','','none'),(1292,'@type %title has been updated.','','8.1.8'),(1293,'The post could not be saved.','','none'),(1294,'1 character@count characters','','none'),(1295,'Filter settings','','none'),(1296,'You do not have any administrative items.','','none'),(1297,'No help is available for module %module.','','none'),(1298,'@module administration pages','','none'),(1299,'Add language','','none'),(1300,'AM','','none'),(1301,'PM','','none'),(1302,'PHP extensions','','none'),(1303,'Comments per page','','none'),(1304,'Publish comment','','8.1.8'),(1305,'The file could not be uploaded.','','none'),(1306,'FTP','','none'),(1307,'Collaboration','','none'),(1308,'Administration pages','','none'),(1309,'Capitalize first letter','','none'),(1310,'The website encountered an unexpected error. Please try again later.','','8.1.8'),(1311,'Run tests','','none'),(1312,'Clean test environment','','none'),(1313,'Remove tables with the prefix \"simpletest\" and temporary directories that are left over from tests that crashed. This is intended for developers when creating tests.','','none'),(1314,'Clean environment','','none'),(1315,'No tests to display.','','none'),(1316,'Processing test @num of @max - %test.','','none'),(1317,'Processed test @num of @max - %test.','','none'),(1318,'1 pass@count passes','','none'),(1319,'1 fail@count fails','','none'),(1320,'1 exception@count exceptions','','none'),(1321,'Provides a framework for unit and functional testing.','','none'),(1322,'Hindi','','none'),(1323,'User %name used one-time login link at time %timestamp.','','none'),(1324,'Registration successful. You are now logged in.','','none'),(1325,'Sum','','none'),(1326,'View comments','','none'),(1327,'%name: this field cannot hold more than @count values.','','none'),(1328,'No fields available.','','none'),(1329,'Vertical Tabs','','none'),(1330,'Not in book','','none'),(1331,'New book','','none'),(1332,'By @name on @date','','8.3.5'),(1333,'By @name','','8.3.5'),(1334,'Not in menu','','8.3.5'),(1335,'Alias: @alias','','8.3.5'),(1336,'No alias','','8.3.5'),(1337,'Initializing.','','none'),(1338,'An error has occurred.','','none'),(1339,'Your page will be a part of the selected book.','','none'),(1340,'0 sec','','none'),(1341,'Filter log messages','','none'),(1342,'You must select something to filter by.','','none'),(1343,'New revision','','8.9.0'),(1344,'To change the current user password, enter the new password in both fields.','','8.1.8'),(1345,'You have tried to use a one-time login link that has expired. Please request a new one using the form below.','','none'),(1346,'This login can be used only once.','','none'),(1347,'Add comment link','','none'),(1348,'Abbreviation','','none'),(1349,'Inserted','','none'),(1350,'Provide a password for the new account in both fields.','','none'),(1351,'Changes cannot be made to a locked view.','','none'),(1352,'Current date','','8.1.8'),(1353,'Current node\'s creation time','','none'),(1354,'Current node\'s update time','','none'),(1355,'Do not display items with no value in summary','','none'),(1356,'Invalid input','','none'),(1357,'Character limit','','none'),(1358,'No transform','','none'),(1359,'Upper case','','none'),(1360,'Lower case','','none'),(1361,'Capitalize each word','','none'),(1362,'Case in path','','none'),(1363,'Transform spaces to dashes in URL','','none'),(1364,'Exclude from display','','none'),(1365,'View name','','none'),(1366,'Break lock','','none'),(1367,'The title of the comment.','','none'),(1368,'Comment count','','8.1.8'),(1369,'Filter by access.','','none'),(1370,'Views today','','none'),(1371,'contact','','none'),(1372,'Search for either of the two terms with uppercase <strong>OR</strong>. For example, <strong>cats OR dogs</strong>.','','none'),(1373,'Display even if view has no result','','none'),(1374,'Exposed form: @view-@display_id','','none'),(1375,'Inherit exposed filters','','none'),(1376,'RSS description','','none'),(1377,'Language settings','','8.1.8'),(1378,'Attempting to re-run cron while it is already running.','','none'),(1379,'Cron run completed.','','none'),(1380,'- All -','','8.1.8'),(1381,'Visitors','','none'),(1382,'Allow multiple values','','none'),(1383,'The maximum length of the field in characters.','','none'),(1384,'Machine-readable name','','8.1.8'),(1385,'Update translations','','none'),(1386,'Who\'s new','','8.1.8'),(1387,'Language name','','8.1.8'),(1388,'Edit language','','none'),(1389,'Filter criteria','','8.1.8'),(1390,'The content type %name has been updated.','','none'),(1391,'The content type %name has been added.','','none'),(1392,'Catalan','','none'),(1393,'Contact form','','8.6.2'),(1394,'Changes made in this table will not be saved until the form is submitted.','','none'),(1395,'Blue Lagoon (default)','','none'),(1396,'The requested page could not be found.','','8.1.8'),(1397,'The user account %id does not exist.','','none'),(1398,'Attempted to cancel non-existing user account: %id.','','none'),(1399,'Requirements problem','','none'),(1400,'Database configuration','','none'),(1401,'Select an installation profile','','none'),(1402,'Choose language','','none'),(1403,'Select language','','8.1.8'),(1404,'No profiles available','','none'),(1405,'Drupal already installed','','none'),(1406,'Installing @drupal','','none'),(1407,'The installation has encountered an error.','','none'),(1408,'Configure site','','none'),(1409,'Installed %module module.','','none'),(1410,'Choose profile','','none'),(1411,'Verify requirements','','none'),(1412,'Set up database','','none'),(1413,'Set up translations','','none'),(1414,'Install site','','none'),(1415,'Finish translations','','none'),(1416,'By default, dates in this site will be displayed in the chosen time zone.','','none'),(1417,'Update notifications','','none'),(1418,'Check for updates automatically','','none'),(1419,'1 byte@count bytes','','none'),(1420,'Illegal choice %choice in %name element.','','none'),(1421,'GD2 image manipulation toolkit','','none'),(1422,'Define the image quality for JPEG manipulations. Ranges from 0 to 100. Higher values mean better image quality but bigger files.','','none'),(1423,'Right to left','','none'),(1424,'Left to right','','none'),(1425,'Add custom language','','none'),(1426,'Save language','','none'),(1427,'Direction that text in this language is presented.','','none'),(1428,'String contains','','none'),(1429,'Leave blank to show all strings. The search is case sensitive.','','none'),(1430,'Search in','','none'),(1431,'Both translated and untranslated strings','','none'),(1432,'Only translated strings','','none'),(1433,'Only untranslated strings','','none'),(1434,'Languages not yet added','','none'),(1435,'The language %language has been created.','','none'),(1436,'The submitted string contains disallowed HTML: %string','','none'),(1437,'Importing interface translations','','none'),(1438,'Error importing interface translations','','none'),(1439,'Attempted submission of a translation string with disallowed HTML: %string','','none'),(1440,'Updated JavaScript translation file for the language %language.','','none'),(1441,'Created JavaScript translation file for the language %language.','','none'),(1442,'An error occurred during creation of the JavaScript translation file for the language %language.','','none'),(1443,'Afrikaans','','none'),(1444,'Amharic','','none'),(1445,'Azerbaijani','','none'),(1446,'Belarusian','','none'),(1447,'Bengali','','none'),(1448,'Tibetan','','none'),(1449,'Bosnian','','none'),(1450,'Welsh','','none'),(1451,'Esperanto','','none'),(1452,'Estonian','','none'),(1453,'Basque','','none'),(1454,'Faeroese','','none'),(1455,'Irish','','none'),(1456,'Galician','','none'),(1457,'Gujarati','','none'),(1458,'Armenian','','none'),(1459,'Icelandic','','none'),(1460,'Javanese','','none'),(1461,'Georgian','','none'),(1462,'Kazakh','','none'),(1463,'Kannada','','none'),(1464,'Kurdish','','none'),(1465,'Latvian','','none'),(1466,'Malagasy','','none'),(1467,'Macedonian','','none'),(1468,'Malayalam','','none'),(1469,'Mongolian','','none'),(1470,'Marathi','','none'),(1471,'Burmese','','none'),(1472,'Nepali','','none'),(1473,'Norwegian Bokmål','','none'),(1474,'Norwegian Nynorsk','','none'),(1475,'Occitan','','none'),(1476,'Punjabi','','none'),(1477,'Portuguese, Portugal','','none'),(1478,'Portuguese, Brazil','','none'),(1479,'Northern Sami','','none'),(1480,'Sinhala','','none'),(1481,'Slovenian','','none'),(1482,'Albanian','','none'),(1483,'Serbian','','none'),(1484,'Swahili','','none'),(1485,'Tamil','','none'),(1486,'Telugu','','none'),(1487,'Thai','','none'),(1488,'Ukrainian','','none'),(1489,'Urdu','','none'),(1490,'Vietnamese','','none'),(1491,'Chinese, Simplified','','none'),(1492,'Chinese, Traditional','','none'),(1493,'Standard PHP','','none'),(1494,'PHP Mbstring Extension','','none'),(1495,'Unicode library','','none'),(1496,'Could not convert XML encoding %s to UTF-8.','','none'),(1497,'The name of the feed (or the name of the website providing the feed).','','none'),(1498,'Add a feed in RSS, RDF or Atom format. A feed may only have one entry.','','none'),(1499,'Update items','','none'),(1500,'No blocks in this region','','none'),(1501,'The block %info was assigned to the invalid region %region and has been disabled.','','none'),(1502,'The content type for the %add-child link must be one of those selected as an allowed book outline type.','','none'),(1503,'Save book pages','','none'),(1504,'This book has been modified by another user, the changes could not be saved.','','none'),(1505,'Title changed from %original to %current.','','none'),(1506,'Updated book %title.','','none'),(1507,'book: updated %title.','','none'),(1508,'Update book outline','','none'),(1509,'Remove from book outline','','none'),(1510,'No changes were made','','none'),(1511,'The post has been added to the selected book. You may now position it relative to other pages.','','none'),(1512,'The book outline has been updated.','','none'),(1513,'There was an error adding the post to the book.','','none'),(1514,'%title has associated child pages, which will be relocated automatically to maintain their connection to the book. To recreate the hierarchy (as it was before removing this page), %title may be added again using the Outline tab, and each of its former child pages will need to be relocated manually.','','none'),(1515,'%title may be added to hierarchy again using the Outline tab.','','none'),(1516,'Are you sure you want to remove %title from the book hierarchy?','','none'),(1517,'The post has been removed from the book.','','none'),(1518,'Show a printer-friendly version of this book page and its sub-pages.','','none'),(1519,'Show block on all pages','','none'),(1520,'Show block only on book pages','','none'),(1521,'If <em>Show block on all pages</em> is selected, the block will contain the automatically generated menus for all of the site\'s books. If <em>Show block only on book pages</em> is selected, the block will contain only the one menu corresponding to the current page\'s book. In this case, if the current page is not in a book, no block will be displayed. The <em>Page specific visibility settings</em> or other visibility settings can be used in addition to selectively display this block.','','none'),(1522,'This is the top-level page in this book.','','none'),(1523,'No book selected.','','none'),(1524,'%title is part of a book outline, and has associated child pages. If you proceed with deletion, the child pages will be relocated automatically.','','none'),(1525,'Re-order book pages and change titles','','none'),(1526,'Book page','','none'),(1527,'Delete the selected comments','','none'),(1528,'Allows users to comment on and discuss published content.','','none'),(1529,'Example: \'website feedback\' or \'product information\'.','','none'),(1530,'Personal contact form','','8.6.2'),(1531,'Enables the use of both personal and site-wide contact forms.','','none'),(1532,'View events that have recently been logged.','','8.6.2'),(1533,'Top \'page not found\' errors','','8.6.2'),(1534,'View \'page not found\' errors (404s).','','8.6.2'),(1535,'Top \'access denied\' errors','','8.6.2'),(1536,'View \'access denied\' errors (403s).','','8.6.2'),(1537,'Logs and records system events to the database.','','none'),(1538,'No roles may use this format','','none'),(1539,'Allowed HTML tags: @tags','','8.1.8'),(1540,'Anchors are used to make links to other pages.','','none'),(1541,'By default line break tags are automatically added, so use this tag to add additional ones. Use of this tag is different because it is not used with an open/close pair like all the others. Use the extra \" /\" inside the tag to maintain XHTML 1.0 compatibility','','none'),(1542,'Text with <br />line break','','none'),(1543,'By default paragraph tags are automatically added, so use this tag to add additional ones.','','none'),(1544,'Paragraph one.','','none'),(1545,'Paragraph two.','','none'),(1546,'Strong','','8.1.8'),(1547,'Emphasized','','none'),(1548,'Cited','','none'),(1549,'Coded text used to show programming source code','','none'),(1550,'Coded','','none'),(1551,'Bolded','','none'),(1552,'Italicized','','none'),(1553,'Superscripted','','none'),(1554,'<sup>Super</sup>scripted','','none'),(1555,'Subscripted','','none'),(1556,'<sub>Sub</sub>scripted','','none'),(1557,'<abbr title=\"Abbreviation\">Abbrev.</abbr>','','none'),(1558,'<acronym title=\"Three-Letter Acronym\">TLA</acronym>','','none'),(1559,'Block quoted','','none'),(1560,'Quoted inline','','none'),(1561,'Table header','','none'),(1562,'Table cell','','none'),(1563,'Ordered list - use the &lt;li&gt; to begin each list item','','none'),(1564,'First item','','none'),(1565,'Second item','','none'),(1566,'Unordered list - use the &lt;li&gt; to begin each list item','','none'),(1567,'Definition lists are similar to other HTML lists. &lt;dl&gt; begins the definition list, &lt;dt&gt; begins the definition term and &lt;dd&gt; begins the definition description.','','none'),(1568,'First term','','none'),(1569,'First definition','','none'),(1570,'Second term','','none'),(1571,'Second definition','','none'),(1572,'Subtitle three','','none'),(1573,'Subtitle four','','none'),(1574,'Subtitle five','','none'),(1575,'Subtitle six','','none'),(1576,'Tag Description','','none'),(1577,'You Type','','none'),(1578,'You Get','','none'),(1579,'No help provided for tag %tag.','','none'),(1580,'Ampersand','','none'),(1581,'Quotation mark','','none'),(1582,'Character Description','','none'),(1583,'Lines and paragraphs break automatically.','','8.1.8'),(1584,'Compose tips','','none'),(1585,'Short but meaningful name for this collection of threaded discussions.','','none'),(1586,'Description and guidelines for discussions within this forum.','','none'),(1587,'Short but meaningful name for this collection of related forums.','','none'),(1588,'Default number of forum topics displayed per page.','','none'),(1589,'Default display order for topics.','','none'),(1590,'Containers are usually placed at the top (root) level, but may also be placed inside another container or forum.','','none'),(1591,'Forums may be placed at the top (root) level, or inside another container or forum.','','none'),(1592,'Forum topic','','none'),(1593,'You are not allowed to post new content in the forum.','','none'),(1594,'Manages the display of online help.','','none'),(1595,'This page exports the translated strings used by your site. An export file may be in Gettext Portable Object (<em>.po</em>) form, which includes both the original string and the translation (used to share translations with others), or in Gettext Portable Object Template (<em>.pot</em>) form, which includes the original strings only (used to create new translations with a Gettext translation editor).','','none'),(1596,'Submission form settings','','none'),(1597,'The machine-readable name must contain only lowercase letters, numbers, and underscores.','','none'),(1598,'Added content type %name.','','none'),(1599,'Changed the content type of 1 post from %old-type to %type.Changed the content type of @count posts from %old-type to %type.','','none'),(1600,'Are you sure you want to rebuild the permissions on site content?','','none'),(1601,'This action rebuilds all permissions on site content, and may be a lengthy process. This action cannot be undone.','','none'),(1602,'An error occurred and processing did not complete.','','none'),(1603,'Copy of the revision from %date.','','none'),(1604,'Revision from %revision-date of @type %title has been deleted.','','none'),(1605,'@type: reverted %title revision %revision.','','none'),(1606,'The content access permissions need to be rebuilt.','','none'),(1607,'Rebuilding content access permissions','','none'),(1608,'Content permissions have been rebuilt.','','none'),(1609,'The content access permissions have not been properly rebuilt.','','none'),(1610,'Revert to earlier revision','','none'),(1611,'Delete earlier revision','','none'),(1612,'Allows content to be submitted to the site and displayed on pages.','','none'),(1613,'The alias %alias is already in use in this language.','','none'),(1614,'The alias has been saved.','','none'),(1615,'Are you sure you want to delete path alias %title?','','none'),(1616,'Filter aliases','','none'),(1617,'Enter the path you wish to create the alias for, followed by the name of the new alias.','','none'),(1618,'URL aliases','','8.6.2'),(1619,'Edit alias','','none'),(1620,'Delete alias','','none'),(1621,'Add alias','','none'),(1622,'Allows users to rename URLs.','','none'),(1623,'Indexing throttle','','none'),(1624,'Number of items to index per cron run','','none'),(1625,'Indexing settings','','none'),(1626,'Minimum word length to index','','none'),(1627,'Simple CJK handling','','none'),(1628,'Whether to apply a simple Chinese/Japanese/Korean tokenizer based on overlapping sequences. Turn this off if you want to use an external preprocessor for this instead. Does not affect other languages.','','none'),(1629,'Search form','','none'),(1630,'Top search phrases','','8.6.2'),(1631,'View most popular search phrases.','','8.6.2'),(1632,'Enables site-wide keyword searching.','','none'),(1633,'Content viewing counter settings','','none'),(1634,'Count content views','','none'),(1635,'Increment a counter each time content is viewed.','','none'),(1636,'Popular content','','none'),(1637,'How many content items to display in \"all time\" list.','','none'),(1638,'How many content items to display in \"recently viewed\" list.','','none'),(1639,'Today\'s:','','none'),(1640,'All time:','','none'),(1641,'Last viewed:','','none'),(1642,'Logs and records system events to syslog.','','none'),(1643,'User pictures in posts','','none'),(1644,'User pictures in comments','','none'),(1645,'Shortcut icon','','none'),(1646,'Logo image settings','','none'),(1647,'Upload logo image','','none'),(1648,'Shortcut icon settings','','none'),(1649,'Your shortcut icon, or \'favicon\', is displayed in the address bar and bookmarks of most browsers.','','none'),(1650,'Upload icon image','','none'),(1651,'If you don\'t have direct file access to the server, use this field to upload your shortcut icon.','','none'),(1652,'@module (<span class=\"admin-missing\">missing</span>)','','none'),(1653,'The following modules will be completely uninstalled from your site, and <em>all data from these modules will be lost</em>!','','none'),(1654,'Confirm uninstall','','none'),(1655,'No modules selected.','','none'),(1656,'The selected modules have been uninstalled.','','none'),(1657,'Default 403 (access denied) page','','none'),(1658,'Default 404 (not found) page','','none'),(1659,'Caches cleared.','','none'),(1660,'Select an image processing toolkit','','none'),(1661,'Number of items in each feed','','none'),(1662,'Default number of items to include in each feed.','','none'),(1663,'Feed content','','none'),(1664,'Titles plus teaser','','none'),(1665,'Global setting for the default display of content items in each feed.','','none'),(1666,'Formatting','','none'),(1667,'Cron run failed.','','none'),(1668,'No modules are available to uninstall.','','none'),(1669,'This page shows you all available administration tasks for each module.','','none'),(1670,'These options control the default display settings for your entire site, across all themes. Unless they have been overridden by a specific theme, these settings will be used.','','none'),(1671,'The <em>Powered by Drupal</em> block is an optional link to the home page of the Drupal project. While there is absolutely no requirement that sites feature this link, it may be used to show support for Drupal.','','none'),(1672,'Powered by Drupal','','8.1.8'),(1673,'Could not delete temporary file \"%path\" during garbage collection','','none'),(1674,'Compact mode','','none'),(1675,'Image toolkit','','8.6.2'),(1676,'Choose which image toolkit to use if you have installed optional toolkits.','','8.6.2'),(1677,'RSS publishing','','8.6.2'),(1678,'Date and time','','none'),(1679,'-1 (Unlimited)','','none'),(1680,'Your PHP installation is too old. Drupal requires at least PHP %version.','','none'),(1681,'PHP memory limit','','none'),(1682,'Consider increasing your PHP memory limit to %memory_minimum_limit to help prevent errors in the installation process.','','none'),(1683,'Consider increasing your PHP memory limit to %memory_minimum_limit to help prevent errors in the update process.','','none'),(1684,'Depending on your configuration, Drupal can run with a %memory_limit PHP memory limit. However, a %memory_minimum_limit PHP memory limit or above is recommended, especially if your site uses additional custom or contributed modules.','','none'),(1685,'Increase the memory limit by editing the memory_limit parameter in the file %configuration-file and then restart your web server (or contact your system administrator or hosting provider for assistance).','','none'),(1686,'Contact your system administrator or hosting provider for assistance with increasing your PHP memory limit.','','none'),(1687,'Not protected','','none'),(1688,'The file %file is not protected from modifications and poses a security risk. You must change the file\'s permissions to be non-writable.','','none'),(1689,'Cron has not run recently.','','none'),(1690,'Cron maintenance tasks','','none'),(1691,'The directory %directory is not writable.','','none'),(1692,'Writable (<em>public</em> download method)','','none'),(1693,'Writable (<em>private</em> download method)','','none'),(1694,'Database updates','','none'),(1695,'Access to update.php','','none'),(1696,'Handles general site configuration for administrators.','','none'),(1697,'Reset to alphabetical','','none'),(1698,'Terms are displayed in ascending order by weight.','','8.1.8'),(1699,'Weight value must be numeric.','','none'),(1700,'Are you sure you want to reset the vocabulary %title to alphabetical order?','','none'),(1701,'Resetting a vocabulary will discard all custom ordering and sort items alphabetically.','','none'),(1702,'Reset vocabulary %name to alphabetical order.','','none'),(1703,'Translation settings','','none'),(1704,'This translation needs to be updated','','none'),(1705,'Unknown release date','','none'),(1706,'Last checked: @time ago','','none'),(1707,'Last checked: never','','none'),(1708,'Includes: %includes','','none'),(1709,'Select how frequently you want to automatically check for new releases of your currently installed modules and themes.','','none'),(1710,'Here you can find information about available updates for your installed modules and themes. Note that each module or theme is part of a \"project\", which may or may not have the same name, and might include multiple modules or themes within it.','','none'),(1711,'Module and theme update status','','none'),(1712,'There are security updates available for one or more of your modules or themes. To ensure the security of your server, you should update immediately!','','none'),(1713,'There are updates available for one or more of your modules or themes. To ensure the proper functioning of your site, you should update as soon as possible.','','8.1.8'),(1714,'Get a status report about available updates for your installed modules and themes.','','8.6.2'),(1715,'%name has been deleted.','','none'),(1716,'You must enter a username.','','none'),(1717,'The username cannot begin with a space.','','none'),(1718,'The username cannot end with a space.','','none'),(1719,'The username cannot contain multiple spaces in a row.','','none'),(1720,'The username contains an illegal character.','','none'),(1721,'The username %name is too long: it must be %max characters or less.','','none'),(1722,'Who\'s online','','8.1.8'),(1723,'Enter the password that accompanies your username.','','8.1.8'),(1724,'Unblock the selected users','','none'),(1725,'Block the selected users','','none'),(1726,'Deleted user: %name %email.','','none'),(1727,'Edit role','','none'),(1728,'Manages the user registration and login system.','','none'),(1729,'Language list','','none'),(1730,'The title is used as a tool tip when the user hovers the mouse over the image.','','8.1.8'),(1731,'Progress indicator','','none'),(1732,'Bar with progress meter','','none'),(1733,'Throbber','','none'),(1734,'The file upload failed. %upload','','none'),(1735,'URL to file','','none'),(1736,'An unrecoverable error occurred. The uploaded file likely exceeded the maximum file size (@size) that this server supports.','','none'),(1737,'Starting upload...','','none'),(1738,'Uploading... (@current of @total)','','none'),(1739,'Your server is capable of displaying file upload progress through APC, but it is not enabled. Add <code>apc.rfc1867 = 1</code> to your php.ini configuration. Alternatively, it is recommended to use <a href=\"http://pecl.php.net/package/uploadprogress\">PECL uploadprogress</a>, which supports more than one simultaneous upload.','','none'),(1740,'Enabled (<a href=\"http://pecl.php.net/package/uploadprogress\">PECL uploadprogress</a>)','','none'),(1741,'Upload progress','','none'),(1742,'Interface','','none'),(1743,'@size KB','','8.1.8'),(1744,'@size MB','','8.1.8'),(1745,'@size GB','','none'),(1746,'@size TB','','none'),(1747,'@size PB','','none'),(1748,'@size EB','','none'),(1749,'@size ZB','','none'),(1750,'@size YB','','none'),(1751,'All messages','','none'),(1752,'Text format','','8.6.2'),(1753,'No new posts','','none'),(1754,'Sticky topic','','none'),(1755,'Emergency','','none'),(1756,'The name of the site.','','none'),(1757,'Optional features','','none'),(1758,'Style settings','','none'),(1759,'Alert','','none'),(1760,'Critical','','none'),(1761,'Format string','','none'),(1762,'Add format','','none'),(1763,'Delete date format','','none'),(1764,'Content type name','','none'),(1765,'Slate','','none'),(1766,'@field_name (Locked)','','none'),(1767,'- Select a field type -','','none'),(1768,'- Select an existing field -','','none'),(1769,'Add new field: you need to provide a label.','','none'),(1770,'The field %field is locked and cannot be edited.','','none'),(1771,'%name must be a number.','','none'),(1772,'Regional settings','','8.6.2'),(1773,'Rotate','','none'),(1774,'Page bottom','','none'),(1775,'Definitions','','none'),(1776,'Database is encoded in UTF-8','','none'),(1777,'Drupal could not determine the encoding of the database was set to UTF-8','','none'),(1778,'PostgreSQL has initialized itself.','','none'),(1779,'Structure','','8.6.2'),(1780,'Select the test(s) or test group(s) you would like to run, and click <em>Run tests</em>.','','none'),(1781,'All (@count)','','none'),(1782,'Pass (@count)','','none'),(1783,'Fail (@count)','','none'),(1784,'Return to list','','none'),(1785,'Clear results after each complete test suite run','','none'),(1786,'Provide verbose information when running tests','','none'),(1787,'HTTP auth settings to be used by the SimpleTest browser during testing. Useful when the site requires basic HTTP authentication.','','none'),(1788,'The test run did not successfully finish.','','none'),(1789,'Clear results is disabled and the test results table will not be cleared.','','none'),(1790,'No leftover tables to remove.','','none'),(1791,'1 debug message@count debug messages','','none'),(1792,'Removed 1 test result.Removed @count test results.','','none'),(1793,'Removed 1 leftover table.Removed @count leftover tables.','','none'),(1794,'Removed 1 temporary directory.Removed @count temporary directories.','','none'),(1795,'Test result','','none'),(1796,'Edit style','','none'),(1797,'Upgrade','','none'),(1798,'Fetcher','','none'),(1799,'This permission is inherited from the authenticated user role.','','8.3.5'),(1800,'Seven','','8.6.2'),(1801,'@argument title','','none'),(1802,'@argument input','','none'),(1803,'Administer forums','','none'),(1804,'Cancel account','','none'),(1805,'Administrator role','','none'),(1806,'No revision','','8.9.0'),(1807,'Requires a title','','8.1.8'),(1808,'Entities','','none'),(1809,'Private files','','none'),(1810,'Not restricted','','8.3.5'),(1811,'Operations links','','8.1.8'),(1812,'The unique ID of the comment.','','none'),(1813,'The IP address of the computer the comment was posted from.','','none'),(1814,'The email address left by the comment author.','','none'),(1815,'The home page URL left by the comment author.','','none'),(1816,'The formatted content of the comment itself.','','none'),(1817,'The URL of the comment.','','none'),(1818,'Edit URL','','8.1.8'),(1819,'The URL of the comment\'s edit page.','','none'),(1820,'The date the comment was posted.','','none'),(1821,'The comment\'s parent, if comment threading is active.','','none'),(1822,'New comment count','','8.1.8'),(1823,'The unique ID of the node\'s latest revision.','','none'),(1824,'The human-readable name of the node type.','','none'),(1825,'The URL of the node.','','none'),(1826,'The URL of the node\'s edit page.','','none'),(1827,'Date changed','','8.1.8'),(1828,'The date the node was most recently updated.','','none'),(1829,'The number of visitors who have read the node.','','none'),(1830,'The number of visitors who have read the node today.','','none'),(1831,'Last view','','none'),(1832,'The date on which a visitor last read the node.','','none'),(1833,'The slogan of the site.','','none'),(1834,'The administrative email address for the site.','','none'),(1835,'The URL of the site\'s front page.','','none'),(1836,'Login page','','8.1.8'),(1837,'The URL of the site\'s login page.','','none'),(1838,'The unique ID of the uploaded file.','','none'),(1839,'The name of the file on disk.','','none'),(1840,'The web-accessible URL for the file.','','none'),(1841,'The date the file was most recently changed.','','none'),(1842,'The user who originally uploaded the file.','','none'),(1843,'The unique ID of the taxonomy term.','','none'),(1844,'The name of the taxonomy term.','','none'),(1845,'The optional description of the taxonomy term.','','none'),(1846,'The number of nodes tagged with the taxonomy term.','','none'),(1847,'The URL of the taxonomy term.','','none'),(1848,'The vocabulary the taxonomy term belongs to.','','none'),(1849,'The parent term of the taxonomy term, if one exists.','','none'),(1850,'The unique ID of the taxonomy vocabulary.','','none'),(1851,'The name of the taxonomy vocabulary.','','none'),(1852,'The optional description of the taxonomy vocabulary.','','none'),(1853,'The number of nodes tagged with terms belonging to the taxonomy vocabulary.','','none'),(1854,'The number of terms belonging to the taxonomy vocabulary.','','none'),(1855,'The unique ID of the user account.','','none'),(1856,'The login name of the user account.','','none'),(1857,'The email address of the user account.','','none'),(1858,'The URL of the account profile page.','','none'),(1859,'The date the user account was created.','','none'),(1860,'Main page content','','8.1.8'),(1861,'You are not allowed to access this page.','','none'),(1862,'Authorize file system changes','','none'),(1863,'It appears you have reached this page in error.','','none'),(1864,'authorize.php','','none'),(1865,'Cron could not run because an invalid key was used.','','none'),(1866,'Cron could not run because the site is in maintenance mode.','','none'),(1867,'Default country','','none'),(1868,'In your %settings_file file you have configured @drupal to use a %driver server, however your PHP installation currently does not support this database type.','','none'),(1869,'We were unable to find any installation profiles. Installation profiles tell us what modules to enable and what schema to install in the database. A profile is necessary to continue with the installation process.','','none'),(1870,'Congratulations, you installed @drupal!','','none'),(1871,'Settings file','','none'),(1872,'Site maintenance account','','none'),(1873,'Select the default country for the site.','','none'),(1874,'No pending updates.','','none'),(1875,'1 pending update@count pending updates','','none'),(1876,'Unable to continue, no available methods of file transfer','','none'),(1877,'To continue, provide your server connection details','','none'),(1878,'Connection method','','none'),(1879,'Enter connection settings','','none'),(1880,'@backend connection settings','','none'),(1881,'Change connection type','','none'),(1882,'No active batch.','','none'),(1883,'Site under maintenance','','none'),(1884,'Archivers can only operate on local files: %file not supported','','none'),(1885,'The file %source could not be uploaded because a file by that name already exists in the destination %directory.','','none'),(1886,'The file\'s name exceeds the 240 characters limit. Please rename the file and try again.','','none'),(1887,'%path is a directory and cannot be removed using file_unmanaged_delete().','','none'),(1888,'The file %path is not of a recognized type so it was not deleted.','','none'),(1889,'The file permissions could not be set on %uri.','','none'),(1890,'Completed @current of @total.','','none'),(1891,'Failed to run all tasks against the database server. The task %task wasn\'t found.','','none'),(1892,'Failed to modify %settings. Verify the file permissions.','','none'),(1893,'Failed to open %settings. Verify the file permissions.','','none'),(1894,'Required modules','','none'),(1895,'Required modules not found.','','none'),(1896,'%module module uninstalled.','','none'),(1897,'Saint Barthélemy','','none'),(1898,'No strings available.','','none'),(1899,'JavaScript translation file %file.js was lost.','','none'),(1900,'(active tab)','','8.9.19'),(1901,'Operating in maintenance mode.','','none'),(1902,'Status message','','8.1.8'),(1903,'Unable to determine the type of the source directory.','','none'),(1904,'Cannot determine the type of project.','','none'),(1905,'Fatal error in update, cowardly refusing to wipe out the install directory.','','none'),(1906,'Unable to create %directory due to the following: %reason','','none'),(1907,'Upload an OPML file containing a list of feeds to be imported.','','none'),(1908,'OPML Remote URL','','none'),(1909,'Enter the URL of an OPML file. This file will be downloaded and processed only once on submission of the form.','','none'),(1910,'No new feed has been added.','','none'),(1911,'The URL %url is invalid.','','none'),(1912,'A feed named %title already exists.','','none'),(1913,'A feed with the URL %url already exists.','','none'),(1914,'Fetchers download data from an external source. Choose a fetcher suitable for the external source you would like to download from.','','none'),(1915,'Parsers transform downloaded data into standard structures. Choose a parser suitable for the type of feeds you would like to aggregate.','','none'),(1916,'Processors act on parsed feed data, for example they store feed items. Choose the processors suitable for your task.','','none'),(1917,'For most aggregation tasks, the default settings are fine.','','none'),(1918,'Default fetcher','','none'),(1919,'Downloads data from a URL using Drupal\'s HTTP request handler.','','none'),(1920,'Default parser','','none'),(1921,'Default processor','','none'),(1922,'Creates lightweight records from feed items.','','none'),(1923,'Default processor settings','','none'),(1924,'Number of items shown in listing pages','','none'),(1925,'Length of trimmed description','','none'),(1926,'The maximum number of characters used in the trimmed version of content.','','none'),(1927,'Viewing feeds','','none'),(1928,'Adding, editing, and deleting feeds','','none'),(1929,'Configuring cron','','none'),(1930,'Administer news feeds','','none'),(1931,'View news feeds','','none'),(1932,'Controlling visibility','','none'),(1933,'Creating custom blocks','','none'),(1934,'Demonstrate block regions (@theme)','','none'),(1935,'Administer blocks','','none'),(1936,'Controls the visual building blocks a page is constructed with. Blocks are boxes of content rendered into an area, or region, of a web page.','','none'),(1937,'Restricted to certain pages','','8.3.5'),(1938,'The block cannot be placed in this region.','','8.3.5'),(1939,'No books available.','','none'),(1940,'Content types allowed in book outlines','','none'),(1941,'Users with the %outline-perm permission can add all content types.','','none'),(1942,'Administer book outlines','','none'),(1943,'Adding and managing book content','','none'),(1944,'Printing books','','none'),(1945,'Users with the <em>View printer-friendly books</em> permission can select the <em>printer-friendly version</em> link visible at the bottom of a book page\'s content to generate a printer-friendly display of the page and all of its subsections.','','none'),(1946,'The book module offers a means to organize a collection of related content pages, collectively known as a book. When viewed, this content automatically displays links to adjacent book pages, providing a simple navigation system for creating and reviewing structured content.','','none'),(1947,'Create new books','','none'),(1948,'Add content and child pages to books','','none'),(1949,'View printer-friendly books','','none'),(1950,'View a book page and all of its sub-pages as a single document for ease of printing. Can be performance heavy.','','none'),(1951,'<em>Books</em> have a built-in hierarchical navigation. Use for handbooks or tutorials.','','none'),(1952,'Allows users to create and organize related content in an outline.','','none'),(1953,'Changing colors','','none'),(1954,'Allows administrators to change the color scheme of compatible themes.','','none'),(1955,'Select one or more comments to perform the update on.','','none'),(1956,'There do not appear to be any comments to delete, or your selected comment was deleted by another administrator.','','none'),(1957,'Deleted @count comments.','','none'),(1958,'Deleted comment @cid and its replies.','','none'),(1959,'Comment approved.','','none'),(1960,'Tokens for comments posted on the site.','','none'),(1961,'Full comment','','8.1.8'),(1962,'Unapproved comments (@count)','','none'),(1963,'Administer comments and comment settings','','none'),(1964,'Edit own comments','','none'),(1965,'Threading','','none'),(1966,'Show comment replies in a threaded list.','','none'),(1967,'Show reply form on the same page as comments','','none'),(1968,'Users with the \"Post comments\" permission can post comments.','','8.1.8'),(1969,'Users cannot post comments, but existing comments will be displayed.','','8.1.8'),(1970,'Comments are hidden from view.','','8.1.8'),(1971,'Users cannot post comments.','','8.1.8'),(1972,'Your comment has been queued for review by site administrators and will be published after approval.','','none'),(1973,'Your comment has been posted.','','none'),(1974,'Save comment','','8.1.8'),(1975,'The comment will be unpublished if it contains any of the phrases above. Use a case-sensitive, comma-separated list of phrases. Example: funny, bungee jumping, \"Company, Inc.\"','','none'),(1976,'List and edit site comments and the comment approval queue.','','8.6.2'),(1977,'Unapproved comments','','none'),(1978,'You cannot send more than %limit messages in @interval. Try again later.','','none'),(1979,'Contact @username','','none'),(1980,'Administer contact forms and contact form settings','','none'),(1981,'Use the site-wide contact form','','none'),(1982,'Use users\' personal contact forms','','none'),(1983,'Changing this setting will not affect existing users.','','none'),(1984,'Displaying contextual links','','none'),(1985,'Use contextual links','','none'),(1986,'Use contextual links to perform actions related to elements on a page.','','none'),(1987,'Contextual links','','8.1.8'),(1988,'Provides contextual links to perform actions related to elements on a page.','','none'),(1989,'Clear log messages','','none'),(1990,'This will permanently remove the log messages from the database.','','none'),(1991,'Database log cleared.','','none'),(1992,'Monitoring your site','','none'),(1993,'Debugging site problems','','none'),(1994,'List (text)','','none'),(1995,'Allowed HTML tags in labels: @tags','','none'),(1996,'The value of this field is being determined by the %function function and may not be changed.','','none'),(1997,'Allowed values list: each key must be a valid integer or decimal.','','none'),(1998,'Allowed values list: each key must be a string at most 255 characters long.','','none'),(1999,'Allowed values list: keys must be integers.','','none'),(2000,'This field stores a number in the database as an integer.','','none'),(2001,'This field stores a number in the database in a fixed decimal format.','','none'),(2002,'This field stores a number in the database in a floating point format.','','none'),(2003,'The minimum value that should be allowed in this field. Leave blank for no minimum.','','none'),(2004,'The maximum value that should be allowed in this field. Leave blank for no maximum.','','none'),(2005,'Summary input','','none'),(2006,'This allows authors to input an explicit summary, to be displayed instead of the automatically trimmed text when using the \"Summary or trimmed\" display type.','','none'),(2007,'Summary or trimmed','','none'),(2008,'Text area with a summary','','none'),(2009,'Leave blank to use trimmed value of full text as the summary.','','8.1.8'),(2010,'Hide summary','','8.9.0'),(2011,'Edit summary','','8.9.0'),(2012,'Edit field settings.','','none'),(2013,'These settings apply to the %field field everywhere it is used. These settings impact the way that data is stored in the database and cannot be changed once data has been created.','','none'),(2014,'Updated field %label field settings.','','none'),(2015,'Attempt to update field %label failed: %message.','','none'),(2016,'The field %field has been deleted from the %type content type.','','none'),(2017,'There was a problem removing the %field from the %type content type.','','none'),(2018,'Required field','','none'),(2019,'The default value for this field, used when creating new content.','','none'),(2020,'Saved %label configuration.','','none'),(2021,'This list shows all fields currently in use for easy reference.','','none'),(2022,'Field list','','8.6.2'),(2023,'Field UI','','none'),(2024,'This field stores the ID of a file as an integer value.','','none'),(2025,'Enable <em>Display</em> field','','none'),(2026,'The display option allows users to choose if a file should be shown when viewing the content.','','none'),(2027,'Files displayed by default','','none'),(2028,'This setting only has an effect if the display option is enabled.','','none'),(2029,'Upload destination','','none'),(2030,'Select where the final files should be stored. Private file storage has significantly more overhead than public files, but allows restricted access to files within this field.','','none'),(2031,'Optional subdirectory within the upload destination where files will be stored. Do not include preceding or trailing slashes.','','none'),(2032,'Enter a value like \"512\" (bytes), \"80 KB\" (kilobytes) or \"50 MB\" (megabytes) in order to restrict the allowed file size. If left empty the file sizes will be limited only by PHP\'s maximum post and file upload sizes (current limit <strong>%limit</strong>).','','none'),(2033,'Enable <em>Description</em> field','','none'),(2034,'The description field allows users to enter a description about the uploaded file.','','none'),(2035,'The list of allowed extensions is not valid, be sure to exclude leading dots and to separate extensions with a comma or space.','','none'),(2036,'Generic file','','none'),(2037,'Table of files','','none'),(2038,'Add a new file','','none'),(2039,'Include file in display','','none'),(2040,'The description may be used as the label of the link to the file.','','none'),(2041,'All roles may use this format','','none'),(2042,'The text format ordering has been saved.','','none'),(2043,'Add text format','','none'),(2044,'All roles for this text format must be enabled and cannot be changed.','','none'),(2045,'Text format names must be unique. A format named %name already exists.','','none'),(2046,'Added text format %format.','','none'),(2047,'The text format %format has been updated.','','none'),(2048,'Text formats','','none'),(2049,'Choosing a text format','','none'),(2050,'Warning: This permission may have security implications depending on how the text format is configured.','','none'),(2051,'Convert line breaks into HTML (i.e. <code>&lt;br&gt;</code> and <code>&lt;p&gt;</code>)','','none'),(2052,'Convert URLs into links','','none'),(2053,'Correct faulty and chopped off HTML','','none'),(2054,'Display any HTML as plain text','','none'),(2055,'Display basic HTML help in long filter tips','','none'),(2056,'Add rel=\"nofollow\" to all links','','none'),(2057,'Most unusual characters can be directly entered without any problems.','','none'),(2058,'No HTML tags allowed.','','none'),(2059,'Filters content in preparation for display.','','none'),(2060,'The number of replies a topic must have to be considered \"hot\".','','none'),(2061,'Starting a discussion','','none'),(2062,'Moving forum topics','','none'),(2063,'A forum topic (and all of its comments) may be moved between forums by selecting a different forum while editing a forum topic. When moving a forum topic between forums, the <em>Leave shadow copy</em> option creates a link in the original forum pointing to the new location.','','none'),(2064,'Locking and disabling comments','','none'),(2065,'Selecting <em>Closed</em> under <em>Comment settings</em> while editing a forum topic will lock (prevent new comments on) the thread. Selecting <em>Hidden</em> under <em>Comment settings</em> while editing a forum topic will hide all existing comments on the thread, and prevent new ones.','','none'),(2066,'Forums contain forum topics. Use containers to group related forums.','','none'),(2067,'Use containers to group related forums.','','none'),(2068,'A forum holds related forum topics.','','none'),(2069,'Add new @node_type','','none'),(2070,'The item %forum is a forum container, not a forum. Select one of the forums below instead.','','none'),(2071,'A <em>forum topic</em> starts a new discussion thread within a forum.','','none'),(2072,'Control forum hierarchy settings.','','none'),(2073,'Forum navigation vocabulary','','none'),(2074,'Provides discussion forums.','','none'),(2075,'Follow these steps to set up and start using your website:','','none'),(2076,'Providing a help reference','','none'),(2077,'Image style name','','none'),(2078,'Select a new effect','','none'),(2079,'Update style','','none'),(2080,'Select an effect to add.','','none'),(2081,'The image effect was successfully applied.','','none'),(2082,'Style name','','none'),(2083,'Create new style','','none'),(2084,'Style %name was created.','','none'),(2085,'Replacement style','','none'),(2086,'Optionally select a style before deleting %style','','none'),(2087,'Edit %label effect','','none'),(2088,'Add %label effect','','none'),(2089,'Update effect','','none'),(2090,'Add effect','','none'),(2091,'Are you sure you want to delete the @effect effect from the %style style?','','none'),(2092,'The image effect %name has been deleted.','','none'),(2093,'Width and height can not both be blank.','','none'),(2094,'The part of the image that will be retained during the crop.','','none'),(2095,'The background color to use for exposed areas of the image. Use web-style hex colors (#FFFFFF for white, #000000 for black). Leave blank for transparency on image types that support it.','','none'),(2096,'There are currently no effects in this style. Add one by selecting an option below.','','none'),(2097,'view actual size','','none'),(2098,'Sample original image','','none'),(2099,'Sample modified image','','none'),(2100,'Resizing will make images an exact set of dimensions. This may cause images to be stretched or shrunk disproportionately.','','none'),(2101,'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.','','none'),(2102,'Scale and crop','','none'),(2103,'Desaturate','','none'),(2104,'Desaturate converts an image to grayscale.','','none'),(2105,'Rotating an image may cause the dimensions of an image to increase to fit the diagonal.','','none'),(2106,'Image resize failed using the %toolkit toolkit on %path (%mimetype, %dimensions)','','none'),(2107,'Image scale failed using the %toolkit toolkit on %path (%mimetype, %dimensions)','','none'),(2108,'Image crop failed using the %toolkit toolkit on %path (%mimetype, %dimensions)','','none'),(2109,'Image scale and crop failed using the %toolkit toolkit on %path (%mimetype, %dimensions)','','none'),(2110,'Image desaturate failed using the %toolkit toolkit on %path (%mimetype, %dimensions)','','none'),(2111,'Image rotate failed using the %toolkit toolkit on %path (%mimetype, %dimensions)','','none'),(2112,'This field stores the ID of an image file as an integer value.','','none'),(2113,'If no image is uploaded, this image will be shown on display.','','none'),(2114,'Minimum image resolution','','none'),(2115,'Enable <em>Alt</em> field','','none'),(2116,'Enable <em>Title</em> field','','none'),(2117,'The title attribute is used as a tooltip when the mouse hovers over the image.','','none'),(2118,'Preview image style','','none'),(2119,'no preview','','none'),(2120,'The preview image will be shown while editing the content.','','none'),(2121,'Administer image styles','','none'),(2122,'Create and modify styles for generating image modifications such as thumbnails.','','none'),(2123,'No defined styles','','none'),(2124,'Image generation in progress. Try again shortly.','','none'),(2125,'Error generating image.','','none'),(2126,'Unable to generate the derived image located at %path.','','none'),(2127,'Failed to create style directory: %directory','','none'),(2128,'Image styles','','8.6.2'),(2129,'Edit image effect','','none'),(2130,'Delete image effect','','none'),(2131,'Add image effect','','none'),(2132,'Detection method','','none'),(2133,'Part of the URL that determines language','','none'),(2134,'Request/session parameter','','none'),(2135,'Name of the request/session parameter used to determine the desired language.','','none'),(2136,'Filter translatable strings','','none'),(2137,'Date type','','none'),(2138,'Administer languages','','none'),(2139,'Order of language detection methods for content. If a version of content is available in the detected language, it will be displayed.','','none'),(2140,'Follow the user\'s language preference.','','none'),(2141,'Language switcher (@type)','','none'),(2142,'Detection and selection','','8.6.2'),(2143,'URL language detection configuration','','none'),(2144,'Session language detection configuration','','none'),(2145,'January','Long month name','8.3.5'),(2146,'February','Long month name','8.3.5'),(2147,'March','Long month name','8.3.5'),(2148,'April','Long month name','8.3.5'),(2149,'May','Long month name','8.3.5'),(2150,'June','Long month name','8.3.5'),(2151,'July','Long month name','8.3.5'),(2152,'August','Long month name','8.3.5'),(2153,'September','Long month name','8.6.2'),(2154,'October','Long month name','8.3.5'),(2155,'November','Long month name','8.3.5'),(2156,'December','Long month name','8.3.5'),(2157,'The text to be used for this link in the menu.','','none'),(2158,'Menu links that are not enabled will not be listed in any menu.','','none'),(2159,'Show as expanded','','none'),(2160,'If selected and this menu link has children, the menu will always appear expanded.','','none'),(2161,'Parent link','','none'),(2162,'The menu link %title has been deleted.','','none'),(2163,'Are you sure you want to reset the link %item to its default values?','','none'),(2164,'The menu link was reset to its default settings.','','none'),(2165,'Deleted custom menu %title and all its menu links.','','none'),(2166,'<strong>Warning:</strong> There is currently 1 menu link in %title. It will be deleted (system-defined items will be reset).<strong>Warning:</strong> There are currently @count menu links in %title. They will be deleted (system-defined links will be reset).','','none'),(2167,'Managing menus','','none'),(2168,'Displaying menus','','none'),(2169,'Administer menus and menu items','','none'),(2170,'Provide a menu link','','8.1.8'),(2171,'Available menus','','none'),(2172,'The menus available to place links in for this content type.','','none'),(2173,'Default parent item','','none'),(2174,'Choose the menu item to be the default parent for a new link in the content authoring form.','','none'),(2175,'Edit menu link','','none'),(2176,'Reset menu link','','none'),(2177,'Delete menu link','','none'),(2178,'Preview before submitting','','none'),(2179,'This text will be displayed at the top of the page when creating or editing content of this type.','','none'),(2180,'Users with the <em>Administer content</em> permission will be able to override these options.','','none'),(2181,'Author username and publish date will be displayed.','','none'),(2182,'Invalid machine-readable name. Enter a name other than %invalid.','','none'),(2183,'Publish selected content','','none'),(2184,'Unpublish selected content','','none'),(2185,'Promote selected content to front page','','none'),(2186,'Demote selected content from front page','','none'),(2187,'Make selected content sticky','','none'),(2188,'Make selected content not sticky','','none'),(2189,'Deleted @count posts.','','none'),(2190,'Are you sure you want to delete this item?Are you sure you want to delete these items?','','none'),(2191,'<em>Edit @type</em> @title','','8.1.8'),(2192,'Revision log message','','8.1.8'),(2193,'Tokens related to individual content items, or \"nodes\".','','none'),(2194,'The unique ID of the content item, or \"node\".','','none'),(2195,'The main body text of the node.','','none'),(2196,'The summary of the node\'s main body text.','','none'),(2197,'Creating content','','none'),(2198,'Creating custom content types','','none'),(2199,'Administering content','','none'),(2200,'Creating revisions','','none'),(2201,'The Node module also enables you to create multiple versions of any content, and revert to older versions using the <em>Revision information</em> settings.','','none'),(2202,'User permissions','','none'),(2203,'Individual content types can have different fields, behaviors, and permissions assigned to them.','','none'),(2204,'Content items can be displayed using different view modes: Teaser, Full content, Print, RSS, etc. <em>Teaser</em> is a short format that is typically used in lists of multiple content items. <em>Full content</em> is typically used when the content is displayed on its own page.','','none'),(2205,'Here, you can define which fields are shown and hidden when %type content is displayed in each view mode, and define how the fields are displayed in each view mode.','','none'),(2206,'Full content','','8.1.8'),(2207,'Administer content types','','none'),(2208,'Warning: Give to trusted roles only; this permission has security implications.','','none'),(2209,'View published content','','8.1.8'),(2210,'Bypass content access control','','none'),(2211,'View own unpublished content','','none'),(2212,'Content is sticky at top of lists','','none'),(2213,'Content is promoted to the front page','','none'),(2214,'Recent content','','8.1.8'),(2215,'No front page content has been created yet.','','8.1.8'),(2216,'Unpublish content','','8.1.8'),(2217,'Make content sticky','','8.1.8'),(2218,'Make content unsticky','','8.1.8'),(2219,'Promote content to front page','','8.1.8'),(2220,'Remove content from front page','','8.1.8'),(2221,'Change the author of content','','none'),(2222,'Save content','','8.1.8'),(2223,'Unpublish content containing keyword(s)','','none'),(2224,'The content will be unpublished if it contains any of the phrases above. Use a case-sensitive, comma-separated list of phrases. Example: funny, bungee jumping, \"Company, Inc.\"','','none'),(2225,'Node Access Permissions','','none'),(2226,'One permission in use@count permissions in use','','none'),(2227,'Find and manage content.','','8.6.2'),(2228,'Don\'t display post information','','8.1.8'),(2229,'Creating aliases','','none'),(2230,'Managing aliases','','none'),(2231,'An alias defines a different name for an existing URL path - for example, the alias \'about\' for the URL path \'node/1\'. A URL path can have multiple aliases.','','none'),(2232,'Administer URL aliases','','none'),(2233,'Create and edit URL aliases','','none'),(2234,'The alias is already in use.','','none'),(2235,'Searched %type for %keys.','','none'),(2236,'Administer search','','none'),(2237,'Use search','','none'),(2238,'Use advanced search','','none'),(2239,'Choose a set of shortcuts to use','','none'),(2240,'Choose a set of shortcuts for this user','','none'),(2241,'%user is now using a new shortcut set called %set_name. You can edit it from this page.','','none'),(2242,'You are now using the %set_name shortcut set.','','none'),(2243,'%user is now using the %set_name shortcut set.','','none'),(2244,'Change set','','none'),(2245,'The name of the shortcut.','','none'),(2246,'The shortcut %link has been updated.','','none'),(2247,'Added a shortcut for %title.','','none'),(2248,'The shortcut %title has been deleted.','','none'),(2249,'Unable to add a shortcut for %title.','','none'),(2250,'Adding and removing shortcuts','','none'),(2251,'Displaying shortcuts','','none'),(2252,'Administer shortcuts','','none'),(2253,'Add to %shortcut_set shortcuts','','8.1.8'),(2254,'Add to shortcuts','','none'),(2255,'Remove from %shortcut_set shortcuts','','none'),(2256,'Remove from shortcuts','','none'),(2257,'Edit shortcuts','','8.6.2'),(2258,'Add shortcut','','none'),(2259,'Allows users to manage customizable lists of shortcut links.','','none'),(2260,'GSS negotiate','','none'),(2261,'NTLM','','none'),(2262,'Any safe','','none'),(2263,'Running tests','','none'),(2264,'After the tests run, a message will be displayed next to each test group indicating whether tests within it passed, failed, or had exceptions. A pass means that the test returned the expected results, while fail means that it did not. An exception normally indicates an error outside of the test, such as a PHP warning or notice. If there were failures or exceptions, the results will be expanded to show details, and the tests that had failures or exceptions will be indicated in red or pink rows. You can then use these results to refine your code and tests, until all tests pass.','','none'),(2265,'Administer tests','','none'),(2266,'The test run finished in @elapsed.','','none'),(2267,'Use the <em>Clean environment</em> button to clean-up temporary files and tables.','','none'),(2268,'PHP open_basedir restriction','','none'),(2269,'Displaying popular content','','none'),(2270,'Page view counter','','none'),(2271,'Administer statistics','','none'),(2272,'View content hits','','none'),(2273,'Logging for UNIX, Linux, and Mac OS X','','none'),(2274,'Logging for Microsoft Windows','','none'),(2275,'On Microsoft Windows, messages are always sent to the Event Log using the code <code>LOG_USER</code>.','','none'),(2276,'Syslog facility','','none'),(2277,'Depending on the system configuration, Syslog and other logging tools use this code to identify or filter messages from within the entire system log.','','none'),(2278,'The image %file could not be rotated because the imagerotate() function is not available in this PHP installation.','','none'),(2279,'default theme','','none'),(2280,'Choose \"Default theme\" to always use the same theme as the rest of the site.','','none'),(2281,'Use the administration theme when editing or creating content','','none'),(2282,'The %theme theme was not found.','','none'),(2283,'Please note that the administration theme is still set to the %admin_theme theme; consequently, the theme on this page remains unchanged. All non-administrative sections of the site, however, will show the selected %selected_theme theme by default.','','none'),(2284,'%theme is now the default theme.','','none'),(2285,'User verification status in comments','','none'),(2286,'These settings only exist for the themes based on the %engine theme engine.','','none'),(2287,'The logo could not be uploaded.','','none'),(2288,'The favicon could not be uploaded.','','none'),(2289,'The custom logo path is invalid.','','none'),(2290,'The custom favicon path is invalid.','','none'),(2291,'@module (<span class=\"admin-missing\">incompatible with</span> version @version)','','none'),(2292,'Would you like to continue with the above?','','none'),(2293,'Enter a valid IP address.','','none'),(2294,'The IP address %ip was deleted.','','none'),(2295,'How this is used depends on your site\'s theme.','','none'),(2296,'This page is displayed when the requested document is denied to the current user. Leave blank to display a generic \"access denied\" page.','','none'),(2297,'This page is displayed when no other content matches the requested document. Leave blank to display a generic \"page not found\" page.','','none'),(2298,'Errors and warnings','','none'),(2299,'Clear all caches','','none'),(2300,'Bandwidth optimization','','none'),(2301,'Public file system path','','none'),(2302,'Private file system path','','none'),(2303,'A local file system path where temporary files will be stored. This directory should not be accessible over the web.','','none'),(2304,'Default download method','','none'),(2305,'This setting is used as the preferred download method. The use of public files is more efficient, but does not provide any access control.','','none'),(2306,'Description of your site, included in each feed.','','none'),(2307,'Time zones','','none'),(2308,'Only applied if users may set their own time zone.','','none'),(2309,'Time zone for new users','','none'),(2310,'Put site into maintenance mode','','none'),(2311,'Displayed as %date','','none'),(2312,'Save format','','none'),(2313,'Custom date format updated.','','none'),(2314,'Custom date format added.','','none'),(2315,'Available actions:','','none'),(2316,'Create an advanced action','','none'),(2317,'Deleted %ip','','none'),(2318,'Tokens for site-wide settings and other global information.','','none'),(2319,'Tokens related to times and dates.','','none'),(2320,'Tokens related to uploaded files.','','none'),(2321,'URL (brief)','','8.1.8'),(2322,'The URL of the site\'s front page without the protocol.','','none'),(2323,'Short format','','8.1.8'),(2324,'A date in \'short\' format. (%date)','','none'),(2325,'Medium format','','8.1.8'),(2326,'A date in \'medium\' format. (%date)','','none'),(2327,'Long format','','8.1.8'),(2328,'A date in \'long\' format. (%date)','','none'),(2329,'Time-since','','8.1.8'),(2330,'Raw timestamp','','8.1.8'),(2331,'A date in UNIX timestamp format (%date)','','none'),(2332,'Managing modules','','none'),(2333,'Managing themes','','none'),(2334,'Configuring basic site settings','','none'),(2335,'Administer modules','','none'),(2336,'Administer site configuration','','none'),(2337,'Administer themes','','none'),(2338,'Administer actions','','none'),(2339,'Use the administration pages and help','','none'),(2340,'Use the site in maintenance mode','','none'),(2341,'View site reports','','none'),(2342,'Public files','','none'),(2343,'Public local files served by the webserver.','','none'),(2344,'Private local files served by Drupal.','','none'),(2345,'Temporary files','','none'),(2346,'Temporary local files for upload and previews.','','none'),(2347,'Update modules','','none'),(2348,'Update themes','','none'),(2349,'SSH','','none'),(2350,'Your password is not saved in the database and is only used to establish a connection.','','none'),(2351,'The connection will be created between your web server and the machine hosting the web server files. In the vast majority of cases, this will be the same machine, and \"localhost\" is correct.','','none'),(2352,'Select the desired local time and time zone. Dates and times throughout this site will be displayed using this time zone.','','8.1.8'),(2353,'The directory %directory does not exist and could not be created.','','none'),(2354,'The directory %directory exists but is not writable and could not be made writable.','','none'),(2355,'Administer blocks, content types, menus, etc.','','8.6.2'),(2356,'Delete IP address','','none'),(2357,'Maintenance mode','','8.6.2'),(2358,'Logging and errors','','8.6.2'),(2359,'Regional and language','','8.6.2'),(2360,'Edit date format','','none'),(2361,'Search and metadata','','8.6.2'),(2362,'Content authoring','','8.6.2'),(2363,'%profile_name (%profile-%version)','','none'),(2364,'Tokens related to taxonomy terms.','','none'),(2365,'Tokens related to taxonomy vocabularies.','','none'),(2366,'Taxonomy is for categorizing content. Terms are grouped into vocabularies. For example, a vocabulary called \"Fruit\" would contain the terms \"Apple\" and \"Banana\".','','none'),(2367,'You can reorganize the terms in %capital_name using their drag-and-drop handles, and group terms under a parent term by sliding them under and to the right of the parent.','','none'),(2368,'%capital_name contains terms grouped under parent terms. You can reorganize the terms in %capital_name using their drag-and-drop handles.','','none'),(2369,'%capital_name contains terms with multiple parents. Drag and drop of terms with multiple parents is not supported, but you can re-enable drag-and-drop support by editing each term to include only a single parent.','','none'),(2370,'Administer vocabularies and terms','','none'),(2371,'Edit terms in %vocabulary','','none'),(2372,'Delete terms from %vocabulary','','none'),(2373,'Taxonomy term page','','8.1.8'),(2374,'Use the administration toolbar','','none'),(2375,'Provides a toolbar that shows the top-level administration menu items and links from other modules.','','none'),(2376,'Tracking new and updated site content','','none'),(2377,'Tracking user-specific content','','none'),(2378,'My recent content','','none'),(2379,'Enables tracking of recent content for users.','','none'),(2380,'Translating content','','none'),(2381,'Installing updates','','none'),(2382,'Preparing to update your site','','none'),(2383,'Installing %project','','none'),(2384,'Preparing to install','','none'),(2385,'Error installing / updating','','none'),(2386,'Installed %project_name successfully','','none'),(2387,'Update was completed successfully. Your site has been taken out of maintenance mode.','','none'),(2388,'Update was completed successfully.','','none'),(2389,'Update failed! See the log below for more information.','','none'),(2390,'Update failed! See the log below for more information. Your site is still in maintenance mode.','','none'),(2391,'Installation was completed successfully. Your site has been taken out of maintenance mode.','','none'),(2392,'Installation was completed successfully.','','none'),(2393,'Installation failed! See the log below for more information.','','none'),(2394,'Installation failed! See the log below for more information. Your site is still in maintenance mode.','','none'),(2395,'Failed to get available update data.','','none'),(2396,'No available update data','','none'),(2397,'Checking available update data','','none'),(2398,'Trying to check available update data ...','','none'),(2399,'Error checking available update data.','','none'),(2400,'Checking available update data ...','','none'),(2401,'Checked available update data for %title.','','none'),(2402,'Failed to check available update data for %title.','','none'),(2403,'An error occurred trying to get available update data.','','none'),(2404,'There was a problem getting update information. Try again later.','','none'),(2405,'(Theme)','','none'),(2406,'(Security update)','','none'),(2407,'(Unsupported)','','none'),(2408,'All of your projects are up to date.','','none'),(2409,'Download these updates','','none'),(2410,'Manual updates required','','none'),(2411,'Updates of Drupal core are not supported at this time.','','none'),(2412,'You must select at least one project to update.','','none'),(2413,'Downloading updates','','none'),(2414,'Preparing to download selected updates','','none'),(2415,'Downloading updates failed:','','none'),(2416,'Updates downloaded successfully.','','none'),(2417,'Fatal error trying to download.','','none'),(2418,'Perform updates with site in maintenance mode (strongly recommended)','','none'),(2419,'Install from a URL','','none'),(2420,'For example: %url','','none'),(2421,'Upload a module or theme archive to install','','none'),(2422,'For example: %filename from your local computer','','none'),(2423,'You must either provide a URL or upload an archive file to install.','','none'),(2424,'Unable to retrieve Drupal project from %url.','','none'),(2425,'Provided archive contains no files.','','none'),(2426,'Unable to determine %project name.','','none'),(2427,'%project is already installed.','','none'),(2428,'Cannot extract %file, not a valid archive.','','none'),(2429,'Downloading %project','','none'),(2430,'Failed to download %project from %url','','none'),(2431,'Includes:','','none'),(2432,'Enabled: %includes','','none'),(2433,'Disabled: %disabled','','none'),(2434,'Checking for available updates','','none'),(2435,'You can automatically install your missing updates using the Update manager:','','none'),(2436,'Ready to update','','none'),(2437,'Update manager','','none'),(2438,'Checks for available updates, and can securely install or update modules and themes via a web interface.','','none'),(2439,'No people available.','','8.1.8'),(2440,'Registration and cancellation','','none'),(2441,'Who can register accounts?','','none'),(2442,'Administrators only','','none'),(2443,'Visitors, but administrator approval is required','','none'),(2444,'When cancelling a user account','','none'),(2445,'Administer users','','none'),(2446,'Welcome (new user created by administrator)','','none'),(2447,'Welcome (awaiting approval)','','none'),(2448,'Welcome (no approval required)','','none'),(2449,'Password recovery','','none'),(2450,'Account activation','','none'),(2451,'Account cancellation confirmation','','none'),(2452,'Account canceled','','none'),(2453,'The one-time login link you clicked is invalid.','','none'),(2454,'You have just used your one-time login link. It is no longer necessary to use this link to log in. Please change your password.','','none'),(2455,'<p>This is a one-time login for %user_name and will expire on %expiration_date.</p><p>Click on this button to log in to the site and change your password.</p>','','none'),(2456,'When cancelling your account','','none'),(2457,'When cancelling the account','','none'),(2458,'Are you sure you want to cancel your account?','','none'),(2459,'Are you sure you want to cancel the account %name?','','none'),(2460,'Select the method to cancel the account above.','','none'),(2461,'Your account will be blocked and you will no longer be able to log in. All of your content will be hidden from everyone but administrators.','','none'),(2462,'Your account will be removed and all account information deleted. All of your content will be assigned to the %anonymous-name user.','','none'),(2463,'Your account will be removed and all account information deleted. All of your content will also be deleted.','','none'),(2464,'You have tried to use an account cancellation link that has expired. Please request a new one using the form below.','','none'),(2465,'Sent account cancellation request to %name %email.','','none'),(2466,'Tokens related to individual user accounts.','','none'),(2467,'Tokens related to the currently logged in user.','','none'),(2468,'Creating and managing users','','none'),(2469,'This form lets administrators configure how fields should be displayed when rendering a user profile page.','','none'),(2470,'Administer permissions','','none'),(2471,'Change own username','','none'),(2472,'Cancel own user account','','none'),(2473,'Select method for cancelling own account','','none'),(2474,'Cancelling account','','none'),(2475,'Cancelling user account','','none'),(2476,'%name has been disabled.','','none'),(2477,'An administrator created an account for you at [site:name]','','8.1.8'),(2478,'Cancel the selected user accounts','','none'),(2479,'When cancelling these accounts','','none'),(2480,'Are you sure you want to cancel these user accounts?','','none'),(2481,'Cancel accounts','','none'),(2482,'To make your password stronger:','','8.1.8'),(2483,'Add lowercase letters','','8.1.8'),(2484,'Add uppercase letters','','8.1.8'),(2485,'Add numbers','','8.1.8'),(2486,'Add punctuation','','8.1.8'),(2487,'Make it different from your username','','8.1.8'),(2488,'Weak','','8.1.8'),(2489,'Fair','','8.1.8'),(2490,'Blocked user: %name %email.','','none'),(2491,'Find and manage people interacting with your site.','','8.1.8'),(2492,'Confirm account cancellation','','none'),(2493,'Minimal','','none'),(2494,'Basic page','','8.6.2'),(2495,'Use <em>basic pages</em> for your static content, such as an \'About us\' page.','','8.1.8'),(2496,'Image style','','8.6.2'),(2497,'Machine Name','','8.1.8'),(2498,'Exposed Form','','none'),(2499,'Exposed form options','','none'),(2500,'Internet','','none'),(2501,'1 pending update (@number_applied to be applied, @number_incompatible skipped)@count pending updates (@number_applied to be applied, @number_incompatible skipped)','','none'),(2502,'Author textfield','','none'),(2503,'Field API to add fields to entities like nodes and users.','','none'),(2504,'Overview of fields on all entity types.','','8.6.2'),(2505,'Error messages to display','','none'),(2506,'It is recommended that sites running on production environments do not display any errors.','','none'),(2507,'Cannot open %file_path','','none'),(2508,'Current password','','8.1.8'),(2509,'Your current password is missing or incorrect; it\'s required to change the %name.','','none'),(2510,'Update preview','','8.1.8'),(2511,'%module module installed.','','none'),(2512,'@node_type comment','','none'),(2513,'Administer text formats and filters','','none'),(2514,'@type language detection','','none'),(2515,'Use the detected interface language.','','none'),(2516,'The new set is created by copying items from your default shortcut set.','','none'),(2517,'The new set is created by copying items from the %default set.','','none'),(2518,'You are currently using the %set-name shortcut set.','','none'),(2519,'Create new set','','none'),(2520,'The %set_name shortcut set has been created. You can edit it from this page.','','none'),(2521,'Updated set name to %set-name.','','none'),(2522,'If you have chosen this shortcut set as the default for some or all users, they may also be affected by deleting it.','','none'),(2523,'1 user has chosen or been assigned to this shortcut set.@count users have chosen or been assigned to this shortcut set.','','none'),(2524,'Administering shortcuts','','none'),(2525,'Choosing shortcut sets','','none'),(2526,'Users with permission to switch shortcut sets can choose a shortcut set to use from the Shortcuts tab of their user account page.','','none'),(2527,'Edit current shortcut set','','none'),(2528,'Select any shortcut set','','none'),(2529,'Add and modify shortcut sets.','','8.6.2'),(2530,'Add shortcut set','','none'),(2531,'Edit set name','','none'),(2532,'Delete shortcut set','','none'),(2533,'@remote could not be saved to @path.','','none'),(2534,'Database support','','none'),(2535,'Attachment before','','none'),(2536,'Attachment after','','none'),(2537,'Kyrgyz','','none'),(2538,'GD library PNG support','','none'),(2539,'The date the comment was most recently updated.','','none'),(2540,'Comment posted: %subject.','','none'),(2541,'This field has been disabled because you do not have sufficient permissions to edit it.','','none'),(2542,'View, edit and delete all content regardless of permission restrictions.','','none'),(2543,'Syslog format','','none'),(2544,'External resources can be optimized automatically, which can reduce both the size and number of requests made to your website.','','none'),(2545,'A date in \'time-since\' format. (%date)','','none'),(2546,'The location of the file relative to Drupal root.','','none'),(2547,'Your modules have been downloaded and updated.','','none'),(2548,'Use <em>articles</em> for time-sensitive content like news, press releases or blog posts.','','8.1.8'),(2549,'Filipino','','none'),(2550,'Swiss German','','none'),(2551,'Scots','','none'),(2552,'The selected file %filename cannot be uploaded. Only files with the following extensions are allowed: %extensions.','','8.9.18'),(2553,'Bartik','','8.6.2'),(2554,'Highlighted','','none'),(2555,'Main background','','none'),(2556,'Sidebar background','','none'),(2557,'Sidebar borders','','none'),(2558,'Footer background','','none'),(2559,'Plum','','none'),(2560,'A space-separated list of HTML tags allowed in the content of feed items. Disallowed tags are stripped from the content.','','none'),(2561,'%field cannot contain any markup.','','none'),(2562,'These options control the display settings for the %name theme. When your site is displayed using this theme, these settings will be used.','','none'),(2563,'Administer software updates','','none'),(2564,'@required_name (Missing)','','none'),(2565,'@required_name (Version @compatibility required)','','none'),(2566,'@name requires at least PHP @version.','','none'),(2567,'@name requires this module.','','none'),(2568,'@name requires this module and version. Currently using @required_name version @version','','none'),(2569,'Site details','','none'),(2570,'Title and slogan','','none'),(2571,'Firehouse','','none'),(2572,'Ice','','none'),(2573,'The database table prefix you have entered, %prefix, is invalid. The table prefix can only contain alphanumeric characters, periods, or underscores.','','none'),(2574,'Default settings file','','none'),(2575,'The default settings file does not exist.','','none'),(2576,'The @drupal installer requires that the %default-file file not be modified in any way from the original download.','','none'),(2577,'%name: the value may be no less than %min.','','none'),(2578,'%name: the value may be no greater than %max.','','none'),(2579,'Custom display settings','','none'),(2580,'User interface for the Field API.','','none'),(2581,'Separate extensions with a space or comma and do not include the leading dot.','','none'),(2582,'Node module element','','none'),(2583,'not yet assigned','','none'),(2584,'not yet created','','none'),(2585,'None (original image)','','none'),(2586,'The URL of the account edit page.','','none'),(2587,'UUID','','none'),(2588,'The specified file %file could not be copied to %destination.','','none'),(2589,'The data could not be saved because the destination %destination is invalid. This may be caused by improper use of file_save_data() or a missing stream wrapper.','','none'),(2590,'Failed to connect to your database server. The server reports the following message: %error.<ul><li>Is the database server running?</li><li>Does the database exist, and have you entered the correct database name?</li><li>Have you entered the correct username and password?</li><li>Have you entered the correct database hostname?</li></ul>','','none'),(2591,'Exit block region demonstration','','none'),(2592,'Database log messages to keep','','none'),(2593,'Recent log messages','','8.6.2'),(2594,'Define a string that should be suffixed to the value, like \' m\', \' kb/s\'. Leave blank for none. Separate singular and plural values with a pipe (\'pound|pounds\').','','none'),(2595,'Thousand marker','','none'),(2596,'Display prefix and suffix.','','none'),(2597,'Display with prefix and suffix.','','none'),(2598,'- Select a value -','','none'),(2599,'Trim length','','none'),(2600,'No field is displayed.','','none'),(2601,'No field is hidden.','','none'),(2602,'Format settings:','','none'),(2603,'Link image to','','none'),(2604,'Image style: @style','','none'),(2605,'Linked to content','','none'),(2606,'Linked to file','','none'),(2607,'Shown when hovering over the menu link.','','8.1.8'),(2608,'Format: %time. The date format is YYYY-MM-DD and %timezone is the time zone offset from UTC. Leave blank to use the time of form submission.','','8.1.8'),(2609,'Syslog identity','','none'),(2610,'A string that will be prepended to every message logged to Syslog. If you have multiple sites logging to the same Syslog log file, a unique identity per site makes it easy to tell the log entries apart.','','none'),(2611,'Error pages','','none'),(2612,'The path \'%path\' is either invalid or you do not have access to it.','','none'),(2613,'Run cron every','','none'),(2614,'Manage automatic site maintenance tasks.','','8.6.2'),(2615,'Weight for added term','','none'),(2616,'View mode','','8.6.2'),(2617,'Invalid merge query: no conditions','','none'),(2618,'Weight for @block block','','none'),(2619,'Region for @block block','','none'),(2620,'Post comments','','none'),(2621,'Skip comment approval','','none'),(2622,'Are you sure you want to disable the text format %format?','','none'),(2623,'Disabled text formats are completely removed from the administrative interface, and any content stored with that format will not be displayed. This action cannot be undone.','','none'),(2624,'Disabled text format %format.','','none'),(2625,'Text Formats','','none'),(2626,'Disable text format','','none'),(2627,'Hot topic, new comments','','none'),(2628,'Hot topic','','none'),(2629,'Normal topic','','none'),(2630,'Closed topic','','none'),(2631,'Reference for usage, configuration, and modules.','','8.6.2'),(2632,'Configure @module permissions','','none'),(2633,'Administer settings.','','8.6.2'),(2634,'View reports, updates, and errors.','','8.6.2'),(2635,'Install new module or theme','','none'),(2636,'Manage user accounts, roles, and permissions.','','8.6.2'),(2637,'Nothing','','none'),(2638,'Lolspeak','','none'),(2639,'A unique machine-readable name. Can only contain lowercase letters, numbers, and underscores.','','none'),(2640,'The machine-readable name must contain unique characters.','','none'),(2641,'The machine-readable name must contain only lowercase letters, numbers, and hyphens.','','none'),(2642,'The machine-readable name is already in use. It must be unique.','','none'),(2643,'Asturian','','none'),(2644,'Haitian Creole','','none'),(2645,'Weight for @title','','none'),(2646,'Weight for row @number','','8.1.8'),(2647,'Label display for @title','','none'),(2648,'Formatter for @title','','none'),(2649,'Parents for @title','','none'),(2650,'Visibility for @title','','none'),(2651,'There is data for this field in the database. The field settings can no longer be changed.','','none'),(2652,'Weight for new file','','none'),(2653,'Choose a file','','none'),(2654,'Weight for new effect','','none'),(2655,'Enable @title menu link','','none'),(2656,'A unique name to construct the URL for the menu. It must only contain lowercase letters, numbers and hyphens.','','none'),(2657,'A unique machine-readable name for this content type. It must only contain lowercase letters, numbers, and underscores. This name will be used for constructing the URL of the %node-add page, in which underscores will be converted into hyphens.','','none'),(2658,'URL fallback','','none'),(2659,'Use an already detected language for URLs if none is found.','','none'),(2660,'%type_name: Create new content','','none'),(2661,'%type_name: Edit own content','','none'),(2662,'%type_name: Edit any content','','none'),(2663,'%type_name: Delete own content','','none'),(2664,'%type_name: Delete any content','','none'),(2665,'Next steps','','none'),(2666,'@driver_name settings','','none'),(2667,'SQLite','','none'),(2668,'Database file','','none'),(2669,'The absolute path to the file where @drupal data will be stored. This must be writable by the web server and should exist outside of the web root.','','none'),(2670,'No fields are present yet.','','none'),(2671,'Strong','Font weight','none'),(2672,'Uninstall @module module','','none'),(2673,'Enable newly added modules','','none'),(2674,'View the administration theme','','none'),(2675,'Database system','','none'),(2676,'Database system version','','none'),(2677,'Indexed %count content items for tracking.','','none'),(2678,'Release notes for @project_title','','none'),(2679,'The role settings have been updated.','','none'),(2680,'Disable the account and keep its content.','','none'),(2681,'Disable the account and unpublish its content.','','none'),(2682,'Delete the account and make its content belong to the %anonymous-name user.','','none'),(2683,'Delete the account and its content.','','none'),(2684,'Deleted 1 comment.Deleted @count comments.','','none'),(2685,'Use field label instead of the \"On value\" as label','','none'),(2686,'Deleted 1 post.Deleted @count posts.','','none'),(2687,'List (integer)','','none'),(2688,'This field stores integer values from a list of allowed \'value => label\' pairs, i.e. \'Lifetime in days\': 1 => 1 day, 7 => 1 week, 31 => 1 month.','','none'),(2689,'List (float)','','none'),(2690,'This field stores float values from a list of allowed \'value => label\' pairs, i.e. \'Fraction\': 0 => 0, .25 => 1/4, .75 => 3/4, 1 => 1.','','none'),(2691,'This field stores text values from a list of allowed \'value => label\' pairs, i.e. \'US States\': IL => Illinois, IA => Iowa, IN => Indiana.','','none'),(2692,'The possible values this field can contain. Enter one value per line, in the format key|label.','','none'),(2693,'The key is the stored value, and must be numeric. The label will be used in displayed values and edit forms.','','none'),(2694,'The label is optional: if a line contains a single number, it will be used as key and label.','','none'),(2695,'Lists of labels are also accepted (one label per line), only if the field does not hold any values yet. Numeric keys will be automatically generated from the positions in the list.','','none'),(2696,'The key is the stored value. The label will be used in displayed values and edit forms.','','none'),(2697,'The label is optional: if a line contains a single string, it will be used as key and label.','','none'),(2698,'Allowed values list: invalid input.','','none'),(2699,'Allowed values list: some values are being removed while currently in use.','','none'),(2700,'Unable to parse info file: %info_file.','','none'),(2701,'Asc','','8.1.8'),(2702,'Access the views administration pages.','','none'),(2703,'HTML element','','none'),(2704,'Place a colon after the label','','none'),(2705,'Not specified','','8.1.8'),(2706,'RSS category','','none'),(2707,'Logo settings','','none'),(2708,'No results behavior','','8.1.8'),(2709,'View to insert','','none'),(2710,'Inherit contextual filters','','none'),(2711,'Recursion detected in view @view display @display.','','none'),(2712,'Exception value','','none'),(2713,'If this value is received, the filter will be ignored; i.e, \"all values\"','','none'),(2714,'Provide title','','none'),(2715,'Specify validation criteria','','none'),(2716,'Action to take if filter value does not validate','','none'),(2717,'Provide default value','','none'),(2718,'Show \"Page not found\"','','none'),(2719,'Display a summary','','none'),(2720,'Display contents of \"No results found\"','','none'),(2721,'Number of records','','none'),(2722,'Default sort','Sort order','none'),(2723,'Date','Sort order','none'),(2724,'Numerical','Sort order','none'),(2725,'Alphabetical','Sort order','none'),(2726,'Create a label','','none'),(2727,'Expose operator','','none'),(2728,'Apply and continue','','none'),(2729,'All displays (except overridden)','','none'),(2730,'All displays','','none'),(2731,'Automatically update preview on changes','','none'),(2732,'Master','','8.1.8'),(2733,'DisplayDisplays','','none'),(2734,'filter criteria','','8.1.8'),(2735,'Filter criterion','','none'),(2736,'filter criterion','','none'),(2737,'Hide view','','none'),(2738,'Field item','','none'),(2739,'Changes to the style have been saved.','','none'),(2740,'Allow multiple filter values to work together','','none'),(2741,'Customize field HTML','','none'),(2742,'Display extenders','','none'),(2743,'Empty display extender','','none'),(2744,'Apply (all displays)','','8.4.0'),(2745,'Apply (this display)','','8.4.0'),(2746,'Curaçao','','none'),(2747,'Configuration Manager','','none'),(2748,'Fields pending deletion','','none'),(2749,'The throbber display does not show the status of uploads but takes up less space. The progress bar is helpful for monitoring progress on large uploads.','','none'),(2750,'Leave this blank to delete both the existing username and password.','','none'),(2751,'To change the password, enter the new password here.','','none'),(2752,'HTTP authentication credentials must include a username in addition to a password.','','none'),(2753,'Cron takes care of running periodic tasks like checking for updates and indexing content for search.','','none'),(2754,'User name and password','','none'),(2755,'User module account form elements.','','none'),(2756,'@view : @display','','none'),(2757,'View: @view - Display: @display','','none'),(2758,'Logo path','','none'),(2759,'@module (<span class=\"admin-missing\">incompatible with</span> this version of Drupal core)','','none'),(2760,'Tokens related to views.','','none'),(2761,'The description of the view.','','none'),(2762,'The title of current display of the view.','','none'),(2763,'The URL of the view.','','none'),(2764,'-Select-','','none'),(2765,'Your search used too many AND/OR expressions. Only the first @count terms were included in this search.','','none'),(2766,'A list field (@field_name) with existing data cannot have its keys changed.','','none'),(2767,'A unique machine-readable name containing letters, numbers, and underscores.','','none'),(2768,'If no image is uploaded, this image will be shown on display and will override the field\'s default image.','','none'),(2769,'No blocked IP addresses available.','','none'),(2770,'Bulk operation','','none'),(2771,'Used in views','','8.6.2'),(2772,'Views plugins','','8.6.2'),(2773,'Display \"Access Denied\"','','none'),(2774,'Unfiltered text','','none'),(2775,'The URL %url is not valid.','','none'),(2776,'The connection protocol %backend does not exist.','','none'),(2777,'Unknown (@langcode)','','none'),(2778,'%name field is not in the right format.','','none'),(2779,'%name is not a valid number.','','none'),(2780,'%name must be a valid color.','','none'),(2781,'Theme hook %hook not found.','','none'),(2782,'No book content available.','','none'),(2783,'Allows administrators to manage configuration changes.','','none'),(2784,'Thin space','','none'),(2785,'logged in users only','','none'),(2786,'Update Manager','','none'),(2787,'Build a custom site without pre-configured functionality. Suitable for advanced users.','','none'),(2788,'Site\'s default language (@lang_name)','','none'),(2789,'@dir can not be opened','','none'),(2790,'Save and manage fields','','none'),(2791,'Available translation updates','','8.6.2'),(2792,'Manage customized lists of content.','','8.6.2'),(2793,'Uyghur','','none'),(2794,'Install another module','','none'),(2795,'No item selected.','','none'),(2796,'File added','','none'),(2797,'File removed','','none'),(2798,'Translate configuration','','none'),(2799,'Translations directory','','none'),(2800,'The translations directory does not exist.','','none'),(2801,'The translations directory is not readable.','','none'),(2802,'The translations directory is not writable.','','none'),(2803,'The translations directory is writable.','','none'),(2804,'The translation server is offline.','','none'),(2805,'The %language translation is not available.','','none'),(2806,'The %language translation is available.','','none'),(2807,'Updating translations.','','none'),(2808,'All translations up to date.','','none'),(2809,'Get an overview of all content.','','none'),(2810,'<p>This is a one-time login for %user_name.</p><p>Click on this button to log in to the site and change your password.</p>','','none'),(2811,'Manage custom view modes.','','8.6.2'),(2812,'Manage custom form modes.','','8.6.2'),(2813,'%name must be higher than or equal to %min.','','none'),(2814,'%name must be lower than or equal to %max.','','none'),(2815,'Action title','','none'),(2816,'Action configuration','','none'),(2817,'Route Name','','none'),(2818,'Route Params','','none'),(2819,'Param','','none'),(2820,'Admin info','','none'),(2821,'Extend','With components','none'),(2822,'Display extender','','none'),(2823,'Visibility Conditions','','none'),(2824,'Visibility Condition','','none'),(2825,'Jan','Abbreviated month name','none'),(2826,'Feb','Abbreviated month name','none'),(2827,'Mar','Abbreviated month name','none'),(2828,'Apr','Abbreviated month name','none'),(2829,'May','Abbreviated month name','none'),(2830,'Jun','Abbreviated month name','none'),(2831,'Jul','Abbreviated month name','none'),(2832,'Aug','Abbreviated month name','none'),(2833,'Sep','Abbreviated month name','none'),(2834,'Oct','Abbreviated month name','none'),(2835,'Nov','Abbreviated month name','none'),(2836,'Dec','Abbreviated month name','none'),(2837,'Sun','Abbreviated weekday','none'),(2838,'Tue','Abbreviated weekday','none'),(2839,'Wed','Abbreviated weekday','none'),(2840,'Thu','Abbreviated weekday','none'),(2841,'Fri','Abbreviated weekday','none'),(2842,'Su','Abbreviated weekday','none'),(2843,'Mo','Abbreviated weekday','none'),(2844,'Tu','Abbreviated weekday','none'),(2845,'We','Abbreviated weekday','none'),(2846,'Th','Abbreviated weekday','none'),(2847,'The %file does not exist.','','none'),(2848,'The %file exists.','','none'),(2849,'The %file is not readable.','','none'),(2850,'Create and manage contact forms.','','8.6.2'),(2851,'Slideshow','','none'),(2852,'Previous','','none'),(2853,'Information','','none'),(2854,'title','','none'),(2855,'content','','none'),(2856,'Priority','','none'),(2857,'default','','none'),(2858,'Variable','','none'),(2859,'username','','none'),(2860,'path','','none'),(2861,'type','','none'),(2862,'User','','8.1.8'),(2863,'status','','none'),(2864,'Menu item','','none'),(2865,'Url','','none'),(2866,'Load','','none'),(2867,'State','','none'),(2868,'Events','','none'),(2869,'access content','','none'),(2870,'update','','none'),(2871,'Completed','','none'),(2872,'Translated','','none'),(2873,'1 user@count users','','none'),(2874,'ok','','none'),(2875,'form','','none'),(2876,'Conditions','','none'),(2877,'E-mail','','none'),(2878,'Subscribers','','8.1.8'),(2879,'Subscribe','','8.6.2'),(2880,'Unsubscribe','','none'),(2881,'Block message','','none'),(2882,'Normal','','none'),(2883,'Send','','none'),(2884,'HTML','','none'),(2885,'Cron throttle','','none'),(2886,'From name','','none'),(2887,'Newsletter','','8.1.8'),(2888,'Newsletters','','8.1.8'),(2889,'Subscribed to','','none'),(2890,'Request receipt','','none'),(2891,'Send newsletter','','none'),(2892,'Select the newsletter(s) to which you want to subscribe or unsubscribe.','','none'),(2893,'Subscriptions for %mail','','none'),(2894,'The following addresses were added or updated: %added.','','none'),(2895,'No addresses were added.','','none'),(2896,'The following addresses were invalid: %invalid.','','none'),(2897,'Active users','','none'),(2898,'Inactive users','','none'),(2899,'No addresses were found.','','none'),(2900,'Sender information','','none'),(2901,'Hyperlink conversion','','none'),(2902,'Default newsletter options','','none'),(2903,'These options will be the defaults for new newsletters, but can be overridden in the newsletter editing form.','','none'),(2904,'Newsletter name','','none'),(2905,'You can create different newsletters (or subjects) to categorize your news (e.g. Cats news, Dogs news, ...).','','none'),(2906,'Subscribed','','none'),(2907,'Append hyperlinks as a numbered reference list','','none'),(2908,'Display hyperlinks inline with the text','','none'),(2909,'Parents','','8.1.8'),(2910,'The name of the menu.','','none'),(2911,'User account menu','','8.6.2'),(2912,'Site branding','','8.1.8'),(2913,'Breadcrumbs','','8.1.8'),(2914,'Footer menu','','8.1.8'),(2915,'Primary admin actions','','8.1.8'),(2916,'Tabs','','8.1.8'),(2917,'Main navigation','','8.6.2'),(2918,'Status messages','','8.1.8'),(2919,'Basic block','','8.6.2'),(2920,'A basic block contains a title and a body.','','8.1.8'),(2921,'Default comments','','8.6.2'),(2922,'Allows commenting on content','','8.1.8'),(2923,'Website feedback','','8.6.2'),(2924,'Off','','8.1.8'),(2925,'Enter a comma-separated list. For example: Amsterdam, Mexico City, \"Cleveland, Ohio\"','','8.1.8'),(2926,'Your virtual face or picture.','','8.1.8'),(2927,'Basic HTML','','8.1.8'),(2928,'Full HTML','','8.1.8'),(2929,'Restricted HTML','','8.1.8'),(2930,'Use tags to group articles on similar topics into categories.','','8.1.8'),(2931,'Administrator','','8.6.2'),(2932,'Full','','8.1.8'),(2933,'{current} of {total}','','8.6.2'),(2934,'« Prev','','8.6.2'),(2935,'Next »','','8.6.2'),(2936,'98%','','8.1.8'),(2937,'300','','8.1.8'),(2938,'250','','8.1.8'),(2939,'start slideshow','','8.1.8'),(2940,'stop slideshow','','8.1.8'),(2941,'Links related to Devel module.','','8.1.8'),(2942,'Large (480×480)','','8.1.8'),(2943,'Medium (220×220)','','8.1.8'),(2944,'Thumbnail (100×100)','','8.1.8'),(2945,'Search result highlighting input','','8.1.8'),(2946,'Delete content','','8.1.8'),(2947,'Account','','8.1.8'),(2948,'Email: HTML','','8.1.8'),(2949,'Email: Plain','','8.1.8'),(2950,'Email: HTML text alternative','','8.1.8'),(2951,'Subscriptions','','8.1.8'),(2952,'Newsletter Issue','','8.6.2'),(2953,'Use <em>Newsletter Issue</em> for newsletters.','','8.1.8'),(2954,'Default newsletter','','8.1.8'),(2955,'This is an example newsletter. Change it.','','8.1.8'),(2956,'[[simplenews-newsletter:name]] [node:title]','','8.1.8'),(2957,'Confirmation for [simplenews-newsletter:name] from [site:name]','','8.1.8'),(2958,'We have received a request to subscribe [simplenews-subscriber:mail] to the [simplenews-newsletter:name] newsletter on [site:name] website at [site:url]. To confirm please use the link below. \n\n [simplenews-subscriber:subscribe-url]','','8.1.8'),(2959,'We have received a request to subscribe [simplenews-subscriber:mail] to the [simplenews-newsletter:name]  newsletter on [site:name] website at [site:url]. However, this email is already subscribed to this newsletter. If you intended to unsubscribe please visit our site: [site:url]','','8.1.8'),(2960,'We have received a request to remove the [simplenews-subscriber:mail] from the [simplenews-newsletter:name] mailing list on [site:name] website at [site:url]. To confirm please use the link below.\r\n\r\n[simplenews-subscriber:unsubscribe-url]','','8.1.8'),(2961,'We have received a request to remove the [simplenews-subscriber:mail] from the [simplenews-newsletter:name] mailing list on [site:name] website at [site:url]. However, this email is not subscribed to this mailing list. If you intended to subscribe please visit our site at [site:url]','','8.1.8'),(2962,'Confirmation for [site:name]','','8.1.8'),(2963,'We have received a request for the following subscription changes for [simplenews-subscriber:mail] at [site:url]:\r\n\r\n[changes-list]\r\n\r\nTo confirm please use the link below.\r\n\r\n[simplenews-subscriber:combined-url]','','8.1.8'),(2964,'We have received a request for the following subscription changes for [simplenews-subscriber:mail] at [site:url]:\r\n\r\n[changes-list]\r\n\r\nNo confirmation necessary because all requested changes equal the current state.','','8.1.8'),(2965,'Subscribe to [simplenews-newsletter:name]','','8.1.8'),(2966,'Already subscribed to [simplenews-newsletter:name]','','8.1.8'),(2967,'Unsubscribe from [simplenews-newsletter:name]','','8.1.8'),(2968,'Already unsubscribed from [simplenews-newsletter:name]','','8.1.8'),(2969,'Send newsletter issue','','8.1.8'),(2970,'Stop sending','','8.1.8'),(2971,'Items per page','','8.1.8'),(2972,'Offset','','8.1.8'),(2973,'‹ previous','','8.1.8'),(2974,'next ›','','8.1.8'),(2975,'« first','','8.1.8'),(2976,'last »','','8.1.8'),(2977,'Node operations bulk form','','8.1.8'),(2978,'With selection','','8.1.8'),(2979,'Issue','','8.1.8'),(2980,', ','','8.1.8'),(2981,'Send status','','8.1.8'),(2982,'No newsletter issues found.','','8.1.8'),(2983,'Newsletter issues','','8.1.8'),(2984,'No subscribers found.','','8.1.8'),(2985,'Fallback date format','','8.1.8'),(2986,'HTML Date','','8.1.8'),(2987,'HTML Datetime','','8.1.8'),(2988,'HTML Month','','8.1.8'),(2989,'HTML Time','','8.1.8'),(2990,'HTML Week','','8.1.8'),(2991,'HTML Year','','8.1.8'),(2992,'HTML Yearless date','','8.1.8'),(2993,'Default long date','','8.1.8'),(2994,'l, F j, Y - H:i','PHP date format','8.1.8'),(2995,'Default medium date','','8.1.8'),(2996,'D, m/d/Y - H:i','PHP date format','8.1.8'),(2997,'Default short date','','8.1.8'),(2998,'m/d/Y - H:i','PHP date format','8.1.8'),(2999,'Links related to the active user account','','8.1.8'),(3000,'Administrative task links','','8.1.8'),(3001,'Site information links','','8.1.8'),(3002,'Site section links','','8.1.8'),(3003,'User tool links, often added by modules','','8.1.8'),(3004,'Compact','','8.1.8'),(3005,'Block the selected user(s)','','8.1.8'),(3006,'Cancel the selected user account(s)','','8.1.8'),(3007,'Unblock the selected user(s)','','8.1.8'),(3008,'[user:display-name],\n\nA request to cancel your account has been made at [site:name].\n\nYou may now cancel your account on [site:url-brief] by clicking this link or copying and pasting it into your browser:\n\n[user:cancel-url]\n\nNOTE: The cancellation of your account is not reversible.\n\nThis link expires in one day and nothing will happen if it is not used.\n\n--  [site:name] team','','8.1.8'),(3009,'Account cancellation request for [user:display-name] at [site:name]','','8.1.8'),(3010,'[user:display-name],\n\nA request to reset the password for your account has been made at [site:name].\n\nYou may now log in by clicking this link or copying and pasting it into your browser:\n\n[user:one-time-login-url]\n\nThis link can only be used once to log in and will lead you to a page where you can set your password. It expires after one day and nothing will happen if it\'s not used.\n\n--  [site:name] team','','8.1.8'),(3011,'Replacement login information for [user:display-name] at [site:name]','','8.1.8'),(3012,'[user:display-name],\n\nA site administrator at [site:name] has created an account for you. You may now log in by clicking this link or copying and pasting it into your browser:\n\n[user:one-time-login-url]\n\nThis link can only be used once to log in and will lead you to a page where you can set your password.\n\nAfter setting your password, you will be able to log in at [site:login-url] in the future using:\n\nusername: [user:name]\npassword: Your password\n\n--  [site:name] team','','8.1.8'),(3013,'[user:display-name],\n\nThank you for registering at [site:name]. You may now log in by clicking this link or copying and pasting it into your browser:\n\n[user:one-time-login-url]\n\nThis link can only be used once to log in and will lead you to a page where you can set your password.\n\nAfter setting your password, you will be able to log in at [site:login-url] in the future using:\n\nusername: [user:name]\npassword: Your password\n\n--  [site:name] team','','8.1.8'),(3014,'Account details for [user:display-name] at [site:name]','','8.1.8'),(3015,'[user:display-name],\n\nThank you for registering at [site:name]. Your application for an account is currently pending approval. Once it has been approved, you will receive another email containing information about how to log in, set your password, and other details.\n\n\n--  [site:name] team','','8.1.8'),(3016,'Account details for [user:display-name] at [site:name] (pending admin approval)','','8.1.8'),(3017,'[user:display-name] has applied for an account.\n\n[user:edit-url]','','8.1.8'),(3018,'[user:display-name],\n\nYour account at [site:name] has been activated.\n\nYou may now log in by clicking this link or copying and pasting it into your browser:\n\n[user:one-time-login-url]\n\nThis link can only be used once to log in and will lead you to a page where you can set your password.\n\nAfter setting your password, you will be able to log in at [site:login-url] in the future using:\n\nusername: [user:account-name]\npassword: Your password\n\n--  [site:name] team','','8.1.8'),(3019,'Account details for [user:display-name] at [site:name] (approved)','','8.1.8'),(3020,'[user:display-name],\n\nYour account on [site:name] has been blocked.\n\n--  [site:name] team','','8.1.8'),(3021,'Account details for [user:display-name] at [site:name] (blocked)','','8.1.8'),(3022,'[user:display-name],\n\nYour account on [site:name] has been canceled.\n\n--  [site:name] team','','8.1.8'),(3023,'Account details for [user:display-name] at [site:name] (canceled)','','8.1.8'),(3024,'Authenticated user','','8.6.2'),(3025,'Max 1300x1300','','8.1.8'),(3026,'Max 2600x2600','','8.1.8'),(3027,'Max 325x325','','8.1.8'),(3028,'Max 650x650','','8.1.8'),(3029,'Narrow','','8.1.8'),(3030,'Wide','','8.1.8'),(3031,'Custom block library','','8.6.2'),(3032,'Find and manage custom blocks.','','8.1.8'),(3033,'‹ Previous','','8.1.8'),(3034,'Next ›','','8.1.8'),(3035,'There are no custom blocks available. ','','8.1.8'),(3036,'Recent comments.','','8.1.8'),(3037,'Lists (Views)','','8.1.8'),(3038,'Find and manage files.','','8.1.8'),(3039,'Fid','','8.1.8'),(3040,'Upload date','','8.1.8'),(3041,'Changed date','','8.1.8'),(3042,'1 place@count places','','8.1.8'),(3043,'No files available.','','8.1.8'),(3044,'Files overview','','8.1.8'),(3045,'File usage','','8.1.8'),(3046,'Registering module','','8.1.8'),(3047,'Use count','','8.1.8'),(3048,'1@count','','8.1.8'),(3049,'File usage information for {{ arguments.fid }}','','8.1.8'),(3050,'Adding languages','','8.1.8'),(3051,'<p>This page provides the ability to add common languages to your site.</p><p>If the desired language is not available, you can add a custom language.</p>','','8.1.8'),(3052,'<p>Choose a language from the list, or choose \"Custom language...\" at the end of the list.</p><p>Click the \"Add language\" button when you are done choosing your language.</p><p>When adding a custom language, you will get an additional form where you can provide the name, code, and direction of the language.</p>','','8.1.8'),(3053,'Continuing on','','8.1.8'),(3054,'<p>Now that you have an overview of the \"Add languages\" feature, you can continue by:<ul><li>Adding a language</li><li>Adding a custom language</li><li><a href=\"[site:url]/admin/config/regional/language\">Viewing configured languages</a></li></ul></p>','','8.1.8'),(3055,'Editing languages','','8.1.8'),(3056,'<p>This page provides the ability to edit a language on your site, including custom languages.</p>','','8.1.8'),(3057,'<p>You cannot change the code of a language on the site, since it is used by the system to keep track of the language.</p>','','8.1.8'),(3058,'<p>The language name is used throughout the site for all users and is written in English. Names of built-in languages can be translated using the Interface Translation module, and names of both built-in and custom languages can be translated using the Configuration Translation module.</p>','','8.1.8'),(3059,'Language direction','','8.1.8'),(3060,'<p>Choose if the language is a \"Left to right\" or \"Right to left\" language.</p><p>Note that not all themes support \"Right to left\" layouts, so test your theme if you are using \"Right to left\".</p>','','8.1.8'),(3061,'<p>Now that you have an overview of the \"Edit language\" feature, you can continue by:<ul><li>Editing a language</li><li><a href=\"[site:url]/admin/config/regional/language\">Viewing configured languages</a></li></ul></p>','','8.1.8'),(3062,'<p>The \"Languages\" page allows you to add, edit, delete, and reorder languages for the site.</p>','','8.1.8'),(3063,'<p>To add more languages to your site, click the \"Add language\" button.</p><p>Added languages will be displayed in the language list and can then be edited or deleted.</p>','','8.1.8'),(3064,'Reordering languages','','8.1.8'),(3065,'<p>To reorder the languages on your site, use the drag icons next to each language.</p><p>The order shown here is the display order for language lists on the site such as in the language switcher blocks provided by the Interface Translation and Content Translation modules.</p><p>When you are done with reordering the languages, click the \"Save configuration\" button for the changes to take effect.</p>','','8.1.8'),(3066,'Set a language as default','','8.1.8'),(3067,'<p>You can change the default language of the site by choosing one of your configured languages as default. The site will use the default language in situations where no choice is made but a language should be set, for example as the language of the displayed interface.</p>','','8.1.8'),(3068,'Modifying languages','','8.1.8'),(3069,'<p>Operations are provided for editing and deleting your languages.</p><p>You can edit the name and the direction of the language.</p><p>Deleted languages can be added back at a later time. Deleting a language will remove all interface translations associated with it, and content in this language will be set to be language neutral. Note that you cannot delete the default language of the site.</p>','','8.1.8'),(3070,'<p>Now that you have an overview of the \"Languages\" page, you can continue by:<ul><li><a href=\"[site:url]/admin/config/regional/language/add\">Adding a language</a></li><li>Reordering languages</li><li>Editing a language</li><li>Deleting a language</li></ul></p>','','8.1.8'),(3071,'User interface translation','','8.6.2'),(3072,'This page allows you to translate the user interface or modify existing translations. If you have installed your site initially in English, you must first add another language on the <a href=\"[site:url]/admin/config/regional/language\">Languages page</a>, in order to use this page.','','8.1.8'),(3073,'Translation language','','8.1.8'),(3074,'Choose the language you want to translate.','','8.1.8'),(3075,'Enter the specific word or sentence you want to translate, you can also write just a part of a word.','','8.1.8'),(3076,'Filter the search','','8.1.8'),(3077,'You can search for untranslated strings if you want to translate something that isn\'t translated yet. If you want to modify an existing translation, you might want to search only for translated strings.','','8.1.8'),(3078,'Apply your search criteria','','8.1.8'),(3079,'To apply your search criteria, click on the <em>Filter</em> button.','','8.1.8'),(3080,'You can write your own translation in the text fields of the right column. Try to figure out in which context the text will be used in order to translate it in the appropriate way.','','8.1.8'),(3081,'Validate the translation','','8.1.8'),(3082,'When you have finished your translations, click on the <em>Save translations</em> button. You must save your translations, each time before changing the page or making a new search.','','8.1.8'),(3083,'The translations you have made here will be used on your site\'s user interface. If you want to use them on another site or modify them on an external translation editor, you can <a href=\"[site:url]/admin/config/regional/translate/export\">export them</a> to a .po file and <a href=\"[site:url]/admin/config/regional/translate/import\">import them</a> later.','','8.1.8'),(3084,'All content, by month.','','8.1.8'),(3085,'Monthly archive','','8.1.8'),(3086,'‹‹','','8.1.8'),(3087,'››','','8.1.8'),(3088,'{{ arguments.created_year_month }}','','8.1.8'),(3089,'« First','','8.1.8'),(3090,'Last »','','8.1.8'),(3091,'Published status','','8.1.8'),(3092,'1','','8.1.8'),(3093,'Unpublished','','8.1.8'),(3094,'Find and manage content','','8.1.8'),(3095,'Recent content.','','8.1.8'),(3096,'Frontpage','','8.1.8'),(3097,'All content promoted to the front page.','','8.1.8'),(3098,'Welcome to [site:name]','','8.1.8'),(3099,'All content, by letter.','','8.1.8'),(3100,'Content belonging to a certain taxonomy term.','','8.1.8'),(3101,'{{ arguments.tid }}','','8.1.8'),(3102,'Bulk update','','8.1.8'),(3103,'Name or email contains','','8.1.8'),(3104,'Shows a list of the newest user accounts on the site.','','8.1.8'),(3105,'A list of new users','','8.1.8'),(3106,'Who\'s online block','','8.1.8'),(3107,'Shows the user names of the most recently active users, and the total number of active users.','','8.1.8'),(3108,'There are currently @total users online.','','8.1.8'),(3109,'There are currently 0 users online.','','8.1.8'),(3110,'A list of users that are currently logged in.','','8.1.8'),(3111,'View edit page','','8.1.8'),(3112,'Manage view settings','','8.1.8'),(3113,'View or edit the configuration.','','8.1.8'),(3114,'Displays in this view','','8.1.8'),(3115,'A display is a way of outputting the results, e.g., as a page or a block. A view can contain multiple displays, which are listed here. The active display is highlighted.','','8.1.8'),(3116,'View administration','','8.1.8'),(3117,'Perform administrative tasks, including adding a description and creating a clone. Click the drop-down button to view the available options.','','8.1.8'),(3118,'Output format','','8.1.8'),(3119,'Choose how to output results. E.g., choose <em>Content</em> to output each item completely, using your configured display settings. Or choose <em>Fields</em>, which allows you to output only specific fields for each result. Additional formats can be added by installing modules to <em>extend</em> Drupal\'s base functionality.','','8.1.8'),(3120,'If this view uses fields, they are listed here. You can click on a field to configure it.','','8.1.8'),(3121,'Filter your view','','8.1.8'),(3122,'Add filters to limit the results in the output. E.g., to only show content that is <em>published</em>, you would add a filter for <em>Published</em> and select <em>Yes</em>.','','8.1.8'),(3123,'Filter actions','','8.1.8'),(3124,'Add, rearrange or remove filters.','','8.1.8'),(3125,'Sort Criteria','','8.1.8'),(3126,'Control the order in which the results are output. Click on an active sort rule to configure it.','','8.1.8'),(3127,'Sort actions','','8.1.8'),(3128,'Add, rearrange or remove sorting rules.','','8.1.8'),(3129,'Show a preview of the view output.','','8.1.8'),(3130,'Update URL alias','','8.1.8'),(3131,'Appears in: @bundles.','','8.6.2'),(3132,'Also known as:','','8.6.2'),(3133,'@group: @field','','8.6.2'),(3134,'@group (historical data): @field','','8.6.2'),(3135,'@label (@name)','','8.6.2'),(3136,'@label (@name:@column)','','8.6.2'),(3137,'Subscribe to @title','','8.6.2'),(3138,'Partners','','8.6.2'),(3139,'Portfolio','','8.6.2'),(3140,'Blog','','8.6.2'),(3141,'Banner','','8.6.2'),(3142,'Our mission','','8.6.2'),(3143,'Why us','','8.6.2'),(3144,'Our services','','8.6.2'),(3145,'Add custom block','','8.6.2'),(3146,'Block layout','','8.6.2'),(3147,'Comment types','','8.6.2'),(3148,'Add contact form','','8.6.2'),(3149,'Contact forms','','8.6.2'),(3150,'View modes','','8.6.2'),(3151,'Form modes','','8.6.2'),(3152,'Display modes','','8.6.2'),(3153,'Quick links','','8.6.2'),(3154,'bartik','','8.1.8'),(3155,'seven','','8.1.8'),(3156,'luxestate','','8.1.8'),(3157,'Colorbox settings','','8.6.2'),(3158,'Responsive image styles','','8.6.2'),(3159,'Simplenews','','8.6.2'),(3160,'ShareThis','','8.6.2'),(3161,'Configuration synchronization','','8.6.2'),(3162,'Date and time formats','','8.6.2'),(3163,'Configuration translation','','8.6.2'),(3164,'Content language and translation','','8.6.2'),(3165,'Search pages','','8.6.2'),(3166,'Basic site settings','','8.6.2'),(3167,'Text formats and editors','','8.6.2'),(3168,'Subscriber settings','','8.6.2'),(3169,'CSS and Javascript','','8.1.8'),(3170,'Plugins','','8.1.8'),(3171,'Static caches','','8.1.8'),(3172,'Flush all caches','','8.6.2'),(3173,'List changes D8','','8.1.8'),(3174,'Documentation D8','','8.1.8'),(3175,'Run database updates','','8.1.8'),(3176,'Devel settings','','8.6.2'),(3177,'Config editor','','8.6.2'),(3178,'Reinstall Modules','','8.6.2'),(3179,'Rebuild Menu','','8.6.2'),(3180,'State editor','','8.6.2'),(3181,'Theme registry','','8.6.2'),(3182,'Entity Info','','8.6.2'),(3183,'Execute PHP','','8.6.2'),(3184,'View Session','','8.6.2'),(3185,'Hook_elements','','8.1.8'),(3186,'Manage form and displays settings of comments.','','8.6.2'),(3187,'Configure what displays are available for your content and forms.','','8.6.2'),(3188,'Create and manage fields, forms, and display settings for your content.','','8.6.2'),(3189,'Manage menus and menu links.','','8.6.2'),(3190,'Select and configure themes.','','8.6.2'),(3191,'Add and enable modules to extend site functionality.','','8.6.2'),(3192,'Configure default user account settings, including fields, registration requirements, and email messages.','','8.6.2'),(3193,'Administer your subscriber settings.','','8.6.2'),(3194,'Configure user accounts.','','8.6.2'),(3195,'Change site name, email address, slogan, default front page, and error pages.','','8.6.2'),(3196,'Configure basic site settings, actions, and cron.','','8.6.2'),(3197,'Select and configure text editors, and how content is filtered when displayed.','','8.6.2'),(3198,'Configure content formatting and authoring.','','8.6.2'),(3199,'Configure the administrative user interface.','','8.6.2'),(3200,'Configure search pages and search indexing options.','','8.6.2'),(3201,'Add custom URLs to existing paths.','','8.6.2'),(3202,'Configure site search, metadata, and search engine optimization.','','8.6.2'),(3203,'Configure caching and bandwidth optimization.','','8.6.2'),(3204,'Configure the display of error messages and database logging.','','8.6.2'),(3205,'Take the site offline for updates and other maintenance tasks.','','8.6.2'),(3206,'Import and export your configuration.','','8.6.2'),(3207,'Configure and use development tools.','','8.6.2'),(3208,'Configure the Colorbox settings.','','8.6.2'),(3209,'Configure styles that can be used for resizing or adjusting images on display.','','8.6.2'),(3210,'Configure the location of uploaded files and how they are accessed.','','8.6.2'),(3211,'Manage responsive image styles.','','8.6.2'),(3212,'Configure the locale and timezone settings.','','8.6.2'),(3213,'Configure how dates and times are displayed.','','8.6.2'),(3214,'Configure languages for content, interface, and configuration.','','8.6.2'),(3215,'Configure language and translation support for content.','','8.6.2'),(3216,'Configure the import of translation files, and add or customize interface translations.','','8.6.2'),(3217,'Translate the configuration.','','8.6.2'),(3218,'Configure regional settings, localization, and translation.','','8.6.2'),(3219,'Choose the widget, button family, and services for using ShareThis to share content online.','','8.6.2'),(3220,'Configure your sites newsletters.','','8.6.2'),(3221,'Configure the site description, the number of items per feed, and whether feeds should be titles/teasers/full-text.','','8.6.2'),(3222,'Manage the content workflow.','','8.6.2'),(3223,'Overview of plugins used in all views.','','8.6.2'),(3224,'Get a status report about available interface translations for your installed modules and themes.','','8.6.2'),(3225,'Get a status report about your site\'s operation.','','8.6.2'),(3226,'Toolbar items','','8.6.2'),(3227,'Return to site content','','8.6.2'),(3228,'Back to site','','8.6.2'),(3229,'Admin menu','','8.6.2'),(3230,'Manage form display','','8.6.2'),(3231,'Devel','','8.6.2'),(3232,'Add new view mode','','8.6.2'),(3233,'Add new form mode','','8.6.2'),(3234,'Edit permissions','','8.6.2'),(3235,'Tour','','8.6.2'),(3236,'Edit user account','','8.6.2'),(3237,'View profile','','8.6.2'),(3238,'Edit profile','','8.6.2'),(3239,'Site administration toolbar','','8.6.2'),(3240,'Administration menu','','8.6.2'),(3241,'User-defined shortcuts','','8.6.2'),(3242,'User account actions','','8.6.2'),(3243,'Site header','','8.6.2'),(3244,'Custom block type','','8.6.2'),(3245,'Comment type','','8.6.2'),(3246,'Responsive image style','','8.6.2'),(3247,'Search page','','8.6.2'),(3248,'Shortcut set','','8.6.2'),(3249,'Simplenews newsletter','','8.6.2'),(3250,'Pathauto pattern','','8.6.2'),(3251,'View','View entity type','8.6.2'),(3252,'…','','8.6.2'),(3253,'The subscriber\'s email address.','','8.6.2'),(3254,'Configure Sharethis block','','8.6.2'),(3255,'Translate @type_name','','8.6.2'),(3256,'Enter caption here','','8.6.2'),(3257,'Insert Image','','8.6.2'),(3258,'Edit Image','','8.6.2'),(3259,'Add Link','','8.6.2'),(3260,'Remove group','','8.4.0'),(3261,'Revert to default','','8.4.0'),(3262,'The message language code.','','8.6.2'),(3263,'Your email address','','8.6.2'),(3264,'Changing the text format to %text_format will permanently remove content that is not allowed in that text format.<br><br>Save your changes before switching the text format to avoid losing data.','','8.9.18'),(3265,'Change text format?','','8.9.18'),(3266,'Rich Text Editor, !label field','','8.9.18'),(3267,'Pagination','','8.1.8'),(3268,'Page @items.current','','8.1.8'),(3269,'Next page','','8.1.8'),(3270,'@local-task-title@active','','8.1.8'),(3271,'!modules modules are available in the modified list.','','8.9.19'),(3272,'Authored on @date','','8.3.5'),(3273,'Not promoted','','8.3.5'),(3274,'Needs to be updated','','8.9.0'),(3275,'Does not need to be updated','','8.9.0'),(3276,'Flag other translations as outdated','','8.9.0'),(3277,'Do not flag other translations as outdated','','8.9.0'),(3278,'Automatic alias','','8.3.5'),(3279,'The time that the node was created.','','8.1.8'),(3280,'The username of the content author.','','8.1.8'),(3281,'Briefly describe the changes you have made.','','8.1.8'),(3282,'(this translation)','','8.1.8'),(3283,'Save and keep published','','8.1.8'),(3284,'Save and unpublish','','8.1.8'),(3285,'Last saved','','8.1.8'),(3286,'all languages','','8.1.8'),(3287,'CSS class(es)','','8.1.8'),(3288,'About text formats','','8.1.8'),(3289,'Web page addresses and email addresses turn into links automatically.','','8.1.8'),(3290,'Alternative text','','8.1.8'),(3291,'Menu links with lower weights are displayed before links with higher weights.','','8.1.8'),(3292,'Node Class settings','','8.1.8'),(3293,'Assign CSS classes to the node.','','8.1.8'),(3294,'The alternative URL for this content. Use a relative path. For example, enter \"/about\" for the about page.','','8.1.8'),(3295,'Date (e.g. @format)','','8.1.8'),(3296,'Time (e.g. @format)','','8.1.8'),(3297,'Format: %format. Leave blank to use the time of form submission.','','8.1.8'),(3298,'Promotion options','','8.1.8'),(3299,'If you made a significant change, which means the other translations should be updated, you can flag all translations of this content as outdated. This will not change any other property of them, like whether they are published or not.','','8.1.8'),(3300,'See the <a href=\":available_updates\">available updates</a> page for more information and to install your missing updates.','','8.1.8'),(3301,'Create %language translation of %title','','8.1.8'),(3302,'Breadcrumb','','8.1.8'),(3303,'One file only.Maximum @count files.','','8.1.8'),(3304,'@size limit.','','8.1.8'),(3305,'Allowed types: @extensions.','','8.1.8'),(3306,'General settings','','none'),(3307,'Thumbnail','','none'),(3308,'Insert this token into your form','','8.9.19'),(3309,'First click a text field to insert your tokens into.','','8.9.19'),(3310,'Login | User','','8.9.19'),(3311,'Selected Service','','8.1.8'),(3312,'Possible Services','','8.1.8'),(3313,'The specified file %file could not be moved/copied because the destination directory is not properly configured. This may be caused by a problem with file or directory permissions. More information is available in the system log.','','8.1.8'),(3314,'Delete translation','','8.1.8'),(3315,'@title [%language translation]','','8.1.8'),(3316,'Primary tabs display toggle','','8.1.8'),(3317,'Inaccessible','','8.1.8'),(3318,'Your site is currently configured to send these emails when any updates are available. To get notified only for security updates, @url.','','8.1.8'),(3319,'Unable to send email. Contact the site administrator if the problem persists.','','8.1.8'),(3320,'Current page','','8.1.8'),(3321,'Go to page @key','','8.1.8'),(3322,'Last page','','8.1.8'),(3323,'First page','','8.1.8'),(3324,'Previous page','','8.1.8'),(3325,'Displays','','8.1.8'),(3326,'Custom block','','8.1.8'),(3327,'Contact message','','8.1.8'),(3328,'Text Editor','','8.1.8'),(3329,'Field storage','','8.1.8'),(3330,'Content Language Settings','','8.1.8'),(3331,'RDF mapping','','8.1.8'),(3332,'Shortcut link','','8.1.8'),(3333,'Simplenews subscriber','','8.1.8'),(3334,'Custom menu link','','8.6.2'),(3335,'Entity form display','','8.1.8'),(3336,'Entity view display','','8.1.8'),(3337,'Base field override','','8.1.8'),(3338,'Change the machine name of this display.','','8.1.8'),(3339,'Comment or document this display.','','8.1.8'),(3340,'Change the title that this display will use.','','8.1.8'),(3341,'Unformatted list','','8.1.8'),(3342,'Change the way content is formatted.','','8.1.8'),(3343,'Change settings for this format','','8.1.8'),(3344,'Change the way each row in the view is styled.','','8.1.8'),(3345,'Change settings for this style','','8.1.8'),(3346,'Change whether or not this display will use AJAX.','','8.1.8'),(3347,'Change whether or not to display attachments when displaying a contextual filter summary.','','8.1.8'),(3348,'Shown','','8.1.8'),(3349,'Change whether or not to display contextual links for this view.','','8.1.8'),(3350,'Display a specified number of items','','8.1.8'),(3351,'Change this display\'s pager setting.','','8.1.8'),(3352,'@count item@count items','','8.1.8'),(3353,'Change settings for this pager type.','','8.1.8'),(3354,'Specify whether this display will provide a \"more\" link.','','8.1.8'),(3355,'Allow grouping and aggregation (calculation) of fields.','','8.1.8'),(3356,'Allow to set some advanced settings for the query plugin','','8.1.8'),(3357,'@type language selected for page','','8.1.8'),(3358,'Interface text','','8.1.8'),(3359,'All content that supports translations will be displayed in the selected language.','','8.1.8'),(3360,'Specify access control type for this display.','','8.1.8'),(3361,'Change settings for this access type.','','8.1.8'),(3362,'Tag based','','8.1.8'),(3363,'Specify caching type for this display.','','8.1.8'),(3364,'Specify which display or custom URL this display will link to.','','8.1.8'),(3365,'Select the kind of exposed filter to use.','','8.1.8'),(3366,'Exposed form settings for this exposed form style.','','8.1.8'),(3367,'Change the CSS class name(s) that will be added to this display.','','8.1.8'),(3368,'@group: @title','','8.1.8'),(3369,'Link to @entity_type_label','','8.1.8'),(3370,'Publishing status','','8.1.8'),(3371,'=','','8.1.8'),(3372,'ID','','8.1.8'),(3373,'desc','','8.1.8'),(3374,'Edit view name/description','','8.1.8'),(3375,'Analyze view','','8.1.8'),(3376,'Duplicate view','','8.1.8'),(3377,'Reorder displays','','8.1.8'),(3378,'Delete view','','8.1.8'),(3379,'Add @display','','8.1.8'),(3380,'Embed','','8.1.8'),(3381,'Entity Reference','','8.1.8'),(3382,'Duplicate @display_title','','8.1.8'),(3383,'Delete @display_title','','8.1.8'),(3384,'Duplicate as @type','','8.1.8'),(3385,'Disable @display_title','','8.1.8'),(3386,'Display name','','8.1.8'),(3387,':','','8.1.8'),(3388,'Add <span class=\"visually-hidden\">@type</span>','','8.1.8'),(3389,'Rearrange <span class=\"visually-hidden\">@type</span>','','8.1.8'),(3390,'And/Or Rearrange <span class=\"visually-hidden\">filter criteria</span>','','8.1.8'),(3391,'Sort criteria','','8.1.8'),(3392,'sort criteria','','8.1.8'),(3393,'Block name','','8.1.8'),(3394,'Block category','','8.1.8'),(3395,'Allow settings','','8.1.8'),(3396,'Access','','8.1.8'),(3397,'no results behavior','','8.1.8'),(3398,'Use pager','','8.1.8'),(3399,'More link','','8.1.8'),(3400,'Link display','','8.1.8'),(3401,'Rendering Language','','8.1.8'),(3402,'Contextual filters','','8.1.8'),(3403,'contextual filters','','8.1.8'),(3404,'Relationships','','8.1.8'),(3405,'relationships','','8.1.8'),(3406,'Exposed form style','','8.1.8'),(3407,'Exposed form','','8.1.8'),(3408,'Administrative comment','','8.1.8'),(3409,'Use AJAX','','8.1.8'),(3410,'Hide attachments in summary','','8.1.8'),(3411,'Use aggregation','','8.1.8'),(3412,'Query settings','','8.1.8'),(3413,'CSS class','','8.1.8'),(3414,'Hide block if the view output is empty','','8.1.8'),(3415,'Auto preview','','8.1.8'),(3416,'Preview with contextual filters:','','8.1.8'),(3417,'Separate contextual filter values with a \"/\". For example, %example.','','8.1.8'),(3418,'@tour_item of @total','','8.1.8'),(3419,'This display has no path.','','8.1.8'),(3420,'Edit @section','','8.1.8'),(3421,'Reset your password','','8.1.8'),(3422,'Images larger than <strong>@max</strong> pixels will be resized.','','8.1.8'),(3423,'A valid email address. All emails from the system will be sent to this address. The email address is not made public and will only be used if you wish to receive a new password or wish to receive certain news or notifications by email.','','8.1.8'),(3424,'Several special characters are allowed, including space, period (.), hyphen (-), apostrophe (\'), underscore (_), and the @ sign.','','8.1.8'),(3425,'Allow other users to contact you via a personal contact form which keeps your email address hidden. Note that some privileged users such as site administrators are still able to contact you even if you choose to disable this feature.','','8.1.8'),(3426,'@zone','','8.1.8'),(3427,'Africa/Abidjan','','8.1.8'),(3428,'Africa/Accra','','8.1.8'),(3429,'Africa/Addis Ababa','','8.1.8'),(3430,'Africa/Algiers','','8.1.8'),(3431,'Africa/Asmara','','8.1.8'),(3432,'Africa/Bamako','','8.1.8'),(3433,'Africa/Bangui','','8.1.8'),(3434,'Africa/Banjul','','8.1.8'),(3435,'Africa/Bissau','','8.1.8'),(3436,'Africa/Blantyre','','8.1.8'),(3437,'Africa/Brazzaville','','8.1.8'),(3438,'Africa/Bujumbura','','8.1.8'),(3439,'Africa/Cairo','','8.1.8'),(3440,'Africa/Casablanca','','8.1.8'),(3441,'Africa/Ceuta','','8.1.8'),(3442,'Africa/Conakry','','8.1.8'),(3443,'Africa/Dakar','','8.1.8'),(3444,'Africa/Dar es Salaam','','8.1.8'),(3445,'Africa/Djibouti','','8.1.8'),(3446,'Africa/Douala','','8.1.8'),(3447,'Africa/El Aaiun','','8.1.8'),(3448,'Africa/Freetown','','8.1.8'),(3449,'Africa/Gaborone','','8.1.8'),(3450,'Africa/Harare','','8.1.8'),(3451,'Africa/Johannesburg','','8.1.8'),(3452,'Africa/Juba','','8.1.8'),(3453,'Africa/Kampala','','8.1.8'),(3454,'Africa/Khartoum','','8.1.8'),(3455,'Africa/Kigali','','8.1.8'),(3456,'Africa/Kinshasa','','8.1.8'),(3457,'Africa/Lagos','','8.1.8'),(3458,'Africa/Libreville','','8.1.8'),(3459,'Africa/Lome','','8.1.8'),(3460,'Africa/Luanda','','8.1.8'),(3461,'Africa/Lubumbashi','','8.1.8'),(3462,'Africa/Lusaka','','8.1.8'),(3463,'Africa/Malabo','','8.1.8'),(3464,'Africa/Maputo','','8.1.8'),(3465,'Africa/Maseru','','8.1.8'),(3466,'Africa/Mbabane','','8.1.8'),(3467,'Africa/Mogadishu','','8.1.8'),(3468,'Africa/Monrovia','','8.1.8'),(3469,'Africa/Nairobi','','8.1.8'),(3470,'Africa/Ndjamena','','8.1.8'),(3471,'Africa/Niamey','','8.1.8'),(3472,'Africa/Nouakchott','','8.1.8'),(3473,'Africa/Ouagadougou','','8.1.8'),(3474,'Africa/Porto-Novo','','8.1.8'),(3475,'Africa/Sao Tome','','8.1.8'),(3476,'Africa/Tripoli','','8.1.8'),(3477,'Africa/Tunis','','8.1.8'),(3478,'Africa/Windhoek','','8.1.8'),(3479,'America/Adak','','8.1.8'),(3480,'America/Anchorage','','8.1.8'),(3481,'America/Anguilla','','8.1.8'),(3482,'America/Antigua','','8.1.8'),(3483,'America/Araguaina','','8.1.8'),(3484,'America/Argentina/Buenos Aires','','8.1.8'),(3485,'America/Argentina/Catamarca','','8.1.8'),(3486,'America/Argentina/Cordoba','','8.1.8'),(3487,'America/Argentina/Jujuy','','8.1.8'),(3488,'America/Argentina/La Rioja','','8.1.8'),(3489,'America/Argentina/Mendoza','','8.1.8'),(3490,'America/Argentina/Rio Gallegos','','8.1.8'),(3491,'America/Argentina/Salta','','8.1.8'),(3492,'America/Argentina/San Juan','','8.1.8'),(3493,'America/Argentina/San Luis','','8.1.8'),(3494,'America/Argentina/Tucuman','','8.1.8'),(3495,'America/Argentina/Ushuaia','','8.1.8'),(3496,'America/Aruba','','8.1.8'),(3497,'America/Asuncion','','8.1.8'),(3498,'America/Atikokan','','8.1.8'),(3499,'America/Bahia','','8.1.8'),(3500,'America/Bahia Banderas','','8.1.8'),(3501,'America/Barbados','','8.1.8'),(3502,'America/Belem','','8.1.8'),(3503,'America/Belize','','8.1.8'),(3504,'America/Blanc-Sablon','','8.1.8'),(3505,'America/Boa Vista','','8.1.8'),(3506,'America/Bogota','','8.1.8'),(3507,'America/Boise','','8.1.8'),(3508,'America/Cambridge Bay','','8.1.8'),(3509,'America/Campo Grande','','8.1.8'),(3510,'America/Cancun','','8.1.8'),(3511,'America/Caracas','','8.1.8'),(3512,'America/Cayenne','','8.1.8'),(3513,'America/Cayman','','8.1.8'),(3514,'America/Chicago','','8.1.8'),(3515,'America/Chihuahua','','8.1.8'),(3516,'America/Costa Rica','','8.1.8'),(3517,'America/Creston','','8.1.8'),(3518,'America/Cuiaba','','8.1.8'),(3519,'America/Curacao','','8.1.8'),(3520,'America/Danmarkshavn','','8.1.8'),(3521,'America/Dawson','','8.1.8'),(3522,'America/Dawson Creek','','8.1.8'),(3523,'America/Denver','','8.1.8'),(3524,'America/Detroit','','8.1.8'),(3525,'America/Dominica','','8.1.8'),(3526,'America/Edmonton','','8.1.8'),(3527,'America/Eirunepe','','8.1.8'),(3528,'America/El Salvador','','8.1.8'),(3529,'America/Fortaleza','','8.1.8'),(3530,'America/Glace Bay','','8.1.8'),(3531,'America/Godthab','','8.1.8'),(3532,'America/Goose Bay','','8.1.8'),(3533,'America/Grand Turk','','8.1.8'),(3534,'America/Grenada','','8.1.8'),(3535,'America/Guadeloupe','','8.1.8'),(3536,'America/Guatemala','','8.1.8'),(3537,'America/Guayaquil','','8.1.8'),(3538,'America/Guyana','','8.1.8'),(3539,'America/Halifax','','8.1.8'),(3540,'America/Havana','','8.1.8'),(3541,'America/Hermosillo','','8.1.8'),(3542,'America/Indiana/Indianapolis','','8.1.8'),(3543,'America/Indiana/Knox','','8.1.8'),(3544,'America/Indiana/Marengo','','8.1.8'),(3545,'America/Indiana/Petersburg','','8.1.8'),(3546,'America/Indiana/Tell City','','8.1.8'),(3547,'America/Indiana/Vevay','','8.1.8'),(3548,'America/Indiana/Vincennes','','8.1.8'),(3549,'America/Indiana/Winamac','','8.1.8'),(3550,'America/Inuvik','','8.1.8'),(3551,'America/Iqaluit','','8.1.8'),(3552,'America/Jamaica','','8.1.8'),(3553,'America/Juneau','','8.1.8'),(3554,'America/Kentucky/Louisville','','8.1.8'),(3555,'America/Kentucky/Monticello','','8.1.8'),(3556,'America/Kralendijk','','8.1.8'),(3557,'America/La Paz','','8.1.8'),(3558,'America/Lima','','8.1.8'),(3559,'America/Los Angeles','','8.1.8'),(3560,'America/Lower Princes','','8.1.8'),(3561,'America/Maceio','','8.1.8'),(3562,'America/Managua','','8.1.8'),(3563,'America/Manaus','','8.1.8'),(3564,'America/Marigot','','8.1.8'),(3565,'America/Martinique','','8.1.8'),(3566,'America/Matamoros','','8.1.8'),(3567,'America/Mazatlan','','8.1.8'),(3568,'America/Menominee','','8.1.8'),(3569,'America/Merida','','8.1.8'),(3570,'America/Metlakatla','','8.1.8'),(3571,'America/Mexico City','','8.1.8'),(3572,'America/Miquelon','','8.1.8'),(3573,'America/Moncton','','8.1.8'),(3574,'America/Monterrey','','8.1.8'),(3575,'America/Montevideo','','8.1.8'),(3576,'America/Montserrat','','8.1.8'),(3577,'America/Nassau','','8.1.8'),(3578,'America/New York','','8.1.8'),(3579,'America/Nipigon','','8.1.8'),(3580,'America/Nome','','8.1.8'),(3581,'America/Noronha','','8.1.8'),(3582,'America/North Dakota/Beulah','','8.1.8'),(3583,'America/North Dakota/Center','','8.1.8'),(3584,'America/North Dakota/New Salem','','8.1.8'),(3585,'America/Ojinaga','','8.1.8'),(3586,'America/Panama','','8.1.8'),(3587,'America/Pangnirtung','','8.1.8'),(3588,'America/Paramaribo','','8.1.8'),(3589,'America/Phoenix','','8.1.8'),(3590,'America/Port of Spain','','8.1.8'),(3591,'America/Port-au-Prince','','8.1.8'),(3592,'America/Porto Velho','','8.1.8'),(3593,'America/Puerto Rico','','8.1.8'),(3594,'America/Rainy River','','8.1.8'),(3595,'America/Rankin Inlet','','8.1.8'),(3596,'America/Recife','','8.1.8'),(3597,'America/Regina','','8.1.8'),(3598,'America/Resolute','','8.1.8'),(3599,'America/Rio Branco','','8.1.8'),(3600,'America/Santa Isabel','','8.1.8'),(3601,'America/Santarem','','8.1.8'),(3602,'America/Santiago','','8.1.8'),(3603,'America/Santo Domingo','','8.1.8'),(3604,'America/Sao Paulo','','8.1.8'),(3605,'America/Scoresbysund','','8.1.8'),(3606,'America/Sitka','','8.1.8'),(3607,'America/St Barthelemy','','8.1.8'),(3608,'America/St Johns','','8.1.8'),(3609,'America/St Kitts','','8.1.8'),(3610,'America/St Lucia','','8.1.8'),(3611,'America/St Thomas','','8.1.8'),(3612,'America/St Vincent','','8.1.8'),(3613,'America/Swift Current','','8.1.8'),(3614,'America/Tegucigalpa','','8.1.8'),(3615,'America/Thule','','8.1.8'),(3616,'America/Thunder Bay','','8.1.8'),(3617,'America/Tijuana','','8.1.8'),(3618,'America/Toronto','','8.1.8'),(3619,'America/Tortola','','8.1.8'),(3620,'America/Vancouver','','8.1.8'),(3621,'America/Whitehorse','','8.1.8'),(3622,'America/Winnipeg','','8.1.8'),(3623,'America/Yakutat','','8.1.8'),(3624,'America/Yellowknife','','8.1.8'),(3625,'Antarctica/Casey','','8.1.8'),(3626,'Antarctica/Davis','','8.1.8'),(3627,'Antarctica/DumontDUrville','','8.1.8'),(3628,'Antarctica/Macquarie','','8.1.8'),(3629,'Antarctica/Mawson','','8.1.8'),(3630,'Antarctica/McMurdo','','8.1.8'),(3631,'Antarctica/Palmer','','8.1.8'),(3632,'Antarctica/Rothera','','8.1.8'),(3633,'Antarctica/Syowa','','8.1.8'),(3634,'Antarctica/Troll','','8.1.8'),(3635,'Antarctica/Vostok','','8.1.8'),(3636,'Arctic/Longyearbyen','','8.1.8'),(3637,'Asia/Aden','','8.1.8'),(3638,'Asia/Almaty','','8.1.8'),(3639,'Asia/Amman','','8.1.8'),(3640,'Asia/Anadyr','','8.1.8'),(3641,'Asia/Aqtau','','8.1.8'),(3642,'Asia/Aqtobe','','8.1.8'),(3643,'Asia/Ashgabat','','8.1.8'),(3644,'Asia/Baghdad','','8.1.8'),(3645,'Asia/Bahrain','','8.1.8'),(3646,'Asia/Baku','','8.1.8'),(3647,'Asia/Bangkok','','8.1.8'),(3648,'Asia/Beirut','','8.1.8'),(3649,'Asia/Bishkek','','8.1.8'),(3650,'Asia/Brunei','','8.1.8'),(3651,'Asia/Choibalsan','','8.1.8'),(3652,'Asia/Chongqing','','8.1.8'),(3653,'Asia/Colombo','','8.1.8'),(3654,'Asia/Damascus','','8.1.8'),(3655,'Asia/Dhaka','','8.1.8'),(3656,'Asia/Dili','','8.1.8'),(3657,'Asia/Dubai','','8.1.8'),(3658,'Asia/Dushanbe','','8.1.8'),(3659,'Asia/Gaza','','8.1.8'),(3660,'Asia/Harbin','','8.1.8'),(3661,'Asia/Hebron','','8.1.8'),(3662,'Asia/Ho Chi Minh','','8.1.8'),(3663,'Asia/Hong Kong','','8.1.8'),(3664,'Asia/Hovd','','8.1.8'),(3665,'Asia/Irkutsk','','8.1.8'),(3666,'Asia/Jakarta','','8.1.8'),(3667,'Asia/Jayapura','','8.1.8'),(3668,'Asia/Jerusalem','','8.1.8'),(3669,'Asia/Kabul','','8.1.8'),(3670,'Asia/Kamchatka','','8.1.8'),(3671,'Asia/Karachi','','8.1.8'),(3672,'Asia/Kashgar','','8.1.8'),(3673,'Asia/Kathmandu','','8.1.8'),(3674,'Asia/Khandyga','','8.1.8'),(3675,'Asia/Kolkata','','8.1.8'),(3676,'Asia/Krasnoyarsk','','8.1.8'),(3677,'Asia/Kuala Lumpur','','8.1.8'),(3678,'Asia/Kuching','','8.1.8'),(3679,'Asia/Kuwait','','8.1.8'),(3680,'Asia/Macau','','8.1.8'),(3681,'Asia/Magadan','','8.1.8'),(3682,'Asia/Makassar','','8.1.8'),(3683,'Asia/Manila','','8.1.8'),(3684,'Asia/Muscat','','8.1.8'),(3685,'Asia/Nicosia','','8.1.8'),(3686,'Asia/Novokuznetsk','','8.1.8'),(3687,'Asia/Novosibirsk','','8.1.8'),(3688,'Asia/Omsk','','8.1.8'),(3689,'Asia/Oral','','8.1.8'),(3690,'Asia/Phnom Penh','','8.1.8'),(3691,'Asia/Pontianak','','8.1.8'),(3692,'Asia/Pyongyang','','8.1.8'),(3693,'Asia/Qatar','','8.1.8'),(3694,'Asia/Qyzylorda','','8.1.8'),(3695,'Asia/Rangoon','','8.1.8'),(3696,'Asia/Riyadh','','8.1.8'),(3697,'Asia/Sakhalin','','8.1.8'),(3698,'Asia/Samarkand','','8.1.8'),(3699,'Asia/Seoul','','8.1.8'),(3700,'Asia/Shanghai','','8.1.8'),(3701,'Asia/Singapore','','8.1.8'),(3702,'Asia/Taipei','','8.1.8'),(3703,'Asia/Tashkent','','8.1.8'),(3704,'Asia/Tbilisi','','8.1.8'),(3705,'Asia/Tehran','','8.1.8'),(3706,'Asia/Thimphu','','8.1.8'),(3707,'Asia/Tokyo','','8.1.8'),(3708,'Asia/Ulaanbaatar','','8.1.8'),(3709,'Asia/Urumqi','','8.1.8'),(3710,'Asia/Ust-Nera','','8.1.8'),(3711,'Asia/Vientiane','','8.1.8'),(3712,'Asia/Vladivostok','','8.1.8'),(3713,'Asia/Yakutsk','','8.1.8'),(3714,'Asia/Yekaterinburg','','8.1.8'),(3715,'Asia/Yerevan','','8.1.8'),(3716,'Atlantic/Azores','','8.1.8'),(3717,'Atlantic/Bermuda','','8.1.8'),(3718,'Atlantic/Canary','','8.1.8'),(3719,'Atlantic/Cape Verde','','8.1.8'),(3720,'Atlantic/Faroe','','8.1.8'),(3721,'Atlantic/Madeira','','8.1.8'),(3722,'Atlantic/Reykjavik','','8.1.8'),(3723,'Atlantic/South Georgia','','8.1.8'),(3724,'Atlantic/St Helena','','8.1.8'),(3725,'Atlantic/Stanley','','8.1.8'),(3726,'Australia/Adelaide','','8.1.8'),(3727,'Australia/Brisbane','','8.1.8'),(3728,'Australia/Broken Hill','','8.1.8'),(3729,'Australia/Currie','','8.1.8'),(3730,'Australia/Darwin','','8.1.8'),(3731,'Australia/Eucla','','8.1.8'),(3732,'Australia/Hobart','','8.1.8'),(3733,'Australia/Lindeman','','8.1.8'),(3734,'Australia/Lord Howe','','8.1.8'),(3735,'Australia/Melbourne','','8.1.8'),(3736,'Australia/Perth','','8.1.8'),(3737,'Australia/Sydney','','8.1.8'),(3738,'Europe/Amsterdam','','8.1.8'),(3739,'Europe/Andorra','','8.1.8'),(3740,'Europe/Athens','','8.1.8'),(3741,'Europe/Belgrade','','8.1.8'),(3742,'Europe/Berlin','','8.1.8'),(3743,'Europe/Bratislava','','8.1.8'),(3744,'Europe/Brussels','','8.1.8'),(3745,'Europe/Bucharest','','8.1.8'),(3746,'Europe/Budapest','','8.1.8'),(3747,'Europe/Busingen','','8.1.8'),(3748,'Europe/Chisinau','','8.1.8'),(3749,'Europe/Copenhagen','','8.1.8'),(3750,'Europe/Dublin','','8.1.8'),(3751,'Europe/Gibraltar','','8.1.8'),(3752,'Europe/Guernsey','','8.1.8'),(3753,'Europe/Helsinki','','8.1.8'),(3754,'Europe/Isle of Man','','8.1.8'),(3755,'Europe/Istanbul','','8.1.8'),(3756,'Europe/Jersey','','8.1.8'),(3757,'Europe/Kaliningrad','','8.1.8'),(3758,'Europe/Kiev','','8.1.8'),(3759,'Europe/Lisbon','','8.1.8'),(3760,'Europe/Ljubljana','','8.1.8'),(3761,'Europe/London','','8.1.8'),(3762,'Europe/Luxembourg','','8.1.8'),(3763,'Europe/Madrid','','8.1.8'),(3764,'Europe/Malta','','8.1.8'),(3765,'Europe/Mariehamn','','8.1.8'),(3766,'Europe/Minsk','','8.1.8'),(3767,'Europe/Monaco','','8.1.8'),(3768,'Europe/Moscow','','8.1.8'),(3769,'Europe/Oslo','','8.1.8'),(3770,'Europe/Paris','','8.1.8'),(3771,'Europe/Podgorica','','8.1.8'),(3772,'Europe/Prague','','8.1.8'),(3773,'Europe/Riga','','8.1.8'),(3774,'Europe/Rome','','8.1.8'),(3775,'Europe/Samara','','8.1.8'),(3776,'Europe/San Marino','','8.1.8'),(3777,'Europe/Sarajevo','','8.1.8'),(3778,'Europe/Simferopol','','8.1.8'),(3779,'Europe/Skopje','','8.1.8'),(3780,'Europe/Sofia','','8.1.8'),(3781,'Europe/Stockholm','','8.1.8'),(3782,'Europe/Tallinn','','8.1.8'),(3783,'Europe/Tirane','','8.1.8'),(3784,'Europe/Uzhgorod','','8.1.8'),(3785,'Europe/Vaduz','','8.1.8'),(3786,'Europe/Vatican','','8.1.8'),(3787,'Europe/Vienna','','8.1.8'),(3788,'Europe/Vilnius','','8.1.8'),(3789,'Europe/Volgograd','','8.1.8'),(3790,'Europe/Warsaw','','8.1.8'),(3791,'Europe/Zagreb','','8.1.8'),(3792,'Europe/Zaporozhye','','8.1.8'),(3793,'Europe/Zurich','','8.1.8'),(3794,'Indian/Antananarivo','','8.1.8'),(3795,'Indian/Chagos','','8.1.8'),(3796,'Indian/Christmas','','8.1.8'),(3797,'Indian/Cocos','','8.1.8'),(3798,'Indian/Comoro','','8.1.8'),(3799,'Indian/Kerguelen','','8.1.8'),(3800,'Indian/Mahe','','8.1.8'),(3801,'Indian/Maldives','','8.1.8'),(3802,'Indian/Mauritius','','8.1.8'),(3803,'Indian/Mayotte','','8.1.8'),(3804,'Indian/Reunion','','8.1.8'),(3805,'Pacific/Apia','','8.1.8'),(3806,'Pacific/Auckland','','8.1.8'),(3807,'Pacific/Chatham','','8.1.8'),(3808,'Pacific/Chuuk','','8.1.8'),(3809,'Pacific/Easter','','8.1.8'),(3810,'Pacific/Efate','','8.1.8'),(3811,'Pacific/Enderbury','','8.1.8'),(3812,'Pacific/Fakaofo','','8.1.8'),(3813,'Pacific/Fiji','','8.1.8'),(3814,'Pacific/Funafuti','','8.1.8'),(3815,'Pacific/Galapagos','','8.1.8'),(3816,'Pacific/Gambier','','8.1.8'),(3817,'Pacific/Guadalcanal','','8.1.8'),(3818,'Pacific/Guam','','8.1.8'),(3819,'Pacific/Honolulu','','8.1.8'),(3820,'Pacific/Johnston','','8.1.8'),(3821,'Pacific/Kiritimati','','8.1.8'),(3822,'Pacific/Kosrae','','8.1.8'),(3823,'Pacific/Kwajalein','','8.1.8'),(3824,'Pacific/Majuro','','8.1.8'),(3825,'Pacific/Marquesas','','8.1.8'),(3826,'Pacific/Midway','','8.1.8'),(3827,'Pacific/Nauru','','8.1.8'),(3828,'Pacific/Niue','','8.1.8'),(3829,'Pacific/Norfolk','','8.1.8'),(3830,'Pacific/Noumea','','8.1.8'),(3831,'Pacific/Pago Pago','','8.1.8'),(3832,'Pacific/Palau','','8.1.8'),(3833,'Pacific/Pitcairn','','8.1.8'),(3834,'Pacific/Pohnpei','','8.1.8'),(3835,'Pacific/Port Moresby','','8.1.8'),(3836,'Pacific/Rarotonga','','8.1.8'),(3837,'Pacific/Saipan','','8.1.8'),(3838,'Pacific/Tahiti','','8.1.8'),(3839,'Pacific/Tarawa','','8.1.8'),(3840,'Pacific/Tongatapu','','8.1.8'),(3841,'Pacific/Wake','','8.1.8'),(3842,'Pacific/Wallis','','8.1.8'),(3843,'UTC','','8.1.8'),(3844,'Username or email address','','8.1.8'),(3845,'Password reset instructions will be sent to your registered email address.','','8.1.8'),(3846,'The term language code.','','8.1.8'),(3847,'This translation is published','','8.1.8'),(3848,'This translation is published','','8.1.8'),(3849,'Only this translation is published. You must publish at least one more translation to unpublish this one.','','8.1.8'),(3850,'Generate automatic URL alias','','8.1.8'),(3851,'Uncheck this to create a custom alias below. <a href=\"@admin_link\">Configure URL alias patterns.</a>','','8.1.8'),(3852,'1 minute@count minutes','','8.1.8'),(3853,'Menu links','','8.1.8'),(3854,'Array','','8.1.8'),(3855,'Original @entity','','8.1.8'),(3856,'Translation source node','','8.1.8'),(3857,'Root term','','8.1.8'),(3858,'Term count','','8.1.8'),(3859,'Extension','','8.1.8'),(3860,'File byte size','','8.1.8'),(3861,'Base name','','8.1.8'),(3862,'Display Name','','8.1.8'),(3863,'One-time login URL','','8.1.8'),(3864,'Account cancellation URL','','8.1.8'),(3865,'Account Name','','8.1.8'),(3866,'Deprecated: User Name','','8.1.8'),(3867,'Root','','8.1.8'),(3868,'Link ID','','8.1.8'),(3869,'Page number','','8.1.8'),(3870,'Query string value','','8.1.8'),(3871,'Absolute URL','','8.1.8'),(3872,'Relative URL','','8.1.8'),(3873,'Unaliased URL','','8.1.8'),(3874,'Brief URL','','8.1.8'),(3875,'Reversed','','8.1.8'),(3876,'Last','','8.1.8'),(3877,'Joined path','','8.1.8'),(3878,'First','','8.1.8'),(3879,'Keys','','8.1.8'),(3880,'Imploded','','8.1.8'),(3881,'Hash','','8.1.8'),(3882,'Menu link count','','8.1.8'),(3883,'Manage URL','','8.1.8'),(3884,'Unsubscribe URL','','8.1.8'),(3885,'Corresponding user','','8.1.8'),(3886,'Subscription URL','','8.1.8'),(3887,'Subscriber email','','8.1.8'),(3888,'Combined confirmation URL','','8.1.8'),(3889,'Newsletter URL','','8.1.8'),(3890,'Base table','','8.1.8'),(3891,'Page count','','8.1.8'),(3892,'Total rows','','8.1.8'),(3893,'Base field','','8.1.8'),(3894,'Order','Sort order','8.1.8'),(3895,'@title (value @number)','','8.1.8'),(3896,'The comment language code.','','8.1.8'),(3897,'Required if you want to change the %mail or %pass below. <a href=\":request_new_url\" title=\"Send password reset instructions via email.\">Reset your password</a>.','','8.1.8'),(3898,'This is also assumed to be the primary language of this account\'s profile information.','','8.1.8'),(3899,'This account\'s preferred language for emails.','','8.1.8'),(3900,'Site language','','8.1.8'),(3901,'Make it at least 12 characters','','8.1.8'),(3902,'Profile picture for user @username','','8.1.8'),(3903,'Parent permalink','','8.1.8'),(3904,'In reply to @parent_title by @parent_username','','8.1.8'),(3905,'Asia/Chita','','8.1.8'),(3906,'Asia/Srednekolymsk','','8.1.8'),(3907,'Pacific/Bougainville','','8.1.8'),(3908,'<p>Now that you have an overview of the \"Add languages\" feature, you can continue by:<ul><li>Adding a language</li><li>Adding a custom language</li><li><a href=\"[site:url]admin/config/regional/language\">Viewing configured languages</a></li></ul></p>','','8.2.6'),(3909,'<p>Now that you have an overview of the \"Edit language\" feature, you can continue by:<ul><li>Editing a language</li><li><a href=\"[site:url]admin/config/regional/language\">Viewing configured languages</a></li></ul></p>','','8.2.6'),(3910,'<p>Now that you have an overview of the \"Languages\" page, you can continue by:<ul><li><a href=\"[site:url]admin/config/regional/language/add\">Adding a language</a></li><li>Reordering languages</li><li>Editing a language</li><li>Deleting a language</li></ul></p>','','8.2.6'),(3911,'This page allows you to translate the user interface or modify existing translations. If you have installed your site initially in English, you must first add another language on the <a href=\"[site:url]admin/config/regional/language\">Languages page</a>, in order to use this page.','','8.2.6'),(3912,'The translations you have made here will be used on your site\'s user interface. If you want to use them on another site or modify them on an external translation editor, you can <a href=\"[site:url]admin/config/regional/translate/export\">export them</a> to a .po file and <a href=\"[site:url]admin/config/regional/translate/import\">import them</a> later.','','8.2.6'),(3913,'Logout','','8.6.2'),(3914,'Temporary','','8.3.5'),(3915,'Permanent','','8.3.5'),(3916,'Drupal 8 Mega Menu','','8.6.2'),(3917,'Luxestate','','8.6.2'),(3918,'Uninstall module','','8.6.2'),(3919,'Add a new user','','8.6.2'),(3920,'Add a new role','','8.6.2'),(3921,'Change records for Drupal core','','8.6.2'),(3922,'D8 API documentation','','8.6.2'),(3923,'Reinstall modules','','8.6.2'),(3924,'Rebuild menu','','8.6.2'),(3925,'Execute PHP Code','','8.6.2'),(3926,'Session viewer','','8.6.2'),(3927,'Form API field types','','8.6.2'),(3928,'List Of We Mega Menu Items','','8.6.2'),(3929,'Helper functions, pages, and blocks to assist Drupal developers. The devel blocks can be managed via the block administration page.','','8.6.2'),(3930,'Development menu','','8.6.2'),(3931,'@view: @display','','8.6.2'),(3932,'@type_label bundle','','8.6.2'),(3933,'Field Info','','8.6.2'),(3934,'PHPinfo()','','8.6.2'),(3935,'Cache clear','','8.6.2'),(3936,'Element Info','','8.6.2'),(3937,'Container Info','','8.6.2'),(3938,'Routes Info','','8.6.2'),(3939,'Current route info','','8.6.2'),(3940,'Events Info','','8.6.2'),(3941,'Edit configuration.','','8.6.2'),(3942,'Edit state system values.','','8.6.2'),(3943,'Flush CSS and Javascript','','8.6.2'),(3944,'Flush plugins cache','','8.6.2'),(3945,'Flush static cache','','8.6.2'),(3946,'Flush routing and links  cache','','8.6.2'),(3947,'Flush render cache','','8.6.2'),(3948,'Flush views cache','','8.6.2'),(3949,'Drupal 8 Mega Menu Configure','','8.6.2'),(3950,'Flush routing and links cache','','8.6.2'),(3951,'Flush twig cache','','8.6.2'),(3952,'Toolbar settings','','8.6.2'),(3953,'[user:display-name],\n\nThank you for registering at [site:name]. Your application for an account is currently pending approval. Once it has been approved, you will receive another email containing information about how to log in, set your password, and other details.\n\n--  [site:name] team','','8.8.2'),(3954,'There are no custom blocks available.','','8.8.2'),(3955,'No front page content has been created yet.<br/>Follow the <a target=\"_blank\" href=\"https://www.drupal.org/docs/user_guide/en/index.html\">User Guide</a> to start building your site.','','8.8.2');
/*!40000 ALTER TABLE `locales_source` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `locales_target`
--

DROP TABLE IF EXISTS `locales_target`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `locales_target` (
  `lid` int(11) NOT NULL DEFAULT 0 COMMENT 'Source string ID. References locales_source.lid.',
  `translation` blob NOT NULL COMMENT 'Translation string value in this language.',
  `language` varchar(12) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'Language code. References language.langcode.',
  `customized` int(11) NOT NULL DEFAULT 0 COMMENT 'Boolean indicating whether the translation is custom to this site.',
  PRIMARY KEY (`language`,`lid`),
  KEY `lid` (`lid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Stores translated versions of strings.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `locales_target`
--

LOCK TABLES `locales_target` WRITE;
/*!40000 ALTER TABLE `locales_target` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `locales_target` VALUES (1,'مفتوح','ar',0),(2,'إغلاق','ar',0),(8,'حدث خطأ أجاكس HTTP.','ar',0),(9,'نتيجة كود PHP: !status','ar',0),(10,'تم إنهاء طلب AJAX HTTP بشكل غير عادي.','ar',0),(11,'يليه معلومات التنقيح.','ar',0),(12,'المسار: !uri','ar',0),(13,'نص الحالة: !statusText','ar',0),(14,'ResponseText: !responseText','ar',0),(15,'ReadyState: !readyState','ar',0),(17,'يرجى الانتظار...','ar',0),(22,'تمديد','ar',0),(23,'طي','ar',0),(29,'مغلق','ar',0),(39,'الرئيسية','ar',0),(41,'موافق','ar',0),(47,'حفظ','ar',0),(50,'الكلمات المفتاحية','ar',0),(52,'إعادة ترتيب السطور حسب وزن رقمي بدلا من سحبها.','ar',0),(53,'إظهار أوزان الأسطر','ar',0),(54,'إخفاء أوزان السطور','ar',0),(55,'اسحب لتغير الترتيب','ar',0),(57,'الصورة','ar',0),(58,'رابط','ar',0),(61,'حذف','ar',0),(62,'التطوير','ar',0),(63,'الإدارة','ar',0),(64,'الأنواع','ar',0),(65,'الإعدادات','ar',0),(66,'تحديث','ar',0),(67,'القائمة','ar',0),(68,'دروبال','ar',0),(69,'الأدوار','ar',0),(70,'إزالة','ar',0),(71,'الأدوات','ar',0),(72,'أضف مستخدما','ar',0),(73,'أضف قائمة','ar',0),(74,'خروج','ar',0),(75,'الصلاحيات','ar',0),(76,'إضافة معجم','ar',0),(77,'تسيير الحقول','ar',0),(78,'الفهرس','ar',0),(79,'أضف دورا','ar',0),(80,'حول','ar',0),(81,'تشغيل مجدول الأعمال (كرون)','ar',0),(82,'Drupal.org','ar',0),(83,'إضافة رابط','ar',0),(84,'إضافة نوع محتوى','ar',0),(85,'اكتمل مجدول الأعمال (كرون) بنجاح.','ar',0),(86,'تسيير العرض','ar',0),(87,'تثبيت وحدة جديدة','ar',0),(88,'تثبيت حلة جديدة','ar',0),(89,'إضافة رؤية جديدة','ar',0),(90,'الاستمارات','ar',0),(91,'واجهة المستخدم','ar',0),(92,'العنوان','ar',0),(93,'المتن','ar',0),(94,'التالي','ar',0),(95,'الصفحات','ar',0),(96,'حفظ الإعدادات','ar',0),(97,'حذف','ar',0),(98,'الحالة','ar',0),(99,'التسجيل','ar',0),(100,'أنشئ حساب مستخدم جديد.','ar',0),(101,'سابقة','ar',0),(102,'لاحقة','ar',0),(103,'الموافقة','ar',0),(104,'إضافة','ar',0),(105,'عمليات','ar',0),(106,'المحتوى','ar',0),(107,'القيمة','ar',0),(108,'اسم المستخدم','ar',0),(109,'عنوان البريد الإلكتروني','ar',0),(110,'مجموعات','ar',0),(111,'المجموعة','ar',0),(112,'النوع','ar',0),(113,'المؤلف','ar',0),(114,'الردود','ar',0),(115,'مغلق','ar',0),(116,'نعم','ar',0),(117,'لائحة','ar',0),(118,'الموضوع','ar',0),(119,'الإجراءات','ar',0),(120,'معطَّل','ar',0),(121,'تأكيد','ar',0),(122,'إلغاء','ar',0),(123,'حذف','ar',0),(124,'آخر تعليق','ar',0),(125,'الوصف','ar',0),(126,'اللغة','ar',0),(127,'المزيد','ar',0),(128,'تفعيل','ar',0),(129,'تعطيل','ar',0),(130,'الشرح أو توجيهات الإرسال','ar',0),(131,'مقال','ar',0),(132,'معطل','ar',0),(133,'مفعل','ar',0),(134,'تذييل','ar',0),(135,'التعليقات','ar',0),(136,'المزيد','ar',0),(137,'لم يتم التحقق','ar',0),(138,'إجراء','ar',0),(139,'آخر تحديث','ar',0),(140,'في','ar',0),(141,'جديد','ar',0),(142,'وسوم','ar',0),(143,'عنوان الصندوق','ar',0),(144,'عنوان الصندوق كما يظهر للمستخدم.','ar',0),(145,'التصنيف','ar',0),(146,'نعم','ar',0),(147,'لا','ar',0),(148,'أنواع المحتوى','ar',0),(149,'الصفحة الأولى','ar',0),(150,'الصفحة الرئيسية','ar',0),(151,'تحميل','ar',0),(152,'عرض','ar',0),(153,'التحديث','ar',0),(154,'نظرة عامة','ar',0),(155,'معلومات الملف','ar',0),(156,'ملف','ar',0),(157,'الخيارات المتقدمة','ar',0),(158,'ملاحظات النسخة','ar',0),(159,'تحرير','ar',0),(160,'التاريخ','ar',0),(161,'الحجم','ar',0),(162,'روابط','ar',0),(163,'بحث','ar',0),(164,'إعادة الضبط','ar',0),(165,'يوميًا','ar',0),(166,'أسبوعيًا','ar',0),(167,'لا شيء','ar',0),(168,'إعدادات العرض','ar',0),(169,'لا يمكن التراجع عن هذة العملية.','ar',0),(170,'الاختبار','ar',0),(171,'رقم','ar',0),(172,'الرسالة','ar',0),(173,'لا توجد رسائل سجل.','ar',0),(174,'كلمة المرور','ar',0),(175,'إعدادات الصناديق','ar',0),(176,'- لا شيء -','ar',0),(177,'الدولة','ar',0),(178,'الوزن','ar',0),(179,'تم حفظ خيارات الضبط.','ar',0),(180,'المركز','ar',0),(181,'نص المساعدة','ar',0),(182,'التدرج','ar',0),(183,'متعدد','ar',0),(184,'ضروري','ar',0),(185,'جذر','ar',0),(186,'الأب','ar',0),(187,'الصفحات في مستو واحد ترتب بالوزن أولا، ثم بالعنوان.','ar',0),(188,'العمق','ar',0),(189,'التصنيف','ar',0),(190,'أضف حاوية','ar',0),(191,'التلقيمة','ar',0),(192,'الاسم','ar',0),(193,'تحرير الحاوية','ar',0),(194,'تحرير','ar',0),(195,'الذهاب إلى الصفحة السابقة','ar',0),(196,'الذهاب إلى الصفحة الأم','ar',0),(197,'الذهاب إلى الصفحة التالية','ar',0),(198,'استيراد','ar',0),(199,'الوثيقة','ar',0),(200,'تصدير','ar',0),(201,'مصطلح تصنيف','ar',0),(202,'إعدادات','ar',0),(203,'معرف العقدة','ar',0),(204,'الحقل','ar',0),(205,'الهيكل','ar',0),(206,'ترويسة','ar',0),(207,'التسمية','ar',0),(208,'معاينة','ar',0),(209,'تم فتح جلسة لـ%name.','ar',0),(210,'المساعدة','ar',0),(211,'إعدادات الصورة','ar',0),(212,'صحيح','ar',0),(213,'خطأ','ar',0),(214,'الافتراضي','ar',0),(215,'الملخص','ar',0),(216,'الأحد','ar',0),(217,'الاثنين','ar',0),(218,'الثلاثاء','ar',0),(219,'الأربعاء','ar',0),(220,'الخميس','ar',0),(221,'الجمعة','ar',0),(222,'السبت','ar',0),(223,'النواة','ar',0),(224,'مرتفعة','ar',0),(225,'منخفض','ar',0),(226,'الأرشيف','ar',0),(227,'أيقونة','ar',0),(228,'إضافة جديد','ar',0),(229,'الوقت','ar',0),(230,'الرؤى','ar',0),(231,'إضافة','ar',0),(232,'عرض','ar',0),(233,'الطول','ar',0),(234,'التنسيق','ar',0),(235,'الأرشيف','ar',0),(236,'العنوان URL','ar',0),(237,'المسار','ar',0),(238,'اسم الملف','ar',0),(239,'المعاجم','ar',0),(240,'الوحدات','ar',0),(241,'امسح الفهرس','ar',0),(242,'النقاش العام','ar',0),(243,'تحرير المنتدى','ar',0),(244,'اسم المنتدى','ar',0),(245,'منتدى','ar',0),(246,'تسيير','ar',0),(247,'تحديث','ar',0),(248,'المنطقة','ar',0),(249,'مرئي','ar',0),(250,'المرساة','ar',0),(251,'العرض','ar',0),(252,'نوع العقدة','ar',0),(253,'إعدادات متقدمة','ar',0),(254,'موجز','ar',0),(255,'أبدا','ar',0),(256,'التحديث','ar',0),(257,'نص','ar',0),(258,'حلة','ar',0),(259,'مجمع','ar',0),(260,'معدل التحديث','ar',0),(261,'مسار التلقيمة بالكامل.','ar',0),(262,'أضف منتدى','ar',0),(263,'إضافة مصطلح','ar',0),(264,'الختم الزمني','ar',0),(265,'إعدادات سجل الوصول','ar',0),(266,'معاينة التعليق','ar',0),(267,'الإحصائيات','ar',0),(268,'البحث المتقدم','ar',0),(269,'غير مسموح لك بالوصول إلى هذه الصفحة.','ar',0),(270,'غير معروف','ar',0),(271,'المرفق','ar',0),(272,'غير متوفر','ar',0),(273,'رفع','ar',0),(274,'الصورة','ar',0),(275,'نوع قاعدة البيانات','ar',0),(276,'نوع المحتوى','ar',0),(277,'متابعة','ar',0),(278,'ضبط','ar',0),(279,'البريد الإلكتروني','ar',0),(280,'الملفات','ar',0),(281,'معرف المستخدم','ar',0),(282,'خطأ','ar',0),(283,'الخيارات','ar',0),(284,'اتصل','ar',0),(285,'لا','ar',0),(286,'مستخدم جديد: %name %email.','ar',0),(287,'الإنشاء','ar',0),(288,'العقدة','ar',0),(289,'أُرسل البريد إلى %recipient','ar',0),(290,'تعذّر إرسال البريد إلى %recipient','ar',0),(291,'موضوع الرسالة.','ar',0),(292,'أنشئ','ar',0),(293,'إقصاء','ar',0),(294,'مصطلح','ar',0),(295,'موسع','ar',0),(296,'رابط أم','ar',0),(297,'أضف صفحة فرعية','ar',0),(298,'نسخة للطباعة','ar',0),(299,'نوع المحتوى للصفحات الفرعية','ar',0),(300,'خيارات التحديث','ar',0),(301,'احذف من هيكل الوثيقة','ar',0),(302,'صيغة تصدير غير معروفة.','ar',0),(303,'الكل','ar',0),(304,'نشط','ar',0),(305,'تمّ','ar',0),(306,'آخر موضوع','ar',0),(307,'الوصول مرفوض','ar',0),(308,'السنة','ar',0),(309,'تنسيق التاريخ','ar',0),(310,'إضافة محتوى','ar',0),(311,'عنوان الصفحة','ar',0),(312,'الصندوق','ar',0),(313,'تجاوز العنوان','ar',0),(314,'الصفحة','ar',0),(315,'آر.إس.إس','ar',0),(316,'ساعة واحدةأقل من ساعةساعتين@count ساعات@count ساعة@count ساعة','ar',0),(317,'يوم واحدأقل من يوميومين@count أيام@count يوما@count يوم','ar',0),(318,'تم حفظ الإعدادات.','ar',0),(319,'الوسوم','ar',0),(320,'الشعار','ar',0),(321,'اسم الموقع','ar',0),(322,'شعار الموقع','ar',0),(323,'جيد','ar',0),(324,'إعدادات المستخدم','ar',0),(325,'غير موجود','ar',0),(326,'PHP','ar',0),(327,'المستضيف','ar',0),(328,'PostgreSQL','ar',0),(329,'التحديثات المتوفرة','ar',0),(330,'التماس يدوي للتحديثات','ar',0),(331,'أبدا','ar',0),(332,'التحقق يدوياً','ar',0),(333,'محَدَّث','ar',0),(334,'يوجد تحديث','ar',0),(335,'حالة تحديث قلب دروبال','ar',0),(336,'قديم','ar',0),(337,'الترويسة','ar',0),(338,'العمود الجانبي اﻷيسر','ar',0),(339,'العمود الجانبي اﻷيمن','ar',0),(340,'التذييل','ar',0),(341,'داخل المحتوى','ar',0),(342,'المتسلمون','ar',0),(343,'محدد','ar',0),(344,'اسمك','ar',0),(345,'رابط القائمة','ar',0),(346,'إلى','ar',0),(347,'وصف التلقيم','ar',0),(348,'مخصص','ar',0),(349,'الرؤية','ar',0),(350,'معرف المراجعة','ar',0),(351,'التعليق','ar',0),(352,'معرف التعليق','ar',0),(353,'اسم المستضيف','ar',0),(354,'منشور','ar',0),(355,'التوقيع','ar',0),(356,'انتقاء','ar',0),(357,'الموضع','ar',0),(358,'المحليات','ar',0),(359,'لافتة حقل العنوان','ar',0),(360,'مرقّى إلى الصفحة الرئيسية','ar',0),(361,'مُثَبَّت أعلى القوائم','ar',0),(362,'المراجعات','ar',0),(363,'بديل المسار','ar',0),(364,'معرف الملف','ar',0),(365,'اسم الملف','ar',0),(366,'حجم الملف','ar',0),(367,'المعجم','ar',0),(368,'المعرف ID للمعجم','ar',0),(369,'اسم المعجم','ar',0),(370,'المصطلح','ar',0),(371,'معرف الوسم','ar',0),(372,'اسم الدور','ar',0),(373,'آخر وصول','ar',0),(374,'آخر تسجيل للدخول','ar',0),(375,'النطاق الزمني','ar',0),(376,'الحدة','ar',0),(377,'اسم الحقل','ar',0),(378,'نوع الحقل','ar',0),(379,'إعدادات عامة','ar',0),(380,'الحقول','ar',0),(381,'نوع الويدجة','ar',0),(382,'يحتوي','ar',0),(383,'العدد','ar',0),(384,'متجاوز','ar',0),(385,'اسم المجموعة','ar',0),(386,'الصورة الأصلية','ar',0),(387,'الترويسة','ar',0),(388,'إعدادات البحث','ar',0),(389,'النمط','ar',0),(390,'تحذير','ar',0),(391,'ممنوع','ar',0),(392,'نشط','ar',0),(393,'غير موجود','ar',0),(394,'تلقيمة أو.بي.إم.إل','ar',0),(395,'عدد عناصر الأخبار في الصندوق','ar',0),(396,'اعرض آخر أخبار هذه التلقيمة.','ar',0),(397,'عرض عام للتلقيمات','ar',0),(398,'أخبار','ar',0),(399,'آخر تحديث','ar',0),(400,'التحديث القادم','ar',0),(401,'منذ %time','ar',0),(402,'باقي %time','ar',0),(403,'العقد','ar',0),(404,'ألّفه','ar',0),(405,'متقدم','ar',0),(406,'تم تحديث تلقيمة %feed.','ar',0),(407,'تمت إضافة تلقيمة %feed.','ar',0),(408,'تمت إضافة تلقيمة %feed.','ar',0),(409,'الترتيب','ar',0),(410,'اعلى','ar',0),(411,'الأداء','ar',0),(412,'العرض','ar',0),(413,'الارتفاع','ar',0),(414,'حقل نص','ar',0),(415,'أقصى قيمة','ar',0),(416,'توسيع النطاق','ar',0),(417,'متوسط','ar',0),(418,'ميديا','ar',0),(419,'نص عادي','ar',0),(420,'التخزين المؤقت','ar',0),(421,'بالشهر','ar',0),(422,'التفاصيل','ar',0),(423,'ودجة','ar',0),(424,'آخر رد','ar',0),(425,'السابق','ar',0),(426,'النظام','ar',0),(427,'النطاق','ar',0),(428,'المعالجات','ar',0),(429,'غير محدود','ar',0),(430,'تنازلي','ar',0),(431,'أدخل اسم مستخدم صحيح.','ar',0),(432,'المالك','ar',0),(433,'المتسلم','ar',0),(434,'أو','ar',0),(435,'أضف دورا إلى المستخدمين المختارين','ar',0),(436,'احذف دورا من المستخدمين المختارين','ar',0),(437,'عقدة','ar',0),(438,'إدارة المحتوى','ar',0),(439,'عام','ar',0),(440,'الطريقة','ar',0),(441,'مصر','ar',0),(442,'ناميبيا','ar',0),(443,'إسرائيل','ar',0),(444,'إيران','ar',0),(445,'نيوزيلندا','ar',0),(446,'تونجا','ar',0),(447,'كوبا','ar',0),(448,'البرازيل','ar',0),(449,'تشيلي','ar',0),(450,'باراجواي','ar',0),(451,'جامايكا','ar',0),(452,'اليابان','ar',0),(453,'ليبيا','ar',0),(454,'بولندا','ar',0),(455,'البرتغال','ar',0),(456,'سنغافورة','ar',0),(457,'تركيا','ar',0),(458,'باليوم','ar',0),(459,'جدول','ar',0),(460,'إثنين','ar',0),(461,'ثلاثاء','ar',0),(462,'أربعاء','ar',0),(463,'خميس','ar',0),(464,'جمعة','ar',0),(465,'سبت','ar',0),(466,'أحد','ar',0),(467,'مايو','ar',0),(468,'ص','ar',0),(469,'م','ar',0),(470,'المنتدى','ar',0),(471,'الإعدادات','ar',0),(472,'آخر','ar',0),(473,'لون الخلفية','ar',0),(474,'لون النص','ar',0),(475,'الإبحار','ar',0),(476,'الأساسي','ar',0),(477,'اللون','ar',0),(478,'المظهر','ar',0),(479,'الدور','ar',0),(480,'اسمح','ar',0),(481,'دخول المستخدم','ar',0),(482,'تسجيل الدخول','ar',0),(483,'تم تحديث مسار تلقيمة %title إلى %url.','ar',0),(484,'إضافة تعليق جديد','ar',0),(485,'المقطع','ar',0),(486,'شكل الحروف','ar',0),(487,'خارجي','ar',0),(488,'المستخدمين','ar',0),(489,'غير مركب','ar',0),(490,'أحال إليه','ar',0),(491,'@site حاليا تحت الصيانة. يعود قريبا. شكرا على صبرك.','ar',0),(492,'الصفحة الرئيسية الافتراضية','ar',0),(493,'أقصى طول','ar',0),(494,'صفوف','ar',0),(495,'حفظ التغييرات','ar',0),(496,'مجهول','ar',0),(497,'تثبيت','ar',0),(498,'تحرير الرؤية','ar',0),(499,'إدارة الرؤى','ar',0),(500,'تصاعديا','ar',0),(501,'تنازليا','ar',0),(502,'خيار','ar',0),(503,'المتغيرات','ar',0),(504,'العامل','ar',0),(505,'المرشحات','ar',0),(506,'اختياري','ar',0),(507,'المرشحات المكشوفة','ar',0),(508,'الترتيب','ar',0),(509,'Views UI','ar',0),(510,'أحدث التعليقات','ar',0),(511,'عشوائي','ar',0),(512,'غير مصنف','ar',0),(513,'الوضع','ar',0),(514,'عدد صحيح','ar',0),(515,'العنوان IP','ar',0),(516,'النموذج','ar',0),(517,'تم حذف التعليق و كل الردود عليه.','ar',0),(518,'منسق مسبقا','ar',0),(519,'المستخدمون المجهولون','ar',0),(520,'مسح ذاكرة التخزين المؤقت','ar',0),(521,'خانات','ar',0),(522,'حفظ الإعدادات','ar',0),(523,'انتهت جلسة %name.','ar',0),(524,'المتتبع','ar',0),(525,'الوضعيات الافتراضية','ar',0),(526,'ألمانيا','ar',0),(527,'الترتيب حسب','ar',0),(528,'واحد جديدلا جديداثنان جديدان@count جدد@count جديدا@count جديد','ar',0),(529,'اللغة الافتراضية','ar',0),(530,'شرط','ar',0),(531,'أفغانستان','ar',0),(532,'ألبانيا','ar',0),(533,'الجزائر','ar',0),(534,'ساموا الأمريكية','ar',0),(535,'أندورا','ar',0),(536,'أنغولا','ar',0),(537,'أنغويلا','ar',0),(538,'القطب الجنوبي','ar',0),(539,'أنتيغوا وبربودا','ar',0),(540,'الأرجنتين','ar',0),(541,'أرمينيا','ar',0),(542,'أروبا','ar',0),(543,'أستراليا','ar',0),(544,'النمسا','ar',0),(545,'أذربيجان','ar',0),(546,'الباهامس','ar',0),(547,'البحرين','ar',0),(548,'بنغلادش','ar',0),(549,'باربادوس','ar',0),(550,'بيلاروسيا','ar',0),(551,'بلجيكا','ar',0),(552,'بيليز','ar',0),(553,'بينين','ar',0),(554,'برمودا','ar',0),(555,'بوتان','ar',0),(556,'بوليفيا','ar',0),(557,'البوسنة والهرسك','ar',0),(558,'بوتسوانا','ar',0),(559,'جزيرة بوفيه','ar',0),(560,'بروناي','ar',0),(561,'بلغاريا','ar',0),(562,'بوركينا فاسو','ar',0),(563,'بوروندي','ar',0),(564,'كمبوديا','ar',0),(565,'الكاميرون','ar',0),(566,'كندا','ar',0),(567,'الرأس الأخضر','ar',0),(568,'جزر الكايمان','ar',0),(569,'جمهورية إفريقيا الوسطى','ar',0),(570,'تشاد','ar',0),(571,'الصين','ar',0),(572,'جزيرة الكريسماس','ar',0),(573,'كولومبيا','ar',0),(574,'جزر القمر','ar',0),(575,'جزر كووك','ar',0),(576,'كوستاريكا','ar',0),(577,'قبرص','ar',0),(578,'جمهورية التشيك','ar',0),(579,'الدانمارك','ar',0),(580,'جيبوتي','ar',0),(581,'دومينيكا','ar',0),(582,'جمهورية الدومينيكان','ar',0),(583,'الإكوادور','ar',0),(584,'السلفادور','ar',0),(585,'غينيا الإستوائية','ar',0),(586,'اريتريا','ar',0),(587,'إستونيا','ar',0),(588,'إثيوبيا','ar',0),(589,'جزر فارو','ar',0),(590,'فنلندا','ar',0),(591,'فرنسا','ar',0),(592,'غويانا الفرنسية','ar',0),(593,'بولينيزيا الفرنسية','ar',0),(594,'الغابون','ar',0),(595,'غامبيا','ar',0),(596,'جورجيا','ar',0),(597,'غانا','ar',0),(598,'جبل طارق','ar',0),(599,'اليونان','ar',0),(600,'غرينلاند','ar',0),(601,'غرينادا','ar',0),(602,'غواديلوب','ar',0),(603,'غوام','ar',0),(604,'غواتيمالا','ar',0),(605,'غينيا','ar',0),(606,'غينيا-بيساو','ar',0),(607,'غوايانا','ar',0),(608,'هاييتي','ar',0),(609,'جزيرة هيرد وجزر ماكدونالد','ar',0),(610,'الهندوراس','ar',0),(611,'هنغاريا','ar',0),(612,'آيسلندا','ar',0),(613,'الهند','ar',0),(614,'أندونيسيا','ar',0),(615,'العراق','ar',0),(616,'ايرلندا','ar',0),(617,'إيطاليا','ar',0),(618,'الأردن','ar',0),(619,'كازاخستان','ar',0),(620,'كينيا','ar',0),(621,'كيريباتي','ar',0),(622,'الكويت','ar',0),(623,'قيرغيزستان','ar',0),(624,'لاوس','ar',0),(625,'لاتفيا','ar',0),(626,'لبنان','ar',0),(627,'ليسوتو','ar',0),(628,'ليبيريا','ar',0),(629,'ليختنشتاين','ar',0),(630,'ليتوانيا','ar',0),(631,'لكسمبورغ','ar',0),(632,'مدغشقر','ar',0),(633,'الملاوي','ar',0),(634,'ماليزيا','ar',0),(635,'المالديف','ar',0),(636,'مالي','ar',0),(637,'مالطا','ar',0),(638,'جزر مارشال','ar',0),(639,'المارتينيك','ar',0),(640,'موريتانيا','ar',0),(641,'موريشيوس','ar',0),(642,'مايوت','ar',0),(643,'المكسيك','ar',0),(644,'ميكرونيزيا','ar',0),(645,'مولدوفا','ar',0),(646,'موناكو','ar',0),(647,'منغوليا','ar',0),(648,'مونتسيرات','ar',0),(649,'المغرب','ar',0),(650,'موزمبيق','ar',0),(651,'ناورو','ar',0),(652,'نيبال','ar',0),(653,'هولندا','ar',0),(654,'جزر الأنتيل الهولندية','ar',0),(655,'كاليدونيا الجديدة','ar',0),(656,'نيكاراغوا','ar',0),(657,'النيجر','ar',0),(658,'نيجيريا','ar',0),(659,'نيوي','ar',0),(660,'جزيرة نورفولك','ar',0),(661,'كوريا الشمالية','ar',0),(662,'جزر ماريانا الشمالية','ar',0),(663,'النرويج','ar',0),(664,'عمان','ar',0),(665,'باكستان','ar',0),(666,'بالاو','ar',0),(667,'بنما','ar',0),(668,'بابوا غينيا الجديدة','ar',0),(669,'البيرو','ar',0),(670,'بورتو ريكو','ar',0),(671,'قطر','ar',0),(672,'رومانيا','ar',0),(673,'روسيا','ar',0),(674,'رواندا','ar',0),(675,'ساموا','ar',0),(676,'سان مارينو','ar',0),(677,'المملكة العربية السعودية','ar',0),(678,'السنغال','ar',0),(679,'سيشل','ar',0),(680,'سيراليون','ar',0),(681,'سلوفاكيا','ar',0),(682,'سلوفينيا','ar',0),(683,'جزر سليمان','ar',0),(684,'الصومال','ar',0),(685,'جنوب أفريقيا','ar',0),(686,'جورجيا الجنوبية وجزر ساندويتش الجنوبية','ar',0),(687,'إسبانيا','ar',0),(688,'سيريلانكا','ar',0),(689,'السودان','ar',0),(690,'سورينام','ar',0),(691,'سفالبارد وجان ماين','ar',0),(692,'سوازيلاند','ar',0),(693,'السويد','ar',0),(694,'سويسرا','ar',0),(695,'سوريا','ar',0),(696,'تايوان','ar',0),(697,'طاجكستان','ar',0),(698,'تنزانيا','ar',0),(699,'تايلاند','ar',0),(700,'توغو','ar',0),(701,'توكيلاو','ar',0),(702,'ترينيداد وتوباغو','ar',0),(703,'تونس','ar',0),(704,'تركمانستان','ar',0),(705,'جزر تيركس وكايكوس','ar',0),(706,'توفالو','ar',0),(707,'أوغندا','ar',0),(708,'أوكرانيا','ar',0),(709,'الإمارات العربية المتحدة','ar',0),(710,'المملكة المتحدة','ar',0),(711,'الولايات المتحدة الأمريكية','ar',0),(712,'أوروغواي','ar',0),(713,'أوزبكستان','ar',0),(714,'فانواتو','ar',0),(715,'فنزويلا','ar',0),(716,'واليس وفوتونا','ar',0),(717,'اليمن','ar',0),(718,'زامبيا','ar',0),(719,'زيمبابوي','ar',0),(720,'اسم مستخدم قاعدة البيانات','ar',0),(721,'كلمة مرور قاعدة البيانات','ar',0),(722,'اسم قاعدة البيانات','ar',0),(723,'منفذ','ar',0),(724,'حجم حقل النص','ar',0),(725,'معلومات التاليف','ar',0),(726,'أُنشِئ يوم','ar',0),(727,'دعها فارغة ل%anonymous.','ar',0),(728,'مخفي','ar',0),(729,'غير معرف','ar',0),(730,'عرض','ar',0),(731,'سجل النظام','ar',0),(732,'المفتاح','ar',0),(733,'عربية','ar',0),(734,'إنجليزية','ar',0),(735,'فرنسية','ar',0),(736,'إيطالية','ar',0),(737,'أسبانية','ar',0),(738,'يابانية','ar',0),(739,'كورية','ar',0),(740,'حرر المفردة','ar',0),(741,'استيراد OPML','ar',0),(742,'ملف OPML','ar',0),(743,'وسوم إتش.تي.إم.إل المسموح بها','ar',0),(744,'المصادر','ar',0),(745,'خبر واحدلا أخبارخبران@count أخبار@count خبرا@count خبر','ar',0),(746,'لم تختر أي عناصر.','ar',0),(747,'تم التحديث.','ar',0),(748,'المتصفّح','ar',0),(749,'عرض ملف المستخدم.','ar',0),(750,'العناوين فقط','ar',0),(751,'كامل المتن','ar',0),(752,'منشور','ar',0),(753,'تم حفظ التغييرات.','ar',0),(754,'تراجع','ar',0),(755,'مسجل بالموقع منذ','ar',0),(756,'منذ @time','ar',0),(757,'لا مستخدمين مختارين.','ar',0),(758,'اختر كل الصفوف في هذا الجدول','ar',0),(759,'ألغ اختيار كل الصفوف في هذا الجدول','ar',0),(760,'نتائج البحث','ar',0),(761,'من فضلك أدخل بعض الكلمات المفتاحية.','ar',0),(762,'الصفحة الرئيسية','ar',0),(763,'نماذج الاستبدال','ar',0),(764,'محذوف','ar',0),(765,'اللغات','ar',0),(766,'المناقشات','ar',0),(767,'المناقشة','ar',0),(768,'تعريف','ar',0),(769,'قائمة القيم المسموح بها','ar',0),(770,'حجم حقل النص','ar',0),(771,'اليوم','ar',0),(772,'تحرير القائمة','ar',0),(773,'احذف القائمة','ar',0),(774,'خيارات النشر','ar',0),(775,'أنشئ نسخة جديدة','ar',0),(776,'أقل ارتفاع','ar',0),(777,'أقل عرض','ar',0),(778,'إعدادات المحلية','ar',0),(779,'ضبط الصندوق','ar',0),(780,'عدد العناصر التي ستعرض في قائمة \"اليوم\".','ar',0),(781,'يناير','ar',0),(782,'فبراير','ar',0),(783,'مارس','ar',0),(784,'أبريل','ar',0),(785,'يونيو','ar',0),(786,'يوليو','ar',0),(787,'أغسطس','ar',0),(788,'سبتمبر','ar',0),(789,'أكتوبر','ar',0),(790,'نوفمبر','ar',0),(791,'ديسمبر','ar',0),(792,'الساعة','ar',0),(793,'لائحة الخيارات','ar',0),(794,'خانة نصية','ar',0),(795,'النعومة','ar',0),(796,'المحتوى','ar',0),(797,'المحاذاة','ar',0),(798,'ضبط الصلاحيات','ar',0),(799,'سيرة العمل','ar',0),(800,'عشوائي','ar',0),(801,'مؤلف','ar',0),(802,'الكيان','ar',0),(803,'و','ar',0),(804,'استرجع','ar',0),(805,'نفي','ar',0),(806,'فارغ','ar',0),(807,'مسار نظام موجود سابقا','ar',0),(808,'مسار بديل','ar',0),(809,'أكبر من','ar',0),(810,'أصغر من','ar',0),(811,'إعلام','ar',0),(812,'عدد أشهر ما عرض اليوم','ar',0),(813,'عدد أشهر ما عرض في عمر الموقع','ar',0),(814,'عدد أحدث ما عرض','ar',0),(815,'الأحرف','ar',0),(816,'الأحد','ar',0),(817,'الإثنين','ar',0),(818,'الثلاثاء','ar',0),(819,'الأربعاء','ar',0),(820,'الخميس','ar',0),(821,'الجمعة','ar',0),(822,'السبت','ar',0),(823,'أول يوم في الأسبوع','ar',0),(824,'اليسار','ar',0),(825,'اليمين','ar',0),(826,'أُرسلت رسالتك.','ar',0),(827,'إنشاء حساب جديد','ar',0),(828,'معلومات','ar',0),(829,'الأشخاص','ar',0),(830,'أُنشأت المفردة الجديدة %term.','ar',0),(831,'تم حذف المصطلح %name.','ar',0),(832,'معلومات الموقع','ar',0),(833,'ممنوع','ar',0),(834,'المرشحات المفعلة','ar',0),(835,'أو','ar',0),(836,'تحويل','ar',0),(837,'اسرد المفردات','ar',0),(838,'حذف مفردة يحذف كل المفردات تحتها. لا يمكن الرجوع عن هذا العمل.','ar',0),(839,'مفردة أم','ar',0),(840,'مفردات أم','ar',0),(841,'تلقيم','ar',0),(842,'الوثائق','ar',0),(843,'المنتديات','ar',0),(844,'القاموس','ar',0),(845,'نص علوي','ar',0),(846,'مراجعات %title','ar',0),(847,'مراجعة','ar',0),(848,'كلمتا السر غير متطابقين.','ar',0),(849,'الجلسة','ar',0),(850,'لا منتديات معرفة','ar',0),(851,'تم نقل المناقشة','ar',0),(852,'تم حفظ إعداداتك.','ar',0),(853,'مجدول الأعمال (كرون)','ar',0),(854,'مثبت','ar',0),(855,'لون الروابط','ar',0),(856,'تاريخ الإنشاء','ar',0),(857,'جار الاختبار','ar',0),(858,'معياري','ar',0),(859,'فيجية','ar',0),(860,'جزر الفوكلاند','ar',0),(861,'سانت كيتس ونيفيس','ar',0),(862,'كوريا الجنوبية','ar',0),(863,'سانت لوسيا','ar',0),(864,'سانت هيلينا','ar',0),(865,'سان فنسنت وغريناديس','ar',0),(866,'الجزر العذراء البريطانية','ar',0),(867,'الجزر العذراء الأمريكية','ar',0),(868,'فيتنام','ar',0),(869,'غيرنسي','ar',0),(870,'جيرسي','ar',0),(871,'لم ينشر','ar',0),(872,'إعدادات الملفات','ar',0),(873,'إعدادات القائمة','ar',0),(874,'خطة الألوان','ar',0),(875,'غير منسق','ar',0),(876,'تنسيقات','ar',0),(877,'@type: %title حُذف.','ar',0),(878,'لواحق الملفات المسموح بها','ar',0),(879,'تعليقات جديدة','ar',0),(880,'جديد','ar',0),(881,'وجّه إلى مسار','ar',0),(882,'الاسم %name غير مفعل أو ممنوع.','ar',0),(883,'لقد فشلت محاولة دخول %user.','ar',0),(884,'نسخة %date من %title','ar',0),(885,'اسم المستخدم الذي تريد نسبة الموضوع إليه.','ar',0),(886,'تم حفظ الإجراء بنجاح.','ar',0),(887,'الحلل','ar',0),(888,'جودة JPEG','ar',0),(889,'%','ar',0),(890,'احذف التعليقات','ar',0),(891,'غير منشور','ar',0),(892,'تعليقات منشورة','ar',0),(893,'تحميل...','ar',0),(894,'محمي','ar',0),(895,'إعدادات التعليق','ar',0),(896,'الخيارات الافتراضية','ar',0),(897,'إعدادات الاتصال','ar',0),(898,'إعادة ضبط كلمة المرور','ar',0),(899,'قيد المعالجة','ar',0),(900,'الدليل المؤقت','ar',0),(901,'خطأ في رفع الملف. لم يمكن نقل الملف الذي تم رفعه.','ar',0),(902,'الاختصارات','ar',0),(903,'اختصار','ar',0),(904,'القيمة الافتراضية','ar',0),(905,'المنطقة الزمنية','ar',0),(906,'درحة تعقيد كلمة المرور :','ar',0),(907,'تتطابق كلمتا السر:','ar',0),(908,'الشعار','ar',0),(909,'مستخدم مجهول','ar',0),(910,'الاسم المستخدم للإشارة إلى المستخدمين المجهولين.','ar',0),(911,'تطبيق','ar',0),(912,'غير مترجم','ar',0),(913,'قابل للترجمة','ar',0),(914,'موضع استمارة التعليق','ar',0),(915,'الذهاب إلى الصفحة الأولى','ar',0),(916,'الذهاب إلى الصفحة الأخيرة','ar',0),(917,'أدخل العبارات التي تريد البحث عنها.','ar',0),(918,'مسطر','ar',0),(919,'المهام','ar',0),(920,'احذف الدور','ar',0),(921,'اﻹعدادات الأساسية','ar',0),(922,'إقليم المحيط الهندي البريطاني','ar',0),(923,'كرواتيا','ar',0),(924,'مقدونيا','ar',0),(925,'الصحراء الغربية','ar',0),(926,'محدد اللغات','ar',0),(927,'وصف الصندوق','ar',0),(928,'الترجمة','ar',0),(929,'الصناديق','ar',0),(930,'اضبط محتويات الصناديق التي تظهر في الأعمدة الجانبية و في المناطق الأخرى من موقعك.','ar',0),(931,'احذف الصندوق','ar',0),(932,'حفظ الصناديق','ar',0),(933,'تم تحديث إعدادات الصندوق.','ar',0),(934,'حفظ الصندوق','ar',0),(935,'تم حفظ إعدادات الصندوق.','ar',0),(936,'القوائم','ar',0),(937,'أي تعديلات ستحذف. لا يمكن الرجوع عن هذا الفعل.','ar',0),(938,'تسمح للإداريين بتطويع قائمة تصفح الموقع.','ar',0),(939,'حرر المعجم','ar',0),(940,'تم إنشاء المعجم %name.','ar',0),(941,'تم تحديث المعجم %name.','ar',0),(942,'هل أنت متأكد أنك تريد حذف المعجم %title؟','ar',0),(943,'حذف معجم يحذف كل مصطلحاته. هذا الإجراء غير قابل للإلغاء.','ar',0),(944,'تم حذف المعجم %name.','ar',0),(945,'وصف للمصطلح.','ar',0),(946,'أعلاه','ar',0),(947,'المنطقة الزمنية الافتراضية','ar',0),(948,'أضف عنصراً آخراً','ar',0),(949,'أضف خانة','ar',0),(950,'شُذِب','ar',0),(951,'مستخدمة في','ar',0),(952,'حفظ إعدادات الحقل','ar',0),(953,'حدث خطأ أثناء التحديث.','ar',0),(954,'تمت معالجة عنصر واحد:لم تُعالج أي عناصر:تمت معالجة عنصرين:تمت معالجة @count عناصر:تمت معالجة @count عنصرا:تمت معالجة @count عنصر:','ar',0),(955,'عدد عشري','ar',0),(956,'عدد حقيقي','ar',0),(957,'أقل قيمة','ar',0),(958,'الدقة','ar',0),(959,'العدد الإجمالي للأرقام التي يمكن تخزينها في قاعدة البيانات، بما في ذلك الأرقام على يمين الفاصلة العشرية.','ar',0),(960,'عدد الأرقام بعد الفاصلة.','ar',0),(961,'الفاصلة العشرية','ar',0),(962,'خانات اختيار/مربعات التحديد','ar',0),(963,'خانة اختيار نعم/لا وحيدة','ar',0),(964,'يعرف ويدجات لقوائم الاختيار ومربعات الاختيار وأزرار الانتقاء للحقول النصية والعددية.','ar',0),(965,'منطقة النص (عدة سطور)','ar',0),(966,'تعريف أنواع حقول نصية بسيطة.','ar',0),(967,'الرابط الثابت','ar',0),(968,'إعدادات خاصة بمحرك الحلة','ar',0),(969,'تنقيح','ar',0),(970,'استثناءات','ar',0),(971,'الصلاحية','ar',0),(972,'وحدة @module','ar',0),(973,'المزيد من المعلومات','ar',0),(974,'شبكة','ar',0),(975,'إخفاء','ar',0),(976,'تعليق مجهول الهوية','ar',0),(977,'المستخدم المجهول لا يمكنه أن يدخل بيانات الاتصال به','ar',0),(978,'المستخدم المجهول يمكن أن يدخل بيانات الاتصال به','ar',0),(979,'المستخدم المجهول لابد أن يدخل بيانات الاتصال به','ar',0),(980,'إعدادات التعليق المبدئية','ar',0),(981,'محتويات هذا الحقل سرية ولن تظهر للآخرين.','ar',0),(982,'الأم','ar',0),(983,'التاريخ - الأحدث أولا','ar',0),(984,'التاريخ - الأقدم أولا','ar',0),(985,'تعليق واحدلا تعليقاتتعليقان@count تعليقات@count تعليقا@count تعليق','ar',0),(986,'تعليق واحد جديدلا تعليقات جديدةتعليقان جديدان@count تعليقات جديدة@count تعليقا جديدا@count تعليق جديد','ar',0),(987,'حفظ نوع المحتوى','ar',0),(988,'عرض الأوصاف','ar',0),(989,'عنوان ثان','ar',0),(990,'رمز اللغة','ar',0),(991,'عنوان رابط القائمة','ar',0),(992,'المسار \'@link_path\' إما غير صحيح أو لا تملك صلاحية الوصول إليه.','ar',0),(993,'خطأ أثناء حفظ رابط القائمة.','ar',0),(994,'اسم القائمة','ar',0),(995,'RDF','ar',0),(996,'تحرير الحاوية','ar',0),(997,'رد','ar',0),(998,'عتبة المناقشات الساخنة','ar',0),(999,'عدد المناقشات في الصفحة','ar',0),(1000,'المواضيع - الأكثر نشاطا أولا','ar',0),(1001,'المواضيع - الأقل نشاطا أولا','ar',0),(1002,'إعدادات المسار','ar',0),(1003,'هل أنت متأكد أنك راغب في حذف مراجعة %revision-date؟','ar',0),(1004,'هل أنت متأكد أنك راغب في حذف مراجعة %revision-date؟','ar',0),(1005,'أكبر حجم للملف المرفوع','ar',0),(1006,'فراغ','ar',0),(1007,'المناقشات الجديدة','ar',0),(1008,'@type: تم حذف المراجعة %revision من %title.','ar',0),(1009,'الصفحة غير موجودة','ar',0),(1010,'المزيد من المساعدة','ar',0),(1011,'تم حظر الحساب','ar',0),(1012,'توسيع','ar',0),(1013,'موفّر من طرف','ar',0),(1014,'تغيير الحجم','ar',0),(1015,'المجلد %directory غير موجود.','ar',0),(1016,'يعرّف نوع الحقل ملف.','ar',0),(1017,'لا تعليقات.','ar',0),(1018,'أعد بناء الصلاحيات','ar',0),(1019,'@type: تم تحديث %title.','ar',0),(1020,'@type: تمت إضافة %title.','ar',0),(1021,'مسار الشعار الطيع','ar',0),(1022,'حُدِّثت المفردة %term.','ar',0),(1023,'- لا شيء محدد -','ar',0),(1024,'المحلل','ar',0),(1025,'أهمل الأخبار الأقدم من','ar',0),(1026,'مجمع','ar',0),(1027,'لا توجد محتويات جديدة على %site.','ar',0),(1028,'يوجد محتوى جديد على %site.','ar',0),(1029,'مجمِّع التلقيمات','ar',0),(1030,'البديل','ar',0),(1031,'إعدادات الحساب','ar',0),(1032,'أدخل كلمات البحث','ar',0),(1033,'المسارات النظيفة','ar',0),(1034,'حسابي','ar',0),(1035,'عدد المناقشات','ar',0),(1036,'المناقشات النشطة','ar',0),(1037,'اقرأ أحدث المناقشات.','ar',0),(1038,'مصادقة HTTP','ar',0),(1039,'مكتبة جي.دي','ar',0),(1040,'تحسب فترة وجود المستخدم عالخط منذ آخر عرض لصفحة.','ar',0),(1041,'السياق','ar',0),(1042,'تصفح الوثيقة','ar',0),(1043,'دليل الصفحات','ar',0),(1044,'المعرف','ar',0),(1045,'معجم الوسوم','ar',0),(1046,'سنة واحدةأقل من سنةسنتان@count سنوات@count سنة@count سنة','ar',0),(1047,'أسبوع واحدأقل من أسبوعأسبوعين@count أسابيع@count أسبوعا@count أسبوع','ar',0),(1048,'دقيقة واحدةأقل من دقيقةدقيقتين@count دقائق@count دقيقة@count دقيقة','ar',0),(1049,'ثانية واحدةأقل من ثانيةثانيتين@count ثوان@count ثانية@count ثانية','ar',0),(1050,'لا دليل مؤقت لحذفه.','ar',0),(1051,'بلغارية','ar',0),(1052,'كرواتية','ar',0),(1053,'تشيكية','ar',0),(1054,'دنماركية','ar',0),(1055,'هولندية','ar',0),(1056,'فنلندية','ar',0),(1057,'ألمانية','ar',0),(1058,'يونانية','ar',0),(1059,'عبرية','ar',0),(1060,'إندونيسية','ar',0),(1061,'بولندية','ar',0),(1062,'رومانية','ar',0),(1063,'روسية','ar',0),(1064,'سلوفاكية','ar',0),(1065,'سويدية','ar',0),(1066,'تركية','ar',0),(1067,'يحتوي على','ar',0),(1068,'إرسال رسالة','ar',0),(1069,'الاسم الآلي','ar',0),(1070,'السماح بالتكبير','ar',0),(1071,'السماح لأداة التحجيم بجعل الصور أكبر حجماً من حجمها الأصلي','ar',0),(1072,'زاوية التدوير','ar',0),(1073,'عدد الدرجات لتدوير الصورة. الأرقام الموجبة مع اتجاه عقارب الساعة، الأرقام السالبة بعكس عقارب الساعة.','ar',0),(1074,'توليد عشوائي لزاوية التدوير لكل صورة. الزاوية المحددة أعلاه تستخدم كحد أقصى.','ar',0),(1075,'الطباعة','ar',0),(1076,'لم يتم إنشاء الملف.','ar',0),(1077,'مقفل','ar',0),(1078,'تم إرسال تعليمات إعادة ضبط كلمة المرور إلى %name على البريد %email.','ar',0),(1079,'المعطيات','ar',0),(1080,'أي من','ar',0),(1081,'التمس التحديثات','ar',0),(1082,'كل الإصدارات الجديدة','ar',0),(1083,'التحديثات الأمنية فقط','ar',0),(1084,'لا توجد تحديثات','ar',0),(1085,'ليس آمنا','ar',0),(1086,'منقوض','ar',0),(1087,'نسخة غير مدعومة','ar',0),(1088,'تعذّر تحديد الحالة','ar',0),(1089,'(تتوفر النسخة @version)','ar',0),(1090,'راجع صفحة التحديثات المتوفرة لمزيد من المعلومات:','ar',0),(1091,'يوجد تحديث أمني لنسخة دروبال المركبة. لضمان أمان موقعك يتعين عليك التحديث حالا.','ar',0),(1092,'لقد سُحبت نسخة دروبال المركبة لديك ولم تعد متاحة للتنزيل. يُنصح بالترقية بشدة.','ar',0),(1093,'لقد سُحبت النسخة المركبة من واحد أو أكثر من الوحدات أو السمات ولم تعد متاحة للتنزيل. يُنصح بشدة بترقيتها أو تعطيلها.','ar',0),(1094,'لم تعد النسخة المركبة من دروبال مدعوم. يُنصح بالترقية بشدة.','ar',0),(1095,'توجد تحديثات للنسخة المركبة من دروبال. لتضمن بقاء موقعك عاملا كما ينبغي علك الترقية بأسرع وقت.','ar',0),(1096,'المشروع غير آمن','ar',0),(1097,'هذا المشروع غير آمن طبقا لفريق أمن دروبال، ولم يُعد متاحا للتنزيل. يُنصح بشدة تعطيل كل شيء مدرج في هذا المشروع حالا.','ar',0),(1098,'المشروع مسحوب','ar',0),(1099,'لقد سُحب هذا المشروع ولم يُعد متاحا للتنزيل. يُنصح بشدة تعطيل كل شيء مدرج في هذا المشروع حالا.','ar',0),(1100,'المشروع غير مدعوم','ar',0),(1101,'لقد توقف دعم هذا المشروع ولم يُعد متاحا للتنزيل. يُنصح بشدة تعطيل كل شيء مدرج في هذا المشروع حالا.','ar',0),(1102,'لا تتوفر أي إصدارات','ar',0),(1103,'سُحبت النسخة','ar',0),(1104,'لقد سُحبت النسخة المركبة حاليا ولم تعد متاحة للتنزيل. يُنصح بشدة تعطيل كل شيء مدرج في هذه النسخة أو الترقية.','ar',0),(1105,'النسخة غير مدعومة','ar',0),(1106,'النسخة المركبة حاليا غير مدعومة الآن، ولم تعد متاحة للتنزيل. يُنصح بشدة تعطيل كل شيء مدرج في هذه النسخة أو الترقية.','ar',0),(1107,'معلومات غير سليمة','ar',0),(1108,'تحديث أمني ضروري.','ar',0),(1109,'غير مدعوم','ar',0),(1110,'النسخة المزكاة:','ar',0),(1111,'تحديث أمني:','ar',0),(1112,'آخر نسخة:','ar',0),(1113,'النسخة التطويرية:','ar',0),(1114,'يتوفر أيضا:','ar',0),(1115,'عدد العقد','ar',0),(1116,'إعدادات الحقل','ar',0),(1117,'تجاوز إلى المحتوى الرئيسي','ar',0),(1118,'تحرير المنتدى','ar',0),(1119,'الترتيب الافتراضي','ar',0),(1120,'هذا معجم مفردات المنتدى. تم إزالة بعض المفردات الطبيعية.','ar',0),(1121,'اترك نسخة ظل','ar',0),(1122,'إذا نقلت المناقشة، يمكنك ترك رابط في المنتدى القديم يشير إلى الجديد.','ar',0),(1123,'اسم الحاوية','ar',0),(1124,'حاوية منتدى','ar',0),(1125,'أنشئ @type %term جديد.','ar',0),(1126,'تم تحديث @type %term.','ar',0),(1127,'تحتوي على أي من الكلمات','ar',0),(1128,'تحتوي على العبارة','ar',0),(1129,'لا تحتوي على الكلمات','ar',0),(1130,'فقط من النوع','ar',0),(1131,'تقييم المحتوى','ar',0),(1132,'مدى مناسبة الكلمة المفتاحية','ar',0),(1133,'عدد التعليقات','ar',0),(1134,'عدد مرات العرض','ar',0),(1135,'المعامل','ar',0),(1136,'تمديد النسق ليتضمن الأوصاف.','ar',0),(1137,'إخفاء الأوصاف','ar',0),(1138,'ضغط النسق بإخفاء الأوصاف.','ar',0),(1139,'أو','ar',0),(1140,'مجموعة الألوان','ar',0),(1141,'معرف المحتوى','ar',0),(1142,'أقصى طول لنص الرابط','ar',0),(1143,'ستقطع المسارات التي عدد حروفها أكبر من هذا الرقم، و ذلك لمنع المقاطع الطويلة التي تخرب العرض. سيظل الرابط نفسه كما هو، إلا أن الجزء النصي في الرابط سيقطع.','ar',0),(1144,'التقارير','ar',0),(1145,'إعداد','ar',0),(1146,'غيِّر العرض','ar',0),(1147,'إذا لم بكن لديك وصول مباشر إلى الملفات على الخادم، استخدم هذا الحقل لرفع شعارك.','ar',0),(1148,'صنف الرابط','ar',0),(1149,'أعيدت فهرسة %percentage من الموقع.','ar',0),(1150,'دليل الملف','ar',0),(1151,'الحلة الافتراضية','ar',0),(1152,'خادم ويب','ar',0),(1153,'هناك عنصر واحد لم يفهرس بعد.لا عناصر لم تفهرس بعد.هناك عنصران لم يفهرسا بعد.هناك @count عناصر لم تفهرس بعد.هناك @count عنصرا لم يفهرسوا بعد.هناك @count عنصر لم تفهرس بعد.','ar',0),(1154,'أُعيد بناء صلاحيات الوصول للمحتوى.','ar',0),(1155,'رتب حسب @s','ar',0),(1156,'نشر المحتوى','ar',0),(1157,'و','ar',0),(1158,'تسيير الإجراءات','ar',0),(1159,'اختر إجراء متقدما','ar',0),(1160,'نوع الإجراء','ar',0),(1161,'اعرض رسالة للمستخدم','ar',0),(1162,'تراجع عن نشر التعليق','ar',0),(1163,'تراجع عن نشر التعليق المحتوي الكلمة المفتاحية','ar',0),(1164,'- اختر -','ar',0),(1165,'تتيح تصنيف المحتوى.','ar',0),(1166,'سابقة المسار','ar',0),(1167,'رد آلي','ar',0),(1168,'رد آلي اختياري. اتركه فارغا إذا لم تكن ترغب في إرسال ردود آلية للمستخدمين.','ar',0),(1169,'إضافة @type','ar',0),(1170,'ليتوانية','ar',0),(1171,'حقل','ar',0),(1172,'يجب تفعيل بعض الوحدات المطلوبة','ar',0),(1173,'مواضيع جديدة','ar',0),(1174,'mm/dd/yy','ar',0),(1175,'ترجمة','ar',0),(1176,'الملف غير موجود.','ar',0),(1177,'حفظ الترجمات','ar',0),(1178,'أنشئ @name','ar',0),(1179,'الاقتصاص','ar',0),(1180,'غير مُفعّل','ar',0),(1181,'التعليمات التي تظهر للمستخدم تحت هذا الحقل، في استمارة التحرير. <br /> وسوم HTML المسموحة: @tags','ar',0),(1182,'نوع الصندوق','ar',0),(1183,'@module (<span class=\"admin-disabled\">معطل</span>)','ar',0),(1184,'خدمات الويب','ar',0),(1185,'حفظ الصلاحيات','ar',0),(1186,'التأثير','ar',0),(1187,'الطريق','ar',0),(1188,'رسالة الخطأ','ar',0),(1189,'حذف نوع المحتوى','ar',0),(1190,'غير الوثيقة (حدّث قائمة الآباء)','ar',0),(1191,'إدارة هيكل وثائق موقعك.','ar',0),(1192,'لأسباب أمنية تم تغيير اسم الملف المرفوع إلى %filename.','ar',0),(1193,'نوع الكيان','ar',0),(1194,'النسخة المثبة','ar',0),(1195,'النسخة الموصى بها','ar',0),(1196,'حساب المستخدم','ar',0),(1197,'اختصار','ar',0),(1198,'الأصلية','ar',0),(1199,'العناوين فقط','ar',0),(1200,'التواريخ','ar',0),(1201,'محقق الصحة','ar',0),(1202,'بكسلات','ar',0),(1203,'استعمال الافتراضي','ar',0),(1204,'شهر واحدأقل من شهرشهران@count أشهر@count شهراً@count شهر','ar',0),(1205,'حفظ الترتيب','ar',0),(1206,'تم','ar',0),(1207,'نسق خاص','ar',0),(1208,'الاتجاه','ar',0),(1209,'نواة دروبال','ar',0),(1210,'عرض صندوق تصفح الوثائق','ar',0),(1211,'العلاقات','ar',0),(1212,'حقل كلمة المرور مطلوب.','ar',0),(1213,'نوع العرض','ar',0),(1214,'تأكيد كلمة المرور','ar',0),(1215,'غير منطبق','ar',0),(1216,'لا يوجد محتوى.','ar',0),(1217,'الترتيب المبدئي للعرض','ar',0),(1218,'سمة الإدارة','ar',0),(1219,'جزيرة مان','ar',0),(1220,'الجبل الأسود','ar',0),(1221,'سان بيير وميكويلون','ar',0),(1222,'صربيا','ar',0),(1223,'عنوان الUri','ar',0),(1224,'تشغيل التحديثات','ar',0),(1225,'رسالة التحذير','ar',0),(1226,'لا يمكن حفظ الملف %file. لسبب مجهول.','ar',0),(1227,'لم يتم تحويل الملف المحدد %name.','ar',0),(1228,'اسم الملف فارغ. الرجاء إعطاء اسم للملف.','ar',0),(1229,'يُسمح بالملفات التي تحمل هذه الامتدادات فقط: %files-allowed.','ar',0),(1230,'حجم الملف %filesize يتجاوز الحجم الأقصى للملفات %maxsize.','ar',0),(1231,'حجم الملف %filesize وهو ما قد يتجاوز حصتك من القرص (%quota).','ar',0),(1232,'تم تغيير أبعاد الصورة حتى تلائم أكبر أبعاد مسموح بها، و هو %dimensions بكسل.','ar',0),(1233,'الصورة صغيرة جداً؛ الحد الأدنى هو %dimensions بكسل.','ar',0),(1234,'خطأ في رفع الملف. لم يمكن نقل الملف %file إلى الوجهة %destination.','ar',0),(1235,'أضف إلى هيكل الوثيقة','ar',0),(1236,'Stark','ar',0),(1237,'مجموعة جديدة','ar',0),(1238,'قديمة','ar',0),(1239,'تسيير توسيم وتصنيف وتقسيم محتواك.','ar',0),(1240,'أعد فهرسة الموقع','ar',0),(1241,'هل أنت متأكد أنك ترغب في إعادة فهرسة الموقع؟','ar',0),(1242,'cURL','ar',0),(1243,'لا توجد نتائج اختبارات لعرضها.','ar',0),(1244,'حفظ ومتابعة','ar',0),(1245,'عنوان الـIP','ar',0),(1246,'أقصى ارتفاع','ar',0),(1247,'أقصى عرض','ar',0),(1248,'تيمور الشرقية','ar',0),(1249,'التبويبات الأساسية','ar',0),(1250,'التبويبات الفرعية','ar',0),(1251,'فعل أو عطل عرض عناصر معينة بالصفحة.','ar',0),(1252,'قيمة منطقية','ar',0),(1253,'أقصى دقة للصورة','ar',0),(1254,'تم التعرف على اختيار غير مسموح به. من فضلك اتصل بإداري الموقع.','ar',0),(1255,'تقرير الحالة','ar',0),(1256,'غير قابل للكتابة عليه','ar',0),(1257,'نقطة عشرية','ar',0),(1258,'هذه ستكون الصفحة الأم في هذه الوثيقة.','ar',0),(1259,'معلومات المراجعة','ar',0),(1260,'إبلاغ المستخدم بإنشاء حسابه','ar',0),(1261,'نمط الاستمارة','ar',0),(1262,'عرض التعليق','ar',0),(1263,'فاصلة','ar',0),(1264,'الاستخدامات','ar',0),(1265,'مسار الأيقونة المخصصة','ar',0),(1266,'المستخدم الحالي','ar',0),(1267,'موجز','ar',0),(1268,'أسلوب العرض المبدئي','ar',0),(1269,'العدد المبدئي للتعليقات في الصفحة','ar',0),(1270,'لوحة تحكمات التعليقات','ar',0),(1271,'هل يمكن للمعلق إدخال عنوان لتعليقه؟','ar',0),(1272,'أي ردود على هذا التعليق سوف تضيع، و لن يمكن التراجع عن هذا الفعل.','ar',0),(1273,'نشر التعليقات المحددة','ar',0),(1274,'إلغاء نشر التعليقات المحددة','ar',0),(1275,'هل ترغب فعلا في حذف هذه التعليقات مع كل الردود عليها؟','ar',0),(1276,'(لا موضوع)','ar',0),(1277,'نوع الوصول','ar',0),(1278,'الصورة الافتراضية','ar',0),(1279,'سيتم استخدام هذا النص من طرف قارئات الشاشة، محركات البحث، أو عند الفشل بتحميل الصورة.','ar',0),(1280,'إضافة تلقيمة','ar',0),(1281,'سرد الروابط','ar',0),(1282,'نوع MIME','ar',0),(1283,'نظام الملفات','ar',0),(1284,'شريط الأدوات','ar',0),(1285,'أدخل اسم مستخدم @s الخاص بك.','ar',0),(1286,'نُشِر في','ar',0),(1287,'ملاحظة: تعليق غير مخوّل به أو تعليق أرسل إلى الموضوع المغلق %subject.','ar',0),(1288,'فهرس البحث','ar',0),(1289,'حجم الملف.','ar',0),(1290,'نوع MIME للملف.','ar',0),(1291,'تم إنشاء ال@type‏ %title.','ar',0),(1292,'تم تحديث ال@type‏ %title.','ar',0),(1293,'تعذر حفظ الموضوع.','ar',0),(1294,'محرفمحرف واحدمحرفان@count أحرف@count حرفاً@count حرف','ar',0),(1295,'إعدادات المرشح','ar',0),(1296,'ليس لديك أي عناصر إدارية.','ar',0),(1297,'لا توجد مساعدة لوحدة %module.','ar',0),(1298,'صفحات إدارة @module','ar',0),(1299,'أضف لغة','ar',0),(1300,'صباحا','ar',0),(1301,'مساء','ar',0),(1302,'إضافات PHP','ar',0),(1303,'التعليقات في كل صفحة','ar',0),(1304,'نشر التعليق','ar',0),(1305,'تعذر رفع الملف.','ar',0),(1306,'FTP','ar',0),(1307,'تعاون','ar',0),(1308,'صفحات الإدارة','ar',0),(1309,'تكبير أول حرف','ar',0),(1310,'واجه الموقع خطأ غير متوقع. يرجى المحاولة في وقت لاحق.','ar',0),(1311,'تشعيل الاختبارات','ar',0),(1312,'تنظيف بيئة الاختبارات','ar',0),(1313,'إزالة الجداول ذات البادئة \"simpletest\" والمجلدات المؤقتة التي خلفتها الاختبارات الفاشلة. هذا موجه للمطورين أثناء إنشاء الاختبارات.','ar',0),(1314,'تنظيف البيئة','ar',0),(1315,'لا توجد اختبارات للعرض.','ar',0),(1316,'تشغيل الاختبار @num من @max - %test.','ar',0),(1317,'تم تشغيل الاختبار @num من @max - %test.','ar',0),(1318,'واحد ناجحواحد ناجحإثنان ناجحان@count ناجحة@count ناجح@count ناجح','ar',0),(1319,'واحد فاشلواحد فاشلإثنان فاشلان@count فاشلة@count فاشل@count فاشل','ar',0),(1320,'استثناء واحداستثناء واحداستنثناءان إثنان@count استثناءات@count استثناء@count استثناء','ar',0),(1321,'توفر بيئة للاختبارات الفردية والوظيفية.','ar',0),(1322,'هندية','ar',0),(1323,'قام %name باستخدام رابط الولوج في %timestamp.','ar',0),(1324,'نجح التسجل، لقد ولجت الآن.','ar',0),(1325,'المجموع','ar',0),(1326,'عرض التعليقات','ar',0),(1327,'%name: لا يمكن لهذا الحقل أن يحتوي أكثر من @count قيمة.','ar',0),(1328,'لا حقول متاحة.','ar',0),(1329,'التبويبات العمودية','ar',0),(1330,'ليس في الكتاب','ar',0),(1331,'كتاب جديد','ar',0),(1332,'من @name بتاريخ  @date','ar',0),(1333,'من %name','ar',0),(1334,'غير موجود في القائمة','ar',0),(1335,'البديل: @alias','ar',0),(1336,'لا يوجد بدائل','ar',0),(1337,'التجهيز.','ar',0),(1338,'حدث خطأ.','ar',0),(1339,'ستكون صفحتك جزء من الوثيقة المختارة.','ar',0),(1340,'0 ثانية','ar',0),(1341,'ترشيح رسائل السجل','ar',0),(1342,'يجب أن تختار مرشح.','ar',0),(1343,'مراجعة جديدة','ar',0),(1344,'لتغير كلمة مرور المستخدم الحالية، أدخل كلمة المرور الجديدة في كلا الحقلين.','ar',0),(1345,'لقد حاولت استخدام رابط ولوج انتهت صلاحيته. من فضلك اطلب رابطا جديدا مستخدما الاستمارة بالأدنى.','ar',0),(1346,'يمكن استخدام هذا الدخول مرة واحدة فقط.','ar',0),(1347,'إضافة رابط تعليق','ar',0),(1348,'اختصار','ar',0),(1349,'مضاف','ar',0),(1350,'أدخل كلمة مرور للحساب الجديد في كلا الخانتين.','ar',0),(1351,'لا يمكن إجراء تغييرات رؤية مقفلة.','ar',0),(1352,'التاريخ الحالي','ar',0),(1353,'تاريخ إنشاء العقدة الحالية','ar',0),(1354,'تاريخ تحديث العقدة الحالية','ar',0),(1355,'عدم عرض العناصر التي لا قيمة لها في الملخص','ar',0),(1356,'معلومة مدخلة غير صالحة','ar',0),(1357,'أقصى حد للحروف','ar',0),(1358,'بدون تغيير','ar',0),(1359,'حروف كبيرة','ar',0),(1360,'حروف صغيرة','ar',0),(1361,'تكبير كل كلمة','ar',0),(1362,'شكل الحروف في المسار','ar',0),(1363,'تغيير المسافات إلى عوارض في المسارات URL','ar',0),(1364,'إقصاء من العرض','ar',0),(1365,'اسم الرؤية','ar',0),(1366,'كسر القفل','ar',0),(1367,'عنوان التعليق','ar',0),(1368,'عدد التعليقات','ar',0),(1369,'الترشيح حسب الوصول.','ar',0),(1370,'مشاهدة اليوم','ar',0),(1371,'اتصال','ar',0),(1372,'استخدم كلمة <strong>OR</strong> بالحروف الكبيرة لتقوم بالبحث عن أيا من كلمتين. مثلا <strong>قطط OR كلاب</strong>.','ar',0),(1373,'عرضه ولو كانت الرؤية دون نتائج','ar',0),(1374,'الاستمارة المكشوفة: @view-@display_id','ar',0),(1375,'وراثة المرشحات المكشوفة','ar',0),(1376,'وصف الـRSS','ar',0),(1377,'إعدادات اللغات','ar',0),(1378,'محاولة إعادة تشغيل مجدول الأعمال (كرون) وهو مشغل.','ar',0),(1379,'اكتمل تشغيل مجدول الأعمال (كرون).','ar',0),(1380,'- الكل -','ar',0),(1381,'الزوار','ar',0),(1382,'السماح بتعدد القيم','ar',0),(1383,'أقصى طول للحقل بعدد الحروف.','ar',0),(1384,'الاسم المقروء آليا','ar',0),(1385,'تحديث الترجمات','ar',0),(1386,'المستخدمون الجدد','ar',0),(1387,'اسم اللغة','ar',0),(1388,'تحرير اللغة','ar',0),(1389,'معايير الترشيح','ar',0),(1390,'تم تحديث نوع المحتوى %name.','ar',0),(1391,'أُضيف نوع المحتوى %name.','ar',0),(1392,'كتلانية','ar',0),(1393,'استمارة الاتصال','ar',0),(1394,'التغييرات الحادثة على هذا الجدول لن تُحفظ إلا بعد إرسال الاستمارة.','ar',0),(1395,'البحيرة الزرقاء (الافتراضية)','ar',0),(1396,'تعذر العثور على الصفحة المطلوبة.','ar',0),(1397,'حساب المستخدم %id غير موجود.','ar',0),(1398,'محاولة إلغاء حساب مستخدم غير موجود: %id.','ar',0),(1399,'مشكلة متطلبات','ar',0),(1400,'إعدادات قاعدة البيانات','ar',0),(1401,'اختر تعريف تثبيت','ar',0),(1402,'اختيار اللغة','ar',0),(1403,'اختر اللغة','ar',0),(1404,'لا تتوفر لاحات','ar',0),(1405,'دروبال مركّب بالفعل','ar',0),(1406,'تركيب @drupal','ar',0),(1407,'واجه التركيب خطأ.','ar',0),(1408,'ضبط الموقع','ar',0),(1409,'تم تركيب وحدة %module.','ar',0),(1410,'اختر لاحة','ar',0),(1411,'التحقق من المتطلبات','ar',0),(1412,'ضبط قاعدة البيانات','ar',0),(1413,'ضبط الترجمات','ar',0),(1414,'تركيب الموقع','ar',0),(1415,'إكمال الترجمات','ar',0),(1416,'تعرض التواريخ و التوقيتات في الموقع كله باستخدام هذا التوقيت.','ar',0),(1417,'إخطارات التحديثات','ar',0),(1418,'مراقبة التحديثات تلقائيا','ar',0),(1419,'بايت واحد0 بايتبايتان@count بايتات@count بايت@count بايت','ar',0),(1420,'اختيار %choice غير مسموح به في حقل %name.','ar',0),(1421,'طقم الأدوات GD2 لمناولة الصور','ar',0),(1422,'حدد جودة الصور لمناولة JPEG. تتراوح بين 0 و 100. القيم الأعلى تعني جودة صور أفضل، و ملفات أكبر حجما.','ar',0),(1423,'من اليمين لليسار','ar',0),(1424,'من اليسار لليمين','ar',0),(1425,'أضف لغة طيعة','ar',0),(1426,'حفظ اللغة','ar',0),(1427,'اتجاه الكتابة المستخدم في هذه اللغة.','ar',0),(1428,'المقطع يحتوي','ar',0),(1429,'اتركه خاليا لعرض جميع المقاطع. البحث حساس للحروف اللاتينية الكبيرة و الصغيرة.','ar',0),(1430,'البحث في','ar',0),(1431,'كلا المقاطع المترجمة وغير المترجمة','ar',0),(1432,'فقط المقاطع المترجمة','ar',0),(1433,'فقط المقاطع غير المترجمة','ar',0),(1434,'اللغات التي لم تُضف بعد','ar',0),(1435,'تم إنشاء اللغة %language.','ar',0),(1436,'المقطع المُرسل يحتوي إتش.تي.إم.إل غير مسموح به: %string','ar',0),(1437,'يتم استيراد ترجمات الواجهة','ar',0),(1438,'خطأ أثناء استيراد ترجمة الواجهة','ar',0),(1439,'محاولة لإرسال مقطع ترجمة يحتوي إتش.تي.إم.إل غير مسموح به: %string','ar',0),(1440,'تم تحديث ملف ترجمة جافا سكربت للغة %language.','ar',0),(1441,'تم إنشاء ملف ترجمة جافا سكربت للغة %language.','ar',0),(1442,'حدث خطأ أثناء إنشاء ملف ترجمة جافا سكربت للغة %language.','ar',0),(1443,'أفريكانية','ar',0),(1444,'أمهرية','ar',0),(1445,'أذرية','ar',0),(1446,'بيلاروسية','ar',0),(1447,'بنغالية','ar',0),(1448,'تبتية','ar',0),(1449,'بوسنية','ar',0),(1450,'ولزية','ar',0),(1451,'أسبيرية','ar',0),(1452,'إستونية','ar',0),(1453,'باسكية','ar',0),(1454,'فايروسية','ar',0),(1455,'إيرلندية','ar',0),(1456,'جالية','ar',0),(1457,'جوجاراتية','ar',0),(1458,'أرمنية','ar',0),(1459,'إيسلندية','ar',0),(1460,'جافية','ar',0),(1461,'جورجية','ar',0),(1462,'كازاخية','ar',0),(1463,'كندية','ar',0),(1464,'كردية','ar',0),(1465,'لاتفية','ar',0),(1466,'مالاجية','ar',0),(1467,'مقدونية','ar',0),(1468,'مالايالامية','ar',0),(1469,'منغولية','ar',0),(1470,'ماراتية','ar',0),(1471,'بورمية','ar',0),(1472,'نيبالية','ar',0),(1473,'نرويجية بوكمال','ar',0),(1474,'نرويجية نينورسك','ar',0),(1475,'أوسيتانية','ar',0),(1476,'بنجابية','ar',0),(1477,'برتغالية، البرتغال','ar',0),(1478,'برتغالية، البرازيل','ar',0),(1479,'سامية شمالية','ar',0),(1480,'صنهالا','ar',0),(1481,'سلوفينية','ar',0),(1482,'ألبانية','ar',0),(1483,'صربية','ar',0),(1484,'سواحيلية','ar',0),(1485,'تاميلية','ar',0),(1486,'تيلوغية','ar',0),(1487,'تايلندية','ar',0),(1488,'أوكرانية','ar',0),(1489,'أردية','ar',0),(1490,'فيتنامية','ar',0),(1491,'صينية مبسطة','ar',0),(1492,'صينية تقليدية','ar',0),(1493,'PHP قياسي','ar',0),(1494,'امتداد المقاطع المتعددة البايتات في  PHP','ar',0),(1495,'مكتبة يونيكود','ar',0),(1496,'تعذّر تحويل ترميز لغة النص الموسع \'%s\' إلى UTF-8.','ar',0),(1497,'اسم التلقيمة (أو اسم الموقع الذي يرد منه المحتوى).','ar',0),(1498,'أضف تلقيما بنسق RSS أو RDF أو Atom. لكل تلقيم خانة واحدة فقط.','ar',0),(1499,'حدِّث الأخبار','ar',0),(1500,'لا صناديق في هذه المنطقة','ar',0),(1501,'الصندوق %info كان مسندا إلى منطقة غير صالحة (%region) ولذا تم تعطيله.','ar',0),(1502,'يجب أن يكون نوع المحتوى في الوصلة %add-child واحدا من تلك الأنواع المسموح بها في هياكل الوثائق.','ar',0),(1503,'احفظ صفحات الوثيقة','ar',0),(1504,'لقد عدّل هذا المحتوى مستخدم آخر. لا يمكن حفظ التعديلات.','ar',0),(1505,'تغيّر العنوان من %original إلى %current.','ar',0),(1506,'حُدّثت وثيقة %title.','ar',0),(1507,'وثيقة: حُدّث %title.','ar',0),(1508,'حدّث ملخص الوثيقة','ar',0),(1509,'احذف من هيكل الوثيقة','ar',0),(1510,'لم يحدث أي تغيير','ar',0),(1511,'أضيفت المادة للوثيقة المختار. يمكنك الآن تحديد موضعها بالنسبة للآخرين.','ar',0),(1512,'تم تحديث هيكل الوثيقة.','ar',0),(1513,'حدث خطأ أثناء إضافة المادة إلى الوثيقة.','ar',0),(1514,'‏%title ترتبط به صفحات فرعية، والتي ستنتقل تلقائيا للمحافظة على ارتباطها بالوثيقة. لإعادة إنشاء الهيكل (كما كانت قبل حذف الصفحة) يمكن إضافة %title مرة ثانية باستخدام لسان الهيكلية، وستحتاج لإعادة وضع كل الصفحات الفرعية منه يدويا.','ar',0),(1515,'يمكن إضافة %title للهيكل مرة ثانية باستخدام لسان الهيكل.','ar',0),(1516,'هل أنت متأكد أنك راغب في حذف %title من هيكل الوثيقة؟','ar',0),(1517,'تم حذف المادة من الوثيقة.','ar',0),(1518,'أظهر نسخة للطباعة من صفحة الوثيقة هذه و من صفحاتها التي تتفرع منها.','ar',0),(1519,'أظهر الصندوق في كل الصفحات','ar',0),(1520,'أظهر الصندوق في صفحات الوثيقة فقط','ar',0),(1521,'في حالة اختيار <em>أظهر الصندوق في كل الصفحات</em> سيحتوى الصندوق على قائمة بكل الوثائق على الموقع. أما في حالة اختيار <em>أظهر الصندوق في صفحات الوثيقة فقط</em> سيحتوى الصندوق على قائمة بالصفحات الفرعية للوثيقة الحالية، و لن يظهر الصندوق في حالة عرض أي أنواع محتوى أخرى.','ar',0),(1522,'هذه الصفحة الأم في هذه الوثيقة.','ar',0),(1523,'لم تختر أي صناديق.','ar',0),(1524,'‏%title جزء من هيكل الوثيقة وله صفحات فرعية مرتبطة. إذا حذفته ستنقل الصفحات الفرعية آليا.','ar',0),(1525,'أعد ترتيب صفحات الوثيقة وغير العناوين','ar',0),(1526,'صفحة وثيقة','ar',0),(1527,'حذف التعليقات المحددة','ar',0),(1528,'تسمح للمستخدمين بالتعليق على المحتوى المنشور و مناقشته.','ar',0),(1529,'مثلا: \'آراء عن الموقع\' أو \'معلومات حول المنتج\'.','ar',0),(1530,'استمارة الاتصال الشخصية','ar',0),(1531,'تفعل استعمال كلي استماراتي الاتصال الشخصية والشاملة للموقع.','ar',0),(1532,'مشاهدة الأحداث التي تم تسجيلها حديثا.','ar',0),(1533,'أكثر أخطاء \'الصفحة غير موجودة\'','ar',0),(1534,'عرض أخطاء \'الصفحة غير موجودة\' (404).','ar',0),(1535,'أكثر أخطاء \'الوصول ممنوع\'','ar',0),(1536,'يعرض أخطاء \'الوصول ممنوع\' (403).','ar',0),(1537,'تسجل أحداث النظام في قاعدة البيانات.','ar',0),(1538,'لا يمكن لأي دور استخدام هذا النسق','ar',0),(1539,'وسوم إتش.تي.إم.إل المسموح بها: @tags','ar',0),(1540,'تستخدم المراسي لعمل روابط لصفحات أخرى.','ar',0),(1541,'مبدئيا، تضاف وسوم فصل السطور تلقائيا. استخدم هذا الوسم لإضافة وسوم أخرى زائدة. يختلف هذا الوسم عن الوسوم الأخرى لأنه لا يستخدم في زوج فتح و إغلاق مثل الآخرين. استخدم \"/\" داخل الوسم لكي تحافظ على التوافق مع معايير إكس.إتش.تي.إم.إل 1.0.','ar',0),(1542,'نص مع<br /> فواصل السطور','ar',0),(1543,'افتراضيا، تضاف وسوم الفقرات تلقائيا. استخدم هذا الوسم لإضافة وسوم إضافية.','ar',0),(1544,'الفقرة الأولى.','ar',0),(1545,'الفقرة الثانية.','ar',0),(1546,'مهم','ar',0),(1547,'موضّح','ar',0),(1548,'مقتبس','ar',0),(1549,'نص أكواد يُستخدم لعرض الكود المصدري للبرمجيات','ar',0),(1550,'مُكَوَّد','ar',0),(1551,'عريض','ar',0),(1552,'مائل','ar',0),(1553,'نص علوي','ar',0),(1554,'نص <sup>علوي</sup>','ar',0),(1555,'نص سفلي','ar',0),(1556,'نص <sub>سفلي</sub>','ar',0),(1557,'<abbr title=\"اختصار\">اخ</abbr>','ar',0),(1558,'<acronym title=\"اختصار ثلاثي الحروف\">اثح</acronym>','ar',0),(1559,'فقرة مقتبسة','ar',0),(1560,'مقتبس داخل السطر','ar',0),(1561,'رأس الجدول','ar',0),(1562,'خلية في جدول','ar',0),(1563,'قائمة مرتبة - استخدم &lt;li&gt; لتبدأ كل عنصر بالقائمة','ar',0),(1564,'أول عنصر','ar',0),(1565,'ثاني عنصر','ar',0),(1566,'قائمة غير مرتبة - استخدم &lt;li&gt; لتبدأ كل عنصر بالقائمة','ar',0),(1567,'قوائم التعريفات مشابهة للقوائم في إتش.تي.إم.إل. رقم &lt;dl&gt; يبدأ قائمة التعريفات، و رقم &lt;dt&gt; يبدأ المصطلح، و رقم &lt;dd&gt; يبدأ تعريف المصطلح.','ar',0),(1568,'أول مصطلح','ar',0),(1569,'أول تعريف','ar',0),(1570,'ثاني مصطلح','ar',0),(1571,'ثاني تعريف','ar',0),(1572,'عنوان ثالث','ar',0),(1573,'عنوان رابع','ar',0),(1574,'عنوان خامس','ar',0),(1575,'عنوان سادس','ar',0),(1576,'وصف الوسم','ar',0),(1577,'عند كتابة','ar',0),(1578,'يظهر لك','ar',0),(1579,'لا توجد مساعده متوفرة للوسم %tag.','ar',0),(1580,'رمز &','ar',0),(1581,'علامة التنصيص','ar',0),(1582,'وصف الحرف','ar',0),(1583,'تفصل السطور و الفقرات تلقائيا.','ar',0),(1584,'نصائح للكتابة','ar',0),(1585,'اسم مختصر لكن ذو مغزى لهذه المجموعة من النقاشات المتفرعة.','ar',0),(1586,'وصف عام و قواعد النقاش لهذا المنتدى.','ar',0),(1587,'اسم مختصر لكن ذو مغزى لهذه المجموعة من المنتديات المتقاربة.','ar',0),(1588,'العدد المبدئي للمناقشات التي ستعرض في صفحة واحدة.','ar',0),(1589,'الترتيب الافتراضي لعرض المواضيع.','ar',0),(1590,'عادة ما توضع الحاويات في المستوى الأعلى (الجذر) من المنتدى. ولكن يظل بالإمكان وضع حاوية داخل حاوية أخرى أو منتدى.','ar',0),(1591,'يمكن وضع المنتديات بالمستوى الأعلى (الجذر)، أو بداخل حاوية.','ar',0),(1592,'مناقشة منتدى','ar',0),(1593,'غير مسموح لك بإنشاء نقاشات جديدة في المنتدى.','ar',0),(1594,'تسير عرض المساعدة المباشرة.','ar',0),(1595,'تصدّر هذه الصفحة النصوص المترجمة المستعملة من طرف موقعك. ملف التصدير يكون أن يكون على شكل Gettext Portable Object (<em>.po</em>)، الذي يضم كلا من المقطعبن الأصلي و الترجمة (مستعمل لمشاركة الترجمة مع الآخرين)، أو على شكل Gettext Portable Object Template (<em>.pot</em>)، الذي يضم المقطع الأصلي فقط (يستخدم لإنشاء ترجمات جديدة باستخدام محرر ترجمة Gettext).','ar',0),(1596,'إعدادات استمارة النشر','ar',0),(1597,'يمكن أن يحتوي الاسم المقروء من طرف الجهاز على أحرف لاتينية صغيرة وأرقام وشرطات سفلية فقط.','ar',0),(1598,'أُضيف نوع المحتوى %name.','ar',0),(1599,'تم تغيير نوع محتوى موضوع واحد من %old-type إلى %type.لم يُغيّر نوع محتوى أي موضوع.تم تغيير نوع محتوى موضوعين من %old-type إلى %type.تم تغيير نوع محتوى @count مواضيع من %old-type إلى %type.تم تغيير نوع محتوى @count موضوعا من %old-type إلى %type.تم تغيير نوع محتوى @count موضوع من %old-type إلى %type.','ar',0),(1600,'هل أنت متأكد أنك ترغب في إعادة بناء صلاحيات محتوى الموقع؟','ar',0),(1601,'يُعيد هذا الإجراء بناء كل صلاحيات محتوى الموقع، و لن يمكن التراجع عنه.','ar',0),(1602,'حدث خطأ ولم تكتمل المعالجة.','ar',0),(1603,'نسخة من مراجعة %date.','ar',0),(1604,'حذُفت مراجعة @type %title بتاريخ %revision-date.','ar',0),(1605,'@type: تم إعادة %title إلى وضعه في النسخة %revision.','ar',0),(1606,'تحتاج صلاحيات الوصول للمحتوى إلى إعادة بنائها.','ar',0),(1607,'يعيد بناء صلاحيات الوصول للمحتوى','ar',0),(1608,'أُعيد بناء صلاحيات المحتوى.','ar',0),(1609,'لم يتم إعادة بناء صلاحيات الوصول للمحتوى بشكل سليم.','ar',0),(1610,'استعد مراجعة سابقة','ar',0),(1611,'احذف مراجعة سابقة','ar',0),(1612,'تسمح بنشر المحتوى على الموقع و عرضه في صفحات.','ar',0),(1613,'البديل %alias سبق استخدامه في هذه اللغة.','ar',0),(1614,'تم حفظ البديل.','ar',0),(1615,'هل أنت متأكد أنك ترغب في حذف المسار البديل %title؟','ar',0),(1616,'رشح المسارات البديلة','ar',0),(1617,'أدخل المسار الذي ترغب في إنشاء بديل له، و أتبعه باسم المسار الجديد.','ar',0),(1618,'بدائل المسارات','ar',0),(1619,'تحرير البديل','ar',0),(1620,'احذف البديل','ar',0),(1621,'أضف بديلا','ar',0),(1622,'تمكن المستخدمين من إعادة تسمية المسارات.','ar',0),(1623,'صمام الفهرسة','ar',0),(1624,'عدد العناصر التي ستتم فهرستها خلال كل عمل لمجدول الأعمال (كرون)','ar',0),(1625,'إعدادات الفهرسة','ar',0),(1626,'الحد الأدنى لطول الكلمة التي تفهرس','ar',0),(1627,'تعمل مع الصينية/اليابانية/الكورية المبسطة','ar',0),(1628,'تطبيق tokenizer للصينية/الكورية/اليابانية المبسطة مبني على التتابعات المتقاطعة. الغ تشغيل هذه الخاصية إذا كنت تود استخدام برنامج معالجة خارجي لهذا الغرض. لا يؤثر هذا الخيار في اللغات الأخرى.','ar',0),(1629,'استمارة البحث','ar',0),(1630,'أكثر العبارات بحثا','ar',0),(1631,'يعرض أشهر العبارات التي بُحِث عنها.','ar',0),(1632,'تفعل البحث على مستوى الموقع كله.','ar',0),(1633,'إعدادات عداد عرض المحتوى','ar',0),(1634,'عدد مرات عرض المحتوى','ar',0),(1635,'عد كل مرة يعرض فيها المحتوى.','ar',0),(1636,'المحتوى المشهور','ar',0),(1637,'عدد العناصر التي ستعرض في قائمة \"في عمر الموقع\".','ar',0),(1638,'عدد العناصر التي ستعرض في قائمة \"المعروض حديثا\".','ar',0),(1639,'اليوم:','ar',0),(1640,'في عمر الموقع:','ar',0),(1641,'آخر ما عرض:','ar',0),(1642,'تسجل أحداث النظام في سجل النظام.','ar',0),(1643,'صور المستخدمين في الرسائل','ar',0),(1644,'صور المستخدمين في التعليقات','ar',0),(1645,'رمز الاختصار','ar',0),(1646,'إعدادات صورة الشعار','ar',0),(1647,'رفع صورة الشعار','ar',0),(1648,'إعدادات أيقونة الاختصار','ar',0),(1649,'تظهر أيقونة الاختصار أو أيقونتك المفضلة في شريط العنوان وفي قائمة المواقع المفضلة في غالبية المتصفحات.','ar',0),(1650,'رفع صورة الأيقونة','ar',0),(1651,'إذا لم يكن لديك وصول مباشر إلى الملفات على الخادم، استخدم هذا الحقل لرفع أيقونتك الاختصار.','ar',0),(1652,'@module (<span class=\"admin-missing\">مفقود</span>)','ar',0),(1653,'ستزال هذه الوحدات من على موقعك بشكل كامل، <em>و ستلغى كل البيانات المرتبطة بها</em>!','ar',0),(1654,'تأكيد الإزالة','ar',0),(1655,'لم يتم اختيار أي وحدات.','ar',0),(1656,'تمت إزالة الوحدات المحددة.','ar',0),(1657,'صفحة 403 (الوصول ممنوع) الافتراضية','ar',0),(1658,'صفحة 404 (غير موجود) الافتراضية','ar',0),(1659,'تم مسح ذاكرات التخزين الموقت.','ar',0),(1660,'اختر أداة التعامل مع الصور','ar',0),(1661,'عدد العناصر في كل تلقيمة','ar',0),(1662,'العدد الافتراضي للعناصر التي سيتم إدراجها في التلقيمة.','ar',0),(1663,'محتوى التلقيمات','ar',0),(1664,'العناوين بالإضافة للمقتطف','ar',0),(1665,'الإعدادات العامة للعرض الافتراضي لعناصر المحتوى في كل تلقيمة.','ar',0),(1666,'التنسيق','ar',0),(1667,'فشل عمل كرون.','ar',0),(1668,'لا توجد وحدات يمكن إزالتها.','ar',0),(1669,'تظهر لك هذه الصفحة كل المهام الإدارية الممكنة لكل وحدة.','ar',0),(1670,'تتحكم هذه الخيارات في العرض المبدئي للموقع بأكمله بغض النظر عن السمة المستخدمة. تستخدم هذه الإعدادات طالما لم يتم تجاوزها في سمة بعينها.','ar',0),(1671,'يوفر صندوق <em>يستخدم دروبال</em> وصلة اختيارية إلى صفحة مشروع دروبال. مع أن إضافة وصلة كهذه ليس مطلبا على الإطلاق، إلا أنه يمكن استخدامه لإظهار الدعم لمشروع دروبال.','ar',0),(1672,'يستخدم دروبال','ar',0),(1673,'تعذّر حذف الملف المؤقت \"%path\" أثناء جمع القمامة','ar',0),(1674,'الوضع المصغر','ar',0),(1675,'عدة الصور','ar',0),(1676,'اختر عدة الصور التي ترغب في استخدامها، إذا كنت قد ركبت عددا اختيارية.','ar',0),(1677,'التلقيم','ar',0),(1678,'التاريخ والتوقيت','ar',0),(1679,'-1 (غير محدود)','ar',0),(1680,'نسخة بي.إتش.بي قديمة جدا. يتطلب دروبال على الأقل نسخة بي.إتش.بي %version.','ar',0),(1681,'الحد الأقصى لذاكرة PHP','ar',0),(1682,'قد ترغب في زيادة حد ذاكرة بي.إتش.بي إلى %memory_minimum_limit لتفادي الأخطاء أثناء التركيب.','ar',0),(1683,'قد ترغب في زيادة حد ذاكرة بي.إتش.بي إلى %memory_minimum_limit لتفادي الأخطاء أثناء التحديث.','ar',0),(1684,'حسب تضبيطاتك، يستطيع دروبال العمل مع حد ذاكرة بي.إتش.بي %memory_limit. مع هذا يُنصح بحد ذاكرة يساوي %memory_minimum_limit أو أكثر، خاصة إذا كان موقعة يستخدم وحدات إضافية.','ar',0),(1685,'ارفع حد الذاكرة بتغيير قيمة المعامل memory_limit في الملف %configuration-file ثم أعد تشغيل خادمك للويب (أو اتصل بمدير نظامك أو مقدم خدمة الاستضافة للحصول على مساعدة).','ar',0),(1686,'إتصل بإدارة النظام أو مقدم الإستضافة للمساعدة في تزويد حد ذاكرة الـ PHP.','ar',0),(1687,'غير مَحْمي','ar',0),(1688,'الملف %file غير محم من التعديلات و قد يشكل خطورة على الأمان. ينبغي عليك تغيير صلاحيات الملف كي لا يقبل الكتابة فيه.','ar',0),(1689,'لم يتم تشغيل الدورية مؤخرا.','ar',0),(1690,'مهام الصيانة الدورية','ar',0),(1691,'لا يمكن الكتابة في الدليل %directory.','ar',0),(1692,'قابل للكتابة (طريقة تنزيل <em>عمومية</em>)','ar',0),(1693,'قابل للكتابة (طريقة تنزيل <em>خاصة</em>)','ar',0),(1694,'تحديثات قاعدة البيانات','ar',0),(1695,'الوصول إلى update.php','ar',0),(1696,'تتعامل مع ضبط الموقع العام للإداريين.','ar',0),(1697,'أعد إلى الأبجدي','ar',0),(1698,'تُعرض المفردات تصاعديا مرتبة حسب الوزن.','ar',0),(1699,'يجب أن تكون قيمة الوزن عددية.','ar',0),(1700,'هل أنت متأكد أنك ترغب في إعادة معجم %title إلى الترتيب الأبجدي؟','ar',0),(1701,'إعادة المعجم إلى الترتيب الأبجدي سيحذف أيضا أي ترتيب يدوي.','ar',0),(1702,'إعادة المعجم %name إلى الترتيب الأبجدي.','ar',0),(1703,'إعدادات الترجمة','ar',0),(1704,'تحتاج هذه الترجمة إلى تحديث','ar',0),(1705,'تاريخ إصدار مجهول','ar',0),(1706,'آخر تحقق : منذ @time','ar',0),(1707,'آخر تحقق: لم يتم التحقق بعد','ar',0),(1708,'تشمل: %includes','ar',0),(1709,'حدد الوتيرة التي تريد لمراقبة الإصدارات الجديدة لوحداتك وحللك المثبتة حاليا.','ar',0),(1710,'تجد هنا معلومات عن التحديثات المتوفرة للوحدات والسمات المركبة. لاحظ أن كل وحدة أو سمة جزء من \"مشروع\" والذي قد يحمل نفس الاسم أو لا، وقد يشتمل على أكثر من وحدة أو سمة.','ar',0),(1711,'حالة تحديث الوحدات الحلل','ar',0),(1712,'يوجد تحديث أمني لواحد أو أكثر من الوحدات أو السمات المركبة. لضمان أمان موقعك يتعين عليك التحديث حالا.','ar',0),(1713,'توجد تحديثات لواحد أو أكثر من الوحدات أو السمات المركبة. لتضمن بقاء موقعك عاملا كما ينبغي علك الترقية بأسرع وقت.','ar',0),(1714,'الحصول على تقرير عن حالة التحديثات المتوفرة لوحداتك وحللك المثبتة.','ar',0),(1715,'تم حذف %name.','ar',0),(1716,'يجب أن تدخل اسم مستخدم.','ar',0),(1717,'يجب ألا يبدأ اسم المستخدم بمسافة.','ar',0),(1718,'يجب ألا ينتهي اسم المستخدم بمسافة.','ar',0),(1719,'يجب ألا يحتوى اسم المستخدم على مسافات متتالية.','ar',0),(1720,'يحتوى اسم المستخدم على حرف غير مسموح به.','ar',0),(1721,'اسم المستخدم %name طويل جدا: يجب الا يزيد أسم المستخدم عن %max حرفا.','ar',0),(1722,'المتصلون الأن','ar',0),(1723,'أدخل كلمة المرور المصاحبة لاسم مستخدمك.','ar',0),(1724,'ارفع المنع عن المستخدمين المختارين','ar',0),(1725,'امنع المستخدمين المختارين','ar',0),(1726,'حُذف المستخدم: %name ‏%email.','ar',0),(1727,'تحرير الدور','ar',0),(1728,'تدير نظام تسجيل و ولوج المستخدمين.','ar',0),(1729,'قائمة اللغات','ar',0),(1730,'يظهر العنوان عندما يمر سهم الماوس فوق الصورة.','ar',0),(1731,'مؤشر التقدم','ar',0),(1732,'شريط مع مقياس التقدم','ar',0),(1733,'Throbber','ar',0),(1734,'فشل في رفع الملف. %upload','ar',0),(1735,'رابط الملف','ar',0),(1736,'حدث خطأ غير قابل للاسترجاع. حجم الملف على الأرجح تجاوز الحد الأقصى (@size) الذي يتحمله الخادم.','ar',0),(1737,'يتم الرفع...','ar',0),(1738,'جاري الرفع... (@current من @total)','ar',0),(1739,'بإمكان خادمك عرض حالة تقدم رفع الملفات بواسطة APC، ولكنه غير مفعل. يرجى إضافة <code>apc.rfc1867 = 1</code> إلى ملف الإعدادات php.ini. بدلا من ذلك، يوصى باستخدام <a href=\"http://pecl.php.net/package/uploadprogress\">PECL uploadprogress</a>، التي تدعم رفع أكثر من ملف واحد في نفس الوقت.','ar',0),(1740,'مفعل (<a href=\"http://pecl.php.net/package/uploadprogress\">PECL uploadprogress</a>)','ar',0),(1741,'تقدم حالة الرفع','ar',0),(1742,'الواجهة','ar',0),(1743,'@size كيلوبايت','ar',0),(1744,'@size ميغابايت','ar',0),(1745,'@size جيغابايت','ar',0),(1746,'@size تيرابايت','ar',0),(1747,'@size بيتابايت','ar',0),(1748,'@size إكسابايت','ar',0),(1749,'@size زيتابايت','ar',0),(1750,'@size يوتابايت','ar',0),(1751,'كل الرسائل','ar',0),(1752,'تنسيق النص','ar',0),(1753,'لا توجد مواضيع جديدة','ar',0),(1754,'موضوع مثبت','ar',0),(1755,'حالة طارئة','ar',0),(1756,'اسم الموقع.','ar',0),(1757,'مزايا اختيارية','ar',0),(1758,'إعدادات الشكل','ar',0),(1759,'تنبيه','ar',0),(1760,'حرج','ar',0),(1761,'مقطع التنسيق','ar',0),(1762,'إضافة تنسيق','ar',0),(1763,'حذف تنسيق التاريخ','ar',0),(1764,'اسم نوع المحتوى','ar',0),(1765,'اللوح','ar',0),(1766,'@field_name (مقفل)','ar',0),(1767,'- اختر نوع الحقل -','ar',0),(1768,'- اختر حقل موجود -','ar',0),(1769,'إضافة حقل جديد: يجب إضافة تسمية.','ar',0),(1770,'الحقل %field مقفل ولا يمكن تعديله.','ar',0),(1771,'%name يجب أن يكون عدد.','ar',0),(1772,'اﻹعدادات الإقليمية','ar',0),(1773,'التدوير','ar',0),(1774,'أسفل الصفحة','ar',0),(1775,'تعاريف','ar',0),(1776,'قاعدة البيانات بترميز UTF-8','ar',0),(1777,'لم يستطع دروبال تحديد ما إذا كان  ترميز قاعدة البيانات هو UTF-8','ar',0),(1778,'قام PostgreSQL بتهيئة نفسه','ar',0),(1779,'الهيكلية','ar',0),(1780,'حدد الاختبار (الاختبارات) أو مجموعة (مجموعات) الاختبارات التي تريد تشغيلها، وانقر على <em>بدء الاختبارات</em>.','ar',0),(1781,'الكل (@count)','ar',0),(1782,'الناجحة (@count)','ar',0),(1783,'الفاشلة (@count)','ar',0),(1784,'العودة إلى القائمة','ar',0),(1785,'مسح النتائج بعد كل عملية تشغيل كاملة لسلسلة من الاختبارات','ar',0),(1786,'تقديم المعلومات المستنبطة عند تشغيل الاختبارات','ar',0),(1787,'إعدادات مصادقة HTTP التي ستستخدم من طرف متصفح SimpleTest أثناء الاختبارات. هي مفيدة عندما يتطلب الموقع مصادقة HTTP أساسية.','ar',0),(1788,'لم يتم إكمال الاختبار بنجاح.','ar',0),(1789,'تم تعطيل مسح النتائج ولن يتم حذف جدول نتائج الاختبارات.','ar',0),(1790,'لم يتبق أي جدول لإزالته.','ar',0),(1791,'رسالة تصحيح واحدةرسالة تصحيح واحدةرسالتا تصحيح إثنتان@count رسائل تصحيح@count رسالة تصحيح@count رسالة تصحيح','ar',0),(1792,'تم حذف نتيجة اختبار واحدةتم حذف نتيجة اختبار واحدةتم حذف نتيجتي اختبار إثنتينتم حذف @count نتائج اختبارتم حذف @count نتيجة اختبارتم حذف @count نتيجة اختبار','ar',0),(1793,'تم حذف جدول واحد متروكتم حذف جدول واحد متروكتم حذف جدولين متروكينتم حذف @count جداول متروكةتم حذف @count جدولاً متروكاًتم حذف @count جدول متروكة','ar',0),(1794,'تم حذف جدول مؤقت واحد.تم حذف جدول مؤقت واحد.تم حذف جدولين مؤقتين.تم حذف @count جداول مؤقتة.تم حذف @count جدولا مؤقت.تم حذف @count جدول مؤقتة.','ar',0),(1795,'نتائج الاختبار','ar',0),(1796,'تحرير النمط','ar',0),(1797,'ترقية','ar',0),(1798,'الجالب','ar',0),(1799,'هذه الصلاحية منبثقة من دور المستخدم المعرف.','ar',0),(1800,'Seven','ar',0),(1801,'عنوان @argument','ar',0),(1802,'مُدخل @argument','ar',0),(1803,'إدارة المنتديات','ar',0),(1804,'إلغاء الحساب','ar',0),(1805,'دور إداري','ar',0),(1806,'لا توجد أي مراجعة','ar',0),(1807,'العنوان ضروري','ar',0),(1808,'الكيانات','ar',0),(1809,'الملفات الخاصة','ar',0),(1810,'غير مقيد','ar',0),(1811,'روابط العمليات','ar',0),(1812,'المعرف الفريد للتعليق.','ar',0),(1813,'عنوان الإيبي للجهاز الذي أرسل منه التعليق.','ar',0),(1814,'عنوان البريد الإلكتروني المدخل من طرف صاحب التعليق.','ar',0),(1815,'رابط الموقع المدخل من طرف صاحب التعليق.','ar',0),(1816,'تنسيق محتوى التعليق.','ar',0),(1817,'مسار التعليق.','ar',0),(1818,'تحرير العنوان URL','ar',0),(1819,'مسار صفحة تحرير التعليق.','ar',0),(1820,'تاريخ إرسال التعليق.','ar',0),(1821,'التعليق الأب، إذا كان تسنن التعليقات مفعّل.','ar',0),(1822,'عدد التعليقات الجديدة','ar',0),(1823,'المعرف الفريد لآخر مراجعة للعقدة.','ar',0),(1824,'الاسم الظاهر للمستخدم لهذا النوع من المحتوى','ar',0),(1825,'عنوان رابط العقدة.','ar',0),(1826,'URL صفحة تحرير العقدة.','ar',0),(1827,'تاريخ التعديل','ar',0),(1828,'تاريخ آخر تحديث للعقدة.','ar',0),(1829,'عدد مرات قراءة المشاركة.','ar',0),(1830,'عدد مرات قراءة المشاركة اليوم.','ar',0),(1831,'آخر مشاهدة','ar',0),(1832,'تاريخ آخر قراءة للمشاركة.','ar',0),(1833,'شعار الموقع.','ar',0),(1834,'عنوان البريد الإلكتروني الإداري للموقع.','ar',0),(1835,'رابط الصفحة الرئيسية للموقع.','ar',0),(1836,'صفحة الدخول','ar',0),(1837,'رابط صفحة الدخول إلى الموقع.','ar',0),(1838,'المعرف الفريد (ID) للملف المرفوع.','ar',0),(1839,'اسم الملف على القرص.','ar',0),(1840,'رابط الملف القابل للوصول من الويب.','ar',0),(1841,'تاريخ آخر تغيير للملف.','ar',0),(1842,'المستخدم الذي قام برفع الملف أولاً.','ar',0),(1843,'المعرف الفريد للوسم.','ar',0),(1844,'اسم الوسم.','ar',0),(1845,'الوصف الاختياري للوسم.','ar',0),(1846,'عدد العقد الموسومة بمصطلح التصنيف.','ar',0),(1847,'العنوان URL لمصطلح التصنيف.','ar',0),(1848,'المعجم الذي ينتمي إليه مصطلح التصنيف.','ar',0),(1849,'المصطلح الأب لمصطلح التصنيف، إذا وجد.','ar',0),(1850,'المعرف ID الفريد لمعجم التصنيف.','ar',0),(1851,'اسم معجم التصنيف.','ar',0),(1852,'الوصف الاختياري لمعجم التصنيف.','ar',0),(1853,'عدد العقد الموسومة بمصطلحات تنتمي إلى معجم التصنيف.','ar',0),(1854,'عدد المصطلحات التي تنتمي إلى معجم التصنيف.','ar',0),(1855,'المعرف الوحيد (ID) لحساب المستخدم.','ar',0),(1856,'اسم الدخول لحساب المستخدم.','ar',0),(1857,'عنوان البريد الإلكتروني لحساب المستخدم.','ar',0),(1858,'عنوان رابط الصفحة الشخصية للحساب.','ar',0),(1859,'تاريخ إنشاء حساب المستخدم.','ar',0),(1860,'محتوى الصفحة الرئيسية','ar',0),(1861,'لا يسمح لك بالوصول إلى هذه الصفحة.','ar',0),(1862,'السماح بالتغييرات على نظام الملفات','ar',0),(1863,'يبدو أنك وصلت إلى هذه الصفحة عن طريق الخطأ.','ar',0),(1864,'authorize.php','ar',0),(1865,'تعذر تشغيل مجدول الأعمال (كرون) لأنه تم استخدام مفتاح غير صالح.','ar',0),(1866,'لا يمكن تشغيل مجدول الأعمال (كرون) لأن الموقع في وضع الصيانة.','ar',0),(1867,'البلد الافتراضي','ar',0),(1868,'في ملفك %settings_file أعددت @drupal لاستخدام خادم %driver، ولكن تثبيتك الحالي لـPHP لا يدعم هذا النوع من قاعدة البيانات.','ar',0),(1869,'تعذر العثور على أي ملف تثبيت. تحدد لنا ملفات التثبيت الوحدات التي بنبغي تفعيلها والمخطط الذي ينبغي تثبيته في قاعدة البيانات. ملف التثبيت ضروري لمتابعة عملية التثبيت.','ar',0),(1870,'هنيئا، لقد قمت بتثبيت @drupal!','ar',0),(1871,'ملف الإعدادات','ar',0),(1872,'حساب صيانة الموقع','ar',0),(1873,'اختر الدولة الافتراضية للموقع.','ar',0),(1874,'لا توجد تحديثات معلقة.','ar',0),(1875,'لا توجد تحديثات بالانتظاريوجد تحديث واحد بالانتظاريوجد تحديثان بالانتظاريوجد @count تحديثات بالانتظاريوجد @count تحديثاً بالانتظاريوجد @count تحديث بالانتظار','ar',0),(1876,'تعذرت المتابعة، لا توجد انماط متوفرة لنقل الملفات.','ar',0),(1877,'للاستمرار, زود تفاصيل الاتصال بخادمك.','ar',0),(1878,'نمط الاتصال','ar',0),(1879,'أدخل إعدادات الاتصال','ar',0),(1880,'إعدادات الاتصال @backend','ar',0),(1881,'تغيير نوع الاتصال','ar',0),(1882,'لا توجد دفعة نشطة.','ar',0),(1883,'الموقع قيد الصيانة','ar',0),(1884,'لا يمكن أن تعمل الأرشفة إلا على الملفات المحلية: %file غير مدعوم.','ar',0),(1885,'تعذر رفع الملف %source لأنه يوجد ملف بنفس هذا الاسم في الدليل %directory.','ar',0),(1886,'طول اسم الملف أكثر من 240 حرفاً. أعد تسمية الملف من فضلك ثم حاول من جديد.','ar',0),(1887,'%path عبارة عن دليل ولا يمكن حذفه باستخدام file_unmanaged_delete().','ar',0),(1888,'الملف %path ليس من نوع معروف لذا لم يتم حذفه.','ar',0),(1889,'لا يمكن تطبيق صلاحيات الملف على %uri.','ar',0),(1890,'تم @current من @total.','ar',0),(1891,'تعذر تشغيل كافة المهام على خادم قاعدة البيانات. لم يتم العثور على المهمة %task.','ar',0),(1892,'فشل في تغيير %settings. من فضلك تحقق من صلاحيات الملفات.','ar',0),(1893,'فشل في فتح %settings، من فضلك تحقق من صلاحيات الملفات.','ar',0),(1894,'الوحدات المطلوبة','ar',0),(1895,'لم يتم العثور على وحدات مطلوبة.','ar',0),(1896,'تمت إزالة وحدة %module.','ar',0),(1897,'سانت بارتيليمي','ar',0),(1898,'لا يوجد أي مقطع متوفر.','ar',0),(1899,'تم فقدان ملف ترجمة الجافاسكريبت %file.js.','ar',0),(1900,'(علامة التبويب النشطة)','ar',0),(1901,'يعمل في وضع الصيانة.','ar',0),(1902,'رسالة الحالة','ar',0),(1903,'تعذر تحديد نوع الدليل المصدر.','ar',0),(1904,'تعذر تحديد نوع المشروع.','ar',0),(1905,'خطأ فادح أثناء التحديث، تعذر حذف دليل التثبيت.','ar',0),(1906,'تعذر إنشاء %directory بسبب: %reason','ar',0),(1907,'رفع ملف OPML يحتوي على قائمة التلقيمات المراد استيرادها.','ar',0),(1908,'مسار OPML البعيد','ar',0),(1909,'أدخل مسار ملف OPML. سيتم تحميل ومعالجة هذا الملف عند إرسال الاستمارة.','ar',0),(1910,'لم تتم إضافة أي تلقيمة جديدة.','ar',0),(1911,'المسار %url غير صحيح.','ar',0),(1912,'توجد فعلا تلقيمة بعنوان %title.','ar',0),(1913,'توجد فعلا تلقيمة للمسار %url.','ar',0),(1914,'تقوم الجوالب بتحميل البيانات من مصدر خارجي. اختر جالبا مناسبا للمصدر الخارجي المراد التحميل منه.','ar',0),(1915,'تقوم المحللات بمطابقة البيانات المحملة على البنية المبدئية. اختر محلل مناسب لنوع التلقيمة المراد تجميع الأخبار منها.','ar',0),(1916,'تعمل المعالجات علي بيانات التلقيمات المحللة، على سبيل المثال تخزين عناصر التلقيمة. اختر المعالجات المناسبة لمُهمتك.','ar',0),(1917,'الإعدادت الافتراضية مناسبة لأغلب مهام التجميع.','ar',0),(1918,'الجالب الافتراضي','ar',0),(1919,'يُحمِّل معطيات من عنوان URL باستخدام معالج الطلبات HTTP لدروبال.','ar',0),(1920,'المحلل الإفتراضي','ar',0),(1921,'المعالج الافتراضي','ar',0),(1922,'ينشأ سجلات خفيفة من عناصر التلقيمة.','ar',0),(1923,'إعدادات المعالج الافتراضي','ar',0),(1924,'عدد العناصر المعروضة في صفحات السرد','ar',0),(1925,'طول ملخص الوصف','ar',0),(1926,'العدد الأقصى للحروف المستخدمة في ملخص المحتوى.','ar',0),(1927,'عرض التلقيمات','ar',0),(1928,'إضافة، تحرير وحذف التلقيمات','ar',0),(1929,'إعداد مجدول الأعمال (كرون)','ar',0),(1930,'إدارة تلقيمات الأخبار','ar',0),(1931,'عرض تلقيمات الأخبار','ar',0),(1932,'التحكم بالظهور','ar',0),(1933,'إنشاء صناديق مخصصة','ar',0),(1934,'معاينة مناطق الصناديق (@theme)','ar',0),(1935,'إدارة الصناديق','ar',0),(1936,'التحكم في البناء الشكلي للصناديق من خلال الصفحة التي انشئ من خلالها. الصناديق هي أطر يتم عرض محتوي بها بالعرض في منطقه او نطاق ما من صفحة الويب.','ar',0),(1937,'خاضع لبعض الصفحات','ar',0),(1938,'لا يمكن وضع الصندوق في هذه المنطقة.','ar',0),(1939,'لا يوجد كتب.','ar',0),(1940,'أنواع المحتوى المسموح بها في فهارس الكتب','ar',0),(1941,'بإمكان المستخدمين ذوي صلاحية %outline-perm إضافة كل أنواع المحتوى.','ar',0),(1942,'إدارة فهرس (هيكلية) الكتاب','ar',0),(1943,'إضافة وإدارة محتوى الكتاب','ar',0),(1944,'طباعة الكتب','ar',0),(1945,'يمكن للمستخدمين ذوي صلاحية <em>عرض نسخة للطباعة من الكُتب</em> تحديد رابط <em>نسخة للطباعة</em> الموجود أسفل كل صفحة كتاب لتكوين نسخة قابله للطباعة من الصفحة وكل أقسامها الفرعية.','ar',0),(1946,'توفر الوحدة Book وسائل لتنظيم مجموعة من صفحات المحتوى المرتبطة والتي يسمّى مجموعها كتابا. عند عرضه، يُظهر المحتوى تلقائيا روابط لصفحات الكتاب المجاورة، موفرا بذلك نظام تصفح بسيط لإنشاء ومراجعة محتوى منظّم.','ar',0),(1947,'إنشاء كتب جديدة','ar',0),(1948,'إضافة محتوى و صفحات فرعية للكتب','ar',0),(1949,'عرض نسخة للطباعة من الكتب','ar',0),(1950,'عرض صفحة الكتاب وكل صفحاتها الفرعية في مستند واحد من أجل تسهيل الطباعة. من الممكن ان يؤدي الى انخفاض الأداء.','ar',0),(1951,'لدى <em>الكتب</em> تصفح هرمي مدمج. استعمله للكُتيبات أو الدروس.','ar',0),(1952,'تسمح للمستخدمين بإنشاء وتنظيم المحتوى المرتبط ضمن هيكل.','ar',0),(1953,'تغيير الألوان','ar',0),(1954,'تسمح للإداريين بتعديل مخطط الألوان للثيمات المتوافقة.','ar',0),(1955,'من فضلك اختر تعليقاً أو أكثر لتطبيق التحديثات عليهم.','ar',0),(1956,'يبدو أنه لا توجد أي تعليقات للحذف أو أن التعليقات التي اخترتها قد حذفها إداري آخر.','ar',0),(1957,'تم حذف @count تعليق.','ar',0),(1958,'تم حذف التعليق @cid وكل الردود عليه.','ar',0),(1959,'تمت الموافقة على التعليق.','ar',0),(1960,'رموز (Tokens) للتعليقات المنشورة في الموقع.','ar',0),(1961,'التعليق بأكمله','ar',0),(1962,'التعليقات غير الموافق عليها (@count)','ar',0),(1963,'إدارة التعليقات وإعدادات التعليق','ar',0),(1964,'تعديل تعليقاته','ar',0),(1965,'التسنن','ar',0),(1966,'عرض ردود التعليقات في لائحة مسننة.','ar',0),(1967,'عرض استمارة الرد في نفس صفحة التعليقات','ar',0),(1968,'يمكن للمستخدمين ذوي صلاحية \"إرسال تعليقات\" المشاركة في التعليقات.','ar',0),(1969,'لا يمكن للمستخدمين إرسال تعليقات، لكن يتم عرض التعليقات الموجودة.','ar',0),(1970,'التعليقات مخفية من العرض.','ar',0),(1971,'لا يمكن للمستخدمين إرسال تعليقات.','ar',0),(1972,'تم وضع تعليقك في وضع الانتظار للمعاينة من طرف إدارة الموقع وسيتم نشره بعد الموافقة عليه.','ar',0),(1973,'تم إرسال التعليق.','ar',0),(1974,'حفظ التعليق','ar',0),(1975,'سيتم إلغاء نشر التعليق إذا كان يحتوي على أي من العبارات أعلاه. استخدم قائمة من العبارات المفصولة بفواصل. مثلا: مضحك، مبارة، \"شركة\"','ar',0),(1976,'سرد و تحرير التعليقات في الموقع و في طابور الموافقة على النشر.','ar',0),(1977,'التعليقات الغير موافق عليها','ar',0),(1978,'لا يمكنك إرسال أكثر من %limit من الرسائل في @interval. حاول مرة أخرى لاحقا.','ar',0),(1979,'الاتصال بـ @username','ar',0),(1980,'إدارة وإعدادات استمارة الاتصال.','ar',0),(1981,'استخدام استمارة اتصال الموقع','ar',0),(1982,'استخدام استمارة الاتصال الشخصية للأعضاء','ar',0),(1983,'تغيير هذا الإعداد لا يؤثر على الأعضاء المسجلين.','ar',0),(1984,'عرض الروابط السياقية','ar',0),(1985,'استخدام الروابط السياقية','ar',0),(1986,'استخدم الارتباطات السياقية لتنفيذ المهام المرتبطة بعناصر الصفحة.','ar',0),(1987,'الروابط السياقية','ar',0),(1988,'توفر روابط سياقية لتفيذ إجراءات مرتبطة بعناصر في الصفحة.','ar',0),(1989,'حذف رسائل السجل','ar',0),(1990,'هذه العملية تقوم بحذف جميع رسائل السجل من قاعدة البيانات.','ar',0),(1991,'تم حذف رسائل السجل من قاعدة البيانات.','ar',0),(1992,'مراقبة موقعك','ar',0),(1993,'تصحيح مشاكل الموقع','ar',0),(1994,'قائمة (نص)','ar',0),(1995,'وسوم HTML المسموح بها في التسميات: @tags','ar',0),(1996,'قيمة هذا الحقل محددة من طرف %function ولا يجب تغييرها.','ar',0),(1997,'قائمة القيم المسموح بها: يجب أن يكون كل مفتاح عدد صحيح أو عشري.','ar',0),(1998,'قائمة القيم المسموح بها: يجب أن يكون كل مفتاح عبارة نصية تتكون من 255 حرف كحد أقصى.','ar',0),(1999,'قائمة القيم المسموحة: يجب أن تكون كل المفاتيح أعداد صحيحة.','ar',0),(2000,'هذا الحقل يخزن عددا في قاعدة البيانات على شكل عدد صحيح.','ar',0),(2001,'هذا الحقل يخزن عددا في قاعدة البيانات على شكل عدد كسري.','ar',0),(2002,'هذا الحقل يخزن عددا في قاعدة البيانات على شكل عدد عشري.','ar',0),(2003,'أدنى قيمة مسموح بها في هذا الحقل. اتركه فارغا لعدم تحديد حد أدنى.','ar',0),(2004,'أقصى قيمة مسموح بها في هذا الحقل. اتركه فارغا لعدم تحديد حد أقصى.','ar',0),(2005,'إدخال الملخص','ar',0),(2006,'يسمح هذا للمستخدمين بإدخال ملخص المحتوى، ليتم عرضه عوضاً عن النص المشذب، عند استخدام نوع العرض \"الملخص أو المشذب\".','ar',0),(2007,'الملخص أو المشذب','ar',0),(2008,'نص متعدد السطور مع ملخص','ar',0),(2009,'اتركه فارغا لاستخراج قيمة مشذبة من النص الكامل كملخص.','ar',0),(2010,'إخفاء الموجز','ar',0),(2011,'تعديل الملخص','ar',0),(2012,'تحرير إعدادات الحقل.','ar',0),(2013,'يتم تطبيق هذه الإعدادات على الحقل %field في أي مكان يستخدم فيه. تؤثر هذه الإعدادات على كيفية تخزين المعلومات في قاعدة البيانات ولا يمكن تغييرها بعد إنشاء البيانات.','ar',0),(2014,'تم تحديث إعدادات الحقل %label.','ar',0),(2015,'فشل محاولة تحديث الحقل %label : %message.','ar',0),(2016,'تم حذف الحقل %field من نوع المحتوى %type.','ar',0),(2017,'حدثت مشكلة أثناء حذف الحقل %field من نوع المحتوى %type.','ar',0),(2018,'حقل ضروري','ar',0),(2019,'القيمة الافتراضية لهذا الحقل، تستخدم عند إنشاء محتوى جديد.','ar',0),(2020,'تم حفظ خيارات ضبط %label.','ar',0),(2021,'تعرض هذه القائمة كافة الحقول المستخدمة حاليا لتسهيل الرجوع إليها.','ar',0),(2022,'قائمة الحقول','ar',0),(2023,'واجهة الحقل','ar',0),(2024,'هذا الحقل يخزن معرف الملف (ID) على شكل عدد صحيح.','ar',0),(2025,'تفعيل الحقل <em>عرض</em>','ar',0),(2026,'يسمح خيار العرض للمستخدمين باختيار ما إذا كان الملف يتم عرضه أثناء معاينة المحتوى.','ar',0),(2027,'الملفات المعروضة بشكل افتراضي','ar',0),(2028,'ليس لهذا الإعداد مفعول إلا عند تفعيل خيار العرض.','ar',0),(2029,'وجهة الرفع','ar',0),(2030,'حدد أين يجب تخزين الملفات النهائية. التخزين الخاص للملف يضع قيودا أكثر من التخزين العام، لكنه يسمح بوصول محدود للملفات لهذا الحقل.','ar',0),(2031,'مجلد فرعي اختياري في مجلد الرفع الذي ستخزّن فيه الملفات. لا تدرج خط مائلا لا قبل ولا بعد.','ar',0),(2032,'يرجى إدخال قيمة مثل \"512\" (بايت)، \"80 KB\" (كيلوبايت) أو \"50 MB\" (ميغابايت) لتحديد حجم الملف المسموح به. في حالة تركه فارغاً يتم تحديد حجم الملف بالحد الأقصى للرفع من إعدادات PHP (والذي قيمته حالياً <strong>%limit</strong>).','ar',0),(2033,'تمكين حقل <em>الوصف</em>','ar',0),(2034,'يسمح حقل الوصف للمستخدمين بإضافة وصف للملف المراد رفعه.','ar',0),(2035,'قائمة اللواحق المسموح بها غير صحيحة. يرجى التأكد من عدم إدخال النقطة التي تسبق اللاحقة وفصل اللواحق بمسافة أو فاصلة.','ar',0),(2036,'ملف عام','ar',0),(2037,'جدول الملفات','ar',0),(2038,'إضافة ملف جديد','ar',0),(2039,'تضمين الملف في العرض','ar',0),(2040,'يمكن استخدام الوصف كتسمية لرابط الملف.','ar',0),(2041,'بإمكان كل الأدوار استخدام هذا التنسيق','ar',0),(2042,'تم حفظ ترتيب تنسيق النص.','ar',0),(2043,'إضافة تنسيق نص','ar',0),(2044,'يجب تمكين كل الأدوار لهذا التنسيق ولا يمكن تغييرها.','ar',0),(2045,'يجب أن تكون أسماء تنسيقات النصوص فريدة. يوجد مسبقاً نسق باسم %name.','ar',0),(2046,'تم إضافة تنسيق النص %format.','ar',0),(2047,'تم تحديث تنسيق النص %format.','ar',0),(2048,'تنسيقات النص','ar',0),(2049,'اختيار تنسيق نص','ar',0),(2050,'تحذير : قد تؤثر هذه الصلاحية على الأمن بحسب الطريقة التي يتم بها تكوين تنسيق النص.','ar',0),(2051,'تحويل فواصل السطور إلى HTML (مثلا، <code>&lt;br&gt;</code> و <code>&lt;p&gt;</code>)','ar',0),(2052,'تحويل عناوين المواقع إلى روابط','ar',0),(2053,'تصحيح كود HTML الناقص أو الخاطئ','ar',0),(2054,'عرض كود HTML كنص عادي','ar',0),(2055,'عرض مساعدة لتعليمات HTML في النصائح الخاصة بالمرشحات','ar',0),(2056,'إضافة rel=\"nofollow\" إلى كل الروابط','ar',0),(2057,'يمكن إدخال معظم الأحرف غير المعهودة دون أية مشكلة.','ar',0),(2058,'لا يسمح بوسوم HTML.','ar',0),(2059,'يرشح المحتوى لتحضيره للعرض.','ar',0),(2060,'عدد الردود الواجب توفرها في موضوع ما ليعتبر \"ساخن\".','ar',0),(2061,'بدء مناقشة','ar',0),(2062,'نقل مواضيع المنتدى','ar',0),(2063,'بالإمكان نقل موضوع منتدى (وجميع التعليقات عليه) من منتدى إلى آخر بتعيين منتدى مختلف أثناء تعديل الموضوع. عند نقل موضوع من منتدى إلى آخر، فإن خيار <em>ترك نسخة مخفية</em> يقوم بإنشاء رابط في المنتدى الأصلي نحو مكانه الجديد.','ar',0),(2064,'قفل وتعطيل التعليقات','ar',0),(2065,'اختيار <em>مغلق</em> في <em>إعدادات التعليقات</em> أثناء تعديل موضوع منتدى يمنع التعليقات الجديدة. اختيار <em>مخفي</em> في <em>إعدادات التعليقات</em> أثناء تعديل موضوع منتدى يمنع التعليقات الجديدة ويقوم بإخفاء كل التعليقات الموجودة..','ar',0),(2066,'تحتوي المنتديات على مواضيع مناقشات. استخدم الحاويات لتجميع المنتديات المرتبطة.','ar',0),(2067,'استخدم الحاويات لتجميع المنتديات المرتبطة.','ar',0),(2068,'المنتدى يحوي مواضيع المناقشات المرتبطة.','ar',0),(2069,'إضافة @node_type جديد','ar',0),(2070,'العنصر %forum عبارة عن حاوية، وليس منتدى. اختر واحد من المنتديات أدناه بدلا منه.','ar',0),(2071,'<em>موضوع منتدى</em> يبدأ مناقشة جديدة في المنتدى.','ar',0),(2072,'التحقق من إعدادات التسلسل الهرمي للمنتديات.','ar',0),(2073,'معجم الإبحار في المنتديات','ar',0),(2074,'توفر منتديات مناقشة.','ar',0),(2075,'اتبع هذه الخطوات للتكوين ثم البدء باستخدام موقعك:','ar',0),(2076,'تقديم المساعدة المرجعية','ar',0),(2077,'اسم نمط الصورة','ar',0),(2078,'اختيار تأثير جديد','ar',0),(2079,'تحديث النمط','ar',0),(2080,'اختيار تأثير لإضافته.','ar',0),(2081,'تم تطبيق تأثير الصورة بنجاح.','ar',0),(2082,'اسم النمط','ar',0),(2083,'إنشاء نمط جديد','ar',0),(2084,'تم إنشاء النمط %style.','ar',0),(2085,'نمط الاستبدال','ar',0),(2086,'يمكنك اختيار نمط قبل حذف %style','ar',0),(2087,'تعديل التأثير %label','ar',0),(2088,'إضافة التأثير %label','ar',0),(2089,'تحديث التأثير','ar',0),(2090,'إضافة تأثير','ar',0),(2091,'هل أنت متأكد من حذف التأثير @effect من النمط %style ؟','ar',0),(2092,'تم حذف تأثير الصورة %name.','ar',0),(2093,'لا يمكن للارتفاع والعرض أن يكون كلاهما فارغاً.','ar',0),(2094,'الجزء من الصورة الذي سيتم إزالته عند قصها.','ar',0),(2095,'لون الخلفية المستخدم في المناطق الفارغة من الصورة. استخدم ألوان الويب الست عشرية (هيكساديسيمال) (على سبيل المثال #FFFFFF للون الأبيض أو #000000 للون الأسود). اتركه فارغاً لاستخدام الشفافية للصور التي تدعم هذه الخاصية.','ar',0),(2096,'لا توجد حاليا أية تأثيرات في هذا الشكل. أضف تأثيرا جديدا باختيار أحد الخيارات أسفله.','ar',0),(2097,'عرض الحجم الحالي','ar',0),(2098,'مثال عن الصورة الأصلية','ar',0),(2099,'مثال عن الصورة المعدلة','ar',0),(2100,'تغيير الحجم لا يحترم أبعاد الصورة. ما قد يؤدي إلى الحصور على صور ممدة أو مضغوطة.','ar',0),(2101,'المقياس يحافظ على نسبة الأبعاد الأصلية للصورة. إذا تم تعيين أحد الأبعاد، فسيتم حساب البعد الآخر تلقائياً.','ar',0),(2102,'القياس والاقتصاص','ar',0),(2103,'إزالة الإشباع','ar',0),(2104,'إزالة الإشباع تحول صورة إلى تدرج رمادي.','ar',0),(2105,'قد يؤدي تطبيق استدارة على الصورة إلى زيادة في أبعاد الصورة لتتناسب مع القطر.','ar',0),(2106,'فشل في تغيير حجم الصورة باستخدام مربع الأدوات %toolkit في %path (%mimetype، %dimensions)','ar',0),(2107,'فشل تحجيم الصورة باستخدام مربع الأدوات %toolkit على المسار %path (%mimetype, %dimensions)','ar',0),(2108,'فشل في قص الصورة باستخدام مربع الأدوات %toolkit على %path (%mimetype, %dimensions)','ar',0),(2109,'فشل في تغيير حجم الصورة وقصها باستخدام مربع الأدوات %toolkit على %path (%mimetype, %dimensions)','ar',0),(2110,'فشل في إلغاء تشبيع الصورة باستخدام مربع الأدوات %toolkit على %path (%mimetype, %dimensions)','ar',0),(2111,'فشل في تدوير الصورة باستخدام مربع الأدوات %toolkit على %path (%mimetype, %dimensions)','ar',0),(2112,'يخزن هذا الحقل المعرف (ID) لملف الصورة على شكل عدد صحيح.','ar',0),(2113,'إذا لم يتم رفع أي صورة، ستستخدم هذه الصورة للعرض.','ar',0),(2114,'الحد الأدنى لدقة الصورة','ar',0),(2115,'تفعيل حقل <em>Alt</em>','ar',0),(2116,'تفعيل حقل <em>Title</em>','ar',0),(2117,'محتوى الخاصية <em>Title</em> يظهر عند مرور مؤشر الفأرة فوق الصورة.','ar',0),(2118,'معاينة نمط الصورة','ar',0),(2119,'لا توجد معاينة','ar',0),(2120,'سيتم عرض معاينة الصورة أثناء تعديل المحتوى.','ar',0),(2121,'إدارة أنماط الصور','ar',0),(2122,'إنشاء وتحرير أشكال لتوليد الصور المعدلة كالصور المصغرة.','ar',0),(2123,'لا توجد أشكال معرفة','ar',0),(2124,'يجري توليد الصورة، حاول مجددا بعد قليل.','ar',0),(2125,'خطأ في توليد الصورة.','ar',0),(2126,'تعذر توليد الصورة المشتقة الموجودة في %path.','ar',0),(2127,'فشل في إنشاء مجلدات الأنماط: %directory','ar',0),(2128,'أنماط الصور','ar',0),(2129,'تغيير تأثير الصورة','ar',0),(2130,'حذف تأثير الصورة','ar',0),(2131,'إضافة تأثير الصورة','ar',0),(2132,'طريقة الكشف','ar',0),(2133,'جزء من الرابط الذي يحدد اللغة','ar',0),(2134,'إعداد الطلب/الجلسة','ar',0),(2135,'اسم إعداد الطلب/الجلسة المستخدم لتحديد اللغة المرغوبة.','ar',0),(2136,'فلترة النصوص القابلة للترجمة','ar',0),(2137,'نوع التاريخ','ar',0),(2138,'إدارة اللغات','ar',0),(2139,'ترتيب خيارات كشف لغة المحتويات. إذا توافر محتوى بلغة معروفة، سيتم عرضه.','ar',0),(2140,'تتبع إعدادات اللغة الخاصة بالمستخدم.','ar',0),(2141,'مبدل اللغة (@type)','ar',0),(2142,'الكشف والتحديد','ar',0),(2143,'ضبط التحقق عن اللغة في عنوان الرابط','ar',0),(2144,'ضبط التحقق عن اللغة في الجلسة','ar',0),(2145,'يناير','ar',0),(2146,'فبراير','ar',0),(2147,'مارس','ar',0),(2148,'أبريل','ar',0),(2149,'مايو','ar',0),(2150,'يونيو','ar',0),(2151,'يوليو','ar',0),(2152,'أغسطس','ar',0),(2153,'سبتمبر','ar',0),(2154,'أكتوبر','ar',0),(2155,'نوفمبر','ar',0),(2156,'ديسمبر','ar',0),(2157,'النص المستخدم لهذا الرابط في القائمة.','ar',0),(2158,'الروابط الغير مفعلة لا ينم عرضها في القوائم.','ar',0),(2159,'الإظهار بشكل موسع','ar',0),(2160,'إذا اخترت هذا الخيار وكان للعنصر أبناء، فإن قائمته ستظهر دائماً بشكل موسع.','ar',0),(2161,'الرابط اﻷب','ar',0),(2162,'تم حذف رابط القائمة %title.','ar',0),(2163,'هل أنت متأكد من إعادة تعيين الرابط %item والعودة إلى القيم الافتراضية؟','ar',0),(2164,'تم إعادة تعيين رابط القائمة إلى إعداداته الافتراضية.','ar',0),(2165,'تم حذف القائمة المخصصة %title وجميع روابطها.','ar',0),(2166,'<strong>تحذير:</strong> يوجد الآن رابط قائمة واحد في %title. سيتم حذفه (العناصر المعينة من طرف النظام يتم إعادة تعيينها).<strong>تحذير:</strong> يوجد الآن رابط قائمة واحد في %title. سيتم حذفه (العناصر المعينة من طرف النظام يتم إعادة تعيينها).<strong>تحذير:</strong> يوجد الآن رابطا قائمة إثنان في %title. سيتم حذفهما (العناصر المعينة من طرف النظام يتم إعادة تعيينها).<strong>تحذير:</strong> يوجد الآن @count روابط قائمة في %title. سيتم حذفها (العناصر المعينة من طرف النظام يتم إعادة تعيينها).<strong>تحذير:</strong> يوجد الآن @count رابط قائمة في %title. سيتم حذفها (العناصر المعينة من طرف النظام يتم إعادة تعيينها).<strong>تحذير:</strong> يوجد الآن @count رابط قائمة في %title. سيتم حذفها (العناصر المعينة من طرف النظام يتم إعادة تعيينها).','ar',0),(2167,'إدارة القوائم','ar',0),(2168,'عرض القوائم','ar',0),(2169,'إدارة القوائم وعناصر القائمة','ar',0),(2170,'يوفر رابط قائمة','ar',0),(2171,'القوائم المتوفرة','ar',0),(2172,'القوائم المتوفرة لوضع روابط لهذا النوع من المحتوى.','ar',0),(2173,'العنصر اﻷب الافتراضي','ar',0),(2174,'اختر عنصر القائمة الذي سيصبح العنصر اﻷب الافتراضي للروابط الجديدة في استمارات إنشاء المحتوى.','ar',0),(2175,'تحرير رابط القائمة','ar',0),(2176,'إعادة تعيين رابط القائمة','ar',0),(2177,'حذف رابط القائمة','ar',0),(2178,'المعاينة قبل الإرسال','ar',0),(2179,'سيتم عرض هذا النص في أعلى الصفحة أثناء إنشاء أو تعديل هذا النوع من المحتوى.','ar',0),(2180,'المستخدمون الذين لهم صلاحية <em>إدارة المحتوى</em> يمكنهم تجاوز هذه الخيارات.','ar',0),(2181,'سيتم عرض اسم المستخدم للمؤلف وتاريخ النشر.','ar',0),(2182,'الاسم البرمجي غير صحيح. يرجى إدخال اسم مختلف عن %invalid.','ar',0),(2183,'نشر المحتوى المحدد','ar',0),(2184,'إلغاء نشر المحتوى المحدد','ar',0),(2185,'ترقية المحتوى المحدد إلى الصفحة الرئيسية','ar',0),(2186,'إلغاء ترقية المحتوى المحدد إلى الصفحة الرئيسية','ar',0),(2187,'ثبت المحتوى المحدد','ar',0),(2188,'إلغاء تثبيت المحتوى المحدد','ar',0),(2189,'تم حذف @count مشاركة.','ar',0),(2190,'هل أنت متأكد من حذف هذا العنصر؟هل أنت متأكد من حذف هذا العنصر؟هل أنت متأكد من حذف هذين العنصرين؟هل أنت متأكد من حذف هذه العناصر؟هل أنت متأكد من حذف هذه العناصر؟هل أنت متأكد من حذف هذه العناصر؟','ar',0),(2191,'تعديل @title (@type)','ar',0),(2192,'رسالة سجل المراجعة','ar',0),(2193,'العلامات المميزة (tokens) المتعلقة بعناصر المحتوى، أو \"العقد\".','ar',0),(2194,'المعرف الفريد لعنصر المحتوى، أو \"العقدة\".','ar',0),(2195,'متن النص الرئيسي للعقدة.','ar',0),(2196,'ملخص متن النص الرئيسي للعقدة.','ar',0),(2197,'إنشاء محتوى','ar',0),(2198,'إنشاء أنواع محتوى مخصصة','ar',0),(2199,'إدارة المحتوى','ar',0),(2200,'إنشاء المراجعات','ar',0),(2201,'تتيح أيضاً وحدة العقد إنشاء عدة نسخ من أي محتوى، واستعادة النسخ السابقة باستخدام إعدادات <em>معلومات المراجعة</em>.','ar',0),(2202,'صلاحيات المستخدم','ar',0),(2203,'بإمكان كل نوع محتوى أن يحتوي على حقول، تصرفات، وصلاحيات منفصلة على حدة.','ar',0),(2204,'يمكن عرض عناصر المحتوى باستخدام أساليب مختلفة من العرض: الملخص، المحتوى الكامل، الطباعة، RSS، ... إلخ. <em>الموجز</em> هو تنسيق قصير يستخدم عادة في صفحات السرد التي تحتوي على عناصر عديدة من المحتوى. <em>المحتوى الكامل</em> يستخدم عادة عند عرض المحتوى في صفحته الخاصة.','ar',0),(2205,'هنا يمكنك تحديد الحقول التي سيتم عرضها أو إخفاؤها لكل وضع عرض لنوع المحتوى %type، وتحديد كيفية عرض الحقول في كل وضع عرض.','ar',0),(2206,'المحتوى الكامل','ar',0),(2207,'إدارة أنواع المحتوى','ar',0),(2208,'تحذير : هذه الصلاحية تؤثر على الأمن، لا تمنحها إلا للأدوار الموثوق بها.','ar',0),(2209,'مشاهدة المحتوى المنشور','ar',0),(2210,'تجاوز صلاحيات الوصول إلى المحتوى','ar',0),(2211,'مشاهدة محتواه غير المنشور','ar',0),(2212,'المحتوى مثبت أعلى القوائم','ar',0),(2213,'المحتوى مرقى إلى الصفحة الرئيسية','ar',0),(2214,'أحدث المحتويات','ar',0),(2215,'لم يتم حتى الآن إنشاء محتوى للصفحة الرئيسية.','ar',0),(2216,'إلغاء نشر المحتوى','ar',0),(2217,'تثبيت المحتوى','ar',0),(2218,'إلغاء جعل المحتوى مثبت','ar',0),(2219,'ترقية المحتوى إلى الصفحة الرئيسية','ar',0),(2220,'ارفع الموضوع من الصفحة الرئيسية','ar',0),(2221,'غيّر مؤلف الموضوع','ar',0),(2222,'حفظ المحتوى','ar',0),(2223,'إلغاء نشر محتوى يتضمن الكلمات المفتاحية','ar',0),(2224,'سيتم إلغاء نشر المحتوى إذا كان يحتوي على أي من العبارات الواردة أعلاه. استخدم قائمة عبارات مفصولة بفواصل، العبارات حساسة لحالة الأحرف. مثال : مسلي، مباراة،\"شركة\"','ar',0),(2225,'صلاحيات الوصول إلى العقدة','ar',0),(2226,'صلاحية واحدة مستخدمةصلاحية واحدة مستخدمةصلاحيتان مستخدمتان@count صلاحيات مستخدمة@count صلاحية مستخدمة@count صلاحية مستخدمة','ar',0),(2227,'إيجاد وإدارة المحتوى','ar',0),(2228,'عدم عرض معلومات المشاركة','ar',0),(2229,'إنشاء بدائل','ar',0),(2230,'إدارة المسارات','ar',0),(2231,'البديل يعين مسار مختلف لمسار رابط موجود. مثل البديل\'حول-الموقع\' لمسار الرابط \'node/1\'. يمكن لمسار رابط أن يكون له عدة بدائل.','ar',0),(2232,'إدارة بدائل المسارات','ar',0),(2233,'إنشاء وتحرير بدائل المسارات','ar',0),(2234,'البديل مستخدم مسبقاً.','ar',0),(2235,'البحث في %type عن %key.','ar',0),(2236,'إدارة البحث','ar',0),(2237,'استخدام البحث','ar',0),(2238,'استخدام البحث المتقدم','ar',0),(2239,'اختر مجموعة اختصارات لاستخدامها','ar',0),(2240,'اختر مجموعة اختصارات لهذا المستخدم','ar',0),(2241,'%user يستخدم الآن مجموعة الاختصارات الجديدة %set_name. يمكنك تغييرها من هذه الصفحة.','ar',0),(2242,'أنت تستخدم الآن مجموعة الاختصارات %set_name.','ar',0),(2243,'%user يستخدم الآن مجموعة الاختصارات %set_name.','ar',0),(2244,'تغيير المجموعة','ar',0),(2245,'اسم الاختصار.','ar',0),(2246,'تم تحديث الاختصار %link.','ar',0),(2247,'إضافة اختصار إلى العنوان %title.','ar',0),(2248,'تم حذف الاختصار %title.','ar',0),(2249,'لا يمكن إضافة اختصار إلى %title.','ar',0),(2250,'إضافة وحذف الاختصارات','ar',0),(2251,'عرض الاختصارات','ar',0),(2252,'إدارة الاختصارات','ar',0),(2253,'إضافة إلى اختصارات %shortcut_set','ar',0),(2254,'إضافة إلى الاختصارات','ar',0),(2255,'حذف من اختصارات %shortcut_set','ar',0),(2256,'حذف من الاختصارات','ar',0),(2257,'تحرير الاختصارات','ar',0),(2258,'إضافة اختصار','ar',0),(2259,'يتيح للمستخدمين إدارة قوائم مطوّعة للروابط المقصرة.','ar',0),(2260,'مفاوضات GSS','ar',0),(2261,'NTLM','ar',0),(2262,'بأمان','ar',0),(2263,'تشغيل الاختبارات','ar',0),(2264,'بعد تشغيل الاختبارات، سيتم عرض رسالة بجانب كل مجموعة اختبار للإشارة ما إذا كان الاختبار ناجح، فاشل أو قام بتوليد استثناءات. النجاح يعني أن الاختبار استجاب بالنتائج المتوقعة، في حين أن الفشل يعني العكس. الاستثناء يشير عادة إلى خطأ خارج الاختبار، كتحذير أو ملاحظة من PHP. عند وجود فشل أو استثناء، سوف يتم تقديم النتائج مع التفاصيل والاختبارات التي أدت إلى على فشل أو استثناء سيتم الإشارة إليها باللون الأحمر أو الوردي. يمكنك استخدام هذه النتائج لمراجعة الكود الخاص بك وإعادة الاختبار إلى أن تحصل على نتائج ناجحة.','ar',0),(2265,'إدارة الاختبارات','ar',0),(2266,'تم إكمال تنفيذ الاختبار في @elpsed','ar',0),(2267,'استخدم زر <em>مسح البيئة</em> لحذف الملفات والجداول المؤقتة.','ar',0),(2268,'تقييد PHP open_basedir','ar',0),(2269,'عرض المحتوى الأكثر شعبية','ar',0),(2270,'عداد الصفحات المعروضة','ar',0),(2271,'إدارة الإحصاءات','ar',0),(2272,'عرض طلبات المحتوى','ar',0),(2273,'التسجيل لـ UNIX، Linux و Mac OS X.','ar',0),(2274,'التسجيل لمايكروسوفت ويندوز','ar',0),(2275,'في نظام تشغيل مايكروسوفت ويندوز، يتم إرسال الرسائل دوماً إلى سجل الأحداث باستخدام الكود <code>LOG_USER</code>.','ar',0),(2276,'خدمة Syslog (سجل النظام)','ar',0),(2277,'بحسب إعدادات النظام، Syslog وأدوات التسجيل تستخدم هذا الكود لتعريف أو فلترة رسائل سجل النظام بأكمله.','ar',0),(2278,'تعذر تدوير الصورة %file لأن الدالة imagerorate() غير متوفرة في هذه النسخة من PHP.','ar',0),(2279,'الحلة الافتراضية','ar',0),(2280,'اختر \"theme افتراضية\" لاستخدامها بشكل دائم على كل الموقع.','ar',0),(2281,'استخدام theme الإدارة عند إنشاء أو تعديل محتوى','ar',0),(2282,'الحلة %theme غير موجودة.','ar',0),(2283,'الرجاء الأخذ بعين الاعتبار أن theme الإدارة هي دوماً theme %admin_theme. بناء على ذلك فإن theme هذه الصفحة لا تتغير. ومع ذلك فإن كل أقسام هذا الموقع غير المتعلقة بالإدارة تستخدم theme الافتراضية %selected_theme','ar',0),(2284,'%theme هي الآن theme الافتراضية.','ar',0),(2285,'حالة التحقق من المستخدم في التعليقات','ar',0),(2286,'تتوفر هذه الإعدادات في theme التي تعتمد على محرك theme %engine.','ar',0),(2287,'تعذر رفع الشعار.','ar',0),(2288,'تعذر رفع الأيقونة.','ar',0),(2289,'مسار الشعار المخصص غير صحيح.','ar',0),(2290,'مسار الأيقونة المخصصة غير صحيح.','ar',0),(2291,'@module (<span class=\"admin-missing\">غير متوافق مع</span> النسخة @version)','ar',0),(2292,'هل ترغب بالمتابعة بناء على ماسبق؟','ar',0),(2293,'الرجاء إدخال عنوان IP صحيح.','ar',0),(2294,'تم حذف عنوان IP %ip.','ar',0),(2295,'طريقة استعمال هذا تعتمد على حلة موقعك.','ar',0),(2296,'يتم عرض هذه الصفحة عند رفض عرض المستند المطلب للمستخدم الحالي. اتركه فارغاً لعرض صفحة \"الوصول ممنوع\" العامة.','ar',0),(2297,'يتم عرض هذه الصفحة عند عدم وجود أي محتوى يطابق المستند المطلوب. اتركه فارغاً لعرض صفحة \"الصفحة غير موجودة\" العامة.','ar',0),(2298,'الأخطاء والتحذيرات','ar',0),(2299,'مسح كل ذواكر التخزين المؤقت','ar',0),(2300,'تحسين سعة قناة الاتصال','ar',0),(2301,'مسار نظام الملفات العام.','ar',0),(2302,'مسار نظام الملفات الخاص.','ar',0),(2303,'مسار على نظام الملفات المحلي حيث سيتم تخزين الملفات المؤقتة. ينبغي أن يكون هذا الدليل غير قابل للوصول إليه من الإنترنت.','ar',0),(2304,'طريقة التحميل الافتراضية','ar',0),(2305,'يعين هذا التكوين طريقة التحميل المفضلة. استخدام الملفات العامة أكثر فعالية لكن لا يوفر أي تحكم في الوصول.','ar',0),(2306,'وصف لموقعك، يتم إدراجه في كل تلقيمة.','ar',0),(2307,'المناطق الزمنية','ar',0),(2308,'لا يطبق إلا إذا كان بإمكان المستخدمين تعيين المنطقة الزمنية الخاصة بهم.','ar',0),(2309,'المنطقة الزمنية للمستخدمين الجدد','ar',0),(2310,'نقل الموقع لوضع الصيانة','ar',0),(2311,'عرض بشكل %date','ar',0),(2312,'حفظ الصيغة','ar',0),(2313,'تم تحديث صيغة التاريخ المخصصة.','ar',0),(2314,'تمت إضافة صيغة التاريخ المخصصة.','ar',0),(2315,'الإجراءات المتاحة:','ar',0),(2316,'إنشاء إجراء متقدم','ar',0),(2317,'حذف %ip','ar',0),(2318,'رموز إعدادات الموقع ككل ومعلومات شاملة أخرى.','ar',0),(2319,'Tokens المتعلقة بالتواقيت والتواريخ.','ar',0),(2320,'Tokens المتعلقة بالملفات المرفوعة.','ar',0),(2321,'عنوان الرابط (قصير) URL','ar',0),(2322,'عنوان رابط الصفحة الرئيسية للموقع بدون البروتوكول.','ar',0),(2323,'صيغة قصيرة','ar',0),(2324,'التاريخ بالصيغة القصيرة. (%date)','ar',0),(2325,'صيغة متوسطة','ar',0),(2326,'التاريخ بالصيغة المتوسطة. (%date)','ar',0),(2327,'صيغة طويلة','ar',0),(2328,'التاريخ بالصيغة الطويلة. (%date)','ar',0),(2329,'الوقت المنقضي منذ','ar',0),(2330,'الطابع الزمني الخام','ar',0),(2331,'التاريخ بصيغة الطابع الزمني يونيكس (%date)','ar',0),(2332,'إدارة الوحدات','ar',0),(2333,'إدارة الثيمات','ar',0),(2334,'ضبط الإعدادات الأساسية للموقع','ar',0),(2335,'إدارة الوحدات','ar',0),(2336,'إدارة ضبط الموقع','ar',0),(2337,'إدارة الحلل','ar',0),(2338,'إدارة الإجراءات','ar',0),(2339,'استخدام صفحات الإدارة والمساعدة','ar',0),(2340,'استخدام الموقع في وضع الصيانة','ar',0),(2341,'عرض تقارير الموقع','ar',0),(2342,'الملفات العامة','ar',0),(2343,'الملفات المحلية العامة مخدمة من قبل الخادم.','ar',0),(2344,'الملفات المحلية الخاصة مخدمة من قبل دروبال.','ar',0),(2345,'الملفات المؤقتة','ar',0),(2346,'الملفات المحلية المؤقتة للرفع والمعاينات.','ar',0),(2347,'تحديث الوحدات','ar',0),(2348,'تحديث الحلل','ar',0),(2349,'SSH','ar',0),(2350,'لن يتم حفظ كلمة المرور في قاعدة البيانات وستستخدم فقط لبدء لإنشاء اتصال.','ar',0),(2351,'سيتم إنشاء الاتصال بين خادم الويب الخاص بك والجهاز المستضيف لملفات الخادم. في أغلب الحالات سيكون الجهاز نفسه و \"localhost\" هو الأصح.','ar',0),(2352,'حدد منطقتك الزمنية وتوقيتك المحلي. سيتم عرض الأوقات والتواريخ الموجودة على الموقع وفقاً لهذه المنطقة الزمنية.','ar',0),(2353,'الدليل %directory غير موجود وتعذر إنشاؤه.','ar',0),(2354,'الدليل %directory موجود لكنه غير قابل للكتابة وتعذر جعله كذلك.','ar',0),(2355,'إدارة الصناديق، أنواع المحتوى، القوائم، إلخ.','ar',0),(2356,'حذف عنوان IP','ar',0),(2357,'وضع الصيانة','ar',0),(2358,'السجلات والأخطاء','ar',0),(2359,'الإقليمية واللغة','ar',0),(2360,'تعديل صيغة التاريخ','ar',0),(2361,'البحث والبيانات الفوقية','ar',0),(2362,'تأليف المحتوى','ar',0),(2363,'%profile_name (%profile-%version)','ar',0),(2364,'رموز متعلقة بمصطلحات التصنيف.','ar',0),(2365,'رموز متعلقة بمعاجم التصنيف.','ar',0),(2366,'تستخدم التصنيفات لتصنيف المحتوى. يتم تجميع المصطلحات في معاجم. مثلا، سيحتوي معجم باسم \"فواكه\" على المصطلحات \"تفاح\" و\"موز\".','ar',0),(2367,'يمكنك إعادة ترتيب المصطلحات في %capital_name باستخدام أداتي السحب والإفلات الخاصتين بها، وتجميع المصطلحات تحت مصطلح رئيسي بإزلاقها تحت وعلى يسار الأب.','ar',0),(2368,'تحتوي %capital_name على مصطلحات مجمعة تحت مصطلحات أب. يمكنك إعادة ترتيب المصطلحات في %capital_name باستخدام أداتي السحب والإفلات الخاصة بها.','ar',0),(2369,'تحتوي %capital_name على مصطلحات متعددة الأب. سحب وإفلات المصطلحات المتعددة الأب غير مدعوم، لكن يمكنك إعادة تفعيل دعم السحب والإفلات بتحرير كل مصطلح بحيث يتضمن مصطلح أب واحد فقط.','ar',0),(2370,'إدارة المعاجم والمصطلحات','ar',0),(2371,'تحرير وسوم في %vocabulary','ar',0),(2372,'حذف وسوم من %vocabulary','ar',0),(2373,'صفحة مصطلح تصنيف','ar',0),(2374,'استخدم شريط أدوات الإدارة','ar',0),(2375,'يوفر شريط أدوات يعرض عناصر المستوى اﻷعلى من الروابط الإدارية وباقي الوحدات.','ar',0),(2376,'تتبع محتويات الموقع الجديدة والمحدثة','ar',0),(2377,'تتبع المحتوى الخاص بمستخدم معين','ar',0),(2378,'محتوياتي الحديثة','ar',0),(2379,'تسمح بتتبع المحتوى الذي نشره المستخدمون حديثاً.','ar',0),(2380,'ترجمة محتوى','ar',0),(2381,'تثبيت التحديث','ar',0),(2382,'تحضير تحديث موقعك','ar',0),(2383,'تثبيت %project','ar',0),(2384,'التحضير للتثبيت','ar',0),(2385,'خطأ في التثبيت \\ التحديث','ar',0),(2386,'تم تثبيت %project_name بنجاح','ar',0),(2387,'تم اكتمال التحديث بنجاح. تم رفع حالة الصيانة.','ar',0),(2388,'تم التحديث بنجاح.','ar',0),(2389,'فشل في التحديث. للمزيد من المعلومات راجع السجل أدناه.','ar',0),(2390,'فشل في التحديث. للمزيد من المعلومات راجع السجل أدناه. لا يزال موقعك في وضع الصيانة.','ar',0),(2391,'تم اكتمال التثبيت بنجاح. تم رفع حالة الصيانة.','ar',0),(2392,'تم التثبيت بنجاح.','ar',0),(2393,'فشل في التثبيت. للمزيد من المعلومات راجع السجل أدناه.','ar',0),(2394,'فشل في التثبيت. للمزيد من المعلومات راجع السجل أدناه. لا يزال موقعك في وضع الصيانة.','ar',0),(2395,'فشل في جلب بيانات التحديث المتاحة.','ar',0),(2396,'لا توجد بيانات تحديث متاحة.','ar',0),(2397,'التحقق من بيانات التحديث المتاحة.','ar',0),(2398,'محاولة التحقق من بيانات التحديث المتاحة ...','ar',0),(2399,'خطأ في التحقق من بيانات التحديث المتاحة.','ar',0),(2400,'التحقق من بيانات التحديث المتاحة ...','ar',0),(2401,'تم التحقق من بيانات التحديث المتاحة لـ %title.','ar',0),(2402,'فشل في التحقق من بيانات التحديث المتاحة لـ %title.','ar',0),(2403,'حدث خطأ أثناء محاولة التحقق من بيانات التحديث المتاحة.','ar',0),(2404,'حدثت مشكلة عند جلب معلومات التحديث. الرجاء إعادة المحاولة لاحقاً.','ar',0),(2405,'(الحلة)','ar',0),(2406,'(تحديث أمني)','ar',0),(2407,'(غير مدعوم)','ar',0),(2408,'جميع المشاريع بأحدث نسخة.','ar',0),(2409,'تحميل هذه التحديثات','ar',0),(2410,'تتطلب تحديثات يدوية','ar',0),(2411,'تحديثات نواة دروبال غير مدعومة حالياً.','ar',0),(2412,'يجب عليك تحديد مشروع على الأقل لتحديثه.','ar',0),(2413,'جاري تحميل التحديثات','ar',0),(2414,'التحضير لتحميل التحديثات المحددة','ar',0),(2415,'فشل تحميل التحديثات:','ar',0),(2416,'تم تحميل التحديثات بنجاح.','ar',0),(2417,'خطأ قاتل أثناء محاولة التحميل.','ar',0),(2418,'تنفيذ عمليات التحديث والموقع في وضع الصيانة (موصى به بشدة)','ar',0),(2419,'التثبيت من عنوان الرابط','ar',0),(2420,'مثلاً: %url','ar',0),(2421,'رفع أرشيف وحدة أو حلة للتثبيت','ar',0),(2422,'مثلاً: %filename من جهاز الكمبيوتر الخاص بك.','ar',0),(2423,'يجب عليك إما توفير عنوان رابط، أو رفع أرشيف للتثبيت.','ar',0),(2424,'تعذر استرداد مشروع دروبال من %url.','ar',0),(2425,'الأرشيف المحدد لا يحتوي على أي ملفات.','ar',0),(2426,'تعذر تحديد اسم %project.','ar',0),(2427,'%project مثبت بالفعل.','ar',0),(2428,'تعذر استرداد %file، ﻷنه ليس أرشيف صحيح.','ar',0),(2429,'جاري تحميل %project','ar',0),(2430,'فشل في تحميل %project من %url','ar',0),(2431,'يحتوي:','ar',0),(2432,'المفعلة: %includes','ar',0),(2433,'المعطلة: %disabled','ar',0),(2434,'التحقق من التحديثات المتاحة','ar',0),(2435,'يمكنك تثبيت التحديثات المفقودة باستخدام مدير التحديثات:','ar',0),(2436,'جاهز للتحديث','ar',0),(2437,'مسيّر التحديث','ar',0),(2438,'يراقب التحديثات المتوفرة، وبإمكانه تثبيت أو تحديث الوحدات والحلل بشكل آمن عن طريق واجهة ويب.','ar',0),(2439,'لا يوجد أشخاص.','ar',0),(2440,'التسجيل والإلغاء','ar',0),(2441,'من بإمكانه التسجيل؟','ar',0),(2442,'المديرون فقط','ar',0),(2443,'الزوار، لكن بموافقة الإدارة.','ar',0),(2444,'عند إلغاء حساب مستخدم','ar',0),(2445,'إدارة المستخدمين','ar',0),(2446,'ترحيب (مستخدم جديد أنشأه مدير)','ar',0),(2447,'ترحيب (في انتظار الموافقة)','ar',0),(2448,'ترحيب (موافقة غير مطلوبة)','ar',0),(2449,'استعادة كلمة المرور','ar',0),(2450,'تفعيل الحساب','ar',0),(2451,'تأكيد إلغاء الحساب','ar',0),(2452,'تم إلغاء الحساب','ar',0),(2453,'الرابط  وحيد الاستعمال لتسجيل الدخول الذي نقرت عليه غير صالح.','ar',0),(2454,'لقد استخدمت رابطك الوحيد الاستعمال لتسجيل الدخول. لا حاجة إلى استعمال هذا الرابط لتسجيل الدخول. الرجاء تغيير كلمة مرورك.','ar',0),(2455,'<p>هذا رابط تسجيل دخول صالح مرة واحدة للمستخدم %user_name وستنتهي صلاحيته في %expiration_date.</p><p>انقر على هذا الزر لتسجيل الدخول إلى الموقع و تغيير كلمة مرورك.</p>','ar',0),(2456,'عند إلغاء حسابك','ar',0),(2457,'عند إلغاء الحساب','ar',0),(2458,'هل تريد فعلا إلغاء حسابك؟','ar',0),(2459,'هل تريد فعلا إلغاء حساب %name؟','ar',0),(2460,'اختيار طريقة إلغاء الحساب المذكور أعلاه.','ar',0),(2461,'سيتم حظر حسابك ولن تتمكن من تسجيل الدخول. سيتم إخفاء جميع محتوياتك عن كافة المستخدمين ماعدا الإداريين.','ar',0),(2462,'سيتم حظر حسابك ولن تتمكن من تسجيل الدخول. سيتم ربط جميع محتوياتك بالمستخدم %anonymous-name.','ar',0),(2463,'سيتم حذف حسابك وإزالة كافة معلومات الحساب. سيتم أيضا حذف كافة المحتويات الخاصة بك.','ar',0),(2464,'لقد حاولت استخدام رابط إلغاء حساب انتهت صلاحيته. الرجاء طلب رابط جديد باستخدام الاستمارة أدناه.','ar',0),(2465,'تم إرسال طلب إلغاء حساب إلى %name %email.','ar',0),(2466,'الرموز (Token) المرتبطة بالحسابات الفردية للمستخدم.','ar',0),(2467,'الرموز (Token) المرتبطة بالمستخدم المتصل حاليا.','ar',0),(2468,'إنشاء وإدارة المستخدمين','ar',0),(2469,'تسمح هذه الاستمارة للإداريين بتكوين طريقة عرض الحقول على الصفحات الشخصية للمستخدمين.','ar',0),(2470,'إدارة الصلاحيات','ar',0),(2471,'تغيير اسم المستخدم الخاص به','ar',0),(2472,'إلغاء حسابه الخاص','ar',0),(2473,'اختيار طريقة إلغاء حسابك.','ar',0),(2474,'إلغاء الحساب','ar',0),(2475,'إلغاء حساب مستخدم','ar',0),(2476,'تم تعطيل %name.','ar',0),(2477,'أنشأ مدير حساب لك في [site:name]','ar',0),(2478,'إلغاء حسابات المستخدمين المحددة','ar',0),(2479,'عند إلغاء هذه الحسابات','ar',0),(2480,'هل أنت متأكد من إلغاء هذه الحسابات؟','ar',0),(2481,'إلغاء الحسابات','ar',0),(2482,'من أجل زيادة قوة كلمة المرور الخاصة بك:','ar',0),(2483,'أضف حروف لاتينية صغيرة','ar',0),(2484,'أضف حروف لاتينية كبيرة','ar',0),(2485,'أضف أرقام','ar',0),(2486,'أضف علامة ترقيم','ar',0),(2487,'اجعله مختلفاً عن اسم المستخدم','ar',0),(2488,'ضعيف','ar',0),(2489,'مقبول','ar',0),(2490,'مستخدم ممنوع: %name %email.','ar',0),(2491,'بحث وإدارة الأشخاص المتفاعلين مع موقعك.','ar',0),(2492,'تأكيد إلغاء الحساب','ar',0),(2493,'أقلي','ar',0),(2494,'الصفحة الأساسية','ar',0),(2495,'استخدم <em>الصفحات الأساسية</em> للمحتوى الثابت، مثل صفحة \'عن الموقع\'.','ar',0),(2496,'نمط الصورة','ar',0),(2497,'الاسم المقروء آليا','ar',0),(2498,'الاستمارة المكشوفة','ar',0),(2499,'إعدادات الاستمارة المكشوفة','ar',0),(2500,'الإنترنت','ar',0),(2501,'لا توجد تحديثات بالانتظاريوجد تحديث واحد بالانتظار (@number_applied للتطبيق، @number_incompatible للتجاهل)يوجد تحديثان بالانتظار (@number_applied للتطبيق، @number_incompatible للتجاهل)يوجد @count تحديثات بالانتظار (@number_applied للتطبيق، @number_incompatible للتجاهل)يوجد @count تحديثاً بالانتظار (@number_applied للتطبيق، @number_incompatible للتجاهل)يوجد @count تحديث بالانتظار (@number_applied للتطبيق، @number_incompatible للتجاهل)','ar',0),(2502,'حقل المؤلف','ar',0),(2503,'يستعمل تطبيق Field API لإضافة حقول للكيانات مثل العقد والمستخدمين.','ar',0),(2504,'معاينة الحقول لكل أنواع الكيانات.','ar',0),(2505,'رسائل الأخطاء المعروضة','ar',0),(2506,'ينصح بعدم عرض الأخطاء على موقع في وضع العمل.','ar',0),(2507,'تعذر فتح %file_path','ar',0),(2508,'كلمة المرور الحالية','ar',0),(2509,'كلمة المرور الحالية مفقودة أو غير صحيحة، هي ضرورية لتغيير %name.','ar',0),(2510,'تحديث المعاينة','ar',0),(2511,'تم تثبيت وحدة %module.','ar',0),(2512,'تعليق على @node_type','ar',0),(2513,'إدارة تنسيقات النص والترشيحات','ar',0),(2514,'الكشف عن اللغة @type','ar',0),(2515,'استخدام لغة الواجهة المكتشفة.','ar',0),(2516,'تم إنشاء المجموعة الجديدة بنسخ العناصر من مجموعة الاختصارات الافتراضية الخاصة بك.','ar',0),(2517,'تم إنشاء المجموعة الجديدة بنسخ العناصر من المجموعة %default.','ar',0),(2518,'أنت تستخدم حالياً مجموعة الاختصارات %set-name.','ar',0),(2519,'إنشاء مجموعة جديدة','ar',0),(2520,'تم إنشاء مجموعة الاختصارات %set_name. يمكنك تغييرها من هذه الصفحة.','ar',0),(2521,'تم تحديث اسم المجموعة إلى %set-name.','ar',0),(2522,'إذا اخترت مجموعة الاختصارات هذه كافتراضية لبعض أو لكل المستخدمين، فقد يتأثرون عند حذفها.','ar',0),(2523,'عضو واحد يستخدم هذه المجموعة من الاختصارات.عضو واحد يستخدم هذه المجموعة من الاختصارات.عضوان إثنان يستخدمان هذه المجموعة من الاختصارات.@count أعضاء يستخدمون هذه المجموعة من الاختصارات.@count عضوا يستخدمون هذه المجموعة من الاختصارات.@count عضو يستخدمون هذه المجموعة من الاختصارات.','ar',0),(2524,'إدارة الاختصارات','ar',0),(2525,'اختيار مجموعات الاختصارات','ar',0),(2526,'يمكن للمستخدمين الذين لديهم صلاحية تغيير مجموعة الاختصارات اختيار مجموعة الاختصارات المراد استخدامها في تبويب الاختصارات على صفحتهم الشخصية.','ar',0),(2527,'تعديل مجموعة الاختصارات الحالية','ar',0),(2528,'اختيار مجموعة اختصارات','ar',0),(2529,'إضافة وتعديل مجموعات الاختصارات.','ar',0),(2530,'إضافة مجموعة اختصارات','ar',0),(2531,'تعديل اسم المجموعة','ar',0),(2532,'حذف مجموعة اختصارات','ar',0),(2533,'تعذر حفظ @remote على @path.','ar',0),(2534,'دعم قاعدة البيانات','ar',0),(2535,'المرفق السابق','ar',0),(2536,'المرفق التالي','ar',0),(2537,'قرقيزية','ar',0),(2538,'دعم مكتبة معالجة الصور GD لصيغة ملفات PNG','ar',0),(2539,'التاريخ الذي تم به آخر تحديث للتعليق.','ar',0),(2540,'تم إرسال التعليق: %subject.','ar',0),(2541,'تم تعطيل هذا الحقل لأنه ليس لديك الصلاحية الكافية لتعديله.','ar',0),(2542,'عرض، تعديل وحذف كافة المحتويات دون مراعاة قيود الحقوق.','ar',0),(2543,'تنسيق Syslog','ar',0),(2544,'يمكن تحسين الموارد الخارجية تلقائيا، مما يمكن من تقليل حجم وعدد الطلبات المقدمة لموقعك.','ar',0),(2545,'تاريخ بصيغة \"الوقت المنقضي منذ\". (%date)','ar',0),(2546,'موقع الملف تبعا لجذر دروبال.','ar',0),(2547,'تم تحميل وتحديث وحداتك.','ar',0),(2548,'استخدم <em>المقال</em> للمحتويات المتغيرة كالأخبار، والنشرات الصحفية أو ملاحظات المدونة.','ar',0),(2549,'فيلبينية','ar',0),(2550,'ألمانية سويسرية','ar',0),(2551,'اسكوتلندية','ar',0),(2552,'لا يمكن رفع الملف المحدد %filename. يسمح فقط بالملفات ذات اللواحق التالية: %extensions.','ar',0),(2553,'Bartik','ar',0),(2554,'مبرز','ar',0),(2555,'الخلفية الرئيسية','ar',0),(2556,'خلفية العمود الجانبي','ar',0),(2557,'إطار العمود الجانبي','ar',0),(2558,'خلفية حاشية الصفحة','ar',0),(2559,'الخوخ','ar',0),(2560,'قائمة مفصولة بفراغات من وسوم HTML المسموح بها في محتوى عناصر التلقيمات. يتم تلقائياً إزالة العلامات الغير مسموح بها.','ar',0),(2561,'لا يمكن لـ %field أن يحتوي على أي ترميز.','ar',0),(2562,'تتحكم هذه الخيارات في إعدادات عرض الحلة %name. عند عرض موقعك باستخدام هذه الحلة، سيتم تطبيق هذه الإعدادات.','ar',0),(2563,'إدارة التحديثات','ar',0),(2564,'@required_name (مفقود)','ar',0),(2565,'@required_name (يتطلب النسخة @compatibility)','ar',0),(2566,'يتطلب @name النسخة @version على الأقل من PHP.','ar',0),(2567,'@name يحتاج إلى هذه الوحدة.','ar',0),(2568,'@name يحتاج إلى هذه الوحدة وهذه النسخة. حالياً لديك @required_name النسخة @version','ar',0),(2569,'تفاصيل الموقع','ar',0),(2570,'العنوان والشعار','ar',0),(2571,'محطة الإطفاء','ar',0),(2572,'الجليد','ar',0),(2573,'بادئة جداول قاعدة البيانات %db_prefix التي أدخلتها غير صالحة. يمكن أن تحتوي البادئة على حروف لاتينية وأرقام وشرطات ونقط وشرطات سفلى فقط.','ar',0),(2574,'ملف الإعدادات الافتراضية','ar',0),(2575,'ملف الإعدادات غير موجود.','ar',0),(2576,'مثبت @drupal يتطلب عدم تغيير الملف %default-file في أي حالة من الحالات.','ar',0),(2577,'%name : لا يمكن للقيمة أن تكون أقل من %min.','ar',0),(2578,'%name : لا يمكن للقيمة أن تكون أكبر من %max.','ar',0),(2579,'إعدادات العرض المخصصة','ar',0),(2580,'واجهة المستخدم لتطبيق Field API.','ar',0),(2581,'افصل لواحق الملفات بمسافة أو فاصلة ولا تضع النقطة.','ar',0),(2582,'عنصر وحدة العقد','ar',0),(2583,'لم يتم الإسناد بعد','ar',0),(2584,'لم يتم الإنشاء بعد','ar',0),(2585,'لا يوجد (الصورة الأصلية)','ar',0),(2586,'عنوان رابط صفحة تعديل الحساب.','ar',0),(2587,'المعرف UUID','ar',0),(2588,'تعذر نسخ الملف المحدد %file إلى %destination.','ar',0),(2589,'تعذر حفظ البيانات لأن الوجهة %destination غير صالحة. قد يكون هذا بسبب استخدام غير سليم لـ file_save() أو غياب حاوية تدفق.','ar',0),(2590,'فشل في الاتصال بخادم قاعدة البيانات. قام الخادم بإرجاع الرسالة التالية: %error. <ul><li>هل خادم قاعدة البيانات يعمل؟</li><li>هل قاعدة البيانات موجودة، وهل أنت متأكد من كتابة اسمها بشكل صحيح؟</li><li>هل أنت متأكد من كتابة اسم المستخدم وكلمة المرور بشكل صحيح؟</li><li>هل أنت متأكد من كتابة خادم قاعدة البيانات بشكل صحيح؟</li></ul>','ar',0),(2591,'الخروج من وضع معاينة مناطق الصناديق','ar',0),(2592,'رسائل سجل قاعدة البيانات المحتفظ بها','ar',0),(2593,'آخر رسائل السجل','ar',0),(2594,'تعريف نص يجب أن يتقدم القيمة، مثل \'م\' أو \'كيلوبت/ثانية\'. اتركه فارغا في حال لا شيء. افصل قيم المفرد والجمع بإشارة عصا (\'4جنيه|جنيهات\').','ar',0),(2595,'علامة الآلاف','ar',0),(2596,'عرض السابقة واللاحقة.','ar',0),(2597,'عرض مع السابقة واللاحقة.','ar',0),(2598,'- اختر قيمة -','ar',0),(2599,'طول المقطع المشذب','ar',0),(2600,'لا يوجد أي حقل معروض.','ar',0),(2601,'لا يوجد أي حقل مخفي.','ar',0),(2602,'إعدادات التنسيق:','ar',0),(2603,'ربط الصورة إلى','ar',0),(2604,'نمط الصورة: @style','ar',0),(2605,'مرتبط بالمحتوى','ar',0),(2606,'مرتبط بالملف','ar',0),(2607,'يظهر عند المرور فوق رابط القائمة.','ar',0),(2608,'تنسيق: تنسيق التاريخ هو YYYY-MM-DD و %timezone يمثل المنطقة الزمنية من UTC. اتركه فارغاً لاستخدام تاريخ إرسال الاستمارة.','ar',0),(2609,'هوية Syslog','ar',0),(2610,'العبارة التي ستتم إضافتها قبل كل رسالة مخزنة على Syslog. إذا كان لديك عدة مواقع تكتب على نفس ملف Syslog، فتعيين هوية فريدة لكل موقع يسهل من قراءة السجلات.','ar',0),(2611,'صفحات اﻷخطاء','ar',0),(2612,'المسار \'@path\' إما غير صحيح أو لا تملك صلاحية الوصول إليه.','ar',0),(2613,'تشغيل الدورية كل','ar',0),(2614,'إدارة مهام الصيانة التلقائية للموقع.','ar',0),(2615,'وزن المصطلح المُضاف','ar',0),(2616,'نمط المشاهدة','ar',0),(2617,'استعلام مزج غير صالح: لا توجد شروط','ar',0),(2618,'وزن الصندوق @block','ar',0),(2619,'منطقة الصندوق @block','ar',0),(2620,'إرسال تعليقات','ar',0),(2621,'تجاهل الموافقة على التعليق','ar',0),(2622,'هل أنت متأكد أنك تريد إلغاء تنسيق النص %format ؟','ar',0),(2623,'تتم إزالة تنسيقات النص المعطلة تماما من واجهة الإدارة، ولن يتم عرض أي محتوى محفوظ بهذا التنسيق. لا يمكن التراجع هذا الإجراء.','ar',0),(2624,'تنسيق النص %format معطل.','ar',0),(2625,'تنسيقات النص','ar',0),(2626,'إلغاء تنسيق النص','ar',0),(2627,'موضوع ساخن، تعليقات جديدة','ar',0),(2628,'موضوع ساخن','ar',0),(2629,'موضوع عادي','ar',0),(2630,'موضوع مغلق','ar',0),(2631,'مرجع للاستخدام، التكوين والوحدات.','ar',0),(2632,'ضبط صلاحيات @module','ar',0),(2633,'إدارة الإعدادات.','ar',0),(2634,'عرض التقارير والتحديثات والأخطاء.','ar',0),(2635,'تثبيت وحدة أو حلة جديدتين','ar',0),(2636,'إدارة حسابات المستخدمين والأدوار والصلاحيات.','ar',0),(2637,'لا شيء','ar',0),(2638,'Lolspeak','ar',0),(2639,'اسم فريد مقروء من طرف الجهاز. يمكن أن يحتوي فقط على أحرف لاتينية صغيرة وأرقام وشرطات سفلية.','ar',0),(2640,'يجب أن يحتوي الاسم المقروء آليا على أحرف فريدة غير مستعملة.','ar',0),(2641,'يجب أن يحتوي الاسم المقروء من طرف الجهاز على أحرف لاتينية صغيرة، أرقام وعلامات الوصل فقط.','ar',0),(2642,'الاسم المقروء من طرف الجهاز مستخدم مسبقا. يجب أن يكون فريدا.','ar',0),(2643,'أسترية','ar',0),(2644,'كريول هايتية','ar',0),(2645,'الوزن لـ @title','ar',0),(2646,'وزن السطر @number','ar',0),(2647,'التسمية المعروضة لـ @title','ar',0),(2648,'تنسيق @title','ar',0),(2649,'أصل @title','ar',0),(2650,'رؤية @title','ar',0),(2651,'توجد بيانات لهذا الحقل في قاعدة البيانات. لا يمكن تغيير إعدادات هذا الحقل.','ar',0),(2652,'الوزن للملف الجديد','ar',0),(2653,'اختر ملفا','ar',0),(2654,'وزن التأثير الجديد','ar',0),(2655,'تفعيل رابط القائمة @title','ar',0),(2656,'اسم فريد لإنشاء عنوان رابط القائمة. يجب أن يحتوي فقط على الحروف اللاتينية الصغيرة، الأرقام والشرطات.','ar',0),(2657,'اسم برمجي فريد لهذا النوع من المحتوى. يمكن أن يحتوي فقط على أحرف لاتينية صغيرة، أرقام، وشرطات سفلى (_). سيتم استخدام هذا الاسم لإنشاء عنوان رابط للصفحة %node_add، وعندها سيتم تحويل الشرطات السفلى (_) إلى شرطات (-).','ar',0),(2658,'عنوان الرابط البديل','ar',0),(2659,'اسنخدام لغة تم التحقق منها مسبقاً من عناوين الروابط إذا لم يتم العثور على أية لغة.','ar',0),(2660,'%type_name: إنشاء محتوى جديد','ar',0),(2661,'%type_name: تحرير محتواه','ar',0),(2662,'%type_name: تحرير المحتويات','ar',0),(2663,'%type_name: يحذف محتوياته','ar',0),(2664,'%type_name: حذف أي محتوى','ar',0),(2665,'الخطوات التالية','ar',0),(2666,'إعدادات @driver_name','ar',0),(2667,'SQLite','ar',0),(2668,'نوع قاعدة البيانات','ar',0),(2669,'المسار المطلق (الكامل) للملفات التي سيتم حفظ بيانات @drupal بها. ينبغي أن تكون هذه الملفات قابلة للكتابة من طرف خادم الويب وأن تكون خارج دليل جذر الخادم.','ar',0),(2670,'لا يوجد أي حقل حاضر بعد.','ar',0),(2671,'غامق','ar',0),(2672,'إزالة وحدة @module','ar',0),(2673,'تفعيل الوحدات المضافة حديثاً','ar',0),(2674,'عرض حلة الإدارة','ar',0),(2675,'نظام قاعدة البيانات','ar',0),(2676,'إصدار نظام قاعدة البيانات','ar',0),(2677,'تمت فهرسة @count محتوى للتتبع.','ar',0),(2678,'ملاحظات الإصدار لـ %project_title','ar',0),(2679,'تم تحديث إعدادات الأدوار.','ar',0),(2680,'تعطيل الحساب والحفاظ على محتواه.','ar',0),(2681,'تعطيل الحساب وإلغاء نشر محتواه.','ar',0),(2682,'حذف الحساب وجعل محتوياته ملكا للمستخدم %anonymous-name.','ar',0),(2683,'حذف الحساب ومحتوياته.','ar',0),(2684,'تم حذف تعليق واحدلم يتم حذف أي تعليقتم حذف تعليقانتم حذف @count تعليقاتتم حذف @count تعليقاتم حذف @count تعليق','ar',0),(2685,'استخدام تسمية الحقل بدلا من التسمية \"قيمة نعم\".','ar',0),(2686,'تم حذف مشاركةتم حذف مشاركةتم حذف مشاركتانتم حذف @count مشاركةتم حذف @count مشاركةتم حذف @count مشاركة','ar',0),(2687,'قائمة (رقم صحيح)','ar',0),(2688,'يقوم هذا الحقل بتخزين الأعداد الصحيحة من قائمة القيم ’القيمة => التسمية’ المسموح بها. على سبيل المثال: ’عدد الأيام’: 1 => يوم واحد، 7 => أسبوع واحد، 31 => شهر واحد.','ar',0),(2689,'قائمة (رقم عشري)','ar',0),(2690,'يقوم هذا الحقل بتخزين القيم العشرية من قائمة القيم ’القيمة => التسمية’ المسموح بها. على سبيل المثال: ’الكسور’: 0 => 0، 0.25 => 1/4، 0.75 => 3/4، 1 => 1.','ar',0),(2691,'يقوم هذا الحقل بتخزين قيم نصية من قائمة القيم ’القيمة => التسمية’ المسموح بها. على سبيل المثال: ’ولايات الجزائر’: 04 => أم البواقي، 25 => قسنطينة، 23 => عنابة.','ar',0),(2692,'القيم المحتملة التي يمكن أن يحتويها هذا الحقل. قم بإدخال قيمة في كل سطر، بالشكل مفتاح|تسمية.','ar',0),(2693,'المفتاح هو قيمة مسجلة، ويجب أن يكون رقمي. سوف تستخدم التسمية في القيم المعروضة و الاستمارات.','ar',0),(2694,'التسمية اختيارية. إذا تضمن السطر رقم واحد، فسيستخدم كمفتاح وتسمية.','ar',0),(2695,'قائمة التسميات هي أيضا مقبولة (تسمية في كل سطر)، فقط إذا كانت الحقول لا تتضمن أي قيمة، وسيتم إنشاء مفاتيح رقمية تلقائياً بحسب الترتيب في القائمة.','ar',0),(2696,'المفتاح هو قيمة مسجلة. سوف تستخدم التسمية أثناء عرض القيم و تعديل الاستمارات.','ar',0),(2697,'التسمية اختيارية: إذا تضمن السطر قيمة نصية بسيطة، سيتم استخدامها كمفتاح وتسمية.','ar',0),(2698,'قائمة القيم المسموح بها: إدخال غير صحيح.','ar',0),(2699,'قائمة القيم المسموح بها: ستتم إزالة بعض القيم في حين يتم استخدامها حاليا.','ar',0),(2700,'غير قادر على تحليل ملف المعلومات : %info_file','ar',0),(2701,'تصاعدي','ar',0),(2702,'الوصول إلى صفحات إدارة الرؤى.','ar',0),(2703,'عنصر HTML','ar',0),(2704,'وضع نقطتين بعد التسمية','ar',0),(2705,'غير محدد','ar',0),(2706,'فئة RSS','ar',0),(2707,'إعدادات الشعار','ar',0),(2708,'التصرف عند انعدام النتائج','ar',0),(2709,'الرؤية المراد إدراجها','ar',0),(2710,'وراث مرشحات السياق','ar',0),(2711,'تم اكتشاف عودية في الرؤية @view العرض @display','ar',0),(2712,'قيمة الاستثناء','ar',0),(2713,'إذا تم استقبال هذه القيمة، فسيم تجاهل المرشح؛ بمعنى \"كل القيم\"','ar',0),(2714,'توفير عنوان','ar',0),(2715,'تحديد معيار التحقق من الصحة.','ar',0),(2716,'الإجراء المتخذ إذا لم تتحقق صحة المرشِح','ar',0),(2717,'توفير قيمة افتراضية','ar',0),(2718,'إظهار محتوى \"الصفحة غير موجودة\"','ar',0),(2719,'عرض ملخص','ar',0),(2720,'إظهار محتوى \"لا توجد نتائج\"','ar',0),(2721,'عدد التسجيلات','ar',0),(2722,'الترتيب الافتراضي','ar',0),(2723,'التاريخ','ar',0),(2724,'عددي','ar',0),(2725,'أبجدي','ar',0),(2726,'إنشاء تسمية','ar',0),(2727,'كشف العامل','ar',0),(2728,'تطبيق واستمرار','ar',0),(2729,'كل العروض (عدا المتجاوزة)','ar',0),(2730,'كل العروض','ar',0),(2731,'تحديث المعاينة تلقائيا عند التغيير','ar',0),(2732,'الرئيسي','ar',0),(2733,'عروضعرضعرضعروضعرضاعرض','ar',0),(2734,'معايير الترشيح','ar',0),(2735,'معيار الترشيح','ar',0),(2736,'معيار الترشيح','ar',0),(2737,'إخفاء الرؤية','ar',0),(2738,'عنصر حقل','ar',0),(2739,'تم حفظ التغييرات على النمط.','ar',0),(2740,'السماح لقيم مرشِحات متعددة بالعمل جميعا','ar',0),(2741,'تخصيص HTML الحقل','ar',0),(2742,'عرض الممدِّدات','ar',0),(2743,'ممدِّد عرض فارغ','ar',0),(2744,'تطبيق (كل العروض)','ar',0),(2745,'تطبيق (هذا العرض)','ar',0),(2746,'كوراساو','ar',0),(2747,'مسيّر الإعدادات','ar',0),(2748,'الحقول بإنتظار الحذف','ar',0),(2749,'عرض النابض لا يظهر حالة الرفع ولكنه يأخذ مساحة أصغر. شريط التقدم مفيد لمراقبة التقدم في الرفع الكبير.','ar',0),(2750,'اترك هذه فارغة لحذف اسم المستخدم و كلمة السر الحاليتين.','ar',0),(2751,'لتغيير كلمة المرور، ادخل كلمة المرور الجديدة هنا.','ar',0),(2752,'يجب أن تشتمل بيانات مصادقة HTTP على اسم مستخدم بالإضافة الى كلمة مرور.','ar',0),(2753,'يتكلف كرون بإنجاز المهمات الدورية كالتحقق من وجود تحديثات وفهرسة المحتوى من أجل البحث.','ar',0),(2754,'اسم المستخدم و كلمة المرور','ar',0),(2755,'عناصر استمارة الحساب لوحدة المستخدم.','ar',0),(2756,'@view : @display','ar',0),(2757,'الرؤية: @view - العرض: @display','ar',0),(2758,'مسار الشعار','ar',0),(2759,'@module (<span class=\"admin-missing\">غير متوافق مع </span> هذا الإصدار من نواة دروبال)','ar',0),(2760,'الرموز المتعلقة بالرؤى.','ar',0),(2761,'وصف الرؤية.','ar',0),(2762,'عنوان العرض الحالي للرؤية.','ar',0),(2763,'العنوان URL للرؤية.','ar',0),(2764,'-اختر-','ar',0),(2765,'بحثك يحتوي على العدد من تعابير AND/OR. فقط أول @count مصطلحات تم ادامجهم في هذا البحث.','ar',0),(2766,'لا يمكن تغيير مفاتيح قائمة منسدلة (@field_name) تتوفر على معلومات.','ar',0),(2767,'اسم فريد مقروء آليا يحتوي على أحرف وأرقام وشرطات سفلية.','ar',0),(2768,'إذا لم يتم رفع أية صورة، سيتم إظهار هذه الصورة عند العرض وستحل محل الصورة الافتراضية لهذا الحقل.','ar',0),(2769,'لا توجد عناوين IP محظورة.','ar',0),(2770,'عملية بالجملة','ar',0),(2771,'مستعمل في الرؤى','ar',0),(2772,'إضافات المشاهدات','ar',0),(2773,'عرض \"الوصول ممنوع\"','ar',0),(2774,'نص غير مرشح','ar',0),(2775,'عنوان الـURL %url غير صالح.','ar',0),(2776,'بروتوكول الاتصال %backend غير موجود.','ar',0),(2777,'غير معروف (@langcode)','ar',0),(2778,'الحقل %name ليس على الشكل الصحيح.','ar',0),(2779,'%name رقم غير صحيح.','ar',0),(2780,'يجب أن يكون %name لونا صالحا.','ar',0),(2781,'مربط الحلة %hook غير موجود.','ar',0),(2782,'لا يوجد أي محتوى في كتاب.','ar',0),(2783,'يمكن المدراء من تسيير التغييرات على الإعدادات.','ar',0),(2784,'فضاء ضيق','ar',0),(2785,'المستخدون المسجلون فقط','ar',0),(2786,'مسيّر التحديث','ar',0),(2787,'أبن موقعا مخصصا بدون وظائف معدّة مسبقا. مناسب للمتخدمين المتقدمين.','ar',0),(2788,'اللغة الافتراضية للموقع (@lang_name)','ar',0),(2789,'لا يمكن فتح @dir','ar',0),(2790,'حفظ وتسيير الحقول','ar',0),(2791,'تحديثات الترجمة المتوفرة','ar',0),(2792,'تسيير قوائم مخصصة للمحتوى.','ar',0),(2793,'الأغورية','ar',0),(2794,'تركيب وحدة أخرى','ar',0),(2795,'لم يتم اختيار إي عنصر','ar',0),(2796,'تمت إضافة الملف','ar',0),(2797,'تم حذف الملف','ar',0),(2798,'ترجمة الإعدادات','ar',0),(2799,'دليل الترجمة','ar',0),(2800,'مجلد الترجمات غير موجود.','ar',0),(2801,'دليل الترجمة غير قابل للقراءة.','ar',0),(2802,'دليل الترجمة غير قابل للكتابة.','ar',0),(2803,'دليل الترجمة قابل للكتابة.','ar',0),(2804,'خادوم الترجمة خارج الخط.','ar',0),(2805,'ترجمة %language  غير متوفرة.','ar',0),(2806,'ترجمة %language  غير موجودة.','ar',0),(2807,'يجري تحديث الترجمات.','ar',0),(2808,'كل الترجمات محدثة.','ar',0),(2809,'الحصول على نظرة عامة إلى كل المحتوى.','ar',0),(2810,'<p>هذا رابط تسجيل دخول صالح مرة واحدة للمستخدم %user_name.</p><p>انقر على هذا الزر لتسجيل الدخول إلى الموقع و تغيير كلمة مرورك.</p>','ar',0),(2811,'تسيير أنماط المشاهدة المخصصة.','ar',0),(2812,'تسيير أنماط الاستمارات المخصصة.','ar',0),(2813,'يجب ان يكون %name أكبر من أو مساوي ل%min.','ar',0),(2814,'يجب ان يكون %name أصغر من أو مساوي ل%min.','ar',0),(2815,'اسم الإجراء','ar',0),(2816,'ضبط الإجراء','ar',0),(2817,'اسم الطريق','ar',0),(2818,'عوامل الطريق','ar',0),(2819,'عامل','ar',0),(2820,'معلومات المدير','ar',0),(2821,'تمديد','ar',0),(2822,'عرض الممدِّد','ar',0),(2823,'شروط الرؤية','ar',0),(2824,'شرط الرؤية','ar',0),(2825,'يناير','ar',0),(2826,'فبراير','ar',0),(2827,'مارس','ar',0),(2828,'أبريل','ar',0),(2829,'ماي','ar',0),(2830,'يونيو','ar',0),(2831,'يوليوز','ar',0),(2832,'غشت','ar',0),(2833,'شتنبر','ar',0),(2834,'أكتوبر','ar',0),(2835,'نونبر','ar',0),(2836,'دجنبر','ar',0),(2837,'أحد','ar',0),(2838,'ثلاثاء','ar',0),(2839,'أربعاء','ar',0),(2840,'خميس','ar',0),(2841,'جمعة','ar',0),(2842,'أحد','ar',0),(2843,'إثنين','ar',0),(2844,'ثلاثاء','ar',0),(2845,'أربعاء','ar',0),(2846,'خميس','ar',0),(2847,'الملف %file غير موجود.','ar',0),(2848,'الملف %file موجود.','ar',0),(2849,'الملف %file قابل للقراءة.','ar',0),(2850,'إنشاء وتسيير استمارات الاتصال.','ar',0),(2851,'عرض الشرائح','ar',0),(2852,'السابق','ar',0),(2853,'معلومات','ar',0),(2854,'عنوان','ar',0),(2855,'المحتوى','ar',0),(2856,'الأولوية','ar',0),(2857,'المبدئي','ar',0),(2858,'متغير','ar',0),(2859,'اسم المستخدم','ar',0),(2860,'مسار','ar',0),(2861,'النوع','ar',0),(2862,'المستخدم','ar',0),(2863,'الحالة','ar',0),(2864,'رابط','ar',0),(2865,'المسار','ar',0),(2866,'تحميل','ar',0),(2867,'الحالة','ar',0),(2868,'الفعاليات','ar',0),(2869,'يصل إلى المحتوى','ar',0),(2870,'حدّث','ar',0),(2871,'تم الإنهاء','ar',0),(2872,'مترجم','ar',0),(2873,'مستخدم واحدلا مستخدمينمستخدمان@count مستخدمون@count مستخدما@count مستخدم','ar',0),(2874,'حسنا','ar',0),(2875,'استمارة','ar',0),(2876,'الشروط','ar',0),(2877,'البريد الإلكتروني','ar',0),(2878,'المشتركين','ar',0),(2879,'اشتراك','ar',0),(2880,'الغ الاشتراك','ar',0),(2881,'رسالة الصندوق','ar',0),(2882,'طبيعي','ar',0),(2883,'أرسل','ar',0),(2884,'HTML','ar',0),(2885,'صمام الدورية','ar',0),(2886,'اسم المرسل','ar',0),(2887,'النشرة','ar',0),(2888,'النشرات','ar',0),(2889,'مشتركون في','ar',0),(2890,'اطلب إيصال استلام','ar',0),(2891,'أرسل النشرة البريدية','ar',0),(2892,'اختر نشرة أو أكثر ترغب في الاشتراك فيها، أو في إلغاء اشتراكك فيها.','ar',0),(2893,'اشتراكات %mail','ar',0),(2894,'تمت إضافة أو تحديث العناوين التالية: %added.','ar',0),(2895,'لم تتم إضافة أية عناوين.','ar',0),(2896,'العناوين التالية باطلة: %invalid.','ar',0),(2897,'مستخدمون نشطون','ar',0),(2898,'مستخدمون غير نشطين','ar',0),(2899,'لم يتم العثور على أي عناوين.','ar',0),(2900,'معلومات المرسل','ar',0),(2901,'تحويل الروابط','ar',0),(2902,'الخيارات المبدئية للنشرة','ar',0),(2903,'ستحدد هذه الخيارات الإعدادات المبدئية للنشرات الجديدة، إلا أنه من الممكن تجاوزها في استمارة تحرير النشرة.','ar',0),(2904,'اسم النشرة','ar',0),(2905,'بإمكانك إنشاء نشرات مختلفة (أو موضوعات) كي تصنف أخبارك (مثلا، أخبار القطط؛ أخبار الكلاب...).','ar',0),(2906,'مشترك','ar',0),(2907,'حول الروابط إلى قائمة مراجع مرقمة','ar',0),(2908,'اعرض الروابط داخل النص','ar',0),(2909,'أمهات','ar',0),(2910,'اسم القائمة.','ar',0),(3306,'الإعدادات العامة','ar',0),(3307,'النسخة المصغرة','ar',0),(3913,'خروج','ar',0);
/*!40000 ALTER TABLE `locales_target` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `menu_link_content`
--

DROP TABLE IF EXISTS `menu_link_content`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `menu_link_content` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `revision_id` int(10) unsigned DEFAULT NULL,
  `bundle` varchar(32) CHARACTER SET ascii NOT NULL,
  `uuid` varchar(128) CHARACTER SET ascii NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `menu_link_content_field__uuid__value` (`uuid`),
  UNIQUE KEY `menu_link_content__revision_id` (`revision_id`)
) ENGINE=InnoDB AUTO_INCREMENT=20 DEFAULT CHARSET=utf8mb4 COMMENT='The base table for menu_link_content entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `menu_link_content`
--

LOCK TABLES `menu_link_content` WRITE;
/*!40000 ALTER TABLE `menu_link_content` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `menu_link_content` VALUES (1,1,'menu_link_content','56804dba-564f-4261-be6d-3260b06c9b37','en'),(2,2,'menu_link_content','4ee76de9-f8b7-4213-be88-719f49654dfb','en'),(3,3,'menu_link_content','49749b67-c74d-408e-a60e-bf8ff8ffb97f','en'),(4,4,'menu_link_content','2bdced62-2f42-4421-b679-32d1d8b4b8b7','en'),(6,6,'menu_link_content','60c931cd-37da-4cfd-a054-ef7863f9f6b2','en'),(7,7,'menu_link_content','7909f56f-2491-4bc2-a54a-dc6f55cece88','en'),(8,8,'menu_link_content','919839f6-a4c3-493d-8fdd-e97513aa3eda','en'),(9,9,'menu_link_content','26cf0986-53da-465e-bb0d-d2dc2f1712e8','en'),(10,10,'menu_link_content','7303c9d0-4d17-4f7a-a3a3-641cce2543b3','en'),(11,11,'menu_link_content','527ea562-6643-4efb-8037-e01aeef59884','en'),(12,12,'menu_link_content','25821ec7-df98-47dc-a5d5-4029a2837e55','en'),(13,13,'menu_link_content','d4ba7240-f5f6-4077-92a1-b03f3dc2fc12','en'),(14,14,'menu_link_content','20bcd853-7bfc-4421-8c82-15217f40ae51','en'),(15,15,'menu_link_content','36727826-f03f-4f36-919a-142ae953e104','en'),(16,16,'menu_link_content','a21c44b2-835d-441e-8cbe-33d0ec296784','en'),(17,17,'menu_link_content','96a946eb-22c6-4787-8f6e-ad381be14222','en'),(18,18,'menu_link_content','bd337eec-18a0-43da-aca9-292607213b64','en'),(19,19,'menu_link_content','7e0a4dbd-8408-4b7e-bd75-c8515eb0dec0','en');
/*!40000 ALTER TABLE `menu_link_content` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `menu_link_content_data`
--

DROP TABLE IF EXISTS `menu_link_content_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `menu_link_content_data` (
  `id` int(10) unsigned NOT NULL,
  `revision_id` int(10) unsigned NOT NULL,
  `bundle` varchar(32) CHARACTER SET ascii NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  `title` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `menu_name` varchar(255) CHARACTER SET ascii DEFAULT NULL,
  `link__uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `link__title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `link__options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  `external` tinyint(4) DEFAULT NULL,
  `rediscover` tinyint(4) DEFAULT NULL,
  `weight` int(11) DEFAULT NULL,
  `expanded` tinyint(4) DEFAULT NULL,
  `enabled` tinyint(4) NOT NULL,
  `parent` varchar(255) DEFAULT NULL,
  `changed` int(11) DEFAULT NULL,
  `default_langcode` tinyint(4) NOT NULL,
  `revision_translation_affected` tinyint(4) DEFAULT NULL,
  PRIMARY KEY (`id`,`langcode`),
  KEY `menu_link_content__id__default_langcode__langcode` (`id`,`default_langcode`,`langcode`),
  KEY `menu_link_content__revision_id` (`revision_id`),
  KEY `menu_link_content_field__link__uri` (`link__uri`(30)),
  KEY `menu_link_content__enabled_bundle` (`enabled`,`bundle`,`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='The data table for menu_link_content entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `menu_link_content_data`
--

LOCK TABLES `menu_link_content_data` WRITE;
/*!40000 ALTER TABLE `menu_link_content_data` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `menu_link_content_data` VALUES (1,1,'menu_link_content','en','About us','About us','main','internal:/about-us','','a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}}',0,1,-49,0,1,NULL,1627877186,1,1),(2,2,'menu_link_content','en','Services','Services','main','internal:/services','','a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}}',0,1,-48,0,1,NULL,1627877186,1,1),(3,3,'menu_link_content','en','Portfolio','Porfolio','main','internal:/portfolio','','a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}}',0,1,-47,1,1,NULL,1627877186,1,1),(4,4,'menu_link_content','en','Blog','Blog','main','internal:/blog','','a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}}',0,1,-46,1,1,NULL,1627877186,1,1),(6,6,'menu_link_content','en','More themes','More themes','main','http://weebpal.com/','','a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:6:\"_blank\";}}',0,0,-44,0,1,NULL,1627877186,1,1),(7,7,'menu_link_content','en','Drupal','Drupal','quick','https://www.drupal.org/','','a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:6:\"_blank\";}}',0,0,0,0,1,NULL,1627877186,1,1),(8,8,'menu_link_content','en','Facebook','Facebook','quick','https://www.facebook.com/','','a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:6:\"_blank\";}}',0,0,0,0,1,NULL,1627877186,1,1),(9,9,'menu_link_content','en','Google','Google','quick','https://www.google.com','','a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:6:\"_blank\";}}',0,0,0,0,1,NULL,1627877186,1,1),(10,10,'menu_link_content','en','Twitter','Twitter','quick','https://twitter.com/','','a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:6:\"_blank\";}}',0,0,0,0,1,NULL,1627877186,1,1),(11,11,'menu_link_content','en','Wordpress','Wordpress','quick','https://wordpress.com/','','a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:6:\"_blank\";}}',0,0,0,0,1,NULL,1627877186,1,1),(12,12,'menu_link_content','en','Weebpal','Weebpal','quick','https://www.weebpal.com/','','a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:6:\"_blank\";}}',0,0,0,0,1,NULL,1627877186,1,1),(13,13,'menu_link_content','en','Portfolio 4 col','Portfolio 4 col','main','internal:/portfolio_4_col','','a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}}',0,1,-50,0,1,'menu_link_content:49749b67-c74d-408e-a60e-bf8ff8ffb97f',1627877186,1,1),(14,14,'menu_link_content','en','Portfolio masonry','Portfolio masonry','main','internal:/portfolio_masonry','','a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}}',0,1,-49,0,1,'menu_link_content:49749b67-c74d-408e-a60e-bf8ff8ffb97f',1627877186,1,1),(15,15,'menu_link_content','en','Contact','Contact','main','internal:/contact','','a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}}',0,1,-45,0,1,NULL,1627877186,1,1),(16,16,'menu_link_content','en','My account','My account','main','internal:/user','','a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:12:\"user-account\";}s:6:\"target\";s:6:\"_blank\";}}',0,1,-43,0,0,NULL,1627877186,1,1),(17,17,'menu_link_content','en','Log out','Log out','main','internal:/user/logout','','a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:12:\"user-log-out\";}s:6:\"target\";s:0:\"\";}}',0,1,-42,0,0,NULL,1627877186,1,1),(18,18,'menu_link_content','en','Login | User',NULL,'main','internal:/user/login','','a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:11:\"user-log-in\";}s:6:\"target\";s:0:\"\";}}',0,1,-41,0,1,NULL,1627877186,1,1),(19,19,'menu_link_content','en','Blog default','Blog default','main','internal:/blog_default','','a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}}',0,1,0,0,1,'menu_link_content:2bdced62-2f42-4421-b679-32d1d8b4b8b7',1627877186,1,1);
/*!40000 ALTER TABLE `menu_link_content_data` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `menu_link_content_field_revision`
--

DROP TABLE IF EXISTS `menu_link_content_field_revision`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `menu_link_content_field_revision` (
  `id` int(10) unsigned NOT NULL,
  `revision_id` int(10) unsigned NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  `title` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `link__uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `link__title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `link__options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  `external` tinyint(4) DEFAULT NULL,
  `enabled` tinyint(4) NOT NULL,
  `changed` int(11) DEFAULT NULL,
  `default_langcode` tinyint(4) NOT NULL,
  `revision_translation_affected` tinyint(4) DEFAULT NULL,
  PRIMARY KEY (`revision_id`,`langcode`),
  KEY `menu_link_content__id__default_langcode__langcode` (`id`,`default_langcode`,`langcode`),
  KEY `menu_link_content_field__link__uri` (`link__uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='The revision data table for menu_link_content entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `menu_link_content_field_revision`
--

LOCK TABLES `menu_link_content_field_revision` WRITE;
/*!40000 ALTER TABLE `menu_link_content_field_revision` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `menu_link_content_field_revision` VALUES (1,1,'en','About us','About us','internal:/about-us','','a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}}',0,1,1627877186,1,1),(2,2,'en','Services','Services','internal:/services','','a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}}',0,1,1627877186,1,1),(3,3,'en','Portfolio','Porfolio','internal:/portfolio','','a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}}',0,1,1627877186,1,1),(4,4,'en','Blog','Blog','internal:/blog','','a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}}',0,1,1627877186,1,1),(6,6,'en','More themes','More themes','http://weebpal.com/','','a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:6:\"_blank\";}}',0,1,1627877186,1,1),(7,7,'en','Drupal','Drupal','https://www.drupal.org/','','a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:6:\"_blank\";}}',0,1,1627877186,1,1),(8,8,'en','Facebook','Facebook','https://www.facebook.com/','','a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:6:\"_blank\";}}',0,1,1627877186,1,1),(9,9,'en','Google','Google','https://www.google.com','','a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:6:\"_blank\";}}',0,1,1627877186,1,1),(10,10,'en','Twitter','Twitter','https://twitter.com/','','a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:6:\"_blank\";}}',0,1,1627877186,1,1),(11,11,'en','Wordpress','Wordpress','https://wordpress.com/','','a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:6:\"_blank\";}}',0,1,1627877186,1,1),(12,12,'en','Weebpal','Weebpal','https://www.weebpal.com/','','a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:6:\"_blank\";}}',0,1,1627877186,1,1),(13,13,'en','Portfolio 4 col','Portfolio 4 col','internal:/portfolio_4_col','','a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}}',0,1,1627877186,1,1),(14,14,'en','Portfolio masonry','Portfolio masonry','internal:/portfolio_masonry','','a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}}',0,1,1627877186,1,1),(15,15,'en','Contact','Contact','internal:/contact','','a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}}',0,1,1627877186,1,1),(16,16,'en','My account','My account','internal:/user','','a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:12:\"user-account\";}s:6:\"target\";s:6:\"_blank\";}}',0,0,1627877186,1,1),(17,17,'en','Log out','Log out','internal:/user/logout','','a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:12:\"user-log-out\";}s:6:\"target\";s:0:\"\";}}',0,0,1627877186,1,1),(18,18,'en','Login | User',NULL,'internal:/user/login','','a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:11:\"user-log-in\";}s:6:\"target\";s:0:\"\";}}',0,1,1627877186,1,1),(19,19,'en','Blog default','Blog default','internal:/blog_default','','a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}}',0,1,1627877186,1,1);
/*!40000 ALTER TABLE `menu_link_content_field_revision` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `menu_link_content_revision`
--

DROP TABLE IF EXISTS `menu_link_content_revision`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `menu_link_content_revision` (
  `id` int(10) unsigned NOT NULL,
  `revision_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  `revision_default` tinyint(4) DEFAULT NULL,
  `revision_user` int(10) unsigned DEFAULT NULL COMMENT 'The ID of the target entity.',
  `revision_created` int(11) DEFAULT NULL,
  `revision_log_message` longtext DEFAULT NULL,
  PRIMARY KEY (`revision_id`),
  KEY `menu_link_content__id` (`id`),
  KEY `menu_link_content__ef029a1897` (`revision_user`)
) ENGINE=InnoDB AUTO_INCREMENT=20 DEFAULT CHARSET=utf8mb4 COMMENT='The revision table for menu_link_content entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `menu_link_content_revision`
--

LOCK TABLES `menu_link_content_revision` WRITE;
/*!40000 ALTER TABLE `menu_link_content_revision` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `menu_link_content_revision` VALUES (1,1,'en',1,NULL,NULL,NULL),(2,2,'en',1,NULL,NULL,NULL),(3,3,'en',1,NULL,NULL,NULL),(4,4,'en',1,NULL,NULL,NULL),(6,6,'en',1,NULL,NULL,NULL),(7,7,'en',1,NULL,NULL,NULL),(8,8,'en',1,NULL,NULL,NULL),(9,9,'en',1,NULL,NULL,NULL),(10,10,'en',1,NULL,NULL,NULL),(11,11,'en',1,NULL,NULL,NULL),(12,12,'en',1,NULL,NULL,NULL),(13,13,'en',1,NULL,NULL,NULL),(14,14,'en',1,NULL,NULL,NULL),(15,15,'en',1,NULL,NULL,NULL),(16,16,'en',1,NULL,NULL,NULL),(17,17,'en',1,NULL,NULL,NULL),(18,18,'en',1,NULL,NULL,NULL),(19,19,'en',1,NULL,NULL,NULL);
/*!40000 ALTER TABLE `menu_link_content_revision` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `menu_tree`
--

DROP TABLE IF EXISTS `menu_tree`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `menu_tree` (
  `menu_name` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The menu name. All links with the same menu name (such as ''tools'') are part of the same menu.',
  `mlid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The menu link ID (mlid) is the integer primary key.',
  `id` varchar(255) CHARACTER SET ascii NOT NULL COMMENT 'Unique machine name: the plugin ID.',
  `parent` varchar(255) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The plugin ID for the parent of this link.',
  `route_name` varchar(255) CHARACTER SET ascii DEFAULT NULL COMMENT 'The machine name of a defined Symfony Route this menu item represents.',
  `route_param_key` varchar(255) DEFAULT NULL COMMENT 'An encoded string of route parameters for loading by route.',
  `route_parameters` longblob DEFAULT NULL COMMENT 'Serialized array of route parameters of this menu link.',
  `url` varchar(255) NOT NULL DEFAULT '' COMMENT 'The external path this link points to (when not using a route).',
  `title` longblob DEFAULT NULL COMMENT 'The serialized title for the link. May be a TranslatableMarkup.',
  `description` longblob DEFAULT NULL COMMENT 'The serialized description of this link - used for admin pages and title attribute. May be a TranslatableMarkup.',
  `class` text DEFAULT NULL COMMENT 'The class for this link plugin.',
  `options` longblob DEFAULT NULL COMMENT 'A serialized array of URL options, such as a query string or HTML attributes.',
  `provider` varchar(50) CHARACTER SET ascii NOT NULL DEFAULT 'system' COMMENT 'The name of the module that generated this link.',
  `enabled` smallint(6) NOT NULL DEFAULT 1 COMMENT 'A flag for whether the link should be rendered in menus. (0 = a disabled menu item that may be shown on admin screens, 1 = a normal, visible link)',
  `discovered` smallint(6) NOT NULL DEFAULT 0 COMMENT 'A flag for whether the link was discovered, so can be purged on rebuild',
  `expanded` smallint(6) NOT NULL DEFAULT 0 COMMENT 'Flag for whether this link should be rendered as expanded in menus - expanded links always have their child links displayed, instead of only when the link is in the active trail (1 = expanded, 0 = not expanded)',
  `weight` int(11) NOT NULL DEFAULT 0 COMMENT 'Link weight among links in the same menu at the same depth.',
  `metadata` longblob DEFAULT NULL COMMENT 'A serialized array of data that may be used by the plugin instance.',
  `has_children` smallint(6) NOT NULL DEFAULT 0 COMMENT 'Flag indicating whether any enabled links have this link as a parent (1 = enabled children exist, 0 = no enabled children).',
  `depth` smallint(6) NOT NULL DEFAULT 0 COMMENT 'The depth relative to the top level. A link with empty parent will have depth == 1.',
  `p1` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The first mlid in the materialized path. If N = depth, then pN must equal the mlid. If depth > 1 then p(N-1) must equal the parent link mlid. All pX where X > depth must equal zero. The columns p1 .. p9 are also called the parents.',
  `p2` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The second mlid in the materialized path. See p1.',
  `p3` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The third mlid in the materialized path. See p1.',
  `p4` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The fourth mlid in the materialized path. See p1.',
  `p5` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The fifth mlid in the materialized path. See p1.',
  `p6` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The sixth mlid in the materialized path. See p1.',
  `p7` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The seventh mlid in the materialized path. See p1.',
  `p8` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The eighth mlid in the materialized path. See p1.',
  `p9` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The ninth mlid in the materialized path. See p1.',
  `form_class` varchar(255) DEFAULT NULL COMMENT 'meh',
  PRIMARY KEY (`mlid`),
  UNIQUE KEY `id` (`id`),
  KEY `menu_parents` (`menu_name`,`p1`,`p2`,`p3`,`p4`,`p5`,`p6`,`p7`,`p8`,`p9`),
  KEY `menu_parent_expand_child` (`menu_name`,`expanded`,`has_children`,`parent`(16)),
  KEY `route_values` (`route_name`(32),`route_param_key`(16))
) ENGINE=InnoDB AUTO_INCREMENT=735 DEFAULT CHARSET=utf8mb4 COMMENT='Contains the menu tree hierarchy.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `menu_tree`
--

LOCK TABLES `menu_tree` WRITE;
/*!40000 ALTER TABLE `menu_tree` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `menu_tree` VALUES ('admin',1,'system.admin','','system.admin','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Administration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','system',1,1,0,9,'a:0:{}',1,1,1,0,0,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',2,'system.admin_content','system.admin','system.admin_content','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Find and manage content.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','system',1,1,0,-10,'a:0:{}',1,2,1,2,0,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',3,'system.admin_structure','system.admin','system.admin_structure','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Structure\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"Administer blocks, content types, menus, etc.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','system',1,1,0,-8,'a:0:{}',1,2,1,3,0,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',4,'system.themes_page','system.admin','system.themes_page','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Appearance\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:28:\"Select and configure themes.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','system',1,1,0,-6,'a:0:{}',1,2,1,4,0,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',5,'system.modules_list','system.admin','system.modules_list','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Extend\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:52:\"Add and enable modules to extend site functionality.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','system',1,1,0,-2,'a:0:{}',1,2,1,5,0,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',6,'system.admin_config','system.admin','system.admin_config','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Configuration\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Administer settings.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','system',1,1,0,0,'a:0:{}',1,2,1,6,0,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',7,'system.admin_config_media','system.admin_config','system.admin_config_media','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Media\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','system',1,1,0,-10,'a:0:{}',1,3,1,6,7,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',8,'system.file_system_settings','system.admin_config_media','system.file_system_settings','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"File system\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:67:\"Configure the location of uploaded files and how they are accessed.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','system',1,1,0,0,'a:0:{}',0,4,1,6,7,8,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',9,'system.image_toolkit_settings','system.admin_config_media','system.image_toolkit_settings','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Image toolkit\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:74:\"Choose which image toolkit to use if you have installed optional toolkits.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','system',1,1,0,20,'a:0:{}',0,4,1,6,7,9,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',10,'system.admin_config_services','system.admin_config','system.admin_config_services','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Web services\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','system',1,1,0,0,'a:0:{}',1,3,1,6,10,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',11,'system.rss_feeds_settings','system.admin_config_services','system.rss_feeds_settings','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"RSS publishing\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:115:\"Configure the site description, the number of items per feed, and whether feeds should be titles/teasers/full-text.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','system',1,1,0,0,'a:0:{}',0,4,1,6,10,11,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',12,'system.admin_config_development','system.admin_config','system.admin_config_development','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Development\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:36:\"Configure and use development tools.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','system',1,1,0,-10,'a:0:{}',1,3,1,6,12,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',13,'system.site_maintenance_mode','system.admin_config_development','system.site_maintenance_mode','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Maintenance mode\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:62:\"Take the site offline for updates and other maintenance tasks.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','system',1,1,0,-10,'a:0:{}',0,4,1,6,12,13,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',14,'system.performance_settings','system.admin_config_development','system.performance_settings','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Performance\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"Configure caching and bandwidth optimization.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','system',1,1,0,-20,'a:0:{}',0,4,1,6,12,14,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',15,'system.logging_settings','system.admin_config_development','system.logging_settings','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Logging and errors\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:61:\"Configure the display of error messages and database logging.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','system',1,1,0,-15,'a:0:{}',0,4,1,6,12,15,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',16,'system.admin_config_regional','system.admin_config','system.admin_config_regional','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Regional and language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:59:\"Configure regional settings, localization, and translation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','system',1,1,0,-5,'a:0:{}',1,3,1,6,16,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',17,'system.regional_settings','system.admin_config_regional','system.regional_settings','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Regional settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:43:\"Configure the locale and timezone settings.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','system',1,1,0,-20,'a:0:{}',0,4,1,6,16,17,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',18,'entity.date_format.collection','system.admin_config_regional','entity.date_format.collection','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:21:\"Date and time formats\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:44:\"Configure how dates and times are displayed.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','system',1,1,0,-9,'a:0:{}',0,4,1,6,16,18,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',19,'system.admin_config_search','system.admin_config','system.admin_config_search','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Search and metadata\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:64:\"Configure site search, metadata, and search engine optimization.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','system',1,1,0,-10,'a:0:{}',1,3,1,6,19,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',20,'system.admin_config_system','system.admin_config','system.admin_config_system','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"System\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:49:\"Configure basic site settings, actions, and cron.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','system',1,1,0,-20,'a:0:{}',1,3,1,6,20,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',21,'system.site_information_settings','system.admin_config_system','system.site_information_settings','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Basic site settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:77:\"Change site name, email address, slogan, default front page, and error pages.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','system',1,1,0,-20,'a:0:{}',0,4,1,6,20,21,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',22,'system.cron_settings','system.admin_config_system','system.cron_settings','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Cron\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:40:\"Manage automatic site maintenance tasks.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','system',1,1,0,20,'a:0:{}',0,4,1,6,20,22,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',23,'system.admin_config_ui','system.admin_config','system.admin_config_ui','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"User interface\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:44:\"Configure the administrative user interface.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','system',1,1,0,-15,'a:0:{}',1,3,1,6,23,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',24,'system.admin_config_workflow','system.admin_config','system.admin_config_workflow','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Workflow\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:28:\"Manage the content workflow.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','system',1,1,0,5,'a:0:{}',0,3,1,6,24,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',25,'system.admin_config_content','system.admin_config','system.admin_config_content','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Content authoring\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:43:\"Configure content formatting and authoring.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','system',1,1,0,-15,'a:0:{}',1,3,1,6,25,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',26,'system.admin_reports','system.admin','system.admin_reports','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Reports\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:34:\"View reports, updates, and errors.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','system',1,1,0,5,'a:0:{}',1,2,1,26,0,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',27,'system.status','system.admin_reports','system.status','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Status report\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:48:\"Get a status report about your site\'s operation.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','system',1,1,0,0,'a:0:{}',0,3,1,26,27,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',28,'user.admin_index','system.admin_config','user.admin_index','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"People\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Configure user accounts.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','user',1,1,0,-20,'a:0:{}',1,3,1,6,28,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',29,'entity.user.admin_form','user.admin_index','entity.user.admin_form','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Account settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:105:\"Configure default user account settings, including fields, registration requirements, and email messages.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','user',1,1,0,-10,'a:0:{}',1,4,1,6,28,29,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',30,'entity.user.collection','system.admin','entity.user.collection','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"People\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:45:\"Manage user accounts, roles, and permissions.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','user',1,1,0,4,'a:0:{}',1,2,1,30,0,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('account',31,'user.page','','user.page','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"My account\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','user',1,1,0,-10,'a:0:{}',0,1,31,0,0,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('account',32,'user.logout','','','','a:0:{}','','s:0:\"\";','s:0:\"\";','Drupal\\user\\Plugin\\Menu\\LoginLogoutMenuLink','a:0:{}','user',1,1,0,10,'a:0:{}',0,1,32,0,0,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('main',33,'standard.front_page','','<front>','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Home\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','standard',1,1,0,-50,'a:0:{}',0,1,33,0,0,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('tools',34,'filter.tips_all','','filter.tips_all','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Compose tips\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','filter',0,1,0,0,'a:0:{}',0,1,34,0,0,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',35,'filter.admin_overview','system.admin_config_content','filter.admin_overview','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Text formats and editors\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:78:\"Select and configure text editors, and how content is filtered when displayed.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','filter',1,1,0,0,'a:0:{}',0,4,1,6,25,35,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',36,'block.admin_display','system.admin_structure','block.admin_display','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Block layout\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:79:\"Configure what block content appears in your site\'s sidebars and other regions.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','block',1,1,0,0,'a:0:{}',1,3,1,3,36,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('tools',37,'node.add_page','','node.add_page','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Add content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','node',1,1,0,0,'a:0:{}',0,1,37,0,0,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',38,'entity.node_type.collection','system.admin_structure','entity.node_type.collection','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Content types\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:71:\"Create and manage fields, forms, and display settings for your content.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','node',1,1,0,0,'a:0:{}',1,3,1,3,38,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',39,'comment.admin','system.admin_content','comment.admin','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Comments\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:59:\"List and edit site comments and the comment approval queue.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','comment',1,1,0,0,'a:0:{}',0,3,1,2,39,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',40,'entity.comment_type.collection','system.admin_structure','entity.comment_type.collection','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Comment types\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:46:\"Manage form and displays settings of comments.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','comment',1,1,0,0,'a:0:{}',1,3,1,3,40,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',41,'config.sync','system.admin_config_development','config.sync','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Configuration synchronization\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:37:\"Import and export your configuration.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','config',1,1,0,0,'a:0:{}',1,4,1,6,12,41,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('footer',42,'contact.site_page','','contact.site_page','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"Contact\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','contact',1,1,0,0,'a:0:{}',0,1,42,0,0,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',43,'entity.contact_form.collection','system.admin_structure','entity.contact_form.collection','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Contact forms\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:32:\"Create and manage contact forms.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','contact',1,1,0,0,'a:0:{}',1,3,1,3,43,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',44,'dblog.overview','system.admin_reports','dblog.overview','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Recent log messages\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:43:\"View events that have recently been logged.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','dblog',1,1,0,-1,'a:0:{}',0,3,1,26,44,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',45,'dblog.page_not_found','system.admin_reports','dblog.page_not_found','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:27:\"Top \'page not found\' errors\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:36:\"View \'page not found\' errors (404s).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','dblog',1,1,0,0,'a:0:{}',0,3,1,26,45,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',46,'dblog.access_denied','system.admin_reports','dblog.access_denied','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"Top \'access denied\' errors\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"View \'access denied\' errors (403s).\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','dblog',1,1,0,0,'a:0:{}',0,3,1,26,46,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',47,'field_ui.display_mode','system.admin_structure','field_ui.display_mode','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Display modes\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:65:\"Configure what displays are available for your content and forms.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','field_ui',1,1,0,0,'a:0:{}',1,3,1,3,47,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',48,'entity.entity_view_mode.collection','field_ui.display_mode','entity.entity_view_mode.collection','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"View modes\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"Manage custom view modes.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','field_ui',1,1,0,0,'a:0:{}',1,4,1,3,47,48,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',49,'entity.entity_form_mode.collection','field_ui.display_mode','entity.entity_form_mode.collection','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Form modes\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"Manage custom form modes.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','field_ui',1,1,0,0,'a:0:{}',1,4,1,3,47,49,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',50,'entity.field_storage_config.collection','system.admin_reports','entity.field_storage_config.collection','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Field list\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:39:\"Overview of fields on all entity types.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','field_ui',1,1,0,0,'a:0:{}',1,3,1,26,50,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',51,'entity.taxonomy_vocabulary.collection','system.admin_structure','entity.taxonomy_vocabulary.collection','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Taxonomy\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:67:\"Manage tagging, categorization, and classification of your content.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','taxonomy',1,1,0,0,'a:0:{}',1,3,1,3,51,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',52,'help.main','system.admin','help.main','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Help\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:48:\"Reference for usage, configuration, and modules.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','help',1,1,0,9,'a:0:{}',0,2,1,52,0,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',53,'entity.image_style.collection','system.admin_config_media','entity.image_style.collection','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Image styles\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:78:\"Configure styles that can be used for resizing or adjusting images on display.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','image',1,1,0,0,'a:0:{}',0,4,1,6,7,53,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',54,'entity.menu.collection','system.admin_structure','entity.menu.collection','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Menus\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:28:\"Manage menus and menu links.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','menu_ui',1,1,0,0,'a:0:{}',1,3,1,3,54,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('tools',56,'search.view','','search.view','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Search\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','search',0,1,0,0,'a:0:{}',0,1,56,0,0,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',57,'entity.search_page.collection','system.admin_config_search','entity.search_page.collection','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Search pages\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:51:\"Configure search pages and search indexing options.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','search',1,1,0,-10,'a:0:{}',0,4,1,6,19,57,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',58,'dblog.search','system.admin_reports','dblog.search','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Top search phrases\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"View most popular search phrases.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','',1,1,0,0,'a:0:{}',0,3,1,26,58,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',59,'entity.shortcut_set.collection','system.admin_config_ui','entity.shortcut_set.collection','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Shortcuts\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Add and modify shortcut sets.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','shortcut',1,1,0,0,'a:0:{}',0,4,1,6,23,59,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',60,'entity.view.collection','system.admin_structure','entity.view.collection','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Views\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:35:\"Manage customized lists of content.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','views_ui',1,1,0,0,'a:0:{}',1,3,1,3,60,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',61,'views_ui.reports_plugins','system.admin_reports','views_ui.reports_plugins','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Views plugins\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:38:\"Overview of plugins used in all views.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','views_ui',1,1,0,0,'a:0:{}',0,3,1,26,61,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',62,'update.status','system.admin_reports','update.status','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Available updates\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:82:\"Get a status report about available updates for your installed modules and themes.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','update',1,1,0,-50,'a:0:{}',0,3,1,26,62,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('main',164,'menu_link_content:56804dba-564f-4261-be6d-3260b06c9b37','','entity.node.canonical','node=4','a:1:{s:4:\"node\";s:1:\"4\";}','','s:8:\"About us\";','s:8:\"About us\";','Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent','a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}','menu_link_content',1,1,0,-49,'a:1:{s:9:\"entity_id\";s:1:\"1\";}',0,1,164,0,0,0,0,0,0,0,0,'\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),('main',165,'menu_link_content:4ee76de9-f8b7-4213-be88-719f49654dfb','','entity.node.canonical','node=30','a:1:{s:4:\"node\";s:2:\"30\";}','','s:8:\"Services\";','s:8:\"Services\";','Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent','a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}','menu_link_content',1,1,0,-48,'a:1:{s:9:\"entity_id\";s:1:\"2\";}',0,1,165,0,0,0,0,0,0,0,0,'\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),('main',166,'menu_link_content:49749b67-c74d-408e-a60e-bf8ff8ffb97f','','view.portfolio.page_1','','a:0:{}','','s:9:\"Portfolio\";','s:8:\"Porfolio\";','Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent','a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}','menu_link_content',1,1,1,-47,'a:1:{s:9:\"entity_id\";s:1:\"3\";}',1,1,166,0,0,0,0,0,0,0,0,'\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),('main',167,'menu_link_content:2bdced62-2f42-4421-b679-32d1d8b4b8b7','','view.blog_page.page_1','','a:0:{}','','s:4:\"Blog\";','s:4:\"Blog\";','Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent','a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}','menu_link_content',1,1,1,-46,'a:1:{s:9:\"entity_id\";s:1:\"4\";}',1,1,167,0,0,0,0,0,0,0,0,'\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),('main',169,'menu_link_content:60c931cd-37da-4cfd-a054-ef7863f9f6b2','',NULL,'','a:0:{}','http://weebpal.com/','s:11:\"More themes\";','s:11:\"More themes\";','Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent','a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:6:\"_blank\";}s:8:\"external\";b:1;}','menu_link_content',1,0,0,-44,'a:1:{s:9:\"entity_id\";s:1:\"6\";}',0,1,169,0,0,0,0,0,0,0,0,'\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),('quick',227,'menu_link_content:7909f56f-2491-4bc2-a54a-dc6f55cece88','',NULL,'','a:0:{}','https://www.drupal.org/','s:6:\"Drupal\";','s:6:\"Drupal\";','Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent','a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:6:\"_blank\";}s:8:\"external\";b:1;}','menu_link_content',1,0,0,0,'a:1:{s:9:\"entity_id\";s:1:\"7\";}',0,1,227,0,0,0,0,0,0,0,0,'\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),('quick',228,'menu_link_content:919839f6-a4c3-493d-8fdd-e97513aa3eda','',NULL,'','a:0:{}','https://www.facebook.com/','s:8:\"Facebook\";','s:8:\"Facebook\";','Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent','a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:6:\"_blank\";}s:8:\"external\";b:1;}','menu_link_content',1,0,0,0,'a:1:{s:9:\"entity_id\";s:1:\"8\";}',0,1,228,0,0,0,0,0,0,0,0,'\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),('quick',233,'menu_link_content:26cf0986-53da-465e-bb0d-d2dc2f1712e8','',NULL,'','a:0:{}','https://www.google.com','s:6:\"Google\";','s:6:\"Google\";','Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent','a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:6:\"_blank\";}s:8:\"external\";b:1;}','menu_link_content',1,0,0,0,'a:1:{s:9:\"entity_id\";s:1:\"9\";}',0,1,233,0,0,0,0,0,0,0,0,'\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),('quick',234,'menu_link_content:7303c9d0-4d17-4f7a-a3a3-641cce2543b3','',NULL,'','a:0:{}','https://twitter.com/','s:7:\"Twitter\";','s:7:\"Twitter\";','Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent','a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:6:\"_blank\";}s:8:\"external\";b:1;}','menu_link_content',1,0,0,0,'a:1:{s:9:\"entity_id\";s:2:\"10\";}',0,1,234,0,0,0,0,0,0,0,0,'\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),('quick',235,'menu_link_content:527ea562-6643-4efb-8037-e01aeef59884','',NULL,'','a:0:{}','https://wordpress.com/','s:9:\"Wordpress\";','s:9:\"Wordpress\";','Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent','a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:6:\"_blank\";}s:8:\"external\";b:1;}','menu_link_content',1,0,0,0,'a:1:{s:9:\"entity_id\";s:2:\"11\";}',0,1,235,0,0,0,0,0,0,0,0,'\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),('quick',236,'menu_link_content:25821ec7-df98-47dc-a5d5-4029a2837e55','',NULL,'','a:0:{}','https://www.weebpal.com/','s:7:\"Weebpal\";','s:7:\"Weebpal\";','Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent','a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:6:\"_blank\";}s:8:\"external\";b:1;}','menu_link_content',1,0,0,0,'a:1:{s:9:\"entity_id\";s:2:\"12\";}',0,1,236,0,0,0,0,0,0,0,0,'\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),('admin',251,'simplenews.settings','system.admin_config_services','simplenews.newsletter_list','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:10:\"Simplenews\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:33:\"Configure your sites newsletters.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','simplenews',1,1,0,0,'a:0:{}',0,4,1,6,10,251,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',252,'simplenews.subscriber_settings','user.admin_index','simplenews.settings_subscriber','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Subscriber settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:36:\"Administer your subscriber settings.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','simplenews',1,1,0,0,'a:0:{}',0,4,1,6,28,252,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',253,'colorbox.admin_settings','system.admin_config_media','colorbox.admin_settings','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Colorbox settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:32:\"Configure the Colorbox settings.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','colorbox',1,1,0,0,'a:0:{}',0,4,1,6,7,253,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('main',254,'menu_link_content:d4ba7240-f5f6-4077-92a1-b03f3dc2fc12','menu_link_content:49749b67-c74d-408e-a60e-bf8ff8ffb97f','view.portfolio.page_2','','a:0:{}','','s:15:\"Portfolio 4 col\";','s:15:\"Portfolio 4 col\";','Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent','a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}','menu_link_content',1,1,0,-50,'a:1:{s:9:\"entity_id\";s:2:\"13\";}',0,2,166,254,0,0,0,0,0,0,0,'\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),('main',255,'menu_link_content:20bcd853-7bfc-4421-8c82-15217f40ae51','menu_link_content:49749b67-c74d-408e-a60e-bf8ff8ffb97f','view.portfolio.page_3','','a:0:{}','','s:17:\"Portfolio masonry\";','s:17:\"Portfolio masonry\";','Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent','a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}','menu_link_content',1,1,0,-49,'a:1:{s:9:\"entity_id\";s:2:\"14\";}',0,2,166,255,0,0,0,0,0,0,0,'\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),('admin',275,'sharethis.configuration_form','system.admin_config_services','sharethis.configuration_form','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"ShareThis\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:91:\"Choose the widget, button family, and services for using ShareThis to share content online.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','sharethis',1,1,0,0,'a:0:{}',0,4,1,6,10,275,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('main',290,'menu_link_content:36727826-f03f-4f36-919a-142ae953e104','','contact.site_page','','a:0:{}','','s:7:\"Contact\";','s:7:\"Contact\";','Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent','a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}','menu_link_content',1,1,0,-45,'a:1:{s:9:\"entity_id\";s:2:\"15\";}',0,1,290,0,0,0,0,0,0,0,0,'\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),('admin',291,'entity.responsive_image_style.collection','system.admin_config_media','entity.responsive_image_style.collection','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"Responsive image styles\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:31:\"Manage responsive image styles.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','responsive_image',1,1,0,10,'a:0:{}',0,4,1,6,7,291,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',292,'config_translation.mapper_list','system.admin_config_regional','config_translation.mapper_list','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:25:\"Configuration translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:28:\"Translate the configuration.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','config_translation',1,1,0,30,'a:0:{}',0,4,1,6,16,292,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',293,'entity.configurable_language.collection','system.admin_config_regional','entity.configurable_language.collection','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"Languages\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:62:\"Configure languages for content, interface, and configuration.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','language',1,1,0,0,'a:0:{}',1,4,1,6,16,293,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',294,'language.content_settings_page','system.admin_config_regional','language.content_settings_page','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:32:\"Content language and translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:55:\"Configure language and translation support for content.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','language',1,1,0,10,'a:0:{}',0,4,1,6,16,294,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',295,'locale.translate_page','system.admin_config_regional','locale.translate_page','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"User interface translation\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:87:\"Configure the import of translation files, and add or customize interface translations.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','locale',1,1,0,15,'a:0:{}',0,4,1,6,16,295,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',296,'locale.translate_status','system.admin_reports','locale.translate_status','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Available translation updates\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:97:\"Get a status report about available interface translations for your installed modules and themes.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','locale',1,1,0,0,'a:0:{}',0,3,1,26,296,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('main',297,'menu_link_content:a21c44b2-835d-441e-8cbe-33d0ec296784','','user.page','','a:0:{}','','s:10:\"My account\";','s:10:\"My account\";','Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent','a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:12:\"user-account\";}s:6:\"target\";s:6:\"_blank\";}s:5:\"query\";a:0:{}}','menu_link_content',0,1,0,-43,'a:1:{s:9:\"entity_id\";s:2:\"16\";}',0,1,297,0,0,0,0,0,0,0,0,'\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),('main',298,'menu_link_content:96a946eb-22c6-4787-8f6e-ad381be14222','','user.logout','','a:0:{}','','s:7:\"Log out\";','s:7:\"Log out\";','Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent','a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:12:\"user-log-out\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}','menu_link_content',0,1,0,-42,'a:1:{s:9:\"entity_id\";s:2:\"17\";}',0,1,298,0,0,0,0,0,0,0,0,'\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),('main',299,'menu_link_content:bd337eec-18a0-43da-aca9-292607213b64','','user.login','','a:0:{}','','s:12:\"Login | User\";',NULL,'Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent','a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:11:\"user-log-in\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}','menu_link_content',1,1,0,-41,'a:1:{s:9:\"entity_id\";s:2:\"18\";}',0,1,299,0,0,0,0,0,0,0,0,'\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),('main',300,'menu_link_content:7e0a4dbd-8408-4b7e-bd75-c8515eb0dec0','menu_link_content:2bdced62-2f42-4421-b679-32d1d8b4b8b7','view.blog_page.page_2','','a:0:{}','','s:12:\"Blog default\";','s:12:\"Blog default\";','Drupal\\menu_link_content\\Plugin\\Menu\\MenuLinkContent','a:2:{s:10:\"attributes\";a:2:{s:5:\"class\";a:1:{i:0;s:0:\"\";}s:6:\"target\";s:0:\"\";}s:5:\"query\";a:0:{}}','menu_link_content',1,1,0,0,'a:1:{s:9:\"entity_id\";s:2:\"19\";}',0,2,167,300,0,0,0,0,0,0,0,'\\Drupal\\menu_link_content\\Form\\MenuLinkContentForm'),('admin',301,'we_megamenu.admin','system.admin_structure','we_megamenu.admin','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Drupal 8 Mega Menu\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:26:\"List Of We Mega Menu Items\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','we_megamenu',1,1,0,0,'a:0:{}',0,3,1,3,301,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',302,'admin_toolbar_tools.help','system.admin','<front>','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Tools\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,-100,'a:0:{}',1,2,1,302,0,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',303,'system.admin_index','admin_toolbar_tools.help','system.admin_index','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Index\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,-100,'a:0:{}',0,3,1,302,303,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',305,'system.db_update','admin_toolbar_tools.help','system.db_update','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Run updates\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,-6,'a:0:{}',0,3,1,302,305,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',472,'system.modules_uninstall','system.modules_list','system.modules_uninstall','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Uninstall module\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,3,1,5,472,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',537,'system.run_cron','admin_toolbar_tools.help','admin_toolbar.run.cron','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Run cron\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,-8,'a:0:{}',0,3,1,302,537,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',538,'admin_toolbar_tools.flush','admin_toolbar_tools.help','admin_toolbar_tools.flush','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Flush all caches\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,-9,'a:0:{}',1,3,1,302,538,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',539,'admin_toolbar_tools.cssjs','admin_toolbar_tools.flush','admin_toolbar_tools.cssjs','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:24:\"Flush CSS and Javascript\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,302,538,539,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',540,'admin_toolbar_tools.plugin','admin_toolbar_tools.flush','admin_toolbar_tools.plugin','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Flush plugins cache\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,302,538,540,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',541,'admin_toolbar_tools.flush_static','admin_toolbar_tools.flush','admin_toolbar_tools.flush_static','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Flush static cache\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,302,538,541,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',542,'admin_toolbar_tools.flush_menu','admin_toolbar_tools.flush','admin_toolbar_tools.flush_menu','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:29:\"Flush routing and links cache\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,302,538,542,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',543,'admin_toolbar_tools.flush_twig','admin_toolbar_tools.flush','admin_toolbar_tools.flush_twig','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Flush twig cache\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,302,538,543,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',544,'admin_toolbar_tools.flush_rendercache','admin_toolbar_tools.flush','admin_toolbar_tools.flush_rendercache','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Flush render cache\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,302,538,544,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',554,'entity.path_alias.collection','system.admin_config_search','entity.path_alias.collection','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"URL aliases\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:34:\"Add custom URLs to existing paths.\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','path',1,1,0,-5,'a:0:{}',0,4,1,6,19,554,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',555,'admin_toolbar_tools.theme_rebuild','admin_toolbar_tools.flush','admin_toolbar_tools.theme_rebuild','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:22:\"Rebuild theme registry\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,302,538,555,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',556,'admin_toolbar_tools.extra_links:flush_views','admin_toolbar_tools.flush','admin_toolbar_tools.flush_views','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Flush views cache\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,302,538,556,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',557,'admin_toolbar_tools.extra_links:user.logout','admin_toolbar_tools.help','user.logout','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Logout\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,10,'a:0:{}',0,3,1,302,557,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',569,'admin_toolbar_tools.extra_links:node.add','system.admin_content','node.add_page','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Add content\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',1,3,1,2,569,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',570,'admin_toolbar_tools.extra_links:node.add.article','admin_toolbar_tools.extra_links:node.add','node.add','node_type=article','a:1:{s:9:\"node_type\";s:7:\"article\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:7:\"Article\";}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,2,569,570,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',571,'admin_toolbar_tools.extra_links:node.add.banner','admin_toolbar_tools.extra_links:node.add','node.add','node_type=banner','a:1:{s:9:\"node_type\";s:6:\"banner\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,2,569,571,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',572,'admin_toolbar_tools.extra_links:node.add.blog','admin_toolbar_tools.extra_links:node.add','node.add','node_type=blog','a:1:{s:9:\"node_type\";s:4:\"blog\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:4:\"Blog\";}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,2,569,572,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',573,'admin_toolbar_tools.extra_links:node.add.our_mission','admin_toolbar_tools.extra_links:node.add','node.add','node_type=our_mission','a:1:{s:9:\"node_type\";s:11:\"our_mission\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:11:\"Our mission\";}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,2,569,573,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',574,'admin_toolbar_tools.extra_links:node.add.our_services','admin_toolbar_tools.extra_links:node.add','node.add','node_type=our_services','a:1:{s:9:\"node_type\";s:12:\"our_services\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:12:\"Our services\";}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,2,569,574,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',575,'admin_toolbar_tools.extra_links:node.add.page','admin_toolbar_tools.extra_links:node.add','node.add','node_type=page','a:1:{s:9:\"node_type\";s:4:\"page\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:10:\"Basic page\";}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,2,569,575,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',576,'admin_toolbar_tools.extra_links:node.add.partners','admin_toolbar_tools.extra_links:node.add','node.add','node_type=partners','a:1:{s:9:\"node_type\";s:8:\"partners\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:8:\"Partners\";}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,2,569,576,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',577,'admin_toolbar_tools.extra_links:node.add.portfolio','admin_toolbar_tools.extra_links:node.add','node.add','node_type=portfolio','a:1:{s:9:\"node_type\";s:9:\"portfolio\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:9:\"Portfolio\";}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,2,569,577,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',578,'admin_toolbar_tools.extra_links:node.add.simplenews_issue','admin_toolbar_tools.extra_links:node.add','node.add','node_type=simplenews_issue','a:1:{s:9:\"node_type\";s:16:\"simplenews_issue\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:16:\"Newsletter Issue\";}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,2,569,578,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',579,'admin_toolbar_tools.extra_links:node.add.why_us','admin_toolbar_tools.extra_links:node.add','node.add','node_type=why_us','a:1:{s:9:\"node_type\";s:6:\"why_us\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:6:\"Why us\";}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,2,569,579,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',580,'admin_toolbar_tools.extra_links:view.files','system.admin_content','view.files.page_1','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Files\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,3,1,2,580,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',581,'admin_toolbar_tools.extra_links:block_content.add_page','block.admin_display','block_content.add_page','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Add custom block\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,3,36,581,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',582,'admin_toolbar_tools.extra_links:entity.block_content.collection','block.admin_display','entity.block_content.collection','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"Custom block library\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,3,36,582,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',583,'admin_toolbar_tools.extra_links:entity.block_content_type.collection','block.admin_display','entity.block_content_type.collection','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Block types\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,3,36,583,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',584,'admin_toolbar_tools.extra_links:entity.comment_type.edit_form.comment','entity.comment_type.collection','entity.comment_type.edit_form','comment_type=comment','a:1:{s:12:\"comment_type\";s:7:\"comment\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:16:\"Default comments\";}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',1,4,1,3,40,584,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',585,'admin_toolbar_tools.extra_links:entity.comment.field_ui_fieldscomment','admin_toolbar_tools.extra_links:entity.comment_type.edit_form.comment','entity.comment.field_ui_fields','comment_type=comment','a:1:{s:12:\"comment_type\";s:7:\"comment\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,1,'a:0:{}',0,5,1,3,40,584,585,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',586,'admin_toolbar_tools.extra_links:entity.entity_form_display.comment.defaultcomment','admin_toolbar_tools.extra_links:entity.comment_type.edit_form.comment','entity.entity_form_display.comment.default','comment_type=comment','a:1:{s:12:\"comment_type\";s:7:\"comment\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,2,'a:0:{}',0,5,1,3,40,584,586,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',587,'admin_toolbar_tools.extra_links:entity.entity_view_display.comment.default.comment','admin_toolbar_tools.extra_links:entity.comment_type.edit_form.comment','entity.entity_view_display.comment.default','comment_type=comment','a:1:{s:12:\"comment_type\";s:7:\"comment\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,5,1,3,40,584,587,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',589,'admin_toolbar_tools.extra_links:entity.comment_type.delete_form.comment','admin_toolbar_tools.extra_links:entity.comment_type.edit_form.comment','entity.comment_type.delete_form','comment_type=comment','a:1:{s:12:\"comment_type\";s:7:\"comment\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,5,'a:0:{}',0,5,1,3,40,584,589,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',590,'admin_toolbar_tools.extra_links:entity.contact_form.edit_form.feedback','entity.contact_form.collection','entity.contact_form.edit_form','contact_form=feedback','a:1:{s:12:\"contact_form\";s:8:\"feedback\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:16:\"Website feedback\";}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',1,4,1,3,43,590,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',591,'admin_toolbar_tools.extra_links:entity.contact_message.field_ui_fieldsfeedback','admin_toolbar_tools.extra_links:entity.contact_form.edit_form.feedback','entity.contact_message.field_ui_fields','contact_form=feedback','a:1:{s:12:\"contact_form\";s:8:\"feedback\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,1,'a:0:{}',0,5,1,3,43,590,591,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',592,'admin_toolbar_tools.extra_links:entity.entity_form_display.contact_message.defaultfeedback','admin_toolbar_tools.extra_links:entity.contact_form.edit_form.feedback','entity.entity_form_display.contact_message.default','contact_form=feedback','a:1:{s:12:\"contact_form\";s:8:\"feedback\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,2,'a:0:{}',0,5,1,3,43,590,592,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',593,'admin_toolbar_tools.extra_links:entity.entity_view_display.contact_message.default.feedback','admin_toolbar_tools.extra_links:entity.contact_form.edit_form.feedback','entity.entity_view_display.contact_message.default','contact_form=feedback','a:1:{s:12:\"contact_form\";s:8:\"feedback\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,5,1,3,43,590,593,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',595,'admin_toolbar_tools.extra_links:entity.contact_form.delete_form.feedback','admin_toolbar_tools.extra_links:entity.contact_form.edit_form.feedback','entity.contact_form.delete_form','contact_form=feedback','a:1:{s:12:\"contact_form\";s:8:\"feedback\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,5,'a:0:{}',0,5,1,3,43,590,595,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',596,'admin_toolbar_tools.extra_links:entity.contact_form.edit_form.personal','entity.contact_form.collection','entity.contact_form.edit_form','contact_form=personal','a:1:{s:12:\"contact_form\";s:8:\"personal\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:21:\"Personal contact form\";}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',1,4,1,3,43,596,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',597,'admin_toolbar_tools.extra_links:entity.contact_message.field_ui_fieldspersonal','admin_toolbar_tools.extra_links:entity.contact_form.edit_form.personal','entity.contact_message.field_ui_fields','contact_form=personal','a:1:{s:12:\"contact_form\";s:8:\"personal\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,1,'a:0:{}',0,5,1,3,43,596,597,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',598,'admin_toolbar_tools.extra_links:entity.entity_form_display.contact_message.defaultpersonal','admin_toolbar_tools.extra_links:entity.contact_form.edit_form.personal','entity.entity_form_display.contact_message.default','contact_form=personal','a:1:{s:12:\"contact_form\";s:8:\"personal\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,2,'a:0:{}',0,5,1,3,43,596,598,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',599,'admin_toolbar_tools.extra_links:entity.entity_view_display.contact_message.default.personal','admin_toolbar_tools.extra_links:entity.contact_form.edit_form.personal','entity.entity_view_display.contact_message.default','contact_form=personal','a:1:{s:12:\"contact_form\";s:8:\"personal\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,5,1,3,43,596,599,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',601,'admin_toolbar_tools.extra_links:entity.contact_form.delete_form.personal','admin_toolbar_tools.extra_links:entity.contact_form.edit_form.personal','entity.contact_form.delete_form','contact_form=personal','a:1:{s:12:\"contact_form\";s:8:\"personal\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,5,'a:0:{}',0,5,1,3,43,596,601,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',602,'admin_toolbar_tools.extra_links:contact.form_add','entity.contact_form.collection','contact.form_add','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Add contact form\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,-5,'a:0:{}',0,4,1,3,43,602,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',603,'admin_toolbar_tools.extra_links:field_ui.entity_view_mode_add','entity.entity_view_mode.collection','field_ui.entity_view_mode_add','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Add view mode\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,5,1,3,47,48,603,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',604,'admin_toolbar_tools.extra_links:field_ui.entity_form_mode_add','entity.entity_form_mode.collection','field_ui.entity_form_mode_add','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Add form mode\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,5,1,3,47,49,604,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',605,'admin_toolbar_tools.extra_links:entity.menu.add_form','entity.menu.collection','entity.menu.add_form','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Add menu\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,-2,'a:0:{}',0,4,1,3,54,605,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',606,'admin_toolbar_tools.extra_links:entity.menu.edit_form.admin','entity.menu.collection','entity.menu.edit_form','menu=admin','a:1:{s:4:\"menu\";s:5:\"admin\";}','','s:14:\"Administration\";','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',1,4,1,3,54,606,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',607,'admin_toolbar_tools.extra_links:entity.menu.add_link_form.admin','admin_toolbar_tools.extra_links:entity.menu.edit_form.admin','entity.menu.add_link_form','menu=admin','a:1:{s:4:\"menu\";s:5:\"admin\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Add link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,5,1,3,54,606,607,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',612,'admin_toolbar_tools.extra_links:entity.menu.edit_form.footer','entity.menu.collection','entity.menu.edit_form','menu=footer','a:1:{s:4:\"menu\";s:6:\"footer\";}','','s:6:\"Footer\";','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,1,'a:0:{}',1,4,1,3,54,612,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',613,'admin_toolbar_tools.extra_links:entity.menu.add_link_form.footer','admin_toolbar_tools.extra_links:entity.menu.edit_form.footer','entity.menu.add_link_form','menu=footer','a:1:{s:4:\"menu\";s:6:\"footer\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Add link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,5,1,3,54,612,613,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',615,'admin_toolbar_tools.extra_links:entity.menu.edit_form.main','entity.menu.collection','entity.menu.edit_form','menu=main','a:1:{s:4:\"menu\";s:4:\"main\";}','','s:15:\"Main navigation\";','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,2,'a:0:{}',1,4,1,3,54,615,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',616,'admin_toolbar_tools.extra_links:entity.menu.add_link_form.main','admin_toolbar_tools.extra_links:entity.menu.edit_form.main','entity.menu.add_link_form','menu=main','a:1:{s:4:\"menu\";s:4:\"main\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Add link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,5,1,3,54,615,616,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',618,'admin_toolbar_tools.extra_links:entity.menu.edit_form.quick','entity.menu.collection','entity.menu.edit_form','menu=quick','a:1:{s:4:\"menu\";s:5:\"quick\";}','','s:11:\"Quick links\";','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',1,4,1,3,54,618,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',619,'admin_toolbar_tools.extra_links:entity.menu.add_link_form.quick','admin_toolbar_tools.extra_links:entity.menu.edit_form.quick','entity.menu.add_link_form','menu=quick','a:1:{s:4:\"menu\";s:5:\"quick\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Add link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,5,1,3,54,618,619,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',620,'admin_toolbar_tools.extra_links:entity.menu.delete_form.quick','admin_toolbar_tools.extra_links:entity.menu.edit_form.quick','entity.menu.delete_form','menu=quick','a:1:{s:4:\"menu\";s:5:\"quick\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,5,1,3,54,618,620,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',622,'admin_toolbar_tools.extra_links:entity.menu.edit_form.tools','entity.menu.collection','entity.menu.edit_form','menu=tools','a:1:{s:4:\"menu\";s:5:\"tools\";}','','s:5:\"Tools\";','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,4,'a:0:{}',1,4,1,3,54,622,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',623,'admin_toolbar_tools.extra_links:entity.menu.add_link_form.tools','admin_toolbar_tools.extra_links:entity.menu.edit_form.tools','entity.menu.add_link_form','menu=tools','a:1:{s:4:\"menu\";s:5:\"tools\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Add link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,5,1,3,54,622,623,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',625,'admin_toolbar_tools.extra_links:entity.menu.edit_form.account','entity.menu.collection','entity.menu.edit_form','menu=account','a:1:{s:4:\"menu\";s:7:\"account\";}','','s:17:\"User account menu\";','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,5,'a:0:{}',1,4,1,3,54,625,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',626,'admin_toolbar_tools.extra_links:entity.menu.add_link_form.account','admin_toolbar_tools.extra_links:entity.menu.edit_form.account','entity.menu.add_link_form','menu=account','a:1:{s:4:\"menu\";s:7:\"account\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Add link\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,5,1,3,54,625,626,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',628,'admin_toolbar_tools.extra_links:node_type.collection','entity.node_type.collection','entity.node_type.collection','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:9:\"All types\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,-1,'a:0:{}',0,4,1,3,38,628,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',629,'admin_toolbar_tools.extra_links:entity.node_type.edit_form.article','entity.node_type.collection','entity.node_type.edit_form','node_type=article','a:1:{s:9:\"node_type\";s:7:\"article\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:7:\"Article\";}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',1,4,1,3,38,629,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',630,'admin_toolbar_tools.extra_links:entity.node.field_ui_fieldsarticle','admin_toolbar_tools.extra_links:entity.node_type.edit_form.article','entity.node.field_ui_fields','node_type=article','a:1:{s:9:\"node_type\";s:7:\"article\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,1,'a:0:{}',0,5,1,3,38,629,630,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',631,'admin_toolbar_tools.extra_links:entity.entity_form_display.node.defaultarticle','admin_toolbar_tools.extra_links:entity.node_type.edit_form.article','entity.entity_form_display.node.default','node_type=article','a:1:{s:9:\"node_type\";s:7:\"article\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,2,'a:0:{}',0,5,1,3,38,629,631,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',632,'admin_toolbar_tools.extra_links:entity.entity_view_display.node.default.article','admin_toolbar_tools.extra_links:entity.node_type.edit_form.article','entity.entity_view_display.node.default','node_type=article','a:1:{s:9:\"node_type\";s:7:\"article\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,5,1,3,38,629,632,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',634,'admin_toolbar_tools.extra_links:entity.node_type.delete_form.article','admin_toolbar_tools.extra_links:entity.node_type.edit_form.article','entity.node_type.delete_form','node_type=article','a:1:{s:9:\"node_type\";s:7:\"article\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,5,'a:0:{}',0,5,1,3,38,629,634,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',635,'admin_toolbar_tools.extra_links:entity.node_type.edit_form.banner','entity.node_type.collection','entity.node_type.edit_form','node_type=banner','a:1:{s:9:\"node_type\";s:6:\"banner\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:6:\"Banner\";}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',1,4,1,3,38,635,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',636,'admin_toolbar_tools.extra_links:entity.node.field_ui_fieldsbanner','admin_toolbar_tools.extra_links:entity.node_type.edit_form.banner','entity.node.field_ui_fields','node_type=banner','a:1:{s:9:\"node_type\";s:6:\"banner\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,1,'a:0:{}',0,5,1,3,38,635,636,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',637,'admin_toolbar_tools.extra_links:entity.entity_form_display.node.defaultbanner','admin_toolbar_tools.extra_links:entity.node_type.edit_form.banner','entity.entity_form_display.node.default','node_type=banner','a:1:{s:9:\"node_type\";s:6:\"banner\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,2,'a:0:{}',0,5,1,3,38,635,637,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',638,'admin_toolbar_tools.extra_links:entity.entity_view_display.node.default.banner','admin_toolbar_tools.extra_links:entity.node_type.edit_form.banner','entity.entity_view_display.node.default','node_type=banner','a:1:{s:9:\"node_type\";s:6:\"banner\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,5,1,3,38,635,638,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',640,'admin_toolbar_tools.extra_links:entity.node_type.delete_form.banner','admin_toolbar_tools.extra_links:entity.node_type.edit_form.banner','entity.node_type.delete_form','node_type=banner','a:1:{s:9:\"node_type\";s:6:\"banner\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,5,'a:0:{}',0,5,1,3,38,635,640,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',641,'admin_toolbar_tools.extra_links:entity.node_type.edit_form.blog','entity.node_type.collection','entity.node_type.edit_form','node_type=blog','a:1:{s:9:\"node_type\";s:4:\"blog\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:4:\"Blog\";}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',1,4,1,3,38,641,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',642,'admin_toolbar_tools.extra_links:entity.node.field_ui_fieldsblog','admin_toolbar_tools.extra_links:entity.node_type.edit_form.blog','entity.node.field_ui_fields','node_type=blog','a:1:{s:9:\"node_type\";s:4:\"blog\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,1,'a:0:{}',0,5,1,3,38,641,642,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',643,'admin_toolbar_tools.extra_links:entity.entity_form_display.node.defaultblog','admin_toolbar_tools.extra_links:entity.node_type.edit_form.blog','entity.entity_form_display.node.default','node_type=blog','a:1:{s:9:\"node_type\";s:4:\"blog\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,2,'a:0:{}',0,5,1,3,38,641,643,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',644,'admin_toolbar_tools.extra_links:entity.entity_view_display.node.default.blog','admin_toolbar_tools.extra_links:entity.node_type.edit_form.blog','entity.entity_view_display.node.default','node_type=blog','a:1:{s:9:\"node_type\";s:4:\"blog\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,5,1,3,38,641,644,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',646,'admin_toolbar_tools.extra_links:entity.node_type.delete_form.blog','admin_toolbar_tools.extra_links:entity.node_type.edit_form.blog','entity.node_type.delete_form','node_type=blog','a:1:{s:9:\"node_type\";s:4:\"blog\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,5,'a:0:{}',0,5,1,3,38,641,646,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',647,'admin_toolbar_tools.extra_links:entity.node_type.edit_form.our_mission','entity.node_type.collection','entity.node_type.edit_form','node_type=our_mission','a:1:{s:9:\"node_type\";s:11:\"our_mission\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:11:\"Our mission\";}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',1,4,1,3,38,647,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',648,'admin_toolbar_tools.extra_links:entity.node.field_ui_fieldsour_mission','admin_toolbar_tools.extra_links:entity.node_type.edit_form.our_mission','entity.node.field_ui_fields','node_type=our_mission','a:1:{s:9:\"node_type\";s:11:\"our_mission\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,1,'a:0:{}',0,5,1,3,38,647,648,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',649,'admin_toolbar_tools.extra_links:entity.entity_form_display.node.defaultour_mission','admin_toolbar_tools.extra_links:entity.node_type.edit_form.our_mission','entity.entity_form_display.node.default','node_type=our_mission','a:1:{s:9:\"node_type\";s:11:\"our_mission\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,2,'a:0:{}',0,5,1,3,38,647,649,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',650,'admin_toolbar_tools.extra_links:entity.entity_view_display.node.default.our_mission','admin_toolbar_tools.extra_links:entity.node_type.edit_form.our_mission','entity.entity_view_display.node.default','node_type=our_mission','a:1:{s:9:\"node_type\";s:11:\"our_mission\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,5,1,3,38,647,650,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',652,'admin_toolbar_tools.extra_links:entity.node_type.delete_form.our_mission','admin_toolbar_tools.extra_links:entity.node_type.edit_form.our_mission','entity.node_type.delete_form','node_type=our_mission','a:1:{s:9:\"node_type\";s:11:\"our_mission\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,5,'a:0:{}',0,5,1,3,38,647,652,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',653,'admin_toolbar_tools.extra_links:entity.node_type.edit_form.our_services','entity.node_type.collection','entity.node_type.edit_form','node_type=our_services','a:1:{s:9:\"node_type\";s:12:\"our_services\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:12:\"Our services\";}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',1,4,1,3,38,653,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',654,'admin_toolbar_tools.extra_links:entity.node.field_ui_fieldsour_services','admin_toolbar_tools.extra_links:entity.node_type.edit_form.our_services','entity.node.field_ui_fields','node_type=our_services','a:1:{s:9:\"node_type\";s:12:\"our_services\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,1,'a:0:{}',0,5,1,3,38,653,654,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',655,'admin_toolbar_tools.extra_links:entity.entity_form_display.node.defaultour_services','admin_toolbar_tools.extra_links:entity.node_type.edit_form.our_services','entity.entity_form_display.node.default','node_type=our_services','a:1:{s:9:\"node_type\";s:12:\"our_services\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,2,'a:0:{}',0,5,1,3,38,653,655,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',656,'admin_toolbar_tools.extra_links:entity.entity_view_display.node.default.our_services','admin_toolbar_tools.extra_links:entity.node_type.edit_form.our_services','entity.entity_view_display.node.default','node_type=our_services','a:1:{s:9:\"node_type\";s:12:\"our_services\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,5,1,3,38,653,656,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',658,'admin_toolbar_tools.extra_links:entity.node_type.delete_form.our_services','admin_toolbar_tools.extra_links:entity.node_type.edit_form.our_services','entity.node_type.delete_form','node_type=our_services','a:1:{s:9:\"node_type\";s:12:\"our_services\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,5,'a:0:{}',0,5,1,3,38,653,658,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',659,'admin_toolbar_tools.extra_links:entity.node_type.edit_form.page','entity.node_type.collection','entity.node_type.edit_form','node_type=page','a:1:{s:9:\"node_type\";s:4:\"page\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:10:\"Basic page\";}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',1,4,1,3,38,659,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',660,'admin_toolbar_tools.extra_links:entity.node.field_ui_fieldspage','admin_toolbar_tools.extra_links:entity.node_type.edit_form.page','entity.node.field_ui_fields','node_type=page','a:1:{s:9:\"node_type\";s:4:\"page\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,1,'a:0:{}',0,5,1,3,38,659,660,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',661,'admin_toolbar_tools.extra_links:entity.entity_form_display.node.defaultpage','admin_toolbar_tools.extra_links:entity.node_type.edit_form.page','entity.entity_form_display.node.default','node_type=page','a:1:{s:9:\"node_type\";s:4:\"page\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,2,'a:0:{}',0,5,1,3,38,659,661,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',662,'admin_toolbar_tools.extra_links:entity.entity_view_display.node.default.page','admin_toolbar_tools.extra_links:entity.node_type.edit_form.page','entity.entity_view_display.node.default','node_type=page','a:1:{s:9:\"node_type\";s:4:\"page\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,5,1,3,38,659,662,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',664,'admin_toolbar_tools.extra_links:entity.node_type.delete_form.page','admin_toolbar_tools.extra_links:entity.node_type.edit_form.page','entity.node_type.delete_form','node_type=page','a:1:{s:9:\"node_type\";s:4:\"page\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,5,'a:0:{}',0,5,1,3,38,659,664,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',665,'admin_toolbar_tools.extra_links:entity.node_type.edit_form.partners','entity.node_type.collection','entity.node_type.edit_form','node_type=partners','a:1:{s:9:\"node_type\";s:8:\"partners\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:8:\"Partners\";}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',1,4,1,3,38,665,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',666,'admin_toolbar_tools.extra_links:entity.node.field_ui_fieldspartners','admin_toolbar_tools.extra_links:entity.node_type.edit_form.partners','entity.node.field_ui_fields','node_type=partners','a:1:{s:9:\"node_type\";s:8:\"partners\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,1,'a:0:{}',0,5,1,3,38,665,666,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',667,'admin_toolbar_tools.extra_links:entity.entity_form_display.node.defaultpartners','admin_toolbar_tools.extra_links:entity.node_type.edit_form.partners','entity.entity_form_display.node.default','node_type=partners','a:1:{s:9:\"node_type\";s:8:\"partners\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,2,'a:0:{}',0,5,1,3,38,665,667,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',668,'admin_toolbar_tools.extra_links:entity.entity_view_display.node.default.partners','admin_toolbar_tools.extra_links:entity.node_type.edit_form.partners','entity.entity_view_display.node.default','node_type=partners','a:1:{s:9:\"node_type\";s:8:\"partners\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,5,1,3,38,665,668,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',670,'admin_toolbar_tools.extra_links:entity.node_type.delete_form.partners','admin_toolbar_tools.extra_links:entity.node_type.edit_form.partners','entity.node_type.delete_form','node_type=partners','a:1:{s:9:\"node_type\";s:8:\"partners\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,5,'a:0:{}',0,5,1,3,38,665,670,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',671,'admin_toolbar_tools.extra_links:entity.node_type.edit_form.portfolio','entity.node_type.collection','entity.node_type.edit_form','node_type=portfolio','a:1:{s:9:\"node_type\";s:9:\"portfolio\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:9:\"Portfolio\";}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',1,4,1,3,38,671,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',672,'admin_toolbar_tools.extra_links:entity.node.field_ui_fieldsportfolio','admin_toolbar_tools.extra_links:entity.node_type.edit_form.portfolio','entity.node.field_ui_fields','node_type=portfolio','a:1:{s:9:\"node_type\";s:9:\"portfolio\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,1,'a:0:{}',0,5,1,3,38,671,672,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',673,'admin_toolbar_tools.extra_links:entity.entity_form_display.node.defaultportfolio','admin_toolbar_tools.extra_links:entity.node_type.edit_form.portfolio','entity.entity_form_display.node.default','node_type=portfolio','a:1:{s:9:\"node_type\";s:9:\"portfolio\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,2,'a:0:{}',0,5,1,3,38,671,673,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',674,'admin_toolbar_tools.extra_links:entity.entity_view_display.node.default.portfolio','admin_toolbar_tools.extra_links:entity.node_type.edit_form.portfolio','entity.entity_view_display.node.default','node_type=portfolio','a:1:{s:9:\"node_type\";s:9:\"portfolio\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,5,1,3,38,671,674,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',676,'admin_toolbar_tools.extra_links:entity.node_type.delete_form.portfolio','admin_toolbar_tools.extra_links:entity.node_type.edit_form.portfolio','entity.node_type.delete_form','node_type=portfolio','a:1:{s:9:\"node_type\";s:9:\"portfolio\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,5,'a:0:{}',0,5,1,3,38,671,676,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',677,'admin_toolbar_tools.extra_links:entity.node_type.edit_form.simplenews_issue','entity.node_type.collection','entity.node_type.edit_form','node_type=simplenews_issue','a:1:{s:9:\"node_type\";s:16:\"simplenews_issue\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:16:\"Newsletter Issue\";}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',1,4,1,3,38,677,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',678,'admin_toolbar_tools.extra_links:entity.node.field_ui_fieldssimplenews_issue','admin_toolbar_tools.extra_links:entity.node_type.edit_form.simplenews_issue','entity.node.field_ui_fields','node_type=simplenews_issue','a:1:{s:9:\"node_type\";s:16:\"simplenews_issue\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,1,'a:0:{}',0,5,1,3,38,677,678,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',679,'admin_toolbar_tools.extra_links:entity.entity_form_display.node.defaultsimplenews_issue','admin_toolbar_tools.extra_links:entity.node_type.edit_form.simplenews_issue','entity.entity_form_display.node.default','node_type=simplenews_issue','a:1:{s:9:\"node_type\";s:16:\"simplenews_issue\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,2,'a:0:{}',0,5,1,3,38,677,679,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',680,'admin_toolbar_tools.extra_links:entity.entity_view_display.node.default.simplenews_issue','admin_toolbar_tools.extra_links:entity.node_type.edit_form.simplenews_issue','entity.entity_view_display.node.default','node_type=simplenews_issue','a:1:{s:9:\"node_type\";s:16:\"simplenews_issue\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,5,1,3,38,677,680,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',682,'admin_toolbar_tools.extra_links:entity.node_type.delete_form.simplenews_issue','admin_toolbar_tools.extra_links:entity.node_type.edit_form.simplenews_issue','entity.node_type.delete_form','node_type=simplenews_issue','a:1:{s:9:\"node_type\";s:16:\"simplenews_issue\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,5,'a:0:{}',0,5,1,3,38,677,682,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',683,'admin_toolbar_tools.extra_links:entity.node_type.edit_form.why_us','entity.node_type.collection','entity.node_type.edit_form','node_type=why_us','a:1:{s:9:\"node_type\";s:6:\"why_us\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:6:\"Why us\";}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',1,4,1,3,38,683,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',684,'admin_toolbar_tools.extra_links:entity.node.field_ui_fieldswhy_us','admin_toolbar_tools.extra_links:entity.node_type.edit_form.why_us','entity.node.field_ui_fields','node_type=why_us','a:1:{s:9:\"node_type\";s:6:\"why_us\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,1,'a:0:{}',0,5,1,3,38,683,684,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',685,'admin_toolbar_tools.extra_links:entity.entity_form_display.node.defaultwhy_us','admin_toolbar_tools.extra_links:entity.node_type.edit_form.why_us','entity.entity_form_display.node.default','node_type=why_us','a:1:{s:9:\"node_type\";s:6:\"why_us\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,2,'a:0:{}',0,5,1,3,38,683,685,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',686,'admin_toolbar_tools.extra_links:entity.entity_view_display.node.default.why_us','admin_toolbar_tools.extra_links:entity.node_type.edit_form.why_us','entity.entity_view_display.node.default','node_type=why_us','a:1:{s:9:\"node_type\";s:6:\"why_us\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,5,1,3,38,683,686,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',688,'admin_toolbar_tools.extra_links:entity.node_type.delete_form.why_us','admin_toolbar_tools.extra_links:entity.node_type.edit_form.why_us','entity.node_type.delete_form','node_type=why_us','a:1:{s:9:\"node_type\";s:6:\"why_us\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,5,'a:0:{}',0,5,1,3,38,683,688,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',689,'admin_toolbar_tools.extra_links:node.type_add','entity.node_type.collection','node.type_add','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Add content type\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,-2,'a:0:{}',0,4,1,3,38,689,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',690,'admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.overview_form.tags','entity.taxonomy_vocabulary.collection','entity.taxonomy_vocabulary.overview_form','taxonomy_vocabulary=tags','a:1:{s:19:\"taxonomy_vocabulary\";s:4:\"tags\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:4:\"Tags\";}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',1,4,1,3,51,690,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',691,'admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.edit_form.tags','admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.overview_form.tags','entity.taxonomy_vocabulary.edit_form','taxonomy_vocabulary=tags','a:1:{s:19:\"taxonomy_vocabulary\";s:4:\"tags\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:4:\"Edit\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,5,1,3,51,690,691,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',692,'admin_toolbar_tools.extra_links:entity.taxonomy_term.field_ui_fieldstags','admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.overview_form.tags','entity.taxonomy_term.field_ui_fields','taxonomy_vocabulary=tags','a:1:{s:19:\"taxonomy_vocabulary\";s:4:\"tags\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,1,'a:0:{}',0,5,1,3,51,690,692,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',693,'admin_toolbar_tools.extra_links:entity.entity_form_display.taxonomy_term.defaulttags','admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.overview_form.tags','entity.entity_form_display.taxonomy_term.default','taxonomy_vocabulary=tags','a:1:{s:19:\"taxonomy_vocabulary\";s:4:\"tags\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,2,'a:0:{}',0,5,1,3,51,690,693,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',694,'admin_toolbar_tools.extra_links:entity.entity_view_display.taxonomy_term.default.tags','admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.overview_form.tags','entity.entity_view_display.taxonomy_term.default','taxonomy_vocabulary=tags','a:1:{s:19:\"taxonomy_vocabulary\";s:4:\"tags\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,5,1,3,51,690,694,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',696,'admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.delete_form.tags','admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.overview_form.tags','entity.taxonomy_vocabulary.delete_form','taxonomy_vocabulary=tags','a:1:{s:19:\"taxonomy_vocabulary\";s:4:\"tags\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,5,'a:0:{}',0,5,1,3,51,690,696,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',697,'admin_toolbar_tools.extra_links:entity.taxonomy_vocabulary.add_form','entity.taxonomy_vocabulary.collection','entity.taxonomy_vocabulary.add_form','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Add vocabulary\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,-5,'a:0:{}',0,4,1,3,51,697,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',698,'admin_toolbar_tools.extra_links:views_ui.add','entity.view.collection','views_ui.add','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Add view\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,-5,'a:0:{}',0,4,1,3,60,698,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',699,'admin_toolbar_tools.extra_links:update.theme_install','system.themes_page','update.theme_install','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:17:\"Install new theme\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,3,1,4,699,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',700,'admin_toolbar_tools.extra_links:update.theme_update','system.themes_page','update.theme_update','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Update\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,3,1,4,700,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',701,'admin_toolbar_tools.extra_links:system.theme_settings','system.themes_page','system.theme_settings','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Settings\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',1,3,1,4,701,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',702,'admin_toolbar_tools.extra_links:system.theme_settings_theme.bartik','admin_toolbar_tools.extra_links:system.theme_settings','system.theme_settings_theme','theme=bartik','a:1:{s:5:\"theme\";s:6:\"bartik\";}','','s:6:\"Bartik\";','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,4,701,702,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',703,'admin_toolbar_tools.extra_links:system.theme_settings_theme.seven','admin_toolbar_tools.extra_links:system.theme_settings','system.theme_settings_theme','theme=seven','a:1:{s:5:\"theme\";s:5:\"seven\";}','','s:5:\"Seven\";','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,4,701,703,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',704,'admin_toolbar_tools.extra_links:system.theme_settings_theme.luxestate','admin_toolbar_tools.extra_links:system.theme_settings','system.theme_settings_theme','theme=luxestate','a:1:{s:5:\"theme\";s:9:\"luxestate\";}','','s:9:\"Luxestate\";','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,4,701,704,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',705,'admin_toolbar_tools.extra_links:update.module_install','system.modules_list','update.module_install','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Install new module\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,3,1,5,705,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',706,'admin_toolbar_tools.extra_links:update.module_update','system.modules_list','update.module_update','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Update\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,3,1,5,706,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',707,'admin_toolbar_tools.extra_links:config.import','config.sync','config.import_full','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Import\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,1,'a:0:{}',0,5,1,6,12,41,707,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',708,'admin_toolbar_tools.extra_links:config.export','config.sync','config.export_full','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Export\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,2,'a:0:{}',0,5,1,6,12,41,708,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',709,'admin_toolbar_tools.extra_links:language.negotiation','entity.configurable_language.collection','language.negotiation','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:23:\"Detection and selection\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,5,1,6,16,293,709,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',710,'admin_toolbar_tools.extra_links:language.add','entity.configurable_language.collection','language.add','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:12:\"Add language\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,5,1,6,16,293,710,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',711,'admin_toolbar_tools.extra_links:entity.user.field_ui_fields_','entity.user.admin_form','entity.user.field_ui_fields','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,1,'a:0:{}',0,5,1,6,28,29,711,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',712,'admin_toolbar_tools.extra_links:entity.entity_form_display.user.default_','entity.user.admin_form','entity.entity_form_display.user.default','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,2,'a:0:{}',0,5,1,6,28,29,712,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',713,'admin_toolbar_tools.extra_links:entity.entity_view_display.user.default_','entity.user.admin_form','entity.entity_view_display.user.default','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,5,1,6,28,29,713,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',714,'admin_toolbar_tools.extra_links:views_ui.field_list','entity.field_storage_config.collection','views_ui.reports_fields','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Used in views\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,4,1,26,50,714,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',715,'admin_toolbar_tools.extra_links:user.admin_create','entity.user.collection','user.admin_create','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Add user\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,3,1,30,715,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',716,'admin_toolbar_tools.extra_links:user.admin_permissions','entity.user.collection','user.admin_permissions','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:11:\"Permissions\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,3,1,30,716,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',717,'admin_toolbar_tools.extra_links:entity.user_role.collection','entity.user.collection','entity.user_role.collection','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:5:\"Roles\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',1,3,1,30,717,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',718,'admin_toolbar_tools.extra_links:user.role_add','admin_toolbar_tools.extra_links:entity.user_role.collection','user.role_add','','a:0:{}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:8:\"Add role\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,-5,'a:0:{}',0,4,1,30,717,718,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',719,'admin_toolbar_tools.extra_links:entity.user_role.edit_form.anonymous','admin_toolbar_tools.extra_links:entity.user_role.collection','entity.user_role.edit_form','user_role=anonymous','a:1:{s:9:\"user_role\";s:9:\"anonymous\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:14:\"Anonymous user\";}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',1,4,1,30,717,719,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',720,'admin_toolbar_tools.extra_links:entity.user_role.edit_permissions_form.anonymous','admin_toolbar_tools.extra_links:entity.user_role.edit_form.anonymous','entity.user_role.edit_permissions_form','user_role=anonymous','a:1:{s:9:\"user_role\";s:9:\"anonymous\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Edit permissions\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,5,1,30,717,719,720,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',722,'admin_toolbar_tools.extra_links:entity.user_role.edit_form.authenticated','admin_toolbar_tools.extra_links:entity.user_role.collection','entity.user_role.edit_form','user_role=authenticated','a:1:{s:9:\"user_role\";s:13:\"authenticated\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:18:\"Authenticated user\";}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',1,4,1,30,717,722,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',723,'admin_toolbar_tools.extra_links:entity.user_role.edit_permissions_form.authenticated','admin_toolbar_tools.extra_links:entity.user_role.edit_form.authenticated','entity.user_role.edit_permissions_form','user_role=authenticated','a:1:{s:9:\"user_role\";s:13:\"authenticated\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Edit permissions\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,5,1,30,717,722,723,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',725,'admin_toolbar_tools.extra_links:entity.user_role.edit_form.administrator','admin_toolbar_tools.extra_links:entity.user_role.collection','entity.user_role.edit_form','user_role=administrator','a:1:{s:9:\"user_role\";s:13:\"administrator\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:13:\"Administrator\";}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',1,4,1,30,717,725,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',726,'admin_toolbar_tools.extra_links:entity.user_role.edit_permissions_form.administrator','admin_toolbar_tools.extra_links:entity.user_role.edit_form.administrator','entity.user_role.edit_permissions_form','user_role=administrator','a:1:{s:9:\"user_role\";s:13:\"administrator\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:16:\"Edit permissions\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,5,1,30,717,725,726,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',727,'admin_toolbar_tools.extra_links:entity.user_role.delete_form.administrator','admin_toolbar_tools.extra_links:entity.user_role.edit_form.administrator','entity.user_role.delete_form','user_role=administrator','a:1:{s:9:\"user_role\";s:13:\"administrator\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',0,5,1,30,717,725,727,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',729,'admin_toolbar_tools.extra_links:entity.block_content_type.edit_form.basic','','entity.block_content_type.edit_form','block_content_type=basic','a:1:{s:18:\"block_content_type\";s:5:\"basic\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"@label\";s:12:\"\0*\0arguments\";a:1:{s:6:\"@label\";s:11:\"Basic block\";}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,0,'a:0:{}',1,1,729,0,0,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',730,'admin_toolbar_tools.extra_links:entity.block_content.field_ui_fieldsbasic','admin_toolbar_tools.extra_links:entity.block_content_type.edit_form.basic','entity.block_content.field_ui_fields','block_content_type=basic','a:1:{s:18:\"block_content_type\";s:5:\"basic\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:13:\"Manage fields\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,1,'a:0:{}',0,2,729,730,0,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',731,'admin_toolbar_tools.extra_links:entity.entity_form_display.block_content.defaultbasic','admin_toolbar_tools.extra_links:entity.block_content_type.edit_form.basic','entity.entity_form_display.block_content.default','block_content_type=basic','a:1:{s:18:\"block_content_type\";s:5:\"basic\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:19:\"Manage form display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,2,'a:0:{}',0,2,729,731,0,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',732,'admin_toolbar_tools.extra_links:entity.entity_view_display.block_content.default.basic','admin_toolbar_tools.extra_links:entity.block_content_type.edit_form.basic','entity.entity_view_display.block_content.default','block_content_type=basic','a:1:{s:18:\"block_content_type\";s:5:\"basic\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Manage display\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,3,'a:0:{}',0,2,729,732,0,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm'),('admin',734,'admin_toolbar_tools.extra_links:entity.block_content_type.delete_form.basic','admin_toolbar_tools.extra_links:entity.block_content_type.edit_form.basic','entity.block_content_type.delete_form','block_content_type=basic','a:1:{s:18:\"block_content_type\";s:5:\"basic\";}','','O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:6:\"Delete\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}','s:0:\"\";','Drupal\\Core\\Menu\\MenuLinkDefault','a:0:{}','admin_toolbar_tools',1,1,0,5,'a:0:{}',0,2,729,734,0,0,0,0,0,0,0,'Drupal\\Core\\Menu\\Form\\MenuLinkDefaultForm');
/*!40000 ALTER TABLE `menu_tree` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node`
--

DROP TABLE IF EXISTS `node`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node` (
  `nid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `vid` int(10) unsigned DEFAULT NULL,
  `type` varchar(32) CHARACTER SET ascii NOT NULL COMMENT 'The ID of the target entity.',
  `uuid` varchar(128) CHARACTER SET ascii NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  PRIMARY KEY (`nid`),
  UNIQUE KEY `node_field__uuid__value` (`uuid`),
  UNIQUE KEY `node__vid` (`vid`),
  KEY `node_field__type__target_id` (`type`)
) ENGINE=InnoDB AUTO_INCREMENT=46 DEFAULT CHARSET=utf8mb4 COMMENT='The base table for node entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node`
--

LOCK TABLES `node` WRITE;
/*!40000 ALTER TABLE `node` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node` VALUES (1,1,'page','1c25f4ab-76b2-42f9-b608-c5cc4b67e1c4','en'),(2,2,'page','df46de8f-7a42-49cd-a685-32ed2a3d5412','en'),(3,3,'page','e96c90c5-6749-443a-8689-cd04d0926066','en'),(4,4,'article','46f5865c-0eeb-4389-80a2-bb67d8272a6f','en'),(5,5,'partners','4ab3d2e7-1f25-4fba-a17d-7cb5a5b6f206','en'),(7,7,'partners','89144ba3-6ee2-418d-9691-f017e0893a02','en'),(9,9,'partners','6b27066c-8b14-40a3-abba-57d243671525','en'),(10,10,'partners','e4fed93a-0721-44b4-a98b-6bba0329e8b1','en'),(11,11,'blog','02bcd9d1-06a0-4de0-b1b6-8321c67e9483','en'),(12,12,'blog','0814f1c0-14e9-4142-93fe-2bbb5d61ccd5','en'),(13,13,'banner','cbc77751-d396-4e4a-9fee-f37d8ea26f59','en'),(14,14,'banner','3a1747d4-327d-4fe2-8943-0a97552fdfd9','en'),(15,15,'blog','5b3aa798-75f4-4e0f-a4e5-31beb0c56c5c','en'),(16,16,'blog','1ecc7936-5c8e-4b26-84c3-9730d3f9fd74','en'),(17,17,'banner','a050aa58-e91b-4f7b-b191-d439b68fa63e','en'),(18,18,'portfolio','8cdc45cf-f7f1-4b4e-9dda-96940d01c6da','en'),(19,19,'portfolio','77b82fff-b4eb-453a-8364-bd392e1ba331','en'),(20,20,'portfolio','c056ffb9-16d9-4fc1-be79-72053798e73e','en'),(21,21,'banner','13fda782-cf0d-4f6a-9219-a23eab9b5f24','en'),(22,22,'our_mission','8eea1d28-b2fd-47be-a315-007c43d93630','en'),(23,23,'our_mission','f7b3650d-552b-4164-b66b-f02ec8a38a84','en'),(24,24,'our_mission','4ff1e3ee-14c6-4154-97f5-88924cea5b1f','en'),(25,25,'why_us','19d9cc3b-b8e9-49d1-9d3c-048ed7574a46','en'),(26,26,'why_us','36715d4c-cb6c-4877-b22c-3ec4c5e95007','en'),(27,27,'why_us','c134269a-2c80-4f98-b0af-aec8d4e2d04e','en'),(28,28,'why_us','fe454db4-2be3-44f6-b536-c5b308bbc793','en'),(29,29,'why_us','c111129c-9f55-4e49-8624-a1b4a5f04609','en'),(30,30,'article','7db6d740-2e82-43c7-9951-c2366ce1b2d8','en'),(31,31,'our_services','abbab53a-105d-406c-92c0-11d82c122c99','en'),(32,32,'our_services','b36db863-1f44-4261-8b57-5336af6ad9c7','en'),(33,33,'our_services','7d465998-c369-439d-8f22-6d406f429152','en'),(34,34,'our_services','dab084d8-7589-4676-aeb6-7dfda8359d1e','en'),(35,35,'our_services','cc52c226-41f6-459f-9f4c-af50489357af','en'),(36,36,'our_services','48ba6b3e-2380-4b18-92db-ef942b77bb2e','en'),(37,37,'why_us','96fe9cd1-b268-40da-91b6-189c0029dbc5','en'),(38,38,'why_us','584f2ae5-1735-46f0-8e80-cf7bf5b6a01d','en'),(39,39,'why_us','3a18b2fd-137e-44b4-b7dd-1851c85b8fa2','en'),(40,40,'why_us','d2d4cca4-6bd3-4345-9e2d-658ed6df79ed','en'),(41,41,'banner','32bdcba4-b7cd-4fb2-bf63-40d432faa6b3','en'),(42,42,'banner','104b83fa-585e-4324-8262-93b4be0c88c0','en'),(43,43,'partners','e4413f42-4688-4dd7-aa82-5eaf3ed527b6','en'),(44,44,'partners','7b12c9a3-a942-4bc7-b5ad-9acb28a0d82f','en'),(45,45,'banner','1cedf98f-5415-4450-8bc0-2e33071594bf','en');
/*!40000 ALTER TABLE `node` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node__body`
--

DROP TABLE IF EXISTS `node__body`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node__body` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `body_value` longtext NOT NULL,
  `body_summary` longtext DEFAULT NULL,
  `body_format` varchar(255) CHARACTER SET ascii DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `body_format` (`body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for node field body.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node__body`
--

LOCK TABLES `node__body` WRITE;
/*!40000 ALTER TABLE `node__body` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node__body` VALUES ('page',0,1,1,'en',0,'<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n','','basic_html'),('page',0,2,2,'en',0,'<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum</p>\r\n','','basic_html'),('page',0,3,3,'en',0,'<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n','','basic_html'),('article',0,4,4,'ar',0,'<h1>What is Lorem Ipsum?</h1>\r\n\r\n<p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry\'s standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.</p>\r\n\r\n<h1>Where can I get some?</h1>\r\n\r\n<p>There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which don\'t look even slightly believable. If you are going to use a passage of Lorem Ipsum, you need to be sure there isn\'t anything embarrassing hidden in the middle of text. All the Lorem Ipsum generators on the Internet tend to repeat predefined chunks as necessary, making this the first true generator on the Internet. It uses a dictionary of over 200 Latin words, combined with a handful of model sentence structures, to generate Lorem Ipsum which looks reasonable. The generated Lorem Ipsum is therefore always free from repetition, injected humour, or non-characteristic words etc.</p>\r\n\r\n<h1>Where does it come from?</h1>\r\n\r\n<p>Contrary to popular belief, Lorem Ipsum is not simply random text. It has roots in a piece of classical Latin literature from 45 BC, making it over 2000 years old.</p>\r\n','','full_html'),('article',0,4,4,'en',0,'<h1>What is Lorem Ipsum?</h1>\r\n\r\n<p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry\'s standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.</p>\r\n\r\n<h1>Where can I get some?</h1>\r\n\r\n<p>There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which don\'t look even slightly believable. If you are going to use a passage of Lorem Ipsum, you need to be sure there isn\'t anything embarrassing hidden in the middle of text. All the Lorem Ipsum generators on the Internet tend to repeat predefined chunks as necessary, making this the first true generator on the Internet. It uses a dictionary of over 200 Latin words, combined with a handful of model sentence structures, to generate Lorem Ipsum which looks reasonable. The generated Lorem Ipsum is therefore always free from repetition, injected humour, or non-characteristic words etc.</p>\r\n\r\n<h1>Where does it come from?</h1>\r\n\r\n<p>Contrary to popular belief, Lorem Ipsum is not simply random text. It has roots in a piece of classical Latin literature from 45 BC, making it over 2000 years old.</p>\r\n','','full_html'),('partners',0,5,5,'en',0,'<p>Welcome to a new generation of Drupal. It’s a digital experience platform that knows your web content must reach more than just websites. Built so you can deliver the right content to the right person at the right time - on the right device.</p>\r\n','','basic_html'),('partners',0,7,7,'en',0,'<p>Bootstrap is the most popular HTML, CSS, and JS framework for developing responsive, mobile first projects on the web.</p>\r\n','','basic_html'),('partners',0,10,10,'en',0,'<p>jQuery is a fast, small, and feature-rich JavaScript library. It makes things like HTML document traversal and manipulation, event handling, animation, and Ajax much simpler with an easy-to-use API that works across a multitude of browsers. With a combination of versatility and extensibility, jQuery has changed the way that millions of people write JavaScript.</p>\r\n','','basic_html'),('blog',0,11,11,'ar',0,'<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet.</p>\r\n<img alt=\"Warehouse Sale in Emeryville\" data-align=\"center\" data-entity-type=\"file\" data-entity-uuid=\"19184840-d49d-48ef-aeaa-aef9bee1e09c\" src=\"/sites/default/files/inline-images/blog-dt-01.jpg\" />\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur.</p>\r\n\r\n<p>Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n','Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.','full_html'),('blog',0,11,11,'en',0,'<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet.</p>\r\n<img alt=\"Warehouse Sale in Emeryville\" data-align=\"center\" data-entity-type=\"file\" data-entity-uuid=\"19184840-d49d-48ef-aeaa-aef9bee1e09c\" src=\"/sites/default/files/inline-images/blog-dt-01.jpg\" />\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n','Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.','full_html'),('blog',0,12,12,'ar',0,'<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n','Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.','full_html'),('blog',0,12,12,'en',0,'<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n','Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.','full_html'),('banner',0,13,13,'en',0,'<p>“It is a long established fact that a reader will be distracted by the readable content of a page when looking”</p>\r\n','','full_html'),('banner',0,14,14,'en',0,'<p>“It is a long established fact that a reader will be distracted by the readable content of a page when looking”</p>\r\n','','full_html'),('blog',0,15,15,'ar',0,'<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n','Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.','full_html'),('blog',0,15,15,'en',0,'<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n','Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.','full_html'),('blog',0,16,16,'ar',0,'<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n','Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.','full_html'),('blog',0,16,16,'en',0,'<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n','Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.','full_html'),('banner',0,17,17,'en',0,'<p>It is a long established fact that a reader will be distracted by the readable content of a page when looking</p>\r\n','','full_html'),('banner',0,21,21,'en',0,'<p>“It is a long established fact that a reader will be distracted by the readable content of a page when looking”</p>\r\n','','full_html'),('our_mission',0,22,22,'en',0,'<p>Contrary to popular belief, Lorem Ipsum is not simply random text. It has roots in a piece of classical Latin literature from 45 BC, making it over 2000 years old.</p>\r\n','','full_html'),('our_mission',0,23,23,'en',0,'<p>Contrary to popular belief, Lorem Ipsum is not simply random text. It has roots in a piece of classical Latin literature from 45 BC, making it over 2000 years old.</p>\r\n','','full_html'),('our_mission',0,24,24,'en',0,'<p>Contrary to popular belief, Lorem Ipsum is not simply random text. It has roots in a piece of classical Latin literature from 45 BC, making it over 2000 years old.</p>\r\n','','full_html'),('why_us',0,25,25,'en',0,'<p>It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout. The point of using Lorem Ipsum is that it has a more-or-less normal distribution of letters, as opposed to using \'Content here, content here\', making it look like readable English. Many desktop publishing packages and web page editors now use Lorem Ipsum as their default model text, and a search for \'lorem ipsum\' will uncover many web sites still in their infancy.</p>\r\n','','full_html'),('why_us',0,26,26,'en',0,'<p>It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout. The point of using Lorem Ipsum is that it has a more-or-less normal distribution of letters, as opposed to using \'Content here, content here\', making it look like readable English. Many desktop publishing packages and web page editors now use Lorem Ipsum as their default model text, and a search for \'lorem ipsum\' will uncover many web sites still in their infancy.</p>\r\n','','full_html'),('why_us',0,27,27,'en',0,'<p>It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout. The point of using Lorem Ipsum is that it has a more-or-less normal distribution of letters, as opposed to using \'Content here, content here\', making it look like readable English. Many desktop publishing packages and web page editors now use Lorem Ipsum as their default model text, and a search for \'lorem ipsum\' will uncover many web sites still in their infancy.</p>\r\n','','full_html'),('why_us',0,28,28,'en',0,'<p>It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout. The point of using Lorem Ipsum is that it has a more-or-less normal distribution of letters, as opposed to using \'Content here, content here\', making it look like readable English. Many desktop publishing packages and web page editors now use Lorem Ipsum as their default model text, and a search for \'lorem ipsum\' will uncover many web sites still in their infancy.</p>\r\n','','full_html'),('why_us',0,29,29,'en',0,'<p>It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout. The point of using Lorem Ipsum is that it has a more-or-less normal distribution of letters, as opposed to using \'Content here, content here\', making it look like readable English. Many desktop publishing packages and web page editors now use Lorem Ipsum as their default model text, and a search for \'lorem ipsum\' will uncover many web sites still in their infancy.</p>\r\n','','full_html'),('article',0,30,30,'ar',0,'<p><strong>WHY DRUPAL?</strong></p>\r\n\r\n<p>Drupal is well-known for its flexibility, extend ability, and security. Whenever you think about customizing, having some specific functions, or doing any innovative things with your website, Drupal is the first and foremost CMS that enters our mind.</p>\r\n\r\n<p><strong>OUR DRUPAL DEVELOPMENT SERVICES INCLUDE:</strong></p>\r\n\r\n<ul>\r\n	<li><strong>Drupal Website Development</strong></li>\r\n</ul>\r\n\r\n<p class=\"services-info\">Have a website to build? We can help create a full function website starting from an idea. Based on our project management process, we\'ll analyze and discuss with you to bring the best solution. This is followed by designing, developing, testing, and deploying your Drupal site.</p>\r\n\r\n<ul>\r\n	<li><strong>Drupal CMS Customization</strong></li>\r\n</ul>\r\n\r\n<p class=\"services-info\">We are happy to do any changes to your existing features, or extending your CMS’ functionality to a higher level that suits your purpose.</p>\r\n\r\n<ul>\r\n	<li><strong>Drupal Theming (Design Development)</strong></li>\r\n</ul>\r\n\r\n<p class=\"services-info\">Drupal Theming has been our strength. We have years of in-depth experience with theme design development. If you need a brand-new template that embraces the attractiv design feel and integrates up-to-date technologies, leave it for our team of experienced designers, front-ends, and back-ends</p>\r\n\r\n<ul>\r\n	<li><strong>Drupal Module Development</strong></li>\r\n</ul>\r\n\r\n<p class=\"services-info\">We help you develop or customize an existing module that fits your website\'s direction..</p>\r\n\r\n<ul>\r\n	<li><strong>Drupal SEO assistance</strong></li>\r\n</ul>\r\n\r\n<p class=\"services-info\">Having a website SEO friendly to be able to get to the top of search engines is the goal of most website administrators. We help get your website well optimized, and fix SEO issues that affects your website ranking.</p>\r\n\r\n<ul>\r\n	<li><strong>Drupal Maintenance Support</strong></li>\r\n</ul>\r\n\r\n<p class=\"services-info\">Maintenance should never been neglected. We help you with this job, checking all the important matters to make sure you Drupal projects up to best status.</p>\r\n\r\n<ul>\r\n	<li><strong>Drupal Migration Upgrades</strong></li>\r\n</ul>\r\n\r\n<p class=\"services-info\">We have experience upgrading your Drupal to the newer version, or move from another CMS to Drupal</p>\r\n\r\n<p><strong>WHAT DRUPAL WEBSITES WE CAN DO:</strong></p>\r\n\r\n<ul class=\"menu-services-info\">\r\n	<li>Corporate Websites or Blogs</li>\r\n	<li>Ecommerce Websites</li>\r\n	<li>Social Networking sites</li>\r\n	<li>Multi-media Audio Video Portals</li>\r\n	<li>Magazine News site</li>\r\n	<li>Personal Blog Websites</li>\r\n</ul>\r\n','','full_html'),('article',0,30,30,'en',0,'<p><strong>WHY DRUPAL?</strong></p>\r\n\r\n<p>Drupal is well-known for its flexibility, extend ability, and security. Whenever you think about customizing, having some specific functions, or doing any innovative things with your website, Drupal is the first and foremost CMS that enters our mind.</p>\r\n\r\n<p><strong>OUR DRUPAL DEVELOPMENT SERVICES INCLUDE:</strong></p>\r\n\r\n<ul>\r\n	<li><strong>Drupal Website Development</strong></li>\r\n</ul>\r\n\r\n<p class=\"services-info\">Have a website to build? We can help create a full function website starting from an idea. Based on our project management process, we\'ll analyze and discuss with you to bring the best solution. This is followed by designing, developing, testing, and deploying your Drupal site.</p>\r\n\r\n<ul>\r\n	<li><strong>Drupal CMS Customization</strong></li>\r\n</ul>\r\n\r\n<p class=\"services-info\">We are happy to do any changes to your existing features, or extending your CMS’ functionality to a higher level that suits your purpose.</p>\r\n\r\n<ul>\r\n	<li><strong>Drupal Theming (Design Development)</strong></li>\r\n</ul>\r\n\r\n<p class=\"services-info\">Drupal Theming has been our strength. We have years of in-depth experience with theme design development. If you need a brand-new template that embraces the attractiv design feel and integrates up-to-date technologies, leave it for our team of experienced designers, front-ends, and back-ends</p>\r\n\r\n<ul>\r\n	<li><strong>Drupal Module Development</strong></li>\r\n</ul>\r\n\r\n<p class=\"services-info\">We help you develop or customize an existing module that fits your website\'s direction..</p>\r\n\r\n<ul>\r\n	<li><strong>Drupal SEO assistance</strong></li>\r\n</ul>\r\n\r\n<p class=\"services-info\">Having a website SEO friendly to be able to get to the top of search engines is the goal of most website administrators. We help get your website well optimized, and fix SEO issues that affects your website ranking.</p>\r\n\r\n<ul>\r\n	<li><strong>Drupal Maintenance Support</strong></li>\r\n</ul>\r\n\r\n<p class=\"services-info\">Maintenance should never been neglected. We help you with this job, checking all the important matters to make sure you Drupal projects up to best status.</p>\r\n\r\n<ul>\r\n	<li><strong>Drupal Migration Upgrades</strong></li>\r\n</ul>\r\n\r\n<p class=\"services-info\">We have experience upgrading your Drupal to the newer version, or move from another CMS to Drupal</p>\r\n\r\n<p class=\"services-info-inner\"><strong>WHAT DRUPAL WEBSITES WE CAN DO:</strong></p>\r\n\r\n<ul class=\"menu-services-info\">\r\n	<li>Corporate Websites or Blogs</li>\r\n	<li>Ecommerce Websites</li>\r\n	<li>Social Networking sites</li>\r\n	<li>Multi-media Audio Video Portals</li>\r\n	<li>Magazine News site</li>\r\n	<li>Personal Blog Websites</li>\r\n</ul>\r\n','','full_html'),('our_services',0,31,31,'en',0,'<p>Stet clita kasd gubergren</p>\r\n','','full_html'),('our_services',0,32,32,'en',0,'<p>Lorem ipsum dolor sit</p>\r\n','','full_html'),('our_services',0,33,33,'en',0,'<p>Aliquam erat</p>\r\n','','full_html'),('our_services',0,34,34,'en',0,'<p>Design And Build</p>\r\n','','full_html'),('our_services',0,35,35,'en',0,'<p>Special Projects</p>\r\n','','full_html'),('our_services',0,36,36,'en',0,'<p>General Contracting</p>\r\n','','full_html'),('why_us',0,37,37,'en',0,'<p>It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout. The point of using Lorem Ipsum is that it has a more-or-less normal distribution of letters, as opposed to using \'Content here, content here\', making it look like readable English. Many desktop publishing packages and web page editors now use Lorem Ipsum as their default model text, and a search for \'lorem ipsum\' will uncover many web sites still in their infancy.</p>\r\n','','full_html'),('why_us',0,38,38,'en',0,'<p>It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout. The point of using Lorem Ipsum is that it has a more-or-less normal distribution of letters, as opposed to using \'Content here, content here\', making it look like readable English. Many desktop publishing packages and web page editors now use Lorem Ipsum as their default model text, and a search for \'lorem ipsum\' will uncover many web sites still in their infancy. Various versions have evolved over the years, sometimes by accident, sometimes on purpose.</p>\r\n\r\n<p>There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which don\'t look even slightly believable.</p>\r\n','','full_html'),('why_us',0,39,39,'en',0,'<p>It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout. The point of using Lorem Ipsum is that it has a more-or-less normal distribution of letters, as opposed to using \'Content here, content here\', making it look like readable English. Many desktop publishing packages and web page editors now use Lorem Ipsum as their default model text, and a search for \'lorem ipsum\' will uncover many web sites still in their infancy. Various versions have evolved over the years, sometimes by accident, sometimes on purpose.</p>\r\n\r\n<p>There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which don\'t look even slightly believable.</p>\r\n','','full_html'),('why_us',0,40,40,'en',0,'<p>It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout. The point of using Lorem Ipsum is that it has a more-or-less normal distribution of letters, as opposed to using \'Content here, content here\', making it look like readable English. Many desktop publishing packages and web page editors now use Lorem Ipsum as their default model text, and a search for \'lorem ipsum\' will uncover many web sites still in their infancy. Various versions have evolved over the years, sometimes by accident, sometimes on purpose.</p>\r\n\r\n<p>There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which don\'t look even slightly believable.</p>\r\n','','full_html'),('banner',0,41,41,'en',0,'<p>“It is a long established fact that a reader will be distracted by the readable content of a page when looking”</p>\r\n','','full_html'),('banner',0,42,42,'en',0,'<p>“It is a long established fact that a reader will be distracted by the readable content of a page when looking”</p>\r\n','','full_html'),('partners',0,43,43,'en',0,'<p><strong>WeebPal</strong>&nbsp;is an experienced passionate team of developers, designers, QCs, writers, and artists.&nbsp;<br />\r\nWe deliver premium Drupal themes, build user-friendly websites that get traffic, convert, and build brand.</p>\r\n','','basic_html'),('partners',0,44,44,'en',0,'<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error.</p>\r\n','','basic_html'),('banner',0,45,45,'en',0,'<p>“It is a long established fact that a reader will be distracted by the readable content of a page when looking”</p>\r\n','','full_html');
/*!40000 ALTER TABLE `node__body` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node__comment`
--

DROP TABLE IF EXISTS `node__comment`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node__comment` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `comment_status` int(11) NOT NULL DEFAULT 0 COMMENT 'Whether comments are allowed on this entity: 0 = no, 1 = closed (read only), 2 = open (read/write).',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for node field comment.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node__comment`
--

LOCK TABLES `node__comment` WRITE;
/*!40000 ALTER TABLE `node__comment` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node__comment` VALUES ('article',0,4,4,'ar',0,1),('article',0,4,4,'en',0,1),('blog',0,11,11,'ar',0,2),('blog',0,11,11,'en',0,2),('blog',0,12,12,'ar',0,2),('blog',0,12,12,'en',0,2),('blog',0,15,15,'ar',0,2),('blog',0,15,15,'en',0,2),('blog',0,16,16,'ar',0,2),('blog',0,16,16,'en',0,2),('article',0,30,30,'ar',0,2),('article',0,30,30,'en',0,2);
/*!40000 ALTER TABLE `node__comment` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node__field_banner`
--

DROP TABLE IF EXISTS `node__field_banner`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node__field_banner` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_banner_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_banner_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_banner_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_banner_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_banner_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_banner_target_id` (`field_banner_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for node field field_banner.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node__field_banner`
--

LOCK TABLES `node__field_banner` WRITE;
/*!40000 ALTER TABLE `node__field_banner` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node__field_banner` VALUES ('article',0,4,4,'ar',0,36,'','',1920,685),('article',0,4,4,'en',0,36,'','',1920,685);
/*!40000 ALTER TABLE `node__field_banner` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node__field_banner_title`
--

DROP TABLE IF EXISTS `node__field_banner_title`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node__field_banner_title` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_banner_title_value` longtext NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for node field field_banner_title.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node__field_banner_title`
--

LOCK TABLES `node__field_banner_title` WRITE;
/*!40000 ALTER TABLE `node__field_banner_title` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node__field_banner_title` VALUES ('banner',0,13,13,'en',0,'Blog'),('banner',0,14,14,'en',0,'Portfolio'),('banner',0,17,17,'en',0,'Blog'),('banner',0,21,21,'en',0,'About us'),('banner',0,41,41,'en',0,'Services'),('banner',0,42,42,'en',0,'Contact'),('banner',0,45,45,'en',0,'Userlogin');
/*!40000 ALTER TABLE `node__field_banner_title` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node__field_gallery`
--

DROP TABLE IF EXISTS `node__field_gallery`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node__field_gallery` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_gallery_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_gallery_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_gallery_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_gallery_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_gallery_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_gallery_target_id` (`field_gallery_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for node field field_gallery.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node__field_gallery`
--

LOCK TABLES `node__field_gallery` WRITE;
/*!40000 ALTER TABLE `node__field_gallery` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node__field_gallery` VALUES ('portfolio',0,18,18,'en',0,70,'Excepteur sint occaecat','Excepteur sint occaecat',1100,1100),('portfolio',0,18,18,'en',1,71,'Excepteur sint occaecat','Excepteur sint occaecat',1100,1100),('portfolio',0,18,18,'en',2,72,'Excepteur sint occaecat','Excepteur sint occaecat',1100,1100),('portfolio',0,18,18,'en',3,73,'Excepteur sint occaecat','Excepteur sint occaecat',1100,1100),('portfolio',0,18,18,'en',4,74,'Excepteur sint occaecat','Excepteur sint occaecat',1100,1100),('portfolio',0,18,18,'en',5,75,'Excepteur sint occaecat','Excepteur sint occaecat',1100,1100),('portfolio',0,18,18,'en',6,76,'Excepteur sint occaecat','Excepteur sint occaecat',1100,1100),('portfolio',0,18,18,'en',7,77,'Excepteur sint occaecat','Excepteur sint occaecat',1100,1100),('portfolio',0,18,18,'en',8,78,'Excepteur sint occaecat','Excepteur sint occaecat',1100,1100),('portfolio',0,18,18,'en',9,79,'Excepteur sint occaecat','Excepteur sint occaecat',1100,1100),('portfolio',0,19,19,'en',0,80,'Lorem ipsum dolor sit amet','Lorem ipsum dolor sit amet',1100,1100),('portfolio',0,19,19,'en',1,81,'Lorem ipsum dolor sit amet','Lorem ipsum dolor sit amet',1100,1100),('portfolio',0,19,19,'en',2,82,'Lorem ipsum dolor sit amet','Lorem ipsum dolor sit amet',1100,1100),('portfolio',0,19,19,'en',3,83,'Lorem ipsum dolor sit amet','Lorem ipsum dolor sit amet',1100,1100),('portfolio',0,19,19,'en',4,84,'Lorem ipsum dolor sit amet','Lorem ipsum dolor sit amet',1100,1100),('portfolio',0,19,19,'en',5,85,'Lorem ipsum dolor sit amet','Lorem ipsum dolor sit amet',1100,1100),('portfolio',0,19,19,'en',6,86,'Lorem ipsum dolor sit amet','Lorem ipsum dolor sit amet',1100,1100),('portfolio',0,19,19,'en',7,87,'Lorem ipsum dolor sit amet','Lorem ipsum dolor sit amet',1100,1100),('portfolio',0,19,19,'en',8,88,'Lorem ipsum dolor sit amet','Lorem ipsum dolor sit amet',1100,1100),('portfolio',0,20,20,'en',0,94,'Ut enim ad minim veniam','Ut enim ad minim veniam',1100,1100),('portfolio',0,20,20,'en',1,95,'Ut enim ad minim veniam','Ut enim ad minim veniam',1100,1100),('portfolio',0,20,20,'en',2,96,'Ut enim ad minim veniam','Ut enim ad minim veniam',1100,1100),('portfolio',0,20,20,'en',3,97,'Ut enim ad minim veniam','Ut enim ad minim veniam',1100,1100),('portfolio',0,20,20,'en',4,98,'Ut enim ad minim veniam','Ut enim ad minim veniam',1100,1100),('portfolio',0,20,20,'en',5,99,'Ut enim ad minim veniam','Ut enim ad minim veniam',1100,1100);
/*!40000 ALTER TABLE `node__field_gallery` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node__field_icon_class`
--

DROP TABLE IF EXISTS `node__field_icon_class`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node__field_icon_class` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_icon_class_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for node field field_icon_class.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node__field_icon_class`
--

LOCK TABLES `node__field_icon_class` WRITE;
/*!40000 ALTER TABLE `node__field_icon_class` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node__field_icon_class` VALUES ('page',0,1,1,'en',0,'design-2_canvas'),('page',0,2,2,'en',0,'design_note-code'),('page',0,3,3,'en',0,'design_responsive');
/*!40000 ALTER TABLE `node__field_icon_class` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node__field_image`
--

DROP TABLE IF EXISTS `node__field_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node__field_image` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_image_target_id` (`field_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for node field field_image.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node__field_image`
--

LOCK TABLES `node__field_image` WRITE;
/*!40000 ALTER TABLE `node__field_image` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node__field_image` VALUES ('article',0,4,4,'ar',0,68,'Welcome to Luxestate','',480,858),('article',0,4,4,'en',0,68,'Welcome to Luxestate','',480,858),('blog',0,11,11,'ar',0,112,'Warehouse Sale in Emeryville','Warehouse Sale in Emeryville',1170,700),('blog',0,11,11,'en',0,112,'Warehouse Sale in Emeryville','Warehouse Sale in Emeryville',1170,700),('blog',0,12,12,'ar',0,115,'Dare to bare','Dare to bare',1170,700),('blog',0,12,12,'en',0,115,'Dare to bare','Dare to bare',1170,700),('banner',0,13,13,'en',0,121,'Blog details','Blog details',1920,830),('banner',0,14,14,'en',0,120,'Portfolio','Portfolio',1920,830),('blog',0,15,15,'ar',0,114,'Off the wall','Off the wall',1170,700),('blog',0,15,15,'en',0,114,'Off the wall','Off the wall',1170,700),('blog',0,16,16,'ar',0,111,'Seeing the light','Seeing the light',1170,700),('blog',0,16,16,'en',0,111,'Seeing the light','Seeing the light',1170,700),('banner',0,17,17,'en',0,119,'Blog page','Blog page',1920,830),('banner',0,21,21,'en',0,116,'About us','About us',1920,830),('our_mission',0,22,22,'en',0,33,'','',740,500),('our_mission',0,23,23,'en',0,34,'','',740,500),('our_mission',0,24,24,'en',0,35,'','',740,500),('banner',0,41,41,'en',0,118,'Services','Services',1920,830),('banner',0,42,42,'en',0,117,'Contact us','Contact us',1920,830),('banner',0,45,45,'en',0,124,'','',1920,830);
/*!40000 ALTER TABLE `node__field_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node__field_link`
--

DROP TABLE IF EXISTS `node__field_link`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node__field_link` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_link_uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `field_link_title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `field_link_options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_link_uri` (`field_link_uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for node field field_link.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node__field_link`
--

LOCK TABLES `node__field_link` WRITE;
/*!40000 ALTER TABLE `node__field_link` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node__field_link` VALUES ('partners',0,5,5,'en',0,'https://www.drupal.com/','Drupal','a:0:{}'),('partners',0,7,7,'en',0,'http://getbootstrap.com/','Bootstrap','a:0:{}'),('partners',0,9,9,'en',0,'https://www.youtube.com/','Youtube','a:0:{}'),('partners',0,10,10,'en',0,'https://jquery.com/','jQuery','a:0:{}'),('partners',0,43,43,'en',0,'http://weebpal.com/','Weebpal','a:0:{}'),('partners',0,44,44,'en',0,'http://demo.weebpal.com/drupal8/business/','Business','a:0:{}');
/*!40000 ALTER TABLE `node__field_link` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node__field_partners`
--

DROP TABLE IF EXISTS `node__field_partners`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node__field_partners` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_partners_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_partners_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_partners_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_partners_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_partners_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_partners_target_id` (`field_partners_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for node field field_partners.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node__field_partners`
--

LOCK TABLES `node__field_partners` WRITE;
/*!40000 ALTER TABLE `node__field_partners` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node__field_partners` VALUES ('partners',0,5,5,'en',0,2,'Drupal','Drupal',380,224),('partners',0,7,7,'en',0,4,'Bootstrap','Bootstrap',380,224),('partners',0,9,9,'en',0,5,'Youtube','Youtube',380,224),('partners',0,10,10,'en',0,6,'jQuery','jQuery',380,224),('partners',0,43,43,'en',0,105,'Weebpal','Weebpal',380,224),('partners',0,44,44,'en',0,109,'Business','Business',380,224);
/*!40000 ALTER TABLE `node__field_partners` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node__field_percent`
--

DROP TABLE IF EXISTS `node__field_percent`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node__field_percent` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_percent_value` float NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for node field field_percent.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node__field_percent`
--

LOCK TABLES `node__field_percent` WRITE;
/*!40000 ALTER TABLE `node__field_percent` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node__field_percent` VALUES ('our_services',0,31,31,'en',0,80),('our_services',0,32,32,'en',0,90),('our_services',0,33,33,'en',0,70),('our_services',0,34,34,'en',0,60),('our_services',0,35,35,'en',0,100),('our_services',0,36,36,'en',0,75);
/*!40000 ALTER TABLE `node__field_percent` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node__field_slideshow`
--

DROP TABLE IF EXISTS `node__field_slideshow`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node__field_slideshow` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_slideshow_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_slideshow_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_slideshow_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_slideshow_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_slideshow_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_slideshow_target_id` (`field_slideshow_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for node field field_slideshow.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node__field_slideshow`
--

LOCK TABLES `node__field_slideshow` WRITE;
/*!40000 ALTER TABLE `node__field_slideshow` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node__field_slideshow` VALUES ('blog',0,12,12,'ar',0,131,'Dare to bare','Dare to bare',4000,2667),('blog',0,12,12,'en',0,131,'Dare to bare','Dare to bare',4000,2667),('blog',0,15,15,'ar',0,130,'Off the wall','Off the wall',5511,3674),('blog',0,15,15,'en',0,130,'Off the wall','Off the wall',5511,3674),('blog',0,16,16,'ar',0,129,'Seeing the light','Seeing the light',5511,3674),('blog',0,16,16,'en',0,129,'Seeing the light','Seeing the light',5511,3674);
/*!40000 ALTER TABLE `node__field_slideshow` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node__field_su`
--

DROP TABLE IF EXISTS `node__field_su`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node__field_su` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_su_value` longtext NOT NULL,
  `field_su_format` varchar(255) CHARACTER SET ascii DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_su_format` (`field_su_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for node field field_su.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node__field_su`
--

LOCK TABLES `node__field_su` WRITE;
/*!40000 ALTER TABLE `node__field_su` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node__field_su` VALUES ('article',0,4,4,'ar',0,'<p>“It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout. The point of using Lorem Ipsum is that it has a more-or-less normal distribution of letters, as opposed to using \'Content here, content here\', making it look like readable English (injected humour and the like).</p>\r\n\r\n<p>There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which don\'t look even slightly believable.</p>\r\n\r\n<h4>AMANDA CLARKE</h4>\r\n<h5>Creative Director</h5><br />\r\n\r\n','full_html'),('article',0,4,4,'en',0,'<p>“It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout. The point of using Lorem Ipsum is that it has a more-or-less normal distribution of letters, as opposed to using \'Content here, content here\', making it look like readable English (injected humour and the like).</p>\r\n\r\n<p>There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which don\'t look even slightly believable.</p>\r\n\r\n<h4>AMANDA CLARKE</h4>\r\n\r\n<h5>Creative Director</h5>\r\n','full_html'),('article',0,30,30,'ar',0,'<p>“It is a long established fact that a reader will be distracted by the readable content of a page when looking”</p>\r\n','full_html'),('article',0,30,30,'en',0,'<p>“It is a long established fact that a reader will be distracted by the readable content of a page when looking”</p>\r\n','full_html');
/*!40000 ALTER TABLE `node__field_su` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node__field_tags`
--

DROP TABLE IF EXISTS `node__field_tags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node__field_tags` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_tags_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_tags_target_id` (`field_tags_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for node field field_tags.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node__field_tags`
--

LOCK TABLES `node__field_tags` WRITE;
/*!40000 ALTER TABLE `node__field_tags` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node__field_tags` VALUES ('blog',0,11,11,'ar',0,1),('blog',0,11,11,'en',0,1),('blog',0,11,11,'ar',1,2),('blog',0,11,11,'en',1,2),('blog',0,12,12,'ar',0,3),('blog',0,12,12,'en',0,3),('blog',0,12,12,'ar',1,4),('blog',0,12,12,'en',1,4),('blog',0,15,15,'ar',0,5),('blog',0,15,15,'en',0,5),('blog',0,15,15,'ar',1,6),('blog',0,15,15,'en',1,6),('blog',0,15,15,'ar',2,1),('blog',0,15,15,'en',2,1),('blog',0,16,16,'ar',0,2),('blog',0,16,16,'en',0,2),('blog',0,16,16,'ar',1,1),('blog',0,16,16,'en',1,1);
/*!40000 ALTER TABLE `node__field_tags` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node__field_type`
--

DROP TABLE IF EXISTS `node__field_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node__field_type` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_type_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_type_value` (`field_type_value`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for node field field_type.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node__field_type`
--

LOCK TABLES `node__field_type` WRITE;
/*!40000 ALTER TABLE `node__field_type` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node__field_type` VALUES ('banner',0,13,13,'en',0,'1'),('banner',0,14,14,'en',0,'4'),('banner',0,17,17,'en',0,'2'),('banner',0,21,21,'en',0,'5'),('banner',0,41,41,'en',0,'6'),('banner',0,42,42,'en',0,'7'),('banner',0,45,45,'en',0,'8');
/*!40000 ALTER TABLE `node__field_type` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node__field_video`
--

DROP TABLE IF EXISTS `node__field_video`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node__field_video` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_video_value` varchar(256) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for node field field_video.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node__field_video`
--

LOCK TABLES `node__field_video` WRITE;
/*!40000 ALTER TABLE `node__field_video` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node__field_video` VALUES ('blog',0,12,12,'ar',0,'https://vimeo.com/179350537'),('blog',0,12,12,'en',0,'https://vimeo.com/179350537'),('blog',0,15,15,'ar',0,'https://vimeo.com/179350537'),('blog',0,15,15,'en',0,'https://vimeo.com/179350537'),('blog',0,16,16,'ar',0,'https://www.youtube.com/watch?v=Wy7uLefgl5A'),('blog',0,16,16,'en',0,'https://www.youtube.com/watch?v=Wy7uLefgl5A');
/*!40000 ALTER TABLE `node__field_video` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node__field_why_us_type`
--

DROP TABLE IF EXISTS `node__field_why_us_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node__field_why_us_type` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_why_us_type_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_why_us_type_value` (`field_why_us_type_value`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for node field field_why_us_type.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node__field_why_us_type`
--

LOCK TABLES `node__field_why_us_type` WRITE;
/*!40000 ALTER TABLE `node__field_why_us_type` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node__field_why_us_type` VALUES ('why_us',0,25,25,'en',0,'1'),('why_us',0,26,26,'en',0,'1'),('why_us',0,27,27,'en',0,'1'),('why_us',0,28,28,'en',0,'1'),('why_us',0,29,29,'en',0,'1'),('why_us',0,37,37,'en',0,'2'),('why_us',0,38,38,'en',0,'2'),('why_us',0,39,39,'en',0,'2'),('why_us',0,40,40,'en',0,'2');
/*!40000 ALTER TABLE `node__field_why_us_type` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node__simplenews_issue`
--

DROP TABLE IF EXISTS `node__simplenews_issue`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node__simplenews_issue` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `simplenews_issue_target_id` varchar(255) CHARACTER SET ascii NOT NULL COMMENT 'The ID of the target entity.',
  `simplenews_issue_handler` varchar(255) DEFAULT NULL COMMENT 'The issue handler.',
  `simplenews_issue_handler_settings` longblob DEFAULT NULL COMMENT 'The issue handler settings.',
  `simplenews_issue_status` tinyint(4) DEFAULT NULL COMMENT 'A flag indicating whether the issue is published (3), ready (2), pending (1) or not (0).',
  `simplenews_issue_sent_count` int(10) unsigned DEFAULT NULL COMMENT 'Counter of already sent newsletters.',
  `simplenews_issue_subscribers` int(10) unsigned DEFAULT NULL COMMENT 'Counter of subscribers.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `simplenews_issue_target_id` (`simplenews_issue_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for node field simplenews_issue.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node__simplenews_issue`
--

LOCK TABLES `node__simplenews_issue` WRITE;
/*!40000 ALTER TABLE `node__simplenews_issue` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `node__simplenews_issue` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_access`
--

DROP TABLE IF EXISTS `node_access`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_access` (
  `nid` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The node.nid this record affects.',
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language.langcode of this node.',
  `fallback` tinyint(3) unsigned NOT NULL DEFAULT 1 COMMENT 'Boolean indicating whether this record should be used as a fallback if a language condition is not provided.',
  `gid` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The grant ID a user must possess in the specified realm to gain this row''s privileges on the node.',
  `realm` varchar(255) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The realm in which the user must possess the grant ID. Modules can define one or more realms by implementing hook_node_grants().',
  `grant_view` tinyint(3) unsigned NOT NULL DEFAULT 0 COMMENT 'Boolean indicating whether a user with the realm/grant pair can view this node.',
  `grant_update` tinyint(3) unsigned NOT NULL DEFAULT 0 COMMENT 'Boolean indicating whether a user with the realm/grant pair can edit this node.',
  `grant_delete` tinyint(3) unsigned NOT NULL DEFAULT 0 COMMENT 'Boolean indicating whether a user with the realm/grant pair can delete this node.',
  PRIMARY KEY (`nid`,`gid`,`realm`,`langcode`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Identifies which realm/grant pairs a user must possess in…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_access`
--

LOCK TABLES `node_access` WRITE;
/*!40000 ALTER TABLE `node_access` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_access` VALUES (0,'',1,0,'all',1,0,0);
/*!40000 ALTER TABLE `node_access` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_field_data`
--

DROP TABLE IF EXISTS `node_field_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_field_data` (
  `nid` int(10) unsigned NOT NULL,
  `vid` int(10) unsigned NOT NULL,
  `type` varchar(32) CHARACTER SET ascii NOT NULL COMMENT 'The ID of the target entity.',
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  `title` varchar(255) NOT NULL,
  `uid` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  `status` tinyint(4) NOT NULL,
  `created` int(11) NOT NULL,
  `changed` int(11) NOT NULL,
  `promote` tinyint(4) NOT NULL,
  `sticky` tinyint(4) NOT NULL,
  `revision_translation_affected` tinyint(4) DEFAULT NULL,
  `default_langcode` tinyint(4) NOT NULL,
  `node_class` varchar(255) DEFAULT NULL,
  `content_translation_source` varchar(12) CHARACTER SET ascii DEFAULT NULL,
  `content_translation_outdated` tinyint(4) DEFAULT NULL,
  PRIMARY KEY (`nid`,`langcode`),
  KEY `node__id__default_langcode__langcode` (`nid`,`default_langcode`,`langcode`),
  KEY `node__vid` (`vid`),
  KEY `node_field__type__target_id` (`type`),
  KEY `node_field__created` (`created`),
  KEY `node_field__changed` (`changed`),
  KEY `node__frontpage` (`promote`,`status`,`sticky`,`created`),
  KEY `node__status_type` (`status`,`type`,`nid`),
  KEY `node__title_type` (`title`(191),`type`(4)),
  KEY `node_field__uid__target_id` (`uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='The data table for node entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_field_data`
--

LOCK TABLES `node_field_data` WRITE;
/*!40000 ALTER TABLE `node_field_data` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_field_data` VALUES (1,1,'page','en','Unique Design',1,1,1468920994,1469436374,1,0,1,1,NULL,'und',0),(2,2,'page','en','Page builder',1,1,1468921355,1469436350,1,0,1,1,NULL,'und',0),(3,3,'page','en','Fully responsice',1,1,1468921570,1469436363,1,0,1,1,NULL,'und',0),(4,4,'article','ar','Welcome to Luxestate',1,1,1472107740,1473388242,1,0,1,0,'about-us-detail','en',0),(4,4,'article','en','Welcome to Luxestate',1,1,1468922276,1473051680,1,0,1,1,'about-us-detail','und',0),(5,5,'partners','en','Drupal',1,1,1468923170,1472099812,0,0,1,1,NULL,'und',0),(7,7,'partners','en','Bootstrap',1,1,1468985402,1472099825,0,0,1,1,NULL,'und',0),(9,9,'partners','en','Youtube',1,1,1468985961,1472099830,0,0,1,1,NULL,'und',0),(10,10,'partners','en','jQuery',1,1,1468986047,1472099835,0,0,1,1,NULL,'und',0),(11,11,'blog','ar','Warehouse Sale in Emeryville',1,1,1473752412,1473752428,0,0,1,0,NULL,'en',0),(11,11,'blog','en','Warehouse Sale in Emeryville',1,1,1452238367,1472721193,0,0,1,1,NULL,'und',0),(12,12,'blog','ar','Dare to bare',15,1,1473742951,1473752379,0,0,1,0,NULL,'en',0),(12,12,'blog','en','Dare to bare',15,1,1449807607,1473667414,0,0,1,1,NULL,'und',0),(13,13,'banner','en','Blog details',1,1,1469417403,1472700933,0,0,1,1,NULL,'und',0),(14,14,'banner','en','Portfolio page',1,1,1469417503,1472700908,0,0,1,1,NULL,'und',0),(15,15,'blog','ar','Off the wall',15,1,1473752410,1473752453,0,0,1,0,NULL,'en',0),(15,15,'blog','en','Off the wall',15,1,1450761893,1473667205,0,0,1,1,NULL,'und',0),(16,16,'blog','ar','Seeing the light',15,1,1473752408,1473752443,0,0,1,0,NULL,'en',0),(16,16,'blog','en','Seeing the light',15,1,1469422582,1473667150,0,0,1,1,NULL,'und',0),(17,17,'banner','en','Blog page',1,1,1469431129,1472700691,0,0,1,1,NULL,'und',0),(18,18,'portfolio','en','Portfolio',1,1,1469436554,1472025938,0,0,1,1,NULL,'und',0),(19,19,'portfolio','en','Portfolio 1',1,1,1469436763,1472026058,0,0,1,1,NULL,'und',0),(20,20,'portfolio','en','Portfolio 2',1,1,1469437675,1472026306,0,0,1,1,NULL,'und',0),(21,21,'banner','en','About us',1,1,1469779739,1472700416,0,0,1,1,NULL,'und',0),(22,22,'our_mission','en','Customer Support',1,1,1469782305,1469782380,0,0,1,1,NULL,'und',0),(23,23,'our_mission','en','Lightbox',1,1,1469782394,1469782413,0,0,1,1,NULL,'und',0),(24,24,'our_mission','en','Buttons',1,1,1469782426,1469782446,0,0,1,1,NULL,'und',0),(25,25,'why_us','en','Unique design',1,1,1470022730,1470386990,1,0,1,1,NULL,'und',0),(26,26,'why_us','en','Bootstrap compatible',1,1,1470022773,1470386986,1,0,1,1,NULL,'und',0),(27,27,'why_us','en','Amples customizations',1,1,1470022793,1470386982,1,0,1,1,NULL,'und',0),(28,28,'why_us','en','Fully responsive',1,1,1470022818,1470386978,1,0,1,1,NULL,'und',0),(29,29,'why_us','en','Designed for your business',1,1,1470022852,1470386974,1,0,1,1,NULL,'und',0),(30,30,'article','ar','Our great services',1,1,1472107827,1472107838,1,0,1,0,'services-detail','en',0),(30,30,'article','en','Our great services',1,1,1470382277,1473155467,1,0,1,1,'services-detail','und',0),(31,31,'our_services','en','Stet clita kasd gubergren',1,1,1470383536,1470383591,0,0,1,1,NULL,'und',0),(32,32,'our_services','en','Lorem ipsum dolor sit',1,1,1470383916,1470383964,0,0,1,1,NULL,'und',0),(33,33,'our_services','en','Aliquam erat',1,1,1470383983,1470383992,0,0,1,1,NULL,'und',0),(34,34,'our_services','en','Design And Build',1,1,1470384012,1470384022,0,0,1,1,NULL,'und',0),(35,35,'our_services','en','Special Projects',1,1,1470384047,1470384056,0,0,1,1,NULL,'und',0),(36,36,'our_services','en','General Contracting',1,1,1470384075,1470384082,0,0,1,1,NULL,'und',0),(37,37,'why_us','en','Unique design',1,1,1470387002,1472093906,0,0,1,1,NULL,'und',0),(38,38,'why_us','en','Bootstrap compatible',1,1,1470387037,1472093901,0,0,1,1,NULL,'und',0),(39,39,'why_us','en','Amples customizations',1,1,1470387062,1472093896,0,0,1,1,NULL,'und',0),(40,40,'why_us','en','Fully responsive',1,1,1470387085,1472093878,0,0,1,1,NULL,'und',0),(41,41,'banner','en','Services',1,1,1470890566,1472700572,0,0,1,1,NULL,'und',0),(42,42,'banner','en','Contact us',1,1,1471861471,1472700494,0,0,1,1,NULL,'und',0),(43,43,'partners','en','Weebpal',1,1,1472616102,1472616176,0,0,1,1,NULL,'und',0),(44,44,'partners','en','Business',1,1,1472617021,1472618107,0,0,1,1,NULL,'und',0),(45,45,'banner','en','Userlogin',1,1,1473046296,1473046329,0,0,1,1,NULL,'und',0);
/*!40000 ALTER TABLE `node_field_data` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_field_revision`
--

DROP TABLE IF EXISTS `node_field_revision`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_field_revision` (
  `nid` int(10) unsigned NOT NULL,
  `vid` int(10) unsigned NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  `title` varchar(255) DEFAULT NULL,
  `uid` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  `status` tinyint(4) NOT NULL,
  `created` int(11) DEFAULT NULL,
  `changed` int(11) DEFAULT NULL,
  `promote` tinyint(4) DEFAULT NULL,
  `sticky` tinyint(4) DEFAULT NULL,
  `revision_translation_affected` tinyint(4) DEFAULT NULL,
  `default_langcode` tinyint(4) NOT NULL,
  `content_translation_source` varchar(12) CHARACTER SET ascii DEFAULT NULL,
  `content_translation_outdated` tinyint(4) DEFAULT NULL,
  PRIMARY KEY (`vid`,`langcode`),
  KEY `node__id__default_langcode__langcode` (`nid`,`default_langcode`,`langcode`),
  KEY `node_field__uid__target_id` (`uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='The revision data table for node entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_field_revision`
--

LOCK TABLES `node_field_revision` WRITE;
/*!40000 ALTER TABLE `node_field_revision` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_field_revision` VALUES (1,1,'en','Unique Design',1,1,1468920994,1469436374,1,0,1,1,NULL,NULL),(2,2,'en','Page builder',1,1,1468921355,1469436350,1,0,1,1,NULL,NULL),(3,3,'en','Fully responsice',1,1,1468921570,1469436363,1,0,1,1,NULL,NULL),(4,4,'ar','Welcome to Luxestate',1,1,1472107740,1473388242,1,0,1,0,'en',0),(4,4,'en','Welcome to Luxestate',1,1,1468922276,1473051680,1,0,1,1,NULL,0),(5,5,'en','Drupal',1,1,1468923170,1472099812,0,0,1,1,NULL,NULL),(7,7,'en','Bootstrap',1,1,1468985402,1472099825,0,0,1,1,NULL,NULL),(9,9,'en','Youtube',1,1,1468985961,1472099830,0,0,1,1,NULL,NULL),(10,10,'en','jQuery',1,1,1468986047,1472099835,0,0,1,1,NULL,NULL),(11,11,'ar','Warehouse Sale in Emeryville',1,1,1473752412,1473752428,0,0,1,0,'en',0),(11,11,'en','Warehouse Sale in Emeryville',1,1,1452238367,1472721193,0,0,1,1,NULL,NULL),(12,12,'ar','Dare to bare',15,1,1473742951,1473752379,0,0,1,0,'en',0),(12,12,'en','Dare to bare',15,1,1449807607,1473667414,0,0,1,1,NULL,NULL),(13,13,'en','Blog details',1,1,1469417403,1472700933,0,0,1,1,NULL,NULL),(14,14,'en','Portfolio page',1,1,1469417503,1472700908,0,0,1,1,NULL,NULL),(15,15,'ar','Off the wall',15,1,1473752410,1473752453,0,0,1,0,'en',0),(15,15,'en','Off the wall',15,1,1450761893,1473667205,0,0,1,1,NULL,NULL),(16,16,'ar','Seeing the light',15,1,1473752408,1473752443,0,0,1,0,'en',0),(16,16,'en','Seeing the light',15,1,1469422582,1473667150,0,0,1,1,NULL,NULL),(17,17,'en','Blog page',1,1,1469431129,1472700691,0,0,1,1,NULL,NULL),(18,18,'en','Portfolio',1,1,1469436554,1472025938,0,0,1,1,NULL,NULL),(19,19,'en','Portfolio 1',1,1,1469436763,1472026058,0,0,1,1,NULL,NULL),(20,20,'en','Portfolio 2',1,1,1469437675,1472026306,0,0,1,1,NULL,NULL),(21,21,'en','About us',1,1,1469779739,1472700416,0,0,1,1,NULL,NULL),(22,22,'en','Customer Support',1,1,1469782305,1469782380,0,0,1,1,NULL,NULL),(23,23,'en','Lightbox',1,1,1469782394,1469782413,0,0,1,1,NULL,NULL),(24,24,'en','Buttons',1,1,1469782426,1469782446,0,0,1,1,NULL,NULL),(25,25,'en','Unique design',1,1,1470022730,1470386990,1,0,1,1,NULL,NULL),(26,26,'en','Bootstrap compatible',1,1,1470022773,1470386986,1,0,1,1,NULL,NULL),(27,27,'en','Amples customizations',1,1,1470022793,1470386982,1,0,1,1,NULL,NULL),(28,28,'en','Fully responsive',1,1,1470022818,1470386978,1,0,1,1,NULL,NULL),(29,29,'en','Designed for your business',1,1,1470022852,1470386974,1,0,1,1,NULL,NULL),(30,30,'ar','Our great services',1,1,1472107827,1472107838,1,0,1,0,'en',0),(30,30,'en','Our great services',1,1,1470382277,1473155467,1,0,1,1,NULL,0),(31,31,'en','Stet clita kasd gubergren',1,1,1470383536,1470383591,0,0,1,1,NULL,NULL),(32,32,'en','Lorem ipsum dolor sit',1,1,1470383916,1470383964,0,0,1,1,NULL,NULL),(33,33,'en','Aliquam erat',1,1,1470383983,1470383992,0,0,1,1,NULL,NULL),(34,34,'en','Design And Build',1,1,1470384012,1470384022,0,0,1,1,NULL,NULL),(35,35,'en','Special Projects',1,1,1470384047,1470384056,0,0,1,1,NULL,NULL),(36,36,'en','General Contracting',1,1,1470384075,1470384082,0,0,1,1,NULL,NULL),(37,37,'en','Unique design',1,1,1470387002,1472093906,0,0,1,1,NULL,NULL),(38,38,'en','Bootstrap compatible',1,1,1470387037,1472093901,0,0,1,1,NULL,NULL),(39,39,'en','Amples customizations',1,1,1470387062,1472093896,0,0,1,1,NULL,NULL),(40,40,'en','Fully responsive',1,1,1470387085,1472093878,0,0,1,1,NULL,NULL),(41,41,'en','Services',1,1,1470890566,1472700572,0,0,1,1,NULL,NULL),(42,42,'en','Contact us',1,1,1471861471,1472700494,0,0,1,1,NULL,NULL),(43,43,'en','Weebpal',1,1,1472616102,1472616176,0,0,1,1,'und',0),(44,44,'en','Business',1,1,1472617021,1472618107,0,0,1,1,'und',0),(45,45,'en','Userlogin',1,1,1473046296,1473046329,0,0,1,1,'und',0);
/*!40000 ALTER TABLE `node_field_revision` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_revision`
--

DROP TABLE IF EXISTS `node_revision`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_revision` (
  `nid` int(10) unsigned NOT NULL,
  `vid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  `revision_timestamp` int(11) DEFAULT NULL,
  `revision_uid` int(10) unsigned DEFAULT NULL COMMENT 'The ID of the target entity.',
  `revision_log` longtext DEFAULT NULL,
  `revision_default` tinyint(4) DEFAULT NULL,
  PRIMARY KEY (`vid`),
  KEY `node__nid` (`nid`),
  KEY `node_field__langcode` (`langcode`),
  KEY `node_field__revision_uid__target_id` (`revision_uid`)
) ENGINE=InnoDB AUTO_INCREMENT=46 DEFAULT CHARSET=utf8mb4 COMMENT='The revision table for node entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_revision`
--

LOCK TABLES `node_revision` WRITE;
/*!40000 ALTER TABLE `node_revision` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_revision` VALUES (1,1,'en',1468921034,1,NULL,1),(2,2,'en',1468921397,1,NULL,1),(3,3,'en',1468921699,1,NULL,1),(4,4,'en',1468922440,1,NULL,1),(5,5,'en',1468923356,1,NULL,1),(7,7,'en',1468985454,1,NULL,1),(9,9,'en',1468985990,1,NULL,1),(10,10,'en',1468986061,1,NULL,1),(11,11,'en',1469169208,1,NULL,1),(12,12,'en',1469417330,1,NULL,1),(13,13,'en',1469417420,1,NULL,1),(14,14,'en',1469417562,1,NULL,1),(15,15,'en',1469421117,1,NULL,1),(16,16,'en',1469422676,1,NULL,1),(17,17,'en',1469431191,1,NULL,1),(18,18,'en',1469436598,1,NULL,1),(19,19,'en',1469436774,1,NULL,1),(20,20,'en',1469437759,1,NULL,1),(21,21,'en',1469779826,1,NULL,1),(22,22,'en',1469782333,1,NULL,1),(23,23,'en',1469782409,1,NULL,1),(24,24,'en',1469782443,1,NULL,1),(25,25,'en',1470022749,1,NULL,1),(26,26,'en',1470022781,1,NULL,1),(27,27,'en',1470022805,1,NULL,1),(28,28,'en',1470022831,1,NULL,1),(29,29,'en',1470022870,1,NULL,1),(30,30,'en',1470382528,1,NULL,1),(31,31,'en',1470383591,1,NULL,1),(32,32,'en',1470383964,1,NULL,1),(33,33,'en',1470383992,1,NULL,1),(34,34,'en',1470384022,1,NULL,1),(35,35,'en',1470384056,1,NULL,1),(36,36,'en',1470384082,1,NULL,1),(37,37,'en',1470387015,1,NULL,1),(38,38,'en',1470387049,1,NULL,1),(39,39,'en',1470387073,1,NULL,1),(40,40,'en',1470387096,1,NULL,1),(41,41,'en',1470890688,1,NULL,1),(42,42,'en',1471861606,1,NULL,1),(43,43,'en',1472616154,1,NULL,1),(44,44,'en',1472617084,1,NULL,1),(45,45,'en',1473046325,1,NULL,1);
/*!40000 ALTER TABLE `node_revision` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_revision__body`
--

DROP TABLE IF EXISTS `node_revision__body`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_revision__body` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `body_value` longtext NOT NULL,
  `body_summary` longtext DEFAULT NULL,
  `body_format` varchar(255) CHARACTER SET ascii DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `body_format` (`body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for node field body.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_revision__body`
--

LOCK TABLES `node_revision__body` WRITE;
/*!40000 ALTER TABLE `node_revision__body` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_revision__body` VALUES ('page',0,1,1,'en',0,'<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n','','basic_html'),('page',0,2,2,'en',0,'<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum</p>\r\n','','basic_html'),('page',0,3,3,'en',0,'<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n','','basic_html'),('article',0,4,4,'ar',0,'<h1>What is Lorem Ipsum?</h1>\r\n\r\n<p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry\'s standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.</p>\r\n\r\n<h1>Where can I get some?</h1>\r\n\r\n<p>There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which don\'t look even slightly believable. If you are going to use a passage of Lorem Ipsum, you need to be sure there isn\'t anything embarrassing hidden in the middle of text. All the Lorem Ipsum generators on the Internet tend to repeat predefined chunks as necessary, making this the first true generator on the Internet. It uses a dictionary of over 200 Latin words, combined with a handful of model sentence structures, to generate Lorem Ipsum which looks reasonable. The generated Lorem Ipsum is therefore always free from repetition, injected humour, or non-characteristic words etc.</p>\r\n\r\n<h1>Where does it come from?</h1>\r\n\r\n<p>Contrary to popular belief, Lorem Ipsum is not simply random text. It has roots in a piece of classical Latin literature from 45 BC, making it over 2000 years old.</p>\r\n','','full_html'),('article',0,4,4,'en',0,'<h1>What is Lorem Ipsum?</h1>\r\n\r\n<p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry\'s standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.</p>\r\n\r\n<h1>Where can I get some?</h1>\r\n\r\n<p>There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which don\'t look even slightly believable. If you are going to use a passage of Lorem Ipsum, you need to be sure there isn\'t anything embarrassing hidden in the middle of text. All the Lorem Ipsum generators on the Internet tend to repeat predefined chunks as necessary, making this the first true generator on the Internet. It uses a dictionary of over 200 Latin words, combined with a handful of model sentence structures, to generate Lorem Ipsum which looks reasonable. The generated Lorem Ipsum is therefore always free from repetition, injected humour, or non-characteristic words etc.</p>\r\n\r\n<h1>Where does it come from?</h1>\r\n\r\n<p>Contrary to popular belief, Lorem Ipsum is not simply random text. It has roots in a piece of classical Latin literature from 45 BC, making it over 2000 years old.</p>\r\n','','full_html'),('partners',0,5,5,'en',0,'<p>Welcome to a new generation of Drupal. It’s a digital experience platform that knows your web content must reach more than just websites. Built so you can deliver the right content to the right person at the right time - on the right device.</p>\r\n','','basic_html'),('partners',0,7,7,'en',0,'<p>Bootstrap is the most popular HTML, CSS, and JS framework for developing responsive, mobile first projects on the web.</p>\r\n','','basic_html'),('partners',0,10,10,'en',0,'<p>jQuery is a fast, small, and feature-rich JavaScript library. It makes things like HTML document traversal and manipulation, event handling, animation, and Ajax much simpler with an easy-to-use API that works across a multitude of browsers. With a combination of versatility and extensibility, jQuery has changed the way that millions of people write JavaScript.</p>\r\n','','basic_html'),('blog',0,11,11,'ar',0,'<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet.</p>\r\n<img alt=\"Warehouse Sale in Emeryville\" data-align=\"center\" data-entity-type=\"file\" data-entity-uuid=\"19184840-d49d-48ef-aeaa-aef9bee1e09c\" src=\"/sites/default/files/inline-images/blog-dt-01.jpg\" />\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur.</p>\r\n\r\n<p>Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n','Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.','full_html'),('blog',0,11,11,'en',0,'<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet.</p>\r\n<img alt=\"Warehouse Sale in Emeryville\" data-align=\"center\" data-entity-type=\"file\" data-entity-uuid=\"19184840-d49d-48ef-aeaa-aef9bee1e09c\" src=\"/sites/default/files/inline-images/blog-dt-01.jpg\" />\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur.</p>\r\n<p>Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n','Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.','full_html'),('blog',0,12,12,'ar',0,'<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n','Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.','full_html'),('blog',0,12,12,'en',0,'<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n','Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.','full_html'),('banner',0,13,13,'en',0,'<p>“It is a long established fact that a reader will be distracted by the readable content of a page when looking”</p>\r\n','','full_html'),('banner',0,14,14,'en',0,'<p>“It is a long established fact that a reader will be distracted by the readable content of a page when looking”</p>\r\n','','full_html'),('blog',0,15,15,'ar',0,'<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n','Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.','full_html'),('blog',0,15,15,'en',0,'<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n','Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.','full_html'),('blog',0,16,16,'ar',0,'<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n','Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.','full_html'),('blog',0,16,16,'en',0,'<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n','Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmodtempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat. Duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat nonproident, sunt in culpa qui officia deserunt mollit anim id est laborum.','full_html'),('banner',0,17,17,'en',0,'<p>It is a long established fact that a reader will be distracted by the readable content of a page when looking</p>\r\n','','full_html'),('banner',0,21,21,'en',0,'<p>“It is a long established fact that a reader will be distracted by the readable content of a page when looking”</p>\r\n','','full_html'),('our_mission',0,22,22,'en',0,'<p>Contrary to popular belief, Lorem Ipsum is not simply random text. It has roots in a piece of classical Latin literature from 45 BC, making it over 2000 years old.</p>\r\n','','full_html'),('our_mission',0,23,23,'en',0,'<p>Contrary to popular belief, Lorem Ipsum is not simply random text. It has roots in a piece of classical Latin literature from 45 BC, making it over 2000 years old.</p>\r\n','','full_html'),('our_mission',0,24,24,'en',0,'<p>Contrary to popular belief, Lorem Ipsum is not simply random text. It has roots in a piece of classical Latin literature from 45 BC, making it over 2000 years old.</p>\r\n','','full_html'),('why_us',0,25,25,'en',0,'<p>It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout. The point of using Lorem Ipsum is that it has a more-or-less normal distribution of letters, as opposed to using \'Content here, content here\', making it look like readable English. Many desktop publishing packages and web page editors now use Lorem Ipsum as their default model text, and a search for \'lorem ipsum\' will uncover many web sites still in their infancy.</p>\r\n','','full_html'),('why_us',0,26,26,'en',0,'<p>It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout. The point of using Lorem Ipsum is that it has a more-or-less normal distribution of letters, as opposed to using \'Content here, content here\', making it look like readable English. Many desktop publishing packages and web page editors now use Lorem Ipsum as their default model text, and a search for \'lorem ipsum\' will uncover many web sites still in their infancy.</p>\r\n','','full_html'),('why_us',0,27,27,'en',0,'<p>It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout. The point of using Lorem Ipsum is that it has a more-or-less normal distribution of letters, as opposed to using \'Content here, content here\', making it look like readable English. Many desktop publishing packages and web page editors now use Lorem Ipsum as their default model text, and a search for \'lorem ipsum\' will uncover many web sites still in their infancy.</p>\r\n','','full_html'),('why_us',0,28,28,'en',0,'<p>It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout. The point of using Lorem Ipsum is that it has a more-or-less normal distribution of letters, as opposed to using \'Content here, content here\', making it look like readable English. Many desktop publishing packages and web page editors now use Lorem Ipsum as their default model text, and a search for \'lorem ipsum\' will uncover many web sites still in their infancy.</p>\r\n','','full_html'),('why_us',0,29,29,'en',0,'<p>It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout. The point of using Lorem Ipsum is that it has a more-or-less normal distribution of letters, as opposed to using \'Content here, content here\', making it look like readable English. Many desktop publishing packages and web page editors now use Lorem Ipsum as their default model text, and a search for \'lorem ipsum\' will uncover many web sites still in their infancy.</p>\r\n','','full_html'),('article',0,30,30,'ar',0,'<p><strong>WHY DRUPAL?</strong></p>\r\n\r\n<p>Drupal is well-known for its flexibility, extend ability, and security. Whenever you think about customizing, having some specific functions, or doing any innovative things with your website, Drupal is the first and foremost CMS that enters our mind.</p>\r\n\r\n<p><strong>OUR DRUPAL DEVELOPMENT SERVICES INCLUDE:</strong></p>\r\n\r\n<ul>\r\n	<li><strong>Drupal Website Development</strong></li>\r\n</ul>\r\n\r\n<p class=\"services-info\">Have a website to build? We can help create a full function website starting from an idea. Based on our project management process, we\'ll analyze and discuss with you to bring the best solution. This is followed by designing, developing, testing, and deploying your Drupal site.</p>\r\n\r\n<ul>\r\n	<li><strong>Drupal CMS Customization</strong></li>\r\n</ul>\r\n\r\n<p class=\"services-info\">We are happy to do any changes to your existing features, or extending your CMS’ functionality to a higher level that suits your purpose.</p>\r\n\r\n<ul>\r\n	<li><strong>Drupal Theming (Design Development)</strong></li>\r\n</ul>\r\n\r\n<p class=\"services-info\">Drupal Theming has been our strength. We have years of in-depth experience with theme design development. If you need a brand-new template that embraces the attractiv design feel and integrates up-to-date technologies, leave it for our team of experienced designers, front-ends, and back-ends</p>\r\n\r\n<ul>\r\n	<li><strong>Drupal Module Development</strong></li>\r\n</ul>\r\n\r\n<p class=\"services-info\">We help you develop or customize an existing module that fits your website\'s direction..</p>\r\n\r\n<ul>\r\n	<li><strong>Drupal SEO assistance</strong></li>\r\n</ul>\r\n\r\n<p class=\"services-info\">Having a website SEO friendly to be able to get to the top of search engines is the goal of most website administrators. We help get your website well optimized, and fix SEO issues that affects your website ranking.</p>\r\n\r\n<ul>\r\n	<li><strong>Drupal Maintenance Support</strong></li>\r\n</ul>\r\n\r\n<p class=\"services-info\">Maintenance should never been neglected. We help you with this job, checking all the important matters to make sure you Drupal projects up to best status.</p>\r\n\r\n<ul>\r\n	<li><strong>Drupal Migration Upgrades</strong></li>\r\n</ul>\r\n\r\n<p class=\"services-info\">We have experience upgrading your Drupal to the newer version, or move from another CMS to Drupal</p>\r\n\r\n<p><strong>WHAT DRUPAL WEBSITES WE CAN DO:</strong></p>\r\n\r\n<ul class=\"menu-services-info\">\r\n	<li>Corporate Websites or Blogs</li>\r\n	<li>Ecommerce Websites</li>\r\n	<li>Social Networking sites</li>\r\n	<li>Multi-media Audio Video Portals</li>\r\n	<li>Magazine News site</li>\r\n	<li>Personal Blog Websites</li>\r\n</ul>\r\n','','full_html'),('article',0,30,30,'en',0,'<p><strong>WHY DRUPAL?</strong></p>\r\n\r\n<p>Drupal is well-known for its flexibility, extend ability, and security. Whenever you think about customizing, having some specific functions, or doing any innovative things with your website, Drupal is the first and foremost CMS that enters our mind.</p>\r\n\r\n<p><strong>OUR DRUPAL DEVELOPMENT SERVICES INCLUDE:</strong></p>\r\n\r\n<ul>\r\n	<li><strong>Drupal Website Development</strong></li>\r\n</ul>\r\n\r\n<p class=\"services-info\">Have a website to build? We can help create a full function website starting from an idea. Based on our project management process, we\'ll analyze and discuss with you to bring the best solution. This is followed by designing, developing, testing, and deploying your Drupal site.</p>\r\n\r\n<ul>\r\n	<li><strong>Drupal CMS Customization</strong></li>\r\n</ul>\r\n\r\n<p class=\"services-info\">We are happy to do any changes to your existing features, or extending your CMS’ functionality to a higher level that suits your purpose.</p>\r\n\r\n<ul>\r\n	<li><strong>Drupal Theming (Design Development)</strong></li>\r\n</ul>\r\n\r\n<p class=\"services-info\">Drupal Theming has been our strength. We have years of in-depth experience with theme design development. If you need a brand-new template that embraces the attractiv design feel and integrates up-to-date technologies, leave it for our team of experienced designers, front-ends, and back-ends</p>\r\n\r\n<ul>\r\n	<li><strong>Drupal Module Development</strong></li>\r\n</ul>\r\n\r\n<p class=\"services-info\">We help you develop or customize an existing module that fits your website\'s direction..</p>\r\n\r\n<ul>\r\n	<li><strong>Drupal SEO assistance</strong></li>\r\n</ul>\r\n\r\n<p class=\"services-info\">Having a website SEO friendly to be able to get to the top of search engines is the goal of most website administrators. We help get your website well optimized, and fix SEO issues that affects your website ranking.</p>\r\n\r\n<ul>\r\n	<li><strong>Drupal Maintenance Support</strong></li>\r\n</ul>\r\n\r\n<p class=\"services-info\">Maintenance should never been neglected. We help you with this job, checking all the important matters to make sure you Drupal projects up to best status.</p>\r\n\r\n<ul>\r\n	<li><strong>Drupal Migration Upgrades</strong></li>\r\n</ul>\r\n\r\n<p class=\"services-info\">We have experience upgrading your Drupal to the newer version, or move from another CMS to Drupal</p>\r\n\r\n<p class=\"services-info-inner\"><strong>WHAT DRUPAL WEBSITES WE CAN DO:</strong></p>\r\n\r\n<ul class=\"menu-services-info\">\r\n	<li>Corporate Websites or Blogs</li>\r\n	<li>Ecommerce Websites</li>\r\n	<li>Social Networking sites</li>\r\n	<li>Multi-media Audio Video Portals</li>\r\n	<li>Magazine News site</li>\r\n	<li>Personal Blog Websites</li>\r\n</ul>\r\n','','full_html'),('our_services',0,31,31,'en',0,'<p>Stet clita kasd gubergren</p>\r\n','','full_html'),('our_services',0,32,32,'en',0,'<p>Lorem ipsum dolor sit</p>\r\n','','full_html'),('our_services',0,33,33,'en',0,'<p>Aliquam erat</p>\r\n','','full_html'),('our_services',0,34,34,'en',0,'<p>Design And Build</p>\r\n','','full_html'),('our_services',0,35,35,'en',0,'<p>Special Projects</p>\r\n','','full_html'),('our_services',0,36,36,'en',0,'<p>General Contracting</p>\r\n','','full_html'),('why_us',0,37,37,'en',0,'<p>It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout. The point of using Lorem Ipsum is that it has a more-or-less normal distribution of letters, as opposed to using \'Content here, content here\', making it look like readable English. Many desktop publishing packages and web page editors now use Lorem Ipsum as their default model text, and a search for \'lorem ipsum\' will uncover many web sites still in their infancy.</p>\r\n','','full_html'),('why_us',0,38,38,'en',0,'<p>It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout. The point of using Lorem Ipsum is that it has a more-or-less normal distribution of letters, as opposed to using \'Content here, content here\', making it look like readable English. Many desktop publishing packages and web page editors now use Lorem Ipsum as their default model text, and a search for \'lorem ipsum\' will uncover many web sites still in their infancy. Various versions have evolved over the years, sometimes by accident, sometimes on purpose.</p>\r\n\r\n<p>There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which don\'t look even slightly believable.</p>\r\n','','full_html'),('why_us',0,39,39,'en',0,'<p>It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout. The point of using Lorem Ipsum is that it has a more-or-less normal distribution of letters, as opposed to using \'Content here, content here\', making it look like readable English. Many desktop publishing packages and web page editors now use Lorem Ipsum as their default model text, and a search for \'lorem ipsum\' will uncover many web sites still in their infancy. Various versions have evolved over the years, sometimes by accident, sometimes on purpose.</p>\r\n\r\n<p>There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which don\'t look even slightly believable.</p>\r\n','','full_html'),('why_us',0,40,40,'en',0,'<p>It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout. The point of using Lorem Ipsum is that it has a more-or-less normal distribution of letters, as opposed to using \'Content here, content here\', making it look like readable English. Many desktop publishing packages and web page editors now use Lorem Ipsum as their default model text, and a search for \'lorem ipsum\' will uncover many web sites still in their infancy. Various versions have evolved over the years, sometimes by accident, sometimes on purpose.</p>\r\n\r\n<p>There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which don\'t look even slightly believable.</p>\r\n','','full_html'),('banner',0,41,41,'en',0,'<p>“It is a long established fact that a reader will be distracted by the readable content of a page when looking”</p>\r\n','','full_html'),('banner',0,42,42,'en',0,'<p>“It is a long established fact that a reader will be distracted by the readable content of a page when looking”</p>\r\n','','full_html'),('partners',0,43,43,'en',0,'<p><strong>WeebPal</strong>&nbsp;is an experienced passionate team of developers, designers, QCs, writers, and artists.&nbsp;<br />\r\nWe deliver premium Drupal themes, build user-friendly websites that get traffic, convert, and build brand.</p>\r\n','','basic_html'),('partners',0,44,44,'en',0,'<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error.</p>\r\n','','basic_html'),('banner',0,45,45,'en',0,'<p>“It is a long established fact that a reader will be distracted by the readable content of a page when looking”</p>\r\n','','full_html');
/*!40000 ALTER TABLE `node_revision__body` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_revision__comment`
--

DROP TABLE IF EXISTS `node_revision__comment`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_revision__comment` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `comment_status` int(11) NOT NULL DEFAULT 0 COMMENT 'Whether comments are allowed on this entity: 0 = no, 1 = closed (read only), 2 = open (read/write).',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for node field comment.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_revision__comment`
--

LOCK TABLES `node_revision__comment` WRITE;
/*!40000 ALTER TABLE `node_revision__comment` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_revision__comment` VALUES ('article',0,4,4,'ar',0,1),('article',0,4,4,'en',0,1),('blog',0,11,11,'ar',0,2),('blog',0,11,11,'en',0,2),('blog',0,12,12,'ar',0,2),('blog',0,12,12,'en',0,2),('blog',0,15,15,'ar',0,2),('blog',0,15,15,'en',0,2),('blog',0,16,16,'ar',0,2),('blog',0,16,16,'en',0,2),('article',0,30,30,'ar',0,2),('article',0,30,30,'en',0,2);
/*!40000 ALTER TABLE `node_revision__comment` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_revision__field_banner`
--

DROP TABLE IF EXISTS `node_revision__field_banner`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_revision__field_banner` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_banner_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_banner_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_banner_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_banner_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_banner_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_banner_target_id` (`field_banner_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for node field field_banner.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_revision__field_banner`
--

LOCK TABLES `node_revision__field_banner` WRITE;
/*!40000 ALTER TABLE `node_revision__field_banner` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_revision__field_banner` VALUES ('article',0,4,4,'ar',0,36,'','',1920,685),('article',0,4,4,'en',0,36,'','',1920,685);
/*!40000 ALTER TABLE `node_revision__field_banner` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_revision__field_banner_title`
--

DROP TABLE IF EXISTS `node_revision__field_banner_title`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_revision__field_banner_title` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_banner_title_value` longtext NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for node field field_banner_title.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_revision__field_banner_title`
--

LOCK TABLES `node_revision__field_banner_title` WRITE;
/*!40000 ALTER TABLE `node_revision__field_banner_title` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_revision__field_banner_title` VALUES ('banner',0,13,13,'en',0,'Blog'),('banner',0,14,14,'en',0,'Portfolio'),('banner',0,17,17,'en',0,'Blog'),('banner',0,21,21,'en',0,'About us'),('banner',0,41,41,'en',0,'Services'),('banner',0,42,42,'en',0,'Contact'),('banner',0,45,45,'en',0,'Userlogin');
/*!40000 ALTER TABLE `node_revision__field_banner_title` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_revision__field_gallery`
--

DROP TABLE IF EXISTS `node_revision__field_gallery`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_revision__field_gallery` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_gallery_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_gallery_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_gallery_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_gallery_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_gallery_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_gallery_target_id` (`field_gallery_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for node field field_gallery.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_revision__field_gallery`
--

LOCK TABLES `node_revision__field_gallery` WRITE;
/*!40000 ALTER TABLE `node_revision__field_gallery` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_revision__field_gallery` VALUES ('portfolio',0,18,18,'en',0,70,'Excepteur sint occaecat','Excepteur sint occaecat',1100,1100),('portfolio',0,18,18,'en',1,71,'Excepteur sint occaecat','Excepteur sint occaecat',1100,1100),('portfolio',0,18,18,'en',2,72,'Excepteur sint occaecat','Excepteur sint occaecat',1100,1100),('portfolio',0,18,18,'en',3,73,'Excepteur sint occaecat','Excepteur sint occaecat',1100,1100),('portfolio',0,18,18,'en',4,74,'Excepteur sint occaecat','Excepteur sint occaecat',1100,1100),('portfolio',0,18,18,'en',5,75,'Excepteur sint occaecat','Excepteur sint occaecat',1100,1100),('portfolio',0,18,18,'en',6,76,'Excepteur sint occaecat','Excepteur sint occaecat',1100,1100),('portfolio',0,18,18,'en',7,77,'Excepteur sint occaecat','Excepteur sint occaecat',1100,1100),('portfolio',0,18,18,'en',8,78,'Excepteur sint occaecat','Excepteur sint occaecat',1100,1100),('portfolio',0,18,18,'en',9,79,'Excepteur sint occaecat','Excepteur sint occaecat',1100,1100),('portfolio',0,19,19,'en',0,80,'Lorem ipsum dolor sit amet','Lorem ipsum dolor sit amet',1100,1100),('portfolio',0,19,19,'en',1,81,'Lorem ipsum dolor sit amet','Lorem ipsum dolor sit amet',1100,1100),('portfolio',0,19,19,'en',2,82,'Lorem ipsum dolor sit amet','Lorem ipsum dolor sit amet',1100,1100),('portfolio',0,19,19,'en',3,83,'Lorem ipsum dolor sit amet','Lorem ipsum dolor sit amet',1100,1100),('portfolio',0,19,19,'en',4,84,'Lorem ipsum dolor sit amet','Lorem ipsum dolor sit amet',1100,1100),('portfolio',0,19,19,'en',5,85,'Lorem ipsum dolor sit amet','Lorem ipsum dolor sit amet',1100,1100),('portfolio',0,19,19,'en',6,86,'Lorem ipsum dolor sit amet','Lorem ipsum dolor sit amet',1100,1100),('portfolio',0,19,19,'en',7,87,'Lorem ipsum dolor sit amet','Lorem ipsum dolor sit amet',1100,1100),('portfolio',0,19,19,'en',8,88,'Lorem ipsum dolor sit amet','Lorem ipsum dolor sit amet',1100,1100),('portfolio',0,20,20,'en',0,94,'Ut enim ad minim veniam','Ut enim ad minim veniam',1100,1100),('portfolio',0,20,20,'en',1,95,'Ut enim ad minim veniam','Ut enim ad minim veniam',1100,1100),('portfolio',0,20,20,'en',2,96,'Ut enim ad minim veniam','Ut enim ad minim veniam',1100,1100),('portfolio',0,20,20,'en',3,97,'Ut enim ad minim veniam','Ut enim ad minim veniam',1100,1100),('portfolio',0,20,20,'en',4,98,'Ut enim ad minim veniam','Ut enim ad minim veniam',1100,1100),('portfolio',0,20,20,'en',5,99,'Ut enim ad minim veniam','Ut enim ad minim veniam',1100,1100);
/*!40000 ALTER TABLE `node_revision__field_gallery` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_revision__field_icon_class`
--

DROP TABLE IF EXISTS `node_revision__field_icon_class`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_revision__field_icon_class` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_icon_class_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for node field field_icon_class.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_revision__field_icon_class`
--

LOCK TABLES `node_revision__field_icon_class` WRITE;
/*!40000 ALTER TABLE `node_revision__field_icon_class` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_revision__field_icon_class` VALUES ('page',0,1,1,'en',0,'design-2_canvas'),('page',0,2,2,'en',0,'design_note-code'),('page',0,3,3,'en',0,'design_responsive');
/*!40000 ALTER TABLE `node_revision__field_icon_class` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_revision__field_image`
--

DROP TABLE IF EXISTS `node_revision__field_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_revision__field_image` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_image_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_image_target_id` (`field_image_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for node field field_image.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_revision__field_image`
--

LOCK TABLES `node_revision__field_image` WRITE;
/*!40000 ALTER TABLE `node_revision__field_image` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_revision__field_image` VALUES ('article',0,4,4,'ar',0,68,'Welcome to Luxestate','',480,858),('article',0,4,4,'en',0,68,'Welcome to Luxestate','',480,858),('blog',0,11,11,'ar',0,112,'Warehouse Sale in Emeryville','Warehouse Sale in Emeryville',1170,700),('blog',0,11,11,'en',0,112,'Warehouse Sale in Emeryville','Warehouse Sale in Emeryville',1170,700),('blog',0,12,12,'ar',0,115,'Dare to bare','Dare to bare',1170,700),('blog',0,12,12,'en',0,115,'Dare to bare','Dare to bare',1170,700),('banner',0,13,13,'en',0,121,'Blog details','Blog details',1920,830),('banner',0,14,14,'en',0,120,'Portfolio','Portfolio',1920,830),('blog',0,15,15,'ar',0,114,'Off the wall','Off the wall',1170,700),('blog',0,15,15,'en',0,114,'Off the wall','Off the wall',1170,700),('blog',0,16,16,'ar',0,111,'Seeing the light','Seeing the light',1170,700),('blog',0,16,16,'en',0,111,'Seeing the light','Seeing the light',1170,700),('banner',0,17,17,'en',0,119,'Blog page','Blog page',1920,830),('banner',0,21,21,'en',0,116,'About us','About us',1920,830),('our_mission',0,22,22,'en',0,33,'','',740,500),('our_mission',0,23,23,'en',0,34,'','',740,500),('our_mission',0,24,24,'en',0,35,'','',740,500),('banner',0,41,41,'en',0,118,'Services','Services',1920,830),('banner',0,42,42,'en',0,117,'Contact us','Contact us',1920,830),('banner',0,45,45,'en',0,124,'','',1920,830);
/*!40000 ALTER TABLE `node_revision__field_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_revision__field_link`
--

DROP TABLE IF EXISTS `node_revision__field_link`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_revision__field_link` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_link_uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `field_link_title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `field_link_options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_link_uri` (`field_link_uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for node field field_link.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_revision__field_link`
--

LOCK TABLES `node_revision__field_link` WRITE;
/*!40000 ALTER TABLE `node_revision__field_link` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_revision__field_link` VALUES ('partners',0,5,5,'en',0,'https://www.drupal.com/','Drupal','a:0:{}'),('partners',0,7,7,'en',0,'http://getbootstrap.com/','Bootstrap','a:0:{}'),('partners',0,9,9,'en',0,'https://www.youtube.com/','Youtube','a:0:{}'),('partners',0,10,10,'en',0,'https://jquery.com/','jQuery','a:0:{}'),('partners',0,43,43,'en',0,'http://weebpal.com/','Weebpal','a:0:{}'),('partners',0,44,44,'en',0,'http://demo.weebpal.com/drupal8/business/','Business','a:0:{}');
/*!40000 ALTER TABLE `node_revision__field_link` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_revision__field_partners`
--

DROP TABLE IF EXISTS `node_revision__field_partners`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_revision__field_partners` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_partners_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_partners_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_partners_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_partners_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_partners_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_partners_target_id` (`field_partners_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for node field field_partners.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_revision__field_partners`
--

LOCK TABLES `node_revision__field_partners` WRITE;
/*!40000 ALTER TABLE `node_revision__field_partners` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_revision__field_partners` VALUES ('partners',0,5,5,'en',0,2,'Drupal','Drupal',380,224),('partners',0,7,7,'en',0,4,'Bootstrap','Bootstrap',380,224),('partners',0,9,9,'en',0,5,'Youtube','Youtube',380,224),('partners',0,10,10,'en',0,6,'jQuery','jQuery',380,224),('partners',0,43,43,'en',0,105,'Weebpal','Weebpal',380,224),('partners',0,44,44,'en',0,109,'Business','Business',380,224);
/*!40000 ALTER TABLE `node_revision__field_partners` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_revision__field_percent`
--

DROP TABLE IF EXISTS `node_revision__field_percent`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_revision__field_percent` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_percent_value` float NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for node field field_percent.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_revision__field_percent`
--

LOCK TABLES `node_revision__field_percent` WRITE;
/*!40000 ALTER TABLE `node_revision__field_percent` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_revision__field_percent` VALUES ('our_services',0,31,31,'en',0,80),('our_services',0,32,32,'en',0,90),('our_services',0,33,33,'en',0,70),('our_services',0,34,34,'en',0,60),('our_services',0,35,35,'en',0,100),('our_services',0,36,36,'en',0,75);
/*!40000 ALTER TABLE `node_revision__field_percent` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_revision__field_slideshow`
--

DROP TABLE IF EXISTS `node_revision__field_slideshow`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_revision__field_slideshow` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_slideshow_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `field_slideshow_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `field_slideshow_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `field_slideshow_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_slideshow_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_slideshow_target_id` (`field_slideshow_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for node field field_slideshow.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_revision__field_slideshow`
--

LOCK TABLES `node_revision__field_slideshow` WRITE;
/*!40000 ALTER TABLE `node_revision__field_slideshow` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_revision__field_slideshow` VALUES ('blog',0,12,12,'ar',0,131,'Dare to bare','Dare to bare',4000,2667),('blog',0,12,12,'en',0,131,'Dare to bare','Dare to bare',4000,2667),('blog',0,15,15,'ar',0,130,'Off the wall','Off the wall',5511,3674),('blog',0,15,15,'en',0,130,'Off the wall','Off the wall',5511,3674),('blog',0,16,16,'ar',0,129,'Seeing the light','Seeing the light',5511,3674),('blog',0,16,16,'en',0,129,'Seeing the light','Seeing the light',5511,3674);
/*!40000 ALTER TABLE `node_revision__field_slideshow` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_revision__field_su`
--

DROP TABLE IF EXISTS `node_revision__field_su`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_revision__field_su` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_su_value` longtext NOT NULL,
  `field_su_format` varchar(255) CHARACTER SET ascii DEFAULT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_su_format` (`field_su_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for node field field_su.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_revision__field_su`
--

LOCK TABLES `node_revision__field_su` WRITE;
/*!40000 ALTER TABLE `node_revision__field_su` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_revision__field_su` VALUES ('article',0,4,4,'ar',0,'<p>“It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout. The point of using Lorem Ipsum is that it has a more-or-less normal distribution of letters, as opposed to using \'Content here, content here\', making it look like readable English (injected humour and the like).</p>\r\n\r\n<p>There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which don\'t look even slightly believable.</p>\r\n\r\n<h4>AMANDA CLARKE</h4>\r\n<h5>Creative Director</h5><br />\r\n\r\n','full_html'),('article',0,4,4,'en',0,'<p>“It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout. The point of using Lorem Ipsum is that it has a more-or-less normal distribution of letters, as opposed to using \'Content here, content here\', making it look like readable English (injected humour and the like).</p>\r\n\r\n<p>There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which don\'t look even slightly believable.</p>\r\n\r\n<h4>AMANDA CLARKE</h4>\r\n\r\n<h5>Creative Director</h5>\r\n','full_html'),('article',0,30,30,'ar',0,'<p>“It is a long established fact that a reader will be distracted by the readable content of a page when looking”</p>\r\n','full_html'),('article',0,30,30,'en',0,'<p>“It is a long established fact that a reader will be distracted by the readable content of a page when looking”</p>\r\n','full_html');
/*!40000 ALTER TABLE `node_revision__field_su` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_revision__field_tags`
--

DROP TABLE IF EXISTS `node_revision__field_tags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_revision__field_tags` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_tags_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_tags_target_id` (`field_tags_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for node field field_tags.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_revision__field_tags`
--

LOCK TABLES `node_revision__field_tags` WRITE;
/*!40000 ALTER TABLE `node_revision__field_tags` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_revision__field_tags` VALUES ('blog',0,11,11,'ar',0,1),('blog',0,11,11,'en',0,1),('blog',0,11,11,'ar',1,2),('blog',0,11,11,'en',1,2),('blog',0,12,12,'ar',0,3),('blog',0,12,12,'en',0,3),('blog',0,12,12,'ar',1,4),('blog',0,12,12,'en',1,4),('blog',0,15,15,'ar',0,5),('blog',0,15,15,'en',0,5),('blog',0,15,15,'ar',1,6),('blog',0,15,15,'en',1,6),('blog',0,15,15,'ar',2,1),('blog',0,15,15,'en',2,1),('blog',0,16,16,'ar',0,2),('blog',0,16,16,'en',0,2),('blog',0,16,16,'ar',1,1),('blog',0,16,16,'en',1,1);
/*!40000 ALTER TABLE `node_revision__field_tags` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_revision__field_type`
--

DROP TABLE IF EXISTS `node_revision__field_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_revision__field_type` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_type_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_type_value` (`field_type_value`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for node field field_type.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_revision__field_type`
--

LOCK TABLES `node_revision__field_type` WRITE;
/*!40000 ALTER TABLE `node_revision__field_type` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_revision__field_type` VALUES ('banner',0,13,13,'en',0,'1'),('banner',0,14,14,'en',0,'4'),('banner',0,17,17,'en',0,'2'),('banner',0,21,21,'en',0,'5'),('banner',0,41,41,'en',0,'6'),('banner',0,42,42,'en',0,'7'),('banner',0,45,45,'en',0,'8');
/*!40000 ALTER TABLE `node_revision__field_type` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_revision__field_video`
--

DROP TABLE IF EXISTS `node_revision__field_video`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_revision__field_video` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_video_value` varchar(256) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for node field field_video.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_revision__field_video`
--

LOCK TABLES `node_revision__field_video` WRITE;
/*!40000 ALTER TABLE `node_revision__field_video` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_revision__field_video` VALUES ('blog',0,12,12,'ar',0,'https://vimeo.com/179350537'),('blog',0,12,12,'en',0,'https://vimeo.com/179350537'),('blog',0,15,15,'ar',0,'https://vimeo.com/179350537'),('blog',0,15,15,'en',0,'https://vimeo.com/179350537'),('blog',0,16,16,'ar',0,'https://www.youtube.com/watch?v=Wy7uLefgl5A'),('blog',0,16,16,'en',0,'https://www.youtube.com/watch?v=Wy7uLefgl5A');
/*!40000 ALTER TABLE `node_revision__field_video` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_revision__field_why_us_type`
--

DROP TABLE IF EXISTS `node_revision__field_why_us_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_revision__field_why_us_type` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_why_us_type_value` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `field_why_us_type_value` (`field_why_us_type_value`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for node field field_why_us_type.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_revision__field_why_us_type`
--

LOCK TABLES `node_revision__field_why_us_type` WRITE;
/*!40000 ALTER TABLE `node_revision__field_why_us_type` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_revision__field_why_us_type` VALUES ('why_us',0,25,25,'en',0,'1'),('why_us',0,26,26,'en',0,'1'),('why_us',0,27,27,'en',0,'1'),('why_us',0,28,28,'en',0,'1'),('why_us',0,29,29,'en',0,'1'),('why_us',0,37,37,'en',0,'2'),('why_us',0,38,38,'en',0,'2'),('why_us',0,39,39,'en',0,'2'),('why_us',0,40,40,'en',0,'2');
/*!40000 ALTER TABLE `node_revision__field_why_us_type` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_revision__simplenews_issue`
--

DROP TABLE IF EXISTS `node_revision__simplenews_issue`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_revision__simplenews_issue` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `simplenews_issue_target_id` varchar(255) CHARACTER SET ascii NOT NULL COMMENT 'The ID of the target entity.',
  `simplenews_issue_handler` varchar(255) DEFAULT NULL COMMENT 'The issue handler.',
  `simplenews_issue_handler_settings` longblob DEFAULT NULL COMMENT 'The issue handler settings.',
  `simplenews_issue_status` tinyint(4) DEFAULT NULL COMMENT 'A flag indicating whether the issue is published (3), ready (2), pending (1) or not (0).',
  `simplenews_issue_sent_count` int(10) unsigned DEFAULT NULL COMMENT 'Counter of already sent newsletters.',
  `simplenews_issue_subscribers` int(10) unsigned DEFAULT NULL COMMENT 'Counter of subscribers.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `simplenews_issue_target_id` (`simplenews_issue_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for node field simplenews_issue.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_revision__simplenews_issue`
--

LOCK TABLES `node_revision__simplenews_issue` WRITE;
/*!40000 ALTER TABLE `node_revision__simplenews_issue` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `node_revision__simplenews_issue` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `old_5e3cdd_url_alias`
--

DROP TABLE IF EXISTS `old_5e3cdd_url_alias`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `old_5e3cdd_url_alias` (
  `pid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'A unique path alias identifier.',
  `source` varchar(255) NOT NULL DEFAULT '' COMMENT 'The Drupal path this alias is for. e.g. node/12.',
  `alias` varchar(255) NOT NULL DEFAULT '' COMMENT 'The alias for this path. e.g. title-of-the-story.',
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code this alias is for. if ''und'', the alias will be used for unknown languages. Each Drupal path can have an alias for each supported language.',
  PRIMARY KEY (`pid`),
  KEY `alias_langcode_pid` (`alias`(191),`langcode`,`pid`),
  KEY `source_langcode_pid` (`source`(191),`langcode`,`pid`)
) ENGINE=InnoDB AUTO_INCREMENT=58 DEFAULT CHARSET=utf8mb4 COMMENT='A list of URL aliases for Drupal paths. a user may visit…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `old_5e3cdd_url_alias`
--

LOCK TABLES `old_5e3cdd_url_alias` WRITE;
/*!40000 ALTER TABLE `old_5e3cdd_url_alias` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `old_5e3cdd_url_alias` VALUES (1,'/node/4','/about-us','en'),(2,'/node/5','/partners/drupal','en'),(4,'/node/7','/partners/bootstrap','en'),(6,'/node/9','/partners/youtube','en'),(7,'/node/10','/partners/jquery','en'),(8,'/taxonomy/term/1','/tags/css','en'),(9,'/taxonomy/term/2','/tags/drupal','en'),(10,'/node/11','/blog/warehouse-sale-emeryville','en'),(11,'/node/12','/blog/dare-bare','en'),(12,'/taxonomy/term/3','/tags/software','en'),(13,'/taxonomy/term/4','/tags/company','en'),(14,'/node/14','/banner/portfolio-page','en'),(15,'/node/13','/banner/blog-details','en'),(16,'/node/15','/blog/wall','en'),(17,'/taxonomy/term/5','/tags/transportation','en'),(18,'/taxonomy/term/6','/tags/service','en'),(19,'/node/16','/blog/seeing-light','en'),(20,'/node/17','/banner/blog-page','en'),(21,'/node/18','/portfolio/portfolio','en'),(22,'/node/19','/portfolio/portfolio-1','en'),(23,'/node/20','/portfolio/portfolio-2','en'),(24,'/node/21','/banner/about-us','en'),(25,'/node/22','/our_mission/customer-support','en'),(26,'/node/23','/our_mission/lightbox','en'),(27,'/node/24','/our_mission/buttons','en'),(28,'/node/25','/why_us/unique-design','en'),(29,'/node/26','/why_us/bootstrap-compatible','en'),(30,'/node/27','/why_us/amples-customizations','en'),(31,'/node/28','/why_us/fully-responsive','en'),(32,'/node/29','/why_us/designed-your-business','en'),(33,'/node/30','/services','en'),(34,'/node/31','/our_services/stet-clita-kasd-gubergren','en'),(35,'/node/32','/our_services/lorem-ipsum-dolor-sit','en'),(36,'/node/33','/our_services/aliquam-erat','en'),(37,'/node/34','/our_services/design-and-build','en'),(38,'/node/35','/our_services/special-projects','en'),(39,'/node/36','/our_services/general-contracting','en'),(40,'/node/37','/why_us/unique-design-0','en'),(41,'/node/38','/why_us/bootstrap-compatible-0','en'),(42,'/node/39','/why_us/amples-customizations-0','en'),(43,'/node/40','/why_us/fully-responsive-0','en'),(44,'/node/41','/banner/services','en'),(45,'/node/42','/banner/contact-us','en'),(46,'/node/4','/about-us','ar'),(47,'/node/30','/services','ar'),(48,'/node/43','/partners/weebpal','en'),(49,'/node/44','/partners/business','en'),(50,'/node/45','/banner/userlogin','en'),(51,'/taxonomy/term/5','/wswm/transportation','ar'),(52,'/taxonomy/term/1','/wswm/css','ar'),(53,'/taxonomy/term/2','/wswm/drupal','ar'),(54,'/node/12','/blog/dare-bare','ar'),(55,'/node/11','/blog/warehouse-sale-emeryville','ar'),(56,'/node/16','/blog/seeing-light','ar'),(57,'/node/15','/blog/wall','ar');
/*!40000 ALTER TABLE `old_5e3cdd_url_alias` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `old_65e25emenu_link_content`
--

DROP TABLE IF EXISTS `old_65e25emenu_link_content`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `old_65e25emenu_link_content` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `bundle` varchar(32) CHARACTER SET ascii NOT NULL,
  `uuid` varchar(128) CHARACTER SET ascii NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `menu_link_content_field__uuid__value` (`uuid`)
) ENGINE=InnoDB AUTO_INCREMENT=20 DEFAULT CHARSET=utf8mb4 COMMENT='The base table for menu_link_content entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `old_65e25emenu_link_content`
--

LOCK TABLES `old_65e25emenu_link_content` WRITE;
/*!40000 ALTER TABLE `old_65e25emenu_link_content` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `old_65e25emenu_link_content` VALUES (1,'menu_link_content','56804dba-564f-4261-be6d-3260b06c9b37','en'),(2,'menu_link_content','4ee76de9-f8b7-4213-be88-719f49654dfb','en'),(3,'menu_link_content','49749b67-c74d-408e-a60e-bf8ff8ffb97f','en'),(4,'menu_link_content','2bdced62-2f42-4421-b679-32d1d8b4b8b7','en'),(6,'menu_link_content','60c931cd-37da-4cfd-a054-ef7863f9f6b2','en'),(7,'menu_link_content','7909f56f-2491-4bc2-a54a-dc6f55cece88','en'),(8,'menu_link_content','919839f6-a4c3-493d-8fdd-e97513aa3eda','en'),(9,'menu_link_content','26cf0986-53da-465e-bb0d-d2dc2f1712e8','en'),(10,'menu_link_content','7303c9d0-4d17-4f7a-a3a3-641cce2543b3','en'),(11,'menu_link_content','527ea562-6643-4efb-8037-e01aeef59884','en'),(12,'menu_link_content','25821ec7-df98-47dc-a5d5-4029a2837e55','en'),(13,'menu_link_content','d4ba7240-f5f6-4077-92a1-b03f3dc2fc12','en'),(14,'menu_link_content','20bcd853-7bfc-4421-8c82-15217f40ae51','en'),(15,'menu_link_content','36727826-f03f-4f36-919a-142ae953e104','en'),(16,'menu_link_content','a21c44b2-835d-441e-8cbe-33d0ec296784','en'),(17,'menu_link_content','96a946eb-22c6-4787-8f6e-ad381be14222','en'),(18,'menu_link_content','bd337eec-18a0-43da-aca9-292607213b64','en'),(19,'menu_link_content','7e0a4dbd-8408-4b7e-bd75-c8515eb0dec0','en');
/*!40000 ALTER TABLE `old_65e25emenu_link_content` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `old_65e25emenu_link_content_data`
--

DROP TABLE IF EXISTS `old_65e25emenu_link_content_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `old_65e25emenu_link_content_data` (
  `id` int(10) unsigned NOT NULL,
  `bundle` varchar(32) CHARACTER SET ascii NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  `title` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `menu_name` varchar(255) CHARACTER SET ascii DEFAULT NULL,
  `link__uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `link__title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `link__options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  `external` tinyint(4) DEFAULT NULL,
  `rediscover` tinyint(4) DEFAULT NULL,
  `weight` int(11) DEFAULT NULL,
  `expanded` tinyint(4) DEFAULT NULL,
  `enabled` tinyint(4) NOT NULL,
  `parent` varchar(255) DEFAULT NULL,
  `changed` int(11) DEFAULT NULL,
  `default_langcode` tinyint(4) NOT NULL,
  PRIMARY KEY (`id`,`langcode`),
  KEY `menu_link_content_field__link__uri` (`link__uri`(30)),
  KEY `menu_link_content__id__default_langcode__langcode` (`id`,`default_langcode`,`langcode`),
  KEY `menu_link_content__enabled_bundle` (`enabled`,`bundle`,`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='The data table for menu_link_content entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `old_65e25emenu_link_content_data`
--

LOCK TABLES `old_65e25emenu_link_content_data` WRITE;
/*!40000 ALTER TABLE `old_65e25emenu_link_content_data` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `old_65e25emenu_link_content_data` VALUES (1,'menu_link_content','en','About us','About us','main','internal:/about-us','','a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";s:0:\"\";s:6:\"target\";s:0:\"\";}}',0,1,-49,0,1,NULL,1473668676,1),(2,'menu_link_content','en','Services','Services','main','internal:/services','','a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";s:0:\"\";s:6:\"target\";s:0:\"\";}}',0,1,-48,0,1,NULL,1473668681,1),(3,'menu_link_content','en','Portfolio','Porfolio','main','internal:/portfolio','','a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";s:0:\"\";s:6:\"target\";s:0:\"\";}}',0,1,-47,1,1,NULL,1473668687,1),(4,'menu_link_content','en','Blog','Blog','main','internal:/blog','','a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";s:0:\"\";s:6:\"target\";s:0:\"\";}}',0,1,-46,1,1,NULL,1473668692,1),(6,'menu_link_content','en','More themes','More themes','main','http://weebpal.com/','','a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";s:0:\"\";s:6:\"target\";s:6:\"_blank\";}}',0,0,-44,0,1,NULL,1472109296,1),(7,'menu_link_content','en','Drupal','Drupal','quick','https://www.drupal.org/','','a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";s:0:\"\";s:6:\"target\";s:6:\"_blank\";}}',0,0,0,0,1,NULL,1472109587,1),(8,'menu_link_content','en','Facebook','Facebook','quick','https://www.facebook.com/','','a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";s:0:\"\";s:6:\"target\";s:6:\"_blank\";}}',0,0,0,0,1,NULL,1472109583,1),(9,'menu_link_content','en','Google','Google','quick','https://www.google.com','','a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";s:0:\"\";s:6:\"target\";s:6:\"_blank\";}}',0,0,0,0,1,NULL,1472109579,1),(10,'menu_link_content','en','Twitter','Twitter','quick','https://twitter.com/','','a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";s:0:\"\";s:6:\"target\";s:6:\"_blank\";}}',0,0,0,0,1,NULL,1472109561,1),(11,'menu_link_content','en','Wordpress','Wordpress','quick','https://wordpress.com/','','a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";s:0:\"\";s:6:\"target\";s:6:\"_blank\";}}',0,0,0,0,1,NULL,1472109569,1),(12,'menu_link_content','en','Weebpal','Weebpal','quick','https://www.weebpal.com/','','a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";s:0:\"\";s:6:\"target\";s:6:\"_blank\";}}',0,0,0,0,1,NULL,1472109565,1),(13,'menu_link_content','en','Portfolio 4 col','Portfolio 4 col','main','internal:/portfolio_4_col','','a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";s:0:\"\";s:6:\"target\";s:0:\"\";}}',0,1,-50,0,1,'menu_link_content:49749b67-c74d-408e-a60e-bf8ff8ffb97f',1473666752,1),(14,'menu_link_content','en','Portfolio masonry','Portfolio masonry','main','internal:/portfolio_masonry','','a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";s:0:\"\";s:6:\"target\";s:0:\"\";}}',0,1,-49,0,1,'menu_link_content:49749b67-c74d-408e-a60e-bf8ff8ffb97f',1473666764,1),(15,'menu_link_content','en','Contact','Contact','main','internal:/contact','','a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";s:0:\"\";s:6:\"target\";s:0:\"\";}}',0,1,-45,0,1,NULL,1473668697,1),(16,'menu_link_content','en','My account','My account','main','internal:/user','','a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";s:12:\"user-account\";s:6:\"target\";s:6:\"_blank\";}}',0,1,-43,0,0,NULL,1500969152,1),(17,'menu_link_content','en','Log out','Log out','main','internal:/user/logout','','a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";s:12:\"user-log-out\";s:6:\"target\";s:0:\"\";}}',0,1,-42,0,0,NULL,1500969152,1),(18,'menu_link_content','en','Login | User',NULL,'main','internal:/user/login','','a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";s:11:\"user-log-in\";s:6:\"target\";s:0:\"\";}}',0,1,-41,0,1,NULL,1500968850,1),(19,'menu_link_content','en','Blog default','Blog default','main','internal:/blog_default','','a:1:{s:10:\"attributes\";a:2:{s:5:\"class\";s:0:\"\";s:6:\"target\";s:0:\"\";}}',0,1,0,0,1,'menu_link_content:2bdced62-2f42-4421-b679-32d1d8b4b8b7',1473666777,1);
/*!40000 ALTER TABLE `old_65e25emenu_link_content_data` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `old_775174taxonomy_term__parent`
--

DROP TABLE IF EXISTS `old_775174taxonomy_term__parent`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `old_775174taxonomy_term__parent` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to, which for an unversioned entity type is the same as the entity id',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `parent_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `parent_target_id` (`parent_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for taxonomy_term field parent.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `old_775174taxonomy_term__parent`
--

LOCK TABLES `old_775174taxonomy_term__parent` WRITE;
/*!40000 ALTER TABLE `old_775174taxonomy_term__parent` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `old_775174taxonomy_term__parent` VALUES ('tags',0,1,1,'en',0,0),('tags',0,2,2,'en',0,0),('tags',0,3,3,'en',0,0),('tags',0,4,4,'en',0,0),('tags',0,5,5,'en',0,0),('tags',0,6,6,'en',0,0);
/*!40000 ALTER TABLE `old_775174taxonomy_term__parent` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `old_775174taxonomy_term_data`
--

DROP TABLE IF EXISTS `old_775174taxonomy_term_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `old_775174taxonomy_term_data` (
  `tid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `vid` varchar(32) CHARACTER SET ascii NOT NULL COMMENT 'The ID of the target entity.',
  `uuid` varchar(128) CHARACTER SET ascii NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  PRIMARY KEY (`tid`),
  UNIQUE KEY `taxonomy_term_field__uuid__value` (`uuid`),
  KEY `taxonomy_term_field__vid__target_id` (`vid`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COMMENT='The base table for taxonomy_term entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `old_775174taxonomy_term_data`
--

LOCK TABLES `old_775174taxonomy_term_data` WRITE;
/*!40000 ALTER TABLE `old_775174taxonomy_term_data` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `old_775174taxonomy_term_data` VALUES (1,'tags','40d761d7-67db-4d97-90bc-884a51320ebd','en'),(2,'tags','e504cf90-6dd0-41bf-a8da-2b52a31498eb','en'),(3,'tags','99c68fde-83c1-468d-be6f-63460bb37326','en'),(4,'tags','dbb4c5ca-6592-421b-9022-4542861ad596','en'),(5,'tags','10f16cf6-07e7-4261-bd7c-ab1636796bbc','en'),(6,'tags','e9a9eba6-0aa2-4378-a0b3-82c0ff8a472a','en');
/*!40000 ALTER TABLE `old_775174taxonomy_term_data` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `old_775174taxonomy_term_field_data`
--

DROP TABLE IF EXISTS `old_775174taxonomy_term_field_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `old_775174taxonomy_term_field_data` (
  `tid` int(10) unsigned NOT NULL,
  `vid` varchar(32) CHARACTER SET ascii NOT NULL COMMENT 'The ID of the target entity.',
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  `name` varchar(255) NOT NULL,
  `description__value` longtext DEFAULT NULL,
  `description__format` varchar(255) CHARACTER SET ascii DEFAULT NULL,
  `weight` int(11) NOT NULL,
  `changed` int(11) DEFAULT NULL,
  `default_langcode` tinyint(4) NOT NULL,
  `content_translation_source` varchar(12) CHARACTER SET ascii DEFAULT NULL,
  `content_translation_outdated` tinyint(4) DEFAULT NULL,
  `content_translation_uid` int(10) unsigned DEFAULT NULL COMMENT 'The ID of the target entity.',
  `content_translation_created` int(11) DEFAULT NULL,
  `status` tinyint(4) NOT NULL,
  PRIMARY KEY (`tid`,`langcode`),
  KEY `taxonomy_term_field__name` (`name`(191)),
  KEY `taxonomy_term__1a0c187e9a` (`content_translation_uid`),
  KEY `taxonomy_term__id__default_langcode__langcode` (`tid`,`default_langcode`,`langcode`),
  KEY `taxonomy_term__tree` (`vid`,`weight`,`name`(191)),
  KEY `taxonomy_term__vid_name` (`vid`,`name`(191)),
  KEY `taxonomy_term__status_vid` (`status`,`vid`,`tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='The data table for taxonomy_term entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `old_775174taxonomy_term_field_data`
--

LOCK TABLES `old_775174taxonomy_term_field_data` WRITE;
/*!40000 ALTER TABLE `old_775174taxonomy_term_field_data` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `old_775174taxonomy_term_field_data` VALUES (1,'tags','ar','CSS',NULL,NULL,0,1473408321,0,'en',0,1,1473408321,1),(1,'tags','en','CSS',NULL,NULL,0,1469169637,1,'und',0,NULL,NULL,1),(2,'tags','ar','Drupal',NULL,NULL,0,1473750142,0,'en',0,1,1473408373,1),(2,'tags','en','Drupal',NULL,NULL,0,1469169844,1,'und',0,NULL,NULL,1),(3,'tags','en','Software',NULL,NULL,0,1469417352,1,'und',0,NULL,NULL,1),(4,'tags','en','Company',NULL,NULL,0,1469417357,1,'und',0,NULL,NULL,1),(5,'tags','ar','Transportation',NULL,NULL,0,1473408315,0,'en',0,1,1473408315,1),(5,'tags','en','Transportation',NULL,NULL,0,1469421184,1,'und',0,NULL,NULL,1),(6,'tags','en','Service',NULL,NULL,0,1469421193,1,'und',0,NULL,NULL,1);
/*!40000 ALTER TABLE `old_775174taxonomy_term_field_data` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `path_alias`
--

DROP TABLE IF EXISTS `path_alias`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `path_alias` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `revision_id` int(10) unsigned DEFAULT NULL,
  `uuid` varchar(128) CHARACTER SET ascii NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  `path` varchar(255) DEFAULT NULL,
  `alias` varchar(255) DEFAULT NULL,
  `status` tinyint(4) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `path_alias_field__uuid__value` (`uuid`),
  UNIQUE KEY `path_alias__revision_id` (`revision_id`),
  KEY `path_alias__status` (`status`,`id`),
  KEY `path_alias__alias_langcode_id_status` (`alias`(191),`langcode`,`id`,`status`),
  KEY `path_alias__path_langcode_id_status` (`path`(191),`langcode`,`id`,`status`)
) ENGINE=InnoDB AUTO_INCREMENT=58 DEFAULT CHARSET=utf8mb4 COMMENT='The base table for path_alias entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `path_alias`
--

LOCK TABLES `path_alias` WRITE;
/*!40000 ALTER TABLE `path_alias` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `path_alias` VALUES (1,1,'a7e8a66d-527e-4859-a92d-7d9e18cf26f8','en','/node/4','/about-us',1),(2,2,'acf02bb4-9883-40de-9691-2eb9ce3f36ee','en','/node/5','/partners/drupal',1),(4,4,'0a7dde0e-a10f-4fad-8cab-1d5a9f5b1358','en','/node/7','/partners/bootstrap',1),(6,6,'1d413962-eab1-4579-83c1-04ef3b291a03','en','/node/9','/partners/youtube',1),(7,7,'0567ed11-4189-498b-9461-6201f89e1016','en','/node/10','/partners/jquery',1),(8,8,'c56fe89c-d0c1-4b71-98c4-cf7f2bffbe8f','en','/taxonomy/term/1','/tags/css',1),(9,9,'43638232-2afa-45d3-9616-7240adc865ed','en','/taxonomy/term/2','/tags/drupal',1),(10,10,'7795a85f-bed8-4d89-9701-654ca9cd5e1d','en','/node/11','/blog/warehouse-sale-emeryville',1),(11,11,'96412dd9-7bd7-4f48-8dd5-b24f015f08b4','en','/node/12','/blog/dare-bare',1),(12,12,'6dbcf5a0-4109-4408-b312-dc4c4032d868','en','/taxonomy/term/3','/tags/software',1),(13,13,'7a8bd2f6-81ec-4c34-9b1f-760a89f7e421','en','/taxonomy/term/4','/tags/company',1),(14,14,'90352699-d156-47ff-9224-01639c8cb091','en','/node/14','/banner/portfolio-page',1),(15,15,'ab748476-ca8a-4e27-bf43-2594ceac0980','en','/node/13','/banner/blog-details',1),(16,16,'22fc9461-3c2a-4a80-b90c-b64e06911363','en','/node/15','/blog/wall',1),(17,17,'2eba1884-6d81-4c31-af5b-1d870f96f77a','en','/taxonomy/term/5','/tags/transportation',1),(18,18,'d27e5d4c-c058-4b8d-8972-57187848f18b','en','/taxonomy/term/6','/tags/service',1),(19,19,'e8993797-5089-49fd-8456-c93d12afd408','en','/node/16','/blog/seeing-light',1),(20,20,'44e42050-9d36-4bf8-92f9-7872b98b95f0','en','/node/17','/banner/blog-page',1),(21,21,'84dded27-4d24-4a42-ab15-c20a7c61c53a','en','/node/18','/portfolio/portfolio',1),(22,22,'93d82bb7-2369-4110-8b0a-bea83ca74f80','en','/node/19','/portfolio/portfolio-1',1),(23,23,'62fbd170-02b4-4862-8a42-e9c14ae729a6','en','/node/20','/portfolio/portfolio-2',1),(24,24,'1109ffae-4b8e-4158-802b-620d59f610dc','en','/node/21','/banner/about-us',1),(25,25,'7ff1a702-05bf-4ab9-b2a4-92fe5fb301e5','en','/node/22','/our_mission/customer-support',1),(26,26,'69663e6d-fa55-46fa-b67e-6e0e49b55335','en','/node/23','/our_mission/lightbox',1),(27,27,'cae3c8bc-168f-4aac-abbf-22805689a44a','en','/node/24','/our_mission/buttons',1),(28,28,'e7a775dd-54a9-4fa9-8d3d-83c0a66bfc9e','en','/node/25','/why_us/unique-design',1),(29,29,'39151126-7084-4824-ae34-de9188035245','en','/node/26','/why_us/bootstrap-compatible',1),(30,30,'7462e485-5c40-4487-91b1-8e9725b2cc4b','en','/node/27','/why_us/amples-customizations',1),(31,31,'73ea6708-e51b-4b34-b47e-fa384a6c72d3','en','/node/28','/why_us/fully-responsive',1),(32,32,'e70178c8-812d-4517-be14-6138560916d7','en','/node/29','/why_us/designed-your-business',1),(33,33,'cb9f2973-2a55-4078-adb8-f2bde5dc6a38','en','/node/30','/services',1),(34,34,'9980b8a2-7f0b-4d89-a270-70420df4722b','en','/node/31','/our_services/stet-clita-kasd-gubergren',1),(35,35,'46b79458-65a5-4120-bd5e-bb47dd2a8a42','en','/node/32','/our_services/lorem-ipsum-dolor-sit',1),(36,36,'a5cabb05-93aa-487e-906f-fe02163e4367','en','/node/33','/our_services/aliquam-erat',1),(37,37,'3225ee79-63a6-4f80-8a84-87ba7901cfad','en','/node/34','/our_services/design-and-build',1),(38,38,'19b90361-b65a-4605-b880-9c84dbbe45dd','en','/node/35','/our_services/special-projects',1),(39,39,'b68f1206-a092-4822-b4b5-c76a748a3088','en','/node/36','/our_services/general-contracting',1),(40,40,'40d54e72-1b00-41ac-813e-fd2ffc288f59','en','/node/37','/why_us/unique-design-0',1),(41,41,'d4e21f38-9ff6-48e8-be9d-2606a57156e3','en','/node/38','/why_us/bootstrap-compatible-0',1),(42,42,'4e8e9fc1-6534-4597-995d-74ad8295d617','en','/node/39','/why_us/amples-customizations-0',1),(43,43,'47ed266c-904c-4f45-a3db-e4d7cae72f61','en','/node/40','/why_us/fully-responsive-0',1),(44,44,'c85cb2e1-47c8-4676-8a45-a608cb1408ac','en','/node/41','/banner/services',1),(45,45,'f03e6ec3-3197-415e-9030-68f598c68fb2','en','/node/42','/banner/contact-us',1),(46,46,'ef12a451-be99-49e8-b8bf-e71f3fada15e','ar','/node/4','/about-us',1),(47,47,'afdf12f4-eb28-4c61-a664-49eb96bf5b54','ar','/node/30','/services',1),(48,48,'5033c7b1-cf64-4843-8ea3-752fca30297d','en','/node/43','/partners/weebpal',1),(49,49,'ad68308b-a028-4e26-8eec-e32ddf573195','en','/node/44','/partners/business',1),(50,50,'3fa852f8-d854-4a81-b816-db53e739e2f2','en','/node/45','/banner/userlogin',1),(51,51,'ef3ba3e1-eba2-4277-be86-2932291071c2','ar','/taxonomy/term/5','/wswm/transportation',1),(52,52,'682a9d54-27e3-4c3f-9a96-cb8d496412ca','ar','/taxonomy/term/1','/wswm/css',1),(53,53,'b3125c4a-c080-4586-bfe5-d1eb2de5da53','ar','/taxonomy/term/2','/wswm/drupal',1),(54,54,'7c3fe2f2-6a73-4ece-893c-ebad13d1f57d','ar','/node/12','/blog/dare-bare',1),(55,55,'bb84e137-69e6-4c05-aec4-5b559f0d1b53','ar','/node/11','/blog/warehouse-sale-emeryville',1),(56,56,'3c272415-66e6-4e41-9198-c8f7cecf870f','ar','/node/16','/blog/seeing-light',1),(57,57,'632cc8b5-0acc-4c5c-a4ff-624ed1b080da','ar','/node/15','/blog/wall',1);
/*!40000 ALTER TABLE `path_alias` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `path_alias_revision`
--

DROP TABLE IF EXISTS `path_alias_revision`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `path_alias_revision` (
  `id` int(10) unsigned NOT NULL,
  `revision_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  `path` varchar(255) DEFAULT NULL,
  `alias` varchar(255) DEFAULT NULL,
  `status` tinyint(4) NOT NULL,
  `revision_default` tinyint(4) DEFAULT NULL,
  PRIMARY KEY (`revision_id`),
  KEY `path_alias__id` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=58 DEFAULT CHARSET=utf8mb4 COMMENT='The revision table for path_alias entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `path_alias_revision`
--

LOCK TABLES `path_alias_revision` WRITE;
/*!40000 ALTER TABLE `path_alias_revision` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `path_alias_revision` VALUES (1,1,'en','/node/4','/about-us',1,1),(2,2,'en','/node/5','/partners/drupal',1,1),(4,4,'en','/node/7','/partners/bootstrap',1,1),(6,6,'en','/node/9','/partners/youtube',1,1),(7,7,'en','/node/10','/partners/jquery',1,1),(8,8,'en','/taxonomy/term/1','/tags/css',1,1),(9,9,'en','/taxonomy/term/2','/tags/drupal',1,1),(10,10,'en','/node/11','/blog/warehouse-sale-emeryville',1,1),(11,11,'en','/node/12','/blog/dare-bare',1,1),(12,12,'en','/taxonomy/term/3','/tags/software',1,1),(13,13,'en','/taxonomy/term/4','/tags/company',1,1),(14,14,'en','/node/14','/banner/portfolio-page',1,1),(15,15,'en','/node/13','/banner/blog-details',1,1),(16,16,'en','/node/15','/blog/wall',1,1),(17,17,'en','/taxonomy/term/5','/tags/transportation',1,1),(18,18,'en','/taxonomy/term/6','/tags/service',1,1),(19,19,'en','/node/16','/blog/seeing-light',1,1),(20,20,'en','/node/17','/banner/blog-page',1,1),(21,21,'en','/node/18','/portfolio/portfolio',1,1),(22,22,'en','/node/19','/portfolio/portfolio-1',1,1),(23,23,'en','/node/20','/portfolio/portfolio-2',1,1),(24,24,'en','/node/21','/banner/about-us',1,1),(25,25,'en','/node/22','/our_mission/customer-support',1,1),(26,26,'en','/node/23','/our_mission/lightbox',1,1),(27,27,'en','/node/24','/our_mission/buttons',1,1),(28,28,'en','/node/25','/why_us/unique-design',1,1),(29,29,'en','/node/26','/why_us/bootstrap-compatible',1,1),(30,30,'en','/node/27','/why_us/amples-customizations',1,1),(31,31,'en','/node/28','/why_us/fully-responsive',1,1),(32,32,'en','/node/29','/why_us/designed-your-business',1,1),(33,33,'en','/node/30','/services',1,1),(34,34,'en','/node/31','/our_services/stet-clita-kasd-gubergren',1,1),(35,35,'en','/node/32','/our_services/lorem-ipsum-dolor-sit',1,1),(36,36,'en','/node/33','/our_services/aliquam-erat',1,1),(37,37,'en','/node/34','/our_services/design-and-build',1,1),(38,38,'en','/node/35','/our_services/special-projects',1,1),(39,39,'en','/node/36','/our_services/general-contracting',1,1),(40,40,'en','/node/37','/why_us/unique-design-0',1,1),(41,41,'en','/node/38','/why_us/bootstrap-compatible-0',1,1),(42,42,'en','/node/39','/why_us/amples-customizations-0',1,1),(43,43,'en','/node/40','/why_us/fully-responsive-0',1,1),(44,44,'en','/node/41','/banner/services',1,1),(45,45,'en','/node/42','/banner/contact-us',1,1),(46,46,'ar','/node/4','/about-us',1,1),(47,47,'ar','/node/30','/services',1,1),(48,48,'en','/node/43','/partners/weebpal',1,1),(49,49,'en','/node/44','/partners/business',1,1),(50,50,'en','/node/45','/banner/userlogin',1,1),(51,51,'ar','/taxonomy/term/5','/wswm/transportation',1,1),(52,52,'ar','/taxonomy/term/1','/wswm/css',1,1),(53,53,'ar','/taxonomy/term/2','/wswm/drupal',1,1),(54,54,'ar','/node/12','/blog/dare-bare',1,1),(55,55,'ar','/node/11','/blog/warehouse-sale-emeryville',1,1),(56,56,'ar','/node/16','/blog/seeing-light',1,1),(57,57,'ar','/node/15','/blog/wall',1,1);
/*!40000 ALTER TABLE `path_alias_revision` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `queue`
--

DROP TABLE IF EXISTS `queue`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `queue` (
  `item_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique item ID.',
  `name` varchar(255) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The queue name.',
  `data` longblob DEFAULT NULL COMMENT 'The arbitrary data for the item.',
  `expire` int(11) NOT NULL DEFAULT 0 COMMENT 'Timestamp when the claim lease expires on the item.',
  `created` int(11) NOT NULL DEFAULT 0 COMMENT 'Timestamp when the item was created.',
  PRIMARY KEY (`item_id`),
  KEY `name_created` (`name`,`created`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB AUTO_INCREMENT=211 DEFAULT CHARSET=utf8mb4 COMMENT='Stores items in queues.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `queue`
--

LOCK TABLES `queue` WRITE;
/*!40000 ALTER TABLE `queue` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `queue` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `router`
--

DROP TABLE IF EXISTS `router`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `router` (
  `name` varchar(255) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'Primary Key: Machine name of this route',
  `path` varchar(255) NOT NULL DEFAULT '' COMMENT 'The path for this URI',
  `pattern_outline` varchar(255) NOT NULL DEFAULT '' COMMENT 'The pattern',
  `fit` int(11) NOT NULL DEFAULT 0 COMMENT 'A numeric representation of how specific the path is.',
  `route` longblob DEFAULT NULL COMMENT 'A serialized Route object',
  `number_parts` smallint(6) NOT NULL DEFAULT 0 COMMENT 'Number of parts in this router path.',
  PRIMARY KEY (`name`),
  KEY `pattern_outline_parts` (`pattern_outline`(191),`number_parts`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Maps paths to various callbacks (access, page and title)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `router`
--

LOCK TABLES `router` WRITE;
/*!40000 ALTER TABLE `router` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `router` VALUES ('<button>','/','/',1,'C:31:\"Symfony\\Component\\Routing\\Route\":743:{a:9:{s:4:\"path\";s:1:\"/\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:0:{}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:8:\"_no_path\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":297:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:8:\"#^/$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:1:\"/\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:1:\"/\";s:8:\"numParts\";i:1;}}}}',1),('<current>','/<current>','/<current>',1,'C:31:\"Symfony\\Component\\Routing\\Route\":681:{a:9:{s:4:\"path\";s:10:\"/<current>\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:0:{}s:12:\"requirements\";a:0:{}s:7:\"options\";a:2:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":329:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:19:\"#^/\\<current\\>$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/<current>\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:10:\"/<current>\";s:8:\"numParts\";i:1;}}}}',1),('<front>','/','/',1,'C:31:\"Symfony\\Component\\Routing\\Route\":748:{a:9:{s:4:\"path\";s:1:\"/\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:6:\"_title\";s:4:\"Home\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":297:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:8:\"#^/$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:1:\"/\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:1:\"/\";s:8:\"numParts\";i:1;}}}}',1),('<nolink>','/','/',1,'C:31:\"Symfony\\Component\\Routing\\Route\":743:{a:9:{s:4:\"path\";s:1:\"/\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:0:{}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:8:\"_no_path\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":297:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:8:\"#^/$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:1:\"/\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:1:\"/\";s:8:\"numParts\";i:1;}}}}',1),('<none>','/','/',1,'C:31:\"Symfony\\Component\\Routing\\Route\":743:{a:9:{s:4:\"path\";s:1:\"/\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:0:{}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:8:\"_no_path\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":297:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:8:\"#^/$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:1:\"/\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:1:\"/\";s:8:\"numParts\";i:1;}}}}',1),('admin_toolbar.run.cron','/run-cron','/run-cron',1,'C:31:\"Symfony\\Component\\Routing\\Route\":971:{a:9:{s:4:\"path\";s:9:\"/run-cron\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:65:\"\\Drupal\\admin_toolbar_tools\\Controller\\ToolbarController::runCron\";s:6:\"_title\";s:8:\"Run cron\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:29:\"administer site configuration\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":323:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:17:\"#^/run\\-cron$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:9:\"/run-cron\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:9:\"/run-cron\";s:8:\"numParts\";i:1;}}}}',1),('admin_toolbar.search','/admin/admin-toolbar-search','/admin/admin-toolbar-search',3,'C:31:\"Symfony\\Component\\Routing\\Route\":990:{a:9:{s:4:\"path\";s:27:\"/admin/admin-toolbar-search\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:76:\"\\Drupal\\admin_toolbar_search\\Controller\\AdminToolbarSearchController::search\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"use admin toolbar search\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":380:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:36:\"#^/admin/admin\\-toolbar\\-search$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:27:\"/admin/admin-toolbar-search\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:27:\"/admin/admin-toolbar-search\";s:8:\"numParts\";i:2;}}}}',2),('admin_toolbar_tools.cssjs','/admin/flush/cssjs','/admin/flush/cssjs',7,'C:31:\"Symfony\\Component\\Routing\\Route\":1053:{a:9:{s:4:\"path\";s:18:\"/admin/flush/cssjs\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:68:\"\\Drupal\\admin_toolbar_tools\\Controller\\ToolbarController::flushJsCss\";s:6:\"_title\";s:24:\"Flush Css and Javascript\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:29:\"administer site configuration\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":351:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:25:\"#^/admin/flush/cssjs$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/admin/flush/cssjs\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:18:\"/admin/flush/cssjs\";s:8:\"numParts\";i:3;}}}}',3),('admin_toolbar_tools.flush','/admin/flush','/admin/flush',3,'C:31:\"Symfony\\Component\\Routing\\Route\":1019:{a:9:{s:4:\"path\";s:12:\"/admin/flush\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:66:\"\\Drupal\\admin_toolbar_tools\\Controller\\ToolbarController::flushAll\";s:6:\"_title\";s:16:\"Flush all caches\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:29:\"administer site configuration\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":333:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:19:\"#^/admin/flush$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:12:\"/admin/flush\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:12:\"/admin/flush\";s:8:\"numParts\";i:2;}}}}',2),('admin_toolbar_tools.flush_menu','/admin/flush/menu','/admin/flush/menu',7,'C:31:\"Symfony\\Component\\Routing\\Route\":1027:{a:9:{s:4:\"path\";s:17:\"/admin/flush/menu\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:67:\"\\Drupal\\admin_toolbar_tools\\Controller\\ToolbarController::flushMenu\";s:6:\"_title\";s:4:\"Menu\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:29:\"administer site configuration\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":348:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:24:\"#^/admin/flush/menu$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/admin/flush/menu\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:17:\"/admin/flush/menu\";s:8:\"numParts\";i:3;}}}}',3),('admin_toolbar_tools.flush_rendercache','/admin/flush/rendercache','/admin/flush/rendercache',7,'C:31:\"Symfony\\Component\\Routing\\Route\":1066:{a:9:{s:4:\"path\";s:24:\"/admin/flush/rendercache\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:69:\"\\Drupal\\admin_toolbar_tools\\Controller\\ToolbarController::cacheRender\";s:6:\"_title\";s:12:\"Render cache\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:29:\"administer site configuration\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":369:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:31:\"#^/admin/flush/rendercache$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:24:\"/admin/flush/rendercache\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:24:\"/admin/flush/rendercache\";s:8:\"numParts\";i:3;}}}}',3),('admin_toolbar_tools.flush_static','/admin/flush/static-caches','/admin/flush/static-caches',7,'C:31:\"Symfony\\Component\\Routing\\Route\":1076:{a:9:{s:4:\"path\";s:26:\"/admin/flush/static-caches\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:69:\"\\Drupal\\admin_toolbar_tools\\Controller\\ToolbarController::flushStatic\";s:6:\"_title\";s:13:\"Static caches\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:29:\"administer site configuration\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":376:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:34:\"#^/admin/flush/static\\-caches$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/flush/static-caches\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:26:\"/admin/flush/static-caches\";s:8:\"numParts\";i:3;}}}}',3),('admin_toolbar_tools.flush_twig','/admin/flush/twig','/admin/flush/twig',7,'C:31:\"Symfony\\Component\\Routing\\Route\":1027:{a:9:{s:4:\"path\";s:17:\"/admin/flush/twig\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:67:\"\\Drupal\\admin_toolbar_tools\\Controller\\ToolbarController::flushTwig\";s:6:\"_title\";s:4:\"Twig\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:29:\"administer site configuration\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":348:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:24:\"#^/admin/flush/twig$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/admin/flush/twig\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:17:\"/admin/flush/twig\";s:8:\"numParts\";i:3;}}}}',3),('admin_toolbar_tools.flush_views','/admin/flush/views','/admin/flush/views',7,'C:31:\"Symfony\\Component\\Routing\\Route\":1033:{a:9:{s:4:\"path\";s:18:\"/admin/flush/views\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:68:\"\\Drupal\\admin_toolbar_tools\\Controller\\ToolbarController::flushViews\";s:6:\"_title\";s:5:\"Views\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:29:\"administer site configuration\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":351:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:25:\"#^/admin/flush/views$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/admin/flush/views\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:18:\"/admin/flush/views\";s:8:\"numParts\";i:3;}}}}',3),('admin_toolbar_tools.plugin','/admin/flush/plugin','/admin/flush/plugin',7,'C:31:\"Symfony\\Component\\Routing\\Route\":1040:{a:9:{s:4:\"path\";s:19:\"/admin/flush/plugin\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:70:\"\\Drupal\\admin_toolbar_tools\\Controller\\ToolbarController::flushPlugins\";s:6:\"_title\";s:6:\"Plugin\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:29:\"administer site configuration\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":354:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:26:\"#^/admin/flush/plugin$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:19:\"/admin/flush/plugin\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:19:\"/admin/flush/plugin\";s:8:\"numParts\";i:3;}}}}',3),('admin_toolbar_tools.theme_rebuild','/admin/flush/theme_rebuild','/admin/flush/theme_rebuild',7,'C:31:\"Symfony\\Component\\Routing\\Route\":1076:{a:9:{s:4:\"path\";s:26:\"/admin/flush/theme_rebuild\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:70:\"\\Drupal\\admin_toolbar_tools\\Controller\\ToolbarController::themeRebuild\";s:6:\"_title\";s:13:\"Theme Rebuild\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:29:\"administer site configuration\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":375:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:33:\"#^/admin/flush/theme_rebuild$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/flush/theme_rebuild\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:26:\"/admin/flush/theme_rebuild\";s:8:\"numParts\";i:3;}}}}',3),('block.admin_add','/admin/structure/block/add/{plugin_id}/{theme}','/admin/structure/block/add/%',30,'C:31:\"Symfony\\Component\\Routing\\Route\":1325:{a:9:{s:4:\"path\";s:46:\"/admin/structure/block/add/{plugin_id}/{theme}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:11:\"_controller\";s:66:\"\\Drupal\\block\\Controller\\BlockAddController::blockAddConfigureForm\";s:5:\"theme\";N;s:6:\"_title\";s:15:\"Configure block\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:17:\"administer blocks\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":663:{a:11:{s:4:\"vars\";a:2:{i:0;s:9:\"plugin_id\";i:1;s:5:\"theme\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:78:\"#^/admin/structure/block/add/(?P<plugin_id>[^/]++)(?:/(?P<theme>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:5:\"theme\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"plugin_id\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/structure/block/add\";}}s:9:\"path_vars\";a:2:{i:0;s:9:\"plugin_id\";i:1;s:5:\"theme\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:30;s:14:\"patternOutline\";s:28:\"/admin/structure/block/add/%\";s:8:\"numParts\";i:6;}}}}',6),('block.admin_demo','/admin/structure/block/demo/{theme}','/admin/structure/block/demo/%',30,'C:31:\"Symfony\\Component\\Routing\\Route\":1208:{a:9:{s:4:\"path\";s:35:\"/admin/structure/block/demo/{theme}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:46:\"\\Drupal\\block\\Controller\\BlockController::demo\";s:15:\"_title_callback\";s:21:\"theme_handler:getName\";}s:12:\"requirements\";a:2:{s:13:\"_access_theme\";s:4:\"TRUE\";s:11:\"_permission\";s:17:\"administer blocks\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:0;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:18:\"access_check.theme\";i:1;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":513:{a:11:{s:4:\"vars\";a:1:{i:0;s:5:\"theme\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:52:\"#^/admin/structure/block/demo/(?P<theme>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:5:\"theme\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:27:\"/admin/structure/block/demo\";}}s:9:\"path_vars\";a:1:{i:0;s:5:\"theme\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:30;s:14:\"patternOutline\";s:29:\"/admin/structure/block/demo/%\";s:8:\"numParts\";i:5;}}}}',5),('block.admin_display','/admin/structure/block','/admin/structure/block',7,'C:31:\"Symfony\\Component\\Routing\\Route\":971:{a:9:{s:4:\"path\";s:22:\"/admin/structure/block\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:53:\"\\Drupal\\block\\Controller\\BlockListController::listing\";s:6:\"_title\";s:12:\"Block layout\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:17:\"administer blocks\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":363:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:29:\"#^/admin/structure/block$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/admin/structure/block\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:22:\"/admin/structure/block\";s:8:\"numParts\";i:3;}}}}',3),('block.admin_display_theme','/admin/structure/block/list/{theme}','/admin/structure/block/list/%',30,'C:31:\"Symfony\\Component\\Routing\\Route\":1196:{a:9:{s:4:\"path\";s:35:\"/admin/structure/block/list/{theme}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:53:\"\\Drupal\\block\\Controller\\BlockListController::listing\";s:6:\"_title\";s:12:\"Block layout\";}s:12:\"requirements\";a:2:{s:13:\"_access_theme\";s:4:\"TRUE\";s:11:\"_permission\";s:17:\"administer blocks\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:18:\"access_check.theme\";i:1;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":513:{a:11:{s:4:\"vars\";a:1:{i:0;s:5:\"theme\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:52:\"#^/admin/structure/block/list/(?P<theme>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:5:\"theme\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:27:\"/admin/structure/block/list\";}}s:9:\"path_vars\";a:1:{i:0;s:5:\"theme\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:30;s:14:\"patternOutline\";s:29:\"/admin/structure/block/list/%\";s:8:\"numParts\";i:5;}}}}',5),('block.admin_library','/admin/structure/block/library/{theme}','/admin/structure/block/library/%',30,'C:31:\"Symfony\\Component\\Routing\\Route\":1213:{a:9:{s:4:\"path\";s:38:\"/admin/structure/block/library/{theme}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:59:\"\\Drupal\\block\\Controller\\BlockLibraryController::listBlocks\";s:6:\"_title\";s:11:\"Place block\";}s:12:\"requirements\";a:2:{s:13:\"_access_theme\";s:4:\"TRUE\";s:11:\"_permission\";s:17:\"administer blocks\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:18:\"access_check.theme\";i:1;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":522:{a:11:{s:4:\"vars\";a:1:{i:0;s:5:\"theme\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:55:\"#^/admin/structure/block/library/(?P<theme>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:5:\"theme\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:30:\"/admin/structure/block/library\";}}s:9:\"path_vars\";a:1:{i:0;s:5:\"theme\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:30;s:14:\"patternOutline\";s:32:\"/admin/structure/block/library/%\";s:8:\"numParts\";i:5;}}}}',5),('block.category_autocomplete','/block-category/autocomplete','/block-category/autocomplete',3,'C:31:\"Symfony\\Component\\Routing\\Route\":955:{a:9:{s:4:\"path\";s:28:\"/block-category/autocomplete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:69:\"\\Drupal\\block\\Controller\\CategoryAutocompleteController::autocomplete\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:17:\"administer blocks\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":382:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:36:\"#^/block\\-category/autocomplete$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:28:\"/block-category/autocomplete\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:28:\"/block-category/autocomplete\";s:8:\"numParts\";i:2;}}}}',2),('block_content.add_form','/block/add/{block_content_type}','/block/add/%',6,'C:31:\"Symfony\\Component\\Routing\\Route\":1401:{a:9:{s:4:\"path\";s:31:\"/block/add/{block_content_type}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:64:\"\\Drupal\\block_content\\Controller\\BlockContentController::addForm\";s:15:\"_title_callback\";s:72:\"\\Drupal\\block_content\\Controller\\BlockContentController::getAddFormTitle\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:17:\"administer blocks\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:18:\"block_content_type\";a:2:{s:4:\"type\";s:25:\"entity:block_content_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":516:{a:11:{s:4:\"vars\";a:1:{i:0;s:18:\"block_content_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:48:\"#^/block/add/(?P<block_content_type>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/block/add\";}}s:9:\"path_vars\";a:1:{i:0;s:18:\"block_content_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:12:\"/block/add/%\";s:8:\"numParts\";i:3;}}}}',3),('block_content.add_page','/block/add','/block/add',3,'C:31:\"Symfony\\Component\\Routing\\Route\":934:{a:9:{s:4:\"path\";s:10:\"/block/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:60:\"\\Drupal\\block_content\\Controller\\BlockContentController::add\";s:6:\"_title\";s:16:\"Add custom block\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:17:\"administer blocks\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":327:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:17:\"#^/block/add$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/block/add\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:10:\"/block/add\";s:8:\"numParts\";i:2;}}}}',2),('block_content.type_add','/admin/structure/block/block-content/types/add','/admin/structure/block/block-content/types/add',63,'C:31:\"Symfony\\Component\\Routing\\Route\":1029:{a:9:{s:4:\"path\";s:46:\"/admin/structure/block/block-content/types/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:22:\"block_content_type.add\";s:6:\"_title\";s:3:\"Add\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:17:\"administer blocks\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":437:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:54:\"#^/admin/structure/block/block\\-content/types/add$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:46:\"/admin/structure/block/block-content/types/add\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:63;s:14:\"patternOutline\";s:46:\"/admin/structure/block/block-content/types/add\";s:8:\"numParts\";i:6;}}}}',6),('colorbox.admin_settings','/admin/config/media/colorbox','/admin/config/media/colorbox',15,'C:31:\"Symfony\\Component\\Routing\\Route\":995:{a:9:{s:4:\"path\";s:28:\"/admin/config/media/colorbox\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:42:\"\\Drupal\\colorbox\\Form\\ColorboxSettingsForm\";s:6:\"_title\";s:17:\"Colorbox settings\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:29:\"administer site configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":382:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:35:\"#^/admin/config/media/colorbox$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:28:\"/admin/config/media/colorbox\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:28:\"/admin/config/media/colorbox\";s:8:\"numParts\";i:4;}}}}',4),('comment.admin','/admin/content/comment','/admin/content/comment',7,'C:31:\"Symfony\\Component\\Routing\\Route\":1292:{a:9:{s:4:\"path\";s:22:\"/admin/content/comment\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:8:\"Comments\";s:7:\"view_id\";s:7:\"comment\";s:10:\"display_id\";s:14:\"page_published\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:19:\"administer comments\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:9:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":363:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:29:\"#^/admin/content/comment$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/admin/content/comment\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:22:\"/admin/content/comment\";s:8:\"numParts\";i:3;}}}}',3),('comment.admin_approval','/admin/content/comment/approval','/admin/content/comment/approval',15,'C:31:\"Symfony\\Component\\Routing\\Route\":1330:{a:9:{s:4:\"path\";s:31:\"/admin/content/comment/approval\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:8:\"Comments\";s:7:\"view_id\";s:7:\"comment\";s:10:\"display_id\";s:15:\"page_unapproved\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:19:\"administer comments\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:9:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":391:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:38:\"#^/admin/content/comment/approval$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/content/comment/approval\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:31:\"/admin/content/comment/approval\";s:8:\"numParts\";i:4;}}}}',4),('comment.approve','/comment/{comment}/approve','/comment/%/approve',5,'C:31:\"Symfony\\Component\\Routing\\Route\":1340:{a:9:{s:4:\"path\";s:26:\"/comment/{comment}/approve\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:6:\"_title\";s:7:\"Approve\";s:11:\"_controller\";s:60:\"\\Drupal\\comment\\Controller\\CommentController::commentApprove\";s:11:\"entity_type\";s:7:\"comment\";}s:12:\"requirements\";a:3:{s:14:\"_entity_access\";s:15:\"comment.approve\";s:11:\"_csrf_token\";s:4:\"TRUE\";s:7:\"comment\";s:3:\"\\d+\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:7:\"comment\";a:2:{s:4:\"type\";s:14:\"entity:comment\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":516:{a:11:{s:4:\"vars\";a:1:{i:0;s:7:\"comment\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:40:\"#^/comment/(?P<comment>\\d+)/approve$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/approve\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:7:\"comment\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/comment\";}}s:9:\"path_vars\";a:1:{i:0;s:7:\"comment\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:18:\"/comment/%/approve\";s:8:\"numParts\";i:3;}}}}',3),('comment.multiple_delete_confirm','/admin/content/comment/delete','/admin/content/comment/delete',15,'C:31:\"Symfony\\Component\\Routing\\Route\":1031:{a:9:{s:4:\"path\";s:29:\"/admin/content/comment/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:6:\"_title\";s:6:\"Delete\";s:5:\"_form\";s:42:\"\\Drupal\\comment\\Form\\ConfirmDeleteMultiple\";s:14:\"entity_type_id\";s:7:\"comment\";}s:12:\"requirements\";a:1:{s:30:\"_entity_delete_multiple_access\";s:7:\"comment\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:35:\"access_check.entity_delete_multiple\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":385:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:36:\"#^/admin/content/comment/delete$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/content/comment/delete\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:29:\"/admin/content/comment/delete\";s:8:\"numParts\";i:4;}}}}',4),('comment.new_comments_node_links','/comments/render_new_comments_node_links','/comments/render_new_comments_node_links',3,'C:31:\"Symfony\\Component\\Routing\\Route\":1002:{a:9:{s:4:\"path\";s:40:\"/comments/render_new_comments_node_links\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:72:\"\\Drupal\\comment\\Controller\\CommentController::renderNewCommentsNodeLinks\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:14:\"access content\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":417:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:47:\"#^/comments/render_new_comments_node_links$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:40:\"/comments/render_new_comments_node_links\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:40:\"/comments/render_new_comments_node_links\";s:8:\"numParts\";i:2;}}}}',2),('comment.node_redirect','/comment/{node}/reply','/comment/%/reply',5,'C:31:\"Symfony\\Component\\Routing\\Route\":1219:{a:9:{s:4:\"path\";s:21:\"/comment/{node}/reply\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:58:\"\\Drupal\\comment\\Controller\\CommentController::redirectNode\";}s:12:\"requirements\";a:3:{s:14:\"_entity_access\";s:9:\"node.view\";s:20:\"_module_dependencies\";s:4:\"node\";s:4:\"node\";s:3:\"\\d+\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:4:\"node\";a:2:{s:4:\"type\";s:11:\"entity:node\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":498:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"node\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:35:\"#^/comment/(?P<node>\\d+)/reply$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:6:\"/reply\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"node\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/comment\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"node\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:16:\"/comment/%/reply\";s:8:\"numParts\";i:3;}}}}',3),('comment.reply','/comment/reply/{entity_type}/{entity}/{field_name}/{pid}','/comment/reply/%/%/%',24,'C:31:\"Symfony\\Component\\Routing\\Route\":1776:{a:9:{s:4:\"path\";s:56:\"/comment/reply/{entity_type}/{entity}/{field_name}/{pid}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:11:\"_controller\";s:58:\"\\Drupal\\comment\\Controller\\CommentController::getReplyForm\";s:6:\"_title\";s:15:\"Add new comment\";s:3:\"pid\";N;}s:12:\"requirements\";a:1:{s:14:\"_custom_access\";s:61:\"\\Drupal\\comment\\Controller\\CommentController::replyFormAccess\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:6:\"entity\";a:2:{s:4:\"type\";s:20:\"entity:{entity_type}\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.custom\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":926:{a:11:{s:4:\"vars\";a:4:{i:0;s:11:\"entity_type\";i:1;s:6:\"entity\";i:2;s:10:\"field_name\";i:3;s:3:\"pid\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:108:\"#^/comment/reply/(?P<entity_type>[^/]++)/(?P<entity>[^/]++)/(?P<field_name>[^/]++)(?:/(?P<pid>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:3:\"pid\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:10:\"field_name\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"entity\";i:4;b:1;}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"entity_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/comment/reply\";}}s:9:\"path_vars\";a:4:{i:0;s:11:\"entity_type\";i:1;s:6:\"entity\";i:2;s:10:\"field_name\";i:3;s:3:\"pid\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:24;s:14:\"patternOutline\";s:20:\"/comment/reply/%/%/%\";s:8:\"numParts\";i:6;}}}}',6),('config.diff','/admin/config/development/configuration/sync/diff/{source_name}/{target_name}','/admin/config/development/configuration/sync/diff/%',126,'C:31:\"Symfony\\Component\\Routing\\Route\":1426:{a:9:{s:4:\"path\";s:77:\"/admin/config/development/configuration/sync/diff/{source_name}/{target_name}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:48:\"\\Drupal\\config\\Controller\\ConfigController::diff\";s:11:\"target_name\";N;}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:25:\"synchronize configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":772:{a:11:{s:4:\"vars\";a:2:{i:0;s:11:\"source_name\";i:1;s:11:\"target_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:109:\"#^/admin/config/development/configuration/sync/diff/(?P<source_name>[^/]++)(?:/(?P<target_name>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"target_name\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"source_name\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:49:\"/admin/config/development/configuration/sync/diff\";}}s:9:\"path_vars\";a:2:{i:0;s:11:\"source_name\";i:1;s:11:\"target_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:126;s:14:\"patternOutline\";s:51:\"/admin/config/development/configuration/sync/diff/%\";s:8:\"numParts\";i:8;}}}}',8),('config.diff_collection','/admin/config/development/configuration/sync/diff_collection/{collection}/{source_name}/{target_name}','/admin/config/development/configuration/sync/diff_collection/%/%',252,'C:31:\"Symfony\\Component\\Routing\\Route\":1641:{a:9:{s:4:\"path\";s:101:\"/admin/config/development/configuration/sync/diff_collection/{collection}/{source_name}/{target_name}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:48:\"\\Drupal\\config\\Controller\\ConfigController::diff\";s:11:\"target_name\";N;}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:25:\"synchronize configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":962:{a:11:{s:4:\"vars\";a:3:{i:0;s:10:\"collection\";i:1;s:11:\"source_name\";i:2;s:11:\"target_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:143:\"#^/admin/config/development/configuration/sync/diff_collection/(?P<collection>[^/]++)/(?P<source_name>[^/]++)(?:/(?P<target_name>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"target_name\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"source_name\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:10:\"collection\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:60:\"/admin/config/development/configuration/sync/diff_collection\";}}s:9:\"path_vars\";a:3:{i:0;s:10:\"collection\";i:1;s:11:\"source_name\";i:2;s:11:\"target_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:252;s:14:\"patternOutline\";s:64:\"/admin/config/development/configuration/sync/diff_collection/%/%\";s:8:\"numParts\";i:9;}}}}',9),('config.export_download','/admin/config/development/configuration/full/export-download','/admin/config/development/configuration/full/export-download',63,'C:31:\"Symfony\\Component\\Routing\\Route\":1100:{a:9:{s:4:\"path\";s:60:\"/admin/config/development/configuration/full/export-download\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:58:\"\\Drupal\\config\\Controller\\ConfigController::downloadExport\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:20:\"export configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":479:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:68:\"#^/admin/config/development/configuration/full/export\\-download$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:60:\"/admin/config/development/configuration/full/export-download\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:63;s:14:\"patternOutline\";s:60:\"/admin/config/development/configuration/full/export-download\";s:8:\"numParts\";i:6;}}}}',6),('config.export_full','/admin/config/development/configuration/full/export','/admin/config/development/configuration/full/export',63,'C:31:\"Symfony\\Component\\Routing\\Route\":1060:{a:9:{s:4:\"path\";s:51:\"/admin/config/development/configuration/full/export\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:36:\"\\Drupal\\config\\Form\\ConfigExportForm\";s:6:\"_title\";s:6:\"Export\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:20:\"export configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":451:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:58:\"#^/admin/config/development/configuration/full/export$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:51:\"/admin/config/development/configuration/full/export\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:63;s:14:\"patternOutline\";s:51:\"/admin/config/development/configuration/full/export\";s:8:\"numParts\";i:6;}}}}',6),('config.export_single','/admin/config/development/configuration/single/export/{config_type}/{config_name}','/admin/config/development/configuration/single/export',63,'C:31:\"Symfony\\Component\\Routing\\Route\":1481:{a:9:{s:4:\"path\";s:81:\"/admin/config/development/configuration/single/export/{config_type}/{config_name}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:6:\"_title\";s:13:\"Single export\";s:5:\"_form\";s:42:\"\\Drupal\\config\\Form\\ConfigSingleExportForm\";s:11:\"config_type\";N;s:11:\"config_name\";N;}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:20:\"export configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":786:{a:11:{s:4:\"vars\";a:2:{i:0;s:11:\"config_type\";i:1;s:11:\"config_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:118:\"#^/admin/config/development/configuration/single/export(?:/(?P<config_type>[^/]++)(?:/(?P<config_name>[^/]++))?)?$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"config_name\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"config_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:53:\"/admin/config/development/configuration/single/export\";}}s:9:\"path_vars\";a:2:{i:0;s:11:\"config_type\";i:1;s:11:\"config_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:63;s:14:\"patternOutline\";s:53:\"/admin/config/development/configuration/single/export\";s:8:\"numParts\";i:8;}}}}',8),('config.import_full','/admin/config/development/configuration/full/import','/admin/config/development/configuration/full/import',63,'C:31:\"Symfony\\Component\\Routing\\Route\":1060:{a:9:{s:4:\"path\";s:51:\"/admin/config/development/configuration/full/import\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:36:\"\\Drupal\\config\\Form\\ConfigImportForm\";s:6:\"_title\";s:6:\"Import\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:20:\"import configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":451:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:58:\"#^/admin/config/development/configuration/full/import$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:51:\"/admin/config/development/configuration/full/import\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:63;s:14:\"patternOutline\";s:51:\"/admin/config/development/configuration/full/import\";s:8:\"numParts\";i:6;}}}}',6),('config.import_single','/admin/config/development/configuration/single/import','/admin/config/development/configuration/single/import',63,'C:31:\"Symfony\\Component\\Routing\\Route\":1082:{a:9:{s:4:\"path\";s:53:\"/admin/config/development/configuration/single/import\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:6:\"_title\";s:13:\"Single import\";s:5:\"_form\";s:42:\"\\Drupal\\config\\Form\\ConfigSingleImportForm\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:20:\"import configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":457:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:60:\"#^/admin/config/development/configuration/single/import$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:53:\"/admin/config/development/configuration/single/import\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:63;s:14:\"patternOutline\";s:53:\"/admin/config/development/configuration/single/import\";s:8:\"numParts\";i:6;}}}}',6),('config.sync','/admin/config/development/configuration','/admin/config/development/configuration',15,'C:31:\"Symfony\\Component\\Routing\\Route\":1017:{a:9:{s:4:\"path\";s:39:\"/admin/config/development/configuration\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:30:\"\\Drupal\\config\\Form\\ConfigSync\";s:6:\"_title\";s:11:\"Synchronize\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:25:\"synchronize configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":415:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:46:\"#^/admin/config/development/configuration$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:39:\"/admin/config/development/configuration\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:39:\"/admin/config/development/configuration\";s:8:\"numParts\";i:4;}}}}',4),('config_translation.entity_list','/admin/config/regional/config-translation/{mapper_id}','/admin/config/regional/config-translation/%',30,'C:31:\"Symfony\\Component\\Routing\\Route\":1209:{a:9:{s:4:\"path\";s:53:\"/admin/config/regional/config-translation/{mapper_id}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:78:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationListController::listing\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:23:\"translate configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":572:{a:11:{s:4:\"vars\";a:1:{i:0;s:9:\"mapper_id\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:71:\"#^/admin/config/regional/config\\-translation/(?P<mapper_id>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"mapper_id\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:41:\"/admin/config/regional/config-translation\";}}s:9:\"path_vars\";a:1:{i:0;s:9:\"mapper_id\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:30;s:14:\"patternOutline\";s:43:\"/admin/config/regional/config-translation/%\";s:8:\"numParts\";i:5;}}}}',5),('config_translation.item.add.entity.block.edit_form','/admin/structure/block/manage/{block}/translate/{langcode}/add','/admin/structure/block/manage/%/translate/%/add',245,'C:31:\"Symfony\\Component\\Routing\\Route\":1564:{a:9:{s:4:\"path\";s:62:\"/admin/structure/block/manage/{block}/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:5:\"block\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:5:\"block\";a:2:{s:4:\"type\";s:12:\"entity:block\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":781:{a:11:{s:4:\"vars\";a:2:{i:0;s:5:\"block\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:89:\"#^/admin/structure/block/manage/(?P<block>[^/]++)/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:5:\"block\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/block/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:5:\"block\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:47:\"/admin/structure/block/manage/%/translate/%/add\";s:8:\"numParts\";i:8;}}}}',8),('config_translation.item.add.entity.block_content_type.edit_form','/admin/structure/block/block-content/manage/{block_content_type}/translate/{langcode}/add','/admin/structure/block/block-content/manage/%/translate/%/add',501,'C:31:\"Symfony\\Component\\Routing\\Route\":1731:{a:9:{s:4:\"path\";s:89:\"/admin/structure/block/block-content/manage/{block_content_type}/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:18:\"block_content_type\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:18:\"block_content_type\";a:2:{s:4:\"type\";s:25:\"entity:block_content_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":880:{a:11:{s:4:\"vars\";a:2:{i:0;s:18:\"block_content_type\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:117:\"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/block/block-content/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:18:\"block_content_type\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:61:\"/admin/structure/block/block-content/manage/%/translate/%/add\";s:8:\"numParts\";i:9;}}}}',9),('config_translation.item.add.entity.comment_type.edit_form','/admin/structure/comment/manage/{comment_type}/translate/{langcode}/add','/admin/structure/comment/manage/%/translate/%/add',245,'C:31:\"Symfony\\Component\\Routing\\Route\":1633:{a:9:{s:4:\"path\";s:71:\"/admin/structure/comment/manage/{comment_type}/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:12:\"comment_type\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"comment_type\";a:2:{s:4:\"type\";s:19:\"entity:comment_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":818:{a:11:{s:4:\"vars\";a:2:{i:0;s:12:\"comment_type\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:98:\"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"comment_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/comment/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"comment_type\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:49:\"/admin/structure/comment/manage/%/translate/%/add\";s:8:\"numParts\";i:8;}}}}',8),('config_translation.item.add.entity.configurable_language.edit_form','/admin/config/regional/language/edit/{configurable_language}/translate/{langcode}/add','/admin/config/regional/language/edit/%/translate/%/add',501,'C:31:\"Symfony\\Component\\Routing\\Route\":1726:{a:9:{s:4:\"path\";s:85:\"/admin/config/regional/language/edit/{configurable_language}/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:21:\"configurable_language\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:21:\"configurable_language\";a:2:{s:4:\"type\";s:28:\"entity:configurable_language\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":870:{a:11:{s:4:\"vars\";a:2:{i:0;s:21:\"configurable_language\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:112:\"#^/admin/config/regional/language/edit/(?P<configurable_language>[^/]++)/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:21:\"configurable_language\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:36:\"/admin/config/regional/language/edit\";}}s:9:\"path_vars\";a:2:{i:0;s:21:\"configurable_language\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:54:\"/admin/config/regional/language/edit/%/translate/%/add\";s:8:\"numParts\";i:9;}}}}',9),('config_translation.item.add.entity.contact_form.edit_form','/admin/structure/contact/manage/{contact_form}/translate/{langcode}/add','/admin/structure/contact/manage/%/translate/%/add',245,'C:31:\"Symfony\\Component\\Routing\\Route\":1633:{a:9:{s:4:\"path\";s:71:\"/admin/structure/contact/manage/{contact_form}/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:12:\"contact_form\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"contact_form\";a:2:{s:4:\"type\";s:19:\"entity:contact_form\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":818:{a:11:{s:4:\"vars\";a:2:{i:0;s:12:\"contact_form\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:98:\"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/contact/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"contact_form\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:49:\"/admin/structure/contact/manage/%/translate/%/add\";s:8:\"numParts\";i:8;}}}}',8),('config_translation.item.add.entity.date_format.edit_form','/admin/config/regional/date-time/formats/manage/{date_format}/translate/{langcode}/add','/admin/config/regional/date-time/formats/manage/%/translate/%/add',1013,'C:31:\"Symfony\\Component\\Routing\\Route\":1693:{a:9:{s:4:\"path\";s:86:\"/admin/config/regional/date-time/formats/manage/{date_format}/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:11:\"date_format\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:11:\"date_format\";a:2:{s:4:\"type\";s:18:\"entity:date_format\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":866:{a:11:{s:4:\"vars\";a:2:{i:0;s:11:\"date_format\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:114:\"#^/admin/config/regional/date\\-time/formats/manage/(?P<date_format>[^/]++)/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"date_format\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:47:\"/admin/config/regional/date-time/formats/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:11:\"date_format\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1013;s:14:\"patternOutline\";s:65:\"/admin/config/regional/date-time/formats/manage/%/translate/%/add\";s:8:\"numParts\";i:10;}}}}',10),('config_translation.item.add.entity.entity_form_mode.edit_form','/admin/structure/display-modes/form/manage/{entity_form_mode}/translate/{langcode}/add','/admin/structure/display-modes/form/manage/%/translate/%/add',501,'C:31:\"Symfony\\Component\\Routing\\Route\":1711:{a:9:{s:4:\"path\";s:86:\"/admin/structure/display-modes/form/manage/{entity_form_mode}/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:16:\"entity_form_mode\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:16:\"entity_form_mode\";a:2:{s:4:\"type\";s:23:\"entity:entity_form_mode\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":869:{a:11:{s:4:\"vars\";a:2:{i:0;s:16:\"entity_form_mode\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:114:\"#^/admin/structure/display\\-modes/form/manage/(?P<entity_form_mode>[^/]++)/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"entity_form_mode\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/structure/display-modes/form/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:16:\"entity_form_mode\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:60:\"/admin/structure/display-modes/form/manage/%/translate/%/add\";s:8:\"numParts\";i:9;}}}}',9),('config_translation.item.add.entity.entity_view_mode.edit_form','/admin/structure/display-modes/view/manage/{entity_view_mode}/translate/{langcode}/add','/admin/structure/display-modes/view/manage/%/translate/%/add',501,'C:31:\"Symfony\\Component\\Routing\\Route\":1711:{a:9:{s:4:\"path\";s:86:\"/admin/structure/display-modes/view/manage/{entity_view_mode}/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:16:\"entity_view_mode\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:16:\"entity_view_mode\";a:2:{s:4:\"type\";s:23:\"entity:entity_view_mode\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":869:{a:11:{s:4:\"vars\";a:2:{i:0;s:16:\"entity_view_mode\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:114:\"#^/admin/structure/display\\-modes/view/manage/(?P<entity_view_mode>[^/]++)/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"entity_view_mode\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/structure/display-modes/view/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:16:\"entity_view_mode\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:60:\"/admin/structure/display-modes/view/manage/%/translate/%/add\";s:8:\"numParts\";i:9;}}}}',9),('config_translation.item.add.entity.field_config.block_content_field_edit_form','/admin/structure/block/block-content/manage/{block_content_type}/fields/{field_config}/translate/{langcode}/add','/admin/structure/block/block-content/manage/%/fields/%/translate/%/add',2005,'C:31:\"Symfony\\Component\\Routing\\Route\":1969:{a:9:{s:4:\"path\";s:111:\"/admin/structure/block/block-content/manage/{block_content_type}/fields/{field_config}/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:20:\"block_content_fields\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":1104:{a:11:{s:4:\"vars\";a:3:{i:0;s:18:\"block_content_type\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:149:\"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/fields/(?P<field_config>[^/]++)/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:7:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:5;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:6;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/block/block-content/manage\";}}s:9:\"path_vars\";a:3:{i:0;s:18:\"block_content_type\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:2005;s:14:\"patternOutline\";s:70:\"/admin/structure/block/block-content/manage/%/fields/%/translate/%/add\";s:8:\"numParts\";i:11;}}}}',11),('config_translation.item.add.entity.field_config.comment_field_edit_form','/admin/structure/comment/manage/{comment_type}/fields/{field_config}/translate/{langcode}/add','/admin/structure/comment/manage/%/fields/%/translate/%/add',981,'C:31:\"Symfony\\Component\\Routing\\Route\":1882:{a:9:{s:4:\"path\";s:93:\"/admin/structure/comment/manage/{comment_type}/fields/{field_config}/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:14:\"comment_fields\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":1042:{a:11:{s:4:\"vars\";a:3:{i:0;s:12:\"comment_type\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:130:\"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/fields/(?P<field_config>[^/]++)/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:7:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:5;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"comment_type\";i:4;b:1;}i:6;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/comment/manage\";}}s:9:\"path_vars\";a:3:{i:0;s:12:\"comment_type\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:981;s:14:\"patternOutline\";s:58:\"/admin/structure/comment/manage/%/fields/%/translate/%/add\";s:8:\"numParts\";i:10;}}}}',10),('config_translation.item.add.entity.field_config.contact_message_field_edit_form','/admin/structure/contact/manage/{contact_form}/fields/{field_config}/translate/{langcode}/add','/admin/structure/contact/manage/%/fields/%/translate/%/add',981,'C:31:\"Symfony\\Component\\Routing\\Route\":1890:{a:9:{s:4:\"path\";s:93:\"/admin/structure/contact/manage/{contact_form}/fields/{field_config}/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:22:\"contact_message_fields\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":1042:{a:11:{s:4:\"vars\";a:3:{i:0;s:12:\"contact_form\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:130:\"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/fields/(?P<field_config>[^/]++)/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:7:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:5;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:6;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/contact/manage\";}}s:9:\"path_vars\";a:3:{i:0;s:12:\"contact_form\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:981;s:14:\"patternOutline\";s:58:\"/admin/structure/contact/manage/%/fields/%/translate/%/add\";s:8:\"numParts\";i:10;}}}}',10),('config_translation.item.add.entity.field_config.node_field_edit_form','/admin/structure/types/manage/{node_type}/fields/{field_config}/translate/{langcode}/add','/admin/structure/types/manage/%/fields/%/translate/%/add',981,'C:31:\"Symfony\\Component\\Routing\\Route\":1853:{a:9:{s:4:\"path\";s:88:\"/admin/structure/types/manage/{node_type}/fields/{field_config}/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:11:\"node_fields\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":1021:{a:11:{s:4:\"vars\";a:3:{i:0;s:9:\"node_type\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:125:\"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/fields/(?P<field_config>[^/]++)/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:7:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:5;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:6;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/types/manage\";}}s:9:\"path_vars\";a:3:{i:0;s:9:\"node_type\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:981;s:14:\"patternOutline\";s:56:\"/admin/structure/types/manage/%/fields/%/translate/%/add\";s:8:\"numParts\";i:10;}}}}',10),('config_translation.item.add.entity.field_config.simplenews_subscriber_field_edit_form','/admin/config/people/simplenews/settings/subscriber/fields/{field_config}/translate/{langcode}/add','/admin/config/people/simplenews/settings/subscriber/fields/%/translate/%/add',2037,'C:31:\"Symfony\\Component\\Routing\\Route\":1760:{a:9:{s:4:\"path\";s:98:\"/admin/config/people/simplenews/settings/subscriber/fields/{field_config}/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:28:\"simplenews_subscriber_fields\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":902:{a:11:{s:4:\"vars\";a:2:{i:0;s:12:\"field_config\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:125:\"#^/admin/config/people/simplenews/settings/subscriber/fields/(?P<field_config>[^/]++)/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:58:\"/admin/config/people/simplenews/settings/subscriber/fields\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"field_config\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:2037;s:14:\"patternOutline\";s:76:\"/admin/config/people/simplenews/settings/subscriber/fields/%/translate/%/add\";s:8:\"numParts\";i:11;}}}}',11),('config_translation.item.add.entity.field_config.taxonomy_term_field_edit_form','/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/fields/{field_config}/translate/{langcode}/add','/admin/structure/taxonomy/manage/%/overview/fields/%/translate/%/add',1973,'C:31:\"Symfony\\Component\\Routing\\Route\":1966:{a:9:{s:4:\"path\";s:110:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/fields/{field_config}/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:20:\"taxonomy_term_fields\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":1102:{a:11:{s:4:\"vars\";a:3:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:147:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/fields/(?P<field_config>[^/]++)/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:7:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:16:\"/overview/fields\";}i:5;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:6;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:3:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1973;s:14:\"patternOutline\";s:68:\"/admin/structure/taxonomy/manage/%/overview/fields/%/translate/%/add\";s:8:\"numParts\";i:11;}}}}',11),('config_translation.item.add.entity.field_config.user_field_edit_form','/admin/config/people/accounts/fields/{field_config}/translate/{langcode}/add','/admin/config/people/accounts/fields/%/translate/%/add',501,'C:31:\"Symfony\\Component\\Routing\\Route\":1653:{a:9:{s:4:\"path\";s:76:\"/admin/config/people/accounts/fields/{field_config}/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:11:\"user_fields\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":834:{a:11:{s:4:\"vars\";a:2:{i:0;s:12:\"field_config\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:103:\"#^/admin/config/people/accounts/fields/(?P<field_config>[^/]++)/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:36:\"/admin/config/people/accounts/fields\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"field_config\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:54:\"/admin/config/people/accounts/fields/%/translate/%/add\";s:8:\"numParts\";i:9;}}}}',9),('config_translation.item.add.entity.filter_format.edit_form','/admin/config/content/formats/manage/{filter_format}/translate/{langcode}/add','/admin/config/content/formats/manage/%/translate/%/add',501,'C:31:\"Symfony\\Component\\Routing\\Route\":1662:{a:9:{s:4:\"path\";s:77:\"/admin/config/content/formats/manage/{filter_format}/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:13:\"filter_format\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:13:\"filter_format\";a:2:{s:4:\"type\";s:20:\"entity:filter_format\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":838:{a:11:{s:4:\"vars\";a:2:{i:0;s:13:\"filter_format\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:104:\"#^/admin/config/content/formats/manage/(?P<filter_format>[^/]++)/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"filter_format\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:36:\"/admin/config/content/formats/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:13:\"filter_format\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:54:\"/admin/config/content/formats/manage/%/translate/%/add\";s:8:\"numParts\";i:9;}}}}',9),('config_translation.item.add.entity.image_style.edit_form','/admin/config/media/image-styles/manage/{image_style}/translate/{langcode}/add','/admin/config/media/image-styles/manage/%/translate/%/add',501,'C:31:\"Symfony\\Component\\Routing\\Route\":1659:{a:9:{s:4:\"path\";s:78:\"/admin/config/media/image-styles/manage/{image_style}/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:11:\"image_style\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:11:\"image_style\";a:2:{s:4:\"type\";s:18:\"entity:image_style\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":840:{a:11:{s:4:\"vars\";a:2:{i:0;s:11:\"image_style\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:106:\"#^/admin/config/media/image\\-styles/manage/(?P<image_style>[^/]++)/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"image_style\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:39:\"/admin/config/media/image-styles/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:11:\"image_style\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:57:\"/admin/config/media/image-styles/manage/%/translate/%/add\";s:8:\"numParts\";i:9;}}}}',9),('config_translation.item.add.entity.menu.edit_form','/admin/structure/menu/manage/{menu}/translate/{langcode}/add','/admin/structure/menu/manage/%/translate/%/add',245,'C:31:\"Symfony\\Component\\Routing\\Route\":1552:{a:9:{s:4:\"path\";s:60:\"/admin/structure/menu/manage/{menu}/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:4:\"menu\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"menu\";a:2:{s:4:\"type\";s:11:\"entity:menu\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":774:{a:11:{s:4:\"vars\";a:2:{i:0;s:4:\"menu\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:87:\"#^/admin/structure/menu/manage/(?P<menu>[^/]++)/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"menu\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:28:\"/admin/structure/menu/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:4:\"menu\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:46:\"/admin/structure/menu/manage/%/translate/%/add\";s:8:\"numParts\";i:8;}}}}',8),('config_translation.item.add.entity.node_type.edit_form','/admin/structure/types/manage/{node_type}/translate/{langcode}/add','/admin/structure/types/manage/%/translate/%/add',245,'C:31:\"Symfony\\Component\\Routing\\Route\":1596:{a:9:{s:4:\"path\";s:66:\"/admin/structure/types/manage/{node_type}/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:9:\"node_type\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:9:\"node_type\";a:2:{s:4:\"type\";s:16:\"entity:node_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":797:{a:11:{s:4:\"vars\";a:2:{i:0;s:9:\"node_type\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:93:\"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/types/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:9:\"node_type\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:47:\"/admin/structure/types/manage/%/translate/%/add\";s:8:\"numParts\";i:8;}}}}',8),('config_translation.item.add.entity.pathauto_pattern.edit_form','/admin/config/search/path/patterns/{pathauto_pattern}/translate/{langcode}/add','/admin/config/search/path/patterns/%/translate/%/add',501,'C:31:\"Symfony\\Component\\Routing\\Route\":1678:{a:9:{s:4:\"path\";s:78:\"/admin/config/search/path/patterns/{pathauto_pattern}/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:16:\"pathauto_pattern\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:16:\"pathauto_pattern\";a:2:{s:4:\"type\";s:23:\"entity:pathauto_pattern\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":844:{a:11:{s:4:\"vars\";a:2:{i:0;s:16:\"pathauto_pattern\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:105:\"#^/admin/config/search/path/patterns/(?P<pathauto_pattern>[^/]++)/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"pathauto_pattern\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:34:\"/admin/config/search/path/patterns\";}}s:9:\"path_vars\";a:2:{i:0;s:16:\"pathauto_pattern\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:52:\"/admin/config/search/path/patterns/%/translate/%/add\";s:8:\"numParts\";i:9;}}}}',9),('config_translation.item.add.entity.responsive_image_style.edit_form','/admin/config/media/responsive-image-style/{responsive_image_style}/translate/{langcode}/add','/admin/config/media/responsive-image-style/%/translate/%/add',245,'C:31:\"Symfony\\Component\\Routing\\Route\":1760:{a:9:{s:4:\"path\";s:92:\"/admin/config/media/responsive-image-style/{responsive_image_style}/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:22:\"responsive_image_style\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:22:\"responsive_image_style\";a:2:{s:4:\"type\";s:29:\"entity:responsive_image_style\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":894:{a:11:{s:4:\"vars\";a:2:{i:0;s:22:\"responsive_image_style\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:121:\"#^/admin/config/media/responsive\\-image\\-style/(?P<responsive_image_style>[^/]++)/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:22:\"responsive_image_style\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/config/media/responsive-image-style\";}}s:9:\"path_vars\";a:2:{i:0;s:22:\"responsive_image_style\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:60:\"/admin/config/media/responsive-image-style/%/translate/%/add\";s:8:\"numParts\";i:8;}}}}',8),('config_translation.item.add.entity.search_page.edit_form','/admin/config/search/pages/manage/{search_page}/translate/{langcode}/add','/admin/config/search/pages/manage/%/translate/%/add',501,'C:31:\"Symfony\\Component\\Routing\\Route\":1633:{a:9:{s:4:\"path\";s:72:\"/admin/config/search/pages/manage/{search_page}/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:11:\"search_page\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:11:\"search_page\";a:2:{s:4:\"type\";s:18:\"entity:search_page\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":820:{a:11:{s:4:\"vars\";a:2:{i:0;s:11:\"search_page\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:99:\"#^/admin/config/search/pages/manage/(?P<search_page>[^/]++)/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"search_page\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:33:\"/admin/config/search/pages/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:11:\"search_page\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:51:\"/admin/config/search/pages/manage/%/translate/%/add\";s:8:\"numParts\";i:9;}}}}',9),('config_translation.item.add.entity.shortcut_set.edit_form','/admin/config/user-interface/shortcut/manage/{shortcut_set}/translate/{langcode}/add','/admin/config/user-interface/shortcut/manage/%/translate/%/add',501,'C:31:\"Symfony\\Component\\Routing\\Route\":1687:{a:9:{s:4:\"path\";s:84:\"/admin/config/user-interface/shortcut/manage/{shortcut_set}/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:12:\"shortcut_set\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"shortcut_set\";a:2:{s:4:\"type\";s:19:\"entity:shortcut_set\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":859:{a:11:{s:4:\"vars\";a:2:{i:0;s:12:\"shortcut_set\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:112:\"#^/admin/config/user\\-interface/shortcut/manage/(?P<shortcut_set>[^/]++)/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"shortcut_set\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:44:\"/admin/config/user-interface/shortcut/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"shortcut_set\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:62:\"/admin/config/user-interface/shortcut/manage/%/translate/%/add\";s:8:\"numParts\";i:9;}}}}',9),('config_translation.item.add.entity.simplenews_newsletter.edit_form','/admin/config/services/simplenews/manage/{simplenews_newsletter}/translate/{langcode}/add','/admin/config/services/simplenews/manage/%/translate/%/add',501,'C:31:\"Symfony\\Component\\Routing\\Route\":1742:{a:9:{s:4:\"path\";s:89:\"/admin/config/services/simplenews/manage/{simplenews_newsletter}/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:21:\"simplenews_newsletter\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:21:\"simplenews_newsletter\";a:2:{s:4:\"type\";s:28:\"entity:simplenews_newsletter\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":882:{a:11:{s:4:\"vars\";a:2:{i:0;s:21:\"simplenews_newsletter\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:116:\"#^/admin/config/services/simplenews/manage/(?P<simplenews_newsletter>[^/]++)/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:21:\"simplenews_newsletter\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:40:\"/admin/config/services/simplenews/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:21:\"simplenews_newsletter\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:58:\"/admin/config/services/simplenews/manage/%/translate/%/add\";s:8:\"numParts\";i:9;}}}}',9),('config_translation.item.add.entity.taxonomy_vocabulary.edit_form','/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/translate/{langcode}/add','/admin/structure/taxonomy/manage/%/translate/%/add',245,'C:31:\"Symfony\\Component\\Routing\\Route\":1694:{a:9:{s:4:\"path\";s:79:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:19:\"taxonomy_vocabulary\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:19:\"taxonomy_vocabulary\";a:2:{s:4:\"type\";s:26:\"entity:taxonomy_vocabulary\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":850:{a:11:{s:4:\"vars\";a:2:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:106:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:50:\"/admin/structure/taxonomy/manage/%/translate/%/add\";s:8:\"numParts\";i:8;}}}}',8),('config_translation.item.add.entity.user.admin_form','/admin/config/people/accounts/translate/{langcode}/add','/admin/config/people/accounts/translate/%/add',125,'C:31:\"Symfony\\Component\\Routing\\Route\":1243:{a:9:{s:4:\"path\";s:54:\"/admin/config/people/accounts/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:22:\"entity.user.admin_form\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":610:{a:11:{s:4:\"vars\";a:1:{i:0;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:71:\"#^/admin/config/people/accounts/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:39:\"/admin/config/people/accounts/translate\";}}s:9:\"path_vars\";a:1:{i:0;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:45:\"/admin/config/people/accounts/translate/%/add\";s:8:\"numParts\";i:7;}}}}',7),('config_translation.item.add.entity.user_role.edit_form','/admin/people/roles/manage/{user_role}/translate/{langcode}/add','/admin/people/roles/manage/%/translate/%/add',245,'C:31:\"Symfony\\Component\\Routing\\Route\":1584:{a:9:{s:4:\"path\";s:63:\"/admin/people/roles/manage/{user_role}/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:9:\"user_role\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:9:\"user_role\";a:2:{s:4:\"type\";s:16:\"entity:user_role\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":788:{a:11:{s:4:\"vars\";a:2:{i:0;s:9:\"user_role\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:90:\"#^/admin/people/roles/manage/(?P<user_role>[^/]++)/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"user_role\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/people/roles/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:9:\"user_role\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:44:\"/admin/people/roles/manage/%/translate/%/add\";s:8:\"numParts\";i:8;}}}}',8),('config_translation.item.add.entity.view.edit_form','/admin/structure/views/view/{view}/translate/{langcode}/add','/admin/structure/views/view/%/translate/%/add',245,'C:31:\"Symfony\\Component\\Routing\\Route\":1548:{a:9:{s:4:\"path\";s:59:\"/admin/structure/views/view/{view}/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:4:\"view\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"view\";a:2:{s:4:\"type\";s:11:\"entity:view\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":771:{a:11:{s:4:\"vars\";a:2:{i:0;s:4:\"view\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:86:\"#^/admin/structure/views/view/(?P<view>[^/]++)/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"view\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:27:\"/admin/structure/views/view\";}}s:9:\"path_vars\";a:2:{i:0;s:4:\"view\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:45:\"/admin/structure/views/view/%/translate/%/add\";s:8:\"numParts\";i:8;}}}}',8),('config_translation.item.add.simplenews.newsletter_list','/admin/config/services/simplenews/translate/{langcode}/add','/admin/config/services/simplenews/translate/%/add',125,'C:31:\"Symfony\\Component\\Routing\\Route\":1256:{a:9:{s:4:\"path\";s:58:\"/admin/config/services/simplenews/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:19:\"simplenews.settings\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":622:{a:11:{s:4:\"vars\";a:1:{i:0;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:75:\"#^/admin/config/services/simplenews/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/config/services/simplenews/translate\";}}s:9:\"path_vars\";a:1:{i:0;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:49:\"/admin/config/services/simplenews/translate/%/add\";s:8:\"numParts\";i:7;}}}}',7),('config_translation.item.add.system.rss_feeds_settings','/admin/config/services/rss-publishing/translate/{langcode}/add','/admin/config/services/rss-publishing/translate/%/add',125,'C:31:\"Symfony\\Component\\Routing\\Route\":1279:{a:9:{s:4:\"path\";s:62:\"/admin/config/services/rss-publishing/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:25:\"system.rss_feeds_settings\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":635:{a:11:{s:4:\"vars\";a:1:{i:0;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:80:\"#^/admin/config/services/rss\\-publishing/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:47:\"/admin/config/services/rss-publishing/translate\";}}s:9:\"path_vars\";a:1:{i:0;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:53:\"/admin/config/services/rss-publishing/translate/%/add\";s:8:\"numParts\";i:7;}}}}',7),('config_translation.item.add.system.site_information_settings','/admin/config/system/site-information/translate/{langcode}/add','/admin/config/system/site-information/translate/%/add',125,'C:31:\"Symfony\\Component\\Routing\\Route\":1286:{a:9:{s:4:\"path\";s:62:\"/admin/config/system/site-information/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:32:\"system.site_information_settings\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":635:{a:11:{s:4:\"vars\";a:1:{i:0;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:80:\"#^/admin/config/system/site\\-information/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:47:\"/admin/config/system/site-information/translate\";}}s:9:\"path_vars\";a:1:{i:0;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:53:\"/admin/config/system/site-information/translate/%/add\";s:8:\"numParts\";i:7;}}}}',7),('config_translation.item.add.system.site_maintenance_mode','/admin/config/development/maintenance/translate/{langcode}/add','/admin/config/development/maintenance/translate/%/add',125,'C:31:\"Symfony\\Component\\Routing\\Route\":1281:{a:9:{s:4:\"path\";s:62:\"/admin/config/development/maintenance/translate/{langcode}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:56:\"\\Drupal\\config_translation\\Form\\ConfigTranslationAddForm\";s:9:\"plugin_id\";s:28:\"system.site_maintenance_mode\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":634:{a:11:{s:4:\"vars\";a:1:{i:0;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:79:\"#^/admin/config/development/maintenance/translate/(?P<langcode>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:47:\"/admin/config/development/maintenance/translate\";}}s:9:\"path_vars\";a:1:{i:0;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:53:\"/admin/config/development/maintenance/translate/%/add\";s:8:\"numParts\";i:7;}}}}',7),('config_translation.item.delete.entity.block.edit_form','/admin/structure/block/manage/{block}/translate/{langcode}/delete','/admin/structure/block/manage/%/translate/%/delete',245,'C:31:\"Symfony\\Component\\Routing\\Route\":1579:{a:9:{s:4:\"path\";s:65:\"/admin/structure/block/manage/{block}/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:5:\"block\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:5:\"block\";a:2:{s:4:\"type\";s:12:\"entity:block\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":790:{a:11:{s:4:\"vars\";a:2:{i:0;s:5:\"block\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:92:\"#^/admin/structure/block/manage/(?P<block>[^/]++)/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:5:\"block\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/block/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:5:\"block\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:50:\"/admin/structure/block/manage/%/translate/%/delete\";s:8:\"numParts\";i:8;}}}}',8),('config_translation.item.delete.entity.block_content_type.edit_form','/admin/structure/block/block-content/manage/{block_content_type}/translate/{langcode}/delete','/admin/structure/block/block-content/manage/%/translate/%/delete',501,'C:31:\"Symfony\\Component\\Routing\\Route\":1746:{a:9:{s:4:\"path\";s:92:\"/admin/structure/block/block-content/manage/{block_content_type}/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:18:\"block_content_type\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:18:\"block_content_type\";a:2:{s:4:\"type\";s:25:\"entity:block_content_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":889:{a:11:{s:4:\"vars\";a:2:{i:0;s:18:\"block_content_type\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:120:\"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/block/block-content/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:18:\"block_content_type\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:64:\"/admin/structure/block/block-content/manage/%/translate/%/delete\";s:8:\"numParts\";i:9;}}}}',9),('config_translation.item.delete.entity.comment_type.edit_form','/admin/structure/comment/manage/{comment_type}/translate/{langcode}/delete','/admin/structure/comment/manage/%/translate/%/delete',245,'C:31:\"Symfony\\Component\\Routing\\Route\":1649:{a:9:{s:4:\"path\";s:74:\"/admin/structure/comment/manage/{comment_type}/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:12:\"comment_type\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"comment_type\";a:2:{s:4:\"type\";s:19:\"entity:comment_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":828:{a:11:{s:4:\"vars\";a:2:{i:0;s:12:\"comment_type\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:101:\"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"comment_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/comment/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"comment_type\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:52:\"/admin/structure/comment/manage/%/translate/%/delete\";s:8:\"numParts\";i:8;}}}}',8),('config_translation.item.delete.entity.configurable_language.edit_form','/admin/config/regional/language/edit/{configurable_language}/translate/{langcode}/delete','/admin/config/regional/language/edit/%/translate/%/delete',501,'C:31:\"Symfony\\Component\\Routing\\Route\":1741:{a:9:{s:4:\"path\";s:88:\"/admin/config/regional/language/edit/{configurable_language}/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:21:\"configurable_language\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:21:\"configurable_language\";a:2:{s:4:\"type\";s:28:\"entity:configurable_language\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":879:{a:11:{s:4:\"vars\";a:2:{i:0;s:21:\"configurable_language\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:115:\"#^/admin/config/regional/language/edit/(?P<configurable_language>[^/]++)/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:21:\"configurable_language\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:36:\"/admin/config/regional/language/edit\";}}s:9:\"path_vars\";a:2:{i:0;s:21:\"configurable_language\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:57:\"/admin/config/regional/language/edit/%/translate/%/delete\";s:8:\"numParts\";i:9;}}}}',9),('config_translation.item.delete.entity.contact_form.edit_form','/admin/structure/contact/manage/{contact_form}/translate/{langcode}/delete','/admin/structure/contact/manage/%/translate/%/delete',245,'C:31:\"Symfony\\Component\\Routing\\Route\":1649:{a:9:{s:4:\"path\";s:74:\"/admin/structure/contact/manage/{contact_form}/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:12:\"contact_form\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"contact_form\";a:2:{s:4:\"type\";s:19:\"entity:contact_form\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":828:{a:11:{s:4:\"vars\";a:2:{i:0;s:12:\"contact_form\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:101:\"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/contact/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"contact_form\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:52:\"/admin/structure/contact/manage/%/translate/%/delete\";s:8:\"numParts\";i:8;}}}}',8),('config_translation.item.delete.entity.date_format.edit_form','/admin/config/regional/date-time/formats/manage/{date_format}/translate/{langcode}/delete','/admin/config/regional/date-time/formats/manage/%/translate/%/delete',1013,'C:31:\"Symfony\\Component\\Routing\\Route\":1708:{a:9:{s:4:\"path\";s:89:\"/admin/config/regional/date-time/formats/manage/{date_format}/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:11:\"date_format\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:11:\"date_format\";a:2:{s:4:\"type\";s:18:\"entity:date_format\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":875:{a:11:{s:4:\"vars\";a:2:{i:0;s:11:\"date_format\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:117:\"#^/admin/config/regional/date\\-time/formats/manage/(?P<date_format>[^/]++)/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"date_format\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:47:\"/admin/config/regional/date-time/formats/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:11:\"date_format\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1013;s:14:\"patternOutline\";s:68:\"/admin/config/regional/date-time/formats/manage/%/translate/%/delete\";s:8:\"numParts\";i:10;}}}}',10),('config_translation.item.delete.entity.entity_form_mode.edit_form','/admin/structure/display-modes/form/manage/{entity_form_mode}/translate/{langcode}/delete','/admin/structure/display-modes/form/manage/%/translate/%/delete',501,'C:31:\"Symfony\\Component\\Routing\\Route\":1726:{a:9:{s:4:\"path\";s:89:\"/admin/structure/display-modes/form/manage/{entity_form_mode}/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:16:\"entity_form_mode\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:16:\"entity_form_mode\";a:2:{s:4:\"type\";s:23:\"entity:entity_form_mode\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":878:{a:11:{s:4:\"vars\";a:2:{i:0;s:16:\"entity_form_mode\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:117:\"#^/admin/structure/display\\-modes/form/manage/(?P<entity_form_mode>[^/]++)/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"entity_form_mode\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/structure/display-modes/form/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:16:\"entity_form_mode\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:63:\"/admin/structure/display-modes/form/manage/%/translate/%/delete\";s:8:\"numParts\";i:9;}}}}',9),('config_translation.item.delete.entity.entity_view_mode.edit_form','/admin/structure/display-modes/view/manage/{entity_view_mode}/translate/{langcode}/delete','/admin/structure/display-modes/view/manage/%/translate/%/delete',501,'C:31:\"Symfony\\Component\\Routing\\Route\":1726:{a:9:{s:4:\"path\";s:89:\"/admin/structure/display-modes/view/manage/{entity_view_mode}/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:16:\"entity_view_mode\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:16:\"entity_view_mode\";a:2:{s:4:\"type\";s:23:\"entity:entity_view_mode\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":878:{a:11:{s:4:\"vars\";a:2:{i:0;s:16:\"entity_view_mode\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:117:\"#^/admin/structure/display\\-modes/view/manage/(?P<entity_view_mode>[^/]++)/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"entity_view_mode\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/structure/display-modes/view/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:16:\"entity_view_mode\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:63:\"/admin/structure/display-modes/view/manage/%/translate/%/delete\";s:8:\"numParts\";i:9;}}}}',9),('config_translation.item.delete.entity.field_config.block_content_field_edit_form','/admin/structure/block/block-content/manage/{block_content_type}/fields/{field_config}/translate/{langcode}/delete','/admin/structure/block/block-content/manage/%/fields/%/translate/%/delete',2005,'C:31:\"Symfony\\Component\\Routing\\Route\":1984:{a:9:{s:4:\"path\";s:114:\"/admin/structure/block/block-content/manage/{block_content_type}/fields/{field_config}/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:20:\"block_content_fields\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":1113:{a:11:{s:4:\"vars\";a:3:{i:0;s:18:\"block_content_type\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:152:\"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/fields/(?P<field_config>[^/]++)/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:7:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:5;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:6;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/block/block-content/manage\";}}s:9:\"path_vars\";a:3:{i:0;s:18:\"block_content_type\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:2005;s:14:\"patternOutline\";s:73:\"/admin/structure/block/block-content/manage/%/fields/%/translate/%/delete\";s:8:\"numParts\";i:11;}}}}',11),('config_translation.item.delete.entity.field_config.comment_field_edit_form','/admin/structure/comment/manage/{comment_type}/fields/{field_config}/translate/{langcode}/delete','/admin/structure/comment/manage/%/fields/%/translate/%/delete',981,'C:31:\"Symfony\\Component\\Routing\\Route\":1897:{a:9:{s:4:\"path\";s:96:\"/admin/structure/comment/manage/{comment_type}/fields/{field_config}/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:14:\"comment_fields\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":1051:{a:11:{s:4:\"vars\";a:3:{i:0;s:12:\"comment_type\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:133:\"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/fields/(?P<field_config>[^/]++)/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:7:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:5;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"comment_type\";i:4;b:1;}i:6;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/comment/manage\";}}s:9:\"path_vars\";a:3:{i:0;s:12:\"comment_type\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:981;s:14:\"patternOutline\";s:61:\"/admin/structure/comment/manage/%/fields/%/translate/%/delete\";s:8:\"numParts\";i:10;}}}}',10),('config_translation.item.delete.entity.field_config.contact_message_field_edit_form','/admin/structure/contact/manage/{contact_form}/fields/{field_config}/translate/{langcode}/delete','/admin/structure/contact/manage/%/fields/%/translate/%/delete',981,'C:31:\"Symfony\\Component\\Routing\\Route\":1905:{a:9:{s:4:\"path\";s:96:\"/admin/structure/contact/manage/{contact_form}/fields/{field_config}/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:22:\"contact_message_fields\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":1051:{a:11:{s:4:\"vars\";a:3:{i:0;s:12:\"contact_form\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:133:\"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/fields/(?P<field_config>[^/]++)/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:7:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:5;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:6;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/contact/manage\";}}s:9:\"path_vars\";a:3:{i:0;s:12:\"contact_form\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:981;s:14:\"patternOutline\";s:61:\"/admin/structure/contact/manage/%/fields/%/translate/%/delete\";s:8:\"numParts\";i:10;}}}}',10),('config_translation.item.delete.entity.field_config.node_field_edit_form','/admin/structure/types/manage/{node_type}/fields/{field_config}/translate/{langcode}/delete','/admin/structure/types/manage/%/fields/%/translate/%/delete',981,'C:31:\"Symfony\\Component\\Routing\\Route\":1868:{a:9:{s:4:\"path\";s:91:\"/admin/structure/types/manage/{node_type}/fields/{field_config}/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:11:\"node_fields\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":1030:{a:11:{s:4:\"vars\";a:3:{i:0;s:9:\"node_type\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:128:\"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/fields/(?P<field_config>[^/]++)/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:7:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:5;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:6;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/types/manage\";}}s:9:\"path_vars\";a:3:{i:0;s:9:\"node_type\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:981;s:14:\"patternOutline\";s:59:\"/admin/structure/types/manage/%/fields/%/translate/%/delete\";s:8:\"numParts\";i:10;}}}}',10),('config_translation.item.delete.entity.field_config.simplenews_subscriber_field_edit_form','/admin/config/people/simplenews/settings/subscriber/fields/{field_config}/translate/{langcode}/delete','/admin/config/people/simplenews/settings/subscriber/fields/%/translate/%/delete',2037,'C:31:\"Symfony\\Component\\Routing\\Route\":1776:{a:9:{s:4:\"path\";s:101:\"/admin/config/people/simplenews/settings/subscriber/fields/{field_config}/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:28:\"simplenews_subscriber_fields\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":911:{a:11:{s:4:\"vars\";a:2:{i:0;s:12:\"field_config\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:128:\"#^/admin/config/people/simplenews/settings/subscriber/fields/(?P<field_config>[^/]++)/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:58:\"/admin/config/people/simplenews/settings/subscriber/fields\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"field_config\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:2037;s:14:\"patternOutline\";s:79:\"/admin/config/people/simplenews/settings/subscriber/fields/%/translate/%/delete\";s:8:\"numParts\";i:11;}}}}',11),('config_translation.item.delete.entity.field_config.taxonomy_term_field_edit_form','/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/fields/{field_config}/translate/{langcode}/delete','/admin/structure/taxonomy/manage/%/overview/fields/%/translate/%/delete',1973,'C:31:\"Symfony\\Component\\Routing\\Route\":1981:{a:9:{s:4:\"path\";s:113:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/fields/{field_config}/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:20:\"taxonomy_term_fields\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":1111:{a:11:{s:4:\"vars\";a:3:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:150:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/fields/(?P<field_config>[^/]++)/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:7:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:16:\"/overview/fields\";}i:5;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:6;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:3:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1973;s:14:\"patternOutline\";s:71:\"/admin/structure/taxonomy/manage/%/overview/fields/%/translate/%/delete\";s:8:\"numParts\";i:11;}}}}',11),('config_translation.item.delete.entity.field_config.user_field_edit_form','/admin/config/people/accounts/fields/{field_config}/translate/{langcode}/delete','/admin/config/people/accounts/fields/%/translate/%/delete',501,'C:31:\"Symfony\\Component\\Routing\\Route\":1668:{a:9:{s:4:\"path\";s:79:\"/admin/config/people/accounts/fields/{field_config}/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:11:\"user_fields\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":843:{a:11:{s:4:\"vars\";a:2:{i:0;s:12:\"field_config\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:106:\"#^/admin/config/people/accounts/fields/(?P<field_config>[^/]++)/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:36:\"/admin/config/people/accounts/fields\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"field_config\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:57:\"/admin/config/people/accounts/fields/%/translate/%/delete\";s:8:\"numParts\";i:9;}}}}',9),('config_translation.item.delete.entity.filter_format.edit_form','/admin/config/content/formats/manage/{filter_format}/translate/{langcode}/delete','/admin/config/content/formats/manage/%/translate/%/delete',501,'C:31:\"Symfony\\Component\\Routing\\Route\":1677:{a:9:{s:4:\"path\";s:80:\"/admin/config/content/formats/manage/{filter_format}/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:13:\"filter_format\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:13:\"filter_format\";a:2:{s:4:\"type\";s:20:\"entity:filter_format\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":847:{a:11:{s:4:\"vars\";a:2:{i:0;s:13:\"filter_format\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:107:\"#^/admin/config/content/formats/manage/(?P<filter_format>[^/]++)/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"filter_format\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:36:\"/admin/config/content/formats/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:13:\"filter_format\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:57:\"/admin/config/content/formats/manage/%/translate/%/delete\";s:8:\"numParts\";i:9;}}}}',9),('config_translation.item.delete.entity.image_style.edit_form','/admin/config/media/image-styles/manage/{image_style}/translate/{langcode}/delete','/admin/config/media/image-styles/manage/%/translate/%/delete',501,'C:31:\"Symfony\\Component\\Routing\\Route\":1674:{a:9:{s:4:\"path\";s:81:\"/admin/config/media/image-styles/manage/{image_style}/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:11:\"image_style\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:11:\"image_style\";a:2:{s:4:\"type\";s:18:\"entity:image_style\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":849:{a:11:{s:4:\"vars\";a:2:{i:0;s:11:\"image_style\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:109:\"#^/admin/config/media/image\\-styles/manage/(?P<image_style>[^/]++)/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"image_style\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:39:\"/admin/config/media/image-styles/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:11:\"image_style\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:60:\"/admin/config/media/image-styles/manage/%/translate/%/delete\";s:8:\"numParts\";i:9;}}}}',9),('config_translation.item.delete.entity.menu.edit_form','/admin/structure/menu/manage/{menu}/translate/{langcode}/delete','/admin/structure/menu/manage/%/translate/%/delete',245,'C:31:\"Symfony\\Component\\Routing\\Route\":1567:{a:9:{s:4:\"path\";s:63:\"/admin/structure/menu/manage/{menu}/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:4:\"menu\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"menu\";a:2:{s:4:\"type\";s:11:\"entity:menu\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":783:{a:11:{s:4:\"vars\";a:2:{i:0;s:4:\"menu\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:90:\"#^/admin/structure/menu/manage/(?P<menu>[^/]++)/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"menu\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:28:\"/admin/structure/menu/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:4:\"menu\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:49:\"/admin/structure/menu/manage/%/translate/%/delete\";s:8:\"numParts\";i:8;}}}}',8),('config_translation.item.delete.entity.node_type.edit_form','/admin/structure/types/manage/{node_type}/translate/{langcode}/delete','/admin/structure/types/manage/%/translate/%/delete',245,'C:31:\"Symfony\\Component\\Routing\\Route\":1611:{a:9:{s:4:\"path\";s:69:\"/admin/structure/types/manage/{node_type}/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:9:\"node_type\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:9:\"node_type\";a:2:{s:4:\"type\";s:16:\"entity:node_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":806:{a:11:{s:4:\"vars\";a:2:{i:0;s:9:\"node_type\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:96:\"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/types/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:9:\"node_type\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:50:\"/admin/structure/types/manage/%/translate/%/delete\";s:8:\"numParts\";i:8;}}}}',8),('config_translation.item.delete.entity.pathauto_pattern.edit_form','/admin/config/search/path/patterns/{pathauto_pattern}/translate/{langcode}/delete','/admin/config/search/path/patterns/%/translate/%/delete',501,'C:31:\"Symfony\\Component\\Routing\\Route\":1693:{a:9:{s:4:\"path\";s:81:\"/admin/config/search/path/patterns/{pathauto_pattern}/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:16:\"pathauto_pattern\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:16:\"pathauto_pattern\";a:2:{s:4:\"type\";s:23:\"entity:pathauto_pattern\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":853:{a:11:{s:4:\"vars\";a:2:{i:0;s:16:\"pathauto_pattern\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:108:\"#^/admin/config/search/path/patterns/(?P<pathauto_pattern>[^/]++)/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"pathauto_pattern\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:34:\"/admin/config/search/path/patterns\";}}s:9:\"path_vars\";a:2:{i:0;s:16:\"pathauto_pattern\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:55:\"/admin/config/search/path/patterns/%/translate/%/delete\";s:8:\"numParts\";i:9;}}}}',9),('config_translation.item.delete.entity.responsive_image_style.edit_form','/admin/config/media/responsive-image-style/{responsive_image_style}/translate/{langcode}/delete','/admin/config/media/responsive-image-style/%/translate/%/delete',245,'C:31:\"Symfony\\Component\\Routing\\Route\":1775:{a:9:{s:4:\"path\";s:95:\"/admin/config/media/responsive-image-style/{responsive_image_style}/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:22:\"responsive_image_style\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:22:\"responsive_image_style\";a:2:{s:4:\"type\";s:29:\"entity:responsive_image_style\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":903:{a:11:{s:4:\"vars\";a:2:{i:0;s:22:\"responsive_image_style\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:124:\"#^/admin/config/media/responsive\\-image\\-style/(?P<responsive_image_style>[^/]++)/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:22:\"responsive_image_style\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/config/media/responsive-image-style\";}}s:9:\"path_vars\";a:2:{i:0;s:22:\"responsive_image_style\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:63:\"/admin/config/media/responsive-image-style/%/translate/%/delete\";s:8:\"numParts\";i:8;}}}}',8),('config_translation.item.delete.entity.search_page.edit_form','/admin/config/search/pages/manage/{search_page}/translate/{langcode}/delete','/admin/config/search/pages/manage/%/translate/%/delete',501,'C:31:\"Symfony\\Component\\Routing\\Route\":1649:{a:9:{s:4:\"path\";s:75:\"/admin/config/search/pages/manage/{search_page}/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:11:\"search_page\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:11:\"search_page\";a:2:{s:4:\"type\";s:18:\"entity:search_page\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":830:{a:11:{s:4:\"vars\";a:2:{i:0;s:11:\"search_page\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:102:\"#^/admin/config/search/pages/manage/(?P<search_page>[^/]++)/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"search_page\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:33:\"/admin/config/search/pages/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:11:\"search_page\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:54:\"/admin/config/search/pages/manage/%/translate/%/delete\";s:8:\"numParts\";i:9;}}}}',9),('config_translation.item.delete.entity.shortcut_set.edit_form','/admin/config/user-interface/shortcut/manage/{shortcut_set}/translate/{langcode}/delete','/admin/config/user-interface/shortcut/manage/%/translate/%/delete',501,'C:31:\"Symfony\\Component\\Routing\\Route\":1702:{a:9:{s:4:\"path\";s:87:\"/admin/config/user-interface/shortcut/manage/{shortcut_set}/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:12:\"shortcut_set\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"shortcut_set\";a:2:{s:4:\"type\";s:19:\"entity:shortcut_set\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":868:{a:11:{s:4:\"vars\";a:2:{i:0;s:12:\"shortcut_set\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:115:\"#^/admin/config/user\\-interface/shortcut/manage/(?P<shortcut_set>[^/]++)/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"shortcut_set\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:44:\"/admin/config/user-interface/shortcut/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"shortcut_set\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:65:\"/admin/config/user-interface/shortcut/manage/%/translate/%/delete\";s:8:\"numParts\";i:9;}}}}',9),('config_translation.item.delete.entity.simplenews_newsletter.edit_form','/admin/config/services/simplenews/manage/{simplenews_newsletter}/translate/{langcode}/delete','/admin/config/services/simplenews/manage/%/translate/%/delete',501,'C:31:\"Symfony\\Component\\Routing\\Route\":1757:{a:9:{s:4:\"path\";s:92:\"/admin/config/services/simplenews/manage/{simplenews_newsletter}/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:21:\"simplenews_newsletter\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:21:\"simplenews_newsletter\";a:2:{s:4:\"type\";s:28:\"entity:simplenews_newsletter\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":891:{a:11:{s:4:\"vars\";a:2:{i:0;s:21:\"simplenews_newsletter\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:119:\"#^/admin/config/services/simplenews/manage/(?P<simplenews_newsletter>[^/]++)/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:21:\"simplenews_newsletter\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:40:\"/admin/config/services/simplenews/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:21:\"simplenews_newsletter\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:61:\"/admin/config/services/simplenews/manage/%/translate/%/delete\";s:8:\"numParts\";i:9;}}}}',9),('config_translation.item.delete.entity.taxonomy_vocabulary.edit_form','/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/translate/{langcode}/delete','/admin/structure/taxonomy/manage/%/translate/%/delete',245,'C:31:\"Symfony\\Component\\Routing\\Route\":1709:{a:9:{s:4:\"path\";s:82:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:19:\"taxonomy_vocabulary\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:19:\"taxonomy_vocabulary\";a:2:{s:4:\"type\";s:26:\"entity:taxonomy_vocabulary\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":859:{a:11:{s:4:\"vars\";a:2:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:109:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:53:\"/admin/structure/taxonomy/manage/%/translate/%/delete\";s:8:\"numParts\";i:8;}}}}',8),('config_translation.item.delete.entity.user.admin_form','/admin/config/people/accounts/translate/{langcode}/delete','/admin/config/people/accounts/translate/%/delete',125,'C:31:\"Symfony\\Component\\Routing\\Route\":1258:{a:9:{s:4:\"path\";s:57:\"/admin/config/people/accounts/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:22:\"entity.user.admin_form\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":619:{a:11:{s:4:\"vars\";a:1:{i:0;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:74:\"#^/admin/config/people/accounts/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:39:\"/admin/config/people/accounts/translate\";}}s:9:\"path_vars\";a:1:{i:0;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:48:\"/admin/config/people/accounts/translate/%/delete\";s:8:\"numParts\";i:7;}}}}',7),('config_translation.item.delete.entity.user_role.edit_form','/admin/people/roles/manage/{user_role}/translate/{langcode}/delete','/admin/people/roles/manage/%/translate/%/delete',245,'C:31:\"Symfony\\Component\\Routing\\Route\":1599:{a:9:{s:4:\"path\";s:66:\"/admin/people/roles/manage/{user_role}/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:9:\"user_role\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:9:\"user_role\";a:2:{s:4:\"type\";s:16:\"entity:user_role\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":797:{a:11:{s:4:\"vars\";a:2:{i:0;s:9:\"user_role\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:93:\"#^/admin/people/roles/manage/(?P<user_role>[^/]++)/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"user_role\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/people/roles/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:9:\"user_role\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:47:\"/admin/people/roles/manage/%/translate/%/delete\";s:8:\"numParts\";i:8;}}}}',8),('config_translation.item.delete.entity.view.edit_form','/admin/structure/views/view/{view}/translate/{langcode}/delete','/admin/structure/views/view/%/translate/%/delete',245,'C:31:\"Symfony\\Component\\Routing\\Route\":1563:{a:9:{s:4:\"path\";s:62:\"/admin/structure/views/view/{view}/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:4:\"view\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"view\";a:2:{s:4:\"type\";s:11:\"entity:view\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":780:{a:11:{s:4:\"vars\";a:2:{i:0;s:4:\"view\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:89:\"#^/admin/structure/views/view/(?P<view>[^/]++)/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"view\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:27:\"/admin/structure/views/view\";}}s:9:\"path_vars\";a:2:{i:0;s:4:\"view\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:48:\"/admin/structure/views/view/%/translate/%/delete\";s:8:\"numParts\";i:8;}}}}',8),('config_translation.item.delete.simplenews.newsletter_list','/admin/config/services/simplenews/translate/{langcode}/delete','/admin/config/services/simplenews/translate/%/delete',125,'C:31:\"Symfony\\Component\\Routing\\Route\":1271:{a:9:{s:4:\"path\";s:61:\"/admin/config/services/simplenews/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:19:\"simplenews.settings\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":631:{a:11:{s:4:\"vars\";a:1:{i:0;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:78:\"#^/admin/config/services/simplenews/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/config/services/simplenews/translate\";}}s:9:\"path_vars\";a:1:{i:0;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:52:\"/admin/config/services/simplenews/translate/%/delete\";s:8:\"numParts\";i:7;}}}}',7),('config_translation.item.delete.system.rss_feeds_settings','/admin/config/services/rss-publishing/translate/{langcode}/delete','/admin/config/services/rss-publishing/translate/%/delete',125,'C:31:\"Symfony\\Component\\Routing\\Route\":1294:{a:9:{s:4:\"path\";s:65:\"/admin/config/services/rss-publishing/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:25:\"system.rss_feeds_settings\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":644:{a:11:{s:4:\"vars\";a:1:{i:0;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:83:\"#^/admin/config/services/rss\\-publishing/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:47:\"/admin/config/services/rss-publishing/translate\";}}s:9:\"path_vars\";a:1:{i:0;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:56:\"/admin/config/services/rss-publishing/translate/%/delete\";s:8:\"numParts\";i:7;}}}}',7),('config_translation.item.delete.system.site_information_settings','/admin/config/system/site-information/translate/{langcode}/delete','/admin/config/system/site-information/translate/%/delete',125,'C:31:\"Symfony\\Component\\Routing\\Route\":1301:{a:9:{s:4:\"path\";s:65:\"/admin/config/system/site-information/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:32:\"system.site_information_settings\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":644:{a:11:{s:4:\"vars\";a:1:{i:0;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:83:\"#^/admin/config/system/site\\-information/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:47:\"/admin/config/system/site-information/translate\";}}s:9:\"path_vars\";a:1:{i:0;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:56:\"/admin/config/system/site-information/translate/%/delete\";s:8:\"numParts\";i:7;}}}}',7),('config_translation.item.delete.system.site_maintenance_mode','/admin/config/development/maintenance/translate/{langcode}/delete','/admin/config/development/maintenance/translate/%/delete',125,'C:31:\"Symfony\\Component\\Routing\\Route\":1296:{a:9:{s:4:\"path\";s:65:\"/admin/config/development/maintenance/translate/{langcode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:59:\"\\Drupal\\config_translation\\Form\\ConfigTranslationDeleteForm\";s:9:\"plugin_id\";s:28:\"system.site_maintenance_mode\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":643:{a:11:{s:4:\"vars\";a:1:{i:0;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:82:\"#^/admin/config/development/maintenance/translate/(?P<langcode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:47:\"/admin/config/development/maintenance/translate\";}}s:9:\"path_vars\";a:1:{i:0;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:56:\"/admin/config/development/maintenance/translate/%/delete\";s:8:\"numParts\";i:7;}}}}',7),('config_translation.item.edit.entity.block.edit_form','/admin/structure/block/manage/{block}/translate/{langcode}/edit','/admin/structure/block/manage/%/translate/%/edit',245,'C:31:\"Symfony\\Component\\Routing\\Route\":1569:{a:9:{s:4:\"path\";s:63:\"/admin/structure/block/manage/{block}/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:5:\"block\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:5:\"block\";a:2:{s:4:\"type\";s:12:\"entity:block\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":784:{a:11:{s:4:\"vars\";a:2:{i:0;s:5:\"block\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:90:\"#^/admin/structure/block/manage/(?P<block>[^/]++)/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:5:\"block\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/block/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:5:\"block\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:48:\"/admin/structure/block/manage/%/translate/%/edit\";s:8:\"numParts\";i:8;}}}}',8),('config_translation.item.edit.entity.block_content_type.edit_form','/admin/structure/block/block-content/manage/{block_content_type}/translate/{langcode}/edit','/admin/structure/block/block-content/manage/%/translate/%/edit',501,'C:31:\"Symfony\\Component\\Routing\\Route\":1736:{a:9:{s:4:\"path\";s:90:\"/admin/structure/block/block-content/manage/{block_content_type}/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:18:\"block_content_type\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:18:\"block_content_type\";a:2:{s:4:\"type\";s:25:\"entity:block_content_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":883:{a:11:{s:4:\"vars\";a:2:{i:0;s:18:\"block_content_type\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:118:\"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/block/block-content/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:18:\"block_content_type\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:62:\"/admin/structure/block/block-content/manage/%/translate/%/edit\";s:8:\"numParts\";i:9;}}}}',9),('config_translation.item.edit.entity.comment_type.edit_form','/admin/structure/comment/manage/{comment_type}/translate/{langcode}/edit','/admin/structure/comment/manage/%/translate/%/edit',245,'C:31:\"Symfony\\Component\\Routing\\Route\":1638:{a:9:{s:4:\"path\";s:72:\"/admin/structure/comment/manage/{comment_type}/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:12:\"comment_type\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"comment_type\";a:2:{s:4:\"type\";s:19:\"entity:comment_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":821:{a:11:{s:4:\"vars\";a:2:{i:0;s:12:\"comment_type\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:99:\"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"comment_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/comment/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"comment_type\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:50:\"/admin/structure/comment/manage/%/translate/%/edit\";s:8:\"numParts\";i:8;}}}}',8),('config_translation.item.edit.entity.configurable_language.edit_form','/admin/config/regional/language/edit/{configurable_language}/translate/{langcode}/edit','/admin/config/regional/language/edit/%/translate/%/edit',501,'C:31:\"Symfony\\Component\\Routing\\Route\":1731:{a:9:{s:4:\"path\";s:86:\"/admin/config/regional/language/edit/{configurable_language}/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:21:\"configurable_language\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:21:\"configurable_language\";a:2:{s:4:\"type\";s:28:\"entity:configurable_language\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":873:{a:11:{s:4:\"vars\";a:2:{i:0;s:21:\"configurable_language\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:113:\"#^/admin/config/regional/language/edit/(?P<configurable_language>[^/]++)/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:21:\"configurable_language\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:36:\"/admin/config/regional/language/edit\";}}s:9:\"path_vars\";a:2:{i:0;s:21:\"configurable_language\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:55:\"/admin/config/regional/language/edit/%/translate/%/edit\";s:8:\"numParts\";i:9;}}}}',9),('config_translation.item.edit.entity.contact_form.edit_form','/admin/structure/contact/manage/{contact_form}/translate/{langcode}/edit','/admin/structure/contact/manage/%/translate/%/edit',245,'C:31:\"Symfony\\Component\\Routing\\Route\":1638:{a:9:{s:4:\"path\";s:72:\"/admin/structure/contact/manage/{contact_form}/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:12:\"contact_form\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"contact_form\";a:2:{s:4:\"type\";s:19:\"entity:contact_form\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":821:{a:11:{s:4:\"vars\";a:2:{i:0;s:12:\"contact_form\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:99:\"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/contact/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"contact_form\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:50:\"/admin/structure/contact/manage/%/translate/%/edit\";s:8:\"numParts\";i:8;}}}}',8),('config_translation.item.edit.entity.date_format.edit_form','/admin/config/regional/date-time/formats/manage/{date_format}/translate/{langcode}/edit','/admin/config/regional/date-time/formats/manage/%/translate/%/edit',1013,'C:31:\"Symfony\\Component\\Routing\\Route\":1698:{a:9:{s:4:\"path\";s:87:\"/admin/config/regional/date-time/formats/manage/{date_format}/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:11:\"date_format\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:11:\"date_format\";a:2:{s:4:\"type\";s:18:\"entity:date_format\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":869:{a:11:{s:4:\"vars\";a:2:{i:0;s:11:\"date_format\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:115:\"#^/admin/config/regional/date\\-time/formats/manage/(?P<date_format>[^/]++)/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"date_format\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:47:\"/admin/config/regional/date-time/formats/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:11:\"date_format\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1013;s:14:\"patternOutline\";s:66:\"/admin/config/regional/date-time/formats/manage/%/translate/%/edit\";s:8:\"numParts\";i:10;}}}}',10),('config_translation.item.edit.entity.entity_form_mode.edit_form','/admin/structure/display-modes/form/manage/{entity_form_mode}/translate/{langcode}/edit','/admin/structure/display-modes/form/manage/%/translate/%/edit',501,'C:31:\"Symfony\\Component\\Routing\\Route\":1716:{a:9:{s:4:\"path\";s:87:\"/admin/structure/display-modes/form/manage/{entity_form_mode}/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:16:\"entity_form_mode\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:16:\"entity_form_mode\";a:2:{s:4:\"type\";s:23:\"entity:entity_form_mode\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":872:{a:11:{s:4:\"vars\";a:2:{i:0;s:16:\"entity_form_mode\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:115:\"#^/admin/structure/display\\-modes/form/manage/(?P<entity_form_mode>[^/]++)/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"entity_form_mode\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/structure/display-modes/form/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:16:\"entity_form_mode\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:61:\"/admin/structure/display-modes/form/manage/%/translate/%/edit\";s:8:\"numParts\";i:9;}}}}',9),('config_translation.item.edit.entity.entity_view_mode.edit_form','/admin/structure/display-modes/view/manage/{entity_view_mode}/translate/{langcode}/edit','/admin/structure/display-modes/view/manage/%/translate/%/edit',501,'C:31:\"Symfony\\Component\\Routing\\Route\":1716:{a:9:{s:4:\"path\";s:87:\"/admin/structure/display-modes/view/manage/{entity_view_mode}/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:16:\"entity_view_mode\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:16:\"entity_view_mode\";a:2:{s:4:\"type\";s:23:\"entity:entity_view_mode\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":872:{a:11:{s:4:\"vars\";a:2:{i:0;s:16:\"entity_view_mode\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:115:\"#^/admin/structure/display\\-modes/view/manage/(?P<entity_view_mode>[^/]++)/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"entity_view_mode\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/structure/display-modes/view/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:16:\"entity_view_mode\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:61:\"/admin/structure/display-modes/view/manage/%/translate/%/edit\";s:8:\"numParts\";i:9;}}}}',9),('config_translation.item.edit.entity.field_config.block_content_field_edit_form','/admin/structure/block/block-content/manage/{block_content_type}/fields/{field_config}/translate/{langcode}/edit','/admin/structure/block/block-content/manage/%/fields/%/translate/%/edit',2005,'C:31:\"Symfony\\Component\\Routing\\Route\":1974:{a:9:{s:4:\"path\";s:112:\"/admin/structure/block/block-content/manage/{block_content_type}/fields/{field_config}/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:20:\"block_content_fields\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":1107:{a:11:{s:4:\"vars\";a:3:{i:0;s:18:\"block_content_type\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:150:\"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/fields/(?P<field_config>[^/]++)/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:7:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:5;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:6;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/block/block-content/manage\";}}s:9:\"path_vars\";a:3:{i:0;s:18:\"block_content_type\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:2005;s:14:\"patternOutline\";s:71:\"/admin/structure/block/block-content/manage/%/fields/%/translate/%/edit\";s:8:\"numParts\";i:11;}}}}',11),('config_translation.item.edit.entity.field_config.comment_field_edit_form','/admin/structure/comment/manage/{comment_type}/fields/{field_config}/translate/{langcode}/edit','/admin/structure/comment/manage/%/fields/%/translate/%/edit',981,'C:31:\"Symfony\\Component\\Routing\\Route\":1887:{a:9:{s:4:\"path\";s:94:\"/admin/structure/comment/manage/{comment_type}/fields/{field_config}/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:14:\"comment_fields\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":1045:{a:11:{s:4:\"vars\";a:3:{i:0;s:12:\"comment_type\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:131:\"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/fields/(?P<field_config>[^/]++)/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:7:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:5;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"comment_type\";i:4;b:1;}i:6;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/comment/manage\";}}s:9:\"path_vars\";a:3:{i:0;s:12:\"comment_type\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:981;s:14:\"patternOutline\";s:59:\"/admin/structure/comment/manage/%/fields/%/translate/%/edit\";s:8:\"numParts\";i:10;}}}}',10),('config_translation.item.edit.entity.field_config.contact_message_field_edit_form','/admin/structure/contact/manage/{contact_form}/fields/{field_config}/translate/{langcode}/edit','/admin/structure/contact/manage/%/fields/%/translate/%/edit',981,'C:31:\"Symfony\\Component\\Routing\\Route\":1895:{a:9:{s:4:\"path\";s:94:\"/admin/structure/contact/manage/{contact_form}/fields/{field_config}/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:22:\"contact_message_fields\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":1045:{a:11:{s:4:\"vars\";a:3:{i:0;s:12:\"contact_form\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:131:\"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/fields/(?P<field_config>[^/]++)/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:7:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:5;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:6;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/contact/manage\";}}s:9:\"path_vars\";a:3:{i:0;s:12:\"contact_form\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:981;s:14:\"patternOutline\";s:59:\"/admin/structure/contact/manage/%/fields/%/translate/%/edit\";s:8:\"numParts\";i:10;}}}}',10),('config_translation.item.edit.entity.field_config.node_field_edit_form','/admin/structure/types/manage/{node_type}/fields/{field_config}/translate/{langcode}/edit','/admin/structure/types/manage/%/fields/%/translate/%/edit',981,'C:31:\"Symfony\\Component\\Routing\\Route\":1858:{a:9:{s:4:\"path\";s:89:\"/admin/structure/types/manage/{node_type}/fields/{field_config}/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:11:\"node_fields\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":1024:{a:11:{s:4:\"vars\";a:3:{i:0;s:9:\"node_type\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:126:\"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/fields/(?P<field_config>[^/]++)/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:7:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:5;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:6;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/types/manage\";}}s:9:\"path_vars\";a:3:{i:0;s:9:\"node_type\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:981;s:14:\"patternOutline\";s:57:\"/admin/structure/types/manage/%/fields/%/translate/%/edit\";s:8:\"numParts\";i:10;}}}}',10),('config_translation.item.edit.entity.field_config.simplenews_subscriber_field_edit_form','/admin/config/people/simplenews/settings/subscriber/fields/{field_config}/translate/{langcode}/edit','/admin/config/people/simplenews/settings/subscriber/fields/%/translate/%/edit',2037,'C:31:\"Symfony\\Component\\Routing\\Route\":1765:{a:9:{s:4:\"path\";s:99:\"/admin/config/people/simplenews/settings/subscriber/fields/{field_config}/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:28:\"simplenews_subscriber_fields\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":905:{a:11:{s:4:\"vars\";a:2:{i:0;s:12:\"field_config\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:126:\"#^/admin/config/people/simplenews/settings/subscriber/fields/(?P<field_config>[^/]++)/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:58:\"/admin/config/people/simplenews/settings/subscriber/fields\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"field_config\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:2037;s:14:\"patternOutline\";s:77:\"/admin/config/people/simplenews/settings/subscriber/fields/%/translate/%/edit\";s:8:\"numParts\";i:11;}}}}',11),('config_translation.item.edit.entity.field_config.taxonomy_term_field_edit_form','/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/fields/{field_config}/translate/{langcode}/edit','/admin/structure/taxonomy/manage/%/overview/fields/%/translate/%/edit',1973,'C:31:\"Symfony\\Component\\Routing\\Route\":1971:{a:9:{s:4:\"path\";s:111:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/fields/{field_config}/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:20:\"taxonomy_term_fields\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":1105:{a:11:{s:4:\"vars\";a:3:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:148:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/fields/(?P<field_config>[^/]++)/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:7:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:16:\"/overview/fields\";}i:5;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:6;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:3:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:12:\"field_config\";i:2;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1973;s:14:\"patternOutline\";s:69:\"/admin/structure/taxonomy/manage/%/overview/fields/%/translate/%/edit\";s:8:\"numParts\";i:11;}}}}',11),('config_translation.item.edit.entity.field_config.user_field_edit_form','/admin/config/people/accounts/fields/{field_config}/translate/{langcode}/edit','/admin/config/people/accounts/fields/%/translate/%/edit',501,'C:31:\"Symfony\\Component\\Routing\\Route\":1658:{a:9:{s:4:\"path\";s:77:\"/admin/config/people/accounts/fields/{field_config}/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:11:\"user_fields\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":837:{a:11:{s:4:\"vars\";a:2:{i:0;s:12:\"field_config\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:104:\"#^/admin/config/people/accounts/fields/(?P<field_config>[^/]++)/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:36:\"/admin/config/people/accounts/fields\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"field_config\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:55:\"/admin/config/people/accounts/fields/%/translate/%/edit\";s:8:\"numParts\";i:9;}}}}',9),('config_translation.item.edit.entity.filter_format.edit_form','/admin/config/content/formats/manage/{filter_format}/translate/{langcode}/edit','/admin/config/content/formats/manage/%/translate/%/edit',501,'C:31:\"Symfony\\Component\\Routing\\Route\":1667:{a:9:{s:4:\"path\";s:78:\"/admin/config/content/formats/manage/{filter_format}/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:13:\"filter_format\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:13:\"filter_format\";a:2:{s:4:\"type\";s:20:\"entity:filter_format\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":841:{a:11:{s:4:\"vars\";a:2:{i:0;s:13:\"filter_format\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:105:\"#^/admin/config/content/formats/manage/(?P<filter_format>[^/]++)/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"filter_format\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:36:\"/admin/config/content/formats/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:13:\"filter_format\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:55:\"/admin/config/content/formats/manage/%/translate/%/edit\";s:8:\"numParts\";i:9;}}}}',9),('config_translation.item.edit.entity.image_style.edit_form','/admin/config/media/image-styles/manage/{image_style}/translate/{langcode}/edit','/admin/config/media/image-styles/manage/%/translate/%/edit',501,'C:31:\"Symfony\\Component\\Routing\\Route\":1664:{a:9:{s:4:\"path\";s:79:\"/admin/config/media/image-styles/manage/{image_style}/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:11:\"image_style\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:11:\"image_style\";a:2:{s:4:\"type\";s:18:\"entity:image_style\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":843:{a:11:{s:4:\"vars\";a:2:{i:0;s:11:\"image_style\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:107:\"#^/admin/config/media/image\\-styles/manage/(?P<image_style>[^/]++)/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"image_style\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:39:\"/admin/config/media/image-styles/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:11:\"image_style\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:58:\"/admin/config/media/image-styles/manage/%/translate/%/edit\";s:8:\"numParts\";i:9;}}}}',9),('config_translation.item.edit.entity.menu.edit_form','/admin/structure/menu/manage/{menu}/translate/{langcode}/edit','/admin/structure/menu/manage/%/translate/%/edit',245,'C:31:\"Symfony\\Component\\Routing\\Route\":1557:{a:9:{s:4:\"path\";s:61:\"/admin/structure/menu/manage/{menu}/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:4:\"menu\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"menu\";a:2:{s:4:\"type\";s:11:\"entity:menu\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":777:{a:11:{s:4:\"vars\";a:2:{i:0;s:4:\"menu\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:88:\"#^/admin/structure/menu/manage/(?P<menu>[^/]++)/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"menu\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:28:\"/admin/structure/menu/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:4:\"menu\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:47:\"/admin/structure/menu/manage/%/translate/%/edit\";s:8:\"numParts\";i:8;}}}}',8),('config_translation.item.edit.entity.node_type.edit_form','/admin/structure/types/manage/{node_type}/translate/{langcode}/edit','/admin/structure/types/manage/%/translate/%/edit',245,'C:31:\"Symfony\\Component\\Routing\\Route\":1601:{a:9:{s:4:\"path\";s:67:\"/admin/structure/types/manage/{node_type}/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:9:\"node_type\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:9:\"node_type\";a:2:{s:4:\"type\";s:16:\"entity:node_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":800:{a:11:{s:4:\"vars\";a:2:{i:0;s:9:\"node_type\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:94:\"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/types/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:9:\"node_type\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:48:\"/admin/structure/types/manage/%/translate/%/edit\";s:8:\"numParts\";i:8;}}}}',8),('config_translation.item.edit.entity.pathauto_pattern.edit_form','/admin/config/search/path/patterns/{pathauto_pattern}/translate/{langcode}/edit','/admin/config/search/path/patterns/%/translate/%/edit',501,'C:31:\"Symfony\\Component\\Routing\\Route\":1683:{a:9:{s:4:\"path\";s:79:\"/admin/config/search/path/patterns/{pathauto_pattern}/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:16:\"pathauto_pattern\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:16:\"pathauto_pattern\";a:2:{s:4:\"type\";s:23:\"entity:pathauto_pattern\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":847:{a:11:{s:4:\"vars\";a:2:{i:0;s:16:\"pathauto_pattern\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:106:\"#^/admin/config/search/path/patterns/(?P<pathauto_pattern>[^/]++)/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"pathauto_pattern\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:34:\"/admin/config/search/path/patterns\";}}s:9:\"path_vars\";a:2:{i:0;s:16:\"pathauto_pattern\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:53:\"/admin/config/search/path/patterns/%/translate/%/edit\";s:8:\"numParts\";i:9;}}}}',9),('config_translation.item.edit.entity.responsive_image_style.edit_form','/admin/config/media/responsive-image-style/{responsive_image_style}/translate/{langcode}/edit','/admin/config/media/responsive-image-style/%/translate/%/edit',245,'C:31:\"Symfony\\Component\\Routing\\Route\":1765:{a:9:{s:4:\"path\";s:93:\"/admin/config/media/responsive-image-style/{responsive_image_style}/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:22:\"responsive_image_style\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:22:\"responsive_image_style\";a:2:{s:4:\"type\";s:29:\"entity:responsive_image_style\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":897:{a:11:{s:4:\"vars\";a:2:{i:0;s:22:\"responsive_image_style\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:122:\"#^/admin/config/media/responsive\\-image\\-style/(?P<responsive_image_style>[^/]++)/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:22:\"responsive_image_style\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/config/media/responsive-image-style\";}}s:9:\"path_vars\";a:2:{i:0;s:22:\"responsive_image_style\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:61:\"/admin/config/media/responsive-image-style/%/translate/%/edit\";s:8:\"numParts\";i:8;}}}}',8),('config_translation.item.edit.entity.search_page.edit_form','/admin/config/search/pages/manage/{search_page}/translate/{langcode}/edit','/admin/config/search/pages/manage/%/translate/%/edit',501,'C:31:\"Symfony\\Component\\Routing\\Route\":1639:{a:9:{s:4:\"path\";s:73:\"/admin/config/search/pages/manage/{search_page}/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:11:\"search_page\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:11:\"search_page\";a:2:{s:4:\"type\";s:18:\"entity:search_page\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":824:{a:11:{s:4:\"vars\";a:2:{i:0;s:11:\"search_page\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:100:\"#^/admin/config/search/pages/manage/(?P<search_page>[^/]++)/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"search_page\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:33:\"/admin/config/search/pages/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:11:\"search_page\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:52:\"/admin/config/search/pages/manage/%/translate/%/edit\";s:8:\"numParts\";i:9;}}}}',9),('config_translation.item.edit.entity.shortcut_set.edit_form','/admin/config/user-interface/shortcut/manage/{shortcut_set}/translate/{langcode}/edit','/admin/config/user-interface/shortcut/manage/%/translate/%/edit',501,'C:31:\"Symfony\\Component\\Routing\\Route\":1692:{a:9:{s:4:\"path\";s:85:\"/admin/config/user-interface/shortcut/manage/{shortcut_set}/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:12:\"shortcut_set\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"shortcut_set\";a:2:{s:4:\"type\";s:19:\"entity:shortcut_set\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":862:{a:11:{s:4:\"vars\";a:2:{i:0;s:12:\"shortcut_set\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:113:\"#^/admin/config/user\\-interface/shortcut/manage/(?P<shortcut_set>[^/]++)/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"shortcut_set\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:44:\"/admin/config/user-interface/shortcut/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"shortcut_set\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:63:\"/admin/config/user-interface/shortcut/manage/%/translate/%/edit\";s:8:\"numParts\";i:9;}}}}',9),('config_translation.item.edit.entity.simplenews_newsletter.edit_form','/admin/config/services/simplenews/manage/{simplenews_newsletter}/translate/{langcode}/edit','/admin/config/services/simplenews/manage/%/translate/%/edit',501,'C:31:\"Symfony\\Component\\Routing\\Route\":1747:{a:9:{s:4:\"path\";s:90:\"/admin/config/services/simplenews/manage/{simplenews_newsletter}/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:21:\"simplenews_newsletter\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:21:\"simplenews_newsletter\";a:2:{s:4:\"type\";s:28:\"entity:simplenews_newsletter\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":885:{a:11:{s:4:\"vars\";a:2:{i:0;s:21:\"simplenews_newsletter\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:117:\"#^/admin/config/services/simplenews/manage/(?P<simplenews_newsletter>[^/]++)/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:21:\"simplenews_newsletter\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:40:\"/admin/config/services/simplenews/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:21:\"simplenews_newsletter\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:59:\"/admin/config/services/simplenews/manage/%/translate/%/edit\";s:8:\"numParts\";i:9;}}}}',9),('config_translation.item.edit.entity.taxonomy_vocabulary.edit_form','/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/translate/{langcode}/edit','/admin/structure/taxonomy/manage/%/translate/%/edit',245,'C:31:\"Symfony\\Component\\Routing\\Route\":1699:{a:9:{s:4:\"path\";s:80:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:19:\"taxonomy_vocabulary\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:19:\"taxonomy_vocabulary\";a:2:{s:4:\"type\";s:26:\"entity:taxonomy_vocabulary\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":853:{a:11:{s:4:\"vars\";a:2:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:107:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:51:\"/admin/structure/taxonomy/manage/%/translate/%/edit\";s:8:\"numParts\";i:8;}}}}',8),('config_translation.item.edit.entity.user.admin_form','/admin/config/people/accounts/translate/{langcode}/edit','/admin/config/people/accounts/translate/%/edit',125,'C:31:\"Symfony\\Component\\Routing\\Route\":1248:{a:9:{s:4:\"path\";s:55:\"/admin/config/people/accounts/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:22:\"entity.user.admin_form\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":613:{a:11:{s:4:\"vars\";a:1:{i:0;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:72:\"#^/admin/config/people/accounts/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:39:\"/admin/config/people/accounts/translate\";}}s:9:\"path_vars\";a:1:{i:0;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:46:\"/admin/config/people/accounts/translate/%/edit\";s:8:\"numParts\";i:7;}}}}',7),('config_translation.item.edit.entity.user_role.edit_form','/admin/people/roles/manage/{user_role}/translate/{langcode}/edit','/admin/people/roles/manage/%/translate/%/edit',245,'C:31:\"Symfony\\Component\\Routing\\Route\":1589:{a:9:{s:4:\"path\";s:64:\"/admin/people/roles/manage/{user_role}/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:9:\"user_role\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:9:\"user_role\";a:2:{s:4:\"type\";s:16:\"entity:user_role\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":791:{a:11:{s:4:\"vars\";a:2:{i:0;s:9:\"user_role\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:91:\"#^/admin/people/roles/manage/(?P<user_role>[^/]++)/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"user_role\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/people/roles/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:9:\"user_role\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:45:\"/admin/people/roles/manage/%/translate/%/edit\";s:8:\"numParts\";i:8;}}}}',8),('config_translation.item.edit.entity.view.edit_form','/admin/structure/views/view/{view}/translate/{langcode}/edit','/admin/structure/views/view/%/translate/%/edit',245,'C:31:\"Symfony\\Component\\Routing\\Route\":1553:{a:9:{s:4:\"path\";s:60:\"/admin/structure/views/view/{view}/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:4:\"view\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"view\";a:2:{s:4:\"type\";s:11:\"entity:view\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":774:{a:11:{s:4:\"vars\";a:2:{i:0;s:4:\"view\";i:1;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:87:\"#^/admin/structure/views/view/(?P<view>[^/]++)/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"view\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:27:\"/admin/structure/views/view\";}}s:9:\"path_vars\";a:2:{i:0;s:4:\"view\";i:1;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:46:\"/admin/structure/views/view/%/translate/%/edit\";s:8:\"numParts\";i:8;}}}}',8),('config_translation.item.edit.simplenews.newsletter_list','/admin/config/services/simplenews/translate/{langcode}/edit','/admin/config/services/simplenews/translate/%/edit',125,'C:31:\"Symfony\\Component\\Routing\\Route\":1261:{a:9:{s:4:\"path\";s:59:\"/admin/config/services/simplenews/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:19:\"simplenews.settings\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":625:{a:11:{s:4:\"vars\";a:1:{i:0;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:76:\"#^/admin/config/services/simplenews/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/config/services/simplenews/translate\";}}s:9:\"path_vars\";a:1:{i:0;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:50:\"/admin/config/services/simplenews/translate/%/edit\";s:8:\"numParts\";i:7;}}}}',7),('config_translation.item.edit.system.rss_feeds_settings','/admin/config/services/rss-publishing/translate/{langcode}/edit','/admin/config/services/rss-publishing/translate/%/edit',125,'C:31:\"Symfony\\Component\\Routing\\Route\":1284:{a:9:{s:4:\"path\";s:63:\"/admin/config/services/rss-publishing/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:25:\"system.rss_feeds_settings\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":638:{a:11:{s:4:\"vars\";a:1:{i:0;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:81:\"#^/admin/config/services/rss\\-publishing/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:47:\"/admin/config/services/rss-publishing/translate\";}}s:9:\"path_vars\";a:1:{i:0;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:54:\"/admin/config/services/rss-publishing/translate/%/edit\";s:8:\"numParts\";i:7;}}}}',7),('config_translation.item.edit.system.site_information_settings','/admin/config/system/site-information/translate/{langcode}/edit','/admin/config/system/site-information/translate/%/edit',125,'C:31:\"Symfony\\Component\\Routing\\Route\":1291:{a:9:{s:4:\"path\";s:63:\"/admin/config/system/site-information/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:32:\"system.site_information_settings\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":638:{a:11:{s:4:\"vars\";a:1:{i:0;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:81:\"#^/admin/config/system/site\\-information/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:47:\"/admin/config/system/site-information/translate\";}}s:9:\"path_vars\";a:1:{i:0;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:54:\"/admin/config/system/site-information/translate/%/edit\";s:8:\"numParts\";i:7;}}}}',7),('config_translation.item.edit.system.site_maintenance_mode','/admin/config/development/maintenance/translate/{langcode}/edit','/admin/config/development/maintenance/translate/%/edit',125,'C:31:\"Symfony\\Component\\Routing\\Route\":1286:{a:9:{s:4:\"path\";s:63:\"/admin/config/development/maintenance/translate/{langcode}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:57:\"\\Drupal\\config_translation\\Form\\ConfigTranslationEditForm\";s:9:\"plugin_id\";s:28:\"system.site_maintenance_mode\";}s:12:\"requirements\";a:1:{s:31:\"_config_translation_form_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"config_translation.access.form\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":637:{a:11:{s:4:\"vars\";a:1:{i:0;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:80:\"#^/admin/config/development/maintenance/translate/(?P<langcode>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:47:\"/admin/config/development/maintenance/translate\";}}s:9:\"path_vars\";a:1:{i:0;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:54:\"/admin/config/development/maintenance/translate/%/edit\";s:8:\"numParts\";i:7;}}}}',7),('config_translation.item.overview.entity.user.admin_form','/admin/config/people/accounts/translate','/admin/config/people/accounts/translate',31,'C:31:\"Symfony\\Component\\Routing\\Route\":1067:{a:9:{s:4:\"path\";s:39:\"/admin/config/people/accounts/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:22:\"entity.user.admin_form\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":415:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:46:\"#^/admin/config/people/accounts/translate$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:39:\"/admin/config/people/accounts/translate\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:39:\"/admin/config/people/accounts/translate\";s:8:\"numParts\";i:5;}}}}',5),('config_translation.item.overview.simplenews.newsletter_list','/admin/config/services/simplenews/translate','/admin/config/services/simplenews/translate',31,'C:31:\"Symfony\\Component\\Routing\\Route\":1080:{a:9:{s:4:\"path\";s:43:\"/admin/config/services/simplenews/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:19:\"simplenews.settings\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":427:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:50:\"#^/admin/config/services/simplenews/translate$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/config/services/simplenews/translate\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:43:\"/admin/config/services/simplenews/translate\";s:8:\"numParts\";i:5;}}}}',5),('config_translation.item.overview.system.rss_feeds_settings','/admin/config/services/rss-publishing/translate','/admin/config/services/rss-publishing/translate',31,'C:31:\"Symfony\\Component\\Routing\\Route\":1103:{a:9:{s:4:\"path\";s:47:\"/admin/config/services/rss-publishing/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:25:\"system.rss_feeds_settings\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":440:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:55:\"#^/admin/config/services/rss\\-publishing/translate$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:47:\"/admin/config/services/rss-publishing/translate\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:47:\"/admin/config/services/rss-publishing/translate\";s:8:\"numParts\";i:5;}}}}',5),('config_translation.item.overview.system.site_information_settings','/admin/config/system/site-information/translate','/admin/config/system/site-information/translate',31,'C:31:\"Symfony\\Component\\Routing\\Route\":1110:{a:9:{s:4:\"path\";s:47:\"/admin/config/system/site-information/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:32:\"system.site_information_settings\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":440:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:55:\"#^/admin/config/system/site\\-information/translate$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:47:\"/admin/config/system/site-information/translate\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:47:\"/admin/config/system/site-information/translate\";s:8:\"numParts\";i:5;}}}}',5),('config_translation.item.overview.system.site_maintenance_mode','/admin/config/development/maintenance/translate','/admin/config/development/maintenance/translate',31,'C:31:\"Symfony\\Component\\Routing\\Route\":1105:{a:9:{s:4:\"path\";s:47:\"/admin/config/development/maintenance/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:28:\"system.site_maintenance_mode\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":439:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:54:\"#^/admin/config/development/maintenance/translate$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:47:\"/admin/config/development/maintenance/translate\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:47:\"/admin/config/development/maintenance/translate\";s:8:\"numParts\";i:5;}}}}',5),('config_translation.mapper_list','/admin/config/regional/config-translation','/admin/config/regional/config-translation',15,'C:31:\"Symfony\\Component\\Routing\\Route\":1088:{a:9:{s:4:\"path\";s:41:\"/admin/config/regional/config-translation\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:6:\"_title\";s:25:\"Configuration translation\";s:11:\"_controller\";s:73:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationMapperList::render\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:23:\"translate configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":422:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:49:\"#^/admin/config/regional/config\\-translation$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:41:\"/admin/config/regional/config-translation\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:41:\"/admin/config/regional/config-translation\";s:8:\"numParts\";i:4;}}}}',4),('contact.form_add','/admin/structure/contact/add','/admin/structure/contact/add',15,'C:31:\"Symfony\\Component\\Routing\\Route\":971:{a:9:{s:4:\"path\";s:28:\"/admin/structure/contact/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:16:\"contact_form.add\";s:6:\"_title\";s:16:\"Add contact form\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"administer contact forms\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":382:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:35:\"#^/admin/structure/contact/add$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:28:\"/admin/structure/contact/add\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:28:\"/admin/structure/contact/add\";s:8:\"numParts\";i:4;}}}}',4),('contact.site_page','/contact','/contact',1,'C:31:\"Symfony\\Component\\Routing\\Route\":1057:{a:9:{s:4:\"path\";s:8:\"/contact\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:6:\"_title\";s:7:\"Contact\";s:11:\"_controller\";s:61:\"\\Drupal\\contact\\Controller\\ContactController::contactSitePage\";s:12:\"contact_form\";N;}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:29:\"access site-wide contact form\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"contact_form\";a:2:{s:4:\"type\";s:19:\"entity:contact_form\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":319:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:15:\"#^/contact$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/contact\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:8:\"/contact\";s:8:\"numParts\";i:1;}}}}',1),('contextual.render','/contextual/render','/contextual/render',3,'C:31:\"Symfony\\Component\\Routing\\Route\":898:{a:9:{s:4:\"path\";s:18:\"/contextual/render\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:47:\"\\Drupal\\contextual\\ContextualController::render\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:23:\"access contextual links\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":351:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:25:\"#^/contextual/render$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/contextual/render\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:18:\"/contextual/render\";s:8:\"numParts\";i:2;}}}}',2),('dblog.access_denied','/admin/reports/access-denied','/admin/reports/access-denied',7,'C:31:\"Symfony\\Component\\Routing\\Route\":1047:{a:9:{s:4:\"path\";s:28:\"/admin/reports/access-denied\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:6:\"_title\";s:26:\"Top \'access denied\' errors\";s:11:\"_controller\";s:56:\"\\Drupal\\dblog\\Controller\\DbLogController::topLogMessages\";s:4:\"type\";s:13:\"access denied\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:19:\"access site reports\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":382:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:36:\"#^/admin/reports/access\\-denied$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:28:\"/admin/reports/access-denied\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:28:\"/admin/reports/access-denied\";s:8:\"numParts\";i:3;}}}}',3),('dblog.confirm','/admin/reports/dblog/confirm','/admin/reports/dblog/confirm',15,'C:31:\"Symfony\\Component\\Routing\\Route\":1003:{a:9:{s:4:\"path\";s:28:\"/admin/reports/dblog/confirm\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:43:\"\\Drupal\\dblog\\Form\\DblogClearLogConfirmForm\";s:6:\"_title\";s:34:\"Confirm delete recent log messages\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:19:\"access site reports\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":382:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:35:\"#^/admin/reports/dblog/confirm$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:28:\"/admin/reports/dblog/confirm\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:28:\"/admin/reports/dblog/confirm\";s:8:\"numParts\";i:4;}}}}',4),('dblog.event','/admin/reports/dblog/event/{event_id}','/admin/reports/dblog/event/%',30,'C:31:\"Symfony\\Component\\Routing\\Route\":1142:{a:9:{s:4:\"path\";s:37:\"/admin/reports/dblog/event/{event_id}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:54:\"\\Drupal\\dblog\\Controller\\DbLogController::eventDetails\";s:6:\"_title\";s:7:\"Details\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:19:\"access site reports\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":522:{a:11:{s:4:\"vars\";a:1:{i:0;s:8:\"event_id\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:54:\"#^/admin/reports/dblog/event/(?P<event_id>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"event_id\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/reports/dblog/event\";}}s:9:\"path_vars\";a:1:{i:0;s:8:\"event_id\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:30;s:14:\"patternOutline\";s:28:\"/admin/reports/dblog/event/%\";s:8:\"numParts\";i:5;}}}}',5),('dblog.overview','/admin/reports/dblog','/admin/reports/dblog',7,'C:31:\"Symfony\\Component\\Routing\\Route\":1286:{a:9:{s:4:\"path\";s:20:\"/admin/reports/dblog\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:19:\"Recent log messages\";s:7:\"view_id\";s:8:\"watchdog\";s:10:\"display_id\";s:4:\"page\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:19:\"access site reports\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:9:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":357:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:27:\"#^/admin/reports/dblog$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/admin/reports/dblog\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:20:\"/admin/reports/dblog\";s:8:\"numParts\";i:3;}}}}',3),('dblog.page_not_found','/admin/reports/page-not-found','/admin/reports/page-not-found',7,'C:31:\"Symfony\\Component\\Routing\\Route\":1054:{a:9:{s:4:\"path\";s:29:\"/admin/reports/page-not-found\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:6:\"_title\";s:27:\"Top \'page not found\' errors\";s:11:\"_controller\";s:56:\"\\Drupal\\dblog\\Controller\\DbLogController::topLogMessages\";s:4:\"type\";s:14:\"page not found\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:19:\"access site reports\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":386:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:38:\"#^/admin/reports/page\\-not\\-found$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/reports/page-not-found\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:29:\"/admin/reports/page-not-found\";s:8:\"numParts\";i:3;}}}}',3),('dblog.search','/admin/reports/search','/admin/reports/search',7,'C:31:\"Symfony\\Component\\Routing\\Route\":1043:{a:9:{s:4:\"path\";s:21:\"/admin/reports/search\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:11:\"_controller\";s:56:\"\\Drupal\\dblog\\Controller\\DbLogController::topLogMessages\";s:6:\"_title\";s:18:\"Top search phrases\";s:4:\"type\";s:6:\"search\";}s:12:\"requirements\";a:2:{s:20:\"_module_dependencies\";s:6:\"search\";s:11:\"_permission\";s:19:\"access site reports\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":360:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:28:\"#^/admin/reports/search$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:21:\"/admin/reports/search\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:21:\"/admin/reports/search\";s:8:\"numParts\";i:3;}}}}',3),('editor.field_untransformed_text','/editor/{entity_type}/{entity}/{field_name}/{langcode}/{view_mode_id}','/editor/%/%/%/%/%',32,'C:31:\"Symfony\\Component\\Routing\\Route\":1956:{a:9:{s:4:\"path\";s:69:\"/editor/{entity_type}/{entity}/{field_name}/{langcode}/{view_mode_id}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:53:\"\\Drupal\\editor\\EditorController::getUntransformedText\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:23:\"access in-place editing\";s:30:\"_access_quickedit_entity_field\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:6:\"entity\";a:2:{s:4:\"type\";s:20:\"entity:{entity_type}\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:35:\"access_check.quickedit.entity_field\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":1086:{a:11:{s:4:\"vars\";a:5:{i:0;s:11:\"entity_type\";i:1;s:6:\"entity\";i:2;s:10:\"field_name\";i:3;s:8:\"langcode\";i:4;s:12:\"view_mode_id\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:126:\"#^/editor/(?P<entity_type>[^/]++)/(?P<entity>[^/]++)/(?P<field_name>[^/]++)/(?P<langcode>[^/]++)/(?P<view_mode_id>[^/]++)$#sDu\";s:11:\"path_tokens\";a:6:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"view_mode_id\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:10:\"field_name\";i:4;b:1;}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"entity\";i:4;b:1;}i:4;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"entity_type\";i:4;b:1;}i:5;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/editor\";}}s:9:\"path_vars\";a:5:{i:0;s:11:\"entity_type\";i:1;s:6:\"entity\";i:2;s:10:\"field_name\";i:3;s:8:\"langcode\";i:4;s:12:\"view_mode_id\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:32;s:14:\"patternOutline\";s:17:\"/editor/%/%/%/%/%\";s:8:\"numParts\";i:6;}}}}',6),('editor.filter_xss','/editor/filter_xss/{filter_format}','/editor/filter_xss/%',6,'C:31:\"Symfony\\Component\\Routing\\Route\":1206:{a:9:{s:4:\"path\";s:34:\"/editor/filter_xss/{filter_format}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:42:\"\\Drupal\\editor\\EditorController::filterXss\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:17:\"filter_format.use\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:13:\"filter_format\";a:2:{s:4:\"type\";s:20:\"entity:filter_format\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":520:{a:11:{s:4:\"vars\";a:1:{i:0;s:13:\"filter_format\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:51:\"#^/editor/filter_xss/(?P<filter_format>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"filter_format\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/editor/filter_xss\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"filter_format\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:20:\"/editor/filter_xss/%\";s:8:\"numParts\";i:3;}}}}',3),('editor.image_dialog','/editor/dialog/image/{editor}','/editor/dialog/image/%',14,'C:31:\"Symfony\\Component\\Routing\\Route\":1176:{a:9:{s:4:\"path\";s:29:\"/editor/dialog/image/{editor}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:37:\"\\Drupal\\editor\\Form\\EditorImageDialog\";s:6:\"_title\";s:12:\"Upload image\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:10:\"editor.use\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:6:\"editor\";a:2:{s:4:\"type\";s:13:\"entity:editor\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":496:{a:11:{s:4:\"vars\";a:1:{i:0;s:6:\"editor\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:46:\"#^/editor/dialog/image/(?P<editor>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"editor\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/editor/dialog/image\";}}s:9:\"path_vars\";a:1:{i:0;s:6:\"editor\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:14;s:14:\"patternOutline\";s:22:\"/editor/dialog/image/%\";s:8:\"numParts\";i:4;}}}}',4),('editor.link_dialog','/editor/dialog/link/{editor}','/editor/dialog/link/%',14,'C:31:\"Symfony\\Component\\Routing\\Route\":1166:{a:9:{s:4:\"path\";s:28:\"/editor/dialog/link/{editor}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:36:\"\\Drupal\\editor\\Form\\EditorLinkDialog\";s:6:\"_title\";s:8:\"Add link\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:10:\"editor.use\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:6:\"editor\";a:2:{s:4:\"type\";s:13:\"entity:editor\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":493:{a:11:{s:4:\"vars\";a:1:{i:0;s:6:\"editor\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:45:\"#^/editor/dialog/link/(?P<editor>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"editor\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:19:\"/editor/dialog/link\";}}s:9:\"path_vars\";a:1:{i:0;s:6:\"editor\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:14;s:14:\"patternOutline\";s:21:\"/editor/dialog/link/%\";s:8:\"numParts\";i:4;}}}}',4),('entity.block.config_translation_overview','/admin/structure/block/manage/{block}/translate','/admin/structure/block/manage/%/translate',61,'C:31:\"Symfony\\Component\\Routing\\Route\":1388:{a:9:{s:4:\"path\";s:47:\"/admin/structure/block/manage/{block}/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:5:\"block\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:5:\"block\";a:2:{s:4:\"type\";s:12:\"entity:block\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":586:{a:11:{s:4:\"vars\";a:1:{i:0;s:5:\"block\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:64:\"#^/admin/structure/block/manage/(?P<block>[^/]++)/translate$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:5:\"block\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/block/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:5:\"block\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:41:\"/admin/structure/block/manage/%/translate\";s:8:\"numParts\";i:6;}}}}',6),('entity.block.delete_form','/admin/structure/block/manage/{block}/delete','/admin/structure/block/manage/%/delete',61,'C:31:\"Symfony\\Component\\Routing\\Route\":1326:{a:9:{s:4:\"path\";s:44:\"/admin/structure/block/manage/{block}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:12:\"block.delete\";s:6:\"_title\";s:12:\"Delete block\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:17:\"administer blocks\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:5:\"block\";a:2:{s:4:\"type\";s:12:\"entity:block\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":576:{a:11:{s:4:\"vars\";a:1:{i:0;s:5:\"block\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:61:\"#^/admin/structure/block/manage/(?P<block>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:5:\"block\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/block/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:5:\"block\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:38:\"/admin/structure/block/manage/%/delete\";s:8:\"numParts\";i:6;}}}}',6),('entity.block.disable','/admin/structure/block/manage/{block}/disable','/admin/structure/block/manage/%/disable',61,'C:31:\"Symfony\\Component\\Routing\\Route\":1419:{a:9:{s:4:\"path\";s:45:\"/admin/structure/block/manage/{block}/disable\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:58:\"\\Drupal\\block\\Controller\\BlockController::performOperation\";s:2:\"op\";s:7:\"disable\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:13:\"block.disable\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:5:\"block\";a:2:{s:4:\"type\";s:12:\"entity:block\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":579:{a:11:{s:4:\"vars\";a:1:{i:0;s:5:\"block\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:62:\"#^/admin/structure/block/manage/(?P<block>[^/]++)/disable$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/disable\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:5:\"block\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/block/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:5:\"block\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:39:\"/admin/structure/block/manage/%/disable\";s:8:\"numParts\";i:6;}}}}',6),('entity.block.edit_form','/admin/structure/block/manage/{block}','/admin/structure/block/manage/%',30,'C:31:\"Symfony\\Component\\Routing\\Route\":1260:{a:9:{s:4:\"path\";s:37:\"/admin/structure/block/manage/{block}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:13:\"block.default\";s:6:\"_title\";s:15:\"Configure block\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:12:\"block.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:5:\"block\";a:2:{s:4:\"type\";s:12:\"entity:block\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":519:{a:11:{s:4:\"vars\";a:1:{i:0;s:5:\"block\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:54:\"#^/admin/structure/block/manage/(?P<block>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:5:\"block\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/block/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:5:\"block\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:30;s:14:\"patternOutline\";s:31:\"/admin/structure/block/manage/%\";s:8:\"numParts\";i:5;}}}}',5),('entity.block.enable','/admin/structure/block/manage/{block}/enable','/admin/structure/block/manage/%/enable',61,'C:31:\"Symfony\\Component\\Routing\\Route\":1413:{a:9:{s:4:\"path\";s:44:\"/admin/structure/block/manage/{block}/enable\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:58:\"\\Drupal\\block\\Controller\\BlockController::performOperation\";s:2:\"op\";s:6:\"enable\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:12:\"block.enable\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:5:\"block\";a:2:{s:4:\"type\";s:12:\"entity:block\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":576:{a:11:{s:4:\"vars\";a:1:{i:0;s:5:\"block\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:61:\"#^/admin/structure/block/manage/(?P<block>[^/]++)/enable$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/enable\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:5:\"block\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/block/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:5:\"block\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:38:\"/admin/structure/block/manage/%/enable\";s:8:\"numParts\";i:6;}}}}',6),('entity.block_content.canonical','/block/{block_content}','/block/%',2,'C:31:\"Symfony\\Component\\Routing\\Route\":1185:{a:9:{s:4:\"path\";s:22:\"/block/{block_content}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:12:\"_entity_form\";s:18:\"block_content.edit\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:20:\"block_content.update\";s:13:\"block_content\";s:3:\"\\d+\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:13:\"block_content\";a:2:{s:4:\"type\";s:20:\"entity:block_content\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":476:{a:11:{s:4:\"vars\";a:1:{i:0;s:13:\"block_content\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:36:\"#^/block/(?P<block_content>\\d+)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:13:\"block_content\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:6:\"/block\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"block_content\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:2;s:14:\"patternOutline\";s:8:\"/block/%\";s:8:\"numParts\";i:2;}}}}',2),('entity.block_content.collection','/admin/structure/block/block-content','/admin/structure/block/block-content',15,'C:31:\"Symfony\\Component\\Routing\\Route\":1359:{a:9:{s:4:\"path\";s:36:\"/admin/structure/block/block-content\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:20:\"Custom block library\";s:7:\"view_id\";s:13:\"block_content\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:17:\"administer blocks\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:9:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":407:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:44:\"#^/admin/structure/block/block\\-content$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:36:\"/admin/structure/block/block-content\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:36:\"/admin/structure/block/block-content\";s:8:\"numParts\";i:4;}}}}',4),('entity.block_content.content_translation_add','/block/{block_content}/translations/add/{source}/{target}','/block/%/translations/add',11,'C:31:\"Symfony\\Component\\Routing\\Route\":2052:{a:9:{s:4:\"path\";s:57:\"/block/{block_content}/translations/add/{source}/{target}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:72:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::add\";s:6:\"source\";N;s:6:\"target\";N;s:6:\"_title\";s:3:\"Add\";s:14:\"entity_type_id\";s:13:\"block_content\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:18:\"block_content.view\";s:34:\"_access_content_translation_manage\";s:6:\"create\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:3:{s:6:\"source\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:6:\"target\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:13:\"block_content\";a:3:{s:4:\"type\";s:20:\"entity:block_content\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":855:{a:11:{s:4:\"vars\";a:3:{i:0;s:13:\"block_content\";i:1;s:6:\"source\";i:2;s:6:\"target\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:104:\"#^/block/(?P<block_content>[^/]++)/translations/add(?:/(?P<source>[^/]++)(?:/(?P<target>[^/]++))?)?$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"target\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"source\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/translations/add\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"block_content\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:6:\"/block\";}}s:9:\"path_vars\";a:3:{i:0;s:13:\"block_content\";i:1;s:6:\"source\";i:2;s:6:\"target\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:11;s:14:\"patternOutline\";s:25:\"/block/%/translations/add\";s:8:\"numParts\";i:6;}}}}',6),('entity.block_content.content_translation_delete','/block/{block_content}/translations/delete/{language}','/block/%/translations/delete',11,'C:31:\"Symfony\\Component\\Routing\\Route\":1690:{a:9:{s:4:\"path\";s:53:\"/block/{block_content}/translations/delete/{language}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:42:\"block_content.content_translation_deletion\";s:8:\"language\";N;s:6:\"_title\";s:6:\"Delete\";s:14:\"entity_type_id\";s:13:\"block_content\";}s:12:\"requirements\";a:1:{s:34:\"_access_content_translation_manage\";s:6:\"delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:8:\"language\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:13:\"block_content\";a:3:{s:4:\"type\";s:20:\"entity:block_content\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":730:{a:11:{s:4:\"vars\";a:2:{i:0;s:13:\"block_content\";i:1;s:8:\"language\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:85:\"#^/block/(?P<block_content>[^/]++)/translations/delete(?:/(?P<language>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"language\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/translations/delete\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"block_content\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:6:\"/block\";}}s:9:\"path_vars\";a:2:{i:0;s:13:\"block_content\";i:1;s:8:\"language\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:11;s:14:\"patternOutline\";s:28:\"/block/%/translations/delete\";s:8:\"numParts\";i:5;}}}}',5),('entity.block_content.content_translation_edit','/block/{block_content}/translations/edit/{language}','/block/%/translations/edit',11,'C:31:\"Symfony\\Component\\Routing\\Route\":1710:{a:9:{s:4:\"path\";s:51:\"/block/{block_content}/translations/edit/{language}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:11:\"_controller\";s:73:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::edit\";s:8:\"language\";N;s:6:\"_title\";s:4:\"Edit\";s:14:\"entity_type_id\";s:13:\"block_content\";}s:12:\"requirements\";a:1:{s:34:\"_access_content_translation_manage\";s:6:\"update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:8:\"language\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:13:\"block_content\";a:3:{s:4:\"type\";s:20:\"entity:block_content\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":724:{a:11:{s:4:\"vars\";a:2:{i:0;s:13:\"block_content\";i:1;s:8:\"language\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:83:\"#^/block/(?P<block_content>[^/]++)/translations/edit(?:/(?P<language>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"language\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/translations/edit\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"block_content\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:6:\"/block\";}}s:9:\"path_vars\";a:2:{i:0;s:13:\"block_content\";i:1;s:8:\"language\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:11;s:14:\"patternOutline\";s:26:\"/block/%/translations/edit\";s:8:\"numParts\";i:5;}}}}',5),('entity.block_content.content_translation_overview','/block/{block_content}/translations','/block/%/translations',5,'C:31:\"Symfony\\Component\\Routing\\Route\":1464:{a:9:{s:4:\"path\";s:35:\"/block/{block_content}/translations\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:77:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::overview\";s:14:\"entity_type_id\";s:13:\"block_content\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:18:\"block_content.view\";s:36:\"_access_content_translation_overview\";s:13:\"block_content\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:13:\"block_content\";a:3:{s:4:\"type\";s:20:\"entity:block_content\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:35:\"content_translation.overview_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":559:{a:11:{s:4:\"vars\";a:1:{i:0;s:13:\"block_content\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:52:\"#^/block/(?P<block_content>[^/]++)/translations$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/translations\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"block_content\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:6:\"/block\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"block_content\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:21:\"/block/%/translations\";s:8:\"numParts\";i:3;}}}}',3),('entity.block_content.delete_form','/block/{block_content}/delete','/block/%/delete',5,'C:31:\"Symfony\\Component\\Routing\\Route\":1278:{a:9:{s:4:\"path\";s:29:\"/block/{block_content}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:20:\"block_content.delete\";s:6:\"_title\";s:6:\"Delete\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:20:\"block_content.delete\";s:13:\"block_content\";s:3:\"\\d+\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:13:\"block_content\";a:2:{s:4:\"type\";s:20:\"entity:block_content\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":534:{a:11:{s:4:\"vars\";a:1:{i:0;s:13:\"block_content\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:43:\"#^/block/(?P<block_content>\\d+)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:13:\"block_content\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:6:\"/block\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"block_content\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:15:\"/block/%/delete\";s:8:\"numParts\";i:3;}}}}',3),('entity.block_content.edit_form','/block/{block_content}','/block/%',2,'C:31:\"Symfony\\Component\\Routing\\Route\":1185:{a:9:{s:4:\"path\";s:22:\"/block/{block_content}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:12:\"_entity_form\";s:18:\"block_content.edit\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:20:\"block_content.update\";s:13:\"block_content\";s:3:\"\\d+\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:13:\"block_content\";a:2:{s:4:\"type\";s:20:\"entity:block_content\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":476:{a:11:{s:4:\"vars\";a:1:{i:0;s:13:\"block_content\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:36:\"#^/block/(?P<block_content>\\d+)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:13:\"block_content\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:6:\"/block\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"block_content\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:2;s:14:\"patternOutline\";s:8:\"/block/%\";s:8:\"numParts\";i:2;}}}}',2),('entity.block_content.field_ui_fields','/admin/structure/block/block-content/manage/{block_content_type}/fields','/admin/structure/block/block-content/manage/%/fields',125,'C:31:\"Symfony\\Component\\Routing\\Route\":1597:{a:9:{s:4:\"path\";s:71:\"/admin/structure/block/block-content/manage/{block_content_type}/fields\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:11:\"_controller\";s:62:\"\\Drupal\\field_ui\\Controller\\FieldConfigListController::listing\";s:6:\"_title\";s:13:\"Manage fields\";s:14:\"entity_type_id\";s:13:\"block_content\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:31:\"administer block_content fields\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:18:\"block_content_type\";a:2:{s:4:\"type\";s:25:\"entity:block_content_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":675:{a:11:{s:4:\"vars\";a:1:{i:0;s:18:\"block_content_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:89:\"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/fields$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/block/block-content/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:18:\"block_content_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:52:\"/admin/structure/block/block-content/manage/%/fields\";s:8:\"numParts\";i:7;}}}}',7),('entity.block_content_type.collection','/admin/structure/block/block-content/types','/admin/structure/block/block-content/types',31,'C:31:\"Symfony\\Component\\Routing\\Route\":1086:{a:9:{s:4:\"path\";s:42:\"/admin/structure/block/block-content/types\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_list\";s:18:\"block_content_type\";s:6:\"_title\";s:20:\"Custom block library\";s:16:\"_title_arguments\";a:0:{}s:14:\"_title_context\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:17:\"administer blocks\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":425:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:50:\"#^/admin/structure/block/block\\-content/types$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/structure/block/block-content/types\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:42:\"/admin/structure/block/block-content/types\";s:8:\"numParts\";i:5;}}}}',5),('entity.block_content_type.config_translation_overview','/admin/structure/block/block-content/manage/{block_content_type}/translate','/admin/structure/block/block-content/manage/%/translate',125,'C:31:\"Symfony\\Component\\Routing\\Route\":1555:{a:9:{s:4:\"path\";s:74:\"/admin/structure/block/block-content/manage/{block_content_type}/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:18:\"block_content_type\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:18:\"block_content_type\";a:2:{s:4:\"type\";s:25:\"entity:block_content_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":685:{a:11:{s:4:\"vars\";a:1:{i:0;s:18:\"block_content_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:92:\"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/translate$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/block/block-content/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:18:\"block_content_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:55:\"/admin/structure/block/block-content/manage/%/translate\";s:8:\"numParts\";i:7;}}}}',7),('entity.block_content_type.delete_form','/admin/structure/block/block-content/manage/{block_content_type}/delete','/admin/structure/block/block-content/manage/%/delete',125,'C:31:\"Symfony\\Component\\Routing\\Route\":1557:{a:9:{s:4:\"path\";s:71:\"/admin/structure/block/block-content/manage/{block_content_type}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:25:\"block_content_type.delete\";s:15:\"_title_callback\";s:60:\"\\Drupal\\Core\\Entity\\Controller\\EntityController::deleteTitle\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:25:\"block_content_type.delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:18:\"block_content_type\";a:2:{s:4:\"type\";s:25:\"entity:block_content_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":675:{a:11:{s:4:\"vars\";a:1:{i:0;s:18:\"block_content_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:89:\"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/block/block-content/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:18:\"block_content_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:52:\"/admin/structure/block/block-content/manage/%/delete\";s:8:\"numParts\";i:7;}}}}',7),('entity.block_content_type.edit_form','/admin/structure/block/block-content/manage/{block_content_type}','/admin/structure/block/block-content/manage/%',62,'C:31:\"Symfony\\Component\\Routing\\Route\":1488:{a:9:{s:4:\"path\";s:64:\"/admin/structure/block/block-content/manage/{block_content_type}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:23:\"block_content_type.edit\";s:15:\"_title_callback\";s:58:\"\\Drupal\\Core\\Entity\\Controller\\EntityController::editTitle\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:25:\"block_content_type.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:18:\"block_content_type\";a:2:{s:4:\"type\";s:25:\"entity:block_content_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":617:{a:11:{s:4:\"vars\";a:1:{i:0;s:18:\"block_content_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:82:\"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/block/block-content/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:18:\"block_content_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:62;s:14:\"patternOutline\";s:45:\"/admin/structure/block/block-content/manage/%\";s:8:\"numParts\";i:6;}}}}',6),('entity.comment.canonical','/comment/{comment}','/comment/%',2,'C:31:\"Symfony\\Component\\Routing\\Route\":1250:{a:9:{s:4:\"path\";s:18:\"/comment/{comment}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:15:\"_title_callback\";s:67:\"\\Drupal\\comment\\Controller\\CommentController::commentPermalinkTitle\";s:11:\"_controller\";s:62:\"\\Drupal\\comment\\Controller\\CommentController::commentPermalink\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:12:\"comment.view\";s:7:\"comment\";s:3:\"\\d+\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:7:\"comment\";a:2:{s:4:\"type\";s:14:\"entity:comment\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":456:{a:11:{s:4:\"vars\";a:1:{i:0;s:7:\"comment\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:32:\"#^/comment/(?P<comment>\\d+)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:7:\"comment\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/comment\";}}s:9:\"path_vars\";a:1:{i:0;s:7:\"comment\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:2;s:14:\"patternOutline\";s:10:\"/comment/%\";s:8:\"numParts\";i:2;}}}}',2),('entity.comment.content_translation_add','/comment/{comment}/translations/add/{source}/{target}','/comment/%/translations/add',11,'C:31:\"Symfony\\Component\\Routing\\Route\":2001:{a:9:{s:4:\"path\";s:53:\"/comment/{comment}/translations/add/{source}/{target}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:72:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::add\";s:6:\"source\";N;s:6:\"target\";N;s:6:\"_title\";s:3:\"Add\";s:14:\"entity_type_id\";s:7:\"comment\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:12:\"comment.view\";s:34:\"_access_content_translation_manage\";s:6:\"create\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:3:{s:6:\"source\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:6:\"target\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:7:\"comment\";a:3:{s:4:\"type\";s:14:\"entity:comment\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:0;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":834:{a:11:{s:4:\"vars\";a:3:{i:0;s:7:\"comment\";i:1;s:6:\"source\";i:2;s:6:\"target\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:100:\"#^/comment/(?P<comment>[^/]++)/translations/add(?:/(?P<source>[^/]++)(?:/(?P<target>[^/]++))?)?$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"target\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"source\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/translations/add\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:7:\"comment\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/comment\";}}s:9:\"path_vars\";a:3:{i:0;s:7:\"comment\";i:1;s:6:\"source\";i:2;s:6:\"target\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:11;s:14:\"patternOutline\";s:27:\"/comment/%/translations/add\";s:8:\"numParts\";i:6;}}}}',6),('entity.comment.content_translation_delete','/comment/{comment}/translations/delete/{language}','/comment/%/translations/delete',11,'C:31:\"Symfony\\Component\\Routing\\Route\":1639:{a:9:{s:4:\"path\";s:49:\"/comment/{comment}/translations/delete/{language}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:36:\"comment.content_translation_deletion\";s:8:\"language\";N;s:6:\"_title\";s:6:\"Delete\";s:14:\"entity_type_id\";s:7:\"comment\";}s:12:\"requirements\";a:1:{s:34:\"_access_content_translation_manage\";s:6:\"delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:8:\"language\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:7:\"comment\";a:3:{s:4:\"type\";s:14:\"entity:comment\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:0;s:14:\"_access_checks\";a:1:{i:0;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":709:{a:11:{s:4:\"vars\";a:2:{i:0;s:7:\"comment\";i:1;s:8:\"language\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:81:\"#^/comment/(?P<comment>[^/]++)/translations/delete(?:/(?P<language>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"language\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/translations/delete\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:7:\"comment\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/comment\";}}s:9:\"path_vars\";a:2:{i:0;s:7:\"comment\";i:1;s:8:\"language\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:11;s:14:\"patternOutline\";s:30:\"/comment/%/translations/delete\";s:8:\"numParts\";i:5;}}}}',5),('entity.comment.content_translation_edit','/comment/{comment}/translations/edit/{language}','/comment/%/translations/edit',11,'C:31:\"Symfony\\Component\\Routing\\Route\":1665:{a:9:{s:4:\"path\";s:47:\"/comment/{comment}/translations/edit/{language}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:11:\"_controller\";s:73:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::edit\";s:8:\"language\";N;s:6:\"_title\";s:4:\"Edit\";s:14:\"entity_type_id\";s:7:\"comment\";}s:12:\"requirements\";a:1:{s:34:\"_access_content_translation_manage\";s:6:\"update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:8:\"language\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:7:\"comment\";a:3:{s:4:\"type\";s:14:\"entity:comment\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:0;s:14:\"_access_checks\";a:1:{i:0;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":703:{a:11:{s:4:\"vars\";a:2:{i:0;s:7:\"comment\";i:1;s:8:\"language\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:79:\"#^/comment/(?P<comment>[^/]++)/translations/edit(?:/(?P<language>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"language\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/translations/edit\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:7:\"comment\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/comment\";}}s:9:\"path_vars\";a:2:{i:0;s:7:\"comment\";i:1;s:8:\"language\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:11;s:14:\"patternOutline\";s:28:\"/comment/%/translations/edit\";s:8:\"numParts\";i:5;}}}}',5),('entity.comment.content_translation_overview','/comment/{comment}/translations','/comment/%/translations',5,'C:31:\"Symfony\\Component\\Routing\\Route\":1406:{a:9:{s:4:\"path\";s:31:\"/comment/{comment}/translations\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:77:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::overview\";s:14:\"entity_type_id\";s:7:\"comment\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:12:\"comment.view\";s:36:\"_access_content_translation_overview\";s:7:\"comment\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:7:\"comment\";a:3:{s:4:\"type\";s:14:\"entity:comment\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:0;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:35:\"content_translation.overview_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":538:{a:11:{s:4:\"vars\";a:1:{i:0;s:7:\"comment\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:48:\"#^/comment/(?P<comment>[^/]++)/translations$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/translations\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:7:\"comment\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/comment\";}}s:9:\"path_vars\";a:1:{i:0;s:7:\"comment\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:23:\"/comment/%/translations\";s:8:\"numParts\";i:3;}}}}',3),('entity.comment.delete_form','/comment/{comment}/delete','/comment/%/delete',5,'C:31:\"Symfony\\Component\\Routing\\Route\":1197:{a:9:{s:4:\"path\";s:25:\"/comment/{comment}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:6:\"_title\";s:6:\"Delete\";s:12:\"_entity_form\";s:14:\"comment.delete\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:14:\"comment.delete\";s:7:\"comment\";s:3:\"\\d+\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:7:\"comment\";a:2:{s:4:\"type\";s:14:\"entity:comment\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":513:{a:11:{s:4:\"vars\";a:1:{i:0;s:7:\"comment\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:39:\"#^/comment/(?P<comment>\\d+)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:7:\"comment\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/comment\";}}s:9:\"path_vars\";a:1:{i:0;s:7:\"comment\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:17:\"/comment/%/delete\";s:8:\"numParts\";i:3;}}}}',3),('entity.comment.delete_multiple_form','/admin/content/comment/delete','/admin/content/comment/delete',15,'C:31:\"Symfony\\Component\\Routing\\Route\":1031:{a:9:{s:4:\"path\";s:29:\"/admin/content/comment/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:6:\"_title\";s:6:\"Delete\";s:5:\"_form\";s:42:\"\\Drupal\\comment\\Form\\ConfirmDeleteMultiple\";s:14:\"entity_type_id\";s:7:\"comment\";}s:12:\"requirements\";a:1:{s:30:\"_entity_delete_multiple_access\";s:7:\"comment\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:35:\"access_check.entity_delete_multiple\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":385:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:36:\"#^/admin/content/comment/delete$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/content/comment/delete\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:29:\"/admin/content/comment/delete\";s:8:\"numParts\";i:4;}}}}',4),('entity.comment.edit_form','/comment/{comment}/edit','/comment/%/edit',5,'C:31:\"Symfony\\Component\\Routing\\Route\":1188:{a:9:{s:4:\"path\";s:23:\"/comment/{comment}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:6:\"_title\";s:4:\"Edit\";s:12:\"_entity_form\";s:15:\"comment.default\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:14:\"comment.update\";s:7:\"comment\";s:3:\"\\d+\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:7:\"comment\";a:2:{s:4:\"type\";s:14:\"entity:comment\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":507:{a:11:{s:4:\"vars\";a:1:{i:0;s:7:\"comment\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:37:\"#^/comment/(?P<comment>\\d+)/edit$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:7:\"comment\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/comment\";}}s:9:\"path_vars\";a:1:{i:0;s:7:\"comment\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:15:\"/comment/%/edit\";s:8:\"numParts\";i:3;}}}}',3),('entity.comment.field_ui_fields','/admin/structure/comment/manage/{comment_type}/fields','/admin/structure/comment/manage/%/fields',61,'C:31:\"Symfony\\Component\\Routing\\Route\":1492:{a:9:{s:4:\"path\";s:53:\"/admin/structure/comment/manage/{comment_type}/fields\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:11:\"_controller\";s:62:\"\\Drupal\\field_ui\\Controller\\FieldConfigListController::listing\";s:6:\"_title\";s:13:\"Manage fields\";s:14:\"entity_type_id\";s:7:\"comment\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:25:\"administer comment fields\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"comment_type\";a:2:{s:4:\"type\";s:19:\"entity:comment_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":613:{a:11:{s:4:\"vars\";a:1:{i:0;s:12:\"comment_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:70:\"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/fields$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"comment_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/comment/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"comment_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:40:\"/admin/structure/comment/manage/%/fields\";s:8:\"numParts\";i:6;}}}}',6),('entity.comment_type.add_form','/admin/structure/comment/types/add','/admin/structure/comment/types/add',31,'C:31:\"Symfony\\Component\\Routing\\Route\":995:{a:9:{s:4:\"path\";s:34:\"/admin/structure/comment/types/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:16:\"comment_type.add\";s:6:\"_title\";s:16:\"Add comment type\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"administer comment types\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":400:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:41:\"#^/admin/structure/comment/types/add$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:34:\"/admin/structure/comment/types/add\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:34:\"/admin/structure/comment/types/add\";s:8:\"numParts\";i:5;}}}}',5),('entity.comment_type.collection','/admin/structure/comment','/admin/structure/comment',7,'C:31:\"Symfony\\Component\\Routing\\Route\":947:{a:9:{s:4:\"path\";s:24:\"/admin/structure/comment\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_list\";s:12:\"comment_type\";s:6:\"_title\";s:13:\"Comment types\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"administer comment types\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":369:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:31:\"#^/admin/structure/comment$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:24:\"/admin/structure/comment\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:24:\"/admin/structure/comment\";s:8:\"numParts\";i:3;}}}}',3),('entity.comment_type.config_translation_overview','/admin/structure/comment/manage/{comment_type}/translate','/admin/structure/comment/manage/%/translate',61,'C:31:\"Symfony\\Component\\Routing\\Route\":1457:{a:9:{s:4:\"path\";s:56:\"/admin/structure/comment/manage/{comment_type}/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:12:\"comment_type\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"comment_type\";a:2:{s:4:\"type\";s:19:\"entity:comment_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":623:{a:11:{s:4:\"vars\";a:1:{i:0;s:12:\"comment_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:73:\"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/translate$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"comment_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/comment/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"comment_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:43:\"/admin/structure/comment/manage/%/translate\";s:8:\"numParts\";i:6;}}}}',6),('entity.comment_type.delete_form','/admin/structure/comment/manage/{comment_type}/delete','/admin/structure/comment/manage/%/delete',61,'C:31:\"Symfony\\Component\\Routing\\Route\":1388:{a:9:{s:4:\"path\";s:53:\"/admin/structure/comment/manage/{comment_type}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:19:\"comment_type.delete\";s:6:\"_title\";s:6:\"Delete\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:19:\"comment_type.delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"comment_type\";a:2:{s:4:\"type\";s:19:\"entity:comment_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":613:{a:11:{s:4:\"vars\";a:1:{i:0;s:12:\"comment_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:70:\"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"comment_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/comment/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"comment_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:40:\"/admin/structure/comment/manage/%/delete\";s:8:\"numParts\";i:6;}}}}',6),('entity.comment_type.edit_form','/admin/structure/comment/manage/{comment_type}','/admin/structure/comment/manage/%',30,'C:31:\"Symfony\\Component\\Routing\\Route\":1320:{a:9:{s:4:\"path\";s:46:\"/admin/structure/comment/manage/{comment_type}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:17:\"comment_type.edit\";s:6:\"_title\";s:4:\"Edit\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:19:\"comment_type.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"comment_type\";a:2:{s:4:\"type\";s:19:\"entity:comment_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":556:{a:11:{s:4:\"vars\";a:1:{i:0;s:12:\"comment_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:63:\"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"comment_type\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/comment/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"comment_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:30;s:14:\"patternOutline\";s:33:\"/admin/structure/comment/manage/%\";s:8:\"numParts\";i:5;}}}}',5),('entity.configurable_language.collection','/admin/config/regional/language','/admin/config/regional/language',15,'C:31:\"Symfony\\Component\\Routing\\Route\":976:{a:9:{s:4:\"path\";s:31:\"/admin/config/regional/language\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_list\";s:21:\"configurable_language\";s:6:\"_title\";s:9:\"Languages\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:20:\"administer languages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":391:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:38:\"#^/admin/config/regional/language$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/config/regional/language\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:31:\"/admin/config/regional/language\";s:8:\"numParts\";i:4;}}}}',4),('entity.configurable_language.config_translation_overview','/admin/config/regional/language/edit/{configurable_language}/translate','/admin/config/regional/language/edit/%/translate',125,'C:31:\"Symfony\\Component\\Routing\\Route\":1550:{a:9:{s:4:\"path\";s:70:\"/admin/config/regional/language/edit/{configurable_language}/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:21:\"configurable_language\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:21:\"configurable_language\";a:2:{s:4:\"type\";s:28:\"entity:configurable_language\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":675:{a:11:{s:4:\"vars\";a:1:{i:0;s:21:\"configurable_language\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:87:\"#^/admin/config/regional/language/edit/(?P<configurable_language>[^/]++)/translate$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:21:\"configurable_language\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:36:\"/admin/config/regional/language/edit\";}}s:9:\"path_vars\";a:1:{i:0;s:21:\"configurable_language\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:48:\"/admin/config/regional/language/edit/%/translate\";s:8:\"numParts\";i:7;}}}}',7),('entity.configurable_language.delete_form','/admin/config/regional/language/delete/{configurable_language}','/admin/config/regional/language/delete/%',62,'C:31:\"Symfony\\Component\\Routing\\Route\":1443:{a:9:{s:4:\"path\";s:62:\"/admin/config/regional/language/delete/{configurable_language}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:28:\"configurable_language.delete\";s:6:\"_title\";s:15:\"Delete language\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:28:\"configurable_language.delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:21:\"configurable_language\";a:2:{s:4:\"type\";s:28:\"entity:configurable_language\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":613:{a:11:{s:4:\"vars\";a:1:{i:0;s:21:\"configurable_language\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:79:\"#^/admin/config/regional/language/delete/(?P<configurable_language>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:21:\"configurable_language\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:38:\"/admin/config/regional/language/delete\";}}s:9:\"path_vars\";a:1:{i:0;s:21:\"configurable_language\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:62;s:14:\"patternOutline\";s:40:\"/admin/config/regional/language/delete/%\";s:8:\"numParts\";i:6;}}}}',6),('entity.configurable_language.edit_form','/admin/config/regional/language/edit/{configurable_language}','/admin/config/regional/language/edit/%',62,'C:31:\"Symfony\\Component\\Routing\\Route\":1431:{a:9:{s:4:\"path\";s:60:\"/admin/config/regional/language/edit/{configurable_language}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:26:\"configurable_language.edit\";s:6:\"_title\";s:13:\"Edit language\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:28:\"configurable_language.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:21:\"configurable_language\";a:2:{s:4:\"type\";s:28:\"entity:configurable_language\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":607:{a:11:{s:4:\"vars\";a:1:{i:0;s:21:\"configurable_language\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:77:\"#^/admin/config/regional/language/edit/(?P<configurable_language>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:21:\"configurable_language\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:36:\"/admin/config/regional/language/edit\";}}s:9:\"path_vars\";a:1:{i:0;s:21:\"configurable_language\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:62;s:14:\"patternOutline\";s:38:\"/admin/config/regional/language/edit/%\";s:8:\"numParts\";i:6;}}}}',6),('entity.contact_form.canonical','/contact/{contact_form}','/contact/%',2,'C:31:\"Symfony\\Component\\Routing\\Route\":1204:{a:9:{s:4:\"path\";s:23:\"/contact/{contact_form}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:6:\"_title\";s:7:\"Contact\";s:11:\"_controller\";s:61:\"\\Drupal\\contact\\Controller\\ContactController::contactSitePage\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:17:\"contact_form.view\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"contact_form\";a:2:{s:4:\"type\";s:19:\"entity:contact_form\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":485:{a:11:{s:4:\"vars\";a:1:{i:0;s:12:\"contact_form\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:40:\"#^/contact/(?P<contact_form>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/contact\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"contact_form\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:2;s:14:\"patternOutline\";s:10:\"/contact/%\";s:8:\"numParts\";i:2;}}}}',2),('entity.contact_form.collection','/admin/structure/contact','/admin/structure/contact',7,'C:31:\"Symfony\\Component\\Routing\\Route\":947:{a:9:{s:4:\"path\";s:24:\"/admin/structure/contact\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_list\";s:12:\"contact_form\";s:6:\"_title\";s:13:\"Contact forms\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"administer contact forms\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":369:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:31:\"#^/admin/structure/contact$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:24:\"/admin/structure/contact\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:24:\"/admin/structure/contact\";s:8:\"numParts\";i:3;}}}}',3),('entity.contact_form.config_translation_overview','/admin/structure/contact/manage/{contact_form}/translate','/admin/structure/contact/manage/%/translate',61,'C:31:\"Symfony\\Component\\Routing\\Route\":1457:{a:9:{s:4:\"path\";s:56:\"/admin/structure/contact/manage/{contact_form}/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:12:\"contact_form\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"contact_form\";a:2:{s:4:\"type\";s:19:\"entity:contact_form\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":623:{a:11:{s:4:\"vars\";a:1:{i:0;s:12:\"contact_form\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:73:\"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/translate$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/contact/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"contact_form\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:43:\"/admin/structure/contact/manage/%/translate\";s:8:\"numParts\";i:6;}}}}',6),('entity.contact_form.delete_form','/admin/structure/contact/manage/{contact_form}/delete','/admin/structure/contact/manage/%/delete',61,'C:31:\"Symfony\\Component\\Routing\\Route\":1388:{a:9:{s:4:\"path\";s:53:\"/admin/structure/contact/manage/{contact_form}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:19:\"contact_form.delete\";s:6:\"_title\";s:6:\"Delete\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:19:\"contact_form.delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"contact_form\";a:2:{s:4:\"type\";s:19:\"entity:contact_form\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":613:{a:11:{s:4:\"vars\";a:1:{i:0;s:12:\"contact_form\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:70:\"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/contact/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"contact_form\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:40:\"/admin/structure/contact/manage/%/delete\";s:8:\"numParts\";i:6;}}}}',6),('entity.contact_form.edit_form','/admin/structure/contact/manage/{contact_form}','/admin/structure/contact/manage/%',30,'C:31:\"Symfony\\Component\\Routing\\Route\":1334:{a:9:{s:4:\"path\";s:46:\"/admin/structure/contact/manage/{contact_form}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:17:\"contact_form.edit\";s:6:\"_title\";s:17:\"Edit contact form\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:19:\"contact_form.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"contact_form\";a:2:{s:4:\"type\";s:19:\"entity:contact_form\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":556:{a:11:{s:4:\"vars\";a:1:{i:0;s:12:\"contact_form\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:63:\"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/contact/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"contact_form\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:30;s:14:\"patternOutline\";s:33:\"/admin/structure/contact/manage/%\";s:8:\"numParts\";i:5;}}}}',5),('entity.contact_message.field_ui_fields','/admin/structure/contact/manage/{contact_form}/fields','/admin/structure/contact/manage/%/fields',61,'C:31:\"Symfony\\Component\\Routing\\Route\":1509:{a:9:{s:4:\"path\";s:53:\"/admin/structure/contact/manage/{contact_form}/fields\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:11:\"_controller\";s:62:\"\\Drupal\\field_ui\\Controller\\FieldConfigListController::listing\";s:6:\"_title\";s:13:\"Manage fields\";s:14:\"entity_type_id\";s:15:\"contact_message\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:33:\"administer contact_message fields\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"contact_form\";a:2:{s:4:\"type\";s:19:\"entity:contact_form\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":613:{a:11:{s:4:\"vars\";a:1:{i:0;s:12:\"contact_form\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:70:\"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/fields$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/contact/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"contact_form\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:40:\"/admin/structure/contact/manage/%/fields\";s:8:\"numParts\";i:6;}}}}',6),('entity.date_format.collection','/admin/config/regional/date-time','/admin/config/regional/date-time',15,'C:31:\"Symfony\\Component\\Routing\\Route\":993:{a:9:{s:4:\"path\";s:32:\"/admin/config/regional/date-time\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_list\";s:11:\"date_format\";s:6:\"_title\";s:21:\"Date and time formats\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:29:\"administer site configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":395:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:40:\"#^/admin/config/regional/date\\-time$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/config/regional/date-time\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:32:\"/admin/config/regional/date-time\";s:8:\"numParts\";i:4;}}}}',4),('entity.date_format.config_translation_overview','/admin/config/regional/date-time/formats/manage/{date_format}/translate','/admin/config/regional/date-time/formats/manage/%/translate',253,'C:31:\"Symfony\\Component\\Routing\\Route\":1515:{a:9:{s:4:\"path\";s:71:\"/admin/config/regional/date-time/formats/manage/{date_format}/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:11:\"date_format\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:11:\"date_format\";a:2:{s:4:\"type\";s:18:\"entity:date_format\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":669:{a:11:{s:4:\"vars\";a:1:{i:0;s:11:\"date_format\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:89:\"#^/admin/config/regional/date\\-time/formats/manage/(?P<date_format>[^/]++)/translate$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"date_format\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:47:\"/admin/config/regional/date-time/formats/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:11:\"date_format\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:253;s:14:\"patternOutline\";s:59:\"/admin/config/regional/date-time/formats/manage/%/translate\";s:8:\"numParts\";i:8;}}}}',8),('entity.date_format.delete_form','/admin/config/regional/date-time/formats/manage/{date_format}/delete','/admin/config/regional/date-time/formats/manage/%/delete',253,'C:31:\"Symfony\\Component\\Routing\\Route\":1458:{a:9:{s:4:\"path\";s:68:\"/admin/config/regional/date-time/formats/manage/{date_format}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:18:\"date_format.delete\";s:6:\"_title\";s:18:\"Delete date format\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:18:\"date_format.delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:11:\"date_format\";a:2:{s:4:\"type\";s:18:\"entity:date_format\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":659:{a:11:{s:4:\"vars\";a:1:{i:0;s:11:\"date_format\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:86:\"#^/admin/config/regional/date\\-time/formats/manage/(?P<date_format>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"date_format\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:47:\"/admin/config/regional/date-time/formats/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:11:\"date_format\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:253;s:14:\"patternOutline\";s:56:\"/admin/config/regional/date-time/formats/manage/%/delete\";s:8:\"numParts\";i:8;}}}}',8),('entity.date_format.edit_form','/admin/config/regional/date-time/formats/manage/{date_format}','/admin/config/regional/date-time/formats/manage/%',126,'C:31:\"Symfony\\Component\\Routing\\Route\":1390:{a:9:{s:4:\"path\";s:61:\"/admin/config/regional/date-time/formats/manage/{date_format}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:16:\"date_format.edit\";s:6:\"_title\";s:16:\"Edit date format\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:18:\"date_format.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:11:\"date_format\";a:2:{s:4:\"type\";s:18:\"entity:date_format\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":602:{a:11:{s:4:\"vars\";a:1:{i:0;s:11:\"date_format\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:79:\"#^/admin/config/regional/date\\-time/formats/manage/(?P<date_format>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"date_format\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:47:\"/admin/config/regional/date-time/formats/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:11:\"date_format\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:126;s:14:\"patternOutline\";s:49:\"/admin/config/regional/date-time/formats/manage/%\";s:8:\"numParts\";i:7;}}}}',7),('entity.entity_form_display.block_content.default','/admin/structure/block/block-content/manage/{block_content_type}/form-display','/admin/structure/block/block-content/manage/%/form-display',125,'C:31:\"Symfony\\Component\\Routing\\Route\":1657:{a:9:{s:4:\"path\";s:77:\"/admin/structure/block/block-content/manage/{block_content_type}/form-display\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:12:\"_entity_form\";s:24:\"entity_form_display.edit\";s:6:\"_title\";s:19:\"Manage form display\";s:14:\"form_mode_name\";s:7:\"default\";s:14:\"entity_type_id\";s:13:\"block_content\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_form_mode_access\";s:37:\"administer block_content form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:18:\"block_content_type\";a:2:{s:4:\"type\";s:25:\"entity:block_content_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.form_mode\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":695:{a:11:{s:4:\"vars\";a:1:{i:0;s:18:\"block_content_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:96:\"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/form\\-display$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/form-display\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/block/block-content/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:18:\"block_content_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:58:\"/admin/structure/block/block-content/manage/%/form-display\";s:8:\"numParts\";i:7;}}}}',7),('entity.entity_form_display.block_content.form_mode','/admin/structure/block/block-content/manage/{block_content_type}/form-display/{form_mode_name}','/admin/structure/block/block-content/manage/%/form-display/%',250,'C:31:\"Symfony\\Component\\Routing\\Route\":1812:{a:9:{s:4:\"path\";s:94:\"/admin/structure/block/block-content/manage/{block_content_type}/form-display/{form_mode_name}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:24:\"entity_form_display.edit\";s:6:\"_title\";s:19:\"Manage form display\";s:14:\"entity_type_id\";s:13:\"block_content\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_form_mode_access\";s:37:\"administer block_content form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:18:\"block_content_type\";a:2:{s:4:\"type\";s:25:\"entity:block_content_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.form_mode\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":869:{a:11:{s:4:\"vars\";a:2:{i:0;s:18:\"block_content_type\";i:1;s:14:\"form_mode_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:123:\"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/form\\-display/(?P<form_mode_name>[^/]++)$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"form_mode_name\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/form-display\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/block/block-content/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:18:\"block_content_type\";i:1;s:14:\"form_mode_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:250;s:14:\"patternOutline\";s:60:\"/admin/structure/block/block-content/manage/%/form-display/%\";s:8:\"numParts\";i:8;}}}}',8),('entity.entity_form_display.comment.default','/admin/structure/comment/manage/{comment_type}/form-display','/admin/structure/comment/manage/%/form-display',61,'C:31:\"Symfony\\Component\\Routing\\Route\":1552:{a:9:{s:4:\"path\";s:59:\"/admin/structure/comment/manage/{comment_type}/form-display\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:12:\"_entity_form\";s:24:\"entity_form_display.edit\";s:6:\"_title\";s:19:\"Manage form display\";s:14:\"form_mode_name\";s:7:\"default\";s:14:\"entity_type_id\";s:7:\"comment\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_form_mode_access\";s:31:\"administer comment form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"comment_type\";a:2:{s:4:\"type\";s:19:\"entity:comment_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.form_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":633:{a:11:{s:4:\"vars\";a:1:{i:0;s:12:\"comment_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:77:\"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/form\\-display$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/form-display\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"comment_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/comment/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"comment_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:46:\"/admin/structure/comment/manage/%/form-display\";s:8:\"numParts\";i:6;}}}}',6),('entity.entity_form_display.comment.form_mode','/admin/structure/comment/manage/{comment_type}/form-display/{form_mode_name}','/admin/structure/comment/manage/%/form-display/%',122,'C:31:\"Symfony\\Component\\Routing\\Route\":1708:{a:9:{s:4:\"path\";s:76:\"/admin/structure/comment/manage/{comment_type}/form-display/{form_mode_name}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:24:\"entity_form_display.edit\";s:6:\"_title\";s:19:\"Manage form display\";s:14:\"entity_type_id\";s:7:\"comment\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_form_mode_access\";s:31:\"administer comment form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"comment_type\";a:2:{s:4:\"type\";s:19:\"entity:comment_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.form_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":808:{a:11:{s:4:\"vars\";a:2:{i:0;s:12:\"comment_type\";i:1;s:14:\"form_mode_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:104:\"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/form\\-display/(?P<form_mode_name>[^/]++)$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"form_mode_name\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/form-display\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"comment_type\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/comment/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"comment_type\";i:1;s:14:\"form_mode_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:122;s:14:\"patternOutline\";s:48:\"/admin/structure/comment/manage/%/form-display/%\";s:8:\"numParts\";i:7;}}}}',7),('entity.entity_form_display.contact_message.default','/admin/structure/contact/manage/{contact_form}/form-display','/admin/structure/contact/manage/%/form-display',61,'C:31:\"Symfony\\Component\\Routing\\Route\":1569:{a:9:{s:4:\"path\";s:59:\"/admin/structure/contact/manage/{contact_form}/form-display\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:12:\"_entity_form\";s:24:\"entity_form_display.edit\";s:6:\"_title\";s:19:\"Manage form display\";s:14:\"form_mode_name\";s:7:\"default\";s:14:\"entity_type_id\";s:15:\"contact_message\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_form_mode_access\";s:39:\"administer contact_message form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"contact_form\";a:2:{s:4:\"type\";s:19:\"entity:contact_form\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.form_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":633:{a:11:{s:4:\"vars\";a:1:{i:0;s:12:\"contact_form\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:77:\"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/form\\-display$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/form-display\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/contact/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"contact_form\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:46:\"/admin/structure/contact/manage/%/form-display\";s:8:\"numParts\";i:6;}}}}',6),('entity.entity_form_display.contact_message.form_mode','/admin/structure/contact/manage/{contact_form}/form-display/{form_mode_name}','/admin/structure/contact/manage/%/form-display/%',122,'C:31:\"Symfony\\Component\\Routing\\Route\":1725:{a:9:{s:4:\"path\";s:76:\"/admin/structure/contact/manage/{contact_form}/form-display/{form_mode_name}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:24:\"entity_form_display.edit\";s:6:\"_title\";s:19:\"Manage form display\";s:14:\"entity_type_id\";s:15:\"contact_message\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_form_mode_access\";s:39:\"administer contact_message form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"contact_form\";a:2:{s:4:\"type\";s:19:\"entity:contact_form\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.form_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":808:{a:11:{s:4:\"vars\";a:2:{i:0;s:12:\"contact_form\";i:1;s:14:\"form_mode_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:104:\"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/form\\-display/(?P<form_mode_name>[^/]++)$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"form_mode_name\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/form-display\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/contact/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"contact_form\";i:1;s:14:\"form_mode_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:122;s:14:\"patternOutline\";s:48:\"/admin/structure/contact/manage/%/form-display/%\";s:8:\"numParts\";i:7;}}}}',7),('entity.entity_form_display.node.default','/admin/structure/types/manage/{node_type}/form-display','/admin/structure/types/manage/%/form-display',61,'C:31:\"Symfony\\Component\\Routing\\Route\":1513:{a:9:{s:4:\"path\";s:54:\"/admin/structure/types/manage/{node_type}/form-display\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:12:\"_entity_form\";s:24:\"entity_form_display.edit\";s:6:\"_title\";s:19:\"Manage form display\";s:14:\"form_mode_name\";s:7:\"default\";s:14:\"entity_type_id\";s:4:\"node\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_form_mode_access\";s:28:\"administer node form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:9:\"node_type\";a:2:{s:4:\"type\";s:16:\"entity:node_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.form_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":612:{a:11:{s:4:\"vars\";a:1:{i:0;s:9:\"node_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:72:\"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/form\\-display$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/form-display\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/types/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:9:\"node_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:44:\"/admin/structure/types/manage/%/form-display\";s:8:\"numParts\";i:6;}}}}',6),('entity.entity_form_display.node.form_mode','/admin/structure/types/manage/{node_type}/form-display/{form_mode_name}','/admin/structure/types/manage/%/form-display/%',122,'C:31:\"Symfony\\Component\\Routing\\Route\":1668:{a:9:{s:4:\"path\";s:71:\"/admin/structure/types/manage/{node_type}/form-display/{form_mode_name}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:24:\"entity_form_display.edit\";s:6:\"_title\";s:19:\"Manage form display\";s:14:\"entity_type_id\";s:4:\"node\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_form_mode_access\";s:28:\"administer node form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:9:\"node_type\";a:2:{s:4:\"type\";s:16:\"entity:node_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.form_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":786:{a:11:{s:4:\"vars\";a:2:{i:0;s:9:\"node_type\";i:1;s:14:\"form_mode_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:99:\"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/form\\-display/(?P<form_mode_name>[^/]++)$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"form_mode_name\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/form-display\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/types/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:9:\"node_type\";i:1;s:14:\"form_mode_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:122;s:14:\"patternOutline\";s:46:\"/admin/structure/types/manage/%/form-display/%\";s:8:\"numParts\";i:7;}}}}',7),('entity.entity_form_display.simplenews_subscriber.default','/admin/config/people/simplenews/settings/subscriber/form-display','/admin/config/people/simplenews/settings/subscriber/form-display',127,'C:31:\"Symfony\\Component\\Routing\\Route\":1292:{a:9:{s:4:\"path\";s:64:\"/admin/config/people/simplenews/settings/subscriber/form-display\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:12:\"_entity_form\";s:24:\"entity_form_display.edit\";s:6:\"_title\";s:19:\"Manage form display\";s:14:\"form_mode_name\";s:7:\"default\";s:14:\"entity_type_id\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";s:21:\"simplenews_subscriber\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_form_mode_access\";s:45:\"administer simplenews_subscriber form display\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.form_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":492:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:72:\"#^/admin/config/people/simplenews/settings/subscriber/form\\-display$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:64:\"/admin/config/people/simplenews/settings/subscriber/form-display\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:127;s:14:\"patternOutline\";s:64:\"/admin/config/people/simplenews/settings/subscriber/form-display\";s:8:\"numParts\";i:7;}}}}',7),('entity.entity_form_display.simplenews_subscriber.form_mode','/admin/config/people/simplenews/settings/subscriber/form-display/{form_mode_name}','/admin/config/people/simplenews/settings/subscriber/form-display/%',254,'C:31:\"Symfony\\Component\\Routing\\Route\":1446:{a:9:{s:4:\"path\";s:81:\"/admin/config/people/simplenews/settings/subscriber/form-display/{form_mode_name}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:24:\"entity_form_display.edit\";s:6:\"_title\";s:19:\"Manage form display\";s:14:\"entity_type_id\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";s:21:\"simplenews_subscriber\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_form_mode_access\";s:45:\"administer simplenews_subscriber form display\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.form_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":665:{a:11:{s:4:\"vars\";a:1:{i:0;s:14:\"form_mode_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:99:\"#^/admin/config/people/simplenews/settings/subscriber/form\\-display/(?P<form_mode_name>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"form_mode_name\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:64:\"/admin/config/people/simplenews/settings/subscriber/form-display\";}}s:9:\"path_vars\";a:1:{i:0;s:14:\"form_mode_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:254;s:14:\"patternOutline\";s:66:\"/admin/config/people/simplenews/settings/subscriber/form-display/%\";s:8:\"numParts\";i:8;}}}}',8),('entity.entity_form_display.taxonomy_term.default','/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/form-display','/admin/structure/taxonomy/manage/%/overview/form-display',123,'C:31:\"Symfony\\Component\\Routing\\Route\":1655:{a:9:{s:4:\"path\";s:76:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/form-display\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:12:\"_entity_form\";s:24:\"entity_form_display.edit\";s:6:\"_title\";s:19:\"Manage form display\";s:14:\"form_mode_name\";s:7:\"default\";s:14:\"entity_type_id\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_form_mode_access\";s:37:\"administer taxonomy_term form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:10:\"parameters\";a:1:{s:19:\"taxonomy_vocabulary\";a:2:{s:4:\"type\";s:26:\"entity:taxonomy_vocabulary\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.form_mode\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":692:{a:11:{s:4:\"vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:94:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/form\\-display$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/overview/form-display\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:123;s:14:\"patternOutline\";s:56:\"/admin/structure/taxonomy/manage/%/overview/form-display\";s:8:\"numParts\";i:7;}}}}',7),('entity.entity_form_display.taxonomy_term.form_mode','/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/form-display/{form_mode_name}','/admin/structure/taxonomy/manage/%/overview/form-display/%',246,'C:31:\"Symfony\\Component\\Routing\\Route\":1810:{a:9:{s:4:\"path\";s:93:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/form-display/{form_mode_name}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:24:\"entity_form_display.edit\";s:6:\"_title\";s:19:\"Manage form display\";s:14:\"entity_type_id\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_form_mode_access\";s:37:\"administer taxonomy_term form display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:10:\"parameters\";a:1:{s:19:\"taxonomy_vocabulary\";a:2:{s:4:\"type\";s:26:\"entity:taxonomy_vocabulary\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.form_mode\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":866:{a:11:{s:4:\"vars\";a:2:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:14:\"form_mode_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:121:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/form\\-display/(?P<form_mode_name>[^/]++)$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"form_mode_name\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/overview/form-display\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:14:\"form_mode_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:246;s:14:\"patternOutline\";s:58:\"/admin/structure/taxonomy/manage/%/overview/form-display/%\";s:8:\"numParts\";i:8;}}}}',8),('entity.entity_form_display.user.default','/admin/config/people/accounts/form-display','/admin/config/people/accounts/form-display',31,'C:31:\"Symfony\\Component\\Routing\\Route\":1150:{a:9:{s:4:\"path\";s:42:\"/admin/config/people/accounts/form-display\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:12:\"_entity_form\";s:24:\"entity_form_display.edit\";s:6:\"_title\";s:19:\"Manage form display\";s:14:\"form_mode_name\";s:7:\"default\";s:14:\"entity_type_id\";s:4:\"user\";s:6:\"bundle\";s:4:\"user\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_form_mode_access\";s:28:\"administer user form display\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.form_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":425:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:50:\"#^/admin/config/people/accounts/form\\-display$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/config/people/accounts/form-display\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:42:\"/admin/config/people/accounts/form-display\";s:8:\"numParts\";i:5;}}}}',5),('entity.entity_form_display.user.form_mode','/admin/config/people/accounts/form-display/{form_mode_name}','/admin/config/people/accounts/form-display/%',62,'C:31:\"Symfony\\Component\\Routing\\Route\":1304:{a:9:{s:4:\"path\";s:59:\"/admin/config/people/accounts/form-display/{form_mode_name}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:24:\"entity_form_display.edit\";s:6:\"_title\";s:19:\"Manage form display\";s:14:\"entity_type_id\";s:4:\"user\";s:6:\"bundle\";s:4:\"user\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_form_mode_access\";s:28:\"administer user form display\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.form_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":598:{a:11:{s:4:\"vars\";a:1:{i:0;s:14:\"form_mode_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:77:\"#^/admin/config/people/accounts/form\\-display/(?P<form_mode_name>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"form_mode_name\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/config/people/accounts/form-display\";}}s:9:\"path_vars\";a:1:{i:0;s:14:\"form_mode_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:62;s:14:\"patternOutline\";s:44:\"/admin/config/people/accounts/form-display/%\";s:8:\"numParts\";i:6;}}}}',6),('entity.entity_form_mode.add_form','/admin/structure/display-modes/form/add/{entity_type_id}','/admin/structure/display-modes/form/add/%',62,'C:31:\"Symfony\\Component\\Routing\\Route\":1207:{a:9:{s:4:\"path\";s:56:\"/admin/structure/display-modes/form/add/{entity_type_id}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:20:\"entity_form_mode.add\";s:6:\"_title\";s:13:\"Add form mode\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"administer display modes\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":589:{a:11:{s:4:\"vars\";a:1:{i:0;s:14:\"entity_type_id\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:74:\"#^/admin/structure/display\\-modes/form/add/(?P<entity_type_id>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"entity_type_id\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:39:\"/admin/structure/display-modes/form/add\";}}s:9:\"path_vars\";a:1:{i:0;s:14:\"entity_type_id\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:62;s:14:\"patternOutline\";s:41:\"/admin/structure/display-modes/form/add/%\";s:8:\"numParts\";i:6;}}}}',6),('entity.entity_form_mode.collection','/admin/structure/display-modes/form','/admin/structure/display-modes/form',15,'C:31:\"Symfony\\Component\\Routing\\Route\":994:{a:9:{s:4:\"path\";s:35:\"/admin/structure/display-modes/form\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_list\";s:16:\"entity_form_mode\";s:6:\"_title\";s:10:\"Form modes\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"administer display modes\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":404:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:43:\"#^/admin/structure/display\\-modes/form$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:35:\"/admin/structure/display-modes/form\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:35:\"/admin/structure/display-modes/form\";s:8:\"numParts\";i:4;}}}}',4),('entity.entity_form_mode.config_translation_overview','/admin/structure/display-modes/form/manage/{entity_form_mode}/translate','/admin/structure/display-modes/form/manage/%/translate',125,'C:31:\"Symfony\\Component\\Routing\\Route\":1535:{a:9:{s:4:\"path\";s:71:\"/admin/structure/display-modes/form/manage/{entity_form_mode}/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:16:\"entity_form_mode\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:16:\"entity_form_mode\";a:2:{s:4:\"type\";s:23:\"entity:entity_form_mode\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":674:{a:11:{s:4:\"vars\";a:1:{i:0;s:16:\"entity_form_mode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:89:\"#^/admin/structure/display\\-modes/form/manage/(?P<entity_form_mode>[^/]++)/translate$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"entity_form_mode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/structure/display-modes/form/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:16:\"entity_form_mode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:54:\"/admin/structure/display-modes/form/manage/%/translate\";s:8:\"numParts\";i:7;}}}}',7),('entity.entity_form_mode.delete_form','/admin/structure/display-modes/form/manage/{entity_form_mode}/delete','/admin/structure/display-modes/form/manage/%/delete',125,'C:31:\"Symfony\\Component\\Routing\\Route\":1481:{a:9:{s:4:\"path\";s:68:\"/admin/structure/display-modes/form/manage/{entity_form_mode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:23:\"entity_form_mode.delete\";s:6:\"_title\";s:16:\"Delete form mode\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:23:\"entity_form_mode.delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:16:\"entity_form_mode\";a:2:{s:4:\"type\";s:23:\"entity:entity_form_mode\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":664:{a:11:{s:4:\"vars\";a:1:{i:0;s:16:\"entity_form_mode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:86:\"#^/admin/structure/display\\-modes/form/manage/(?P<entity_form_mode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"entity_form_mode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/structure/display-modes/form/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:16:\"entity_form_mode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:51:\"/admin/structure/display-modes/form/manage/%/delete\";s:8:\"numParts\";i:7;}}}}',7),('entity.entity_form_mode.edit_form','/admin/structure/display-modes/form/manage/{entity_form_mode}','/admin/structure/display-modes/form/manage/%',62,'C:31:\"Symfony\\Component\\Routing\\Route\":1412:{a:9:{s:4:\"path\";s:61:\"/admin/structure/display-modes/form/manage/{entity_form_mode}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:21:\"entity_form_mode.edit\";s:6:\"_title\";s:14:\"Edit form mode\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:23:\"entity_form_mode.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:16:\"entity_form_mode\";a:2:{s:4:\"type\";s:23:\"entity:entity_form_mode\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":606:{a:11:{s:4:\"vars\";a:1:{i:0;s:16:\"entity_form_mode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:79:\"#^/admin/structure/display\\-modes/form/manage/(?P<entity_form_mode>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"entity_form_mode\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/structure/display-modes/form/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:16:\"entity_form_mode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:62;s:14:\"patternOutline\";s:44:\"/admin/structure/display-modes/form/manage/%\";s:8:\"numParts\";i:6;}}}}',6),('entity.entity_view_display.block_content.default','/admin/structure/block/block-content/manage/{block_content_type}/display','/admin/structure/block/block-content/manage/%/display',125,'C:31:\"Symfony\\Component\\Routing\\Route\":1625:{a:9:{s:4:\"path\";s:72:\"/admin/structure/block/block-content/manage/{block_content_type}/display\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:12:\"_entity_form\";s:24:\"entity_view_display.edit\";s:6:\"_title\";s:14:\"Manage display\";s:14:\"view_mode_name\";s:7:\"default\";s:14:\"entity_type_id\";s:13:\"block_content\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_view_mode_access\";s:32:\"administer block_content display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:18:\"block_content_type\";a:2:{s:4:\"type\";s:25:\"entity:block_content_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.view_mode\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":678:{a:11:{s:4:\"vars\";a:1:{i:0;s:18:\"block_content_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:90:\"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/display$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/display\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/block/block-content/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:18:\"block_content_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:53:\"/admin/structure/block/block-content/manage/%/display\";s:8:\"numParts\";i:7;}}}}',7),('entity.entity_view_display.block_content.view_mode','/admin/structure/block/block-content/manage/{block_content_type}/display/{view_mode_name}','/admin/structure/block/block-content/manage/%/display/%',250,'C:31:\"Symfony\\Component\\Routing\\Route\":1780:{a:9:{s:4:\"path\";s:89:\"/admin/structure/block/block-content/manage/{block_content_type}/display/{view_mode_name}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:24:\"entity_view_display.edit\";s:6:\"_title\";s:14:\"Manage display\";s:14:\"entity_type_id\";s:13:\"block_content\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_view_mode_access\";s:32:\"administer block_content display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:18:\"block_content_type\";a:2:{s:4:\"type\";s:25:\"entity:block_content_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.view_mode\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":852:{a:11:{s:4:\"vars\";a:2:{i:0;s:18:\"block_content_type\";i:1;s:14:\"view_mode_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:117:\"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/display/(?P<view_mode_name>[^/]++)$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"view_mode_name\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/display\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/block/block-content/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:18:\"block_content_type\";i:1;s:14:\"view_mode_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:250;s:14:\"patternOutline\";s:55:\"/admin/structure/block/block-content/manage/%/display/%\";s:8:\"numParts\";i:8;}}}}',8),('entity.entity_view_display.comment.default','/admin/structure/comment/manage/{comment_type}/display','/admin/structure/comment/manage/%/display',61,'C:31:\"Symfony\\Component\\Routing\\Route\":1520:{a:9:{s:4:\"path\";s:54:\"/admin/structure/comment/manage/{comment_type}/display\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:12:\"_entity_form\";s:24:\"entity_view_display.edit\";s:6:\"_title\";s:14:\"Manage display\";s:14:\"view_mode_name\";s:7:\"default\";s:14:\"entity_type_id\";s:7:\"comment\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_view_mode_access\";s:26:\"administer comment display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"comment_type\";a:2:{s:4:\"type\";s:19:\"entity:comment_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.view_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":616:{a:11:{s:4:\"vars\";a:1:{i:0;s:12:\"comment_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:71:\"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/display$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/display\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"comment_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/comment/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"comment_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:41:\"/admin/structure/comment/manage/%/display\";s:8:\"numParts\";i:6;}}}}',6),('entity.entity_view_display.comment.view_mode','/admin/structure/comment/manage/{comment_type}/display/{view_mode_name}','/admin/structure/comment/manage/%/display/%',122,'C:31:\"Symfony\\Component\\Routing\\Route\":1675:{a:9:{s:4:\"path\";s:71:\"/admin/structure/comment/manage/{comment_type}/display/{view_mode_name}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:24:\"entity_view_display.edit\";s:6:\"_title\";s:14:\"Manage display\";s:14:\"entity_type_id\";s:7:\"comment\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_view_mode_access\";s:26:\"administer comment display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"comment_type\";a:2:{s:4:\"type\";s:19:\"entity:comment_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.view_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":790:{a:11:{s:4:\"vars\";a:2:{i:0;s:12:\"comment_type\";i:1;s:14:\"view_mode_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:98:\"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/display/(?P<view_mode_name>[^/]++)$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"view_mode_name\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/display\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"comment_type\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/comment/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"comment_type\";i:1;s:14:\"view_mode_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:122;s:14:\"patternOutline\";s:43:\"/admin/structure/comment/manage/%/display/%\";s:8:\"numParts\";i:7;}}}}',7),('entity.entity_view_display.contact_message.default','/admin/structure/contact/manage/{contact_form}/display','/admin/structure/contact/manage/%/display',61,'C:31:\"Symfony\\Component\\Routing\\Route\":1537:{a:9:{s:4:\"path\";s:54:\"/admin/structure/contact/manage/{contact_form}/display\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:12:\"_entity_form\";s:24:\"entity_view_display.edit\";s:6:\"_title\";s:14:\"Manage display\";s:14:\"view_mode_name\";s:7:\"default\";s:14:\"entity_type_id\";s:15:\"contact_message\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_view_mode_access\";s:34:\"administer contact_message display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"contact_form\";a:2:{s:4:\"type\";s:19:\"entity:contact_form\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.view_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":616:{a:11:{s:4:\"vars\";a:1:{i:0;s:12:\"contact_form\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:71:\"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/display$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/display\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/contact/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"contact_form\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:41:\"/admin/structure/contact/manage/%/display\";s:8:\"numParts\";i:6;}}}}',6),('entity.entity_view_display.contact_message.view_mode','/admin/structure/contact/manage/{contact_form}/display/{view_mode_name}','/admin/structure/contact/manage/%/display/%',122,'C:31:\"Symfony\\Component\\Routing\\Route\":1692:{a:9:{s:4:\"path\";s:71:\"/admin/structure/contact/manage/{contact_form}/display/{view_mode_name}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:24:\"entity_view_display.edit\";s:6:\"_title\";s:14:\"Manage display\";s:14:\"entity_type_id\";s:15:\"contact_message\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_view_mode_access\";s:34:\"administer contact_message display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"contact_form\";a:2:{s:4:\"type\";s:19:\"entity:contact_form\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.view_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":790:{a:11:{s:4:\"vars\";a:2:{i:0;s:12:\"contact_form\";i:1;s:14:\"view_mode_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:98:\"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/display/(?P<view_mode_name>[^/]++)$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"view_mode_name\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/display\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/contact/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"contact_form\";i:1;s:14:\"view_mode_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:122;s:14:\"patternOutline\";s:43:\"/admin/structure/contact/manage/%/display/%\";s:8:\"numParts\";i:7;}}}}',7),('entity.entity_view_display.node.default','/admin/structure/types/manage/{node_type}/display','/admin/structure/types/manage/%/display',61,'C:31:\"Symfony\\Component\\Routing\\Route\":1481:{a:9:{s:4:\"path\";s:49:\"/admin/structure/types/manage/{node_type}/display\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:12:\"_entity_form\";s:24:\"entity_view_display.edit\";s:6:\"_title\";s:14:\"Manage display\";s:14:\"view_mode_name\";s:7:\"default\";s:14:\"entity_type_id\";s:4:\"node\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_view_mode_access\";s:23:\"administer node display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:9:\"node_type\";a:2:{s:4:\"type\";s:16:\"entity:node_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.view_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":595:{a:11:{s:4:\"vars\";a:1:{i:0;s:9:\"node_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:66:\"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/display$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/display\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/types/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:9:\"node_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:39:\"/admin/structure/types/manage/%/display\";s:8:\"numParts\";i:6;}}}}',6),('entity.entity_view_display.node.view_mode','/admin/structure/types/manage/{node_type}/display/{view_mode_name}','/admin/structure/types/manage/%/display/%',122,'C:31:\"Symfony\\Component\\Routing\\Route\":1636:{a:9:{s:4:\"path\";s:66:\"/admin/structure/types/manage/{node_type}/display/{view_mode_name}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:24:\"entity_view_display.edit\";s:6:\"_title\";s:14:\"Manage display\";s:14:\"entity_type_id\";s:4:\"node\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_view_mode_access\";s:23:\"administer node display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:9:\"node_type\";a:2:{s:4:\"type\";s:16:\"entity:node_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.view_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":769:{a:11:{s:4:\"vars\";a:2:{i:0;s:9:\"node_type\";i:1;s:14:\"view_mode_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:93:\"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/display/(?P<view_mode_name>[^/]++)$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"view_mode_name\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/display\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/types/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:9:\"node_type\";i:1;s:14:\"view_mode_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:122;s:14:\"patternOutline\";s:41:\"/admin/structure/types/manage/%/display/%\";s:8:\"numParts\";i:7;}}}}',7),('entity.entity_view_display.simplenews_subscriber.default','/admin/config/people/simplenews/settings/subscriber/display','/admin/config/people/simplenews/settings/subscriber/display',127,'C:31:\"Symfony\\Component\\Routing\\Route\":1261:{a:9:{s:4:\"path\";s:59:\"/admin/config/people/simplenews/settings/subscriber/display\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:12:\"_entity_form\";s:24:\"entity_view_display.edit\";s:6:\"_title\";s:14:\"Manage display\";s:14:\"view_mode_name\";s:7:\"default\";s:14:\"entity_type_id\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";s:21:\"simplenews_subscriber\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_view_mode_access\";s:40:\"administer simplenews_subscriber display\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.view_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":476:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:66:\"#^/admin/config/people/simplenews/settings/subscriber/display$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:59:\"/admin/config/people/simplenews/settings/subscriber/display\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:127;s:14:\"patternOutline\";s:59:\"/admin/config/people/simplenews/settings/subscriber/display\";s:8:\"numParts\";i:7;}}}}',7),('entity.entity_view_display.simplenews_subscriber.view_mode','/admin/config/people/simplenews/settings/subscriber/display/{view_mode_name}','/admin/config/people/simplenews/settings/subscriber/display/%',254,'C:31:\"Symfony\\Component\\Routing\\Route\":1415:{a:9:{s:4:\"path\";s:76:\"/admin/config/people/simplenews/settings/subscriber/display/{view_mode_name}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:24:\"entity_view_display.edit\";s:6:\"_title\";s:14:\"Manage display\";s:14:\"entity_type_id\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";s:21:\"simplenews_subscriber\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_view_mode_access\";s:40:\"administer simplenews_subscriber display\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.view_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":649:{a:11:{s:4:\"vars\";a:1:{i:0;s:14:\"view_mode_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:93:\"#^/admin/config/people/simplenews/settings/subscriber/display/(?P<view_mode_name>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"view_mode_name\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:59:\"/admin/config/people/simplenews/settings/subscriber/display\";}}s:9:\"path_vars\";a:1:{i:0;s:14:\"view_mode_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:254;s:14:\"patternOutline\";s:61:\"/admin/config/people/simplenews/settings/subscriber/display/%\";s:8:\"numParts\";i:8;}}}}',8),('entity.entity_view_display.taxonomy_term.default','/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/display','/admin/structure/taxonomy/manage/%/overview/display',123,'C:31:\"Symfony\\Component\\Routing\\Route\":1624:{a:9:{s:4:\"path\";s:71:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/display\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:12:\"_entity_form\";s:24:\"entity_view_display.edit\";s:6:\"_title\";s:14:\"Manage display\";s:14:\"view_mode_name\";s:7:\"default\";s:14:\"entity_type_id\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_view_mode_access\";s:32:\"administer taxonomy_term display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:10:\"parameters\";a:1:{s:19:\"taxonomy_vocabulary\";a:2:{s:4:\"type\";s:26:\"entity:taxonomy_vocabulary\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.view_mode\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":676:{a:11:{s:4:\"vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:88:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/display$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/overview/display\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:123;s:14:\"patternOutline\";s:51:\"/admin/structure/taxonomy/manage/%/overview/display\";s:8:\"numParts\";i:7;}}}}',7),('entity.entity_view_display.taxonomy_term.view_mode','/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/display/{view_mode_name}','/admin/structure/taxonomy/manage/%/overview/display/%',246,'C:31:\"Symfony\\Component\\Routing\\Route\":1779:{a:9:{s:4:\"path\";s:88:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/display/{view_mode_name}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:24:\"entity_view_display.edit\";s:6:\"_title\";s:14:\"Manage display\";s:14:\"entity_type_id\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_view_mode_access\";s:32:\"administer taxonomy_term display\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:10:\"parameters\";a:1:{s:19:\"taxonomy_vocabulary\";a:2:{s:4:\"type\";s:26:\"entity:taxonomy_vocabulary\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.view_mode\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":850:{a:11:{s:4:\"vars\";a:2:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:14:\"view_mode_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:115:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/display/(?P<view_mode_name>[^/]++)$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"view_mode_name\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/overview/display\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:14:\"view_mode_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:246;s:14:\"patternOutline\";s:53:\"/admin/structure/taxonomy/manage/%/overview/display/%\";s:8:\"numParts\";i:8;}}}}',8),('entity.entity_view_display.user.default','/admin/config/people/accounts/display','/admin/config/people/accounts/display',31,'C:31:\"Symfony\\Component\\Routing\\Route\":1119:{a:9:{s:4:\"path\";s:37:\"/admin/config/people/accounts/display\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:12:\"_entity_form\";s:24:\"entity_view_display.edit\";s:6:\"_title\";s:14:\"Manage display\";s:14:\"view_mode_name\";s:7:\"default\";s:14:\"entity_type_id\";s:4:\"user\";s:6:\"bundle\";s:4:\"user\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_view_mode_access\";s:23:\"administer user display\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.view_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":409:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:44:\"#^/admin/config/people/accounts/display$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/config/people/accounts/display\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:37:\"/admin/config/people/accounts/display\";s:8:\"numParts\";i:5;}}}}',5),('entity.entity_view_display.user.view_mode','/admin/config/people/accounts/display/{view_mode_name}','/admin/config/people/accounts/display/%',62,'C:31:\"Symfony\\Component\\Routing\\Route\":1273:{a:9:{s:4:\"path\";s:54:\"/admin/config/people/accounts/display/{view_mode_name}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:24:\"entity_view_display.edit\";s:6:\"_title\";s:14:\"Manage display\";s:14:\"entity_type_id\";s:4:\"user\";s:6:\"bundle\";s:4:\"user\";}s:12:\"requirements\";a:1:{s:26:\"_field_ui_view_mode_access\";s:23:\"administer user display\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:31:\"access_check.field_ui.view_mode\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":582:{a:11:{s:4:\"vars\";a:1:{i:0;s:14:\"view_mode_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:71:\"#^/admin/config/people/accounts/display/(?P<view_mode_name>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"view_mode_name\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/config/people/accounts/display\";}}s:9:\"path_vars\";a:1:{i:0;s:14:\"view_mode_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:62;s:14:\"patternOutline\";s:39:\"/admin/config/people/accounts/display/%\";s:8:\"numParts\";i:6;}}}}',6),('entity.entity_view_mode.add_form','/admin/structure/display-modes/view/add/{entity_type_id}','/admin/structure/display-modes/view/add/%',62,'C:31:\"Symfony\\Component\\Routing\\Route\":1207:{a:9:{s:4:\"path\";s:56:\"/admin/structure/display-modes/view/add/{entity_type_id}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:20:\"entity_view_mode.add\";s:6:\"_title\";s:13:\"Add view mode\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"administer display modes\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":589:{a:11:{s:4:\"vars\";a:1:{i:0;s:14:\"entity_type_id\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:74:\"#^/admin/structure/display\\-modes/view/add/(?P<entity_type_id>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"entity_type_id\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:39:\"/admin/structure/display-modes/view/add\";}}s:9:\"path_vars\";a:1:{i:0;s:14:\"entity_type_id\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:62;s:14:\"patternOutline\";s:41:\"/admin/structure/display-modes/view/add/%\";s:8:\"numParts\";i:6;}}}}',6),('entity.entity_view_mode.collection','/admin/structure/display-modes/view','/admin/structure/display-modes/view',15,'C:31:\"Symfony\\Component\\Routing\\Route\":994:{a:9:{s:4:\"path\";s:35:\"/admin/structure/display-modes/view\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_list\";s:16:\"entity_view_mode\";s:6:\"_title\";s:10:\"View modes\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"administer display modes\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":404:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:43:\"#^/admin/structure/display\\-modes/view$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:35:\"/admin/structure/display-modes/view\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:35:\"/admin/structure/display-modes/view\";s:8:\"numParts\";i:4;}}}}',4),('entity.entity_view_mode.config_translation_overview','/admin/structure/display-modes/view/manage/{entity_view_mode}/translate','/admin/structure/display-modes/view/manage/%/translate',125,'C:31:\"Symfony\\Component\\Routing\\Route\":1535:{a:9:{s:4:\"path\";s:71:\"/admin/structure/display-modes/view/manage/{entity_view_mode}/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:16:\"entity_view_mode\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:16:\"entity_view_mode\";a:2:{s:4:\"type\";s:23:\"entity:entity_view_mode\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":674:{a:11:{s:4:\"vars\";a:1:{i:0;s:16:\"entity_view_mode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:89:\"#^/admin/structure/display\\-modes/view/manage/(?P<entity_view_mode>[^/]++)/translate$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"entity_view_mode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/structure/display-modes/view/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:16:\"entity_view_mode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:54:\"/admin/structure/display-modes/view/manage/%/translate\";s:8:\"numParts\";i:7;}}}}',7),('entity.entity_view_mode.delete_form','/admin/structure/display-modes/view/manage/{entity_view_mode}/delete','/admin/structure/display-modes/view/manage/%/delete',125,'C:31:\"Symfony\\Component\\Routing\\Route\":1481:{a:9:{s:4:\"path\";s:68:\"/admin/structure/display-modes/view/manage/{entity_view_mode}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:23:\"entity_view_mode.delete\";s:6:\"_title\";s:16:\"Delete view mode\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:23:\"entity_view_mode.delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:16:\"entity_view_mode\";a:2:{s:4:\"type\";s:23:\"entity:entity_view_mode\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":664:{a:11:{s:4:\"vars\";a:1:{i:0;s:16:\"entity_view_mode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:86:\"#^/admin/structure/display\\-modes/view/manage/(?P<entity_view_mode>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"entity_view_mode\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/structure/display-modes/view/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:16:\"entity_view_mode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:51:\"/admin/structure/display-modes/view/manage/%/delete\";s:8:\"numParts\";i:7;}}}}',7),('entity.entity_view_mode.edit_form','/admin/structure/display-modes/view/manage/{entity_view_mode}','/admin/structure/display-modes/view/manage/%',62,'C:31:\"Symfony\\Component\\Routing\\Route\":1412:{a:9:{s:4:\"path\";s:61:\"/admin/structure/display-modes/view/manage/{entity_view_mode}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:21:\"entity_view_mode.edit\";s:6:\"_title\";s:14:\"Edit view mode\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:23:\"entity_view_mode.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:16:\"entity_view_mode\";a:2:{s:4:\"type\";s:23:\"entity:entity_view_mode\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":606:{a:11:{s:4:\"vars\";a:1:{i:0;s:16:\"entity_view_mode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:79:\"#^/admin/structure/display\\-modes/view/manage/(?P<entity_view_mode>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"entity_view_mode\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/structure/display-modes/view/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:16:\"entity_view_mode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:62;s:14:\"patternOutline\";s:44:\"/admin/structure/display-modes/view/manage/%\";s:8:\"numParts\";i:6;}}}}',6),('entity.field_config.block_content_field_delete_form','/admin/structure/block/block-content/manage/{block_content_type}/fields/{field_config}/delete','/admin/structure/block/block-content/manage/%/fields/%/delete',501,'C:31:\"Symfony\\Component\\Routing\\Route\":1904:{a:9:{s:4:\"path\";s:93:\"/admin/structure/block/block-content/manage/{block_content_type}/fields/{field_config}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:12:\"_entity_form\";s:19:\"field_config.delete\";s:14:\"entity_type_id\";s:13:\"block_content\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:19:\"field_config.delete\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:18:\"block_content_type\";a:2:{s:4:\"type\";s:25:\"entity:block_content_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":898:{a:11:{s:4:\"vars\";a:2:{i:0;s:18:\"block_content_type\";i:1;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:121:\"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/fields/(?P<field_config>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/block/block-content/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:18:\"block_content_type\";i:1;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:61:\"/admin/structure/block/block-content/manage/%/fields/%/delete\";s:8:\"numParts\";i:9;}}}}',9),('entity.field_config.block_content_field_edit_form','/admin/structure/block/block-content/manage/{block_content_type}/fields/{field_config}','/admin/structure/block/block-content/manage/%/fields/%',250,'C:31:\"Symfony\\Component\\Routing\\Route\":1920:{a:9:{s:4:\"path\";s:86:\"/admin/structure/block/block-content/manage/{block_content_type}/fields/{field_config}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:17:\"field_config.edit\";s:15:\"_title_callback\";s:51:\"\\Drupal\\field_ui\\Form\\FieldConfigEditForm::getTitle\";s:14:\"entity_type_id\";s:13:\"block_content\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:19:\"field_config.update\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:18:\"block_content_type\";a:2:{s:4:\"type\";s:25:\"entity:block_content_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":841:{a:11:{s:4:\"vars\";a:2:{i:0;s:18:\"block_content_type\";i:1;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:114:\"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/fields/(?P<field_config>[^/]++)$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/block/block-content/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:18:\"block_content_type\";i:1;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:250;s:14:\"patternOutline\";s:54:\"/admin/structure/block/block-content/manage/%/fields/%\";s:8:\"numParts\";i:8;}}}}',8),('entity.field_config.block_content_storage_edit_form','/admin/structure/block/block-content/manage/{block_content_type}/fields/{field_config}/storage','/admin/structure/block/block-content/manage/%/fields/%/storage',501,'C:31:\"Symfony\\Component\\Routing\\Route\":1776:{a:9:{s:4:\"path\";s:94:\"/admin/structure/block/block-content/manage/{block_content_type}/fields/{field_config}/storage\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:12:\"_entity_form\";s:25:\"field_storage_config.edit\";s:14:\"entity_type_id\";s:13:\"block_content\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:31:\"administer block_content fields\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:18:\"block_content_type\";a:2:{s:4:\"type\";s:25:\"entity:block_content_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":901:{a:11:{s:4:\"vars\";a:2:{i:0;s:18:\"block_content_type\";i:1;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:122:\"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/fields/(?P<field_config>[^/]++)/storage$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/storage\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/block/block-content/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:18:\"block_content_type\";i:1;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:62:\"/admin/structure/block/block-content/manage/%/fields/%/storage\";s:8:\"numParts\";i:9;}}}}',9),('entity.field_config.comment_field_delete_form','/admin/structure/comment/manage/{comment_type}/fields/{field_config}/delete','/admin/structure/comment/manage/%/fields/%/delete',245,'C:31:\"Symfony\\Component\\Routing\\Route\":1806:{a:9:{s:4:\"path\";s:75:\"/admin/structure/comment/manage/{comment_type}/fields/{field_config}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:12:\"_entity_form\";s:19:\"field_config.delete\";s:14:\"entity_type_id\";s:7:\"comment\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:19:\"field_config.delete\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:2:{s:12:\"comment_type\";a:2:{s:4:\"type\";s:19:\"entity:comment_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":837:{a:11:{s:4:\"vars\";a:2:{i:0;s:12:\"comment_type\";i:1;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:102:\"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/fields/(?P<field_config>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"comment_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/comment/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"comment_type\";i:1;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:49:\"/admin/structure/comment/manage/%/fields/%/delete\";s:8:\"numParts\";i:8;}}}}',8),('entity.field_config.comment_field_edit_form','/admin/structure/comment/manage/{comment_type}/fields/{field_config}','/admin/structure/comment/manage/%/fields/%',122,'C:31:\"Symfony\\Component\\Routing\\Route\":1821:{a:9:{s:4:\"path\";s:68:\"/admin/structure/comment/manage/{comment_type}/fields/{field_config}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:17:\"field_config.edit\";s:15:\"_title_callback\";s:51:\"\\Drupal\\field_ui\\Form\\FieldConfigEditForm::getTitle\";s:14:\"entity_type_id\";s:7:\"comment\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:19:\"field_config.update\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:2:{s:12:\"comment_type\";a:2:{s:4:\"type\";s:19:\"entity:comment_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":779:{a:11:{s:4:\"vars\";a:2:{i:0;s:12:\"comment_type\";i:1;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:95:\"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/fields/(?P<field_config>[^/]++)$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"comment_type\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/comment/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"comment_type\";i:1;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:122;s:14:\"patternOutline\";s:42:\"/admin/structure/comment/manage/%/fields/%\";s:8:\"numParts\";i:7;}}}}',7),('entity.field_config.comment_storage_edit_form','/admin/structure/comment/manage/{comment_type}/fields/{field_config}/storage','/admin/structure/comment/manage/%/fields/%/storage',245,'C:31:\"Symfony\\Component\\Routing\\Route\":1672:{a:9:{s:4:\"path\";s:76:\"/admin/structure/comment/manage/{comment_type}/fields/{field_config}/storage\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:12:\"_entity_form\";s:25:\"field_storage_config.edit\";s:14:\"entity_type_id\";s:7:\"comment\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:25:\"administer comment fields\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"comment_type\";a:2:{s:4:\"type\";s:19:\"entity:comment_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":840:{a:11:{s:4:\"vars\";a:2:{i:0;s:12:\"comment_type\";i:1;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:103:\"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/fields/(?P<field_config>[^/]++)/storage$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/storage\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"comment_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/comment/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"comment_type\";i:1;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:50:\"/admin/structure/comment/manage/%/fields/%/storage\";s:8:\"numParts\";i:8;}}}}',8),('entity.field_config.config_translation_overview.block_content','/admin/structure/block/block-content/manage/{block_content_type}/fields/{field_config}/translate','/admin/structure/block/block-content/manage/%/fields/%/translate',501,'C:31:\"Symfony\\Component\\Routing\\Route\":1790:{a:9:{s:4:\"path\";s:96:\"/admin/structure/block/block-content/manage/{block_content_type}/fields/{field_config}/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:20:\"block_content_fields\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":908:{a:11:{s:4:\"vars\";a:2:{i:0;s:18:\"block_content_type\";i:1;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:124:\"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/fields/(?P<field_config>[^/]++)/translate$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/block/block-content/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:18:\"block_content_type\";i:1;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:64:\"/admin/structure/block/block-content/manage/%/fields/%/translate\";s:8:\"numParts\";i:9;}}}}',9),('entity.field_config.config_translation_overview.comment','/admin/structure/comment/manage/{comment_type}/fields/{field_config}/translate','/admin/structure/comment/manage/%/fields/%/translate',245,'C:31:\"Symfony\\Component\\Routing\\Route\":1705:{a:9:{s:4:\"path\";s:78:\"/admin/structure/comment/manage/{comment_type}/fields/{field_config}/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:14:\"comment_fields\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":847:{a:11:{s:4:\"vars\";a:2:{i:0;s:12:\"comment_type\";i:1;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:105:\"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/fields/(?P<field_config>[^/]++)/translate$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"comment_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/comment/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"comment_type\";i:1;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:52:\"/admin/structure/comment/manage/%/fields/%/translate\";s:8:\"numParts\";i:8;}}}}',8),('entity.field_config.config_translation_overview.contact_message','/admin/structure/contact/manage/{contact_form}/fields/{field_config}/translate','/admin/structure/contact/manage/%/fields/%/translate',245,'C:31:\"Symfony\\Component\\Routing\\Route\":1713:{a:9:{s:4:\"path\";s:78:\"/admin/structure/contact/manage/{contact_form}/fields/{field_config}/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:22:\"contact_message_fields\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":847:{a:11:{s:4:\"vars\";a:2:{i:0;s:12:\"contact_form\";i:1;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:105:\"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/fields/(?P<field_config>[^/]++)/translate$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/contact/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"contact_form\";i:1;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:52:\"/admin/structure/contact/manage/%/fields/%/translate\";s:8:\"numParts\";i:8;}}}}',8),('entity.field_config.config_translation_overview.node','/admin/structure/types/manage/{node_type}/fields/{field_config}/translate','/admin/structure/types/manage/%/fields/%/translate',245,'C:31:\"Symfony\\Component\\Routing\\Route\":1676:{a:9:{s:4:\"path\";s:73:\"/admin/structure/types/manage/{node_type}/fields/{field_config}/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:11:\"node_fields\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":826:{a:11:{s:4:\"vars\";a:2:{i:0;s:9:\"node_type\";i:1;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:100:\"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/fields/(?P<field_config>[^/]++)/translate$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/types/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:9:\"node_type\";i:1;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:50:\"/admin/structure/types/manage/%/fields/%/translate\";s:8:\"numParts\";i:8;}}}}',8),('entity.field_config.config_translation_overview.simplenews_subscriber','/admin/config/people/simplenews/settings/subscriber/fields/{field_config}/translate','/admin/config/people/simplenews/settings/subscriber/fields/%/translate',509,'C:31:\"Symfony\\Component\\Routing\\Route\":1583:{a:9:{s:4:\"path\";s:83:\"/admin/config/people/simplenews/settings/subscriber/fields/{field_config}/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:28:\"simplenews_subscriber_fields\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":706:{a:11:{s:4:\"vars\";a:1:{i:0;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:100:\"#^/admin/config/people/simplenews/settings/subscriber/fields/(?P<field_config>[^/]++)/translate$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:58:\"/admin/config/people/simplenews/settings/subscriber/fields\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:509;s:14:\"patternOutline\";s:70:\"/admin/config/people/simplenews/settings/subscriber/fields/%/translate\";s:8:\"numParts\";i:9;}}}}',9),('entity.field_config.config_translation_overview.taxonomy_term','/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/fields/{field_config}/translate','/admin/structure/taxonomy/manage/%/overview/fields/%/translate',493,'C:31:\"Symfony\\Component\\Routing\\Route\":1787:{a:9:{s:4:\"path\";s:95:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/fields/{field_config}/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:20:\"taxonomy_term_fields\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":906:{a:11:{s:4:\"vars\";a:2:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:122:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/fields/(?P<field_config>[^/]++)/translate$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:16:\"/overview/fields\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:493;s:14:\"patternOutline\";s:62:\"/admin/structure/taxonomy/manage/%/overview/fields/%/translate\";s:8:\"numParts\";i:9;}}}}',9),('entity.field_config.config_translation_overview.user','/admin/config/people/accounts/fields/{field_config}/translate','/admin/config/people/accounts/fields/%/translate',125,'C:31:\"Symfony\\Component\\Routing\\Route\":1477:{a:9:{s:4:\"path\";s:61:\"/admin/config/people/accounts/fields/{field_config}/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:11:\"user_fields\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":639:{a:11:{s:4:\"vars\";a:1:{i:0;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:78:\"#^/admin/config/people/accounts/fields/(?P<field_config>[^/]++)/translate$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:36:\"/admin/config/people/accounts/fields\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:48:\"/admin/config/people/accounts/fields/%/translate\";s:8:\"numParts\";i:7;}}}}',7),('entity.field_config.contact_message_field_delete_form','/admin/structure/contact/manage/{contact_form}/fields/{field_config}/delete','/admin/structure/contact/manage/%/fields/%/delete',245,'C:31:\"Symfony\\Component\\Routing\\Route\":1815:{a:9:{s:4:\"path\";s:75:\"/admin/structure/contact/manage/{contact_form}/fields/{field_config}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:12:\"_entity_form\";s:19:\"field_config.delete\";s:14:\"entity_type_id\";s:15:\"contact_message\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:19:\"field_config.delete\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:2:{s:12:\"contact_form\";a:2:{s:4:\"type\";s:19:\"entity:contact_form\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":837:{a:11:{s:4:\"vars\";a:2:{i:0;s:12:\"contact_form\";i:1;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:102:\"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/fields/(?P<field_config>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/contact/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"contact_form\";i:1;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:49:\"/admin/structure/contact/manage/%/fields/%/delete\";s:8:\"numParts\";i:8;}}}}',8),('entity.field_config.contact_message_field_edit_form','/admin/structure/contact/manage/{contact_form}/fields/{field_config}','/admin/structure/contact/manage/%/fields/%',122,'C:31:\"Symfony\\Component\\Routing\\Route\":1830:{a:9:{s:4:\"path\";s:68:\"/admin/structure/contact/manage/{contact_form}/fields/{field_config}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:17:\"field_config.edit\";s:15:\"_title_callback\";s:51:\"\\Drupal\\field_ui\\Form\\FieldConfigEditForm::getTitle\";s:14:\"entity_type_id\";s:15:\"contact_message\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:19:\"field_config.update\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:2:{s:12:\"contact_form\";a:2:{s:4:\"type\";s:19:\"entity:contact_form\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":779:{a:11:{s:4:\"vars\";a:2:{i:0;s:12:\"contact_form\";i:1;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:95:\"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/fields/(?P<field_config>[^/]++)$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/contact/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"contact_form\";i:1;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:122;s:14:\"patternOutline\";s:42:\"/admin/structure/contact/manage/%/fields/%\";s:8:\"numParts\";i:7;}}}}',7),('entity.field_config.contact_message_storage_edit_form','/admin/structure/contact/manage/{contact_form}/fields/{field_config}/storage','/admin/structure/contact/manage/%/fields/%/storage',245,'C:31:\"Symfony\\Component\\Routing\\Route\":1689:{a:9:{s:4:\"path\";s:76:\"/admin/structure/contact/manage/{contact_form}/fields/{field_config}/storage\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:12:\"_entity_form\";s:25:\"field_storage_config.edit\";s:14:\"entity_type_id\";s:15:\"contact_message\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:33:\"administer contact_message fields\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"contact_form\";a:2:{s:4:\"type\";s:19:\"entity:contact_form\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":840:{a:11:{s:4:\"vars\";a:2:{i:0;s:12:\"contact_form\";i:1;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:103:\"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/fields/(?P<field_config>[^/]++)/storage$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/storage\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/contact/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"contact_form\";i:1;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:50:\"/admin/structure/contact/manage/%/fields/%/storage\";s:8:\"numParts\";i:8;}}}}',8),('entity.field_config.node_field_delete_form','/admin/structure/types/manage/{node_type}/fields/{field_config}/delete','/admin/structure/types/manage/%/fields/%/delete',245,'C:31:\"Symfony\\Component\\Routing\\Route\":1769:{a:9:{s:4:\"path\";s:70:\"/admin/structure/types/manage/{node_type}/fields/{field_config}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:12:\"_entity_form\";s:19:\"field_config.delete\";s:14:\"entity_type_id\";s:4:\"node\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:19:\"field_config.delete\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:2:{s:9:\"node_type\";a:2:{s:4:\"type\";s:16:\"entity:node_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":815:{a:11:{s:4:\"vars\";a:2:{i:0;s:9:\"node_type\";i:1;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:97:\"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/fields/(?P<field_config>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/types/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:9:\"node_type\";i:1;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:47:\"/admin/structure/types/manage/%/fields/%/delete\";s:8:\"numParts\";i:8;}}}}',8),('entity.field_config.node_field_edit_form','/admin/structure/types/manage/{node_type}/fields/{field_config}','/admin/structure/types/manage/%/fields/%',122,'C:31:\"Symfony\\Component\\Routing\\Route\":1785:{a:9:{s:4:\"path\";s:63:\"/admin/structure/types/manage/{node_type}/fields/{field_config}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:17:\"field_config.edit\";s:15:\"_title_callback\";s:51:\"\\Drupal\\field_ui\\Form\\FieldConfigEditForm::getTitle\";s:14:\"entity_type_id\";s:4:\"node\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:19:\"field_config.update\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:2:{s:9:\"node_type\";a:2:{s:4:\"type\";s:16:\"entity:node_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":758:{a:11:{s:4:\"vars\";a:2:{i:0;s:9:\"node_type\";i:1;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:90:\"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/fields/(?P<field_config>[^/]++)$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/types/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:9:\"node_type\";i:1;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:122;s:14:\"patternOutline\";s:40:\"/admin/structure/types/manage/%/fields/%\";s:8:\"numParts\";i:7;}}}}',7),('entity.field_config.node_storage_edit_form','/admin/structure/types/manage/{node_type}/fields/{field_config}/storage','/admin/structure/types/manage/%/fields/%/storage',245,'C:31:\"Symfony\\Component\\Routing\\Route\":1632:{a:9:{s:4:\"path\";s:71:\"/admin/structure/types/manage/{node_type}/fields/{field_config}/storage\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:12:\"_entity_form\";s:25:\"field_storage_config.edit\";s:14:\"entity_type_id\";s:4:\"node\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:22:\"administer node fields\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:9:\"node_type\";a:2:{s:4:\"type\";s:16:\"entity:node_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":818:{a:11:{s:4:\"vars\";a:2:{i:0;s:9:\"node_type\";i:1;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:98:\"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/fields/(?P<field_config>[^/]++)/storage$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/storage\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/types/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:9:\"node_type\";i:1;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:245;s:14:\"patternOutline\";s:48:\"/admin/structure/types/manage/%/fields/%/storage\";s:8:\"numParts\";i:8;}}}}',8),('entity.field_config.simplenews_subscriber_field_delete_form','/admin/config/people/simplenews/settings/subscriber/fields/{field_config}/delete','/admin/config/people/simplenews/settings/subscriber/fields/%/delete',509,'C:31:\"Symfony\\Component\\Routing\\Route\":1555:{a:9:{s:4:\"path\";s:80:\"/admin/config/people/simplenews/settings/subscriber/fields/{field_config}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:12:\"_entity_form\";s:19:\"field_config.delete\";s:14:\"entity_type_id\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";s:21:\"simplenews_subscriber\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:19:\"field_config.delete\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:9:\"_field_ui\";b:1;s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":695:{a:11:{s:4:\"vars\";a:1:{i:0;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:97:\"#^/admin/config/people/simplenews/settings/subscriber/fields/(?P<field_config>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:58:\"/admin/config/people/simplenews/settings/subscriber/fields\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:509;s:14:\"patternOutline\";s:67:\"/admin/config/people/simplenews/settings/subscriber/fields/%/delete\";s:8:\"numParts\";i:9;}}}}',9),('entity.field_config.simplenews_subscriber_field_edit_form','/admin/config/people/simplenews/settings/subscriber/fields/{field_config}','/admin/config/people/simplenews/settings/subscriber/fields/%',254,'C:31:\"Symfony\\Component\\Routing\\Route\":1571:{a:9:{s:4:\"path\";s:73:\"/admin/config/people/simplenews/settings/subscriber/fields/{field_config}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:17:\"field_config.edit\";s:15:\"_title_callback\";s:51:\"\\Drupal\\field_ui\\Form\\FieldConfigEditForm::getTitle\";s:14:\"entity_type_id\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";s:21:\"simplenews_subscriber\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:19:\"field_config.update\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:9:\"_field_ui\";b:1;s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":638:{a:11:{s:4:\"vars\";a:1:{i:0;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:90:\"#^/admin/config/people/simplenews/settings/subscriber/fields/(?P<field_config>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:58:\"/admin/config/people/simplenews/settings/subscriber/fields\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:254;s:14:\"patternOutline\";s:60:\"/admin/config/people/simplenews/settings/subscriber/fields/%\";s:8:\"numParts\";i:8;}}}}',8),('entity.field_config.simplenews_subscriber_storage_edit_form','/admin/config/people/simplenews/settings/subscriber/fields/{field_config}/storage','/admin/config/people/simplenews/settings/subscriber/fields/%/storage',509,'C:31:\"Symfony\\Component\\Routing\\Route\":1411:{a:9:{s:4:\"path\";s:81:\"/admin/config/people/simplenews/settings/subscriber/fields/{field_config}/storage\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:12:\"_entity_form\";s:25:\"field_storage_config.edit\";s:14:\"entity_type_id\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";s:21:\"simplenews_subscriber\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:39:\"administer simplenews_subscriber fields\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":698:{a:11:{s:4:\"vars\";a:1:{i:0;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:98:\"#^/admin/config/people/simplenews/settings/subscriber/fields/(?P<field_config>[^/]++)/storage$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/storage\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:58:\"/admin/config/people/simplenews/settings/subscriber/fields\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:509;s:14:\"patternOutline\";s:68:\"/admin/config/people/simplenews/settings/subscriber/fields/%/storage\";s:8:\"numParts\";i:9;}}}}',9),('entity.field_config.taxonomy_term_field_delete_form','/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/fields/{field_config}/delete','/admin/structure/taxonomy/manage/%/overview/fields/%/delete',493,'C:31:\"Symfony\\Component\\Routing\\Route\":1903:{a:9:{s:4:\"path\";s:92:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/fields/{field_config}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:12:\"_entity_form\";s:19:\"field_config.delete\";s:14:\"entity_type_id\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:19:\"field_config.delete\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:10:\"parameters\";a:2:{s:19:\"taxonomy_vocabulary\";a:2:{s:4:\"type\";s:26:\"entity:taxonomy_vocabulary\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":896:{a:11:{s:4:\"vars\";a:2:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:119:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/fields/(?P<field_config>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:16:\"/overview/fields\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:493;s:14:\"patternOutline\";s:59:\"/admin/structure/taxonomy/manage/%/overview/fields/%/delete\";s:8:\"numParts\";i:9;}}}}',9),('entity.field_config.taxonomy_term_field_edit_form','/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/fields/{field_config}','/admin/structure/taxonomy/manage/%/overview/fields/%',246,'C:31:\"Symfony\\Component\\Routing\\Route\":1919:{a:9:{s:4:\"path\";s:85:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/fields/{field_config}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:17:\"field_config.edit\";s:15:\"_title_callback\";s:51:\"\\Drupal\\field_ui\\Form\\FieldConfigEditForm::getTitle\";s:14:\"entity_type_id\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:19:\"field_config.update\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:10:\"parameters\";a:2:{s:19:\"taxonomy_vocabulary\";a:2:{s:4:\"type\";s:26:\"entity:taxonomy_vocabulary\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":839:{a:11:{s:4:\"vars\";a:2:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:112:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/fields/(?P<field_config>[^/]++)$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:16:\"/overview/fields\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:246;s:14:\"patternOutline\";s:52:\"/admin/structure/taxonomy/manage/%/overview/fields/%\";s:8:\"numParts\";i:8;}}}}',8),('entity.field_config.taxonomy_term_storage_edit_form','/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/fields/{field_config}/storage','/admin/structure/taxonomy/manage/%/overview/fields/%/storage',493,'C:31:\"Symfony\\Component\\Routing\\Route\":1775:{a:9:{s:4:\"path\";s:93:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/fields/{field_config}/storage\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:12:\"_entity_form\";s:25:\"field_storage_config.edit\";s:14:\"entity_type_id\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:31:\"administer taxonomy_term fields\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:10:\"parameters\";a:1:{s:19:\"taxonomy_vocabulary\";a:2:{s:4:\"type\";s:26:\"entity:taxonomy_vocabulary\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":899:{a:11:{s:4:\"vars\";a:2:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:120:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/fields/(?P<field_config>[^/]++)/storage$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/storage\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:16:\"/overview/fields\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:493;s:14:\"patternOutline\";s:60:\"/admin/structure/taxonomy/manage/%/overview/fields/%/storage\";s:8:\"numParts\";i:9;}}}}',9),('entity.field_config.user_field_delete_form','/admin/config/people/accounts/fields/{field_config}/delete','/admin/config/people/accounts/fields/%/delete',125,'C:31:\"Symfony\\Component\\Routing\\Route\":1431:{a:9:{s:4:\"path\";s:58:\"/admin/config/people/accounts/fields/{field_config}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:12:\"_entity_form\";s:19:\"field_config.delete\";s:14:\"entity_type_id\";s:4:\"user\";s:6:\"bundle\";s:4:\"user\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:19:\"field_config.delete\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:9:\"_field_ui\";b:1;s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":629:{a:11:{s:4:\"vars\";a:1:{i:0;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:75:\"#^/admin/config/people/accounts/fields/(?P<field_config>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:36:\"/admin/config/people/accounts/fields\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:45:\"/admin/config/people/accounts/fields/%/delete\";s:8:\"numParts\";i:7;}}}}',7),('entity.field_config.user_field_edit_form','/admin/config/people/accounts/fields/{field_config}','/admin/config/people/accounts/fields/%',62,'C:31:\"Symfony\\Component\\Routing\\Route\":1446:{a:9:{s:4:\"path\";s:51:\"/admin/config/people/accounts/fields/{field_config}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:17:\"field_config.edit\";s:15:\"_title_callback\";s:51:\"\\Drupal\\field_ui\\Form\\FieldConfigEditForm::getTitle\";s:14:\"entity_type_id\";s:4:\"user\";s:6:\"bundle\";s:4:\"user\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:19:\"field_config.update\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:9:\"_field_ui\";b:1;s:10:\"parameters\";a:1:{s:12:\"field_config\";a:2:{s:4:\"type\";s:19:\"entity:field_config\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":571:{a:11:{s:4:\"vars\";a:1:{i:0;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:68:\"#^/admin/config/people/accounts/fields/(?P<field_config>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:36:\"/admin/config/people/accounts/fields\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:62;s:14:\"patternOutline\";s:38:\"/admin/config/people/accounts/fields/%\";s:8:\"numParts\";i:6;}}}}',6),('entity.field_config.user_storage_edit_form','/admin/config/people/accounts/fields/{field_config}/storage','/admin/config/people/accounts/fields/%/storage',125,'C:31:\"Symfony\\Component\\Routing\\Route\":1270:{a:9:{s:4:\"path\";s:59:\"/admin/config/people/accounts/fields/{field_config}/storage\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:12:\"_entity_form\";s:25:\"field_storage_config.edit\";s:14:\"entity_type_id\";s:4:\"user\";s:6:\"bundle\";s:4:\"user\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:22:\"administer user fields\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":632:{a:11:{s:4:\"vars\";a:1:{i:0;s:12:\"field_config\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:76:\"#^/admin/config/people/accounts/fields/(?P<field_config>[^/]++)/storage$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/storage\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"field_config\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:36:\"/admin/config/people/accounts/fields\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"field_config\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:46:\"/admin/config/people/accounts/fields/%/storage\";s:8:\"numParts\";i:7;}}}}',7),('entity.field_storage_config.collection','/admin/reports/fields','/admin/reports/fields',7,'C:31:\"Symfony\\Component\\Routing\\Route\":940:{a:9:{s:4:\"path\";s:21:\"/admin/reports/fields\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_list\";s:20:\"field_storage_config\";s:6:\"_title\";s:10:\"Field list\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"administer content types\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":360:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:28:\"#^/admin/reports/fields$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:21:\"/admin/reports/fields\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:21:\"/admin/reports/fields\";s:8:\"numParts\";i:3;}}}}',3),('entity.filter_format.config_translation_overview','/admin/config/content/formats/manage/{filter_format}/translate','/admin/config/content/formats/manage/%/translate',125,'C:31:\"Symfony\\Component\\Routing\\Route\":1486:{a:9:{s:4:\"path\";s:62:\"/admin/config/content/formats/manage/{filter_format}/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:13:\"filter_format\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:13:\"filter_format\";a:2:{s:4:\"type\";s:20:\"entity:filter_format\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":643:{a:11:{s:4:\"vars\";a:1:{i:0;s:13:\"filter_format\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:79:\"#^/admin/config/content/formats/manage/(?P<filter_format>[^/]++)/translate$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"filter_format\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:36:\"/admin/config/content/formats/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"filter_format\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:48:\"/admin/config/content/formats/manage/%/translate\";s:8:\"numParts\";i:7;}}}}',7),('entity.filter_format.disable','/admin/config/content/formats/manage/{filter_format}/disable','/admin/config/content/formats/manage/%/disable',125,'C:31:\"Symfony\\Component\\Routing\\Route\":1438:{a:9:{s:4:\"path\";s:60:\"/admin/config/content/formats/manage/{filter_format}/disable\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:21:\"filter_format.disable\";s:6:\"_title\";s:19:\"Disable text format\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:21:\"filter_format.disable\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:13:\"filter_format\";a:2:{s:4:\"type\";s:20:\"entity:filter_format\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":636:{a:11:{s:4:\"vars\";a:1:{i:0;s:13:\"filter_format\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:77:\"#^/admin/config/content/formats/manage/(?P<filter_format>[^/]++)/disable$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/disable\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"filter_format\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:36:\"/admin/config/content/formats/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"filter_format\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:46:\"/admin/config/content/formats/manage/%/disable\";s:8:\"numParts\";i:7;}}}}',7),('entity.filter_format.edit_form','/admin/config/content/formats/manage/{filter_format}','/admin/config/content/formats/manage/%',62,'C:31:\"Symfony\\Component\\Routing\\Route\":1408:{a:9:{s:4:\"path\";s:52:\"/admin/config/content/formats/manage/{filter_format}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:18:\"filter_format.edit\";s:15:\"_title_callback\";s:52:\"\\Drupal\\filter\\Controller\\FilterController::getLabel\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:20:\"filter_format.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:13:\"filter_format\";a:2:{s:4:\"type\";s:20:\"entity:filter_format\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":575:{a:11:{s:4:\"vars\";a:1:{i:0;s:13:\"filter_format\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:69:\"#^/admin/config/content/formats/manage/(?P<filter_format>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"filter_format\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:36:\"/admin/config/content/formats/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"filter_format\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:62;s:14:\"patternOutline\";s:38:\"/admin/config/content/formats/manage/%\";s:8:\"numParts\";i:6;}}}}',6),('entity.image_style.collection','/admin/config/media/image-styles','/admin/config/media/image-styles',15,'C:31:\"Symfony\\Component\\Routing\\Route\":978:{a:9:{s:4:\"path\";s:32:\"/admin/config/media/image-styles\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_list\";s:11:\"image_style\";s:6:\"_title\";s:12:\"Image styles\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:23:\"administer image styles\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":395:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:40:\"#^/admin/config/media/image\\-styles$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/config/media/image-styles\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:32:\"/admin/config/media/image-styles\";s:8:\"numParts\";i:4;}}}}',4),('entity.image_style.config_translation_overview','/admin/config/media/image-styles/manage/{image_style}/translate','/admin/config/media/image-styles/manage/%/translate',125,'C:31:\"Symfony\\Component\\Routing\\Route\":1483:{a:9:{s:4:\"path\";s:63:\"/admin/config/media/image-styles/manage/{image_style}/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:11:\"image_style\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:11:\"image_style\";a:2:{s:4:\"type\";s:18:\"entity:image_style\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":645:{a:11:{s:4:\"vars\";a:1:{i:0;s:11:\"image_style\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:81:\"#^/admin/config/media/image\\-styles/manage/(?P<image_style>[^/]++)/translate$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"image_style\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:39:\"/admin/config/media/image-styles/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:11:\"image_style\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:51:\"/admin/config/media/image-styles/manage/%/translate\";s:8:\"numParts\";i:7;}}}}',7),('entity.image_style.delete_form','/admin/config/media/image-styles/manage/{image_style}/delete','/admin/config/media/image-styles/manage/%/delete',125,'C:31:\"Symfony\\Component\\Routing\\Route\":1419:{a:9:{s:4:\"path\";s:60:\"/admin/config/media/image-styles/manage/{image_style}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:18:\"image_style.delete\";s:6:\"_title\";s:6:\"Delete\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:23:\"administer image styles\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:11:\"image_style\";a:2:{s:4:\"type\";s:18:\"entity:image_style\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":635:{a:11:{s:4:\"vars\";a:1:{i:0;s:11:\"image_style\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:78:\"#^/admin/config/media/image\\-styles/manage/(?P<image_style>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"image_style\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:39:\"/admin/config/media/image-styles/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:11:\"image_style\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:48:\"/admin/config/media/image-styles/manage/%/delete\";s:8:\"numParts\";i:7;}}}}',7),('entity.image_style.edit_form','/admin/config/media/image-styles/manage/{image_style}','/admin/config/media/image-styles/manage/%',62,'C:31:\"Symfony\\Component\\Routing\\Route\":1357:{a:9:{s:4:\"path\";s:53:\"/admin/config/media/image-styles/manage/{image_style}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:16:\"image_style.edit\";s:6:\"_title\";s:10:\"Edit style\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:23:\"administer image styles\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:11:\"image_style\";a:2:{s:4:\"type\";s:18:\"entity:image_style\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":577:{a:11:{s:4:\"vars\";a:1:{i:0;s:11:\"image_style\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:71:\"#^/admin/config/media/image\\-styles/manage/(?P<image_style>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"image_style\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:39:\"/admin/config/media/image-styles/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:11:\"image_style\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:62;s:14:\"patternOutline\";s:41:\"/admin/config/media/image-styles/manage/%\";s:8:\"numParts\";i:6;}}}}',6),('entity.image_style.flush_form','/admin/config/media/image-styles/manage/{image_style}/flush','/admin/config/media/image-styles/manage/%/flush',125,'C:31:\"Symfony\\Component\\Routing\\Route\":1413:{a:9:{s:4:\"path\";s:59:\"/admin/config/media/image-styles/manage/{image_style}/flush\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:17:\"image_style.flush\";s:6:\"_title\";s:5:\"Flush\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:23:\"administer image styles\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:11:\"image_style\";a:2:{s:4:\"type\";s:18:\"entity:image_style\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":632:{a:11:{s:4:\"vars\";a:1:{i:0;s:11:\"image_style\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:77:\"#^/admin/config/media/image\\-styles/manage/(?P<image_style>[^/]++)/flush$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:6:\"/flush\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"image_style\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:39:\"/admin/config/media/image-styles/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:11:\"image_style\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:47:\"/admin/config/media/image-styles/manage/%/flush\";s:8:\"numParts\";i:7;}}}}',7),('entity.menu.add_form','/admin/structure/menu/add','/admin/structure/menu/add',15,'C:31:\"Symfony\\Component\\Routing\\Route\":933:{a:9:{s:4:\"path\";s:25:\"/admin/structure/menu/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:8:\"menu.add\";s:6:\"_title\";s:8:\"Add menu\";}s:12:\"requirements\";a:1:{s:21:\"_entity_create_access\";s:4:\"menu\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:26:\"access_check.entity_create\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":373:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:32:\"#^/admin/structure/menu/add$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:25:\"/admin/structure/menu/add\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:25:\"/admin/structure/menu/add\";s:8:\"numParts\";i:4;}}}}',4),('entity.menu.add_link_form','/admin/structure/menu/manage/{menu}/add','/admin/structure/menu/manage/%/add',61,'C:31:\"Symfony\\Component\\Routing\\Route\":1364:{a:9:{s:4:\"path\";s:39:\"/admin/structure/menu/manage/{menu}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:60:\"\\Drupal\\menu_link_content\\Controller\\MenuController::addLink\";s:6:\"_title\";s:13:\"Add menu link\";}s:12:\"requirements\";a:1:{s:21:\"_entity_create_access\";s:17:\"menu_link_content\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:4:\"menu\";a:2:{s:4:\"type\";s:11:\"entity:menu\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:26:\"access_check.entity_create\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":560:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"menu\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:56:\"#^/admin/structure/menu/manage/(?P<menu>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"menu\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:28:\"/admin/structure/menu/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"menu\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:34:\"/admin/structure/menu/manage/%/add\";s:8:\"numParts\";i:6;}}}}',6),('entity.menu.collection','/admin/structure/menu','/admin/structure/menu',7,'C:31:\"Symfony\\Component\\Routing\\Route\":908:{a:9:{s:4:\"path\";s:21:\"/admin/structure/menu\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_list\";s:4:\"menu\";s:6:\"_title\";s:5:\"Menus\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:15:\"administer menu\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":360:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:28:\"#^/admin/structure/menu$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:21:\"/admin/structure/menu\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:21:\"/admin/structure/menu\";s:8:\"numParts\";i:3;}}}}',3),('entity.menu.config_translation_overview','/admin/structure/menu/manage/{menu}/translate','/admin/structure/menu/manage/%/translate',61,'C:31:\"Symfony\\Component\\Routing\\Route\":1376:{a:9:{s:4:\"path\";s:45:\"/admin/structure/menu/manage/{menu}/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:4:\"menu\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"menu\";a:2:{s:4:\"type\";s:11:\"entity:menu\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":579:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"menu\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:62:\"#^/admin/structure/menu/manage/(?P<menu>[^/]++)/translate$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"menu\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:28:\"/admin/structure/menu/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"menu\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:40:\"/admin/structure/menu/manage/%/translate\";s:8:\"numParts\";i:6;}}}}',6),('entity.menu.delete_form','/admin/structure/menu/manage/{menu}/delete','/admin/structure/menu/manage/%/delete',61,'C:31:\"Symfony\\Component\\Routing\\Route\":1306:{a:9:{s:4:\"path\";s:42:\"/admin/structure/menu/manage/{menu}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:11:\"menu.delete\";s:6:\"_title\";s:11:\"Delete menu\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:11:\"menu.delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:4:\"menu\";a:2:{s:4:\"type\";s:11:\"entity:menu\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":569:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"menu\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:59:\"#^/admin/structure/menu/manage/(?P<menu>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"menu\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:28:\"/admin/structure/menu/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"menu\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:37:\"/admin/structure/menu/manage/%/delete\";s:8:\"numParts\";i:6;}}}}',6),('entity.menu.edit_form','/admin/structure/menu/manage/{menu}','/admin/structure/menu/manage/%',30,'C:31:\"Symfony\\Component\\Routing\\Route\":1290:{a:9:{s:4:\"path\";s:35:\"/admin/structure/menu/manage/{menu}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:9:\"menu.edit\";s:15:\"_title_callback\";s:52:\"\\Drupal\\menu_ui\\Controller\\MenuController::menuTitle\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:11:\"menu.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:4:\"menu\";a:2:{s:4:\"type\";s:11:\"entity:menu\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":512:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"menu\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:52:\"#^/admin/structure/menu/manage/(?P<menu>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"menu\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:28:\"/admin/structure/menu/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"menu\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:30;s:14:\"patternOutline\";s:30:\"/admin/structure/menu/manage/%\";s:8:\"numParts\";i:5;}}}}',5),('entity.menu_link_content.canonical','/admin/structure/menu/item/{menu_link_content}/edit','/admin/structure/menu/item/%/edit',61,'C:31:\"Symfony\\Component\\Routing\\Route\":1373:{a:9:{s:4:\"path\";s:51:\"/admin/structure/menu/item/{menu_link_content}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:25:\"menu_link_content.default\";s:6:\"_title\";s:14:\"Edit menu link\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:24:\"menu_link_content.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:17:\"menu_link_content\";a:2:{s:4:\"type\";s:24:\"entity:menu_link_content\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":612:{a:11:{s:4:\"vars\";a:1:{i:0;s:17:\"menu_link_content\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:68:\"#^/admin/structure/menu/item/(?P<menu_link_content>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:17:\"menu_link_content\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/structure/menu/item\";}}s:9:\"path_vars\";a:1:{i:0;s:17:\"menu_link_content\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:33:\"/admin/structure/menu/item/%/edit\";s:8:\"numParts\";i:6;}}}}',6),('entity.menu_link_content.content_translation_add','/admin/structure/menu/item/{menu_link_content}/edit/translations/add/{source}/{target}','/admin/structure/menu/item/%/edit/translations/add',247,'C:31:\"Symfony\\Component\\Routing\\Route\":2191:{a:9:{s:4:\"path\";s:86:\"/admin/structure/menu/item/{menu_link_content}/edit/translations/add/{source}/{target}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:72:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::add\";s:6:\"source\";N;s:6:\"target\";N;s:6:\"_title\";s:3:\"Add\";s:14:\"entity_type_id\";s:17:\"menu_link_content\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:22:\"menu_link_content.view\";s:34:\"_access_content_translation_manage\";s:6:\"create\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:3:{s:6:\"source\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:6:\"target\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:17:\"menu_link_content\";a:3:{s:4:\"type\";s:24:\"entity:menu_link_content\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":949:{a:11:{s:4:\"vars\";a:3:{i:0;s:17:\"menu_link_content\";i:1;s:6:\"source\";i:2;s:6:\"target\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:133:\"#^/admin/structure/menu/item/(?P<menu_link_content>[^/]++)/edit/translations/add(?:/(?P<source>[^/]++)(?:/(?P<target>[^/]++))?)?$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"target\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"source\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/edit/translations/add\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:17:\"menu_link_content\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/structure/menu/item\";}}s:9:\"path_vars\";a:3:{i:0;s:17:\"menu_link_content\";i:1;s:6:\"source\";i:2;s:6:\"target\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:247;s:14:\"patternOutline\";s:50:\"/admin/structure/menu/item/%/edit/translations/add\";s:8:\"numParts\";i:10;}}}}',10),('entity.menu_link_content.content_translation_delete','/admin/structure/menu/item/{menu_link_content}/edit/translations/delete/{language}','/admin/structure/menu/item/%/edit/translations/delete',247,'C:31:\"Symfony\\Component\\Routing\\Route\":1829:{a:9:{s:4:\"path\";s:82:\"/admin/structure/menu/item/{menu_link_content}/edit/translations/delete/{language}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:46:\"menu_link_content.content_translation_deletion\";s:8:\"language\";N;s:6:\"_title\";s:6:\"Delete\";s:14:\"entity_type_id\";s:17:\"menu_link_content\";}s:12:\"requirements\";a:1:{s:34:\"_access_content_translation_manage\";s:6:\"delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:8:\"language\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:17:\"menu_link_content\";a:3:{s:4:\"type\";s:24:\"entity:menu_link_content\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":824:{a:11:{s:4:\"vars\";a:2:{i:0;s:17:\"menu_link_content\";i:1;s:8:\"language\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:114:\"#^/admin/structure/menu/item/(?P<menu_link_content>[^/]++)/edit/translations/delete(?:/(?P<language>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"language\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:25:\"/edit/translations/delete\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:17:\"menu_link_content\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/structure/menu/item\";}}s:9:\"path_vars\";a:2:{i:0;s:17:\"menu_link_content\";i:1;s:8:\"language\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:247;s:14:\"patternOutline\";s:53:\"/admin/structure/menu/item/%/edit/translations/delete\";s:8:\"numParts\";i:9;}}}}',9),('entity.menu_link_content.content_translation_edit','/admin/structure/menu/item/{menu_link_content}/edit/translations/edit/{language}','/admin/structure/menu/item/%/edit/translations/edit',247,'C:31:\"Symfony\\Component\\Routing\\Route\":1845:{a:9:{s:4:\"path\";s:80:\"/admin/structure/menu/item/{menu_link_content}/edit/translations/edit/{language}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:11:\"_controller\";s:73:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::edit\";s:8:\"language\";N;s:6:\"_title\";s:4:\"Edit\";s:14:\"entity_type_id\";s:17:\"menu_link_content\";}s:12:\"requirements\";a:1:{s:34:\"_access_content_translation_manage\";s:6:\"update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:8:\"language\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:17:\"menu_link_content\";a:3:{s:4:\"type\";s:24:\"entity:menu_link_content\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":818:{a:11:{s:4:\"vars\";a:2:{i:0;s:17:\"menu_link_content\";i:1;s:8:\"language\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:112:\"#^/admin/structure/menu/item/(?P<menu_link_content>[^/]++)/edit/translations/edit(?:/(?P<language>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"language\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:23:\"/edit/translations/edit\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:17:\"menu_link_content\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/structure/menu/item\";}}s:9:\"path_vars\";a:2:{i:0;s:17:\"menu_link_content\";i:1;s:8:\"language\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:247;s:14:\"patternOutline\";s:51:\"/admin/structure/menu/item/%/edit/translations/edit\";s:8:\"numParts\";i:9;}}}}',9),('entity.menu_link_content.content_translation_overview','/admin/structure/menu/item/{menu_link_content}/edit/translations','/admin/structure/menu/item/%/edit/translations',123,'C:31:\"Symfony\\Component\\Routing\\Route\":1607:{a:9:{s:4:\"path\";s:64:\"/admin/structure/menu/item/{menu_link_content}/edit/translations\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:77:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::overview\";s:14:\"entity_type_id\";s:17:\"menu_link_content\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:22:\"menu_link_content.view\";s:36:\"_access_content_translation_overview\";s:17:\"menu_link_content\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:17:\"menu_link_content\";a:3:{s:4:\"type\";s:24:\"entity:menu_link_content\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:35:\"content_translation.overview_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":653:{a:11:{s:4:\"vars\";a:1:{i:0;s:17:\"menu_link_content\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:81:\"#^/admin/structure/menu/item/(?P<menu_link_content>[^/]++)/edit/translations$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/edit/translations\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:17:\"menu_link_content\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/structure/menu/item\";}}s:9:\"path_vars\";a:1:{i:0;s:17:\"menu_link_content\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:123;s:14:\"patternOutline\";s:46:\"/admin/structure/menu/item/%/edit/translations\";s:8:\"numParts\";i:7;}}}}',7),('entity.menu_link_content.delete_form','/admin/structure/menu/item/{menu_link_content}/delete','/admin/structure/menu/item/%/delete',61,'C:31:\"Symfony\\Component\\Routing\\Route\":1382:{a:9:{s:4:\"path\";s:53:\"/admin/structure/menu/item/{menu_link_content}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:24:\"menu_link_content.delete\";s:6:\"_title\";s:16:\"Delete menu link\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:24:\"menu_link_content.delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:17:\"menu_link_content\";a:2:{s:4:\"type\";s:24:\"entity:menu_link_content\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":618:{a:11:{s:4:\"vars\";a:1:{i:0;s:17:\"menu_link_content\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:70:\"#^/admin/structure/menu/item/(?P<menu_link_content>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:17:\"menu_link_content\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/structure/menu/item\";}}s:9:\"path_vars\";a:1:{i:0;s:17:\"menu_link_content\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:35:\"/admin/structure/menu/item/%/delete\";s:8:\"numParts\";i:6;}}}}',6),('entity.menu_link_content.edit_form','/admin/structure/menu/item/{menu_link_content}/edit','/admin/structure/menu/item/%/edit',61,'C:31:\"Symfony\\Component\\Routing\\Route\":1373:{a:9:{s:4:\"path\";s:51:\"/admin/structure/menu/item/{menu_link_content}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:25:\"menu_link_content.default\";s:6:\"_title\";s:14:\"Edit menu link\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:24:\"menu_link_content.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:17:\"menu_link_content\";a:2:{s:4:\"type\";s:24:\"entity:menu_link_content\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":612:{a:11:{s:4:\"vars\";a:1:{i:0;s:17:\"menu_link_content\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:68:\"#^/admin/structure/menu/item/(?P<menu_link_content>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:17:\"menu_link_content\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/structure/menu/item\";}}s:9:\"path_vars\";a:1:{i:0;s:17:\"menu_link_content\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:33:\"/admin/structure/menu/item/%/edit\";s:8:\"numParts\";i:6;}}}}',6),('entity.node.canonical','/node/{node}','/node/%',2,'C:31:\"Symfony\\Component\\Routing\\Route\":1177:{a:9:{s:4:\"path\";s:12:\"/node/{node}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:48:\"\\Drupal\\node\\Controller\\NodeViewController::view\";s:15:\"_title_callback\";s:49:\"\\Drupal\\node\\Controller\\NodeViewController::title\";}s:12:\"requirements\";a:2:{s:4:\"node\";s:3:\"\\d+\";s:14:\"_entity_access\";s:9:\"node.view\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"node\";a:2:{s:4:\"type\";s:11:\"entity:node\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":434:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"node\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:26:\"#^/node/(?P<node>\\d+)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"node\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"node\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:2;s:14:\"patternOutline\";s:7:\"/node/%\";s:8:\"numParts\";i:2;}}}}',2),('entity.node.content_translation_add','/node/{node}/translations/add/{source}/{target}','/node/%/translations/add',11,'C:31:\"Symfony\\Component\\Routing\\Route\":1960:{a:9:{s:4:\"path\";s:47:\"/node/{node}/translations/add/{source}/{target}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:72:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::add\";s:6:\"source\";N;s:6:\"target\";N;s:6:\"_title\";s:3:\"Add\";s:14:\"entity_type_id\";s:4:\"node\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:9:\"node.view\";s:34:\"_access_content_translation_manage\";s:6:\"create\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:3:{s:6:\"source\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:6:\"target\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:4:\"node\";a:3:{s:4:\"type\";s:11:\"entity:node\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":812:{a:11:{s:4:\"vars\";a:3:{i:0;s:4:\"node\";i:1;s:6:\"source\";i:2;s:6:\"target\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:94:\"#^/node/(?P<node>[^/]++)/translations/add(?:/(?P<source>[^/]++)(?:/(?P<target>[^/]++))?)?$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"target\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"source\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/translations/add\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"node\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:3:{i:0;s:4:\"node\";i:1;s:6:\"source\";i:2;s:6:\"target\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:11;s:14:\"patternOutline\";s:24:\"/node/%/translations/add\";s:8:\"numParts\";i:6;}}}}',6),('entity.node.content_translation_delete','/node/{node}/translations/delete/{language}','/node/%/translations/delete',11,'C:31:\"Symfony\\Component\\Routing\\Route\":1600:{a:9:{s:4:\"path\";s:43:\"/node/{node}/translations/delete/{language}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:33:\"node.content_translation_deletion\";s:8:\"language\";N;s:6:\"_title\";s:6:\"Delete\";s:14:\"entity_type_id\";s:4:\"node\";}s:12:\"requirements\";a:1:{s:34:\"_access_content_translation_manage\";s:6:\"delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:8:\"language\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:4:\"node\";a:3:{s:4:\"type\";s:11:\"entity:node\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":688:{a:11:{s:4:\"vars\";a:2:{i:0;s:4:\"node\";i:1;s:8:\"language\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:75:\"#^/node/(?P<node>[^/]++)/translations/delete(?:/(?P<language>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"language\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/translations/delete\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"node\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:2:{i:0;s:4:\"node\";i:1;s:8:\"language\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:11;s:14:\"patternOutline\";s:27:\"/node/%/translations/delete\";s:8:\"numParts\";i:5;}}}}',5),('entity.node.content_translation_edit','/node/{node}/translations/edit/{language}','/node/%/translations/edit',11,'C:31:\"Symfony\\Component\\Routing\\Route\":1629:{a:9:{s:4:\"path\";s:41:\"/node/{node}/translations/edit/{language}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:11:\"_controller\";s:73:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::edit\";s:8:\"language\";N;s:6:\"_title\";s:4:\"Edit\";s:14:\"entity_type_id\";s:4:\"node\";}s:12:\"requirements\";a:1:{s:34:\"_access_content_translation_manage\";s:6:\"update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:8:\"language\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:4:\"node\";a:3:{s:4:\"type\";s:11:\"entity:node\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":682:{a:11:{s:4:\"vars\";a:2:{i:0;s:4:\"node\";i:1;s:8:\"language\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:73:\"#^/node/(?P<node>[^/]++)/translations/edit(?:/(?P<language>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"language\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/translations/edit\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"node\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:2:{i:0;s:4:\"node\";i:1;s:8:\"language\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:11;s:14:\"patternOutline\";s:25:\"/node/%/translations/edit\";s:8:\"numParts\";i:5;}}}}',5),('entity.node.content_translation_overview','/node/{node}/translations','/node/%/translations',5,'C:31:\"Symfony\\Component\\Routing\\Route\":1363:{a:9:{s:4:\"path\";s:25:\"/node/{node}/translations\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:77:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::overview\";s:14:\"entity_type_id\";s:4:\"node\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:9:\"node.view\";s:36:\"_access_content_translation_overview\";s:4:\"node\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"node\";a:3:{s:4:\"type\";s:11:\"entity:node\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:35:\"content_translation.overview_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":517:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"node\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:42:\"#^/node/(?P<node>[^/]++)/translations$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/translations\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"node\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"node\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:20:\"/node/%/translations\";s:8:\"numParts\";i:3;}}}}',3),('entity.node.delete_form','/node/{node}/delete','/node/%/delete',5,'C:31:\"Symfony\\Component\\Routing\\Route\":1212:{a:9:{s:4:\"path\";s:19:\"/node/{node}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:11:\"node.delete\";s:6:\"_title\";s:6:\"Delete\";}s:12:\"requirements\";a:2:{s:4:\"node\";s:3:\"\\d+\";s:14:\"_entity_access\";s:11:\"node.delete\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:21:\"_node_operation_route\";b:1;s:12:\"_admin_route\";b:1;s:10:\"parameters\";a:1:{s:4:\"node\";a:2:{s:4:\"type\";s:11:\"entity:node\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":492:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"node\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:33:\"#^/node/(?P<node>\\d+)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"node\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"node\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:14:\"/node/%/delete\";s:8:\"numParts\";i:3;}}}}',3),('entity.node.delete_multiple_form','/admin/content/node/delete','/admin/content/node/delete',15,'C:31:\"Symfony\\Component\\Routing\\Route\":977:{a:9:{s:4:\"path\";s:26:\"/admin/content/node/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:32:\"\\Drupal\\node\\Form\\DeleteMultiple\";s:14:\"entity_type_id\";s:4:\"node\";}s:12:\"requirements\";a:1:{s:30:\"_entity_delete_multiple_access\";s:4:\"node\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:35:\"access_check.entity_delete_multiple\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":376:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:33:\"#^/admin/content/node/delete$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/content/node/delete\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:26:\"/admin/content/node/delete\";s:8:\"numParts\";i:4;}}}}',4),('entity.node.edit_form','/node/{node}/edit','/node/%/edit',5,'C:31:\"Symfony\\Component\\Routing\\Route\":1175:{a:9:{s:4:\"path\";s:17:\"/node/{node}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:12:\"_entity_form\";s:9:\"node.edit\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:11:\"node.update\";s:4:\"node\";s:3:\"\\d+\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:21:\"_node_operation_route\";b:1;s:12:\"_admin_route\";b:1;s:10:\"parameters\";a:1:{s:4:\"node\";a:2:{s:4:\"type\";s:11:\"entity:node\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":486:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"node\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:31:\"#^/node/(?P<node>\\d+)/edit$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"node\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"node\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:12:\"/node/%/edit\";s:8:\"numParts\";i:3;}}}}',3),('entity.node.field_ui_fields','/admin/structure/types/manage/{node_type}/fields','/admin/structure/types/manage/%/fields',61,'C:31:\"Symfony\\Component\\Routing\\Route\":1453:{a:9:{s:4:\"path\";s:48:\"/admin/structure/types/manage/{node_type}/fields\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:11:\"_controller\";s:62:\"\\Drupal\\field_ui\\Controller\\FieldConfigListController::listing\";s:6:\"_title\";s:13:\"Manage fields\";s:14:\"entity_type_id\";s:4:\"node\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:22:\"administer node fields\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:9:\"node_type\";a:2:{s:4:\"type\";s:16:\"entity:node_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":592:{a:11:{s:4:\"vars\";a:1:{i:0;s:9:\"node_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:65:\"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/fields$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/fields\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/types/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:9:\"node_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:38:\"/admin/structure/types/manage/%/fields\";s:8:\"numParts\";i:6;}}}}',6),('entity.node.preview','/node/preview/{node_preview}/{view_mode_id}','/node/preview/%/%',12,'C:31:\"Symfony\\Component\\Routing\\Route\":1475:{a:9:{s:4:\"path\";s:43:\"/node/preview/{node_preview}/{view_mode_id}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:51:\"\\Drupal\\node\\Controller\\NodePreviewController::view\";s:15:\"_title_callback\";s:52:\"\\Drupal\\node\\Controller\\NodePreviewController::title\";}s:12:\"requirements\";a:1:{s:20:\"_node_preview_access\";s:14:\"{node_preview}\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"node_preview\";a:2:{s:4:\"type\";s:12:\"node_preview\";s:9:\"converter\";s:42:\"drupal.proxy_original_service.node_preview\";}}s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:25:\"access_check.node.preview\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":667:{a:11:{s:4:\"vars\";a:2:{i:0;s:12:\"node_preview\";i:1;s:12:\"view_mode_id\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:70:\"#^/node/preview/(?P<node_preview>[^/]++)/(?P<view_mode_id>[^/]++)$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"view_mode_id\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"node_preview\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/node/preview\";}}s:9:\"path_vars\";a:2:{i:0;s:12:\"node_preview\";i:1;s:12:\"view_mode_id\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:12;s:14:\"patternOutline\";s:17:\"/node/preview/%/%\";s:8:\"numParts\";i:4;}}}}',4),('entity.node.revision','/node/{node}/revisions/{node_revision}/view','/node/%/revisions/%/view',21,'C:31:\"Symfony\\Component\\Routing\\Route\":1402:{a:9:{s:4:\"path\";s:43:\"/node/{node}/revisions/{node_revision}/view\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:52:\"\\Drupal\\node\\Controller\\NodeController::revisionShow\";s:15:\"_title_callback\";s:57:\"\\Drupal\\node\\Controller\\NodeController::revisionPageTitle\";}s:12:\"requirements\";a:2:{s:21:\"_access_node_revision\";s:4:\"view\";s:4:\"node\";s:3:\"\\d+\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:26:\"access_check.node.revision\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":723:{a:11:{s:4:\"vars\";a:2:{i:0;s:4:\"node\";i:1;s:13:\"node_revision\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:67:\"#^/node/(?P<node>\\d+)/revisions/(?P<node_revision>[^/]++)/view$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/view\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"node_revision\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/revisions\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"node\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:2:{i:0;s:4:\"node\";i:1;s:13:\"node_revision\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:21;s:14:\"patternOutline\";s:24:\"/node/%/revisions/%/view\";s:8:\"numParts\";i:5;}}}}',5),('entity.node.version_history','/node/{node}/revisions','/node/%/revisions',5,'C:31:\"Symfony\\Component\\Routing\\Route\":1278:{a:9:{s:4:\"path\";s:22:\"/node/{node}/revisions\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:6:\"_title\";s:9:\"Revisions\";s:11:\"_controller\";s:56:\"\\Drupal\\node\\Controller\\NodeController::revisionOverview\";}s:12:\"requirements\";a:2:{s:21:\"_access_node_revision\";s:4:\"view\";s:4:\"node\";s:3:\"\\d+\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:21:\"_node_operation_route\";b:1;s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:10:\"parameters\";a:1:{s:4:\"node\";a:2:{s:4:\"type\";s:11:\"entity:node\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:26:\"access_check.node.revision\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":502:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"node\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:36:\"#^/node/(?P<node>\\d+)/revisions$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/revisions\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"node\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"node\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:17:\"/node/%/revisions\";s:8:\"numParts\";i:3;}}}}',3),('entity.node_type.collection','/admin/structure/types','/admin/structure/types',7,'C:31:\"Symfony\\Component\\Routing\\Route\":935:{a:9:{s:4:\"path\";s:22:\"/admin/structure/types\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_list\";s:9:\"node_type\";s:6:\"_title\";s:13:\"Content types\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"administer content types\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":363:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:29:\"#^/admin/structure/types$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/admin/structure/types\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:22:\"/admin/structure/types\";s:8:\"numParts\";i:3;}}}}',3),('entity.node_type.config_translation_overview','/admin/structure/types/manage/{node_type}/translate','/admin/structure/types/manage/%/translate',61,'C:31:\"Symfony\\Component\\Routing\\Route\":1420:{a:9:{s:4:\"path\";s:51:\"/admin/structure/types/manage/{node_type}/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:9:\"node_type\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:9:\"node_type\";a:2:{s:4:\"type\";s:16:\"entity:node_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":602:{a:11:{s:4:\"vars\";a:1:{i:0;s:9:\"node_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:68:\"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/translate$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/types/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:9:\"node_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:41:\"/admin/structure/types/manage/%/translate\";s:8:\"numParts\";i:6;}}}}',6),('entity.node_type.delete_form','/admin/structure/types/manage/{node_type}/delete','/admin/structure/types/manage/%/delete',61,'C:31:\"Symfony\\Component\\Routing\\Route\":1349:{a:9:{s:4:\"path\";s:48:\"/admin/structure/types/manage/{node_type}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:16:\"node_type.delete\";s:6:\"_title\";s:6:\"Delete\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:16:\"node_type.delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:9:\"node_type\";a:2:{s:4:\"type\";s:16:\"entity:node_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":592:{a:11:{s:4:\"vars\";a:1:{i:0;s:9:\"node_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:65:\"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/types/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:9:\"node_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:38:\"/admin/structure/types/manage/%/delete\";s:8:\"numParts\";i:6;}}}}',6),('entity.node_type.edit_form','/admin/structure/types/manage/{node_type}','/admin/structure/types/manage/%',30,'C:31:\"Symfony\\Component\\Routing\\Route\":1351:{a:9:{s:4:\"path\";s:41:\"/admin/structure/types/manage/{node_type}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:14:\"node_type.edit\";s:15:\"_title_callback\";s:54:\"\\Drupal\\Core\\Entity\\Controller\\EntityController::title\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"administer content types\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:9:\"node_type\";a:2:{s:4:\"type\";s:16:\"entity:node_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":535:{a:11:{s:4:\"vars\";a:1:{i:0;s:9:\"node_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:58:\"#^/admin/structure/types/manage/(?P<node_type>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/types/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:9:\"node_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:30;s:14:\"patternOutline\";s:31:\"/admin/structure/types/manage/%\";s:8:\"numParts\";i:5;}}}}',5),('entity.pathauto_pattern.add_form','/admin/config/search/path/patterns/add','/admin/config/search/path/patterns/add',63,'C:31:\"Symfony\\Component\\Routing\\Route\":1062:{a:9:{s:4:\"path\";s:38:\"/admin/config/search/path/patterns/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:12:\"_entity_form\";s:24:\"pathauto_pattern.default\";s:6:\"_title\";s:20:\"Add Pathauto pattern\";s:12:\"tempstore_id\";s:16:\"pathauto.pattern\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:19:\"administer pathauto\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":412:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:45:\"#^/admin/config/search/path/patterns/add$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:38:\"/admin/config/search/path/patterns/add\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:63;s:14:\"patternOutline\";s:38:\"/admin/config/search/path/patterns/add\";s:8:\"numParts\";i:6;}}}}',6),('entity.pathauto_pattern.collection','/admin/config/search/path/patterns','/admin/config/search/path/patterns',31,'C:31:\"Symfony\\Component\\Routing\\Route\":981:{a:9:{s:4:\"path\";s:34:\"/admin/config/search/path/patterns\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_list\";s:16:\"pathauto_pattern\";s:6:\"_title\";s:8:\"Patterns\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:19:\"administer pathauto\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":400:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:41:\"#^/admin/config/search/path/patterns$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:34:\"/admin/config/search/path/patterns\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:34:\"/admin/config/search/path/patterns\";s:8:\"numParts\";i:5;}}}}',5),('entity.pathauto_pattern.config_translation_overview','/admin/config/search/path/patterns/{pathauto_pattern}/translate','/admin/config/search/path/patterns/%/translate',125,'C:31:\"Symfony\\Component\\Routing\\Route\":1502:{a:9:{s:4:\"path\";s:63:\"/admin/config/search/path/patterns/{pathauto_pattern}/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:16:\"pathauto_pattern\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:16:\"pathauto_pattern\";a:2:{s:4:\"type\";s:23:\"entity:pathauto_pattern\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":649:{a:11:{s:4:\"vars\";a:1:{i:0;s:16:\"pathauto_pattern\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:80:\"#^/admin/config/search/path/patterns/(?P<pathauto_pattern>[^/]++)/translate$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"pathauto_pattern\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:34:\"/admin/config/search/path/patterns\";}}s:9:\"path_vars\";a:1:{i:0;s:16:\"pathauto_pattern\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:46:\"/admin/config/search/path/patterns/%/translate\";s:8:\"numParts\";i:7;}}}}',7),('entity.pathauto_pattern.delete_form','/admin/config/search/path/patterns/{pathauto_pattern}/delete','/admin/config/search/path/patterns/%/delete',125,'C:31:\"Symfony\\Component\\Routing\\Route\":1502:{a:9:{s:4:\"path\";s:60:\"/admin/config/search/path/patterns/{pathauto_pattern}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:23:\"pathauto_pattern.delete\";s:15:\"_title_callback\";s:60:\"\\Drupal\\Core\\Entity\\Controller\\EntityController::deleteTitle\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:23:\"pathauto_pattern.delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:16:\"pathauto_pattern\";a:2:{s:4:\"type\";s:23:\"entity:pathauto_pattern\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":639:{a:11:{s:4:\"vars\";a:1:{i:0;s:16:\"pathauto_pattern\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:77:\"#^/admin/config/search/path/patterns/(?P<pathauto_pattern>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"pathauto_pattern\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:34:\"/admin/config/search/path/patterns\";}}s:9:\"path_vars\";a:1:{i:0;s:16:\"pathauto_pattern\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:43:\"/admin/config/search/path/patterns/%/delete\";s:8:\"numParts\";i:7;}}}}',7),('entity.pathauto_pattern.disable','/admin/config/search/path/patterns/{pathauto_pattern}/disable','/admin/config/search/path/patterns/%/disable',125,'C:31:\"Symfony\\Component\\Routing\\Route\":1416:{a:9:{s:4:\"path\";s:61:\"/admin/config/search/path/patterns/{pathauto_pattern}/disable\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:12:\"_entity_form\";s:24:\"pathauto_pattern.disable\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:23:\"pathauto_pattern.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:16:\"pathauto_pattern\";a:2:{s:4:\"type\";s:23:\"entity:pathauto_pattern\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":642:{a:11:{s:4:\"vars\";a:1:{i:0;s:16:\"pathauto_pattern\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:78:\"#^/admin/config/search/path/patterns/(?P<pathauto_pattern>[^/]++)/disable$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/disable\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"pathauto_pattern\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:34:\"/admin/config/search/path/patterns\";}}s:9:\"path_vars\";a:1:{i:0;s:16:\"pathauto_pattern\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:44:\"/admin/config/search/path/patterns/%/disable\";s:8:\"numParts\";i:7;}}}}',7),('entity.pathauto_pattern.duplicate_form','/admin/config/search/path/patterns/{pathauto_pattern}/duplicate','/admin/config/search/path/patterns/%/duplicate',125,'C:31:\"Symfony\\Component\\Routing\\Route\":1515:{a:9:{s:4:\"path\";s:63:\"/admin/config/search/path/patterns/{pathauto_pattern}/duplicate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:12:\"_entity_form\";s:26:\"pathauto_pattern.duplicate\";s:6:\"_title\";s:26:\"Duplicate Pathauto pattern\";s:12:\"tempstore_id\";s:16:\"pathauto.pattern\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:19:\"administer pathauto\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:16:\"pathauto_pattern\";a:2:{s:4:\"type\";s:23:\"entity:pathauto_pattern\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":649:{a:11:{s:4:\"vars\";a:1:{i:0;s:16:\"pathauto_pattern\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:80:\"#^/admin/config/search/path/patterns/(?P<pathauto_pattern>[^/]++)/duplicate$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/duplicate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"pathauto_pattern\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:34:\"/admin/config/search/path/patterns\";}}s:9:\"path_vars\";a:1:{i:0;s:16:\"pathauto_pattern\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:46:\"/admin/config/search/path/patterns/%/duplicate\";s:8:\"numParts\";i:7;}}}}',7),('entity.pathauto_pattern.edit_form','/admin/config/search/path/patterns/{pathauto_pattern}','/admin/config/search/path/patterns/%',62,'C:31:\"Symfony\\Component\\Routing\\Route\":1436:{a:9:{s:4:\"path\";s:53:\"/admin/config/search/path/patterns/{pathauto_pattern}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:24:\"pathauto_pattern.default\";s:15:\"_title_callback\";s:58:\"\\Drupal\\Core\\Entity\\Controller\\EntityController::editTitle\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:23:\"pathauto_pattern.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:16:\"pathauto_pattern\";a:2:{s:4:\"type\";s:23:\"entity:pathauto_pattern\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":581:{a:11:{s:4:\"vars\";a:1:{i:0;s:16:\"pathauto_pattern\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:70:\"#^/admin/config/search/path/patterns/(?P<pathauto_pattern>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"pathauto_pattern\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:34:\"/admin/config/search/path/patterns\";}}s:9:\"path_vars\";a:1:{i:0;s:16:\"pathauto_pattern\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:62;s:14:\"patternOutline\";s:36:\"/admin/config/search/path/patterns/%\";s:8:\"numParts\";i:6;}}}}',6),('entity.pathauto_pattern.enable','/admin/config/search/path/patterns/{pathauto_pattern}/enable','/admin/config/search/path/patterns/%/enable',125,'C:31:\"Symfony\\Component\\Routing\\Route\":1411:{a:9:{s:4:\"path\";s:60:\"/admin/config/search/path/patterns/{pathauto_pattern}/enable\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:12:\"_entity_form\";s:23:\"pathauto_pattern.enable\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:23:\"pathauto_pattern.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:16:\"pathauto_pattern\";a:2:{s:4:\"type\";s:23:\"entity:pathauto_pattern\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":639:{a:11:{s:4:\"vars\";a:1:{i:0;s:16:\"pathauto_pattern\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:77:\"#^/admin/config/search/path/patterns/(?P<pathauto_pattern>[^/]++)/enable$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/enable\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"pathauto_pattern\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:34:\"/admin/config/search/path/patterns\";}}s:9:\"path_vars\";a:1:{i:0;s:16:\"pathauto_pattern\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:43:\"/admin/config/search/path/patterns/%/enable\";s:8:\"numParts\";i:7;}}}}',7),('entity.path_alias.add_form','/admin/config/search/path/add','/admin/config/search/path/add',31,'C:31:\"Symfony\\Component\\Routing\\Route\":1066:{a:9:{s:4:\"path\";s:29:\"/admin/config/search/path/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:12:\"_entity_form\";s:18:\"path_alias.default\";s:14:\"entity_type_id\";s:10:\"path_alias\";s:15:\"_title_callback\";s:56:\"Drupal\\Core\\Entity\\Controller\\EntityController::addTitle\";}s:12:\"requirements\";a:1:{s:21:\"_entity_create_access\";s:10:\"path_alias\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:26:\"access_check.entity_create\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":385:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:36:\"#^/admin/config/search/path/add$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/config/search/path/add\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:29:\"/admin/config/search/path/add\";s:8:\"numParts\";i:5;}}}}',5),('entity.path_alias.collection','/admin/config/search/path','/admin/config/search/path',15,'C:31:\"Symfony\\Component\\Routing\\Route\":1005:{a:9:{s:4:\"path\";s:25:\"/admin/config/search/path\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_list\";s:10:\"path_alias\";s:6:\"_title\";s:11:\"URL aliases\";s:16:\"_title_arguments\";a:0:{}s:14:\"_title_context\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:22:\"administer url aliases\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":373:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:32:\"#^/admin/config/search/path$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:25:\"/admin/config/search/path\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:25:\"/admin/config/search/path\";s:8:\"numParts\";i:4;}}}}',4),('entity.path_alias.delete_form','/admin/config/search/path/delete/{path_alias}','/admin/config/search/path/delete/%',62,'C:31:\"Symfony\\Component\\Routing\\Route\":1355:{a:9:{s:4:\"path\";s:45:\"/admin/config/search/path/delete/{path_alias}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:17:\"path_alias.delete\";s:15:\"_title_callback\";s:60:\"\\Drupal\\Core\\Entity\\Controller\\EntityController::deleteTitle\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:17:\"path_alias.delete\";s:10:\"path_alias\";s:3:\"\\d+\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:10:\"path_alias\";a:2:{s:4:\"type\";s:17:\"entity:path_alias\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":545:{a:11:{s:4:\"vars\";a:1:{i:0;s:10:\"path_alias\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:59:\"#^/admin/config/search/path/delete/(?P<path_alias>\\d+)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:10:\"path_alias\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/config/search/path/delete\";}}s:9:\"path_vars\";a:1:{i:0;s:10:\"path_alias\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:62;s:14:\"patternOutline\";s:34:\"/admin/config/search/path/delete/%\";s:8:\"numParts\";i:6;}}}}',6),('entity.path_alias.edit_form','/admin/config/search/path/edit/{path_alias}','/admin/config/search/path/edit/%',62,'C:31:\"Symfony\\Component\\Routing\\Route\":1346:{a:9:{s:4:\"path\";s:43:\"/admin/config/search/path/edit/{path_alias}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:18:\"path_alias.default\";s:15:\"_title_callback\";s:58:\"\\Drupal\\Core\\Entity\\Controller\\EntityController::editTitle\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:17:\"path_alias.update\";s:10:\"path_alias\";s:3:\"\\d+\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:10:\"path_alias\";a:2:{s:4:\"type\";s:17:\"entity:path_alias\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":539:{a:11:{s:4:\"vars\";a:1:{i:0;s:10:\"path_alias\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:57:\"#^/admin/config/search/path/edit/(?P<path_alias>\\d+)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:10:\"path_alias\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:30:\"/admin/config/search/path/edit\";}}s:9:\"path_vars\";a:1:{i:0;s:10:\"path_alias\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:62;s:14:\"patternOutline\";s:32:\"/admin/config/search/path/edit/%\";s:8:\"numParts\";i:6;}}}}',6),('entity.responsive_image_style.collection','/admin/config/media/responsive-image-style','/admin/config/media/responsive-image-style',15,'C:31:\"Symfony\\Component\\Routing\\Route\":1046:{a:9:{s:4:\"path\";s:42:\"/admin/config/media/responsive-image-style\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_list\";s:22:\"responsive_image_style\";s:6:\"_title\";s:23:\"Responsive image styles\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:28:\"administer responsive images\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":426:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:51:\"#^/admin/config/media/responsive\\-image\\-style$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/config/media/responsive-image-style\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:42:\"/admin/config/media/responsive-image-style\";s:8:\"numParts\";i:4;}}}}',4),('entity.responsive_image_style.config_translation_overview','/admin/config/media/responsive-image-style/{responsive_image_style}/translate','/admin/config/media/responsive-image-style/%/translate',61,'C:31:\"Symfony\\Component\\Routing\\Route\":1583:{a:9:{s:4:\"path\";s:77:\"/admin/config/media/responsive-image-style/{responsive_image_style}/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:22:\"responsive_image_style\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:22:\"responsive_image_style\";a:2:{s:4:\"type\";s:29:\"entity:responsive_image_style\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":698:{a:11:{s:4:\"vars\";a:1:{i:0;s:22:\"responsive_image_style\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:96:\"#^/admin/config/media/responsive\\-image\\-style/(?P<responsive_image_style>[^/]++)/translate$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:22:\"responsive_image_style\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/config/media/responsive-image-style\";}}s:9:\"path_vars\";a:1:{i:0;s:22:\"responsive_image_style\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:54:\"/admin/config/media/responsive-image-style/%/translate\";s:8:\"numParts\";i:6;}}}}',6),('entity.responsive_image_style.delete_form','/admin/config/media/responsive-image-style/{responsive_image_style}/delete','/admin/config/media/responsive-image-style/%/delete',61,'C:31:\"Symfony\\Component\\Routing\\Route\":1524:{a:9:{s:4:\"path\";s:74:\"/admin/config/media/responsive-image-style/{responsive_image_style}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:29:\"responsive_image_style.delete\";s:6:\"_title\";s:6:\"Delete\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:28:\"administer responsive images\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:22:\"responsive_image_style\";a:2:{s:4:\"type\";s:29:\"entity:responsive_image_style\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":688:{a:11:{s:4:\"vars\";a:1:{i:0;s:22:\"responsive_image_style\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:93:\"#^/admin/config/media/responsive\\-image\\-style/(?P<responsive_image_style>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:22:\"responsive_image_style\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/config/media/responsive-image-style\";}}s:9:\"path_vars\";a:1:{i:0;s:22:\"responsive_image_style\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:51:\"/admin/config/media/responsive-image-style/%/delete\";s:8:\"numParts\";i:6;}}}}',6),('entity.responsive_image_style.duplicate_form','/admin/config/media/responsive-image-style/{responsive_image_style}/duplicate','/admin/config/media/responsive-image-style/%/duplicate',61,'C:31:\"Symfony\\Component\\Routing\\Route\":1567:{a:9:{s:4:\"path\";s:77:\"/admin/config/media/responsive-image-style/{responsive_image_style}/duplicate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:32:\"responsive_image_style.duplicate\";s:6:\"_title\";s:32:\"Duplicate responsive image style\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:28:\"administer responsive images\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:22:\"responsive_image_style\";a:2:{s:4:\"type\";s:29:\"entity:responsive_image_style\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":698:{a:11:{s:4:\"vars\";a:1:{i:0;s:22:\"responsive_image_style\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:96:\"#^/admin/config/media/responsive\\-image\\-style/(?P<responsive_image_style>[^/]++)/duplicate$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/duplicate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:22:\"responsive_image_style\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/config/media/responsive-image-style\";}}s:9:\"path_vars\";a:1:{i:0;s:22:\"responsive_image_style\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:54:\"/admin/config/media/responsive-image-style/%/duplicate\";s:8:\"numParts\";i:6;}}}}',6),('entity.responsive_image_style.edit_form','/admin/config/media/responsive-image-style/{responsive_image_style}','/admin/config/media/responsive-image-style/%',30,'C:31:\"Symfony\\Component\\Routing\\Route\":1480:{a:9:{s:4:\"path\";s:67:\"/admin/config/media/responsive-image-style/{responsive_image_style}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:27:\"responsive_image_style.edit\";s:6:\"_title\";s:27:\"Edit responsive image style\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:28:\"administer responsive images\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:22:\"responsive_image_style\";a:2:{s:4:\"type\";s:29:\"entity:responsive_image_style\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":631:{a:11:{s:4:\"vars\";a:1:{i:0;s:22:\"responsive_image_style\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:86:\"#^/admin/config/media/responsive\\-image\\-style/(?P<responsive_image_style>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:22:\"responsive_image_style\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/config/media/responsive-image-style\";}}s:9:\"path_vars\";a:1:{i:0;s:22:\"responsive_image_style\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:30;s:14:\"patternOutline\";s:44:\"/admin/config/media/responsive-image-style/%\";s:8:\"numParts\";i:5;}}}}',5),('entity.search_page.collection','/admin/config/search/pages','/admin/config/search/pages',15,'C:31:\"Symfony\\Component\\Routing\\Route\":947:{a:9:{s:4:\"path\";s:26:\"/admin/config/search/pages\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_list\";s:11:\"search_page\";s:6:\"_title\";s:12:\"Search pages\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:17:\"administer search\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":376:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:33:\"#^/admin/config/search/pages$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/config/search/pages\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:26:\"/admin/config/search/pages\";s:8:\"numParts\";i:4;}}}}',4),('entity.search_page.config_translation_overview','/admin/config/search/pages/manage/{search_page}/translate','/admin/config/search/pages/manage/%/translate',125,'C:31:\"Symfony\\Component\\Routing\\Route\":1458:{a:9:{s:4:\"path\";s:57:\"/admin/config/search/pages/manage/{search_page}/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:11:\"search_page\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:11:\"search_page\";a:2:{s:4:\"type\";s:18:\"entity:search_page\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":626:{a:11:{s:4:\"vars\";a:1:{i:0;s:11:\"search_page\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:74:\"#^/admin/config/search/pages/manage/(?P<search_page>[^/]++)/translate$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"search_page\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:33:\"/admin/config/search/pages/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:11:\"search_page\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:45:\"/admin/config/search/pages/manage/%/translate\";s:8:\"numParts\";i:7;}}}}',7),('entity.search_page.delete_form','/admin/config/search/pages/manage/{search_page}/delete','/admin/config/search/pages/manage/%/delete',125,'C:31:\"Symfony\\Component\\Routing\\Route\":1388:{a:9:{s:4:\"path\";s:54:\"/admin/config/search/pages/manage/{search_page}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:18:\"search_page.delete\";s:6:\"_title\";s:6:\"Delete\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:18:\"search_page.delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:11:\"search_page\";a:2:{s:4:\"type\";s:18:\"entity:search_page\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":616:{a:11:{s:4:\"vars\";a:1:{i:0;s:11:\"search_page\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:71:\"#^/admin/config/search/pages/manage/(?P<search_page>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"search_page\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:33:\"/admin/config/search/pages/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:11:\"search_page\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:42:\"/admin/config/search/pages/manage/%/delete\";s:8:\"numParts\";i:7;}}}}',7),('entity.search_page.disable','/admin/config/search/pages/manage/{search_page}/disable','/admin/config/search/pages/manage/%/disable',125,'C:31:\"Symfony\\Component\\Routing\\Route\":1490:{a:9:{s:4:\"path\";s:55:\"/admin/config/search/pages/manage/{search_page}/disable\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:60:\"\\Drupal\\search\\Controller\\SearchController::performOperation\";s:2:\"op\";s:7:\"disable\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:19:\"search_page.disable\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:11:\"search_page\";a:2:{s:4:\"type\";s:18:\"entity:search_page\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":619:{a:11:{s:4:\"vars\";a:1:{i:0;s:11:\"search_page\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:72:\"#^/admin/config/search/pages/manage/(?P<search_page>[^/]++)/disable$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/disable\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"search_page\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:33:\"/admin/config/search/pages/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:11:\"search_page\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:43:\"/admin/config/search/pages/manage/%/disable\";s:8:\"numParts\";i:7;}}}}',7),('entity.search_page.edit_form','/admin/config/search/pages/manage/{search_page}','/admin/config/search/pages/manage/%',62,'C:31:\"Symfony\\Component\\Routing\\Route\":1379:{a:9:{s:4:\"path\";s:47:\"/admin/config/search/pages/manage/{search_page}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:16:\"search_page.edit\";s:15:\"_title_callback\";s:53:\"\\Drupal\\search\\Controller\\SearchController::editTitle\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:18:\"search_page.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:11:\"search_page\";a:2:{s:4:\"type\";s:18:\"entity:search_page\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":558:{a:11:{s:4:\"vars\";a:1:{i:0;s:11:\"search_page\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:64:\"#^/admin/config/search/pages/manage/(?P<search_page>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"search_page\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:33:\"/admin/config/search/pages/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:11:\"search_page\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:62;s:14:\"patternOutline\";s:35:\"/admin/config/search/pages/manage/%\";s:8:\"numParts\";i:6;}}}}',6),('entity.search_page.enable','/admin/config/search/pages/manage/{search_page}/enable','/admin/config/search/pages/manage/%/enable',125,'C:31:\"Symfony\\Component\\Routing\\Route\":1484:{a:9:{s:4:\"path\";s:54:\"/admin/config/search/pages/manage/{search_page}/enable\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:60:\"\\Drupal\\search\\Controller\\SearchController::performOperation\";s:2:\"op\";s:6:\"enable\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:18:\"search_page.update\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:11:\"search_page\";a:2:{s:4:\"type\";s:18:\"entity:search_page\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":616:{a:11:{s:4:\"vars\";a:1:{i:0;s:11:\"search_page\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:71:\"#^/admin/config/search/pages/manage/(?P<search_page>[^/]++)/enable$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/enable\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"search_page\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:33:\"/admin/config/search/pages/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:11:\"search_page\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:42:\"/admin/config/search/pages/manage/%/enable\";s:8:\"numParts\";i:7;}}}}',7),('entity.search_page.set_default','/admin/config/search/pages/manage/{search_page}/set-default','/admin/config/search/pages/manage/%/set-default',125,'C:31:\"Symfony\\Component\\Routing\\Route\":1480:{a:9:{s:4:\"path\";s:59:\"/admin/config/search/pages/manage/{search_page}/set-default\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:56:\"\\Drupal\\search\\Controller\\SearchController::setAsDefault\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:18:\"search_page.update\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:11:\"search_page\";a:2:{s:4:\"type\";s:18:\"entity:search_page\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":633:{a:11:{s:4:\"vars\";a:1:{i:0;s:11:\"search_page\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:77:\"#^/admin/config/search/pages/manage/(?P<search_page>[^/]++)/set\\-default$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:12:\"/set-default\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"search_page\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:33:\"/admin/config/search/pages/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:11:\"search_page\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:47:\"/admin/config/search/pages/manage/%/set-default\";s:8:\"numParts\";i:7;}}}}',7),('entity.shortcut.canonical','/admin/config/user-interface/shortcut/link/{shortcut}','/admin/config/user-interface/shortcut/link/%',62,'C:31:\"Symfony\\Component\\Routing\\Route\":1305:{a:9:{s:4:\"path\";s:53:\"/admin/config/user-interface/shortcut/link/{shortcut}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:16:\"shortcut.default\";s:6:\"_title\";s:4:\"Edit\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:15:\"shortcut.update\";s:8:\"shortcut\";s:3:\"\\d+\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:8:\"shortcut\";a:2:{s:4:\"type\";s:15:\"entity:shortcut\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":565:{a:11:{s:4:\"vars\";a:1:{i:0;s:8:\"shortcut\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:68:\"#^/admin/config/user\\-interface/shortcut/link/(?P<shortcut>\\d+)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:8:\"shortcut\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/config/user-interface/shortcut/link\";}}s:9:\"path_vars\";a:1:{i:0;s:8:\"shortcut\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:62;s:14:\"patternOutline\";s:44:\"/admin/config/user-interface/shortcut/link/%\";s:8:\"numParts\";i:6;}}}}',6),('entity.shortcut.content_translation_add','/admin/config/user-interface/shortcut/link/{shortcut}/translations/add/{source}/{target}','/admin/config/user-interface/shortcut/link/%/translations/add',251,'C:31:\"Symfony\\Component\\Routing\\Route\":2150:{a:9:{s:4:\"path\";s:88:\"/admin/config/user-interface/shortcut/link/{shortcut}/translations/add/{source}/{target}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:72:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::add\";s:6:\"source\";N;s:6:\"target\";N;s:6:\"_title\";s:3:\"Add\";s:14:\"entity_type_id\";s:8:\"shortcut\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:13:\"shortcut.view\";s:34:\"_access_content_translation_manage\";s:6:\"create\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:3:{s:6:\"source\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:6:\"target\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:8:\"shortcut\";a:3:{s:4:\"type\";s:15:\"entity:shortcut\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":944:{a:11:{s:4:\"vars\";a:3:{i:0;s:8:\"shortcut\";i:1;s:6:\"source\";i:2;s:6:\"target\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:136:\"#^/admin/config/user\\-interface/shortcut/link/(?P<shortcut>[^/]++)/translations/add(?:/(?P<source>[^/]++)(?:/(?P<target>[^/]++))?)?$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"target\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"source\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/translations/add\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"shortcut\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/config/user-interface/shortcut/link\";}}s:9:\"path_vars\";a:3:{i:0;s:8:\"shortcut\";i:1;s:6:\"source\";i:2;s:6:\"target\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:251;s:14:\"patternOutline\";s:61:\"/admin/config/user-interface/shortcut/link/%/translations/add\";s:8:\"numParts\";i:10;}}}}',10),('entity.shortcut.content_translation_delete','/admin/config/user-interface/shortcut/link/{shortcut}/translations/delete/{language}','/admin/config/user-interface/shortcut/link/%/translations/delete',251,'C:31:\"Symfony\\Component\\Routing\\Route\":1788:{a:9:{s:4:\"path\";s:84:\"/admin/config/user-interface/shortcut/link/{shortcut}/translations/delete/{language}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:37:\"shortcut.content_translation_deletion\";s:8:\"language\";N;s:6:\"_title\";s:6:\"Delete\";s:14:\"entity_type_id\";s:8:\"shortcut\";}s:12:\"requirements\";a:1:{s:34:\"_access_content_translation_manage\";s:6:\"delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:8:\"language\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:8:\"shortcut\";a:3:{s:4:\"type\";s:15:\"entity:shortcut\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":819:{a:11:{s:4:\"vars\";a:2:{i:0;s:8:\"shortcut\";i:1;s:8:\"language\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:117:\"#^/admin/config/user\\-interface/shortcut/link/(?P<shortcut>[^/]++)/translations/delete(?:/(?P<language>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"language\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/translations/delete\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"shortcut\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/config/user-interface/shortcut/link\";}}s:9:\"path_vars\";a:2:{i:0;s:8:\"shortcut\";i:1;s:8:\"language\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:251;s:14:\"patternOutline\";s:64:\"/admin/config/user-interface/shortcut/link/%/translations/delete\";s:8:\"numParts\";i:9;}}}}',9),('entity.shortcut.content_translation_edit','/admin/config/user-interface/shortcut/link/{shortcut}/translations/edit/{language}','/admin/config/user-interface/shortcut/link/%/translations/edit',251,'C:31:\"Symfony\\Component\\Routing\\Route\":1813:{a:9:{s:4:\"path\";s:82:\"/admin/config/user-interface/shortcut/link/{shortcut}/translations/edit/{language}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:11:\"_controller\";s:73:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::edit\";s:8:\"language\";N;s:6:\"_title\";s:4:\"Edit\";s:14:\"entity_type_id\";s:8:\"shortcut\";}s:12:\"requirements\";a:1:{s:34:\"_access_content_translation_manage\";s:6:\"update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:8:\"language\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:8:\"shortcut\";a:3:{s:4:\"type\";s:15:\"entity:shortcut\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":813:{a:11:{s:4:\"vars\";a:2:{i:0;s:8:\"shortcut\";i:1;s:8:\"language\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:115:\"#^/admin/config/user\\-interface/shortcut/link/(?P<shortcut>[^/]++)/translations/edit(?:/(?P<language>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"language\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/translations/edit\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"shortcut\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/config/user-interface/shortcut/link\";}}s:9:\"path_vars\";a:2:{i:0;s:8:\"shortcut\";i:1;s:8:\"language\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:251;s:14:\"patternOutline\";s:62:\"/admin/config/user-interface/shortcut/link/%/translations/edit\";s:8:\"numParts\";i:9;}}}}',9),('entity.shortcut.content_translation_overview','/admin/config/user-interface/shortcut/link/{shortcut}/translations','/admin/config/user-interface/shortcut/link/%/translations',125,'C:31:\"Symfony\\Component\\Routing\\Route\":1556:{a:9:{s:4:\"path\";s:66:\"/admin/config/user-interface/shortcut/link/{shortcut}/translations\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:77:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::overview\";s:14:\"entity_type_id\";s:8:\"shortcut\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:13:\"shortcut.view\";s:36:\"_access_content_translation_overview\";s:8:\"shortcut\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:8:\"shortcut\";a:3:{s:4:\"type\";s:15:\"entity:shortcut\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:35:\"content_translation.overview_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":648:{a:11:{s:4:\"vars\";a:1:{i:0;s:8:\"shortcut\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:84:\"#^/admin/config/user\\-interface/shortcut/link/(?P<shortcut>[^/]++)/translations$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/translations\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"shortcut\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/config/user-interface/shortcut/link\";}}s:9:\"path_vars\";a:1:{i:0;s:8:\"shortcut\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:57:\"/admin/config/user-interface/shortcut/link/%/translations\";s:8:\"numParts\";i:7;}}}}',7),('entity.shortcut.delete_form','/admin/config/user-interface/shortcut/link/{shortcut}/delete','/admin/config/user-interface/shortcut/link/%/delete',125,'C:31:\"Symfony\\Component\\Routing\\Route\":1371:{a:9:{s:4:\"path\";s:60:\"/admin/config/user-interface/shortcut/link/{shortcut}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:15:\"shortcut.delete\";s:6:\"_title\";s:6:\"Delete\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:15:\"shortcut.delete\";s:8:\"shortcut\";s:3:\"\\d+\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:8:\"shortcut\";a:2:{s:4:\"type\";s:15:\"entity:shortcut\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":623:{a:11:{s:4:\"vars\";a:1:{i:0;s:8:\"shortcut\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:75:\"#^/admin/config/user\\-interface/shortcut/link/(?P<shortcut>\\d+)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:8:\"shortcut\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/config/user-interface/shortcut/link\";}}s:9:\"path_vars\";a:1:{i:0;s:8:\"shortcut\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:51:\"/admin/config/user-interface/shortcut/link/%/delete\";s:8:\"numParts\";i:7;}}}}',7),('entity.shortcut.edit_form','/admin/config/user-interface/shortcut/link/{shortcut}','/admin/config/user-interface/shortcut/link/%',62,'C:31:\"Symfony\\Component\\Routing\\Route\":1305:{a:9:{s:4:\"path\";s:53:\"/admin/config/user-interface/shortcut/link/{shortcut}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:16:\"shortcut.default\";s:6:\"_title\";s:4:\"Edit\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:15:\"shortcut.update\";s:8:\"shortcut\";s:3:\"\\d+\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:8:\"shortcut\";a:2:{s:4:\"type\";s:15:\"entity:shortcut\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":565:{a:11:{s:4:\"vars\";a:1:{i:0;s:8:\"shortcut\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:68:\"#^/admin/config/user\\-interface/shortcut/link/(?P<shortcut>\\d+)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:8:\"shortcut\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/config/user-interface/shortcut/link\";}}s:9:\"path_vars\";a:1:{i:0;s:8:\"shortcut\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:62;s:14:\"patternOutline\";s:44:\"/admin/config/user-interface/shortcut/link/%\";s:8:\"numParts\";i:6;}}}}',6),('entity.shortcut.link_delete_inline','/admin/config/user-interface/shortcut/link/{shortcut}/delete-inline','/admin/config/user-interface/shortcut/link/%/delete-inline',125,'C:31:\"Symfony\\Component\\Routing\\Route\":1490:{a:9:{s:4:\"path\";s:67:\"/admin/config/user-interface/shortcut/link/{shortcut}/delete-inline\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:72:\"\\Drupal\\shortcut\\Controller\\ShortcutController::deleteShortcutLinkInline\";}s:12:\"requirements\";a:3:{s:14:\"_entity_access\";s:15:\"shortcut.delete\";s:11:\"_csrf_token\";s:4:\"TRUE\";s:8:\"shortcut\";s:3:\"\\d+\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:8:\"shortcut\";a:2:{s:4:\"type\";s:15:\"entity:shortcut\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":646:{a:11:{s:4:\"vars\";a:1:{i:0;s:8:\"shortcut\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:83:\"#^/admin/config/user\\-interface/shortcut/link/(?P<shortcut>\\d+)/delete\\-inline$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/delete-inline\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:8:\"shortcut\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:42:\"/admin/config/user-interface/shortcut/link\";}}s:9:\"path_vars\";a:1:{i:0;s:8:\"shortcut\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:58:\"/admin/config/user-interface/shortcut/link/%/delete-inline\";s:8:\"numParts\";i:7;}}}}',7),('entity.shortcut_set.collection','/admin/config/user-interface/shortcut','/admin/config/user-interface/shortcut',15,'C:31:\"Symfony\\Component\\Routing\\Route\":992:{a:9:{s:4:\"path\";s:37:\"/admin/config/user-interface/shortcut\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_list\";s:12:\"shortcut_set\";s:6:\"_title\";s:9:\"Shortcuts\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:20:\"administer shortcuts\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":410:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:45:\"#^/admin/config/user\\-interface/shortcut$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/config/user-interface/shortcut\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:37:\"/admin/config/user-interface/shortcut\";s:8:\"numParts\";i:4;}}}}',4),('entity.shortcut_set.config_translation_overview','/admin/config/user-interface/shortcut/manage/{shortcut_set}/translate','/admin/config/user-interface/shortcut/manage/%/translate',125,'C:31:\"Symfony\\Component\\Routing\\Route\":1511:{a:9:{s:4:\"path\";s:69:\"/admin/config/user-interface/shortcut/manage/{shortcut_set}/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:12:\"shortcut_set\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:12:\"shortcut_set\";a:2:{s:4:\"type\";s:19:\"entity:shortcut_set\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":664:{a:11:{s:4:\"vars\";a:1:{i:0;s:12:\"shortcut_set\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:87:\"#^/admin/config/user\\-interface/shortcut/manage/(?P<shortcut_set>[^/]++)/translate$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"shortcut_set\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:44:\"/admin/config/user-interface/shortcut/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"shortcut_set\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:56:\"/admin/config/user-interface/shortcut/manage/%/translate\";s:8:\"numParts\";i:7;}}}}',7),('entity.shortcut_set.customize_form','/admin/config/user-interface/shortcut/manage/{shortcut_set}/customize','/admin/config/user-interface/shortcut/manage/%/customize',125,'C:31:\"Symfony\\Component\\Routing\\Route\":1463:{a:9:{s:4:\"path\";s:69:\"/admin/config/user-interface/shortcut/manage/{shortcut_set}/customize\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:22:\"shortcut_set.customize\";s:6:\"_title\";s:10:\"List links\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:19:\"shortcut_set.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"shortcut_set\";a:2:{s:4:\"type\";s:19:\"entity:shortcut_set\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":664:{a:11:{s:4:\"vars\";a:1:{i:0;s:12:\"shortcut_set\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:87:\"#^/admin/config/user\\-interface/shortcut/manage/(?P<shortcut_set>[^/]++)/customize$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/customize\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"shortcut_set\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:44:\"/admin/config/user-interface/shortcut/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"shortcut_set\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:56:\"/admin/config/user-interface/shortcut/manage/%/customize\";s:8:\"numParts\";i:7;}}}}',7),('entity.shortcut_set.delete_form','/admin/config/user-interface/shortcut/manage/{shortcut_set}/delete','/admin/config/user-interface/shortcut/manage/%/delete',125,'C:31:\"Symfony\\Component\\Routing\\Route\":1456:{a:9:{s:4:\"path\";s:66:\"/admin/config/user-interface/shortcut/manage/{shortcut_set}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:19:\"shortcut_set.delete\";s:6:\"_title\";s:19:\"Delete shortcut set\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:19:\"shortcut_set.delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"shortcut_set\";a:2:{s:4:\"type\";s:19:\"entity:shortcut_set\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":654:{a:11:{s:4:\"vars\";a:1:{i:0;s:12:\"shortcut_set\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:84:\"#^/admin/config/user\\-interface/shortcut/manage/(?P<shortcut_set>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"shortcut_set\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:44:\"/admin/config/user-interface/shortcut/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"shortcut_set\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:53:\"/admin/config/user-interface/shortcut/manage/%/delete\";s:8:\"numParts\";i:7;}}}}',7),('entity.shortcut_set.edit_form','/admin/config/user-interface/shortcut/manage/{shortcut_set}','/admin/config/user-interface/shortcut/manage/%',62,'C:31:\"Symfony\\Component\\Routing\\Route\":1387:{a:9:{s:4:\"path\";s:59:\"/admin/config/user-interface/shortcut/manage/{shortcut_set}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:17:\"shortcut_set.edit\";s:6:\"_title\";s:17:\"Edit shortcut set\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:19:\"shortcut_set.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"shortcut_set\";a:2:{s:4:\"type\";s:19:\"entity:shortcut_set\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":596:{a:11:{s:4:\"vars\";a:1:{i:0;s:12:\"shortcut_set\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:77:\"#^/admin/config/user\\-interface/shortcut/manage/(?P<shortcut_set>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"shortcut_set\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:44:\"/admin/config/user-interface/shortcut/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"shortcut_set\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:62;s:14:\"patternOutline\";s:46:\"/admin/config/user-interface/shortcut/manage/%\";s:8:\"numParts\";i:6;}}}}',6),('entity.simplenews_newsletter.config_translation_overview','/admin/config/services/simplenews/manage/{simplenews_newsletter}/translate','/admin/config/services/simplenews/manage/%/translate',125,'C:31:\"Symfony\\Component\\Routing\\Route\":1566:{a:9:{s:4:\"path\";s:74:\"/admin/config/services/simplenews/manage/{simplenews_newsletter}/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:21:\"simplenews_newsletter\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:21:\"simplenews_newsletter\";a:2:{s:4:\"type\";s:28:\"entity:simplenews_newsletter\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":687:{a:11:{s:4:\"vars\";a:1:{i:0;s:21:\"simplenews_newsletter\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:91:\"#^/admin/config/services/simplenews/manage/(?P<simplenews_newsletter>[^/]++)/translate$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:21:\"simplenews_newsletter\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:40:\"/admin/config/services/simplenews/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:21:\"simplenews_newsletter\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:52:\"/admin/config/services/simplenews/manage/%/translate\";s:8:\"numParts\";i:7;}}}}',7),('entity.simplenews_newsletter.delete_form','/admin/config/services/simplenews/manage/{simplenews_newsletter}/delete','/admin/config/services/simplenews/manage/%/delete',125,'C:31:\"Symfony\\Component\\Routing\\Route\":1506:{a:9:{s:4:\"path\";s:71:\"/admin/config/services/simplenews/manage/{simplenews_newsletter}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:28:\"simplenews_newsletter.delete\";s:6:\"_title\";s:6:\"Delete\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:28:\"simplenews_newsletter.delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:21:\"simplenews_newsletter\";a:2:{s:4:\"type\";s:28:\"entity:simplenews_newsletter\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":677:{a:11:{s:4:\"vars\";a:1:{i:0;s:21:\"simplenews_newsletter\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:88:\"#^/admin/config/services/simplenews/manage/(?P<simplenews_newsletter>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:21:\"simplenews_newsletter\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:40:\"/admin/config/services/simplenews/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:21:\"simplenews_newsletter\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:49:\"/admin/config/services/simplenews/manage/%/delete\";s:8:\"numParts\";i:7;}}}}',7),('entity.simplenews_newsletter.edit_form','/admin/config/services/simplenews/manage/{simplenews_newsletter}','/admin/config/services/simplenews/manage/%',62,'C:31:\"Symfony\\Component\\Routing\\Route\":1449:{a:9:{s:4:\"path\";s:64:\"/admin/config/services/simplenews/manage/{simplenews_newsletter}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:26:\"simplenews_newsletter.edit\";s:6:\"_title\";s:15:\"Edit newsletter\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:28:\"simplenews_newsletter.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:21:\"simplenews_newsletter\";a:2:{s:4:\"type\";s:28:\"entity:simplenews_newsletter\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":619:{a:11:{s:4:\"vars\";a:1:{i:0;s:21:\"simplenews_newsletter\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:81:\"#^/admin/config/services/simplenews/manage/(?P<simplenews_newsletter>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:21:\"simplenews_newsletter\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:40:\"/admin/config/services/simplenews/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:21:\"simplenews_newsletter\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:62;s:14:\"patternOutline\";s:42:\"/admin/config/services/simplenews/manage/%\";s:8:\"numParts\";i:6;}}}}',6),('entity.simplenews_subscriber.delete_form','/admin/people/simplenews/delete/{simplenews_subscriber}','/admin/people/simplenews/delete/%',30,'C:31:\"Symfony\\Component\\Routing\\Route\":1363:{a:9:{s:4:\"path\";s:55:\"/admin/people/simplenews/delete/{simplenews_subscriber}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:28:\"simplenews_subscriber.delete\";s:6:\"_title\";s:6:\"Delete\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:28:\"simplenews_subscriber.delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:21:\"simplenews_subscriber\";a:2:{s:4:\"type\";s:28:\"entity:simplenews_subscriber\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":592:{a:11:{s:4:\"vars\";a:1:{i:0;s:21:\"simplenews_subscriber\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:72:\"#^/admin/people/simplenews/delete/(?P<simplenews_subscriber>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:21:\"simplenews_subscriber\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/people/simplenews/delete\";}}s:9:\"path_vars\";a:1:{i:0;s:21:\"simplenews_subscriber\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:30;s:14:\"patternOutline\";s:33:\"/admin/people/simplenews/delete/%\";s:8:\"numParts\";i:5;}}}}',5),('entity.simplenews_subscriber.edit_form','/admin/people/simplenews/edit/{simplenews_subscriber}','/admin/people/simplenews/edit/%',30,'C:31:\"Symfony\\Component\\Routing\\Route\":1366:{a:9:{s:4:\"path\";s:53:\"/admin/people/simplenews/edit/{simplenews_subscriber}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:29:\"simplenews_subscriber.default\";s:6:\"_title\";s:15:\"Edit subscriber\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:28:\"simplenews_subscriber.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:21:\"simplenews_subscriber\";a:2:{s:4:\"type\";s:28:\"entity:simplenews_subscriber\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":586:{a:11:{s:4:\"vars\";a:1:{i:0;s:21:\"simplenews_subscriber\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:70:\"#^/admin/people/simplenews/edit/(?P<simplenews_subscriber>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:21:\"simplenews_subscriber\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/people/simplenews/edit\";}}s:9:\"path_vars\";a:1:{i:0;s:21:\"simplenews_subscriber\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:30;s:14:\"patternOutline\";s:31:\"/admin/people/simplenews/edit/%\";s:8:\"numParts\";i:5;}}}}',5),('entity.simplenews_subscriber.field_ui_fields','/admin/config/people/simplenews/settings/subscriber/fields','/admin/config/people/simplenews/settings/subscriber/fields',127,'C:31:\"Symfony\\Component\\Routing\\Route\":1233:{a:9:{s:4:\"path\";s:58:\"/admin/config/people/simplenews/settings/subscriber/fields\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:11:\"_controller\";s:62:\"\\Drupal\\field_ui\\Controller\\FieldConfigListController::listing\";s:6:\"_title\";s:13:\"Manage fields\";s:14:\"entity_type_id\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";s:21:\"simplenews_subscriber\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:39:\"administer simplenews_subscriber fields\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":473:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:65:\"#^/admin/config/people/simplenews/settings/subscriber/fields$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:58:\"/admin/config/people/simplenews/settings/subscriber/fields\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:127;s:14:\"patternOutline\";s:58:\"/admin/config/people/simplenews/settings/subscriber/fields\";s:8:\"numParts\";i:7;}}}}',7),('entity.taxonomy_term.add_form','/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/add','/admin/structure/taxonomy/manage/%/add',61,'C:31:\"Symfony\\Component\\Routing\\Route\":1496:{a:9:{s:4:\"path\";s:58:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:55:\"\\Drupal\\taxonomy\\Controller\\TaxonomyController::addForm\";s:6:\"_title\";s:8:\"Add term\";}s:12:\"requirements\";a:1:{s:21:\"_entity_create_access\";s:35:\"taxonomy_term:{taxonomy_vocabulary}\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:19:\"taxonomy_vocabulary\";a:2:{s:4:\"type\";s:26:\"entity:taxonomy_vocabulary\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:26:\"access_check.entity_create\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":635:{a:11:{s:4:\"vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:75:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/add$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:38:\"/admin/structure/taxonomy/manage/%/add\";s:8:\"numParts\";i:6;}}}}',6),('entity.taxonomy_term.canonical','/taxonomy/term/{taxonomy_term}','/taxonomy/term/%',6,'C:31:\"Symfony\\Component\\Routing\\Route\":1662:{a:9:{s:4:\"path\";s:30:\"/taxonomy/term/{taxonomy_term}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:6:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:0:\"\";s:7:\"view_id\";s:13:\"taxonomy_term\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;s:15:\"_title_callback\";s:57:\"\\Drupal\\taxonomy\\Controller\\TaxonomyController::termTitle\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:9:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:1:{s:5:\"arg_0\";s:13:\"taxonomy_term\";}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:13:\"taxonomy_term\";a:2:{s:4:\"type\";s:20:\"entity:taxonomy_term\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":508:{a:11:{s:4:\"vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:47:\"#^/taxonomy/term/(?P<taxonomy_term>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"taxonomy_term\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/taxonomy/term\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:16:\"/taxonomy/term/%\";s:8:\"numParts\";i:3;}}}}',3),('entity.taxonomy_term.content_translation_add','/taxonomy/term/{taxonomy_term}/translations/add/{source}/{target}','/taxonomy/term/%/translations/add',27,'C:31:\"Symfony\\Component\\Routing\\Route\":2085:{a:9:{s:4:\"path\";s:65:\"/taxonomy/term/{taxonomy_term}/translations/add/{source}/{target}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:72:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::add\";s:6:\"source\";N;s:6:\"target\";N;s:6:\"_title\";s:3:\"Add\";s:14:\"entity_type_id\";s:13:\"taxonomy_term\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:18:\"taxonomy_term.view\";s:34:\"_access_content_translation_manage\";s:6:\"create\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:3:{s:6:\"source\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:6:\"target\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:13:\"taxonomy_term\";a:3:{s:4:\"type\";s:20:\"entity:taxonomy_term\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":880:{a:11:{s:4:\"vars\";a:3:{i:0;s:13:\"taxonomy_term\";i:1;s:6:\"source\";i:2;s:6:\"target\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:112:\"#^/taxonomy/term/(?P<taxonomy_term>[^/]++)/translations/add(?:/(?P<source>[^/]++)(?:/(?P<target>[^/]++))?)?$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"target\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"source\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/translations/add\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"taxonomy_term\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/taxonomy/term\";}}s:9:\"path_vars\";a:3:{i:0;s:13:\"taxonomy_term\";i:1;s:6:\"source\";i:2;s:6:\"target\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:27;s:14:\"patternOutline\";s:33:\"/taxonomy/term/%/translations/add\";s:8:\"numParts\";i:7;}}}}',7),('entity.taxonomy_term.content_translation_delete','/taxonomy/term/{taxonomy_term}/translations/delete/{language}','/taxonomy/term/%/translations/delete',27,'C:31:\"Symfony\\Component\\Routing\\Route\":1723:{a:9:{s:4:\"path\";s:61:\"/taxonomy/term/{taxonomy_term}/translations/delete/{language}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:42:\"taxonomy_term.content_translation_deletion\";s:8:\"language\";N;s:6:\"_title\";s:6:\"Delete\";s:14:\"entity_type_id\";s:13:\"taxonomy_term\";}s:12:\"requirements\";a:1:{s:34:\"_access_content_translation_manage\";s:6:\"delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:8:\"language\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:13:\"taxonomy_term\";a:3:{s:4:\"type\";s:20:\"entity:taxonomy_term\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":755:{a:11:{s:4:\"vars\";a:2:{i:0;s:13:\"taxonomy_term\";i:1;s:8:\"language\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:93:\"#^/taxonomy/term/(?P<taxonomy_term>[^/]++)/translations/delete(?:/(?P<language>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"language\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/translations/delete\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"taxonomy_term\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/taxonomy/term\";}}s:9:\"path_vars\";a:2:{i:0;s:13:\"taxonomy_term\";i:1;s:8:\"language\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:27;s:14:\"patternOutline\";s:36:\"/taxonomy/term/%/translations/delete\";s:8:\"numParts\";i:6;}}}}',6),('entity.taxonomy_term.content_translation_edit','/taxonomy/term/{taxonomy_term}/translations/edit/{language}','/taxonomy/term/%/translations/edit',27,'C:31:\"Symfony\\Component\\Routing\\Route\":1743:{a:9:{s:4:\"path\";s:59:\"/taxonomy/term/{taxonomy_term}/translations/edit/{language}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:11:\"_controller\";s:73:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::edit\";s:8:\"language\";N;s:6:\"_title\";s:4:\"Edit\";s:14:\"entity_type_id\";s:13:\"taxonomy_term\";}s:12:\"requirements\";a:1:{s:34:\"_access_content_translation_manage\";s:6:\"update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:8:\"language\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:13:\"taxonomy_term\";a:3:{s:4:\"type\";s:20:\"entity:taxonomy_term\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":749:{a:11:{s:4:\"vars\";a:2:{i:0;s:13:\"taxonomy_term\";i:1;s:8:\"language\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:91:\"#^/taxonomy/term/(?P<taxonomy_term>[^/]++)/translations/edit(?:/(?P<language>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"language\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/translations/edit\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"taxonomy_term\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/taxonomy/term\";}}s:9:\"path_vars\";a:2:{i:0;s:13:\"taxonomy_term\";i:1;s:8:\"language\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:27;s:14:\"patternOutline\";s:34:\"/taxonomy/term/%/translations/edit\";s:8:\"numParts\";i:6;}}}}',6),('entity.taxonomy_term.content_translation_overview','/taxonomy/term/{taxonomy_term}/translations','/taxonomy/term/%/translations',13,'C:31:\"Symfony\\Component\\Routing\\Route\":1498:{a:9:{s:4:\"path\";s:43:\"/taxonomy/term/{taxonomy_term}/translations\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:77:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::overview\";s:14:\"entity_type_id\";s:13:\"taxonomy_term\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:18:\"taxonomy_term.view\";s:36:\"_access_content_translation_overview\";s:13:\"taxonomy_term\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:13:\"taxonomy_term\";a:3:{s:4:\"type\";s:20:\"entity:taxonomy_term\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:35:\"content_translation.overview_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":585:{a:11:{s:4:\"vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:60:\"#^/taxonomy/term/(?P<taxonomy_term>[^/]++)/translations$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/translations\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"taxonomy_term\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/taxonomy/term\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:13;s:14:\"patternOutline\";s:29:\"/taxonomy/term/%/translations\";s:8:\"numParts\";i:4;}}}}',4),('entity.taxonomy_term.delete_form','/taxonomy/term/{taxonomy_term}/delete','/taxonomy/term/%/delete',13,'C:31:\"Symfony\\Component\\Routing\\Route\":1318:{a:9:{s:4:\"path\";s:37:\"/taxonomy/term/{taxonomy_term}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:20:\"taxonomy_term.delete\";s:6:\"_title\";s:11:\"Delete term\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:20:\"taxonomy_term.delete\";s:13:\"taxonomy_term\";s:3:\"\\d+\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:13:\"taxonomy_term\";a:2:{s:4:\"type\";s:20:\"entity:taxonomy_term\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":560:{a:11:{s:4:\"vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:51:\"#^/taxonomy/term/(?P<taxonomy_term>\\d+)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:13:\"taxonomy_term\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/taxonomy/term\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:13;s:14:\"patternOutline\";s:23:\"/taxonomy/term/%/delete\";s:8:\"numParts\";i:4;}}}}',4),('entity.taxonomy_term.edit_form','/taxonomy/term/{taxonomy_term}/edit','/taxonomy/term/%/edit',13,'C:31:\"Symfony\\Component\\Routing\\Route\":1308:{a:9:{s:4:\"path\";s:35:\"/taxonomy/term/{taxonomy_term}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:21:\"taxonomy_term.default\";s:6:\"_title\";s:9:\"Edit term\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:20:\"taxonomy_term.update\";s:13:\"taxonomy_term\";s:3:\"\\d+\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:13:\"taxonomy_term\";a:2:{s:4:\"type\";s:20:\"entity:taxonomy_term\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":554:{a:11:{s:4:\"vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:49:\"#^/taxonomy/term/(?P<taxonomy_term>\\d+)/edit$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:13:\"taxonomy_term\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/taxonomy/term\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"taxonomy_term\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:13;s:14:\"patternOutline\";s:21:\"/taxonomy/term/%/edit\";s:8:\"numParts\";i:4;}}}}',4),('entity.taxonomy_term.field_ui_fields','/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/fields','/admin/structure/taxonomy/manage/%/overview/fields',123,'C:31:\"Symfony\\Component\\Routing\\Route\":1596:{a:9:{s:4:\"path\";s:70:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/fields\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:11:\"_controller\";s:62:\"\\Drupal\\field_ui\\Controller\\FieldConfigListController::listing\";s:6:\"_title\";s:13:\"Manage fields\";s:14:\"entity_type_id\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:31:\"administer taxonomy_term fields\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:10:\"parameters\";a:1:{s:19:\"taxonomy_vocabulary\";a:2:{s:4:\"type\";s:26:\"entity:taxonomy_vocabulary\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":673:{a:11:{s:4:\"vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:87:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/fields$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:16:\"/overview/fields\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:123;s:14:\"patternOutline\";s:50:\"/admin/structure/taxonomy/manage/%/overview/fields\";s:8:\"numParts\";i:7;}}}}',7),('entity.taxonomy_vocabulary.add_form','/admin/structure/taxonomy/add','/admin/structure/taxonomy/add',15,'C:31:\"Symfony\\Component\\Routing\\Route\":1093:{a:9:{s:4:\"path\";s:29:\"/admin/structure/taxonomy/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:12:\"_entity_form\";s:27:\"taxonomy_vocabulary.default\";s:14:\"entity_type_id\";s:19:\"taxonomy_vocabulary\";s:15:\"_title_callback\";s:56:\"Drupal\\Core\\Entity\\Controller\\EntityController::addTitle\";}s:12:\"requirements\";a:1:{s:21:\"_entity_create_access\";s:19:\"taxonomy_vocabulary\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:26:\"access_check.entity_create\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":385:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:36:\"#^/admin/structure/taxonomy/add$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/taxonomy/add\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:29:\"/admin/structure/taxonomy/add\";s:8:\"numParts\";i:4;}}}}',4),('entity.taxonomy_vocabulary.collection','/admin/structure/taxonomy','/admin/structure/taxonomy',7,'C:31:\"Symfony\\Component\\Routing\\Route\":1031:{a:9:{s:4:\"path\";s:25:\"/admin/structure/taxonomy\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_list\";s:19:\"taxonomy_vocabulary\";s:6:\"_title\";s:8:\"Taxonomy\";s:16:\"_title_arguments\";a:0:{}s:14:\"_title_context\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:44:\"access taxonomy overview+administer taxonomy\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":372:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:32:\"#^/admin/structure/taxonomy$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:25:\"/admin/structure/taxonomy\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:25:\"/admin/structure/taxonomy\";s:8:\"numParts\";i:3;}}}}',3),('entity.taxonomy_vocabulary.config_translation_overview','/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/translate','/admin/structure/taxonomy/manage/%/translate',61,'C:31:\"Symfony\\Component\\Routing\\Route\":1517:{a:9:{s:4:\"path\";s:64:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:19:\"taxonomy_vocabulary\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:19:\"taxonomy_vocabulary\";a:2:{s:4:\"type\";s:26:\"entity:taxonomy_vocabulary\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":654:{a:11:{s:4:\"vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:81:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/translate$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:44:\"/admin/structure/taxonomy/manage/%/translate\";s:8:\"numParts\";i:6;}}}}',6),('entity.taxonomy_vocabulary.delete_form','/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/delete','/admin/structure/taxonomy/manage/%/delete',61,'C:31:\"Symfony\\Component\\Routing\\Route\":1520:{a:9:{s:4:\"path\";s:61:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:26:\"taxonomy_vocabulary.delete\";s:15:\"_title_callback\";s:60:\"\\Drupal\\Core\\Entity\\Controller\\EntityController::deleteTitle\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:26:\"taxonomy_vocabulary.delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:19:\"taxonomy_vocabulary\";a:2:{s:4:\"type\";s:26:\"entity:taxonomy_vocabulary\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":644:{a:11:{s:4:\"vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:78:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:41:\"/admin/structure/taxonomy/manage/%/delete\";s:8:\"numParts\";i:6;}}}}',6),('entity.taxonomy_vocabulary.edit_form','/admin/structure/taxonomy/manage/{taxonomy_vocabulary}','/admin/structure/taxonomy/manage/%',30,'C:31:\"Symfony\\Component\\Routing\\Route\":1455:{a:9:{s:4:\"path\";s:54:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:27:\"taxonomy_vocabulary.default\";s:15:\"_title_callback\";s:58:\"\\Drupal\\Core\\Entity\\Controller\\EntityController::editTitle\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:26:\"taxonomy_vocabulary.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:19:\"taxonomy_vocabulary\";a:2:{s:4:\"type\";s:26:\"entity:taxonomy_vocabulary\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":587:{a:11:{s:4:\"vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:71:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:30;s:14:\"patternOutline\";s:34:\"/admin/structure/taxonomy/manage/%\";s:8:\"numParts\";i:5;}}}}',5),('entity.taxonomy_vocabulary.overview_form','/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview','/admin/structure/taxonomy/manage/%/overview',61,'C:31:\"Symfony\\Component\\Routing\\Route\":1548:{a:9:{s:4:\"path\";s:63:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:15:\"_title_callback\";s:62:\"Drupal\\taxonomy\\Controller\\TaxonomyController::vocabularyTitle\";s:5:\"_form\";s:34:\"Drupal\\taxonomy\\Form\\OverviewTerms\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:44:\"taxonomy_vocabulary.access taxonomy overview\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:10:\"parameters\";a:1:{s:19:\"taxonomy_vocabulary\";a:2:{s:4:\"type\";s:26:\"entity:taxonomy_vocabulary\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":650:{a:11:{s:4:\"vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:80:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:9:\"/overview\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:43:\"/admin/structure/taxonomy/manage/%/overview\";s:8:\"numParts\";i:6;}}}}',6),('entity.taxonomy_vocabulary.reset_form','/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/reset','/admin/structure/taxonomy/manage/%/reset',61,'C:31:\"Symfony\\Component\\Routing\\Route\":1443:{a:9:{s:4:\"path\";s:60:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/reset\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:25:\"taxonomy_vocabulary.reset\";s:6:\"_title\";s:5:\"Reset\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:19:\"administer taxonomy\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:10:\"parameters\";a:1:{s:19:\"taxonomy_vocabulary\";a:2:{s:4:\"type\";s:26:\"entity:taxonomy_vocabulary\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":641:{a:11:{s:4:\"vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:77:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/reset$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:6:\"/reset\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:40:\"/admin/structure/taxonomy/manage/%/reset\";s:8:\"numParts\";i:6;}}}}',6),('entity.user.admin_form','/admin/config/people/accounts','/admin/config/people/accounts',15,'C:31:\"Symfony\\Component\\Routing\\Route\":986:{a:9:{s:4:\"path\";s:29:\"/admin/config/people/accounts\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:32:\"\\Drupal\\user\\AccountSettingsForm\";s:6:\"_title\";s:16:\"Account settings\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"administer account settings\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":385:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:36:\"#^/admin/config/people/accounts$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/config/people/accounts\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:29:\"/admin/config/people/accounts\";s:8:\"numParts\";i:4;}}}}',4),('entity.user.cancel_form','/user/{user}/cancel','/user/%/cancel',5,'C:31:\"Symfony\\Component\\Routing\\Route\":1188:{a:9:{s:4:\"path\";s:19:\"/user/{user}/cancel\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:6:\"_title\";s:14:\"Cancel account\";s:12:\"_entity_form\";s:11:\"user.cancel\";}s:12:\"requirements\";a:2:{s:4:\"user\";s:3:\"\\d+\";s:14:\"_entity_access\";s:11:\"user.delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:10:\"parameters\";a:1:{s:4:\"user\";a:2:{s:4:\"type\";s:11:\"entity:user\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":492:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"user\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:33:\"#^/user/(?P<user>\\d+)/cancel$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/cancel\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"user\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/user\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"user\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:14:\"/user/%/cancel\";s:8:\"numParts\";i:3;}}}}',3),('entity.user.canonical','/user/{user}','/user/%',2,'C:31:\"Symfony\\Component\\Routing\\Route\":1137:{a:9:{s:4:\"path\";s:12:\"/user/{user}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_view\";s:9:\"user.full\";s:15:\"_title_callback\";s:48:\"Drupal\\user\\Controller\\UserController::userTitle\";}s:12:\"requirements\";a:2:{s:4:\"user\";s:3:\"\\d+\";s:14:\"_entity_access\";s:9:\"user.view\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"user\";a:2:{s:4:\"type\";s:11:\"entity:user\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":434:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"user\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:26:\"#^/user/(?P<user>\\d+)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"user\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/user\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"user\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:2;s:14:\"patternOutline\";s:7:\"/user/%\";s:8:\"numParts\";i:2;}}}}',2),('entity.user.collection','/admin/people','/admin/people',3,'C:31:\"Symfony\\Component\\Routing\\Route\":1253:{a:9:{s:4:\"path\";s:13:\"/admin/people\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:6:\"People\";s:7:\"view_id\";s:17:\"user_admin_people\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:0;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:16:\"administer users\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:9:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:0;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":336:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:20:\"#^/admin/people$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/admin/people\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:13:\"/admin/people\";s:8:\"numParts\";i:2;}}}}',2),('entity.user.contact_form','/user/{user}/contact','/user/%/contact',5,'C:31:\"Symfony\\Component\\Routing\\Route\":1229:{a:9:{s:4:\"path\";s:20:\"/user/{user}/contact\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:6:\"_title\";s:7:\"Contact\";s:11:\"_controller\";s:65:\"\\Drupal\\contact\\Controller\\ContactController::contactPersonalPage\";}s:12:\"requirements\";a:2:{s:28:\"_access_contact_personal_tab\";s:4:\"TRUE\";s:4:\"user\";s:3:\"\\d+\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:4:\"user\";a:2:{s:4:\"type\";s:11:\"entity:user\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:29:\"access_check.contact_personal\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":495:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"user\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:34:\"#^/user/(?P<user>\\d+)/contact$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/contact\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"user\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/user\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"user\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:15:\"/user/%/contact\";s:8:\"numParts\";i:3;}}}}',3),('entity.user.content_translation_add','/user/{user}/translations/add/{source}/{target}','/user/%/translations/add',11,'C:31:\"Symfony\\Component\\Routing\\Route\":1960:{a:9:{s:4:\"path\";s:47:\"/user/{user}/translations/add/{source}/{target}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:72:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::add\";s:6:\"source\";N;s:6:\"target\";N;s:6:\"_title\";s:3:\"Add\";s:14:\"entity_type_id\";s:4:\"user\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:9:\"user.view\";s:34:\"_access_content_translation_manage\";s:6:\"create\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:3:{s:6:\"source\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:6:\"target\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:4:\"user\";a:3:{s:4:\"type\";s:11:\"entity:user\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":812:{a:11:{s:4:\"vars\";a:3:{i:0;s:4:\"user\";i:1;s:6:\"source\";i:2;s:6:\"target\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:94:\"#^/user/(?P<user>[^/]++)/translations/add(?:/(?P<source>[^/]++)(?:/(?P<target>[^/]++))?)?$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"target\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"source\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/translations/add\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"user\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/user\";}}s:9:\"path_vars\";a:3:{i:0;s:4:\"user\";i:1;s:6:\"source\";i:2;s:6:\"target\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:11;s:14:\"patternOutline\";s:24:\"/user/%/translations/add\";s:8:\"numParts\";i:6;}}}}',6),('entity.user.content_translation_delete','/user/{user}/translations/delete/{language}','/user/%/translations/delete',11,'C:31:\"Symfony\\Component\\Routing\\Route\":1600:{a:9:{s:4:\"path\";s:43:\"/user/{user}/translations/delete/{language}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:12:\"_entity_form\";s:33:\"user.content_translation_deletion\";s:8:\"language\";N;s:6:\"_title\";s:6:\"Delete\";s:14:\"entity_type_id\";s:4:\"user\";}s:12:\"requirements\";a:1:{s:34:\"_access_content_translation_manage\";s:6:\"delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:8:\"language\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:4:\"user\";a:3:{s:4:\"type\";s:11:\"entity:user\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":688:{a:11:{s:4:\"vars\";a:2:{i:0;s:4:\"user\";i:1;s:8:\"language\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:75:\"#^/user/(?P<user>[^/]++)/translations/delete(?:/(?P<language>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"language\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/translations/delete\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"user\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/user\";}}s:9:\"path_vars\";a:2:{i:0;s:4:\"user\";i:1;s:8:\"language\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:11;s:14:\"patternOutline\";s:27:\"/user/%/translations/delete\";s:8:\"numParts\";i:5;}}}}',5),('entity.user.content_translation_edit','/user/{user}/translations/edit/{language}','/user/%/translations/edit',11,'C:31:\"Symfony\\Component\\Routing\\Route\":1629:{a:9:{s:4:\"path\";s:41:\"/user/{user}/translations/edit/{language}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:11:\"_controller\";s:73:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::edit\";s:8:\"language\";N;s:6:\"_title\";s:4:\"Edit\";s:14:\"entity_type_id\";s:4:\"user\";}s:12:\"requirements\";a:1:{s:34:\"_access_content_translation_manage\";s:6:\"update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:2:{s:8:\"language\";a:2:{s:4:\"type\";s:8:\"language\";s:9:\"converter\";s:48:\"drupal.proxy_original_service.language_converter\";}s:4:\"user\";a:3:{s:4:\"type\";s:11:\"entity:user\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:33:\"content_translation.manage_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":682:{a:11:{s:4:\"vars\";a:2:{i:0;s:4:\"user\";i:1;s:8:\"language\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:73:\"#^/user/(?P<user>[^/]++)/translations/edit(?:/(?P<language>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"language\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/translations/edit\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"user\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/user\";}}s:9:\"path_vars\";a:2:{i:0;s:4:\"user\";i:1;s:8:\"language\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:11;s:14:\"patternOutline\";s:25:\"/user/%/translations/edit\";s:8:\"numParts\";i:5;}}}}',5),('entity.user.content_translation_overview','/user/{user}/translations','/user/%/translations',5,'C:31:\"Symfony\\Component\\Routing\\Route\":1363:{a:9:{s:4:\"path\";s:25:\"/user/{user}/translations\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:77:\"\\Drupal\\content_translation\\Controller\\ContentTranslationController::overview\";s:14:\"entity_type_id\";s:4:\"user\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:9:\"user.view\";s:36:\"_access_content_translation_overview\";s:4:\"user\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"user\";a:3:{s:4:\"type\";s:11:\"entity:user\";s:20:\"load_latest_revision\";b:0;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:35:\"content_translation.overview_access\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":517:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"user\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:42:\"#^/user/(?P<user>[^/]++)/translations$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/translations\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"user\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/user\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"user\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:20:\"/user/%/translations\";s:8:\"numParts\";i:3;}}}}',3),('entity.user.edit_form','/user/{user}/edit','/user/%/edit',5,'C:31:\"Symfony\\Component\\Routing\\Route\":1225:{a:9:{s:4:\"path\";s:17:\"/user/{user}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:12:\"user.default\";s:15:\"_title_callback\";s:48:\"Drupal\\user\\Controller\\UserController::userTitle\";}s:12:\"requirements\";a:2:{s:4:\"user\";s:3:\"\\d+\";s:14:\"_entity_access\";s:11:\"user.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:10:\"parameters\";a:1:{s:4:\"user\";a:2:{s:4:\"type\";s:11:\"entity:user\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":486:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"user\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:31:\"#^/user/(?P<user>\\d+)/edit$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"user\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/user\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"user\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:12:\"/user/%/edit\";s:8:\"numParts\";i:3;}}}}',3),('entity.user.field_ui_fields','/admin/config/people/accounts/fields','/admin/config/people/accounts/fields',31,'C:31:\"Symfony\\Component\\Routing\\Route\":1091:{a:9:{s:4:\"path\";s:36:\"/admin/config/people/accounts/fields\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:11:\"_controller\";s:62:\"\\Drupal\\field_ui\\Controller\\FieldConfigListController::listing\";s:6:\"_title\";s:13:\"Manage fields\";s:14:\"entity_type_id\";s:4:\"user\";s:6:\"bundle\";s:4:\"user\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:22:\"administer user fields\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":406:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:43:\"#^/admin/config/people/accounts/fields$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:36:\"/admin/config/people/accounts/fields\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:36:\"/admin/config/people/accounts/fields\";s:8:\"numParts\";i:5;}}}}',5),('entity.user_role.collection','/admin/people/roles','/admin/people/roles',7,'C:31:\"Symfony\\Component\\Routing\\Route\":912:{a:9:{s:4:\"path\";s:19:\"/admin/people/roles\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_list\";s:9:\"user_role\";s:6:\"_title\";s:5:\"Roles\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:22:\"administer permissions\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":354:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:26:\"#^/admin/people/roles$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:19:\"/admin/people/roles\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:19:\"/admin/people/roles\";s:8:\"numParts\";i:3;}}}}',3),('entity.user_role.config_translation_overview','/admin/people/roles/manage/{user_role}/translate','/admin/people/roles/manage/%/translate',61,'C:31:\"Symfony\\Component\\Routing\\Route\":1408:{a:9:{s:4:\"path\";s:48:\"/admin/people/roles/manage/{user_role}/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:9:\"user_role\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:9:\"user_role\";a:2:{s:4:\"type\";s:16:\"entity:user_role\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":593:{a:11:{s:4:\"vars\";a:1:{i:0;s:9:\"user_role\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:65:\"#^/admin/people/roles/manage/(?P<user_role>[^/]++)/translate$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"user_role\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/people/roles/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:9:\"user_role\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:38:\"/admin/people/roles/manage/%/translate\";s:8:\"numParts\";i:6;}}}}',6),('entity.user_role.delete_form','/admin/people/roles/manage/{user_role}/delete','/admin/people/roles/manage/%/delete',61,'C:31:\"Symfony\\Component\\Routing\\Route\":1343:{a:9:{s:4:\"path\";s:45:\"/admin/people/roles/manage/{user_role}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:16:\"user_role.delete\";s:6:\"_title\";s:11:\"Delete role\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:16:\"user_role.delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:9:\"user_role\";a:2:{s:4:\"type\";s:16:\"entity:user_role\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":583:{a:11:{s:4:\"vars\";a:1:{i:0;s:9:\"user_role\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:62:\"#^/admin/people/roles/manage/(?P<user_role>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"user_role\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/people/roles/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:9:\"user_role\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:35:\"/admin/people/roles/manage/%/delete\";s:8:\"numParts\";i:6;}}}}',6),('entity.user_role.edit_form','/admin/people/roles/manage/{user_role}','/admin/people/roles/manage/%',30,'C:31:\"Symfony\\Component\\Routing\\Route\":1277:{a:9:{s:4:\"path\";s:38:\"/admin/people/roles/manage/{user_role}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:17:\"user_role.default\";s:6:\"_title\";s:9:\"Edit role\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:16:\"user_role.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:9:\"user_role\";a:2:{s:4:\"type\";s:16:\"entity:user_role\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":526:{a:11:{s:4:\"vars\";a:1:{i:0;s:9:\"user_role\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:55:\"#^/admin/people/roles/manage/(?P<user_role>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"user_role\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/people/roles/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:9:\"user_role\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:30;s:14:\"patternOutline\";s:28:\"/admin/people/roles/manage/%\";s:8:\"numParts\";i:5;}}}}',5),('entity.user_role.edit_permissions_form','/admin/people/permissions/{user_role}','/admin/people/permissions/%',14,'C:31:\"Symfony\\Component\\Routing\\Route\":1297:{a:9:{s:4:\"path\";s:37:\"/admin/people/permissions/{user_role}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:49:\"\\Drupal\\user\\Form\\UserPermissionsRoleSpecificForm\";s:6:\"_title\";s:9:\"Edit role\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:16:\"user_role.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:9:\"user_role\";a:2:{s:4:\"type\";s:16:\"entity:user_role\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":523:{a:11:{s:4:\"vars\";a:1:{i:0;s:9:\"user_role\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:54:\"#^/admin/people/permissions/(?P<user_role>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"user_role\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:25:\"/admin/people/permissions\";}}s:9:\"path_vars\";a:1:{i:0;s:9:\"user_role\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:14;s:14:\"patternOutline\";s:27:\"/admin/people/permissions/%\";s:8:\"numParts\";i:4;}}}}',4),('entity.view.break_lock_form','/admin/structure/views/view/{view}/break-lock','/admin/structure/views/view/%/break-lock',61,'C:31:\"Symfony\\Component\\Routing\\Route\":1327:{a:9:{s:4:\"path\";s:45:\"/admin/structure/views/view/{view}/break-lock\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:15:\"view.break_lock\";s:6:\"_title\";s:10:\"Break lock\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:15:\"view.break-lock\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:4:\"view\";a:2:{s:4:\"type\";s:11:\"entity:view\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":580:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"view\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:63:\"#^/admin/structure/views/view/(?P<view>[^/]++)/break\\-lock$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/break-lock\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"view\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:27:\"/admin/structure/views/view\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"view\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:40:\"/admin/structure/views/view/%/break-lock\";s:8:\"numParts\";i:6;}}}}',6),('entity.view.collection','/admin/structure/views','/admin/structure/views',7,'C:31:\"Symfony\\Component\\Routing\\Route\":913:{a:9:{s:4:\"path\";s:22:\"/admin/structure/views\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_list\";s:4:\"view\";s:6:\"_title\";s:5:\"Views\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:16:\"administer views\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":363:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:29:\"#^/admin/structure/views$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/admin/structure/views\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:22:\"/admin/structure/views\";s:8:\"numParts\";i:3;}}}}',3),('entity.view.config_translation_overview','/admin/structure/views/view/{view}/translate','/admin/structure/views/view/%/translate',61,'C:31:\"Symfony\\Component\\Routing\\Route\":1372:{a:9:{s:4:\"path\";s:44:\"/admin/structure/views/view/{view}/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:75:\"\\Drupal\\config_translation\\Controller\\ConfigTranslationController::itemPage\";s:9:\"plugin_id\";s:4:\"view\";}s:12:\"requirements\";a:1:{s:35:\"_config_translation_overview_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"view\";a:2:{s:4:\"type\";s:11:\"entity:view\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:34:\"config_translation.access.overview\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":576:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"view\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:61:\"#^/admin/structure/views/view/(?P<view>[^/]++)/translate$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/translate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"view\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:27:\"/admin/structure/views/view\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"view\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:39:\"/admin/structure/views/view/%/translate\";s:8:\"numParts\";i:6;}}}}',6),('entity.view.delete_form','/admin/structure/views/view/{view}/delete','/admin/structure/views/view/%/delete',61,'C:31:\"Symfony\\Component\\Routing\\Route\":1302:{a:9:{s:4:\"path\";s:41:\"/admin/structure/views/view/{view}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:11:\"view.delete\";s:6:\"_title\";s:11:\"Delete view\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:11:\"view.delete\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:4:\"view\";a:2:{s:4:\"type\";s:11:\"entity:view\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":566:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"view\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:58:\"#^/admin/structure/views/view/(?P<view>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"view\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:27:\"/admin/structure/views/view\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"view\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:36:\"/admin/structure/views/view/%/delete\";s:8:\"numParts\";i:6;}}}}',6),('entity.view.disable','/admin/structure/views/view/{view}/disable','/admin/structure/views/view/%/disable',61,'C:31:\"Symfony\\Component\\Routing\\Route\":1405:{a:9:{s:4:\"path\";s:42:\"/admin/structure/views/view/{view}/disable\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:60:\"\\Drupal\\views_ui\\Controller\\ViewsUIController::ajaxOperation\";s:2:\"op\";s:7:\"disable\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:12:\"view.disable\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:4:\"view\";a:2:{s:4:\"type\";s:11:\"entity:view\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":569:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"view\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:59:\"#^/admin/structure/views/view/(?P<view>[^/]++)/disable$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/disable\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"view\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:27:\"/admin/structure/views/view\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"view\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:37:\"/admin/structure/views/view/%/disable\";s:8:\"numParts\";i:6;}}}}',6),('entity.view.duplicate_form','/admin/structure/views/view/{view}/duplicate','/admin/structure/views/view/%/duplicate',61,'C:31:\"Symfony\\Component\\Routing\\Route\":1324:{a:9:{s:4:\"path\";s:44:\"/admin/structure/views/view/{view}/duplicate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:14:\"view.duplicate\";s:6:\"_title\";s:14:\"Duplicate view\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:14:\"view.duplicate\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:4:\"view\";a:2:{s:4:\"type\";s:11:\"entity:view\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":576:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"view\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:61:\"#^/admin/structure/views/view/(?P<view>[^/]++)/duplicate$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/duplicate\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"view\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:27:\"/admin/structure/views/view\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"view\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:39:\"/admin/structure/views/view/%/duplicate\";s:8:\"numParts\";i:6;}}}}',6),('entity.view.edit_display_form','/admin/structure/views/view/{view}/edit/{display_id}','/admin/structure/views/view/%/edit',61,'C:31:\"Symfony\\Component\\Routing\\Route\":1504:{a:9:{s:4:\"path\";s:52:\"/admin/structure/views/view/{view}/edit/{display_id}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:51:\"\\Drupal\\views_ui\\Controller\\ViewsUIController::edit\";s:10:\"display_id\";N;}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:11:\"view.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"view\";a:3:{s:9:\"tempstore\";b:1;s:4:\"type\";s:11:\"entity:view\";s:9:\"converter\";s:53:\"drupal.proxy_original_service.paramconverter.views_ui\";}}s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":720:{a:11:{s:4:\"vars\";a:2:{i:0;s:4:\"view\";i:1;s:10:\"display_id\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:84:\"#^/admin/structure/views/view/(?P<view>[^/]++)/edit(?:/(?P<display_id>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:10:\"display_id\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"view\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:27:\"/admin/structure/views/view\";}}s:9:\"path_vars\";a:2:{i:0;s:4:\"view\";i:1;s:10:\"display_id\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:34:\"/admin/structure/views/view/%/edit\";s:8:\"numParts\";i:7;}}}}',7),('entity.view.edit_form','/admin/structure/views/view/{view}','/admin/structure/views/view/%',30,'C:31:\"Symfony\\Component\\Routing\\Route\":1255:{a:9:{s:4:\"path\";s:34:\"/admin/structure/views/view/{view}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:51:\"\\Drupal\\views_ui\\Controller\\ViewsUIController::edit\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:11:\"view.update\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"view\";a:3:{s:9:\"tempstore\";b:1;s:4:\"type\";s:11:\"entity:view\";s:9:\"converter\";s:53:\"drupal.proxy_original_service.paramconverter.views_ui\";}}s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":509:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"view\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:51:\"#^/admin/structure/views/view/(?P<view>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"view\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:27:\"/admin/structure/views/view\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"view\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:30;s:14:\"patternOutline\";s:29:\"/admin/structure/views/view/%\";s:8:\"numParts\";i:5;}}}}',5),('entity.view.enable','/admin/structure/views/view/{view}/enable','/admin/structure/views/view/%/enable',61,'C:31:\"Symfony\\Component\\Routing\\Route\":1399:{a:9:{s:4:\"path\";s:41:\"/admin/structure/views/view/{view}/enable\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:60:\"\\Drupal\\views_ui\\Controller\\ViewsUIController::ajaxOperation\";s:2:\"op\";s:6:\"enable\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:11:\"view.enable\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:4:\"view\";a:2:{s:4:\"type\";s:11:\"entity:view\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":566:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"view\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:58:\"#^/admin/structure/views/view/(?P<view>[^/]++)/enable$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/enable\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"view\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:27:\"/admin/structure/views/view\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"view\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:36:\"/admin/structure/views/view/%/enable\";s:8:\"numParts\";i:6;}}}}',6),('entity.view.preview_form','/admin/structure/views/view/{view}/preview/{display_id}','/admin/structure/views/view/%/preview',61,'C:31:\"Symfony\\Component\\Routing\\Route\":1484:{a:9:{s:4:\"path\";s:55:\"/admin/structure/views/view/{view}/preview/{display_id}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:12:\"view.preview\";s:10:\"display_id\";N;}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:16:\"administer views\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"view\";a:3:{s:9:\"tempstore\";b:1;s:4:\"type\";s:11:\"entity:view\";s:9:\"converter\";s:53:\"drupal.proxy_original_service.paramconverter.views_ui\";}}s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":729:{a:11:{s:4:\"vars\";a:2:{i:0;s:4:\"view\";i:1;s:10:\"display_id\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:87:\"#^/admin/structure/views/view/(?P<view>[^/]++)/preview(?:/(?P<display_id>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:10:\"display_id\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/preview\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"view\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:27:\"/admin/structure/views/view\";}}s:9:\"path_vars\";a:2:{i:0;s:4:\"view\";i:1;s:10:\"display_id\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:37:\"/admin/structure/views/view/%/preview\";s:8:\"numParts\";i:7;}}}}',7),('field_ui.display_mode','/admin/structure/display-modes','/admin/structure/display-modes',7,'C:31:\"Symfony\\Component\\Routing\\Route\":1027:{a:9:{s:4:\"path\";s:30:\"/admin/structure/display-modes\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:68:\"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage\";s:6:\"_title\";s:13:\"Display modes\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"administer display modes\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":388:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:38:\"#^/admin/structure/display\\-modes$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:30:\"/admin/structure/display-modes\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:30:\"/admin/structure/display-modes\";s:8:\"numParts\";i:3;}}}}',3),('field_ui.entity_form_mode_add','/admin/structure/display-modes/form/add','/admin/structure/display-modes/form/add',31,'C:31:\"Symfony\\Component\\Routing\\Route\":1089:{a:9:{s:4:\"path\";s:39:\"/admin/structure/display-modes/form/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:78:\"\\Drupal\\field_ui\\Controller\\EntityDisplayModeController::formModeTypeSelection\";s:6:\"_title\";s:28:\"Choose form mode entity type\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"administer display modes\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":416:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:47:\"#^/admin/structure/display\\-modes/form/add$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:39:\"/admin/structure/display-modes/form/add\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:39:\"/admin/structure/display-modes/form/add\";s:8:\"numParts\";i:5;}}}}',5),('field_ui.entity_view_mode_add','/admin/structure/display-modes/view/add','/admin/structure/display-modes/view/add',31,'C:31:\"Symfony\\Component\\Routing\\Route\":1089:{a:9:{s:4:\"path\";s:39:\"/admin/structure/display-modes/view/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:78:\"\\Drupal\\field_ui\\Controller\\EntityDisplayModeController::viewModeTypeSelection\";s:6:\"_title\";s:28:\"Choose view mode entity type\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"administer display modes\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":416:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:47:\"#^/admin/structure/display\\-modes/view/add$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:39:\"/admin/structure/display-modes/view/add\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:39:\"/admin/structure/display-modes/view/add\";s:8:\"numParts\";i:5;}}}}',5),('field_ui.field_storage_config_add_block_content','/admin/structure/block/block-content/manage/{block_content_type}/fields/add-field','/admin/structure/block/block-content/manage/%/fields/add-field',251,'C:31:\"Symfony\\Component\\Routing\\Route\":1607:{a:9:{s:4:\"path\";s:81:\"/admin/structure/block/block-content/manage/{block_content_type}/fields/add-field\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:5:\"_form\";s:41:\"\\Drupal\\field_ui\\Form\\FieldStorageAddForm\";s:6:\"_title\";s:9:\"Add field\";s:14:\"entity_type_id\";s:13:\"block_content\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:31:\"administer block_content fields\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:18:\"block_content_type\";a:2:{s:4:\"type\";s:25:\"entity:block_content_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":708:{a:11:{s:4:\"vars\";a:1:{i:0;s:18:\"block_content_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:100:\"#^/admin/structure/block/block\\-content/manage/(?P<block_content_type>[^/]++)/fields/add\\-field$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/fields/add-field\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:18:\"block_content_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:43:\"/admin/structure/block/block-content/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:18:\"block_content_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:251;s:14:\"patternOutline\";s:62:\"/admin/structure/block/block-content/manage/%/fields/add-field\";s:8:\"numParts\";i:8;}}}}',8),('field_ui.field_storage_config_add_comment','/admin/structure/comment/manage/{comment_type}/fields/add-field','/admin/structure/comment/manage/%/fields/add-field',123,'C:31:\"Symfony\\Component\\Routing\\Route\":1502:{a:9:{s:4:\"path\";s:63:\"/admin/structure/comment/manage/{comment_type}/fields/add-field\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:5:\"_form\";s:41:\"\\Drupal\\field_ui\\Form\\FieldStorageAddForm\";s:6:\"_title\";s:9:\"Add field\";s:14:\"entity_type_id\";s:7:\"comment\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:25:\"administer comment fields\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"comment_type\";a:2:{s:4:\"type\";s:19:\"entity:comment_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":646:{a:11:{s:4:\"vars\";a:1:{i:0;s:12:\"comment_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:81:\"#^/admin/structure/comment/manage/(?P<comment_type>[^/]++)/fields/add\\-field$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/fields/add-field\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"comment_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/comment/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"comment_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:123;s:14:\"patternOutline\";s:50:\"/admin/structure/comment/manage/%/fields/add-field\";s:8:\"numParts\";i:7;}}}}',7),('field_ui.field_storage_config_add_contact_message','/admin/structure/contact/manage/{contact_form}/fields/add-field','/admin/structure/contact/manage/%/fields/add-field',123,'C:31:\"Symfony\\Component\\Routing\\Route\":1519:{a:9:{s:4:\"path\";s:63:\"/admin/structure/contact/manage/{contact_form}/fields/add-field\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:5:\"_form\";s:41:\"\\Drupal\\field_ui\\Form\\FieldStorageAddForm\";s:6:\"_title\";s:9:\"Add field\";s:14:\"entity_type_id\";s:15:\"contact_message\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:33:\"administer contact_message fields\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"contact_form\";a:2:{s:4:\"type\";s:19:\"entity:contact_form\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":646:{a:11:{s:4:\"vars\";a:1:{i:0;s:12:\"contact_form\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:81:\"#^/admin/structure/contact/manage/(?P<contact_form>[^/]++)/fields/add\\-field$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/fields/add-field\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"contact_form\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/contact/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"contact_form\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:123;s:14:\"patternOutline\";s:50:\"/admin/structure/contact/manage/%/fields/add-field\";s:8:\"numParts\";i:7;}}}}',7),('field_ui.field_storage_config_add_node','/admin/structure/types/manage/{node_type}/fields/add-field','/admin/structure/types/manage/%/fields/add-field',123,'C:31:\"Symfony\\Component\\Routing\\Route\":1463:{a:9:{s:4:\"path\";s:58:\"/admin/structure/types/manage/{node_type}/fields/add-field\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:5:\"_form\";s:41:\"\\Drupal\\field_ui\\Form\\FieldStorageAddForm\";s:6:\"_title\";s:9:\"Add field\";s:14:\"entity_type_id\";s:4:\"node\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:22:\"administer node fields\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:9:\"node_type\";a:2:{s:4:\"type\";s:16:\"entity:node_type\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":625:{a:11:{s:4:\"vars\";a:1:{i:0;s:9:\"node_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:76:\"#^/admin/structure/types/manage/(?P<node_type>[^/]++)/fields/add\\-field$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/fields/add-field\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/types/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:9:\"node_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:123;s:14:\"patternOutline\";s:48:\"/admin/structure/types/manage/%/fields/add-field\";s:8:\"numParts\";i:7;}}}}',7),('field_ui.field_storage_config_add_simplenews_subscriber','/admin/config/people/simplenews/settings/subscriber/fields/add-field','/admin/config/people/simplenews/settings/subscriber/fields/add-field',255,'C:31:\"Symfony\\Component\\Routing\\Route\":1241:{a:9:{s:4:\"path\";s:68:\"/admin/config/people/simplenews/settings/subscriber/fields/add-field\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:5:\"_form\";s:41:\"\\Drupal\\field_ui\\Form\\FieldStorageAddForm\";s:6:\"_title\";s:9:\"Add field\";s:14:\"entity_type_id\";s:21:\"simplenews_subscriber\";s:6:\"bundle\";s:21:\"simplenews_subscriber\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:39:\"administer simplenews_subscriber fields\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":504:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:76:\"#^/admin/config/people/simplenews/settings/subscriber/fields/add\\-field$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:68:\"/admin/config/people/simplenews/settings/subscriber/fields/add-field\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:255;s:14:\"patternOutline\";s:68:\"/admin/config/people/simplenews/settings/subscriber/fields/add-field\";s:8:\"numParts\";i:8;}}}}',8),('field_ui.field_storage_config_add_taxonomy_term','/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/fields/add-field','/admin/structure/taxonomy/manage/%/overview/fields/add-field',247,'C:31:\"Symfony\\Component\\Routing\\Route\":1604:{a:9:{s:4:\"path\";s:80:\"/admin/structure/taxonomy/manage/{taxonomy_vocabulary}/overview/fields/add-field\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:5:\"_form\";s:41:\"\\Drupal\\field_ui\\Form\\FieldStorageAddForm\";s:6:\"_title\";s:9:\"Add field\";s:14:\"entity_type_id\";s:13:\"taxonomy_term\";s:6:\"bundle\";s:0:\"\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:31:\"administer taxonomy_term fields\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:10:\"parameters\";a:1:{s:19:\"taxonomy_vocabulary\";a:2:{s:4:\"type\";s:26:\"entity:taxonomy_vocabulary\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:9:\"_field_ui\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":704:{a:11:{s:4:\"vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:98:\"#^/admin/structure/taxonomy/manage/(?P<taxonomy_vocabulary>[^/]++)/overview/fields/add\\-field$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/overview/fields/add-field\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:19:\"taxonomy_vocabulary\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/structure/taxonomy/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:19:\"taxonomy_vocabulary\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:247;s:14:\"patternOutline\";s:60:\"/admin/structure/taxonomy/manage/%/overview/fields/add-field\";s:8:\"numParts\";i:8;}}}}',8),('field_ui.field_storage_config_add_user','/admin/config/people/accounts/fields/add-field','/admin/config/people/accounts/fields/add-field',63,'C:31:\"Symfony\\Component\\Routing\\Route\":1099:{a:9:{s:4:\"path\";s:46:\"/admin/config/people/accounts/fields/add-field\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:5:\"_form\";s:41:\"\\Drupal\\field_ui\\Form\\FieldStorageAddForm\";s:6:\"_title\";s:9:\"Add field\";s:14:\"entity_type_id\";s:4:\"user\";s:6:\"bundle\";s:4:\"user\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:22:\"administer user fields\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:9:\"_field_ui\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":437:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:54:\"#^/admin/config/people/accounts/fields/add\\-field$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:46:\"/admin/config/people/accounts/fields/add-field\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:63;s:14:\"patternOutline\";s:46:\"/admin/config/people/accounts/fields/add-field\";s:8:\"numParts\";i:6;}}}}',6),('file.ajax_progress','/file/progress/{key}','/file/progress/%',6,'C:31:\"Symfony\\Component\\Routing\\Route\":1016:{a:9:{s:4:\"path\";s:20:\"/file/progress/{key}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:58:\"\\Drupal\\file\\Controller\\FileWidgetAjaxController::progress\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:14:\"access content\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":465:{a:11:{s:4:\"vars\";a:1:{i:0;s:3:\"key\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:37:\"#^/file/progress/(?P<key>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:3:\"key\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/file/progress\";}}s:9:\"path_vars\";a:1:{i:0;s:3:\"key\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:16:\"/file/progress/%\";s:8:\"numParts\";i:3;}}}}',3),('filter.admin_overview','/admin/config/content/formats','/admin/config/content/formats',15,'C:31:\"Symfony\\Component\\Routing\\Route\":974:{a:9:{s:4:\"path\";s:29:\"/admin/config/content/formats\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_list\";s:13:\"filter_format\";s:6:\"_title\";s:24:\"Text formats and editors\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:18:\"administer filters\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":385:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:36:\"#^/admin/config/content/formats$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/config/content/formats\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:29:\"/admin/config/content/formats\";s:8:\"numParts\";i:4;}}}}',4),('filter.format_add','/admin/config/content/formats/add','/admin/config/content/formats/add',31,'C:31:\"Symfony\\Component\\Routing\\Route\":993:{a:9:{s:4:\"path\";s:33:\"/admin/config/content/formats/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:17:\"filter_format.add\";s:6:\"_title\";s:15:\"Add text format\";}s:12:\"requirements\";a:1:{s:21:\"_entity_create_access\";s:13:\"filter_format\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:26:\"access_check.entity_create\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":397:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:40:\"#^/admin/config/content/formats/add$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:33:\"/admin/config/content/formats/add\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:33:\"/admin/config/content/formats/add\";s:8:\"numParts\";i:5;}}}}',5),('filter.tips','/filter/tips/{filter_format}','/filter/tips/%',6,'C:31:\"Symfony\\Component\\Routing\\Route\":1227:{a:9:{s:4:\"path\";s:28:\"/filter/tips/{filter_format}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:54:\"\\Drupal\\filter\\Controller\\FilterController::filterTips\";s:6:\"_title\";s:12:\"Compose tips\";}s:12:\"requirements\";a:1:{s:14:\"_entity_access\";s:17:\"filter_format.use\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:13:\"filter_format\";a:2:{s:4:\"type\";s:20:\"entity:filter_format\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":502:{a:11:{s:4:\"vars\";a:1:{i:0;s:13:\"filter_format\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:45:\"#^/filter/tips/(?P<filter_format>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"filter_format\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:12:\"/filter/tips\";}}s:9:\"path_vars\";a:1:{i:0;s:13:\"filter_format\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:14:\"/filter/tips/%\";s:8:\"numParts\";i:3;}}}}',3),('filter.tips_all','/filter/tips','/filter/tips',3,'C:31:\"Symfony\\Component\\Routing\\Route\":1021:{a:9:{s:4:\"path\";s:12:\"/filter/tips\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:54:\"\\Drupal\\filter\\Controller\\FilterController::filterTips\";s:6:\"_title\";s:12:\"Compose tips\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:13:\"filter_format\";a:2:{s:4:\"type\";s:20:\"entity:filter_format\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":333:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:19:\"#^/filter/tips$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:12:\"/filter/tips\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:12:\"/filter/tips\";s:8:\"numParts\";i:2;}}}}',2),('help.main','/admin/help','/admin/help',3,'C:31:\"Symfony\\Component\\Routing\\Route\":923:{a:9:{s:4:\"path\";s:11:\"/admin/help\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:48:\"\\Drupal\\help\\Controller\\HelpController::helpMain\";s:6:\"_title\";s:4:\"Help\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"access administration pages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":330:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:18:\"#^/admin/help$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/admin/help\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:11:\"/admin/help\";s:8:\"numParts\";i:2;}}}}',2),('help.page','/admin/help/{name}','/admin/help/%',6,'C:31:\"Symfony\\Component\\Routing\\Route\":1060:{a:9:{s:4:\"path\";s:18:\"/admin/help/{name}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:48:\"\\Drupal\\help\\Controller\\HelpController::helpPage\";s:6:\"_title\";s:4:\"Help\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"access administration pages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":460:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:35:\"#^/admin/help/(?P<name>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"name\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/admin/help\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:13:\"/admin/help/%\";s:8:\"numParts\";i:3;}}}}',3),('history.get_last_node_view','/history/get_node_read_timestamps','/history/get_node_read_timestamps',3,'C:31:\"Symfony\\Component\\Routing\\Route\":969:{a:9:{s:4:\"path\";s:33:\"/history/get_node_read_timestamps\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:67:\"\\Drupal\\history\\Controller\\HistoryController::getNodeReadTimestamps\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:14:\"access content\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":396:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:40:\"#^/history/get_node_read_timestamps$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:33:\"/history/get_node_read_timestamps\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:33:\"/history/get_node_read_timestamps\";s:8:\"numParts\";i:2;}}}}',2),('history.read_node','/history/{node}/read','/history/%/read',5,'C:31:\"Symfony\\Component\\Routing\\Route\":1172:{a:9:{s:4:\"path\";s:20:\"/history/{node}/read\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:54:\"\\Drupal\\history\\Controller\\HistoryController::readNode\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:9:\"node.view\";s:4:\"node\";s:3:\"\\d+\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:4:\"node\";a:2:{s:4:\"type\";s:11:\"entity:node\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":495:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"node\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:34:\"#^/history/(?P<node>\\d+)/read$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/read\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"node\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/history\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"node\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:15:\"/history/%/read\";s:8:\"numParts\";i:3;}}}}',3),('image.effect_add_form','/admin/config/media/image-styles/manage/{image_style}/add/{image_effect}','/admin/config/media/image-styles/manage/%/add/%',250,'C:31:\"Symfony\\Component\\Routing\\Route\":1610:{a:9:{s:4:\"path\";s:72:\"/admin/config/media/image-styles/manage/{image_style}/add/{image_effect}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:37:\"\\Drupal\\image\\Form\\ImageEffectAddForm\";s:6:\"_title\";s:16:\"Add image effect\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:23:\"administer image styles\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:11:\"image_style\";a:2:{s:4:\"type\";s:18:\"entity:image_style\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":792:{a:11:{s:4:\"vars\";a:2:{i:0;s:11:\"image_style\";i:1;s:12:\"image_effect\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:100:\"#^/admin/config/media/image\\-styles/manage/(?P<image_style>[^/]++)/add/(?P<image_effect>[^/]++)$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"image_effect\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:4:\"/add\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"image_style\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:39:\"/admin/config/media/image-styles/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:11:\"image_style\";i:1;s:12:\"image_effect\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:250;s:14:\"patternOutline\";s:47:\"/admin/config/media/image-styles/manage/%/add/%\";s:8:\"numParts\";i:8;}}}}',8),('image.effect_delete','/admin/config/media/image-styles/manage/{image_style}/effects/{image_effect}/delete','/admin/config/media/image-styles/manage/%/effects/%/delete',501,'C:31:\"Symfony\\Component\\Routing\\Route\":1696:{a:9:{s:4:\"path\";s:83:\"/admin/config/media/image-styles/manage/{image_style}/effects/{image_effect}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:40:\"\\Drupal\\image\\Form\\ImageEffectDeleteForm\";s:6:\"_title\";s:19:\"Delete image effect\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:23:\"administer image styles\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:11:\"image_style\";a:2:{s:4:\"type\";s:18:\"entity:image_style\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":861:{a:11:{s:4:\"vars\";a:2:{i:0;s:11:\"image_style\";i:1;s:12:\"image_effect\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:111:\"#^/admin/config/media/image\\-styles/manage/(?P<image_style>[^/]++)/effects/(?P<image_effect>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"image_effect\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/effects\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"image_style\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:39:\"/admin/config/media/image-styles/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:11:\"image_style\";i:1;s:12:\"image_effect\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:501;s:14:\"patternOutline\";s:58:\"/admin/config/media/image-styles/manage/%/effects/%/delete\";s:8:\"numParts\";i:9;}}}}',9),('image.effect_edit_form','/admin/config/media/image-styles/manage/{image_style}/effects/{image_effect}','/admin/config/media/image-styles/manage/%/effects/%',250,'C:31:\"Symfony\\Component\\Routing\\Route\":1628:{a:9:{s:4:\"path\";s:76:\"/admin/config/media/image-styles/manage/{image_style}/effects/{image_effect}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:38:\"\\Drupal\\image\\Form\\ImageEffectEditForm\";s:6:\"_title\";s:17:\"Edit image effect\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:23:\"administer image styles\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:11:\"image_style\";a:2:{s:4:\"type\";s:18:\"entity:image_style\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":804:{a:11:{s:4:\"vars\";a:2:{i:0;s:11:\"image_style\";i:1;s:12:\"image_effect\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:104:\"#^/admin/config/media/image\\-styles/manage/(?P<image_style>[^/]++)/effects/(?P<image_effect>[^/]++)$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"image_effect\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/effects\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"image_style\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:39:\"/admin/config/media/image-styles/manage\";}}s:9:\"path_vars\";a:2:{i:0;s:11:\"image_style\";i:1;s:12:\"image_effect\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:250;s:14:\"patternOutline\";s:51:\"/admin/config/media/image-styles/manage/%/effects/%\";s:8:\"numParts\";i:8;}}}}',8),('image.info','/quickedit/image/info/{entity_type}/{entity}/{field_name}/{langcode}/{view_mode_id}','/quickedit/image/info/%/%/%/%/%',224,'C:31:\"Symfony\\Component\\Routing\\Route\":2043:{a:9:{s:4:\"path\";s:83:\"/quickedit/image/info/{entity_type}/{entity}/{field_name}/{langcode}/{view_mode_id}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:58:\"\\Drupal\\image\\Controller\\QuickEditImageController::getInfo\";}s:12:\"requirements\";a:3:{s:11:\"_permission\";s:23:\"access in-place editing\";s:30:\"_access_quickedit_entity_field\";s:4:\"TRUE\";s:7:\"_method\";s:3:\"GET\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:6:\"entity\";a:2:{s:4:\"type\";s:20:\"entity:{entity_type}\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:35:\"access_check.quickedit.entity_field\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":1130:{a:11:{s:4:\"vars\";a:5:{i:0;s:11:\"entity_type\";i:1;s:6:\"entity\";i:2;s:10:\"field_name\";i:3;s:8:\"langcode\";i:4;s:12:\"view_mode_id\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:140:\"#^/quickedit/image/info/(?P<entity_type>[^/]++)/(?P<entity>[^/]++)/(?P<field_name>[^/]++)/(?P<langcode>[^/]++)/(?P<view_mode_id>[^/]++)$#sDu\";s:11:\"path_tokens\";a:6:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"view_mode_id\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:10:\"field_name\";i:4;b:1;}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"entity\";i:4;b:1;}i:4;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"entity_type\";i:4;b:1;}i:5;a:2:{i:0;s:4:\"text\";i:1;s:21:\"/quickedit/image/info\";}}s:9:\"path_vars\";a:5:{i:0;s:11:\"entity_type\";i:1;s:6:\"entity\";i:2;s:10:\"field_name\";i:3;s:8:\"langcode\";i:4;s:12:\"view_mode_id\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:224;s:14:\"patternOutline\";s:31:\"/quickedit/image/info/%/%/%/%/%\";s:8:\"numParts\";i:8;}}}}',8),('image.style_add','/admin/config/media/image-styles/add','/admin/config/media/image-styles/add',31,'C:31:\"Symfony\\Component\\Routing\\Route\":1001:{a:9:{s:4:\"path\";s:36:\"/admin/config/media/image-styles/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:15:\"image_style.add\";s:6:\"_title\";s:15:\"Add image style\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:23:\"administer image styles\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":407:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:44:\"#^/admin/config/media/image\\-styles/add$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:36:\"/admin/config/media/image-styles/add\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:36:\"/admin/config/media/image-styles/add\";s:8:\"numParts\";i:5;}}}}',5),('image.style_private','/system/files/styles/{image_style}/{scheme}','/system/files/styles/%/%',28,'C:31:\"Symfony\\Component\\Routing\\Route\":1347:{a:9:{s:4:\"path\";s:43:\"/system/files/styles/{image_style}/{scheme}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:62:\"\\Drupal\\image\\Controller\\ImageStyleDownloadController::deliver\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:11:\"image_style\";a:2:{s:4:\"type\";s:18:\"entity:image_style\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":657:{a:11:{s:4:\"vars\";a:2:{i:0;s:11:\"image_style\";i:1;s:6:\"scheme\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:70:\"#^/system/files/styles/(?P<image_style>[^/]++)/(?P<scheme>[^/]++)$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"scheme\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"image_style\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/system/files/styles\";}}s:9:\"path_vars\";a:2:{i:0;s:11:\"image_style\";i:1;s:6:\"scheme\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:28;s:14:\"patternOutline\";s:24:\"/system/files/styles/%/%\";s:8:\"numParts\";i:5;}}}}',5),('image.style_public','/sites/default/files/styles/{image_style}/{scheme}','/sites/default/files/styles/%/%',60,'C:31:\"Symfony\\Component\\Routing\\Route\":1374:{a:9:{s:4:\"path\";s:50:\"/sites/default/files/styles/{image_style}/{scheme}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:61:\"Drupal\\image\\Controller\\ImageStyleDownloadController::deliver\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:11:\"image_style\";a:2:{s:4:\"type\";s:18:\"entity:image_style\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":678:{a:11:{s:4:\"vars\";a:2:{i:0;s:11:\"image_style\";i:1;s:6:\"scheme\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:77:\"#^/sites/default/files/styles/(?P<image_style>[^/]++)/(?P<scheme>[^/]++)$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"scheme\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"image_style\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:27:\"/sites/default/files/styles\";}}s:9:\"path_vars\";a:2:{i:0;s:11:\"image_style\";i:1;s:6:\"scheme\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:60;s:14:\"patternOutline\";s:31:\"/sites/default/files/styles/%/%\";s:8:\"numParts\";i:6;}}}}',6),('image.upload','/quickedit/image/upload/{entity_type}/{entity}/{field_name}/{langcode}/{view_mode_id}','/quickedit/image/upload/%/%/%/%/%',224,'C:31:\"Symfony\\Component\\Routing\\Route\":2051:{a:9:{s:4:\"path\";s:85:\"/quickedit/image/upload/{entity_type}/{entity}/{field_name}/{langcode}/{view_mode_id}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:57:\"\\Drupal\\image\\Controller\\QuickEditImageController::upload\";}s:12:\"requirements\";a:3:{s:11:\"_permission\";s:23:\"access in-place editing\";s:30:\"_access_quickedit_entity_field\";s:4:\"TRUE\";s:7:\"_method\";s:4:\"POST\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:6:\"entity\";a:2:{s:4:\"type\";s:20:\"entity:{entity_type}\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:35:\"access_check.quickedit.entity_field\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":1136:{a:11:{s:4:\"vars\";a:5:{i:0;s:11:\"entity_type\";i:1;s:6:\"entity\";i:2;s:10:\"field_name\";i:3;s:8:\"langcode\";i:4;s:12:\"view_mode_id\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:142:\"#^/quickedit/image/upload/(?P<entity_type>[^/]++)/(?P<entity>[^/]++)/(?P<field_name>[^/]++)/(?P<langcode>[^/]++)/(?P<view_mode_id>[^/]++)$#sDu\";s:11:\"path_tokens\";a:6:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"view_mode_id\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:10:\"field_name\";i:4;b:1;}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"entity\";i:4;b:1;}i:4;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"entity_type\";i:4;b:1;}i:5;a:2:{i:0;s:4:\"text\";i:1;s:23:\"/quickedit/image/upload\";}}s:9:\"path_vars\";a:5:{i:0;s:11:\"entity_type\";i:1;s:6:\"entity\";i:2;s:10:\"field_name\";i:3;s:8:\"langcode\";i:4;s:12:\"view_mode_id\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:224;s:14:\"patternOutline\";s:33:\"/quickedit/image/upload/%/%/%/%/%\";s:8:\"numParts\";i:8;}}}}',8),('language.add','/admin/config/regional/language/add','/admin/config/regional/language/add',31,'C:31:\"Symfony\\Component\\Routing\\Route\":1014:{a:9:{s:4:\"path\";s:35:\"/admin/config/regional/language/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:25:\"configurable_language.add\";s:6:\"_title\";s:12:\"Add language\";}s:12:\"requirements\";a:1:{s:21:\"_entity_create_access\";s:21:\"configurable_language\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:26:\"access_check.entity_create\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":403:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:42:\"#^/admin/config/regional/language/add$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:35:\"/admin/config/regional/language/add\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:35:\"/admin/config/regional/language/add\";s:8:\"numParts\";i:5;}}}}',5),('language.content_settings_page','/admin/config/regional/content-language','/admin/config/regional/content-language',15,'C:31:\"Symfony\\Component\\Routing\\Route\":1037:{a:9:{s:4:\"path\";s:39:\"/admin/config/regional/content-language\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:6:\"_title\";s:16:\"Content language\";s:5:\"_form\";s:49:\"\\Drupal\\language\\Form\\ContentLanguageSettingsForm\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:20:\"administer languages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":416:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:47:\"#^/admin/config/regional/content\\-language$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:39:\"/admin/config/regional/content-language\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:39:\"/admin/config/regional/content-language\";s:8:\"numParts\";i:4;}}}}',4),('language.negotiation','/admin/config/regional/language/detection','/admin/config/regional/language/detection',31,'C:31:\"Symfony\\Component\\Routing\\Route\":1048:{a:9:{s:4:\"path\";s:41:\"/admin/config/regional/language/detection\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:46:\"\\Drupal\\language\\Form\\NegotiationConfigureForm\";s:6:\"_title\";s:23:\"Detection and selection\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:20:\"administer languages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":421:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:48:\"#^/admin/config/regional/language/detection$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:41:\"/admin/config/regional/language/detection\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:41:\"/admin/config/regional/language/detection\";s:8:\"numParts\";i:5;}}}}',5),('language.negotiation_browser','/admin/config/regional/language/detection/browser','/admin/config/regional/language/detection/browser',63,'C:31:\"Symfony\\Component\\Routing\\Route\":1095:{a:9:{s:4:\"path\";s:49:\"/admin/config/regional/language/detection/browser\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:44:\"\\Drupal\\language\\Form\\NegotiationBrowserForm\";s:6:\"_title\";s:40:\"Browser language detection configuration\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:20:\"administer languages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":445:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:56:\"#^/admin/config/regional/language/detection/browser$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:49:\"/admin/config/regional/language/detection/browser\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:63;s:14:\"patternOutline\";s:49:\"/admin/config/regional/language/detection/browser\";s:8:\"numParts\";i:6;}}}}',6),('language.negotiation_browser_delete','/admin/config/regional/language/detection/browser/delete/{browser_langcode}','/admin/config/regional/language/detection/browser/delete/%',254,'C:31:\"Symfony\\Component\\Routing\\Route\":1295:{a:9:{s:4:\"path\";s:75:\"/admin/config/regional/language/detection/browser/delete/{browser_langcode}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:50:\"\\Drupal\\language\\Form\\NegotiationBrowserDeleteForm\";s:6:\"_title\";s:6:\"Delete\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:20:\"administer languages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":648:{a:11:{s:4:\"vars\";a:1:{i:0;s:16:\"browser_langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:92:\"#^/admin/config/regional/language/detection/browser/delete/(?P<browser_langcode>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"browser_langcode\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:56:\"/admin/config/regional/language/detection/browser/delete\";}}s:9:\"path_vars\";a:1:{i:0;s:16:\"browser_langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:254;s:14:\"patternOutline\";s:58:\"/admin/config/regional/language/detection/browser/delete/%\";s:8:\"numParts\";i:8;}}}}',8),('language.negotiation_selected','/admin/config/regional/language/detection/selected','/admin/config/regional/language/detection/selected',63,'C:31:\"Symfony\\Component\\Routing\\Route\":1091:{a:9:{s:4:\"path\";s:50:\"/admin/config/regional/language/detection/selected\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:45:\"\\Drupal\\language\\Form\\NegotiationSelectedForm\";s:6:\"_title\";s:31:\"Selected language configuration\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:20:\"administer languages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":448:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:57:\"#^/admin/config/regional/language/detection/selected$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:50:\"/admin/config/regional/language/detection/selected\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:63;s:14:\"patternOutline\";s:50:\"/admin/config/regional/language/detection/selected\";s:8:\"numParts\";i:6;}}}}',6),('language.negotiation_session','/admin/config/regional/language/detection/session','/admin/config/regional/language/detection/session',63,'C:31:\"Symfony\\Component\\Routing\\Route\":1095:{a:9:{s:4:\"path\";s:49:\"/admin/config/regional/language/detection/session\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:44:\"\\Drupal\\language\\Form\\NegotiationSessionForm\";s:6:\"_title\";s:40:\"Session language detection configuration\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:20:\"administer languages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":445:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:56:\"#^/admin/config/regional/language/detection/session$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:49:\"/admin/config/regional/language/detection/session\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:63;s:14:\"patternOutline\";s:49:\"/admin/config/regional/language/detection/session\";s:8:\"numParts\";i:6;}}}}',6),('language.negotiation_url','/admin/config/regional/language/detection/url','/admin/config/regional/language/detection/url',63,'C:31:\"Symfony\\Component\\Routing\\Route\":1071:{a:9:{s:4:\"path\";s:45:\"/admin/config/regional/language/detection/url\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:40:\"\\Drupal\\language\\Form\\NegotiationUrlForm\";s:6:\"_title\";s:36:\"URL language detection configuration\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:20:\"administer languages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":433:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:52:\"#^/admin/config/regional/language/detection/url$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:45:\"/admin/config/regional/language/detection/url\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:63;s:14:\"patternOutline\";s:45:\"/admin/config/regional/language/detection/url\";s:8:\"numParts\";i:6;}}}}',6),('locale.check_translation','/admin/reports/translations/check','/admin/reports/translations/check',15,'C:31:\"Symfony\\Component\\Routing\\Route\":992:{a:9:{s:4:\"path\";s:33:\"/admin/reports/translations/check\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:60:\"\\Drupal\\locale\\Controller\\LocaleController::checkTranslation\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:19:\"translate interface\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":397:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:40:\"#^/admin/reports/translations/check$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:33:\"/admin/reports/translations/check\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:33:\"/admin/reports/translations/check\";s:8:\"numParts\";i:4;}}}}',4),('locale.settings','/admin/config/regional/translate/settings','/admin/config/regional/translate/settings',31,'C:31:\"Symfony\\Component\\Routing\\Route\":1046:{a:9:{s:4:\"path\";s:41:\"/admin/config/regional/translate/settings\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:38:\"\\Drupal\\locale\\Form\\LocaleSettingsForm\";s:6:\"_title\";s:30:\"Interface translation settings\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:19:\"translate interface\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":421:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:48:\"#^/admin/config/regional/translate/settings$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:41:\"/admin/config/regional/translate/settings\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:41:\"/admin/config/regional/translate/settings\";s:8:\"numParts\";i:5;}}}}',5),('locale.translate_export','/admin/config/regional/translate/export','/admin/config/regional/translate/export',31,'C:31:\"Symfony\\Component\\Routing\\Route\":1028:{a:9:{s:4:\"path\";s:39:\"/admin/config/regional/translate/export\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:30:\"\\Drupal\\locale\\Form\\ExportForm\";s:6:\"_title\";s:28:\"Interface translation export\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:19:\"translate interface\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":415:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:46:\"#^/admin/config/regional/translate/export$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:39:\"/admin/config/regional/translate/export\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:39:\"/admin/config/regional/translate/export\";s:8:\"numParts\";i:5;}}}}',5),('locale.translate_import','/admin/config/regional/translate/import','/admin/config/regional/translate/import',31,'C:31:\"Symfony\\Component\\Routing\\Route\":1028:{a:9:{s:4:\"path\";s:39:\"/admin/config/regional/translate/import\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:30:\"\\Drupal\\locale\\Form\\ImportForm\";s:6:\"_title\";s:28:\"Interface translation import\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:19:\"translate interface\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":415:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:46:\"#^/admin/config/regional/translate/import$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:39:\"/admin/config/regional/translate/import\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:39:\"/admin/config/regional/translate/import\";s:8:\"numParts\";i:5;}}}}',5),('locale.translate_page','/admin/config/regional/translate','/admin/config/regional/translate',15,'C:31:\"Symfony\\Component\\Routing\\Route\":1032:{a:9:{s:4:\"path\";s:32:\"/admin/config/regional/translate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:57:\"\\Drupal\\locale\\Controller\\LocaleController::translatePage\";s:6:\"_title\";s:26:\"User interface translation\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:19:\"translate interface\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":394:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:39:\"#^/admin/config/regional/translate$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/config/regional/translate\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:32:\"/admin/config/regional/translate\";s:8:\"numParts\";i:4;}}}}',4),('locale.translate_status','/admin/reports/translations','/admin/reports/translations',7,'C:31:\"Symfony\\Component\\Routing\\Route\":991:{a:9:{s:4:\"path\";s:27:\"/admin/reports/translations\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:41:\"\\Drupal\\locale\\Form\\TranslationStatusForm\";s:6:\"_title\";s:29:\"Available translation updates\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:19:\"translate interface\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":378:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:34:\"#^/admin/reports/translations$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:27:\"/admin/reports/translations\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:27:\"/admin/reports/translations\";s:8:\"numParts\";i:3;}}}}',3),('menu_link_attributes.config','/admin/config/menu_link_attributes/config','/admin/config/menu_link_attributes/config',15,'C:31:\"Symfony\\Component\\Routing\\Route\":1054:{a:9:{s:4:\"path\";s:41:\"/admin/config/menu_link_attributes/config\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:44:\"\\Drupal\\menu_link_attributes\\Form\\ConfigForm\";s:6:\"_title\";s:20:\"Menu link attributes\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:31:\"administer menu link attributes\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":421:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:48:\"#^/admin/config/menu_link_attributes/config$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:41:\"/admin/config/menu_link_attributes/config\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:41:\"/admin/config/menu_link_attributes/config\";s:8:\"numParts\";i:4;}}}}',4),('menu_ui.link_edit','/admin/structure/menu/link/{menu_link_plugin}/edit','/admin/structure/menu/link/%/edit',61,'C:31:\"Symfony\\Component\\Routing\\Route\":1388:{a:9:{s:4:\"path\";s:50:\"/admin/structure/menu/link/{menu_link_plugin}/edit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:37:\"\\Drupal\\menu_ui\\Form\\MenuLinkEditForm\";s:6:\"_title\";s:14:\"Edit menu link\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:15:\"administer menu\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:16:\"menu_link_plugin\";a:2:{s:4:\"type\";s:16:\"menu_link_plugin\";s:9:\"converter\";s:54:\"drupal.proxy_original_service.paramconverter.menu_link\";}}s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":608:{a:11:{s:4:\"vars\";a:1:{i:0;s:16:\"menu_link_plugin\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:67:\"#^/admin/structure/menu/link/(?P<menu_link_plugin>[^/]++)/edit$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/edit\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"menu_link_plugin\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/structure/menu/link\";}}s:9:\"path_vars\";a:1:{i:0;s:16:\"menu_link_plugin\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:33:\"/admin/structure/menu/link/%/edit\";s:8:\"numParts\";i:6;}}}}',6),('menu_ui.link_reset','/admin/structure/menu/link/{menu_link_plugin}/reset','/admin/structure/menu/link/%/reset',61,'C:31:\"Symfony\\Component\\Routing\\Route\":1511:{a:9:{s:4:\"path\";s:51:\"/admin/structure/menu/link/{menu_link_plugin}/reset\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:38:\"\\Drupal\\menu_ui\\Form\\MenuLinkResetForm\";s:6:\"_title\";s:15:\"Reset menu link\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:15:\"administer menu\";s:14:\"_custom_access\";s:56:\"\\Drupal\\menu_ui\\Form\\MenuLinkResetForm::linkIsResettable\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:16:\"menu_link_plugin\";a:2:{s:4:\"type\";s:16:\"menu_link_plugin\";s:9:\"converter\";s:54:\"drupal.proxy_original_service.paramconverter.menu_link\";}}s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:19:\"access_check.custom\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":611:{a:11:{s:4:\"vars\";a:1:{i:0;s:16:\"menu_link_plugin\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:68:\"#^/admin/structure/menu/link/(?P<menu_link_plugin>[^/]++)/reset$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:6:\"/reset\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"menu_link_plugin\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/structure/menu/link\";}}s:9:\"path_vars\";a:1:{i:0;s:16:\"menu_link_plugin\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:61;s:14:\"patternOutline\";s:34:\"/admin/structure/menu/link/%/reset\";s:8:\"numParts\";i:6;}}}}',6),('menu_ui.parent_options_js','/admin/structure/menu/parents','/admin/structure/menu/parents',15,'C:31:\"Symfony\\Component\\Routing\\Route\":971:{a:9:{s:4:\"path\";s:29:\"/admin/structure/menu/parents\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:59:\"\\Drupal\\menu_ui\\Controller\\MenuController::getParentOptions\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:15:\"administer menu\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":385:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:36:\"#^/admin/structure/menu/parents$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/menu/parents\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:29:\"/admin/structure/menu/parents\";s:8:\"numParts\";i:4;}}}}',4),('node.add','/node/add/{node_type}','/node/add/%',6,'C:31:\"Symfony\\Component\\Routing\\Route\":1284:{a:9:{s:4:\"path\";s:21:\"/node/add/{node_type}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:12:\"node.default\";s:15:\"_title_callback\";s:52:\"\\Drupal\\node\\Controller\\NodeController::addPageTitle\";}s:12:\"requirements\";a:1:{s:16:\"_node_add_access\";s:16:\"node:{node_type}\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:21:\"_node_operation_route\";b:1;s:10:\"parameters\";a:1:{s:9:\"node_type\";a:3:{s:4:\"type\";s:16:\"entity:node_type\";s:21:\"with_config_overrides\";b:1;s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:21:\"access_check.node.add\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":473:{a:11:{s:4:\"vars\";a:1:{i:0;s:9:\"node_type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:38:\"#^/node/add/(?P<node_type>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"node_type\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:9:\"/node/add\";}}s:9:\"path_vars\";a:1:{i:0;s:9:\"node_type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:11:\"/node/add/%\";s:8:\"numParts\";i:3;}}}}',3),('node.add_page','/node/add','/node/add',3,'C:31:\"Symfony\\Component\\Routing\\Route\":931:{a:9:{s:4:\"path\";s:9:\"/node/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:6:\"_title\";s:11:\"Add content\";s:11:\"_controller\";s:47:\"\\Drupal\\node\\Controller\\NodeController::addPage\";}s:12:\"requirements\";a:1:{s:16:\"_node_add_access\";s:4:\"node\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:21:\"_node_operation_route\";b:1;s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:21:\"access_check.node.add\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":322:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:16:\"#^/node/add$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:9:\"/node/add\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:9:\"/node/add\";s:8:\"numParts\";i:2;}}}}',2),('node.configure_rebuild_confirm','/admin/reports/status/rebuild','/admin/reports/status/rebuild',15,'C:31:\"Symfony\\Component\\Routing\\Route\":957:{a:9:{s:4:\"path\";s:29:\"/admin/reports/status/rebuild\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:5:\"_form\";s:40:\"\\Drupal\\node\\Form\\RebuildPermissionsForm\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"access administration pages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":385:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:36:\"#^/admin/reports/status/rebuild$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/reports/status/rebuild\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:29:\"/admin/reports/status/rebuild\";s:8:\"numParts\";i:4;}}}}',4),('node.multiple_delete_confirm','/admin/content/node/delete','/admin/content/node/delete',15,'C:31:\"Symfony\\Component\\Routing\\Route\":977:{a:9:{s:4:\"path\";s:26:\"/admin/content/node/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:32:\"\\Drupal\\node\\Form\\DeleteMultiple\";s:14:\"entity_type_id\";s:4:\"node\";}s:12:\"requirements\";a:1:{s:30:\"_entity_delete_multiple_access\";s:4:\"node\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:35:\"access_check.entity_delete_multiple\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":376:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:33:\"#^/admin/content/node/delete$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/content/node/delete\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:26:\"/admin/content/node/delete\";s:8:\"numParts\";i:4;}}}}',4),('node.revision_delete_confirm','/node/{node}/revisions/{node_revision}/delete','/node/%/revisions/%/delete',21,'C:31:\"Symfony\\Component\\Routing\\Route\":1406:{a:9:{s:4:\"path\";s:45:\"/node/{node}/revisions/{node_revision}/delete\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:40:\"\\Drupal\\node\\Form\\NodeRevisionDeleteForm\";s:6:\"_title\";s:23:\"Delete earlier revision\";}s:12:\"requirements\";a:2:{s:21:\"_access_node_revision\";s:6:\"delete\";s:4:\"node\";s:3:\"\\d+\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:21:\"_node_operation_route\";b:1;s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:26:\"access_check.node.revision\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":729:{a:11:{s:4:\"vars\";a:2:{i:0;s:4:\"node\";i:1;s:13:\"node_revision\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:69:\"#^/node/(?P<node>\\d+)/revisions/(?P<node_revision>[^/]++)/delete$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/delete\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"node_revision\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/revisions\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"node\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:2:{i:0;s:4:\"node\";i:1;s:13:\"node_revision\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:21;s:14:\"patternOutline\";s:26:\"/node/%/revisions/%/delete\";s:8:\"numParts\";i:5;}}}}',5),('node.revision_revert_confirm','/node/{node}/revisions/{node_revision}/revert','/node/%/revisions/%/revert',21,'C:31:\"Symfony\\Component\\Routing\\Route\":1409:{a:9:{s:4:\"path\";s:45:\"/node/{node}/revisions/{node_revision}/revert\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:40:\"\\Drupal\\node\\Form\\NodeRevisionRevertForm\";s:6:\"_title\";s:26:\"Revert to earlier revision\";}s:12:\"requirements\";a:2:{s:21:\"_access_node_revision\";s:6:\"update\";s:4:\"node\";s:3:\"\\d+\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:21:\"_node_operation_route\";b:1;s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:26:\"access_check.node.revision\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":729:{a:11:{s:4:\"vars\";a:2:{i:0;s:4:\"node\";i:1;s:13:\"node_revision\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:69:\"#^/node/(?P<node>\\d+)/revisions/(?P<node_revision>[^/]++)/revert$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/revert\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"node_revision\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/revisions\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"node\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:2:{i:0;s:4:\"node\";i:1;s:13:\"node_revision\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:21;s:14:\"patternOutline\";s:26:\"/node/%/revisions/%/revert\";s:8:\"numParts\";i:5;}}}}',5),('node.revision_revert_translation_confirm','/node/{node}/revisions/{node_revision}/revert/{langcode}','/node/%/revisions/%/revert/%',42,'C:31:\"Symfony\\Component\\Routing\\Route\":1594:{a:9:{s:4:\"path\";s:56:\"/node/{node}/revisions/{node_revision}/revert/{langcode}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:51:\"\\Drupal\\node\\Form\\NodeRevisionRevertTranslationForm\";s:6:\"_title\";s:43:\"Revert to earlier revision of a translation\";}s:12:\"requirements\";a:2:{s:21:\"_access_node_revision\";s:6:\"update\";s:4:\"node\";s:3:\"\\d+\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:21:\"_node_operation_route\";b:1;s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:26:\"access_check.node.revision\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":875:{a:11:{s:4:\"vars\";a:3:{i:0;s:4:\"node\";i:1;s:13:\"node_revision\";i:2;s:8:\"langcode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:90:\"#^/node/(?P<node>\\d+)/revisions/(?P<node_revision>[^/]++)/revert/(?P<langcode>[^/]++)$#sDu\";s:11:\"path_tokens\";a:6:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/revert\";}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"node_revision\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/revisions\";}i:4;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"node\";i:4;b:1;}i:5;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:3:{i:0;s:4:\"node\";i:1;s:13:\"node_revision\";i:2;s:8:\"langcode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:42;s:14:\"patternOutline\";s:28:\"/node/%/revisions/%/revert/%\";s:8:\"numParts\";i:6;}}}}',6),('node.type_add','/admin/structure/types/add','/admin/structure/types/add',15,'C:31:\"Symfony\\Component\\Routing\\Route\":960:{a:9:{s:4:\"path\";s:26:\"/admin/structure/types/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:13:\"node_type.add\";s:6:\"_title\";s:16:\"Add content type\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"administer content types\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":376:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:33:\"#^/admin/structure/types/add$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/structure/types/add\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:26:\"/admin/structure/types/add\";s:8:\"numParts\";i:4;}}}}',4),('path.admin_add','/','/',1,'C:27:\"Drupal\\Core\\Routing\\BcRoute\":658:{a:9:{s:4:\"path\";s:1:\"/\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:0:{}s:12:\"requirements\";a:0:{}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:8:\"bc_route\";b:1;s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":297:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:8:\"#^/$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:1:\"/\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:1:\"/\";s:8:\"numParts\";i:1;}}}}',1),('path.admin_edit','/','/',1,'C:27:\"Drupal\\Core\\Routing\\BcRoute\":658:{a:9:{s:4:\"path\";s:1:\"/\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:0:{}s:12:\"requirements\";a:0:{}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:8:\"bc_route\";b:1;s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":297:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:8:\"#^/$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:1:\"/\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:1:\"/\";s:8:\"numParts\";i:1;}}}}',1),('path.admin_overview','/','/',1,'C:27:\"Drupal\\Core\\Routing\\BcRoute\":658:{a:9:{s:4:\"path\";s:1:\"/\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:0:{}s:12:\"requirements\";a:0:{}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:8:\"bc_route\";b:1;s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":297:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:8:\"#^/$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:1:\"/\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:1:\"/\";s:8:\"numParts\";i:1;}}}}',1),('path.admin_overview_filter','/','/',1,'C:27:\"Drupal\\Core\\Routing\\BcRoute\":658:{a:9:{s:4:\"path\";s:1:\"/\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:0:{}s:12:\"requirements\";a:0:{}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:8:\"bc_route\";b:1;s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":297:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:8:\"#^/$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:1:\"/\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:1:\"/\";s:8:\"numParts\";i:1;}}}}',1),('path.delete','/','/',1,'C:27:\"Drupal\\Core\\Routing\\BcRoute\":658:{a:9:{s:4:\"path\";s:1:\"/\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:0:{}s:12:\"requirements\";a:0:{}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:8:\"bc_route\";b:1;s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":297:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:8:\"#^/$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:1:\"/\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:1:\"/\";s:8:\"numParts\";i:1;}}}}',1),('pathauto.admin.delete','/admin/config/search/path/delete_bulk','/admin/config/search/path/delete_bulk',31,'C:31:\"Symfony\\Component\\Routing\\Route\":1020:{a:9:{s:4:\"path\";s:37:\"/admin/config/search/path/delete_bulk\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:41:\"\\Drupal\\pathauto\\Form\\PathautoAdminDelete\";s:6:\"_title\";s:14:\"Delete aliases\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:22:\"administer url aliases\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":409:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:44:\"#^/admin/config/search/path/delete_bulk$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/config/search/path/delete_bulk\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:37:\"/admin/config/search/path/delete_bulk\";s:8:\"numParts\";i:5;}}}}',5),('pathauto.bulk.update.form','/admin/config/search/path/update_bulk','/admin/config/search/path/update_bulk',31,'C:31:\"Symfony\\Component\\Routing\\Route\":1022:{a:9:{s:4:\"path\";s:37:\"/admin/config/search/path/update_bulk\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:44:\"\\Drupal\\pathauto\\Form\\PathautoBulkUpdateForm\";s:6:\"_title\";s:13:\"Bulk generate\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:22:\"administer url aliases\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":409:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:44:\"#^/admin/config/search/path/update_bulk$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/config/search/path/update_bulk\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:37:\"/admin/config/search/path/update_bulk\";s:8:\"numParts\";i:5;}}}}',5),('pathauto.settings.form','/admin/config/search/path/settings','/admin/config/search/path/settings',31,'C:31:\"Symfony\\Component\\Routing\\Route\":999:{a:9:{s:4:\"path\";s:34:\"/admin/config/search/path/settings\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:42:\"\\Drupal\\pathauto\\Form\\PathautoSettingsForm\";s:6:\"_title\";s:8:\"Settings\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:19:\"administer pathauto\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":400:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:41:\"#^/admin/config/search/path/settings$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:34:\"/admin/config/search/path/settings\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:34:\"/admin/config/search/path/settings\";s:8:\"numParts\";i:5;}}}}',5),('quickedit.attachments','/quickedit/attachments','/quickedit/attachments',3,'C:31:\"Symfony\\Component\\Routing\\Route\":917:{a:9:{s:4:\"path\";s:22:\"/quickedit/attachments\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:50:\"\\Drupal\\quickedit\\QuickEditController::attachments\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:23:\"access in-place editing\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":363:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:29:\"#^/quickedit/attachments$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/quickedit/attachments\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:22:\"/quickedit/attachments\";s:8:\"numParts\";i:2;}}}}',2),('quickedit.entity_save','/quickedit/entity/{entity_type}/{entity}','/quickedit/entity/%/%',12,'C:31:\"Symfony\\Component\\Routing\\Route\":1462:{a:9:{s:4:\"path\";s:40:\"/quickedit/entity/{entity_type}/{entity}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:49:\"\\Drupal\\quickedit\\QuickEditController::entitySave\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:23:\"access in-place editing\";s:14:\"_entity_access\";s:13:\"entity.update\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:6:\"entity\";a:2:{s:4:\"type\";s:20:\"entity:{entity_type}\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":648:{a:11:{s:4:\"vars\";a:2:{i:0;s:11:\"entity_type\";i:1;s:6:\"entity\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:67:\"#^/quickedit/entity/(?P<entity_type>[^/]++)/(?P<entity>[^/]++)$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"entity\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"entity_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/quickedit/entity\";}}s:9:\"path_vars\";a:2:{i:0;s:11:\"entity_type\";i:1;s:6:\"entity\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:12;s:14:\"patternOutline\";s:21:\"/quickedit/entity/%/%\";s:8:\"numParts\";i:4;}}}}',4),('quickedit.field_form','/quickedit/form/{entity_type}/{entity}/{field_name}/{langcode}/{view_mode_id}','/quickedit/form/%/%/%/%/%',96,'C:31:\"Symfony\\Component\\Routing\\Route\":1984:{a:9:{s:4:\"path\";s:77:\"/quickedit/form/{entity_type}/{entity}/{field_name}/{langcode}/{view_mode_id}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:48:\"\\Drupal\\quickedit\\QuickEditController::fieldForm\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:23:\"access in-place editing\";s:30:\"_access_quickedit_entity_field\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:6:\"entity\";a:2:{s:4:\"type\";s:20:\"entity:{entity_type}\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:35:\"access_check.quickedit.entity_field\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":1111:{a:11:{s:4:\"vars\";a:5:{i:0;s:11:\"entity_type\";i:1;s:6:\"entity\";i:2;s:10:\"field_name\";i:3;s:8:\"langcode\";i:4;s:12:\"view_mode_id\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:134:\"#^/quickedit/form/(?P<entity_type>[^/]++)/(?P<entity>[^/]++)/(?P<field_name>[^/]++)/(?P<langcode>[^/]++)/(?P<view_mode_id>[^/]++)$#sDu\";s:11:\"path_tokens\";a:6:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"view_mode_id\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:8:\"langcode\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:10:\"field_name\";i:4;b:1;}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"entity\";i:4;b:1;}i:4;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"entity_type\";i:4;b:1;}i:5;a:2:{i:0;s:4:\"text\";i:1;s:15:\"/quickedit/form\";}}s:9:\"path_vars\";a:5:{i:0;s:11:\"entity_type\";i:1;s:6:\"entity\";i:2;s:10:\"field_name\";i:3;s:8:\"langcode\";i:4;s:12:\"view_mode_id\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:96;s:14:\"patternOutline\";s:25:\"/quickedit/form/%/%/%/%/%\";s:8:\"numParts\";i:7;}}}}',7),('quickedit.metadata','/quickedit/metadata','/quickedit/metadata',3,'C:31:\"Symfony\\Component\\Routing\\Route\":902:{a:9:{s:4:\"path\";s:19:\"/quickedit/metadata\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:47:\"\\Drupal\\quickedit\\QuickEditController::metadata\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:23:\"access in-place editing\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":354:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:26:\"#^/quickedit/metadata$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:19:\"/quickedit/metadata\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:19:\"/quickedit/metadata\";s:8:\"numParts\";i:2;}}}}',2),('responsive_image.style_page_add','/admin/config/media/responsive-image-style/add','/admin/config/media/responsive-image-style/add',31,'C:31:\"Symfony\\Component\\Routing\\Route\":1069:{a:9:{s:4:\"path\";s:46:\"/admin/config/media/responsive-image-style/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:26:\"responsive_image_style.add\";s:6:\"_title\";s:26:\"Add responsive image style\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:28:\"administer responsive images\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":438:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:55:\"#^/admin/config/media/responsive\\-image\\-style/add$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:46:\"/admin/config/media/responsive-image-style/add\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:46:\"/admin/config/media/responsive-image-style/add\";s:8:\"numParts\";i:5;}}}}',5),('search.add_type','/admin/config/search/pages/add/{search_plugin_id}','/admin/config/search/pages/add/%',62,'C:31:\"Symfony\\Component\\Routing\\Route\":1181:{a:9:{s:4:\"path\";s:49:\"/admin/config/search/pages/add/{search_plugin_id}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:15:\"search_page.add\";s:6:\"_title\";s:19:\"Add new search page\";}s:12:\"requirements\";a:1:{s:21:\"_entity_create_access\";s:11:\"search_page\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:26:\"access_check.entity_create\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":569:{a:11:{s:4:\"vars\";a:1:{i:0;s:16:\"search_plugin_id\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:66:\"#^/admin/config/search/pages/add/(?P<search_plugin_id>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:16:\"search_plugin_id\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:30:\"/admin/config/search/pages/add\";}}s:9:\"path_vars\";a:1:{i:0;s:16:\"search_plugin_id\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:62;s:14:\"patternOutline\";s:32:\"/admin/config/search/pages/add/%\";s:8:\"numParts\";i:6;}}}}',6),('search.help_node_search','/search/node/help','/search/node/help',7,'C:31:\"Symfony\\Component\\Routing\\Route\":1152:{a:9:{s:4:\"path\";s:17:\"/search/node/help\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:11:\"_controller\";s:53:\"Drupal\\search\\Controller\\SearchController::searchHelp\";s:6:\"_title\";s:11:\"Search help\";s:6:\"entity\";s:11:\"node_search\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:11:\"entity.view\";s:11:\"_permission\";s:14:\"search content\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:6:\"entity\";a:2:{s:4:\"type\";s:18:\"entity:search_page\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":348:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:24:\"#^/search/node/help$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/search/node/help\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:17:\"/search/node/help\";s:8:\"numParts\";i:3;}}}}',3),('search.help_user_search','/search/user/help','/search/user/help',7,'C:31:\"Symfony\\Component\\Routing\\Route\":1152:{a:9:{s:4:\"path\";s:17:\"/search/user/help\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:11:\"_controller\";s:53:\"Drupal\\search\\Controller\\SearchController::searchHelp\";s:6:\"_title\";s:11:\"Search help\";s:6:\"entity\";s:11:\"user_search\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:11:\"entity.view\";s:11:\"_permission\";s:14:\"search content\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:6:\"entity\";a:2:{s:4:\"type\";s:18:\"entity:search_page\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":348:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:24:\"#^/search/user/help$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/search/user/help\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:17:\"/search/user/help\";s:8:\"numParts\";i:3;}}}}',3),('search.reindex_confirm','/admin/config/search/pages/reindex','/admin/config/search/pages/reindex',31,'C:31:\"Symfony\\Component\\Routing\\Route\":993:{a:9:{s:4:\"path\";s:34:\"/admin/config/search/pages/reindex\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:34:\"\\Drupal\\search\\Form\\ReindexConfirm\";s:6:\"_title\";s:11:\"Clear index\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:17:\"administer search\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":400:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:41:\"#^/admin/config/search/pages/reindex$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:34:\"/admin/config/search/pages/reindex\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:34:\"/admin/config/search/pages/reindex\";s:8:\"numParts\";i:5;}}}}',5),('search.view','/search','/search',1,'C:31:\"Symfony\\Component\\Routing\\Route\":1111:{a:9:{s:4:\"path\";s:7:\"/search\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:11:\"_controller\";s:61:\"Drupal\\search\\Controller\\SearchController::redirectSearchPage\";s:6:\"_title\";s:6:\"Search\";s:6:\"entity\";s:11:\"node_search\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:11:\"entity.view\";s:11:\"_permission\";s:14:\"search content\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:6:\"entity\";a:2:{s:4:\"type\";s:18:\"entity:search_page\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":316:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:14:\"#^/search$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/search\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:7:\"/search\";s:8:\"numParts\";i:1;}}}}',1),('search.view_node_search','/search/node','/search/node',3,'C:31:\"Symfony\\Component\\Routing\\Route\":1120:{a:9:{s:4:\"path\";s:12:\"/search/node\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:11:\"_controller\";s:47:\"Drupal\\search\\Controller\\SearchController::view\";s:6:\"_title\";s:6:\"Search\";s:6:\"entity\";s:11:\"node_search\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:11:\"entity.view\";s:11:\"_permission\";s:14:\"search content\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:6:\"entity\";a:2:{s:4:\"type\";s:18:\"entity:search_page\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":333:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:19:\"#^/search/node$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:12:\"/search/node\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:12:\"/search/node\";s:8:\"numParts\";i:2;}}}}',2),('search.view_user_search','/search/user','/search/user',3,'C:31:\"Symfony\\Component\\Routing\\Route\":1120:{a:9:{s:4:\"path\";s:12:\"/search/user\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:11:\"_controller\";s:47:\"Drupal\\search\\Controller\\SearchController::view\";s:6:\"_title\";s:6:\"Search\";s:6:\"entity\";s:11:\"user_search\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:11:\"entity.view\";s:11:\"_permission\";s:14:\"search content\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:6:\"entity\";a:2:{s:4:\"type\";s:18:\"entity:search_page\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":333:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:19:\"#^/search/user$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:12:\"/search/user\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:12:\"/search/user\";s:8:\"numParts\";i:2;}}}}',2),('sharethis.configuration_form','/admin/config/services/sharethis','/admin/config/services/sharethis',15,'C:31:\"Symfony\\Component\\Routing\\Route\":1000:{a:9:{s:4:\"path\";s:32:\"/admin/config/services/sharethis\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:49:\"\\Drupal\\sharethis\\Form\\SharethisConfigurationForm\";s:6:\"_title\";s:9:\"ShareThis\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:20:\"administer sharethis\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":394:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:39:\"#^/admin/config/services/sharethis$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/config/services/sharethis\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:32:\"/admin/config/services/sharethis\";s:8:\"numParts\";i:4;}}}}',4),('shortcut.link_add','/admin/config/user-interface/shortcut/manage/{shortcut_set}/add-link','/admin/config/user-interface/shortcut/manage/%/add-link',125,'C:31:\"Symfony\\Component\\Routing\\Route\":1506:{a:9:{s:4:\"path\";s:68:\"/admin/config/user-interface/shortcut/manage/{shortcut_set}/add-link\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:55:\"\\Drupal\\shortcut\\Controller\\ShortcutController::addForm\";s:6:\"_title\";s:8:\"Add link\";}s:12:\"requirements\";a:1:{s:21:\"_entity_create_access\";s:23:\"shortcut:{shortcut_set}\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"shortcut_set\";a:2:{s:4:\"type\";s:19:\"entity:shortcut_set\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:26:\"access_check.entity_create\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":661:{a:11:{s:4:\"vars\";a:1:{i:0;s:12:\"shortcut_set\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:87:\"#^/admin/config/user\\-interface/shortcut/manage/(?P<shortcut_set>[^/]++)/add\\-link$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:9:\"/add-link\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"shortcut_set\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:44:\"/admin/config/user-interface/shortcut/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"shortcut_set\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:55:\"/admin/config/user-interface/shortcut/manage/%/add-link\";s:8:\"numParts\";i:7;}}}}',7),('shortcut.link_add_inline','/admin/config/user-interface/shortcut/manage/{shortcut_set}/add-link-inline','/admin/config/user-interface/shortcut/manage/%/add-link-inline',125,'C:31:\"Symfony\\Component\\Routing\\Route\":1566:{a:9:{s:4:\"path\";s:75:\"/admin/config/user-interface/shortcut/manage/{shortcut_set}/add-link-inline\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:72:\"\\Drupal\\shortcut\\Controller\\ShortcutSetController::addShortcutLinkInline\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:19:\"shortcut_set.update\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:12:\"shortcut_set\";a:2:{s:4:\"type\";s:19:\"entity:shortcut_set\";s:9:\"converter\";s:63:\"drupal.proxy_original_service.paramconverter.configentity_admin\";}}s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:19:\"access_check.entity\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":684:{a:11:{s:4:\"vars\";a:1:{i:0;s:12:\"shortcut_set\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:95:\"#^/admin/config/user\\-interface/shortcut/manage/(?P<shortcut_set>[^/]++)/add\\-link\\-inline$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:16:\"/add-link-inline\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"shortcut_set\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:44:\"/admin/config/user-interface/shortcut/manage\";}}s:9:\"path_vars\";a:1:{i:0;s:12:\"shortcut_set\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:125;s:14:\"patternOutline\";s:62:\"/admin/config/user-interface/shortcut/manage/%/add-link-inline\";s:8:\"numParts\";i:7;}}}}',7),('shortcut.set_add','/admin/config/user-interface/shortcut/add-set','/admin/config/user-interface/shortcut/add-set',31,'C:31:\"Symfony\\Component\\Routing\\Route\":1042:{a:9:{s:4:\"path\";s:45:\"/admin/config/user-interface/shortcut/add-set\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:16:\"shortcut_set.add\";s:6:\"_title\";s:16:\"Add shortcut set\";}s:12:\"requirements\";a:1:{s:21:\"_entity_create_access\";s:12:\"shortcut_set\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:26:\"access_check.entity_create\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":435:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:54:\"#^/admin/config/user\\-interface/shortcut/add\\-set$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:45:\"/admin/config/user-interface/shortcut/add-set\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:45:\"/admin/config/user-interface/shortcut/add-set\";s:8:\"numParts\";i:5;}}}}',5),('shortcut.set_switch','/user/{user}/shortcuts','/user/%/shortcuts',5,'C:31:\"Symfony\\Component\\Routing\\Route\":1262:{a:9:{s:4:\"path\";s:22:\"/user/{user}/shortcuts\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:39:\"\\Drupal\\shortcut\\Form\\SwitchShortcutSet\";s:6:\"_title\";s:9:\"Shortcuts\";}s:12:\"requirements\";a:1:{s:14:\"_custom_access\";s:52:\"\\Drupal\\shortcut\\Form\\SwitchShortcutSet::checkAccess\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"user\";s:3:\"\\d+\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:4:\"user\";a:2:{s:4:\"type\";s:11:\"entity:user\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.custom\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":508:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"user\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:39:\"#^/user/(?P<user>[^/]++)/shortcuts$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/shortcuts\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"user\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/user\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"user\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:17:\"/user/%/shortcuts\";s:8:\"numParts\";i:3;}}}}',3),('simplenews.newsletter_add','/admin/config/services/simplenews/add','/admin/config/services/simplenews/add',31,'C:31:\"Symfony\\Component\\Routing\\Route\":1024:{a:9:{s:4:\"path\";s:37:\"/admin/config/services/simplenews/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:25:\"simplenews_newsletter.add\";s:6:\"_title\";s:14:\"Add newsletter\";}s:12:\"requirements\";a:1:{s:21:\"_entity_create_access\";s:21:\"simplenews_newsletter\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:26:\"access_check.entity_create\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":409:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:44:\"#^/admin/config/services/simplenews/add$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/config/services/simplenews/add\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:37:\"/admin/config/services/simplenews/add\";s:8:\"numParts\";i:5;}}}}',5),('simplenews.newsletter_confirm_combined','/newsletter/confirm/combined/{snid}/{timestamp}/{hash}','/newsletter/confirm/combined/%/%/%',56,'C:31:\"Symfony\\Component\\Routing\\Route\":1470:{a:9:{s:4:\"path\";s:54:\"/newsletter/confirm/combined/{snid}/{timestamp}/{hash}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:69:\"\\Drupal\\simplenews\\Controller\\ConfirmationController::confirmCombined\";s:6:\"_title\";s:32:\"Confirm newsletter subscriptions\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"subscribe to newsletters\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:8:\"no_cache\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":792:{a:11:{s:4:\"vars\";a:3:{i:0;s:4:\"snid\";i:1;s:9:\"timestamp\";i:2;s:4:\"hash\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:91:\"#^/newsletter/confirm/combined/(?P<snid>[^/]++)/(?P<timestamp>[^/]++)/(?P<hash>[^/]++)$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"hash\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"timestamp\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"snid\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:28:\"/newsletter/confirm/combined\";}}s:9:\"path_vars\";a:3:{i:0;s:4:\"snid\";i:1;s:9:\"timestamp\";i:2;s:4:\"hash\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:56;s:14:\"patternOutline\";s:34:\"/newsletter/confirm/combined/%/%/%\";s:8:\"numParts\";i:6;}}}}',6),('simplenews.newsletter_confirm_combined_immediate','/newsletter/confirm/combined/{snid}/{timestamp}/{hash}/ok','/newsletter/confirm/combined/%/%/%/ok',113,'C:31:\"Symfony\\Component\\Routing\\Route\":1539:{a:9:{s:4:\"path\";s:57:\"/newsletter/confirm/combined/{snid}/{timestamp}/{hash}/ok\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:11:\"_controller\";s:69:\"\\Drupal\\simplenews\\Controller\\ConfirmationController::confirmCombined\";s:6:\"_title\";s:32:\"Confirm newsletter subscriptions\";s:9:\"immediate\";b:1;}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"subscribe to newsletters\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:8:\"no_cache\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":838:{a:11:{s:4:\"vars\";a:3:{i:0;s:4:\"snid\";i:1;s:9:\"timestamp\";i:2;s:4:\"hash\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:94:\"#^/newsletter/confirm/combined/(?P<snid>[^/]++)/(?P<timestamp>[^/]++)/(?P<hash>[^/]++)/ok$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:3:\"/ok\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"hash\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"timestamp\";i:4;b:1;}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"snid\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:28:\"/newsletter/confirm/combined\";}}s:9:\"path_vars\";a:3:{i:0;s:4:\"snid\";i:1;s:9:\"timestamp\";i:2;s:4:\"hash\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:113;s:14:\"patternOutline\";s:37:\"/newsletter/confirm/combined/%/%/%/ok\";s:8:\"numParts\";i:7;}}}}',7),('simplenews.newsletter_confirm_subscription','/newsletter/confirm/{action}/{snid}/{newsletter_id}/{timestamp}/{hash}','/newsletter/confirm/%/%/%/%/%',96,'C:31:\"Symfony\\Component\\Routing\\Route\":1772:{a:9:{s:4:\"path\";s:70:\"/newsletter/confirm/{action}/{snid}/{newsletter_id}/{timestamp}/{hash}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:73:\"\\Drupal\\simplenews\\Controller\\ConfirmationController::confirmSubscription\";s:6:\"_title\";s:32:\"Confirm newsletter subscriptions\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"subscribe to newsletters\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:8:\"no_cache\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":1073:{a:11:{s:4:\"vars\";a:5:{i:0;s:6:\"action\";i:1;s:4:\"snid\";i:2;s:13:\"newsletter_id\";i:3;s:9:\"timestamp\";i:4;s:4:\"hash\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:127:\"#^/newsletter/confirm/(?P<action>[^/]++)/(?P<snid>[^/]++)/(?P<newsletter_id>[^/]++)/(?P<timestamp>[^/]++)/(?P<hash>[^/]++)$#sDu\";s:11:\"path_tokens\";a:6:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"hash\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"timestamp\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"newsletter_id\";i:4;b:1;}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"snid\";i:4;b:1;}i:4;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"action\";i:4;b:1;}i:5;a:2:{i:0;s:4:\"text\";i:1;s:19:\"/newsletter/confirm\";}}s:9:\"path_vars\";a:5:{i:0;s:6:\"action\";i:1;s:4:\"snid\";i:2;s:13:\"newsletter_id\";i:3;s:9:\"timestamp\";i:4;s:4:\"hash\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:96;s:14:\"patternOutline\";s:29:\"/newsletter/confirm/%/%/%/%/%\";s:8:\"numParts\";i:7;}}}}',7),('simplenews.newsletter_confirm_subscription_immediate','/newsletter/confirm/{action}/{snid}/{newsletter_id}/{timestamp}/{hash}/ok','/newsletter/confirm/%/%/%/%/%/ok',193,'C:31:\"Symfony\\Component\\Routing\\Route\":1841:{a:9:{s:4:\"path\";s:73:\"/newsletter/confirm/{action}/{snid}/{newsletter_id}/{timestamp}/{hash}/ok\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:11:\"_controller\";s:73:\"\\Drupal\\simplenews\\Controller\\ConfirmationController::confirmSubscription\";s:6:\"_title\";s:32:\"Confirm newsletter subscriptions\";s:9:\"immediate\";b:1;}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"subscribe to newsletters\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:8:\"no_cache\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":1119:{a:11:{s:4:\"vars\";a:5:{i:0;s:6:\"action\";i:1;s:4:\"snid\";i:2;s:13:\"newsletter_id\";i:3;s:9:\"timestamp\";i:4;s:4:\"hash\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:130:\"#^/newsletter/confirm/(?P<action>[^/]++)/(?P<snid>[^/]++)/(?P<newsletter_id>[^/]++)/(?P<timestamp>[^/]++)/(?P<hash>[^/]++)/ok$#sDu\";s:11:\"path_tokens\";a:7:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:3:\"/ok\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"hash\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"timestamp\";i:4;b:1;}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:13:\"newsletter_id\";i:4;b:1;}i:4;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"snid\";i:4;b:1;}i:5;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"action\";i:4;b:1;}i:6;a:2:{i:0;s:4:\"text\";i:1;s:19:\"/newsletter/confirm\";}}s:9:\"path_vars\";a:5:{i:0;s:6:\"action\";i:1;s:4:\"snid\";i:2;s:13:\"newsletter_id\";i:3;s:9:\"timestamp\";i:4;s:4:\"hash\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:193;s:14:\"patternOutline\";s:32:\"/newsletter/confirm/%/%/%/%/%/ok\";s:8:\"numParts\";i:8;}}}}',8),('simplenews.newsletter_list','/admin/config/services/simplenews','/admin/config/services/simplenews',15,'C:31:\"Symfony\\Component\\Routing\\Route\":988:{a:9:{s:4:\"path\";s:33:\"/admin/config/services/simplenews\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_list\";s:21:\"simplenews_newsletter\";s:6:\"_title\";s:10:\"Simplenews\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:22:\"administer newsletters\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":397:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:40:\"#^/admin/config/services/simplenews$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:33:\"/admin/config/services/simplenews\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:33:\"/admin/config/services/simplenews\";s:8:\"numParts\";i:4;}}}}',4),('simplenews.newsletter_subscriptions','/newsletter/subscriptions','/newsletter/subscriptions',3,'C:31:\"Symfony\\Component\\Routing\\Route\":957:{a:9:{s:4:\"path\";s:25:\"/newsletter/subscriptions\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:26:\"simplenews_subscriber.page\";s:6:\"_title\";s:29:\"Your newsletter subscriptions\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"subscribe to newsletters\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":372:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:32:\"#^/newsletter/subscriptions$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:25:\"/newsletter/subscriptions\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:25:\"/newsletter/subscriptions\";s:8:\"numParts\";i:2;}}}}',2),('simplenews.newsletter_subscriptions_arguments','/newsletter/subscriptions/{snid}/{timestamp}/{hash}','/newsletter/subscriptions/%/%/%',24,'C:31:\"Symfony\\Component\\Routing\\Route\":1394:{a:9:{s:4:\"path\";s:51:\"/newsletter/subscriptions/{snid}/{timestamp}/{hash}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:26:\"simplenews_subscriber.page\";s:6:\"_title\";s:29:\"Your newsletter subscriptions\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:24:\"subscribe to newsletters\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":783:{a:11:{s:4:\"vars\";a:3:{i:0;s:4:\"snid\";i:1;s:9:\"timestamp\";i:2;s:4:\"hash\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:88:\"#^/newsletter/subscriptions/(?P<snid>[^/]++)/(?P<timestamp>[^/]++)/(?P<hash>[^/]++)$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"hash\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"timestamp\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"snid\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:25:\"/newsletter/subscriptions\";}}s:9:\"path_vars\";a:3:{i:0;s:4:\"snid\";i:1;s:9:\"timestamp\";i:2;s:4:\"hash\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:24;s:14:\"patternOutline\";s:31:\"/newsletter/subscriptions/%/%/%\";s:8:\"numParts\";i:5;}}}}',5),('simplenews.newsletter_subscriptions_user','/user/{user}/simplenews','/user/%/simplenews',5,'C:31:\"Symfony\\Component\\Routing\\Route\":1230:{a:9:{s:4:\"path\";s:23:\"/user/{user}/simplenews\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:29:\"simplenews_subscriber.account\";s:6:\"_title\";s:11:\"Newsletters\";}s:12:\"requirements\";a:1:{s:14:\"_custom_access\";s:60:\"Drupal\\simplenews\\Form\\SubscriptionsAccountForm::checkAccess\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"user\";a:2:{s:4:\"type\";s:11:\"entity:user\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.custom\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":511:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"user\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:40:\"#^/user/(?P<user>[^/]++)/simplenews$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/simplenews\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"user\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/user\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"user\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:18:\"/user/%/simplenews\";s:8:\"numParts\";i:3;}}}}',3),('simplenews.node_tab','/node/{node}/simplenews','/node/%/simplenews',5,'C:31:\"Symfony\\Component\\Routing\\Route\":1257:{a:9:{s:4:\"path\";s:23:\"/node/{node}/simplenews\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:35:\"\\Drupal\\simplenews\\Form\\NodeTabForm\";s:6:\"_title\";s:10:\"Newsletter\";}s:12:\"requirements\";a:1:{s:14:\"_custom_access\";s:47:\"Drupal\\simplenews\\Form\\NodeTabForm::checkAccess\";}s:7:\"options\";a:6:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:8:\"no_cache\";b:1;s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:4:\"node\";a:2:{s:4:\"type\";s:11:\"entity:node\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.custom\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":511:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"node\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:40:\"#^/node/(?P<node>[^/]++)/simplenews$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/simplenews\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"node\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"node\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:5;s:14:\"patternOutline\";s:18:\"/node/%/simplenews\";s:8:\"numParts\";i:3;}}}}',3),('simplenews.settings_mail','/admin/config/services/simplenews/settings/mail','/admin/config/services/simplenews/settings/mail',63,'C:31:\"Symfony\\Component\\Routing\\Route\":1061:{a:9:{s:4:\"path\";s:47:\"/admin/config/services/simplenews/settings/mail\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:40:\"\\Drupal\\simplenews\\Form\\MailSettingsForm\";s:6:\"_title\";s:9:\"Send mail\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:30:\"administer simplenews settings\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":439:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:54:\"#^/admin/config/services/simplenews/settings/mail$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:47:\"/admin/config/services/simplenews/settings/mail\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:63;s:14:\"patternOutline\";s:47:\"/admin/config/services/simplenews/settings/mail\";s:8:\"numParts\";i:6;}}}}',6),('simplenews.settings_newsletter','/admin/config/services/simplenews/settings/newsletter','/admin/config/services/simplenews/settings/newsletter',63,'C:31:\"Symfony\\Component\\Routing\\Route\":1093:{a:9:{s:4:\"path\";s:53:\"/admin/config/services/simplenews/settings/newsletter\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:46:\"\\Drupal\\simplenews\\Form\\NewsletterSettingsForm\";s:6:\"_title\";s:10:\"Newsletter\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:30:\"administer simplenews settings\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":457:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:60:\"#^/admin/config/services/simplenews/settings/newsletter$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:53:\"/admin/config/services/simplenews/settings/newsletter\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:63;s:14:\"patternOutline\";s:53:\"/admin/config/services/simplenews/settings/newsletter\";s:8:\"numParts\";i:6;}}}}',6),('simplenews.settings_prepare_uninstall','/admin/config/services/simplenews/settings/uninstall','/admin/config/services/simplenews/settings/uninstall',63,'C:31:\"Symfony\\Component\\Routing\\Route\":1094:{a:9:{s:4:\"path\";s:52:\"/admin/config/services/simplenews/settings/uninstall\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:44:\"\\Drupal\\simplenews\\Form\\PrepareUninstallForm\";s:6:\"_title\";s:17:\"Prepare uninstall\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:30:\"administer simplenews settings\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":454:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:59:\"#^/admin/config/services/simplenews/settings/uninstall$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:52:\"/admin/config/services/simplenews/settings/uninstall\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:63;s:14:\"patternOutline\";s:52:\"/admin/config/services/simplenews/settings/uninstall\";s:8:\"numParts\";i:6;}}}}',6),('simplenews.settings_subscriber','/admin/config/people/simplenews/settings/subscriber','/admin/config/people/simplenews/settings/subscriber',63,'C:31:\"Symfony\\Component\\Routing\\Route\":1085:{a:9:{s:4:\"path\";s:51:\"/admin/config/people/simplenews/settings/subscriber\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:46:\"\\Drupal\\simplenews\\Form\\SubscriberSettingsForm\";s:6:\"_title\";s:10:\"Subscriber\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:30:\"administer simplenews settings\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":451:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:58:\"#^/admin/config/people/simplenews/settings/subscriber$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:51:\"/admin/config/people/simplenews/settings/subscriber\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:63;s:14:\"patternOutline\";s:51:\"/admin/config/people/simplenews/settings/subscriber\";s:8:\"numParts\";i:6;}}}}',6),('simplenews.settings_subscription','/admin/config/services/simplenews/settings/subscription','/admin/config/services/simplenews/settings/subscription',63,'C:31:\"Symfony\\Component\\Routing\\Route\":1105:{a:9:{s:4:\"path\";s:55:\"/admin/config/services/simplenews/settings/subscription\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:48:\"\\Drupal\\simplenews\\Form\\SubscriptionSettingsForm\";s:6:\"_title\";s:12:\"Subscription\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:30:\"administer simplenews settings\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":463:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:62:\"#^/admin/config/services/simplenews/settings/subscription$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:55:\"/admin/config/services/simplenews/settings/subscription\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:63;s:14:\"patternOutline\";s:55:\"/admin/config/services/simplenews/settings/subscription\";s:8:\"numParts\";i:6;}}}}',6),('simplenews.subscriber_export','/admin/people/simplenews/export','/admin/people/simplenews/export',15,'C:31:\"Symfony\\Component\\Routing\\Route\":1003:{a:9:{s:4:\"path\";s:31:\"/admin/people/simplenews/export\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:44:\"\\Drupal\\simplenews\\Form\\SubscriberExportForm\";s:6:\"_title\";s:6:\"Export\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:35:\"administer simplenews subscriptions\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":391:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:38:\"#^/admin/people/simplenews/export$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/people/simplenews/export\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:31:\"/admin/people/simplenews/export\";s:8:\"numParts\";i:4;}}}}',4),('simplenews.subscriber_import','/admin/people/simplenews/import','/admin/people/simplenews/import',15,'C:31:\"Symfony\\Component\\Routing\\Route\":1019:{a:9:{s:4:\"path\";s:31:\"/admin/people/simplenews/import\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:51:\"\\Drupal\\simplenews\\Form\\SubscriberMassSubscribeForm\";s:6:\"_title\";s:14:\"Mass subscribe\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:35:\"administer simplenews subscriptions\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":391:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:38:\"#^/admin/people/simplenews/import$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/people/simplenews/import\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:31:\"/admin/people/simplenews/import\";s:8:\"numParts\";i:4;}}}}',4),('simplenews.subscriber_unsubscribe','/admin/people/simplenews/unsubscribe','/admin/people/simplenews/unsubscribe',15,'C:31:\"Symfony\\Component\\Routing\\Route\":1043:{a:9:{s:4:\"path\";s:36:\"/admin/people/simplenews/unsubscribe\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:53:\"\\Drupal\\simplenews\\Form\\SubscriberMassUnsubscribeForm\";s:6:\"_title\";s:16:\"Mass unsubscribe\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:35:\"administer simplenews subscriptions\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":406:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:43:\"#^/admin/people/simplenews/unsubscribe$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:36:\"/admin/people/simplenews/unsubscribe\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:36:\"/admin/people/simplenews/unsubscribe\";s:8:\"numParts\";i:4;}}}}',4),('system.401','/system/401','/system/401',3,'C:31:\"Symfony\\Component\\Routing\\Route\":877:{a:9:{s:4:\"path\";s:11:\"/system/401\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:49:\"\\Drupal\\system\\Controller\\Http4xxController:on401\";s:6:\"_title\";s:12:\"Unauthorized\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":330:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:18:\"#^/system/401$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/system/401\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:11:\"/system/401\";s:8:\"numParts\";i:2;}}}}',2),('system.403','/system/403','/system/403',3,'C:31:\"Symfony\\Component\\Routing\\Route\":878:{a:9:{s:4:\"path\";s:11:\"/system/403\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:49:\"\\Drupal\\system\\Controller\\Http4xxController:on403\";s:6:\"_title\";s:13:\"Access denied\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":330:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:18:\"#^/system/403$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/system/403\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:11:\"/system/403\";s:8:\"numParts\";i:2;}}}}',2),('system.404','/system/404','/system/404',3,'C:31:\"Symfony\\Component\\Routing\\Route\":879:{a:9:{s:4:\"path\";s:11:\"/system/404\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:49:\"\\Drupal\\system\\Controller\\Http4xxController:on404\";s:6:\"_title\";s:14:\"Page not found\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":330:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:18:\"#^/system/404$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/system/404\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:11:\"/system/404\";s:8:\"numParts\";i:2;}}}}',2),('system.4xx','/system/4xx','/system/4xx',3,'C:31:\"Symfony\\Component\\Routing\\Route\":877:{a:9:{s:4:\"path\";s:11:\"/system/4xx\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:49:\"\\Drupal\\system\\Controller\\Http4xxController:on4xx\";s:6:\"_title\";s:12:\"Client error\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":330:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:18:\"#^/system/4xx$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/system/4xx\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:11:\"/system/4xx\";s:8:\"numParts\";i:2;}}}}',2),('system.admin','/admin','/admin',1,'C:31:\"Symfony\\Component\\Routing\\Route\":931:{a:9:{s:4:\"path\";s:6:\"/admin\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:68:\"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage\";s:6:\"_title\";s:14:\"Administration\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"access administration pages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":313:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:13:\"#^/admin$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:6:\"/admin\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:6:\"/admin\";s:8:\"numParts\";i:1;}}}}',1),('system.admin_compact_page','/admin/compact/{mode}','/admin/compact',3,'C:31:\"Symfony\\Component\\Routing\\Route\":1079:{a:9:{s:4:\"path\";s:21:\"/admin/compact/{mode}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:55:\"\\Drupal\\system\\Controller\\SystemController::compactPage\";s:4:\"mode\";s:3:\"off\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"access administration pages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":472:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"mode\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:43:\"#^/admin/compact(?:/(?P<mode>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"mode\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/admin/compact\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"mode\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:14:\"/admin/compact\";s:8:\"numParts\";i:3;}}}}',3),('system.admin_config','/admin/config','/admin/config',3,'C:31:\"Symfony\\Component\\Routing\\Route\":986:{a:9:{s:4:\"path\";s:13:\"/admin/config\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:11:\"_controller\";s:52:\"\\Drupal\\system\\Controller\\SystemController::overview\";s:7:\"link_id\";s:19:\"system.admin_config\";s:6:\"_title\";s:13:\"Configuration\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"access administration pages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":336:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:20:\"#^/admin/config$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/admin/config\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:13:\"/admin/config\";s:8:\"numParts\";i:2;}}}}',2),('system.admin_config_content','/admin/config/content','/admin/config/content',7,'C:31:\"Symfony\\Component\\Routing\\Route\":997:{a:9:{s:4:\"path\";s:21:\"/admin/config/content\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:68:\"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage\";s:6:\"_title\";s:17:\"Content authoring\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"access administration pages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":360:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:28:\"#^/admin/config/content$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:21:\"/admin/config/content\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:21:\"/admin/config/content\";s:8:\"numParts\";i:3;}}}}',3),('system.admin_config_development','/admin/config/development','/admin/config/development',7,'C:31:\"Symfony\\Component\\Routing\\Route\":1007:{a:9:{s:4:\"path\";s:25:\"/admin/config/development\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:68:\"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage\";s:6:\"_title\";s:11:\"Development\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"access administration pages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":372:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:32:\"#^/admin/config/development$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:25:\"/admin/config/development\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:25:\"/admin/config/development\";s:8:\"numParts\";i:3;}}}}',3),('system.admin_config_media','/admin/config/media','/admin/config/media',7,'C:31:\"Symfony\\Component\\Routing\\Route\":976:{a:9:{s:4:\"path\";s:19:\"/admin/config/media\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:68:\"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage\";s:6:\"_title\";s:5:\"Media\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"access administration pages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":354:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:26:\"#^/admin/config/media$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:19:\"/admin/config/media\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:19:\"/admin/config/media\";s:8:\"numParts\";i:3;}}}}',3),('system.admin_config_regional','/admin/config/regional','/admin/config/regional',7,'C:31:\"Symfony\\Component\\Routing\\Route\":1005:{a:9:{s:4:\"path\";s:22:\"/admin/config/regional\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:68:\"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage\";s:6:\"_title\";s:21:\"Regional and language\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"access administration pages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":363:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:29:\"#^/admin/config/regional$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/admin/config/regional\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:22:\"/admin/config/regional\";s:8:\"numParts\";i:3;}}}}',3),('system.admin_config_search','/admin/config/search','/admin/config/search',7,'C:31:\"Symfony\\Component\\Routing\\Route\":995:{a:9:{s:4:\"path\";s:20:\"/admin/config/search\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:68:\"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage\";s:6:\"_title\";s:19:\"Search and metadata\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"access administration pages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":357:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:27:\"#^/admin/config/search$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/admin/config/search\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:20:\"/admin/config/search\";s:8:\"numParts\";i:3;}}}}',3),('system.admin_config_services','/admin/config/services','/admin/config/services',7,'C:31:\"Symfony\\Component\\Routing\\Route\":996:{a:9:{s:4:\"path\";s:22:\"/admin/config/services\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:68:\"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage\";s:6:\"_title\";s:12:\"Web services\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"access administration pages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":363:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:29:\"#^/admin/config/services$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/admin/config/services\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:22:\"/admin/config/services\";s:8:\"numParts\";i:3;}}}}',3),('system.admin_config_system','/admin/config/system','/admin/config/system',7,'C:31:\"Symfony\\Component\\Routing\\Route\":981:{a:9:{s:4:\"path\";s:20:\"/admin/config/system\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:68:\"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage\";s:6:\"_title\";s:6:\"System\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"access administration pages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":357:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:27:\"#^/admin/config/system$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/admin/config/system\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:20:\"/admin/config/system\";s:8:\"numParts\";i:3;}}}}',3),('system.admin_config_ui','/admin/config/user-interface','/admin/config/user-interface',7,'C:31:\"Symfony\\Component\\Routing\\Route\":1023:{a:9:{s:4:\"path\";s:28:\"/admin/config/user-interface\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:68:\"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage\";s:6:\"_title\";s:14:\"User interface\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"access administration pages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":382:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:36:\"#^/admin/config/user\\-interface$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:28:\"/admin/config/user-interface\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:28:\"/admin/config/user-interface\";s:8:\"numParts\";i:3;}}}}',3),('system.admin_config_workflow','/admin/config/workflow','/admin/config/workflow',7,'C:31:\"Symfony\\Component\\Routing\\Route\":991:{a:9:{s:4:\"path\";s:22:\"/admin/config/workflow\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:68:\"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage\";s:6:\"_title\";s:8:\"Workflow\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"access administration pages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":363:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:29:\"#^/admin/config/workflow$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/admin/config/workflow\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:22:\"/admin/config/workflow\";s:8:\"numParts\";i:3;}}}}',3),('system.admin_content','/admin/content','/admin/content',3,'C:31:\"Symfony\\Component\\Routing\\Route\":1254:{a:9:{s:4:\"path\";s:14:\"/admin/content\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:7:\"Content\";s:7:\"view_id\";s:7:\"content\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:0;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:23:\"access content overview\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:9:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:0;s:16:\"returns_response\";b:0;s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:0:{}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":339:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:21:\"#^/admin/content$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/admin/content\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:14:\"/admin/content\";s:8:\"numParts\";i:2;}}}}',2),('system.admin_index','/admin/index','/admin/index',3,'C:31:\"Symfony\\Component\\Routing\\Route\":938:{a:9:{s:4:\"path\";s:12:\"/admin/index\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:48:\"\\Drupal\\system\\Controller\\AdminController::index\";s:6:\"_title\";s:14:\"Administration\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"access administration pages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":333:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:19:\"#^/admin/index$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:12:\"/admin/index\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:12:\"/admin/index\";s:8:\"numParts\";i:2;}}}}',2),('system.admin_reports','/admin/reports','/admin/reports',3,'C:31:\"Symfony\\Component\\Routing\\Route\":950:{a:9:{s:4:\"path\";s:14:\"/admin/reports\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:68:\"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage\";s:6:\"_title\";s:7:\"Reports\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:19:\"access site reports\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":339:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:21:\"#^/admin/reports$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/admin/reports\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:14:\"/admin/reports\";s:8:\"numParts\";i:2;}}}}',2),('system.admin_structure','/admin/structure','/admin/structure',3,'C:31:\"Symfony\\Component\\Routing\\Route\":968:{a:9:{s:4:\"path\";s:16:\"/admin/structure\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:68:\"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage\";s:6:\"_title\";s:9:\"Structure\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"access administration pages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":345:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:23:\"#^/admin/structure$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:16:\"/admin/structure\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:16:\"/admin/structure\";s:8:\"numParts\";i:2;}}}}',2),('system.batch_page.html','/batch','/batch',1,'C:31:\"Symfony\\Component\\Routing\\Route\":961:{a:9:{s:4:\"path\";s:6:\"/batch\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:52:\"\\Drupal\\system\\Controller\\BatchController::batchPage\";s:15:\"_title_callback\";s:57:\"\\Drupal\\system\\Controller\\BatchController::batchPageTitle\";}s:12:\"requirements\";a:2:{s:7:\"_access\";s:4:\"TRUE\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":313:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:13:\"#^/batch$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:6:\"/batch\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:6:\"/batch\";s:8:\"numParts\";i:1;}}}}',1),('system.batch_page.json','/batch','/batch',1,'C:31:\"Symfony\\Component\\Routing\\Route\":873:{a:9:{s:4:\"path\";s:6:\"/batch\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:52:\"\\Drupal\\system\\Controller\\BatchController::batchPage\";}s:12:\"requirements\";a:2:{s:7:\"_access\";s:4:\"TRUE\";s:7:\"_format\";s:4:\"json\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":313:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:13:\"#^/batch$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:6:\"/batch\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:6:\"/batch\";s:8:\"numParts\";i:1;}}}}',1),('system.cron','/cron/{key}','/cron/%',2,'C:31:\"Symfony\\Component\\Routing\\Route\":964:{a:9:{s:4:\"path\";s:11:\"/cron/{key}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:34:\"\\Drupal\\system\\CronController::run\";}s:12:\"requirements\";a:1:{s:19:\"_access_system_cron\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:8:\"no_cache\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:17:\"access_check.cron\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":436:{a:11:{s:4:\"vars\";a:1:{i:0;s:3:\"key\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:28:\"#^/cron/(?P<key>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:3:\"key\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/cron\";}}s:9:\"path_vars\";a:1:{i:0;s:3:\"key\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:2;s:14:\"patternOutline\";s:7:\"/cron/%\";s:8:\"numParts\";i:2;}}}}',2),('system.cron_settings','/admin/config/system/cron','/admin/config/system/cron',15,'C:31:\"Symfony\\Component\\Routing\\Route\":955:{a:9:{s:4:\"path\";s:25:\"/admin/config/system/cron\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:28:\"\\Drupal\\system\\Form\\CronForm\";s:6:\"_title\";s:4:\"Cron\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:29:\"administer site configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":373:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:32:\"#^/admin/config/system/cron$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:25:\"/admin/config/system/cron\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:25:\"/admin/config/system/cron\";s:8:\"numParts\";i:4;}}}}',4),('system.csrftoken','/session/token','/session/token',3,'C:31:\"Symfony\\Component\\Routing\\Route\":863:{a:9:{s:4:\"path\";s:14:\"/session/token\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:56:\"\\Drupal\\system\\Controller\\CsrfTokenController::csrfToken\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":339:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:21:\"#^/session/token$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/session/token\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:14:\"/session/token\";s:8:\"numParts\";i:2;}}}}',2),('system.date_format_add','/admin/config/regional/date-time/formats/add','/admin/config/regional/date-time/formats/add',63,'C:31:\"Symfony\\Component\\Routing\\Route\":1039:{a:9:{s:4:\"path\";s:44:\"/admin/config/regional/date-time/formats/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:15:\"date_format.add\";s:6:\"_title\";s:15:\"Add date format\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:29:\"administer site configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":431:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:52:\"#^/admin/config/regional/date\\-time/formats/add$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:44:\"/admin/config/regional/date-time/formats/add\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:63;s:14:\"patternOutline\";s:44:\"/admin/config/regional/date-time/formats/add\";s:8:\"numParts\";i:6;}}}}',6),('system.db_update','/update.php/{op}','/update.php',1,'C:31:\"Symfony\\Component\\Routing\\Route\":996:{a:9:{s:4:\"path\";s:16:\"/update.php/{op}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:2:\"op\";s:4:\"info\";}s:12:\"requirements\";a:1:{s:21:\"_access_system_update\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:19:\"default_url_options\";a:1:{s:15:\"path_processing\";b:0;}s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:22:\"access_check.db_update\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":456:{a:11:{s:4:\"vars\";a:1:{i:0;s:2:\"op\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:39:\"#^/update\\.php(?:/(?P<op>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:2:\"op\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/update.php\";}}s:9:\"path_vars\";a:1:{i:0;s:2:\"op\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:11:\"/update.php\";s:8:\"numParts\";i:2;}}}}',2),('system.entity_autocomplete','/entity_reference_autocomplete/{target_type}/{selection_handler}/{selection_settings_key}','/entity_reference_autocomplete/%/%/%',8,'C:31:\"Symfony\\Component\\Routing\\Route\":1556:{a:9:{s:4:\"path\";s:89:\"/entity_reference_autocomplete/{target_type}/{selection_handler}/{selection_settings_key}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:74:\"\\Drupal\\system\\Controller\\EntityAutocompleteController::handleAutocomplete\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":939:{a:11:{s:4:\"vars\";a:3:{i:0;s:11:\"target_type\";i:1;s:17:\"selection_handler\";i:2;s:22:\"selection_settings_key\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:126:\"#^/entity_reference_autocomplete/(?P<target_type>[^/]++)/(?P<selection_handler>[^/]++)/(?P<selection_settings_key>[^/]++)$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:22:\"selection_settings_key\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:17:\"selection_handler\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"target_type\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:30:\"/entity_reference_autocomplete\";}}s:9:\"path_vars\";a:3:{i:0;s:11:\"target_type\";i:1;s:17:\"selection_handler\";i:2;s:22:\"selection_settings_key\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:8;s:14:\"patternOutline\";s:36:\"/entity_reference_autocomplete/%/%/%\";s:8:\"numParts\";i:4;}}}}',4),('system.files','/system/files/{scheme}','/system/files',3,'C:31:\"Symfony\\Component\\Routing\\Route\":1027:{a:9:{s:4:\"path\";s:22:\"/system/files/{scheme}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:47:\"\\Drupal\\system\\FileDownloadController::download\";s:6:\"scheme\";s:7:\"private\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":477:{a:11:{s:4:\"vars\";a:1:{i:0;s:6:\"scheme\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:44:\"#^/system/files(?:/(?P<scheme>[^/]++))?$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"scheme\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/system/files\";}}s:9:\"path_vars\";a:1:{i:0;s:6:\"scheme\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:13:\"/system/files\";s:8:\"numParts\";i:3;}}}}',3),('system.file_system_settings','/admin/config/media/file-system','/admin/config/media/file-system',15,'C:31:\"Symfony\\Component\\Routing\\Route\":994:{a:9:{s:4:\"path\";s:31:\"/admin/config/media/file-system\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:34:\"\\Drupal\\system\\Form\\FileSystemForm\";s:6:\"_title\";s:11:\"File system\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:29:\"administer site configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":392:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:39:\"#^/admin/config/media/file\\-system$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/config/media/file-system\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:31:\"/admin/config/media/file-system\";s:8:\"numParts\";i:4;}}}}',4),('system.image_toolkit_settings','/admin/config/media/image-toolkit','/admin/config/media/image-toolkit',15,'C:31:\"Symfony\\Component\\Routing\\Route\":1006:{a:9:{s:4:\"path\";s:33:\"/admin/config/media/image-toolkit\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:36:\"\\Drupal\\system\\Form\\ImageToolkitForm\";s:6:\"_title\";s:13:\"Image toolkit\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:29:\"administer site configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":398:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:41:\"#^/admin/config/media/image\\-toolkit$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:33:\"/admin/config/media/image-toolkit\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:33:\"/admin/config/media/image-toolkit\";s:8:\"numParts\";i:4;}}}}',4),('system.logging_settings','/admin/config/development/logging','/admin/config/development/logging',15,'C:31:\"Symfony\\Component\\Routing\\Route\":1005:{a:9:{s:4:\"path\";s:33:\"/admin/config/development/logging\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:31:\"\\Drupal\\system\\Form\\LoggingForm\";s:6:\"_title\";s:18:\"Logging and errors\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:29:\"administer site configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":397:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:40:\"#^/admin/config/development/logging$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:33:\"/admin/config/development/logging\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:33:\"/admin/config/development/logging\";s:8:\"numParts\";i:4;}}}}',4),('system.machine_name_transliterate','/machine_name/transliterate','/machine_name/transliterate',3,'C:31:\"Symfony\\Component\\Routing\\Route\":929:{a:9:{s:4:\"path\";s:27:\"/machine_name/transliterate\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:51:\"\\Drupal\\system\\MachineNameController::transliterate\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:14:\"access content\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":378:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:34:\"#^/machine_name/transliterate$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:27:\"/machine_name/transliterate\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:27:\"/machine_name/transliterate\";s:8:\"numParts\";i:2;}}}}',2),('system.modules_list','/admin/modules','/admin/modules',3,'C:31:\"Symfony\\Component\\Routing\\Route\":953:{a:9:{s:4:\"path\";s:14:\"/admin/modules\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:3:{s:6:\"_title\";s:6:\"Extend\";s:14:\"_title_context\";s:15:\"With components\";s:5:\"_form\";s:35:\"\\Drupal\\system\\Form\\ModulesListForm\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:18:\"administer modules\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":339:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:21:\"#^/admin/modules$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/admin/modules\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:14:\"/admin/modules\";s:8:\"numParts\";i:2;}}}}',2),('system.modules_list_confirm','/admin/modules/list/confirm','/admin/modules/list/confirm',15,'C:31:\"Symfony\\Component\\Routing\\Route\":1000:{a:9:{s:4:\"path\";s:27:\"/admin/modules/list/confirm\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:42:\"\\Drupal\\system\\Form\\ModulesListConfirmForm\";s:6:\"_title\";s:37:\"Some required modules must be enabled\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:18:\"administer modules\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":379:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:34:\"#^/admin/modules/list/confirm$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:27:\"/admin/modules/list/confirm\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:27:\"/admin/modules/list/confirm\";s:8:\"numParts\";i:4;}}}}',4),('system.modules_list_experimental_confirm','/admin/modules/list/confirm-experimental','/admin/modules/list/confirm-experimental',15,'C:31:\"Symfony\\Component\\Routing\\Route\":1048:{a:9:{s:4:\"path\";s:40:\"/admin/modules/list/confirm-experimental\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:54:\"\\Drupal\\system\\Form\\ModulesListExperimentalConfirmForm\";s:6:\"_title\";s:20:\"Experimental modules\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:18:\"administer modules\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":419:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:48:\"#^/admin/modules/list/confirm\\-experimental$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:40:\"/admin/modules/list/confirm-experimental\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:40:\"/admin/modules/list/confirm-experimental\";s:8:\"numParts\";i:4;}}}}',4),('system.modules_uninstall','/admin/modules/uninstall','/admin/modules/uninstall',7,'C:31:\"Symfony\\Component\\Routing\\Route\":956:{a:9:{s:4:\"path\";s:24:\"/admin/modules/uninstall\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:40:\"\\Drupal\\system\\Form\\ModulesUninstallForm\";s:6:\"_title\";s:9:\"Uninstall\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:18:\"administer modules\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":369:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:31:\"#^/admin/modules/uninstall$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:24:\"/admin/modules/uninstall\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:24:\"/admin/modules/uninstall\";s:8:\"numParts\";i:3;}}}}',3),('system.modules_uninstall_confirm','/admin/modules/uninstall/confirm','/admin/modules/uninstall/confirm',15,'C:31:\"Symfony\\Component\\Routing\\Route\":1005:{a:9:{s:4:\"path\";s:32:\"/admin/modules/uninstall/confirm\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:47:\"\\Drupal\\system\\Form\\ModulesUninstallConfirmForm\";s:6:\"_title\";s:17:\"Confirm uninstall\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:18:\"administer modules\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":394:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:39:\"#^/admin/modules/uninstall/confirm$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:32:\"/admin/modules/uninstall/confirm\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:32:\"/admin/modules/uninstall/confirm\";s:8:\"numParts\";i:4;}}}}',4),('system.performance_settings','/admin/config/development/performance','/admin/config/development/performance',15,'C:31:\"Symfony\\Component\\Routing\\Route\":1018:{a:9:{s:4:\"path\";s:37:\"/admin/config/development/performance\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:35:\"\\Drupal\\system\\Form\\PerformanceForm\";s:6:\"_title\";s:11:\"Performance\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:29:\"administer site configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":409:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:44:\"#^/admin/config/development/performance$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/config/development/performance\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:37:\"/admin/config/development/performance\";s:8:\"numParts\";i:4;}}}}',4),('system.php','/admin/reports/status/php','/admin/reports/status/php',15,'C:31:\"Symfony\\Component\\Routing\\Route\":961:{a:9:{s:4:\"path\";s:25:\"/admin/reports/status/php\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:51:\"\\Drupal\\system\\Controller\\SystemInfoController::php\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:29:\"administer site configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:12:\"_admin_route\";b:0;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":373:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:32:\"#^/admin/reports/status/php$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:25:\"/admin/reports/status/php\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:25:\"/admin/reports/status/php\";s:8:\"numParts\";i:4;}}}}',4),('system.prepare_modules_entity_uninstall','/admin/modules/uninstall/entity/{entity_type_id}','/admin/modules/uninstall/entity/%',30,'C:31:\"Symfony\\Component\\Routing\\Route\":1254:{a:9:{s:4:\"path\";s:48:\"/admin/modules/uninstall/entity/{entity_type_id}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:53:\"\\Drupal\\system\\Form\\PrepareModulesEntityUninstallForm\";s:15:\"_title_callback\";s:64:\"\\Drupal\\system\\Form\\PrepareModulesEntityUninstallForm::formTitle\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:18:\"administer modules\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":564:{a:11:{s:4:\"vars\";a:1:{i:0;s:14:\"entity_type_id\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:65:\"#^/admin/modules/uninstall/entity/(?P<entity_type_id>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:14:\"entity_type_id\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/modules/uninstall/entity\";}}s:9:\"path_vars\";a:1:{i:0;s:14:\"entity_type_id\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:30;s:14:\"patternOutline\";s:33:\"/admin/modules/uninstall/entity/%\";s:8:\"numParts\";i:5;}}}}',5),('system.private_file_download','/system/files/{filepath}','/system/files/%',6,'C:31:\"Symfony\\Component\\Routing\\Route\":1023:{a:9:{s:4:\"path\";s:24:\"/system/files/{filepath}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:47:\"\\Drupal\\system\\FileDownloadController::download\";}s:12:\"requirements\";a:2:{s:8:\"filepath\";s:2:\".+\";s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":474:{a:11:{s:4:\"vars\";a:1:{i:0;s:8:\"filepath\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:37:\"#^/system/files/(?P<filepath>.+)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:2:\".+\";i:3;s:8:\"filepath\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/system/files\";}}s:9:\"path_vars\";a:1:{i:0;s:8:\"filepath\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:15:\"/system/files/%\";s:8:\"numParts\";i:3;}}}}',3),('system.regional_settings','/admin/config/regional/settings','/admin/config/regional/settings',15,'C:31:\"Symfony\\Component\\Routing\\Route\":997:{a:9:{s:4:\"path\";s:31:\"/admin/config/regional/settings\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:32:\"\\Drupal\\system\\Form\\RegionalForm\";s:6:\"_title\";s:17:\"Regional settings\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:29:\"administer site configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":391:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:38:\"#^/admin/config/regional/settings$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/config/regional/settings\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:31:\"/admin/config/regional/settings\";s:8:\"numParts\";i:4;}}}}',4),('system.rss_feeds_settings','/admin/config/services/rss-publishing','/admin/config/services/rss-publishing',15,'C:31:\"Symfony\\Component\\Routing\\Route\":1019:{a:9:{s:4:\"path\";s:37:\"/admin/config/services/rss-publishing\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:32:\"\\Drupal\\system\\Form\\RssFeedsForm\";s:6:\"_title\";s:14:\"RSS publishing\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:29:\"administer site configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":410:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:45:\"#^/admin/config/services/rss\\-publishing$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/config/services/rss-publishing\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:37:\"/admin/config/services/rss-publishing\";s:8:\"numParts\";i:4;}}}}',4),('system.run_cron','/admin/reports/status/run-cron','/admin/reports/status/run-cron',15,'C:31:\"Symfony\\Component\\Routing\\Route\":1051:{a:9:{s:4:\"path\";s:30:\"/admin/reports/status/run-cron\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:42:\"\\Drupal\\system\\CronController::runManually\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:29:\"administer site configuration\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:8:\"no_cache\";b:1;s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":389:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:38:\"#^/admin/reports/status/run\\-cron$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:30:\"/admin/reports/status/run-cron\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:30:\"/admin/reports/status/run-cron\";s:8:\"numParts\";i:4;}}}}',4),('system.site_information_settings','/admin/config/system/site-information','/admin/config/system/site-information',15,'C:31:\"Symfony\\Component\\Routing\\Route\":1031:{a:9:{s:4:\"path\";s:37:\"/admin/config/system/site-information\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:39:\"\\Drupal\\system\\Form\\SiteInformationForm\";s:6:\"_title\";s:19:\"Basic site settings\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:29:\"administer site configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":410:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:45:\"#^/admin/config/system/site\\-information$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/config/system/site-information\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:37:\"/admin/config/system/site-information\";s:8:\"numParts\";i:4;}}}}',4),('system.site_maintenance_mode','/admin/config/development/maintenance','/admin/config/development/maintenance',15,'C:31:\"Symfony\\Component\\Routing\\Route\":1059:{a:9:{s:4:\"path\";s:37:\"/admin/config/development/maintenance\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:43:\"\\Drupal\\system\\Form\\SiteMaintenanceModeForm\";s:6:\"_title\";s:16:\"Maintenance mode\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:57:\"administer site configuration+administer software updates\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":409:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:44:\"#^/admin/config/development/maintenance$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:37:\"/admin/config/development/maintenance\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:37:\"/admin/config/development/maintenance\";s:8:\"numParts\";i:4;}}}}',4),('system.status','/admin/reports/status','/admin/reports/status',7,'C:31:\"Symfony\\Component\\Routing\\Route\":981:{a:9:{s:4:\"path\";s:21:\"/admin/reports/status\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:54:\"\\Drupal\\system\\Controller\\SystemInfoController::status\";s:6:\"_title\";s:13:\"Status report\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:29:\"administer site configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":360:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:28:\"#^/admin/reports/status$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:21:\"/admin/reports/status\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:21:\"/admin/reports/status\";s:8:\"numParts\";i:3;}}}}',3),('system.temporary','/system/temporary','/system/temporary',3,'C:31:\"Symfony\\Component\\Routing\\Route\":895:{a:9:{s:4:\"path\";s:17:\"/system/temporary\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:47:\"\\Drupal\\system\\FileDownloadController::download\";s:6:\"scheme\";s:9:\"temporary\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":348:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:24:\"#^/system/temporary$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/system/temporary\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:17:\"/system/temporary\";s:8:\"numParts\";i:2;}}}}',2),('system.themes_page','/admin/appearance','/admin/appearance',3,'C:31:\"Symfony\\Component\\Routing\\Route\":950:{a:9:{s:4:\"path\";s:17:\"/admin/appearance\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:6:\"_title\";s:10:\"Appearance\";s:11:\"_controller\";s:54:\"\\Drupal\\system\\Controller\\SystemController::themesPage\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:17:\"administer themes\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":348:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:24:\"#^/admin/appearance$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/admin/appearance\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:17:\"/admin/appearance\";s:8:\"numParts\";i:2;}}}}',2),('system.theme_install','/admin/appearance/install','/admin/appearance/install',7,'C:31:\"Symfony\\Component\\Routing\\Route\":1006:{a:9:{s:4:\"path\";s:25:\"/admin/appearance/install\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:50:\"\\Drupal\\system\\Controller\\ThemeController::install\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:17:\"administer themes\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":372:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:32:\"#^/admin/appearance/install$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:25:\"/admin/appearance/install\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:25:\"/admin/appearance/install\";s:8:\"numParts\";i:3;}}}}',3),('system.theme_settings','/admin/appearance/settings','/admin/appearance/settings',7,'C:31:\"Symfony\\Component\\Routing\\Route\":971:{a:9:{s:4:\"path\";s:26:\"/admin/appearance/settings\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:37:\"\\Drupal\\system\\Form\\ThemeSettingsForm\";s:6:\"_title\";s:19:\"Appearance settings\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:17:\"administer themes\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":375:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:33:\"#^/admin/appearance/settings$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/appearance/settings\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:26:\"/admin/appearance/settings\";s:8:\"numParts\";i:3;}}}}',3),('system.theme_settings_theme','/admin/appearance/settings/{theme}','/admin/appearance/settings/%',14,'C:31:\"Symfony\\Component\\Routing\\Route\":1126:{a:9:{s:4:\"path\";s:34:\"/admin/appearance/settings/{theme}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:37:\"\\Drupal\\system\\Form\\ThemeSettingsForm\";s:15:\"_title_callback\";s:21:\"theme_handler:getName\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:17:\"administer themes\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":510:{a:11:{s:4:\"vars\";a:1:{i:0;s:5:\"theme\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:51:\"#^/admin/appearance/settings/(?P<theme>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:5:\"theme\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/appearance/settings\";}}s:9:\"path_vars\";a:1:{i:0;s:5:\"theme\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:14;s:14:\"patternOutline\";s:28:\"/admin/appearance/settings/%\";s:8:\"numParts\";i:4;}}}}',4),('system.theme_set_default','/admin/appearance/default','/admin/appearance/default',7,'C:31:\"Symfony\\Component\\Routing\\Route\":1055:{a:9:{s:4:\"path\";s:25:\"/admin/appearance/default\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:6:\"_title\";s:20:\"Set as default theme\";s:11:\"_controller\";s:58:\"\\Drupal\\system\\Controller\\ThemeController::setDefaultTheme\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:17:\"administer themes\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":372:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:32:\"#^/admin/appearance/default$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:25:\"/admin/appearance/default\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:25:\"/admin/appearance/default\";s:8:\"numParts\";i:3;}}}}',3),('system.theme_uninstall','/admin/appearance/uninstall','/admin/appearance/uninstall',7,'C:31:\"Symfony\\Component\\Routing\\Route\":1016:{a:9:{s:4:\"path\";s:27:\"/admin/appearance/uninstall\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:52:\"\\Drupal\\system\\Controller\\ThemeController::uninstall\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:17:\"administer themes\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":378:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:34:\"#^/admin/appearance/uninstall$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:27:\"/admin/appearance/uninstall\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:27:\"/admin/appearance/uninstall\";s:8:\"numParts\";i:3;}}}}',3),('system.timezone','/system/timezone/{abbreviation}/{offset}/{is_daylight_saving_time}','/system/timezone',3,'C:31:\"Symfony\\Component\\Routing\\Route\":1522:{a:9:{s:4:\"path\";s:66:\"/system/timezone/{abbreviation}/{offset}/{is_daylight_saving_time}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:11:\"_controller\";s:57:\"\\Drupal\\system\\Controller\\TimezoneController::getTimezone\";s:12:\"abbreviation\";s:0:\"\";s:6:\"offset\";i:-1;s:23:\"is_daylight_saving_time\";N;}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":867:{a:11:{s:4:\"vars\";a:3:{i:0;s:12:\"abbreviation\";i:1;s:6:\"offset\";i:2;s:23:\"is_daylight_saving_time\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:118:\"#^/system/timezone(?:/(?P<abbreviation>[^/]++)(?:/(?P<offset>[^/]++)(?:/(?P<is_daylight_saving_time>[^/]++))?)?)?$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:23:\"is_daylight_saving_time\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"offset\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:12:\"abbreviation\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:16:\"/system/timezone\";}}s:9:\"path_vars\";a:3:{i:0;s:12:\"abbreviation\";i:1;s:6:\"offset\";i:2;s:23:\"is_daylight_saving_time\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:16:\"/system/timezone\";s:8:\"numParts\";i:5;}}}}',5),('token.autocomplete','/token/autocomplete/{token_type}/{filter}','/token/autocomplete/%/%',12,'C:31:\"Symfony\\Component\\Routing\\Route\":1211:{a:9:{s:4:\"path\";s:41:\"/token/autocomplete/{token_type}/{filter}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:66:\"\\Drupal\\token\\Controller\\TokenAutocompleteController::autocomplete\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":650:{a:11:{s:4:\"vars\";a:2:{i:0;s:10:\"token_type\";i:1;s:6:\"filter\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:68:\"#^/token/autocomplete/(?P<token_type>[^/]++)/(?P<filter>[^/]++)$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:6:\"filter\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:10:\"token_type\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:19:\"/token/autocomplete\";}}s:9:\"path_vars\";a:2:{i:0;s:10:\"token_type\";i:1;s:6:\"filter\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:12;s:14:\"patternOutline\";s:23:\"/token/autocomplete/%/%\";s:8:\"numParts\";i:4;}}}}',4),('token.tree','/token/tree','/token/tree',3,'C:31:\"Symfony\\Component\\Routing\\Route\":853:{a:9:{s:4:\"path\";s:11:\"/token/tree\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:56:\"\\Drupal\\token\\Controller\\TokenTreeController::outputTree\";}s:12:\"requirements\";a:1:{s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":330:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:18:\"#^/token/tree$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/token/tree\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:11:\"/token/tree\";s:8:\"numParts\";i:2;}}}}',2),('toolbar.subtrees','/toolbar/subtrees/{hash}','/toolbar/subtrees/%',6,'C:31:\"Symfony\\Component\\Routing\\Route\":1082:{a:9:{s:4:\"path\";s:24:\"/toolbar/subtrees/{hash}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:58:\"\\Drupal\\toolbar\\Controller\\ToolbarController::subtreesAjax\";}s:12:\"requirements\";a:1:{s:14:\"_custom_access\";s:64:\"\\Drupal\\toolbar\\Controller\\ToolbarController::checkSubTreeAccess\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.custom\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":478:{a:11:{s:4:\"vars\";a:1:{i:0;s:4:\"hash\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:41:\"#^/toolbar/subtrees/(?P<hash>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"hash\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/toolbar/subtrees\";}}s:9:\"path_vars\";a:1:{i:0;s:4:\"hash\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:19:\"/toolbar/subtrees/%\";s:8:\"numParts\";i:3;}}}}',3),('update.confirmation_page','/admin/update/ready','/admin/update/ready',7,'C:31:\"Symfony\\Component\\Routing\\Route\":1030:{a:9:{s:4:\"path\";s:19:\"/admin/update/ready\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:31:\"\\Drupal\\update\\Form\\UpdateReady\";s:6:\"_title\";s:15:\"Ready to update\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:27:\"administer software updates\";s:22:\"_access_update_manager\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:34:\"access_check.update.manager_access\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":354:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:26:\"#^/admin/update/ready$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:19:\"/admin/update/ready\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:19:\"/admin/update/ready\";s:8:\"numParts\";i:3;}}}}',3),('update.manual_status','/admin/reports/updates/check','/admin/reports/updates/check',15,'C:31:\"Symfony\\Component\\Routing\\Route\":1085:{a:9:{s:4:\"path\";s:28:\"/admin/reports/updates/check\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:6:\"_title\";s:19:\"Manual update check\";s:11:\"_controller\";s:64:\"\\Drupal\\update\\Controller\\UpdateController::updateStatusManually\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:29:\"administer site configuration\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":382:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:35:\"#^/admin/reports/updates/check$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:28:\"/admin/reports/updates/check\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:28:\"/admin/reports/updates/check\";s:8:\"numParts\";i:4;}}}}',4),('update.module_install','/admin/modules/install','/admin/modules/install',7,'C:31:\"Symfony\\Component\\Routing\\Route\":1054:{a:9:{s:4:\"path\";s:22:\"/admin/modules/install\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:40:\"\\Drupal\\update\\Form\\UpdateManagerInstall\";s:6:\"_title\";s:18:\"Install new module\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:27:\"administer software updates\";s:22:\"_access_update_manager\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:34:\"access_check.update.manager_access\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":363:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:29:\"#^/admin/modules/install$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/admin/modules/install\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:22:\"/admin/modules/install\";s:8:\"numParts\";i:3;}}}}',3),('update.module_update','/admin/modules/update','/admin/modules/update',7,'C:31:\"Symfony\\Component\\Routing\\Route\":1036:{a:9:{s:4:\"path\";s:21:\"/admin/modules/update\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:39:\"\\Drupal\\update\\Form\\UpdateManagerUpdate\";s:6:\"_title\";s:6:\"Update\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:27:\"administer software updates\";s:22:\"_access_update_manager\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:34:\"access_check.update.manager_access\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":360:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:28:\"#^/admin/modules/update$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:21:\"/admin/modules/update\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:21:\"/admin/modules/update\";s:8:\"numParts\";i:3;}}}}',3),('update.report_install','/admin/reports/updates/install','/admin/reports/updates/install',15,'C:31:\"Symfony\\Component\\Routing\\Route\":1075:{a:9:{s:4:\"path\";s:30:\"/admin/reports/updates/install\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:40:\"\\Drupal\\update\\Form\\UpdateManagerInstall\";s:6:\"_title\";s:7:\"Install\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:27:\"administer software updates\";s:22:\"_access_update_manager\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:34:\"access_check.update.manager_access\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":388:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:37:\"#^/admin/reports/updates/install$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:30:\"/admin/reports/updates/install\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:30:\"/admin/reports/updates/install\";s:8:\"numParts\";i:4;}}}}',4),('update.report_update','/admin/reports/updates/update','/admin/reports/updates/update',15,'C:31:\"Symfony\\Component\\Routing\\Route\":1069:{a:9:{s:4:\"path\";s:29:\"/admin/reports/updates/update\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:39:\"\\Drupal\\update\\Form\\UpdateManagerUpdate\";s:6:\"_title\";s:6:\"Update\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:27:\"administer software updates\";s:22:\"_access_update_manager\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:34:\"access_check.update.manager_access\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":385:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:36:\"#^/admin/reports/updates/update$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/reports/updates/update\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:29:\"/admin/reports/updates/update\";s:8:\"numParts\";i:4;}}}}',4),('update.settings','/admin/reports/updates/settings','/admin/reports/updates/settings',15,'C:31:\"Symfony\\Component\\Routing\\Route\":1004:{a:9:{s:4:\"path\";s:31:\"/admin/reports/updates/settings\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:33:\"\\Drupal\\update\\UpdateSettingsForm\";s:6:\"_title\";s:23:\"Update Manager settings\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:29:\"administer site configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":391:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:38:\"#^/admin/reports/updates/settings$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/reports/updates/settings\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:31:\"/admin/reports/updates/settings\";s:8:\"numParts\";i:4;}}}}',4),('update.status','/admin/reports/updates','/admin/reports/updates',7,'C:31:\"Symfony\\Component\\Routing\\Route\":991:{a:9:{s:4:\"path\";s:22:\"/admin/reports/updates\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:56:\"\\Drupal\\update\\Controller\\UpdateController::updateStatus\";s:6:\"_title\";s:17:\"Available updates\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:29:\"administer site configuration\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":363:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:29:\"#^/admin/reports/updates$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/admin/reports/updates\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:22:\"/admin/reports/updates\";s:8:\"numParts\";i:3;}}}}',3),('update.theme_install','/admin/theme/install','/admin/theme/install',7,'C:31:\"Symfony\\Component\\Routing\\Route\":1045:{a:9:{s:4:\"path\";s:20:\"/admin/theme/install\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:40:\"\\Drupal\\update\\Form\\UpdateManagerInstall\";s:6:\"_title\";s:17:\"Install new theme\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:27:\"administer software updates\";s:22:\"_access_update_manager\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:34:\"access_check.update.manager_access\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":357:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:27:\"#^/admin/theme/install$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/admin/theme/install\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:20:\"/admin/theme/install\";s:8:\"numParts\";i:3;}}}}',3),('update.theme_update','/admin/theme/update','/admin/theme/update',7,'C:31:\"Symfony\\Component\\Routing\\Route\":1028:{a:9:{s:4:\"path\";s:19:\"/admin/theme/update\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:39:\"\\Drupal\\update\\Form\\UpdateManagerUpdate\";s:6:\"_title\";s:6:\"Update\";}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:27:\"administer software updates\";s:22:\"_access_update_manager\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:23:\"access_check.permission\";i:1;s:34:\"access_check.update.manager_access\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":354:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:26:\"#^/admin/theme/update$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:19:\"/admin/theme/update\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:19:\"/admin/theme/update\";s:8:\"numParts\";i:3;}}}}',3),('user.admin_create','/admin/people/create','/admin/people/create',7,'C:31:\"Symfony\\Component\\Routing\\Route\":918:{a:9:{s:4:\"path\";s:20:\"/admin/people/create\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:13:\"user.register\";s:6:\"_title\";s:8:\"Add user\";}s:12:\"requirements\";a:1:{s:21:\"_entity_create_access\";s:4:\"user\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:26:\"access_check.entity_create\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":357:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:27:\"#^/admin/people/create$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/admin/people/create\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:20:\"/admin/people/create\";s:8:\"numParts\";i:3;}}}}',3),('user.admin_index','/admin/config/people','/admin/config/people',7,'C:31:\"Symfony\\Component\\Routing\\Route\":981:{a:9:{s:4:\"path\";s:20:\"/admin/config/people\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:68:\"\\Drupal\\system\\Controller\\SystemController::systemAdminMenuBlockPage\";s:6:\"_title\";s:6:\"People\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:27:\"access administration pages\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":357:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:27:\"#^/admin/config/people$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/admin/config/people\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:20:\"/admin/config/people\";s:8:\"numParts\";i:3;}}}}',3),('user.admin_permissions','/admin/people/permissions','/admin/people/permissions',7,'C:31:\"Symfony\\Component\\Routing\\Route\":964:{a:9:{s:4:\"path\";s:25:\"/admin/people/permissions\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:37:\"\\Drupal\\user\\Form\\UserPermissionsForm\";s:6:\"_title\";s:11:\"Permissions\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:22:\"administer permissions\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":372:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:32:\"#^/admin/people/permissions$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:25:\"/admin/people/permissions\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:25:\"/admin/people/permissions\";s:8:\"numParts\";i:3;}}}}',3),('user.cancel_confirm','/user/{user}/cancel/confirm/{timestamp}/{hashed_pass}','/user/%/cancel/confirm',11,'C:31:\"Symfony\\Component\\Routing\\Route\":1642:{a:9:{s:4:\"path\";s:53:\"/user/{user}/cancel/confirm/{timestamp}/{hashed_pass}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:4:{s:6:\"_title\";s:28:\"Confirm account cancellation\";s:11:\"_controller\";s:53:\"\\Drupal\\user\\Controller\\UserController::confirmCancel\";s:9:\"timestamp\";i:0;s:11:\"hashed_pass\";s:0:\"\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:11:\"user.delete\";s:4:\"user\";s:3:\"\\d+\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:10:\"parameters\";a:1:{s:4:\"user\";a:2:{s:4:\"type\";s:11:\"entity:user\";s:9:\"converter\";s:21:\"paramconverter.entity\";}}s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":835:{a:11:{s:4:\"vars\";a:3:{i:0;s:4:\"user\";i:1;s:9:\"timestamp\";i:2;s:11:\"hashed_pass\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:97:\"#^/user/(?P<user>\\d+)/cancel/confirm(?:/(?P<timestamp>[^/]++)(?:/(?P<hashed_pass>[^/]++))?)?$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:11:\"hashed_pass\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"timestamp\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:15:\"/cancel/confirm\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:3:\"\\d+\";i:3;s:4:\"user\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/user\";}}s:9:\"path_vars\";a:3:{i:0;s:4:\"user\";i:1;s:9:\"timestamp\";i:2;s:11:\"hashed_pass\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:11;s:14:\"patternOutline\";s:22:\"/user/%/cancel/confirm\";s:8:\"numParts\";i:6;}}}}',6),('user.login','/user/login','/user/login',3,'C:31:\"Symfony\\Component\\Routing\\Route\":899:{a:9:{s:4:\"path\";s:11:\"/user/login\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:31:\"\\Drupal\\user\\Form\\UserLoginForm\";s:6:\"_title\";s:6:\"Log in\";}s:12:\"requirements\";a:1:{s:18:\"_user_is_logged_in\";s:5:\"FALSE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:19:\"_maintenance_access\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"access_check.user.login_status\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":330:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:18:\"#^/user/login$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/user/login\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:11:\"/user/login\";s:8:\"numParts\";i:2;}}}}',2),('user.login.http','/user/login','/user/login',3,'C:31:\"Symfony\\Component\\Routing\\Route\":888:{a:9:{s:4:\"path\";s:11:\"/user/login\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:59:\"\\Drupal\\user\\Controller\\UserAuthenticationController::login\";}s:12:\"requirements\";a:2:{s:18:\"_user_is_logged_in\";s:5:\"FALSE\";s:7:\"_format\";s:4:\"json\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"access_check.user.login_status\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:1:{i:0;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":330:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:18:\"#^/user/login$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/user/login\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:11:\"/user/login\";s:8:\"numParts\";i:2;}}}}',2),('user.login_status.http','/user/login_status','/user/login_status',3,'C:31:\"Symfony\\Component\\Routing\\Route\":898:{a:9:{s:4:\"path\";s:18:\"/user/login_status\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:65:\"\\Drupal\\user\\Controller\\UserAuthenticationController::loginStatus\";}s:12:\"requirements\";a:2:{s:7:\"_access\";s:4:\"TRUE\";s:7:\"_format\";s:4:\"json\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:1:{i:0;s:3:\"GET\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":351:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:25:\"#^/user/login_status$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/user/login_status\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:18:\"/user/login_status\";s:8:\"numParts\";i:2;}}}}',2),('user.logout','/user/logout','/user/logout',3,'C:31:\"Symfony\\Component\\Routing\\Route\":867:{a:9:{s:4:\"path\";s:12:\"/user/logout\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:46:\"\\Drupal\\user\\Controller\\UserController::logout\";}s:12:\"requirements\";a:1:{s:18:\"_user_is_logged_in\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"access_check.user.login_status\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":333:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:19:\"#^/user/logout$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:12:\"/user/logout\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:12:\"/user/logout\";s:8:\"numParts\";i:2;}}}}',2),('user.logout.http','/user/logout','/user/logout',3,'C:31:\"Symfony\\Component\\Routing\\Route\":951:{a:9:{s:4:\"path\";s:12:\"/user/logout\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:60:\"\\Drupal\\user\\Controller\\UserAuthenticationController::logout\";}s:12:\"requirements\";a:3:{s:18:\"_user_is_logged_in\";s:4:\"TRUE\";s:7:\"_format\";s:4:\"json\";s:11:\"_csrf_token\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:2:{i:0;s:30:\"access_check.user.login_status\";i:1;s:17:\"access_check.csrf\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:1:{i:0;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":333:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:19:\"#^/user/logout$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:12:\"/user/logout\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:12:\"/user/logout\";s:8:\"numParts\";i:2;}}}}',2),('user.multiple_cancel_confirm','/admin/people/cancel','/admin/people/cancel',7,'C:31:\"Symfony\\Component\\Routing\\Route\":944:{a:9:{s:4:\"path\";s:20:\"/admin/people/cancel\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:43:\"\\Drupal\\user\\Form\\UserMultipleCancelConfirm\";s:6:\"_title\";s:11:\"Cancel user\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:16:\"administer users\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":357:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:27:\"#^/admin/people/cancel$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/admin/people/cancel\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:20:\"/admin/people/cancel\";s:8:\"numParts\";i:3;}}}}',3),('user.page','/user','/user',1,'C:31:\"Symfony\\Component\\Routing\\Route\":869:{a:9:{s:4:\"path\";s:5:\"/user\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:48:\"\\Drupal\\user\\Controller\\UserController::userPage\";s:6:\"_title\";s:10:\"My account\";}s:12:\"requirements\";a:1:{s:18:\"_user_is_logged_in\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"access_check.user.login_status\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":310:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:12:\"#^/user$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/user\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:5:\"/user\";s:8:\"numParts\";i:1;}}}}',1),('user.pass','/user/password','/user/password',3,'C:31:\"Symfony\\Component\\Routing\\Route\":905:{a:9:{s:4:\"path\";s:14:\"/user/password\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:34:\"\\Drupal\\user\\Form\\UserPasswordForm\";s:6:\"_title\";s:19:\"Reset your password\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:19:\"_maintenance_access\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":339:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:21:\"#^/user/password$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/user/password\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:14:\"/user/password\";s:8:\"numParts\";i:2;}}}}',2),('user.pass.http','/user/password','/user/password',3,'C:31:\"Symfony\\Component\\Routing\\Route\":885:{a:9:{s:4:\"path\";s:14:\"/user/password\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:67:\"\\Drupal\\user\\Controller\\UserAuthenticationController::resetPassword\";}s:12:\"requirements\";a:2:{s:7:\"_access\";s:4:\"TRUE\";s:7:\"_format\";s:4:\"json\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:1:{i:0;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":339:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:21:\"#^/user/password$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/user/password\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:14:\"/user/password\";s:8:\"numParts\";i:2;}}}}',2),('user.register','/user/register','/user/register',3,'C:31:\"Symfony\\Component\\Routing\\Route\":881:{a:9:{s:4:\"path\";s:14:\"/user/register\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:13:\"user.register\";s:6:\"_title\";s:18:\"Create new account\";}s:12:\"requirements\";a:1:{s:21:\"_access_user_register\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:26:\"access_check.user.register\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":339:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:21:\"#^/user/register$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/user/register\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:14:\"/user/register\";s:8:\"numParts\";i:2;}}}}',2),('user.reset','/user/reset/{uid}/{timestamp}/{hash}','/user/reset/%/%/%',24,'C:31:\"Symfony\\Component\\Routing\\Route\":1361:{a:9:{s:4:\"path\";s:36:\"/user/reset/{uid}/{timestamp}/{hash}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:49:\"\\Drupal\\user\\Controller\\UserController::resetPass\";s:6:\"_title\";s:14:\"Reset password\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:19:\"_maintenance_access\";b:1;s:8:\"no_cache\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":737:{a:11:{s:4:\"vars\";a:3:{i:0;s:3:\"uid\";i:1;s:9:\"timestamp\";i:2;s:4:\"hash\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:73:\"#^/user/reset/(?P<uid>[^/]++)/(?P<timestamp>[^/]++)/(?P<hash>[^/]++)$#sDu\";s:11:\"path_tokens\";a:4:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"hash\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"timestamp\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:3:\"uid\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/user/reset\";}}s:9:\"path_vars\";a:3:{i:0;s:3:\"uid\";i:1;s:9:\"timestamp\";i:2;s:4:\"hash\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:24;s:14:\"patternOutline\";s:17:\"/user/reset/%/%/%\";s:8:\"numParts\";i:5;}}}}',5),('user.reset.form','/user/reset/{uid}','/user/reset/%',6,'C:31:\"Symfony\\Component\\Routing\\Route\":1091:{a:9:{s:4:\"path\";s:17:\"/user/reset/{uid}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:56:\"\\Drupal\\user\\Controller\\UserController::getResetPassForm\";s:6:\"_title\";s:14:\"Reset password\";}s:12:\"requirements\";a:1:{s:18:\"_user_is_logged_in\";s:5:\"FALSE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:19:\"_maintenance_access\";b:1;s:8:\"no_cache\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"access_check.user.login_status\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":456:{a:11:{s:4:\"vars\";a:1:{i:0;s:3:\"uid\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:34:\"#^/user/reset/(?P<uid>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:3:\"uid\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/user/reset\";}}s:9:\"path_vars\";a:1:{i:0;s:3:\"uid\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:13:\"/user/reset/%\";s:8:\"numParts\";i:3;}}}}',3),('user.reset.login','/user/reset/{uid}/{timestamp}/{hash}/login','/user/reset/%/%/%/login',49,'C:31:\"Symfony\\Component\\Routing\\Route\":1449:{a:9:{s:4:\"path\";s:42:\"/user/reset/{uid}/{timestamp}/{hash}/login\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:54:\"\\Drupal\\user\\Controller\\UserController::resetPassLogin\";s:6:\"_title\";s:14:\"Reset password\";}s:12:\"requirements\";a:1:{s:18:\"_user_is_logged_in\";s:5:\"FALSE\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:19:\"_maintenance_access\";b:1;s:8:\"no_cache\";b:1;s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"access_check.user.login_status\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":791:{a:11:{s:4:\"vars\";a:3:{i:0;s:3:\"uid\";i:1;s:9:\"timestamp\";i:2;s:4:\"hash\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:79:\"#^/user/reset/(?P<uid>[^/]++)/(?P<timestamp>[^/]++)/(?P<hash>[^/]++)/login$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:6:\"/login\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"hash\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"timestamp\";i:4;b:1;}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:3:\"uid\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/user/reset\";}}s:9:\"path_vars\";a:3:{i:0;s:3:\"uid\";i:1;s:9:\"timestamp\";i:2;s:4:\"hash\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:49;s:14:\"patternOutline\";s:23:\"/user/reset/%/%/%/login\";s:8:\"numParts\";i:6;}}}}',6),('user.role_add','/admin/people/roles/add','/admin/people/roles/add',15,'C:31:\"Symfony\\Component\\Routing\\Route\":941:{a:9:{s:4:\"path\";s:23:\"/admin/people/roles/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:17:\"user_role.default\";s:6:\"_title\";s:8:\"Add role\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:22:\"administer permissions\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":367:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:30:\"#^/admin/people/roles/add$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:23:\"/admin/people/roles/add\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:23:\"/admin/people/roles/add\";s:8:\"numParts\";i:4;}}}}',4),('user.well-known.change_password','/.well-known/change-password','/.well-known/change-password',3,'C:31:\"Symfony\\Component\\Routing\\Route\":940:{a:9:{s:4:\"path\";s:28:\"/.well-known/change-password\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:52:\"\\Drupal\\user\\Controller\\UserController::userEditPage\";}s:12:\"requirements\";a:1:{s:18:\"_user_is_logged_in\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:30:\"access_check.user.login_status\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":384:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:38:\"#^/\\.well\\-known/change\\-password$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:28:\"/.well-known/change-password\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:28:\"/.well-known/change-password\";s:8:\"numParts\";i:2;}}}}',2),('view.block_content.page_1','/admin/structure/block/block-content','/admin/structure/block/block-content',15,'C:31:\"Symfony\\Component\\Routing\\Route\":1388:{a:9:{s:4:\"path\";s:36:\"/admin/structure/block/block-content\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:20:\"Custom block library\";s:7:\"view_id\";s:13:\"block_content\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:17:\"administer blocks\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:9:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":407:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:44:\"#^/admin/structure/block/block\\-content$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:36:\"/admin/structure/block/block-content\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:36:\"/admin/structure/block/block-content\";s:8:\"numParts\";i:4;}}}}',4),('view.blog_page.page_1','/blog','/blog',1,'C:31:\"Symfony\\Component\\Routing\\Route\":1215:{a:9:{s:4:\"path\";s:5:\"/blog\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:9:\"Blog page\";s:7:\"view_id\";s:9:\"blog_page\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:8:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":310:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:12:\"#^/blog$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/blog\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:5:\"/blog\";s:8:\"numParts\";i:1;}}}}',1),('view.blog_page.page_2','/blog_default','/blog_default',1,'C:31:\"Symfony\\Component\\Routing\\Route\":1254:{a:9:{s:4:\"path\";s:13:\"/blog_default\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:12:\"Blog default\";s:7:\"view_id\";s:9:\"blog_page\";s:10:\"display_id\";s:6:\"page_2\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:8:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":336:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:20:\"#^/blog_default$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/blog_default\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:13:\"/blog_default\";s:8:\"numParts\";i:1;}}}}',1),('view.comment.page_published','/admin/content/comment','/admin/content/comment',7,'C:31:\"Symfony\\Component\\Routing\\Route\":1321:{a:9:{s:4:\"path\";s:22:\"/admin/content/comment\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:8:\"Comments\";s:7:\"view_id\";s:7:\"comment\";s:10:\"display_id\";s:14:\"page_published\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:19:\"administer comments\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:9:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":363:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:29:\"#^/admin/content/comment$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/admin/content/comment\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:22:\"/admin/content/comment\";s:8:\"numParts\";i:3;}}}}',3),('view.comment.page_unapproved','/admin/content/comment/approval','/admin/content/comment/approval',15,'C:31:\"Symfony\\Component\\Routing\\Route\":1359:{a:9:{s:4:\"path\";s:31:\"/admin/content/comment/approval\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:8:\"Comments\";s:7:\"view_id\";s:7:\"comment\";s:10:\"display_id\";s:15:\"page_unapproved\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:19:\"administer comments\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:9:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":391:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:38:\"#^/admin/content/comment/approval$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/content/comment/approval\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:31:\"/admin/content/comment/approval\";s:8:\"numParts\";i:4;}}}}',4),('view.content.page_1','/admin/content','/admin/content',3,'C:31:\"Symfony\\Component\\Routing\\Route\":1283:{a:9:{s:4:\"path\";s:14:\"/admin/content\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:7:\"Content\";s:7:\"view_id\";s:7:\"content\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:0;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:23:\"access content overview\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:9:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:0;s:16:\"returns_response\";b:0;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":339:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:21:\"#^/admin/content$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/admin/content\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:14:\"/admin/content\";s:8:\"numParts\";i:2;}}}}',2),('view.files.page_1','/admin/content/files','/admin/content/files',7,'C:31:\"Symfony\\Component\\Routing\\Route\":1301:{a:9:{s:4:\"path\";s:20:\"/admin/content/files\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:5:\"Files\";s:7:\"view_id\";s:5:\"files\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:21:\"access files overview\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:9:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":357:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:27:\"#^/admin/content/files$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/admin/content/files\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:20:\"/admin/content/files\";s:8:\"numParts\";i:3;}}}}',3),('view.files.page_2','/admin/content/files/usage/{arg_0}','/admin/content/files/usage/%',30,'C:31:\"Symfony\\Component\\Routing\\Route\":1498:{a:9:{s:4:\"path\";s:34:\"/admin/content/files/usage/{arg_0}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:10:\"File usage\";s:7:\"view_id\";s:5:\"files\";s:10:\"display_id\";s:6:\"page_2\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:21:\"access files overview\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:9:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:1:{s:5:\"arg_0\";s:5:\"arg_0\";}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":510:{a:11:{s:4:\"vars\";a:1:{i:0;s:5:\"arg_0\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:51:\"#^/admin/content/files/usage/(?P<arg_0>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:5:\"arg_0\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/content/files/usage\";}}s:9:\"path_vars\";a:1:{i:0;s:5:\"arg_0\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:30;s:14:\"patternOutline\";s:28:\"/admin/content/files/usage/%\";s:8:\"numParts\";i:5;}}}}',5),('view.frontpage.feed_1','/rss.xml','/rss.xml',1,'C:31:\"Symfony\\Component\\Routing\\Route\":1194:{a:9:{s:4:\"path\";s:8:\"/rss.xml\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:0:\"\";s:7:\"view_id\";s:9:\"frontpage\";s:10:\"display_id\";s:6:\"feed_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:14:\"access content\";}s:7:\"options\";a:8:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"feed\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Feed\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":320:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:16:\"#^/rss\\.xml$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/rss.xml\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:8:\"/rss.xml\";s:8:\"numParts\";i:1;}}}}',1),('view.frontpage.page_1','/node','/node',1,'C:31:\"Symfony\\Component\\Routing\\Route\":1206:{a:9:{s:4:\"path\";s:5:\"/node\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:0:\"\";s:7:\"view_id\";s:9:\"frontpage\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:8:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":310:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:12:\"#^/node$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/node\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:5:\"/node\";s:8:\"numParts\";i:1;}}}}',1),('view.portfolio.page_1','/portfolio','/portfolio',1,'C:31:\"Symfony\\Component\\Routing\\Route\":1238:{a:9:{s:4:\"path\";s:10:\"/portfolio\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:9:\"Portfolio\";s:7:\"view_id\";s:9:\"portfolio\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:8:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":327:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:17:\"#^/portfolio$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/portfolio\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:10:\"/portfolio\";s:8:\"numParts\";i:1;}}}}',1),('view.portfolio.page_2','/portfolio_4_col','/portfolio_4_col',1,'C:31:\"Symfony\\Component\\Routing\\Route\":1262:{a:9:{s:4:\"path\";s:16:\"/portfolio_4_col\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:9:\"Portfolio\";s:7:\"view_id\";s:9:\"portfolio\";s:10:\"display_id\";s:6:\"page_2\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:8:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":345:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:23:\"#^/portfolio_4_col$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:16:\"/portfolio_4_col\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:16:\"/portfolio_4_col\";s:8:\"numParts\";i:1;}}}}',1),('view.portfolio.page_3','/portfolio_masonry','/portfolio_masonry',1,'C:31:\"Symfony\\Component\\Routing\\Route\":1270:{a:9:{s:4:\"path\";s:18:\"/portfolio_masonry\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:9:\"Portfolio\";s:7:\"view_id\";s:9:\"portfolio\";s:10:\"display_id\";s:6:\"page_3\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:8:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":351:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:25:\"#^/portfolio_masonry$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:18:\"/portfolio_masonry\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:1;s:14:\"patternOutline\";s:18:\"/portfolio_masonry\";s:8:\"numParts\";i:1;}}}}',1),('view.simplenews_newsletters.page_1','/admin/content/simplenews','/admin/content/simplenews',7,'C:31:\"Symfony\\Component\\Routing\\Route\":1340:{a:9:{s:4:\"path\";s:25:\"/admin/content/simplenews\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:11:\"Newsletters\";s:7:\"view_id\";s:22:\"simplenews_newsletters\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:15:\"send newsletter\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:9:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":372:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:32:\"#^/admin/content/simplenews$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:25:\"/admin/content/simplenews\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:25:\"/admin/content/simplenews\";s:8:\"numParts\";i:3;}}}}',3),('view.simplenews_subscribers.page_1','/admin/people/simplenews','/admin/people/simplenews',7,'C:31:\"Symfony\\Component\\Routing\\Route\":1356:{a:9:{s:4:\"path\";s:24:\"/admin/people/simplenews\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:11:\"Subscribers\";s:7:\"view_id\";s:22:\"simplenews_subscribers\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:35:\"administer simplenews subscriptions\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:9:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":369:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:31:\"#^/admin/people/simplenews$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:24:\"/admin/people/simplenews\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:24:\"/admin/people/simplenews\";s:8:\"numParts\";i:3;}}}}',3),('view.taxonomy_term.feed_1','/taxonomy/term/{arg_0}/feed','/taxonomy/term/%/feed',13,'C:31:\"Symfony\\Component\\Routing\\Route\":1448:{a:9:{s:4:\"path\";s:27:\"/taxonomy/term/{arg_0}/feed\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:0:\"\";s:7:\"view_id\";s:13:\"taxonomy_term\";s:10:\"display_id\";s:6:\"feed_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:14:\"access content\";}s:7:\"options\";a:8:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:1:{s:5:\"arg_0\";s:5:\"arg_0\";}s:23:\"_view_display_plugin_id\";s:4:\"feed\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Feed\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":525:{a:11:{s:4:\"vars\";a:1:{i:0;s:5:\"arg_0\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:44:\"#^/taxonomy/term/(?P<arg_0>[^/]++)/feed$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:5:\"/feed\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:5:\"arg_0\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/taxonomy/term\";}}s:9:\"path_vars\";a:1:{i:0;s:5:\"arg_0\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:13;s:14:\"patternOutline\";s:21:\"/taxonomy/term/%/feed\";s:8:\"numParts\";i:4;}}}}',4),('view.taxonomy_term.page_1','/taxonomy/term/{arg_0}','/taxonomy/term/%',6,'C:31:\"Symfony\\Component\\Routing\\Route\":1416:{a:9:{s:4:\"path\";s:22:\"/taxonomy/term/{arg_0}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:0:\"\";s:7:\"view_id\";s:13:\"taxonomy_term\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:14:\"access content\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:8:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:1:{s:5:\"arg_0\";s:5:\"arg_0\";}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":473:{a:11:{s:4:\"vars\";a:1:{i:0;s:5:\"arg_0\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:39:\"#^/taxonomy/term/(?P<arg_0>[^/]++)$#sDu\";s:11:\"path_tokens\";a:2:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:5:\"arg_0\";i:4;b:1;}i:1;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/taxonomy/term\";}}s:9:\"path_vars\";a:1:{i:0;s:5:\"arg_0\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:6;s:14:\"patternOutline\";s:16:\"/taxonomy/term/%\";s:8:\"numParts\";i:3;}}}}',3),('view.user_admin_people.page_1','/admin/people','/admin/people',3,'C:31:\"Symfony\\Component\\Routing\\Route\":1282:{a:9:{s:4:\"path\";s:13:\"/admin/people\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:6:\"People\";s:7:\"view_id\";s:17:\"user_admin_people\";s:10:\"display_id\";s:6:\"page_1\";s:30:\"_view_display_show_admin_links\";b:0;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:16:\"administer users\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:9:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:0;s:16:\"returns_response\";b:0;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":336:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:20:\"#^/admin/people$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/admin/people\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:13:\"/admin/people\";s:8:\"numParts\";i:2;}}}}',2),('view.watchdog.page','/admin/reports/dblog','/admin/reports/dblog',7,'C:31:\"Symfony\\Component\\Routing\\Route\":1315:{a:9:{s:4:\"path\";s:20:\"/admin/reports/dblog\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:5:{s:11:\"_controller\";s:47:\"Drupal\\views\\Routing\\ViewPageController::handle\";s:6:\"_title\";s:19:\"Recent log messages\";s:7:\"view_id\";s:8:\"watchdog\";s:10:\"display_id\";s:4:\"page\";s:30:\"_view_display_show_admin_links\";b:1;}s:12:\"requirements\";a:2:{s:11:\"_permission\";s:19:\"access site reports\";s:7:\"_format\";s:4:\"html\";}s:7:\"options\";a:9:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:18:\"_view_argument_map\";a:0:{}s:23:\"_view_display_plugin_id\";s:4:\"page\";s:26:\"_view_display_plugin_class\";s:38:\"Drupal\\views\\Plugin\\views\\display\\Page\";s:30:\"_view_display_show_admin_links\";b:1;s:16:\"returns_response\";b:0;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}s:4:\"utf8\";b:1;}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":357:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:27:\"#^/admin/reports/dblog$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:20:\"/admin/reports/dblog\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:20:\"/admin/reports/dblog\";s:8:\"numParts\";i:3;}}}}',3),('views.ajax','/views/ajax','/views/ajax',3,'C:31:\"Symfony\\Component\\Routing\\Route\":848:{a:9:{s:4:\"path\";s:11:\"/views/ajax\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:53:\"\\Drupal\\views\\Controller\\ViewAjaxController::ajaxView\";}s:12:\"requirements\";a:1:{s:7:\"_access\";s:4:\"TRUE\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:20:\"access_check.default\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":330:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:18:\"#^/views/ajax$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:11:\"/views/ajax\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:3;s:14:\"patternOutline\";s:11:\"/views/ajax\";s:8:\"numParts\";i:2;}}}}',2),('views_ui.add','/admin/structure/views/add','/admin/structure/views/add',15,'C:31:\"Symfony\\Component\\Routing\\Route\":937:{a:9:{s:4:\"path\";s:26:\"/admin/structure/views/add\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:12:\"_entity_form\";s:8:\"view.add\";s:6:\"_title\";s:8:\"Add view\";}s:12:\"requirements\";a:1:{s:21:\"_entity_create_access\";s:4:\"view\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:26:\"access_check.entity_create\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":376:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:33:\"#^/admin/structure/views/add$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:26:\"/admin/structure/views/add\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:26:\"/admin/structure/views/add\";s:8:\"numParts\";i:4;}}}}',4),('views_ui.autocomplete','/admin/views/ajax/autocomplete/tag','/admin/views/ajax/autocomplete/tag',31,'C:31:\"Symfony\\Component\\Routing\\Route\":995:{a:9:{s:4:\"path\";s:34:\"/admin/views/ajax/autocomplete/tag\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:62:\"\\Drupal\\views_ui\\Controller\\ViewsUIController::autocompleteTag\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:16:\"administer views\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":400:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:41:\"#^/admin/views/ajax/autocomplete/tag$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:34:\"/admin/views/ajax/autocomplete/tag\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:34:\"/admin/views/ajax/autocomplete/tag\";s:8:\"numParts\";i:5;}}}}',5),('views_ui.form_add_handler','/admin/structure/views/{js}/add-handler/{view}/{display_id}/{type}','/admin/structure/views/%/add-handler/%/%/%',232,'C:31:\"Symfony\\Component\\Routing\\Route\":1783:{a:9:{s:4:\"path\";s:66:\"/admin/structure/views/{js}/add-handler/{view}/{display_id}/{type}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:46:\"\\Drupal\\views_ui\\Form\\Ajax\\AddHandler::getForm\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:11:\"view.update\";s:2:\"js\";s:9:\"nojs|ajax\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"view\";a:3:{s:9:\"tempstore\";b:1;s:4:\"type\";s:11:\"entity:view\";s:9:\"converter\";s:53:\"drupal.proxy_original_service.paramconverter.views_ui\";}}s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":985:{a:11:{s:4:\"vars\";a:4:{i:0;s:2:\"js\";i:1;s:4:\"view\";i:2;s:10:\"display_id\";i:3;s:4:\"type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:117:\"#^/admin/structure/views/(?P<js>nojs|ajax)/add\\-handler/(?P<view>[^/]++)/(?P<display_id>[^/]++)/(?P<type>[^/]++)$#sDu\";s:11:\"path_tokens\";a:6:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"type\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:10:\"display_id\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"view\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:12:\"/add-handler\";}i:4;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:9:\"nojs|ajax\";i:3;s:2:\"js\";i:4;b:1;}i:5;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/admin/structure/views\";}}s:9:\"path_vars\";a:4:{i:0;s:2:\"js\";i:1;s:4:\"view\";i:2;s:10:\"display_id\";i:3;s:4:\"type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:232;s:14:\"patternOutline\";s:42:\"/admin/structure/views/%/add-handler/%/%/%\";s:8:\"numParts\";i:8;}}}}',8),('views_ui.form_analyze','/admin/structure/views/{js}/analyze/{view}/{display_id}','/admin/structure/views/%/analyze/%/%',116,'C:31:\"Symfony\\Component\\Routing\\Route\":1624:{a:9:{s:4:\"path\";s:55:\"/admin/structure/views/{js}/analyze/{view}/{display_id}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:43:\"\\Drupal\\views_ui\\Form\\Ajax\\Analyze::getForm\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:11:\"view.update\";s:2:\"js\";s:9:\"nojs|ajax\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"view\";a:3:{s:9:\"tempstore\";b:1;s:4:\"type\";s:11:\"entity:view\";s:9:\"converter\";s:53:\"drupal.proxy_original_service.paramconverter.views_ui\";}}s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":840:{a:11:{s:4:\"vars\";a:3:{i:0;s:2:\"js\";i:1;s:4:\"view\";i:2;s:10:\"display_id\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:95:\"#^/admin/structure/views/(?P<js>nojs|ajax)/analyze/(?P<view>[^/]++)/(?P<display_id>[^/]++)$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:10:\"display_id\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"view\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/analyze\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:9:\"nojs|ajax\";i:3;s:2:\"js\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/admin/structure/views\";}}s:9:\"path_vars\";a:3:{i:0;s:2:\"js\";i:1;s:4:\"view\";i:2;s:10:\"display_id\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:116;s:14:\"patternOutline\";s:36:\"/admin/structure/views/%/analyze/%/%\";s:8:\"numParts\";i:7;}}}}',7),('views_ui.form_display','/admin/structure/views/{js}/display/{view}/{display_id}/{type}','/admin/structure/views/%/display/%/%/%',232,'C:31:\"Symfony\\Component\\Routing\\Route\":1762:{a:9:{s:4:\"path\";s:62:\"/admin/structure/views/{js}/display/{view}/{display_id}/{type}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:43:\"\\Drupal\\views_ui\\Form\\Ajax\\Display::getForm\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:11:\"view.update\";s:2:\"js\";s:9:\"nojs|ajax\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"view\";a:3:{s:9:\"tempstore\";b:1;s:4:\"type\";s:11:\"entity:view\";s:9:\"converter\";s:53:\"drupal.proxy_original_service.paramconverter.views_ui\";}}s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":971:{a:11:{s:4:\"vars\";a:4:{i:0;s:2:\"js\";i:1;s:4:\"view\";i:2;s:10:\"display_id\";i:3;s:4:\"type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:112:\"#^/admin/structure/views/(?P<js>nojs|ajax)/display/(?P<view>[^/]++)/(?P<display_id>[^/]++)/(?P<type>[^/]++)$#sDu\";s:11:\"path_tokens\";a:6:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"type\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:10:\"display_id\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"view\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/display\";}i:4;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:9:\"nojs|ajax\";i:3;s:2:\"js\";i:4;b:1;}i:5;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/admin/structure/views\";}}s:9:\"path_vars\";a:4:{i:0;s:2:\"js\";i:1;s:4:\"view\";i:2;s:10:\"display_id\";i:3;s:4:\"type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:232;s:14:\"patternOutline\";s:38:\"/admin/structure/views/%/display/%/%/%\";s:8:\"numParts\";i:8;}}}}',8),('views_ui.form_edit_details','/admin/structure/views/{js}/edit-details/{view}/{display_id}','/admin/structure/views/%/edit-details/%/%',116,'C:31:\"Symfony\\Component\\Routing\\Route\":1651:{a:9:{s:4:\"path\";s:60:\"/admin/structure/views/{js}/edit-details/{view}/{display_id}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:47:\"\\Drupal\\views_ui\\Form\\Ajax\\EditDetails::getForm\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:11:\"view.update\";s:2:\"js\";s:9:\"nojs|ajax\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"view\";a:3:{s:9:\"tempstore\";b:1;s:4:\"type\";s:11:\"entity:view\";s:9:\"converter\";s:53:\"drupal.proxy_original_service.paramconverter.views_ui\";}}s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":858:{a:11:{s:4:\"vars\";a:3:{i:0;s:2:\"js\";i:1;s:4:\"view\";i:2;s:10:\"display_id\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:101:\"#^/admin/structure/views/(?P<js>nojs|ajax)/edit\\-details/(?P<view>[^/]++)/(?P<display_id>[^/]++)$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:10:\"display_id\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"view\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:13:\"/edit-details\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:9:\"nojs|ajax\";i:3;s:2:\"js\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/admin/structure/views\";}}s:9:\"path_vars\";a:3:{i:0;s:2:\"js\";i:1;s:4:\"view\";i:2;s:10:\"display_id\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:116;s:14:\"patternOutline\";s:41:\"/admin/structure/views/%/edit-details/%/%\";s:8:\"numParts\";i:7;}}}}',7),('views_ui.form_handler','/admin/structure/views/{js}/handler/{view}/{display_id}/{type}/{id}','/admin/structure/views/%/handler/%/%/%/%',464,'C:31:\"Symfony\\Component\\Routing\\Route\":1896:{a:9:{s:4:\"path\";s:67:\"/admin/structure/views/{js}/handler/{view}/{display_id}/{type}/{id}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:49:\"\\Drupal\\views_ui\\Form\\Ajax\\ConfigHandler::getForm\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:11:\"view.update\";s:2:\"js\";s:9:\"nojs|ajax\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"view\";a:3:{s:9:\"tempstore\";b:1;s:4:\"type\";s:11:\"entity:view\";s:9:\"converter\";s:53:\"drupal.proxy_original_service.paramconverter.views_ui\";}}s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":1093:{a:11:{s:4:\"vars\";a:5:{i:0;s:2:\"js\";i:1;s:4:\"view\";i:2;s:10:\"display_id\";i:3;s:4:\"type\";i:4;s:2:\"id\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:127:\"#^/admin/structure/views/(?P<js>nojs|ajax)/handler/(?P<view>[^/]++)/(?P<display_id>[^/]++)/(?P<type>[^/]++)/(?P<id>[^/]++)$#sDu\";s:11:\"path_tokens\";a:7:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:2:\"id\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"type\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:10:\"display_id\";i:4;b:1;}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"view\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:8:\"/handler\";}i:5;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:9:\"nojs|ajax\";i:3;s:2:\"js\";i:4;b:1;}i:6;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/admin/structure/views\";}}s:9:\"path_vars\";a:5:{i:0;s:2:\"js\";i:1;s:4:\"view\";i:2;s:10:\"display_id\";i:3;s:4:\"type\";i:4;s:2:\"id\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:464;s:14:\"patternOutline\";s:40:\"/admin/structure/views/%/handler/%/%/%/%\";s:8:\"numParts\";i:9;}}}}',9),('views_ui.form_handler_extra','/admin/structure/views/{js}/handler-extra/{view}/{display_id}/{type}/{id}','/admin/structure/views/%/handler-extra/%/%/%/%',464,'C:31:\"Symfony\\Component\\Routing\\Route\":1927:{a:9:{s:4:\"path\";s:73:\"/admin/structure/views/{js}/handler-extra/{view}/{display_id}/{type}/{id}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:54:\"\\Drupal\\views_ui\\Form\\Ajax\\ConfigHandlerExtra::getForm\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:11:\"view.update\";s:2:\"js\";s:9:\"nojs|ajax\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"view\";a:3:{s:9:\"tempstore\";b:1;s:4:\"type\";s:11:\"entity:view\";s:9:\"converter\";s:53:\"drupal.proxy_original_service.paramconverter.views_ui\";}}s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":1113:{a:11:{s:4:\"vars\";a:5:{i:0;s:2:\"js\";i:1;s:4:\"view\";i:2;s:10:\"display_id\";i:3;s:4:\"type\";i:4;s:2:\"id\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:134:\"#^/admin/structure/views/(?P<js>nojs|ajax)/handler\\-extra/(?P<view>[^/]++)/(?P<display_id>[^/]++)/(?P<type>[^/]++)/(?P<id>[^/]++)$#sDu\";s:11:\"path_tokens\";a:7:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:2:\"id\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"type\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:10:\"display_id\";i:4;b:1;}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"view\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/handler-extra\";}i:5;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:9:\"nojs|ajax\";i:3;s:2:\"js\";i:4;b:1;}i:6;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/admin/structure/views\";}}s:9:\"path_vars\";a:5:{i:0;s:2:\"js\";i:1;s:4:\"view\";i:2;s:10:\"display_id\";i:3;s:4:\"type\";i:4;s:2:\"id\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:464;s:14:\"patternOutline\";s:46:\"/admin/structure/views/%/handler-extra/%/%/%/%\";s:8:\"numParts\";i:9;}}}}',9),('views_ui.form_handler_group','/admin/structure/views/{js}/handler-group/{view}/{display_id}/{type}/{id}','/admin/structure/views/%/handler-group/%/%/%/%',464,'C:31:\"Symfony\\Component\\Routing\\Route\":1947:{a:9:{s:4:\"path\";s:73:\"/admin/structure/views/{js}/handler-group/{view}/{display_id}/{type}/{id}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:54:\"\\Drupal\\views_ui\\Form\\Ajax\\ConfigHandlerGroup::getForm\";s:10:\"form_state\";N;}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:11:\"view.update\";s:2:\"js\";s:9:\"nojs|ajax\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"view\";a:3:{s:9:\"tempstore\";b:1;s:4:\"type\";s:11:\"entity:view\";s:9:\"converter\";s:53:\"drupal.proxy_original_service.paramconverter.views_ui\";}}s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":1113:{a:11:{s:4:\"vars\";a:5:{i:0;s:2:\"js\";i:1;s:4:\"view\";i:2;s:10:\"display_id\";i:3;s:4:\"type\";i:4;s:2:\"id\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:134:\"#^/admin/structure/views/(?P<js>nojs|ajax)/handler\\-group/(?P<view>[^/]++)/(?P<display_id>[^/]++)/(?P<type>[^/]++)/(?P<id>[^/]++)$#sDu\";s:11:\"path_tokens\";a:7:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:2:\"id\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"type\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:10:\"display_id\";i:4;b:1;}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"view\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:14:\"/handler-group\";}i:5;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:9:\"nojs|ajax\";i:3;s:2:\"js\";i:4;b:1;}i:6;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/admin/structure/views\";}}s:9:\"path_vars\";a:5:{i:0;s:2:\"js\";i:1;s:4:\"view\";i:2;s:10:\"display_id\";i:3;s:4:\"type\";i:4;s:2:\"id\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:464;s:14:\"patternOutline\";s:46:\"/admin/structure/views/%/handler-group/%/%/%/%\";s:8:\"numParts\";i:9;}}}}',9),('views_ui.form_rearrange','/admin/structure/views/{js}/rearrange/{view}/{display_id}/{type}','/admin/structure/views/%/rearrange/%/%/%',232,'C:31:\"Symfony\\Component\\Routing\\Route\":1773:{a:9:{s:4:\"path\";s:64:\"/admin/structure/views/{js}/rearrange/{view}/{display_id}/{type}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:45:\"\\Drupal\\views_ui\\Form\\Ajax\\Rearrange::getForm\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:11:\"view.update\";s:2:\"js\";s:9:\"nojs|ajax\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"view\";a:3:{s:9:\"tempstore\";b:1;s:4:\"type\";s:11:\"entity:view\";s:9:\"converter\";s:53:\"drupal.proxy_original_service.paramconverter.views_ui\";}}s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":978:{a:11:{s:4:\"vars\";a:4:{i:0;s:2:\"js\";i:1;s:4:\"view\";i:2;s:10:\"display_id\";i:3;s:4:\"type\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:114:\"#^/admin/structure/views/(?P<js>nojs|ajax)/rearrange/(?P<view>[^/]++)/(?P<display_id>[^/]++)/(?P<type>[^/]++)$#sDu\";s:11:\"path_tokens\";a:6:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"type\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:10:\"display_id\";i:4;b:1;}i:2;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"view\";i:4;b:1;}i:3;a:2:{i:0;s:4:\"text\";i:1;s:10:\"/rearrange\";}i:4;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:9:\"nojs|ajax\";i:3;s:2:\"js\";i:4;b:1;}i:5;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/admin/structure/views\";}}s:9:\"path_vars\";a:4:{i:0;s:2:\"js\";i:1;s:4:\"view\";i:2;s:10:\"display_id\";i:3;s:4:\"type\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:232;s:14:\"patternOutline\";s:40:\"/admin/structure/views/%/rearrange/%/%/%\";s:8:\"numParts\";i:8;}}}}',8),('views_ui.form_rearrange_filter','/admin/structure/views/{js}/rearrange-filter/{view}/{display_id}','/admin/structure/views/%/rearrange-filter/%/%',116,'C:31:\"Symfony\\Component\\Routing\\Route\":1671:{a:9:{s:4:\"path\";s:64:\"/admin/structure/views/{js}/rearrange-filter/{view}/{display_id}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:51:\"\\Drupal\\views_ui\\Form\\Ajax\\RearrangeFilter::getForm\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:11:\"view.update\";s:2:\"js\";s:9:\"nojs|ajax\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"view\";a:3:{s:9:\"tempstore\";b:1;s:4:\"type\";s:11:\"entity:view\";s:9:\"converter\";s:53:\"drupal.proxy_original_service.paramconverter.views_ui\";}}s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":870:{a:11:{s:4:\"vars\";a:3:{i:0;s:2:\"js\";i:1;s:4:\"view\";i:2;s:10:\"display_id\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:105:\"#^/admin/structure/views/(?P<js>nojs|ajax)/rearrange\\-filter/(?P<view>[^/]++)/(?P<display_id>[^/]++)$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:10:\"display_id\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"view\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/rearrange-filter\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:9:\"nojs|ajax\";i:3;s:2:\"js\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/admin/structure/views\";}}s:9:\"path_vars\";a:3:{i:0;s:2:\"js\";i:1;s:4:\"view\";i:2;s:10:\"display_id\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:116;s:14:\"patternOutline\";s:45:\"/admin/structure/views/%/rearrange-filter/%/%\";s:8:\"numParts\";i:7;}}}}',7),('views_ui.form_reorder_displays','/admin/structure/views/{js}/reorder-displays/{view}/{display_id}','/admin/structure/views/%/reorder-displays/%/%',116,'C:31:\"Symfony\\Component\\Routing\\Route\":1671:{a:9:{s:4:\"path\";s:64:\"/admin/structure/views/{js}/reorder-displays/{view}/{display_id}\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:1:{s:11:\"_controller\";s:51:\"\\Drupal\\views_ui\\Form\\Ajax\\ReorderDisplays::getForm\";}s:12:\"requirements\";a:2:{s:14:\"_entity_access\";s:11:\"view.update\";s:2:\"js\";s:9:\"nojs|ajax\";}s:7:\"options\";a:5:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:10:\"parameters\";a:1:{s:4:\"view\";a:3:{s:9:\"tempstore\";b:1;s:4:\"type\";s:11:\"entity:view\";s:9:\"converter\";s:53:\"drupal.proxy_original_service.paramconverter.views_ui\";}}s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:19:\"access_check.entity\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":870:{a:11:{s:4:\"vars\";a:3:{i:0;s:2:\"js\";i:1;s:4:\"view\";i:2;s:10:\"display_id\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:105:\"#^/admin/structure/views/(?P<js>nojs|ajax)/reorder\\-displays/(?P<view>[^/]++)/(?P<display_id>[^/]++)$#sDu\";s:11:\"path_tokens\";a:5:{i:0;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:10:\"display_id\";i:4;b:1;}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:4:\"view\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:17:\"/reorder-displays\";}i:3;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:9:\"nojs|ajax\";i:3;s:2:\"js\";i:4;b:1;}i:4;a:2:{i:0;s:4:\"text\";i:1;s:22:\"/admin/structure/views\";}}s:9:\"path_vars\";a:3:{i:0;s:2:\"js\";i:1;s:4:\"view\";i:2;s:10:\"display_id\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:116;s:14:\"patternOutline\";s:45:\"/admin/structure/views/%/reorder-displays/%/%\";s:8:\"numParts\";i:7;}}}}',7),('views_ui.reports_fields','/admin/reports/fields/views-fields','/admin/reports/fields/views-fields',15,'C:31:\"Symfony\\Component\\Routing\\Route\":1027:{a:9:{s:4:\"path\";s:34:\"/admin/reports/fields/views-fields\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:59:\"\\Drupal\\views_ui\\Controller\\ViewsUIController::reportFields\";s:6:\"_title\";s:13:\"Used in views\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:16:\"administer views\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":401:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:42:\"#^/admin/reports/fields/views\\-fields$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:34:\"/admin/reports/fields/views-fields\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:34:\"/admin/reports/fields/views-fields\";s:8:\"numParts\";i:4;}}}}',4),('views_ui.reports_plugins','/admin/reports/views-plugins','/admin/reports/views-plugins',7,'C:31:\"Symfony\\Component\\Routing\\Route\":1003:{a:9:{s:4:\"path\";s:28:\"/admin/reports/views-plugins\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:60:\"\\Drupal\\views_ui\\Controller\\ViewsUIController::reportPlugins\";s:6:\"_title\";s:13:\"Views plugins\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:16:\"administer views\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":382:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:36:\"#^/admin/reports/views\\-plugins$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:28:\"/admin/reports/views-plugins\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:28:\"/admin/reports/views-plugins\";s:8:\"numParts\";i:3;}}}}',3),('views_ui.settings_advanced','/admin/structure/views/settings/advanced','/admin/structure/views/settings/advanced',31,'C:31:\"Symfony\\Component\\Routing\\Route\":1036:{a:9:{s:4:\"path\";s:40:\"/admin/structure/views/settings/advanced\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:42:\"\\Drupal\\views_ui\\Form\\AdvancedSettingsForm\";s:6:\"_title\";s:23:\"Advanced Views settings\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:16:\"administer views\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":418:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:47:\"#^/admin/structure/views/settings/advanced$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:40:\"/admin/structure/views/settings/advanced\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:31;s:14:\"patternOutline\";s:40:\"/admin/structure/views/settings/advanced\";s:8:\"numParts\";i:5;}}}}',5),('views_ui.settings_basic','/admin/structure/views/settings','/admin/structure/views/settings',15,'C:31:\"Symfony\\Component\\Routing\\Route\":988:{a:9:{s:4:\"path\";s:31:\"/admin/structure/views/settings\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:5:\"_form\";s:39:\"\\Drupal\\views_ui\\Form\\BasicSettingsForm\";s:6:\"_title\";s:14:\"Views settings\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:16:\"administer views\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":391:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:38:\"#^/admin/structure/views/settings$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:31:\"/admin/structure/views/settings\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:31:\"/admin/structure/views/settings\";s:8:\"numParts\";i:4;}}}}',4),('we_megamenu.admin','/admin/structure/we-mega-menu','/admin/structure/we-mega-menu',7,'C:31:\"Symfony\\Component\\Routing\\Route\":1026:{a:9:{s:4:\"path\";s:29:\"/admin/structure/we-mega-menu\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:6:\"_title\";s:12:\"We Mega Menu\";s:11:\"_controller\";s:73:\"\\Drupal\\we_megamenu\\Controller\\WeMegaMenuAdminController::listWeMegaMenus\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:22:\"administer we_megamenu\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":386:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:38:\"#^/admin/structure/we\\-mega\\-menu$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/we-mega-menu\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:29:\"/admin/structure/we-mega-menu\";s:8:\"numParts\";i:3;}}}}',3),('we_megamenu.admin.configure','/admin/structure/we-mega-menu/{menu_name}/config','/admin/structure/we-mega-menu/%/config',29,'C:31:\"Symfony\\Component\\Routing\\Route\":1267:{a:9:{s:4:\"path\";s:48:\"/admin/structure/we-mega-menu/{menu_name}/config\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:6:\"_title\";s:25:\"Config Drupal 8 Mega Menu\";s:11:\"_controller\";s:74:\"\\Drupal\\we_megamenu\\Controller\\WeMegaMenuAdminController::configWeMegaMenu\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:22:\"administer we_megamenu\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":594:{a:11:{s:4:\"vars\";a:1:{i:0;s:9:\"menu_name\";}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:67:\"#^/admin/structure/we\\-mega\\-menu/(?P<menu_name>[^/]++)/config$#sDu\";s:11:\"path_tokens\";a:3:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:7:\"/config\";}i:1;a:5:{i:0;s:8:\"variable\";i:1;s:1:\"/\";i:2;s:6:\"[^/]++\";i:3;s:9:\"menu_name\";i:4;b:1;}i:2;a:2:{i:0;s:4:\"text\";i:1;s:29:\"/admin/structure/we-mega-menu\";}}s:9:\"path_vars\";a:1:{i:0;s:9:\"menu_name\";}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:29;s:14:\"patternOutline\";s:38:\"/admin/structure/we-mega-menu/%/config\";s:8:\"numParts\";i:5;}}}}',5),('we_megamenu.admin.reset','/admin/structure/we-mega-menu/reset','/admin/structure/we-mega-menu/reset',15,'C:31:\"Symfony\\Component\\Routing\\Route\":1082:{a:9:{s:4:\"path\";s:35:\"/admin/structure/we-mega-menu/reset\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:6:\"_title\";s:37:\"Save Configuration Drupal 8 Mega Menu\";s:11:\"_controller\";s:79:\"\\Drupal\\we_megamenu\\Controller\\WeMegaMenuAdminController::resetConfigWeMegaMenu\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:22:\"administer we_megamenu\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":405:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:44:\"#^/admin/structure/we\\-mega\\-menu/reset$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:35:\"/admin/structure/we-mega-menu/reset\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:35:\"/admin/structure/we-mega-menu/reset\";s:8:\"numParts\";i:4;}}}}',4),('we_megamenu.admin.save','/admin/structure/we-mega-menu/save','/admin/structure/we-mega-menu/save',15,'C:31:\"Symfony\\Component\\Routing\\Route\":1077:{a:9:{s:4:\"path\";s:34:\"/admin/structure/we-mega-menu/save\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:6:\"_title\";s:37:\"Save Configuration Drupal 8 Mega Menu\";s:11:\"_controller\";s:78:\"\\Drupal\\we_megamenu\\Controller\\WeMegaMenuAdminController::saveConfigWeMegaMenu\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:22:\"administer we_megamenu\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":402:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:43:\"#^/admin/structure/we\\-mega\\-menu/save$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:34:\"/admin/structure/we-mega-menu/save\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:34:\"/admin/structure/we-mega-menu/save\";s:8:\"numParts\";i:4;}}}}',4),('we_megamenu.admin.style','/admin/structure/we-mega-menu/style','/admin/structure/we-mega-menu/style',15,'C:31:\"Symfony\\Component\\Routing\\Route\":1083:{a:9:{s:4:\"path\";s:35:\"/admin/structure/we-mega-menu/style\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:6:\"_title\";s:35:\"Style Of Backend Drupal 8 Mega Menu\";s:11:\"_controller\";s:82:\"\\Drupal\\we_megamenu\\Controller\\WeMegaMenuAdminController::styleOfBackendWeMegaMenu\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:22:\"administer we_megamenu\";}s:7:\"options\";a:4:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:12:\"_admin_route\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":405:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:44:\"#^/admin/structure/we\\-mega\\-menu/style$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:35:\"/admin/structure/we-mega-menu/style\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:15;s:14:\"patternOutline\";s:35:\"/admin/structure/we-mega-menu/style\";s:8:\"numParts\";i:4;}}}}',4),('we_megamenu.geticons','/we-mega-menu/ajax/icons','/we-mega-menu/ajax/icons',7,'C:31:\"Symfony\\Component\\Routing\\Route\":963:{a:9:{s:4:\"path\";s:24:\"/we-mega-menu/ajax/icons\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:66:\"\\Drupal\\we_megamenu\\Controller\\WeMegaMenuAdminController::getIcons\";s:6:\"_title\";s:9:\"Get Icons\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:14:\"access content\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":371:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:33:\"#^/we\\-mega\\-menu/ajax/icons$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:24:\"/we-mega-menu/ajax/icons\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:24:\"/we-mega-menu/ajax/icons\";s:8:\"numParts\";i:3;}}}}',3),('we_megamenu.renderblock','/we-mega-menu/ajax/block','/we-mega-menu/ajax/block',7,'C:31:\"Symfony\\Component\\Routing\\Route\":970:{a:9:{s:4:\"path\";s:24:\"/we-mega-menu/ajax/block\";s:4:\"host\";s:0:\"\";s:8:\"defaults\";a:2:{s:11:\"_controller\";s:69:\"\\Drupal\\we_megamenu\\Controller\\WeMegaMenuAdminController::renderBlock\";s:6:\"_title\";s:12:\"Render Block\";}s:12:\"requirements\";a:1:{s:11:\"_permission\";s:14:\"access content\";}s:7:\"options\";a:3:{s:14:\"compiler_class\";s:33:\"Drupal\\Core\\Routing\\RouteCompiler\";s:4:\"utf8\";b:1;s:14:\"_access_checks\";a:1:{i:0;s:23:\"access_check.permission\";}}s:7:\"schemes\";a:0:{}s:7:\"methods\";a:2:{i:0;s:3:\"GET\";i:1;s:4:\"POST\";}s:9:\"condition\";s:0:\"\";s:8:\"compiled\";C:33:\"Drupal\\Core\\Routing\\CompiledRoute\":371:{a:11:{s:4:\"vars\";a:0:{}s:11:\"path_prefix\";s:0:\"\";s:10:\"path_regex\";s:33:\"#^/we\\-mega\\-menu/ajax/block$#sDu\";s:11:\"path_tokens\";a:1:{i:0;a:2:{i:0;s:4:\"text\";i:1;s:24:\"/we-mega-menu/ajax/block\";}}s:9:\"path_vars\";a:0:{}s:10:\"host_regex\";N;s:11:\"host_tokens\";a:0:{}s:9:\"host_vars\";a:0:{}s:3:\"fit\";i:7;s:14:\"patternOutline\";s:24:\"/we-mega-menu/ajax/block\";s:8:\"numParts\";i:3;}}}}',3);
/*!40000 ALTER TABLE `router` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `search_dataset`
--

DROP TABLE IF EXISTS `search_dataset`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `search_dataset` (
  `sid` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'Search item ID, e.g. node ID for nodes.',
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The languages.langcode of the item variant.',
  `type` varchar(64) CHARACTER SET ascii NOT NULL COMMENT 'Type of item, e.g. node.',
  `data` longtext NOT NULL COMMENT 'List of space-separated words from the item.',
  `reindex` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'Set to force node reindexing.',
  PRIMARY KEY (`sid`,`langcode`,`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Stores items that will be searched.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `search_dataset`
--

LOCK TABLES `search_dataset` WRITE;
/*!40000 ALTER TABLE `search_dataset` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `search_dataset` VALUES (1,'en','node_search',' unique design unique design admin tue 7192016 1136 lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborum lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborum lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborum design2canvas  ',0),(2,'en','node_search',' page builder page builder admin tue 7192016 1142 lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborum lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborum lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborum designnotecode  ',0),(3,'en','node_search',' fully responsice fully responsice admin tue 7192016 1146 lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborum lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborum lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborum designresponsive  ',0),(4,'ar','node_search',' welcome to luxestate welcome to luxestate admin thu 8252016 849 it is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout the point of using lorem ipsum is that it has a moreorless normal distribution of letters as opposed to using content here content here making it look like readable english injected humour and the like there are many variations of passages of lorem ipsum available but the majority have suffered alteration in some form by injected humour or randomised words which don t look even slightly believable amanda clarke creative director what is lorem ipsum  lorem ipsum is simply dummy text of the printing and typesetting industry lorem ipsum has been the industry s standard dummy text ever since the 1500s when an unknown printer took a galley of type and scrambled it to make a type specimen book it has survived not only five centuries but also the leap into electronic typesetting remaining essentially unchanged it was popularised in the 1960s with the release of letraset sheets containing lorem ipsum passages and more recently with desktop publishing software like aldus pagemaker including versions of lorem ipsum where can i get some  there are many variations of passages of lorem ipsum available but the majority have suffered alteration in some form by injected humour or randomised words which don t look even slightly believable if you are going to use a passage of lorem ipsum you need to be sure there isn t anything embarrassing hidden in the middle of text all the lorem ipsum generators on the internet tend to repeat predefined chunks as necessary making this the first true generator on the internet it uses a dictionary of over 200 latin words combined with a handful of model sentence structures to generate lorem ipsum which looks reasonable the generated lorem ipsum is therefore always free from repetition injected humour or noncharacteristic words etc where does it come from  contrary to popular belief lorem ipsum is not simply random text it has roots in a piece of classical latin literature from 45 bc making it over 2000 years old  ',0),(4,'en','node_search',' welcome to luxestate welcome to luxestate admin tue 7192016 1157 it is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout the point of using lorem ipsum is that it has a moreorless normal distribution of letters as opposed to using content here content here making it look like readable english injected humour and the like there are many variations of passages of lorem ipsum available but the majority have suffered alteration in some form by injected humour or randomised words which don t look even slightly believable amanda clarke creative director what is lorem ipsum  lorem ipsum is simply dummy text of the printing and typesetting industry lorem ipsum has been the industry s standard dummy text ever since the 1500s when an unknown printer took a galley of type and scrambled it to make a type specimen book it has survived not only five centuries but also the leap into electronic typesetting remaining essentially unchanged it was popularised in the 1960s with the release of letraset sheets containing lorem ipsum passages and more recently with desktop publishing software like aldus pagemaker including versions of lorem ipsum where can i get some  there are many variations of passages of lorem ipsum available but the majority have suffered alteration in some form by injected humour or randomised words which don t look even slightly believable if you are going to use a passage of lorem ipsum you need to be sure there isn t anything embarrassing hidden in the middle of text all the lorem ipsum generators on the internet tend to repeat predefined chunks as necessary making this the first true generator on the internet it uses a dictionary of over 200 latin words combined with a handful of model sentence structures to generate lorem ipsum which looks reasonable the generated lorem ipsum is therefore always free from repetition injected humour or noncharacteristic words etc where does it come from  contrary to popular belief lorem ipsum is not simply random text it has roots in a piece of classical latin literature from 45 bc making it over 2000 years old  ',0),(5,'en','node_search',' drupal drupal admin tue 7192016 1212 welcome to a new generation of drupal it s a digital experience platform that knows your web content must reach more than just websites built so you can deliver the right content to the right person at the right time on the right device drupal ',0),(7,'en','node_search',' bootstrap bootstrap admin wed 7202016 530 bootstrap is the most popular html css and js framework for developing responsive mobile first projects on the web bootstrap ',0),(9,'en','node_search',' youtube youtube admin wed 7202016 539 youtube ',0),(10,'en','node_search',' jquery jquery admin wed 7202016 540 jquery is a fast small and featurerich javascript library it makes things like html document traversal and manipulation event handling animation and ajax much simpler with an easytouse api that works across a multitude of browsers with a combination of versatility and extensibility jquery has changed the way that millions of people write javascript jquery ',0),(11,'ar','node_search',' warehouse sale in emeryville warehouse sale in emeryville lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborumlorem ipsum dolor sit amet lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborumlorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborumlorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborumlorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborum admin tue 9132016 940  ',0),(11,'en','node_search',' warehouse sale in emeryville warehouse sale in emeryville lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborumlorem ipsum dolor sit amet lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborumlorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborumlorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborumlorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborum admin fri 1082016 832  ',0),(12,'ar','node_search',' dare to bare dare to bare lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborumlorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborum lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborum lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborum lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborum lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborum lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborum lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborum lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborum linda tue 9132016 702  ',0),(12,'en','node_search',' dare to bare dare to bare lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborumlorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborum lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborum lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborum lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborum lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborum lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborum lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborum lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborum linda fri 12112015 520  ',0),(13,'en','node_search',' blog details blog details admin mon 7252016 530 it is a long established fact that a reader will be distracted by the readable content of a page when looking blog details blog  ',0),(14,'en','node_search',' portfolio page portfolio page admin mon 7252016 531 it is a long established fact that a reader will be distracted by the readable content of a page when looking portfolio page portfolio  ',0),(15,'ar','node_search',' off the wall off the wall lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborumlorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborum lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborumlorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborum lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborumlorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborumlorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborum linda tue 9132016 940  ',0),(15,'en','node_search',' off the wall off the wall lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborumlorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborum lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborumlorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborum lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborumlorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborumlorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborum linda tue 12222015 624  ',0),(16,'ar','node_search',' seeing the light seeing the light lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborumlorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborumlorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborum lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborumlorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborumlorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborum lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborumlorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborumlorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborum lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborumlorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborumlorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborum linda tue 9132016 940 lorem ipsum dolor sit amet thu 9012016 1118 duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborum log in or register to post comments in reply to lorem ipsum dolor sit amet by linda consectetur adipisicing elit thu 9012016 1121 sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat d log in or register to post comments in reply to lorem ipsum dolor sit amet by linda great  mon 9052016 609 lorem ipsum dolor sit amet consectetur adipiscing elit sed do eiusmod tempor incididunt ut labore et dolore magna aliqua log in or register to post comments awesome mon 9052016 610 in the class students familiarize themselves with the development process and deliver a live website training schedules for end users and an owner s manual all of which they build as part of their schoolwork log in or register to post comments abc wed 10272021 914 123 log in or register to post comments  ',0),(16,'en','node_search',' seeing the light seeing the light lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborumlorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborumlorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborum lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborumlorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborumlorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborum lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborumlorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborumlorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborum lorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborumlorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborumlorem ipsum dolor sit amet consectetur adipisicing elit sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborum linda mon 7252016 656 lorem ipsum dolor sit amet thu 9012016 1118 duis aute irure dolor in reprehenderit in voluptate velit essecillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat nonproident sunt in culpa qui officia deserunt mollit anim id est laborum log in or register to post comments in reply to lorem ipsum dolor sit amet by linda consectetur adipisicing elit thu 9012016 1121 sed do eiusmodtempor incididunt ut labore et dolore magna aliqua ut enim ad minim veniam quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodoconsequat d log in or register to post comments in reply to lorem ipsum dolor sit amet by linda great  mon 9052016 609 lorem ipsum dolor sit amet consectetur adipiscing elit sed do eiusmod tempor incididunt ut labore et dolore magna aliqua log in or register to post comments awesome mon 9052016 610 in the class students familiarize themselves with the development process and deliver a live website training schedules for end users and an owner s manual all of which they build as part of their schoolwork log in or register to post comments abc wed 10272021 914 123 log in or register to post comments  ',0),(17,'en','node_search',' blog page blog page admin mon 7252016 918 it is a long established fact that a reader will be distracted by the readable content of a page when looking blog page blog  ',0),(18,'en','node_search',' portfolio portfolio admin mon 7252016 1049  ',0),(19,'en','node_search',' portfolio 1 portfolio 1 admin mon 7252016 1052  ',0),(20,'en','node_search',' portfolio 2 portfolio 2 admin mon 7252016 1107  ',0),(21,'en','node_search',' about us about us admin fri 7292016 1008 it is a long established fact that a reader will be distracted by the readable content of a page when looking about us about us  ',0),(22,'en','node_search',' customer support customer support admin fri 7292016 1051 contrary to popular belief lorem ipsum is not simply random text it has roots in a piece of classical latin literature from 45 bc making it over 2000 years old  ',0),(23,'en','node_search',' lightbox lightbox admin fri 7292016 1053 contrary to popular belief lorem ipsum is not simply random text it has roots in a piece of classical latin literature from 45 bc making it over 2000 years old  ',0),(24,'en','node_search',' buttons buttons admin fri 7292016 1053 contrary to popular belief lorem ipsum is not simply random text it has roots in a piece of classical latin literature from 45 bc making it over 2000 years old  ',0),(25,'en','node_search',' unique design unique design admin mon 8012016 538 it is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout the point of using lorem ipsum is that it has a moreorless normal distribution of letters as opposed to using content here content here making it look like readable english many desktop publishing packages and web page editors now use lorem ipsum as their default model text and a search for lorem ipsum will uncover many web sites still in their infancy about us  ',0),(26,'en','node_search',' bootstrap compatible bootstrap compatible admin mon 8012016 539 it is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout the point of using lorem ipsum is that it has a moreorless normal distribution of letters as opposed to using content here content here making it look like readable english many desktop publishing packages and web page editors now use lorem ipsum as their default model text and a search for lorem ipsum will uncover many web sites still in their infancy about us  ',0),(27,'en','node_search',' amples customizations amples customizations admin mon 8012016 539 it is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout the point of using lorem ipsum is that it has a moreorless normal distribution of letters as opposed to using content here content here making it look like readable english many desktop publishing packages and web page editors now use lorem ipsum as their default model text and a search for lorem ipsum will uncover many web sites still in their infancy about us  ',0),(28,'en','node_search',' fully responsive fully responsive admin mon 8012016 540 it is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout the point of using lorem ipsum is that it has a moreorless normal distribution of letters as opposed to using content here content here making it look like readable english many desktop publishing packages and web page editors now use lorem ipsum as their default model text and a search for lorem ipsum will uncover many web sites still in their infancy about us  ',0),(29,'en','node_search',' designed for your business designed for your business admin mon 8012016 540 it is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout the point of using lorem ipsum is that it has a moreorless normal distribution of letters as opposed to using content here content here making it look like readable english many desktop publishing packages and web page editors now use lorem ipsum as their default model text and a search for lorem ipsum will uncover many web sites still in their infancy about us  ',0),(30,'ar','node_search',' our great services our great services admin thu 8252016 850 it is a long established fact that a reader will be distracted by the readable content of a page when looking  why drupal  drupal is wellknown for its flexibility extend ability and security whenever you think about customizing having some specific functions or doing any innovative things with your website drupal is the first and foremost cms that enters our mind our drupal development services include  drupal website development have a website to build we can help create a full function website starting from an idea based on our project management process we ll analyze and discuss with you to bring the best solution this is followed by designing developing testing and deploying your drupal site drupal cms customization we are happy to do any changes to your existing features or extending your cms functionality to a higher level that suits your purpose drupal theming design development  drupal theming has been our strength we have years of indepth experience with theme design development if you need a brandnew template that embraces the attractiv design feel and integrates uptodate technologies leave it for our team of experienced designers frontends and backends drupal module development we help you develop or customize an existing module that fits your website s direction  drupal seo assistance having a website seo friendly to be able to get to the top of search engines is the goal of most website administrators we help get your website well optimized and fix seo issues that affects your website ranking drupal maintenance support maintenance should never been neglected we help you with this job checking all the important matters to make sure you drupal projects up to best status drupal migration upgrades we have experience upgrading your drupal to the newer version or move from another cms to drupal what drupal websites we can do  corporate websites or blogs ecommerce websites social networking sites multimedia audio video portals magazine news site personal blog websites  ',0),(30,'en','node_search',' our great services our great services admin fri 8052016 931 it is a long established fact that a reader will be distracted by the readable content of a page when looking  why drupal  drupal is wellknown for its flexibility extend ability and security whenever you think about customizing having some specific functions or doing any innovative things with your website drupal is the first and foremost cms that enters our mind our drupal development services include  drupal website development have a website to build we can help create a full function website starting from an idea based on our project management process we ll analyze and discuss with you to bring the best solution this is followed by designing developing testing and deploying your drupal site drupal cms customization we are happy to do any changes to your existing features or extending your cms functionality to a higher level that suits your purpose drupal theming design development  drupal theming has been our strength we have years of indepth experience with theme design development if you need a brandnew template that embraces the attractiv design feel and integrates uptodate technologies leave it for our team of experienced designers frontends and backends drupal module development we help you develop or customize an existing module that fits your website s direction  drupal seo assistance having a website seo friendly to be able to get to the top of search engines is the goal of most website administrators we help get your website well optimized and fix seo issues that affects your website ranking drupal maintenance support maintenance should never been neglected we help you with this job checking all the important matters to make sure you drupal projects up to best status drupal migration upgrades we have experience upgrading your drupal to the newer version or move from another cms to drupal what drupal websites we can do  corporate websites or blogs ecommerce websites social networking sites multimedia audio video portals magazine news site personal blog websites  ',0),(31,'en','node_search',' stet clita kasd gubergren stet clita kasd gubergren admin fri 8052016 952 stet clita kasd gubergren 8000  ',0),(32,'en','node_search',' lorem ipsum dolor sit lorem ipsum dolor sit admin fri 8052016 958 lorem ipsum dolor sit 9000  ',0),(33,'en','node_search',' aliquam erat aliquam erat admin fri 8052016 959 aliquam erat 7000  ',0),(34,'en','node_search',' design and build design and build admin fri 8052016 1000 design and build 6000  ',0),(35,'en','node_search',' special projects special projects admin fri 8052016 1000 special projects 10000  ',0),(36,'en','node_search',' general contracting general contracting admin fri 8052016 1001 general contracting 7500  ',0),(37,'en','node_search',' unique design unique design admin fri 8052016 1050 it is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout the point of using lorem ipsum is that it has a moreorless normal distribution of letters as opposed to using content here content here making it look like readable english many desktop publishing packages and web page editors now use lorem ipsum as their default model text and a search for lorem ipsum will uncover many web sites still in their infancy services  ',0),(38,'en','node_search',' bootstrap compatible bootstrap compatible admin fri 8052016 1050 it is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout the point of using lorem ipsum is that it has a moreorless normal distribution of letters as opposed to using content here content here making it look like readable english many desktop publishing packages and web page editors now use lorem ipsum as their default model text and a search for lorem ipsum will uncover many web sites still in their infancy various versions have evolved over the years sometimes by accident sometimes on purpose there are many variations of passages of lorem ipsum available but the majority have suffered alteration in some form by injected humour or randomised words which don t look even slightly believable services  ',0),(39,'en','node_search',' amples customizations amples customizations admin fri 8052016 1051 it is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout the point of using lorem ipsum is that it has a moreorless normal distribution of letters as opposed to using content here content here making it look like readable english many desktop publishing packages and web page editors now use lorem ipsum as their default model text and a search for lorem ipsum will uncover many web sites still in their infancy various versions have evolved over the years sometimes by accident sometimes on purpose there are many variations of passages of lorem ipsum available but the majority have suffered alteration in some form by injected humour or randomised words which don t look even slightly believable services  ',0),(40,'en','node_search',' fully responsive fully responsive admin fri 8052016 1051 it is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout the point of using lorem ipsum is that it has a moreorless normal distribution of letters as opposed to using content here content here making it look like readable english many desktop publishing packages and web page editors now use lorem ipsum as their default model text and a search for lorem ipsum will uncover many web sites still in their infancy various versions have evolved over the years sometimes by accident sometimes on purpose there are many variations of passages of lorem ipsum available but the majority have suffered alteration in some form by injected humour or randomised words which don t look even slightly believable services  ',0),(41,'en','node_search',' services services admin thu 8112016 642 it is a long established fact that a reader will be distracted by the readable content of a page when looking service services  ',0),(42,'en','node_search',' contact us contact us admin mon 8222016 1224 it is a long established fact that a reader will be distracted by the readable content of a page when looking contact contact  ',0),(43,'en','node_search',' weebpal weebpal admin wed 8312016 601 weebpal  is an experienced passionate team of developers designers qcs writers and artists we deliver premium drupal themes build userfriendly websites that get traffic convert and build brand weebpal ',0),(44,'en','node_search',' business business admin wed 8312016 617 excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error business ',0),(45,'en','node_search',' userlogin userlogin admin mon 9052016 531 it is a long established fact that a reader will be distracted by the readable content of a page when looking userlogin page userlogin  ',0);
/*!40000 ALTER TABLE `search_dataset` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `search_index`
--

DROP TABLE IF EXISTS `search_index`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `search_index` (
  `word` varchar(50) NOT NULL DEFAULT '' COMMENT 'The search_total.word that is associated with the search item.',
  `sid` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The search_dataset.sid of the searchable item to which the word belongs.',
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The languages.langcode of the item variant.',
  `type` varchar(64) CHARACTER SET ascii NOT NULL COMMENT 'The search_dataset.type of the searchable item to which the word belongs.',
  `score` float DEFAULT NULL COMMENT 'The numeric score of the word, higher being more important.',
  PRIMARY KEY (`word`,`sid`,`langcode`,`type`),
  KEY `sid_type` (`sid`,`langcode`,`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Stores the search index, associating words, items and…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `search_index`
--

LOCK TABLES `search_index` WRITE;
/*!40000 ALTER TABLE `search_index` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `search_index` VALUES ('1',19,'en','node_search',27),('1000',34,'en','node_search',1),('1000',35,'en','node_search',1),('10000',35,'en','node_search',1),('1001',36,'en','node_search',1),('1008',21,'en','node_search',1),('10272021',16,'ar','node_search',0.997306),('10272021',16,'en','node_search',1),('1049',18,'en','node_search',1),('1050',37,'en','node_search',1),('1050',38,'en','node_search',1),('1051',22,'en','node_search',1),('1051',39,'en','node_search',1),('1051',40,'en','node_search',1),('1052',19,'en','node_search',1),('1053',23,'en','node_search',1),('1053',24,'en','node_search',1),('1082016',11,'en','node_search',1),('1107',20,'en','node_search',1),('1118',16,'ar','node_search',1),('1118',16,'en','node_search',1),('1121',16,'ar','node_search',1),('1121',16,'en','node_search',1),('1136',1,'en','node_search',1),('1142',2,'en','node_search',1),('1146',3,'en','node_search',1),('1157',4,'en','node_search',1),('12112015',12,'en','node_search',1),('1212',5,'en','node_search',1),('12222015',15,'en','node_search',1),('1224',42,'en','node_search',1),('123',16,'ar','node_search',0.989021),('123',16,'en','node_search',0.993146),('1500s',4,'ar','node_search',1),('1500s',4,'en','node_search',1),('1960s',4,'ar','node_search',1),('1960s',4,'en','node_search',1),('2',20,'en','node_search',27),('200',4,'ar','node_search',0.857458),('200',4,'en','node_search',0.857458),('2000',4,'ar','node_search',0.776703),('2000',4,'en','node_search',0.776703),('2000',22,'en','node_search',1),('2000',23,'en','node_search',1),('2000',24,'en','node_search',1),('45',4,'ar','node_search',0.779231),('45',4,'en','node_search',0.779231),('45',22,'en','node_search',1),('45',23,'en','node_search',1),('45',24,'en','node_search',1),('520',12,'en','node_search',1),('530',7,'en','node_search',1),('530',13,'en','node_search',1),('531',14,'en','node_search',1),('531',45,'en','node_search',1),('538',25,'en','node_search',1),('539',9,'en','node_search',1),('539',26,'en','node_search',1),('539',27,'en','node_search',1),('540',10,'en','node_search',1),('540',28,'en','node_search',1),('540',29,'en','node_search',1),('6000',34,'en','node_search',1),('601',43,'en','node_search',1),('609',16,'ar','node_search',1),('609',16,'en','node_search',1),('610',16,'ar','node_search',1),('610',16,'en','node_search',1),('617',44,'en','node_search',1),('624',15,'en','node_search',1),('642',41,'en','node_search',1),('656',16,'en','node_search',1),('7000',33,'en','node_search',1),('702',12,'ar','node_search',1),('7192016',1,'en','node_search',1),('7192016',2,'en','node_search',1),('7192016',3,'en','node_search',1),('7192016',4,'en','node_search',1),('7192016',5,'en','node_search',1),('7202016',7,'en','node_search',1),('7202016',9,'en','node_search',1),('7202016',10,'en','node_search',1),('7252016',13,'en','node_search',1),('7252016',14,'en','node_search',1),('7252016',16,'en','node_search',1),('7252016',17,'en','node_search',1),('7252016',18,'en','node_search',1),('7252016',19,'en','node_search',1),('7252016',20,'en','node_search',1),('7292016',21,'en','node_search',1),('7292016',22,'en','node_search',1),('7292016',23,'en','node_search',1),('7292016',24,'en','node_search',1),('7500',36,'en','node_search',1),('8000',31,'en','node_search',1),('8012016',25,'en','node_search',1),('8012016',26,'en','node_search',1),('8012016',27,'en','node_search',1),('8012016',28,'en','node_search',1),('8012016',29,'en','node_search',1),('8052016',30,'en','node_search',1),('8052016',31,'en','node_search',1),('8052016',32,'en','node_search',1),('8052016',33,'en','node_search',1),('8052016',34,'en','node_search',1),('8052016',35,'en','node_search',1),('8052016',36,'en','node_search',1),('8052016',37,'en','node_search',1),('8052016',38,'en','node_search',1),('8052016',39,'en','node_search',1),('8052016',40,'en','node_search',1),('8112016',41,'en','node_search',1),('8222016',42,'en','node_search',1),('8252016',4,'ar','node_search',1),('8252016',30,'ar','node_search',1),('8312016',43,'en','node_search',1),('8312016',44,'en','node_search',1),('832',11,'en','node_search',1),('849',4,'ar','node_search',1),('850',30,'ar','node_search',1),('9000',32,'en','node_search',1),('9012016',16,'ar','node_search',2),('9012016',16,'en','node_search',2),('9052016',16,'ar','node_search',2),('9052016',16,'en','node_search',2),('9052016',45,'en','node_search',1),('9132016',11,'ar','node_search',1),('9132016',12,'ar','node_search',1),('9132016',15,'ar','node_search',1),('9132016',16,'ar','node_search',1),('914',16,'ar','node_search',0.993146),('914',16,'en','node_search',0.997306),('918',17,'en','node_search',1),('931',30,'en','node_search',1),('940',11,'ar','node_search',1),('940',15,'ar','node_search',1),('940',16,'ar','node_search',1),('952',31,'en','node_search',1),('958',32,'en','node_search',1),('959',33,'en','node_search',1),('abc',16,'ar','node_search',26),('abc',16,'en','node_search',26),('ability',30,'ar','node_search',1),('ability',30,'en','node_search',1),('able',30,'ar','node_search',0.920273),('able',30,'en','node_search',0.920273),('about',21,'en','node_search',29),('about',25,'en','node_search',1),('about',26,'en','node_search',1),('about',27,'en','node_search',1),('about',28,'en','node_search',1),('about',29,'en','node_search',1),('about',30,'ar','node_search',1),('about',30,'en','node_search',1),('accident',38,'en','node_search',1),('accident',39,'en','node_search',1),('accident',40,'en','node_search',1),('across',10,'en','node_search',1),('adipiscing',16,'ar','node_search',1),('adipiscing',16,'en','node_search',1),('adipisicing',1,'en','node_search',3),('adipisicing',2,'en','node_search',3),('adipisicing',3,'en','node_search',3),('adipisicing',11,'ar','node_search',5),('adipisicing',11,'en','node_search',5),('adipisicing',12,'ar','node_search',9),('adipisicing',12,'en','node_search',9),('adipisicing',15,'ar','node_search',7),('adipisicing',15,'en','node_search',7),('adipisicing',16,'ar','node_search',38),('adipisicing',16,'en','node_search',38),('admin',1,'en','node_search',1),('admin',2,'en','node_search',1),('admin',3,'en','node_search',1),('admin',4,'ar','node_search',1),('admin',4,'en','node_search',1),('admin',5,'en','node_search',1),('admin',7,'en','node_search',1),('admin',9,'en','node_search',1),('admin',10,'en','node_search',1),('admin',11,'ar','node_search',1),('admin',11,'en','node_search',1),('admin',13,'en','node_search',1),('admin',14,'en','node_search',1),('admin',17,'en','node_search',1),('admin',18,'en','node_search',1),('admin',19,'en','node_search',1),('admin',20,'en','node_search',1),('admin',21,'en','node_search',1),('admin',22,'en','node_search',1),('admin',23,'en','node_search',1),('admin',24,'en','node_search',1),('admin',25,'en','node_search',1),('admin',26,'en','node_search',1),('admin',27,'en','node_search',1),('admin',28,'en','node_search',1),('admin',29,'en','node_search',1),('admin',30,'ar','node_search',1),('admin',30,'en','node_search',1),('admin',31,'en','node_search',1),('admin',32,'en','node_search',1),('admin',33,'en','node_search',1),('admin',34,'en','node_search',1),('admin',35,'en','node_search',1),('admin',36,'en','node_search',1),('admin',37,'en','node_search',1),('admin',38,'en','node_search',1),('admin',39,'en','node_search',1),('admin',40,'en','node_search',1),('admin',41,'en','node_search',1),('admin',42,'en','node_search',1),('admin',43,'en','node_search',1),('admin',44,'en','node_search',1),('admin',45,'en','node_search',1),('administrators',30,'ar','node_search',0.896076),('administrators',30,'en','node_search',0.896076),('affects',30,'ar','node_search',0.879565),('affects',30,'en','node_search',0.879565),('ajax',10,'en','node_search',1),('aldus',4,'ar','node_search',0.972861),('aldus',4,'en','node_search',0.972861),('aliqua',1,'en','node_search',3),('aliqua',2,'en','node_search',3),('aliqua',3,'en','node_search',3),('aliqua',11,'ar','node_search',5),('aliqua',11,'en','node_search',5),('aliqua',12,'ar','node_search',9),('aliqua',12,'en','node_search',9),('aliqua',15,'ar','node_search',7),('aliqua',15,'en','node_search',7),('aliqua',16,'ar','node_search',14),('aliqua',16,'en','node_search',14),('aliquam',33,'en','node_search',28),('aliquip',1,'en','node_search',3),('aliquip',2,'en','node_search',3),('aliquip',3,'en','node_search',3),('aliquip',11,'ar','node_search',5),('aliquip',11,'en','node_search',5),('aliquip',12,'ar','node_search',9),('aliquip',12,'en','node_search',9),('aliquip',15,'ar','node_search',7),('aliquip',15,'en','node_search',7),('aliquip',16,'ar','node_search',13),('aliquip',16,'en','node_search',13),('all',4,'ar','node_search',0.906287),('all',4,'en','node_search',0.906287),('all',16,'ar','node_search',1),('all',16,'en','node_search',1),('all',30,'ar','node_search',0.851346),('all',30,'en','node_search',0.851346),('also',4,'ar','node_search',1),('also',4,'en','node_search',1),('alteration',4,'ar','node_search',1.94583),('alteration',4,'en','node_search',1.94583),('alteration',38,'en','node_search',1),('alteration',39,'en','node_search',1),('alteration',40,'en','node_search',1),('always',4,'ar','node_search',0.822065),('always',4,'en','node_search',0.822065),('amanda',4,'ar','node_search',15),('amanda',4,'en','node_search',15),('amet',1,'en','node_search',3),('amet',2,'en','node_search',3),('amet',3,'en','node_search',3),('amet',11,'ar','node_search',6),('amet',11,'en','node_search',6),('amet',12,'ar','node_search',9),('amet',12,'en','node_search',9),('amet',15,'ar','node_search',7),('amet',15,'en','node_search',7),('amet',16,'ar','node_search',61),('amet',16,'en','node_search',61),('amples',27,'en','node_search',27),('amples',39,'en','node_search',27),('analyze',30,'ar','node_search',1),('analyze',30,'en','node_search',1),('and',4,'ar','node_search',3.99315),('and',4,'en','node_search',3.99315),('and',7,'en','node_search',1),('and',10,'en','node_search',4),('and',16,'ar','node_search',2),('and',16,'en','node_search',2),('and',25,'en','node_search',2),('and',26,'en','node_search',2),('and',27,'en','node_search',2),('and',28,'en','node_search',2),('and',29,'en','node_search',2),('and',30,'ar','node_search',6.82442),('and',30,'en','node_search',6.82442),('and',34,'en','node_search',28),('and',37,'en','node_search',2),('and',38,'en','node_search',2),('and',39,'en','node_search',2),('and',40,'en','node_search',2),('and',43,'en','node_search',2),('anim',1,'en','node_search',3),('anim',2,'en','node_search',3),('anim',3,'en','node_search',3),('anim',11,'ar','node_search',5),('anim',11,'en','node_search',5),('anim',12,'ar','node_search',9),('anim',12,'en','node_search',9),('anim',15,'ar','node_search',7),('anim',15,'en','node_search',7),('anim',16,'ar','node_search',13),('anim',16,'en','node_search',13),('anim',44,'en','node_search',1),('animation',10,'en','node_search',1),('another',30,'ar','node_search',0.813674),('another',30,'en','node_search',0.813674),('any',30,'ar','node_search',2),('any',30,'en','node_search',2),('anything',4,'ar','node_search',0.920273),('anything',4,'en','node_search',0.920273),('api',10,'en','node_search',1),('are',4,'ar','node_search',2.88792),('are',4,'en','node_search',2.88792),('are',30,'ar','node_search',1),('are',30,'en','node_search',1),('are',38,'en','node_search',1),('are',39,'en','node_search',1),('are',40,'en','node_search',1),('artists',43,'en','node_search',1),('assistance',30,'ar','node_search',3.70972),('assistance',30,'en','node_search',3.70972),('attractiv',30,'ar','node_search',0.993146),('attractiv',30,'en','node_search',0.993146),('audio',30,'ar','node_search',0.786915),('audio',30,'en','node_search',0.786915),('aute',1,'en','node_search',3),('aute',2,'en','node_search',3),('aute',3,'en','node_search',3),('aute',11,'ar','node_search',5),('aute',11,'en','node_search',5),('aute',12,'ar','node_search',9),('aute',12,'en','node_search',9),('aute',15,'ar','node_search',7),('aute',15,'en','node_search',7),('aute',16,'ar','node_search',13),('aute',16,'en','node_search',13),('available',4,'ar','node_search',1.94583),('available',4,'en','node_search',1.94583),('available',38,'en','node_search',1),('available',39,'en','node_search',1),('available',40,'en','node_search',1),('awesome',16,'ar','node_search',26),('awesome',16,'en','node_search',26),('backends',30,'ar','node_search',0.953396),('backends',30,'en','node_search',0.953396),('bare',12,'ar','node_search',27),('bare',12,'en','node_search',27),('based',30,'ar','node_search',1),('based',30,'en','node_search',1),('been',4,'ar','node_search',1),('been',4,'en','node_search',1),('been',30,'ar','node_search',1.86055),('been',30,'en','node_search',1.86055),('belief',4,'ar','node_search',0.794753),('belief',4,'en','node_search',0.794753),('belief',22,'en','node_search',1),('belief',23,'en','node_search',1),('belief',24,'en','node_search',1),('believable',4,'ar','node_search',1.94583),('believable',4,'en','node_search',1.94583),('believable',38,'en','node_search',1),('believable',39,'en','node_search',1),('believable',40,'en','node_search',1),('best',30,'ar','node_search',1.83353),('best',30,'en','node_search',1.83353),('blog',13,'en','node_search',29),('blog',17,'en','node_search',29),('blog',30,'ar','node_search',0.771698),('blog',30,'en','node_search',0.771698),('blogs',30,'ar','node_search',0.802752),('blogs',30,'en','node_search',0.802752),('book',4,'ar','node_search',1),('book',4,'en','node_search',1),('bootstrap',7,'en','node_search',39),('bootstrap',26,'en','node_search',27),('bootstrap',38,'en','node_search',27),('brand',43,'en','node_search',1),('brandnew',30,'ar','node_search',1),('brandnew',30,'en','node_search',1),('bring',30,'ar','node_search',1),('bring',30,'en','node_search',1),('browsers',10,'en','node_search',1),('build',16,'ar','node_search',1),('build',16,'en','node_search',1),('build',30,'ar','node_search',1),('build',30,'en','node_search',1),('build',34,'en','node_search',28),('build',43,'en','node_search',2),('builder',2,'en','node_search',27),('built',5,'en','node_search',1),('business',29,'en','node_search',27),('business',44,'en','node_search',38),('but',4,'ar','node_search',2.94583),('but',4,'en','node_search',2.94583),('but',38,'en','node_search',1),('but',39,'en','node_search',1),('but',40,'en','node_search',1),('buttons',24,'en','node_search',27),('can',4,'ar','node_search',24.7883),('can',4,'en','node_search',24.7883),('can',5,'en','node_search',1),('can',30,'ar','node_search',4.22182),('can',30,'en','node_search',4.22182),('centuries',4,'ar','node_search',1),('centuries',4,'en','node_search',1),('changed',10,'en','node_search',1),('changes',30,'ar','node_search',1),('changes',30,'en','node_search',1),('checking',30,'ar','node_search',0.854391),('checking',30,'en','node_search',0.854391),('chunks',4,'ar','node_search',0.886095),('chunks',4,'en','node_search',0.886095),('clarke',4,'ar','node_search',15),('clarke',4,'en','node_search',15),('class',16,'ar','node_search',1),('class',16,'en','node_search',1),('classical',4,'ar','node_search',0.784336),('classical',4,'en','node_search',0.784336),('classical',22,'en','node_search',1),('classical',23,'en','node_search',1),('classical',24,'en','node_search',1),('clita',31,'en','node_search',28),('cms',30,'ar','node_search',6.81092),('cms',30,'en','node_search',6.81092),('combination',10,'en','node_search',1),('combined',4,'ar','node_search',0.851346),('combined',4,'en','node_search',0.851346),('come',4,'ar','node_search',20.8716),('come',4,'en','node_search',20.8716),('comments',16,'ar','node_search',4.98493),('comments',16,'en','node_search',4.98902),('commodoconsequat',1,'en','node_search',3),('commodoconsequat',2,'en','node_search',3),('commodoconsequat',3,'en','node_search',3),('commodoconsequat',11,'ar','node_search',5),('commodoconsequat',11,'en','node_search',5),('commodoconsequat',12,'ar','node_search',9),('commodoconsequat',12,'en','node_search',9),('commodoconsequat',15,'ar','node_search',7),('commodoconsequat',15,'en','node_search',7),('commodoconsequat',16,'ar','node_search',13),('commodoconsequat',16,'en','node_search',13),('compatible',26,'en','node_search',27),('compatible',38,'en','node_search',27),('consectetur',1,'en','node_search',3),('consectetur',2,'en','node_search',3),('consectetur',3,'en','node_search',3),('consectetur',11,'ar','node_search',5),('consectetur',11,'en','node_search',5),('consectetur',12,'ar','node_search',9),('consectetur',12,'en','node_search',9),('consectetur',15,'ar','node_search',7),('consectetur',15,'en','node_search',7),('consectetur',16,'ar','node_search',39),('consectetur',16,'en','node_search',39),('contact',42,'en','node_search',29),('containing',4,'ar','node_search',0.997306),('containing',4,'en','node_search',0.997306),('content',4,'ar','node_search',3),('content',4,'en','node_search',3),('content',5,'en','node_search',2),('content',13,'en','node_search',1),('content',14,'en','node_search',1),('content',17,'en','node_search',1),('content',21,'en','node_search',1),('content',25,'en','node_search',3),('content',26,'en','node_search',3),('content',27,'en','node_search',3),('content',28,'en','node_search',3),('content',29,'en','node_search',3),('content',30,'ar','node_search',1),('content',30,'en','node_search',1),('content',37,'en','node_search',3),('content',38,'en','node_search',3),('content',39,'en','node_search',3),('content',40,'en','node_search',3),('content',41,'en','node_search',1),('content',42,'en','node_search',1),('content',45,'en','node_search',1),('contracting',36,'en','node_search',28),('contrary',4,'ar','node_search',0.800068),('contrary',4,'en','node_search',0.800068),('contrary',22,'en','node_search',1),('contrary',23,'en','node_search',1),('contrary',24,'en','node_search',1),('convert',43,'en','node_search',1),('corporate',30,'ar','node_search',0.805455),('corporate',30,'en','node_search',0.805455),('create',30,'ar','node_search',1),('create',30,'en','node_search',1),('creative',4,'ar','node_search',10),('creative',4,'en','node_search',10),('css',7,'en','node_search',1),('culpa',1,'en','node_search',3),('culpa',2,'en','node_search',3),('culpa',3,'en','node_search',3),('culpa',11,'ar','node_search',5),('culpa',11,'en','node_search',5),('culpa',12,'ar','node_search',9),('culpa',12,'en','node_search',9),('culpa',15,'ar','node_search',7),('culpa',15,'en','node_search',7),('culpa',16,'ar','node_search',13),('culpa',16,'en','node_search',13),('culpa',44,'en','node_search',1),('cupidatat',1,'en','node_search',3),('cupidatat',2,'en','node_search',3),('cupidatat',3,'en','node_search',3),('cupidatat',11,'ar','node_search',5),('cupidatat',11,'en','node_search',5),('cupidatat',12,'ar','node_search',9),('cupidatat',12,'en','node_search',9),('cupidatat',15,'ar','node_search',7),('cupidatat',15,'en','node_search',7),('cupidatat',16,'ar','node_search',13),('cupidatat',16,'en','node_search',13),('cupidatat',44,'en','node_search',1),('customer',22,'en','node_search',27),('customization',30,'ar','node_search',4),('customization',30,'en','node_search',4),('customizations',27,'en','node_search',27),('customizations',39,'en','node_search',27),('customize',30,'ar','node_search',0.942091),('customize',30,'en','node_search',0.942091),('customizing',30,'ar','node_search',1),('customizing',30,'en','node_search',1),('dare',12,'ar','node_search',27),('dare',12,'en','node_search',27),('default',25,'en','node_search',1),('default',26,'en','node_search',1),('default',27,'en','node_search',1),('default',28,'en','node_search',1),('default',29,'en','node_search',1),('default',37,'en','node_search',1),('default',38,'en','node_search',1),('default',39,'en','node_search',1),('default',40,'en','node_search',1),('deliver',5,'en','node_search',1),('deliver',16,'ar','node_search',1),('deliver',16,'en','node_search',1),('deliver',43,'en','node_search',1),('deploying',30,'ar','node_search',1),('deploying',30,'en','node_search',1),('deserunt',1,'en','node_search',3),('deserunt',2,'en','node_search',3),('deserunt',3,'en','node_search',3),('deserunt',11,'ar','node_search',5),('deserunt',11,'en','node_search',5),('deserunt',12,'ar','node_search',9),('deserunt',12,'en','node_search',9),('deserunt',15,'ar','node_search',7),('deserunt',15,'en','node_search',7),('deserunt',16,'ar','node_search',13),('deserunt',16,'en','node_search',13),('deserunt',44,'en','node_search',1),('design',1,'en','node_search',27),('design',25,'en','node_search',27),('design',30,'ar','node_search',5.98902),('design',30,'en','node_search',5.98902),('design',34,'en','node_search',28),('design',37,'en','node_search',27),('design2canvas',1,'en','node_search',1),('designed',29,'en','node_search',27),('designers',30,'ar','node_search',0.961087),('designers',30,'en','node_search',0.961087),('designers',43,'en','node_search',1),('designing',30,'ar','node_search',1),('designing',30,'en','node_search',1),('designnotecode',2,'en','node_search',1),('designresponsive',3,'en','node_search',1),('desktop',4,'ar','node_search',0.98493),('desktop',4,'en','node_search',0.98493),('desktop',25,'en','node_search',1),('desktop',26,'en','node_search',1),('desktop',27,'en','node_search',1),('desktop',28,'en','node_search',1),('desktop',29,'en','node_search',1),('desktop',37,'en','node_search',1),('desktop',38,'en','node_search',1),('desktop',39,'en','node_search',1),('desktop',40,'en','node_search',1),('details',13,'en','node_search',28),('develop',30,'ar','node_search',0.945829),('develop',30,'en','node_search',0.945829),('developers',43,'en','node_search',1),('developing',7,'en','node_search',1),('developing',30,'ar','node_search',1),('developing',30,'en','node_search',1),('development',16,'ar','node_search',1),('development',16,'en','node_search',1),('development',30,'ar','node_search',16.7833),('development',30,'en','node_search',16.7833),('device',5,'en','node_search',1),('dictionary',4,'ar','node_search',0.863659),('dictionary',4,'en','node_search',0.863659),('digital',5,'en','node_search',1),('direction',30,'ar','node_search',0.934703),('direction',30,'en','node_search',0.934703),('director',4,'ar','node_search',10),('director',4,'en','node_search',10),('discuss',30,'ar','node_search',1),('discuss',30,'en','node_search',1),('distracted',4,'ar','node_search',1),('distracted',4,'en','node_search',1),('distracted',13,'en','node_search',1),('distracted',14,'en','node_search',1),('distracted',17,'en','node_search',1),('distracted',21,'en','node_search',1),('distracted',25,'en','node_search',1),('distracted',26,'en','node_search',1),('distracted',27,'en','node_search',1),('distracted',28,'en','node_search',1),('distracted',29,'en','node_search',1),('distracted',30,'ar','node_search',1),('distracted',30,'en','node_search',1),('distracted',37,'en','node_search',1),('distracted',38,'en','node_search',1),('distracted',39,'en','node_search',1),('distracted',40,'en','node_search',1),('distracted',41,'en','node_search',1),('distracted',42,'en','node_search',1),('distracted',45,'en','node_search',1),('distribution',4,'ar','node_search',1),('distribution',4,'en','node_search',1),('distribution',25,'en','node_search',1),('distribution',26,'en','node_search',1),('distribution',27,'en','node_search',1),('distribution',28,'en','node_search',1),('distribution',29,'en','node_search',1),('distribution',37,'en','node_search',1),('distribution',38,'en','node_search',1),('distribution',39,'en','node_search',1),('distribution',40,'en','node_search',1),('document',10,'en','node_search',1),('does',4,'ar','node_search',20.9418),('does',4,'en','node_search',20.9418),('doing',30,'ar','node_search',1),('doing',30,'en','node_search',1),('dolor',1,'en','node_search',6),('dolor',2,'en','node_search',6),('dolor',3,'en','node_search',6),('dolor',11,'ar','node_search',11),('dolor',11,'en','node_search',11),('dolor',12,'ar','node_search',18),('dolor',12,'en','node_search',18),('dolor',15,'ar','node_search',14),('dolor',15,'en','node_search',14),('dolor',16,'ar','node_search',74),('dolor',16,'en','node_search',74),('dolor',32,'en','node_search',28),('dolore',1,'en','node_search',6),('dolore',2,'en','node_search',6),('dolore',3,'en','node_search',6),('dolore',11,'ar','node_search',10),('dolore',11,'en','node_search',10),('dolore',12,'ar','node_search',18),('dolore',12,'en','node_search',18),('dolore',15,'ar','node_search',14),('dolore',15,'en','node_search',14),('dolore',16,'ar','node_search',27),('dolore',16,'en','node_search',27),('don',4,'ar','node_search',1.94583),('don',4,'en','node_search',1.94583),('don',38,'en','node_search',1),('don',39,'en','node_search',1),('don',40,'en','node_search',1),('drupal',5,'en','node_search',39),('drupal',30,'ar','node_search',44.0398),('drupal',30,'en','node_search',44.0398),('drupal',43,'en','node_search',1),('duis',1,'en','node_search',3),('duis',2,'en','node_search',3),('duis',3,'en','node_search',3),('duis',11,'ar','node_search',5),('duis',11,'en','node_search',5),('duis',12,'ar','node_search',9),('duis',12,'en','node_search',9),('duis',15,'ar','node_search',7),('duis',15,'en','node_search',7),('duis',16,'ar','node_search',13),('duis',16,'en','node_search',13),('dummy',4,'ar','node_search',2),('dummy',4,'en','node_search',2),('easytouse',10,'en','node_search',1),('ecommerce',30,'ar','node_search',0.800068),('ecommerce',30,'en','node_search',0.800068),('editors',25,'en','node_search',1),('editors',26,'en','node_search',1),('editors',27,'en','node_search',1),('editors',28,'en','node_search',1),('editors',29,'en','node_search',1),('editors',37,'en','node_search',1),('editors',38,'en','node_search',1),('editors',39,'en','node_search',1),('editors',40,'en','node_search',1),('eiusmod',16,'ar','node_search',1),('eiusmod',16,'en','node_search',1),('eiusmodtempor',1,'en','node_search',3),('eiusmodtempor',2,'en','node_search',3),('eiusmodtempor',3,'en','node_search',3),('eiusmodtempor',11,'ar','node_search',5),('eiusmodtempor',11,'en','node_search',5),('eiusmodtempor',12,'ar','node_search',9),('eiusmodtempor',12,'en','node_search',9),('eiusmodtempor',15,'ar','node_search',7),('eiusmodtempor',15,'en','node_search',7),('eiusmodtempor',16,'ar','node_search',13),('eiusmodtempor',16,'en','node_search',13),('electronic',4,'ar','node_search',1),('electronic',4,'en','node_search',1),('elit',1,'en','node_search',3),('elit',2,'en','node_search',3),('elit',3,'en','node_search',3),('elit',11,'ar','node_search',5),('elit',11,'en','node_search',5),('elit',12,'ar','node_search',9),('elit',12,'en','node_search',9),('elit',15,'ar','node_search',7),('elit',15,'en','node_search',7),('elit',16,'ar','node_search',39),('elit',16,'en','node_search',39),('embarrassing',4,'ar','node_search',0.916736),('embarrassing',4,'en','node_search',0.916736),('embraces',30,'ar','node_search',0.997306),('embraces',30,'en','node_search',0.997306),('emeryville',11,'ar','node_search',27),('emeryville',11,'en','node_search',27),('end',16,'ar','node_search',1),('end',16,'en','node_search',1),('engines',30,'ar','node_search',0.906287),('engines',30,'en','node_search',0.906287),('english',4,'ar','node_search',1),('english',4,'en','node_search',1),('english',25,'en','node_search',1),('english',26,'en','node_search',1),('english',27,'en','node_search',1),('english',28,'en','node_search',1),('english',29,'en','node_search',1),('english',37,'en','node_search',1),('english',38,'en','node_search',1),('english',39,'en','node_search',1),('english',40,'en','node_search',1),('enim',1,'en','node_search',3),('enim',2,'en','node_search',3),('enim',3,'en','node_search',3),('enim',11,'ar','node_search',5),('enim',11,'en','node_search',5),('enim',12,'ar','node_search',9),('enim',12,'en','node_search',9),('enim',15,'ar','node_search',7),('enim',15,'en','node_search',7),('enim',16,'ar','node_search',13),('enim',16,'en','node_search',13),('enters',30,'ar','node_search',1),('enters',30,'en','node_search',1),('erat',33,'en','node_search',28),('error',44,'en','node_search',1),('essecillum',1,'en','node_search',3),('essecillum',2,'en','node_search',3),('essecillum',3,'en','node_search',3),('essecillum',11,'ar','node_search',5),('essecillum',11,'en','node_search',5),('essecillum',12,'ar','node_search',9),('essecillum',12,'en','node_search',9),('essecillum',15,'ar','node_search',7),('essecillum',15,'en','node_search',7),('essecillum',16,'ar','node_search',13),('essecillum',16,'en','node_search',13),('essentially',4,'ar','node_search',1),('essentially',4,'en','node_search',1),('est',1,'en','node_search',3),('est',2,'en','node_search',3),('est',3,'en','node_search',3),('est',11,'ar','node_search',5),('est',11,'en','node_search',5),('est',12,'ar','node_search',9),('est',12,'en','node_search',9),('est',15,'ar','node_search',7),('est',15,'en','node_search',7),('est',16,'ar','node_search',13),('est',16,'en','node_search',13),('est',44,'en','node_search',1),('established',4,'ar','node_search',1),('established',4,'en','node_search',1),('established',13,'en','node_search',1),('established',14,'en','node_search',1),('established',17,'en','node_search',1),('established',21,'en','node_search',1),('established',25,'en','node_search',1),('established',26,'en','node_search',1),('established',27,'en','node_search',1),('established',28,'en','node_search',1),('established',29,'en','node_search',1),('established',30,'ar','node_search',1),('established',30,'en','node_search',1),('established',37,'en','node_search',1),('established',38,'en','node_search',1),('established',39,'en','node_search',1),('established',40,'en','node_search',1),('established',41,'en','node_search',1),('established',42,'en','node_search',1),('established',45,'en','node_search',1),('etc',4,'ar','node_search',0.808176),('etc',4,'en','node_search',0.808176),('even',4,'ar','node_search',1.94583),('even',4,'en','node_search',1.94583),('even',38,'en','node_search',1),('even',39,'en','node_search',1),('even',40,'en','node_search',1),('event',10,'en','node_search',1),('ever',4,'ar','node_search',1),('ever',4,'en','node_search',1),('evolved',38,'en','node_search',1),('evolved',39,'en','node_search',1),('evolved',40,'en','node_search',1),('excepteur',1,'en','node_search',3),('excepteur',2,'en','node_search',3),('excepteur',3,'en','node_search',3),('excepteur',11,'ar','node_search',5),('excepteur',11,'en','node_search',5),('excepteur',12,'ar','node_search',9),('excepteur',12,'en','node_search',9),('excepteur',15,'ar','node_search',7),('excepteur',15,'en','node_search',7),('excepteur',16,'ar','node_search',13),('excepteur',16,'en','node_search',13),('excepteur',44,'en','node_search',1),('exercitation',1,'en','node_search',3),('exercitation',2,'en','node_search',3),('exercitation',3,'en','node_search',3),('exercitation',11,'ar','node_search',5),('exercitation',11,'en','node_search',5),('exercitation',12,'ar','node_search',9),('exercitation',12,'en','node_search',9),('exercitation',15,'ar','node_search',7),('exercitation',15,'en','node_search',7),('exercitation',16,'ar','node_search',13),('exercitation',16,'en','node_search',13),('existing',30,'ar','node_search',1.93838),('existing',30,'en','node_search',1.93838),('experience',5,'en','node_search',1),('experience',30,'ar','node_search',1.8249),('experience',30,'en','node_search',1.8249),('experienced',30,'ar','node_search',0.96498),('experienced',30,'en','node_search',0.96498),('experienced',43,'en','node_search',1),('extend',30,'ar','node_search',1),('extend',30,'en','node_search',1),('extending',30,'ar','node_search',1),('extending',30,'en','node_search',1),('extensibility',10,'en','node_search',1),('fact',4,'ar','node_search',1),('fact',4,'en','node_search',1),('fact',13,'en','node_search',1),('fact',14,'en','node_search',1),('fact',17,'en','node_search',1),('fact',21,'en','node_search',1),('fact',25,'en','node_search',1),('fact',26,'en','node_search',1),('fact',27,'en','node_search',1),('fact',28,'en','node_search',1),('fact',29,'en','node_search',1),('fact',30,'ar','node_search',1),('fact',30,'en','node_search',1),('fact',37,'en','node_search',1),('fact',38,'en','node_search',1),('fact',39,'en','node_search',1),('fact',40,'en','node_search',1),('fact',41,'en','node_search',1),('fact',42,'en','node_search',1),('fact',45,'en','node_search',1),('familiarize',16,'ar','node_search',1),('familiarize',16,'en','node_search',1),('fast',10,'en','node_search',1),('featurerich',10,'en','node_search',1),('features',30,'ar','node_search',1),('features',30,'en','node_search',1),('feel',30,'ar','node_search',0.989021),('feel',30,'en','node_search',0.989021),('first',4,'ar','node_search',0.876337),('first',4,'en','node_search',0.876337),('first',7,'en','node_search',1),('first',30,'ar','node_search',1),('first',30,'en','node_search',1),('fits',30,'ar','node_search',0.938382),('fits',30,'en','node_search',0.938382),('five',4,'ar','node_search',1),('five',4,'en','node_search',1),('fix',30,'ar','node_search',0.886095),('fix',30,'en','node_search',0.886095),('flexibility',30,'ar','node_search',1),('flexibility',30,'en','node_search',1),('followed',30,'ar','node_search',1),('followed',30,'en','node_search',1),('for',7,'en','node_search',1),('for',16,'ar','node_search',1),('for',16,'en','node_search',1),('for',25,'en','node_search',1),('for',26,'en','node_search',1),('for',27,'en','node_search',1),('for',28,'en','node_search',1),('for',29,'en','node_search',28),('for',30,'ar','node_search',1.9689),('for',30,'en','node_search',1.9689),('for',37,'en','node_search',1),('for',38,'en','node_search',1),('for',39,'en','node_search',1),('for',40,'en','node_search',1),('foremost',30,'ar','node_search',1),('foremost',30,'en','node_search',1),('form',4,'ar','node_search',1.94583),('form',4,'en','node_search',1.94583),('form',38,'en','node_search',1),('form',39,'en','node_search',1),('form',40,'en','node_search',1),('framework',7,'en','node_search',1),('free',4,'ar','node_search',0.819249),('free',4,'en','node_search',0.819249),('fri',11,'en','node_search',1),('fri',12,'en','node_search',1),('fri',21,'en','node_search',1),('fri',22,'en','node_search',1),('fri',23,'en','node_search',1),('fri',24,'en','node_search',1),('fri',30,'en','node_search',1),('fri',31,'en','node_search',1),('fri',32,'en','node_search',1),('fri',33,'en','node_search',1),('fri',34,'en','node_search',1),('fri',35,'en','node_search',1),('fri',36,'en','node_search',1),('fri',37,'en','node_search',1),('fri',38,'en','node_search',1),('fri',39,'en','node_search',1),('fri',40,'en','node_search',1),('friendly',30,'ar','node_search',0.923838),('friendly',30,'en','node_search',0.923838),('from',4,'ar','node_search',22.3974),('from',4,'en','node_search',22.3974),('from',22,'en','node_search',1),('from',23,'en','node_search',1),('from',24,'en','node_search',1),('from',30,'ar','node_search',1.81367),('from',30,'en','node_search',1.81367),('frontends',30,'ar','node_search',0.957226),('frontends',30,'en','node_search',0.957226),('fugiat',1,'en','node_search',3),('fugiat',2,'en','node_search',3),('fugiat',3,'en','node_search',3),('fugiat',11,'ar','node_search',5),('fugiat',11,'en','node_search',5),('fugiat',12,'ar','node_search',9),('fugiat',12,'en','node_search',9),('fugiat',15,'ar','node_search',7),('fugiat',15,'en','node_search',7),('fugiat',16,'ar','node_search',13),('fugiat',16,'en','node_search',13),('full',30,'ar','node_search',1),('full',30,'en','node_search',1),('fully',3,'en','node_search',27),('fully',28,'en','node_search',27),('fully',40,'en','node_search',27),('function',30,'ar','node_search',1),('function',30,'en','node_search',1),('functionality',30,'ar','node_search',1),('functionality',30,'en','node_search',1),('functions',30,'ar','node_search',1),('functions',30,'en','node_search',1),('galley',4,'ar','node_search',1),('galley',4,'en','node_search',1),('general',36,'en','node_search',28),('generate',4,'ar','node_search',0.836446),('generate',4,'en','node_search',0.836446),('generated',4,'ar','node_search',0.827757),('generated',4,'en','node_search',0.827757),('generation',5,'en','node_search',1),('generator',4,'ar','node_search',0.869951),('generator',4,'en','node_search',0.869951),('generators',4,'ar','node_search',0.902857),('generators',4,'en','node_search',0.902857),('get',4,'ar','node_search',24.6895),('get',4,'en','node_search',24.6895),('get',30,'ar','node_search',1.80946),('get',30,'en','node_search',1.80946),('get',43,'en','node_search',1),('goal',30,'ar','node_search',0.902857),('goal',30,'en','node_search',0.902857),('going',4,'ar','node_search',0.942091),('going',4,'en','node_search',0.942091),('great',16,'ar','node_search',26),('great',16,'en','node_search',26),('great',30,'ar','node_search',27),('great',30,'en','node_search',27),('gubergren',31,'en','node_search',28),('handful',4,'ar','node_search',0.848323),('handful',4,'en','node_search',0.848323),('handling',10,'en','node_search',1),('happy',30,'ar','node_search',1),('happy',30,'en','node_search',1),('has',4,'ar','node_search',3.78951),('has',4,'en','node_search',3.78951),('has',10,'en','node_search',1),('has',22,'en','node_search',1),('has',23,'en','node_search',1),('has',24,'en','node_search',1),('has',25,'en','node_search',1),('has',26,'en','node_search',1),('has',27,'en','node_search',1),('has',28,'en','node_search',1),('has',29,'en','node_search',1),('has',30,'ar','node_search',1),('has',30,'en','node_search',1),('has',37,'en','node_search',1),('has',38,'en','node_search',1),('has',39,'en','node_search',1),('has',40,'en','node_search',1),('have',4,'ar','node_search',1.94583),('have',4,'en','node_search',1.94583),('have',30,'ar','node_search',2.8249),('have',30,'en','node_search',2.8249),('have',38,'en','node_search',2),('have',39,'en','node_search',2),('have',40,'en','node_search',2),('having',30,'ar','node_search',1.92384),('having',30,'en','node_search',1.92384),('help',30,'ar','node_search',3.69601),('help',30,'en','node_search',3.69601),('here',4,'ar','node_search',2),('here',4,'en','node_search',2),('here',25,'en','node_search',2),('here',26,'en','node_search',2),('here',27,'en','node_search',2),('here',28,'en','node_search',2),('here',29,'en','node_search',2),('here',37,'en','node_search',2),('here',38,'en','node_search',2),('here',39,'en','node_search',2),('here',40,'en','node_search',2),('hidden',4,'ar','node_search',0.913226),('hidden',4,'en','node_search',0.913226),('higher',30,'ar','node_search',1),('higher',30,'en','node_search',1),('html',7,'en','node_search',1),('html',10,'en','node_search',1),('humour',4,'ar','node_search',3.75674),('humour',4,'en','node_search',3.75674),('humour',38,'en','node_search',1),('humour',39,'en','node_search',1),('humour',40,'en','node_search',1),('idea',30,'ar','node_search',1),('idea',30,'en','node_search',1),('important',30,'ar','node_search',0.848323),('important',30,'en','node_search',0.848323),('incididunt',1,'en','node_search',3),('incididunt',2,'en','node_search',3),('incididunt',3,'en','node_search',3),('incididunt',11,'ar','node_search',5),('incididunt',11,'en','node_search',5),('incididunt',12,'ar','node_search',9),('incididunt',12,'en','node_search',9),('incididunt',15,'ar','node_search',7),('incididunt',15,'en','node_search',7),('incididunt',16,'ar','node_search',14),('incididunt',16,'en','node_search',14),('include',30,'ar','node_search',4),('include',30,'en','node_search',4),('including',4,'ar','node_search',0.96498),('including',4,'en','node_search',0.96498),('indepth',30,'ar','node_search',1),('indepth',30,'en','node_search',1),('industry',4,'ar','node_search',2),('industry',4,'en','node_search',2),('infancy',25,'en','node_search',1),('infancy',26,'en','node_search',1),('infancy',27,'en','node_search',1),('infancy',28,'en','node_search',1),('infancy',29,'en','node_search',1),('infancy',37,'en','node_search',1),('infancy',38,'en','node_search',1),('infancy',39,'en','node_search',1),('infancy',40,'en','node_search',1),('injected',4,'ar','node_search',3.75674),('injected',4,'en','node_search',3.75674),('injected',38,'en','node_search',1),('injected',39,'en','node_search',1),('injected',40,'en','node_search',1),('innovative',30,'ar','node_search',1),('innovative',30,'en','node_search',1),('integrates',30,'ar','node_search',0.98493),('integrates',30,'en','node_search',0.98493),('internet',4,'ar','node_search',1.76625),('internet',4,'en','node_search',1.76625),('into',4,'ar','node_search',1),('into',4,'en','node_search',1),('ipsum',1,'en','node_search',3),('ipsum',2,'en','node_search',3),('ipsum',3,'en','node_search',3),('ipsum',4,'ar','node_search',37.1807),('ipsum',4,'en','node_search',37.1807),('ipsum',11,'ar','node_search',6),('ipsum',11,'en','node_search',6),('ipsum',12,'ar','node_search',9),('ipsum',12,'en','node_search',9),('ipsum',15,'ar','node_search',7),('ipsum',15,'en','node_search',7),('ipsum',16,'ar','node_search',61),('ipsum',16,'en','node_search',61),('ipsum',22,'en','node_search',1),('ipsum',23,'en','node_search',1),('ipsum',24,'en','node_search',1),('ipsum',25,'en','node_search',3),('ipsum',26,'en','node_search',3),('ipsum',27,'en','node_search',3),('ipsum',28,'en','node_search',3),('ipsum',29,'en','node_search',3),('ipsum',32,'en','node_search',28),('ipsum',37,'en','node_search',3),('ipsum',38,'en','node_search',4),('ipsum',39,'en','node_search',4),('ipsum',40,'en','node_search',4),('irure',1,'en','node_search',3),('irure',2,'en','node_search',3),('irure',3,'en','node_search',3),('irure',11,'ar','node_search',5),('irure',11,'en','node_search',5),('irure',12,'ar','node_search',9),('irure',12,'en','node_search',9),('irure',15,'ar','node_search',7),('irure',15,'en','node_search',7),('irure',16,'ar','node_search',13),('irure',16,'en','node_search',13),('isn',4,'ar','node_search',0.923838),('isn',4,'en','node_search',0.923838),('issues',30,'ar','node_search',0.882818),('issues',30,'en','node_search',0.882818),('iste',44,'en','node_search',1),('its',4,'ar','node_search',1),('its',4,'en','node_search',1),('its',25,'en','node_search',1),('its',26,'en','node_search',1),('its',27,'en','node_search',1),('its',28,'en','node_search',1),('its',29,'en','node_search',1),('its',30,'ar','node_search',1),('its',30,'en','node_search',1),('its',37,'en','node_search',1),('its',38,'en','node_search',1),('its',39,'en','node_search',1),('its',40,'en','node_search',1),('javascript',10,'en','node_search',2),('job',30,'ar','node_search',0.857458),('job',30,'en','node_search',0.857458),('jquery',10,'en','node_search',40),('just',5,'en','node_search',1),('kasd',31,'en','node_search',28),('knows',5,'en','node_search',1),('labore',1,'en','node_search',3),('labore',2,'en','node_search',3),('labore',3,'en','node_search',3),('labore',11,'ar','node_search',5),('labore',11,'en','node_search',5),('labore',12,'ar','node_search',9),('labore',12,'en','node_search',9),('labore',15,'ar','node_search',7),('labore',15,'en','node_search',7),('labore',16,'ar','node_search',14),('labore',16,'en','node_search',14),('laboris',1,'en','node_search',3),('laboris',2,'en','node_search',3),('laboris',3,'en','node_search',3),('laboris',11,'ar','node_search',5),('laboris',11,'en','node_search',5),('laboris',12,'ar','node_search',9),('laboris',12,'en','node_search',9),('laboris',15,'ar','node_search',7),('laboris',15,'en','node_search',7),('laboris',16,'ar','node_search',13),('laboris',16,'en','node_search',13),('laborum',1,'en','node_search',3),('laborum',2,'en','node_search',3),('laborum',3,'en','node_search',3),('laborum',11,'ar','node_search',1),('laborum',11,'en','node_search',1),('laborum',12,'ar','node_search',8),('laborum',12,'en','node_search',8),('laborum',15,'ar','node_search',3),('laborum',15,'en','node_search',3),('laborum',16,'ar','node_search',5),('laborum',16,'en','node_search',5),('laborum',44,'en','node_search',1),('laborumlorem',11,'ar','node_search',4),('laborumlorem',11,'en','node_search',4),('laborumlorem',12,'ar','node_search',1),('laborumlorem',12,'en','node_search',1),('laborumlorem',15,'ar','node_search',4),('laborumlorem',15,'en','node_search',4),('laborumlorem',16,'ar','node_search',8),('laborumlorem',16,'en','node_search',8),('latin',4,'ar','node_search',1.63617),('latin',4,'en','node_search',1.63617),('latin',22,'en','node_search',1),('latin',23,'en','node_search',1),('latin',24,'en','node_search',1),('layout',4,'ar','node_search',1),('layout',4,'en','node_search',1),('layout',25,'en','node_search',1),('layout',26,'en','node_search',1),('layout',27,'en','node_search',1),('layout',28,'en','node_search',1),('layout',29,'en','node_search',1),('layout',37,'en','node_search',1),('layout',38,'en','node_search',1),('layout',39,'en','node_search',1),('layout',40,'en','node_search',1),('leap',4,'ar','node_search',1),('leap',4,'en','node_search',1),('leave',30,'ar','node_search',0.972861),('leave',30,'en','node_search',0.972861),('letraset',4,'ar','node_search',1),('letraset',4,'en','node_search',1),('letters',4,'ar','node_search',1),('letters',4,'en','node_search',1),('letters',25,'en','node_search',1),('letters',26,'en','node_search',1),('letters',27,'en','node_search',1),('letters',28,'en','node_search',1),('letters',29,'en','node_search',1),('letters',37,'en','node_search',1),('letters',38,'en','node_search',1),('letters',39,'en','node_search',1),('letters',40,'en','node_search',1),('level',30,'ar','node_search',1),('level',30,'en','node_search',1),('library',10,'en','node_search',1),('light',16,'ar','node_search',27),('light',16,'en','node_search',27),('lightbox',23,'en','node_search',27),('like',4,'ar','node_search',2.97286),('like',4,'en','node_search',2.97286),('like',10,'en','node_search',1),('like',25,'en','node_search',1),('like',26,'en','node_search',1),('like',27,'en','node_search',1),('like',28,'en','node_search',1),('like',29,'en','node_search',1),('like',37,'en','node_search',1),('like',38,'en','node_search',1),('like',39,'en','node_search',1),('like',40,'en','node_search',1),('linda',12,'ar','node_search',1),('linda',12,'en','node_search',1),('linda',15,'ar','node_search',1),('linda',15,'en','node_search',1),('linda',16,'ar','node_search',3),('linda',16,'en','node_search',3),('literature',4,'ar','node_search',0.781775),('literature',4,'en','node_search',0.781775),('literature',22,'en','node_search',1),('literature',23,'en','node_search',1),('literature',24,'en','node_search',1),('live',16,'ar','node_search',1),('live',16,'en','node_search',1),('log',16,'ar','node_search',54.8342),('log',16,'en','node_search',54.8792),('long',4,'ar','node_search',1),('long',4,'en','node_search',1),('long',13,'en','node_search',1),('long',14,'en','node_search',1),('long',17,'en','node_search',1),('long',21,'en','node_search',1),('long',25,'en','node_search',1),('long',26,'en','node_search',1),('long',27,'en','node_search',1),('long',28,'en','node_search',1),('long',29,'en','node_search',1),('long',30,'ar','node_search',1),('long',30,'en','node_search',1),('long',37,'en','node_search',1),('long',38,'en','node_search',1),('long',39,'en','node_search',1),('long',40,'en','node_search',1),('long',41,'en','node_search',1),('long',42,'en','node_search',1),('long',45,'en','node_search',1),('look',4,'ar','node_search',2.94583),('look',4,'en','node_search',2.94583),('look',25,'en','node_search',1),('look',26,'en','node_search',1),('look',27,'en','node_search',1),('look',28,'en','node_search',1),('look',29,'en','node_search',1),('look',37,'en','node_search',1),('look',38,'en','node_search',2),('look',39,'en','node_search',2),('look',40,'en','node_search',2),('looking',4,'ar','node_search',1),('looking',4,'en','node_search',1),('looking',13,'en','node_search',1),('looking',14,'en','node_search',1),('looking',17,'en','node_search',1),('looking',21,'en','node_search',1),('looking',25,'en','node_search',1),('looking',26,'en','node_search',1),('looking',27,'en','node_search',1),('looking',28,'en','node_search',1),('looking',29,'en','node_search',1),('looking',30,'ar','node_search',1),('looking',30,'en','node_search',1),('looking',37,'en','node_search',1),('looking',38,'en','node_search',1),('looking',39,'en','node_search',1),('looking',40,'en','node_search',1),('looking',41,'en','node_search',1),('looking',42,'en','node_search',1),('looking',45,'en','node_search',1),('looks',4,'ar','node_search',0.833529),('looks',4,'en','node_search',0.833529),('lorem',1,'en','node_search',3),('lorem',2,'en','node_search',3),('lorem',3,'en','node_search',3),('lorem',4,'ar','node_search',37.1807),('lorem',4,'en','node_search',37.1807),('lorem',11,'ar','node_search',2),('lorem',11,'en','node_search',2),('lorem',12,'ar','node_search',8),('lorem',12,'en','node_search',8),('lorem',15,'ar','node_search',3),('lorem',15,'en','node_search',3),('lorem',16,'ar','node_search',53),('lorem',16,'en','node_search',53),('lorem',22,'en','node_search',1),('lorem',23,'en','node_search',1),('lorem',24,'en','node_search',1),('lorem',25,'en','node_search',3),('lorem',26,'en','node_search',3),('lorem',27,'en','node_search',3),('lorem',28,'en','node_search',3),('lorem',29,'en','node_search',3),('lorem',32,'en','node_search',28),('lorem',37,'en','node_search',3),('lorem',38,'en','node_search',4),('lorem',39,'en','node_search',4),('lorem',40,'en','node_search',4),('luxestate',4,'ar','node_search',27),('luxestate',4,'en','node_search',27),('magazine',30,'ar','node_search',0.779231),('magazine',30,'en','node_search',0.779231),('magna',1,'en','node_search',3),('magna',2,'en','node_search',3),('magna',3,'en','node_search',3),('magna',11,'ar','node_search',5),('magna',11,'en','node_search',5),('magna',12,'ar','node_search',9),('magna',12,'en','node_search',9),('magna',15,'ar','node_search',7),('magna',15,'en','node_search',7),('magna',16,'ar','node_search',14),('magna',16,'en','node_search',14),('maintenance',30,'ar','node_search',4.35932),('maintenance',30,'en','node_search',4.35932),('majority',4,'ar','node_search',1.94583),('majority',4,'en','node_search',1.94583),('majority',38,'en','node_search',1),('majority',39,'en','node_search',1),('majority',40,'en','node_search',1),('make',4,'ar','node_search',1),('make',4,'en','node_search',1),('make',30,'ar','node_search',0.842342),('make',30,'en','node_search',0.842342),('makes',10,'en','node_search',1),('making',4,'ar','node_search',2.65627),('making',4,'en','node_search',2.65627),('making',22,'en','node_search',1),('making',23,'en','node_search',1),('making',24,'en','node_search',1),('making',25,'en','node_search',1),('making',26,'en','node_search',1),('making',27,'en','node_search',1),('making',28,'en','node_search',1),('making',29,'en','node_search',1),('making',37,'en','node_search',1),('making',38,'en','node_search',1),('making',39,'en','node_search',1),('making',40,'en','node_search',1),('management',30,'ar','node_search',1),('management',30,'en','node_search',1),('manipulation',10,'en','node_search',1),('manual',16,'ar','node_search',1),('manual',16,'en','node_search',1),('many',4,'ar','node_search',1.94583),('many',4,'en','node_search',1.94583),('many',25,'en','node_search',2),('many',26,'en','node_search',2),('many',27,'en','node_search',2),('many',28,'en','node_search',2),('many',29,'en','node_search',2),('many',37,'en','node_search',2),('many',38,'en','node_search',3),('many',39,'en','node_search',3),('many',40,'en','node_search',3),('matters',30,'ar','node_search',0.845322),('matters',30,'en','node_search',0.845322),('middle',4,'ar','node_search',0.909743),('middle',4,'en','node_search',0.909743),('migration',30,'ar','node_search',3.32253),('migration',30,'en','node_search',3.32253),('millions',10,'en','node_search',1),('mind',30,'ar','node_search',1),('mind',30,'en','node_search',1),('minim',1,'en','node_search',3),('minim',2,'en','node_search',3),('minim',3,'en','node_search',3),('minim',11,'ar','node_search',5),('minim',11,'en','node_search',5),('minim',12,'ar','node_search',9),('minim',12,'en','node_search',9),('minim',15,'ar','node_search',7),('minim',15,'en','node_search',7),('minim',16,'ar','node_search',13),('minim',16,'en','node_search',13),('mobile',7,'en','node_search',1),('model',4,'ar','node_search',0.845322),('model',4,'en','node_search',0.845322),('model',25,'en','node_search',1),('model',26,'en','node_search',1),('model',27,'en','node_search',1),('model',28,'en','node_search',1),('model',29,'en','node_search',1),('model',37,'en','node_search',1),('model',38,'en','node_search',1),('model',39,'en','node_search',1),('model',40,'en','node_search',1),('module',30,'ar','node_search',4.73677),('module',30,'en','node_search',4.73677),('mollit',1,'en','node_search',3),('mollit',2,'en','node_search',3),('mollit',3,'en','node_search',3),('mollit',11,'ar','node_search',5),('mollit',11,'en','node_search',5),('mollit',12,'ar','node_search',9),('mollit',12,'en','node_search',9),('mollit',15,'ar','node_search',7),('mollit',15,'en','node_search',7),('mollit',16,'ar','node_search',13),('mollit',16,'en','node_search',13),('mollit',44,'en','node_search',1),('mon',13,'en','node_search',1),('mon',14,'en','node_search',1),('mon',16,'ar','node_search',2),('mon',16,'en','node_search',3),('mon',17,'en','node_search',1),('mon',18,'en','node_search',1),('mon',19,'en','node_search',1),('mon',20,'en','node_search',1),('mon',25,'en','node_search',1),('mon',26,'en','node_search',1),('mon',27,'en','node_search',1),('mon',28,'en','node_search',1),('mon',29,'en','node_search',1),('mon',42,'en','node_search',1),('mon',45,'en','node_search',1),('more',4,'ar','node_search',0.993146),('more',4,'en','node_search',0.993146),('more',5,'en','node_search',1),('moreorless',4,'ar','node_search',1),('moreorless',4,'en','node_search',1),('moreorless',25,'en','node_search',1),('moreorless',26,'en','node_search',1),('moreorless',27,'en','node_search',1),('moreorless',28,'en','node_search',1),('moreorless',29,'en','node_search',1),('moreorless',37,'en','node_search',1),('moreorless',38,'en','node_search',1),('moreorless',39,'en','node_search',1),('moreorless',40,'en','node_search',1),('most',7,'en','node_search',1),('most',30,'ar','node_search',0.899454),('most',30,'en','node_search',0.899454),('move',30,'ar','node_search',0.816452),('move',30,'en','node_search',0.816452),('much',10,'en','node_search',1),('multimedia',30,'ar','node_search',0.78951),('multimedia',30,'en','node_search',0.78951),('multitude',10,'en','node_search',1),('must',5,'en','node_search',1),('natus',44,'en','node_search',1),('necessary',4,'ar','node_search',0.882818),('necessary',4,'en','node_search',0.882818),('need',4,'ar','node_search',0.931053),('need',4,'en','node_search',0.931053),('need',30,'ar','node_search',1),('need',30,'en','node_search',1),('neglected',30,'ar','node_search',0.860547),('neglected',30,'en','node_search',0.860547),('networking',30,'ar','node_search',0.794753),('networking',30,'en','node_search',0.794753),('never',30,'ar','node_search',0.863659),('never',30,'en','node_search',0.863659),('new',5,'en','node_search',1),('newer',30,'ar','node_search',0.822065),('newer',30,'en','node_search',0.822065),('news',30,'ar','node_search',0.776703),('news',30,'en','node_search',0.776703),('nisi',1,'en','node_search',3),('nisi',2,'en','node_search',3),('nisi',3,'en','node_search',3),('nisi',11,'ar','node_search',5),('nisi',11,'en','node_search',5),('nisi',12,'ar','node_search',9),('nisi',12,'en','node_search',9),('nisi',15,'ar','node_search',7),('nisi',15,'en','node_search',7),('nisi',16,'ar','node_search',13),('nisi',16,'en','node_search',13),('non',44,'en','node_search',1),('noncharacteristic',4,'ar','node_search',0.810915),('noncharacteristic',4,'en','node_search',0.810915),('nonproident',1,'en','node_search',3),('nonproident',2,'en','node_search',3),('nonproident',3,'en','node_search',3),('nonproident',11,'ar','node_search',5),('nonproident',11,'en','node_search',5),('nonproident',12,'ar','node_search',9),('nonproident',12,'en','node_search',9),('nonproident',15,'ar','node_search',7),('nonproident',15,'en','node_search',7),('nonproident',16,'ar','node_search',13),('nonproident',16,'en','node_search',13),('normal',4,'ar','node_search',1),('normal',4,'en','node_search',1),('normal',25,'en','node_search',1),('normal',26,'en','node_search',1),('normal',27,'en','node_search',1),('normal',28,'en','node_search',1),('normal',29,'en','node_search',1),('normal',37,'en','node_search',1),('normal',38,'en','node_search',1),('normal',39,'en','node_search',1),('normal',40,'en','node_search',1),('nostrud',1,'en','node_search',3),('nostrud',2,'en','node_search',3),('nostrud',3,'en','node_search',3),('nostrud',11,'ar','node_search',5),('nostrud',11,'en','node_search',5),('nostrud',12,'ar','node_search',9),('nostrud',12,'en','node_search',9),('nostrud',15,'ar','node_search',7),('nostrud',15,'en','node_search',7),('nostrud',16,'ar','node_search',13),('nostrud',16,'en','node_search',13),('not',4,'ar','node_search',1.79212),('not',4,'en','node_search',1.79212),('not',22,'en','node_search',1),('not',23,'en','node_search',1),('not',24,'en','node_search',1),('now',25,'en','node_search',1),('now',26,'en','node_search',1),('now',27,'en','node_search',1),('now',28,'en','node_search',1),('now',29,'en','node_search',1),('now',37,'en','node_search',1),('now',38,'en','node_search',1),('now',39,'en','node_search',1),('now',40,'en','node_search',1),('nulla',1,'en','node_search',3),('nulla',2,'en','node_search',3),('nulla',3,'en','node_search',3),('nulla',11,'ar','node_search',5),('nulla',11,'en','node_search',5),('nulla',12,'ar','node_search',9),('nulla',12,'en','node_search',9),('nulla',15,'ar','node_search',7),('nulla',15,'en','node_search',7),('nulla',16,'ar','node_search',13),('nulla',16,'en','node_search',13),('occaecat',1,'en','node_search',3),('occaecat',2,'en','node_search',3),('occaecat',3,'en','node_search',3),('occaecat',11,'ar','node_search',5),('occaecat',11,'en','node_search',5),('occaecat',12,'ar','node_search',9),('occaecat',12,'en','node_search',9),('occaecat',15,'ar','node_search',7),('occaecat',15,'en','node_search',7),('occaecat',16,'ar','node_search',13),('occaecat',16,'en','node_search',13),('occaecat',44,'en','node_search',1),('off',15,'ar','node_search',27),('off',15,'en','node_search',27),('officia',1,'en','node_search',3),('officia',2,'en','node_search',3),('officia',3,'en','node_search',3),('officia',11,'ar','node_search',5),('officia',11,'en','node_search',5),('officia',12,'ar','node_search',9),('officia',12,'en','node_search',9),('officia',15,'ar','node_search',7),('officia',15,'en','node_search',7),('officia',16,'ar','node_search',13),('officia',16,'en','node_search',13),('officia',44,'en','node_search',1),('old',4,'ar','node_search',0.771698),('old',4,'en','node_search',0.771698),('old',22,'en','node_search',1),('old',23,'en','node_search',1),('old',24,'en','node_search',1),('omnis',44,'en','node_search',1),('only',4,'ar','node_search',1),('only',4,'en','node_search',1),('opposed',4,'ar','node_search',1),('opposed',4,'en','node_search',1),('opposed',25,'en','node_search',1),('opposed',26,'en','node_search',1),('opposed',27,'en','node_search',1),('opposed',28,'en','node_search',1),('opposed',29,'en','node_search',1),('opposed',37,'en','node_search',1),('opposed',38,'en','node_search',1),('opposed',39,'en','node_search',1),('opposed',40,'en','node_search',1),('optimized',30,'ar','node_search',0.889397),('optimized',30,'en','node_search',0.889397),('our',30,'ar','node_search',34.9689),('our',30,'en','node_search',34.9689),('over',4,'ar','node_search',1.63725),('over',4,'en','node_search',1.63725),('over',22,'en','node_search',1),('over',23,'en','node_search',1),('over',24,'en','node_search',1),('over',38,'en','node_search',1),('over',39,'en','node_search',1),('over',40,'en','node_search',1),('owner',16,'ar','node_search',1),('owner',16,'en','node_search',1),('packages',25,'en','node_search',1),('packages',26,'en','node_search',1),('packages',27,'en','node_search',1),('packages',28,'en','node_search',1),('packages',29,'en','node_search',1),('packages',37,'en','node_search',1),('packages',38,'en','node_search',1),('packages',39,'en','node_search',1),('packages',40,'en','node_search',1),('page',2,'en','node_search',27),('page',4,'ar','node_search',1),('page',4,'en','node_search',1),('page',13,'en','node_search',1),('page',14,'en','node_search',29),('page',17,'en','node_search',29),('page',21,'en','node_search',1),('page',25,'en','node_search',2),('page',26,'en','node_search',2),('page',27,'en','node_search',2),('page',28,'en','node_search',2),('page',29,'en','node_search',2),('page',30,'ar','node_search',1),('page',30,'en','node_search',1),('page',37,'en','node_search',2),('page',38,'en','node_search',2),('page',39,'en','node_search',2),('page',40,'en','node_search',2),('page',41,'en','node_search',1),('page',42,'en','node_search',1),('page',45,'en','node_search',2),('pagemaker',4,'ar','node_search',0.968904),('pagemaker',4,'en','node_search',0.968904),('pariatur',1,'en','node_search',3),('pariatur',2,'en','node_search',3),('pariatur',3,'en','node_search',3),('pariatur',11,'ar','node_search',5),('pariatur',11,'en','node_search',5),('pariatur',12,'ar','node_search',9),('pariatur',12,'en','node_search',9),('pariatur',15,'ar','node_search',7),('pariatur',15,'en','node_search',7),('pariatur',16,'ar','node_search',13),('pariatur',16,'en','node_search',13),('part',16,'ar','node_search',1),('part',16,'en','node_search',1),('passage',4,'ar','node_search',0.934703),('passage',4,'en','node_search',0.934703),('passages',4,'ar','node_search',2.93897),('passages',4,'en','node_search',2.93897),('passages',38,'en','node_search',1),('passages',39,'en','node_search',1),('passages',40,'en','node_search',1),('passionate',43,'en','node_search',1),('people',10,'en','node_search',1),('person',5,'en','node_search',1),('personal',30,'ar','node_search',0.774192),('personal',30,'en','node_search',0.774192),('perspiciatis',44,'en','node_search',1),('piece',4,'ar','node_search',0.786915),('piece',4,'en','node_search',0.786915),('piece',22,'en','node_search',1),('piece',23,'en','node_search',1),('piece',24,'en','node_search',1),('platform',5,'en','node_search',1),('point',4,'ar','node_search',1),('point',4,'en','node_search',1),('point',25,'en','node_search',1),('point',26,'en','node_search',1),('point',27,'en','node_search',1),('point',28,'en','node_search',1),('point',29,'en','node_search',1),('point',37,'en','node_search',1),('point',38,'en','node_search',1),('point',39,'en','node_search',1),('point',40,'en','node_search',1),('popular',4,'ar','node_search',0.797402),('popular',4,'en','node_search',0.797402),('popular',7,'en','node_search',1),('popular',22,'en','node_search',1),('popular',23,'en','node_search',1),('popular',24,'en','node_search',1),('popularised',4,'ar','node_search',1),('popularised',4,'en','node_search',1),('portals',30,'ar','node_search',0.781775),('portals',30,'en','node_search',0.781775),('portfolio',14,'en','node_search',29),('portfolio',18,'en','node_search',27),('portfolio',19,'en','node_search',27),('portfolio',20,'en','node_search',27),('post',16,'ar','node_search',4.98493),('post',16,'en','node_search',4.98902),('predefined',4,'ar','node_search',0.889397),('predefined',4,'en','node_search',0.889397),('premium',43,'en','node_search',1),('printer',4,'ar','node_search',1),('printer',4,'en','node_search',1),('printing',4,'ar','node_search',1),('printing',4,'en','node_search',1),('process',16,'ar','node_search',1),('process',16,'en','node_search',1),('process',30,'ar','node_search',1),('process',30,'en','node_search',1),('proident',44,'en','node_search',1),('project',30,'ar','node_search',1),('project',30,'en','node_search',1),('projects',7,'en','node_search',1),('projects',30,'ar','node_search',0.836446),('projects',30,'en','node_search',0.836446),('projects',35,'en','node_search',28),('publishing',4,'ar','node_search',0.980874),('publishing',4,'en','node_search',0.980874),('publishing',25,'en','node_search',1),('publishing',26,'en','node_search',1),('publishing',27,'en','node_search',1),('publishing',28,'en','node_search',1),('publishing',29,'en','node_search',1),('publishing',37,'en','node_search',1),('publishing',38,'en','node_search',1),('publishing',39,'en','node_search',1),('publishing',40,'en','node_search',1),('purpose',30,'ar','node_search',1),('purpose',30,'en','node_search',1),('purpose',38,'en','node_search',1),('purpose',39,'en','node_search',1),('purpose',40,'en','node_search',1),('qcs',43,'en','node_search',1),('qui',1,'en','node_search',3),('qui',2,'en','node_search',3),('qui',3,'en','node_search',3),('qui',11,'ar','node_search',5),('qui',11,'en','node_search',5),('qui',12,'ar','node_search',9),('qui',12,'en','node_search',9),('qui',15,'ar','node_search',7),('qui',15,'en','node_search',7),('qui',16,'ar','node_search',13),('qui',16,'en','node_search',13),('qui',44,'en','node_search',1),('quis',1,'en','node_search',3),('quis',2,'en','node_search',3),('quis',3,'en','node_search',3),('quis',11,'ar','node_search',5),('quis',11,'en','node_search',5),('quis',12,'ar','node_search',9),('quis',12,'en','node_search',9),('quis',15,'ar','node_search',7),('quis',15,'en','node_search',7),('quis',16,'ar','node_search',13),('quis',16,'en','node_search',13),('random',4,'ar','node_search',0.792123),('random',4,'en','node_search',0.792123),('random',22,'en','node_search',1),('random',23,'en','node_search',1),('random',24,'en','node_search',1),('randomised',4,'ar','node_search',1.94583),('randomised',4,'en','node_search',1.94583),('randomised',38,'en','node_search',1),('randomised',39,'en','node_search',1),('randomised',40,'en','node_search',1),('ranking',30,'ar','node_search',0.876337),('ranking',30,'en','node_search',0.876337),('reach',5,'en','node_search',1),('readable',4,'ar','node_search',2),('readable',4,'en','node_search',2),('readable',13,'en','node_search',1),('readable',14,'en','node_search',1),('readable',17,'en','node_search',1),('readable',21,'en','node_search',1),('readable',25,'en','node_search',2),('readable',26,'en','node_search',2),('readable',27,'en','node_search',2),('readable',28,'en','node_search',2),('readable',29,'en','node_search',2),('readable',30,'ar','node_search',1),('readable',30,'en','node_search',1),('readable',37,'en','node_search',2),('readable',38,'en','node_search',2),('readable',39,'en','node_search',2),('readable',40,'en','node_search',2),('readable',41,'en','node_search',1),('readable',42,'en','node_search',1),('readable',45,'en','node_search',1),('reader',4,'ar','node_search',1),('reader',4,'en','node_search',1),('reader',13,'en','node_search',1),('reader',14,'en','node_search',1),('reader',17,'en','node_search',1),('reader',21,'en','node_search',1),('reader',25,'en','node_search',1),('reader',26,'en','node_search',1),('reader',27,'en','node_search',1),('reader',28,'en','node_search',1),('reader',29,'en','node_search',1),('reader',30,'ar','node_search',1),('reader',30,'en','node_search',1),('reader',37,'en','node_search',1),('reader',38,'en','node_search',1),('reader',39,'en','node_search',1),('reader',40,'en','node_search',1),('reader',41,'en','node_search',1),('reader',42,'en','node_search',1),('reader',45,'en','node_search',1),('reasonable',4,'ar','node_search',0.830633),('reasonable',4,'en','node_search',0.830633),('recently',4,'ar','node_search',0.989021),('recently',4,'en','node_search',0.989021),('register',16,'ar','node_search',54.8342),('register',16,'en','node_search',54.8792),('release',4,'ar','node_search',1),('release',4,'en','node_search',1),('remaining',4,'ar','node_search',1),('remaining',4,'en','node_search',1),('repeat',4,'ar','node_search',0.892724),('repeat',4,'en','node_search',0.892724),('repetition',4,'ar','node_search',0.813674),('repetition',4,'en','node_search',0.813674),('reply',16,'ar','node_search',2),('reply',16,'en','node_search',2),('reprehenderit',1,'en','node_search',3),('reprehenderit',2,'en','node_search',3),('reprehenderit',3,'en','node_search',3),('reprehenderit',11,'ar','node_search',5),('reprehenderit',11,'en','node_search',5),('reprehenderit',12,'ar','node_search',9),('reprehenderit',12,'en','node_search',9),('reprehenderit',15,'ar','node_search',7),('reprehenderit',15,'en','node_search',7),('reprehenderit',16,'ar','node_search',13),('reprehenderit',16,'en','node_search',13),('responsice',3,'en','node_search',27),('responsive',7,'en','node_search',1),('responsive',28,'en','node_search',27),('responsive',40,'en','node_search',27),('right',5,'en','node_search',4),('roots',4,'ar','node_search',0.78951),('roots',4,'en','node_search',0.78951),('roots',22,'en','node_search',1),('roots',23,'en','node_search',1),('roots',24,'en','node_search',1),('sale',11,'ar','node_search',27),('sale',11,'en','node_search',27),('schedules',16,'ar','node_search',1),('schedules',16,'en','node_search',1),('schoolwork',16,'ar','node_search',1),('schoolwork',16,'en','node_search',1),('scrambled',4,'ar','node_search',1),('scrambled',4,'en','node_search',1),('search',25,'en','node_search',1),('search',26,'en','node_search',1),('search',27,'en','node_search',1),('search',28,'en','node_search',1),('search',29,'en','node_search',1),('search',30,'ar','node_search',0.909743),('search',30,'en','node_search',0.909743),('search',37,'en','node_search',1),('search',38,'en','node_search',1),('search',39,'en','node_search',1),('search',40,'en','node_search',1),('security',30,'ar','node_search',1),('security',30,'en','node_search',1),('sed',1,'en','node_search',3),('sed',2,'en','node_search',3),('sed',3,'en','node_search',3),('sed',11,'ar','node_search',5),('sed',11,'en','node_search',5),('sed',12,'ar','node_search',9),('sed',12,'en','node_search',9),('sed',15,'ar','node_search',7),('sed',15,'en','node_search',7),('sed',16,'ar','node_search',14),('sed',16,'en','node_search',14),('sed',44,'en','node_search',1),('seeing',16,'ar','node_search',27),('seeing',16,'en','node_search',27),('sentence',4,'ar','node_search',0.842342),('sentence',4,'en','node_search',0.842342),('seo',30,'ar','node_search',5.53087),('seo',30,'en','node_search',5.53087),('service',41,'en','node_search',1),('services',30,'ar','node_search',31),('services',30,'en','node_search',31),('services',37,'en','node_search',1),('services',38,'en','node_search',1),('services',39,'en','node_search',1),('services',40,'en','node_search',1),('services',41,'en','node_search',28),('sheets',4,'ar','node_search',1),('sheets',4,'en','node_search',1),('should',30,'ar','node_search',0.866793),('should',30,'en','node_search',0.866793),('simpler',10,'en','node_search',1),('simply',4,'ar','node_search',1.79212),('simply',4,'en','node_search',1.79212),('simply',22,'en','node_search',1),('simply',23,'en','node_search',1),('simply',24,'en','node_search',1),('since',4,'ar','node_search',1),('since',4,'en','node_search',1),('sint',1,'en','node_search',3),('sint',2,'en','node_search',3),('sint',3,'en','node_search',3),('sint',11,'ar','node_search',5),('sint',11,'en','node_search',5),('sint',12,'ar','node_search',9),('sint',12,'en','node_search',9),('sint',15,'ar','node_search',7),('sint',15,'en','node_search',7),('sint',16,'ar','node_search',13),('sint',16,'en','node_search',13),('sint',44,'en','node_search',1),('sit',1,'en','node_search',3),('sit',2,'en','node_search',3),('sit',3,'en','node_search',3),('sit',11,'ar','node_search',6),('sit',11,'en','node_search',6),('sit',12,'ar','node_search',9),('sit',12,'en','node_search',9),('sit',15,'ar','node_search',7),('sit',15,'en','node_search',7),('sit',16,'ar','node_search',61),('sit',16,'en','node_search',61),('sit',32,'en','node_search',28),('site',30,'ar','node_search',1.77419),('site',30,'en','node_search',1.77419),('sites',25,'en','node_search',1),('sites',26,'en','node_search',1),('sites',27,'en','node_search',1),('sites',28,'en','node_search',1),('sites',29,'en','node_search',1),('sites',30,'ar','node_search',0.792123),('sites',30,'en','node_search',0.792123),('sites',37,'en','node_search',1),('sites',38,'en','node_search',1),('sites',39,'en','node_search',1),('sites',40,'en','node_search',1),('slightly',4,'ar','node_search',1.94583),('slightly',4,'en','node_search',1.94583),('slightly',38,'en','node_search',1),('slightly',39,'en','node_search',1),('slightly',40,'en','node_search',1),('small',10,'en','node_search',1),('social',30,'ar','node_search',0.797402),('social',30,'en','node_search',0.797402),('software',4,'ar','node_search',0.976851),('software',4,'en','node_search',0.976851),('solution',30,'ar','node_search',1),('solution',30,'en','node_search',1),('some',4,'ar','node_search',26.5374),('some',4,'en','node_search',26.5374),('some',30,'ar','node_search',1),('some',30,'en','node_search',1),('some',38,'en','node_search',1),('some',39,'en','node_search',1),('some',40,'en','node_search',1),('sometimes',38,'en','node_search',2),('sometimes',39,'en','node_search',2),('sometimes',40,'en','node_search',2),('special',35,'en','node_search',28),('specific',30,'ar','node_search',1),('specific',30,'en','node_search',1),('specimen',4,'ar','node_search',1),('specimen',4,'en','node_search',1),('standard',4,'ar','node_search',1),('standard',4,'en','node_search',1),('starting',30,'ar','node_search',1),('starting',30,'en','node_search',1),('status',30,'ar','node_search',0.833529),('status',30,'en','node_search',0.833529),('stet',31,'en','node_search',28),('still',25,'en','node_search',1),('still',26,'en','node_search',1),('still',27,'en','node_search',1),('still',28,'en','node_search',1),('still',29,'en','node_search',1),('still',37,'en','node_search',1),('still',38,'en','node_search',1),('still',39,'en','node_search',1),('still',40,'en','node_search',1),('strength',30,'ar','node_search',1),('strength',30,'en','node_search',1),('structures',4,'ar','node_search',0.839384),('structures',4,'en','node_search',0.839384),('students',16,'ar','node_search',1),('students',16,'en','node_search',1),('suffered',4,'ar','node_search',1.94583),('suffered',4,'en','node_search',1.94583),('suffered',38,'en','node_search',1),('suffered',39,'en','node_search',1),('suffered',40,'en','node_search',1),('suits',30,'ar','node_search',1),('suits',30,'en','node_search',1),('sunt',1,'en','node_search',3),('sunt',2,'en','node_search',3),('sunt',3,'en','node_search',3),('sunt',11,'ar','node_search',5),('sunt',11,'en','node_search',5),('sunt',12,'ar','node_search',9),('sunt',12,'en','node_search',9),('sunt',15,'ar','node_search',7),('sunt',15,'en','node_search',7),('sunt',16,'ar','node_search',13),('sunt',16,'en','node_search',13),('sunt',44,'en','node_search',1),('support',22,'en','node_search',27),('support',30,'ar','node_search',3.4798),('support',30,'en','node_search',3.4798),('sure',4,'ar','node_search',0.927431),('sure',4,'en','node_search',0.927431),('sure',30,'ar','node_search',0.839384),('sure',30,'en','node_search',0.839384),('survived',4,'ar','node_search',1),('survived',4,'en','node_search',1),('team',30,'ar','node_search',0.968904),('team',30,'en','node_search',0.968904),('team',43,'en','node_search',1),('technologies',30,'ar','node_search',0.976851),('technologies',30,'en','node_search',0.976851),('template',30,'ar','node_search',1),('template',30,'en','node_search',1),('tempor',16,'ar','node_search',1),('tempor',16,'en','node_search',1),('tend',4,'ar','node_search',0.896076),('tend',4,'en','node_search',0.896076),('testing',30,'ar','node_search',1),('testing',30,'en','node_search',1),('text',4,'ar','node_search',3.6958),('text',4,'en','node_search',3.6958),('text',22,'en','node_search',1),('text',23,'en','node_search',1),('text',24,'en','node_search',1),('text',25,'en','node_search',1),('text',26,'en','node_search',1),('text',27,'en','node_search',1),('text',28,'en','node_search',1),('text',29,'en','node_search',1),('text',37,'en','node_search',1),('text',38,'en','node_search',1),('text',39,'en','node_search',1),('text',40,'en','node_search',1),('than',5,'en','node_search',1),('that',4,'ar','node_search',2),('that',4,'en','node_search',2),('that',5,'en','node_search',1),('that',10,'en','node_search',2),('that',13,'en','node_search',1),('that',14,'en','node_search',1),('that',17,'en','node_search',1),('that',21,'en','node_search',1),('that',25,'en','node_search',2),('that',26,'en','node_search',2),('that',27,'en','node_search',2),('that',28,'en','node_search',2),('that',29,'en','node_search',2),('that',30,'ar','node_search',5.81525),('that',30,'en','node_search',5.81525),('that',37,'en','node_search',2),('that',38,'en','node_search',2),('that',39,'en','node_search',2),('that',40,'en','node_search',2),('that',41,'en','node_search',1),('that',42,'en','node_search',1),('that',43,'en','node_search',1),('that',45,'en','node_search',1),('the',4,'ar','node_search',16.2288),('the',4,'en','node_search',16.2288),('the',5,'en','node_search',4),('the',7,'en','node_search',2),('the',10,'en','node_search',1),('the',13,'en','node_search',1),('the',14,'en','node_search',1),('the',15,'ar','node_search',27),('the',15,'en','node_search',27),('the',16,'ar','node_search',29),('the',16,'en','node_search',29),('the',17,'en','node_search',1),('the',21,'en','node_search',1),('the',25,'en','node_search',2),('the',26,'en','node_search',2),('the',27,'en','node_search',2),('the',28,'en','node_search',2),('the',29,'en','node_search',2),('the',30,'ar','node_search',7.47962),('the',30,'en','node_search',7.47962),('the',37,'en','node_search',2),('the',38,'en','node_search',4),('the',39,'en','node_search',4),('the',40,'en','node_search',4),('the',41,'en','node_search',1),('the',42,'en','node_search',1),('the',45,'en','node_search',1),('their',16,'ar','node_search',1),('their',16,'en','node_search',1),('their',25,'en','node_search',2),('their',26,'en','node_search',2),('their',27,'en','node_search',2),('their',28,'en','node_search',2),('their',29,'en','node_search',2),('their',37,'en','node_search',2),('their',38,'en','node_search',2),('their',39,'en','node_search',2),('their',40,'en','node_search',2),('theme',30,'ar','node_search',1),('theme',30,'en','node_search',1),('themes',43,'en','node_search',1),('theming',30,'ar','node_search',5),('theming',30,'en','node_search',5),('themselves',16,'ar','node_search',1),('themselves',16,'en','node_search',1),('there',4,'ar','node_search',2.86967),('there',4,'en','node_search',2.86967),('there',38,'en','node_search',1),('there',39,'en','node_search',1),('there',40,'en','node_search',1),('therefore',4,'ar','node_search',0.824901),('therefore',4,'en','node_search',0.824901),('they',16,'ar','node_search',1),('they',16,'en','node_search',1),('things',10,'en','node_search',1),('things',30,'ar','node_search',1),('things',30,'en','node_search',1),('think',30,'ar','node_search',1),('think',30,'en','node_search',1),('this',4,'ar','node_search',0.879565),('this',4,'en','node_search',0.879565),('this',30,'ar','node_search',1.85746),('this',30,'en','node_search',1.85746),('thu',4,'ar','node_search',1),('thu',16,'ar','node_search',2),('thu',16,'en','node_search',2),('thu',30,'ar','node_search',1),('thu',41,'en','node_search',1),('time',5,'en','node_search',1),('took',4,'ar','node_search',1),('took',4,'en','node_search',1),('top',30,'ar','node_search',0.913226),('top',30,'en','node_search',0.913226),('traffic',43,'en','node_search',1),('training',16,'ar','node_search',1),('training',16,'en','node_search',1),('traversal',10,'en','node_search',1),('true',4,'ar','node_search',0.873132),('true',4,'en','node_search',0.873132),('tue',1,'en','node_search',1),('tue',2,'en','node_search',1),('tue',3,'en','node_search',1),('tue',4,'en','node_search',1),('tue',5,'en','node_search',1),('tue',11,'ar','node_search',1),('tue',12,'ar','node_search',1),('tue',15,'ar','node_search',1),('tue',15,'en','node_search',1),('tue',16,'ar','node_search',1),('type',4,'ar','node_search',2),('type',4,'en','node_search',2),('typesetting',4,'ar','node_search',2),('typesetting',4,'en','node_search',2),('ullamco',1,'en','node_search',3),('ullamco',2,'en','node_search',3),('ullamco',3,'en','node_search',3),('ullamco',11,'ar','node_search',5),('ullamco',11,'en','node_search',5),('ullamco',12,'ar','node_search',9),('ullamco',12,'en','node_search',9),('ullamco',15,'ar','node_search',7),('ullamco',15,'en','node_search',7),('ullamco',16,'ar','node_search',13),('ullamco',16,'en','node_search',13),('unchanged',4,'ar','node_search',1),('unchanged',4,'en','node_search',1),('uncover',25,'en','node_search',1),('uncover',26,'en','node_search',1),('uncover',27,'en','node_search',1),('uncover',28,'en','node_search',1),('uncover',29,'en','node_search',1),('uncover',37,'en','node_search',1),('uncover',38,'en','node_search',1),('uncover',39,'en','node_search',1),('uncover',40,'en','node_search',1),('unde',44,'en','node_search',1),('unique',1,'en','node_search',27),('unique',25,'en','node_search',27),('unique',37,'en','node_search',27),('unknown',4,'ar','node_search',1),('unknown',4,'en','node_search',1),('upgrades',30,'ar','node_search',3.31103),('upgrades',30,'en','node_search',3.31103),('upgrading',30,'ar','node_search',0.824901),('upgrading',30,'en','node_search',0.824901),('uptodate',30,'ar','node_search',0.980874),('uptodate',30,'en','node_search',0.980874),('use',4,'ar','node_search',0.938382),('use',4,'en','node_search',0.938382),('use',25,'en','node_search',1),('use',26,'en','node_search',1),('use',27,'en','node_search',1),('use',28,'en','node_search',1),('use',29,'en','node_search',1),('use',37,'en','node_search',1),('use',38,'en','node_search',1),('use',39,'en','node_search',1),('use',40,'en','node_search',1),('userfriendly',43,'en','node_search',1),('userlogin',45,'en','node_search',29),('users',16,'ar','node_search',1),('users',16,'en','node_search',1),('uses',4,'ar','node_search',0.866793),('uses',4,'en','node_search',0.866793),('using',4,'ar','node_search',2),('using',4,'en','node_search',2),('using',25,'en','node_search',2),('using',26,'en','node_search',2),('using',27,'en','node_search',2),('using',28,'en','node_search',2),('using',29,'en','node_search',2),('using',37,'en','node_search',2),('using',38,'en','node_search',2),('using',39,'en','node_search',2),('using',40,'en','node_search',2),('variations',4,'ar','node_search',1.94583),('variations',4,'en','node_search',1.94583),('variations',38,'en','node_search',1),('variations',39,'en','node_search',1),('variations',40,'en','node_search',1),('various',38,'en','node_search',1),('various',39,'en','node_search',1),('various',40,'en','node_search',1),('velit',1,'en','node_search',3),('velit',2,'en','node_search',3),('velit',3,'en','node_search',3),('velit',11,'ar','node_search',5),('velit',11,'en','node_search',5),('velit',12,'ar','node_search',9),('velit',12,'en','node_search',9),('velit',15,'ar','node_search',7),('velit',15,'en','node_search',7),('velit',16,'ar','node_search',13),('velit',16,'en','node_search',13),('veniam',1,'en','node_search',3),('veniam',2,'en','node_search',3),('veniam',3,'en','node_search',3),('veniam',11,'ar','node_search',5),('veniam',11,'en','node_search',5),('veniam',12,'ar','node_search',9),('veniam',12,'en','node_search',9),('veniam',15,'ar','node_search',7),('veniam',15,'en','node_search',7),('veniam',16,'ar','node_search',13),('veniam',16,'en','node_search',13),('versatility',10,'en','node_search',1),('version',30,'ar','node_search',0.819249),('version',30,'en','node_search',0.819249),('versions',4,'ar','node_search',0.961087),('versions',4,'en','node_search',0.961087),('versions',38,'en','node_search',1),('versions',39,'en','node_search',1),('versions',40,'en','node_search',1),('video',30,'ar','node_search',0.784336),('video',30,'en','node_search',0.784336),('voluptate',1,'en','node_search',3),('voluptate',2,'en','node_search',3),('voluptate',3,'en','node_search',3),('voluptate',11,'ar','node_search',5),('voluptate',11,'en','node_search',5),('voluptate',12,'ar','node_search',9),('voluptate',12,'en','node_search',9),('voluptate',15,'ar','node_search',7),('voluptate',15,'en','node_search',7),('voluptate',16,'ar','node_search',13),('voluptate',16,'en','node_search',13),('wall',15,'ar','node_search',27),('wall',15,'en','node_search',27),('warehouse',11,'ar','node_search',27),('warehouse',11,'en','node_search',27),('was',4,'ar','node_search',1),('was',4,'en','node_search',1),('way',10,'en','node_search',1),('web',5,'en','node_search',1),('web',7,'en','node_search',1),('web',25,'en','node_search',2),('web',26,'en','node_search',2),('web',27,'en','node_search',2),('web',28,'en','node_search',2),('web',29,'en','node_search',2),('web',37,'en','node_search',2),('web',38,'en','node_search',2),('web',39,'en','node_search',2),('web',40,'en','node_search',2),('website',16,'ar','node_search',1),('website',16,'en','node_search',1),('website',30,'ar','node_search',11.5237),('website',30,'en','node_search',11.5237),('websites',5,'en','node_search',1),('websites',30,'ar','node_search',5.60208),('websites',30,'en','node_search',5.60208),('websites',43,'en','node_search',1),('wed',7,'en','node_search',1),('wed',9,'en','node_search',1),('wed',10,'en','node_search',1),('wed',16,'ar','node_search',1),('wed',16,'en','node_search',1),('wed',43,'en','node_search',1),('wed',44,'en','node_search',1),('weebpal',43,'en','node_search',42),('welcome',4,'ar','node_search',27),('welcome',4,'en','node_search',27),('welcome',5,'en','node_search',1),('well',30,'ar','node_search',0.892724),('well',30,'en','node_search',0.892724),('wellknown',30,'ar','node_search',1),('wellknown',30,'en','node_search',1),('what',4,'ar','node_search',26),('what',4,'en','node_search',26),('what',30,'ar','node_search',3.24366),('what',30,'en','node_search',3.24366),('when',4,'ar','node_search',2),('when',4,'en','node_search',2),('when',13,'en','node_search',1),('when',14,'en','node_search',1),('when',17,'en','node_search',1),('when',21,'en','node_search',1),('when',25,'en','node_search',1),('when',26,'en','node_search',1),('when',27,'en','node_search',1),('when',28,'en','node_search',1),('when',29,'en','node_search',1),('when',30,'ar','node_search',1),('when',30,'en','node_search',1),('when',37,'en','node_search',1),('when',38,'en','node_search',1),('when',39,'en','node_search',1),('when',40,'en','node_search',1),('when',41,'en','node_search',1),('when',42,'en','node_search',1),('when',45,'en','node_search',1),('whenever',30,'ar','node_search',1),('whenever',30,'en','node_search',1),('where',4,'ar','node_search',45.8297),('where',4,'en','node_search',45.8297),('which',4,'ar','node_search',2.77936),('which',4,'en','node_search',2.77936),('which',16,'ar','node_search',1),('which',16,'en','node_search',1),('which',38,'en','node_search',1),('which',39,'en','node_search',1),('which',40,'en','node_search',1),('why',30,'ar','node_search',4),('why',30,'en','node_search',4),('will',4,'ar','node_search',1),('will',4,'en','node_search',1),('will',13,'en','node_search',1),('will',14,'en','node_search',1),('will',17,'en','node_search',1),('will',21,'en','node_search',1),('will',25,'en','node_search',2),('will',26,'en','node_search',2),('will',27,'en','node_search',2),('will',28,'en','node_search',2),('will',29,'en','node_search',2),('will',30,'ar','node_search',1),('will',30,'en','node_search',1),('will',37,'en','node_search',2),('will',38,'en','node_search',2),('will',39,'en','node_search',2),('will',40,'en','node_search',2),('will',41,'en','node_search',1),('will',42,'en','node_search',1),('will',45,'en','node_search',1),('with',4,'ar','node_search',2.83325),('with',4,'en','node_search',2.83325),('with',10,'en','node_search',2),('with',16,'ar','node_search',1),('with',16,'en','node_search',1),('with',30,'ar','node_search',3.85746),('with',30,'en','node_search',3.85746),('words',4,'ar','node_search',3.60535),('words',4,'en','node_search',3.60535),('words',38,'en','node_search',1),('words',39,'en','node_search',1),('words',40,'en','node_search',1),('works',10,'en','node_search',1),('write',10,'en','node_search',1),('writers',43,'en','node_search',1),('years',4,'ar','node_search',0.774192),('years',4,'en','node_search',0.774192),('years',22,'en','node_search',1),('years',23,'en','node_search',1),('years',24,'en','node_search',1),('years',30,'ar','node_search',1),('years',30,'en','node_search',1),('years',38,'en','node_search',1),('years',39,'en','node_search',1),('years',40,'en','node_search',1),('you',4,'ar','node_search',1.87688),('you',4,'en','node_search',1.87688),('you',5,'en','node_search',1),('you',30,'ar','node_search',5.63973),('you',30,'en','node_search',5.63973),('your',5,'en','node_search',1),('your',29,'en','node_search',27),('your',30,'ar','node_search',8.52583),('your',30,'en','node_search',8.52583),('youtube',9,'en','node_search',38);
/*!40000 ALTER TABLE `search_index` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `search_total`
--

DROP TABLE IF EXISTS `search_total`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `search_total` (
  `word` varchar(50) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique word in the search index.',
  `count` float DEFAULT NULL COMMENT 'The count of the word in the index using Zipf''s law to equalize the probability distribution.',
  PRIMARY KEY (`word`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Stores search totals for words.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `search_total`
--

LOCK TABLES `search_total` WRITE;
/*!40000 ALTER TABLE `search_total` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `search_total` VALUES ('1',0.0157943),('1000',0.176091),('10000',0.30103),('1001',0.30103),('1008',0.30103),('10272021',0.176286),('1049',0.30103),('1050',0.176091),('1051',0.124939),('1052',0.30103),('1053',0.176091),('1082016',0.30103),('1107',0.30103),('1118',0.176091),('1121',0.176091),('1136',0.30103),('1142',0.30103),('1146',0.30103),('1157',0.30103),('12112015',0.30103),('1212',0.30103),('12222015',0.30103),('1224',0.30103),('123',0.177392),('1500s',0.176091),('1960s',0.176091),('2',0.0157943),('200',0.199514),('2000',0.086223),('45',0.0861363),('520',0.30103),('530',0.176091),('531',0.176091),('538',0.30103),('539',0.124939),('540',0.124939),('6000',0.30103),('601',0.30103),('609',0.176091),('610',0.176091),('617',0.30103),('624',0.30103),('642',0.30103),('656',0.30103),('7000',0.30103),('702',0.30103),('7192016',0.0791812),('7202016',0.124939),('7252016',0.0579919),('7292016',0.09691),('7500',0.30103),('8000',0.30103),('8012016',0.0791812),('8052016',0.0377886),('8112016',0.30103),('8222016',0.30103),('8252016',0.176091),('8312016',0.176091),('832',0.30103),('849',0.30103),('850',0.30103),('9000',0.30103),('9012016',0.09691),('9052016',0.0791812),('9132016',0.09691),('914',0.176785),('918',0.30103),('931',0.30103),('940',0.124939),('952',0.30103),('958',0.30103),('959',0.30103),('abc',0.00827253),('ability',0.176091),('able',0.188455),('about',0.0118992),('accident',0.124939),('across',0.30103),('adipiscing',0.176091),('adipisicing',0.00340625),('admin',0.00998422),('administrators',0.192564),('affects',0.195474),('ajax',0.30103),('aldus',0.180111),('aliqua',0.0054629),('aliquam',0.01524),('aliquip',0.00560388),('all',0.0723657),('also',0.176091),('alteration',0.0588445),('always',0.206347),('amanda',0.0142404),('amet',0.00247462),('amples',0.00796893),('analyze',0.176091),('and',0.00548808),('anim',0.00553249),('animation',0.30103),('another',0.208037),('any',0.09691),('anything',0.188455),('api',0.30103),('are',0.0385408),('artists',0.30103),('assistance',0.054912),('attractiv',0.177089),('audio',0.213622),('aute',0.00560388),('available',0.0588445),('awesome',0.00827253),('backends',0.183111),('bare',0.00796893),('based',0.176091),('been',0.0699609),('belief',0.0856075),('believable',0.0588445),('best',0.104725),('blog',0.00723318),('blogs',0.21028),('book',0.176091),('bootstrap',0.00464491),('brand',0.30103),('brandnew',0.176091),('bring',0.176091),('browsers',0.30103),('build',0.0125891),('builder',0.0157943),('built',0.30103),('business',0.00663058),('but',0.0462863),('buttons',0.0157943),('can',0.00729676),('centuries',0.176091),('changed',0.30103),('changes',0.176091),('checking',0.200087),('chunks',0.194313),('clarke',0.0142404),('class',0.176091),('classical',0.0859616),('clita',0.01524),('cms',0.0307663),('combination',0.30103),('combined',0.20066),('come',0.0102813),('comments',0.0414958),('commodoconsequat',0.00560388),('compatible',0.00796893),('consectetur',0.00335364),('contact',0.0147233),('containing',0.176482),('content',0.00975984),('contracting',0.01524),('contrary',0.0854279),('convert',0.30103),('corporate',0.209721),('create',0.176091),('creative',0.0211893),('css',0.30103),('culpa',0.00553249),('cupidatat',0.00553249),('customer',0.0157943),('customization',0.0511525),('customizations',0.00796893),('customize',0.1849),('customizing',0.176091),('dare',0.00796893),('default',0.0457575),('deliver',0.09691),('deploying',0.176091),('deserunt',0.00553249),('design',0.00357511),('design2canvas',0.30103),('designed',0.0157943),('designers',0.127821),('designing',0.176091),('designnotecode',0.30103),('designresponsive',0.30103),('desktop',0.037888),('details',0.01524),('develop',0.184304),('developers',0.30103),('developing',0.124939),('development',0.0120422),('device',0.30103),('dictionary',0.198364),('digital',0.30103),('direction',0.186088),('director',0.0211893),('discuss',0.176091),('distracted',0.0211893),('distribution',0.0377886),('document',0.30103),('does',0.0102472),('doing',0.176091),('dolor',0.00154829),('dolore',0.00277505),('don',0.0588445),('drupal',0.00337765),('duis',0.00560388),('dummy',0.09691),('easytouse',0.30103),('ecommerce',0.210839),('editors',0.0457575),('eiusmod',0.176091),('eiusmodtempor',0.00560388),('electronic',0.176091),('elit',0.00335364),('embarrassing',0.189045),('embraces',0.176482),('emeryville',0.00796893),('end',0.176091),('engines',0.190808),('english',0.0377886),('enim',0.00560388),('enters',0.176091),('erat',0.01524),('error',0.30103),('essecillum',0.00560388),('essentially',0.176091),('est',0.00553249),('established',0.0211893),('etc',0.20916),('even',0.0588445),('event',0.30103),('ever',0.176091),('evolved',0.124939),('excepteur',0.00553249),('exercitation',0.00560388),('existing',0.0996624),('experience',0.0845988),('experienced',0.127526),('extend',0.176091),('extending',0.176091),('extensibility',0.30103),('fact',0.0211893),('familiarize',0.176091),('fast',0.30103),('featurerich',0.30103),('features',0.176091),('feel',0.177695),('first',0.0829317),('fits',0.185495),('five',0.176091),('fix',0.194313),('flexibility',0.176091),('followed',0.176091),('for',0.00999852),('foremost',0.176091),('form',0.0588445),('framework',0.30103),('free',0.206911),('fri',0.0248236),('friendly',0.187865),('from',0.00836458),('frontends',0.182512),('fugiat',0.00560388),('full',0.176091),('fully',0.00532883),('function',0.176091),('functionality',0.176091),('functions',0.176091),('galley',0.176091),('general',0.01524),('generate',0.203513),('generated',0.205216),('generation',0.30103),('generator',0.19721),('generators',0.191394),('get',0.00796923),('goal',0.191394),('going',0.1849),('great',0.00407791),('gubergren',0.01524),('handful',0.201233),('handling',0.30103),('happy',0.176091),('has',0.0188207),('have',0.027082),('having',0.100335),('help',0.0551034),('here',0.0193052),('hidden',0.189633),('higher',0.176091),('html',0.176091),('humour',0.0394601),('idea',0.176091),('important',0.201233),('incididunt',0.0054629),('include',0.0511525),('including',0.181313),('indepth',0.176091),('industry',0.09691),('infancy',0.0457575),('injected',0.0394601),('innovative',0.176091),('integrates',0.178301),('internet',0.108256),('into',0.176091),('ipsum',0.00139707),('irure',0.00560388),('isn',0.187865),('issues',0.194894),('iste',0.30103),('its',0.0321847),('javascript',0.176091),('job',0.199514),('jquery',0.0107239),('just',0.30103),('kasd',0.01524),('knows',0.30103),('labore',0.0054629),('laboris',0.00560388),('laborum',0.00975984),('laborumlorem',0.0125891),('latin',0.0642447),('layout',0.0377886),('leap',0.176091),('leave',0.180111),('letraset',0.176091),('letters',0.0377886),('level',0.176091),('library',0.30103),('light',0.00796893),('lightbox',0.0157943),('like',0.0264159),('linda',0.0413927),('literature',0.0860492),('live',0.176091),('log',0.00394051),('long',0.0211893),('look',0.0236195),('looking',0.0211893),('looks',0.204082),('lorem',0.00156864),('luxestate',0.00796893),('magazine',0.215283),('magna',0.0054629),('maintenance',0.0471567),('majority',0.0588445),('make',0.10428),('makes',0.30103),('making',0.0243878),('management',0.176091),('manipulation',0.30103),('manual',0.176091),('many',0.017106),('matters',0.201804),('middle',0.190221),('migration',0.060882),('millions',0.30103),('mind',0.176091),('minim',0.00560388),('mobile',0.30103),('model',0.0388346),('module',0.0435812),('mollit',0.00553249),('mon',0.0234811),('more',0.125437),('moreorless',0.0377886),('most',0.13267),('move',0.207474),('much',0.30103),('multimedia',0.213067),('multitude',0.30103),('must',0.30103),('natus',0.30103),('necessary',0.194894),('need',0.1),('neglected',0.198939),('networking',0.211955),('never',0.198364),('new',0.30103),('newer',0.206347),('news',0.215835),('nisi',0.00560388),('non',0.30103),('noncharacteristic',0.208599),('nonproident',0.00560388),('normal',0.0377886),('nostrud',0.00560388),('not',0.0614064),('now',0.0457575),('nulla',0.00560388),('occaecat',0.00553249),('off',0.00796893),('officia',0.00553249),('old',0.0863953),('omnis',0.30103),('only',0.176091),('opposed',0.0377886),('optimized',0.193731),('our',0.00616575),('over',0.0444702),('owner',0.176091),('packages',0.0457575),('page',0.00382641),('pagemaker',0.180713),('pariatur',0.00560388),('part',0.176091),('passage',0.186088),('passages',0.0463541),('passionate',0.30103),('people',0.30103),('person',0.30103),('personal',0.216386),('perspiciatis',0.30103),('piece',0.0858737),('platform',0.30103),('point',0.0377886),('popular',0.071417),('popularised',0.176091),('portals',0.21473),('portfolio',0.00393029),('post',0.0414958),('predefined',0.193731),('premium',0.30103),('printer',0.176091),('printing',0.176091),('process',0.09691),('proident',0.30103),('project',0.176091),('projects',0.013933),('publishing',0.0379148),('purpose',0.0791812),('qcs',0.30103),('qui',0.00553249),('quis',0.00560388),('random',0.0856966),('randomised',0.0588445),('ranking',0.196054),('reach',0.30103),('readable',0.0137883),('reader',0.0211893),('reasonable',0.204649),('recently',0.177695),('register',0.00394051),('release',0.176091),('remaining',0.176091),('repeat',0.193148),('repetition',0.208037),('reply',0.09691),('reprehenderit',0.00560388),('responsice',0.0157943),('responsive',0.00782534),('right',0.09691),('roots',0.0857854),('sale',0.00796893),('schedules',0.176091),('schoolwork',0.176091),('scrambled',0.176091),('search',0.038392),('security',0.176091),('sed',0.00539503),('seeing',0.00796893),('sentence',0.202375),('seo',0.0375865),('service',0.30103),('services',0.00459575),('sheets',0.176091),('should',0.197787),('simpler',0.30103),('simply',0.0614064),('since',0.176091),('sint',0.00553249),('sit',0.00213413),('site',0.107827),('sites',0.0392078),('slightly',0.0588445),('small',0.30103),('social',0.211397),('software',0.179508),('solution',0.176091),('some',0.00741454),('sometimes',0.0669468),('special',0.01524),('specific',0.176091),('specimen',0.176091),('standard',0.176091),('starting',0.176091),('status',0.204082),('stet',0.01524),('still',0.0457575),('strength',0.176091),('structures',0.202944),('students',0.176091),('suffered',0.0588445),('suits',0.176091),('sunt',0.00553249),('support',0.0126039),('sure',0.108225),('survived',0.176091),('team',0.127231),('technologies',0.179508),('template',0.176091),('tempor',0.176091),('tend',0.192564),('testing',0.176091),('text',0.0218377),('than',0.30103),('that',0.00962347),('the',0.00219433),('their',0.0211893),('theme',0.176091),('themes',0.30103),('theming',0.0413927),('themselves',0.176091),('there',0.0470509),('therefore',0.205782),('they',0.176091),('things',0.124939),('think',0.176091),('this',0.0728673),('thu',0.0579919),('time',0.30103),('took',0.176091),('top',0.189633),('traffic',0.30103),('training',0.176091),('traversal',0.30103),('true',0.196632),('tue',0.0413927),('type',0.09691),('typesetting',0.09691),('ullamco',0.00560388),('unchanged',0.176091),('uncover',0.0457575),('unde',0.30103),('unique',0.00532883),('unknown',0.176091),('upgrades',0.0610793),('upgrading',0.205782),('uptodate',0.178905),('use',0.0381984),('userfriendly',0.30103),('userlogin',0.0147233),('users',0.176091),('uses',0.197787),('using',0.0193052),('variations',0.0588445),('various',0.124939),('velit',0.00560388),('veniam',0.00560388),('versatility',0.30103),('version',0.206911),('versions',0.0803242),('video',0.214176),('voluptate',0.00560388),('wall',0.00796893),('warehouse',0.00796893),('was',0.176091),('way',0.30103),('web',0.0211893),('website',0.0170017),('websites',0.0317048),('wed',0.0579919),('weebpal',0.0102192),('welcome',0.00782534),('well',0.193148),('wellknown',0.176091),('what',0.00736268),('when',0.0193052),('whenever',0.176091),('where',0.00471247),('which',0.0392985),('why',0.0511525),('will',0.0147233),('with',0.0242938),('words',0.0405772),('works',0.30103),('write',0.30103),('writers',0.30103),('years',0.0432561),('you',0.026276),('your',0.00953449),('youtube',0.011281);
/*!40000 ALTER TABLE `search_total` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `semaphore`
--

DROP TABLE IF EXISTS `semaphore`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `semaphore` (
  `name` varchar(255) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique name.',
  `value` varchar(255) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'A value for the semaphore.',
  `expire` double NOT NULL COMMENT 'A Unix timestamp with microseconds indicating when the semaphore should expire.',
  PRIMARY KEY (`name`),
  KEY `value` (`value`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Table for holding semaphores, locks, flags, etc. that…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `semaphore`
--

LOCK TABLES `semaphore` WRITE;
/*!40000 ALTER TABLE `semaphore` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `semaphore` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `sequences`
--

DROP TABLE IF EXISTS `sequences`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sequences` (
  `value` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The value of the sequence.',
  PRIMARY KEY (`value`)
) ENGINE=InnoDB AUTO_INCREMENT=49 DEFAULT CHARSET=utf8mb4 COMMENT='Stores IDs.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sequences`
--

LOCK TABLES `sequences` WRITE;
/*!40000 ALTER TABLE `sequences` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `sequences` VALUES (48);
/*!40000 ALTER TABLE `sequences` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `sessions`
--

DROP TABLE IF EXISTS `sessions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sessions` (
  `uid` int(10) unsigned NOT NULL COMMENT 'The users.uid corresponding to a session, or 0 for anonymous user.',
  `sid` varchar(128) CHARACTER SET ascii NOT NULL COMMENT 'A session ID (hashed). The value is generated by Drupal''s session handlers.',
  `hostname` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The IP address that last used this session ID (sid).',
  `timestamp` int(11) NOT NULL DEFAULT 0 COMMENT 'The Unix timestamp when this session last requested a page. Old records are purged by PHP automatically.',
  `session` longblob DEFAULT NULL COMMENT 'The serialized contents of $_SESSION, an array of name/value pairs that persists across page requests by this session ID. Drupal loads $_SESSION from here at the start of each request and saves it at the end.',
  PRIMARY KEY (`sid`),
  KEY `timestamp` (`timestamp`),
  KEY `uid` (`uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Drupal''s session handlers read and write into the sessions…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sessions`
--

LOCK TABLES `sessions` WRITE;
/*!40000 ALTER TABLE `sessions` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `sessions` VALUES (1,'0ect8Rfw9U4OpBEz99umFSyyeisrrQBrwbBWnx3TKKc','192.168.1.33',1591943369,'_sf2_attributes|a:1:{s:3:\"uid\";s:1:\"1\";}_sf2_meta|a:4:{s:1:\"u\";i:1591943370;s:1:\"c\";i:1591938101;s:1:\"l\";s:7:\"2000000\";s:1:\"s\";s:43:\"Ti8EUC52paEClWyBII4zBsTzfSIk_2aKrm7D0WbG1Rs\";}'),(1,'9Y9yWIXiLCz82dzmdskCb9CzA2Y-IhStCUtxgr8-t30','192.168.1.79',1540538319,'_sf2_attributes|a:1:{s:3:\"uid\";s:1:\"1\";}_sf2_flashes|a:0:{}_sf2_meta|a:4:{s:1:\"u\";i:1540538319;s:1:\"c\";i:1539916773;s:1:\"l\";s:7:\"2000000\";s:1:\"s\";s:43:\"ngpL8sbz7x0KQtbsx4xn3D9oEn50DxfivxBxsr_oDYg\";}'),(1,'cS1Nj_83Rbfsa-uWAhHg-llV8nOZjrrWm5lqw6-8nWY','192.168.1.105',1600419253,'_sf2_attributes|a:2:{s:3:\"uid\";s:1:\"1\";s:20:\"authorize_page_title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:14:\"Update manager\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}_sf2_meta|a:4:{s:1:\"u\";i:1600419203;s:1:\"c\";i:1600419012;s:1:\"l\";s:7:\"2000000\";s:1:\"s\";s:43:\"mLhjXl4aAPKi3uRVRj7rcWD3EUUjMz97jewW7VI_j7k\";}updates_remaining|a:0:{}'),(1,'cSHa-Q3Kt0bMiNQzYzrN3laYpks94DsYrQ6vZk_dWjs','192.168.1.33',1592193120,'_sf2_attributes|a:1:{s:3:\"uid\";s:1:\"1\";}_sf2_meta|a:4:{s:1:\"u\";i:1592193114;s:1:\"c\";i:1592192932;s:1:\"l\";s:7:\"2000000\";s:1:\"s\";s:43:\"x_Ha1WztAOAsAe4mPc4cbx_nmq-1iOodvHOASd3gdl0\";}'),(1,'e0wx_nhJcWBP7AjzoPVE2PxW0F69ZD_wC9hdBfi7NwA','192.168.1.27',1627898304,'_sf2_attributes|a:1:{s:3:\"uid\";s:1:\"1\";}_sf2_meta|a:4:{s:1:\"u\";i:1627898304;s:1:\"c\";i:1627877054;s:1:\"l\";s:7:\"2000000\";s:1:\"s\";s:43:\"eXJ5V4mfWTUhPErOlQwMymm92hYRCFEcS8YjtDWttAA\";}'),(1,'fL3HZvp_Qdl5VmplkTFfEAedTOC13VKvLuoOuuydjqU','192.168.1.50',1562146407,'_sf2_attributes|a:1:{s:3:\"uid\";s:1:\"1\";}_sf2_meta|a:4:{s:1:\"u\";i:1562146407;s:1:\"c\";i:1562146407;s:1:\"l\";s:7:\"2000000\";s:1:\"s\";s:43:\"ZYkeQ-n7TFwQa_dkAIrhwqG9QRG93sSUXEzXtxox4-g\";}'),(1,'mX7RMCswrKFHHtmRevBxOvGX0KYlEp8KRRjmd-3elf4','192.168.1.105',1635318866,'_sf2_attributes|a:1:{s:3:\"uid\";s:1:\"1\";}_sf2_meta|a:4:{s:1:\"u\";i:1635318827;s:1:\"c\";i:1635318170;s:1:\"l\";s:7:\"2000000\";s:1:\"s\";s:43:\"-ze-sXrpzO14WjJKYX0YkAwGiYh1in2nFE46OX7d8Xw\";}'),(1,'SA1sXiklWhAmgtPQ2wV-oCajIxQaOpXkNYnFNTyLjv0','192.168.1.12',1558338607,'_sf2_attributes|a:1:{s:3:\"uid\";s:1:\"1\";}_sf2_meta|a:4:{s:1:\"u\";i:1558338607;s:1:\"c\";i:1558338607;s:1:\"l\";s:7:\"2000000\";s:1:\"s\";s:43:\"DMdXtAVKKffTZDxiT5vg-yBfPIB_Ecaj65wvbosypj0\";}'),(46,'vjnrZpmv2y8LRmYntQOV87qZ5bdLORshffAcRrOWJTA','192.168.1.105',1635318898,'_sf2_attributes|a:1:{s:3:\"uid\";s:2:\"46\";}_sf2_meta|a:4:{s:1:\"u\";i:1635318882;s:1:\"c\";i:1635318882;s:1:\"l\";s:7:\"2000000\";s:1:\"s\";s:43:\"NVBj2FKp9g6lKevQ9QXs-egxj-G9-eiyC2zn64q9W2M\";}'),(1,'VwgbANdvuyD0WMkFsLEq7gXW9-XT7Vg0eNJWAQX5V8I','192.168.1.31',1629174135,'_sf2_attributes|a:1:{s:3:\"uid\";s:1:\"1\";}_sf2_meta|a:4:{s:1:\"u\";i:1629174135;s:1:\"c\";i:1629174135;s:1:\"l\";s:7:\"2000000\";s:1:\"s\";s:43:\"bGVvDCC4FrX1GswESkDVmL-ev6ULVM6uJtcqgIadn9M\";}'),(1,'zryjHhMXtPUxO7cQOwWAy90L_rstQ5e4Yz1ACgkbXUY','192.168.1.105',1637057251,'_sf2_attributes|a:3:{s:3:\"uid\";s:1:\"1\";s:16:\"maintenance_mode\";b:0;s:20:\"authorize_page_title\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:18:\"Installing updates\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}_sf2_meta|a:4:{s:1:\"u\";i:1637057202;s:1:\"c\";i:1636009248;s:1:\"l\";s:7:\"2000000\";s:1:\"s\";s:43:\"a01dSqVolM1pS-zXF9-VMB9-5LJv9bnZuo9RwGTgv_k\";}batches|a:1:{i:48;b:1;}');
/*!40000 ALTER TABLE `sessions` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `shortcut`
--

DROP TABLE IF EXISTS `shortcut`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shortcut` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `shortcut_set` varchar(32) CHARACTER SET ascii NOT NULL COMMENT 'The ID of the target entity.',
  `uuid` varchar(128) CHARACTER SET ascii NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `shortcut_field__uuid__value` (`uuid`),
  KEY `shortcut_field__shortcut_set__target_id` (`shortcut_set`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COMMENT='The base table for shortcut entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shortcut`
--

LOCK TABLES `shortcut` WRITE;
/*!40000 ALTER TABLE `shortcut` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `shortcut` VALUES (1,'default','46639dda-b8c5-4f8f-9b2c-91908d8e55b8','en'),(2,'default','41b660ac-48b2-4bb4-9a12-244eb947ba62','en');
/*!40000 ALTER TABLE `shortcut` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `shortcut_field_data`
--

DROP TABLE IF EXISTS `shortcut_field_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shortcut_field_data` (
  `id` int(10) unsigned NOT NULL,
  `shortcut_set` varchar(32) CHARACTER SET ascii NOT NULL COMMENT 'The ID of the target entity.',
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  `title` varchar(255) DEFAULT NULL,
  `weight` int(11) DEFAULT NULL,
  `link__uri` varchar(2048) DEFAULT NULL COMMENT 'The URI of the link.',
  `link__title` varchar(255) DEFAULT NULL COMMENT 'The link text.',
  `link__options` longblob DEFAULT NULL COMMENT 'Serialized array of options for the link.',
  `default_langcode` tinyint(4) NOT NULL,
  PRIMARY KEY (`id`,`langcode`),
  KEY `shortcut__id__default_langcode__langcode` (`id`,`default_langcode`,`langcode`),
  KEY `shortcut_field__shortcut_set__target_id` (`shortcut_set`),
  KEY `shortcut_field__link__uri` (`link__uri`(30))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='The data table for shortcut entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shortcut_field_data`
--

LOCK TABLES `shortcut_field_data` WRITE;
/*!40000 ALTER TABLE `shortcut_field_data` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `shortcut_field_data` VALUES (1,'default','en','Add content',-20,'internal:/node/add',NULL,'a:0:{}',1),(2,'default','en','All content',-19,'internal:/admin/content',NULL,'a:0:{}',1);
/*!40000 ALTER TABLE `shortcut_field_data` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `shortcut_set_users`
--

DROP TABLE IF EXISTS `shortcut_set_users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shortcut_set_users` (
  `uid` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The users.uid for this set.',
  `set_name` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The shortcut_set.set_name that will be displayed for this user.',
  PRIMARY KEY (`uid`),
  KEY `set_name` (`set_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Maps users to shortcut sets.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shortcut_set_users`
--

LOCK TABLES `shortcut_set_users` WRITE;
/*!40000 ALTER TABLE `shortcut_set_users` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `shortcut_set_users` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `simplenews_mail_spool`
--

DROP TABLE IF EXISTS `simplenews_mail_spool`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `simplenews_mail_spool` (
  `msid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for a mail spool record.',
  `mail` varchar(255) NOT NULL DEFAULT '' COMMENT 'The formatted email address of mail message recipient.',
  `entity_type` varchar(255) NOT NULL DEFAULT '' COMMENT 'The entity type of this newsletter issue.',
  `entity_id` int(11) NOT NULL DEFAULT 0 COMMENT 'The entity id of this newsletter issue.',
  `newsletter_id` varchar(255) NOT NULL DEFAULT '' COMMENT 'The simplenews_newsletter.id this issue belongs to.',
  `status` tinyint(3) unsigned NOT NULL DEFAULT 0 COMMENT 'The sent status of the email (0 = hold, 1 = pending, 2 = done).',
  `error` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether an error occured while sending the email.',
  `timestamp` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The time status was set or changed.',
  `data` longtext DEFAULT NULL COMMENT 'A serialized array of name value pairs that are related to the email address.',
  `snid` int(11) NOT NULL DEFAULT 0 COMMENT 'Foreign key for subscriber table (simplenews_subscriber.id)',
  PRIMARY KEY (`msid`),
  KEY `newsletter_id` (`newsletter_id`(191)),
  KEY `status` (`status`),
  KEY `snid_newsletter_id` (`snid`,`newsletter_id`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Spool for temporary storage of newsletter emails.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `simplenews_mail_spool`
--

LOCK TABLES `simplenews_mail_spool` WRITE;
/*!40000 ALTER TABLE `simplenews_mail_spool` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `simplenews_mail_spool` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `simplenews_subscriber`
--

DROP TABLE IF EXISTS `simplenews_subscriber`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `simplenews_subscriber` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `uuid` varchar(128) CHARACTER SET ascii DEFAULT NULL,
  `status` tinyint(4) DEFAULT NULL,
  `mail` varchar(254) DEFAULT NULL,
  `uid` int(10) unsigned DEFAULT NULL COMMENT 'The ID of the target entity.',
  `langcode` varchar(12) CHARACTER SET ascii DEFAULT NULL,
  `changes` longtext DEFAULT NULL,
  `created` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `simplenews_subscriber_field__uuid__value` (`uuid`),
  KEY `simplenews_subscriber_field__uid__target_id` (`uid`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COMMENT='The base table for simplenews_subscriber entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `simplenews_subscriber`
--

LOCK TABLES `simplenews_subscriber` WRITE;
/*!40000 ALTER TABLE `simplenews_subscriber` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `simplenews_subscriber` VALUES (1,'24afd995-26ba-47cd-aaac-53a9647333bd',1,'demo@gmail.com',NULL,'en','a:1:{s:7:\"default\";s:9:\"subscribe\";}',1501044157),(2,'08000c7f-3d24-4bd7-b184-d6327298a035',1,'abc02.tester@gmail.com',0,'en','a:1:{s:7:\"default\";s:9:\"subscribe\";}',1635318304),(3,'0a9b64eb-d211-4fe9-a873-3ea9f92cd693',1,'abc03.tester@gmail.com',46,'en','a:1:{s:7:\"default\";s:9:\"subscribe\";}',1635318357);
/*!40000 ALTER TABLE `simplenews_subscriber` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `simplenews_subscriber__subscriptions`
--

DROP TABLE IF EXISTS `simplenews_subscriber__subscriptions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `simplenews_subscriber__subscriptions` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to, which for an unversioned entity type is the same as the entity id',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `subscriptions_target_id` varchar(255) CHARACTER SET ascii NOT NULL COMMENT 'The ID of the target entity.',
  `subscriptions_status` tinyint(4) DEFAULT NULL COMMENT 'A flag indicating whether the user is subscribed (1) or unsubscribed (0).',
  `subscriptions_timestamp` int(10) unsigned DEFAULT NULL COMMENT 'UNIX timestamp of when the user is (un)subscribed.',
  `subscriptions_source` varchar(24) DEFAULT NULL COMMENT 'The source via which the user is (un)subscription.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `subscriptions_target_id` (`subscriptions_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for simplenews_subscriber field subscriptions.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `simplenews_subscriber__subscriptions`
--

LOCK TABLES `simplenews_subscriber__subscriptions` WRITE;
/*!40000 ALTER TABLE `simplenews_subscriber__subscriptions` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `simplenews_subscriber__subscriptions` VALUES ('simplenews_subscriber',0,1,1,'und',0,'default',2,1501044157,'website'),('simplenews_subscriber',0,2,2,'und',0,'default',2,1635318304,'website'),('simplenews_subscriber',0,3,3,'und',0,'default',2,1635318357,'website');
/*!40000 ALTER TABLE `simplenews_subscriber__subscriptions` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `taxonomy_index`
--

DROP TABLE IF EXISTS `taxonomy_index`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `taxonomy_index` (
  `nid` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The node.nid this record tracks.',
  `tid` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The term ID.',
  `status` int(11) NOT NULL DEFAULT 1 COMMENT 'Boolean indicating whether the node is published (visible to non-administrators).',
  `sticky` tinyint(4) DEFAULT 0 COMMENT 'Boolean indicating whether the node is sticky.',
  `created` int(11) NOT NULL DEFAULT 0 COMMENT 'The Unix timestamp when the node was created.',
  PRIMARY KEY (`nid`,`tid`),
  KEY `term_node` (`tid`,`status`,`sticky`,`created`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Maintains denormalized information about node/term…';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `taxonomy_index`
--

LOCK TABLES `taxonomy_index` WRITE;
/*!40000 ALTER TABLE `taxonomy_index` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `taxonomy_index` VALUES (16,1,1,0,1473752408),(15,1,1,0,1473752410),(11,1,1,0,1473752412),(16,2,1,0,1473752408),(11,2,1,0,1473752412),(12,3,1,0,1473742951),(12,4,1,0,1473742951),(15,5,1,0,1473752410),(15,6,1,0,1473752410);
/*!40000 ALTER TABLE `taxonomy_index` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `taxonomy_term__parent`
--

DROP TABLE IF EXISTS `taxonomy_term__parent`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `taxonomy_term__parent` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `parent_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `revision_id` (`revision_id`),
  KEY `parent_target_id` (`parent_target_id`),
  KEY `bundle_delta_target_id` (`bundle`,`delta`,`parent_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for taxonomy_term field parent.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `taxonomy_term__parent`
--

LOCK TABLES `taxonomy_term__parent` WRITE;
/*!40000 ALTER TABLE `taxonomy_term__parent` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `taxonomy_term__parent` VALUES ('tags',0,1,1,'en',0,0),('tags',0,2,2,'en',0,0),('tags',0,3,3,'en',0,0),('tags',0,4,4,'en',0,0),('tags',0,5,5,'en',0,0),('tags',0,6,6,'en',0,0);
/*!40000 ALTER TABLE `taxonomy_term__parent` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `taxonomy_term_data`
--

DROP TABLE IF EXISTS `taxonomy_term_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `taxonomy_term_data` (
  `tid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `revision_id` int(10) unsigned DEFAULT NULL,
  `vid` varchar(32) CHARACTER SET ascii NOT NULL COMMENT 'The ID of the target entity.',
  `uuid` varchar(128) CHARACTER SET ascii NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  PRIMARY KEY (`tid`),
  UNIQUE KEY `taxonomy_term_field__uuid__value` (`uuid`),
  UNIQUE KEY `taxonomy_term__revision_id` (`revision_id`),
  KEY `taxonomy_term_field__vid__target_id` (`vid`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COMMENT='The base table for taxonomy_term entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `taxonomy_term_data`
--

LOCK TABLES `taxonomy_term_data` WRITE;
/*!40000 ALTER TABLE `taxonomy_term_data` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `taxonomy_term_data` VALUES (1,1,'tags','40d761d7-67db-4d97-90bc-884a51320ebd','en'),(2,2,'tags','e504cf90-6dd0-41bf-a8da-2b52a31498eb','en'),(3,3,'tags','99c68fde-83c1-468d-be6f-63460bb37326','en'),(4,4,'tags','dbb4c5ca-6592-421b-9022-4542861ad596','en'),(5,5,'tags','10f16cf6-07e7-4261-bd7c-ab1636796bbc','en'),(6,6,'tags','e9a9eba6-0aa2-4378-a0b3-82c0ff8a472a','en');
/*!40000 ALTER TABLE `taxonomy_term_data` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `taxonomy_term_field_data`
--

DROP TABLE IF EXISTS `taxonomy_term_field_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `taxonomy_term_field_data` (
  `tid` int(10) unsigned NOT NULL,
  `revision_id` int(10) unsigned NOT NULL,
  `vid` varchar(32) CHARACTER SET ascii NOT NULL COMMENT 'The ID of the target entity.',
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  `name` varchar(255) NOT NULL,
  `description__value` longtext DEFAULT NULL,
  `description__format` varchar(255) CHARACTER SET ascii DEFAULT NULL,
  `weight` int(11) NOT NULL,
  `changed` int(11) DEFAULT NULL,
  `default_langcode` tinyint(4) NOT NULL,
  `content_translation_source` varchar(12) CHARACTER SET ascii DEFAULT NULL,
  `content_translation_outdated` tinyint(4) DEFAULT NULL,
  `content_translation_uid` int(10) unsigned DEFAULT NULL COMMENT 'The ID of the target entity.',
  `content_translation_created` int(11) DEFAULT NULL,
  `status` tinyint(4) NOT NULL,
  `revision_translation_affected` tinyint(4) DEFAULT NULL,
  PRIMARY KEY (`tid`,`langcode`),
  KEY `taxonomy_term__id__default_langcode__langcode` (`tid`,`default_langcode`,`langcode`),
  KEY `taxonomy_term__revision_id` (`revision_id`),
  KEY `taxonomy_term_field__name` (`name`(191)),
  KEY `taxonomy_term__1a0c187e9a` (`content_translation_uid`),
  KEY `taxonomy_term__status_vid` (`status`,`vid`,`tid`),
  KEY `taxonomy_term__tree` (`vid`,`weight`,`name`(191)),
  KEY `taxonomy_term__vid_name` (`vid`,`name`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='The data table for taxonomy_term entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `taxonomy_term_field_data`
--

LOCK TABLES `taxonomy_term_field_data` WRITE;
/*!40000 ALTER TABLE `taxonomy_term_field_data` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `taxonomy_term_field_data` VALUES (1,1,'tags','ar','CSS',NULL,NULL,0,1473408321,0,'en',0,1,1473408321,1,NULL),(1,1,'tags','en','CSS',NULL,NULL,0,1469169637,1,'und',0,NULL,NULL,1,1),(2,2,'tags','ar','Drupal',NULL,NULL,0,1473750142,0,'en',0,1,1473408373,1,NULL),(2,2,'tags','en','Drupal',NULL,NULL,0,1469169844,1,'und',0,NULL,NULL,1,1),(3,3,'tags','en','Software',NULL,NULL,0,1469417352,1,'und',0,NULL,NULL,1,1),(4,4,'tags','en','Company',NULL,NULL,0,1469417357,1,'und',0,NULL,NULL,1,1),(5,5,'tags','ar','Transportation',NULL,NULL,0,1473408315,0,'en',0,1,1473408315,1,NULL),(5,5,'tags','en','Transportation',NULL,NULL,0,1469421184,1,'und',0,NULL,NULL,1,1),(6,6,'tags','en','Service',NULL,NULL,0,1469421193,1,'und',0,NULL,NULL,1,1);
/*!40000 ALTER TABLE `taxonomy_term_field_data` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `taxonomy_term_field_revision`
--

DROP TABLE IF EXISTS `taxonomy_term_field_revision`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `taxonomy_term_field_revision` (
  `tid` int(10) unsigned NOT NULL,
  `revision_id` int(10) unsigned NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `description__value` longtext DEFAULT NULL,
  `description__format` varchar(255) CHARACTER SET ascii DEFAULT NULL,
  `changed` int(11) DEFAULT NULL,
  `default_langcode` tinyint(4) NOT NULL,
  `content_translation_source` varchar(12) CHARACTER SET ascii DEFAULT NULL,
  `content_translation_outdated` tinyint(4) DEFAULT NULL,
  `content_translation_uid` int(10) unsigned DEFAULT NULL COMMENT 'The ID of the target entity.',
  `content_translation_created` int(11) DEFAULT NULL,
  `status` tinyint(4) NOT NULL,
  `revision_translation_affected` tinyint(4) DEFAULT NULL,
  PRIMARY KEY (`revision_id`,`langcode`),
  KEY `taxonomy_term__id__default_langcode__langcode` (`tid`,`default_langcode`,`langcode`),
  KEY `taxonomy_term_field__description__format` (`description__format`),
  KEY `taxonomy_term__1a0c187e9a` (`content_translation_uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='The revision data table for taxonomy_term entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `taxonomy_term_field_revision`
--

LOCK TABLES `taxonomy_term_field_revision` WRITE;
/*!40000 ALTER TABLE `taxonomy_term_field_revision` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `taxonomy_term_field_revision` VALUES (1,1,'ar','CSS',NULL,NULL,1473408321,0,'en',0,1,1473408321,1,NULL),(1,1,'en','CSS',NULL,NULL,1469169637,1,'und',0,NULL,NULL,1,1),(2,2,'ar','Drupal',NULL,NULL,1473750142,0,'en',0,1,1473408373,1,NULL),(2,2,'en','Drupal',NULL,NULL,1469169844,1,'und',0,NULL,NULL,1,1),(3,3,'en','Software',NULL,NULL,1469417352,1,'und',0,NULL,NULL,1,1),(4,4,'en','Company',NULL,NULL,1469417357,1,'und',0,NULL,NULL,1,1),(5,5,'ar','Transportation',NULL,NULL,1473408315,0,'en',0,1,1473408315,1,NULL),(5,5,'en','Transportation',NULL,NULL,1469421184,1,'und',0,NULL,NULL,1,1),(6,6,'en','Service',NULL,NULL,1469421193,1,'und',0,NULL,NULL,1,1);
/*!40000 ALTER TABLE `taxonomy_term_field_revision` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `taxonomy_term_revision`
--

DROP TABLE IF EXISTS `taxonomy_term_revision`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `taxonomy_term_revision` (
  `tid` int(10) unsigned NOT NULL,
  `revision_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  `revision_default` tinyint(4) DEFAULT NULL,
  `revision_user` int(10) unsigned DEFAULT NULL COMMENT 'The ID of the target entity.',
  `revision_created` int(11) DEFAULT NULL,
  `revision_log_message` longtext DEFAULT NULL,
  PRIMARY KEY (`revision_id`),
  KEY `taxonomy_term__tid` (`tid`),
  KEY `taxonomy_term_field__revision_user__target_id` (`revision_user`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COMMENT='The revision table for taxonomy_term entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `taxonomy_term_revision`
--

LOCK TABLES `taxonomy_term_revision` WRITE;
/*!40000 ALTER TABLE `taxonomy_term_revision` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `taxonomy_term_revision` VALUES (1,1,'en',1,NULL,NULL,NULL),(2,2,'en',1,NULL,NULL,NULL),(3,3,'en',1,NULL,NULL,NULL),(4,4,'en',1,NULL,NULL,NULL),(5,5,'en',1,NULL,NULL,NULL),(6,6,'en',1,NULL,NULL,NULL);
/*!40000 ALTER TABLE `taxonomy_term_revision` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `taxonomy_term_revision__parent`
--

DROP TABLE IF EXISTS `taxonomy_term_revision__parent`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `taxonomy_term_revision__parent` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `parent_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`revision_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `parent_target_id` (`parent_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Revision archive storage for taxonomy_term field parent.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `taxonomy_term_revision__parent`
--

LOCK TABLES `taxonomy_term_revision__parent` WRITE;
/*!40000 ALTER TABLE `taxonomy_term_revision__parent` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `taxonomy_term_revision__parent` VALUES ('tags',0,1,1,'en',0,0),('tags',0,2,2,'en',0,0),('tags',0,3,3,'en',0,0),('tags',0,4,4,'en',0,0),('tags',0,5,5,'en',0,0),('tags',0,6,6,'en',0,0);
/*!40000 ALTER TABLE `taxonomy_term_revision__parent` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `user__roles`
--

DROP TABLE IF EXISTS `user__roles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user__roles` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to, which for an unversioned entity type is the same as the entity id',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `roles_target_id` varchar(255) CHARACTER SET ascii NOT NULL COMMENT 'The ID of the target entity.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `roles_target_id` (`roles_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for user field roles.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user__roles`
--

LOCK TABLES `user__roles` WRITE;
/*!40000 ALTER TABLE `user__roles` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `user__roles` VALUES ('user',0,1,1,'en',0,'administrator'),('user',0,15,15,'en',0,'administrator'),('user',0,22,22,'en',0,'administrator');
/*!40000 ALTER TABLE `user__roles` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `user__user_picture`
--

DROP TABLE IF EXISTS `user__user_picture`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user__user_picture` (
  `bundle` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to, which for an unversioned entity type is the same as the entity id',
  `langcode` varchar(32) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The language code for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `user_picture_target_id` int(10) unsigned NOT NULL COMMENT 'The ID of the file entity.',
  `user_picture_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image''s ''alt'' attribute.',
  `user_picture_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image''s ''title'' attribute.',
  `user_picture_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `user_picture_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_id`,`deleted`,`delta`,`langcode`),
  KEY `bundle` (`bundle`),
  KEY `revision_id` (`revision_id`),
  KEY `user_picture_target_id` (`user_picture_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Data storage for user field user_picture.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user__user_picture`
--

LOCK TABLES `user__user_picture` WRITE;
/*!40000 ALTER TABLE `user__user_picture` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `user__user_picture` VALUES ('user',0,15,15,'ar',0,126,'','',250,250),('user',0,15,15,'en',0,126,'','',250,250),('user',0,21,21,'en',0,127,'','',250,250),('user',0,22,22,'en',0,128,'','',250,250);
/*!40000 ALTER TABLE `user__user_picture` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `users`
--

DROP TABLE IF EXISTS `users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `users` (
  `uid` int(10) unsigned NOT NULL,
  `uuid` varchar(128) CHARACTER SET ascii NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  PRIMARY KEY (`uid`),
  UNIQUE KEY `user_field__uuid__value` (`uuid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='The base table for user entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `users`
--

LOCK TABLES `users` WRITE;
/*!40000 ALTER TABLE `users` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `users` VALUES (0,'57bd4013-9436-481a-b9bf-8e21a7ce98c7','en'),(1,'a8b3d221-8ddb-4db2-8c1d-8322b13fb26f','en'),(15,'5a11c2d3-e299-4eed-b1f8-88ad9af9dc8f','en'),(21,'f510e20e-b3fe-42d5-8ab3-2a98ff99aa4e','en'),(22,'93084a1b-fa3d-4f6d-bda9-37241714db9a','en'),(46,'74acf18d-7b3a-4cf0-b080-706ced320833','en');
/*!40000 ALTER TABLE `users` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `users_data`
--

DROP TABLE IF EXISTS `users_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `users_data` (
  `uid` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'Primary key: users.uid for user.',
  `module` varchar(50) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The name of the module declaring the variable.',
  `name` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'The identifier of the data.',
  `value` longblob DEFAULT NULL COMMENT 'The value.',
  `serialized` tinyint(3) unsigned DEFAULT 0 COMMENT 'Whether value is serialized.',
  PRIMARY KEY (`uid`,`module`,`name`),
  KEY `module` (`module`),
  KEY `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Stores module data as key/value pairs per user.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `users_data`
--

LOCK TABLES `users_data` WRITE;
/*!40000 ALTER TABLE `users_data` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `users_data` VALUES (1,'contact','enabled','1',0),(15,'contact','enabled','1',0),(21,'contact','enabled','1',0),(22,'contact','enabled','1',0),(46,'contact','enabled','1',0);
/*!40000 ALTER TABLE `users_data` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `users_field_data`
--

DROP TABLE IF EXISTS `users_field_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `users_field_data` (
  `uid` int(10) unsigned NOT NULL,
  `langcode` varchar(12) CHARACTER SET ascii NOT NULL,
  `preferred_langcode` varchar(12) CHARACTER SET ascii DEFAULT NULL,
  `preferred_admin_langcode` varchar(12) CHARACTER SET ascii DEFAULT NULL,
  `name` varchar(60) NOT NULL,
  `pass` varchar(255) DEFAULT NULL,
  `mail` varchar(254) DEFAULT NULL,
  `timezone` varchar(32) DEFAULT NULL,
  `status` tinyint(4) DEFAULT NULL,
  `created` int(11) NOT NULL,
  `changed` int(11) DEFAULT NULL,
  `access` int(11) NOT NULL,
  `login` int(11) DEFAULT NULL,
  `init` varchar(254) DEFAULT NULL,
  `default_langcode` tinyint(4) NOT NULL,
  `content_translation_source` varchar(12) CHARACTER SET ascii DEFAULT NULL,
  `content_translation_outdated` tinyint(4) DEFAULT NULL,
  `content_translation_uid` int(10) unsigned DEFAULT NULL COMMENT 'The ID of the target entity.',
  `content_translation_status` tinyint(4) DEFAULT NULL,
  `content_translation_created` int(11) DEFAULT NULL,
  PRIMARY KEY (`uid`,`langcode`),
  UNIQUE KEY `user__name` (`name`,`langcode`),
  KEY `user__id__default_langcode__langcode` (`uid`,`default_langcode`,`langcode`),
  KEY `user_field__mail` (`mail`(191)),
  KEY `user_field__created` (`created`),
  KEY `user_field__access` (`access`),
  KEY `user_field__content_translation_uid__target_id` (`content_translation_uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='The data table for user entities.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `users_field_data`
--

LOCK TABLES `users_field_data` WRITE;
/*!40000 ALTER TABLE `users_field_data` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `users_field_data` VALUES (0,'en','en',NULL,'',NULL,NULL,'Europe/Paris',0,1468828248,1468828248,0,0,NULL,1,'und',0,NULL,1,NULL),(1,'ar','en',NULL,'admin','$S$E1UWkfgB14XVRc83NiHSsmd3cf2dlK/a0MN9a1uIwkYwTMOz25Ot','admin@lvh.com','Europe/Paris',1,1468828248,1473751615,1637057201,1636009248,'admin@lvh.com',0,'en',0,1,1,1473751615),(1,'en','en',NULL,'admin','$S$E1UWkfgB14XVRc83NiHSsmd3cf2dlK/a0MN9a1uIwkYwTMOz25Ot','admin@lvh.com','Europe/Paris',1,1468828248,1468829253,1637057201,1636009248,'admin@lvh.com',1,'und',0,NULL,1,NULL),(15,'ar','en','en','linda','$S$E5HLUVLkDK6T1ICF6mfTDdAI3TYoxLDJkyPxjF.WPrghDsLE5k9D','webadmin@gmail.com','Europe/Paris',1,1472108991,1473751653,1473049448,1473048439,'webadmin@gmail.com',0,'en',0,1,1,1473751653),(15,'en','en','en','linda','$S$E5HLUVLkDK6T1ICF6mfTDdAI3TYoxLDJkyPxjF.WPrghDsLE5k9D','webadmin@gmail.com','Europe/Paris',1,1472108991,1473048283,1473049448,1473048439,'webadmin@gmail.com',1,'und',0,NULL,1,NULL),(21,'en','en','en','john','$S$E3nBWpS1uDL/V4iGzE/124JM4hqT3zkL9aNMqfRTy.btP8HW668v','john@gmail.com','Europe/Paris',1,1472721607,1473048315,1472721619,1472721619,'john@gmail.com',1,'und',0,NULL,1,NULL),(22,'en','en','en','Smith','$S$EOPsUEiiOb.oUaNYFsnOuIrFPYHO6TcADr3T3klzrri9LHkQ5p/k','webadmintest@gmail.com','Europe/Paris',1,1473048428,1473048477,1473048502,1473048502,'webadmintest@gmail.com',1,'und',0,NULL,1,NULL),(46,'en','en','en','TestD8','$S$El8ilR/3t3g8gDE7ov0zxcy9fGHepn6Uw3yP6Ql1gevTr8HF8iVy','abc03.tester@gmail.com','Europe/Paris',1,1635318866,1635318866,1635318882,1635318882,'abc03.tester@gmail.com',1,'und',0,1,1,1635318866);
/*!40000 ALTER TABLE `users_field_data` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `watchdog`
--

DROP TABLE IF EXISTS `watchdog`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `watchdog` (
  `wid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique watchdog event ID.',
  `uid` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The users.uid of the user who triggered the event.',
  `type` varchar(64) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'Type of log message, for example "user" or "page not found."',
  `message` longtext NOT NULL COMMENT 'Text of log message to be passed into the t() function.',
  `variables` longblob NOT NULL COMMENT 'Serialized array of variables that match the message string and that is passed into the t() function.',
  `severity` tinyint(3) unsigned NOT NULL DEFAULT 0 COMMENT 'The severity level of the event. ranges from 0 (Emergency) to 7 (Debug)',
  `link` text DEFAULT NULL COMMENT 'Link to view the result of the event.',
  `location` text NOT NULL COMMENT 'URL of the origin of the event.',
  `referer` text DEFAULT NULL COMMENT 'URL of referring page.',
  `hostname` varchar(128) CHARACTER SET ascii NOT NULL DEFAULT '' COMMENT 'Hostname of the user who triggered the event.',
  `timestamp` int(11) NOT NULL DEFAULT 0 COMMENT 'Unix timestamp of when event occurred.',
  PRIMARY KEY (`wid`),
  KEY `type` (`type`),
  KEY `uid` (`uid`),
  KEY `severity` (`severity`)
) ENGINE=InnoDB AUTO_INCREMENT=765 DEFAULT CHARSET=utf8mb4 COMMENT='Table that contains logs of all system events.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `watchdog`
--

LOCK TABLES `watchdog` WRITE;
/*!40000 ALTER TABLE `watchdog` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `watchdog` VALUES (1,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12209:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(584): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_views-view-unformatted.ht_5tAAlf0t8sZkVGcyvpcZujcyZ/CbYL5GwKA-s-yWd-_ws8CUo1kXUozmWVWxjx5bIaFAw.php(64): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_c5f88a1c8a45d2893b4f99d05ad0c48e79698bb1233ee134b2607365532499f4->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_views-view.html.twig_My8wCKNyJv0eBmdCJ1uPxYt8x/7giAQpJwOJ028FvosY6Ahurl3El8SEp6l05gasb5euE.php(114): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_0b39505df84b691c5a3640573ee0790767231d2654971965753660bef51abd95->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_block.html.twig_LFLBPkAJ5uxj8bOOjnyXqtY9a/baYT5a5SrHU6ZTH7q7Ton-uvj4csaCROhKaFrQexFkU.php(87): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(215): __TwigTemplate_344c61f77778ece144de65dd5249666b44d0bb02dd63703db306d530380e0702->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_block.html.twig_LFLBPkAJ5uxj8bOOjnyXqtY9a/baYT5a5SrHU6ZTH7q7Ton-uvj4csaCROhKaFrQexFkU.php(72): Twig_Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_344c61f77778ece144de65dd5249666b44d0bb02dd63703db306d530380e0702->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_page.html.twig_75ONbCdLWN9yK6Oiqx2A1iRQ8/eYOFr-6n1O7PUgpue6Sz-BPekjBrpl0Zh7GBHceFT3c.php(277): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_af268b878aeaafd1300d393e732e6d27caafdb651eab426cd9d8e65e50ca5201->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_html.html.twig_1dRce4mGJX4Smnawii2qYtSpq/W_YHytsVfJujdAOS0zLJ3wKEuv3Vt3LkTNKrpa8GCnI.php(93): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_8729c36dd2ace3335431012326673604c96894f5dafb56d3553dd13f5cb8a568->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(184): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(121): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(75): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(665): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1','192.168.1.12',1558337750),(2,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12209:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(584): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_views-view-unformatted.ht_5tAAlf0t8sZkVGcyvpcZujcyZ/CbYL5GwKA-s-yWd-_ws8CUo1kXUozmWVWxjx5bIaFAw.php(64): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_c5f88a1c8a45d2893b4f99d05ad0c48e79698bb1233ee134b2607365532499f4->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_views-view.html.twig_My8wCKNyJv0eBmdCJ1uPxYt8x/7giAQpJwOJ028FvosY6Ahurl3El8SEp6l05gasb5euE.php(114): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_0b39505df84b691c5a3640573ee0790767231d2654971965753660bef51abd95->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_block.html.twig_LFLBPkAJ5uxj8bOOjnyXqtY9a/baYT5a5SrHU6ZTH7q7Ton-uvj4csaCROhKaFrQexFkU.php(87): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(215): __TwigTemplate_344c61f77778ece144de65dd5249666b44d0bb02dd63703db306d530380e0702->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_block.html.twig_LFLBPkAJ5uxj8bOOjnyXqtY9a/baYT5a5SrHU6ZTH7q7Ton-uvj4csaCROhKaFrQexFkU.php(72): Twig_Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_344c61f77778ece144de65dd5249666b44d0bb02dd63703db306d530380e0702->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_page.html.twig_75ONbCdLWN9yK6Oiqx2A1iRQ8/eYOFr-6n1O7PUgpue6Sz-BPekjBrpl0Zh7GBHceFT3c.php(277): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_af268b878aeaafd1300d393e732e6d27caafdb651eab426cd9d8e65e50ca5201->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_html.html.twig_1dRce4mGJX4Smnawii2qYtSpq/W_YHytsVfJujdAOS0zLJ3wKEuv3Vt3LkTNKrpa8GCnI.php(93): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_8729c36dd2ace3335431012326673604c96894f5dafb56d3553dd13f5cb8a568->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(184): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(121): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(75): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(665): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1','192.168.1.12',1558337750),(3,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12209:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(584): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_views-view-unformatted.ht_5tAAlf0t8sZkVGcyvpcZujcyZ/CbYL5GwKA-s-yWd-_ws8CUo1kXUozmWVWxjx5bIaFAw.php(64): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_c5f88a1c8a45d2893b4f99d05ad0c48e79698bb1233ee134b2607365532499f4->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_views-view.html.twig_My8wCKNyJv0eBmdCJ1uPxYt8x/7giAQpJwOJ028FvosY6Ahurl3El8SEp6l05gasb5euE.php(114): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_0b39505df84b691c5a3640573ee0790767231d2654971965753660bef51abd95->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_block.html.twig_LFLBPkAJ5uxj8bOOjnyXqtY9a/baYT5a5SrHU6ZTH7q7Ton-uvj4csaCROhKaFrQexFkU.php(87): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(215): __TwigTemplate_344c61f77778ece144de65dd5249666b44d0bb02dd63703db306d530380e0702->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_block.html.twig_LFLBPkAJ5uxj8bOOjnyXqtY9a/baYT5a5SrHU6ZTH7q7Ton-uvj4csaCROhKaFrQexFkU.php(72): Twig_Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_344c61f77778ece144de65dd5249666b44d0bb02dd63703db306d530380e0702->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_page.html.twig_75ONbCdLWN9yK6Oiqx2A1iRQ8/eYOFr-6n1O7PUgpue6Sz-BPekjBrpl0Zh7GBHceFT3c.php(277): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_af268b878aeaafd1300d393e732e6d27caafdb651eab426cd9d8e65e50ca5201->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_html.html.twig_1dRce4mGJX4Smnawii2qYtSpq/W_YHytsVfJujdAOS0zLJ3wKEuv3Vt3LkTNKrpa8GCnI.php(93): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_8729c36dd2ace3335431012326673604c96894f5dafb56d3553dd13f5cb8a568->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(184): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(121): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(75): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(665): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1','192.168.1.12',1558337750),(4,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12209:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(584): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_views-view-unformatted.ht_5tAAlf0t8sZkVGcyvpcZujcyZ/CbYL5GwKA-s-yWd-_ws8CUo1kXUozmWVWxjx5bIaFAw.php(64): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_c5f88a1c8a45d2893b4f99d05ad0c48e79698bb1233ee134b2607365532499f4->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_views-view.html.twig_My8wCKNyJv0eBmdCJ1uPxYt8x/7giAQpJwOJ028FvosY6Ahurl3El8SEp6l05gasb5euE.php(114): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_0b39505df84b691c5a3640573ee0790767231d2654971965753660bef51abd95->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_block.html.twig_LFLBPkAJ5uxj8bOOjnyXqtY9a/baYT5a5SrHU6ZTH7q7Ton-uvj4csaCROhKaFrQexFkU.php(87): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(215): __TwigTemplate_344c61f77778ece144de65dd5249666b44d0bb02dd63703db306d530380e0702->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_block.html.twig_LFLBPkAJ5uxj8bOOjnyXqtY9a/baYT5a5SrHU6ZTH7q7Ton-uvj4csaCROhKaFrQexFkU.php(72): Twig_Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_344c61f77778ece144de65dd5249666b44d0bb02dd63703db306d530380e0702->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_page.html.twig_75ONbCdLWN9yK6Oiqx2A1iRQ8/eYOFr-6n1O7PUgpue6Sz-BPekjBrpl0Zh7GBHceFT3c.php(277): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_af268b878aeaafd1300d393e732e6d27caafdb651eab426cd9d8e65e50ca5201->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_html.html.twig_1dRce4mGJX4Smnawii2qYtSpq/W_YHytsVfJujdAOS0zLJ3wKEuv3Vt3LkTNKrpa8GCnI.php(93): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_8729c36dd2ace3335431012326673604c96894f5dafb56d3553dd13f5cb8a568->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(184): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(121): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(75): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(665): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1','192.168.1.12',1558337750),(5,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12209:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(584): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_views-view-unformatted.ht_5tAAlf0t8sZkVGcyvpcZujcyZ/CbYL5GwKA-s-yWd-_ws8CUo1kXUozmWVWxjx5bIaFAw.php(64): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_c5f88a1c8a45d2893b4f99d05ad0c48e79698bb1233ee134b2607365532499f4->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_views-view.html.twig_My8wCKNyJv0eBmdCJ1uPxYt8x/7giAQpJwOJ028FvosY6Ahurl3El8SEp6l05gasb5euE.php(114): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_0b39505df84b691c5a3640573ee0790767231d2654971965753660bef51abd95->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_block.html.twig_LFLBPkAJ5uxj8bOOjnyXqtY9a/baYT5a5SrHU6ZTH7q7Ton-uvj4csaCROhKaFrQexFkU.php(87): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(215): __TwigTemplate_344c61f77778ece144de65dd5249666b44d0bb02dd63703db306d530380e0702->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_block.html.twig_LFLBPkAJ5uxj8bOOjnyXqtY9a/baYT5a5SrHU6ZTH7q7Ton-uvj4csaCROhKaFrQexFkU.php(72): Twig_Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_344c61f77778ece144de65dd5249666b44d0bb02dd63703db306d530380e0702->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_page.html.twig_75ONbCdLWN9yK6Oiqx2A1iRQ8/eYOFr-6n1O7PUgpue6Sz-BPekjBrpl0Zh7GBHceFT3c.php(277): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_af268b878aeaafd1300d393e732e6d27caafdb651eab426cd9d8e65e50ca5201->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_html.html.twig_1dRce4mGJX4Smnawii2qYtSpq/W_YHytsVfJujdAOS0zLJ3wKEuv3Vt3LkTNKrpa8GCnI.php(93): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_8729c36dd2ace3335431012326673604c96894f5dafb56d3553dd13f5cb8a568->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(184): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(121): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(75): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(665): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1','192.168.1.12',1558337750),(6,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12209:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(584): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_views-view-unformatted.ht_5tAAlf0t8sZkVGcyvpcZujcyZ/CbYL5GwKA-s-yWd-_ws8CUo1kXUozmWVWxjx5bIaFAw.php(64): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_c5f88a1c8a45d2893b4f99d05ad0c48e79698bb1233ee134b2607365532499f4->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_views-view.html.twig_My8wCKNyJv0eBmdCJ1uPxYt8x/7giAQpJwOJ028FvosY6Ahurl3El8SEp6l05gasb5euE.php(114): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_0b39505df84b691c5a3640573ee0790767231d2654971965753660bef51abd95->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_block.html.twig_LFLBPkAJ5uxj8bOOjnyXqtY9a/baYT5a5SrHU6ZTH7q7Ton-uvj4csaCROhKaFrQexFkU.php(87): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(215): __TwigTemplate_344c61f77778ece144de65dd5249666b44d0bb02dd63703db306d530380e0702->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_block.html.twig_LFLBPkAJ5uxj8bOOjnyXqtY9a/baYT5a5SrHU6ZTH7q7Ton-uvj4csaCROhKaFrQexFkU.php(72): Twig_Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_344c61f77778ece144de65dd5249666b44d0bb02dd63703db306d530380e0702->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_page.html.twig_75ONbCdLWN9yK6Oiqx2A1iRQ8/eYOFr-6n1O7PUgpue6Sz-BPekjBrpl0Zh7GBHceFT3c.php(454): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_af268b878aeaafd1300d393e732e6d27caafdb651eab426cd9d8e65e50ca5201->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_html.html.twig_1dRce4mGJX4Smnawii2qYtSpq/W_YHytsVfJujdAOS0zLJ3wKEuv3Vt3LkTNKrpa8GCnI.php(93): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_8729c36dd2ace3335431012326673604c96894f5dafb56d3553dd13f5cb8a568->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(184): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(121): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(75): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(665): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1','192.168.1.12',1558337750),(7,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12209:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(584): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_views-view-unformatted.ht_5tAAlf0t8sZkVGcyvpcZujcyZ/CbYL5GwKA-s-yWd-_ws8CUo1kXUozmWVWxjx5bIaFAw.php(64): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_c5f88a1c8a45d2893b4f99d05ad0c48e79698bb1233ee134b2607365532499f4->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_views-view.html.twig_My8wCKNyJv0eBmdCJ1uPxYt8x/7giAQpJwOJ028FvosY6Ahurl3El8SEp6l05gasb5euE.php(114): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_0b39505df84b691c5a3640573ee0790767231d2654971965753660bef51abd95->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_block.html.twig_LFLBPkAJ5uxj8bOOjnyXqtY9a/baYT5a5SrHU6ZTH7q7Ton-uvj4csaCROhKaFrQexFkU.php(87): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(215): __TwigTemplate_344c61f77778ece144de65dd5249666b44d0bb02dd63703db306d530380e0702->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_block.html.twig_LFLBPkAJ5uxj8bOOjnyXqtY9a/baYT5a5SrHU6ZTH7q7Ton-uvj4csaCROhKaFrQexFkU.php(72): Twig_Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_344c61f77778ece144de65dd5249666b44d0bb02dd63703db306d530380e0702->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_page.html.twig_75ONbCdLWN9yK6Oiqx2A1iRQ8/eYOFr-6n1O7PUgpue6Sz-BPekjBrpl0Zh7GBHceFT3c.php(470): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_af268b878aeaafd1300d393e732e6d27caafdb651eab426cd9d8e65e50ca5201->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_html.html.twig_1dRce4mGJX4Smnawii2qYtSpq/W_YHytsVfJujdAOS0zLJ3wKEuv3Vt3LkTNKrpa8GCnI.php(93): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_8729c36dd2ace3335431012326673604c96894f5dafb56d3553dd13f5cb8a568->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(184): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(121): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(75): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(665): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1','192.168.1.12',1558337751),(8,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12209:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(584): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_views-view-unformatted.ht_5tAAlf0t8sZkVGcyvpcZujcyZ/CbYL5GwKA-s-yWd-_ws8CUo1kXUozmWVWxjx5bIaFAw.php(64): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_c5f88a1c8a45d2893b4f99d05ad0c48e79698bb1233ee134b2607365532499f4->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_views-view.html.twig_My8wCKNyJv0eBmdCJ1uPxYt8x/7giAQpJwOJ028FvosY6Ahurl3El8SEp6l05gasb5euE.php(114): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_0b39505df84b691c5a3640573ee0790767231d2654971965753660bef51abd95->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_block.html.twig_LFLBPkAJ5uxj8bOOjnyXqtY9a/baYT5a5SrHU6ZTH7q7Ton-uvj4csaCROhKaFrQexFkU.php(87): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(215): __TwigTemplate_344c61f77778ece144de65dd5249666b44d0bb02dd63703db306d530380e0702->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_block.html.twig_LFLBPkAJ5uxj8bOOjnyXqtY9a/baYT5a5SrHU6ZTH7q7Ton-uvj4csaCROhKaFrQexFkU.php(72): Twig_Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_344c61f77778ece144de65dd5249666b44d0bb02dd63703db306d530380e0702->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_page.html.twig_75ONbCdLWN9yK6Oiqx2A1iRQ8/eYOFr-6n1O7PUgpue6Sz-BPekjBrpl0Zh7GBHceFT3c.php(470): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_af268b878aeaafd1300d393e732e6d27caafdb651eab426cd9d8e65e50ca5201->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_html.html.twig_1dRce4mGJX4Smnawii2qYtSpq/W_YHytsVfJujdAOS0zLJ3wKEuv3Vt3LkTNKrpa8GCnI.php(93): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_8729c36dd2ace3335431012326673604c96894f5dafb56d3553dd13f5cb8a568->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(184): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(121): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(75): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(665): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1','192.168.1.12',1558337751),(9,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12209:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(584): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_views-view-unformatted.ht_5tAAlf0t8sZkVGcyvpcZujcyZ/CbYL5GwKA-s-yWd-_ws8CUo1kXUozmWVWxjx5bIaFAw.php(64): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_c5f88a1c8a45d2893b4f99d05ad0c48e79698bb1233ee134b2607365532499f4->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_views-view.html.twig_My8wCKNyJv0eBmdCJ1uPxYt8x/7giAQpJwOJ028FvosY6Ahurl3El8SEp6l05gasb5euE.php(114): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_0b39505df84b691c5a3640573ee0790767231d2654971965753660bef51abd95->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_block.html.twig_LFLBPkAJ5uxj8bOOjnyXqtY9a/baYT5a5SrHU6ZTH7q7Ton-uvj4csaCROhKaFrQexFkU.php(87): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(215): __TwigTemplate_344c61f77778ece144de65dd5249666b44d0bb02dd63703db306d530380e0702->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_block.html.twig_LFLBPkAJ5uxj8bOOjnyXqtY9a/baYT5a5SrHU6ZTH7q7Ton-uvj4csaCROhKaFrQexFkU.php(72): Twig_Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_344c61f77778ece144de65dd5249666b44d0bb02dd63703db306d530380e0702->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_page.html.twig_75ONbCdLWN9yK6Oiqx2A1iRQ8/eYOFr-6n1O7PUgpue6Sz-BPekjBrpl0Zh7GBHceFT3c.php(470): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_af268b878aeaafd1300d393e732e6d27caafdb651eab426cd9d8e65e50ca5201->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_html.html.twig_1dRce4mGJX4Smnawii2qYtSpq/W_YHytsVfJujdAOS0zLJ3wKEuv3Vt3LkTNKrpa8GCnI.php(93): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_8729c36dd2ace3335431012326673604c96894f5dafb56d3553dd13f5cb8a568->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(184): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(121): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(75): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(665): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1','192.168.1.12',1558337751),(10,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12209:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(584): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_views-view-unformatted.ht_5tAAlf0t8sZkVGcyvpcZujcyZ/CbYL5GwKA-s-yWd-_ws8CUo1kXUozmWVWxjx5bIaFAw.php(64): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_c5f88a1c8a45d2893b4f99d05ad0c48e79698bb1233ee134b2607365532499f4->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_views-view.html.twig_My8wCKNyJv0eBmdCJ1uPxYt8x/7giAQpJwOJ028FvosY6Ahurl3El8SEp6l05gasb5euE.php(114): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_0b39505df84b691c5a3640573ee0790767231d2654971965753660bef51abd95->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_block.html.twig_LFLBPkAJ5uxj8bOOjnyXqtY9a/baYT5a5SrHU6ZTH7q7Ton-uvj4csaCROhKaFrQexFkU.php(87): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(215): __TwigTemplate_344c61f77778ece144de65dd5249666b44d0bb02dd63703db306d530380e0702->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_block.html.twig_LFLBPkAJ5uxj8bOOjnyXqtY9a/baYT5a5SrHU6ZTH7q7Ton-uvj4csaCROhKaFrQexFkU.php(72): Twig_Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_344c61f77778ece144de65dd5249666b44d0bb02dd63703db306d530380e0702->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_page.html.twig_75ONbCdLWN9yK6Oiqx2A1iRQ8/eYOFr-6n1O7PUgpue6Sz-BPekjBrpl0Zh7GBHceFT3c.php(470): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_af268b878aeaafd1300d393e732e6d27caafdb651eab426cd9d8e65e50ca5201->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_html.html.twig_1dRce4mGJX4Smnawii2qYtSpq/W_YHytsVfJujdAOS0zLJ3wKEuv3Vt3LkTNKrpa8GCnI.php(93): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_8729c36dd2ace3335431012326673604c96894f5dafb56d3553dd13f5cb8a568->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(184): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(121): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(75): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(665): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1','192.168.1.12',1558337751),(11,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12209:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(584): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_views-view-unformatted.ht_5tAAlf0t8sZkVGcyvpcZujcyZ/CbYL5GwKA-s-yWd-_ws8CUo1kXUozmWVWxjx5bIaFAw.php(64): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_c5f88a1c8a45d2893b4f99d05ad0c48e79698bb1233ee134b2607365532499f4->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_views-view.html.twig_My8wCKNyJv0eBmdCJ1uPxYt8x/7giAQpJwOJ028FvosY6Ahurl3El8SEp6l05gasb5euE.php(114): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_0b39505df84b691c5a3640573ee0790767231d2654971965753660bef51abd95->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_block.html.twig_LFLBPkAJ5uxj8bOOjnyXqtY9a/baYT5a5SrHU6ZTH7q7Ton-uvj4csaCROhKaFrQexFkU.php(87): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(215): __TwigTemplate_344c61f77778ece144de65dd5249666b44d0bb02dd63703db306d530380e0702->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_block.html.twig_LFLBPkAJ5uxj8bOOjnyXqtY9a/baYT5a5SrHU6ZTH7q7Ton-uvj4csaCROhKaFrQexFkU.php(72): Twig_Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_344c61f77778ece144de65dd5249666b44d0bb02dd63703db306d530380e0702->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_page.html.twig_75ONbCdLWN9yK6Oiqx2A1iRQ8/eYOFr-6n1O7PUgpue6Sz-BPekjBrpl0Zh7GBHceFT3c.php(470): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_af268b878aeaafd1300d393e732e6d27caafdb651eab426cd9d8e65e50ca5201->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_html.html.twig_1dRce4mGJX4Smnawii2qYtSpq/W_YHytsVfJujdAOS0zLJ3wKEuv3Vt3LkTNKrpa8GCnI.php(93): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_8729c36dd2ace3335431012326673604c96894f5dafb56d3553dd13f5cb8a568->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(184): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(121): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(75): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(665): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1','192.168.1.12',1558337751),(12,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12209:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(584): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_views-view-unformatted.ht_5tAAlf0t8sZkVGcyvpcZujcyZ/CbYL5GwKA-s-yWd-_ws8CUo1kXUozmWVWxjx5bIaFAw.php(64): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_c5f88a1c8a45d2893b4f99d05ad0c48e79698bb1233ee134b2607365532499f4->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_views-view.html.twig_My8wCKNyJv0eBmdCJ1uPxYt8x/7giAQpJwOJ028FvosY6Ahurl3El8SEp6l05gasb5euE.php(114): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_0b39505df84b691c5a3640573ee0790767231d2654971965753660bef51abd95->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_block.html.twig_LFLBPkAJ5uxj8bOOjnyXqtY9a/baYT5a5SrHU6ZTH7q7Ton-uvj4csaCROhKaFrQexFkU.php(87): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(215): __TwigTemplate_344c61f77778ece144de65dd5249666b44d0bb02dd63703db306d530380e0702->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_block.html.twig_LFLBPkAJ5uxj8bOOjnyXqtY9a/baYT5a5SrHU6ZTH7q7Ton-uvj4csaCROhKaFrQexFkU.php(72): Twig_Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_344c61f77778ece144de65dd5249666b44d0bb02dd63703db306d530380e0702->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_page.html.twig_75ONbCdLWN9yK6Oiqx2A1iRQ8/eYOFr-6n1O7PUgpue6Sz-BPekjBrpl0Zh7GBHceFT3c.php(470): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_af268b878aeaafd1300d393e732e6d27caafdb651eab426cd9d8e65e50ca5201->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_html.html.twig_1dRce4mGJX4Smnawii2qYtSpq/W_YHytsVfJujdAOS0zLJ3wKEuv3Vt3LkTNKrpa8GCnI.php(93): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_8729c36dd2ace3335431012326673604c96894f5dafb56d3553dd13f5cb8a568->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(184): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(121): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(75): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(665): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1','192.168.1.12',1558337751),(13,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12209:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(584): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_views-view-unformatted.ht_5tAAlf0t8sZkVGcyvpcZujcyZ/CbYL5GwKA-s-yWd-_ws8CUo1kXUozmWVWxjx5bIaFAw.php(64): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_c5f88a1c8a45d2893b4f99d05ad0c48e79698bb1233ee134b2607365532499f4->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_views-view.html.twig_My8wCKNyJv0eBmdCJ1uPxYt8x/7giAQpJwOJ028FvosY6Ahurl3El8SEp6l05gasb5euE.php(114): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_0b39505df84b691c5a3640573ee0790767231d2654971965753660bef51abd95->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_block.html.twig_LFLBPkAJ5uxj8bOOjnyXqtY9a/baYT5a5SrHU6ZTH7q7Ton-uvj4csaCROhKaFrQexFkU.php(87): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(215): __TwigTemplate_344c61f77778ece144de65dd5249666b44d0bb02dd63703db306d530380e0702->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_block.html.twig_LFLBPkAJ5uxj8bOOjnyXqtY9a/baYT5a5SrHU6ZTH7q7Ton-uvj4csaCROhKaFrQexFkU.php(72): Twig_Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_344c61f77778ece144de65dd5249666b44d0bb02dd63703db306d530380e0702->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_page.html.twig_75ONbCdLWN9yK6Oiqx2A1iRQ8/eYOFr-6n1O7PUgpue6Sz-BPekjBrpl0Zh7GBHceFT3c.php(470): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_af268b878aeaafd1300d393e732e6d27caafdb651eab426cd9d8e65e50ca5201->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_html.html.twig_1dRce4mGJX4Smnawii2qYtSpq/W_YHytsVfJujdAOS0zLJ3wKEuv3Vt3LkTNKrpa8GCnI.php(93): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_8729c36dd2ace3335431012326673604c96894f5dafb56d3553dd13f5cb8a568->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(184): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(121): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(75): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(665): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1','192.168.1.12',1558337751),(14,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12209:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(584): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_views-view-unformatted.ht_5tAAlf0t8sZkVGcyvpcZujcyZ/CbYL5GwKA-s-yWd-_ws8CUo1kXUozmWVWxjx5bIaFAw.php(64): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_c5f88a1c8a45d2893b4f99d05ad0c48e79698bb1233ee134b2607365532499f4->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_views-view.html.twig_My8wCKNyJv0eBmdCJ1uPxYt8x/7giAQpJwOJ028FvosY6Ahurl3El8SEp6l05gasb5euE.php(114): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_0b39505df84b691c5a3640573ee0790767231d2654971965753660bef51abd95->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_block.html.twig_LFLBPkAJ5uxj8bOOjnyXqtY9a/baYT5a5SrHU6ZTH7q7Ton-uvj4csaCROhKaFrQexFkU.php(87): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(215): __TwigTemplate_344c61f77778ece144de65dd5249666b44d0bb02dd63703db306d530380e0702->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_block.html.twig_LFLBPkAJ5uxj8bOOjnyXqtY9a/baYT5a5SrHU6ZTH7q7Ton-uvj4csaCROhKaFrQexFkU.php(72): Twig_Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_344c61f77778ece144de65dd5249666b44d0bb02dd63703db306d530380e0702->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_page.html.twig_75ONbCdLWN9yK6Oiqx2A1iRQ8/eYOFr-6n1O7PUgpue6Sz-BPekjBrpl0Zh7GBHceFT3c.php(470): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_af268b878aeaafd1300d393e732e6d27caafdb651eab426cd9d8e65e50ca5201->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_html.html.twig_1dRce4mGJX4Smnawii2qYtSpq/W_YHytsVfJujdAOS0zLJ3wKEuv3Vt3LkTNKrpa8GCnI.php(93): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_8729c36dd2ace3335431012326673604c96894f5dafb56d3553dd13f5cb8a568->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(184): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(121): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(75): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(665): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1','192.168.1.12',1558337751),(15,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12209:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(584): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_views-view-unformatted.ht_5tAAlf0t8sZkVGcyvpcZujcyZ/CbYL5GwKA-s-yWd-_ws8CUo1kXUozmWVWxjx5bIaFAw.php(64): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_c5f88a1c8a45d2893b4f99d05ad0c48e79698bb1233ee134b2607365532499f4->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_views-view.html.twig_My8wCKNyJv0eBmdCJ1uPxYt8x/7giAQpJwOJ028FvosY6Ahurl3El8SEp6l05gasb5euE.php(114): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_0b39505df84b691c5a3640573ee0790767231d2654971965753660bef51abd95->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_block.html.twig_LFLBPkAJ5uxj8bOOjnyXqtY9a/baYT5a5SrHU6ZTH7q7Ton-uvj4csaCROhKaFrQexFkU.php(87): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(215): __TwigTemplate_344c61f77778ece144de65dd5249666b44d0bb02dd63703db306d530380e0702->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_block.html.twig_LFLBPkAJ5uxj8bOOjnyXqtY9a/baYT5a5SrHU6ZTH7q7Ton-uvj4csaCROhKaFrQexFkU.php(72): Twig_Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_344c61f77778ece144de65dd5249666b44d0bb02dd63703db306d530380e0702->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_page.html.twig_75ONbCdLWN9yK6Oiqx2A1iRQ8/eYOFr-6n1O7PUgpue6Sz-BPekjBrpl0Zh7GBHceFT3c.php(470): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_af268b878aeaafd1300d393e732e6d27caafdb651eab426cd9d8e65e50ca5201->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_html.html.twig_1dRce4mGJX4Smnawii2qYtSpq/W_YHytsVfJujdAOS0zLJ3wKEuv3Vt3LkTNKrpa8GCnI.php(93): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_8729c36dd2ace3335431012326673604c96894f5dafb56d3553dd13f5cb8a568->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(184): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(121): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(75): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(665): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1','192.168.1.12',1558337751),(16,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12209:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(584): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_views-view-unformatted.ht_5tAAlf0t8sZkVGcyvpcZujcyZ/CbYL5GwKA-s-yWd-_ws8CUo1kXUozmWVWxjx5bIaFAw.php(64): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_c5f88a1c8a45d2893b4f99d05ad0c48e79698bb1233ee134b2607365532499f4->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_views-view.html.twig_My8wCKNyJv0eBmdCJ1uPxYt8x/7giAQpJwOJ028FvosY6Ahurl3El8SEp6l05gasb5euE.php(114): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_0b39505df84b691c5a3640573ee0790767231d2654971965753660bef51abd95->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_block.html.twig_LFLBPkAJ5uxj8bOOjnyXqtY9a/baYT5a5SrHU6ZTH7q7Ton-uvj4csaCROhKaFrQexFkU.php(87): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(215): __TwigTemplate_344c61f77778ece144de65dd5249666b44d0bb02dd63703db306d530380e0702->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_block.html.twig_LFLBPkAJ5uxj8bOOjnyXqtY9a/baYT5a5SrHU6ZTH7q7Ton-uvj4csaCROhKaFrQexFkU.php(72): Twig_Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_344c61f77778ece144de65dd5249666b44d0bb02dd63703db306d530380e0702->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_page.html.twig_75ONbCdLWN9yK6Oiqx2A1iRQ8/eYOFr-6n1O7PUgpue6Sz-BPekjBrpl0Zh7GBHceFT3c.php(470): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_af268b878aeaafd1300d393e732e6d27caafdb651eab426cd9d8e65e50ca5201->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_html.html.twig_1dRce4mGJX4Smnawii2qYtSpq/W_YHytsVfJujdAOS0zLJ3wKEuv3Vt3LkTNKrpa8GCnI.php(93): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_8729c36dd2ace3335431012326673604c96894f5dafb56d3553dd13f5cb8a568->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(184): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(121): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(75): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(665): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1','192.168.1.12',1558337751),(17,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12209:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(584): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_views-view-unformatted--o_AJNZsCcvHFHi6cUtWeFn7skky/7-JNMQNN8tpUi4zyAjpkWwOx3GbMbr5MH82U-wAM6Jc.php(63): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_20270cb5d14f94a89383353da18b05b620c12013584491a3cc97332598a8607f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_views-view.html.twig_My8wCKNyJv0eBmdCJ1uPxYt8x/7giAQpJwOJ028FvosY6Ahurl3El8SEp6l05gasb5euE.php(114): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_0b39505df84b691c5a3640573ee0790767231d2654971965753660bef51abd95->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_block.html.twig_LFLBPkAJ5uxj8bOOjnyXqtY9a/baYT5a5SrHU6ZTH7q7Ton-uvj4csaCROhKaFrQexFkU.php(87): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(215): __TwigTemplate_344c61f77778ece144de65dd5249666b44d0bb02dd63703db306d530380e0702->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_block.html.twig_LFLBPkAJ5uxj8bOOjnyXqtY9a/baYT5a5SrHU6ZTH7q7Ton-uvj4csaCROhKaFrQexFkU.php(72): Twig_Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_344c61f77778ece144de65dd5249666b44d0bb02dd63703db306d530380e0702->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_page.html.twig_75ONbCdLWN9yK6Oiqx2A1iRQ8/eYOFr-6n1O7PUgpue6Sz-BPekjBrpl0Zh7GBHceFT3c.php(502): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_af268b878aeaafd1300d393e732e6d27caafdb651eab426cd9d8e65e50ca5201->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_html.html.twig_1dRce4mGJX4Smnawii2qYtSpq/W_YHytsVfJujdAOS0zLJ3wKEuv3Vt3LkTNKrpa8GCnI.php(93): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_8729c36dd2ace3335431012326673604c96894f5dafb56d3553dd13f5cb8a568->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(184): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(121): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(75): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(665): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1','192.168.1.12',1558337752),(18,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12209:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(584): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_views-view-unformatted--o_AJNZsCcvHFHi6cUtWeFn7skky/7-JNMQNN8tpUi4zyAjpkWwOx3GbMbr5MH82U-wAM6Jc.php(63): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_20270cb5d14f94a89383353da18b05b620c12013584491a3cc97332598a8607f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_views-view.html.twig_My8wCKNyJv0eBmdCJ1uPxYt8x/7giAQpJwOJ028FvosY6Ahurl3El8SEp6l05gasb5euE.php(114): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_0b39505df84b691c5a3640573ee0790767231d2654971965753660bef51abd95->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_block.html.twig_LFLBPkAJ5uxj8bOOjnyXqtY9a/baYT5a5SrHU6ZTH7q7Ton-uvj4csaCROhKaFrQexFkU.php(87): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(215): __TwigTemplate_344c61f77778ece144de65dd5249666b44d0bb02dd63703db306d530380e0702->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_block.html.twig_LFLBPkAJ5uxj8bOOjnyXqtY9a/baYT5a5SrHU6ZTH7q7Ton-uvj4csaCROhKaFrQexFkU.php(72): Twig_Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_344c61f77778ece144de65dd5249666b44d0bb02dd63703db306d530380e0702->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_page.html.twig_75ONbCdLWN9yK6Oiqx2A1iRQ8/eYOFr-6n1O7PUgpue6Sz-BPekjBrpl0Zh7GBHceFT3c.php(502): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_af268b878aeaafd1300d393e732e6d27caafdb651eab426cd9d8e65e50ca5201->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_html.html.twig_1dRce4mGJX4Smnawii2qYtSpq/W_YHytsVfJujdAOS0zLJ3wKEuv3Vt3LkTNKrpa8GCnI.php(93): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_8729c36dd2ace3335431012326673604c96894f5dafb56d3553dd13f5cb8a568->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(184): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(121): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(75): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(665): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1','192.168.1.12',1558337752),(19,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12209:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(584): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_views-view-unformatted--o_AJNZsCcvHFHi6cUtWeFn7skky/7-JNMQNN8tpUi4zyAjpkWwOx3GbMbr5MH82U-wAM6Jc.php(63): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_20270cb5d14f94a89383353da18b05b620c12013584491a3cc97332598a8607f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_views-view.html.twig_My8wCKNyJv0eBmdCJ1uPxYt8x/7giAQpJwOJ028FvosY6Ahurl3El8SEp6l05gasb5euE.php(114): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_0b39505df84b691c5a3640573ee0790767231d2654971965753660bef51abd95->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_block.html.twig_LFLBPkAJ5uxj8bOOjnyXqtY9a/baYT5a5SrHU6ZTH7q7Ton-uvj4csaCROhKaFrQexFkU.php(87): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(215): __TwigTemplate_344c61f77778ece144de65dd5249666b44d0bb02dd63703db306d530380e0702->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_block.html.twig_LFLBPkAJ5uxj8bOOjnyXqtY9a/baYT5a5SrHU6ZTH7q7Ton-uvj4csaCROhKaFrQexFkU.php(72): Twig_Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_344c61f77778ece144de65dd5249666b44d0bb02dd63703db306d530380e0702->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_page.html.twig_75ONbCdLWN9yK6Oiqx2A1iRQ8/eYOFr-6n1O7PUgpue6Sz-BPekjBrpl0Zh7GBHceFT3c.php(502): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_af268b878aeaafd1300d393e732e6d27caafdb651eab426cd9d8e65e50ca5201->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_html.html.twig_1dRce4mGJX4Smnawii2qYtSpq/W_YHytsVfJujdAOS0zLJ3wKEuv3Vt3LkTNKrpa8GCnI.php(93): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_8729c36dd2ace3335431012326673604c96894f5dafb56d3553dd13f5cb8a568->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(184): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(121): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(75): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(665): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1','192.168.1.12',1558337752),(20,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12209:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(584): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_views-view-unformatted--o_AJNZsCcvHFHi6cUtWeFn7skky/7-JNMQNN8tpUi4zyAjpkWwOx3GbMbr5MH82U-wAM6Jc.php(63): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_20270cb5d14f94a89383353da18b05b620c12013584491a3cc97332598a8607f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_views-view.html.twig_My8wCKNyJv0eBmdCJ1uPxYt8x/7giAQpJwOJ028FvosY6Ahurl3El8SEp6l05gasb5euE.php(114): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_0b39505df84b691c5a3640573ee0790767231d2654971965753660bef51abd95->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_block.html.twig_LFLBPkAJ5uxj8bOOjnyXqtY9a/baYT5a5SrHU6ZTH7q7Ton-uvj4csaCROhKaFrQexFkU.php(87): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(215): __TwigTemplate_344c61f77778ece144de65dd5249666b44d0bb02dd63703db306d530380e0702->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_block.html.twig_LFLBPkAJ5uxj8bOOjnyXqtY9a/baYT5a5SrHU6ZTH7q7Ton-uvj4csaCROhKaFrQexFkU.php(72): Twig_Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_344c61f77778ece144de65dd5249666b44d0bb02dd63703db306d530380e0702->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_page.html.twig_75ONbCdLWN9yK6Oiqx2A1iRQ8/eYOFr-6n1O7PUgpue6Sz-BPekjBrpl0Zh7GBHceFT3c.php(502): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_af268b878aeaafd1300d393e732e6d27caafdb651eab426cd9d8e65e50ca5201->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_html.html.twig_1dRce4mGJX4Smnawii2qYtSpq/W_YHytsVfJujdAOS0zLJ3wKEuv3Vt3LkTNKrpa8GCnI.php(93): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_8729c36dd2ace3335431012326673604c96894f5dafb56d3553dd13f5cb8a568->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(184): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(121): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(75): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(665): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1','192.168.1.12',1558337752),(21,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12209:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(584): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_views-view-unformatted--o_AJNZsCcvHFHi6cUtWeFn7skky/7-JNMQNN8tpUi4zyAjpkWwOx3GbMbr5MH82U-wAM6Jc.php(63): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_20270cb5d14f94a89383353da18b05b620c12013584491a3cc97332598a8607f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_views-view.html.twig_My8wCKNyJv0eBmdCJ1uPxYt8x/7giAQpJwOJ028FvosY6Ahurl3El8SEp6l05gasb5euE.php(114): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_0b39505df84b691c5a3640573ee0790767231d2654971965753660bef51abd95->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_block.html.twig_LFLBPkAJ5uxj8bOOjnyXqtY9a/baYT5a5SrHU6ZTH7q7Ton-uvj4csaCROhKaFrQexFkU.php(87): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(215): __TwigTemplate_344c61f77778ece144de65dd5249666b44d0bb02dd63703db306d530380e0702->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_block.html.twig_LFLBPkAJ5uxj8bOOjnyXqtY9a/baYT5a5SrHU6ZTH7q7Ton-uvj4csaCROhKaFrQexFkU.php(72): Twig_Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_344c61f77778ece144de65dd5249666b44d0bb02dd63703db306d530380e0702->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_page.html.twig_75ONbCdLWN9yK6Oiqx2A1iRQ8/eYOFr-6n1O7PUgpue6Sz-BPekjBrpl0Zh7GBHceFT3c.php(502): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_af268b878aeaafd1300d393e732e6d27caafdb651eab426cd9d8e65e50ca5201->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_html.html.twig_1dRce4mGJX4Smnawii2qYtSpq/W_YHytsVfJujdAOS0zLJ3wKEuv3Vt3LkTNKrpa8GCnI.php(93): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_8729c36dd2ace3335431012326673604c96894f5dafb56d3553dd13f5cb8a568->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(184): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(121): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(75): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(665): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1','192.168.1.12',1558337752),(22,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12209:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(584): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_views-view-unformatted--o_AJNZsCcvHFHi6cUtWeFn7skky/7-JNMQNN8tpUi4zyAjpkWwOx3GbMbr5MH82U-wAM6Jc.php(63): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_20270cb5d14f94a89383353da18b05b620c12013584491a3cc97332598a8607f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_views-view.html.twig_My8wCKNyJv0eBmdCJ1uPxYt8x/7giAQpJwOJ028FvosY6Ahurl3El8SEp6l05gasb5euE.php(114): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_0b39505df84b691c5a3640573ee0790767231d2654971965753660bef51abd95->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_block.html.twig_LFLBPkAJ5uxj8bOOjnyXqtY9a/baYT5a5SrHU6ZTH7q7Ton-uvj4csaCROhKaFrQexFkU.php(87): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(215): __TwigTemplate_344c61f77778ece144de65dd5249666b44d0bb02dd63703db306d530380e0702->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_block.html.twig_LFLBPkAJ5uxj8bOOjnyXqtY9a/baYT5a5SrHU6ZTH7q7Ton-uvj4csaCROhKaFrQexFkU.php(72): Twig_Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_344c61f77778ece144de65dd5249666b44d0bb02dd63703db306d530380e0702->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_page.html.twig_75ONbCdLWN9yK6Oiqx2A1iRQ8/eYOFr-6n1O7PUgpue6Sz-BPekjBrpl0Zh7GBHceFT3c.php(502): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_af268b878aeaafd1300d393e732e6d27caafdb651eab426cd9d8e65e50ca5201->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_html.html.twig_1dRce4mGJX4Smnawii2qYtSpq/W_YHytsVfJujdAOS0zLJ3wKEuv3Vt3LkTNKrpa8GCnI.php(93): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_8729c36dd2ace3335431012326673604c96894f5dafb56d3553dd13f5cb8a568->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(184): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(121): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(75): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(665): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1','192.168.1.12',1558337752),(23,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12209:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(584): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_views-view-unformatted.ht_5tAAlf0t8sZkVGcyvpcZujcyZ/CbYL5GwKA-s-yWd-_ws8CUo1kXUozmWVWxjx5bIaFAw.php(64): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_c5f88a1c8a45d2893b4f99d05ad0c48e79698bb1233ee134b2607365532499f4->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_views-view.html.twig_My8wCKNyJv0eBmdCJ1uPxYt8x/7giAQpJwOJ028FvosY6Ahurl3El8SEp6l05gasb5euE.php(114): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_0b39505df84b691c5a3640573ee0790767231d2654971965753660bef51abd95->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_block.html.twig_LFLBPkAJ5uxj8bOOjnyXqtY9a/baYT5a5SrHU6ZTH7q7Ton-uvj4csaCROhKaFrQexFkU.php(87): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(215): __TwigTemplate_344c61f77778ece144de65dd5249666b44d0bb02dd63703db306d530380e0702->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_block.html.twig_LFLBPkAJ5uxj8bOOjnyXqtY9a/baYT5a5SrHU6ZTH7q7Ton-uvj4csaCROhKaFrQexFkU.php(72): Twig_Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_344c61f77778ece144de65dd5249666b44d0bb02dd63703db306d530380e0702->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_page.html.twig_75ONbCdLWN9yK6Oiqx2A1iRQ8/eYOFr-6n1O7PUgpue6Sz-BPekjBrpl0Zh7GBHceFT3c.php(550): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_af268b878aeaafd1300d393e732e6d27caafdb651eab426cd9d8e65e50ca5201->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_html.html.twig_1dRce4mGJX4Smnawii2qYtSpq/W_YHytsVfJujdAOS0zLJ3wKEuv3Vt3LkTNKrpa8GCnI.php(93): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_8729c36dd2ace3335431012326673604c96894f5dafb56d3553dd13f5cb8a568->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(184): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(121): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(75): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(665): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1','192.168.1.12',1558337752),(24,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12209:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(584): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_views-view-unformatted.ht_5tAAlf0t8sZkVGcyvpcZujcyZ/CbYL5GwKA-s-yWd-_ws8CUo1kXUozmWVWxjx5bIaFAw.php(64): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_c5f88a1c8a45d2893b4f99d05ad0c48e79698bb1233ee134b2607365532499f4->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_views-view.html.twig_My8wCKNyJv0eBmdCJ1uPxYt8x/7giAQpJwOJ028FvosY6Ahurl3El8SEp6l05gasb5euE.php(114): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_0b39505df84b691c5a3640573ee0790767231d2654971965753660bef51abd95->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_block.html.twig_LFLBPkAJ5uxj8bOOjnyXqtY9a/baYT5a5SrHU6ZTH7q7Ton-uvj4csaCROhKaFrQexFkU.php(87): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(215): __TwigTemplate_344c61f77778ece144de65dd5249666b44d0bb02dd63703db306d530380e0702->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_block.html.twig_LFLBPkAJ5uxj8bOOjnyXqtY9a/baYT5a5SrHU6ZTH7q7Ton-uvj4csaCROhKaFrQexFkU.php(72): Twig_Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_344c61f77778ece144de65dd5249666b44d0bb02dd63703db306d530380e0702->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_page.html.twig_75ONbCdLWN9yK6Oiqx2A1iRQ8/eYOFr-6n1O7PUgpue6Sz-BPekjBrpl0Zh7GBHceFT3c.php(550): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_af268b878aeaafd1300d393e732e6d27caafdb651eab426cd9d8e65e50ca5201->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(490): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce258d4b4871_html.html.twig_1dRce4mGJX4Smnawii2qYtSpq/W_YHytsVfJujdAOS0zLJ3wKEuv3Vt3LkTNKrpa8GCnI.php(93): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(432): __TwigTemplate_8729c36dd2ace3335431012326673604c96894f5dafb56d3553dd13f5cb8a568->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(403): Twig_Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/lib/Twig/Template.php(411): Twig_Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig_Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(184): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(121): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(75): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(665): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1','192.168.1.12',1558337752),(25,0,'cron','Starting execution of @module_cron().','a:1:{s:7:\"@module\";s:7:\"comment\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1','192.168.1.12',1558337753),(26,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:5:\"dblog\";s:16:\"@module_previous\";s:7:\"comment\";s:5:\"@time\";s:6:\"9.93ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1','192.168.1.12',1558337753),(27,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:5:\"field\";s:16:\"@module_previous\";s:5:\"dblog\";s:5:\"@time\";s:7:\"20.39ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1','192.168.1.12',1558337753),(28,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:4:\"file\";s:16:\"@module_previous\";s:5:\"field\";s:5:\"@time\";s:7:\"18.71ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1','192.168.1.12',1558337753),(29,0,'file system','Could not delete temporary file \"%path\" during garbage collection','a:1:{s:5:\"%path\";s:61:\"public://field/slideshow/photo-1431102325666-4395d8bfac52.jpg\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1','192.168.1.12',1558337753),(30,0,'file system','Could not delete temporary file \"%path\" during garbage collection','a:1:{s:5:\"%path\";s:61:\"public://field/slideshow/photo-1432821596592-e2c18b78144f.jpg\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1','192.168.1.12',1558337753),(31,0,'file system','Could not delete temporary file \"%path\" during garbage collection','a:1:{s:5:\"%path\";s:59:\"public://field/gallery/photo-1449247613801-ab06418e2861.jpg\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1','192.168.1.12',1558337753),(32,0,'file system','Could not delete temporary file \"%path\" during garbage collection','a:1:{s:5:\"%path\";s:47:\"public://field/gallery/dreamstime_xxl_44763.jpg\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1','192.168.1.12',1558337753),(33,0,'file system','Could not delete temporary file \"%path\" during garbage collection','a:1:{s:5:\"%path\";s:52:\"public://field/gallery/dreamstime_xxl_24540566_0.jpg\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1','192.168.1.12',1558337753),(34,0,'file system','Could not delete temporary file \"%path\" during garbage collection','a:1:{s:5:\"%path\";s:61:\"public://field/gallery/photo-1458240598330-ccda17524e5c_0.jpg\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1','192.168.1.12',1558337753),(35,0,'file system','Could not delete temporary file \"%path\" during garbage collection','a:1:{s:5:\"%path\";s:63:\"public://field/slideshow/photo-1431102325666-4395d8bfac52_0.jpg\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1','192.168.1.12',1558337753),(36,0,'file system','Could not delete temporary file \"%path\" during garbage collection','a:1:{s:5:\"%path\";s:35:\"public://field/banner/image-1_0.jpg\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1','192.168.1.12',1558337753),(37,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:7:\"history\";s:16:\"@module_previous\";s:4:\"file\";s:5:\"@time\";s:8:\"131.95ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1','192.168.1.12',1558337753),(38,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"locale\";s:16:\"@module_previous\";s:7:\"history\";s:5:\"@time\";s:6:\"6.65ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1','192.168.1.12',1558337753),(39,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:4:\"node\";s:16:\"@module_previous\";s:6:\"locale\";s:5:\"@time\";s:6:\"0.04ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1','192.168.1.12',1558337753),(40,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"search\";s:16:\"@module_previous\";s:4:\"node\";s:5:\"@time\";s:6:\"7.66ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1','192.168.1.12',1558337753),(41,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:10:\"simplenews\";s:16:\"@module_previous\";s:6:\"search\";s:5:\"@time\";s:6:\"3.28ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1','192.168.1.12',1558337753),(42,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"system\";s:16:\"@module_previous\";s:10:\"simplenews\";s:5:\"@time\";s:7:\"27.67ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1','192.168.1.12',1558337753),(43,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"update\";s:16:\"@module_previous\";s:6:\"system\";s:5:\"@time\";s:7:\"26.04ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1','192.168.1.12',1558337753),(44,0,'cron','Attempting to re-run cron while it is already running.','a:0:{}',4,'','http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/styles/image_1920_845/public/field/slideshow/slider02.jpg?itok=zHD8Qxbq','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.12',1558337756),(45,0,'cron','Attempting to re-run cron while it is already running.','a:0:{}',4,'','http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/styles/image_1920_845/public/field/slideshow/slider01.jpg?itok=oZlj1ppz','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.12',1558337757),(46,0,'cron','Attempting to re-run cron while it is already running.','a:0:{}',4,'','http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/styles/image_1920_845/public/field/slideshow/slider01_0.jpg?itok=pJtNgbQz','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.12',1558337757),(47,0,'cron','Attempting to re-run cron while it is already running.','a:0:{}',4,'','http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/styles/image_1920_700/public/field/banner/about-us-banner.jpg?itok=UW8PbBlO','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.12',1558337757),(48,0,'cron','Attempting to re-run cron while it is already running.','a:0:{}',4,'','http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/styles/image_551_372/public/field/blog/blog-01.jpg?itok=WLGJd480','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.12',1558337757),(49,0,'cron','Attempting to re-run cron while it is already running.','a:0:{}',4,'','http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/styles/image_551_372/public/field/blog/blog-03.jpg?itok=83qPKtx9','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.12',1558337757),(50,0,'cron','Attempting to re-run cron while it is already running.','a:0:{}',4,'','http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/styles/image_551_372/public/field/blog/blog-02.jpg?itok=7PhIWd28','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.12',1558337757),(51,0,'cron','Attempting to re-run cron while it is already running.','a:0:{}',4,'','http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/styles/image_380_224/public/field/partners/logo-bs.png?itok=K0RPbk_h','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.12',1558337758),(52,0,'cron','Attempting to re-run cron while it is already running.','a:0:{}',4,'','http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/styles/image_380_224/public/field/partners/logo-wp.png?itok=bg9l3f8O','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.12',1558337758),(53,0,'cron','Attempting to re-run cron while it is already running.','a:0:{}',4,'','http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/styles/image_380_224/public/field/partners/jquery-logo.png?itok=LOz187-u','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.12',1558337758),(54,0,'cron','Attempting to re-run cron while it is already running.','a:0:{}',4,'','http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/styles/image_380_224/public/field/partners/youtube_logo.png?itok=W1Z0jbNz','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.12',1558337758),(55,0,'mail','Error sending email (from %from to %to with reply-to %reply).','a:3:{s:5:\"%from\";s:13:\"admin@lvh.com\";s:3:\"%to\";s:13:\"admin@lvh.com\";s:6:\"%reply\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"not set\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1','192.168.1.12',1558337758),(56,0,'cron','Execution of @module_previous_cron() took @time.','a:2:{s:16:\"@module_previous\";s:6:\"update\";s:5:\"@time\";s:9:\"5080.22ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1','192.168.1.12',1558337758),(57,0,'cron','Cron run completed.','a:0:{}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/core/install.php?rewrite=ok&langcode=en&profile=standard&continue=1','192.168.1.12',1558337758),(58,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12130:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted--o_nkJFWM1bXpHAGRT-ykh-znfJS/GElgqQNtjInt6iPQ8JXIm9SBexEpn1Ka6NNZZHg4O2c.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_16a1f40db8d9cdec6d3362160014741e351e50a310f316a90e27cd0d89c638a6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.12',1558338600),(59,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12130:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted--o_nkJFWM1bXpHAGRT-ykh-znfJS/GElgqQNtjInt6iPQ8JXIm9SBexEpn1Ka6NNZZHg4O2c.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_16a1f40db8d9cdec6d3362160014741e351e50a310f316a90e27cd0d89c638a6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.12',1558338600),(60,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12130:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted--o_nkJFWM1bXpHAGRT-ykh-znfJS/GElgqQNtjInt6iPQ8JXIm9SBexEpn1Ka6NNZZHg4O2c.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_16a1f40db8d9cdec6d3362160014741e351e50a310f316a90e27cd0d89c638a6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.12',1558338600),(61,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12130:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted--o_nkJFWM1bXpHAGRT-ykh-znfJS/GElgqQNtjInt6iPQ8JXIm9SBexEpn1Ka6NNZZHg4O2c.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_16a1f40db8d9cdec6d3362160014741e351e50a310f316a90e27cd0d89c638a6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.12',1558338600),(62,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12130:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted--o_nkJFWM1bXpHAGRT-ykh-znfJS/GElgqQNtjInt6iPQ8JXIm9SBexEpn1Ka6NNZZHg4O2c.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_16a1f40db8d9cdec6d3362160014741e351e50a310f316a90e27cd0d89c638a6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.12',1558338600),(63,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12130:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted--o_nkJFWM1bXpHAGRT-ykh-znfJS/GElgqQNtjInt6iPQ8JXIm9SBexEpn1Ka6NNZZHg4O2c.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_16a1f40db8d9cdec6d3362160014741e351e50a310f316a90e27cd0d89c638a6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.12',1558338600),(64,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12130:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted.ht_cDVQhBFxpJgoGj4mMKlvDeuq_/Kar-ph8-yU2CeKpnnzsTL-Y6N0ax74PyMxaXmyoNrJE.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_6556fc351c3b28ffb0782449b284262d60e9d2cf42476252fc40baa39e854bd6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(562): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.12',1558338600),(65,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12130:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted.ht_cDVQhBFxpJgoGj4mMKlvDeuq_/Kar-ph8-yU2CeKpnnzsTL-Y6N0ax74PyMxaXmyoNrJE.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_6556fc351c3b28ffb0782449b284262d60e9d2cf42476252fc40baa39e854bd6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(562): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.12',1558338600),(66,1,'user','Session opened for %name.','a:1:{s:5:\"%name\";s:5:\"admin\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.12',1558338607),(67,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11917:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted--o_nkJFWM1bXpHAGRT-ykh-znfJS/GElgqQNtjInt6iPQ8JXIm9SBexEpn1Ka6NNZZHg4O2c.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_16a1f40db8d9cdec6d3362160014741e351e50a310f316a90e27cd0d89c638a6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.12',1558338609),(68,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11917:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted--o_nkJFWM1bXpHAGRT-ykh-znfJS/GElgqQNtjInt6iPQ8JXIm9SBexEpn1Ka6NNZZHg4O2c.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_16a1f40db8d9cdec6d3362160014741e351e50a310f316a90e27cd0d89c638a6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.12',1558338609),(69,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11917:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted--o_nkJFWM1bXpHAGRT-ykh-znfJS/GElgqQNtjInt6iPQ8JXIm9SBexEpn1Ka6NNZZHg4O2c.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_16a1f40db8d9cdec6d3362160014741e351e50a310f316a90e27cd0d89c638a6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.12',1558338609),(70,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11917:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted--o_nkJFWM1bXpHAGRT-ykh-znfJS/GElgqQNtjInt6iPQ8JXIm9SBexEpn1Ka6NNZZHg4O2c.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_16a1f40db8d9cdec6d3362160014741e351e50a310f316a90e27cd0d89c638a6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.12',1558338609),(71,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11917:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted--o_nkJFWM1bXpHAGRT-ykh-znfJS/GElgqQNtjInt6iPQ8JXIm9SBexEpn1Ka6NNZZHg4O2c.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_16a1f40db8d9cdec6d3362160014741e351e50a310f316a90e27cd0d89c638a6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.12',1558338609),(72,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11917:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted--o_nkJFWM1bXpHAGRT-ykh-znfJS/GElgqQNtjInt6iPQ8JXIm9SBexEpn1Ka6NNZZHg4O2c.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_16a1f40db8d9cdec6d3362160014741e351e50a310f316a90e27cd0d89c638a6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.12',1558338609),(73,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11917:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted.ht_cDVQhBFxpJgoGj4mMKlvDeuq_/Kar-ph8-yU2CeKpnnzsTL-Y6N0ax74PyMxaXmyoNrJE.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_6556fc351c3b28ffb0782449b284262d60e9d2cf42476252fc40baa39e854bd6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(562): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.12',1558338609),(74,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11917:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted.ht_cDVQhBFxpJgoGj4mMKlvDeuq_/Kar-ph8-yU2CeKpnnzsTL-Y6N0ax74PyMxaXmyoNrJE.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_6556fc351c3b28ffb0782449b284262d60e9d2cf42476252fc40baa39e854bd6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(562): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.12',1558338609),(75,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12130:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted.ht_cDVQhBFxpJgoGj4mMKlvDeuq_/Kar-ph8-yU2CeKpnnzsTL-Y6N0ax74PyMxaXmyoNrJE.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_6556fc351c3b28ffb0782449b284262d60e9d2cf42476252fc40baa39e854bd6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(289): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.23',1558340895),(76,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12130:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted.ht_cDVQhBFxpJgoGj4mMKlvDeuq_/Kar-ph8-yU2CeKpnnzsTL-Y6N0ax74PyMxaXmyoNrJE.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_6556fc351c3b28ffb0782449b284262d60e9d2cf42476252fc40baa39e854bd6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(289): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.23',1558340895),(77,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12130:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted.ht_cDVQhBFxpJgoGj4mMKlvDeuq_/Kar-ph8-yU2CeKpnnzsTL-Y6N0ax74PyMxaXmyoNrJE.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_6556fc351c3b28ffb0782449b284262d60e9d2cf42476252fc40baa39e854bd6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(289): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.23',1558340895),(78,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12130:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted.ht_cDVQhBFxpJgoGj4mMKlvDeuq_/Kar-ph8-yU2CeKpnnzsTL-Y6N0ax74PyMxaXmyoNrJE.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_6556fc351c3b28ffb0782449b284262d60e9d2cf42476252fc40baa39e854bd6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(289): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.23',1558340895),(79,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12130:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted.ht_cDVQhBFxpJgoGj4mMKlvDeuq_/Kar-ph8-yU2CeKpnnzsTL-Y6N0ax74PyMxaXmyoNrJE.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_6556fc351c3b28ffb0782449b284262d60e9d2cf42476252fc40baa39e854bd6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(289): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.23',1558340895),(80,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12130:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted.ht_cDVQhBFxpJgoGj4mMKlvDeuq_/Kar-ph8-yU2CeKpnnzsTL-Y6N0ax74PyMxaXmyoNrJE.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_6556fc351c3b28ffb0782449b284262d60e9d2cf42476252fc40baa39e854bd6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(466): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.23',1558340895),(81,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12130:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted.ht_cDVQhBFxpJgoGj4mMKlvDeuq_/Kar-ph8-yU2CeKpnnzsTL-Y6N0ax74PyMxaXmyoNrJE.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_6556fc351c3b28ffb0782449b284262d60e9d2cf42476252fc40baa39e854bd6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.23',1558340896),(82,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12130:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted.ht_cDVQhBFxpJgoGj4mMKlvDeuq_/Kar-ph8-yU2CeKpnnzsTL-Y6N0ax74PyMxaXmyoNrJE.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_6556fc351c3b28ffb0782449b284262d60e9d2cf42476252fc40baa39e854bd6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.23',1558340896),(83,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12130:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted.ht_cDVQhBFxpJgoGj4mMKlvDeuq_/Kar-ph8-yU2CeKpnnzsTL-Y6N0ax74PyMxaXmyoNrJE.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_6556fc351c3b28ffb0782449b284262d60e9d2cf42476252fc40baa39e854bd6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.23',1558340896),(84,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12130:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted.ht_cDVQhBFxpJgoGj4mMKlvDeuq_/Kar-ph8-yU2CeKpnnzsTL-Y6N0ax74PyMxaXmyoNrJE.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_6556fc351c3b28ffb0782449b284262d60e9d2cf42476252fc40baa39e854bd6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.23',1558340896),(85,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12130:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted.ht_cDVQhBFxpJgoGj4mMKlvDeuq_/Kar-ph8-yU2CeKpnnzsTL-Y6N0ax74PyMxaXmyoNrJE.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_6556fc351c3b28ffb0782449b284262d60e9d2cf42476252fc40baa39e854bd6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.23',1558340896),(86,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12130:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted.ht_cDVQhBFxpJgoGj4mMKlvDeuq_/Kar-ph8-yU2CeKpnnzsTL-Y6N0ax74PyMxaXmyoNrJE.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_6556fc351c3b28ffb0782449b284262d60e9d2cf42476252fc40baa39e854bd6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.23',1558340896),(87,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12130:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted.ht_cDVQhBFxpJgoGj4mMKlvDeuq_/Kar-ph8-yU2CeKpnnzsTL-Y6N0ax74PyMxaXmyoNrJE.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_6556fc351c3b28ffb0782449b284262d60e9d2cf42476252fc40baa39e854bd6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.23',1558340896),(88,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12130:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted.ht_cDVQhBFxpJgoGj4mMKlvDeuq_/Kar-ph8-yU2CeKpnnzsTL-Y6N0ax74PyMxaXmyoNrJE.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_6556fc351c3b28ffb0782449b284262d60e9d2cf42476252fc40baa39e854bd6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.23',1558340896),(89,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12130:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted.ht_cDVQhBFxpJgoGj4mMKlvDeuq_/Kar-ph8-yU2CeKpnnzsTL-Y6N0ax74PyMxaXmyoNrJE.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_6556fc351c3b28ffb0782449b284262d60e9d2cf42476252fc40baa39e854bd6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.23',1558340896),(90,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12130:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted.ht_cDVQhBFxpJgoGj4mMKlvDeuq_/Kar-ph8-yU2CeKpnnzsTL-Y6N0ax74PyMxaXmyoNrJE.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_6556fc351c3b28ffb0782449b284262d60e9d2cf42476252fc40baa39e854bd6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.23',1558340896),(91,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12130:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted.ht_cDVQhBFxpJgoGj4mMKlvDeuq_/Kar-ph8-yU2CeKpnnzsTL-Y6N0ax74PyMxaXmyoNrJE.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_6556fc351c3b28ffb0782449b284262d60e9d2cf42476252fc40baa39e854bd6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(321): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/about-us','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.23',1558341654),(92,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12130:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted.ht_cDVQhBFxpJgoGj4mMKlvDeuq_/Kar-ph8-yU2CeKpnnzsTL-Y6N0ax74PyMxaXmyoNrJE.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_6556fc351c3b28ffb0782449b284262d60e9d2cf42476252fc40baa39e854bd6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/about-us','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.23',1558341654),(93,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12130:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted.ht_cDVQhBFxpJgoGj4mMKlvDeuq_/Kar-ph8-yU2CeKpnnzsTL-Y6N0ax74PyMxaXmyoNrJE.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_6556fc351c3b28ffb0782449b284262d60e9d2cf42476252fc40baa39e854bd6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/about-us','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.23',1558341654),(94,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12130:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted.ht_cDVQhBFxpJgoGj4mMKlvDeuq_/Kar-ph8-yU2CeKpnnzsTL-Y6N0ax74PyMxaXmyoNrJE.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_6556fc351c3b28ffb0782449b284262d60e9d2cf42476252fc40baa39e854bd6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/about-us','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.23',1558341654),(95,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12130:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted.ht_cDVQhBFxpJgoGj4mMKlvDeuq_/Kar-ph8-yU2CeKpnnzsTL-Y6N0ax74PyMxaXmyoNrJE.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_6556fc351c3b28ffb0782449b284262d60e9d2cf42476252fc40baa39e854bd6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/about-us','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.23',1558341654),(96,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12130:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted.ht_cDVQhBFxpJgoGj4mMKlvDeuq_/Kar-ph8-yU2CeKpnnzsTL-Y6N0ax74PyMxaXmyoNrJE.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_6556fc351c3b28ffb0782449b284262d60e9d2cf42476252fc40baa39e854bd6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/about-us','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.23',1558341654),(97,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12130:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted.ht_cDVQhBFxpJgoGj4mMKlvDeuq_/Kar-ph8-yU2CeKpnnzsTL-Y6N0ax74PyMxaXmyoNrJE.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_6556fc351c3b28ffb0782449b284262d60e9d2cf42476252fc40baa39e854bd6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/about-us','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.23',1558341654),(98,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12131:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted--w_Xk-eR6toTZdNsucoaGTyplCsZ/6gV2tln1SdFQss7l7AWkdqpMhNUJ3Dcg0LWAT4c0eBY.php(120): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_4ae286231560516ba4c9a11d6bd76ab493dffe288edd81ddc7fe021b60737cde->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/about-us','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.23',1558341655),(99,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12131:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted--w_Xk-eR6toTZdNsucoaGTyplCsZ/6gV2tln1SdFQss7l7AWkdqpMhNUJ3Dcg0LWAT4c0eBY.php(120): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_4ae286231560516ba4c9a11d6bd76ab493dffe288edd81ddc7fe021b60737cde->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/about-us','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.23',1558341655),(100,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12131:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted--w_Xk-eR6toTZdNsucoaGTyplCsZ/6gV2tln1SdFQss7l7AWkdqpMhNUJ3Dcg0LWAT4c0eBY.php(120): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_4ae286231560516ba4c9a11d6bd76ab493dffe288edd81ddc7fe021b60737cde->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/about-us','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.23',1558341655),(101,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12131:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted--w_Xk-eR6toTZdNsucoaGTyplCsZ/6gV2tln1SdFQss7l7AWkdqpMhNUJ3Dcg0LWAT4c0eBY.php(120): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_4ae286231560516ba4c9a11d6bd76ab493dffe288edd81ddc7fe021b60737cde->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/about-us','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.23',1558341655),(102,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12131:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted--w_Xk-eR6toTZdNsucoaGTyplCsZ/6gV2tln1SdFQss7l7AWkdqpMhNUJ3Dcg0LWAT4c0eBY.php(120): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_4ae286231560516ba4c9a11d6bd76ab493dffe288edd81ddc7fe021b60737cde->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/about-us','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.23',1558341655),(103,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:6:\"Notice\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:19:\"Undefined offset: 0\";}s:9:\"%function\";s:28:\"node_class_preprocess_node()\";s:5:\"%file\";s:69:\"/home/frontend/drupal8/luxestate/modules/node_class/node_class.module\";s:5:\"%line\";i:58;s:17:\"@backtrace_string\";s:4795:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(8, \'Undefined offse...\', \'/home/frontend/...\', 58, Array)\n#1 /home/frontend/drupal8/luxestate/modules/node_class/node_class.module(58): _drupal_error_handler(8, \'Undefined offse...\', \'/home/frontend/...\', 58, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(287): node_class_preprocess_node(Array, \'node\', Array)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'node\', Array)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(226): Drupal\\Core\\Render\\Renderer->render(Array, false)\n#6 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#7 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(227): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#8 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(117): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#9 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#10 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#12 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#13 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#16 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#17 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#18 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#19 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#20 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#21 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#23 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#24 {main}\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/blog/dare-bare','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.23',1558341667),(104,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12130:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted.ht_cDVQhBFxpJgoGj4mMKlvDeuq_/Kar-ph8-yU2CeKpnnzsTL-Y6N0ax74PyMxaXmyoNrJE.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_6556fc351c3b28ffb0782449b284262d60e9d2cf42476252fc40baa39e854bd6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(321): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog/dare-bare','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.23',1558341667),(105,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12130:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted.ht_cDVQhBFxpJgoGj4mMKlvDeuq_/Kar-ph8-yU2CeKpnnzsTL-Y6N0ax74PyMxaXmyoNrJE.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_6556fc351c3b28ffb0782449b284262d60e9d2cf42476252fc40baa39e854bd6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(337): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog/dare-bare','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.23',1558341667),(106,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12130:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted.ht_cDVQhBFxpJgoGj4mMKlvDeuq_/Kar-ph8-yU2CeKpnnzsTL-Y6N0ax74PyMxaXmyoNrJE.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_6556fc351c3b28ffb0782449b284262d60e9d2cf42476252fc40baa39e854bd6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(404): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog/dare-bare','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.23',1558341667),(107,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12130:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted.ht_cDVQhBFxpJgoGj4mMKlvDeuq_/Kar-ph8-yU2CeKpnnzsTL-Y6N0ax74PyMxaXmyoNrJE.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_6556fc351c3b28ffb0782449b284262d60e9d2cf42476252fc40baa39e854bd6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(415): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog/dare-bare','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.23',1558341667),(108,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12130:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted.ht_cDVQhBFxpJgoGj4mMKlvDeuq_/Kar-ph8-yU2CeKpnnzsTL-Y6N0ax74PyMxaXmyoNrJE.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_6556fc351c3b28ffb0782449b284262d60e9d2cf42476252fc40baa39e854bd6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(415): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog/dare-bare','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.23',1558341667),(109,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12130:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted.ht_cDVQhBFxpJgoGj4mMKlvDeuq_/Kar-ph8-yU2CeKpnnzsTL-Y6N0ax74PyMxaXmyoNrJE.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_6556fc351c3b28ffb0782449b284262d60e9d2cf42476252fc40baa39e854bd6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(415): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog/dare-bare','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.23',1558341667),(110,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12130:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted.ht_cDVQhBFxpJgoGj4mMKlvDeuq_/Kar-ph8-yU2CeKpnnzsTL-Y6N0ax74PyMxaXmyoNrJE.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_6556fc351c3b28ffb0782449b284262d60e9d2cf42476252fc40baa39e854bd6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(415): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog/dare-bare','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.23',1558341667),(111,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:6:\"Notice\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:19:\"Undefined offset: 0\";}s:9:\"%function\";s:28:\"node_class_preprocess_node()\";s:5:\"%file\";s:69:\"/home/frontend/drupal8/luxestate/modules/node_class/node_class.module\";s:5:\"%line\";i:58;s:17:\"@backtrace_string\";s:4795:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(8, \'Undefined offse...\', \'/home/frontend/...\', 58, Array)\n#1 /home/frontend/drupal8/luxestate/modules/node_class/node_class.module(58): _drupal_error_handler(8, \'Undefined offse...\', \'/home/frontend/...\', 58, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(287): node_class_preprocess_node(Array, \'node\', Array)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'node\', Array)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(226): Drupal\\Core\\Render\\Renderer->render(Array, false)\n#6 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#7 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(227): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#8 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(117): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#9 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#10 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#12 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#13 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#16 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#17 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#18 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#19 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#20 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#21 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#23 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#24 {main}\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/blog/wall','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.23',1558341729),(112,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12130:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted.ht_cDVQhBFxpJgoGj4mMKlvDeuq_/Kar-ph8-yU2CeKpnnzsTL-Y6N0ax74PyMxaXmyoNrJE.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_6556fc351c3b28ffb0782449b284262d60e9d2cf42476252fc40baa39e854bd6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(337): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog/wall','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.23',1558341729),(113,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12130:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted.ht_cDVQhBFxpJgoGj4mMKlvDeuq_/Kar-ph8-yU2CeKpnnzsTL-Y6N0ax74PyMxaXmyoNrJE.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_6556fc351c3b28ffb0782449b284262d60e9d2cf42476252fc40baa39e854bd6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(404): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog/wall','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.23',1558341729),(114,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12130:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted.ht_cDVQhBFxpJgoGj4mMKlvDeuq_/Kar-ph8-yU2CeKpnnzsTL-Y6N0ax74PyMxaXmyoNrJE.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_6556fc351c3b28ffb0782449b284262d60e9d2cf42476252fc40baa39e854bd6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(321): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/services','http://luxestate-d8.frontend.local2.weebpal.com/about-us','192.168.1.23',1558341798);
INSERT INTO `watchdog` VALUES (115,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12131:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted--w__u4METDG3UxmrYHw7CYow19zZ/jIP596-ZnrM0SKZ2oGjQWxa8KEDUl5_8Tt49-A1uob4.php(120): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_b653b69c234aef664e34fe7edfc528e202c54b471367ac3fa598cbc50f73af8f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/services','http://luxestate-d8.frontend.local2.weebpal.com/about-us','192.168.1.23',1558341798),(116,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12131:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted--w__u4METDG3UxmrYHw7CYow19zZ/jIP596-ZnrM0SKZ2oGjQWxa8KEDUl5_8Tt49-A1uob4.php(120): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_b653b69c234aef664e34fe7edfc528e202c54b471367ac3fa598cbc50f73af8f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/services','http://luxestate-d8.frontend.local2.weebpal.com/about-us','192.168.1.23',1558341798),(117,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12131:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted--w__u4METDG3UxmrYHw7CYow19zZ/jIP596-ZnrM0SKZ2oGjQWxa8KEDUl5_8Tt49-A1uob4.php(120): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_b653b69c234aef664e34fe7edfc528e202c54b471367ac3fa598cbc50f73af8f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/services','http://luxestate-d8.frontend.local2.weebpal.com/about-us','192.168.1.23',1558341798),(118,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12131:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted--w__u4METDG3UxmrYHw7CYow19zZ/jIP596-ZnrM0SKZ2oGjQWxa8KEDUl5_8Tt49-A1uob4.php(120): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_b653b69c234aef664e34fe7edfc528e202c54b471367ac3fa598cbc50f73af8f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/services','http://luxestate-d8.frontend.local2.weebpal.com/about-us','192.168.1.23',1558341798),(119,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:6:\"Notice\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:19:\"Undefined offset: 0\";}s:9:\"%function\";s:28:\"node_class_preprocess_node()\";s:5:\"%file\";s:69:\"/home/frontend/drupal8/luxestate/modules/node_class/node_class.module\";s:5:\"%line\";i:58;s:17:\"@backtrace_string\";s:4795:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(8, \'Undefined offse...\', \'/home/frontend/...\', 58, Array)\n#1 /home/frontend/drupal8/luxestate/modules/node_class/node_class.module(58): _drupal_error_handler(8, \'Undefined offse...\', \'/home/frontend/...\', 58, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(287): node_class_preprocess_node(Array, \'node\', Array)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'node\', Array)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(226): Drupal\\Core\\Render\\Renderer->render(Array, false)\n#6 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#7 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(227): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#8 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(117): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#9 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#10 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#12 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#13 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#16 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#17 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#18 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#19 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#20 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#21 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#23 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#24 {main}\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/blog/seeing-light','http://luxestate-d8.frontend.local2.weebpal.com/services','192.168.1.23',1558341830),(120,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12130:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted.ht_cDVQhBFxpJgoGj4mMKlvDeuq_/Kar-ph8-yU2CeKpnnzsTL-Y6N0ax74PyMxaXmyoNrJE.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_6556fc351c3b28ffb0782449b284262d60e9d2cf42476252fc40baa39e854bd6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(337): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog/seeing-light','http://luxestate-d8.frontend.local2.weebpal.com/services','192.168.1.23',1558341831),(121,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12130:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted.ht_cDVQhBFxpJgoGj4mMKlvDeuq_/Kar-ph8-yU2CeKpnnzsTL-Y6N0ax74PyMxaXmyoNrJE.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_6556fc351c3b28ffb0782449b284262d60e9d2cf42476252fc40baa39e854bd6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(404): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog/seeing-light','http://luxestate-d8.frontend.local2.weebpal.com/services','192.168.1.23',1558341831),(122,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12130:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted.ht_cDVQhBFxpJgoGj4mMKlvDeuq_/Kar-ph8-yU2CeKpnnzsTL-Y6N0ax74PyMxaXmyoNrJE.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_6556fc351c3b28ffb0782449b284262d60e9d2cf42476252fc40baa39e854bd6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(321): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/portfolio','http://luxestate-d8.frontend.local2.weebpal.com/services','192.168.1.23',1558341908),(123,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:7740:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted--p_tQVZSyOVVlSTfWcd_H-CMKDSc/lDWxH1JAuQdjcz1zvv2QaLT_ekVGBfetsrTO8WBaabM.php(77): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_61254f31e9a23293e09190c1c694c9c95b3ec465a97a431be42698cf08169af0->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(226): Drupal\\Core\\Render\\Renderer->render(Array, false)\n#26 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#27 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(227): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#28 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(117): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#29 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#30 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#31 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#32 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#33 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#36 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#37 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#38 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#39 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#40 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#41 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#42 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#43 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#44 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_masonry','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col','192.168.1.23',1558341951),(124,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:7740:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted--p_tQVZSyOVVlSTfWcd_H-CMKDSc/lDWxH1JAuQdjcz1zvv2QaLT_ekVGBfetsrTO8WBaabM.php(77): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_61254f31e9a23293e09190c1c694c9c95b3ec465a97a431be42698cf08169af0->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(226): Drupal\\Core\\Render\\Renderer->render(Array, false)\n#26 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#27 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(227): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#28 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(117): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#29 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#30 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#31 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#32 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#33 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#36 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#37 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#38 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#39 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#40 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#41 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#42 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#43 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#44 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_masonry','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col','192.168.1.23',1558341951),(125,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:7740:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted--p_tQVZSyOVVlSTfWcd_H-CMKDSc/lDWxH1JAuQdjcz1zvv2QaLT_ekVGBfetsrTO8WBaabM.php(77): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_61254f31e9a23293e09190c1c694c9c95b3ec465a97a431be42698cf08169af0->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(226): Drupal\\Core\\Render\\Renderer->render(Array, false)\n#26 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#27 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(227): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#28 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(117): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#29 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#30 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#31 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#32 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#33 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#36 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#37 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#38 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#39 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#40 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#41 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#42 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#43 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#44 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_masonry','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col','192.168.1.23',1558341951),(126,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:7740:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted--p_tQVZSyOVVlSTfWcd_H-CMKDSc/lDWxH1JAuQdjcz1zvv2QaLT_ekVGBfetsrTO8WBaabM.php(77): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_61254f31e9a23293e09190c1c694c9c95b3ec465a97a431be42698cf08169af0->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(226): Drupal\\Core\\Render\\Renderer->render(Array, false)\n#26 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#27 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(227): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#28 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(117): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#29 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#30 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#31 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#32 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#33 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#36 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#37 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#38 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#39 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#40 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#41 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#42 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#43 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#44 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_masonry','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col','192.168.1.23',1558341951),(127,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:7740:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted--p_tQVZSyOVVlSTfWcd_H-CMKDSc/lDWxH1JAuQdjcz1zvv2QaLT_ekVGBfetsrTO8WBaabM.php(77): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_61254f31e9a23293e09190c1c694c9c95b3ec465a97a431be42698cf08169af0->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(226): Drupal\\Core\\Render\\Renderer->render(Array, false)\n#26 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#27 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(227): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#28 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(117): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#29 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#30 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#31 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#32 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#33 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#36 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#37 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#38 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#39 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#40 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#41 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#42 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#43 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#44 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_masonry','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col','192.168.1.23',1558341951),(128,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:7740:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted--p_tQVZSyOVVlSTfWcd_H-CMKDSc/lDWxH1JAuQdjcz1zvv2QaLT_ekVGBfetsrTO8WBaabM.php(77): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_61254f31e9a23293e09190c1c694c9c95b3ec465a97a431be42698cf08169af0->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(226): Drupal\\Core\\Render\\Renderer->render(Array, false)\n#26 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#27 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(227): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#28 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(117): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#29 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#30 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#31 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#32 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#33 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#36 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#37 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#38 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#39 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#40 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#41 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#42 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#43 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#44 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_masonry','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col','192.168.1.23',1558341951),(129,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:7740:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted--p_tQVZSyOVVlSTfWcd_H-CMKDSc/lDWxH1JAuQdjcz1zvv2QaLT_ekVGBfetsrTO8WBaabM.php(77): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_61254f31e9a23293e09190c1c694c9c95b3ec465a97a431be42698cf08169af0->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(226): Drupal\\Core\\Render\\Renderer->render(Array, false)\n#26 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#27 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(227): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#28 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(117): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#29 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#30 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#31 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#32 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#33 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#36 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#37 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#38 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#39 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#40 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#41 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#42 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#43 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#44 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_masonry','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col','192.168.1.23',1558341951),(130,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:7740:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted--p_tQVZSyOVVlSTfWcd_H-CMKDSc/lDWxH1JAuQdjcz1zvv2QaLT_ekVGBfetsrTO8WBaabM.php(77): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_61254f31e9a23293e09190c1c694c9c95b3ec465a97a431be42698cf08169af0->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(226): Drupal\\Core\\Render\\Renderer->render(Array, false)\n#26 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#27 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(227): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#28 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(117): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#29 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#30 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#31 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#32 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#33 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#36 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#37 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#38 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#39 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#40 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#41 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#42 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#43 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#44 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_masonry','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col','192.168.1.23',1558341951),(131,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:7740:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted--p_tQVZSyOVVlSTfWcd_H-CMKDSc/lDWxH1JAuQdjcz1zvv2QaLT_ekVGBfetsrTO8WBaabM.php(77): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_61254f31e9a23293e09190c1c694c9c95b3ec465a97a431be42698cf08169af0->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(226): Drupal\\Core\\Render\\Renderer->render(Array, false)\n#26 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#27 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(227): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#28 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(117): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#29 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#30 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#31 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#32 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#33 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#36 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#37 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#38 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#39 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#40 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#41 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#42 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#43 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#44 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_masonry','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col','192.168.1.23',1558341951),(132,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:7740:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted--p_tQVZSyOVVlSTfWcd_H-CMKDSc/lDWxH1JAuQdjcz1zvv2QaLT_ekVGBfetsrTO8WBaabM.php(77): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_61254f31e9a23293e09190c1c694c9c95b3ec465a97a431be42698cf08169af0->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(226): Drupal\\Core\\Render\\Renderer->render(Array, false)\n#26 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#27 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(227): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#28 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(117): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#29 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#30 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#31 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#32 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#33 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#36 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#37 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#38 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#39 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#40 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#41 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#42 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#43 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#44 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_masonry','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col','192.168.1.23',1558341951),(133,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:7740:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted--p_tQVZSyOVVlSTfWcd_H-CMKDSc/lDWxH1JAuQdjcz1zvv2QaLT_ekVGBfetsrTO8WBaabM.php(77): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_61254f31e9a23293e09190c1c694c9c95b3ec465a97a431be42698cf08169af0->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(226): Drupal\\Core\\Render\\Renderer->render(Array, false)\n#26 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#27 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(227): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#28 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(117): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#29 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#30 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#31 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#32 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#33 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#36 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#37 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#38 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#39 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#40 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#41 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#42 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#43 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#44 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_masonry','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col','192.168.1.23',1558341951),(134,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:7740:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted--p_tQVZSyOVVlSTfWcd_H-CMKDSc/lDWxH1JAuQdjcz1zvv2QaLT_ekVGBfetsrTO8WBaabM.php(77): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_61254f31e9a23293e09190c1c694c9c95b3ec465a97a431be42698cf08169af0->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(226): Drupal\\Core\\Render\\Renderer->render(Array, false)\n#26 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#27 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(227): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#28 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(117): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#29 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#30 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#31 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#32 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#33 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#36 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#37 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#38 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#39 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#40 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#41 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#42 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#43 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#44 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_masonry','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col','192.168.1.23',1558341951),(135,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:7740:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted.ht_cDVQhBFxpJgoGj4mMKlvDeuq_/Kar-ph8-yU2CeKpnnzsTL-Y6N0ax74PyMxaXmyoNrJE.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_6556fc351c3b28ffb0782449b284262d60e9d2cf42476252fc40baa39e854bd6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(226): Drupal\\Core\\Render\\Renderer->render(Array, false)\n#26 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#27 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(227): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#28 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(117): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#29 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#30 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#31 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#32 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#33 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#36 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#37 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#38 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#39 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#40 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#41 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#42 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#43 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#44 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog_default','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_masonry','192.168.1.23',1558341965),(136,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:7740:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted.ht_cDVQhBFxpJgoGj4mMKlvDeuq_/Kar-ph8-yU2CeKpnnzsTL-Y6N0ax74PyMxaXmyoNrJE.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_6556fc351c3b28ffb0782449b284262d60e9d2cf42476252fc40baa39e854bd6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(226): Drupal\\Core\\Render\\Renderer->render(Array, false)\n#26 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#27 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(227): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#28 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(117): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#29 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#30 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#31 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#32 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#33 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#36 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#37 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#38 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#39 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#40 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#41 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#42 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#43 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#44 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog_default','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_masonry','192.168.1.23',1558341965),(137,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:7740:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted.ht_cDVQhBFxpJgoGj4mMKlvDeuq_/Kar-ph8-yU2CeKpnnzsTL-Y6N0ax74PyMxaXmyoNrJE.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_6556fc351c3b28ffb0782449b284262d60e9d2cf42476252fc40baa39e854bd6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(226): Drupal\\Core\\Render\\Renderer->render(Array, false)\n#26 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#27 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(227): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#28 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(117): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#29 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#30 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#31 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#32 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#33 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#36 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#37 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#38 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#39 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#40 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#41 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#42 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#43 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#44 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog_default','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_masonry','192.168.1.23',1558341965),(138,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:7740:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted.ht_cDVQhBFxpJgoGj4mMKlvDeuq_/Kar-ph8-yU2CeKpnnzsTL-Y6N0ax74PyMxaXmyoNrJE.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_6556fc351c3b28ffb0782449b284262d60e9d2cf42476252fc40baa39e854bd6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(226): Drupal\\Core\\Render\\Renderer->render(Array, false)\n#26 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#27 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(227): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#28 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(117): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#29 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#30 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#31 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#32 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#33 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#36 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#37 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#38 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#39 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#40 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#41 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#42 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#43 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#44 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog_default','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_masonry','192.168.1.23',1558341965),(139,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12130:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted.ht_cDVQhBFxpJgoGj4mMKlvDeuq_/Kar-ph8-yU2CeKpnnzsTL-Y6N0ax74PyMxaXmyoNrJE.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_6556fc351c3b28ffb0782449b284262d60e9d2cf42476252fc40baa39e854bd6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(321): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog_default','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_masonry','192.168.1.23',1558341965),(140,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12130:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted.ht_cDVQhBFxpJgoGj4mMKlvDeuq_/Kar-ph8-yU2CeKpnnzsTL-Y6N0ax74PyMxaXmyoNrJE.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_6556fc351c3b28ffb0782449b284262d60e9d2cf42476252fc40baa39e854bd6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(321): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/contact','http://luxestate-d8.frontend.local2.weebpal.com/blog_default','192.168.1.23',1558341983),(141,0,'mail','Error sending email (from %from to %to with reply-to %reply).','a:3:{s:5:\"%from\";s:13:\"admin@lvh.com\";s:3:\"%to\";s:13:\"admin@lvh.com\";s:6:\"%reply\";s:6:\"123@gm\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/contact','http://luxestate-d8.frontend.local2.weebpal.com/contact','192.168.1.23',1558342020),(142,0,'contact','%sender-name (@sender-from) sent an email regarding %contact_form.','a:3:{s:12:\"%sender-name\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:20:\"@name (not verified)\";s:12:\"\0*\0arguments\";a:1:{s:5:\"@name\";s:2:\"11\";}s:10:\"\0*\0options\";a:0:{}}s:12:\"@sender-from\";s:6:\"123@gm\";s:13:\"%contact_form\";s:16:\"Website feedback\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/contact','http://luxestate-d8.frontend.local2.weebpal.com/contact','192.168.1.23',1558342020),(143,1,'user','Session opened for %name.','a:1:{s:5:\"%name\";s:5:\"admin\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.23',1558342052),(144,1,'user','Session closed for %name.','a:1:{s:5:\"%name\";s:5:\"admin\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user/logout','http://luxestate-d8.frontend.local2.weebpal.com/user/1','192.168.1.23',1558342059),(145,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:6:\"Notice\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:19:\"Undefined offset: 0\";}s:9:\"%function\";s:28:\"node_class_preprocess_node()\";s:5:\"%file\";s:69:\"/home/frontend/drupal8/luxestate/modules/node_class/node_class.module\";s:5:\"%line\";i:58;s:17:\"@backtrace_string\";s:4795:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(8, \'Undefined offse...\', \'/home/frontend/...\', 58, Array)\n#1 /home/frontend/drupal8/luxestate/modules/node_class/node_class.module(58): _drupal_error_handler(8, \'Undefined offse...\', \'/home/frontend/...\', 58, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(287): node_class_preprocess_node(Array, \'node\', Array)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'node\', Array)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(226): Drupal\\Core\\Render\\Renderer->render(Array, false)\n#6 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#7 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(227): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#8 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(117): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#9 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#10 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#12 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#13 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#16 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#17 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#18 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#19 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#20 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#21 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#23 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#24 {main}\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/blog/warehouse-sale-emeryville','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.23',1558342097),(146,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12130:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted.ht_cDVQhBFxpJgoGj4mMKlvDeuq_/Kar-ph8-yU2CeKpnnzsTL-Y6N0ax74PyMxaXmyoNrJE.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_6556fc351c3b28ffb0782449b284262d60e9d2cf42476252fc40baa39e854bd6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(337): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog/warehouse-sale-emeryville','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.23',1558342097),(147,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12130:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted.ht_cDVQhBFxpJgoGj4mMKlvDeuq_/Kar-ph8-yU2CeKpnnzsTL-Y6N0ax74PyMxaXmyoNrJE.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_6556fc351c3b28ffb0782449b284262d60e9d2cf42476252fc40baa39e854bd6->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_vCRq2iFTS1cQyXb5dzQjVuFDJ/FqZxqx9hOtS9aUk9yb2AHdFEmxXqPHxPZFm_wd-DRXE.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_ac55882097d80b95c99a3ba1223d7c1734e0b6976b40210784e5134f0511c9b4->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(Array, Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_block.html.twig_VA_x2JsdhGONo05um1QL5nu8c/n5Y0pgzmQeLU14o03vZ2ChheMtKfAxUlDx7TX7nlZVQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_2d9125a72978b1165b31b52b5d42155d71a17bfb13c61c9f2fd9869d5037d4f0->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_page.html.twig_a8svQoA4OKiPYcYceYvaQSe4g/7qaxP8pr0OmXZhAH0MfqZshzcdaGbjK_RPQyLuc6H98.php(404): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_47068f683723ce370364243b8b28449cb7b0083b1864edbf1b2b1f1c5b529562->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_html.html.twig_NGZscaUZDs2NRAvvcWlcW4HE1/q8_gb2vz3scfYzlo2rWNyg2cN7_OijsRPa9YXBXf1_c.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_5ae5fbc671b81797c2444ead6bfeb9bbda5bc98db9b8f8c4cf71d69af3157ec4->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog/warehouse-sale-emeryville','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.23',1558342097),(148,0,'cron','Starting execution of @module_cron().','a:1:{s:7:\"@module\";s:7:\"comment\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col?page=2','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col','192.168.1.13',1558488400),(149,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:5:\"dblog\";s:16:\"@module_previous\";s:7:\"comment\";s:5:\"@time\";s:6:\"6.34ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col?page=2','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col','192.168.1.13',1558488400),(150,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:5:\"field\";s:16:\"@module_previous\";s:5:\"dblog\";s:5:\"@time\";s:7:\"24.43ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col?page=2','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col','192.168.1.13',1558488400),(151,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:4:\"file\";s:16:\"@module_previous\";s:5:\"field\";s:5:\"@time\";s:6:\"20.4ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col?page=2','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col','192.168.1.13',1558488400),(152,0,'file system','Temporary file \"%path\" that was deleted during garbage collection did not exist on the filesystem.','a:1:{s:5:\"%path\";s:61:\"public://field/slideshow/photo-1431102325666-4395d8bfac52.jpg\";}',4,'','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col?page=2','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col','192.168.1.13',1558488401),(153,0,'file','The file %path was not deleted because it does not exist.','a:1:{s:5:\"%path\";s:61:\"public://field/slideshow/photo-1431102325666-4395d8bfac52.jpg\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col?page=2','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col','192.168.1.13',1558488401),(154,0,'file system','Temporary file \"%path\" that was deleted during garbage collection did not exist on the filesystem.','a:1:{s:5:\"%path\";s:61:\"public://field/slideshow/photo-1432821596592-e2c18b78144f.jpg\";}',4,'','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col?page=2','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col','192.168.1.13',1558488401),(155,0,'file','The file %path was not deleted because it does not exist.','a:1:{s:5:\"%path\";s:61:\"public://field/slideshow/photo-1432821596592-e2c18b78144f.jpg\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col?page=2','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col','192.168.1.13',1558488401),(156,0,'file system','Temporary file \"%path\" that was deleted during garbage collection did not exist on the filesystem.','a:1:{s:5:\"%path\";s:59:\"public://field/gallery/photo-1449247613801-ab06418e2861.jpg\";}',4,'','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col?page=2','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col','192.168.1.13',1558488401),(157,0,'file','The file %path was not deleted because it does not exist.','a:1:{s:5:\"%path\";s:59:\"public://field/gallery/photo-1449247613801-ab06418e2861.jpg\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col?page=2','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col','192.168.1.13',1558488401),(158,0,'file system','Temporary file \"%path\" that was deleted during garbage collection did not exist on the filesystem.','a:1:{s:5:\"%path\";s:47:\"public://field/gallery/dreamstime_xxl_44763.jpg\";}',4,'','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col?page=2','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col','192.168.1.13',1558488401),(159,0,'file','The file %path was not deleted because it does not exist.','a:1:{s:5:\"%path\";s:47:\"public://field/gallery/dreamstime_xxl_44763.jpg\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col?page=2','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col','192.168.1.13',1558488401),(160,0,'file system','Temporary file \"%path\" that was deleted during garbage collection did not exist on the filesystem.','a:1:{s:5:\"%path\";s:52:\"public://field/gallery/dreamstime_xxl_24540566_0.jpg\";}',4,'','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col?page=2','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col','192.168.1.13',1558488401),(161,0,'file','The file %path was not deleted because it does not exist.','a:1:{s:5:\"%path\";s:52:\"public://field/gallery/dreamstime_xxl_24540566_0.jpg\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col?page=2','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col','192.168.1.13',1558488401),(162,0,'file system','Temporary file \"%path\" that was deleted during garbage collection did not exist on the filesystem.','a:1:{s:5:\"%path\";s:61:\"public://field/gallery/photo-1458240598330-ccda17524e5c_0.jpg\";}',4,'','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col?page=2','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col','192.168.1.13',1558488401),(163,0,'file','The file %path was not deleted because it does not exist.','a:1:{s:5:\"%path\";s:61:\"public://field/gallery/photo-1458240598330-ccda17524e5c_0.jpg\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col?page=2','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col','192.168.1.13',1558488401),(164,0,'file system','Temporary file \"%path\" that was deleted during garbage collection did not exist on the filesystem.','a:1:{s:5:\"%path\";s:63:\"public://field/slideshow/photo-1431102325666-4395d8bfac52_0.jpg\";}',4,'','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col?page=2','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col','192.168.1.13',1558488401),(165,0,'file','The file %path was not deleted because it does not exist.','a:1:{s:5:\"%path\";s:63:\"public://field/slideshow/photo-1431102325666-4395d8bfac52_0.jpg\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col?page=2','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col','192.168.1.13',1558488401),(166,0,'file system','Temporary file \"%path\" that was deleted during garbage collection did not exist on the filesystem.','a:1:{s:5:\"%path\";s:35:\"public://field/banner/image-1_0.jpg\";}',4,'','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col?page=2','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col','192.168.1.13',1558488401),(167,0,'file','The file %path was not deleted because it does not exist.','a:1:{s:5:\"%path\";s:35:\"public://field/banner/image-1_0.jpg\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col?page=2','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col','192.168.1.13',1558488401),(168,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:7:\"history\";s:16:\"@module_previous\";s:4:\"file\";s:5:\"@time\";s:8:\"228.49ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col?page=2','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col','192.168.1.13',1558488401),(169,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"locale\";s:16:\"@module_previous\";s:7:\"history\";s:5:\"@time\";s:6:\"1.63ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col?page=2','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col','192.168.1.13',1558488401),(170,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:4:\"node\";s:16:\"@module_previous\";s:6:\"locale\";s:5:\"@time\";s:6:\"0.02ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col?page=2','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col','192.168.1.13',1558488401),(171,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"search\";s:16:\"@module_previous\";s:4:\"node\";s:5:\"@time\";s:6:\"6.97ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col?page=2','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col','192.168.1.13',1558488401),(172,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:10:\"simplenews\";s:16:\"@module_previous\";s:6:\"search\";s:5:\"@time\";s:8:\"134.39ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col?page=2','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col','192.168.1.13',1558488401),(173,0,'cron','Attempting to re-run cron while it is already running.','a:0:{}',4,'','http://luxestate-d8.frontend.local2.weebpal.com/sites/default/files/styles/image_360_360_/public/field/gallery/demo4.jpg?itok=zkQCF_QZ','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col?page=2','192.168.1.13',1558488401),(174,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"system\";s:16:\"@module_previous\";s:10:\"simplenews\";s:5:\"@time\";s:8:\"329.97ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col?page=2','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col','192.168.1.13',1558488401),(175,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"update\";s:16:\"@module_previous\";s:6:\"system\";s:5:\"@time\";s:8:\"592.68ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col?page=2','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col','192.168.1.13',1558488402),(176,0,'mail','Error sending email (from %from to %to with reply-to %reply).','a:3:{s:5:\"%from\";s:13:\"admin@lvh.com\";s:3:\"%to\";s:13:\"admin@lvh.com\";s:6:\"%reply\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"not set\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col?page=2','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col','192.168.1.13',1558488406),(177,0,'cron','Execution of @module_previous_cron() took @time.','a:2:{s:16:\"@module_previous\";s:6:\"update\";s:5:\"@time\";s:9:\"3838.37ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col?page=2','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col','192.168.1.13',1558488406),(178,0,'cron','Cron run completed.','a:0:{}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col?page=2','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col','192.168.1.13',1558488406),(179,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:7762:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted.ht_IP6rwloZ_xjoNfNEr_NdZuWLt/fxpZiiBS4Ofq5TrlcUZGUohZwiTVK6N6e09Im4UQvlw.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_a52755aa4fc911819914b1a4bda0018c5090fbe097bff8b43a55056946c39ca8->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_hMR6fuSKPVRU_mXw9nuV6hK8J/v88FSbs98d2hD1F5fDnUY7ZNjA5LDjIYxTbNQ7bhMeo.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_774290bd8b0a8a5f7bd4a22ce3319e4bd8af6e40ffa8d8e7119b89c76b74cb6f->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(226): Drupal\\Core\\Render\\Renderer->render(Array, false)\n#26 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#27 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(227): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#28 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(117): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#29 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#30 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#31 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#32 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#33 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#36 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#37 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#38 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#39 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#40 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#41 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#42 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#43 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#44 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_masonry','192.168.1.13',1558488458),(180,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:7762:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted.ht_IP6rwloZ_xjoNfNEr_NdZuWLt/fxpZiiBS4Ofq5TrlcUZGUohZwiTVK6N6e09Im4UQvlw.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_a52755aa4fc911819914b1a4bda0018c5090fbe097bff8b43a55056946c39ca8->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_hMR6fuSKPVRU_mXw9nuV6hK8J/v88FSbs98d2hD1F5fDnUY7ZNjA5LDjIYxTbNQ7bhMeo.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_774290bd8b0a8a5f7bd4a22ce3319e4bd8af6e40ffa8d8e7119b89c76b74cb6f->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(226): Drupal\\Core\\Render\\Renderer->render(Array, false)\n#26 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#27 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(227): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#28 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(117): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#29 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#30 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#31 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#32 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#33 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#36 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#37 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#38 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#39 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#40 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#41 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#42 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#43 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#44 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_masonry','192.168.1.13',1558488458),(181,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:7762:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted.ht_IP6rwloZ_xjoNfNEr_NdZuWLt/fxpZiiBS4Ofq5TrlcUZGUohZwiTVK6N6e09Im4UQvlw.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_a52755aa4fc911819914b1a4bda0018c5090fbe097bff8b43a55056946c39ca8->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_hMR6fuSKPVRU_mXw9nuV6hK8J/v88FSbs98d2hD1F5fDnUY7ZNjA5LDjIYxTbNQ7bhMeo.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_774290bd8b0a8a5f7bd4a22ce3319e4bd8af6e40ffa8d8e7119b89c76b74cb6f->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(226): Drupal\\Core\\Render\\Renderer->render(Array, false)\n#26 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#27 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(227): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#28 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(117): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#29 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#30 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#31 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#32 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#33 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#36 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#37 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#38 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#39 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#40 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#41 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#42 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#43 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#44 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_masonry','192.168.1.13',1558488458),(182,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:7762:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view-unformatted.ht_IP6rwloZ_xjoNfNEr_NdZuWLt/fxpZiiBS4Ofq5TrlcUZGUohZwiTVK6N6e09Im4UQvlw.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_a52755aa4fc911819914b1a4bda0018c5090fbe097bff8b43a55056946c39ca8->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ce25c268589e_views-view.html.twig_hMR6fuSKPVRU_mXw9nuV6hK8J/v88FSbs98d2hD1F5fDnUY7ZNjA5LDjIYxTbNQ7bhMeo.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_774290bd8b0a8a5f7bd4a22ce3319e4bd8af6e40ffa8d8e7119b89c76b74cb6f->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(226): Drupal\\Core\\Render\\Renderer->render(Array, false)\n#26 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#27 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(227): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#28 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(117): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#29 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#30 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#31 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#32 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#33 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#36 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#37 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#38 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#39 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#40 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#41 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#42 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#43 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#44 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_masonry','192.168.1.13',1558488458),(183,0,'page not found','@uri','a:1:{s:4:\"@uri\";s:50:\"/themes/luxestate/assets/css/bootstrap-rtl.css.map\";}',4,'','http://luxestate-d8.frontend.local2.weebpal.com/themes/luxestate/assets/css/bootstrap-rtl.css.map','','192.168.1.13',1558496912),(184,0,'cron','Starting execution of @module_cron().','a:1:{s:7:\"@module\";s:7:\"comment\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user','','192.168.1.50',1562146396),(185,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:5:\"dblog\";s:16:\"@module_previous\";s:7:\"comment\";s:5:\"@time\";s:6:\"7.44ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user','','192.168.1.50',1562146396),(186,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:5:\"field\";s:16:\"@module_previous\";s:5:\"dblog\";s:5:\"@time\";s:7:\"11.01ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user','','192.168.1.50',1562146396),(187,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:4:\"file\";s:16:\"@module_previous\";s:5:\"field\";s:5:\"@time\";s:7:\"11.24ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user','','192.168.1.50',1562146396),(188,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:7:\"history\";s:16:\"@module_previous\";s:4:\"file\";s:5:\"@time\";s:7:\"23.89ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user','','192.168.1.50',1562146396),(189,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"locale\";s:16:\"@module_previous\";s:7:\"history\";s:5:\"@time\";s:6:\"0.79ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user','','192.168.1.50',1562146396),(190,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:4:\"node\";s:16:\"@module_previous\";s:6:\"locale\";s:5:\"@time\";s:6:\"0.38ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user','','192.168.1.50',1562146396),(191,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"search\";s:16:\"@module_previous\";s:4:\"node\";s:5:\"@time\";s:7:\"11.79ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user','','192.168.1.50',1562146396),(192,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:10:\"simplenews\";s:16:\"@module_previous\";s:6:\"search\";s:5:\"@time\";s:6:\"6.08ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user','','192.168.1.50',1562146396),(193,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"system\";s:16:\"@module_previous\";s:10:\"simplenews\";s:5:\"@time\";s:6:\"56.8ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user','','192.168.1.50',1562146396),(194,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"update\";s:16:\"@module_previous\";s:6:\"system\";s:5:\"@time\";s:6:\"25.8ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user','','192.168.1.50',1562146396),(195,0,'mail','Error sending email (from %from to %to with reply-to %reply).','a:3:{s:5:\"%from\";s:13:\"admin@lvh.com\";s:3:\"%to\";s:13:\"admin@lvh.com\";s:6:\"%reply\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"not set\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user','','192.168.1.50',1562146397),(196,0,'cron','Execution of @module_previous_cron() took @time.','a:2:{s:16:\"@module_previous\";s:6:\"update\";s:5:\"@time\";s:9:\"1604.51ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user','','192.168.1.50',1562146397),(197,0,'cron','Cron run completed.','a:0:{}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user','','192.168.1.50',1562146397),(198,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_views-view-unformatted--o_nKsqv1zrEV4ubwqaJVxh_7MrJ/c6UgmgK-umjALTthqTnRn8fgYdBwidkNCGhWcqp1z28.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_9c379e7d80910f953e15697812a814a006fe24af3bfa2f36d4ca83f3d95aebcf->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_views-view.html.twig_hMR6fuSKPVRU_mXw9nuV6hK8J/s2ZxeurbrUOb4sSC3eDI0m3F-UBztL4MmyGZk3xC93Q.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_774290bd8b0a8a5f7bd4a22ce3319e4bd8af6e40ffa8d8e7119b89c76b74cb6f->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_block.html.twig_Gtcz6ZFO9l4rSXdLWe3mSmSgO/4FqmC1sPaeTyt7q8VbOS2CGncA5XyXongZpipOBMuVU.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_081352e1f0a1dfaa51101eeae3fe4f355374fa8c38a8bdf3c65f80a03fb470a2->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_block.html.twig_Gtcz6ZFO9l4rSXdLWe3mSmSgO/4FqmC1sPaeTyt7q8VbOS2CGncA5XyXongZpipOBMuVU.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_081352e1f0a1dfaa51101eeae3fe4f355374fa8c38a8bdf3c65f80a03fb470a2->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_page.html.twig_xEy_LMvVJXGLdsilbh8tVTsTh/4wpQEvAbUEXrUgRimNT3V8F4aA-8UXmsRoTLGv_8Cqk.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_67416dc94528f3e7868d67c60a702fcc270eff0213ac75cbe84821e6bfe1f160->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_html.html.twig_8Kmyyhd66QK_U9sQsLmTEoLN4/WZ16I59kyjpuyGbrL6zHGebiK0wIryuak69iNOAMrMk.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_64574b61f43476c0fb9aa5b4a3290fea88348feba5a83a97b656371ee5025a8f->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.50',1562146398),(199,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_views-view-unformatted--o_nKsqv1zrEV4ubwqaJVxh_7MrJ/c6UgmgK-umjALTthqTnRn8fgYdBwidkNCGhWcqp1z28.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_9c379e7d80910f953e15697812a814a006fe24af3bfa2f36d4ca83f3d95aebcf->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_views-view.html.twig_hMR6fuSKPVRU_mXw9nuV6hK8J/s2ZxeurbrUOb4sSC3eDI0m3F-UBztL4MmyGZk3xC93Q.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_774290bd8b0a8a5f7bd4a22ce3319e4bd8af6e40ffa8d8e7119b89c76b74cb6f->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_block.html.twig_Gtcz6ZFO9l4rSXdLWe3mSmSgO/4FqmC1sPaeTyt7q8VbOS2CGncA5XyXongZpipOBMuVU.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_081352e1f0a1dfaa51101eeae3fe4f355374fa8c38a8bdf3c65f80a03fb470a2->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_block.html.twig_Gtcz6ZFO9l4rSXdLWe3mSmSgO/4FqmC1sPaeTyt7q8VbOS2CGncA5XyXongZpipOBMuVU.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_081352e1f0a1dfaa51101eeae3fe4f355374fa8c38a8bdf3c65f80a03fb470a2->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_page.html.twig_xEy_LMvVJXGLdsilbh8tVTsTh/4wpQEvAbUEXrUgRimNT3V8F4aA-8UXmsRoTLGv_8Cqk.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_67416dc94528f3e7868d67c60a702fcc270eff0213ac75cbe84821e6bfe1f160->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_html.html.twig_8Kmyyhd66QK_U9sQsLmTEoLN4/WZ16I59kyjpuyGbrL6zHGebiK0wIryuak69iNOAMrMk.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_64574b61f43476c0fb9aa5b4a3290fea88348feba5a83a97b656371ee5025a8f->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.50',1562146398),(200,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_views-view-unformatted--o_nKsqv1zrEV4ubwqaJVxh_7MrJ/c6UgmgK-umjALTthqTnRn8fgYdBwidkNCGhWcqp1z28.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_9c379e7d80910f953e15697812a814a006fe24af3bfa2f36d4ca83f3d95aebcf->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_views-view.html.twig_hMR6fuSKPVRU_mXw9nuV6hK8J/s2ZxeurbrUOb4sSC3eDI0m3F-UBztL4MmyGZk3xC93Q.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_774290bd8b0a8a5f7bd4a22ce3319e4bd8af6e40ffa8d8e7119b89c76b74cb6f->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_block.html.twig_Gtcz6ZFO9l4rSXdLWe3mSmSgO/4FqmC1sPaeTyt7q8VbOS2CGncA5XyXongZpipOBMuVU.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_081352e1f0a1dfaa51101eeae3fe4f355374fa8c38a8bdf3c65f80a03fb470a2->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_block.html.twig_Gtcz6ZFO9l4rSXdLWe3mSmSgO/4FqmC1sPaeTyt7q8VbOS2CGncA5XyXongZpipOBMuVU.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_081352e1f0a1dfaa51101eeae3fe4f355374fa8c38a8bdf3c65f80a03fb470a2->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_page.html.twig_xEy_LMvVJXGLdsilbh8tVTsTh/4wpQEvAbUEXrUgRimNT3V8F4aA-8UXmsRoTLGv_8Cqk.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_67416dc94528f3e7868d67c60a702fcc270eff0213ac75cbe84821e6bfe1f160->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_html.html.twig_8Kmyyhd66QK_U9sQsLmTEoLN4/WZ16I59kyjpuyGbrL6zHGebiK0wIryuak69iNOAMrMk.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_64574b61f43476c0fb9aa5b4a3290fea88348feba5a83a97b656371ee5025a8f->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.50',1562146398),(201,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_views-view-unformatted--o_nKsqv1zrEV4ubwqaJVxh_7MrJ/c6UgmgK-umjALTthqTnRn8fgYdBwidkNCGhWcqp1z28.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_9c379e7d80910f953e15697812a814a006fe24af3bfa2f36d4ca83f3d95aebcf->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_views-view.html.twig_hMR6fuSKPVRU_mXw9nuV6hK8J/s2ZxeurbrUOb4sSC3eDI0m3F-UBztL4MmyGZk3xC93Q.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_774290bd8b0a8a5f7bd4a22ce3319e4bd8af6e40ffa8d8e7119b89c76b74cb6f->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_block.html.twig_Gtcz6ZFO9l4rSXdLWe3mSmSgO/4FqmC1sPaeTyt7q8VbOS2CGncA5XyXongZpipOBMuVU.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_081352e1f0a1dfaa51101eeae3fe4f355374fa8c38a8bdf3c65f80a03fb470a2->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_block.html.twig_Gtcz6ZFO9l4rSXdLWe3mSmSgO/4FqmC1sPaeTyt7q8VbOS2CGncA5XyXongZpipOBMuVU.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_081352e1f0a1dfaa51101eeae3fe4f355374fa8c38a8bdf3c65f80a03fb470a2->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_page.html.twig_xEy_LMvVJXGLdsilbh8tVTsTh/4wpQEvAbUEXrUgRimNT3V8F4aA-8UXmsRoTLGv_8Cqk.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_67416dc94528f3e7868d67c60a702fcc270eff0213ac75cbe84821e6bfe1f160->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_html.html.twig_8Kmyyhd66QK_U9sQsLmTEoLN4/WZ16I59kyjpuyGbrL6zHGebiK0wIryuak69iNOAMrMk.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_64574b61f43476c0fb9aa5b4a3290fea88348feba5a83a97b656371ee5025a8f->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.50',1562146398),(202,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_views-view-unformatted--o_nKsqv1zrEV4ubwqaJVxh_7MrJ/c6UgmgK-umjALTthqTnRn8fgYdBwidkNCGhWcqp1z28.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_9c379e7d80910f953e15697812a814a006fe24af3bfa2f36d4ca83f3d95aebcf->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_views-view.html.twig_hMR6fuSKPVRU_mXw9nuV6hK8J/s2ZxeurbrUOb4sSC3eDI0m3F-UBztL4MmyGZk3xC93Q.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_774290bd8b0a8a5f7bd4a22ce3319e4bd8af6e40ffa8d8e7119b89c76b74cb6f->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_block.html.twig_Gtcz6ZFO9l4rSXdLWe3mSmSgO/4FqmC1sPaeTyt7q8VbOS2CGncA5XyXongZpipOBMuVU.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_081352e1f0a1dfaa51101eeae3fe4f355374fa8c38a8bdf3c65f80a03fb470a2->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_block.html.twig_Gtcz6ZFO9l4rSXdLWe3mSmSgO/4FqmC1sPaeTyt7q8VbOS2CGncA5XyXongZpipOBMuVU.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_081352e1f0a1dfaa51101eeae3fe4f355374fa8c38a8bdf3c65f80a03fb470a2->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_page.html.twig_xEy_LMvVJXGLdsilbh8tVTsTh/4wpQEvAbUEXrUgRimNT3V8F4aA-8UXmsRoTLGv_8Cqk.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_67416dc94528f3e7868d67c60a702fcc270eff0213ac75cbe84821e6bfe1f160->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_html.html.twig_8Kmyyhd66QK_U9sQsLmTEoLN4/WZ16I59kyjpuyGbrL6zHGebiK0wIryuak69iNOAMrMk.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_64574b61f43476c0fb9aa5b4a3290fea88348feba5a83a97b656371ee5025a8f->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.50',1562146398),(203,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_views-view-unformatted--o_nKsqv1zrEV4ubwqaJVxh_7MrJ/c6UgmgK-umjALTthqTnRn8fgYdBwidkNCGhWcqp1z28.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_9c379e7d80910f953e15697812a814a006fe24af3bfa2f36d4ca83f3d95aebcf->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_views-view.html.twig_hMR6fuSKPVRU_mXw9nuV6hK8J/s2ZxeurbrUOb4sSC3eDI0m3F-UBztL4MmyGZk3xC93Q.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_774290bd8b0a8a5f7bd4a22ce3319e4bd8af6e40ffa8d8e7119b89c76b74cb6f->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_block.html.twig_Gtcz6ZFO9l4rSXdLWe3mSmSgO/4FqmC1sPaeTyt7q8VbOS2CGncA5XyXongZpipOBMuVU.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_081352e1f0a1dfaa51101eeae3fe4f355374fa8c38a8bdf3c65f80a03fb470a2->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_block.html.twig_Gtcz6ZFO9l4rSXdLWe3mSmSgO/4FqmC1sPaeTyt7q8VbOS2CGncA5XyXongZpipOBMuVU.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_081352e1f0a1dfaa51101eeae3fe4f355374fa8c38a8bdf3c65f80a03fb470a2->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_page.html.twig_xEy_LMvVJXGLdsilbh8tVTsTh/4wpQEvAbUEXrUgRimNT3V8F4aA-8UXmsRoTLGv_8Cqk.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_67416dc94528f3e7868d67c60a702fcc270eff0213ac75cbe84821e6bfe1f160->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_html.html.twig_8Kmyyhd66QK_U9sQsLmTEoLN4/WZ16I59kyjpuyGbrL6zHGebiK0wIryuak69iNOAMrMk.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_64574b61f43476c0fb9aa5b4a3290fea88348feba5a83a97b656371ee5025a8f->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.50',1562146398),(204,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_views-view-unformatted.ht_IP6rwloZ_xjoNfNEr_NdZuWLt/VQWC7pRZmm4hk63wg7DNuE9bWzP53uQn-lwcNruW-oo.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_a52755aa4fc911819914b1a4bda0018c5090fbe097bff8b43a55056946c39ca8->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_views-view.html.twig_hMR6fuSKPVRU_mXw9nuV6hK8J/s2ZxeurbrUOb4sSC3eDI0m3F-UBztL4MmyGZk3xC93Q.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_774290bd8b0a8a5f7bd4a22ce3319e4bd8af6e40ffa8d8e7119b89c76b74cb6f->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_block.html.twig_Gtcz6ZFO9l4rSXdLWe3mSmSgO/4FqmC1sPaeTyt7q8VbOS2CGncA5XyXongZpipOBMuVU.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_081352e1f0a1dfaa51101eeae3fe4f355374fa8c38a8bdf3c65f80a03fb470a2->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_block.html.twig_Gtcz6ZFO9l4rSXdLWe3mSmSgO/4FqmC1sPaeTyt7q8VbOS2CGncA5XyXongZpipOBMuVU.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_081352e1f0a1dfaa51101eeae3fe4f355374fa8c38a8bdf3c65f80a03fb470a2->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_page.html.twig_xEy_LMvVJXGLdsilbh8tVTsTh/4wpQEvAbUEXrUgRimNT3V8F4aA-8UXmsRoTLGv_8Cqk.php(562): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_67416dc94528f3e7868d67c60a702fcc270eff0213ac75cbe84821e6bfe1f160->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_html.html.twig_8Kmyyhd66QK_U9sQsLmTEoLN4/WZ16I59kyjpuyGbrL6zHGebiK0wIryuak69iNOAMrMk.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_64574b61f43476c0fb9aa5b4a3290fea88348feba5a83a97b656371ee5025a8f->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.50',1562146398),(205,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_views-view-unformatted.ht_IP6rwloZ_xjoNfNEr_NdZuWLt/VQWC7pRZmm4hk63wg7DNuE9bWzP53uQn-lwcNruW-oo.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_a52755aa4fc911819914b1a4bda0018c5090fbe097bff8b43a55056946c39ca8->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_views-view.html.twig_hMR6fuSKPVRU_mXw9nuV6hK8J/s2ZxeurbrUOb4sSC3eDI0m3F-UBztL4MmyGZk3xC93Q.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_774290bd8b0a8a5f7bd4a22ce3319e4bd8af6e40ffa8d8e7119b89c76b74cb6f->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_block.html.twig_Gtcz6ZFO9l4rSXdLWe3mSmSgO/4FqmC1sPaeTyt7q8VbOS2CGncA5XyXongZpipOBMuVU.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_081352e1f0a1dfaa51101eeae3fe4f355374fa8c38a8bdf3c65f80a03fb470a2->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_block.html.twig_Gtcz6ZFO9l4rSXdLWe3mSmSgO/4FqmC1sPaeTyt7q8VbOS2CGncA5XyXongZpipOBMuVU.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_081352e1f0a1dfaa51101eeae3fe4f355374fa8c38a8bdf3c65f80a03fb470a2->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_page.html.twig_xEy_LMvVJXGLdsilbh8tVTsTh/4wpQEvAbUEXrUgRimNT3V8F4aA-8UXmsRoTLGv_8Cqk.php(562): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_67416dc94528f3e7868d67c60a702fcc270eff0213ac75cbe84821e6bfe1f160->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_html.html.twig_8Kmyyhd66QK_U9sQsLmTEoLN4/WZ16I59kyjpuyGbrL6zHGebiK0wIryuak69iNOAMrMk.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_64574b61f43476c0fb9aa5b4a3290fea88348feba5a83a97b656371ee5025a8f->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.50',1562146398),(206,1,'user','Session opened for %name.','a:1:{s:5:\"%name\";s:5:\"admin\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.50',1562146407),(207,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_views-view-unformatted--o_nKsqv1zrEV4ubwqaJVxh_7MrJ/c6UgmgK-umjALTthqTnRn8fgYdBwidkNCGhWcqp1z28.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_9c379e7d80910f953e15697812a814a006fe24af3bfa2f36d4ca83f3d95aebcf->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_views-view.html.twig_hMR6fuSKPVRU_mXw9nuV6hK8J/s2ZxeurbrUOb4sSC3eDI0m3F-UBztL4MmyGZk3xC93Q.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_774290bd8b0a8a5f7bd4a22ce3319e4bd8af6e40ffa8d8e7119b89c76b74cb6f->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_block.html.twig_Gtcz6ZFO9l4rSXdLWe3mSmSgO/4FqmC1sPaeTyt7q8VbOS2CGncA5XyXongZpipOBMuVU.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_081352e1f0a1dfaa51101eeae3fe4f355374fa8c38a8bdf3c65f80a03fb470a2->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_block.html.twig_Gtcz6ZFO9l4rSXdLWe3mSmSgO/4FqmC1sPaeTyt7q8VbOS2CGncA5XyXongZpipOBMuVU.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_081352e1f0a1dfaa51101eeae3fe4f355374fa8c38a8bdf3c65f80a03fb470a2->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_page.html.twig_xEy_LMvVJXGLdsilbh8tVTsTh/4wpQEvAbUEXrUgRimNT3V8F4aA-8UXmsRoTLGv_8Cqk.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_67416dc94528f3e7868d67c60a702fcc270eff0213ac75cbe84821e6bfe1f160->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_html.html.twig_8Kmyyhd66QK_U9sQsLmTEoLN4/WZ16I59kyjpuyGbrL6zHGebiK0wIryuak69iNOAMrMk.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_64574b61f43476c0fb9aa5b4a3290fea88348feba5a83a97b656371ee5025a8f->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.50',1562146409),(208,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_views-view-unformatted--o_nKsqv1zrEV4ubwqaJVxh_7MrJ/c6UgmgK-umjALTthqTnRn8fgYdBwidkNCGhWcqp1z28.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_9c379e7d80910f953e15697812a814a006fe24af3bfa2f36d4ca83f3d95aebcf->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_views-view.html.twig_hMR6fuSKPVRU_mXw9nuV6hK8J/s2ZxeurbrUOb4sSC3eDI0m3F-UBztL4MmyGZk3xC93Q.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_774290bd8b0a8a5f7bd4a22ce3319e4bd8af6e40ffa8d8e7119b89c76b74cb6f->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_block.html.twig_Gtcz6ZFO9l4rSXdLWe3mSmSgO/4FqmC1sPaeTyt7q8VbOS2CGncA5XyXongZpipOBMuVU.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_081352e1f0a1dfaa51101eeae3fe4f355374fa8c38a8bdf3c65f80a03fb470a2->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_block.html.twig_Gtcz6ZFO9l4rSXdLWe3mSmSgO/4FqmC1sPaeTyt7q8VbOS2CGncA5XyXongZpipOBMuVU.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_081352e1f0a1dfaa51101eeae3fe4f355374fa8c38a8bdf3c65f80a03fb470a2->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_page.html.twig_xEy_LMvVJXGLdsilbh8tVTsTh/4wpQEvAbUEXrUgRimNT3V8F4aA-8UXmsRoTLGv_8Cqk.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_67416dc94528f3e7868d67c60a702fcc270eff0213ac75cbe84821e6bfe1f160->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_html.html.twig_8Kmyyhd66QK_U9sQsLmTEoLN4/WZ16I59kyjpuyGbrL6zHGebiK0wIryuak69iNOAMrMk.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_64574b61f43476c0fb9aa5b4a3290fea88348feba5a83a97b656371ee5025a8f->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.50',1562146409),(209,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_views-view-unformatted--o_nKsqv1zrEV4ubwqaJVxh_7MrJ/c6UgmgK-umjALTthqTnRn8fgYdBwidkNCGhWcqp1z28.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_9c379e7d80910f953e15697812a814a006fe24af3bfa2f36d4ca83f3d95aebcf->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_views-view.html.twig_hMR6fuSKPVRU_mXw9nuV6hK8J/s2ZxeurbrUOb4sSC3eDI0m3F-UBztL4MmyGZk3xC93Q.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_774290bd8b0a8a5f7bd4a22ce3319e4bd8af6e40ffa8d8e7119b89c76b74cb6f->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_block.html.twig_Gtcz6ZFO9l4rSXdLWe3mSmSgO/4FqmC1sPaeTyt7q8VbOS2CGncA5XyXongZpipOBMuVU.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_081352e1f0a1dfaa51101eeae3fe4f355374fa8c38a8bdf3c65f80a03fb470a2->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_block.html.twig_Gtcz6ZFO9l4rSXdLWe3mSmSgO/4FqmC1sPaeTyt7q8VbOS2CGncA5XyXongZpipOBMuVU.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_081352e1f0a1dfaa51101eeae3fe4f355374fa8c38a8bdf3c65f80a03fb470a2->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_page.html.twig_xEy_LMvVJXGLdsilbh8tVTsTh/4wpQEvAbUEXrUgRimNT3V8F4aA-8UXmsRoTLGv_8Cqk.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_67416dc94528f3e7868d67c60a702fcc270eff0213ac75cbe84821e6bfe1f160->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_html.html.twig_8Kmyyhd66QK_U9sQsLmTEoLN4/WZ16I59kyjpuyGbrL6zHGebiK0wIryuak69iNOAMrMk.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_64574b61f43476c0fb9aa5b4a3290fea88348feba5a83a97b656371ee5025a8f->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.50',1562146409),(210,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_views-view-unformatted--o_nKsqv1zrEV4ubwqaJVxh_7MrJ/c6UgmgK-umjALTthqTnRn8fgYdBwidkNCGhWcqp1z28.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_9c379e7d80910f953e15697812a814a006fe24af3bfa2f36d4ca83f3d95aebcf->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_views-view.html.twig_hMR6fuSKPVRU_mXw9nuV6hK8J/s2ZxeurbrUOb4sSC3eDI0m3F-UBztL4MmyGZk3xC93Q.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_774290bd8b0a8a5f7bd4a22ce3319e4bd8af6e40ffa8d8e7119b89c76b74cb6f->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_block.html.twig_Gtcz6ZFO9l4rSXdLWe3mSmSgO/4FqmC1sPaeTyt7q8VbOS2CGncA5XyXongZpipOBMuVU.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_081352e1f0a1dfaa51101eeae3fe4f355374fa8c38a8bdf3c65f80a03fb470a2->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_block.html.twig_Gtcz6ZFO9l4rSXdLWe3mSmSgO/4FqmC1sPaeTyt7q8VbOS2CGncA5XyXongZpipOBMuVU.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_081352e1f0a1dfaa51101eeae3fe4f355374fa8c38a8bdf3c65f80a03fb470a2->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_page.html.twig_xEy_LMvVJXGLdsilbh8tVTsTh/4wpQEvAbUEXrUgRimNT3V8F4aA-8UXmsRoTLGv_8Cqk.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_67416dc94528f3e7868d67c60a702fcc270eff0213ac75cbe84821e6bfe1f160->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_html.html.twig_8Kmyyhd66QK_U9sQsLmTEoLN4/WZ16I59kyjpuyGbrL6zHGebiK0wIryuak69iNOAMrMk.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_64574b61f43476c0fb9aa5b4a3290fea88348feba5a83a97b656371ee5025a8f->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.50',1562146409),(211,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_views-view-unformatted--o_nKsqv1zrEV4ubwqaJVxh_7MrJ/c6UgmgK-umjALTthqTnRn8fgYdBwidkNCGhWcqp1z28.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_9c379e7d80910f953e15697812a814a006fe24af3bfa2f36d4ca83f3d95aebcf->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_views-view.html.twig_hMR6fuSKPVRU_mXw9nuV6hK8J/s2ZxeurbrUOb4sSC3eDI0m3F-UBztL4MmyGZk3xC93Q.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_774290bd8b0a8a5f7bd4a22ce3319e4bd8af6e40ffa8d8e7119b89c76b74cb6f->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_block.html.twig_Gtcz6ZFO9l4rSXdLWe3mSmSgO/4FqmC1sPaeTyt7q8VbOS2CGncA5XyXongZpipOBMuVU.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_081352e1f0a1dfaa51101eeae3fe4f355374fa8c38a8bdf3c65f80a03fb470a2->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_block.html.twig_Gtcz6ZFO9l4rSXdLWe3mSmSgO/4FqmC1sPaeTyt7q8VbOS2CGncA5XyXongZpipOBMuVU.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_081352e1f0a1dfaa51101eeae3fe4f355374fa8c38a8bdf3c65f80a03fb470a2->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_page.html.twig_xEy_LMvVJXGLdsilbh8tVTsTh/4wpQEvAbUEXrUgRimNT3V8F4aA-8UXmsRoTLGv_8Cqk.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_67416dc94528f3e7868d67c60a702fcc270eff0213ac75cbe84821e6bfe1f160->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_html.html.twig_8Kmyyhd66QK_U9sQsLmTEoLN4/WZ16I59kyjpuyGbrL6zHGebiK0wIryuak69iNOAMrMk.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_64574b61f43476c0fb9aa5b4a3290fea88348feba5a83a97b656371ee5025a8f->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.50',1562146409),(212,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_views-view-unformatted--o_nKsqv1zrEV4ubwqaJVxh_7MrJ/c6UgmgK-umjALTthqTnRn8fgYdBwidkNCGhWcqp1z28.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_9c379e7d80910f953e15697812a814a006fe24af3bfa2f36d4ca83f3d95aebcf->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_views-view.html.twig_hMR6fuSKPVRU_mXw9nuV6hK8J/s2ZxeurbrUOb4sSC3eDI0m3F-UBztL4MmyGZk3xC93Q.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_774290bd8b0a8a5f7bd4a22ce3319e4bd8af6e40ffa8d8e7119b89c76b74cb6f->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_block.html.twig_Gtcz6ZFO9l4rSXdLWe3mSmSgO/4FqmC1sPaeTyt7q8VbOS2CGncA5XyXongZpipOBMuVU.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_081352e1f0a1dfaa51101eeae3fe4f355374fa8c38a8bdf3c65f80a03fb470a2->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_block.html.twig_Gtcz6ZFO9l4rSXdLWe3mSmSgO/4FqmC1sPaeTyt7q8VbOS2CGncA5XyXongZpipOBMuVU.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_081352e1f0a1dfaa51101eeae3fe4f355374fa8c38a8bdf3c65f80a03fb470a2->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_page.html.twig_xEy_LMvVJXGLdsilbh8tVTsTh/4wpQEvAbUEXrUgRimNT3V8F4aA-8UXmsRoTLGv_8Cqk.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_67416dc94528f3e7868d67c60a702fcc270eff0213ac75cbe84821e6bfe1f160->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_html.html.twig_8Kmyyhd66QK_U9sQsLmTEoLN4/WZ16I59kyjpuyGbrL6zHGebiK0wIryuak69iNOAMrMk.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_64574b61f43476c0fb9aa5b4a3290fea88348feba5a83a97b656371ee5025a8f->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.50',1562146409),(213,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_views-view-unformatted.ht_IP6rwloZ_xjoNfNEr_NdZuWLt/VQWC7pRZmm4hk63wg7DNuE9bWzP53uQn-lwcNruW-oo.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_a52755aa4fc911819914b1a4bda0018c5090fbe097bff8b43a55056946c39ca8->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_views-view.html.twig_hMR6fuSKPVRU_mXw9nuV6hK8J/s2ZxeurbrUOb4sSC3eDI0m3F-UBztL4MmyGZk3xC93Q.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_774290bd8b0a8a5f7bd4a22ce3319e4bd8af6e40ffa8d8e7119b89c76b74cb6f->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_block.html.twig_Gtcz6ZFO9l4rSXdLWe3mSmSgO/4FqmC1sPaeTyt7q8VbOS2CGncA5XyXongZpipOBMuVU.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_081352e1f0a1dfaa51101eeae3fe4f355374fa8c38a8bdf3c65f80a03fb470a2->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_block.html.twig_Gtcz6ZFO9l4rSXdLWe3mSmSgO/4FqmC1sPaeTyt7q8VbOS2CGncA5XyXongZpipOBMuVU.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_081352e1f0a1dfaa51101eeae3fe4f355374fa8c38a8bdf3c65f80a03fb470a2->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_page.html.twig_xEy_LMvVJXGLdsilbh8tVTsTh/4wpQEvAbUEXrUgRimNT3V8F4aA-8UXmsRoTLGv_8Cqk.php(562): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_67416dc94528f3e7868d67c60a702fcc270eff0213ac75cbe84821e6bfe1f160->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_html.html.twig_8Kmyyhd66QK_U9sQsLmTEoLN4/WZ16I59kyjpuyGbrL6zHGebiK0wIryuak69iNOAMrMk.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_64574b61f43476c0fb9aa5b4a3290fea88348feba5a83a97b656371ee5025a8f->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.50',1562146409),(214,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(587): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(408): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_views-view-unformatted.ht_IP6rwloZ_xjoNfNEr_NdZuWLt/VQWC7pRZmm4hk63wg7DNuE9bWzP53uQn-lwcNruW-oo.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_a52755aa4fc911819914b1a4bda0018c5090fbe097bff8b43a55056946c39ca8->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_views-view.html.twig_hMR6fuSKPVRU_mXw9nuV6hK8J/s2ZxeurbrUOb4sSC3eDI0m3F-UBztL4MmyGZk3xC93Q.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_774290bd8b0a8a5f7bd4a22ce3319e4bd8af6e40ffa8d8e7119b89c76b74cb6f->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_block.html.twig_Gtcz6ZFO9l4rSXdLWe3mSmSgO/4FqmC1sPaeTyt7q8VbOS2CGncA5XyXongZpipOBMuVU.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_081352e1f0a1dfaa51101eeae3fe4f355374fa8c38a8bdf3c65f80a03fb470a2->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_block.html.twig_Gtcz6ZFO9l4rSXdLWe3mSmSgO/4FqmC1sPaeTyt7q8VbOS2CGncA5XyXongZpipOBMuVU.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_081352e1f0a1dfaa51101eeae3fe4f355374fa8c38a8bdf3c65f80a03fb470a2->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(450): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_page.html.twig_xEy_LMvVJXGLdsilbh8tVTsTh/4wpQEvAbUEXrUgRimNT3V8F4aA-8UXmsRoTLGv_8Cqk.php(562): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_67416dc94528f3e7868d67c60a702fcc270eff0213ac75cbe84821e6bfe1f160->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5d1c765c6acfe_html.html.twig_8Kmyyhd66QK_U9sQsLmTEoLN4/WZ16I59kyjpuyGbrL6zHGebiK0wIryuak69iNOAMrMk.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(427): __TwigTemplate_64574b61f43476c0fb9aa5b4a3290fea88348feba5a83a97b656371ee5025a8f->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(398): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(406): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(437): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(195): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(582): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(693): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.50',1562146409),(215,0,'system','%module module installed.','a:1:{s:7:\"%module\";s:10:\"path_alias\";}',6,'','http://default/','','127.0.0.1',1581047127),(216,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:72:\"Symfony\\Component\\DependencyInjection\\Exception\\ServiceNotFoundException\";s:8:\"@message\";s:66:\"You have requested a non-existent service \"path_alias.repository\".\";s:9:\"%function\";s:53:\"Drupal\\Component\\DependencyInjection\\Container->get()\";s:5:\"%file\";s:92:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Component/DependencyInjection/Container.php\";s:5:\"%line\";i:153;s:17:\"@backtrace_string\";s:3419:\"#0 /home/frontend/drupal8/luxestate/core/lib/Drupal.php(158): Drupal\\Component\\DependencyInjection\\Container->get(\'path_alias.repo...\')\n#1 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Path/AliasWhitelist.php(62): Drupal::service(\'path_alias.repo...\')\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/DependencyInjection/Container.php(285): Drupal\\Core\\Path\\AliasWhitelist->__construct(\'path_alias_whit...\', Object(Drupal\\Core\\Cache\\DatabaseBackend), Object(Drupal\\Core\\ProxyClass\\Lock\\DatabaseLockBackend), Object(Drupal\\Core\\State\\State), Object(Drupal\\Core\\Path\\AliasStorage))\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/DependencyInjection/Container.php(173): Drupal\\Component\\DependencyInjection\\Container->createService(Array, \'path.alias_whit...\')\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/DependencyInjection/Container.php(487): Drupal\\Component\\DependencyInjection\\Container->get(\'path.alias_whit...\', 1)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/DependencyInjection/Container.php(237): Drupal\\Component\\DependencyInjection\\Container->resolveServicesAndParameters(Array)\n#6 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/DependencyInjection/Container.php(173): Drupal\\Component\\DependencyInjection\\Container->createService(Array, \'path.alias_mana...\')\n#7 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/DependencyInjection/Container.php(487): Drupal\\Component\\DependencyInjection\\Container->get(\'path.alias_mana...\', 1)\n#8 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/DependencyInjection/Container.php(237): Drupal\\Component\\DependencyInjection\\Container->resolveServicesAndParameters(Array)\n#9 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/DependencyInjection/Container.php(173): Drupal\\Component\\DependencyInjection\\Container->createService(Array, \'path_subscriber\')\n#10 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(105): Drupal\\Component\\DependencyInjection\\Container->get(\'path_subscriber\')\n#11 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(88): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.terminat...\', Object(Symfony\\Component\\HttpKernel\\Event\\PostResponseEvent))\n#12 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(32): Symfony\\Component\\HttpKernel\\HttpKernel->terminate(Object(Symfony\\Component\\HttpFoundation\\Request), Object(Symfony\\Component\\HttpFoundation\\Response))\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(671): Stack\\StackedHttpKernel->terminate(Object(Symfony\\Component\\HttpFoundation\\Request), Object(Symfony\\Component\\HttpFoundation\\Response))\n#14 phar:///usr/local/bin/drush/lib/Drush/Boot/DrupalBoot8.php(202): Drupal\\Core\\DrupalKernel->terminate(Object(Symfony\\Component\\HttpFoundation\\Request), Object(Symfony\\Component\\HttpFoundation\\Response))\n#15 phar:///usr/local/bin/drush/includes/preflight.inc(75): Drush\\Boot\\DrupalBoot8->terminate()\n#16 phar:///usr/local/bin/drush/includes/startup.inc(465): drush_main()\n#17 phar:///usr/local/bin/drush/includes/startup.inc(369): drush_run_main(false, \'/\', \'Phar detected. ...\')\n#18 phar:///usr/local/bin/drush/drush(114): drush_startup(Array)\n#19 /usr/local/bin/drush(10): require(\'phar:///usr/loc...\')\n#20 {main}\";}',3,'','http://default/','','127.0.0.1',1581047156),(217,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_views-view-unformatted.ht_Dkh3W91XlJQqOHRA8SvZ7ZRtR/7AEP0DIlT7KM7by9_smRhLAFK5bzvoi0nPI_MPiPmPU.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_9eda5a1d60ce6745a2062dd62fb125ffaed03c15953138c4a5bd005959fb4614->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_views-view.html.twig_L8ERhvXu4icem9QH1wdN1bY-9/CUKJvrENGgLN6bf_2qqeOv9l2r9i1_aBJqP2SKrkvqg.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_84d88704dac53b0c62a9aef1968cb44949009c3bd7d3c3ce5e768d620d3d065a->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_block.html.twig_CyOWnPCwvLvL-lVnDgn_LdAjx/25UD9k1go8udzCrGdur5kARY6U0EQStpuiPIxiCrpyE.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_934f628a1a73c960878ca2989cf9418592d10aa21188122f274575d985dd6fa9->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_block.html.twig_CyOWnPCwvLvL-lVnDgn_LdAjx/25UD9k1go8udzCrGdur5kARY6U0EQStpuiPIxiCrpyE.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_934f628a1a73c960878ca2989cf9418592d10aa21188122f274575d985dd6fa9->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_page.html.twig_wcrpriT9NAYV7tTxPxGXFsH_0/Bel4TAlcruC11reY0crMwcH4P2jwhpDe7hT5UVy5Tzc.php(289): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_99fe8e9a282f5dc2f4ea6c836e73262e4211d951bd309bb3d22c711bba33a659->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_html.html.twig_CBVwyfsYK1cOtyJzQmdrKZ5YE/0GZF3jowZkEPo7uU-6MQ_NPxAPGWgEizNOHwdFz2atM.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e2b19877e4fcbb0eb48b5097803d10cb6c3e284cdb6bbb580031675b70365d4e->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(694): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.33',1591927908),(218,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_views-view-unformatted.ht_Dkh3W91XlJQqOHRA8SvZ7ZRtR/7AEP0DIlT7KM7by9_smRhLAFK5bzvoi0nPI_MPiPmPU.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_9eda5a1d60ce6745a2062dd62fb125ffaed03c15953138c4a5bd005959fb4614->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_views-view.html.twig_L8ERhvXu4icem9QH1wdN1bY-9/CUKJvrENGgLN6bf_2qqeOv9l2r9i1_aBJqP2SKrkvqg.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_84d88704dac53b0c62a9aef1968cb44949009c3bd7d3c3ce5e768d620d3d065a->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_block.html.twig_CyOWnPCwvLvL-lVnDgn_LdAjx/25UD9k1go8udzCrGdur5kARY6U0EQStpuiPIxiCrpyE.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_934f628a1a73c960878ca2989cf9418592d10aa21188122f274575d985dd6fa9->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_block.html.twig_CyOWnPCwvLvL-lVnDgn_LdAjx/25UD9k1go8udzCrGdur5kARY6U0EQStpuiPIxiCrpyE.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_934f628a1a73c960878ca2989cf9418592d10aa21188122f274575d985dd6fa9->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_page.html.twig_wcrpriT9NAYV7tTxPxGXFsH_0/Bel4TAlcruC11reY0crMwcH4P2jwhpDe7hT5UVy5Tzc.php(289): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_99fe8e9a282f5dc2f4ea6c836e73262e4211d951bd309bb3d22c711bba33a659->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_html.html.twig_CBVwyfsYK1cOtyJzQmdrKZ5YE/0GZF3jowZkEPo7uU-6MQ_NPxAPGWgEizNOHwdFz2atM.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e2b19877e4fcbb0eb48b5097803d10cb6c3e284cdb6bbb580031675b70365d4e->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(694): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.33',1591927908),(219,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_views-view-unformatted.ht_Dkh3W91XlJQqOHRA8SvZ7ZRtR/7AEP0DIlT7KM7by9_smRhLAFK5bzvoi0nPI_MPiPmPU.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_9eda5a1d60ce6745a2062dd62fb125ffaed03c15953138c4a5bd005959fb4614->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_views-view.html.twig_L8ERhvXu4icem9QH1wdN1bY-9/CUKJvrENGgLN6bf_2qqeOv9l2r9i1_aBJqP2SKrkvqg.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_84d88704dac53b0c62a9aef1968cb44949009c3bd7d3c3ce5e768d620d3d065a->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_block.html.twig_CyOWnPCwvLvL-lVnDgn_LdAjx/25UD9k1go8udzCrGdur5kARY6U0EQStpuiPIxiCrpyE.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_934f628a1a73c960878ca2989cf9418592d10aa21188122f274575d985dd6fa9->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_block.html.twig_CyOWnPCwvLvL-lVnDgn_LdAjx/25UD9k1go8udzCrGdur5kARY6U0EQStpuiPIxiCrpyE.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_934f628a1a73c960878ca2989cf9418592d10aa21188122f274575d985dd6fa9->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_page.html.twig_wcrpriT9NAYV7tTxPxGXFsH_0/Bel4TAlcruC11reY0crMwcH4P2jwhpDe7hT5UVy5Tzc.php(289): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_99fe8e9a282f5dc2f4ea6c836e73262e4211d951bd309bb3d22c711bba33a659->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_html.html.twig_CBVwyfsYK1cOtyJzQmdrKZ5YE/0GZF3jowZkEPo7uU-6MQ_NPxAPGWgEizNOHwdFz2atM.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e2b19877e4fcbb0eb48b5097803d10cb6c3e284cdb6bbb580031675b70365d4e->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(694): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.33',1591927908),(220,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_views-view-unformatted.ht_Dkh3W91XlJQqOHRA8SvZ7ZRtR/7AEP0DIlT7KM7by9_smRhLAFK5bzvoi0nPI_MPiPmPU.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_9eda5a1d60ce6745a2062dd62fb125ffaed03c15953138c4a5bd005959fb4614->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_views-view.html.twig_L8ERhvXu4icem9QH1wdN1bY-9/CUKJvrENGgLN6bf_2qqeOv9l2r9i1_aBJqP2SKrkvqg.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_84d88704dac53b0c62a9aef1968cb44949009c3bd7d3c3ce5e768d620d3d065a->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_block.html.twig_CyOWnPCwvLvL-lVnDgn_LdAjx/25UD9k1go8udzCrGdur5kARY6U0EQStpuiPIxiCrpyE.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_934f628a1a73c960878ca2989cf9418592d10aa21188122f274575d985dd6fa9->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_block.html.twig_CyOWnPCwvLvL-lVnDgn_LdAjx/25UD9k1go8udzCrGdur5kARY6U0EQStpuiPIxiCrpyE.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_934f628a1a73c960878ca2989cf9418592d10aa21188122f274575d985dd6fa9->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_page.html.twig_wcrpriT9NAYV7tTxPxGXFsH_0/Bel4TAlcruC11reY0crMwcH4P2jwhpDe7hT5UVy5Tzc.php(289): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_99fe8e9a282f5dc2f4ea6c836e73262e4211d951bd309bb3d22c711bba33a659->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_html.html.twig_CBVwyfsYK1cOtyJzQmdrKZ5YE/0GZF3jowZkEPo7uU-6MQ_NPxAPGWgEizNOHwdFz2atM.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e2b19877e4fcbb0eb48b5097803d10cb6c3e284cdb6bbb580031675b70365d4e->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(694): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.33',1591927908),(221,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_views-view-unformatted.ht_Dkh3W91XlJQqOHRA8SvZ7ZRtR/7AEP0DIlT7KM7by9_smRhLAFK5bzvoi0nPI_MPiPmPU.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_9eda5a1d60ce6745a2062dd62fb125ffaed03c15953138c4a5bd005959fb4614->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_views-view.html.twig_L8ERhvXu4icem9QH1wdN1bY-9/CUKJvrENGgLN6bf_2qqeOv9l2r9i1_aBJqP2SKrkvqg.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_84d88704dac53b0c62a9aef1968cb44949009c3bd7d3c3ce5e768d620d3d065a->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_block.html.twig_CyOWnPCwvLvL-lVnDgn_LdAjx/25UD9k1go8udzCrGdur5kARY6U0EQStpuiPIxiCrpyE.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_934f628a1a73c960878ca2989cf9418592d10aa21188122f274575d985dd6fa9->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_block.html.twig_CyOWnPCwvLvL-lVnDgn_LdAjx/25UD9k1go8udzCrGdur5kARY6U0EQStpuiPIxiCrpyE.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_934f628a1a73c960878ca2989cf9418592d10aa21188122f274575d985dd6fa9->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_page.html.twig_wcrpriT9NAYV7tTxPxGXFsH_0/Bel4TAlcruC11reY0crMwcH4P2jwhpDe7hT5UVy5Tzc.php(289): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_99fe8e9a282f5dc2f4ea6c836e73262e4211d951bd309bb3d22c711bba33a659->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_html.html.twig_CBVwyfsYK1cOtyJzQmdrKZ5YE/0GZF3jowZkEPo7uU-6MQ_NPxAPGWgEizNOHwdFz2atM.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e2b19877e4fcbb0eb48b5097803d10cb6c3e284cdb6bbb580031675b70365d4e->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(694): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.33',1591927908),(222,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_views-view-unformatted.ht_Dkh3W91XlJQqOHRA8SvZ7ZRtR/7AEP0DIlT7KM7by9_smRhLAFK5bzvoi0nPI_MPiPmPU.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_9eda5a1d60ce6745a2062dd62fb125ffaed03c15953138c4a5bd005959fb4614->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_views-view.html.twig_L8ERhvXu4icem9QH1wdN1bY-9/CUKJvrENGgLN6bf_2qqeOv9l2r9i1_aBJqP2SKrkvqg.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_84d88704dac53b0c62a9aef1968cb44949009c3bd7d3c3ce5e768d620d3d065a->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_block.html.twig_CyOWnPCwvLvL-lVnDgn_LdAjx/25UD9k1go8udzCrGdur5kARY6U0EQStpuiPIxiCrpyE.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_934f628a1a73c960878ca2989cf9418592d10aa21188122f274575d985dd6fa9->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_block.html.twig_CyOWnPCwvLvL-lVnDgn_LdAjx/25UD9k1go8udzCrGdur5kARY6U0EQStpuiPIxiCrpyE.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_934f628a1a73c960878ca2989cf9418592d10aa21188122f274575d985dd6fa9->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_page.html.twig_wcrpriT9NAYV7tTxPxGXFsH_0/Bel4TAlcruC11reY0crMwcH4P2jwhpDe7hT5UVy5Tzc.php(466): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_99fe8e9a282f5dc2f4ea6c836e73262e4211d951bd309bb3d22c711bba33a659->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_html.html.twig_CBVwyfsYK1cOtyJzQmdrKZ5YE/0GZF3jowZkEPo7uU-6MQ_NPxAPGWgEizNOHwdFz2atM.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e2b19877e4fcbb0eb48b5097803d10cb6c3e284cdb6bbb580031675b70365d4e->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(694): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.33',1591927912),(223,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_views-view-unformatted.ht_Dkh3W91XlJQqOHRA8SvZ7ZRtR/7AEP0DIlT7KM7by9_smRhLAFK5bzvoi0nPI_MPiPmPU.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_9eda5a1d60ce6745a2062dd62fb125ffaed03c15953138c4a5bd005959fb4614->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_views-view.html.twig_L8ERhvXu4icem9QH1wdN1bY-9/CUKJvrENGgLN6bf_2qqeOv9l2r9i1_aBJqP2SKrkvqg.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_84d88704dac53b0c62a9aef1968cb44949009c3bd7d3c3ce5e768d620d3d065a->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_block.html.twig_CyOWnPCwvLvL-lVnDgn_LdAjx/25UD9k1go8udzCrGdur5kARY6U0EQStpuiPIxiCrpyE.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_934f628a1a73c960878ca2989cf9418592d10aa21188122f274575d985dd6fa9->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_block.html.twig_CyOWnPCwvLvL-lVnDgn_LdAjx/25UD9k1go8udzCrGdur5kARY6U0EQStpuiPIxiCrpyE.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_934f628a1a73c960878ca2989cf9418592d10aa21188122f274575d985dd6fa9->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_page.html.twig_wcrpriT9NAYV7tTxPxGXFsH_0/Bel4TAlcruC11reY0crMwcH4P2jwhpDe7hT5UVy5Tzc.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_99fe8e9a282f5dc2f4ea6c836e73262e4211d951bd309bb3d22c711bba33a659->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_html.html.twig_CBVwyfsYK1cOtyJzQmdrKZ5YE/0GZF3jowZkEPo7uU-6MQ_NPxAPGWgEizNOHwdFz2atM.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e2b19877e4fcbb0eb48b5097803d10cb6c3e284cdb6bbb580031675b70365d4e->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(694): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.33',1591927913),(224,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_views-view-unformatted.ht_Dkh3W91XlJQqOHRA8SvZ7ZRtR/7AEP0DIlT7KM7by9_smRhLAFK5bzvoi0nPI_MPiPmPU.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_9eda5a1d60ce6745a2062dd62fb125ffaed03c15953138c4a5bd005959fb4614->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_views-view.html.twig_L8ERhvXu4icem9QH1wdN1bY-9/CUKJvrENGgLN6bf_2qqeOv9l2r9i1_aBJqP2SKrkvqg.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_84d88704dac53b0c62a9aef1968cb44949009c3bd7d3c3ce5e768d620d3d065a->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_block.html.twig_CyOWnPCwvLvL-lVnDgn_LdAjx/25UD9k1go8udzCrGdur5kARY6U0EQStpuiPIxiCrpyE.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_934f628a1a73c960878ca2989cf9418592d10aa21188122f274575d985dd6fa9->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_block.html.twig_CyOWnPCwvLvL-lVnDgn_LdAjx/25UD9k1go8udzCrGdur5kARY6U0EQStpuiPIxiCrpyE.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_934f628a1a73c960878ca2989cf9418592d10aa21188122f274575d985dd6fa9->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_page.html.twig_wcrpriT9NAYV7tTxPxGXFsH_0/Bel4TAlcruC11reY0crMwcH4P2jwhpDe7hT5UVy5Tzc.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_99fe8e9a282f5dc2f4ea6c836e73262e4211d951bd309bb3d22c711bba33a659->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_html.html.twig_CBVwyfsYK1cOtyJzQmdrKZ5YE/0GZF3jowZkEPo7uU-6MQ_NPxAPGWgEizNOHwdFz2atM.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e2b19877e4fcbb0eb48b5097803d10cb6c3e284cdb6bbb580031675b70365d4e->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(694): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.33',1591927913),(225,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_views-view-unformatted.ht_Dkh3W91XlJQqOHRA8SvZ7ZRtR/7AEP0DIlT7KM7by9_smRhLAFK5bzvoi0nPI_MPiPmPU.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_9eda5a1d60ce6745a2062dd62fb125ffaed03c15953138c4a5bd005959fb4614->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_views-view.html.twig_L8ERhvXu4icem9QH1wdN1bY-9/CUKJvrENGgLN6bf_2qqeOv9l2r9i1_aBJqP2SKrkvqg.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_84d88704dac53b0c62a9aef1968cb44949009c3bd7d3c3ce5e768d620d3d065a->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_block.html.twig_CyOWnPCwvLvL-lVnDgn_LdAjx/25UD9k1go8udzCrGdur5kARY6U0EQStpuiPIxiCrpyE.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_934f628a1a73c960878ca2989cf9418592d10aa21188122f274575d985dd6fa9->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_block.html.twig_CyOWnPCwvLvL-lVnDgn_LdAjx/25UD9k1go8udzCrGdur5kARY6U0EQStpuiPIxiCrpyE.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_934f628a1a73c960878ca2989cf9418592d10aa21188122f274575d985dd6fa9->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_page.html.twig_wcrpriT9NAYV7tTxPxGXFsH_0/Bel4TAlcruC11reY0crMwcH4P2jwhpDe7hT5UVy5Tzc.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_99fe8e9a282f5dc2f4ea6c836e73262e4211d951bd309bb3d22c711bba33a659->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_html.html.twig_CBVwyfsYK1cOtyJzQmdrKZ5YE/0GZF3jowZkEPo7uU-6MQ_NPxAPGWgEizNOHwdFz2atM.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e2b19877e4fcbb0eb48b5097803d10cb6c3e284cdb6bbb580031675b70365d4e->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(694): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.33',1591927913),(226,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_views-view-unformatted.ht_Dkh3W91XlJQqOHRA8SvZ7ZRtR/7AEP0DIlT7KM7by9_smRhLAFK5bzvoi0nPI_MPiPmPU.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_9eda5a1d60ce6745a2062dd62fb125ffaed03c15953138c4a5bd005959fb4614->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_views-view.html.twig_L8ERhvXu4icem9QH1wdN1bY-9/CUKJvrENGgLN6bf_2qqeOv9l2r9i1_aBJqP2SKrkvqg.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_84d88704dac53b0c62a9aef1968cb44949009c3bd7d3c3ce5e768d620d3d065a->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_block.html.twig_CyOWnPCwvLvL-lVnDgn_LdAjx/25UD9k1go8udzCrGdur5kARY6U0EQStpuiPIxiCrpyE.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_934f628a1a73c960878ca2989cf9418592d10aa21188122f274575d985dd6fa9->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_block.html.twig_CyOWnPCwvLvL-lVnDgn_LdAjx/25UD9k1go8udzCrGdur5kARY6U0EQStpuiPIxiCrpyE.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_934f628a1a73c960878ca2989cf9418592d10aa21188122f274575d985dd6fa9->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_page.html.twig_wcrpriT9NAYV7tTxPxGXFsH_0/Bel4TAlcruC11reY0crMwcH4P2jwhpDe7hT5UVy5Tzc.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_99fe8e9a282f5dc2f4ea6c836e73262e4211d951bd309bb3d22c711bba33a659->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_html.html.twig_CBVwyfsYK1cOtyJzQmdrKZ5YE/0GZF3jowZkEPo7uU-6MQ_NPxAPGWgEizNOHwdFz2atM.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e2b19877e4fcbb0eb48b5097803d10cb6c3e284cdb6bbb580031675b70365d4e->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(694): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.33',1591927913),(227,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_views-view-unformatted.ht_Dkh3W91XlJQqOHRA8SvZ7ZRtR/7AEP0DIlT7KM7by9_smRhLAFK5bzvoi0nPI_MPiPmPU.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_9eda5a1d60ce6745a2062dd62fb125ffaed03c15953138c4a5bd005959fb4614->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_views-view.html.twig_L8ERhvXu4icem9QH1wdN1bY-9/CUKJvrENGgLN6bf_2qqeOv9l2r9i1_aBJqP2SKrkvqg.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_84d88704dac53b0c62a9aef1968cb44949009c3bd7d3c3ce5e768d620d3d065a->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_block.html.twig_CyOWnPCwvLvL-lVnDgn_LdAjx/25UD9k1go8udzCrGdur5kARY6U0EQStpuiPIxiCrpyE.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_934f628a1a73c960878ca2989cf9418592d10aa21188122f274575d985dd6fa9->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_block.html.twig_CyOWnPCwvLvL-lVnDgn_LdAjx/25UD9k1go8udzCrGdur5kARY6U0EQStpuiPIxiCrpyE.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_934f628a1a73c960878ca2989cf9418592d10aa21188122f274575d985dd6fa9->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_page.html.twig_wcrpriT9NAYV7tTxPxGXFsH_0/Bel4TAlcruC11reY0crMwcH4P2jwhpDe7hT5UVy5Tzc.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_99fe8e9a282f5dc2f4ea6c836e73262e4211d951bd309bb3d22c711bba33a659->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_html.html.twig_CBVwyfsYK1cOtyJzQmdrKZ5YE/0GZF3jowZkEPo7uU-6MQ_NPxAPGWgEizNOHwdFz2atM.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e2b19877e4fcbb0eb48b5097803d10cb6c3e284cdb6bbb580031675b70365d4e->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(694): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.33',1591927913),(228,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_views-view-unformatted.ht_Dkh3W91XlJQqOHRA8SvZ7ZRtR/7AEP0DIlT7KM7by9_smRhLAFK5bzvoi0nPI_MPiPmPU.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_9eda5a1d60ce6745a2062dd62fb125ffaed03c15953138c4a5bd005959fb4614->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_views-view.html.twig_L8ERhvXu4icem9QH1wdN1bY-9/CUKJvrENGgLN6bf_2qqeOv9l2r9i1_aBJqP2SKrkvqg.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_84d88704dac53b0c62a9aef1968cb44949009c3bd7d3c3ce5e768d620d3d065a->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_block.html.twig_CyOWnPCwvLvL-lVnDgn_LdAjx/25UD9k1go8udzCrGdur5kARY6U0EQStpuiPIxiCrpyE.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_934f628a1a73c960878ca2989cf9418592d10aa21188122f274575d985dd6fa9->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_block.html.twig_CyOWnPCwvLvL-lVnDgn_LdAjx/25UD9k1go8udzCrGdur5kARY6U0EQStpuiPIxiCrpyE.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_934f628a1a73c960878ca2989cf9418592d10aa21188122f274575d985dd6fa9->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_page.html.twig_wcrpriT9NAYV7tTxPxGXFsH_0/Bel4TAlcruC11reY0crMwcH4P2jwhpDe7hT5UVy5Tzc.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_99fe8e9a282f5dc2f4ea6c836e73262e4211d951bd309bb3d22c711bba33a659->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_html.html.twig_CBVwyfsYK1cOtyJzQmdrKZ5YE/0GZF3jowZkEPo7uU-6MQ_NPxAPGWgEizNOHwdFz2atM.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e2b19877e4fcbb0eb48b5097803d10cb6c3e284cdb6bbb580031675b70365d4e->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(694): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.33',1591927913),(229,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_views-view-unformatted.ht_Dkh3W91XlJQqOHRA8SvZ7ZRtR/7AEP0DIlT7KM7by9_smRhLAFK5bzvoi0nPI_MPiPmPU.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_9eda5a1d60ce6745a2062dd62fb125ffaed03c15953138c4a5bd005959fb4614->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_views-view.html.twig_L8ERhvXu4icem9QH1wdN1bY-9/CUKJvrENGgLN6bf_2qqeOv9l2r9i1_aBJqP2SKrkvqg.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_84d88704dac53b0c62a9aef1968cb44949009c3bd7d3c3ce5e768d620d3d065a->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_block.html.twig_CyOWnPCwvLvL-lVnDgn_LdAjx/25UD9k1go8udzCrGdur5kARY6U0EQStpuiPIxiCrpyE.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_934f628a1a73c960878ca2989cf9418592d10aa21188122f274575d985dd6fa9->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_block.html.twig_CyOWnPCwvLvL-lVnDgn_LdAjx/25UD9k1go8udzCrGdur5kARY6U0EQStpuiPIxiCrpyE.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_934f628a1a73c960878ca2989cf9418592d10aa21188122f274575d985dd6fa9->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_page.html.twig_wcrpriT9NAYV7tTxPxGXFsH_0/Bel4TAlcruC11reY0crMwcH4P2jwhpDe7hT5UVy5Tzc.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_99fe8e9a282f5dc2f4ea6c836e73262e4211d951bd309bb3d22c711bba33a659->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_html.html.twig_CBVwyfsYK1cOtyJzQmdrKZ5YE/0GZF3jowZkEPo7uU-6MQ_NPxAPGWgEizNOHwdFz2atM.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e2b19877e4fcbb0eb48b5097803d10cb6c3e284cdb6bbb580031675b70365d4e->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(694): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.33',1591927913),(230,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_views-view-unformatted.ht_Dkh3W91XlJQqOHRA8SvZ7ZRtR/7AEP0DIlT7KM7by9_smRhLAFK5bzvoi0nPI_MPiPmPU.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_9eda5a1d60ce6745a2062dd62fb125ffaed03c15953138c4a5bd005959fb4614->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_views-view.html.twig_L8ERhvXu4icem9QH1wdN1bY-9/CUKJvrENGgLN6bf_2qqeOv9l2r9i1_aBJqP2SKrkvqg.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_84d88704dac53b0c62a9aef1968cb44949009c3bd7d3c3ce5e768d620d3d065a->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_block.html.twig_CyOWnPCwvLvL-lVnDgn_LdAjx/25UD9k1go8udzCrGdur5kARY6U0EQStpuiPIxiCrpyE.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_934f628a1a73c960878ca2989cf9418592d10aa21188122f274575d985dd6fa9->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_block.html.twig_CyOWnPCwvLvL-lVnDgn_LdAjx/25UD9k1go8udzCrGdur5kARY6U0EQStpuiPIxiCrpyE.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_934f628a1a73c960878ca2989cf9418592d10aa21188122f274575d985dd6fa9->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_page.html.twig_wcrpriT9NAYV7tTxPxGXFsH_0/Bel4TAlcruC11reY0crMwcH4P2jwhpDe7hT5UVy5Tzc.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_99fe8e9a282f5dc2f4ea6c836e73262e4211d951bd309bb3d22c711bba33a659->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_html.html.twig_CBVwyfsYK1cOtyJzQmdrKZ5YE/0GZF3jowZkEPo7uU-6MQ_NPxAPGWgEizNOHwdFz2atM.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e2b19877e4fcbb0eb48b5097803d10cb6c3e284cdb6bbb580031675b70365d4e->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(694): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.33',1591927913),(231,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_views-view-unformatted.ht_Dkh3W91XlJQqOHRA8SvZ7ZRtR/7AEP0DIlT7KM7by9_smRhLAFK5bzvoi0nPI_MPiPmPU.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_9eda5a1d60ce6745a2062dd62fb125ffaed03c15953138c4a5bd005959fb4614->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_views-view.html.twig_L8ERhvXu4icem9QH1wdN1bY-9/CUKJvrENGgLN6bf_2qqeOv9l2r9i1_aBJqP2SKrkvqg.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_84d88704dac53b0c62a9aef1968cb44949009c3bd7d3c3ce5e768d620d3d065a->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_block.html.twig_CyOWnPCwvLvL-lVnDgn_LdAjx/25UD9k1go8udzCrGdur5kARY6U0EQStpuiPIxiCrpyE.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_934f628a1a73c960878ca2989cf9418592d10aa21188122f274575d985dd6fa9->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_block.html.twig_CyOWnPCwvLvL-lVnDgn_LdAjx/25UD9k1go8udzCrGdur5kARY6U0EQStpuiPIxiCrpyE.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_934f628a1a73c960878ca2989cf9418592d10aa21188122f274575d985dd6fa9->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_page.html.twig_wcrpriT9NAYV7tTxPxGXFsH_0/Bel4TAlcruC11reY0crMwcH4P2jwhpDe7hT5UVy5Tzc.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_99fe8e9a282f5dc2f4ea6c836e73262e4211d951bd309bb3d22c711bba33a659->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_html.html.twig_CBVwyfsYK1cOtyJzQmdrKZ5YE/0GZF3jowZkEPo7uU-6MQ_NPxAPGWgEizNOHwdFz2atM.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e2b19877e4fcbb0eb48b5097803d10cb6c3e284cdb6bbb580031675b70365d4e->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(694): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.33',1591927913),(232,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_views-view-unformatted.ht_Dkh3W91XlJQqOHRA8SvZ7ZRtR/7AEP0DIlT7KM7by9_smRhLAFK5bzvoi0nPI_MPiPmPU.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_9eda5a1d60ce6745a2062dd62fb125ffaed03c15953138c4a5bd005959fb4614->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_views-view.html.twig_L8ERhvXu4icem9QH1wdN1bY-9/CUKJvrENGgLN6bf_2qqeOv9l2r9i1_aBJqP2SKrkvqg.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_84d88704dac53b0c62a9aef1968cb44949009c3bd7d3c3ce5e768d620d3d065a->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_block.html.twig_CyOWnPCwvLvL-lVnDgn_LdAjx/25UD9k1go8udzCrGdur5kARY6U0EQStpuiPIxiCrpyE.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_934f628a1a73c960878ca2989cf9418592d10aa21188122f274575d985dd6fa9->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_block.html.twig_CyOWnPCwvLvL-lVnDgn_LdAjx/25UD9k1go8udzCrGdur5kARY6U0EQStpuiPIxiCrpyE.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_934f628a1a73c960878ca2989cf9418592d10aa21188122f274575d985dd6fa9->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_page.html.twig_wcrpriT9NAYV7tTxPxGXFsH_0/Bel4TAlcruC11reY0crMwcH4P2jwhpDe7hT5UVy5Tzc.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_99fe8e9a282f5dc2f4ea6c836e73262e4211d951bd309bb3d22c711bba33a659->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_html.html.twig_CBVwyfsYK1cOtyJzQmdrKZ5YE/0GZF3jowZkEPo7uU-6MQ_NPxAPGWgEizNOHwdFz2atM.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e2b19877e4fcbb0eb48b5097803d10cb6c3e284cdb6bbb580031675b70365d4e->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(694): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.33',1591927913),(233,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_views-view-unformatted--o_eXB2nrcNwwGF1FO61yIYOnRBT/OKapNCcn3hmuMvQ_tkGnyVgbaD-BXkbE7Nodw3lJ4Xw.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_03c58b7a29982cc6ec22683ce18ddb8af62c3286ae7a1dc3ca1d9053d243ab5d->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_views-view.html.twig_L8ERhvXu4icem9QH1wdN1bY-9/CUKJvrENGgLN6bf_2qqeOv9l2r9i1_aBJqP2SKrkvqg.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_84d88704dac53b0c62a9aef1968cb44949009c3bd7d3c3ce5e768d620d3d065a->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_block.html.twig_CyOWnPCwvLvL-lVnDgn_LdAjx/25UD9k1go8udzCrGdur5kARY6U0EQStpuiPIxiCrpyE.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_934f628a1a73c960878ca2989cf9418592d10aa21188122f274575d985dd6fa9->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_block.html.twig_CyOWnPCwvLvL-lVnDgn_LdAjx/25UD9k1go8udzCrGdur5kARY6U0EQStpuiPIxiCrpyE.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_934f628a1a73c960878ca2989cf9418592d10aa21188122f274575d985dd6fa9->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_page.html.twig_wcrpriT9NAYV7tTxPxGXFsH_0/Bel4TAlcruC11reY0crMwcH4P2jwhpDe7hT5UVy5Tzc.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_99fe8e9a282f5dc2f4ea6c836e73262e4211d951bd309bb3d22c711bba33a659->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_html.html.twig_CBVwyfsYK1cOtyJzQmdrKZ5YE/0GZF3jowZkEPo7uU-6MQ_NPxAPGWgEizNOHwdFz2atM.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e2b19877e4fcbb0eb48b5097803d10cb6c3e284cdb6bbb580031675b70365d4e->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(694): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.33',1591927914),(234,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_views-view-unformatted--o_eXB2nrcNwwGF1FO61yIYOnRBT/OKapNCcn3hmuMvQ_tkGnyVgbaD-BXkbE7Nodw3lJ4Xw.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_03c58b7a29982cc6ec22683ce18ddb8af62c3286ae7a1dc3ca1d9053d243ab5d->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_views-view.html.twig_L8ERhvXu4icem9QH1wdN1bY-9/CUKJvrENGgLN6bf_2qqeOv9l2r9i1_aBJqP2SKrkvqg.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_84d88704dac53b0c62a9aef1968cb44949009c3bd7d3c3ce5e768d620d3d065a->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_block.html.twig_CyOWnPCwvLvL-lVnDgn_LdAjx/25UD9k1go8udzCrGdur5kARY6U0EQStpuiPIxiCrpyE.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_934f628a1a73c960878ca2989cf9418592d10aa21188122f274575d985dd6fa9->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_block.html.twig_CyOWnPCwvLvL-lVnDgn_LdAjx/25UD9k1go8udzCrGdur5kARY6U0EQStpuiPIxiCrpyE.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_934f628a1a73c960878ca2989cf9418592d10aa21188122f274575d985dd6fa9->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_page.html.twig_wcrpriT9NAYV7tTxPxGXFsH_0/Bel4TAlcruC11reY0crMwcH4P2jwhpDe7hT5UVy5Tzc.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_99fe8e9a282f5dc2f4ea6c836e73262e4211d951bd309bb3d22c711bba33a659->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_html.html.twig_CBVwyfsYK1cOtyJzQmdrKZ5YE/0GZF3jowZkEPo7uU-6MQ_NPxAPGWgEizNOHwdFz2atM.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e2b19877e4fcbb0eb48b5097803d10cb6c3e284cdb6bbb580031675b70365d4e->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(694): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.33',1591927914),(235,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_views-view-unformatted--o_eXB2nrcNwwGF1FO61yIYOnRBT/OKapNCcn3hmuMvQ_tkGnyVgbaD-BXkbE7Nodw3lJ4Xw.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_03c58b7a29982cc6ec22683ce18ddb8af62c3286ae7a1dc3ca1d9053d243ab5d->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_views-view.html.twig_L8ERhvXu4icem9QH1wdN1bY-9/CUKJvrENGgLN6bf_2qqeOv9l2r9i1_aBJqP2SKrkvqg.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_84d88704dac53b0c62a9aef1968cb44949009c3bd7d3c3ce5e768d620d3d065a->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_block.html.twig_CyOWnPCwvLvL-lVnDgn_LdAjx/25UD9k1go8udzCrGdur5kARY6U0EQStpuiPIxiCrpyE.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_934f628a1a73c960878ca2989cf9418592d10aa21188122f274575d985dd6fa9->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_block.html.twig_CyOWnPCwvLvL-lVnDgn_LdAjx/25UD9k1go8udzCrGdur5kARY6U0EQStpuiPIxiCrpyE.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_934f628a1a73c960878ca2989cf9418592d10aa21188122f274575d985dd6fa9->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_page.html.twig_wcrpriT9NAYV7tTxPxGXFsH_0/Bel4TAlcruC11reY0crMwcH4P2jwhpDe7hT5UVy5Tzc.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_99fe8e9a282f5dc2f4ea6c836e73262e4211d951bd309bb3d22c711bba33a659->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_html.html.twig_CBVwyfsYK1cOtyJzQmdrKZ5YE/0GZF3jowZkEPo7uU-6MQ_NPxAPGWgEizNOHwdFz2atM.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e2b19877e4fcbb0eb48b5097803d10cb6c3e284cdb6bbb580031675b70365d4e->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(694): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.33',1591927914),(236,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_views-view-unformatted--o_eXB2nrcNwwGF1FO61yIYOnRBT/OKapNCcn3hmuMvQ_tkGnyVgbaD-BXkbE7Nodw3lJ4Xw.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_03c58b7a29982cc6ec22683ce18ddb8af62c3286ae7a1dc3ca1d9053d243ab5d->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_views-view.html.twig_L8ERhvXu4icem9QH1wdN1bY-9/CUKJvrENGgLN6bf_2qqeOv9l2r9i1_aBJqP2SKrkvqg.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_84d88704dac53b0c62a9aef1968cb44949009c3bd7d3c3ce5e768d620d3d065a->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_block.html.twig_CyOWnPCwvLvL-lVnDgn_LdAjx/25UD9k1go8udzCrGdur5kARY6U0EQStpuiPIxiCrpyE.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_934f628a1a73c960878ca2989cf9418592d10aa21188122f274575d985dd6fa9->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_block.html.twig_CyOWnPCwvLvL-lVnDgn_LdAjx/25UD9k1go8udzCrGdur5kARY6U0EQStpuiPIxiCrpyE.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_934f628a1a73c960878ca2989cf9418592d10aa21188122f274575d985dd6fa9->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_page.html.twig_wcrpriT9NAYV7tTxPxGXFsH_0/Bel4TAlcruC11reY0crMwcH4P2jwhpDe7hT5UVy5Tzc.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_99fe8e9a282f5dc2f4ea6c836e73262e4211d951bd309bb3d22c711bba33a659->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_html.html.twig_CBVwyfsYK1cOtyJzQmdrKZ5YE/0GZF3jowZkEPo7uU-6MQ_NPxAPGWgEizNOHwdFz2atM.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e2b19877e4fcbb0eb48b5097803d10cb6c3e284cdb6bbb580031675b70365d4e->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(694): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.33',1591927914),(237,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_views-view-unformatted--o_eXB2nrcNwwGF1FO61yIYOnRBT/OKapNCcn3hmuMvQ_tkGnyVgbaD-BXkbE7Nodw3lJ4Xw.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_03c58b7a29982cc6ec22683ce18ddb8af62c3286ae7a1dc3ca1d9053d243ab5d->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_views-view.html.twig_L8ERhvXu4icem9QH1wdN1bY-9/CUKJvrENGgLN6bf_2qqeOv9l2r9i1_aBJqP2SKrkvqg.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_84d88704dac53b0c62a9aef1968cb44949009c3bd7d3c3ce5e768d620d3d065a->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_block.html.twig_CyOWnPCwvLvL-lVnDgn_LdAjx/25UD9k1go8udzCrGdur5kARY6U0EQStpuiPIxiCrpyE.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_934f628a1a73c960878ca2989cf9418592d10aa21188122f274575d985dd6fa9->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_block.html.twig_CyOWnPCwvLvL-lVnDgn_LdAjx/25UD9k1go8udzCrGdur5kARY6U0EQStpuiPIxiCrpyE.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_934f628a1a73c960878ca2989cf9418592d10aa21188122f274575d985dd6fa9->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_page.html.twig_wcrpriT9NAYV7tTxPxGXFsH_0/Bel4TAlcruC11reY0crMwcH4P2jwhpDe7hT5UVy5Tzc.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_99fe8e9a282f5dc2f4ea6c836e73262e4211d951bd309bb3d22c711bba33a659->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_html.html.twig_CBVwyfsYK1cOtyJzQmdrKZ5YE/0GZF3jowZkEPo7uU-6MQ_NPxAPGWgEizNOHwdFz2atM.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e2b19877e4fcbb0eb48b5097803d10cb6c3e284cdb6bbb580031675b70365d4e->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(694): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.33',1591927914),(238,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_views-view-unformatted--o_eXB2nrcNwwGF1FO61yIYOnRBT/OKapNCcn3hmuMvQ_tkGnyVgbaD-BXkbE7Nodw3lJ4Xw.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_03c58b7a29982cc6ec22683ce18ddb8af62c3286ae7a1dc3ca1d9053d243ab5d->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_views-view.html.twig_L8ERhvXu4icem9QH1wdN1bY-9/CUKJvrENGgLN6bf_2qqeOv9l2r9i1_aBJqP2SKrkvqg.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_84d88704dac53b0c62a9aef1968cb44949009c3bd7d3c3ce5e768d620d3d065a->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_block.html.twig_CyOWnPCwvLvL-lVnDgn_LdAjx/25UD9k1go8udzCrGdur5kARY6U0EQStpuiPIxiCrpyE.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_934f628a1a73c960878ca2989cf9418592d10aa21188122f274575d985dd6fa9->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_block.html.twig_CyOWnPCwvLvL-lVnDgn_LdAjx/25UD9k1go8udzCrGdur5kARY6U0EQStpuiPIxiCrpyE.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_934f628a1a73c960878ca2989cf9418592d10aa21188122f274575d985dd6fa9->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_page.html.twig_wcrpriT9NAYV7tTxPxGXFsH_0/Bel4TAlcruC11reY0crMwcH4P2jwhpDe7hT5UVy5Tzc.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_99fe8e9a282f5dc2f4ea6c836e73262e4211d951bd309bb3d22c711bba33a659->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_html.html.twig_CBVwyfsYK1cOtyJzQmdrKZ5YE/0GZF3jowZkEPo7uU-6MQ_NPxAPGWgEizNOHwdFz2atM.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e2b19877e4fcbb0eb48b5097803d10cb6c3e284cdb6bbb580031675b70365d4e->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(694): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.33',1591927914),(239,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_views-view-unformatted.ht_Dkh3W91XlJQqOHRA8SvZ7ZRtR/7AEP0DIlT7KM7by9_smRhLAFK5bzvoi0nPI_MPiPmPU.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_9eda5a1d60ce6745a2062dd62fb125ffaed03c15953138c4a5bd005959fb4614->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_views-view.html.twig_L8ERhvXu4icem9QH1wdN1bY-9/CUKJvrENGgLN6bf_2qqeOv9l2r9i1_aBJqP2SKrkvqg.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_84d88704dac53b0c62a9aef1968cb44949009c3bd7d3c3ce5e768d620d3d065a->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_block.html.twig_CyOWnPCwvLvL-lVnDgn_LdAjx/25UD9k1go8udzCrGdur5kARY6U0EQStpuiPIxiCrpyE.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_934f628a1a73c960878ca2989cf9418592d10aa21188122f274575d985dd6fa9->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_block.html.twig_CyOWnPCwvLvL-lVnDgn_LdAjx/25UD9k1go8udzCrGdur5kARY6U0EQStpuiPIxiCrpyE.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_934f628a1a73c960878ca2989cf9418592d10aa21188122f274575d985dd6fa9->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_page.html.twig_wcrpriT9NAYV7tTxPxGXFsH_0/Bel4TAlcruC11reY0crMwcH4P2jwhpDe7hT5UVy5Tzc.php(562): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_99fe8e9a282f5dc2f4ea6c836e73262e4211d951bd309bb3d22c711bba33a659->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_html.html.twig_CBVwyfsYK1cOtyJzQmdrKZ5YE/0GZF3jowZkEPo7uU-6MQ_NPxAPGWgEizNOHwdFz2atM.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e2b19877e4fcbb0eb48b5097803d10cb6c3e284cdb6bbb580031675b70365d4e->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(694): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.33',1591927914),(240,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_views-view-unformatted.ht_Dkh3W91XlJQqOHRA8SvZ7ZRtR/7AEP0DIlT7KM7by9_smRhLAFK5bzvoi0nPI_MPiPmPU.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_9eda5a1d60ce6745a2062dd62fb125ffaed03c15953138c4a5bd005959fb4614->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_views-view.html.twig_L8ERhvXu4icem9QH1wdN1bY-9/CUKJvrENGgLN6bf_2qqeOv9l2r9i1_aBJqP2SKrkvqg.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_84d88704dac53b0c62a9aef1968cb44949009c3bd7d3c3ce5e768d620d3d065a->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_block.html.twig_CyOWnPCwvLvL-lVnDgn_LdAjx/25UD9k1go8udzCrGdur5kARY6U0EQStpuiPIxiCrpyE.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_934f628a1a73c960878ca2989cf9418592d10aa21188122f274575d985dd6fa9->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_block.html.twig_CyOWnPCwvLvL-lVnDgn_LdAjx/25UD9k1go8udzCrGdur5kARY6U0EQStpuiPIxiCrpyE.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_934f628a1a73c960878ca2989cf9418592d10aa21188122f274575d985dd6fa9->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_page.html.twig_wcrpriT9NAYV7tTxPxGXFsH_0/Bel4TAlcruC11reY0crMwcH4P2jwhpDe7hT5UVy5Tzc.php(562): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_99fe8e9a282f5dc2f4ea6c836e73262e4211d951bd309bb3d22c711bba33a659->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee2e4476a1f0_html.html.twig_CBVwyfsYK1cOtyJzQmdrKZ5YE/0GZF3jowZkEPo7uU-6MQ_NPxAPGWgEizNOHwdFz2atM.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e2b19877e4fcbb0eb48b5097803d10cb6c3e284cdb6bbb580031675b70365d4e->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(694): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.33',1591927914),(241,0,'cron','Starting execution of @module_cron().','a:1:{s:7:\"@module\";s:7:\"comment\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.33',1591927922),(242,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:5:\"dblog\";s:16:\"@module_previous\";s:7:\"comment\";s:5:\"@time\";s:6:\"4.05ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.33',1591927922),(243,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:5:\"field\";s:16:\"@module_previous\";s:5:\"dblog\";s:5:\"@time\";s:7:\"11.24ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.33',1591927922),(244,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:4:\"file\";s:16:\"@module_previous\";s:5:\"field\";s:5:\"@time\";s:6:\"7.66ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.33',1591927922),(245,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:7:\"history\";s:16:\"@module_previous\";s:4:\"file\";s:5:\"@time\";s:3:\"1ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.33',1591927922),(246,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"locale\";s:16:\"@module_previous\";s:7:\"history\";s:5:\"@time\";s:6:\"1.52ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.33',1591927922),(247,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:4:\"node\";s:16:\"@module_previous\";s:6:\"locale\";s:5:\"@time\";s:6:\"0.02ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.33',1591927922),(248,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"search\";s:16:\"@module_previous\";s:4:\"node\";s:5:\"@time\";s:7:\"184.5ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.33',1591927922),(249,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:10:\"simplenews\";s:16:\"@module_previous\";s:6:\"search\";s:5:\"@time\";s:7:\"160.7ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.33',1591927923),(250,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"system\";s:16:\"@module_previous\";s:10:\"simplenews\";s:5:\"@time\";s:8:\"397.82ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.33',1591927923),(251,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"update\";s:16:\"@module_previous\";s:6:\"system\";s:5:\"@time\";s:9:\"1098.41ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.33',1591927924),(252,0,'mail','Error sending email (from %from to %to with reply-to %reply).','a:3:{s:5:\"%from\";s:13:\"admin@lvh.com\";s:3:\"%to\";s:13:\"admin@lvh.com\";s:6:\"%reply\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"not set\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.33',1591927938),(253,0,'cron','Execution of @module_previous_cron() took @time.','a:2:{s:16:\"@module_previous\";s:6:\"update\";s:5:\"@time\";s:10:\"14300.19ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.33',1591927938),(254,0,'cron','Cron run completed.','a:0:{}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.33',1591927938),(255,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:16:\"RuntimeException\";s:8:\"@message\";s:61:\"Zend Diactoros must be installed to use the DiactorosFactory.\";s:9:\"%function\";s:69:\"Symfony\\Bridge\\PsrHttpMessage\\Factory\\DiactorosFactory->__construct()\";s:5:\"%file\";s:100:\"/home/frontend/drupal8/luxestate/vendor/symfony/psr-http-message-bridge/Factory/DiactorosFactory.php\";s:5:\"%line\";i:37;s:17:\"@backtrace_string\";s:5727:\"#0 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/DependencyInjection/Container.php(265): Symfony\\Bridge\\PsrHttpMessage\\Factory\\DiactorosFactory->__construct()\n#1 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/DependencyInjection/Container.php(173): Drupal\\Component\\DependencyInjection\\Container->createService(Array, \'psr7.http_messa...\')\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/DependencyInjection/Container.php(487): Drupal\\Component\\DependencyInjection\\Container->get(\'psr7.http_messa...\', 1)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/DependencyInjection/Container.php(237): Drupal\\Component\\DependencyInjection\\Container->resolveServicesAndParameters(Array)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/DependencyInjection/Container.php(173): Drupal\\Component\\DependencyInjection\\Container->createService(Array, \'controller_reso...\')\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/DependencyInjection/Container.php(487): Drupal\\Component\\DependencyInjection\\Container->get(\'controller_reso...\', 1)\n#6 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/DependencyInjection/Container.php(237): Drupal\\Component\\DependencyInjection\\Container->resolveServicesAndParameters(Array)\n#7 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/DependencyInjection/Container.php(173): Drupal\\Component\\DependencyInjection\\Container->createService(Array, \'http_kernel.bas...\')\n#8 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/DependencyInjection/Container.php(487): Drupal\\Component\\DependencyInjection\\Container->get(\'http_kernel.bas...\', 1)\n#9 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/DependencyInjection/Container.php(237): Drupal\\Component\\DependencyInjection\\Container->resolveServicesAndParameters(Array)\n#10 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/DependencyInjection/Container.php(173): Drupal\\Component\\DependencyInjection\\Container->createService(Array, \'http_middleware...\')\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/DependencyInjection/Container.php(487): Drupal\\Component\\DependencyInjection\\Container->get(\'http_middleware...\', 1)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/DependencyInjection/Container.php(237): Drupal\\Component\\DependencyInjection\\Container->resolveServicesAndParameters(Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/DependencyInjection/Container.php(173): Drupal\\Component\\DependencyInjection\\Container->createService(Array, \'http_middleware...\')\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/DependencyInjection/Container.php(487): Drupal\\Component\\DependencyInjection\\Container->get(\'http_middleware...\', 1)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/DependencyInjection/Container.php(237): Drupal\\Component\\DependencyInjection\\Container->resolveServicesAndParameters(Array)\n#16 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/DependencyInjection/Container.php(173): Drupal\\Component\\DependencyInjection\\Container->createService(Array, \'http_middleware...\')\n#17 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/DependencyInjection/Container.php(487): Drupal\\Component\\DependencyInjection\\Container->get(\'http_middleware...\', 1)\n#18 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/DependencyInjection/Container.php(237): Drupal\\Component\\DependencyInjection\\Container->resolveServicesAndParameters(Array)\n#19 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/DependencyInjection/Container.php(173): Drupal\\Component\\DependencyInjection\\Container->createService(Array, \'http_middleware...\')\n#20 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/DependencyInjection/Container.php(487): Drupal\\Component\\DependencyInjection\\Container->get(\'http_middleware...\', 1)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/DependencyInjection/Container.php(237): Drupal\\Component\\DependencyInjection\\Container->resolveServicesAndParameters(Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/DependencyInjection/Container.php(173): Drupal\\Component\\DependencyInjection\\Container->createService(Array, \'http_middleware...\')\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/DependencyInjection/Container.php(487): Drupal\\Component\\DependencyInjection\\Container->get(\'http_middleware...\', 1)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/DependencyInjection/Container.php(237): Drupal\\Component\\DependencyInjection\\Container->resolveServicesAndParameters(Array)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/DependencyInjection/Container.php(173): Drupal\\Component\\DependencyInjection\\Container->createService(Array, \'http_kernel\')\n#26 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(1387): Drupal\\Component\\DependencyInjection\\Container->get(\'http_kernel\')\n#27 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(671): Drupal\\Core\\DrupalKernel->getHttpKernel()\n#28 phar:///usr/local/bin/drush/lib/Drush/Boot/DrupalBoot8.php(202): Drupal\\Core\\DrupalKernel->terminate(Object(Symfony\\Component\\HttpFoundation\\Request), Object(Symfony\\Component\\HttpFoundation\\Response))\n#29 phar:///usr/local/bin/drush/includes/preflight.inc(75): Drush\\Boot\\DrupalBoot8->terminate()\n#30 phar:///usr/local/bin/drush/includes/startup.inc(465): drush_main()\n#31 phar:///usr/local/bin/drush/includes/startup.inc(369): drush_run_main(false, \'/\', \'Phar detected. ...\')\n#32 phar:///usr/local/bin/drush/drush(114): drush_startup(Array)\n#33 /usr/local/bin/drush(10): require(\'phar:///usr/loc...\')\n#34 {main}\";}',3,'','http://default/','','127.0.0.1',1591937475),(256,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_views-view-unformatted--o_AMRob8_wu2cIZH6TIxhqboFyG/sqZT6410ENj7cyeqnAxyQfvX84W-v9hqP0KZBUQ_lQo.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c45083fd3e51bfb682acc477271b6f93d7e7ba606101375c8f1ea752eceb35c3->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_views-view.html.twig_R9VOGGb69BJxQfQEdAwYxbDiY/8Yw9RGYT1W-jx3DsjKdsC7lwTC1tU1-TeGmtCPMOu1k.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_cae531f9ad2c4475040a707bf402189553e0f35120ff4bc9778120340ddb1262->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/TjWKxxpHye4cnvstnjPkDLtyuiO6kSKPlxaSVvO4DqM.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/TjWKxxpHye4cnvstnjPkDLtyuiO6kSKPlxaSVvO4DqM.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_page.html.twig_Pi7aVDPrYJ0vcV8qJg363x3Lm/Kd5AjjScUWOTbV6NkPp-99gn09qyrUbRnLk2-ySI_lQ.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c3ff45fffc8ca2baa69425bbf9e09f3b953457eb2b7fbc341df9b83f2be35d7b->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_html.html.twig_a6hPzxRq5pfJJ2YGmFYDQWqSn/SMS1qFSJW3AqeFRq2RQM2bbWvjlUO3514H4TthI1XKc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_76f2e0713044220b4cba93a844a0e194dd4207566f662dd836f6dfe2b9feac78->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.33',1591937979),(257,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_views-view-unformatted--o_AMRob8_wu2cIZH6TIxhqboFyG/sqZT6410ENj7cyeqnAxyQfvX84W-v9hqP0KZBUQ_lQo.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c45083fd3e51bfb682acc477271b6f93d7e7ba606101375c8f1ea752eceb35c3->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_views-view.html.twig_R9VOGGb69BJxQfQEdAwYxbDiY/8Yw9RGYT1W-jx3DsjKdsC7lwTC1tU1-TeGmtCPMOu1k.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_cae531f9ad2c4475040a707bf402189553e0f35120ff4bc9778120340ddb1262->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/TjWKxxpHye4cnvstnjPkDLtyuiO6kSKPlxaSVvO4DqM.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/TjWKxxpHye4cnvstnjPkDLtyuiO6kSKPlxaSVvO4DqM.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_page.html.twig_Pi7aVDPrYJ0vcV8qJg363x3Lm/Kd5AjjScUWOTbV6NkPp-99gn09qyrUbRnLk2-ySI_lQ.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c3ff45fffc8ca2baa69425bbf9e09f3b953457eb2b7fbc341df9b83f2be35d7b->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_html.html.twig_a6hPzxRq5pfJJ2YGmFYDQWqSn/SMS1qFSJW3AqeFRq2RQM2bbWvjlUO3514H4TthI1XKc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_76f2e0713044220b4cba93a844a0e194dd4207566f662dd836f6dfe2b9feac78->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.33',1591937979),(258,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_views-view-unformatted--o_AMRob8_wu2cIZH6TIxhqboFyG/sqZT6410ENj7cyeqnAxyQfvX84W-v9hqP0KZBUQ_lQo.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c45083fd3e51bfb682acc477271b6f93d7e7ba606101375c8f1ea752eceb35c3->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_views-view.html.twig_R9VOGGb69BJxQfQEdAwYxbDiY/8Yw9RGYT1W-jx3DsjKdsC7lwTC1tU1-TeGmtCPMOu1k.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_cae531f9ad2c4475040a707bf402189553e0f35120ff4bc9778120340ddb1262->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/TjWKxxpHye4cnvstnjPkDLtyuiO6kSKPlxaSVvO4DqM.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/TjWKxxpHye4cnvstnjPkDLtyuiO6kSKPlxaSVvO4DqM.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_page.html.twig_Pi7aVDPrYJ0vcV8qJg363x3Lm/Kd5AjjScUWOTbV6NkPp-99gn09qyrUbRnLk2-ySI_lQ.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c3ff45fffc8ca2baa69425bbf9e09f3b953457eb2b7fbc341df9b83f2be35d7b->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_html.html.twig_a6hPzxRq5pfJJ2YGmFYDQWqSn/SMS1qFSJW3AqeFRq2RQM2bbWvjlUO3514H4TthI1XKc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_76f2e0713044220b4cba93a844a0e194dd4207566f662dd836f6dfe2b9feac78->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.33',1591937979),(259,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_views-view-unformatted--o_AMRob8_wu2cIZH6TIxhqboFyG/sqZT6410ENj7cyeqnAxyQfvX84W-v9hqP0KZBUQ_lQo.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c45083fd3e51bfb682acc477271b6f93d7e7ba606101375c8f1ea752eceb35c3->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_views-view.html.twig_R9VOGGb69BJxQfQEdAwYxbDiY/8Yw9RGYT1W-jx3DsjKdsC7lwTC1tU1-TeGmtCPMOu1k.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_cae531f9ad2c4475040a707bf402189553e0f35120ff4bc9778120340ddb1262->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/TjWKxxpHye4cnvstnjPkDLtyuiO6kSKPlxaSVvO4DqM.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/TjWKxxpHye4cnvstnjPkDLtyuiO6kSKPlxaSVvO4DqM.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_page.html.twig_Pi7aVDPrYJ0vcV8qJg363x3Lm/Kd5AjjScUWOTbV6NkPp-99gn09qyrUbRnLk2-ySI_lQ.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c3ff45fffc8ca2baa69425bbf9e09f3b953457eb2b7fbc341df9b83f2be35d7b->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_html.html.twig_a6hPzxRq5pfJJ2YGmFYDQWqSn/SMS1qFSJW3AqeFRq2RQM2bbWvjlUO3514H4TthI1XKc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_76f2e0713044220b4cba93a844a0e194dd4207566f662dd836f6dfe2b9feac78->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.33',1591937979),(260,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_views-view-unformatted--o_AMRob8_wu2cIZH6TIxhqboFyG/sqZT6410ENj7cyeqnAxyQfvX84W-v9hqP0KZBUQ_lQo.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c45083fd3e51bfb682acc477271b6f93d7e7ba606101375c8f1ea752eceb35c3->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_views-view.html.twig_R9VOGGb69BJxQfQEdAwYxbDiY/8Yw9RGYT1W-jx3DsjKdsC7lwTC1tU1-TeGmtCPMOu1k.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_cae531f9ad2c4475040a707bf402189553e0f35120ff4bc9778120340ddb1262->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/TjWKxxpHye4cnvstnjPkDLtyuiO6kSKPlxaSVvO4DqM.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/TjWKxxpHye4cnvstnjPkDLtyuiO6kSKPlxaSVvO4DqM.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_page.html.twig_Pi7aVDPrYJ0vcV8qJg363x3Lm/Kd5AjjScUWOTbV6NkPp-99gn09qyrUbRnLk2-ySI_lQ.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c3ff45fffc8ca2baa69425bbf9e09f3b953457eb2b7fbc341df9b83f2be35d7b->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_html.html.twig_a6hPzxRq5pfJJ2YGmFYDQWqSn/SMS1qFSJW3AqeFRq2RQM2bbWvjlUO3514H4TthI1XKc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_76f2e0713044220b4cba93a844a0e194dd4207566f662dd836f6dfe2b9feac78->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.33',1591937979),(261,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_views-view-unformatted--o_AMRob8_wu2cIZH6TIxhqboFyG/sqZT6410ENj7cyeqnAxyQfvX84W-v9hqP0KZBUQ_lQo.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c45083fd3e51bfb682acc477271b6f93d7e7ba606101375c8f1ea752eceb35c3->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_views-view.html.twig_R9VOGGb69BJxQfQEdAwYxbDiY/8Yw9RGYT1W-jx3DsjKdsC7lwTC1tU1-TeGmtCPMOu1k.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_cae531f9ad2c4475040a707bf402189553e0f35120ff4bc9778120340ddb1262->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/TjWKxxpHye4cnvstnjPkDLtyuiO6kSKPlxaSVvO4DqM.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/TjWKxxpHye4cnvstnjPkDLtyuiO6kSKPlxaSVvO4DqM.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_page.html.twig_Pi7aVDPrYJ0vcV8qJg363x3Lm/Kd5AjjScUWOTbV6NkPp-99gn09qyrUbRnLk2-ySI_lQ.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c3ff45fffc8ca2baa69425bbf9e09f3b953457eb2b7fbc341df9b83f2be35d7b->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_html.html.twig_a6hPzxRq5pfJJ2YGmFYDQWqSn/SMS1qFSJW3AqeFRq2RQM2bbWvjlUO3514H4TthI1XKc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_76f2e0713044220b4cba93a844a0e194dd4207566f662dd836f6dfe2b9feac78->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.33',1591937979),(262,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_views-view-unformatted.ht_CkS_aI-QmDNU3Lk3rmeQkLKKp/YFQLNYrv5s-k9mXWw0BbZRk06H3pGHTV6lkaev-QpG0.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_394c2fb7b09a33ea07c09d1ef1abdfdbdeadd36f7dcaeef8f1cc58aefc57560a->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_views-view.html.twig_R9VOGGb69BJxQfQEdAwYxbDiY/8Yw9RGYT1W-jx3DsjKdsC7lwTC1tU1-TeGmtCPMOu1k.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_cae531f9ad2c4475040a707bf402189553e0f35120ff4bc9778120340ddb1262->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/TjWKxxpHye4cnvstnjPkDLtyuiO6kSKPlxaSVvO4DqM.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/TjWKxxpHye4cnvstnjPkDLtyuiO6kSKPlxaSVvO4DqM.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_page.html.twig_Pi7aVDPrYJ0vcV8qJg363x3Lm/Kd5AjjScUWOTbV6NkPp-99gn09qyrUbRnLk2-ySI_lQ.php(562): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c3ff45fffc8ca2baa69425bbf9e09f3b953457eb2b7fbc341df9b83f2be35d7b->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_html.html.twig_a6hPzxRq5pfJJ2YGmFYDQWqSn/SMS1qFSJW3AqeFRq2RQM2bbWvjlUO3514H4TthI1XKc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_76f2e0713044220b4cba93a844a0e194dd4207566f662dd836f6dfe2b9feac78->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.33',1591937979),(263,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_views-view-unformatted.ht_CkS_aI-QmDNU3Lk3rmeQkLKKp/YFQLNYrv5s-k9mXWw0BbZRk06H3pGHTV6lkaev-QpG0.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_394c2fb7b09a33ea07c09d1ef1abdfdbdeadd36f7dcaeef8f1cc58aefc57560a->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_views-view.html.twig_R9VOGGb69BJxQfQEdAwYxbDiY/8Yw9RGYT1W-jx3DsjKdsC7lwTC1tU1-TeGmtCPMOu1k.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_cae531f9ad2c4475040a707bf402189553e0f35120ff4bc9778120340ddb1262->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/TjWKxxpHye4cnvstnjPkDLtyuiO6kSKPlxaSVvO4DqM.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/TjWKxxpHye4cnvstnjPkDLtyuiO6kSKPlxaSVvO4DqM.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_page.html.twig_Pi7aVDPrYJ0vcV8qJg363x3Lm/Kd5AjjScUWOTbV6NkPp-99gn09qyrUbRnLk2-ySI_lQ.php(562): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c3ff45fffc8ca2baa69425bbf9e09f3b953457eb2b7fbc341df9b83f2be35d7b->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_html.html.twig_a6hPzxRq5pfJJ2YGmFYDQWqSn/SMS1qFSJW3AqeFRq2RQM2bbWvjlUO3514H4TthI1XKc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_76f2e0713044220b4cba93a844a0e194dd4207566f662dd836f6dfe2b9feac78->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.33',1591937979),(264,1,'user','Session opened for %name.','a:1:{s:5:\"%name\";s:5:\"admin\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.33',1591938102),(265,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_views-view-unformatted--o_AMRob8_wu2cIZH6TIxhqboFyG/sqZT6410ENj7cyeqnAxyQfvX84W-v9hqP0KZBUQ_lQo.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c45083fd3e51bfb682acc477271b6f93d7e7ba606101375c8f1ea752eceb35c3->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_views-view.html.twig_R9VOGGb69BJxQfQEdAwYxbDiY/8Yw9RGYT1W-jx3DsjKdsC7lwTC1tU1-TeGmtCPMOu1k.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_cae531f9ad2c4475040a707bf402189553e0f35120ff4bc9778120340ddb1262->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/TjWKxxpHye4cnvstnjPkDLtyuiO6kSKPlxaSVvO4DqM.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/TjWKxxpHye4cnvstnjPkDLtyuiO6kSKPlxaSVvO4DqM.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_page.html.twig_Pi7aVDPrYJ0vcV8qJg363x3Lm/Kd5AjjScUWOTbV6NkPp-99gn09qyrUbRnLk2-ySI_lQ.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c3ff45fffc8ca2baa69425bbf9e09f3b953457eb2b7fbc341df9b83f2be35d7b->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_html.html.twig_a6hPzxRq5pfJJ2YGmFYDQWqSn/SMS1qFSJW3AqeFRq2RQM2bbWvjlUO3514H4TthI1XKc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_76f2e0713044220b4cba93a844a0e194dd4207566f662dd836f6dfe2b9feac78->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.33',1591938103),(266,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_views-view-unformatted--o_AMRob8_wu2cIZH6TIxhqboFyG/sqZT6410ENj7cyeqnAxyQfvX84W-v9hqP0KZBUQ_lQo.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c45083fd3e51bfb682acc477271b6f93d7e7ba606101375c8f1ea752eceb35c3->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_views-view.html.twig_R9VOGGb69BJxQfQEdAwYxbDiY/8Yw9RGYT1W-jx3DsjKdsC7lwTC1tU1-TeGmtCPMOu1k.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_cae531f9ad2c4475040a707bf402189553e0f35120ff4bc9778120340ddb1262->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/TjWKxxpHye4cnvstnjPkDLtyuiO6kSKPlxaSVvO4DqM.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/TjWKxxpHye4cnvstnjPkDLtyuiO6kSKPlxaSVvO4DqM.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_page.html.twig_Pi7aVDPrYJ0vcV8qJg363x3Lm/Kd5AjjScUWOTbV6NkPp-99gn09qyrUbRnLk2-ySI_lQ.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c3ff45fffc8ca2baa69425bbf9e09f3b953457eb2b7fbc341df9b83f2be35d7b->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_html.html.twig_a6hPzxRq5pfJJ2YGmFYDQWqSn/SMS1qFSJW3AqeFRq2RQM2bbWvjlUO3514H4TthI1XKc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_76f2e0713044220b4cba93a844a0e194dd4207566f662dd836f6dfe2b9feac78->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.33',1591938103),(267,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_views-view-unformatted--o_AMRob8_wu2cIZH6TIxhqboFyG/sqZT6410ENj7cyeqnAxyQfvX84W-v9hqP0KZBUQ_lQo.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c45083fd3e51bfb682acc477271b6f93d7e7ba606101375c8f1ea752eceb35c3->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_views-view.html.twig_R9VOGGb69BJxQfQEdAwYxbDiY/8Yw9RGYT1W-jx3DsjKdsC7lwTC1tU1-TeGmtCPMOu1k.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_cae531f9ad2c4475040a707bf402189553e0f35120ff4bc9778120340ddb1262->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/TjWKxxpHye4cnvstnjPkDLtyuiO6kSKPlxaSVvO4DqM.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/TjWKxxpHye4cnvstnjPkDLtyuiO6kSKPlxaSVvO4DqM.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_page.html.twig_Pi7aVDPrYJ0vcV8qJg363x3Lm/Kd5AjjScUWOTbV6NkPp-99gn09qyrUbRnLk2-ySI_lQ.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c3ff45fffc8ca2baa69425bbf9e09f3b953457eb2b7fbc341df9b83f2be35d7b->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_html.html.twig_a6hPzxRq5pfJJ2YGmFYDQWqSn/SMS1qFSJW3AqeFRq2RQM2bbWvjlUO3514H4TthI1XKc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_76f2e0713044220b4cba93a844a0e194dd4207566f662dd836f6dfe2b9feac78->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.33',1591938103),(268,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_views-view-unformatted--o_AMRob8_wu2cIZH6TIxhqboFyG/sqZT6410ENj7cyeqnAxyQfvX84W-v9hqP0KZBUQ_lQo.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c45083fd3e51bfb682acc477271b6f93d7e7ba606101375c8f1ea752eceb35c3->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_views-view.html.twig_R9VOGGb69BJxQfQEdAwYxbDiY/8Yw9RGYT1W-jx3DsjKdsC7lwTC1tU1-TeGmtCPMOu1k.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_cae531f9ad2c4475040a707bf402189553e0f35120ff4bc9778120340ddb1262->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/TjWKxxpHye4cnvstnjPkDLtyuiO6kSKPlxaSVvO4DqM.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/TjWKxxpHye4cnvstnjPkDLtyuiO6kSKPlxaSVvO4DqM.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_page.html.twig_Pi7aVDPrYJ0vcV8qJg363x3Lm/Kd5AjjScUWOTbV6NkPp-99gn09qyrUbRnLk2-ySI_lQ.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c3ff45fffc8ca2baa69425bbf9e09f3b953457eb2b7fbc341df9b83f2be35d7b->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_html.html.twig_a6hPzxRq5pfJJ2YGmFYDQWqSn/SMS1qFSJW3AqeFRq2RQM2bbWvjlUO3514H4TthI1XKc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_76f2e0713044220b4cba93a844a0e194dd4207566f662dd836f6dfe2b9feac78->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.33',1591938103);
INSERT INTO `watchdog` VALUES (269,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_views-view-unformatted--o_AMRob8_wu2cIZH6TIxhqboFyG/sqZT6410ENj7cyeqnAxyQfvX84W-v9hqP0KZBUQ_lQo.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c45083fd3e51bfb682acc477271b6f93d7e7ba606101375c8f1ea752eceb35c3->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_views-view.html.twig_R9VOGGb69BJxQfQEdAwYxbDiY/8Yw9RGYT1W-jx3DsjKdsC7lwTC1tU1-TeGmtCPMOu1k.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_cae531f9ad2c4475040a707bf402189553e0f35120ff4bc9778120340ddb1262->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/TjWKxxpHye4cnvstnjPkDLtyuiO6kSKPlxaSVvO4DqM.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/TjWKxxpHye4cnvstnjPkDLtyuiO6kSKPlxaSVvO4DqM.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_page.html.twig_Pi7aVDPrYJ0vcV8qJg363x3Lm/Kd5AjjScUWOTbV6NkPp-99gn09qyrUbRnLk2-ySI_lQ.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c3ff45fffc8ca2baa69425bbf9e09f3b953457eb2b7fbc341df9b83f2be35d7b->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_html.html.twig_a6hPzxRq5pfJJ2YGmFYDQWqSn/SMS1qFSJW3AqeFRq2RQM2bbWvjlUO3514H4TthI1XKc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_76f2e0713044220b4cba93a844a0e194dd4207566f662dd836f6dfe2b9feac78->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.33',1591938103),(270,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_views-view-unformatted--o_AMRob8_wu2cIZH6TIxhqboFyG/sqZT6410ENj7cyeqnAxyQfvX84W-v9hqP0KZBUQ_lQo.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c45083fd3e51bfb682acc477271b6f93d7e7ba606101375c8f1ea752eceb35c3->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_views-view.html.twig_R9VOGGb69BJxQfQEdAwYxbDiY/8Yw9RGYT1W-jx3DsjKdsC7lwTC1tU1-TeGmtCPMOu1k.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_cae531f9ad2c4475040a707bf402189553e0f35120ff4bc9778120340ddb1262->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/TjWKxxpHye4cnvstnjPkDLtyuiO6kSKPlxaSVvO4DqM.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/TjWKxxpHye4cnvstnjPkDLtyuiO6kSKPlxaSVvO4DqM.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_page.html.twig_Pi7aVDPrYJ0vcV8qJg363x3Lm/Kd5AjjScUWOTbV6NkPp-99gn09qyrUbRnLk2-ySI_lQ.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c3ff45fffc8ca2baa69425bbf9e09f3b953457eb2b7fbc341df9b83f2be35d7b->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_html.html.twig_a6hPzxRq5pfJJ2YGmFYDQWqSn/SMS1qFSJW3AqeFRq2RQM2bbWvjlUO3514H4TthI1XKc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_76f2e0713044220b4cba93a844a0e194dd4207566f662dd836f6dfe2b9feac78->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.33',1591938103),(271,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_views-view-unformatted.ht_CkS_aI-QmDNU3Lk3rmeQkLKKp/YFQLNYrv5s-k9mXWw0BbZRk06H3pGHTV6lkaev-QpG0.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_394c2fb7b09a33ea07c09d1ef1abdfdbdeadd36f7dcaeef8f1cc58aefc57560a->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_views-view.html.twig_R9VOGGb69BJxQfQEdAwYxbDiY/8Yw9RGYT1W-jx3DsjKdsC7lwTC1tU1-TeGmtCPMOu1k.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_cae531f9ad2c4475040a707bf402189553e0f35120ff4bc9778120340ddb1262->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/TjWKxxpHye4cnvstnjPkDLtyuiO6kSKPlxaSVvO4DqM.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/TjWKxxpHye4cnvstnjPkDLtyuiO6kSKPlxaSVvO4DqM.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_page.html.twig_Pi7aVDPrYJ0vcV8qJg363x3Lm/Kd5AjjScUWOTbV6NkPp-99gn09qyrUbRnLk2-ySI_lQ.php(562): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c3ff45fffc8ca2baa69425bbf9e09f3b953457eb2b7fbc341df9b83f2be35d7b->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_html.html.twig_a6hPzxRq5pfJJ2YGmFYDQWqSn/SMS1qFSJW3AqeFRq2RQM2bbWvjlUO3514H4TthI1XKc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_76f2e0713044220b4cba93a844a0e194dd4207566f662dd836f6dfe2b9feac78->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.33',1591938103),(272,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_views-view-unformatted.ht_CkS_aI-QmDNU3Lk3rmeQkLKKp/YFQLNYrv5s-k9mXWw0BbZRk06H3pGHTV6lkaev-QpG0.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_394c2fb7b09a33ea07c09d1ef1abdfdbdeadd36f7dcaeef8f1cc58aefc57560a->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_views-view.html.twig_R9VOGGb69BJxQfQEdAwYxbDiY/8Yw9RGYT1W-jx3DsjKdsC7lwTC1tU1-TeGmtCPMOu1k.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_cae531f9ad2c4475040a707bf402189553e0f35120ff4bc9778120340ddb1262->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/TjWKxxpHye4cnvstnjPkDLtyuiO6kSKPlxaSVvO4DqM.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/TjWKxxpHye4cnvstnjPkDLtyuiO6kSKPlxaSVvO4DqM.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_page.html.twig_Pi7aVDPrYJ0vcV8qJg363x3Lm/Kd5AjjScUWOTbV6NkPp-99gn09qyrUbRnLk2-ySI_lQ.php(562): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c3ff45fffc8ca2baa69425bbf9e09f3b953457eb2b7fbc341df9b83f2be35d7b->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee30bb9c490e_html.html.twig_a6hPzxRq5pfJJ2YGmFYDQWqSn/SMS1qFSJW3AqeFRq2RQM2bbWvjlUO3514H4TthI1XKc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_76f2e0713044220b4cba93a844a0e194dd4207566f662dd836f6dfe2b9feac78->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.33',1591938103),(273,0,'cron','Starting execution of @module_cron().','a:1:{s:7:\"@module\";s:7:\"comment\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/admin/modules/update','http://luxestate-d8.frontend.local2.weebpal.com/admin/reports/status','192.168.1.33',1591938762),(274,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:5:\"dblog\";s:16:\"@module_previous\";s:7:\"comment\";s:5:\"@time\";s:6:\"12.5ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/admin/modules/update','http://luxestate-d8.frontend.local2.weebpal.com/admin/reports/status','192.168.1.33',1591938762),(275,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:5:\"field\";s:16:\"@module_previous\";s:5:\"dblog\";s:5:\"@time\";s:7:\"33.52ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/admin/modules/update','http://luxestate-d8.frontend.local2.weebpal.com/admin/reports/status','192.168.1.33',1591938762),(276,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:4:\"file\";s:16:\"@module_previous\";s:5:\"field\";s:5:\"@time\";s:7:\"16.76ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/admin/modules/update','http://luxestate-d8.frontend.local2.weebpal.com/admin/reports/status','192.168.1.33',1591938762),(277,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:7:\"history\";s:16:\"@module_previous\";s:4:\"file\";s:5:\"@time\";s:6:\"2.57ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/admin/modules/update','http://luxestate-d8.frontend.local2.weebpal.com/admin/reports/status','192.168.1.33',1591938762),(278,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"locale\";s:16:\"@module_previous\";s:7:\"history\";s:5:\"@time\";s:6:\"6.18ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/admin/modules/update','http://luxestate-d8.frontend.local2.weebpal.com/admin/reports/status','192.168.1.33',1591938762),(279,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:4:\"node\";s:16:\"@module_previous\";s:6:\"locale\";s:5:\"@time\";s:6:\"0.03ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/admin/modules/update','http://luxestate-d8.frontend.local2.weebpal.com/admin/reports/status','192.168.1.33',1591938762),(280,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"search\";s:16:\"@module_previous\";s:4:\"node\";s:5:\"@time\";s:6:\"7.76ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/admin/modules/update','http://luxestate-d8.frontend.local2.weebpal.com/admin/reports/status','192.168.1.33',1591938762),(281,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:10:\"simplenews\";s:16:\"@module_previous\";s:6:\"search\";s:5:\"@time\";s:6:\"6.96ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/admin/modules/update','http://luxestate-d8.frontend.local2.weebpal.com/admin/reports/status','192.168.1.33',1591938762),(282,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"system\";s:16:\"@module_previous\";s:10:\"simplenews\";s:5:\"@time\";s:7:\"25.91ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/admin/modules/update','http://luxestate-d8.frontend.local2.weebpal.com/admin/reports/status','192.168.1.33',1591938762),(283,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"update\";s:16:\"@module_previous\";s:6:\"system\";s:5:\"@time\";s:7:\"22.71ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/admin/modules/update','http://luxestate-d8.frontend.local2.weebpal.com/admin/reports/status','192.168.1.33',1591938762),(284,0,'mail','Error sending email (from %from to %to with reply-to %reply).','a:3:{s:5:\"%from\";s:13:\"admin@lvh.com\";s:3:\"%to\";s:13:\"admin@lvh.com\";s:6:\"%reply\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"not set\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/admin/modules/update','http://luxestate-d8.frontend.local2.weebpal.com/admin/reports/status','192.168.1.33',1591938762),(285,0,'cron','Execution of @module_previous_cron() took @time.','a:2:{s:16:\"@module_previous\";s:6:\"update\";s:5:\"@time\";s:7:\"88.34ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/admin/modules/update','http://luxestate-d8.frontend.local2.weebpal.com/admin/reports/status','192.168.1.33',1591938762),(286,0,'cron','Cron run completed.','a:0:{}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/admin/modules/update','http://luxestate-d8.frontend.local2.weebpal.com/admin/reports/status','192.168.1.33',1591938762),(287,0,'cron','Starting execution of @module_cron().','a:1:{s:7:\"@module\";s:7:\"comment\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user','','192.168.1.33',1592192882),(288,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:5:\"dblog\";s:16:\"@module_previous\";s:7:\"comment\";s:5:\"@time\";s:6:\"20.2ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user','','192.168.1.33',1592192882),(289,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:5:\"field\";s:16:\"@module_previous\";s:5:\"dblog\";s:5:\"@time\";s:6:\"12.3ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user','','192.168.1.33',1592192882),(290,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:4:\"file\";s:16:\"@module_previous\";s:5:\"field\";s:5:\"@time\";s:7:\"15.63ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user','','192.168.1.33',1592192882),(291,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:7:\"history\";s:16:\"@module_previous\";s:4:\"file\";s:5:\"@time\";s:7:\"95.94ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user','','192.168.1.33',1592192882),(292,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"locale\";s:16:\"@module_previous\";s:7:\"history\";s:5:\"@time\";s:6:\"1.29ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user','','192.168.1.33',1592192882),(293,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:4:\"node\";s:16:\"@module_previous\";s:6:\"locale\";s:5:\"@time\";s:6:\"0.37ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user','','192.168.1.33',1592192882),(294,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"search\";s:16:\"@module_previous\";s:4:\"node\";s:5:\"@time\";s:7:\"53.49ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user','','192.168.1.33',1592192882),(295,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:10:\"simplenews\";s:16:\"@module_previous\";s:6:\"search\";s:5:\"@time\";s:8:\"203.23ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user','','192.168.1.33',1592192882),(296,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"system\";s:16:\"@module_previous\";s:10:\"simplenews\";s:5:\"@time\";s:8:\"131.01ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user','','192.168.1.33',1592192883),(297,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"update\";s:16:\"@module_previous\";s:6:\"system\";s:5:\"@time\";s:8:\"605.18ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user','','192.168.1.33',1592192883),(298,0,'mail','Error sending email (from %from to %to with reply-to %reply).','a:3:{s:5:\"%from\";s:13:\"admin@lvh.com\";s:3:\"%to\";s:13:\"admin@lvh.com\";s:6:\"%reply\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"not set\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user','','192.168.1.33',1592192889),(299,0,'cron','Execution of @module_previous_cron() took @time.','a:2:{s:16:\"@module_previous\";s:6:\"update\";s:5:\"@time\";s:8:\"5835.3ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user','','192.168.1.33',1592192889),(300,0,'cron','Cron run completed.','a:0:{}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user','','192.168.1.33',1592192889),(301,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_views-view-unformatted--o_AMRob8_wu2cIZH6TIxhqboFyG/MxBHcIoC0KixgUyIpl8o4nh-uEd2uGY4CkTe7RoiwuY.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c45083fd3e51bfb682acc477271b6f93d7e7ba606101375c8f1ea752eceb35c3->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_views-view.html.twig_R9VOGGb69BJxQfQEdAwYxbDiY/-FTsiEf6NMU_lB8woOMx3MjEVshgselJN_qItRW6U08.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_cae531f9ad2c4475040a707bf402189553e0f35120ff4bc9778120340ddb1262->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/xViUcx71J2omYhy-pzAeCQ7I0LzWJU1b-GuA4n58O5g.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/xViUcx71J2omYhy-pzAeCQ7I0LzWJU1b-GuA4n58O5g.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_page.html.twig_Pi7aVDPrYJ0vcV8qJg363x3Lm/lF5KrhBesQ5MeakdvFUN9GrreLimKXMOxQ-v16MYuLo.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c3ff45fffc8ca2baa69425bbf9e09f3b953457eb2b7fbc341df9b83f2be35d7b->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_html.html.twig_a6hPzxRq5pfJJ2YGmFYDQWqSn/WLNhG-oMEi2yAAb9DSVWZvqLMEOYIhTYUXyPXeLWA9g.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_76f2e0713044220b4cba93a844a0e194dd4207566f662dd836f6dfe2b9feac78->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.33',1592192896),(302,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_views-view-unformatted--o_AMRob8_wu2cIZH6TIxhqboFyG/MxBHcIoC0KixgUyIpl8o4nh-uEd2uGY4CkTe7RoiwuY.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c45083fd3e51bfb682acc477271b6f93d7e7ba606101375c8f1ea752eceb35c3->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_views-view.html.twig_R9VOGGb69BJxQfQEdAwYxbDiY/-FTsiEf6NMU_lB8woOMx3MjEVshgselJN_qItRW6U08.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_cae531f9ad2c4475040a707bf402189553e0f35120ff4bc9778120340ddb1262->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/xViUcx71J2omYhy-pzAeCQ7I0LzWJU1b-GuA4n58O5g.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/xViUcx71J2omYhy-pzAeCQ7I0LzWJU1b-GuA4n58O5g.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_page.html.twig_Pi7aVDPrYJ0vcV8qJg363x3Lm/lF5KrhBesQ5MeakdvFUN9GrreLimKXMOxQ-v16MYuLo.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c3ff45fffc8ca2baa69425bbf9e09f3b953457eb2b7fbc341df9b83f2be35d7b->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_html.html.twig_a6hPzxRq5pfJJ2YGmFYDQWqSn/WLNhG-oMEi2yAAb9DSVWZvqLMEOYIhTYUXyPXeLWA9g.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_76f2e0713044220b4cba93a844a0e194dd4207566f662dd836f6dfe2b9feac78->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.33',1592192896),(303,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_views-view-unformatted--o_AMRob8_wu2cIZH6TIxhqboFyG/MxBHcIoC0KixgUyIpl8o4nh-uEd2uGY4CkTe7RoiwuY.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c45083fd3e51bfb682acc477271b6f93d7e7ba606101375c8f1ea752eceb35c3->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_views-view.html.twig_R9VOGGb69BJxQfQEdAwYxbDiY/-FTsiEf6NMU_lB8woOMx3MjEVshgselJN_qItRW6U08.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_cae531f9ad2c4475040a707bf402189553e0f35120ff4bc9778120340ddb1262->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/xViUcx71J2omYhy-pzAeCQ7I0LzWJU1b-GuA4n58O5g.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/xViUcx71J2omYhy-pzAeCQ7I0LzWJU1b-GuA4n58O5g.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_page.html.twig_Pi7aVDPrYJ0vcV8qJg363x3Lm/lF5KrhBesQ5MeakdvFUN9GrreLimKXMOxQ-v16MYuLo.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c3ff45fffc8ca2baa69425bbf9e09f3b953457eb2b7fbc341df9b83f2be35d7b->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_html.html.twig_a6hPzxRq5pfJJ2YGmFYDQWqSn/WLNhG-oMEi2yAAb9DSVWZvqLMEOYIhTYUXyPXeLWA9g.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_76f2e0713044220b4cba93a844a0e194dd4207566f662dd836f6dfe2b9feac78->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.33',1592192896),(304,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_views-view-unformatted--o_AMRob8_wu2cIZH6TIxhqboFyG/MxBHcIoC0KixgUyIpl8o4nh-uEd2uGY4CkTe7RoiwuY.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c45083fd3e51bfb682acc477271b6f93d7e7ba606101375c8f1ea752eceb35c3->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_views-view.html.twig_R9VOGGb69BJxQfQEdAwYxbDiY/-FTsiEf6NMU_lB8woOMx3MjEVshgselJN_qItRW6U08.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_cae531f9ad2c4475040a707bf402189553e0f35120ff4bc9778120340ddb1262->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/xViUcx71J2omYhy-pzAeCQ7I0LzWJU1b-GuA4n58O5g.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/xViUcx71J2omYhy-pzAeCQ7I0LzWJU1b-GuA4n58O5g.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_page.html.twig_Pi7aVDPrYJ0vcV8qJg363x3Lm/lF5KrhBesQ5MeakdvFUN9GrreLimKXMOxQ-v16MYuLo.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c3ff45fffc8ca2baa69425bbf9e09f3b953457eb2b7fbc341df9b83f2be35d7b->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_html.html.twig_a6hPzxRq5pfJJ2YGmFYDQWqSn/WLNhG-oMEi2yAAb9DSVWZvqLMEOYIhTYUXyPXeLWA9g.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_76f2e0713044220b4cba93a844a0e194dd4207566f662dd836f6dfe2b9feac78->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.33',1592192896),(305,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_views-view-unformatted--o_AMRob8_wu2cIZH6TIxhqboFyG/MxBHcIoC0KixgUyIpl8o4nh-uEd2uGY4CkTe7RoiwuY.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c45083fd3e51bfb682acc477271b6f93d7e7ba606101375c8f1ea752eceb35c3->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_views-view.html.twig_R9VOGGb69BJxQfQEdAwYxbDiY/-FTsiEf6NMU_lB8woOMx3MjEVshgselJN_qItRW6U08.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_cae531f9ad2c4475040a707bf402189553e0f35120ff4bc9778120340ddb1262->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/xViUcx71J2omYhy-pzAeCQ7I0LzWJU1b-GuA4n58O5g.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/xViUcx71J2omYhy-pzAeCQ7I0LzWJU1b-GuA4n58O5g.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_page.html.twig_Pi7aVDPrYJ0vcV8qJg363x3Lm/lF5KrhBesQ5MeakdvFUN9GrreLimKXMOxQ-v16MYuLo.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c3ff45fffc8ca2baa69425bbf9e09f3b953457eb2b7fbc341df9b83f2be35d7b->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_html.html.twig_a6hPzxRq5pfJJ2YGmFYDQWqSn/WLNhG-oMEi2yAAb9DSVWZvqLMEOYIhTYUXyPXeLWA9g.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_76f2e0713044220b4cba93a844a0e194dd4207566f662dd836f6dfe2b9feac78->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.33',1592192896),(306,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_views-view-unformatted--o_AMRob8_wu2cIZH6TIxhqboFyG/MxBHcIoC0KixgUyIpl8o4nh-uEd2uGY4CkTe7RoiwuY.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c45083fd3e51bfb682acc477271b6f93d7e7ba606101375c8f1ea752eceb35c3->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_views-view.html.twig_R9VOGGb69BJxQfQEdAwYxbDiY/-FTsiEf6NMU_lB8woOMx3MjEVshgselJN_qItRW6U08.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_cae531f9ad2c4475040a707bf402189553e0f35120ff4bc9778120340ddb1262->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/xViUcx71J2omYhy-pzAeCQ7I0LzWJU1b-GuA4n58O5g.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/xViUcx71J2omYhy-pzAeCQ7I0LzWJU1b-GuA4n58O5g.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_page.html.twig_Pi7aVDPrYJ0vcV8qJg363x3Lm/lF5KrhBesQ5MeakdvFUN9GrreLimKXMOxQ-v16MYuLo.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c3ff45fffc8ca2baa69425bbf9e09f3b953457eb2b7fbc341df9b83f2be35d7b->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_html.html.twig_a6hPzxRq5pfJJ2YGmFYDQWqSn/WLNhG-oMEi2yAAb9DSVWZvqLMEOYIhTYUXyPXeLWA9g.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_76f2e0713044220b4cba93a844a0e194dd4207566f662dd836f6dfe2b9feac78->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.33',1592192896),(307,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_views-view-unformatted.ht_CkS_aI-QmDNU3Lk3rmeQkLKKp/vPjKOilX_XkdvO-CrlH5v5QgFe515vgi9eQ8_3j36E8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_394c2fb7b09a33ea07c09d1ef1abdfdbdeadd36f7dcaeef8f1cc58aefc57560a->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_views-view.html.twig_R9VOGGb69BJxQfQEdAwYxbDiY/-FTsiEf6NMU_lB8woOMx3MjEVshgselJN_qItRW6U08.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_cae531f9ad2c4475040a707bf402189553e0f35120ff4bc9778120340ddb1262->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/xViUcx71J2omYhy-pzAeCQ7I0LzWJU1b-GuA4n58O5g.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/xViUcx71J2omYhy-pzAeCQ7I0LzWJU1b-GuA4n58O5g.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_page.html.twig_Pi7aVDPrYJ0vcV8qJg363x3Lm/lF5KrhBesQ5MeakdvFUN9GrreLimKXMOxQ-v16MYuLo.php(562): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c3ff45fffc8ca2baa69425bbf9e09f3b953457eb2b7fbc341df9b83f2be35d7b->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_html.html.twig_a6hPzxRq5pfJJ2YGmFYDQWqSn/WLNhG-oMEi2yAAb9DSVWZvqLMEOYIhTYUXyPXeLWA9g.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_76f2e0713044220b4cba93a844a0e194dd4207566f662dd836f6dfe2b9feac78->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.33',1592192897),(308,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_views-view-unformatted.ht_CkS_aI-QmDNU3Lk3rmeQkLKKp/vPjKOilX_XkdvO-CrlH5v5QgFe515vgi9eQ8_3j36E8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_394c2fb7b09a33ea07c09d1ef1abdfdbdeadd36f7dcaeef8f1cc58aefc57560a->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_views-view.html.twig_R9VOGGb69BJxQfQEdAwYxbDiY/-FTsiEf6NMU_lB8woOMx3MjEVshgselJN_qItRW6U08.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_cae531f9ad2c4475040a707bf402189553e0f35120ff4bc9778120340ddb1262->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/xViUcx71J2omYhy-pzAeCQ7I0LzWJU1b-GuA4n58O5g.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/xViUcx71J2omYhy-pzAeCQ7I0LzWJU1b-GuA4n58O5g.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_page.html.twig_Pi7aVDPrYJ0vcV8qJg363x3Lm/lF5KrhBesQ5MeakdvFUN9GrreLimKXMOxQ-v16MYuLo.php(562): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c3ff45fffc8ca2baa69425bbf9e09f3b953457eb2b7fbc341df9b83f2be35d7b->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_html.html.twig_a6hPzxRq5pfJJ2YGmFYDQWqSn/WLNhG-oMEi2yAAb9DSVWZvqLMEOYIhTYUXyPXeLWA9g.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_76f2e0713044220b4cba93a844a0e194dd4207566f662dd836f6dfe2b9feac78->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.33',1592192897),(309,1,'user','Session opened for %name.','a:1:{s:5:\"%name\";s:5:\"admin\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.33',1592192932),(310,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_views-view-unformatted--o_AMRob8_wu2cIZH6TIxhqboFyG/MxBHcIoC0KixgUyIpl8o4nh-uEd2uGY4CkTe7RoiwuY.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c45083fd3e51bfb682acc477271b6f93d7e7ba606101375c8f1ea752eceb35c3->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_views-view.html.twig_R9VOGGb69BJxQfQEdAwYxbDiY/-FTsiEf6NMU_lB8woOMx3MjEVshgselJN_qItRW6U08.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_cae531f9ad2c4475040a707bf402189553e0f35120ff4bc9778120340ddb1262->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/xViUcx71J2omYhy-pzAeCQ7I0LzWJU1b-GuA4n58O5g.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/xViUcx71J2omYhy-pzAeCQ7I0LzWJU1b-GuA4n58O5g.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_page.html.twig_Pi7aVDPrYJ0vcV8qJg363x3Lm/lF5KrhBesQ5MeakdvFUN9GrreLimKXMOxQ-v16MYuLo.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c3ff45fffc8ca2baa69425bbf9e09f3b953457eb2b7fbc341df9b83f2be35d7b->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_html.html.twig_a6hPzxRq5pfJJ2YGmFYDQWqSn/WLNhG-oMEi2yAAb9DSVWZvqLMEOYIhTYUXyPXeLWA9g.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_76f2e0713044220b4cba93a844a0e194dd4207566f662dd836f6dfe2b9feac78->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.33',1592192935),(311,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_views-view-unformatted--o_AMRob8_wu2cIZH6TIxhqboFyG/MxBHcIoC0KixgUyIpl8o4nh-uEd2uGY4CkTe7RoiwuY.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c45083fd3e51bfb682acc477271b6f93d7e7ba606101375c8f1ea752eceb35c3->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_views-view.html.twig_R9VOGGb69BJxQfQEdAwYxbDiY/-FTsiEf6NMU_lB8woOMx3MjEVshgselJN_qItRW6U08.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_cae531f9ad2c4475040a707bf402189553e0f35120ff4bc9778120340ddb1262->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/xViUcx71J2omYhy-pzAeCQ7I0LzWJU1b-GuA4n58O5g.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/xViUcx71J2omYhy-pzAeCQ7I0LzWJU1b-GuA4n58O5g.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_page.html.twig_Pi7aVDPrYJ0vcV8qJg363x3Lm/lF5KrhBesQ5MeakdvFUN9GrreLimKXMOxQ-v16MYuLo.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c3ff45fffc8ca2baa69425bbf9e09f3b953457eb2b7fbc341df9b83f2be35d7b->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_html.html.twig_a6hPzxRq5pfJJ2YGmFYDQWqSn/WLNhG-oMEi2yAAb9DSVWZvqLMEOYIhTYUXyPXeLWA9g.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_76f2e0713044220b4cba93a844a0e194dd4207566f662dd836f6dfe2b9feac78->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.33',1592192935),(312,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_views-view-unformatted--o_AMRob8_wu2cIZH6TIxhqboFyG/MxBHcIoC0KixgUyIpl8o4nh-uEd2uGY4CkTe7RoiwuY.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c45083fd3e51bfb682acc477271b6f93d7e7ba606101375c8f1ea752eceb35c3->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_views-view.html.twig_R9VOGGb69BJxQfQEdAwYxbDiY/-FTsiEf6NMU_lB8woOMx3MjEVshgselJN_qItRW6U08.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_cae531f9ad2c4475040a707bf402189553e0f35120ff4bc9778120340ddb1262->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/xViUcx71J2omYhy-pzAeCQ7I0LzWJU1b-GuA4n58O5g.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/xViUcx71J2omYhy-pzAeCQ7I0LzWJU1b-GuA4n58O5g.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_page.html.twig_Pi7aVDPrYJ0vcV8qJg363x3Lm/lF5KrhBesQ5MeakdvFUN9GrreLimKXMOxQ-v16MYuLo.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c3ff45fffc8ca2baa69425bbf9e09f3b953457eb2b7fbc341df9b83f2be35d7b->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_html.html.twig_a6hPzxRq5pfJJ2YGmFYDQWqSn/WLNhG-oMEi2yAAb9DSVWZvqLMEOYIhTYUXyPXeLWA9g.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_76f2e0713044220b4cba93a844a0e194dd4207566f662dd836f6dfe2b9feac78->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.33',1592192935),(313,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_views-view-unformatted--o_AMRob8_wu2cIZH6TIxhqboFyG/MxBHcIoC0KixgUyIpl8o4nh-uEd2uGY4CkTe7RoiwuY.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c45083fd3e51bfb682acc477271b6f93d7e7ba606101375c8f1ea752eceb35c3->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_views-view.html.twig_R9VOGGb69BJxQfQEdAwYxbDiY/-FTsiEf6NMU_lB8woOMx3MjEVshgselJN_qItRW6U08.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_cae531f9ad2c4475040a707bf402189553e0f35120ff4bc9778120340ddb1262->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/xViUcx71J2omYhy-pzAeCQ7I0LzWJU1b-GuA4n58O5g.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/xViUcx71J2omYhy-pzAeCQ7I0LzWJU1b-GuA4n58O5g.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_page.html.twig_Pi7aVDPrYJ0vcV8qJg363x3Lm/lF5KrhBesQ5MeakdvFUN9GrreLimKXMOxQ-v16MYuLo.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c3ff45fffc8ca2baa69425bbf9e09f3b953457eb2b7fbc341df9b83f2be35d7b->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_html.html.twig_a6hPzxRq5pfJJ2YGmFYDQWqSn/WLNhG-oMEi2yAAb9DSVWZvqLMEOYIhTYUXyPXeLWA9g.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_76f2e0713044220b4cba93a844a0e194dd4207566f662dd836f6dfe2b9feac78->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.33',1592192935),(314,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_views-view-unformatted--o_AMRob8_wu2cIZH6TIxhqboFyG/MxBHcIoC0KixgUyIpl8o4nh-uEd2uGY4CkTe7RoiwuY.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c45083fd3e51bfb682acc477271b6f93d7e7ba606101375c8f1ea752eceb35c3->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_views-view.html.twig_R9VOGGb69BJxQfQEdAwYxbDiY/-FTsiEf6NMU_lB8woOMx3MjEVshgselJN_qItRW6U08.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_cae531f9ad2c4475040a707bf402189553e0f35120ff4bc9778120340ddb1262->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/xViUcx71J2omYhy-pzAeCQ7I0LzWJU1b-GuA4n58O5g.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/xViUcx71J2omYhy-pzAeCQ7I0LzWJU1b-GuA4n58O5g.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_page.html.twig_Pi7aVDPrYJ0vcV8qJg363x3Lm/lF5KrhBesQ5MeakdvFUN9GrreLimKXMOxQ-v16MYuLo.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c3ff45fffc8ca2baa69425bbf9e09f3b953457eb2b7fbc341df9b83f2be35d7b->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_html.html.twig_a6hPzxRq5pfJJ2YGmFYDQWqSn/WLNhG-oMEi2yAAb9DSVWZvqLMEOYIhTYUXyPXeLWA9g.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_76f2e0713044220b4cba93a844a0e194dd4207566f662dd836f6dfe2b9feac78->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.33',1592192935),(315,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_views-view-unformatted--o_AMRob8_wu2cIZH6TIxhqboFyG/MxBHcIoC0KixgUyIpl8o4nh-uEd2uGY4CkTe7RoiwuY.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c45083fd3e51bfb682acc477271b6f93d7e7ba606101375c8f1ea752eceb35c3->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_views-view.html.twig_R9VOGGb69BJxQfQEdAwYxbDiY/-FTsiEf6NMU_lB8woOMx3MjEVshgselJN_qItRW6U08.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_cae531f9ad2c4475040a707bf402189553e0f35120ff4bc9778120340ddb1262->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/xViUcx71J2omYhy-pzAeCQ7I0LzWJU1b-GuA4n58O5g.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/xViUcx71J2omYhy-pzAeCQ7I0LzWJU1b-GuA4n58O5g.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_page.html.twig_Pi7aVDPrYJ0vcV8qJg363x3Lm/lF5KrhBesQ5MeakdvFUN9GrreLimKXMOxQ-v16MYuLo.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c3ff45fffc8ca2baa69425bbf9e09f3b953457eb2b7fbc341df9b83f2be35d7b->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_html.html.twig_a6hPzxRq5pfJJ2YGmFYDQWqSn/WLNhG-oMEi2yAAb9DSVWZvqLMEOYIhTYUXyPXeLWA9g.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_76f2e0713044220b4cba93a844a0e194dd4207566f662dd836f6dfe2b9feac78->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.33',1592192935),(316,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_views-view-unformatted.ht_CkS_aI-QmDNU3Lk3rmeQkLKKp/vPjKOilX_XkdvO-CrlH5v5QgFe515vgi9eQ8_3j36E8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_394c2fb7b09a33ea07c09d1ef1abdfdbdeadd36f7dcaeef8f1cc58aefc57560a->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_views-view.html.twig_R9VOGGb69BJxQfQEdAwYxbDiY/-FTsiEf6NMU_lB8woOMx3MjEVshgselJN_qItRW6U08.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_cae531f9ad2c4475040a707bf402189553e0f35120ff4bc9778120340ddb1262->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/xViUcx71J2omYhy-pzAeCQ7I0LzWJU1b-GuA4n58O5g.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/xViUcx71J2omYhy-pzAeCQ7I0LzWJU1b-GuA4n58O5g.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_page.html.twig_Pi7aVDPrYJ0vcV8qJg363x3Lm/lF5KrhBesQ5MeakdvFUN9GrreLimKXMOxQ-v16MYuLo.php(562): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c3ff45fffc8ca2baa69425bbf9e09f3b953457eb2b7fbc341df9b83f2be35d7b->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_html.html.twig_a6hPzxRq5pfJJ2YGmFYDQWqSn/WLNhG-oMEi2yAAb9DSVWZvqLMEOYIhTYUXyPXeLWA9g.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_76f2e0713044220b4cba93a844a0e194dd4207566f662dd836f6dfe2b9feac78->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.33',1592192935),(317,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_views-view-unformatted.ht_CkS_aI-QmDNU3Lk3rmeQkLKKp/vPjKOilX_XkdvO-CrlH5v5QgFe515vgi9eQ8_3j36E8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_394c2fb7b09a33ea07c09d1ef1abdfdbdeadd36f7dcaeef8f1cc58aefc57560a->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_views-view.html.twig_R9VOGGb69BJxQfQEdAwYxbDiY/-FTsiEf6NMU_lB8woOMx3MjEVshgselJN_qItRW6U08.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_cae531f9ad2c4475040a707bf402189553e0f35120ff4bc9778120340ddb1262->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/xViUcx71J2omYhy-pzAeCQ7I0LzWJU1b-GuA4n58O5g.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/xViUcx71J2omYhy-pzAeCQ7I0LzWJU1b-GuA4n58O5g.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_page.html.twig_Pi7aVDPrYJ0vcV8qJg363x3Lm/lF5KrhBesQ5MeakdvFUN9GrreLimKXMOxQ-v16MYuLo.php(562): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c3ff45fffc8ca2baa69425bbf9e09f3b953457eb2b7fbc341df9b83f2be35d7b->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5ee6ef7593927_html.html.twig_a6hPzxRq5pfJJ2YGmFYDQWqSn/WLNhG-oMEi2yAAb9DSVWZvqLMEOYIhTYUXyPXeLWA9g.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_76f2e0713044220b4cba93a844a0e194dd4207566f662dd836f6dfe2b9feac78->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.33',1592192935),(318,1,'page not found','@uri','a:1:{s:4:\"@uri\";s:50:\"/themes/luxestate/assets/css/bootstrap-rtl.css.map\";}',4,'','http://luxestate-d8.frontend.local2.weebpal.com/themes/luxestate/assets/css/bootstrap-rtl.css.map','','192.168.1.33',1592193098),(319,1,'block_content','@type: updated %info.','a:2:{s:5:\"@type\";s:5:\"basic\";s:5:\"%info\";s:20:\"Copyright by Weebpal\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/block/4?destination=%2Fuser%2F1','http://luxestate-d8.frontend.local2.weebpal.com/block/4?destination=/user/1','192.168.1.33',1592193120),(320,0,'cron','Starting execution of @module_cron().','a:1:{s:7:\"@module\";s:7:\"comment\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user','','192.168.1.105',1600418922),(321,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:5:\"dblog\";s:16:\"@module_previous\";s:7:\"comment\";s:5:\"@time\";s:6:\"6.72ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user','','192.168.1.105',1600418922),(322,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:5:\"field\";s:16:\"@module_previous\";s:5:\"dblog\";s:5:\"@time\";s:6:\"8.37ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user','','192.168.1.105',1600418922),(323,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:4:\"file\";s:16:\"@module_previous\";s:5:\"field\";s:5:\"@time\";s:6:\"8.22ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user','','192.168.1.105',1600418922),(324,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:7:\"history\";s:16:\"@module_previous\";s:4:\"file\";s:5:\"@time\";s:7:\"19.65ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user','','192.168.1.105',1600418922),(325,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"locale\";s:16:\"@module_previous\";s:7:\"history\";s:5:\"@time\";s:6:\"0.49ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user','','192.168.1.105',1600418922),(326,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:4:\"node\";s:16:\"@module_previous\";s:6:\"locale\";s:5:\"@time\";s:6:\"0.39ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user','','192.168.1.105',1600418922),(327,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"search\";s:16:\"@module_previous\";s:4:\"node\";s:5:\"@time\";s:6:\"8.12ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user','','192.168.1.105',1600418922),(328,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:10:\"simplenews\";s:16:\"@module_previous\";s:6:\"search\";s:5:\"@time\";s:10:\"28918.65ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user','','192.168.1.105',1600418951),(329,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"system\";s:16:\"@module_previous\";s:10:\"simplenews\";s:5:\"@time\";s:8:\"138.62ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user','','192.168.1.105',1600418951),(330,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"update\";s:16:\"@module_previous\";s:6:\"system\";s:5:\"@time\";s:7:\"933.1ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user','','192.168.1.105',1600418952),(331,0,'mail','Error sending email (from %from to %to with reply-to %reply).','a:3:{s:5:\"%from\";s:13:\"admin@lvh.com\";s:3:\"%to\";s:13:\"admin@lvh.com\";s:6:\"%reply\";O:48:\"Drupal\\Core\\StringTranslation\\TranslatableMarkup\":3:{s:9:\"\0*\0string\";s:7:\"not set\";s:12:\"\0*\0arguments\";a:0:{}s:10:\"\0*\0options\";a:0:{}}}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user','','192.168.1.105',1600418954),(332,0,'cron','Execution of @module_previous_cron() took @time.','a:2:{s:16:\"@module_previous\";s:6:\"update\";s:5:\"@time\";s:9:\"2054.43ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user','','192.168.1.105',1600418954),(333,0,'cron','Cron run completed.','a:0:{}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user','','192.168.1.105',1600418954),(334,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_views-view-unformatted--o_AMRob8_wu2cIZH6TIxhqboFyG/ENeiNGz2LVM4Ix0_rqjOOWFFT9gj2Ei52XBuLBnOoAo.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c45083fd3e51bfb682acc477271b6f93d7e7ba606101375c8f1ea752eceb35c3->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_views-view.html.twig_R9VOGGb69BJxQfQEdAwYxbDiY/CwROK4qb_FpElkO-tUBlON0Qt6cr0VsW9pMYMcsaaEw.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_cae531f9ad2c4475040a707bf402189553e0f35120ff4bc9778120340ddb1262->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/cp5FaqICVV3_UeE7HJH5fiBIScabgPLr-Z2ZZuyMiQw.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/cp5FaqICVV3_UeE7HJH5fiBIScabgPLr-Z2ZZuyMiQw.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_page.html.twig_Pi7aVDPrYJ0vcV8qJg363x3Lm/pOH5diFWIrXlf-R2vIpEh6EdAdCT27CrimtlWW8-pJc.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c3ff45fffc8ca2baa69425bbf9e09f3b953457eb2b7fbc341df9b83f2be35d7b->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_html.html.twig_a6hPzxRq5pfJJ2YGmFYDQWqSn/rQ6kKns5rp8eOARjaV5VrbHscm-AI68-iLtge0-1p0E.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_76f2e0713044220b4cba93a844a0e194dd4207566f662dd836f6dfe2b9feac78->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.105',1600418957),(335,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_views-view-unformatted--o_AMRob8_wu2cIZH6TIxhqboFyG/ENeiNGz2LVM4Ix0_rqjOOWFFT9gj2Ei52XBuLBnOoAo.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c45083fd3e51bfb682acc477271b6f93d7e7ba606101375c8f1ea752eceb35c3->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_views-view.html.twig_R9VOGGb69BJxQfQEdAwYxbDiY/CwROK4qb_FpElkO-tUBlON0Qt6cr0VsW9pMYMcsaaEw.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_cae531f9ad2c4475040a707bf402189553e0f35120ff4bc9778120340ddb1262->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/cp5FaqICVV3_UeE7HJH5fiBIScabgPLr-Z2ZZuyMiQw.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/cp5FaqICVV3_UeE7HJH5fiBIScabgPLr-Z2ZZuyMiQw.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_page.html.twig_Pi7aVDPrYJ0vcV8qJg363x3Lm/pOH5diFWIrXlf-R2vIpEh6EdAdCT27CrimtlWW8-pJc.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c3ff45fffc8ca2baa69425bbf9e09f3b953457eb2b7fbc341df9b83f2be35d7b->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_html.html.twig_a6hPzxRq5pfJJ2YGmFYDQWqSn/rQ6kKns5rp8eOARjaV5VrbHscm-AI68-iLtge0-1p0E.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_76f2e0713044220b4cba93a844a0e194dd4207566f662dd836f6dfe2b9feac78->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.105',1600418957),(336,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_views-view-unformatted--o_AMRob8_wu2cIZH6TIxhqboFyG/ENeiNGz2LVM4Ix0_rqjOOWFFT9gj2Ei52XBuLBnOoAo.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c45083fd3e51bfb682acc477271b6f93d7e7ba606101375c8f1ea752eceb35c3->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_views-view.html.twig_R9VOGGb69BJxQfQEdAwYxbDiY/CwROK4qb_FpElkO-tUBlON0Qt6cr0VsW9pMYMcsaaEw.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_cae531f9ad2c4475040a707bf402189553e0f35120ff4bc9778120340ddb1262->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/cp5FaqICVV3_UeE7HJH5fiBIScabgPLr-Z2ZZuyMiQw.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/cp5FaqICVV3_UeE7HJH5fiBIScabgPLr-Z2ZZuyMiQw.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_page.html.twig_Pi7aVDPrYJ0vcV8qJg363x3Lm/pOH5diFWIrXlf-R2vIpEh6EdAdCT27CrimtlWW8-pJc.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c3ff45fffc8ca2baa69425bbf9e09f3b953457eb2b7fbc341df9b83f2be35d7b->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_html.html.twig_a6hPzxRq5pfJJ2YGmFYDQWqSn/rQ6kKns5rp8eOARjaV5VrbHscm-AI68-iLtge0-1p0E.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_76f2e0713044220b4cba93a844a0e194dd4207566f662dd836f6dfe2b9feac78->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.105',1600418957),(337,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_views-view-unformatted--o_AMRob8_wu2cIZH6TIxhqboFyG/ENeiNGz2LVM4Ix0_rqjOOWFFT9gj2Ei52XBuLBnOoAo.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c45083fd3e51bfb682acc477271b6f93d7e7ba606101375c8f1ea752eceb35c3->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_views-view.html.twig_R9VOGGb69BJxQfQEdAwYxbDiY/CwROK4qb_FpElkO-tUBlON0Qt6cr0VsW9pMYMcsaaEw.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_cae531f9ad2c4475040a707bf402189553e0f35120ff4bc9778120340ddb1262->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/cp5FaqICVV3_UeE7HJH5fiBIScabgPLr-Z2ZZuyMiQw.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/cp5FaqICVV3_UeE7HJH5fiBIScabgPLr-Z2ZZuyMiQw.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_page.html.twig_Pi7aVDPrYJ0vcV8qJg363x3Lm/pOH5diFWIrXlf-R2vIpEh6EdAdCT27CrimtlWW8-pJc.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c3ff45fffc8ca2baa69425bbf9e09f3b953457eb2b7fbc341df9b83f2be35d7b->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_html.html.twig_a6hPzxRq5pfJJ2YGmFYDQWqSn/rQ6kKns5rp8eOARjaV5VrbHscm-AI68-iLtge0-1p0E.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_76f2e0713044220b4cba93a844a0e194dd4207566f662dd836f6dfe2b9feac78->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.105',1600418957),(338,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_views-view-unformatted--o_AMRob8_wu2cIZH6TIxhqboFyG/ENeiNGz2LVM4Ix0_rqjOOWFFT9gj2Ei52XBuLBnOoAo.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c45083fd3e51bfb682acc477271b6f93d7e7ba606101375c8f1ea752eceb35c3->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_views-view.html.twig_R9VOGGb69BJxQfQEdAwYxbDiY/CwROK4qb_FpElkO-tUBlON0Qt6cr0VsW9pMYMcsaaEw.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_cae531f9ad2c4475040a707bf402189553e0f35120ff4bc9778120340ddb1262->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/cp5FaqICVV3_UeE7HJH5fiBIScabgPLr-Z2ZZuyMiQw.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/cp5FaqICVV3_UeE7HJH5fiBIScabgPLr-Z2ZZuyMiQw.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_page.html.twig_Pi7aVDPrYJ0vcV8qJg363x3Lm/pOH5diFWIrXlf-R2vIpEh6EdAdCT27CrimtlWW8-pJc.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c3ff45fffc8ca2baa69425bbf9e09f3b953457eb2b7fbc341df9b83f2be35d7b->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_html.html.twig_a6hPzxRq5pfJJ2YGmFYDQWqSn/rQ6kKns5rp8eOARjaV5VrbHscm-AI68-iLtge0-1p0E.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_76f2e0713044220b4cba93a844a0e194dd4207566f662dd836f6dfe2b9feac78->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.105',1600418957),(339,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_views-view-unformatted--o_AMRob8_wu2cIZH6TIxhqboFyG/ENeiNGz2LVM4Ix0_rqjOOWFFT9gj2Ei52XBuLBnOoAo.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c45083fd3e51bfb682acc477271b6f93d7e7ba606101375c8f1ea752eceb35c3->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_views-view.html.twig_R9VOGGb69BJxQfQEdAwYxbDiY/CwROK4qb_FpElkO-tUBlON0Qt6cr0VsW9pMYMcsaaEw.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_cae531f9ad2c4475040a707bf402189553e0f35120ff4bc9778120340ddb1262->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/cp5FaqICVV3_UeE7HJH5fiBIScabgPLr-Z2ZZuyMiQw.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/cp5FaqICVV3_UeE7HJH5fiBIScabgPLr-Z2ZZuyMiQw.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_page.html.twig_Pi7aVDPrYJ0vcV8qJg363x3Lm/pOH5diFWIrXlf-R2vIpEh6EdAdCT27CrimtlWW8-pJc.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c3ff45fffc8ca2baa69425bbf9e09f3b953457eb2b7fbc341df9b83f2be35d7b->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_html.html.twig_a6hPzxRq5pfJJ2YGmFYDQWqSn/rQ6kKns5rp8eOARjaV5VrbHscm-AI68-iLtge0-1p0E.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_76f2e0713044220b4cba93a844a0e194dd4207566f662dd836f6dfe2b9feac78->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.105',1600418957),(340,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_views-view-unformatted.ht_CkS_aI-QmDNU3Lk3rmeQkLKKp/jaVu_p3f_FNiL95hd9GHgcL8oqklKX9_vu9o8t4GA34.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_394c2fb7b09a33ea07c09d1ef1abdfdbdeadd36f7dcaeef8f1cc58aefc57560a->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_views-view.html.twig_R9VOGGb69BJxQfQEdAwYxbDiY/CwROK4qb_FpElkO-tUBlON0Qt6cr0VsW9pMYMcsaaEw.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_cae531f9ad2c4475040a707bf402189553e0f35120ff4bc9778120340ddb1262->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/cp5FaqICVV3_UeE7HJH5fiBIScabgPLr-Z2ZZuyMiQw.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/cp5FaqICVV3_UeE7HJH5fiBIScabgPLr-Z2ZZuyMiQw.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_page.html.twig_Pi7aVDPrYJ0vcV8qJg363x3Lm/pOH5diFWIrXlf-R2vIpEh6EdAdCT27CrimtlWW8-pJc.php(562): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c3ff45fffc8ca2baa69425bbf9e09f3b953457eb2b7fbc341df9b83f2be35d7b->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_html.html.twig_a6hPzxRq5pfJJ2YGmFYDQWqSn/rQ6kKns5rp8eOARjaV5VrbHscm-AI68-iLtge0-1p0E.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_76f2e0713044220b4cba93a844a0e194dd4207566f662dd836f6dfe2b9feac78->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.105',1600418958),(341,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_views-view-unformatted.ht_CkS_aI-QmDNU3Lk3rmeQkLKKp/jaVu_p3f_FNiL95hd9GHgcL8oqklKX9_vu9o8t4GA34.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_394c2fb7b09a33ea07c09d1ef1abdfdbdeadd36f7dcaeef8f1cc58aefc57560a->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_views-view.html.twig_R9VOGGb69BJxQfQEdAwYxbDiY/CwROK4qb_FpElkO-tUBlON0Qt6cr0VsW9pMYMcsaaEw.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_cae531f9ad2c4475040a707bf402189553e0f35120ff4bc9778120340ddb1262->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/cp5FaqICVV3_UeE7HJH5fiBIScabgPLr-Z2ZZuyMiQw.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/cp5FaqICVV3_UeE7HJH5fiBIScabgPLr-Z2ZZuyMiQw.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_page.html.twig_Pi7aVDPrYJ0vcV8qJg363x3Lm/pOH5diFWIrXlf-R2vIpEh6EdAdCT27CrimtlWW8-pJc.php(562): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c3ff45fffc8ca2baa69425bbf9e09f3b953457eb2b7fbc341df9b83f2be35d7b->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_html.html.twig_a6hPzxRq5pfJJ2YGmFYDQWqSn/rQ6kKns5rp8eOARjaV5VrbHscm-AI68-iLtge0-1p0E.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_76f2e0713044220b4cba93a844a0e194dd4207566f662dd836f6dfe2b9feac78->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.105',1600418958),(342,1,'user','Session opened for %name.','a:1:{s:5:\"%name\";s:5:\"admin\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.105',1600419012),(343,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_views-view-unformatted--o_AMRob8_wu2cIZH6TIxhqboFyG/ENeiNGz2LVM4Ix0_rqjOOWFFT9gj2Ei52XBuLBnOoAo.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c45083fd3e51bfb682acc477271b6f93d7e7ba606101375c8f1ea752eceb35c3->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_views-view.html.twig_R9VOGGb69BJxQfQEdAwYxbDiY/CwROK4qb_FpElkO-tUBlON0Qt6cr0VsW9pMYMcsaaEw.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_cae531f9ad2c4475040a707bf402189553e0f35120ff4bc9778120340ddb1262->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/cp5FaqICVV3_UeE7HJH5fiBIScabgPLr-Z2ZZuyMiQw.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/cp5FaqICVV3_UeE7HJH5fiBIScabgPLr-Z2ZZuyMiQw.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_page.html.twig_Pi7aVDPrYJ0vcV8qJg363x3Lm/pOH5diFWIrXlf-R2vIpEh6EdAdCT27CrimtlWW8-pJc.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c3ff45fffc8ca2baa69425bbf9e09f3b953457eb2b7fbc341df9b83f2be35d7b->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_html.html.twig_a6hPzxRq5pfJJ2YGmFYDQWqSn/rQ6kKns5rp8eOARjaV5VrbHscm-AI68-iLtge0-1p0E.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_76f2e0713044220b4cba93a844a0e194dd4207566f662dd836f6dfe2b9feac78->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.105',1600419015),(344,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_views-view-unformatted--o_AMRob8_wu2cIZH6TIxhqboFyG/ENeiNGz2LVM4Ix0_rqjOOWFFT9gj2Ei52XBuLBnOoAo.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c45083fd3e51bfb682acc477271b6f93d7e7ba606101375c8f1ea752eceb35c3->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_views-view.html.twig_R9VOGGb69BJxQfQEdAwYxbDiY/CwROK4qb_FpElkO-tUBlON0Qt6cr0VsW9pMYMcsaaEw.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_cae531f9ad2c4475040a707bf402189553e0f35120ff4bc9778120340ddb1262->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/cp5FaqICVV3_UeE7HJH5fiBIScabgPLr-Z2ZZuyMiQw.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/cp5FaqICVV3_UeE7HJH5fiBIScabgPLr-Z2ZZuyMiQw.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_page.html.twig_Pi7aVDPrYJ0vcV8qJg363x3Lm/pOH5diFWIrXlf-R2vIpEh6EdAdCT27CrimtlWW8-pJc.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c3ff45fffc8ca2baa69425bbf9e09f3b953457eb2b7fbc341df9b83f2be35d7b->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_html.html.twig_a6hPzxRq5pfJJ2YGmFYDQWqSn/rQ6kKns5rp8eOARjaV5VrbHscm-AI68-iLtge0-1p0E.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_76f2e0713044220b4cba93a844a0e194dd4207566f662dd836f6dfe2b9feac78->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.105',1600419015),(345,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_views-view-unformatted--o_AMRob8_wu2cIZH6TIxhqboFyG/ENeiNGz2LVM4Ix0_rqjOOWFFT9gj2Ei52XBuLBnOoAo.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c45083fd3e51bfb682acc477271b6f93d7e7ba606101375c8f1ea752eceb35c3->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_views-view.html.twig_R9VOGGb69BJxQfQEdAwYxbDiY/CwROK4qb_FpElkO-tUBlON0Qt6cr0VsW9pMYMcsaaEw.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_cae531f9ad2c4475040a707bf402189553e0f35120ff4bc9778120340ddb1262->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/cp5FaqICVV3_UeE7HJH5fiBIScabgPLr-Z2ZZuyMiQw.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/cp5FaqICVV3_UeE7HJH5fiBIScabgPLr-Z2ZZuyMiQw.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_page.html.twig_Pi7aVDPrYJ0vcV8qJg363x3Lm/pOH5diFWIrXlf-R2vIpEh6EdAdCT27CrimtlWW8-pJc.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c3ff45fffc8ca2baa69425bbf9e09f3b953457eb2b7fbc341df9b83f2be35d7b->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_html.html.twig_a6hPzxRq5pfJJ2YGmFYDQWqSn/rQ6kKns5rp8eOARjaV5VrbHscm-AI68-iLtge0-1p0E.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_76f2e0713044220b4cba93a844a0e194dd4207566f662dd836f6dfe2b9feac78->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.105',1600419015),(346,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_views-view-unformatted--o_AMRob8_wu2cIZH6TIxhqboFyG/ENeiNGz2LVM4Ix0_rqjOOWFFT9gj2Ei52XBuLBnOoAo.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c45083fd3e51bfb682acc477271b6f93d7e7ba606101375c8f1ea752eceb35c3->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_views-view.html.twig_R9VOGGb69BJxQfQEdAwYxbDiY/CwROK4qb_FpElkO-tUBlON0Qt6cr0VsW9pMYMcsaaEw.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_cae531f9ad2c4475040a707bf402189553e0f35120ff4bc9778120340ddb1262->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/cp5FaqICVV3_UeE7HJH5fiBIScabgPLr-Z2ZZuyMiQw.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/cp5FaqICVV3_UeE7HJH5fiBIScabgPLr-Z2ZZuyMiQw.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_page.html.twig_Pi7aVDPrYJ0vcV8qJg363x3Lm/pOH5diFWIrXlf-R2vIpEh6EdAdCT27CrimtlWW8-pJc.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c3ff45fffc8ca2baa69425bbf9e09f3b953457eb2b7fbc341df9b83f2be35d7b->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_html.html.twig_a6hPzxRq5pfJJ2YGmFYDQWqSn/rQ6kKns5rp8eOARjaV5VrbHscm-AI68-iLtge0-1p0E.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_76f2e0713044220b4cba93a844a0e194dd4207566f662dd836f6dfe2b9feac78->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.105',1600419015),(347,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_views-view-unformatted--o_AMRob8_wu2cIZH6TIxhqboFyG/ENeiNGz2LVM4Ix0_rqjOOWFFT9gj2Ei52XBuLBnOoAo.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c45083fd3e51bfb682acc477271b6f93d7e7ba606101375c8f1ea752eceb35c3->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_views-view.html.twig_R9VOGGb69BJxQfQEdAwYxbDiY/CwROK4qb_FpElkO-tUBlON0Qt6cr0VsW9pMYMcsaaEw.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_cae531f9ad2c4475040a707bf402189553e0f35120ff4bc9778120340ddb1262->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/cp5FaqICVV3_UeE7HJH5fiBIScabgPLr-Z2ZZuyMiQw.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/cp5FaqICVV3_UeE7HJH5fiBIScabgPLr-Z2ZZuyMiQw.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_page.html.twig_Pi7aVDPrYJ0vcV8qJg363x3Lm/pOH5diFWIrXlf-R2vIpEh6EdAdCT27CrimtlWW8-pJc.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c3ff45fffc8ca2baa69425bbf9e09f3b953457eb2b7fbc341df9b83f2be35d7b->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_html.html.twig_a6hPzxRq5pfJJ2YGmFYDQWqSn/rQ6kKns5rp8eOARjaV5VrbHscm-AI68-iLtge0-1p0E.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_76f2e0713044220b4cba93a844a0e194dd4207566f662dd836f6dfe2b9feac78->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.105',1600419015),(348,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_views-view-unformatted--o_AMRob8_wu2cIZH6TIxhqboFyG/ENeiNGz2LVM4Ix0_rqjOOWFFT9gj2Ei52XBuLBnOoAo.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c45083fd3e51bfb682acc477271b6f93d7e7ba606101375c8f1ea752eceb35c3->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_views-view.html.twig_R9VOGGb69BJxQfQEdAwYxbDiY/CwROK4qb_FpElkO-tUBlON0Qt6cr0VsW9pMYMcsaaEw.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_cae531f9ad2c4475040a707bf402189553e0f35120ff4bc9778120340ddb1262->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/cp5FaqICVV3_UeE7HJH5fiBIScabgPLr-Z2ZZuyMiQw.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/cp5FaqICVV3_UeE7HJH5fiBIScabgPLr-Z2ZZuyMiQw.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_page.html.twig_Pi7aVDPrYJ0vcV8qJg363x3Lm/pOH5diFWIrXlf-R2vIpEh6EdAdCT27CrimtlWW8-pJc.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c3ff45fffc8ca2baa69425bbf9e09f3b953457eb2b7fbc341df9b83f2be35d7b->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_html.html.twig_a6hPzxRq5pfJJ2YGmFYDQWqSn/rQ6kKns5rp8eOARjaV5VrbHscm-AI68-iLtge0-1p0E.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_76f2e0713044220b4cba93a844a0e194dd4207566f662dd836f6dfe2b9feac78->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.105',1600419015),(349,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_views-view-unformatted.ht_CkS_aI-QmDNU3Lk3rmeQkLKKp/jaVu_p3f_FNiL95hd9GHgcL8oqklKX9_vu9o8t4GA34.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_394c2fb7b09a33ea07c09d1ef1abdfdbdeadd36f7dcaeef8f1cc58aefc57560a->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_views-view.html.twig_R9VOGGb69BJxQfQEdAwYxbDiY/CwROK4qb_FpElkO-tUBlON0Qt6cr0VsW9pMYMcsaaEw.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_cae531f9ad2c4475040a707bf402189553e0f35120ff4bc9778120340ddb1262->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/cp5FaqICVV3_UeE7HJH5fiBIScabgPLr-Z2ZZuyMiQw.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/cp5FaqICVV3_UeE7HJH5fiBIScabgPLr-Z2ZZuyMiQw.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_page.html.twig_Pi7aVDPrYJ0vcV8qJg363x3Lm/pOH5diFWIrXlf-R2vIpEh6EdAdCT27CrimtlWW8-pJc.php(562): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c3ff45fffc8ca2baa69425bbf9e09f3b953457eb2b7fbc341df9b83f2be35d7b->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_html.html.twig_a6hPzxRq5pfJJ2YGmFYDQWqSn/rQ6kKns5rp8eOARjaV5VrbHscm-AI68-iLtge0-1p0E.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_76f2e0713044220b4cba93a844a0e194dd4207566f662dd836f6dfe2b9feac78->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.105',1600419015),(350,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_views-view-unformatted.ht_CkS_aI-QmDNU3Lk3rmeQkLKKp/jaVu_p3f_FNiL95hd9GHgcL8oqklKX9_vu9o8t4GA34.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_394c2fb7b09a33ea07c09d1ef1abdfdbdeadd36f7dcaeef8f1cc58aefc57560a->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_views-view.html.twig_R9VOGGb69BJxQfQEdAwYxbDiY/CwROK4qb_FpElkO-tUBlON0Qt6cr0VsW9pMYMcsaaEw.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_cae531f9ad2c4475040a707bf402189553e0f35120ff4bc9778120340ddb1262->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/cp5FaqICVV3_UeE7HJH5fiBIScabgPLr-Z2ZZuyMiQw.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_block.html.twig_WfQQ3Q6daOSpE44ms2kIrBgXr/cp5FaqICVV3_UeE7HJH5fiBIScabgPLr-Z2ZZuyMiQw.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6dd76a1469c5dd2d449b3eb422381bebbf2fd201cf41bcd7a1be14600d09d9ea->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_page.html.twig_Pi7aVDPrYJ0vcV8qJg363x3Lm/pOH5diFWIrXlf-R2vIpEh6EdAdCT27CrimtlWW8-pJc.php(562): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_c3ff45fffc8ca2baa69425bbf9e09f3b953457eb2b7fbc341df9b83f2be35d7b->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/5f64746b1e2f3_html.html.twig_a6hPzxRq5pfJJ2YGmFYDQWqSn/rQ6kKns5rp8eOARjaV5VrbHscm-AI68-iLtge0-1p0E.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_76f2e0713044220b4cba93a844a0e194dd4207566f662dd836f6dfe2b9feac78->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.105',1600419015),(351,1,'system','%module module installed.','a:1:{s:7:\"%module\";s:20:\"admin_toolbar_search\";}',6,'','http://luxestate-d8.frontend.local2.weebpal.com/update.php/start?_format=json&id=43&op=do&op=do_nojs','http://luxestate-d8.frontend.local2.weebpal.com/update.php/start?id=43&op=start','192.168.1.105',1600419248),(352,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view-unformatted.ht_JFTdSuOfLMGDPXAu_iJPGdZ-8/ShV7xYo5XXn2Mw6S6XAFXIXaVwjJbqxJPnj66C0zEk8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6bfff12e433028ba1085e9fdf002ae4e28905cec173ca368a64916a8fae34c3f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/bpsAG7LUX76qUxwxj8UWk_jFwNEF33ySCe-9vGuqeWM.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/TsPiKnyL_ClgOEleh8NbappR6cjGFLly3gPWQ5Y8fcc.php(289): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/DN3cLKEIOKKfYVMDbuZkLp9rD_10t-KsXhB9-p5UI70.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627877044),(353,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view-unformatted.ht_JFTdSuOfLMGDPXAu_iJPGdZ-8/ShV7xYo5XXn2Mw6S6XAFXIXaVwjJbqxJPnj66C0zEk8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6bfff12e433028ba1085e9fdf002ae4e28905cec173ca368a64916a8fae34c3f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/bpsAG7LUX76qUxwxj8UWk_jFwNEF33ySCe-9vGuqeWM.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/TsPiKnyL_ClgOEleh8NbappR6cjGFLly3gPWQ5Y8fcc.php(289): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/DN3cLKEIOKKfYVMDbuZkLp9rD_10t-KsXhB9-p5UI70.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627877044),(354,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view-unformatted.ht_JFTdSuOfLMGDPXAu_iJPGdZ-8/ShV7xYo5XXn2Mw6S6XAFXIXaVwjJbqxJPnj66C0zEk8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6bfff12e433028ba1085e9fdf002ae4e28905cec173ca368a64916a8fae34c3f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/bpsAG7LUX76qUxwxj8UWk_jFwNEF33ySCe-9vGuqeWM.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/TsPiKnyL_ClgOEleh8NbappR6cjGFLly3gPWQ5Y8fcc.php(289): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/DN3cLKEIOKKfYVMDbuZkLp9rD_10t-KsXhB9-p5UI70.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627877044),(355,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view-unformatted.ht_JFTdSuOfLMGDPXAu_iJPGdZ-8/ShV7xYo5XXn2Mw6S6XAFXIXaVwjJbqxJPnj66C0zEk8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6bfff12e433028ba1085e9fdf002ae4e28905cec173ca368a64916a8fae34c3f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/bpsAG7LUX76qUxwxj8UWk_jFwNEF33ySCe-9vGuqeWM.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/TsPiKnyL_ClgOEleh8NbappR6cjGFLly3gPWQ5Y8fcc.php(289): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/DN3cLKEIOKKfYVMDbuZkLp9rD_10t-KsXhB9-p5UI70.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627877044),(356,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view-unformatted.ht_JFTdSuOfLMGDPXAu_iJPGdZ-8/ShV7xYo5XXn2Mw6S6XAFXIXaVwjJbqxJPnj66C0zEk8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6bfff12e433028ba1085e9fdf002ae4e28905cec173ca368a64916a8fae34c3f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/bpsAG7LUX76qUxwxj8UWk_jFwNEF33ySCe-9vGuqeWM.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/TsPiKnyL_ClgOEleh8NbappR6cjGFLly3gPWQ5Y8fcc.php(289): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/DN3cLKEIOKKfYVMDbuZkLp9rD_10t-KsXhB9-p5UI70.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627877044),(357,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view-unformatted.ht_JFTdSuOfLMGDPXAu_iJPGdZ-8/ShV7xYo5XXn2Mw6S6XAFXIXaVwjJbqxJPnj66C0zEk8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6bfff12e433028ba1085e9fdf002ae4e28905cec173ca368a64916a8fae34c3f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/bpsAG7LUX76qUxwxj8UWk_jFwNEF33ySCe-9vGuqeWM.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/TsPiKnyL_ClgOEleh8NbappR6cjGFLly3gPWQ5Y8fcc.php(466): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/DN3cLKEIOKKfYVMDbuZkLp9rD_10t-KsXhB9-p5UI70.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627877045),(358,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view-unformatted.ht_JFTdSuOfLMGDPXAu_iJPGdZ-8/ShV7xYo5XXn2Mw6S6XAFXIXaVwjJbqxJPnj66C0zEk8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6bfff12e433028ba1085e9fdf002ae4e28905cec173ca368a64916a8fae34c3f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/bpsAG7LUX76qUxwxj8UWk_jFwNEF33ySCe-9vGuqeWM.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/TsPiKnyL_ClgOEleh8NbappR6cjGFLly3gPWQ5Y8fcc.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/DN3cLKEIOKKfYVMDbuZkLp9rD_10t-KsXhB9-p5UI70.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627877045),(359,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view-unformatted.ht_JFTdSuOfLMGDPXAu_iJPGdZ-8/ShV7xYo5XXn2Mw6S6XAFXIXaVwjJbqxJPnj66C0zEk8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6bfff12e433028ba1085e9fdf002ae4e28905cec173ca368a64916a8fae34c3f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/bpsAG7LUX76qUxwxj8UWk_jFwNEF33ySCe-9vGuqeWM.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/TsPiKnyL_ClgOEleh8NbappR6cjGFLly3gPWQ5Y8fcc.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/DN3cLKEIOKKfYVMDbuZkLp9rD_10t-KsXhB9-p5UI70.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627877045),(360,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view-unformatted.ht_JFTdSuOfLMGDPXAu_iJPGdZ-8/ShV7xYo5XXn2Mw6S6XAFXIXaVwjJbqxJPnj66C0zEk8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6bfff12e433028ba1085e9fdf002ae4e28905cec173ca368a64916a8fae34c3f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/bpsAG7LUX76qUxwxj8UWk_jFwNEF33ySCe-9vGuqeWM.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/TsPiKnyL_ClgOEleh8NbappR6cjGFLly3gPWQ5Y8fcc.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/DN3cLKEIOKKfYVMDbuZkLp9rD_10t-KsXhB9-p5UI70.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627877045),(361,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view-unformatted.ht_JFTdSuOfLMGDPXAu_iJPGdZ-8/ShV7xYo5XXn2Mw6S6XAFXIXaVwjJbqxJPnj66C0zEk8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6bfff12e433028ba1085e9fdf002ae4e28905cec173ca368a64916a8fae34c3f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/bpsAG7LUX76qUxwxj8UWk_jFwNEF33ySCe-9vGuqeWM.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/TsPiKnyL_ClgOEleh8NbappR6cjGFLly3gPWQ5Y8fcc.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/DN3cLKEIOKKfYVMDbuZkLp9rD_10t-KsXhB9-p5UI70.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627877045),(362,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view-unformatted.ht_JFTdSuOfLMGDPXAu_iJPGdZ-8/ShV7xYo5XXn2Mw6S6XAFXIXaVwjJbqxJPnj66C0zEk8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6bfff12e433028ba1085e9fdf002ae4e28905cec173ca368a64916a8fae34c3f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/bpsAG7LUX76qUxwxj8UWk_jFwNEF33ySCe-9vGuqeWM.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/TsPiKnyL_ClgOEleh8NbappR6cjGFLly3gPWQ5Y8fcc.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/DN3cLKEIOKKfYVMDbuZkLp9rD_10t-KsXhB9-p5UI70.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627877045),(363,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view-unformatted.ht_JFTdSuOfLMGDPXAu_iJPGdZ-8/ShV7xYo5XXn2Mw6S6XAFXIXaVwjJbqxJPnj66C0zEk8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6bfff12e433028ba1085e9fdf002ae4e28905cec173ca368a64916a8fae34c3f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/bpsAG7LUX76qUxwxj8UWk_jFwNEF33ySCe-9vGuqeWM.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/TsPiKnyL_ClgOEleh8NbappR6cjGFLly3gPWQ5Y8fcc.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/DN3cLKEIOKKfYVMDbuZkLp9rD_10t-KsXhB9-p5UI70.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627877045),(364,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view-unformatted.ht_JFTdSuOfLMGDPXAu_iJPGdZ-8/ShV7xYo5XXn2Mw6S6XAFXIXaVwjJbqxJPnj66C0zEk8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6bfff12e433028ba1085e9fdf002ae4e28905cec173ca368a64916a8fae34c3f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/bpsAG7LUX76qUxwxj8UWk_jFwNEF33ySCe-9vGuqeWM.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/TsPiKnyL_ClgOEleh8NbappR6cjGFLly3gPWQ5Y8fcc.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/DN3cLKEIOKKfYVMDbuZkLp9rD_10t-KsXhB9-p5UI70.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627877045),(365,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view-unformatted.ht_JFTdSuOfLMGDPXAu_iJPGdZ-8/ShV7xYo5XXn2Mw6S6XAFXIXaVwjJbqxJPnj66C0zEk8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6bfff12e433028ba1085e9fdf002ae4e28905cec173ca368a64916a8fae34c3f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/bpsAG7LUX76qUxwxj8UWk_jFwNEF33ySCe-9vGuqeWM.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/TsPiKnyL_ClgOEleh8NbappR6cjGFLly3gPWQ5Y8fcc.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/DN3cLKEIOKKfYVMDbuZkLp9rD_10t-KsXhB9-p5UI70.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627877045),(366,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view-unformatted.ht_JFTdSuOfLMGDPXAu_iJPGdZ-8/ShV7xYo5XXn2Mw6S6XAFXIXaVwjJbqxJPnj66C0zEk8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6bfff12e433028ba1085e9fdf002ae4e28905cec173ca368a64916a8fae34c3f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/bpsAG7LUX76qUxwxj8UWk_jFwNEF33ySCe-9vGuqeWM.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/TsPiKnyL_ClgOEleh8NbappR6cjGFLly3gPWQ5Y8fcc.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/DN3cLKEIOKKfYVMDbuZkLp9rD_10t-KsXhB9-p5UI70.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627877045),(367,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view-unformatted.ht_JFTdSuOfLMGDPXAu_iJPGdZ-8/ShV7xYo5XXn2Mw6S6XAFXIXaVwjJbqxJPnj66C0zEk8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6bfff12e433028ba1085e9fdf002ae4e28905cec173ca368a64916a8fae34c3f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/bpsAG7LUX76qUxwxj8UWk_jFwNEF33ySCe-9vGuqeWM.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/TsPiKnyL_ClgOEleh8NbappR6cjGFLly3gPWQ5Y8fcc.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/DN3cLKEIOKKfYVMDbuZkLp9rD_10t-KsXhB9-p5UI70.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627877045),(368,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view-unformatted--o_wCkQfLF6FhIVPopLNni0Q5Ma2/ZH8fDLDGBD2Tk5bqIlZ3EmZhs2KxrT8qIeiGLPYAcL4.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_b0eeb8daa36555525cbc13967318e028ce06b6f2a14f7721d1a1c6938ada182e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/bpsAG7LUX76qUxwxj8UWk_jFwNEF33ySCe-9vGuqeWM.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/TsPiKnyL_ClgOEleh8NbappR6cjGFLly3gPWQ5Y8fcc.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/DN3cLKEIOKKfYVMDbuZkLp9rD_10t-KsXhB9-p5UI70.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627877045),(369,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view-unformatted--o_wCkQfLF6FhIVPopLNni0Q5Ma2/ZH8fDLDGBD2Tk5bqIlZ3EmZhs2KxrT8qIeiGLPYAcL4.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_b0eeb8daa36555525cbc13967318e028ce06b6f2a14f7721d1a1c6938ada182e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/bpsAG7LUX76qUxwxj8UWk_jFwNEF33ySCe-9vGuqeWM.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/TsPiKnyL_ClgOEleh8NbappR6cjGFLly3gPWQ5Y8fcc.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/DN3cLKEIOKKfYVMDbuZkLp9rD_10t-KsXhB9-p5UI70.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627877046),(370,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view-unformatted--o_wCkQfLF6FhIVPopLNni0Q5Ma2/ZH8fDLDGBD2Tk5bqIlZ3EmZhs2KxrT8qIeiGLPYAcL4.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_b0eeb8daa36555525cbc13967318e028ce06b6f2a14f7721d1a1c6938ada182e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/bpsAG7LUX76qUxwxj8UWk_jFwNEF33ySCe-9vGuqeWM.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/TsPiKnyL_ClgOEleh8NbappR6cjGFLly3gPWQ5Y8fcc.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/DN3cLKEIOKKfYVMDbuZkLp9rD_10t-KsXhB9-p5UI70.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627877046),(371,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view-unformatted--o_wCkQfLF6FhIVPopLNni0Q5Ma2/ZH8fDLDGBD2Tk5bqIlZ3EmZhs2KxrT8qIeiGLPYAcL4.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_b0eeb8daa36555525cbc13967318e028ce06b6f2a14f7721d1a1c6938ada182e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/bpsAG7LUX76qUxwxj8UWk_jFwNEF33ySCe-9vGuqeWM.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/TsPiKnyL_ClgOEleh8NbappR6cjGFLly3gPWQ5Y8fcc.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/DN3cLKEIOKKfYVMDbuZkLp9rD_10t-KsXhB9-p5UI70.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627877046),(372,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view-unformatted--o_wCkQfLF6FhIVPopLNni0Q5Ma2/ZH8fDLDGBD2Tk5bqIlZ3EmZhs2KxrT8qIeiGLPYAcL4.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_b0eeb8daa36555525cbc13967318e028ce06b6f2a14f7721d1a1c6938ada182e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/bpsAG7LUX76qUxwxj8UWk_jFwNEF33ySCe-9vGuqeWM.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/TsPiKnyL_ClgOEleh8NbappR6cjGFLly3gPWQ5Y8fcc.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/DN3cLKEIOKKfYVMDbuZkLp9rD_10t-KsXhB9-p5UI70.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627877046),(373,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view-unformatted--o_wCkQfLF6FhIVPopLNni0Q5Ma2/ZH8fDLDGBD2Tk5bqIlZ3EmZhs2KxrT8qIeiGLPYAcL4.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_b0eeb8daa36555525cbc13967318e028ce06b6f2a14f7721d1a1c6938ada182e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/bpsAG7LUX76qUxwxj8UWk_jFwNEF33ySCe-9vGuqeWM.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/TsPiKnyL_ClgOEleh8NbappR6cjGFLly3gPWQ5Y8fcc.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/DN3cLKEIOKKfYVMDbuZkLp9rD_10t-KsXhB9-p5UI70.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627877046),(374,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view-unformatted.ht_JFTdSuOfLMGDPXAu_iJPGdZ-8/ShV7xYo5XXn2Mw6S6XAFXIXaVwjJbqxJPnj66C0zEk8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6bfff12e433028ba1085e9fdf002ae4e28905cec173ca368a64916a8fae34c3f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/bpsAG7LUX76qUxwxj8UWk_jFwNEF33ySCe-9vGuqeWM.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/TsPiKnyL_ClgOEleh8NbappR6cjGFLly3gPWQ5Y8fcc.php(562): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/DN3cLKEIOKKfYVMDbuZkLp9rD_10t-KsXhB9-p5UI70.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627877046),(375,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view-unformatted.ht_JFTdSuOfLMGDPXAu_iJPGdZ-8/ShV7xYo5XXn2Mw6S6XAFXIXaVwjJbqxJPnj66C0zEk8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6bfff12e433028ba1085e9fdf002ae4e28905cec173ca368a64916a8fae34c3f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/bpsAG7LUX76qUxwxj8UWk_jFwNEF33ySCe-9vGuqeWM.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/TsPiKnyL_ClgOEleh8NbappR6cjGFLly3gPWQ5Y8fcc.php(562): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/DN3cLKEIOKKfYVMDbuZkLp9rD_10t-KsXhB9-p5UI70.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627877046),(376,0,'cron','Starting execution of @module_cron().','a:1:{s:7:\"@module\";s:7:\"comment\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627877046),(377,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:5:\"dblog\";s:16:\"@module_previous\";s:7:\"comment\";s:5:\"@time\";s:5:\"0.7ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627877046),(378,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:5:\"field\";s:16:\"@module_previous\";s:5:\"dblog\";s:5:\"@time\";s:6:\"8.21ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627877046),(379,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:4:\"file\";s:16:\"@module_previous\";s:5:\"field\";s:5:\"@time\";s:6:\"8.33ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627877046),(380,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:7:\"history\";s:16:\"@module_previous\";s:4:\"file\";s:5:\"@time\";s:5:\"0.5ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627877046),(381,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"locale\";s:16:\"@module_previous\";s:7:\"history\";s:5:\"@time\";s:6:\"0.15ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627877046),(382,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:4:\"node\";s:16:\"@module_previous\";s:6:\"locale\";s:5:\"@time\";s:6:\"0.03ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627877046),(383,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"search\";s:16:\"@module_previous\";s:4:\"node\";s:5:\"@time\";s:6:\"1.53ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627877046),(384,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:10:\"simplenews\";s:16:\"@module_previous\";s:6:\"search\";s:5:\"@time\";s:6:\"2.78ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627877046),(385,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"system\";s:16:\"@module_previous\";s:10:\"simplenews\";s:5:\"@time\";s:7:\"12.29ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627877046),(386,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"update\";s:16:\"@module_previous\";s:6:\"system\";s:5:\"@time\";s:7:\"19.12ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627877046),(387,0,'cron','Execution of @module_previous_cron() took @time.','a:2:{s:16:\"@module_previous\";s:6:\"update\";s:5:\"@time\";s:9:\"1755.41ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627877048),(388,0,'cron','Cron run completed.','a:0:{}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627877048),(389,1,'user','Session opened for %name.','a:1:{s:5:\"%name\";s:5:\"admin\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.27',1627877055),(390,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view-unformatted--o_wCkQfLF6FhIVPopLNni0Q5Ma2/ZH8fDLDGBD2Tk5bqIlZ3EmZhs2KxrT8qIeiGLPYAcL4.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_b0eeb8daa36555525cbc13967318e028ce06b6f2a14f7721d1a1c6938ada182e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/bpsAG7LUX76qUxwxj8UWk_jFwNEF33ySCe-9vGuqeWM.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/TsPiKnyL_ClgOEleh8NbappR6cjGFLly3gPWQ5Y8fcc.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/DN3cLKEIOKKfYVMDbuZkLp9rD_10t-KsXhB9-p5UI70.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.27',1627877056),(391,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view-unformatted--o_wCkQfLF6FhIVPopLNni0Q5Ma2/ZH8fDLDGBD2Tk5bqIlZ3EmZhs2KxrT8qIeiGLPYAcL4.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_b0eeb8daa36555525cbc13967318e028ce06b6f2a14f7721d1a1c6938ada182e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/bpsAG7LUX76qUxwxj8UWk_jFwNEF33ySCe-9vGuqeWM.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/TsPiKnyL_ClgOEleh8NbappR6cjGFLly3gPWQ5Y8fcc.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/DN3cLKEIOKKfYVMDbuZkLp9rD_10t-KsXhB9-p5UI70.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.27',1627877056),(392,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view-unformatted--o_wCkQfLF6FhIVPopLNni0Q5Ma2/ZH8fDLDGBD2Tk5bqIlZ3EmZhs2KxrT8qIeiGLPYAcL4.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_b0eeb8daa36555525cbc13967318e028ce06b6f2a14f7721d1a1c6938ada182e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/bpsAG7LUX76qUxwxj8UWk_jFwNEF33ySCe-9vGuqeWM.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/TsPiKnyL_ClgOEleh8NbappR6cjGFLly3gPWQ5Y8fcc.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/DN3cLKEIOKKfYVMDbuZkLp9rD_10t-KsXhB9-p5UI70.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.27',1627877056),(393,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view-unformatted--o_wCkQfLF6FhIVPopLNni0Q5Ma2/ZH8fDLDGBD2Tk5bqIlZ3EmZhs2KxrT8qIeiGLPYAcL4.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_b0eeb8daa36555525cbc13967318e028ce06b6f2a14f7721d1a1c6938ada182e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/bpsAG7LUX76qUxwxj8UWk_jFwNEF33ySCe-9vGuqeWM.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/TsPiKnyL_ClgOEleh8NbappR6cjGFLly3gPWQ5Y8fcc.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/DN3cLKEIOKKfYVMDbuZkLp9rD_10t-KsXhB9-p5UI70.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.27',1627877056),(394,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view-unformatted--o_wCkQfLF6FhIVPopLNni0Q5Ma2/ZH8fDLDGBD2Tk5bqIlZ3EmZhs2KxrT8qIeiGLPYAcL4.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_b0eeb8daa36555525cbc13967318e028ce06b6f2a14f7721d1a1c6938ada182e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/bpsAG7LUX76qUxwxj8UWk_jFwNEF33ySCe-9vGuqeWM.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/TsPiKnyL_ClgOEleh8NbappR6cjGFLly3gPWQ5Y8fcc.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/DN3cLKEIOKKfYVMDbuZkLp9rD_10t-KsXhB9-p5UI70.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.27',1627877056),(395,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view-unformatted--o_wCkQfLF6FhIVPopLNni0Q5Ma2/ZH8fDLDGBD2Tk5bqIlZ3EmZhs2KxrT8qIeiGLPYAcL4.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_b0eeb8daa36555525cbc13967318e028ce06b6f2a14f7721d1a1c6938ada182e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/bpsAG7LUX76qUxwxj8UWk_jFwNEF33ySCe-9vGuqeWM.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/TsPiKnyL_ClgOEleh8NbappR6cjGFLly3gPWQ5Y8fcc.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/DN3cLKEIOKKfYVMDbuZkLp9rD_10t-KsXhB9-p5UI70.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.27',1627877056),(396,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view-unformatted.ht_JFTdSuOfLMGDPXAu_iJPGdZ-8/ShV7xYo5XXn2Mw6S6XAFXIXaVwjJbqxJPnj66C0zEk8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6bfff12e433028ba1085e9fdf002ae4e28905cec173ca368a64916a8fae34c3f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/bpsAG7LUX76qUxwxj8UWk_jFwNEF33ySCe-9vGuqeWM.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/TsPiKnyL_ClgOEleh8NbappR6cjGFLly3gPWQ5Y8fcc.php(562): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/DN3cLKEIOKKfYVMDbuZkLp9rD_10t-KsXhB9-p5UI70.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.27',1627877056),(397,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view-unformatted.ht_JFTdSuOfLMGDPXAu_iJPGdZ-8/ShV7xYo5XXn2Mw6S6XAFXIXaVwjJbqxJPnj66C0zEk8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6bfff12e433028ba1085e9fdf002ae4e28905cec173ca368a64916a8fae34c3f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/bpsAG7LUX76qUxwxj8UWk_jFwNEF33ySCe-9vGuqeWM.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/ogY4g-C32TjYU-M7NP4ntDp8Z7Igo0952R6W7S_65pQ.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/TsPiKnyL_ClgOEleh8NbappR6cjGFLly3gPWQ5Y8fcc.php(562): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076eb3b9b09_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/DN3cLKEIOKKfYVMDbuZkLp9rD_10t-KsXhB9-p5UI70.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.27',1627877056),(398,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_views-view-unformatted.ht_JFTdSuOfLMGDPXAu_iJPGdZ-8/v_GFbihDG_wRg9HEeSFee4KxG4XkumLdYThO3v_YuKg.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6bfff12e433028ba1085e9fdf002ae4e28905cec173ca368a64916a8fae34c3f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/BU5XiOjcVpSV6xA1U6DSO_ydh7kP_WrrKahksPv2BX4.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/fxUklXEGleqkdZbrnBAyfBmHxaKVvbnOGJx2Vb0vtgs.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/fxUklXEGleqkdZbrnBAyfBmHxaKVvbnOGJx2Vb0vtgs.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/ye6CiJkiLQKHRpdkefriwoE4XdP3BU55spIXosVxp6o.php(289): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/T-GdMBjWh_YsDqq5hZXB68w4ogLg4ZLRVC1Vyx9SCec.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627898305),(399,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_views-view-unformatted.ht_JFTdSuOfLMGDPXAu_iJPGdZ-8/v_GFbihDG_wRg9HEeSFee4KxG4XkumLdYThO3v_YuKg.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6bfff12e433028ba1085e9fdf002ae4e28905cec173ca368a64916a8fae34c3f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/BU5XiOjcVpSV6xA1U6DSO_ydh7kP_WrrKahksPv2BX4.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/fxUklXEGleqkdZbrnBAyfBmHxaKVvbnOGJx2Vb0vtgs.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/fxUklXEGleqkdZbrnBAyfBmHxaKVvbnOGJx2Vb0vtgs.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/ye6CiJkiLQKHRpdkefriwoE4XdP3BU55spIXosVxp6o.php(289): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/T-GdMBjWh_YsDqq5hZXB68w4ogLg4ZLRVC1Vyx9SCec.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627898305),(400,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_views-view-unformatted.ht_JFTdSuOfLMGDPXAu_iJPGdZ-8/v_GFbihDG_wRg9HEeSFee4KxG4XkumLdYThO3v_YuKg.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6bfff12e433028ba1085e9fdf002ae4e28905cec173ca368a64916a8fae34c3f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/BU5XiOjcVpSV6xA1U6DSO_ydh7kP_WrrKahksPv2BX4.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/fxUklXEGleqkdZbrnBAyfBmHxaKVvbnOGJx2Vb0vtgs.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/fxUklXEGleqkdZbrnBAyfBmHxaKVvbnOGJx2Vb0vtgs.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/ye6CiJkiLQKHRpdkefriwoE4XdP3BU55spIXosVxp6o.php(289): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/T-GdMBjWh_YsDqq5hZXB68w4ogLg4ZLRVC1Vyx9SCec.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627898305),(401,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_views-view-unformatted.ht_JFTdSuOfLMGDPXAu_iJPGdZ-8/v_GFbihDG_wRg9HEeSFee4KxG4XkumLdYThO3v_YuKg.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6bfff12e433028ba1085e9fdf002ae4e28905cec173ca368a64916a8fae34c3f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/BU5XiOjcVpSV6xA1U6DSO_ydh7kP_WrrKahksPv2BX4.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/fxUklXEGleqkdZbrnBAyfBmHxaKVvbnOGJx2Vb0vtgs.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/fxUklXEGleqkdZbrnBAyfBmHxaKVvbnOGJx2Vb0vtgs.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/ye6CiJkiLQKHRpdkefriwoE4XdP3BU55spIXosVxp6o.php(289): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/T-GdMBjWh_YsDqq5hZXB68w4ogLg4ZLRVC1Vyx9SCec.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627898305),(402,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_views-view-unformatted.ht_JFTdSuOfLMGDPXAu_iJPGdZ-8/v_GFbihDG_wRg9HEeSFee4KxG4XkumLdYThO3v_YuKg.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6bfff12e433028ba1085e9fdf002ae4e28905cec173ca368a64916a8fae34c3f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/BU5XiOjcVpSV6xA1U6DSO_ydh7kP_WrrKahksPv2BX4.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/fxUklXEGleqkdZbrnBAyfBmHxaKVvbnOGJx2Vb0vtgs.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/fxUklXEGleqkdZbrnBAyfBmHxaKVvbnOGJx2Vb0vtgs.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/ye6CiJkiLQKHRpdkefriwoE4XdP3BU55spIXosVxp6o.php(289): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/T-GdMBjWh_YsDqq5hZXB68w4ogLg4ZLRVC1Vyx9SCec.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627898305),(403,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_views-view-unformatted.ht_JFTdSuOfLMGDPXAu_iJPGdZ-8/v_GFbihDG_wRg9HEeSFee4KxG4XkumLdYThO3v_YuKg.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6bfff12e433028ba1085e9fdf002ae4e28905cec173ca368a64916a8fae34c3f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/BU5XiOjcVpSV6xA1U6DSO_ydh7kP_WrrKahksPv2BX4.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/fxUklXEGleqkdZbrnBAyfBmHxaKVvbnOGJx2Vb0vtgs.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/fxUklXEGleqkdZbrnBAyfBmHxaKVvbnOGJx2Vb0vtgs.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/ye6CiJkiLQKHRpdkefriwoE4XdP3BU55spIXosVxp6o.php(466): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/T-GdMBjWh_YsDqq5hZXB68w4ogLg4ZLRVC1Vyx9SCec.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627898305),(404,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_views-view-unformatted.ht_JFTdSuOfLMGDPXAu_iJPGdZ-8/v_GFbihDG_wRg9HEeSFee4KxG4XkumLdYThO3v_YuKg.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6bfff12e433028ba1085e9fdf002ae4e28905cec173ca368a64916a8fae34c3f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/BU5XiOjcVpSV6xA1U6DSO_ydh7kP_WrrKahksPv2BX4.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/fxUklXEGleqkdZbrnBAyfBmHxaKVvbnOGJx2Vb0vtgs.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/fxUklXEGleqkdZbrnBAyfBmHxaKVvbnOGJx2Vb0vtgs.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/ye6CiJkiLQKHRpdkefriwoE4XdP3BU55spIXosVxp6o.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/T-GdMBjWh_YsDqq5hZXB68w4ogLg4ZLRVC1Vyx9SCec.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627898306),(405,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_views-view-unformatted.ht_JFTdSuOfLMGDPXAu_iJPGdZ-8/v_GFbihDG_wRg9HEeSFee4KxG4XkumLdYThO3v_YuKg.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6bfff12e433028ba1085e9fdf002ae4e28905cec173ca368a64916a8fae34c3f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/BU5XiOjcVpSV6xA1U6DSO_ydh7kP_WrrKahksPv2BX4.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/fxUklXEGleqkdZbrnBAyfBmHxaKVvbnOGJx2Vb0vtgs.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/fxUklXEGleqkdZbrnBAyfBmHxaKVvbnOGJx2Vb0vtgs.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/ye6CiJkiLQKHRpdkefriwoE4XdP3BU55spIXosVxp6o.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/T-GdMBjWh_YsDqq5hZXB68w4ogLg4ZLRVC1Vyx9SCec.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627898306),(406,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_views-view-unformatted.ht_JFTdSuOfLMGDPXAu_iJPGdZ-8/v_GFbihDG_wRg9HEeSFee4KxG4XkumLdYThO3v_YuKg.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6bfff12e433028ba1085e9fdf002ae4e28905cec173ca368a64916a8fae34c3f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/BU5XiOjcVpSV6xA1U6DSO_ydh7kP_WrrKahksPv2BX4.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/fxUklXEGleqkdZbrnBAyfBmHxaKVvbnOGJx2Vb0vtgs.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/fxUklXEGleqkdZbrnBAyfBmHxaKVvbnOGJx2Vb0vtgs.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/ye6CiJkiLQKHRpdkefriwoE4XdP3BU55spIXosVxp6o.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/T-GdMBjWh_YsDqq5hZXB68w4ogLg4ZLRVC1Vyx9SCec.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627898306),(407,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_views-view-unformatted.ht_JFTdSuOfLMGDPXAu_iJPGdZ-8/v_GFbihDG_wRg9HEeSFee4KxG4XkumLdYThO3v_YuKg.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6bfff12e433028ba1085e9fdf002ae4e28905cec173ca368a64916a8fae34c3f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/BU5XiOjcVpSV6xA1U6DSO_ydh7kP_WrrKahksPv2BX4.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/fxUklXEGleqkdZbrnBAyfBmHxaKVvbnOGJx2Vb0vtgs.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/fxUklXEGleqkdZbrnBAyfBmHxaKVvbnOGJx2Vb0vtgs.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/ye6CiJkiLQKHRpdkefriwoE4XdP3BU55spIXosVxp6o.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/T-GdMBjWh_YsDqq5hZXB68w4ogLg4ZLRVC1Vyx9SCec.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627898306),(408,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_views-view-unformatted.ht_JFTdSuOfLMGDPXAu_iJPGdZ-8/v_GFbihDG_wRg9HEeSFee4KxG4XkumLdYThO3v_YuKg.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6bfff12e433028ba1085e9fdf002ae4e28905cec173ca368a64916a8fae34c3f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/BU5XiOjcVpSV6xA1U6DSO_ydh7kP_WrrKahksPv2BX4.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/fxUklXEGleqkdZbrnBAyfBmHxaKVvbnOGJx2Vb0vtgs.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/fxUklXEGleqkdZbrnBAyfBmHxaKVvbnOGJx2Vb0vtgs.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/ye6CiJkiLQKHRpdkefriwoE4XdP3BU55spIXosVxp6o.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/T-GdMBjWh_YsDqq5hZXB68w4ogLg4ZLRVC1Vyx9SCec.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627898306);
INSERT INTO `watchdog` VALUES (409,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_views-view-unformatted.ht_JFTdSuOfLMGDPXAu_iJPGdZ-8/v_GFbihDG_wRg9HEeSFee4KxG4XkumLdYThO3v_YuKg.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6bfff12e433028ba1085e9fdf002ae4e28905cec173ca368a64916a8fae34c3f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/BU5XiOjcVpSV6xA1U6DSO_ydh7kP_WrrKahksPv2BX4.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/fxUklXEGleqkdZbrnBAyfBmHxaKVvbnOGJx2Vb0vtgs.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/fxUklXEGleqkdZbrnBAyfBmHxaKVvbnOGJx2Vb0vtgs.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/ye6CiJkiLQKHRpdkefriwoE4XdP3BU55spIXosVxp6o.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/T-GdMBjWh_YsDqq5hZXB68w4ogLg4ZLRVC1Vyx9SCec.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627898306),(410,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_views-view-unformatted.ht_JFTdSuOfLMGDPXAu_iJPGdZ-8/v_GFbihDG_wRg9HEeSFee4KxG4XkumLdYThO3v_YuKg.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6bfff12e433028ba1085e9fdf002ae4e28905cec173ca368a64916a8fae34c3f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/BU5XiOjcVpSV6xA1U6DSO_ydh7kP_WrrKahksPv2BX4.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/fxUklXEGleqkdZbrnBAyfBmHxaKVvbnOGJx2Vb0vtgs.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/fxUklXEGleqkdZbrnBAyfBmHxaKVvbnOGJx2Vb0vtgs.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/ye6CiJkiLQKHRpdkefriwoE4XdP3BU55spIXosVxp6o.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/T-GdMBjWh_YsDqq5hZXB68w4ogLg4ZLRVC1Vyx9SCec.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627898306),(411,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_views-view-unformatted.ht_JFTdSuOfLMGDPXAu_iJPGdZ-8/v_GFbihDG_wRg9HEeSFee4KxG4XkumLdYThO3v_YuKg.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6bfff12e433028ba1085e9fdf002ae4e28905cec173ca368a64916a8fae34c3f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/BU5XiOjcVpSV6xA1U6DSO_ydh7kP_WrrKahksPv2BX4.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/fxUklXEGleqkdZbrnBAyfBmHxaKVvbnOGJx2Vb0vtgs.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/fxUklXEGleqkdZbrnBAyfBmHxaKVvbnOGJx2Vb0vtgs.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/ye6CiJkiLQKHRpdkefriwoE4XdP3BU55spIXosVxp6o.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/T-GdMBjWh_YsDqq5hZXB68w4ogLg4ZLRVC1Vyx9SCec.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627898306),(412,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_views-view-unformatted.ht_JFTdSuOfLMGDPXAu_iJPGdZ-8/v_GFbihDG_wRg9HEeSFee4KxG4XkumLdYThO3v_YuKg.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6bfff12e433028ba1085e9fdf002ae4e28905cec173ca368a64916a8fae34c3f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/BU5XiOjcVpSV6xA1U6DSO_ydh7kP_WrrKahksPv2BX4.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/fxUklXEGleqkdZbrnBAyfBmHxaKVvbnOGJx2Vb0vtgs.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/fxUklXEGleqkdZbrnBAyfBmHxaKVvbnOGJx2Vb0vtgs.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/ye6CiJkiLQKHRpdkefriwoE4XdP3BU55spIXosVxp6o.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/T-GdMBjWh_YsDqq5hZXB68w4ogLg4ZLRVC1Vyx9SCec.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627898306),(413,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_views-view-unformatted.ht_JFTdSuOfLMGDPXAu_iJPGdZ-8/v_GFbihDG_wRg9HEeSFee4KxG4XkumLdYThO3v_YuKg.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6bfff12e433028ba1085e9fdf002ae4e28905cec173ca368a64916a8fae34c3f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/BU5XiOjcVpSV6xA1U6DSO_ydh7kP_WrrKahksPv2BX4.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/fxUklXEGleqkdZbrnBAyfBmHxaKVvbnOGJx2Vb0vtgs.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/fxUklXEGleqkdZbrnBAyfBmHxaKVvbnOGJx2Vb0vtgs.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/ye6CiJkiLQKHRpdkefriwoE4XdP3BU55spIXosVxp6o.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/T-GdMBjWh_YsDqq5hZXB68w4ogLg4ZLRVC1Vyx9SCec.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627898306),(414,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_views-view-unformatted--o_wCkQfLF6FhIVPopLNni0Q5Ma2/ZS4OrjiwUMBQe2w-oeSMtjRpjTJ8L83dnYEOfFLgxN0.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_b0eeb8daa36555525cbc13967318e028ce06b6f2a14f7721d1a1c6938ada182e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/BU5XiOjcVpSV6xA1U6DSO_ydh7kP_WrrKahksPv2BX4.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/fxUklXEGleqkdZbrnBAyfBmHxaKVvbnOGJx2Vb0vtgs.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/fxUklXEGleqkdZbrnBAyfBmHxaKVvbnOGJx2Vb0vtgs.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/ye6CiJkiLQKHRpdkefriwoE4XdP3BU55spIXosVxp6o.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/T-GdMBjWh_YsDqq5hZXB68w4ogLg4ZLRVC1Vyx9SCec.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627898306),(415,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_views-view-unformatted--o_wCkQfLF6FhIVPopLNni0Q5Ma2/ZS4OrjiwUMBQe2w-oeSMtjRpjTJ8L83dnYEOfFLgxN0.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_b0eeb8daa36555525cbc13967318e028ce06b6f2a14f7721d1a1c6938ada182e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/BU5XiOjcVpSV6xA1U6DSO_ydh7kP_WrrKahksPv2BX4.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/fxUklXEGleqkdZbrnBAyfBmHxaKVvbnOGJx2Vb0vtgs.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/fxUklXEGleqkdZbrnBAyfBmHxaKVvbnOGJx2Vb0vtgs.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/ye6CiJkiLQKHRpdkefriwoE4XdP3BU55spIXosVxp6o.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/T-GdMBjWh_YsDqq5hZXB68w4ogLg4ZLRVC1Vyx9SCec.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627898306),(416,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_views-view-unformatted--o_wCkQfLF6FhIVPopLNni0Q5Ma2/ZS4OrjiwUMBQe2w-oeSMtjRpjTJ8L83dnYEOfFLgxN0.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_b0eeb8daa36555525cbc13967318e028ce06b6f2a14f7721d1a1c6938ada182e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/BU5XiOjcVpSV6xA1U6DSO_ydh7kP_WrrKahksPv2BX4.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/fxUklXEGleqkdZbrnBAyfBmHxaKVvbnOGJx2Vb0vtgs.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/fxUklXEGleqkdZbrnBAyfBmHxaKVvbnOGJx2Vb0vtgs.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/ye6CiJkiLQKHRpdkefriwoE4XdP3BU55spIXosVxp6o.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/T-GdMBjWh_YsDqq5hZXB68w4ogLg4ZLRVC1Vyx9SCec.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627898306),(417,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_views-view-unformatted--o_wCkQfLF6FhIVPopLNni0Q5Ma2/ZS4OrjiwUMBQe2w-oeSMtjRpjTJ8L83dnYEOfFLgxN0.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_b0eeb8daa36555525cbc13967318e028ce06b6f2a14f7721d1a1c6938ada182e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/BU5XiOjcVpSV6xA1U6DSO_ydh7kP_WrrKahksPv2BX4.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/fxUklXEGleqkdZbrnBAyfBmHxaKVvbnOGJx2Vb0vtgs.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/fxUklXEGleqkdZbrnBAyfBmHxaKVvbnOGJx2Vb0vtgs.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/ye6CiJkiLQKHRpdkefriwoE4XdP3BU55spIXosVxp6o.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/T-GdMBjWh_YsDqq5hZXB68w4ogLg4ZLRVC1Vyx9SCec.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627898306),(418,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_views-view-unformatted--o_wCkQfLF6FhIVPopLNni0Q5Ma2/ZS4OrjiwUMBQe2w-oeSMtjRpjTJ8L83dnYEOfFLgxN0.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_b0eeb8daa36555525cbc13967318e028ce06b6f2a14f7721d1a1c6938ada182e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/BU5XiOjcVpSV6xA1U6DSO_ydh7kP_WrrKahksPv2BX4.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/fxUklXEGleqkdZbrnBAyfBmHxaKVvbnOGJx2Vb0vtgs.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/fxUklXEGleqkdZbrnBAyfBmHxaKVvbnOGJx2Vb0vtgs.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/ye6CiJkiLQKHRpdkefriwoE4XdP3BU55spIXosVxp6o.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/T-GdMBjWh_YsDqq5hZXB68w4ogLg4ZLRVC1Vyx9SCec.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627898306),(419,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_views-view-unformatted--o_wCkQfLF6FhIVPopLNni0Q5Ma2/ZS4OrjiwUMBQe2w-oeSMtjRpjTJ8L83dnYEOfFLgxN0.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_b0eeb8daa36555525cbc13967318e028ce06b6f2a14f7721d1a1c6938ada182e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/BU5XiOjcVpSV6xA1U6DSO_ydh7kP_WrrKahksPv2BX4.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/fxUklXEGleqkdZbrnBAyfBmHxaKVvbnOGJx2Vb0vtgs.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/fxUklXEGleqkdZbrnBAyfBmHxaKVvbnOGJx2Vb0vtgs.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/ye6CiJkiLQKHRpdkefriwoE4XdP3BU55spIXosVxp6o.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/T-GdMBjWh_YsDqq5hZXB68w4ogLg4ZLRVC1Vyx9SCec.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627898306),(420,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_views-view-unformatted.ht_JFTdSuOfLMGDPXAu_iJPGdZ-8/v_GFbihDG_wRg9HEeSFee4KxG4XkumLdYThO3v_YuKg.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6bfff12e433028ba1085e9fdf002ae4e28905cec173ca368a64916a8fae34c3f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/BU5XiOjcVpSV6xA1U6DSO_ydh7kP_WrrKahksPv2BX4.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/fxUklXEGleqkdZbrnBAyfBmHxaKVvbnOGJx2Vb0vtgs.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/fxUklXEGleqkdZbrnBAyfBmHxaKVvbnOGJx2Vb0vtgs.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/ye6CiJkiLQKHRpdkefriwoE4XdP3BU55spIXosVxp6o.php(562): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/T-GdMBjWh_YsDqq5hZXB68w4ogLg4ZLRVC1Vyx9SCec.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627898306),(421,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_views-view-unformatted.ht_JFTdSuOfLMGDPXAu_iJPGdZ-8/v_GFbihDG_wRg9HEeSFee4KxG4XkumLdYThO3v_YuKg.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6bfff12e433028ba1085e9fdf002ae4e28905cec173ca368a64916a8fae34c3f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/BU5XiOjcVpSV6xA1U6DSO_ydh7kP_WrrKahksPv2BX4.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/fxUklXEGleqkdZbrnBAyfBmHxaKVvbnOGJx2Vb0vtgs.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/fxUklXEGleqkdZbrnBAyfBmHxaKVvbnOGJx2Vb0vtgs.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/ye6CiJkiLQKHRpdkefriwoE4XdP3BU55spIXosVxp6o.php(562): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/61076f71b7893_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/T-GdMBjWh_YsDqq5hZXB68w4ogLg4ZLRVC1Vyx9SCec.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627898306),(422,0,'cron','Starting execution of @module_cron().','a:1:{s:7:\"@module\";s:7:\"comment\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627898307),(423,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:5:\"dblog\";s:16:\"@module_previous\";s:7:\"comment\";s:5:\"@time\";s:6:\"0.69ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627898307),(424,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:5:\"field\";s:16:\"@module_previous\";s:5:\"dblog\";s:5:\"@time\";s:7:\"10.09ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627898307),(425,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:4:\"file\";s:16:\"@module_previous\";s:5:\"field\";s:5:\"@time\";s:5:\"8.2ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627898307),(426,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:7:\"history\";s:16:\"@module_previous\";s:4:\"file\";s:5:\"@time\";s:6:\"0.51ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627898307),(427,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"locale\";s:16:\"@module_previous\";s:7:\"history\";s:5:\"@time\";s:6:\"0.87ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627898307),(428,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:4:\"node\";s:16:\"@module_previous\";s:6:\"locale\";s:5:\"@time\";s:6:\"0.02ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627898307),(429,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"search\";s:16:\"@module_previous\";s:4:\"node\";s:5:\"@time\";s:6:\"1.63ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627898307),(430,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:10:\"simplenews\";s:16:\"@module_previous\";s:6:\"search\";s:5:\"@time\";s:6:\"5.45ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627898307),(431,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"system\";s:16:\"@module_previous\";s:10:\"simplenews\";s:5:\"@time\";s:7:\"12.71ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627898307),(432,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"update\";s:16:\"@module_previous\";s:6:\"system\";s:5:\"@time\";s:7:\"23.82ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627898307),(433,0,'cron','Execution of @module_previous_cron() took @time.','a:2:{s:16:\"@module_previous\";s:6:\"update\";s:5:\"@time\";s:8:\"268.23ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627898307),(434,0,'cron','Cron run completed.','a:0:{}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.27',1627898307),(435,0,'cron','Starting execution of @module_cron().','a:1:{s:7:\"@module\";s:7:\"comment\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user','','192.168.1.31',1629174128),(436,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:5:\"dblog\";s:16:\"@module_previous\";s:7:\"comment\";s:5:\"@time\";s:6:\"2.78ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user','','192.168.1.31',1629174128),(437,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:5:\"field\";s:16:\"@module_previous\";s:5:\"dblog\";s:5:\"@time\";s:6:\"4.77ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user','','192.168.1.31',1629174128),(438,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:4:\"file\";s:16:\"@module_previous\";s:5:\"field\";s:5:\"@time\";s:6:\"1.86ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user','','192.168.1.31',1629174128),(439,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:7:\"history\";s:16:\"@module_previous\";s:4:\"file\";s:5:\"@time\";s:7:\"19.85ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user','','192.168.1.31',1629174128),(440,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"locale\";s:16:\"@module_previous\";s:7:\"history\";s:5:\"@time\";s:6:\"2.31ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user','','192.168.1.31',1629174128),(441,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:4:\"node\";s:16:\"@module_previous\";s:6:\"locale\";s:5:\"@time\";s:5:\"0.6ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user','','192.168.1.31',1629174128),(442,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"search\";s:16:\"@module_previous\";s:4:\"node\";s:5:\"@time\";s:7:\"10.51ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user','','192.168.1.31',1629174128),(443,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:10:\"simplenews\";s:16:\"@module_previous\";s:6:\"search\";s:5:\"@time\";s:7:\"10.31ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user','','192.168.1.31',1629174128),(444,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"system\";s:16:\"@module_previous\";s:10:\"simplenews\";s:5:\"@time\";s:7:\"46.98ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user','','192.168.1.31',1629174128),(445,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"update\";s:16:\"@module_previous\";s:6:\"system\";s:5:\"@time\";s:8:\"281.64ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user','','192.168.1.31',1629174128),(446,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_views-view-unformatted.ht_JFTdSuOfLMGDPXAu_iJPGdZ-8/4S01dlGwTMd0JUnEcwkhXdPWSeh1DR08R_PAcJ-il0w.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6bfff12e433028ba1085e9fdf002ae4e28905cec173ca368a64916a8fae34c3f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/4XXvE0kt7qVUvor2Ug78z-viGM1Z5QnUHdoLAPDLazQ.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/_CWV3CW7xl5H1IkHA1cn8hvJtibKlNk9D0EMENXwp5M.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/_CWV3CW7xl5H1IkHA1cn8hvJtibKlNk9D0EMENXwp5M.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/N2YrYkoT4NSy8LoFdJykcsrWZgQPgAG3UC-f8trXvTs.php(289): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/pyQ4xz37Y0P_DaXBPSdO6PyGdHWH-DFq7WKsNngquOU.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.31',1629174130),(447,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_views-view-unformatted.ht_JFTdSuOfLMGDPXAu_iJPGdZ-8/4S01dlGwTMd0JUnEcwkhXdPWSeh1DR08R_PAcJ-il0w.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6bfff12e433028ba1085e9fdf002ae4e28905cec173ca368a64916a8fae34c3f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/4XXvE0kt7qVUvor2Ug78z-viGM1Z5QnUHdoLAPDLazQ.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/_CWV3CW7xl5H1IkHA1cn8hvJtibKlNk9D0EMENXwp5M.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/_CWV3CW7xl5H1IkHA1cn8hvJtibKlNk9D0EMENXwp5M.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/N2YrYkoT4NSy8LoFdJykcsrWZgQPgAG3UC-f8trXvTs.php(289): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/pyQ4xz37Y0P_DaXBPSdO6PyGdHWH-DFq7WKsNngquOU.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.31',1629174130),(448,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_views-view-unformatted.ht_JFTdSuOfLMGDPXAu_iJPGdZ-8/4S01dlGwTMd0JUnEcwkhXdPWSeh1DR08R_PAcJ-il0w.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6bfff12e433028ba1085e9fdf002ae4e28905cec173ca368a64916a8fae34c3f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/4XXvE0kt7qVUvor2Ug78z-viGM1Z5QnUHdoLAPDLazQ.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/_CWV3CW7xl5H1IkHA1cn8hvJtibKlNk9D0EMENXwp5M.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/_CWV3CW7xl5H1IkHA1cn8hvJtibKlNk9D0EMENXwp5M.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/N2YrYkoT4NSy8LoFdJykcsrWZgQPgAG3UC-f8trXvTs.php(289): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/pyQ4xz37Y0P_DaXBPSdO6PyGdHWH-DFq7WKsNngquOU.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.31',1629174130),(449,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_views-view-unformatted.ht_JFTdSuOfLMGDPXAu_iJPGdZ-8/4S01dlGwTMd0JUnEcwkhXdPWSeh1DR08R_PAcJ-il0w.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6bfff12e433028ba1085e9fdf002ae4e28905cec173ca368a64916a8fae34c3f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/4XXvE0kt7qVUvor2Ug78z-viGM1Z5QnUHdoLAPDLazQ.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/_CWV3CW7xl5H1IkHA1cn8hvJtibKlNk9D0EMENXwp5M.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/_CWV3CW7xl5H1IkHA1cn8hvJtibKlNk9D0EMENXwp5M.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/N2YrYkoT4NSy8LoFdJykcsrWZgQPgAG3UC-f8trXvTs.php(289): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/pyQ4xz37Y0P_DaXBPSdO6PyGdHWH-DFq7WKsNngquOU.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.31',1629174130),(450,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_views-view-unformatted.ht_JFTdSuOfLMGDPXAu_iJPGdZ-8/4S01dlGwTMd0JUnEcwkhXdPWSeh1DR08R_PAcJ-il0w.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6bfff12e433028ba1085e9fdf002ae4e28905cec173ca368a64916a8fae34c3f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/4XXvE0kt7qVUvor2Ug78z-viGM1Z5QnUHdoLAPDLazQ.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/_CWV3CW7xl5H1IkHA1cn8hvJtibKlNk9D0EMENXwp5M.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/_CWV3CW7xl5H1IkHA1cn8hvJtibKlNk9D0EMENXwp5M.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/N2YrYkoT4NSy8LoFdJykcsrWZgQPgAG3UC-f8trXvTs.php(289): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/pyQ4xz37Y0P_DaXBPSdO6PyGdHWH-DFq7WKsNngquOU.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.31',1629174130),(451,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_views-view-unformatted.ht_JFTdSuOfLMGDPXAu_iJPGdZ-8/4S01dlGwTMd0JUnEcwkhXdPWSeh1DR08R_PAcJ-il0w.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6bfff12e433028ba1085e9fdf002ae4e28905cec173ca368a64916a8fae34c3f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/4XXvE0kt7qVUvor2Ug78z-viGM1Z5QnUHdoLAPDLazQ.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/_CWV3CW7xl5H1IkHA1cn8hvJtibKlNk9D0EMENXwp5M.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/_CWV3CW7xl5H1IkHA1cn8hvJtibKlNk9D0EMENXwp5M.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/N2YrYkoT4NSy8LoFdJykcsrWZgQPgAG3UC-f8trXvTs.php(466): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/pyQ4xz37Y0P_DaXBPSdO6PyGdHWH-DFq7WKsNngquOU.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.31',1629174130),(452,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702e7d9_views-view-unformatted--o_wCkQfLF6FhIVPopLNni0Q5Ma2/U091GyB4gudYtKWTmxi71rLUrSBWx2p39FZ6yh7TG8g.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_b0eeb8daa36555525cbc13967318e028ce06b6f2a14f7721d1a1c6938ada182e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702e7d9_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/DJv-vw1SyL21AbA-09GuNEZoduLwKQAwlJWq7pqYb3k.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702e7d9_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/vTvx8q0OlTXTzlEY8GCSOeHxDu8z4DepM8vz05f8JQI.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702e7d9_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/vTvx8q0OlTXTzlEY8GCSOeHxDu8z4DepM8vz05f8JQI.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702e7d9_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/oeSA6Hi91b7F5yKrc69U0WLZBW4_uMhfDAYX5DVGhds.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702e7d9_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/1DmRhHN1h4-rhZI8Q_-ccxvnM_k5o_-3uy0X0s6jRcU.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.31',1629174130),(453,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702e7d9_views-view-unformatted--o_wCkQfLF6FhIVPopLNni0Q5Ma2/U091GyB4gudYtKWTmxi71rLUrSBWx2p39FZ6yh7TG8g.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_b0eeb8daa36555525cbc13967318e028ce06b6f2a14f7721d1a1c6938ada182e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702e7d9_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/DJv-vw1SyL21AbA-09GuNEZoduLwKQAwlJWq7pqYb3k.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702e7d9_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/vTvx8q0OlTXTzlEY8GCSOeHxDu8z4DepM8vz05f8JQI.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702e7d9_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/vTvx8q0OlTXTzlEY8GCSOeHxDu8z4DepM8vz05f8JQI.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702e7d9_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/oeSA6Hi91b7F5yKrc69U0WLZBW4_uMhfDAYX5DVGhds.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702e7d9_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/1DmRhHN1h4-rhZI8Q_-ccxvnM_k5o_-3uy0X0s6jRcU.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.31',1629174130),(454,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702e7d9_views-view-unformatted--o_wCkQfLF6FhIVPopLNni0Q5Ma2/U091GyB4gudYtKWTmxi71rLUrSBWx2p39FZ6yh7TG8g.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_b0eeb8daa36555525cbc13967318e028ce06b6f2a14f7721d1a1c6938ada182e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702e7d9_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/DJv-vw1SyL21AbA-09GuNEZoduLwKQAwlJWq7pqYb3k.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702e7d9_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/vTvx8q0OlTXTzlEY8GCSOeHxDu8z4DepM8vz05f8JQI.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702e7d9_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/vTvx8q0OlTXTzlEY8GCSOeHxDu8z4DepM8vz05f8JQI.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702e7d9_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/oeSA6Hi91b7F5yKrc69U0WLZBW4_uMhfDAYX5DVGhds.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702e7d9_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/1DmRhHN1h4-rhZI8Q_-ccxvnM_k5o_-3uy0X0s6jRcU.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.31',1629174130),(455,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702e7d9_views-view-unformatted--o_wCkQfLF6FhIVPopLNni0Q5Ma2/U091GyB4gudYtKWTmxi71rLUrSBWx2p39FZ6yh7TG8g.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_b0eeb8daa36555525cbc13967318e028ce06b6f2a14f7721d1a1c6938ada182e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702e7d9_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/DJv-vw1SyL21AbA-09GuNEZoduLwKQAwlJWq7pqYb3k.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702e7d9_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/vTvx8q0OlTXTzlEY8GCSOeHxDu8z4DepM8vz05f8JQI.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702e7d9_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/vTvx8q0OlTXTzlEY8GCSOeHxDu8z4DepM8vz05f8JQI.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702e7d9_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/oeSA6Hi91b7F5yKrc69U0WLZBW4_uMhfDAYX5DVGhds.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702e7d9_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/1DmRhHN1h4-rhZI8Q_-ccxvnM_k5o_-3uy0X0s6jRcU.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.31',1629174130),(456,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702e7d9_views-view-unformatted--o_wCkQfLF6FhIVPopLNni0Q5Ma2/U091GyB4gudYtKWTmxi71rLUrSBWx2p39FZ6yh7TG8g.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_b0eeb8daa36555525cbc13967318e028ce06b6f2a14f7721d1a1c6938ada182e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702e7d9_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/DJv-vw1SyL21AbA-09GuNEZoduLwKQAwlJWq7pqYb3k.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702e7d9_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/vTvx8q0OlTXTzlEY8GCSOeHxDu8z4DepM8vz05f8JQI.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702e7d9_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/vTvx8q0OlTXTzlEY8GCSOeHxDu8z4DepM8vz05f8JQI.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702e7d9_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/oeSA6Hi91b7F5yKrc69U0WLZBW4_uMhfDAYX5DVGhds.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702e7d9_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/1DmRhHN1h4-rhZI8Q_-ccxvnM_k5o_-3uy0X0s6jRcU.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.31',1629174130),(457,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702e7d9_views-view-unformatted--o_wCkQfLF6FhIVPopLNni0Q5Ma2/U091GyB4gudYtKWTmxi71rLUrSBWx2p39FZ6yh7TG8g.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_b0eeb8daa36555525cbc13967318e028ce06b6f2a14f7721d1a1c6938ada182e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702e7d9_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/DJv-vw1SyL21AbA-09GuNEZoduLwKQAwlJWq7pqYb3k.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702e7d9_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/vTvx8q0OlTXTzlEY8GCSOeHxDu8z4DepM8vz05f8JQI.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702e7d9_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/vTvx8q0OlTXTzlEY8GCSOeHxDu8z4DepM8vz05f8JQI.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702e7d9_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/oeSA6Hi91b7F5yKrc69U0WLZBW4_uMhfDAYX5DVGhds.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702e7d9_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/1DmRhHN1h4-rhZI8Q_-ccxvnM_k5o_-3uy0X0s6jRcU.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.31',1629174130),(458,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_views-view-unformatted.ht_JFTdSuOfLMGDPXAu_iJPGdZ-8/4S01dlGwTMd0JUnEcwkhXdPWSeh1DR08R_PAcJ-il0w.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6bfff12e433028ba1085e9fdf002ae4e28905cec173ca368a64916a8fae34c3f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/4XXvE0kt7qVUvor2Ug78z-viGM1Z5QnUHdoLAPDLazQ.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/_CWV3CW7xl5H1IkHA1cn8hvJtibKlNk9D0EMENXwp5M.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/_CWV3CW7xl5H1IkHA1cn8hvJtibKlNk9D0EMENXwp5M.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/N2YrYkoT4NSy8LoFdJykcsrWZgQPgAG3UC-f8trXvTs.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/pyQ4xz37Y0P_DaXBPSdO6PyGdHWH-DFq7WKsNngquOU.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.31',1629174131),(459,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_views-view-unformatted.ht_JFTdSuOfLMGDPXAu_iJPGdZ-8/4S01dlGwTMd0JUnEcwkhXdPWSeh1DR08R_PAcJ-il0w.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6bfff12e433028ba1085e9fdf002ae4e28905cec173ca368a64916a8fae34c3f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/4XXvE0kt7qVUvor2Ug78z-viGM1Z5QnUHdoLAPDLazQ.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/_CWV3CW7xl5H1IkHA1cn8hvJtibKlNk9D0EMENXwp5M.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/_CWV3CW7xl5H1IkHA1cn8hvJtibKlNk9D0EMENXwp5M.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/N2YrYkoT4NSy8LoFdJykcsrWZgQPgAG3UC-f8trXvTs.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/pyQ4xz37Y0P_DaXBPSdO6PyGdHWH-DFq7WKsNngquOU.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.31',1629174131),(460,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_views-view-unformatted.ht_JFTdSuOfLMGDPXAu_iJPGdZ-8/4S01dlGwTMd0JUnEcwkhXdPWSeh1DR08R_PAcJ-il0w.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6bfff12e433028ba1085e9fdf002ae4e28905cec173ca368a64916a8fae34c3f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/4XXvE0kt7qVUvor2Ug78z-viGM1Z5QnUHdoLAPDLazQ.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/_CWV3CW7xl5H1IkHA1cn8hvJtibKlNk9D0EMENXwp5M.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/_CWV3CW7xl5H1IkHA1cn8hvJtibKlNk9D0EMENXwp5M.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/N2YrYkoT4NSy8LoFdJykcsrWZgQPgAG3UC-f8trXvTs.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/pyQ4xz37Y0P_DaXBPSdO6PyGdHWH-DFq7WKsNngquOU.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.31',1629174131),(461,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_views-view-unformatted.ht_JFTdSuOfLMGDPXAu_iJPGdZ-8/4S01dlGwTMd0JUnEcwkhXdPWSeh1DR08R_PAcJ-il0w.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6bfff12e433028ba1085e9fdf002ae4e28905cec173ca368a64916a8fae34c3f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/4XXvE0kt7qVUvor2Ug78z-viGM1Z5QnUHdoLAPDLazQ.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/_CWV3CW7xl5H1IkHA1cn8hvJtibKlNk9D0EMENXwp5M.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/_CWV3CW7xl5H1IkHA1cn8hvJtibKlNk9D0EMENXwp5M.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/N2YrYkoT4NSy8LoFdJykcsrWZgQPgAG3UC-f8trXvTs.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/pyQ4xz37Y0P_DaXBPSdO6PyGdHWH-DFq7WKsNngquOU.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.31',1629174131),(462,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_views-view-unformatted.ht_JFTdSuOfLMGDPXAu_iJPGdZ-8/4S01dlGwTMd0JUnEcwkhXdPWSeh1DR08R_PAcJ-il0w.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6bfff12e433028ba1085e9fdf002ae4e28905cec173ca368a64916a8fae34c3f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/4XXvE0kt7qVUvor2Ug78z-viGM1Z5QnUHdoLAPDLazQ.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/_CWV3CW7xl5H1IkHA1cn8hvJtibKlNk9D0EMENXwp5M.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/_CWV3CW7xl5H1IkHA1cn8hvJtibKlNk9D0EMENXwp5M.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/N2YrYkoT4NSy8LoFdJykcsrWZgQPgAG3UC-f8trXvTs.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/pyQ4xz37Y0P_DaXBPSdO6PyGdHWH-DFq7WKsNngquOU.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.31',1629174131),(463,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_views-view-unformatted.ht_JFTdSuOfLMGDPXAu_iJPGdZ-8/4S01dlGwTMd0JUnEcwkhXdPWSeh1DR08R_PAcJ-il0w.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6bfff12e433028ba1085e9fdf002ae4e28905cec173ca368a64916a8fae34c3f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/4XXvE0kt7qVUvor2Ug78z-viGM1Z5QnUHdoLAPDLazQ.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/_CWV3CW7xl5H1IkHA1cn8hvJtibKlNk9D0EMENXwp5M.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/_CWV3CW7xl5H1IkHA1cn8hvJtibKlNk9D0EMENXwp5M.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/N2YrYkoT4NSy8LoFdJykcsrWZgQPgAG3UC-f8trXvTs.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/pyQ4xz37Y0P_DaXBPSdO6PyGdHWH-DFq7WKsNngquOU.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.31',1629174131),(464,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_views-view-unformatted.ht_JFTdSuOfLMGDPXAu_iJPGdZ-8/4S01dlGwTMd0JUnEcwkhXdPWSeh1DR08R_PAcJ-il0w.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6bfff12e433028ba1085e9fdf002ae4e28905cec173ca368a64916a8fae34c3f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/4XXvE0kt7qVUvor2Ug78z-viGM1Z5QnUHdoLAPDLazQ.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/_CWV3CW7xl5H1IkHA1cn8hvJtibKlNk9D0EMENXwp5M.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/_CWV3CW7xl5H1IkHA1cn8hvJtibKlNk9D0EMENXwp5M.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/N2YrYkoT4NSy8LoFdJykcsrWZgQPgAG3UC-f8trXvTs.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/pyQ4xz37Y0P_DaXBPSdO6PyGdHWH-DFq7WKsNngquOU.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.31',1629174131),(465,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_views-view-unformatted.ht_JFTdSuOfLMGDPXAu_iJPGdZ-8/4S01dlGwTMd0JUnEcwkhXdPWSeh1DR08R_PAcJ-il0w.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6bfff12e433028ba1085e9fdf002ae4e28905cec173ca368a64916a8fae34c3f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/4XXvE0kt7qVUvor2Ug78z-viGM1Z5QnUHdoLAPDLazQ.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/_CWV3CW7xl5H1IkHA1cn8hvJtibKlNk9D0EMENXwp5M.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/_CWV3CW7xl5H1IkHA1cn8hvJtibKlNk9D0EMENXwp5M.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/N2YrYkoT4NSy8LoFdJykcsrWZgQPgAG3UC-f8trXvTs.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/pyQ4xz37Y0P_DaXBPSdO6PyGdHWH-DFq7WKsNngquOU.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.31',1629174131),(466,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_views-view-unformatted.ht_JFTdSuOfLMGDPXAu_iJPGdZ-8/4S01dlGwTMd0JUnEcwkhXdPWSeh1DR08R_PAcJ-il0w.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6bfff12e433028ba1085e9fdf002ae4e28905cec173ca368a64916a8fae34c3f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/4XXvE0kt7qVUvor2Ug78z-viGM1Z5QnUHdoLAPDLazQ.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/_CWV3CW7xl5H1IkHA1cn8hvJtibKlNk9D0EMENXwp5M.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/_CWV3CW7xl5H1IkHA1cn8hvJtibKlNk9D0EMENXwp5M.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/N2YrYkoT4NSy8LoFdJykcsrWZgQPgAG3UC-f8trXvTs.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/pyQ4xz37Y0P_DaXBPSdO6PyGdHWH-DFq7WKsNngquOU.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.31',1629174131),(467,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_views-view-unformatted.ht_JFTdSuOfLMGDPXAu_iJPGdZ-8/4S01dlGwTMd0JUnEcwkhXdPWSeh1DR08R_PAcJ-il0w.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6bfff12e433028ba1085e9fdf002ae4e28905cec173ca368a64916a8fae34c3f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/4XXvE0kt7qVUvor2Ug78z-viGM1Z5QnUHdoLAPDLazQ.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/_CWV3CW7xl5H1IkHA1cn8hvJtibKlNk9D0EMENXwp5M.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/_CWV3CW7xl5H1IkHA1cn8hvJtibKlNk9D0EMENXwp5M.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/N2YrYkoT4NSy8LoFdJykcsrWZgQPgAG3UC-f8trXvTs.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702f173_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/pyQ4xz37Y0P_DaXBPSdO6PyGdHWH-DFq7WKsNngquOU.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.31',1629174131),(468,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702e7d9_views-view-unformatted.ht_JFTdSuOfLMGDPXAu_iJPGdZ-8/fAMoJFOdkArlIkPIhz8wURsuyXsMBcRvTvsE_TQAHAw.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6bfff12e433028ba1085e9fdf002ae4e28905cec173ca368a64916a8fae34c3f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702e7d9_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/DJv-vw1SyL21AbA-09GuNEZoduLwKQAwlJWq7pqYb3k.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702e7d9_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/vTvx8q0OlTXTzlEY8GCSOeHxDu8z4DepM8vz05f8JQI.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702e7d9_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/vTvx8q0OlTXTzlEY8GCSOeHxDu8z4DepM8vz05f8JQI.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702e7d9_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/oeSA6Hi91b7F5yKrc69U0WLZBW4_uMhfDAYX5DVGhds.php(562): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702e7d9_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/1DmRhHN1h4-rhZI8Q_-ccxvnM_k5o_-3uy0X0s6jRcU.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.31',1629174131),(469,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702e7d9_views-view-unformatted.ht_JFTdSuOfLMGDPXAu_iJPGdZ-8/fAMoJFOdkArlIkPIhz8wURsuyXsMBcRvTvsE_TQAHAw.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6bfff12e433028ba1085e9fdf002ae4e28905cec173ca368a64916a8fae34c3f->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702e7d9_views-view.html.twig_F1UQrIk1aRYfAdy17TB61JQjz/DJv-vw1SyL21AbA-09GuNEZoduLwKQAwlJWq7pqYb3k.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_6550421f61de75b95ba34ac6624fa7fe4b448da85f343c6230e5b078490515e7->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702e7d9_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/vTvx8q0OlTXTzlEY8GCSOeHxDu8z4DepM8vz05f8JQI.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702e7d9_block.html.twig_5veHM5jsZPXpx3g9sue2ZYdha/vTvx8q0OlTXTzlEY8GCSOeHxDu8z4DepM8vz05f8JQI.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_d46bc2dcca9986d510dd5d3a896f1556756b0762a071031136b8fc3d56ead562->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702e7d9_page.html.twig_-_voJ_uFbzBtmDIC9L65_TYZ3/oeSA6Hi91b7F5yKrc69U0WLZBW4_uMhfDAYX5DVGhds.php(562): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_370db377aaca7e1cfc1ecabeaa64b66666f27bca2843432e9aa6e7a55cb4df7e->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39702e7d9_html.html.twig_sftgk6XhjwPWRclVYlIzkv660/1DmRhHN1h4-rhZI8Q_-ccxvnM_k5o_-3uy0X0s6jRcU.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_da8ee2db20d7cbd2bf81df5e3dea161d41930e12732f6a331730449fbcbe9677->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.31',1629174131),(470,0,'cron','Attempting to re-run cron while it is already running.','a:0:{}',4,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.31',1629174131),(471,0,'cron','Attempting to re-run cron while it is already running.','a:0:{}',4,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.31',1629174131),(472,0,'cron','Execution of @module_previous_cron() took @time.','a:2:{s:16:\"@module_previous\";s:6:\"update\";s:5:\"@time\";s:9:\"3402.25ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user','','192.168.1.31',1629174131),(473,0,'cron','Cron run completed.','a:0:{}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user','','192.168.1.31',1629174131),(474,1,'user','Session opened for %name.','a:1:{s:5:\"%name\";s:5:\"admin\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.31',1629174135),(475,0,'system','%module module uninstalled.','a:1:{s:7:\"%module\";s:4:\"kint\";}',6,'','http://default/','','127.0.0.1',1629174155),(476,0,'system','%module module uninstalled.','a:1:{s:7:\"%module\";s:5:\"devel\";}',6,'','http://default/','','127.0.0.1',1629174176),(477,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(289): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.105',1635317954),(478,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(289): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.105',1635317954),(479,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(289): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.105',1635317954),(480,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(289): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.105',1635317954),(481,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(289): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.105',1635317954),(482,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(466): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.105',1635317954),(483,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.105',1635317955),(484,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.105',1635317955),(485,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.105',1635317955),(486,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.105',1635317955),(487,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.105',1635317955),(488,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.105',1635317955),(489,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.105',1635317955),(490,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.105',1635317955),(491,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.105',1635317955),(492,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.105',1635317955),(493,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted--o_GaOqt7gVTXuov--xuPm1fGR3h/02dQQf_OuhWb6hAyM8Ai_fE0r8V2k5gQN8WCjxRUlvw.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_ac9602616fedd6448b98af7a9a8aa1fff880de37a43101d824bbf4823277be0e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.105',1635317955),(494,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted--o_GaOqt7gVTXuov--xuPm1fGR3h/02dQQf_OuhWb6hAyM8Ai_fE0r8V2k5gQN8WCjxRUlvw.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_ac9602616fedd6448b98af7a9a8aa1fff880de37a43101d824bbf4823277be0e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.105',1635317955),(495,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted--o_GaOqt7gVTXuov--xuPm1fGR3h/02dQQf_OuhWb6hAyM8Ai_fE0r8V2k5gQN8WCjxRUlvw.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_ac9602616fedd6448b98af7a9a8aa1fff880de37a43101d824bbf4823277be0e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.105',1635317955),(496,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted--o_GaOqt7gVTXuov--xuPm1fGR3h/02dQQf_OuhWb6hAyM8Ai_fE0r8V2k5gQN8WCjxRUlvw.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_ac9602616fedd6448b98af7a9a8aa1fff880de37a43101d824bbf4823277be0e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.105',1635317955),(497,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted--o_GaOqt7gVTXuov--xuPm1fGR3h/02dQQf_OuhWb6hAyM8Ai_fE0r8V2k5gQN8WCjxRUlvw.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_ac9602616fedd6448b98af7a9a8aa1fff880de37a43101d824bbf4823277be0e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.105',1635317955),(498,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted--o_GaOqt7gVTXuov--xuPm1fGR3h/02dQQf_OuhWb6hAyM8Ai_fE0r8V2k5gQN8WCjxRUlvw.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_ac9602616fedd6448b98af7a9a8aa1fff880de37a43101d824bbf4823277be0e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.105',1635317955),(499,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(562): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.105',1635317955),(500,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(562): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.105',1635317955),(501,0,'cron','Starting execution of @module_cron().','a:1:{s:7:\"@module\";s:7:\"comment\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.105',1635317957),(502,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:5:\"dblog\";s:16:\"@module_previous\";s:7:\"comment\";s:5:\"@time\";s:6:\"0.68ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.105',1635317957),(503,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:5:\"field\";s:16:\"@module_previous\";s:5:\"dblog\";s:5:\"@time\";s:7:\"10.44ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.105',1635317957),(504,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:4:\"file\";s:16:\"@module_previous\";s:5:\"field\";s:5:\"@time\";s:6:\"8.37ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.105',1635317957),(505,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:7:\"history\";s:16:\"@module_previous\";s:4:\"file\";s:5:\"@time\";s:6:\"0.93ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.105',1635317957),(506,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"locale\";s:16:\"@module_previous\";s:7:\"history\";s:5:\"@time\";s:6:\"1.07ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.105',1635317957),(507,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:4:\"node\";s:16:\"@module_previous\";s:6:\"locale\";s:5:\"@time\";s:6:\"0.02ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.105',1635317957),(508,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"search\";s:16:\"@module_previous\";s:4:\"node\";s:5:\"@time\";s:3:\"4ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.105',1635317957),(509,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:10:\"simplenews\";s:16:\"@module_previous\";s:6:\"search\";s:5:\"@time\";s:6:\"40.1ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.105',1635317957),(510,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"system\";s:16:\"@module_previous\";s:10:\"simplenews\";s:5:\"@time\";s:7:\"54.06ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.105',1635317957),(511,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"update\";s:16:\"@module_previous\";s:6:\"system\";s:5:\"@time\";s:7:\"83.64ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.105',1635317957),(512,0,'cron','Execution of @module_previous_cron() took @time.','a:2:{s:16:\"@module_previous\";s:6:\"update\";s:5:\"@time\";s:9:\"3363.61ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.105',1635317960),(513,0,'cron','Cron run completed.','a:0:{}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.105',1635317960),(514,1,'user','Session opened for %name.','a:1:{s:5:\"%name\";s:5:\"admin\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.105',1635318170),(515,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted--o_GaOqt7gVTXuov--xuPm1fGR3h/02dQQf_OuhWb6hAyM8Ai_fE0r8V2k5gQN8WCjxRUlvw.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_ac9602616fedd6448b98af7a9a8aa1fff880de37a43101d824bbf4823277be0e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.105',1635318171),(516,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted--o_GaOqt7gVTXuov--xuPm1fGR3h/02dQQf_OuhWb6hAyM8Ai_fE0r8V2k5gQN8WCjxRUlvw.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_ac9602616fedd6448b98af7a9a8aa1fff880de37a43101d824bbf4823277be0e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.105',1635318171),(517,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted--o_GaOqt7gVTXuov--xuPm1fGR3h/02dQQf_OuhWb6hAyM8Ai_fE0r8V2k5gQN8WCjxRUlvw.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_ac9602616fedd6448b98af7a9a8aa1fff880de37a43101d824bbf4823277be0e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.105',1635318171),(518,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted--o_GaOqt7gVTXuov--xuPm1fGR3h/02dQQf_OuhWb6hAyM8Ai_fE0r8V2k5gQN8WCjxRUlvw.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_ac9602616fedd6448b98af7a9a8aa1fff880de37a43101d824bbf4823277be0e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.105',1635318171),(519,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted--o_GaOqt7gVTXuov--xuPm1fGR3h/02dQQf_OuhWb6hAyM8Ai_fE0r8V2k5gQN8WCjxRUlvw.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_ac9602616fedd6448b98af7a9a8aa1fff880de37a43101d824bbf4823277be0e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.105',1635318171),(520,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted--o_GaOqt7gVTXuov--xuPm1fGR3h/02dQQf_OuhWb6hAyM8Ai_fE0r8V2k5gQN8WCjxRUlvw.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_ac9602616fedd6448b98af7a9a8aa1fff880de37a43101d824bbf4823277be0e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.105',1635318171),(521,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(562): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.105',1635318171),(522,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(562): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.105',1635318171),(523,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(289): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.105',1635318304),(524,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(289): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.105',1635318304),(525,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(289): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.105',1635318304),(526,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(289): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.105',1635318304),(527,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(289): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.105',1635318304),(528,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(466): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.105',1635318304),(529,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.105',1635318304),(530,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.105',1635318304),(531,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.105',1635318304),(532,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.105',1635318304);
INSERT INTO `watchdog` VALUES (533,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.105',1635318304),(534,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.105',1635318304),(535,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.105',1635318304),(536,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.105',1635318304),(537,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.105',1635318304),(538,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.105',1635318304),(539,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted--o_GaOqt7gVTXuov--xuPm1fGR3h/02dQQf_OuhWb6hAyM8Ai_fE0r8V2k5gQN8WCjxRUlvw.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_ac9602616fedd6448b98af7a9a8aa1fff880de37a43101d824bbf4823277be0e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.105',1635318304),(540,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted--o_GaOqt7gVTXuov--xuPm1fGR3h/02dQQf_OuhWb6hAyM8Ai_fE0r8V2k5gQN8WCjxRUlvw.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_ac9602616fedd6448b98af7a9a8aa1fff880de37a43101d824bbf4823277be0e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.105',1635318304),(541,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted--o_GaOqt7gVTXuov--xuPm1fGR3h/02dQQf_OuhWb6hAyM8Ai_fE0r8V2k5gQN8WCjxRUlvw.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_ac9602616fedd6448b98af7a9a8aa1fff880de37a43101d824bbf4823277be0e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.105',1635318304),(542,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted--o_GaOqt7gVTXuov--xuPm1fGR3h/02dQQf_OuhWb6hAyM8Ai_fE0r8V2k5gQN8WCjxRUlvw.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_ac9602616fedd6448b98af7a9a8aa1fff880de37a43101d824bbf4823277be0e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.105',1635318304),(543,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted--o_GaOqt7gVTXuov--xuPm1fGR3h/02dQQf_OuhWb6hAyM8Ai_fE0r8V2k5gQN8WCjxRUlvw.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_ac9602616fedd6448b98af7a9a8aa1fff880de37a43101d824bbf4823277be0e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.105',1635318304),(544,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted--o_GaOqt7gVTXuov--xuPm1fGR3h/02dQQf_OuhWb6hAyM8Ai_fE0r8V2k5gQN8WCjxRUlvw.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_ac9602616fedd6448b98af7a9a8aa1fff880de37a43101d824bbf4823277be0e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.105',1635318304),(545,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(562): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.105',1635318304),(546,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(562): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','http://luxestate-d8.frontend.local2.weebpal.com/','192.168.1.105',1635318304),(547,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(289): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/node','http://luxestate-d8.frontend.local2.weebpal.com/node','192.168.1.105',1635318357),(548,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(289): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/node','http://luxestate-d8.frontend.local2.weebpal.com/node','192.168.1.105',1635318357),(549,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(289): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/node','http://luxestate-d8.frontend.local2.weebpal.com/node','192.168.1.105',1635318357),(550,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(289): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/node','http://luxestate-d8.frontend.local2.weebpal.com/node','192.168.1.105',1635318357),(551,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(289): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/node','http://luxestate-d8.frontend.local2.weebpal.com/node','192.168.1.105',1635318357),(552,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(466): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/node','http://luxestate-d8.frontend.local2.weebpal.com/node','192.168.1.105',1635318357),(553,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/node','http://luxestate-d8.frontend.local2.weebpal.com/node','192.168.1.105',1635318358),(554,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/node','http://luxestate-d8.frontend.local2.weebpal.com/node','192.168.1.105',1635318358),(555,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/node','http://luxestate-d8.frontend.local2.weebpal.com/node','192.168.1.105',1635318358),(556,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/node','http://luxestate-d8.frontend.local2.weebpal.com/node','192.168.1.105',1635318358),(557,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/node','http://luxestate-d8.frontend.local2.weebpal.com/node','192.168.1.105',1635318358),(558,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/node','http://luxestate-d8.frontend.local2.weebpal.com/node','192.168.1.105',1635318358),(559,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/node','http://luxestate-d8.frontend.local2.weebpal.com/node','192.168.1.105',1635318358),(560,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/node','http://luxestate-d8.frontend.local2.weebpal.com/node','192.168.1.105',1635318358),(561,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/node','http://luxestate-d8.frontend.local2.weebpal.com/node','192.168.1.105',1635318358),(562,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/node','http://luxestate-d8.frontend.local2.weebpal.com/node','192.168.1.105',1635318358),(563,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted--o_GaOqt7gVTXuov--xuPm1fGR3h/02dQQf_OuhWb6hAyM8Ai_fE0r8V2k5gQN8WCjxRUlvw.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_ac9602616fedd6448b98af7a9a8aa1fff880de37a43101d824bbf4823277be0e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/node','http://luxestate-d8.frontend.local2.weebpal.com/node','192.168.1.105',1635318358),(564,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted--o_GaOqt7gVTXuov--xuPm1fGR3h/02dQQf_OuhWb6hAyM8Ai_fE0r8V2k5gQN8WCjxRUlvw.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_ac9602616fedd6448b98af7a9a8aa1fff880de37a43101d824bbf4823277be0e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/node','http://luxestate-d8.frontend.local2.weebpal.com/node','192.168.1.105',1635318358),(565,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted--o_GaOqt7gVTXuov--xuPm1fGR3h/02dQQf_OuhWb6hAyM8Ai_fE0r8V2k5gQN8WCjxRUlvw.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_ac9602616fedd6448b98af7a9a8aa1fff880de37a43101d824bbf4823277be0e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/node','http://luxestate-d8.frontend.local2.weebpal.com/node','192.168.1.105',1635318358),(566,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted--o_GaOqt7gVTXuov--xuPm1fGR3h/02dQQf_OuhWb6hAyM8Ai_fE0r8V2k5gQN8WCjxRUlvw.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_ac9602616fedd6448b98af7a9a8aa1fff880de37a43101d824bbf4823277be0e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/node','http://luxestate-d8.frontend.local2.weebpal.com/node','192.168.1.105',1635318358),(567,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted--o_GaOqt7gVTXuov--xuPm1fGR3h/02dQQf_OuhWb6hAyM8Ai_fE0r8V2k5gQN8WCjxRUlvw.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_ac9602616fedd6448b98af7a9a8aa1fff880de37a43101d824bbf4823277be0e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/node','http://luxestate-d8.frontend.local2.weebpal.com/node','192.168.1.105',1635318358),(568,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted--o_GaOqt7gVTXuov--xuPm1fGR3h/02dQQf_OuhWb6hAyM8Ai_fE0r8V2k5gQN8WCjxRUlvw.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_ac9602616fedd6448b98af7a9a8aa1fff880de37a43101d824bbf4823277be0e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/node','http://luxestate-d8.frontend.local2.weebpal.com/node','192.168.1.105',1635318358),(569,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(562): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/node','http://luxestate-d8.frontend.local2.weebpal.com/node','192.168.1.105',1635318358),(570,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(562): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/node','http://luxestate-d8.frontend.local2.weebpal.com/node','192.168.1.105',1635318358),(571,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(321): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/about-us','http://luxestate-d8.frontend.local2.weebpal.com/node','192.168.1.105',1635318413),(572,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/about-us','http://luxestate-d8.frontend.local2.weebpal.com/node','192.168.1.105',1635318414),(573,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/about-us','http://luxestate-d8.frontend.local2.weebpal.com/node','192.168.1.105',1635318414),(574,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/about-us','http://luxestate-d8.frontend.local2.weebpal.com/node','192.168.1.105',1635318414),(575,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/about-us','http://luxestate-d8.frontend.local2.weebpal.com/node','192.168.1.105',1635318414),(576,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/about-us','http://luxestate-d8.frontend.local2.weebpal.com/node','192.168.1.105',1635318414),(577,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/about-us','http://luxestate-d8.frontend.local2.weebpal.com/node','192.168.1.105',1635318414),(578,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12153:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted--w_FwCOyhbuA4gDZilffMrmlT5e7/cxTbq6geUPV_2q-NHLQLyhqvIUTzkb9u0InB8zUzxpw.php(120): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_73a61a9768631ac024506d9340ea5cd8b461c9fb9504bbf66bbeb3d1b900d984->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/about-us','http://luxestate-d8.frontend.local2.weebpal.com/node','192.168.1.105',1635318414),(579,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12153:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted--w_FwCOyhbuA4gDZilffMrmlT5e7/cxTbq6geUPV_2q-NHLQLyhqvIUTzkb9u0InB8zUzxpw.php(120): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_73a61a9768631ac024506d9340ea5cd8b461c9fb9504bbf66bbeb3d1b900d984->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/about-us','http://luxestate-d8.frontend.local2.weebpal.com/node','192.168.1.105',1635318414),(580,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12153:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted--w_FwCOyhbuA4gDZilffMrmlT5e7/cxTbq6geUPV_2q-NHLQLyhqvIUTzkb9u0InB8zUzxpw.php(120): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_73a61a9768631ac024506d9340ea5cd8b461c9fb9504bbf66bbeb3d1b900d984->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/about-us','http://luxestate-d8.frontend.local2.weebpal.com/node','192.168.1.105',1635318414),(581,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12153:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted--w_FwCOyhbuA4gDZilffMrmlT5e7/cxTbq6geUPV_2q-NHLQLyhqvIUTzkb9u0InB8zUzxpw.php(120): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_73a61a9768631ac024506d9340ea5cd8b461c9fb9504bbf66bbeb3d1b900d984->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/about-us','http://luxestate-d8.frontend.local2.weebpal.com/node','192.168.1.105',1635318414),(582,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12153:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted--w_FwCOyhbuA4gDZilffMrmlT5e7/cxTbq6geUPV_2q-NHLQLyhqvIUTzkb9u0InB8zUzxpw.php(120): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_73a61a9768631ac024506d9340ea5cd8b461c9fb9504bbf66bbeb3d1b900d984->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/about-us','http://luxestate-d8.frontend.local2.weebpal.com/node','192.168.1.105',1635318414),(583,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(321): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/services','http://luxestate-d8.frontend.local2.weebpal.com/about-us','192.168.1.105',1635318492),(584,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12153:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted--w_S2Qo44v0oU3pwq16bTf31IbJK/TfZerPDwLtTnfPQtsGoqOwPHCHLo9L5lapFhOCTJphA.php(120): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_482540f130636f418173657cc1dab113f599632f4af8315bcc17abb953db951a->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/services','http://luxestate-d8.frontend.local2.weebpal.com/about-us','192.168.1.105',1635318492),(585,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12153:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted--w_S2Qo44v0oU3pwq16bTf31IbJK/TfZerPDwLtTnfPQtsGoqOwPHCHLo9L5lapFhOCTJphA.php(120): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_482540f130636f418173657cc1dab113f599632f4af8315bcc17abb953db951a->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/services','http://luxestate-d8.frontend.local2.weebpal.com/about-us','192.168.1.105',1635318492),(586,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12153:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted--w_S2Qo44v0oU3pwq16bTf31IbJK/TfZerPDwLtTnfPQtsGoqOwPHCHLo9L5lapFhOCTJphA.php(120): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_482540f130636f418173657cc1dab113f599632f4af8315bcc17abb953db951a->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/services','http://luxestate-d8.frontend.local2.weebpal.com/about-us','192.168.1.105',1635318492),(587,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12153:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted--w_S2Qo44v0oU3pwq16bTf31IbJK/TfZerPDwLtTnfPQtsGoqOwPHCHLo9L5lapFhOCTJphA.php(120): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_482540f130636f418173657cc1dab113f599632f4af8315bcc17abb953db951a->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/services','http://luxestate-d8.frontend.local2.weebpal.com/about-us','192.168.1.105',1635318492),(588,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(321): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col','http://luxestate-d8.frontend.local2.weebpal.com/services','192.168.1.105',1635318539),(589,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:7762:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted--p_kzBs54h-owHM-PPWMUQLIakKR/rZniNj3STj4l8k-5MmOhXYjtfDDXWRPUvHwO7w5nJ7A.php(77): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2d6abf4b8d2d78959ac695e5f8d320c117cd4038e92ea7470cb2cdf82a44b663->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(226): Drupal\\Core\\Render\\Renderer->render(Array, false)\n#26 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#27 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(227): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#28 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(117): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#29 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#30 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#31 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#32 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#33 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#36 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#37 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#38 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#39 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#40 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#41 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#42 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#43 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#44 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_masonry','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col','192.168.1.105',1635318562),(590,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:7762:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted--p_kzBs54h-owHM-PPWMUQLIakKR/rZniNj3STj4l8k-5MmOhXYjtfDDXWRPUvHwO7w5nJ7A.php(77): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2d6abf4b8d2d78959ac695e5f8d320c117cd4038e92ea7470cb2cdf82a44b663->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(226): Drupal\\Core\\Render\\Renderer->render(Array, false)\n#26 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#27 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(227): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#28 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(117): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#29 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#30 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#31 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#32 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#33 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#36 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#37 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#38 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#39 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#40 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#41 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#42 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#43 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#44 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_masonry','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col','192.168.1.105',1635318562),(591,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:7762:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted--p_kzBs54h-owHM-PPWMUQLIakKR/rZniNj3STj4l8k-5MmOhXYjtfDDXWRPUvHwO7w5nJ7A.php(77): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2d6abf4b8d2d78959ac695e5f8d320c117cd4038e92ea7470cb2cdf82a44b663->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(226): Drupal\\Core\\Render\\Renderer->render(Array, false)\n#26 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#27 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(227): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#28 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(117): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#29 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#30 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#31 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#32 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#33 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#36 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#37 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#38 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#39 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#40 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#41 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#42 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#43 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#44 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_masonry','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col','192.168.1.105',1635318562),(592,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:7762:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted--p_kzBs54h-owHM-PPWMUQLIakKR/rZniNj3STj4l8k-5MmOhXYjtfDDXWRPUvHwO7w5nJ7A.php(77): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2d6abf4b8d2d78959ac695e5f8d320c117cd4038e92ea7470cb2cdf82a44b663->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(226): Drupal\\Core\\Render\\Renderer->render(Array, false)\n#26 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#27 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(227): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#28 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(117): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#29 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#30 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#31 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#32 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#33 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#36 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#37 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#38 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#39 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#40 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#41 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#42 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#43 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#44 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_masonry','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col','192.168.1.105',1635318562),(593,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:7762:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted--p_kzBs54h-owHM-PPWMUQLIakKR/rZniNj3STj4l8k-5MmOhXYjtfDDXWRPUvHwO7w5nJ7A.php(77): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2d6abf4b8d2d78959ac695e5f8d320c117cd4038e92ea7470cb2cdf82a44b663->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(226): Drupal\\Core\\Render\\Renderer->render(Array, false)\n#26 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#27 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(227): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#28 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(117): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#29 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#30 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#31 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#32 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#33 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#36 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#37 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#38 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#39 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#40 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#41 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#42 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#43 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#44 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_masonry','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col','192.168.1.105',1635318562),(594,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:7762:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted--p_kzBs54h-owHM-PPWMUQLIakKR/rZniNj3STj4l8k-5MmOhXYjtfDDXWRPUvHwO7w5nJ7A.php(77): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2d6abf4b8d2d78959ac695e5f8d320c117cd4038e92ea7470cb2cdf82a44b663->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(226): Drupal\\Core\\Render\\Renderer->render(Array, false)\n#26 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#27 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(227): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#28 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(117): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#29 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#30 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#31 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#32 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#33 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#36 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#37 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#38 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#39 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#40 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#41 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#42 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#43 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#44 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_masonry','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col','192.168.1.105',1635318562),(595,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:7762:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted--p_kzBs54h-owHM-PPWMUQLIakKR/rZniNj3STj4l8k-5MmOhXYjtfDDXWRPUvHwO7w5nJ7A.php(77): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2d6abf4b8d2d78959ac695e5f8d320c117cd4038e92ea7470cb2cdf82a44b663->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(226): Drupal\\Core\\Render\\Renderer->render(Array, false)\n#26 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#27 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(227): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#28 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(117): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#29 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#30 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#31 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#32 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#33 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#36 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#37 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#38 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#39 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#40 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#41 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#42 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#43 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#44 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_masonry','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col','192.168.1.105',1635318562),(596,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:7762:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted--p_kzBs54h-owHM-PPWMUQLIakKR/rZniNj3STj4l8k-5MmOhXYjtfDDXWRPUvHwO7w5nJ7A.php(77): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2d6abf4b8d2d78959ac695e5f8d320c117cd4038e92ea7470cb2cdf82a44b663->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(226): Drupal\\Core\\Render\\Renderer->render(Array, false)\n#26 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#27 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(227): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#28 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(117): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#29 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#30 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#31 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#32 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#33 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#36 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#37 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#38 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#39 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#40 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#41 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#42 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#43 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#44 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_masonry','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col','192.168.1.105',1635318562),(597,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:7762:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted--p_kzBs54h-owHM-PPWMUQLIakKR/rZniNj3STj4l8k-5MmOhXYjtfDDXWRPUvHwO7w5nJ7A.php(77): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2d6abf4b8d2d78959ac695e5f8d320c117cd4038e92ea7470cb2cdf82a44b663->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(226): Drupal\\Core\\Render\\Renderer->render(Array, false)\n#26 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#27 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(227): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#28 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(117): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#29 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#30 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#31 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#32 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#33 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#36 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#37 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#38 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#39 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#40 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#41 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#42 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#43 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#44 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_masonry','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col','192.168.1.105',1635318562),(598,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:7762:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted--p_kzBs54h-owHM-PPWMUQLIakKR/rZniNj3STj4l8k-5MmOhXYjtfDDXWRPUvHwO7w5nJ7A.php(77): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2d6abf4b8d2d78959ac695e5f8d320c117cd4038e92ea7470cb2cdf82a44b663->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(226): Drupal\\Core\\Render\\Renderer->render(Array, false)\n#26 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#27 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(227): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#28 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(117): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#29 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#30 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#31 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#32 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#33 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#36 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#37 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#38 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#39 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#40 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#41 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#42 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#43 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#44 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_masonry','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col','192.168.1.105',1635318562),(599,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:7762:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted--p_kzBs54h-owHM-PPWMUQLIakKR/rZniNj3STj4l8k-5MmOhXYjtfDDXWRPUvHwO7w5nJ7A.php(77): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2d6abf4b8d2d78959ac695e5f8d320c117cd4038e92ea7470cb2cdf82a44b663->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(226): Drupal\\Core\\Render\\Renderer->render(Array, false)\n#26 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#27 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(227): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#28 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(117): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#29 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#30 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#31 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#32 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#33 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#36 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#37 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#38 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#39 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#40 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#41 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#42 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#43 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#44 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_masonry','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col','192.168.1.105',1635318562),(600,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:7762:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted--p_kzBs54h-owHM-PPWMUQLIakKR/rZniNj3STj4l8k-5MmOhXYjtfDDXWRPUvHwO7w5nJ7A.php(77): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2d6abf4b8d2d78959ac695e5f8d320c117cd4038e92ea7470cb2cdf82a44b663->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(226): Drupal\\Core\\Render\\Renderer->render(Array, false)\n#26 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#27 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(227): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#28 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(117): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#29 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#30 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#31 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#32 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#33 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#36 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#37 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#38 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#39 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#40 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#41 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#42 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#43 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#44 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_masonry','http://luxestate-d8.frontend.local2.weebpal.com/portfolio_4_col','192.168.1.105',1635318562),(601,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:7762:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(226): Drupal\\Core\\Render\\Renderer->render(Array, false)\n#26 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#27 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(227): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#28 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(117): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#29 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#30 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#31 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#32 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#33 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#36 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#37 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#38 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#39 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#40 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#41 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#42 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#43 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#44 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog','http://luxestate-d8.frontend.local2.weebpal.com/portfolio','192.168.1.105',1635318586),(602,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:7762:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(226): Drupal\\Core\\Render\\Renderer->render(Array, false)\n#26 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#27 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(227): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#28 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(117): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#29 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#30 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#31 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#32 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#33 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#36 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#37 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#38 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#39 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#40 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#41 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#42 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#43 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#44 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog','http://luxestate-d8.frontend.local2.weebpal.com/portfolio','192.168.1.105',1635318586),(603,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:7762:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(226): Drupal\\Core\\Render\\Renderer->render(Array, false)\n#26 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#27 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(227): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#28 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(117): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#29 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#30 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#31 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#32 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#33 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#36 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#37 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#38 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#39 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#40 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#41 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#42 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#43 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#44 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog','http://luxestate-d8.frontend.local2.weebpal.com/portfolio','192.168.1.105',1635318586),(604,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:7762:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(226): Drupal\\Core\\Render\\Renderer->render(Array, false)\n#26 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#27 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(227): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#28 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(117): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#29 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#30 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#31 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#32 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#33 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#36 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#37 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#38 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#39 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#40 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#41 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#42 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#43 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#44 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog','http://luxestate-d8.frontend.local2.weebpal.com/portfolio','192.168.1.105',1635318586),(605,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(321): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog','http://luxestate-d8.frontend.local2.weebpal.com/portfolio','192.168.1.105',1635318586),(606,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(415): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog','http://luxestate-d8.frontend.local2.weebpal.com/portfolio','192.168.1.105',1635318587),(607,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(415): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog','http://luxestate-d8.frontend.local2.weebpal.com/portfolio','192.168.1.105',1635318587),(608,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(415): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog','http://luxestate-d8.frontend.local2.weebpal.com/portfolio','192.168.1.105',1635318587),(609,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(415): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog','http://luxestate-d8.frontend.local2.weebpal.com/portfolio','192.168.1.105',1635318587),(610,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:7762:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(226): Drupal\\Core\\Render\\Renderer->render(Array, false)\n#26 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#27 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(227): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#28 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(117): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#29 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#30 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#31 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#32 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#33 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#36 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#37 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#38 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#39 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#40 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#41 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#42 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#43 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#44 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog_default','http://luxestate-d8.frontend.local2.weebpal.com/blog','192.168.1.105',1635318608),(611,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:7762:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(226): Drupal\\Core\\Render\\Renderer->render(Array, false)\n#26 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#27 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(227): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#28 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(117): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#29 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#30 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#31 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#32 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#33 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#36 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#37 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#38 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#39 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#40 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#41 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#42 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#43 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#44 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog_default','http://luxestate-d8.frontend.local2.weebpal.com/blog','192.168.1.105',1635318608),(612,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:7762:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(226): Drupal\\Core\\Render\\Renderer->render(Array, false)\n#26 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#27 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(227): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#28 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(117): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#29 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#30 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#31 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#32 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#33 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#36 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#37 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#38 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#39 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#40 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#41 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#42 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#43 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#44 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog_default','http://luxestate-d8.frontend.local2.weebpal.com/blog','192.168.1.105',1635318608),(613,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:7762:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(226): Drupal\\Core\\Render\\Renderer->render(Array, false)\n#26 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#27 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(227): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#28 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(117): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#29 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#30 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#31 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#32 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#33 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#36 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#37 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#38 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#39 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#40 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#41 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#42 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#43 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#44 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog_default','http://luxestate-d8.frontend.local2.weebpal.com/blog','192.168.1.105',1635318608),(614,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(321): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/contact','http://luxestate-d8.frontend.local2.weebpal.com/blog_default','192.168.1.105',1635318618),(615,1,'page not found','@uri','a:1:{s:4:\"@uri\";s:10:\"/user/ogin\";}',4,'','http://luxestate-d8.frontend.local2.weebpal.com/user/ogin','','192.168.1.105',1635318640),(616,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:6:\"Notice\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:19:\"Undefined offset: 0\";}s:9:\"%function\";s:28:\"node_class_preprocess_node()\";s:5:\"%file\";s:69:\"/home/frontend/drupal8/luxestate/modules/node_class/node_class.module\";s:5:\"%line\";i:58;s:17:\"@backtrace_string\";s:4795:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(8, \'Undefined offse...\', \'/home/frontend/...\', 58, Array)\n#1 /home/frontend/drupal8/luxestate/modules/node_class/node_class.module(58): _drupal_error_handler(8, \'Undefined offse...\', \'/home/frontend/...\', 58, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(287): node_class_preprocess_node(Array, \'node\', Array)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'node\', Array)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(226): Drupal\\Core\\Render\\Renderer->render(Array, false)\n#6 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#7 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(227): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#8 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(117): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#9 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#10 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#12 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#13 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#16 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#17 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#18 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#19 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#20 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#21 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#23 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#24 {main}\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/blog/seeing-light','http://luxestate-d8.frontend.local2.weebpal.com/blog','192.168.1.105',1635318774),(617,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(321): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog/seeing-light','http://luxestate-d8.frontend.local2.weebpal.com/blog','192.168.1.105',1635318774),(618,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(337): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog/seeing-light','http://luxestate-d8.frontend.local2.weebpal.com/blog','192.168.1.105',1635318774),(619,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(404): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog/seeing-light','http://luxestate-d8.frontend.local2.weebpal.com/blog','192.168.1.105',1635318774),(620,1,'user','New user: %name %email.','a:2:{s:5:\"%name\";s:6:\"TestD8\";s:6:\"%email\";s:24:\"<abc03.tester@gmail.com>\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/admin/people/create','http://luxestate-d8.frontend.local2.weebpal.com/admin/people/create','192.168.1.105',1635318866),(621,46,'user','Session opened for %name.','a:1:{s:5:\"%name\";s:6:\"TestD8\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login?destination=%2Fblog%2Fseeing-light%23comment-form','http://luxestate-d8.frontend.local2.weebpal.com/user/login?destination=/blog/seeing-light%23comment-form','192.168.1.105',1635318883),(622,46,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:6:\"Notice\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:19:\"Undefined offset: 0\";}s:9:\"%function\";s:28:\"node_class_preprocess_node()\";s:5:\"%file\";s:69:\"/home/frontend/drupal8/luxestate/modules/node_class/node_class.module\";s:5:\"%line\";i:58;s:17:\"@backtrace_string\";s:4582:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(8, \'Undefined offse...\', \'/home/frontend/...\', 58, Array)\n#1 /home/frontend/drupal8/luxestate/modules/node_class/node_class.module(58): _drupal_error_handler(8, \'Undefined offse...\', \'/home/frontend/...\', 58, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(287): node_class_preprocess_node(Array, \'node\', Array)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'node\', Array)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(226): Drupal\\Core\\Render\\Renderer->render(Array, false)\n#6 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#7 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(227): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#8 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(117): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#9 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#10 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#12 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#13 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#16 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#17 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#18 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#19 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#20 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#22 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#23 {main}\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/blog/seeing-light','http://luxestate-d8.frontend.local2.weebpal.com/user/login?destination=/blog/seeing-light%23comment-form','192.168.1.105',1635318883),(623,46,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(321): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog/seeing-light','http://luxestate-d8.frontend.local2.weebpal.com/user/login?destination=/blog/seeing-light%23comment-form','192.168.1.105',1635318883);
INSERT INTO `watchdog` VALUES (624,46,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(337): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog/seeing-light','http://luxestate-d8.frontend.local2.weebpal.com/user/login?destination=/blog/seeing-light%23comment-form','192.168.1.105',1635318883),(625,46,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(404): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog/seeing-light','http://luxestate-d8.frontend.local2.weebpal.com/user/login?destination=/blog/seeing-light%23comment-form','192.168.1.105',1635318883),(626,46,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(415): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog/seeing-light','http://luxestate-d8.frontend.local2.weebpal.com/user/login?destination=/blog/seeing-light%23comment-form','192.168.1.105',1635318883),(627,46,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(415): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog/seeing-light','http://luxestate-d8.frontend.local2.weebpal.com/user/login?destination=/blog/seeing-light%23comment-form','192.168.1.105',1635318883),(628,46,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(415): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog/seeing-light','http://luxestate-d8.frontend.local2.weebpal.com/user/login?destination=/blog/seeing-light%23comment-form','192.168.1.105',1635318883),(629,46,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(415): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog/seeing-light','http://luxestate-d8.frontend.local2.weebpal.com/user/login?destination=/blog/seeing-light%23comment-form','192.168.1.105',1635318883),(630,46,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted--o_GaOqt7gVTXuov--xuPm1fGR3h/02dQQf_OuhWb6hAyM8Ai_fE0r8V2k5gQN8WCjxRUlvw.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_ac9602616fedd6448b98af7a9a8aa1fff880de37a43101d824bbf4823277be0e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog/seeing-light','http://luxestate-d8.frontend.local2.weebpal.com/user/login?destination=/blog/seeing-light%23comment-form','192.168.1.105',1635318884),(631,46,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted--o_GaOqt7gVTXuov--xuPm1fGR3h/02dQQf_OuhWb6hAyM8Ai_fE0r8V2k5gQN8WCjxRUlvw.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_ac9602616fedd6448b98af7a9a8aa1fff880de37a43101d824bbf4823277be0e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog/seeing-light','http://luxestate-d8.frontend.local2.weebpal.com/user/login?destination=/blog/seeing-light%23comment-form','192.168.1.105',1635318884),(632,46,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted--o_GaOqt7gVTXuov--xuPm1fGR3h/02dQQf_OuhWb6hAyM8Ai_fE0r8V2k5gQN8WCjxRUlvw.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_ac9602616fedd6448b98af7a9a8aa1fff880de37a43101d824bbf4823277be0e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog/seeing-light','http://luxestate-d8.frontend.local2.weebpal.com/user/login?destination=/blog/seeing-light%23comment-form','192.168.1.105',1635318884),(633,46,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted--o_GaOqt7gVTXuov--xuPm1fGR3h/02dQQf_OuhWb6hAyM8Ai_fE0r8V2k5gQN8WCjxRUlvw.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_ac9602616fedd6448b98af7a9a8aa1fff880de37a43101d824bbf4823277be0e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog/seeing-light','http://luxestate-d8.frontend.local2.weebpal.com/user/login?destination=/blog/seeing-light%23comment-form','192.168.1.105',1635318884),(634,46,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted--o_GaOqt7gVTXuov--xuPm1fGR3h/02dQQf_OuhWb6hAyM8Ai_fE0r8V2k5gQN8WCjxRUlvw.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_ac9602616fedd6448b98af7a9a8aa1fff880de37a43101d824bbf4823277be0e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog/seeing-light','http://luxestate-d8.frontend.local2.weebpal.com/user/login?destination=/blog/seeing-light%23comment-form','192.168.1.105',1635318884),(635,46,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted--o_GaOqt7gVTXuov--xuPm1fGR3h/02dQQf_OuhWb6hAyM8Ai_fE0r8V2k5gQN8WCjxRUlvw.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_ac9602616fedd6448b98af7a9a8aa1fff880de37a43101d824bbf4823277be0e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog/seeing-light','http://luxestate-d8.frontend.local2.weebpal.com/user/login?destination=/blog/seeing-light%23comment-form','192.168.1.105',1635318884),(636,46,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(562): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog/seeing-light','http://luxestate-d8.frontend.local2.weebpal.com/user/login?destination=/blog/seeing-light%23comment-form','192.168.1.105',1635318884),(637,46,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(562): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog/seeing-light','http://luxestate-d8.frontend.local2.weebpal.com/user/login?destination=/blog/seeing-light%23comment-form','192.168.1.105',1635318884),(638,46,'comment','Comment posted: %subject.','a:1:{s:8:\"%subject\";s:3:\"ABC\";}',5,'<a href=\"/comment/5#comment-5\" hreflang=\"en\">View</a>','http://luxestate-d8.frontend.local2.weebpal.com/comment/reply/node/16/comment','http://luxestate-d8.frontend.local2.weebpal.com/blog/seeing-light','192.168.1.105',1635318898),(639,46,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:6:\"Notice\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:19:\"Undefined offset: 0\";}s:9:\"%function\";s:28:\"node_class_preprocess_node()\";s:5:\"%file\";s:69:\"/home/frontend/drupal8/luxestate/modules/node_class/node_class.module\";s:5:\"%line\";i:58;s:17:\"@backtrace_string\";s:4582:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(8, \'Undefined offse...\', \'/home/frontend/...\', 58, Array)\n#1 /home/frontend/drupal8/luxestate/modules/node_class/node_class.module(58): _drupal_error_handler(8, \'Undefined offse...\', \'/home/frontend/...\', 58, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(287): node_class_preprocess_node(Array, \'node\', Array)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'node\', Array)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(226): Drupal\\Core\\Render\\Renderer->render(Array, false)\n#6 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#7 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(227): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#8 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(117): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->prepare(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#9 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#10 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#12 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#13 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#16 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#17 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#18 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#19 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#20 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#22 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#23 {main}\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/blog/seeing-light','http://luxestate-d8.frontend.local2.weebpal.com/blog/seeing-light','192.168.1.105',1635318898),(640,46,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(337): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog/seeing-light','http://luxestate-d8.frontend.local2.weebpal.com/blog/seeing-light','192.168.1.105',1635318899),(641,46,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(404): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog/seeing-light','http://luxestate-d8.frontend.local2.weebpal.com/blog/seeing-light','192.168.1.105',1635318899),(642,46,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(415): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog/seeing-light','http://luxestate-d8.frontend.local2.weebpal.com/blog/seeing-light','192.168.1.105',1635318899),(643,46,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(415): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog/seeing-light','http://luxestate-d8.frontend.local2.weebpal.com/blog/seeing-light','192.168.1.105',1635318899),(644,46,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(415): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog/seeing-light','http://luxestate-d8.frontend.local2.weebpal.com/blog/seeing-light','192.168.1.105',1635318899),(645,46,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(415): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog/seeing-light','http://luxestate-d8.frontend.local2.weebpal.com/blog/seeing-light','192.168.1.105',1635318899),(646,46,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(562): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog/seeing-light','http://luxestate-d8.frontend.local2.weebpal.com/blog/seeing-light','192.168.1.105',1635318899),(647,46,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/XriDNRIB1KjAwf08yw0rdRmtDJq2fBOcKuQCJ8rWR6U.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/NtKC7wJuO5nXuLBQ6SNXWkIRi-G-q8KtzbE8utLX0a8.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/LxJsK5pHlp9oh16m0klnz-8_o6HxyIVsK2oC7smXE1A.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/mftkcUm914zqdpoWBBDzOVx-QBXgfGsPL4YAtdX885k.php(562): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/611b39a7bed13_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/OfCbsKb4jp11xzM5apcdeX3Zb5ODISgLb69rNjZwiNY.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/blog/seeing-light','http://luxestate-d8.frontend.local2.weebpal.com/blog/seeing-light','192.168.1.105',1635318899),(648,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618385130282d_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/asHRhy4KY-a74wAUD3xzQJvfKfh4Ossr6CD9i5wtJrU.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618385130282d_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/eWIGCu8NQGxmyqX8WxJ_QX1EBsZC1hV4cjR5phAcwLw.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618385130282d_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/4Nw7G1TQjXX4fLC0Ufujkv40kwj-NsqMeR_QDbunoSY.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618385130282d_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/4Nw7G1TQjXX4fLC0Ufujkv40kwj-NsqMeR_QDbunoSY.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618385130282d_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/BuitfUQAeMBCb_SP3iOb8Aw2rOPJ6nHsOKNMA3ZTLlM.php(289): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618385130282d_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/0z5RBO9tOiGsR1adNEIh4dX-zq5bpsWg_BI4TvVSLG0.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.25',1636009235),(649,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618385130282d_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/asHRhy4KY-a74wAUD3xzQJvfKfh4Ossr6CD9i5wtJrU.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618385130282d_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/eWIGCu8NQGxmyqX8WxJ_QX1EBsZC1hV4cjR5phAcwLw.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618385130282d_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/4Nw7G1TQjXX4fLC0Ufujkv40kwj-NsqMeR_QDbunoSY.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618385130282d_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/4Nw7G1TQjXX4fLC0Ufujkv40kwj-NsqMeR_QDbunoSY.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618385130282d_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/BuitfUQAeMBCb_SP3iOb8Aw2rOPJ6nHsOKNMA3ZTLlM.php(289): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618385130282d_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/0z5RBO9tOiGsR1adNEIh4dX-zq5bpsWg_BI4TvVSLG0.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.25',1636009235),(650,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618385130282d_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/asHRhy4KY-a74wAUD3xzQJvfKfh4Ossr6CD9i5wtJrU.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618385130282d_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/eWIGCu8NQGxmyqX8WxJ_QX1EBsZC1hV4cjR5phAcwLw.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618385130282d_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/4Nw7G1TQjXX4fLC0Ufujkv40kwj-NsqMeR_QDbunoSY.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618385130282d_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/4Nw7G1TQjXX4fLC0Ufujkv40kwj-NsqMeR_QDbunoSY.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618385130282d_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/BuitfUQAeMBCb_SP3iOb8Aw2rOPJ6nHsOKNMA3ZTLlM.php(289): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618385130282d_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/0z5RBO9tOiGsR1adNEIh4dX-zq5bpsWg_BI4TvVSLG0.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.25',1636009235),(651,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618385130282d_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/asHRhy4KY-a74wAUD3xzQJvfKfh4Ossr6CD9i5wtJrU.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618385130282d_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/eWIGCu8NQGxmyqX8WxJ_QX1EBsZC1hV4cjR5phAcwLw.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618385130282d_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/4Nw7G1TQjXX4fLC0Ufujkv40kwj-NsqMeR_QDbunoSY.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618385130282d_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/4Nw7G1TQjXX4fLC0Ufujkv40kwj-NsqMeR_QDbunoSY.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618385130282d_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/BuitfUQAeMBCb_SP3iOb8Aw2rOPJ6nHsOKNMA3ZTLlM.php(289): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618385130282d_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/0z5RBO9tOiGsR1adNEIh4dX-zq5bpsWg_BI4TvVSLG0.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.25',1636009235),(652,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618385130282d_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/asHRhy4KY-a74wAUD3xzQJvfKfh4Ossr6CD9i5wtJrU.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618385130282d_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/eWIGCu8NQGxmyqX8WxJ_QX1EBsZC1hV4cjR5phAcwLw.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618385130282d_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/4Nw7G1TQjXX4fLC0Ufujkv40kwj-NsqMeR_QDbunoSY.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618385130282d_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/4Nw7G1TQjXX4fLC0Ufujkv40kwj-NsqMeR_QDbunoSY.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618385130282d_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/BuitfUQAeMBCb_SP3iOb8Aw2rOPJ6nHsOKNMA3ZTLlM.php(289): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618385130282d_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/0z5RBO9tOiGsR1adNEIh4dX-zq5bpsWg_BI4TvVSLG0.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.25',1636009235),(653,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618385130282d_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/asHRhy4KY-a74wAUD3xzQJvfKfh4Ossr6CD9i5wtJrU.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618385130282d_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/eWIGCu8NQGxmyqX8WxJ_QX1EBsZC1hV4cjR5phAcwLw.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618385130282d_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/4Nw7G1TQjXX4fLC0Ufujkv40kwj-NsqMeR_QDbunoSY.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618385130282d_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/4Nw7G1TQjXX4fLC0Ufujkv40kwj-NsqMeR_QDbunoSY.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618385130282d_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/BuitfUQAeMBCb_SP3iOb8Aw2rOPJ6nHsOKNMA3ZTLlM.php(562): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618385130282d_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/0z5RBO9tOiGsR1adNEIh4dX-zq5bpsWg_BI4TvVSLG0.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.25',1636009235),(654,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618385130282d_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/asHRhy4KY-a74wAUD3xzQJvfKfh4Ossr6CD9i5wtJrU.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618385130282d_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/eWIGCu8NQGxmyqX8WxJ_QX1EBsZC1hV4cjR5phAcwLw.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618385130282d_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/4Nw7G1TQjXX4fLC0Ufujkv40kwj-NsqMeR_QDbunoSY.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618385130282d_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/4Nw7G1TQjXX4fLC0Ufujkv40kwj-NsqMeR_QDbunoSY.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618385130282d_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/BuitfUQAeMBCb_SP3iOb8Aw2rOPJ6nHsOKNMA3ZTLlM.php(562): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618385130282d_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/0z5RBO9tOiGsR1adNEIh4dX-zq5bpsWg_BI4TvVSLG0.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.25',1636009235),(655,0,'cron','Starting execution of @module_cron().','a:1:{s:7:\"@module\";s:7:\"comment\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.25',1636009235),(656,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:5:\"dblog\";s:16:\"@module_previous\";s:7:\"comment\";s:5:\"@time\";s:6:\"6.32ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.25',1636009235),(657,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:5:\"field\";s:16:\"@module_previous\";s:5:\"dblog\";s:5:\"@time\";s:6:\"3.72ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.25',1636009235),(658,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:4:\"file\";s:16:\"@module_previous\";s:5:\"field\";s:5:\"@time\";s:6:\"1.27ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.25',1636009235),(659,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:7:\"history\";s:16:\"@module_previous\";s:4:\"file\";s:5:\"@time\";s:6:\"3.12ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.25',1636009235),(660,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"locale\";s:16:\"@module_previous\";s:7:\"history\";s:5:\"@time\";s:6:\"1.09ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.25',1636009235),(661,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:4:\"node\";s:16:\"@module_previous\";s:6:\"locale\";s:5:\"@time\";s:6:\"0.02ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.25',1636009235),(662,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"search\";s:16:\"@module_previous\";s:4:\"node\";s:5:\"@time\";s:6:\"2.54ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.25',1636009235),(663,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:10:\"simplenews\";s:16:\"@module_previous\";s:6:\"search\";s:5:\"@time\";s:9:\"1828.66ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.25',1636009237),(664,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"system\";s:16:\"@module_previous\";s:10:\"simplenews\";s:5:\"@time\";s:7:\"31.02ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.25',1636009237),(665,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"update\";s:16:\"@module_previous\";s:6:\"system\";s:5:\"@time\";s:7:\"38.01ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.25',1636009237),(666,0,'cron','Execution of @module_previous_cron() took @time.','a:2:{s:16:\"@module_previous\";s:6:\"update\";s:5:\"@time\";s:9:\"1919.93ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.25',1636009239),(667,0,'cron','Cron run completed.','a:0:{}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.25',1636009239),(668,1,'user','Session opened for %name.','a:1:{s:5:\"%name\";s:5:\"admin\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.25',1636009248),(669,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618385130282d_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/asHRhy4KY-a74wAUD3xzQJvfKfh4Ossr6CD9i5wtJrU.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618385130282d_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/eWIGCu8NQGxmyqX8WxJ_QX1EBsZC1hV4cjR5phAcwLw.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618385130282d_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/4Nw7G1TQjXX4fLC0Ufujkv40kwj-NsqMeR_QDbunoSY.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618385130282d_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/4Nw7G1TQjXX4fLC0Ufujkv40kwj-NsqMeR_QDbunoSY.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618385130282d_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/BuitfUQAeMBCb_SP3iOb8Aw2rOPJ6nHsOKNMA3ZTLlM.php(562): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618385130282d_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/0z5RBO9tOiGsR1adNEIh4dX-zq5bpsWg_BI4TvVSLG0.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.25',1636009249),(670,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618385130282d_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/asHRhy4KY-a74wAUD3xzQJvfKfh4Ossr6CD9i5wtJrU.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618385130282d_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/eWIGCu8NQGxmyqX8WxJ_QX1EBsZC1hV4cjR5phAcwLw.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618385130282d_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/4Nw7G1TQjXX4fLC0Ufujkv40kwj-NsqMeR_QDbunoSY.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618385130282d_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/4Nw7G1TQjXX4fLC0Ufujkv40kwj-NsqMeR_QDbunoSY.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618385130282d_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/BuitfUQAeMBCb_SP3iOb8Aw2rOPJ6nHsOKNMA3ZTLlM.php(562): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618385130282d_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/0z5RBO9tOiGsR1adNEIh4dX-zq5bpsWg_BI4TvVSLG0.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/user/login','192.168.1.25',1636009249),(671,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/d1sREgHYDJteegDhjXTwheTuiF1XwF5JqmJZhyFQPv8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(289): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.25',1636012249),(672,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/d1sREgHYDJteegDhjXTwheTuiF1XwF5JqmJZhyFQPv8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(289): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.25',1636012249),(673,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/d1sREgHYDJteegDhjXTwheTuiF1XwF5JqmJZhyFQPv8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(289): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.25',1636012249),(674,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/d1sREgHYDJteegDhjXTwheTuiF1XwF5JqmJZhyFQPv8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(289): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.25',1636012249),(675,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/d1sREgHYDJteegDhjXTwheTuiF1XwF5JqmJZhyFQPv8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(289): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.25',1636012249),(676,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/d1sREgHYDJteegDhjXTwheTuiF1XwF5JqmJZhyFQPv8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(466): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.25',1636012250),(677,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/d1sREgHYDJteegDhjXTwheTuiF1XwF5JqmJZhyFQPv8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.25',1636012250),(678,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/d1sREgHYDJteegDhjXTwheTuiF1XwF5JqmJZhyFQPv8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.25',1636012250),(679,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/d1sREgHYDJteegDhjXTwheTuiF1XwF5JqmJZhyFQPv8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.25',1636012250),(680,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/d1sREgHYDJteegDhjXTwheTuiF1XwF5JqmJZhyFQPv8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.25',1636012250),(681,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/d1sREgHYDJteegDhjXTwheTuiF1XwF5JqmJZhyFQPv8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.25',1636012250),(682,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/d1sREgHYDJteegDhjXTwheTuiF1XwF5JqmJZhyFQPv8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.25',1636012250),(683,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/d1sREgHYDJteegDhjXTwheTuiF1XwF5JqmJZhyFQPv8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.25',1636012250),(684,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/d1sREgHYDJteegDhjXTwheTuiF1XwF5JqmJZhyFQPv8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.25',1636012250),(685,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/d1sREgHYDJteegDhjXTwheTuiF1XwF5JqmJZhyFQPv8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.25',1636012250),(686,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/d1sREgHYDJteegDhjXTwheTuiF1XwF5JqmJZhyFQPv8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.25',1636012250),(687,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted--o_GaOqt7gVTXuov--xuPm1fGR3h/XRJZqnXeeJ2J5kKYgEU4rBmOdkrzHxcS7YpeIHljmDU.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_ac9602616fedd6448b98af7a9a8aa1fff880de37a43101d824bbf4823277be0e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.25',1636012250),(688,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted--o_GaOqt7gVTXuov--xuPm1fGR3h/XRJZqnXeeJ2J5kKYgEU4rBmOdkrzHxcS7YpeIHljmDU.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_ac9602616fedd6448b98af7a9a8aa1fff880de37a43101d824bbf4823277be0e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.25',1636012250),(689,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted--o_GaOqt7gVTXuov--xuPm1fGR3h/XRJZqnXeeJ2J5kKYgEU4rBmOdkrzHxcS7YpeIHljmDU.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_ac9602616fedd6448b98af7a9a8aa1fff880de37a43101d824bbf4823277be0e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.25',1636012250),(690,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted--o_GaOqt7gVTXuov--xuPm1fGR3h/XRJZqnXeeJ2J5kKYgEU4rBmOdkrzHxcS7YpeIHljmDU.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_ac9602616fedd6448b98af7a9a8aa1fff880de37a43101d824bbf4823277be0e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.25',1636012250),(691,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted--o_GaOqt7gVTXuov--xuPm1fGR3h/XRJZqnXeeJ2J5kKYgEU4rBmOdkrzHxcS7YpeIHljmDU.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_ac9602616fedd6448b98af7a9a8aa1fff880de37a43101d824bbf4823277be0e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.25',1636012250),(692,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted--o_GaOqt7gVTXuov--xuPm1fGR3h/XRJZqnXeeJ2J5kKYgEU4rBmOdkrzHxcS7YpeIHljmDU.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_ac9602616fedd6448b98af7a9a8aa1fff880de37a43101d824bbf4823277be0e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.25',1636012250),(693,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/d1sREgHYDJteegDhjXTwheTuiF1XwF5JqmJZhyFQPv8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(562): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.25',1636012251),(694,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/d1sREgHYDJteegDhjXTwheTuiF1XwF5JqmJZhyFQPv8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(562): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.25',1636012251),(695,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted--o_GaOqt7gVTXuov--xuPm1fGR3h/XRJZqnXeeJ2J5kKYgEU4rBmOdkrzHxcS7YpeIHljmDU.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_ac9602616fedd6448b98af7a9a8aa1fff880de37a43101d824bbf4823277be0e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.105',1636709608),(696,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted--o_GaOqt7gVTXuov--xuPm1fGR3h/XRJZqnXeeJ2J5kKYgEU4rBmOdkrzHxcS7YpeIHljmDU.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_ac9602616fedd6448b98af7a9a8aa1fff880de37a43101d824bbf4823277be0e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.105',1636709608),(697,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted--o_GaOqt7gVTXuov--xuPm1fGR3h/XRJZqnXeeJ2J5kKYgEU4rBmOdkrzHxcS7YpeIHljmDU.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_ac9602616fedd6448b98af7a9a8aa1fff880de37a43101d824bbf4823277be0e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.105',1636709608),(698,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted--o_GaOqt7gVTXuov--xuPm1fGR3h/XRJZqnXeeJ2J5kKYgEU4rBmOdkrzHxcS7YpeIHljmDU.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_ac9602616fedd6448b98af7a9a8aa1fff880de37a43101d824bbf4823277be0e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.105',1636709608),(699,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted--o_GaOqt7gVTXuov--xuPm1fGR3h/XRJZqnXeeJ2J5kKYgEU4rBmOdkrzHxcS7YpeIHljmDU.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_ac9602616fedd6448b98af7a9a8aa1fff880de37a43101d824bbf4823277be0e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.105',1636709608),(700,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted--o_GaOqt7gVTXuov--xuPm1fGR3h/XRJZqnXeeJ2J5kKYgEU4rBmOdkrzHxcS7YpeIHljmDU.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_ac9602616fedd6448b98af7a9a8aa1fff880de37a43101d824bbf4823277be0e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.105',1636709608),(701,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/d1sREgHYDJteegDhjXTwheTuiF1XwF5JqmJZhyFQPv8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(562): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.105',1636709608),(702,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/d1sREgHYDJteegDhjXTwheTuiF1XwF5JqmJZhyFQPv8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(562): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.105',1636709608),(703,0,'cron','Starting execution of @module_cron().','a:1:{s:7:\"@module\";s:7:\"comment\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.105',1636709609),(704,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:5:\"dblog\";s:16:\"@module_previous\";s:7:\"comment\";s:5:\"@time\";s:7:\"11.75ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.105',1636709609),(705,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:5:\"field\";s:16:\"@module_previous\";s:5:\"dblog\";s:5:\"@time\";s:7:\"15.05ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.105',1636709609),(706,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:4:\"file\";s:16:\"@module_previous\";s:5:\"field\";s:5:\"@time\";s:7:\"12.54ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.105',1636709609),(707,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:7:\"history\";s:16:\"@module_previous\";s:4:\"file\";s:5:\"@time\";s:6:\"0.95ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.105',1636709609),(708,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"locale\";s:16:\"@module_previous\";s:7:\"history\";s:5:\"@time\";s:6:\"1.05ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.105',1636709609),(709,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:4:\"node\";s:16:\"@module_previous\";s:6:\"locale\";s:5:\"@time\";s:6:\"0.03ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.105',1636709609),(710,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"search\";s:16:\"@module_previous\";s:4:\"node\";s:5:\"@time\";s:6:\"3.11ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.105',1636709609),(711,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:10:\"simplenews\";s:16:\"@module_previous\";s:6:\"search\";s:5:\"@time\";s:7:\"31.51ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.105',1636709609),(712,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"system\";s:16:\"@module_previous\";s:10:\"simplenews\";s:5:\"@time\";s:7:\"42.47ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.105',1636709609),(713,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"update\";s:16:\"@module_previous\";s:6:\"system\";s:5:\"@time\";s:8:\"536.01ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.105',1636709610),(714,0,'cron','Execution of @module_previous_cron() took @time.','a:2:{s:16:\"@module_previous\";s:6:\"update\";s:5:\"@time\";s:9:\"2728.38ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.105',1636709612),(715,0,'cron','Cron run completed.','a:0:{}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.105',1636709612),(716,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/d1sREgHYDJteegDhjXTwheTuiF1XwF5JqmJZhyFQPv8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(289): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.105',1636711429),(717,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/d1sREgHYDJteegDhjXTwheTuiF1XwF5JqmJZhyFQPv8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(289): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.105',1636711429),(718,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/d1sREgHYDJteegDhjXTwheTuiF1XwF5JqmJZhyFQPv8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(289): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.105',1636711429),(719,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/d1sREgHYDJteegDhjXTwheTuiF1XwF5JqmJZhyFQPv8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(289): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.105',1636711429),(720,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/d1sREgHYDJteegDhjXTwheTuiF1XwF5JqmJZhyFQPv8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(289): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.105',1636711429),(721,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/d1sREgHYDJteegDhjXTwheTuiF1XwF5JqmJZhyFQPv8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(466): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.105',1636711430),(722,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/d1sREgHYDJteegDhjXTwheTuiF1XwF5JqmJZhyFQPv8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.105',1636711430),(723,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/d1sREgHYDJteegDhjXTwheTuiF1XwF5JqmJZhyFQPv8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.105',1636711430),(724,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/d1sREgHYDJteegDhjXTwheTuiF1XwF5JqmJZhyFQPv8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.105',1636711430),(725,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/d1sREgHYDJteegDhjXTwheTuiF1XwF5JqmJZhyFQPv8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.105',1636711430),(726,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/d1sREgHYDJteegDhjXTwheTuiF1XwF5JqmJZhyFQPv8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.105',1636711430),(727,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/d1sREgHYDJteegDhjXTwheTuiF1XwF5JqmJZhyFQPv8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.105',1636711430),(728,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/d1sREgHYDJteegDhjXTwheTuiF1XwF5JqmJZhyFQPv8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.105',1636711430),(729,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/d1sREgHYDJteegDhjXTwheTuiF1XwF5JqmJZhyFQPv8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.105',1636711430),(730,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/d1sREgHYDJteegDhjXTwheTuiF1XwF5JqmJZhyFQPv8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.105',1636711430),(731,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/d1sREgHYDJteegDhjXTwheTuiF1XwF5JqmJZhyFQPv8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(482): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/','','192.168.1.105',1636711430),(732,0,'access denied','Path: @uri. %type: @message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:61:\"Drupal\\Core\\Http\\Exception\\CacheableAccessDeniedHttpException\";s:8:\"@message\";s:78:\"The \'access user profiles\' permission is required and the user must be active.\";s:9:\"%function\";s:52:\"Drupal\\Core\\Routing\\AccessAwareRouter->checkAccess()\";s:5:\"%file\";s:83:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Routing/AccessAwareRouter.php\";s:5:\"%line\";i:117;s:4:\"@uri\";s:7:\"/user/1\";}',4,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','','192.168.1.105',1636711552),(733,0,'cron','Attempting to re-run cron while it is already running.','a:0:{}',4,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.105',1637057203),(734,0,'cron','Starting execution of @module_cron().','a:1:{s:7:\"@module\";s:7:\"comment\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.105',1637057203),(735,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:5:\"dblog\";s:16:\"@module_previous\";s:7:\"comment\";s:5:\"@time\";s:7:\"17.82ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.105',1637057203),(736,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:5:\"field\";s:16:\"@module_previous\";s:5:\"dblog\";s:5:\"@time\";s:6:\"5.14ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.105',1637057203),(737,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:4:\"file\";s:16:\"@module_previous\";s:5:\"field\";s:5:\"@time\";s:5:\"1.6ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.105',1637057203),(738,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:7:\"history\";s:16:\"@module_previous\";s:4:\"file\";s:5:\"@time\";s:7:\"40.87ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.105',1637057203),(739,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"locale\";s:16:\"@module_previous\";s:7:\"history\";s:5:\"@time\";s:6:\"1.18ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.105',1637057203),(740,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:4:\"node\";s:16:\"@module_previous\";s:6:\"locale\";s:5:\"@time\";s:6:\"0.92ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.105',1637057203),(741,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"search\";s:16:\"@module_previous\";s:4:\"node\";s:5:\"@time\";s:7:\"21.25ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.105',1637057203),(742,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:10:\"simplenews\";s:16:\"@module_previous\";s:6:\"search\";s:5:\"@time\";s:7:\"25.64ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.105',1637057203),(743,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"system\";s:16:\"@module_previous\";s:10:\"simplenews\";s:5:\"@time\";s:8:\"115.56ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.105',1637057203),(744,0,'cron','Starting execution of @module_cron(), execution of @module_previous_cron() took @time.','a:3:{s:7:\"@module\";s:6:\"update\";s:16:\"@module_previous\";s:6:\"system\";s:5:\"@time\";s:8:\"145.49ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.105',1637057203),(745,0,'cron','Attempting to re-run cron while it is already running.','a:0:{}',4,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','','192.168.1.105',1637057207),(746,0,'cron','Execution of @module_previous_cron() took @time.','a:2:{s:16:\"@module_previous\";s:6:\"update\";s:5:\"@time\";s:9:\"6368.13ms\";}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.105',1637057210),(747,0,'cron','Cron run completed.','a:0:{}',5,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.105',1637057210);
INSERT INTO `watchdog` VALUES (748,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted--o_GaOqt7gVTXuov--xuPm1fGR3h/XRJZqnXeeJ2J5kKYgEU4rBmOdkrzHxcS7YpeIHljmDU.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_ac9602616fedd6448b98af7a9a8aa1fff880de37a43101d824bbf4823277be0e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/admin/config/system/site-information','192.168.1.105',1637057271),(749,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted--o_GaOqt7gVTXuov--xuPm1fGR3h/XRJZqnXeeJ2J5kKYgEU4rBmOdkrzHxcS7YpeIHljmDU.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_ac9602616fedd6448b98af7a9a8aa1fff880de37a43101d824bbf4823277be0e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/admin/config/system/site-information','192.168.1.105',1637057271),(750,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted--o_GaOqt7gVTXuov--xuPm1fGR3h/XRJZqnXeeJ2J5kKYgEU4rBmOdkrzHxcS7YpeIHljmDU.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_ac9602616fedd6448b98af7a9a8aa1fff880de37a43101d824bbf4823277be0e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/admin/config/system/site-information','192.168.1.105',1637057271),(751,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted--o_GaOqt7gVTXuov--xuPm1fGR3h/XRJZqnXeeJ2J5kKYgEU4rBmOdkrzHxcS7YpeIHljmDU.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_ac9602616fedd6448b98af7a9a8aa1fff880de37a43101d824bbf4823277be0e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/admin/config/system/site-information','192.168.1.105',1637057271),(752,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted--o_GaOqt7gVTXuov--xuPm1fGR3h/XRJZqnXeeJ2J5kKYgEU4rBmOdkrzHxcS7YpeIHljmDU.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_ac9602616fedd6448b98af7a9a8aa1fff880de37a43101d824bbf4823277be0e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/admin/config/system/site-information','192.168.1.105',1637057271),(753,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted--o_GaOqt7gVTXuov--xuPm1fGR3h/XRJZqnXeeJ2J5kKYgEU4rBmOdkrzHxcS7YpeIHljmDU.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_ac9602616fedd6448b98af7a9a8aa1fff880de37a43101d824bbf4823277be0e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/admin/config/system/site-information','192.168.1.105',1637057271),(754,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/d1sREgHYDJteegDhjXTwheTuiF1XwF5JqmJZhyFQPv8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(562): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/admin/config/system/site-information','192.168.1.105',1637057271),(755,1,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:11939:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/d1sREgHYDJteegDhjXTwheTuiF1XwF5JqmJZhyFQPv8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(562): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(106): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(85): Drupal\\page_cache\\StackMiddleware\\PageCache->pass(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#72 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/1','http://luxestate-d8.frontend.local2.weebpal.com/admin/config/system/site-information','192.168.1.105',1637057271),(756,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted--o_GaOqt7gVTXuov--xuPm1fGR3h/XRJZqnXeeJ2J5kKYgEU4rBmOdkrzHxcS7YpeIHljmDU.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_ac9602616fedd6448b98af7a9a8aa1fff880de37a43101d824bbf4823277be0e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.105',1637057290),(757,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted--o_GaOqt7gVTXuov--xuPm1fGR3h/XRJZqnXeeJ2J5kKYgEU4rBmOdkrzHxcS7YpeIHljmDU.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_ac9602616fedd6448b98af7a9a8aa1fff880de37a43101d824bbf4823277be0e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.105',1637057290),(758,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted--o_GaOqt7gVTXuov--xuPm1fGR3h/XRJZqnXeeJ2J5kKYgEU4rBmOdkrzHxcS7YpeIHljmDU.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_ac9602616fedd6448b98af7a9a8aa1fff880de37a43101d824bbf4823277be0e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.105',1637057290),(759,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted--o_GaOqt7gVTXuov--xuPm1fGR3h/XRJZqnXeeJ2J5kKYgEU4rBmOdkrzHxcS7YpeIHljmDU.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_ac9602616fedd6448b98af7a9a8aa1fff880de37a43101d824bbf4823277be0e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.105',1637057290),(760,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted--o_GaOqt7gVTXuov--xuPm1fGR3h/XRJZqnXeeJ2J5kKYgEU4rBmOdkrzHxcS7YpeIHljmDU.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_ac9602616fedd6448b98af7a9a8aa1fff880de37a43101d824bbf4823277be0e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.105',1637057290),(761,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted--o_GaOqt7gVTXuov--xuPm1fGR3h/XRJZqnXeeJ2J5kKYgEU4rBmOdkrzHxcS7YpeIHljmDU.php(75): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_ac9602616fedd6448b98af7a9a8aa1fff880de37a43101d824bbf4823277be0e->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(514): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.105',1637057290),(762,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/d1sREgHYDJteegDhjXTwheTuiF1XwF5JqmJZhyFQPv8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(562): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.105',1637057290),(763,0,'php','%type: @message in %function (line %line of %file) @backtrace_string.','a:6:{s:5:\"%type\";s:10:\"User error\";s:8:\"@message\";O:25:\"Drupal\\Core\\Render\\Markup\":1:{s:9:\"\0*\0string\";s:43:\"\"attributes\" is an invalid render array key\";}s:9:\"%function\";s:38:\"Drupal\\Core\\Render\\Element::children()\";s:5:\"%file\";s:72:\"/home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php\";s:5:\"%line\";i:97;s:17:\"@backtrace_string\";s:12152:\"#0 /home/frontend/drupal8/luxestate/core/includes/bootstrap.inc(600): _drupal_error_handler_real(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#1 [internal function]: _drupal_error_handler(256, \'\"attributes\" is...\', \'/home/frontend/...\', 97, Array)\n#2 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Element.php(97): trigger_error(\'\"attributes\" is...\', 256)\n#3 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(402): Drupal\\Core\\Render\\Element::children(Array, true)\n#4 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#5 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#6 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view-unformatted.ht_hN0P0TB0nz59x5gunx_Ls_1mh/d1sREgHYDJteegDhjXTwheTuiF1XwF5JqmJZhyFQPv8.php(76): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#7 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_e1b9c993382f75ebf7d54844408af11d1135fcaa8ebc78c605c5fb6ca03fd588->doDisplay(Array, Array)\n#8 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#9 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#10 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#11 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#12 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view_unfo...\', Array)\n#13 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#14 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#15 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#16 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_views-view.html.twig_O1Bxjn8gqEWMJw-AEFQtgYZCm/FHRV5F_0cUpv4ixTtPBe1X01L2xhgkCT5oczy1eKZoU.php(126): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#17 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_44c53e774fab10c10af29d3023dc50e23d456cd2aa284d48a59b6163985846f8->doDisplay(Array, Array)\n#18 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#19 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#20 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#21 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'core/themes/cla...\', Array)\n#22 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'views_view\', Array)\n#23 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#24 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#25 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#26 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(99): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#27 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(216): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->block_content(Array, Array)\n#28 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_block.html.twig_Bye3WU7ZAN9uqGSuWEXHxnYTN/_-jMcfK9qYjs2Sbl3_BAZanskGERoYudGH-OOawm1vo.php(84): Twig\\Template->displayBlock(\'content\', Array, Array)\n#29 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_3cbffb4aa0112187700495c29b9857e29496d69ee07b827a94925cc2e029c528->doDisplay(Array, Array)\n#30 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#31 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#32 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#33 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#34 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'block\', Array)\n#35 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(444): Drupal\\Core\\Render\\Renderer->doRender(Array)\n#36 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#37 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#38 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_page.html.twig_uZdopyTtVC0ybyf8kWmhZXOfG/oSN3sHX5akSm17aN9-o7TXWsjtQ5xXa02khccTp91Qo.php(562): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#39 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_2262895dad66ae545dc9f49bba6615f1a3bb2fe0fde54be76ace458327e80a5a->doDisplay(Array, Array)\n#40 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#41 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#42 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#43 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#44 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'page\', Array)\n#45 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#46 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Template/TwigExtension.php(501): Drupal\\Core\\Render\\Renderer->render(Array)\n#47 /home/frontend/drupal8/luxestate/sites/default/files/php/twig/618390d7cb50f_html.html.twig_dwzKRoHGmETh9_-lDN5pn7iGC/XDlUW_guKtmdh8hHNtuQSanWdbHQmQmmLgKIyxZcPXc.php(105): Drupal\\Core\\Template\\TwigExtension->escapeFilter(Object(Drupal\\Core\\Template\\TwigEnvironment), Array, \'html\', NULL, true)\n#48 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(455): __TwigTemplate_8eb844c262dfb0cc036f72fea5204b8aa2d01942f2b958894d6ee1389b5dd560->doDisplay(Array, Array)\n#49 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(422): Twig\\Template->displayWithErrorHandling(Array, Array)\n#50 /home/frontend/drupal8/luxestate/vendor/twig/twig/src/Template.php(434): Twig\\Template->display(Array)\n#51 /home/frontend/drupal8/luxestate/core/themes/engines/twig/twig.engine(64): Twig\\Template->render(Array)\n#52 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Theme/ThemeManager.php(384): twig_render_template(\'themes/luxestat...\', Array)\n#53 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(431): Drupal\\Core\\Theme\\ThemeManager->render(\'html\', Array)\n#54 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(200): Drupal\\Core\\Render\\Renderer->doRender(Array, false)\n#55 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(147): Drupal\\Core\\Render\\Renderer->render(Array)\n#56 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/Renderer.php(573): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->Drupal\\Core\\Render\\MainContent\\{closure}()\n#57 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/Render/MainContent/HtmlRenderer.php(148): Drupal\\Core\\Render\\Renderer->executeInRenderContext(Object(Drupal\\Core\\Render\\RenderContext), Object(Closure))\n#58 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/EventSubscriber/MainContentViewSubscriber.php(90): Drupal\\Core\\Render\\MainContent\\HtmlRenderer->renderResponse(Array, Object(Symfony\\Component\\HttpFoundation\\Request), Object(Drupal\\Core\\Routing\\CurrentRouteMatch))\n#59 [internal function]: Drupal\\Core\\EventSubscriber\\MainContentViewSubscriber->onViewRenderArray(Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#60 /home/frontend/drupal8/luxestate/core/lib/Drupal/Component/EventDispatcher/ContainerAwareEventDispatcher.php(111): call_user_func(Array, Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent), \'kernel.view\', Object(Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher))\n#61 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(156): Drupal\\Component\\EventDispatcher\\ContainerAwareEventDispatcher->dispatch(\'kernel.view\', Object(Symfony\\Component\\HttpKernel\\Event\\GetResponseForControllerResultEvent))\n#62 /home/frontend/drupal8/luxestate/vendor/symfony/http-kernel/HttpKernel.php(68): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#63 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/Session.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#64 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/KernelPreHandle.php(47): Drupal\\Core\\StackMiddleware\\Session->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#65 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(191): Drupal\\Core\\StackMiddleware\\KernelPreHandle->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#66 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(128): Drupal\\page_cache\\StackMiddleware\\PageCache->fetch(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#67 /home/frontend/drupal8/luxestate/core/modules/page_cache/src/StackMiddleware/PageCache.php(82): Drupal\\page_cache\\StackMiddleware\\PageCache->lookup(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#68 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/ReverseProxyMiddleware.php(47): Drupal\\page_cache\\StackMiddleware\\PageCache->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#69 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php(52): Drupal\\Core\\StackMiddleware\\ReverseProxyMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#70 /home/frontend/drupal8/luxestate/vendor/stack/builder/src/Stack/StackedHttpKernel.php(23): Drupal\\Core\\StackMiddleware\\NegotiationMiddleware->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#71 /home/frontend/drupal8/luxestate/core/lib/Drupal/Core/DrupalKernel.php(708): Stack\\StackedHttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#72 /home/frontend/drupal8/luxestate/index.php(19): Drupal\\Core\\DrupalKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#73 {main}\";}',3,'','http://luxestate-d8.frontend.local2.weebpal.com/user/login','','192.168.1.105',1637057290),(764,0,'page not found','@uri','a:1:{s:4:\"@uri\";s:50:\"/themes/luxestate/assets/css/bootstrap-rtl.css.map\";}',4,'','http://luxestate-d8.frontend.local2.weebpal.com/themes/luxestate/assets/css/bootstrap-rtl.css.map','','192.168.1.105',1637057291);
/*!40000 ALTER TABLE `watchdog` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `we_megamenu`
--

DROP TABLE IF EXISTS `we_megamenu`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `we_megamenu` (
  `menu_name` varchar(150) NOT NULL,
  `theme` varchar(100) NOT NULL,
  `data_config` longtext DEFAULT NULL,
  PRIMARY KEY (`menu_name`,`theme`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `we_megamenu`
--

LOCK TABLES `we_megamenu` WRITE;
/*!40000 ALTER TABLE `we_megamenu` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `we_megamenu` VALUES ('main','luxestate','{\"menu_config\":{\"/drupal8/luxestate/\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"type\":\"\"},\"item_config\":{\"level\":0,\"type\":\"we-mega-menu-li\",\"id\":\"/drupal8/luxestate/\",\"submenu\":\"0\",\"hide_sub_when_collapse\":\"\",\"group\":\"0\",\"class\":\"\",\"data-icon\":\"\",\"data-caption\":\"\",\"data-alignsub\":\"\"}},\"56804dba-564f-4261-be6d-3260b06c9b37\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"type\":\"\"},\"item_config\":{\"level\":0,\"type\":\"we-mega-menu-li\",\"id\":\"56804dba-564f-4261-be6d-3260b06c9b37\",\"submenu\":\"0\",\"hide_sub_when_collapse\":\"\",\"group\":\"0\",\"class\":\"\",\"data-icon\":\"\",\"data-caption\":\"\",\"data-alignsub\":\"\"}},\"4ee76de9-f8b7-4213-be88-719f49654dfb\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"type\":\"\"},\"item_config\":{\"level\":0,\"type\":\"we-mega-menu-li\",\"id\":\"4ee76de9-f8b7-4213-be88-719f49654dfb\",\"submenu\":\"0\",\"hide_sub_when_collapse\":\"\",\"group\":\"0\",\"class\":\"\",\"data-icon\":\"\",\"data-caption\":\"\",\"data-alignsub\":\"\"}},\"49749b67-c74d-408e-a60e-bf8ff8ffb97f\":{\"rows_content\":[[{\"col_config\":{\"hidewhencollapse\":\"\",\"type\":\"we-mega-menu-col\",\"width\":\"12\",\"block\":\"\",\"class\":\"cccc\",\"block_title\":\"0\"},\"col_content\":[{\"mlid\":\"d4ba7240-f5f6-4077-92a1-b03f3dc2fc12\",\"type\":\"we-mega-menu-li\",\"item_config\":{}},{\"mlid\":\"20bcd853-7bfc-4421-8c82-15217f40ae51\",\"type\":\"we-mega-menu-li\",\"item_config\":{}}]}]],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"type\":\"we-mega-menu-submenu\"},\"item_config\":{\"level\":0,\"type\":\"we-mega-menu-li\",\"id\":\"49749b67-c74d-408e-a60e-bf8ff8ffb97f\",\"submenu\":\"1\",\"hide_sub_when_collapse\":\"\",\"group\":\"0\",\"class\":\"\",\"data-icon\":\"\",\"data-caption\":\"\",\"data-alignsub\":\"\"}},\"d4ba7240-f5f6-4077-92a1-b03f3dc2fc12\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"type\":\"\"},\"item_config\":{\"level\":1,\"type\":\"we-mega-menu-li\",\"id\":\"d4ba7240-f5f6-4077-92a1-b03f3dc2fc12\",\"submenu\":\"0\",\"hide_sub_when_collapse\":\"\",\"group\":\"0\",\"class\":\"\",\"data-icon\":\"\",\"data-caption\":\"\",\"data-alignsub\":\"\"}},\"20bcd853-7bfc-4421-8c82-15217f40ae51\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"type\":\"\"},\"item_config\":{\"level\":1,\"type\":\"we-mega-menu-li\",\"id\":\"20bcd853-7bfc-4421-8c82-15217f40ae51\",\"submenu\":\"0\",\"hide_sub_when_collapse\":\"\",\"group\":\"0\",\"class\":\"\",\"data-icon\":\"\",\"data-caption\":\"\",\"data-alignsub\":\"\"}},\"2bdced62-2f42-4421-b679-32d1d8b4b8b7\":{\"rows_content\":[[{\"col_config\":{\"hidewhencollapse\":\"\",\"type\":\"we-mega-menu-col\",\"width\":\"12\",\"block\":\"\",\"class\":\"\",\"block_title\":\"0\"},\"col_content\":[{\"mlid\":\"7e0a4dbd-8408-4b7e-bd75-c8515eb0dec0\",\"type\":\"we-mega-menu-li\",\"item_config\":{}}]}]],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"type\":\"we-mega-menu-submenu\"},\"item_config\":{\"level\":0,\"type\":\"we-mega-menu-li\",\"id\":\"2bdced62-2f42-4421-b679-32d1d8b4b8b7\",\"submenu\":\"1\",\"hide_sub_when_collapse\":\"\",\"group\":\"0\",\"class\":\"\",\"data-icon\":\"\",\"data-caption\":\"\",\"data-alignsub\":\"\"}},\"7e0a4dbd-8408-4b7e-bd75-c8515eb0dec0\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"type\":\"\"},\"item_config\":{\"level\":1,\"type\":\"we-mega-menu-li\",\"id\":\"7e0a4dbd-8408-4b7e-bd75-c8515eb0dec0\",\"submenu\":\"0\",\"hide_sub_when_collapse\":\"\",\"group\":\"0\",\"class\":\"\",\"data-icon\":\"\",\"data-caption\":\"\",\"data-alignsub\":\"\"}},\"36727826-f03f-4f36-919a-142ae953e104\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"type\":\"\"},\"item_config\":{\"level\":0,\"type\":\"we-mega-menu-li\",\"id\":\"36727826-f03f-4f36-919a-142ae953e104\",\"submenu\":\"0\",\"hide_sub_when_collapse\":\"\",\"group\":\"0\",\"class\":\"\",\"data-icon\":\"\",\"data-caption\":\"\",\"data-alignsub\":\"\"}},\"60c931cd-37da-4cfd-a054-ef7863f9f6b2\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"type\":\"\"},\"item_config\":{\"level\":0,\"type\":\"we-mega-menu-li\",\"id\":\"60c931cd-37da-4cfd-a054-ef7863f9f6b2\",\"submenu\":\"0\",\"hide_sub_when_collapse\":\"\",\"group\":\"0\",\"class\":\"\",\"data-icon\":\"\",\"data-caption\":\"\",\"data-alignsub\":\"\"}},\"bd337eec-18a0-43da-aca9-292607213b64\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"type\":\"\"},\"item_config\":{\"level\":0,\"type\":\"we-mega-menu-li\",\"id\":\"bd337eec-18a0-43da-aca9-292607213b64\",\"submenu\":\"0\",\"hide_sub_when_collapse\":\"\",\"group\":\"0\",\"class\":\"user-log-in\",\"data-icon\":\"\",\"data-caption\":\"\",\"data-alignsub\":\"\"}}},\"block_config\":{\"style\":\"Default\",\"animation\":\"None\",\"delay\":\"\",\"duration\":\"\",\"auto-arrow\":\"\",\"always-show-submenu\":\"\",\"action\":\"hover\",\"auto-mobile-collapse\":\"0\"}}');
/*!40000 ALTER TABLE `we_megamenu` ENABLE KEYS */;
UNLOCK TABLES;
commit;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2021-11-16 17:08:29
